<?php
/**
 * @link https://craftcms.com/
 * @copyright Copyright (c) Pixel & Tonic, Inc.
 * @license https://craftcms.github.io/license/
 */

namespace craft\web\twig\nodes\expressions\binaries;

use craft\web\twig\Extension;
use Twig\Compiler;
use Twig\Node\Expression\Binary\AbstractBinary;

/**
 * Class HasSomeBinary
 *
 * @author Pixel & Tonic, Inc. <support@pixelandtonic.com>
 * @since 4.12.2
 */
class HasSomeBinary extends AbstractBinary
{
    public function compile(Compiler $compiler): void
    {
        $compiler
            ->raw(sprintf('%s::arraySome($this->env, ', Extension::class))
            ->subcompile($this->getNode('left'))
            ->raw(', ')
            ->subcompile($this->getNode('right'))
            ->raw(')')
        ;
    }

    public function operator(Compiler $compiler): Compiler
    {
        return $compiler->raw('');
    }
}
