<?php
/**
 * SEOmatic plugin for Craft CMS
 *
 * A turnkey SEO implementation for Craft CMS that is comprehensive, powerful,
 * and flexible
 *
 * @link      https://nystudio107.com
 * @copyright Copyright (c) 2017 nystudio107
 */

/**
 * @author    nystudio107
 * @package   Seomatic
 * @since     3.0.0
 */
return [
    'Scenario: "' => 'Scenario: "',
    'The script that will render on the page. Note that this script will not render in `local` development or `staging` environments.' => 'The script that will render on the page. Note that this script will not render in `local` development or `staging` environments.',
    'App Card' => 'App Card',
    'Controls whether SEOmatic will automatically add `X-Robots-Tag`, `canonical`, & `Referrer-Policy` to the http response headers.' => 'Controls whether SEOmatic will automatically add `X-Robots-Tag`, `canonical`, & `Referrer-Policy` to the http response headers.',
    'Product' => 'Product',
    'SEO Image Transform Mode' => 'SEO Image Transform Mode',
    'Same as Global X (Twitter) Site Name Position' => 'Same as Global X (Twitter) Site Name Position',
    'Add any additional individual URLs to web pages that exist outside of the CMS here. They will be placed in a separate `custom` sitemap.' => 'Add any additional individual URLs to web pages that exist outside of the CMS here. They will be placed in a separate `custom` sitemap.',
    'SEO Settings' => 'SEO Settings',
    'Pinterest' => 'Pinterest',
    'Person Info' => 'Person Info',
    'Food Establishment Reservations URL' => 'Food Establishment Reservations URL',
    'Same As SEO Image Description' => 'Same As SEO Image Description',
    'For the `meta msvalidate.01` tag. Only enter the code in the `content=\'\'`, not the entire tag. [Learn More](https://www.bing.com/webmaster/help/how-to-verify-ownership-of-your-site-afcfefc6)' => 'For the `meta msvalidate.01` tag. Only enter the code in the `content=\'\'`, not the entire tag. [Learn More](https://www.bing.com/webmaster/help/how-to-verify-ownership-of-your-site-afcfefc6)',
    'Regenerate Sitemaps Automatically' => 'Regenerate Sitemaps Automatically',
    'For the `meta p:domain_verify` tag. Only enter the code in the `content=\'\'`, not the entire tag. [Learn More](https://help.pinterest.com/en/articles/claim-your-website)' => 'For the `meta p:domain_verify` tag. Only enter the code in the `content=\'\'`, not the entire tag. [Learn More](https://help.pinterest.com/en/articles/claim-your-website)',
    'X (Twitter) Site Name Position Source' => 'X (Twitter) Site Name Position Source',
    'Controls whether to display the Sitemap SEO settings tab' => 'Controls whether to display the Sitemap SEO settings tab',
    'Custom URL' => 'Custom URL',
    'HTTP Headers Enabled' => 'HTTP Headers Enabled',
    'Script Template' => 'Script Template',
    'Automatic Render Enabled' => 'Automatic Render Enabled',
    'SiteLinks Search Box' => 'SiteLinks Search Box',
    'Facebook OpenGraph Image Description' => 'Facebook OpenGraph Image Description',
    'Website' => 'Website',
    'Search Target URL Pattern' => 'Search Target URL Pattern',
    'SEO Description' => 'SEO Description',
    'Organization Founder' => 'Organization Founder',
    'SEO Image' => 'SEO Image',
    'X (Twitter) Title' => 'X (Twitter) Title',
    'Structure Depth' => 'Structure Depth',
    'SEOmatic frontend template caches' => 'SEOmatic frontend template caches',
    '#{varData.instructions}' => '#{varData.instructions}',
    'Ads.txt Template' => 'Ads.txt Template',
    'Same as SEO Description' => 'Same as SEO Description',
    'Is not a Model object.' => 'Is not a Model object.',
    'Body Script Render Location' => 'Body Script Render Location',
    '{name} plugin loaded' => '{name} plugin loaded',
    'Custom Image' => 'Custom Image',
    'Sitemaps Enabled' => 'Sitemaps Enabled',
    'Site Name Position#{positionSuffix}' => 'Site Name Position#{positionSuffix}',
    'Humans.txt Template' => 'Humans.txt Template',
    'Place' => 'Place',
    'Meta container with key `{key}` does not exist.' => 'Meta container with key `{key}` does not exist.',
    'Miscellaneous' => 'Miscellaneous',
    'Humans' => 'Humans',
    'File not found.' => 'File not found.',
    'Creator' => 'Creator',
    'The [ads.txt](https://iabtechlab.com/ads-txt/) project is simple: Increase transparency in the programmatic advertising ecosystem. ads.txt stands for Authorized Digital Sellers and is a simple, flexible and secure method that publishers and distributors can use to publicly declare the companies they authorize to sell their digital inventory.' => 'The [ads.txt](https://iabtechlab.com/ads-txt/) project is simple: Increase transparency in the programmatic advertising ecosystem. ads.txt stands for Authorized Digital Sellers and is a simple, flexible and secure method that publishers and distributors can use to publicly declare the companies they authorize to sell their digital inventory.',
    'Ads' => 'Ads',
    'Food Establishment Menu URL' => 'Food Establishment Menu URL',
    'Controls a how deep to go into a Category when adding URLs into the sitemap.' => 'Controls a how deep to go into a Category when adding URLs into the sitemap.',
    'Facebook OpenGraph descriptions are displayed below the Facebook OpenGraph Title in your Facebook Cards. Use them to provide a summary of what your page is about.' => 'Facebook OpenGraph descriptions are displayed below the Facebook OpenGraph Title in your Facebook Cards. Use them to provide a summary of what your page is about.',
    'Choose what source fields from your Asset Volume field layouts to map to the image sitemap properties. [Learn more](https://support.google.com/webmasters/answer/178636?hl=en)' => 'Choose what source fields from your Asset Volume field layouts to map to the image sitemap properties. [Learn more](https://support.google.com/webmasters/answer/178636?hl=en)',
    'Controls whether SEOmatic will automatically include an `x-default` `hreflang` tag. [Learn More](https://webmasters.googleblog.com/2013/04/x-default-hreflang-for-international-pages.html)' => 'Controls whether SEOmatic will automatically include an `x-default` `hreflang` tag. [Learn More](https://webmasters.googleblog.com/2013/04/x-default-hreflang-for-international-pages.html)',
    'SEOmatic metadata caches' => 'SEOmatic metadata caches',
    'Contact Points' => 'Contact Points',
    'Business' => 'Business',
    'Food Establishment Info' => 'Food Establishment Info',
    'Controls whether to display the General SEO settings tab' => 'Controls whether to display the General SEO settings tab',
    'No location found.  Perhaps the address is wrong/incomplete?' => 'No location found.  Perhaps the address is wrong/incomplete?',
    'The max number of characters in the `&lt;title&gt;` tag' => 'The max number of characters in the `&lt;title&gt;` tag',
    'Food Establishment Cuisine' => 'Food Establishment Cuisine',
    'Facebook OpenGraph Image' => 'Facebook OpenGraph Image',
    'View Sitemap Index' => 'View Sitemap Index',
    'The location where the organization was founded' => 'The location where the organization was founded',
    'Edit Content SEO' => 'Edit Content SEO',
    'This property specifies a search URL pattern for sending queries to your site\'s search engine.  It must include a string enclosed in curly braces that is a placeholder for the user\'s search query (e.g., `{search_term_string}`). The string inside the curly braces must also appear in the name attribute of the query-input property.' => 'This property specifies a search URL pattern for sending queries to your site\'s search engine.  It must include a string enclosed in curly braces that is a placeholder for the user\'s search query (e.g., `{search_term_string}`). The string inside the curly braces must also appear in the name attribute of the query-input property.',
    'Video' => 'Video',
    'Adding OpenGraph tags to your website influences the performance of your links on social media by allowing you to control what appears when a user posts a link to your content on Facebook.' => 'Adding OpenGraph tags to your website influences the performance of your links on social media by allowing you to control what appears when a user posts a link to your content on Facebook.',
    'With Google Sitelinks search box, from search results. Search users sometimes use navigational queries, typing in the brand name or URL of a known site or app, only to do a more detailed search once they reach their destination. [Learn More](https://developers.google.com/search/docs/data-types/sitelinks-searchbox)' => 'With Google Sitelinks search box, from search results. Search users sometimes use navigational queries, typing in the brand name or URL of a known site or app, only to do a more detailed search once they reach their destination. [Learn More](https://developers.google.com/search/docs/data-types/sitelinks-searchbox)',
    'The region of the entity that #{websiteVerb} the website, e.g.: New York or NY' => 'The region of the entity that #{websiteVerb} the website, e.g.: New York or NY',
    'Entity Telephone' => 'Entity Telephone',
    'devMode &lt;title&gt; prefix' => 'devMode &lt;title&gt; prefix',
    'X (Twitter) Image Transform Mode' => 'X (Twitter) Image Transform Mode',
    '#{scriptData.name}' => '#{scriptData.name}',
    'A `robots.txt` file is a file at the root of your site that indicates those parts of your site you don’t want accessed by search engine crawlers. The file uses the [Robots Exclusion Standard](http://www.robotstxt.org/robotstxt.html), which is a protocol with a small set of commands that can be used to indicate access to your site by section and by specific kinds of web crawlers (such as mobile crawlers vs desktop crawlers).' => 'A `robots.txt` file is a file at the root of your site that indicates those parts of your site you don’t want accessed by search engine crawlers. The file uses the [Robots Exclusion Standard](http://www.robotstxt.org/robotstxt.html), which is a protocol with a small set of commands that can be used to indicate access to your site by section and by specific kinds of web crawlers (such as mobile crawlers vs desktop crawlers).',
    'Transform X (Twitter) Image' => 'Transform X (Twitter) Image',
    'SEO Title' => 'SEO Title',
    'If `devMode` is on, prefix the &lt;title&gt; with this string' => 'If `devMode` is on, prefix the &lt;title&gt; with this string',
    'Same As SEO Image' => 'Same As SEO Image',
    'Field' => 'Field',
    'Choose what source fields from your Asset Volume field layouts to map to the image sitemap properties. [Learn more](https://developers.google.com/webmasters/videosearch/sitemaps)' => 'Choose what source fields from your Asset Volume field layouts to map to the image sitemap properties. [Learn more](https://developers.google.com/webmasters/videosearch/sitemaps)',
    'The transform mode to use for the X (Twitter) Image Transform.' => 'The transform mode to use for the X (Twitter) Image Transform.',
    'Where the Site Name is placed relative to the Facebook OpenGraph Title in the &lt;og:title&gt; tag' => 'Where the Site Name is placed relative to the Facebook OpenGraph Title in the &lt;og:title&gt; tag',
    'From Field' => 'From Field',
    'Person Birth Place' => 'Person Birth Place',
    'Whether the SEO image should be automatically transformed to an appropriate file format and aspect ratio.' => 'Whether the SEO image should be automatically transformed to an appropriate file format and aspect ratio.',
    '#{scriptData.description}' => '#{scriptData.description}',
    'Controls whether to display the Facebook SEO settings tab' => 'Controls whether to display the Facebook SEO settings tab',
    'Select Brand Image' => 'Select Brand Image',
    'A description of the entity that #{websiteVerb} the website' => 'A description of the entity that #{websiteVerb} the website',
    'Add the custom sitemap URLs below.' => 'Add the custom sitemap URLs below.',
    'The date the organization was founded, in ISO 8601 date format, e.g.: `2018-03-26`. [Learn More](http://schema.org/Date)' => 'The date the organization was founded, in ISO 8601 date format, e.g.: `2018-03-26`. [Learn More](http://schema.org/Date)',
    '#{scriptData.name} Enabled' => '#{scriptData.name} Enabled',
    'Miscellaneous site-wide SEO settings.' => 'Miscellaneous site-wide SEO settings.',
    'Entity Name' => 'Entity Name',
    'Facebook OpenGraph Site Name Position Source' => 'Facebook OpenGraph Site Name Position Source',
    'View #{currentSourceBundleType |capitalize} Sitemap' => 'View #{currentSourceBundleType |capitalize} Sitemap',
    'Sitemap' => 'Sitemap',
    'Controls whether to display the SEO and content analysis in the sidebar on entry and category pages.' => 'Controls whether to display the SEO and content analysis in the sidebar on entry and category pages.',
    'The primary contact email address for the entity that #{websiteVerb} the website' => 'The primary contact email address for the entity that #{websiteVerb} the website',
    'X (Twitter) Image' => 'X (Twitter) Image',
    'Controls whether SEOmatic will automatically render metadata on your pages. If you turn this off, you will need to manually render the metadata.' => 'Controls whether SEOmatic will automatically render metadata on your pages. If you turn this off, you will need to manually render the metadata.',
    'The postal code of the entity that #{websiteVerb} the website, e.g.: 14580' => 'The postal code of the entity that #{websiteVerb} the website, e.g.: 14580',
    'SEO Image Source' => 'SEO Image Source',
    'The primary type of cuisine that the food establishment serves' => 'The primary type of cuisine that the food establishment serves',
    'select' => 'select',
    'The priority of this URL relative to other URLs on your site. This value does not affect how your pages are compared to pages on other sites—it only lets the search engines know which pages you deem most important for the crawlers.' => 'The priority of this URL relative to other URLs on your site. This value does not affect how your pages are compared to pages on other sites—it only lets the search engines know which pages you deem most important for the crawlers.',
    'Contact Type' => 'Contact Type',
    'Person Gender' => 'Person Gender',
    'Where the Site Name is placed relative to the X (Twitter) Title in the &lt;twitter:title&gt; tag' => 'Where the Site Name is placed relative to the X (Twitter) Title in the &lt;twitter:title&gt; tag',
    'Price Range' => 'Price Range',
    'X (Twitter) Description' => 'X (Twitter) Description',
    'Facebook App ID' => 'Facebook App ID',
    'Error rendering `{template}` -> {error}' => 'Error rendering `{template}` -> {error}',
    'A text description of the image conveying the essential nature of an image to users who are visually impaired.' => 'A text description of the image conveying the essential nature of an image to users who are visually impaired.',
    'Whether URLs in this #{currentSourceBundleType} should be included in the sitemap' => 'Whether URLs in this #{currentSourceBundleType} should be included in the sitemap',
    'Google' => 'Google',
    'SEO Image Description' => 'SEO Image Description',
    'Controls whether SEOmatic will include the meta `generator` tag and `X-Powered-By` header.' => 'Controls whether SEOmatic will include the meta `generator` tag and `X-Powered-By` header.',
    'Organization Contact Points' => 'Organization Contact Points',
    'X (Twitter) Creator' => 'X (Twitter) Creator',
    'Entity Country' => 'Entity Country',
    'Determines where in the HTML document the script renders.' => 'Determines where in the HTML document the script renders.',
    'Summary Card' => 'Summary Card',
    'Summary Card with Large Image' => 'Summary Card with Large Image',
    'Last Modification Date' => 'Last Modification Date',
    'A URL for the entity that #{websiteVerb} the website' => 'A URL for the entity that #{websiteVerb} the website',
    'SEO Analysis:' => 'SEO Analysis:',
    'SEOmatic content settings saved.' => 'SEOmatic content settings saved.',
    'Local Business Info' => 'Local Business Info',
    'This is the image that will be used for display as the global website brand, as well as on X (Twitter) Cards and Facebook OpenGraph that link to the website, if they are not specified.' => 'This is the image that will be used for display as the global website brand, as well as on X (Twitter) Cards and Facebook OpenGraph that link to the website, if they are not specified.',
    'The public name of the website; this is appended to the page title by default.' => 'The public name of the website; this is appended to the page title by default.',
    'Profile' => 'Profile',
    'URL' => 'URL',
    'Display Sidebar SEO Preview' => 'Display Sidebar SEO Preview',
    'SEOmatic' => 'SEOmatic',
    'This is the image that will be used for display as X (Twitter) Cards on tweets that link to the web page.' => 'This is the image that will be used for display as X (Twitter) Cards on tweets that link to the web page.',
    'Add `hreflang` Tags' => 'Add `hreflang` Tags',
    'Robots' => 'Robots',
    'View ads.txt' => 'View ads.txt',
    'Category Depth' => 'Category Depth',
    'SEO Image Description Source' => 'SEO Image Description Source',
    'Your Facebook App ID. Providing a Facebook Application ID for use with the Social Media Sharing feature is recommended, but optional. [Learn More](https://developers.facebook.com/docs/apps/register)' => 'Your Facebook App ID. Providing a Facebook Application ID for use with the Social Media Sharing feature is recommended, but optional. [Learn More](https://developers.facebook.com/docs/apps/register)',
    'From Asset Field' => 'From Asset Field',
    'Whether the `ads.txt` template should be rendered' => 'Whether the `ads.txt` template should be rendered',
    '#{varData.title}' => '#{varData.title}',
    'Additional Sitemaps' => 'Additional Sitemaps',
    'Whether the URLs to files such as `.pdf`, `.xls`, `.doc` and other indexable file types in Asset fields or Asset fields in matrix blocks should be included in the sitemap' => 'Whether the URLs to files such as `.pdf`, `.xls`, `.doc` and other indexable file types in Asset fields or Asset fields in matrix blocks should be included in the sitemap',
    ' Settings' => ' Settings',
    'Custom Text' => 'Custom Text',
    'Facebook Profile ID' => 'Facebook Profile ID',
    'Sitemap Tab' => 'Sitemap Tab',
    'The country in which the entity that #{websiteVerb} the website is located, e.g.: US' => 'The country in which the entity that #{websiteVerb} the website is located, e.g.: US',
    'Entity Region' => 'Entity Region',
    'Edit Tracking Scripts' => 'Edit Tracking Scripts',
    'Entity Latitude' => 'Entity Latitude',
    'The street address of the entity that #{websiteVerb} the website, e.g.: 123 Main Street' => 'The street address of the entity that #{websiteVerb} the website, e.g.: 123 Main Street',
    'Add the URLs to social media sites, and other presences on the web. These URLs are made available to your frontend templates. They will also appear in `same_as` Facebook OpenGraph tags, and `seeAlso` JSON-LD Structured Data. [Learn More](https://developers.google.com/search/docs/data-types/social-profile)' => 'Add the URLs to social media sites, and other presences on the web. These URLs are made available to your frontend templates. They will also appear in `same_as` Facebook OpenGraph tags, and `seeAlso` JSON-LD Structured Data. [Learn More](https://developers.google.com/search/docs/data-types/social-profile)',
    'Started GenerateSitemap queue job id: {jobId} with cache key {cacheKey}' => 'Started GenerateSitemap queue job id: {jobId} with cache key {cacheKey}',
    'Use organization contact points to add your organizations\'s contact information to the Google Knowledge panel in some searches.  The Telephone Number **must be** an internationalized version of the phone number, starting with the \'+\' symbol and country code (+1 in the US and Canada).  e.g.: `+1-800-555-1212` or `+44-2078225951`. [Learn More](https://developers.google.com/structured-data/customize/contact-points)' => 'Use organization contact points to add your organizations\'s contact information to the Google Knowledge panel in some searches.  The Telephone Number **must be** an internationalized version of the phone number, starting with the \'+\' symbol and country code (+1 in the US and Canada).  e.g.: `+1-800-555-1212` or `+44-2078225951`. [Learn More](https://developers.google.com/structured-data/customize/contact-points)',
    'Display Sidebar SEO Analysis' => 'Display Sidebar SEO Analysis',
    'Look up Latitude/Longitude' => 'Look up Latitude/Longitude',
    'URL to the food establishment\'s menu' => 'URL to the food establishment\'s menu',
    'Object failed to validate' => 'Object failed to validate',
    'SEO Preview' => 'SEO Preview',
    'Plugin Settings' => 'Plugin Settings',
    'Source Field: ' => 'Source Field: ',
    'Entity Locality' => 'Entity Locality',
    'Before' => 'Before',
    'Sitemap.xml not found for groupId {groupId}' => 'Sitemap.xml not found for groupId {groupId}',
    'Telephone Number' => 'Telephone Number',
    'Site Name Position' => 'Site Name Position',
    'Additional Sitemap URLs' => 'Additional Sitemap URLs',
    'Schema tree file not found' => 'Schema tree file not found',
    'The DUNS (Dunn & Bradstreet) number of the organization that #{websiteVerb} the website' => 'The DUNS (Dunn & Bradstreet) number of the organization that #{websiteVerb} the website',
    'Image Sitemap Fields' => 'Image Sitemap Fields',
    'Include Images & Videos in Sitemap' => 'Include Images & Videos in Sitemap',
    'With X (Twitter) Cards, you can attach rich photos and information to Tweets that drive traffic to your website. Users who Tweet links to your content will have a \'Card\' added to the Tweet that’s visible to all of their followers.' => 'With X (Twitter) Cards, you can attach rich photos and information to Tweets that drive traffic to your website. Users who Tweet links to your content will have a \'Card\' added to the Tweet that’s visible to all of their followers.',
    'Body Script Template' => 'Body Script Template',
    'Facebook OpenGraph Image Transform Mode' => 'Facebook OpenGraph Image Transform Mode',
    'The place where the person was born' => 'The place where the person was born',
    'Edit Site Settings' => 'Edit Site Settings',
    'Entity URL' => 'Entity URL',
    'Stretch' => 'Stretch',
    'Global SEO' => 'Global SEO',
    'Facebook OpenGraph Site Name Position' => 'Facebook OpenGraph Site Name Position',
    '[Humans.txt](http://humanstxt.org) is an initiative for knowing the people behind a website. It\'s a text file that contains information about the different people who have contributed to building the website. By adding a text file, you can prove your authorship (not your property) in an external, fast, easy and accessible way.' => '[Humans.txt](http://humanstxt.org) is an initiative for knowing the people behind a website. It\'s a text file that contains information about the different people who have contributed to building the website. By adding a text file, you can prove your authorship (not your property) in an external, fast, easy and accessible way.',
    'Keywords From Field' => 'Keywords From Field',
    'X (Twitter) Image Description Source' => 'X (Twitter) Image Description Source',
    'Google Site Verification' => 'Google Site Verification',
    'Robots.txt Template' => 'Robots.txt Template',
    'Player Card' => 'Player Card',
    'If you are using Site Groups to logically separate \'sister sites\', turn this on.' => 'If you are using Site Groups to logically separate \'sister sites\', turn this on.',
    'Site Settings' => 'Site Settings',
    'Staging' => 'Staging',
    'Canonical URL' => 'Canonical URL',
    'Male' => 'Male',
    'The name of the founder of the organization' => 'The name of the founder of the organization',
    'Entity Postal Code' => 'Entity Postal Code',
    'Daily' => 'Daily',
    'Never' => 'Never',
    'X (Twitter) Creator Source' => 'X (Twitter) Creator Source',
    'Live Production' => 'Live Production',
    'Organization Founding Location' => 'Organization Founding Location',
    'Entity Street Address' => 'Entity Street Address',
    'Organization Founding Date' => 'Organization Founding Date',
    'Pinterest Site Verification' => 'Pinterest Site Verification',
    'Change Frequency' => 'Change Frequency',
    'Edit Global Meta' => 'Edit Global Meta',
    'Whether the Facebook OpenGraph image should be automatically transformed to an appropriate file format and aspect ratio for Facebook.' => 'Whether the Facebook OpenGraph image should be automatically transformed to an appropriate file format and aspect ratio for Facebook.',
    'What type of preview to display for this field in the Element index table, if the field is added to the table columns.' => 'What type of preview to display for this field in the Element index table, if the field is added to the table columns.',
    'Opening Hours' => 'Opening Hours',
    'Handle' => 'Handle',
    'SEO Keywords' => 'SEO Keywords',
    'Same As URLs' => 'Same As URLs',
    'LinkedIn' => 'LinkedIn',
    'Include Indexable Files in Sitemap' => 'Include Indexable Files in Sitemap',
    'singleline' => 'singleline',
    'The value for the name attribute of query-input must match the string enclosed inside curly braces in the target property of potentialAction, e.g.: `search_term_string`' => 'The value for the name attribute of query-input must match the string enclosed inside curly braces in the target property of potentialAction, e.g.: `search_term_string`',
    'Robots.txt Enabled' => 'Robots.txt Enabled',
    'SEOmatic will automatically create a sitemap for each of your sections, but if you have additional sitemaps or individual URLs that are outside of the CMS that you want to include, you can add them here.' => 'SEOmatic will automatically create a sitemap for each of your sections, but if you have additional sitemaps or individual URLs that are outside of the CMS that you want to include, you can add them here.',
    'Sitemap Limit' => 'Sitemap Limit',
    'Facebook OpenGraph Title Source' => 'Facebook OpenGraph Title Source',
    'X (Twitter) Handle' => 'X (Twitter) Handle',
    'The separator character to use for the `&lt;title&gt;` tag' => 'The separator character to use for the `&lt;title&gt;` tag',
    'Script Render Location' => 'Script Render Location',
    'Plugin name' => 'Plugin name',
    'SEOmatic site settings saved.' => 'SEOmatic site settings saved.',
    'Facebook OpenGraph Type' => 'Facebook OpenGraph Type',
    'Female' => 'Female',
    'Sitemaps' => 'Sitemaps',
    'SEOmatic Meta (deprecated)' => 'SEOmatic Meta (deprecated)',
    'X (Twitter) Tab' => 'X (Twitter) Tab',
    'The primary contact telephone number for the entity that #{websiteVerb} the website' => 'The primary contact telephone number for the entity that #{websiteVerb} the website',
    'devMode Control Panel &lt;title&gt; prefix' => 'devMode Control Panel &lt;title&gt; prefix',
    'The transform mode to use for the Facebook OpenGraph Image Transform.' => 'The transform mode to use for the Facebook OpenGraph Image Transform.',
    'X (Twitter) Card Type' => 'X (Twitter) Card Type',
    'The information on this page is used to create [JSON-LD Structured Data](https://developers.google.com/search/docs/guides/intro-structured-data) that _can_ appear as [Rich Snippets](https://developers.google.com/search/docs/guides/mark-up-content) on Google Search Engine Results Pages (SERP). JSON-LD Structured Data helps computers understand context and relationships, and is also read by other social media sites and apps.' => 'The information on this page is used to create [JSON-LD Structured Data](https://developers.google.com/search/docs/guides/intro-structured-data) that _can_ appear as [Rich Snippets](https://developers.google.com/search/docs/guides/mark-up-content) on Google Search Engine Results Pages (SERP). JSON-LD Structured Data helps computers understand context and relationships, and is also read by other social media sites and apps.',
    'The social media settings connect your website to its other points of pressence on the Internet. They also facilitate attaching your branding to social media posts via X (Twitter) Cards and Facebook OpenGraph.' => 'The social media settings connect your website to its other points of pressence on the Internet. They also facilitate attaching your branding to social media posts via X (Twitter) Cards and Facebook OpenGraph.',
    'X (Twitter) Title Source' => 'X (Twitter) Title Source',
    'SEOmatic sitemap caches' => 'SEOmatic sitemap caches',
    '{tagtype} tag `{key}` did not render because it is missing attributes.' => '{tagtype} tag `{key}` did not render because it is missing attributes.',
    'Restaurant' => 'Restaurant',
    'An image or logo that represents the entity that #{websiteVerb} the website.  The image must be in JPG, PNG, or GIF format.' => 'An image or logo that represents the entity that #{websiteVerb} the website.  The image must be in JPG, PNG, or GIF format.',
    'After' => 'After',
    'The X (Twitter) Title is displayed in bold at the top of your X (Twitter) card. Make sure it is a pithy summary of your webpage.' => 'The X (Twitter) Title is displayed in bold at the top of your X (Twitter) card. Make sure it is a pithy summary of your webpage.',
    'Sitemap URLs' => 'Sitemap URLs',
    'Other' => 'Other',
    'Page not found.' => 'Page not found.',
    'Search Query Input' => 'Search Query Input',
    'The max number of characters in the `meta description` tag' => 'The max number of characters in the `meta description` tag',
    'For the `meta google-site-verification` tag. Only enter the code in the `content=\'\'`, not the entire tag. [Learn More](https://www.google.com/webmasters/verification/home?hl=en)' => 'For the `meta google-site-verification` tag. Only enter the code in the `content=\'\'`, not the entire tag. [Learn More](https://www.google.com/webmasters/verification/home?hl=en)',
    'Bing Site Verification' => 'Bing Site Verification',
    'Error rendering template string -> {error}' => 'Error rendering template string -> {error}',
    'Dashboard' => 'Dashboard',
    'From User Field' => 'From User Field',
    'X (Twitter) Image Source' => 'X (Twitter) Image Source',
    'Organization DUNS Number' => 'Organization DUNS Number',
    'SEO Preview Sites' => 'SEO Preview Sites',
    'Crop' => 'Crop',
    'Weekly' => 'Weekly',
    'Summary From Field' => 'Summary From Field',
    'Include `x-default` `hreflang` Tag' => 'Include `x-default` `hreflang` Tag',
    'Social Media Preview' => 'Social Media Preview',
    'X (Twitter) username for the content creator / author, without the preceding @.' => 'X (Twitter) username for the content creator / author, without the preceding @.',
    'Element Preview Type' => 'Element Preview Type',
    'Same as SEO Title' => 'Same as SEO Title',
    'General' => 'General',
    'Music Song' => 'Music Song',
    'Entity Brand' => 'Entity Brand',
    'Location Info' => 'Location Info',
    'X (Twitter)' => 'X (Twitter)',
    'Local Development' => 'Local Development',
    'View robots.txt' => 'View robots.txt',
    'Generator Enabled' => 'Generator Enabled',
    'The longitude of the location of the entity that #{websiteVerb} the website, e.g.: 80.6033588' => 'The longitude of the location of the entity that #{websiteVerb} the website, e.g.: 80.6033588',
    'SEO descriptions allow you to influence how your web pages are described and displayed in search results. Ensure that all of your web pages have a unique meta description that is explicit and contains your most important keywords.' => 'SEO descriptions allow you to influence how your web pages are described and displayed in search results. Ensure that all of your web pages have a unique meta description that is explicit and contains your most important keywords.',
    ' script did not render' => ' script did not render',
    'The approximate price range of the goods or services offered by this local business.' => 'The approximate price range of the goods or services offered by this local business.',
    'Same as Global Site Name Position' => 'Same as Global Site Name Position',
    'Asset Field: ' => 'Asset Field: ',
    'Corporation Info' => 'Corporation Info',
    'Your Facebook Profile/Page ID. Click on the \'About\' tab on your Facebook company/fan page, click on \'Page Info\', then scroll to the bottom to find your \'Facebook Page ID\'' => 'Your Facebook Profile/Page ID. Click on the \'About\' tab on your Facebook company/fan page, click on \'Page Info\', then scroll to the bottom to find your \'Facebook Page ID\'',
    'Entity Email' => 'Entity Email',
    'Controls whether sitemaps will automatically be regenerated when entries are saved.' => 'Controls whether sitemaps will automatically be regenerated when entries are saved.',
    'Whether the URLs to images & videos in Asset fields or Asset fields in matrix blocks should be included in the sitemap' => 'Whether the URLs to images & videos in Asset fields or Asset fields in matrix blocks should be included in the sitemap',
    'Humans.txt Enabled' => 'Humans.txt Enabled',
    'Select SEO Image' => 'Select SEO Image',
    'Google ignores SEO Keywords tag; though other search engines do look at it. Utilize it carefully, as improper or spammy use most likely will hurt you, or even have your site marked as spam.' => 'Google ignores SEO Keywords tag; though other search engines do look at it. Utilize it carefully, as improper or spammy use most likely will hurt you, or even have your site marked as spam.',
    'Sitemap Alt URLs' => 'Sitemap Alt URLs',
    'Add sitemaps that exist outside of the CMS here. They will be added to the sitemap index.' => 'Add sitemaps that exist outside of the CMS here. They will be added to the sitemap index.',
    'Tracking Scripts' => 'Tracking Scripts',
    'Monthly' => 'Monthly',
    'Organization Info' => 'Organization Info',
    'This is the image that will be used for display on Facebook posts that link to the web page.' => 'This is the image that will be used for display on Facebook posts that link to the web page.',
    'Facebook OpenGraph Title' => 'Facebook OpenGraph Title',
    'Same as Global Facebook OpenGraph Site Name Position' => 'Same as Global Facebook OpenGraph Site Name Position',
    'normal for the sitemap to not be cached.' => 'normal for the sitemap to not be cached.',
    'Book' => 'Book',
    'URL to the food establishment\'s reservations page' => 'URL to the food establishment\'s reservations page',
    'The public-facing name of the plugin' => 'The public-facing name of the plugin',
    'An alternate or nickname for the entity that #{websiteVerb} the website' => 'An alternate or nickname for the entity that #{websiteVerb} the website',
    'Video Sitemap Fields' => 'Video Sitemap Fields',
    'Identity' => 'Identity',
    'Alternate Entity Name' => 'Alternate Entity Name',
    'Controls whether to display the X (Twitter) SEO settings tab' => 'Controls whether to display the X (Twitter) SEO settings tab',
    'Make sure your title tag is explicit and contains your most important keywords. Be sure that each page has a unique title tag.' => 'Make sure your title tag is explicit and contains your most important keywords. Be sure that each page has a unique title tag.',
    'Facebook OpenGraph Description Source' => 'Facebook OpenGraph Description Source',
    'Max SEO Title Length' => 'Max SEO Title Length',
    'SEOmatic global settings saved.' => 'SEOmatic global settings saved.',
    'Same as Site Name Position' => 'Same as Site Name Position',
    'Yearly' => 'Yearly',
    'SEO Title Source' => 'SEO Title Source',
    'Always' => 'Always',
    'Facebook Tab' => 'Facebook Tab',
    'View humans.txt' => 'View humans.txt',
    'Facebook OpenGraph Image Source' => 'Facebook OpenGraph Image Source',
    'Article' => 'Article',
    'Separator Character' => 'Separator Character',
    'Control Panel &lt;title&gt; prefix' => 'Control Panel &lt;title&gt; prefix',
    'Prefix the Control Panel &lt;title&gt; with this string' => 'Prefix the Control Panel &lt;title&gt; with this string',
    'Corporation Ticker Symbol' => 'Corporation Ticker Symbol',
    'The exchange ticker symbol of the corporation' => 'The exchange ticker symbol of the corporation',
    'Main Entity of Page' => 'Main Entity of Page',
    'Site Groups define logically separate sites' => 'Site Groups define logically separate sites',
    'Controls whether SEOmatic will automatically render frontend sitemaps for your website.' => 'Controls whether SEOmatic will automatically render frontend sitemaps for your website.',
    'Image Sitemap Property' => 'Image Sitemap Property',
    'The opening hours for this local business.  If the business is closed on a given day, just leave the hours for that day blank.  If you leave everything blank, no opening hours will be listed. [Learn More](https://developers.google.com/search/docs/data-types/local-business)' => 'The opening hours for this local business.  If the business is closed on a given day, just leave the hours for that day blank.  If you leave everything blank, no opening hours will be listed. [Learn More](https://developers.google.com/search/docs/data-types/local-business)',
    'environment with `devMode` on, caches only' => 'environment with `devMode` on, caches only',
    'Custom Position' => 'Custom Position',
    'Facebook OpenGraph Image Description Source' => 'Facebook OpenGraph Image Description Source',
    'None' => 'None',
    'The latitude of the location of the entity that #{websiteVerb} the website, e.g.: -120.5436367' => 'The latitude of the location of the entity that #{websiteVerb} the website, e.g.: -120.5436367',
    'Edit Plugin Settings' => 'Edit Plugin Settings',
    'Select Facebook OpenGraph Image' => 'Select Facebook OpenGraph Image',
    'Select X (Twitter) Image' => 'Select X (Twitter) Image',
    'Ads.txt Enabled' => 'Ads.txt Enabled',
    'Entity Longitude' => 'Entity Longitude',
    'SEO Keywords Source' => 'SEO Keywords Source',
    'X (Twitter) Description Source' => 'X (Twitter) Description Source',
    'How frequently the page is likely to change. This value provides general information to search engines and may not correlate exactly to how often they crawl the page.' => 'How frequently the page is likely to change. This value provides general information to search engines and may not correlate exactly to how often they crawl the page.',
    'Entity Description' => 'Entity Description',
    'Controls whether SEOmatic will automatically add `hreflang` and `og:locale:alternate` tags. [Learn More](https://support.google.com/webmasters/answer/189077)' => 'Controls whether SEOmatic will automatically add `hreflang` and `og:locale:alternate` tags. [Learn More](https://support.google.com/webmasters/answer/189077)',
    'Facebook' => 'Facebook',
    'Sitemap URL' => 'Sitemap URL',
    'Hourly' => 'Hourly',
    'Priority' => 'Priority',
    'Music Album' => 'Music Album',
    'The name of the entity that #{websiteVerb} the website' => 'The name of the entity that #{websiteVerb} the website',
    'General Tab' => 'General Tab',
    'This sitemap has not been generated yet.' => 'This sitemap has not been generated yet.',
    'The Facebook OpenGraph Title is displayed in bold at the top of your Facebook card. Make sure it is a pithy summary of your webpage.' => 'The Facebook OpenGraph Title is displayed in bold at the top of your Facebook card. Make sure it is a pithy summary of your webpage.',
    'Whether the `humans.txt` template should be rendered' => 'Whether the `humans.txt` template should be rendered',
    'Controls a limit to how many entries will be in this sitemap. The sitemap entries will be sorted by modification date.' => 'Controls a limit to how many entries will be in this sitemap. The sitemap entries will be sorted by modification date.',
    'Sitemap Enabled' => 'Sitemap Enabled',
    'The gender of the person' => 'The gender of the person',
    'Slack' => 'Slack',
    'Environment' => 'Environment',
    'The server environment, either `live`, `staging`, or `local`. If `devMode` is on, SEOmatic will override this setting to `local` Development.' => 'The server environment, either `live`, `staging`, or `local`. If `devMode` is on, SEOmatic will override this setting to `local` Development.',
    'The transform mode to use for the SEO Image Transform.' => 'The transform mode to use for the SEO Image Transform.',
    'last for 30 seconds in local dev, so it is' => 'last for 30 seconds in local dev, so it is',
    'Whether the `robots.txt` template should be rendered' => 'Whether the `robots.txt` template should be rendered',
    'Facebook OpenGraph Description' => 'Facebook OpenGraph Description',
    'Social Media' => 'Social Media',
    'X (Twitter) Image Description' => 'X (Twitter) Image Description',
    'Transform SEO Image' => 'Transform SEO Image',
    'Add the custom sitemaps below.' => 'Add the custom sitemaps below.',
    'Max SEO Description Length' => 'Max SEO Description Length',
    'Discord' => 'Discord',
    'Site Name' => 'Site Name',
    'Controls a how deep to go into a Structure when adding URLs into the sitemap.' => 'Controls a how deep to go into a Structure when adding URLs into the sitemap.',
    'SEO Description Source' => 'SEO Description Source',
    'X (Twitter) descriptions are displayed below the X (Twitter) Title in your X (Twitter) Cards. Use them to provide a summary of what your page is about.' => 'X (Twitter) descriptions are displayed below the X (Twitter) Title in your X (Twitter) Cards. Use them to provide a summary of what your page is about.',
    'General Info' => 'General Info',
    'The locality of the entity that #{websiteVerb} the website, e.g.: Portchester' => 'The locality of the entity that #{websiteVerb} the website, e.g.: Portchester',
    'Content SEO' => 'Content SEO',
    'Source Field' => 'Source Field',
    'Fit' => 'Fit',
    'If `devMode` is on, prefix the Control Panel &lt;title&gt; with this string' => 'If `devMode` is on, prefix the Control Panel &lt;title&gt; with this string',
    'Transform Facebook OpenGraph Image' => 'Transform Facebook OpenGraph Image',
    'Video Sitemap Property' => 'Video Sitemap Property',
    'Same as Site X (Twitter) Handle' => 'Same as Site X (Twitter) Handle',
    'If you are seeing this in local dev or an' => 'If you are seeing this in local dev or an',
    'Add Social Media Preview Target' => 'Add Social Media Preview Target',
    'Controls whether to add the Google, X (Twitter), Facebook, etc. social media previews as a Preview Target.' => 'Controls whether to add the Google, X (Twitter), Facebook, etc. social media previews as a Preview Target.',
    'Controls whether to display the Google, X (Twitter), Facebook, etc. social media previews in the sidebar on entry, category, and product pages.' => 'Controls whether to display the Google, X (Twitter), Facebook, etc. social media previews in the sidebar on entry, category, and product pages.',
    'The `{settingsEnv}` [SEOmatic Environment]({settingsUrl}) setting has been overriden to `{env}`, because the `devMode` config setting is enabled. Tracking scripts are disabled, and the `robots` tag is set to `none` to prevent search engine indexing.' => 'The `{settingsEnv}` [SEOmatic Environment]({settingsUrl}) setting has been overriden to `{env}`, because the `devMode` config setting is enabled. Tracking scripts are disabled, and the `robots` tag is set to `none` to prevent search engine indexing.',
    'The `{settingsEnv}` [SEOmatic Environment]({settingsUrl}) setting has been overriden to `{env}`, because the `.env` setting `ENVIRONMENT` is set to `{envVar}`. {additionalMessage}' => 'The `{settingsEnv}` [SEOmatic Environment]({settingsUrl}) setting has been overriden to `{env}`, because the `.env` setting `ENVIRONMENT` is set to `{envVar}`. {additionalMessage}',
    'Should the Canonical URL be automatically lower-cased?' => 'Should the Canonical URL be automatically lower-cased?',
    'This is overridden by the `config/seomatic.php` config setting' => 'This is overridden by the `config/seomatic.php` config setting',
    'Lowercase Canonical URL' => 'Lowercase Canonical URL',
    'Site URL Override' => 'Site URL Override',
    'SEOmatic uses the Craft `siteUrl` to generate the external URLs.  If you are using it in a non-standard environment, such as a headless GraphQL or ElementAPI server, you can override what it uses for the `siteUrl` below.' => 'SEOmatic uses the Craft `siteUrl` to generate the external URLs.  If you are using it in a non-standard environment, such as a headless GraphQL or ElementAPI server, you can override what it uses for the `siteUrl` below.',
    'Appearance' => 'Appearance',
    'Titles' => 'Titles',
    'Invalid sort field specified.' => 'Invalid sort field specified.',
    'Tags' => 'Tags',
    'Account' => 'Account',
    'Should sitemaps be submitted to search engines automatically whenever there are changes?' => 'Should sitemaps be submitted to search engines automatically whenever there are changes?',
    'Controls whether SEOmatic will automatically include `hreflang` tags on paginated pages. [Learn More](https://moz.com/community/q/hreflang-alternate-pagination)' => 'Controls whether SEOmatic will automatically include `hreflang` tags on paginated pages. [Learn More](https://moz.com/community/q/hreflang-alternate-pagination)',
    'Submit Sitemap Changes' => 'Submit Sitemap Changes',
    'Include Paginated `hreflang` Tags' => 'Include Paginated `hreflang` Tags',
    '1 hour' => '1 hour',
    'Advanced' => 'Advanced',
    'Meta Cache Duration' => 'Meta Cache Duration',
    'The duration of the SEOmatic meta cache. The default Unlimited setting is typically desired, as SEOmatic will break the cache as needed. If `devMode` is on, caches last 30 seconds.' => 'The duration of the SEOmatic meta cache. The default Unlimited setting is typically desired, as SEOmatic will break the cache as needed. If `devMode` is on, caches last 30 seconds.',
    'Whether anonymous access to the Meta Container endpoint should be allowed' => 'Whether anonymous access to the Meta Container endpoint should be allowed',
    '1 day' => '1 day',
    'Endpoints' => 'Endpoints',
    '1 month' => '1 month',
    'Meta Container Endpoint Access' => 'Meta Container Endpoint Access',
    '1 year' => '1 year',
    'Whether URLs to alternate translations should be included in the sitemap' => 'Whether URLs to alternate translations should be included in the sitemap',
    'Whether anonymous access to the JSON-LD endpoint should be allowed' => 'Whether anonymous access to the JSON-LD endpoint should be allowed',
    'Unlimited' => 'Unlimited',
    'JSON-LD Endpoint Access' => 'JSON-LD Endpoint Access',
    '1 week' => '1 week',
    'SEO File Link Endpoint Access' => 'SEO File Link Endpoint Access',
    'The Referrer setting controls how much referrer information (sent via the Referer header) should be included with requests. [Learn More](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Referrer-Policy)' => 'The Referrer setting controls how much referrer information (sent via the Referer header) should be included with requests. [Learn More](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Referrer-Policy)',
    'This query is used to query for SEOmatic meta data.' => 'This query is used to query for SEOmatic meta data.',
    'Referrer' => 'Referrer',
    'Content Security Policy' => 'Content Security Policy',
    'Response Headers' => 'Response Headers',
    'Determines whether the SEO File Link endpoint should be enabled for anonymous frontend access' => 'Determines whether the SEO File Link endpoint should be enabled for anonymous frontend access',
    'Meta Tags' => 'Meta Tags',
    'X (Twitter) Site Name Position' => 'X (Twitter) Site Name Position',
    'For the `facebook-domain-verification` tag. Only enter the code in the `content=\'\'`, not the entire tag. [Learn More](https://developers.facebook.com/docs/sharing/domain-verification/verifying-your-domain/#meta-tags)' => 'For the `facebook-domain-verification` tag. Only enter the code in the `content=\'\'`, not the entire tag. [Learn More](https://developers.facebook.com/docs/sharing/domain-verification/verifying-your-domain/#meta-tags)',
    'Seomatic' => 'Seomatic',
    'Facebook Site Verification' => 'Facebook Site Verification',
    'Should Title tags be truncated at the max length, on word boundaries?' => 'Should Title tags be truncated at the max length, on word boundaries?',
    'Query Seomatic data' => 'Query Seomatic data',
    'Manually Set SEOmatic Environment' => 'Manually Set SEOmatic Environment',
    'Should Description tags be truncated at the max length, on word boundaries?' => 'Should Description tags be truncated at the max length, on word boundaries?',
    'Truncate Description Tags' => 'Truncate Description Tags',
    'Truncate Title Tags' => 'Truncate Title Tags',
    'SEO Settings fields' => 'SEO Settings fields',
    'Learn More' => 'Learn More',
    'The search engine friendly URL that you want the search engines to treat as authoritative.' => 'The search engine friendly URL that you want the search engines to treat as authoritative.',
    'The [SEO Settings]({url}) fields now feature **Override** lightswitches next to each setting, letting you explicitly override SEO settings on a per-entry basis.' => 'The [SEO Settings]({url}) fields now feature **Override** lightswitches next to each setting, letting you explicitly override SEO settings on a per-entry basis.',
    'Override' => 'Override',
    'Include Homepage in Breadcrumbs' => 'Include Homepage in Breadcrumbs',
    'Should the homepage be included in the generated Breadcrumbs JSON-LD?' => 'Should the homepage be included in the generated Breadcrumbs JSON-LD?',
    'Exclude Non-Canonical URLs' => 'Exclude Non-Canonical URLs',
    '[security.txt](https://securitytxt.org/) defines a standard to help organizations define the process for security researchers to disclose security vulnerabilities securely' => '[security.txt](https://securitytxt.org/) defines a standard to help organizations define the process for security researchers to disclose security vulnerabilities securely',
    'Should items where the entry URL doesn\'t match the canonical URL be excluded?' => 'Should items where the entry URL doesn\'t match the canonical URL be excluded?',
    'View security.txt' => 'View security.txt',
    'Whether the `security.txt` template should be rendered' => 'Whether the `security.txt` template should be rendered',
    'Security.txt Template' => 'Security.txt Template',
    'Security.txt Enabled' => 'Security.txt Enabled',
    'Security' => 'Security',
    'SEO [best practices](https://www.searchenginejournal.com/google-dont-mix-noindex-relcanonical/262607) are to have `canonical` links not appear on pages that are not intended to be indexed. SEOmatic does this for you by default, but you can override that behavior with this setting' => 'SEO [best practices](https://www.searchenginejournal.com/google-dont-mix-noindex-relcanonical/262607) are to have `canonical` links not appear on pages that are not intended to be indexed. SEOmatic does this for you by default, but you can override that behavior with this setting',
    'If off, SEOmatic will automatically attempt to determine the current environment. If `devMode` is on, SEOmatic will default to `local` Development. Turn this on to manually set the environment.' => 'If off, SEOmatic will automatically attempt to determine the current environment. If `devMode` is on, SEOmatic will default to `local` Development. Turn this on to manually set the environment.',
    'This is set manually by the "Manually Set SEOmatic Environment" plugin setting' => 'This is set manually by the "Manually Set SEOmatic Environment" plugin setting',
    'The server environment, either `live`, `staging`, or `local`.' => 'The server environment, either `live`, `staging`, or `local`.',
    'Script Tag Attributes' => 'Script Tag Attributes',
    'File format not allowed.' => 'File format not allowed.',
    'Attribute Name' => 'Attribute Name',
    'Attribute Value' => 'Attribute Value',
    'Always include `canonical` links regardless of environment' => 'Always include `canonical` links regardless of environment',
    'Do not show a sitelinks search box in the search results for this page.' => 'Do not show a sitelinks search box in the search results for this page.',
    'Google is allowed to index the content of a page if it\'s embedded in another page through iframes or similar HTML tags, in spite of a noindex directive.' => 'Google is allowed to index the content of a page if it\'s embedded in another page through iframes or similar HTML tags, in spite of a noindex directive.',
    'No image preview is to be shown.' => 'No image preview is to be shown.',
    'Do not show this page, media, or resource in search results.' => 'Do not show this page, media, or resource in search results.',
    'There are no restrictions for indexing or serving. (default)' => 'There are no restrictions for indexing or serving. (default)',
    'Google will choose the snippet length that it believes is most effective. (default)' => 'Google will choose the snippet length that it believes is most effective. (default)',
    'Don\'t offer translation of this page in search results.' => 'Don\'t offer translation of this page in search results.',
    'Do not index images on this page.' => 'Do not index images on this page.',
    'Do not follow the links on this page.' => 'Do not follow the links on this page.',
    'The robots meta tag lets you utilize a granular, page-specific approach to controlling how an individual page should be indexed and served to users in search results. [Learn More](https://developers.google.com/search/docs/crawling-indexing/robots-meta-tag)' => 'The robots meta tag lets you utilize a granular, page-specific approach to controlling how an individual page should be indexed and served to users in search results. [Learn More](https://developers.google.com/search/docs/crawling-indexing/robots-meta-tag)',
    'There is no limit. (default)' => 'There is no limit. (default)',
    'Do not show a text snippet or video preview in the search results for this page.' => 'Do not show a text snippet or video preview in the search results for this page.',
    'A default image preview may be shown. (default)' => 'A default image preview may be shown. (default)',
    'Do not show a cached link in search results.' => 'Do not show a cached link in search results.',
    'A larger image preview, up to the width of the viewport, may be shown.' => 'A larger image preview, up to the width of the viewport, may be shown.',
    'No snippet is to be shown. Equivalent to nosnippet.' => 'No snippet is to be shown. Equivalent to nosnippet.',
    'At most, a static image may be used, in accordance to the max-image-preview setting.' => 'At most, a static image may be used, in accordance to the max-image-preview setting.',
    'Equivalent to noindex, nofollow.' => 'Equivalent to noindex, nofollow.',
    'SEOmatic schema caches' => 'SEOmatic schema caches',
    'Google rich result' => 'Google rich result',
    'pending' => 'pending',
    'Google rich snippets file not found' => 'Google rich snippets file not found',
    ' Choose as general or specific of an schema.org entity type as you wish.' => ' Choose as general or specific of an schema.org entity type as you wish.',
    'Universal Analytics (which is used on this site via the SEOmatic plugin) is being [discontinued on July 1st, 2023]({url}). You should use Google gtag.js or Google Tag Manager instead and transition to a new GA4 property.' => 'Universal Analytics (which is used on this site via the SEOmatic plugin) is being [discontinued on July 1st, 2023]({url}). You should use Google gtag.js or Google Tag Manager instead and transition to a new GA4 property.',
    'Google Universal Analytics deprecated' => 'Google Universal Analytics deprecated',
    'X (Twitter) username for the website used in the card footer, without the preceding @.' => 'X (Twitter) username for the website used in the card footer, without the preceding @.',
    'Whether the X (Twitter) image should be automatically transformed to an appropriate file format and aspect ratio for the chosen Twitter Card type.' => 'Whether the X (Twitter) image should be automatically transformed to an appropriate file format and aspect ratio for the chosen Twitter Card type.',
    'Twitter' => 'Twitter',
    'The Site URL Override is overriden as an array for a multi-site setup in the `config/seomatic.php` file.' => 'The Site URL Override is overriden as an array for a multi-site setup in the `config/seomatic.php` file.',
    'SEOmatic Debug Toolbar Panel' => 'SEOmatic Debug Toolbar Panel',
    'Determines whether the SEOmatic debug toolbar panel should be added to the Yii2 debug toolbar.' => 'Determines whether the SEOmatic debug toolbar panel should be added to the Yii2 debug toolbar.',
    'Whether this sitemap is a [news sitemap](https://developers.google.com/search/docs/crawling-indexing/sitemaps/news-sitemap), and should include news entries for items published within the last 2 days' => 'Whether this sitemap is a [news sitemap](https://developers.google.com/search/docs/crawling-indexing/sitemaps/news-sitemap), and should include news entries for items published within the last 2 days',
    'Whether this sitemap is a [news sitemap](https://developers.google.com/search/docs/crawling-indexing/sitemaps/news-sitemap), and should include `<news:news>` entries for items published within the last 2 days' => 'Whether this sitemap is a [news sitemap](https://developers.google.com/search/docs/crawling-indexing/sitemaps/news-sitemap), and should include `<news:news>` entries for items published within the last 2 days',
    'Whether this sitemap is a news sitemap, and should include news entries for items published within the last 2 days' => 'Whether this sitemap is a news sitemap, and should include news entries for items published within the last 2 days',
    'News Publication Name' => 'News Publication Name',
    'News Sitemap' => 'News Sitemap',
    'The name of the news publication. It must exactly match the name as it appears on your articles on [news.google.com](https://news.google.com), omitting anything in parentheses.' => 'The name of the news publication. It must exactly match the name as it appears on your articles on [news.google.com](https://news.google.com), omitting anything in parentheses.',
    'Body End - before the </body> tag' => 'Body End - before the </body> tag',
    'Determines where in the `<body>` the script renders.' => 'Determines where in the `<body>` the script renders.',
    'The script that will render in the `<body>`. Note that this script will not render in `local` development or `staging` environments.' => 'The script that will render in the `<body>`. Note that this script will not render in `local` development or `staging` environments.',
    'Head - in the <head> tag' => 'Head - in the <head> tag',
    'Additional attributes to add to the `<script>` tag' => 'Additional attributes to add to the `<script>` tag',
    'Body Begin - after the <body> tag ' => 'Body Begin - after the <body> tag ',
    'The Asset Transform that should be applied to images before they are added to the sitemap.' => 'The Asset Transform that should be applied to images before they are added to the sitemap.',
    'Asset Transform for Images' => 'Asset Transform for Images',
    'Sitemap Asset Transform' => 'Sitemap Asset Transform',
    'Controls whether SEOmatic will use `hreflang` tags that point to the paginated page rather than the root page on paginated pages. [Learn More](https://moz.com/community/q/hreflang-alternate-pagination)' => 'Controls whether SEOmatic will use `hreflang` tags that point to the paginated page rather than the root page on paginated pages. [Learn More](https://moz.com/community/q/hreflang-alternate-pagination)',
    'Primary' => 'Primary',
    'Controls how many entries will there be per page in this sitemap. If there are more entries than this in the sitemap, they will be paginated in additional sitemap indexes.' => 'Controls how many entries will there be per page in this sitemap. If there are more entries than this in the sitemap, they will be paginated in additional sitemap indexes.',
    'An alternate public name for the website. This is used in the JSON-LD for the homepage, if the MainEntityOfPage is WebPage or WebSite.' => 'An alternate public name for the website. This is used in the JSON-LD for the homepage, if the MainEntityOfPage is WebPage or WebSite.',
    'Controls whether sitemap caches will automatically be invalidated when entries are saved.' => 'Controls whether sitemap caches will automatically be invalidated when entries are saved.',
    'Site Alternate Name' => 'Site Alternate Name',
    'Invalidate Sitemap Caches Automatically' => 'Invalidate Sitemap Caches Automatically',
    'View first page of #{currentSourceBundleType |capitalize} Sitemap' => 'View first page of #{currentSourceBundleType |capitalize} Sitemap',
    'Sitemap Page Size' => 'Sitemap Page Size',
    'The public name of the website; this is appended to the page title by default. This is also used in the JSON-LD for the homepage, if the MainEntityOfPage is WebPage or WebSite.' => 'The public name of the website; this is appended to the page title by default. This is also used in the JSON-LD for the homepage, if the MainEntityOfPage is WebPage or WebSite.',
    'SEO Preview:' => 'SEO Preview:',
    'Controls how many entries will there be per page in this sitemap.' => 'Controls how many entries will there be per page in this sitemap.',
    'Controls whether sitemaps will automatically be invalidated when entries are saved.' => 'Controls whether sitemaps will automatically be invalidated when entries are saved.',
];
