<?php

declare(strict_types=1);

namespace PhpScience\TextRank\Tool\StopWords;

/**
 * Class Arabic
 *
 * @package PhpScience\TextRank\Tool\StopWords
 */
class Arabic extends StopWordsAbstract
{
    /**
     * Stop words for avoid dummy keywords for Language Arabic.
     *
     * @var array
     */

    protected $words = [
        'يوم',
        'يمكن',
        'يكون',
        'وهي',
        'وهو',
        'ومن',
        'ولم',
        'ولا',
        'وكانت',
        'وكان',
        'وقف',
        'وقد',
        'وقالت',
        'وقال',
        'وفي',
        'واوضح',
        'وان',
        'واكد',
        'واضافت',
        'واضاف',
        'واحد',
        'و',
        'هي',
        'هو',
        'هناك',
        'هذه',
        'هذا',
        'نهاية',
        'نفسه',
        'نحو',
        'منها',
        'منذ',
        'من',
        'مليون',
        'مليار',
        'مقابل',
        'مع',
        'مساء',
        'مايو',
        'ما',
        'لوكالة',
        'لها',
        'له',
        'لن',
        'لم',
        'للامم',
        'لكن',
        'لقاء',
        'لدى',
        'لا',
        'كما',
        'كلم',
        'كل',
        'كانت',
        'كان',
        'قوة',
        'قد',
        'قبل',
        'قال',
        'فيها',
        'فيه',
        'فى',
        'في',
        'فان',
        'ف',
        'غير',
        'غدا',
        'عندما',
        'عند',
        'عن',
        'عليها',
        'عليه',
        'على',
        'عشرة',
        'عشر',
        'عدم',
        'عدد',
        'عدة',
        'عاما',
        'عام',
        'ضمن',
        'ضد',
        'صفر',
        'صباح',
        'شخصا',
        'سنوات',
        'سنة',
        'زيارة',
        'ذلك',
        'دون',
        'خلال',
        'حين',
        'حيث',
        'حول',
        'حوالى',
        'حتى',
        'حاليا',
        'جميع',
        'ثم',
        'ثلاثة',
        'تم',
        'بين',
        'بها',
        'به',
        'بن',
        'بعض',
        'بعد',
        'بشكل',
        'بسبب',
        'برس',
        'بان',
        'باسم',
        'ب',
        'ايضا',
        'ايام',
        'ايار',
        'اي',
        'اول',
        'او',
        'انها',
        'انه',
        'ان',
        'امس',
        'امام',
        'اما',
        'اليوم',
        'الى',
        'الوقت',
        'المقبل',
        'الماضي',
        'الف',
        'السابق',
        'الذين',
        'الذى',
        'الذي',
        'الذاتي',
        'الثانية',
        'الثاني',
        'التى',
        'التي',
        'الاولى',
        'الاول',
        'الان',
        'الاخيرة',
        'الا',
        'اكد',
        'اكثر',
        'اف',
        'اعلنت',
        'اعادة',
        'اطار',
        'اربعة',
        'اذا',
        'اخرى',
        'احد',
        'اجل',
        'اثر',
        'ا',
        'أ',
        'ـ'
    ];
}
