<?php
/**
 * Freeform for Craft CMS.
 *
 * @author        Solspace, Inc.
 * @copyright     Copyright (c) 2008-2024, Solspace, Inc.
 *
 * @see           https://docs.solspace.com/craft/freeform
 *
 * @license       https://docs.solspace.com/license-agreement
 */

return [
    // Form Builder
    // Form Builder // Form Cards
    'Submissions' => 'Submissions',
    'Spam' => 'Spam',
    'Survey Results' => 'Survey Results',
    'Move' => 'Move',
    'Duplicate this Form' => 'Duplicate this Form',
    'Delete this Form' => 'Delete this Form',
    'Are you sure you want to delete this form?' => 'Are you sure you want to delete this form?',
    'Add new Form' => 'Add new Form',
    'Create a new Form' => 'Create a new Form',
    'Form Name' => 'Form Name',
    'All submissions for this form will be stored in the database.' => 'All submissions for this form will be stored in the database.',

    // Form Builder // Universal
    'Forms' => 'Forms',
    'Cancel' => 'Cancel',
    'Saving' => 'Saving',
    'Save' => 'Save',
    'Close' => 'Close',
    'Enabled' => 'Enabled',
    'empty' => 'empty',
    'Loading data' => 'Loading data',
    'There were problems saving the form.' => 'There were problems saving the form.',
    'Form saved successfully.' => 'Form saved successfully.',
    'This value is required.' => 'This value is required.',
    'Value is not a valid handle.' => 'Value is not a valid handle.',
    'Name cannot be empty' => 'Name cannot be empty',

    // Form Builder // Layout
    'Layout' => 'Layout',
    'Drag or click fields to add them to the layout' => 'Drag or click fields to add them to the layout',
    'Are you sure?' => 'Are you sure?',
    'Conditional rules are applied to this field' => 'Conditional rules are applied to this field',
    'Email notifications are applied to this field' => 'Email notifications are applied to this field',
    'Integrations are applied to this field' => 'Integrations are applied to this field',
    'This HTML field has not been configured yet.' => 'This HTML field has not been configured yet.',
    'This Rich Text field has not been configured yet.' => 'This Rich Text field has not been configured yet.',

    // Form Builder // Layout // Field Managers
    'Search' => 'Search',
    'Favorite Fields' => 'Favorite Fields',
    'Favorites' => 'Favorites',
    'Edit Favorites' => 'Edit Favorites',
    'Field Types' => 'Field Types',
    'Edit Manager' => 'Edit Manager',
    'Field Type Manager' => 'Field Type Manager',
    'Add Group' => 'Add Group',
    'Something went wrong!' => 'Something went wrong!',
    'Drag and drop any field here' => 'Drag and drop any field here',
    'Unassigned' => 'Unassigned',
    'Drag and drop any fields here. Unassigned fields will display at the bottom of the list of field types.' => 'Drag and drop any fields here. Unassigned fields will display at the bottom of the list of field types.',
    'Drag and drop any fields here to hide them.' => 'Drag and drop any fields here to hide them.',
    'Fields from other Forms' => 'Fields from other Forms',

    // Form Builder // Layout // Property Editor
    'Label' => 'Label',
    'Field label used to describe the field' => 'Field label used to describe the field',
    'Handle' => 'Handle',
    "How you'll refer to this field in templates" => "How you'll refer to this field in templates",
    'Instructions' => 'Instructions',
    'Field specific user instructions' => 'Field specific user instructions',
    'Placeholder' => 'Placeholder',
    "The text that will be shown if the field doesn't have a value" => "The text that will be shown if the field doesn't have a value",
    'Require this field' => 'Require this field',
    'Configuration' => 'Configuration',
    'Default value' => 'Default value',
    'Enter a default value for this field' => 'Enter a default value for this field',
    'Max Length' => 'Max Length',
    'The maximum number of characters allowed in the field.' => 'The maximum number of characters allowed in the field.',
    'Rows' => 'Rows',
    'The number of rows in height for this field.' => 'The number of rows in height for this field.',
    'Allow Twig' => 'Allow Twig',
    'Used to enable Twig in HTML blocks' => 'Used to enable Twig in HTML blocks',
    'HTML' => 'HTML',
    'The HTML content to be rendered' => 'The HTML content to be rendered',
    'Content' => 'Content',
    'Checked by default' => 'Checked by default',
    'Scales' => 'Scales',
    'The options a user can choose from.' => 'The options a user can choose from.',
    'Legends' => 'Legends',
    'Descriptions of options or ranges of options (does not need to match the number of options available).' => 'Descriptions of options or ranges of options (does not need to match the number of options available).',
    'Width of Pad' => 'Width of Pad',
    'Specify a value in pixels.' => 'Specify a value in pixels.',
    'Height of Pad' => 'Height of Pad',
    "Show 'Clear' button" => "Show 'Clear' button",
    'Allows user to erase and start over.' => 'Allows user to erase and start over.',
    'Border color of Pad' => 'Border color of Pad',
    'Background color of Pad' => 'Background color of Pad',
    'Pen color' => 'Pen color',
    'Pen dot size' => 'Pen dot size',
    'The size of the dot when drawing on the pad.' => 'The size of the dot when drawing on the pad.',
    'Use date, time or both.' => 'Use date, time or both.',
    'Date & Time' => 'Date & Time',
    'Date' => 'Date',
    'Time' => 'Time',
    'Initial value' => 'Initial value',
    "You can use 'now', 'today', '5 days ago', '2024-01-01 20:00:00', etc." => "You can use 'now', 'today', '5 days ago', '2024-01-01 20:00:00', etc.",
    'Force a locale' => 'Force a locale',
    "Uses the site's locale set in Craft by default. To force a different locale, specify a 2-digit language code, e.g. <code>fr</code>, <code>de</code>, etc." => "Uses the site's locale set in Craft by default. To force a different locale, specify a 2-digit language code, e.g. <code>fr</code>, <code>de</code>, etc.",
    'Use built-in datepicker' => 'Use built-in datepicker',
    'Use date format as placeholder' => 'Use date format as placeholder',
    'Date Settings' => 'Date Settings',
    'Date order' => 'Date order',
    'Choose the order in which to show day, month and year.' => 'Choose the order in which to show day, month and year.',
    'Four digit year' => 'Four digit year',
    'Leading zero on date' => 'Leading zero on date',
    'Include a leading zero for day and month numbers.' => 'Include a leading zero for day and month numbers.',
    'Date separator' => 'Date separator',
    'Used to separate date values.' => 'Used to separate date values.',
    'Minimum date' => 'Minimum date',
    "You can use 'now', 'today', '5 days ago', '2024-01-01 20:00:00', etc." => "You can use 'now', 'today', '5 days ago', '2024-01-01 20:00:00', etc.",
    'Maximum date' => 'Maximum date',
    'Time Settings' => 'Time Settings',
    '24h clock' => '24h clock',
    'Clock Separator' => 'Clock Separator',
    'Used to separate clock values.' => 'Used to separate clock values.',
    'Separate AM/PM with a space' => 'Separate AM/PM with a space',
    'Maximum Number of Stars' => 'Maximum Number of Stars',
    'Unselected Color' => 'Unselected Color',
    'Hover Color' => 'Hover Color',
    'Selected Color' => 'Selected Color',
    'Pattern validation' => 'Pattern validation',
    "Use '0' (a digit between 0-9) and other characters, e.g. '(000) 000-0000' or '+0 0000 000000'." => "Use '0' (a digit between 0-9) and other characters, e.g. '(000) 000-0000' or '+0 0000 000000'.",
    'Use built-in javascript validation on pattern' => 'Use built-in javascript validation on pattern',
    'Allow negative numbers' => 'Allow negative numbers',
    'Min/Max Values' => 'Min/Max Values',
    'The minimum and/or maximum numeric value this field is allowed to have (optional).' => 'The minimum and/or maximum numeric value this field is allowed to have (optional).',
    'Min' => 'Min',
    'Max' => 'Max',
    'Decimal Count' => 'Decimal Count',
    'The number of decimal places allowed.' => 'The number of decimal places allowed.',
    'Step' => 'Step',
    'The step' => 'The step',
    'Calculation Logic' => 'Calculation Logic',
    'Input Type' => 'Input Type',
    'Regular Text Input' => 'Regular Text Input',
    'Plain Text' => 'Plain Text',
    'Hidden' => 'Hidden',
    'Insert Field' => 'Insert Field',
    'or type <mark>@</mark> to search on field handles' => 'or type <mark>@</mark> to search on field handles',
    'Supported Operators Reference Guide' => 'Supported Operators Reference Guide',
    'Arithmetic' => 'Arithmetic',
    'Bitwise' => 'Bitwise',
    'Logical' => 'Logical',
    'Comparison' => 'Comparison',
    'Array' => 'Array',
    'Ternary' => 'Ternary',
    'String' => 'String',
    'Numeric' => 'Numeric',
    'Select a Stripe integration to use for this field.' => 'Select a Stripe integration to use for this field.',
    'No integration selected.' => 'No integration selected.',
    'Description' => 'Description',
    'Enter a description for this payment. You can use the <code>form</code> object in twig.' => 'Enter a description for this payment. You can use the <code>form</code> object in twig.',
    'Payment Type' => 'Payment Type',
    'Single' => 'Single',
    'Subscription' => 'Subscription',
    'Payment Amount' => 'Payment Amount',
    'Payment Amount Type' => 'Payment Amount Type',
    'Fixed' => 'Fixed',
    'Dynamic' => 'Dynamic',
    'Enter the amount you want to charge for this payment.' => 'Enter the amount you want to charge for this payment.',
    'Payment Amount Field' => 'Payment Amount Field',
    'Select a Number field which will determine the payment amount.' => 'Select a Number field which will determine the payment amount.',
    'Payment Currency' => 'Payment Currency',
    'Subscription Product Name' => 'Subscription Product Name',
    'Enter the name of the product you want to subscribe to. You can use the <code>form</code> and <code>integration</code> objects in twig.' => 'Enter the name of the product you want to subscribe to. You can use the <code>form</code> and <code>integration</code> objects in twig.',
    'Subscription Interval Type' => 'Subscription Interval Type',
    'Static' => 'Static',
    'Subscription Interval' => 'Subscription Interval',
    'Day' => 'Day',
    'Week' => 'Week',
    'Month' => 'Month',
    'Year' => 'Year',
    'Subscription Interval Field' => 'Subscription Interval Field',
    'Select a field which will determine the interval. (Available values: <code>year</code>, <code>month</code>, <code>week</code>, <code>day</code>)' => 'Select a field which will determine the interval. (Available values: <code>year</code>, <code>month</code>, <code>week</code>, <code>day</code>)',
    'Subscription Interval Count Type' => 'Subscription Interval Count Type',
    'Interval Count' => 'Interval Count',
    'Enter the number of intervals between each subscription payment. If using interval <code>month</code> and count <code>3</code>, the subscription will be charged every 3 months.' => 'Enter the number of intervals between each subscription payment. If using interval <code>month</code> and count <code>3</code>, the subscription will be charged every 3 months.',
    'Subscription Interval Count Field' => 'Subscription Interval Count Field',
    'Select a field which will determine the interval count.' => 'Select a field which will determine the interval count.',
    'Redirect after payment' => 'Redirect after payment',
    'Successful Payment Redirect' => 'Successful Payment Redirect',
    'Enter a URL to redirect to after a successful payment. You can use the <code>form</code>, <code>submission</code> and <code>paymentIntent</code> objects in twig.' => 'Enter a URL to redirect to after a successful payment. You can use the <code>form</code>, <code>submission</code> and <code>paymentIntent</code> objects in twig.',
    'Failed Payment Redirect' => 'Failed Payment Redirect',
    'Enter a URL to redirect to after a failed payment. You can use the <code>form</code> and <code>paymentIntent</code> objects in twig.' => 'Enter a URL to redirect to after a failed payment. You can use the <code>form</code> and <code>paymentIntent</code> objects in twig.',
    'Appearance' => 'Appearance',
    'Theme' => 'Theme',
    'Choose the base theme to be used for styling the appearance of the Stripe field. Styles can be further fine-tuned at template-level using JS overrides.' => 'Choose the base theme to be used for styling the appearance of the Stripe field. Styles can be further fine-tuned at template-level using JS overrides.',
    'Default' => 'Default',
    'Dark' => 'Dark',
    'Minimal' => 'Minimal',
    'Choose the layout for the Stripe field.' => 'Choose the layout for the Stripe field.',
    'Tabs' => 'Tabs',
    'Accordion with radio buttons' => 'Accordion with radio buttons',
    'Accordion without radio buttons' => 'Accordion without radio buttons',
    'Floating Labels' => 'Floating Labels',
    'File Count' => 'File Count',
    'Specify the maximum uploadable file count.' => 'Specify the maximum uploadable file count.',
    'Asset Source' => 'Asset Source',
    'Select an asset source to be able to store user uploaded files.' => 'Select an asset source to be able to store user uploaded files.',
    'Upload Location' => 'Upload Location',
    'The subfolder path that files should be uploaded to. May contain {{ form.handle }} or {{ form.id }} variables as well.' => 'The subfolder path that files should be uploaded to. May contain {{ form.handle }} or {{ form.id }} variables as well.',
    'File Kinds' => 'File Kinds',
    'Select the file kinds that are allowed to be uploaded.' => 'Select the file kinds that are allowed to be uploaded.',
    'Maximum File Size' => 'Maximum File Size',
    'Specify the maximum file size, in KB.' => 'Specify the maximum file size, in KB.',
    'Accent Color' => 'Accent Color',
    'Select accent color' => 'Select accent color',
    'Select theme' => 'Select theme',
    'Light' => 'Light',
    'Target field' => 'Target field',
    'The field that should be matched and validated against.' => 'The field that should be matched and validated against.',
    'Select a field' => 'Select a field',
    'Pattern' => 'Pattern',
    'Enter any regex pattern here.' => 'Enter any regex pattern here.',
    'Error Message' => 'Error Message',
    "The message a user should receive if an incorrect value is given. It will replace any occurrences of '{{pattern}}' with the supplied regex pattern inside the message if any are found." => "The message a user should receive if an incorrect value is given. It will replace any occurrences of '{{pattern}}' with the supplied regex pattern inside the message if any are found.",
    'Table field has not been configured yet.' => 'Table field has not been configured yet.',
    'Table Layout' => 'Table Layout',
    'Use semicolon ";" separated values for dropdown options.' => 'Use semicolon ";" separated values for dropdown options.',
    'Use built-in javascript for adding and removing rows' => 'Use built-in javascript for adding and removing rows',
    'Maximum number of rows' => 'Maximum number of rows',
    'Set the maximum number of rows that can be added to the table.' => 'Set the maximum number of rows that can be added to the table.',
    'Add Button Label' => 'Add Button Label',
    'Set the label for the add button.' => 'Set the label for the add button.',
    'Add Button Markup' => 'Add Button Markup',
    'Set the markup for the add button.' => 'Set the markup for the add button.',
    'Remove Button Label' => 'Remove Button Label',
    'Set the label for the remove button.' => 'Set the label for the remove button.',
    'Remove Button Markup' => 'Remove Button Markup',
    'Set the markup for the remove button.' => 'Set the markup for the remove button.',
    'Min Length' => 'Min Length',
    'The minimum number of characters allowed in the field.' => 'The minimum number of characters allowed in the field.',
    'Use Character Variability' => 'Use Character Variability',
    'The field should contain at least one number, one lowercase letter, one uppercase letter, and one special character.' => 'The field should contain at least one number, one lowercase letter, one uppercase letter, and one special character.',
    'Source' => 'Source',
    'Choose type' => 'Choose type',
    'Search...' => 'Search...',
    'Custom' => 'Custom',
    'Elements' => 'Elements',
    'Type' => 'Type',
    'Site ID' => 'Site ID',
    'Section' => 'Section',
    'Asset Source' => 'Asset Source',
    'Group' => 'Group',
    'Option Label' => 'Option Label',
    'Option Value' => 'Option Value',
    'Order By' => 'Order By',
    'Sort' => 'Sort',
    'Ascending' => 'Ascending',
    'Descending' => 'Descending',
    'Predefined' => 'Predefined',
    'Empty Option Label (optional)' => 'Empty Option Label (optional)',
    'Options' => 'Options',
    'Click to edit data' => 'Click to edit data',
    'Not configured yet' => 'Not configured yet',
    'Use custom values' => 'Use custom values',
    'Value' => 'Value',
    'Press <b>enter</b> while editing a cell to add a new row.' => 'Press <b>enter</b> while editing a cell to add a new row.',
    'Are you sure? This will allow you to customize and reorder the options, but they will become out of sync with the Element or Predefined options currently configured.' => 'Are you sure? This will allow you to customize and reorder the options, but they will become out of sync with the Element or Predefined options currently configured.',
    'Add fields' => 'Add fields',
    'Drop a field here' => 'Drop a field here',
    'Show all options on one line' => 'Show all options on one line',
    'Convert to Custom Values' => 'Convert to Custom Values',
    'Attributes' => 'Attributes',
    'Advanced' => 'Advanced',
    'Encrypt field data' => 'Encrypt field data',
    'Field Type' => 'Field Type',
    'Change the type of this field.' => 'Change the type of this field.',
    'Are you sure? You might potentially lose important data.' => 'Are you sure? You might potentially lose important data.',
    'Button Group' => 'Button Group',
    'Button Layout' => 'Button Layout',
    'Submit' => 'Submit',
    'Enable Back Button' => 'Enable Back Button',
    'Back' => 'Back',
    'Enable Save Button' => 'Enable Save Button',
    'Redirect URL' => 'Redirect URL',
    'Specify the redirect URL when saving a form. You can use <code>token</code> and <code>key</code> variables to pass the submission token and key to the URL.' => 'Specify the redirect URL when saving a form. You can use <code>token</code> and <code>key</code> variables to pass the submission token and key to the URL.',
    'Email Notification Recipient' => 'Email Notification Recipient',
    'Select an email notification recipient.' => 'Select an email notification recipient.',
    'Select recipient...' => 'Select recipient...',
    'Email Notification Template' => 'Email Notification Template',
    'Select an email notification template.' => 'Select an email notification template.',

    // Form Builder // Notifications
    'Notifications' => 'Notifications',
    'No notifications found' => 'No notifications found',
    'To add a notification, use the sidebar on the left' => 'To add a notification, use the sidebar on the left',
    'Admin' => 'Admin',
    'Conditional' => 'Conditional',
    'User Select' => 'User Select',
    'Email Field' => 'Email Field',
    'None configured' => 'None configured',
    'New' => 'New',
    'Notification Template' => 'Notification Template',
    'Select an email notification template to use for this notification.' => 'Select an email notification template to use for this notification.',
    'Database' => 'Database',
    'Files' => 'Files',
    'Clear choice' => 'Clear choice',
    'New template' => 'New template',
    'Recipients' => 'Recipients',
    'List the recipients of this notification.' => 'List the recipients of this notification.',
    'Press <b>enter</b> while focusing an input to add a new set of inputs.' => 'Press <b>enter</b> while focusing an input to add a new set of inputs.',
    'Notification Rule' => 'Notification Rule',
    'Select a rule to use for this notification.' => 'Select a rule to use for this notification.',
    'Send' => 'Send',
    "Don't send" => "Don't send",
    'a notification when' => 'a notification when',
    'Select which field should be used to send the notification to.' => 'Select which field should be used to send the notification to.',
    'Select which field should be used to determine where to send the notification.' => 'Select which field should be used to determine where to send the notification.',
    'Default Notification Template' => 'Default Notification Template',
    'This notification template will be used as a default notification template for all values unless specified otherwise.' => 'This notification template will be used as a default notification template for all values unless specified otherwise.',
    'Please select...' => 'Please select...',
    'Default Recipients' => 'Default Recipients',
    'Specify recipients that should receive notifications if not specifically configured below.' => 'Specify recipients that should receive notifications if not specifically configured below.',
    'Recipient Mapping' => 'Recipient Mapping',
    'Specify recipients that should receive notifications based on the value of the target field.' => 'Specify recipients that should receive notifications based on the value of the target field.',
    'Use default template' => 'Use default template',
    'Add a custom value' => 'Add a custom value',
    'Loading Templates' => 'Loading Templates',
    'Creating a template' => 'Creating a template',

    // Form Builder // Rules
    'Rules' => 'Rules',
    'Please choose a field in the left panel' => 'Please choose a field in the left panel',
    'Add rules' => 'Add rules',
    'show' => 'show',
    'hide' => 'hide',
    'this field when' => 'this field when',
    'this button when' => 'this button when',
    'Go to this page when' => 'Go to this page when',
    'Submit form' => 'Submit form',
    'Submit this form when' => 'Submit this form when',
    'any' => 'any',
    'all' => 'all',
    'of the following rules match:' => 'of the following rules match:',
    'Choose field' => 'Choose field',
    'Select an option' => 'Select an option',
    'is equal to' => 'is equal to',
    'does not equal' => 'does not equal',
    'greater than' => 'greater than',
    'greater than or equal to' => 'greater than or equal to',
    'less than' => 'less than',
    'less than or equal to' => 'less than or equal to',
    'contains' => 'contains',
    'does not contain' => 'does not contain',
    'starts with' => 'starts with',
    'ends with' => 'ends with',
    'is empty' => 'is empty',
    'is not empty' => 'is not empty',
    'Add a condition' => 'Add a condition',

    // Form Builder // Integrations
    'Integrations' => 'Integrations',
    'single' => 'Single',
    'elements' => 'Elements',
    'email marketing' => 'Email Marketing',
    'crm' => 'CRM',
    'payment gateways' => 'Payment Gateways',
    'other' => 'Other',
    'captchas' => 'Captchas',
    'Attribute Mapping' => 'Attribute Mapping',
    'Field Mapping' => 'Field Mapping',
    'Do not map this field' => 'Do not map this field',
    'No data present' => 'No data present',
    'Twig code' => 'Twig code',
    'Freeform field' => 'Freeform field',
    'No integrations found' => 'No integrations found',
    'To add an integration, click the button below' => 'To add an integration, click the button below',
    'Add integration' => 'Add integration',

    // Form Builder // Integrations // GTM
    'Event Name' => 'Event Name',
    'Specify a custom event name to be triggered when the form is submitted.' => 'Specify a custom event name to be triggered when the form is submitted.',

    // Form Builder // Integrations // Honeypot
    'Honeypot' => 'Honeypot',
    'Custom Input Name' => 'Custom Input Name',
    "Enter a new value to rename the default Freeform Honeypot input name. The default is 'freeform_form_handle'." => "Enter a new value to rename the default Freeform Honeypot input name. The default is 'freeform_form_handle'.",
    'Custom Error Message' => 'Custom Error Message',
    'Enter a new value to change the default error message for the Freeform Honeypot. This is only applied if the Spam Behavior setting is set to Display Error Messages.' => 'Enter a new value to change the default error message for the Freeform Honeypot. This is only applied if the Spam Behavior setting is set to Display Error Messages.',

    // Form Builder // Integrations // JS Test
    'Javascript Test' => 'Javascript Test',
    "Enter a new value to rename the default Freeform Javascript Test input name. The default is 'freeform_check'." => "Enter a new value to rename the default Freeform Javascript Test input name. The default is 'freeform_check'.",
    'Enter a new value to change the default error message for the Freeform Javascript Test. This is only applied if the Spam Behavior setting is set to Display Error Messages.' => 'Enter a new value to change the default error message for the Freeform Javascript Test. This is only applied if the Spam Behavior setting is set to Display Error Messages.',

    // Form Builder // Integrations // Post Forwarding
    'Post Forwarding' => 'Post Forwarding',
    'URL' => 'URL',
    'Enter the URL where the POST request should be sent.' => 'Enter the URL where the POST request should be sent.',
    'Error Trigger' => 'Error Trigger',
    "Provide a keyword or phrase Freeform should check for in the output of the external POST URL to know if and when there's an error to log, e.g. 'error' or 'an error occurred'." => "Provide a keyword or phrase Freeform should check for in the output of the external POST URL to know if and when there's an error to log, e.g. 'error' or 'an error occurred'.",

    // Form Builder // Integrations // Elements
    'Users' => 'Users',
    'Activate Users' => 'Activate Users',
    'When enabled, new users will automatically be activated upon creation. Will be set to pending otherwise.' => 'When enabled, new users will automatically be activated upon creation. Will be set to pending otherwise.',
    'Send Activation Email' => 'Send Activation Email',
    'Users will receive a Craft email with activation details if this is enabled.' => 'Users will receive a Craft email with activation details if this is enabled.',
    'User Group' => 'User Group',
    'Select the user group to assign the user to.' => 'Select the user group to assign the user to.',
    'Entries' => 'Entries',
    'Entry Type' => 'Entry Type',
    'Select an entry type' => 'Select an entry type',
    'Select the Freeform fields to be mapped to the applicable Entry attributes' => 'Select the Freeform fields to be mapped to the applicable Entry attributes',
    'Select the Freeform fields to be mapped to the applicable custom Entry fields' => 'Select the Freeform fields to be mapped to the applicable custom Entry fields',

    // Form Builder // Integrations // Captchas
    'Only load Captcha scripts once the user interacts with the form' => 'Only load Captcha scripts once the user interacts with the form',
    "If you'd like to have the associated Captcha scripts load only once a user begins filling out the form, enable this setting. If you'd like your forms to be ready to go at page load, disable this setting." => "If you'd like to have the associated Captcha scripts load only once a user begins filling out the form, enable this setting. If you'd like your forms to be ready to go at page load, disable this setting.",
    'Failure Behavior' => 'Failure Behavior',
    'Display Error Message' => 'Display Error Message',
    'Send to Spam Folder' => 'Send to Spam Folder',
    'Score Threshold' => 'Score Threshold',
    'The minimum score required for the Captcha to pass validation. The score is a number between 0 and 1. A score of 0.5 is generally recommended.' => 'The minimum score required for the Captcha to pass validation. The score is a number between 0 and 1. A score of 0.5 is generally recommended.',
    'Action' => 'Action',
    'The action to use when validating the Captcha.' => 'The action to use when validating the Captcha.',
    'Locale' => 'Locale',
    'The locale to use for the Captcha as the language ID, e.g. <code>en</code>, <code>de</code>, etc. If left blank, the locale will be auto-detected.' => 'The locale to use for the Captcha as the language ID, e.g. <code>en</code>, <code>de</code>, etc. If left blank, the locale will be auto-detected.',
    'The error message to display when the Captcha validation fails.' => 'The error message to display when the Captcha validation fails.',
    'Size' => 'Size',

    // Form Builder // Settings
    'Settings' => 'Settings',
    'Created' => 'Created',
    'Created by' => 'Created by',
    'at' => 'at',
    'Last Updated' => 'Last Updated',
    'Last Updated by' => 'Last Updated by',

    // Form Builder // Settings // General
    'General' => 'General',
    'Enter a name for this form.' => 'Enter a name for this form.',
    'Form Handle' => 'Form Handle',
    'Enter a name for this form that will be referred to in your templates.' => 'Enter a name for this form that will be referred to in your templates.',
    'Form Type' => 'Form Type',
    'Select the type of form this is.' => 'Select the type of form this is.',
    'Submission Title' => 'Submission Title',
    'How the titles of submissions should be auto-generated for this form.' => 'How the titles of submissions should be auto-generated for this form.',
    'Formatting Template' => 'Formatting Template',
    'Select a formatting template to be used when rendering this form.' => 'Select a formatting template to be used when rendering this form.',
    'Form Description' => 'Form Description',
    'Enter a description or notes for this form.' => 'Enter a description or notes for this form.',
    'Form Color' => 'Form Color',
    'Choose a color for this form (generally used in the control panel).' => 'Choose a color for this form (generally used in the control panel).',
    'Add attributes to your form elements.' => 'Add attributes to your form elements.',

    // Form Builder // Settings // Data Storage
    'Data Storage' => 'Data Storage',
    'Store Submitted Data for this Form' => 'Store Submitted Data for this Form',
    'All submissions users make on this form will be stored in the database.' => 'All submissions users make on this form will be stored in the database.',
    'Default Status' => 'Default Status',
    'Select the default status for each submission of this form.' => 'Select the default status for each submission of this form.',
    'Collect IP Addresses' => 'Collect IP Addresses',
    'Collect and store each users IP address when submitting the form.' => 'Collect and store each users IP address when submitting the form.',
    'Allow Users to Opt-in' => 'Allow Users to Opt-in',
    'Allow users to choose whether they want their submission data stored in the database.' => 'Allow users to choose whether they want their submission data stored in the database.',
    'Opt-in Checkbox' => 'Opt-in Checkbox',
    'Select the checkbox field that will act as the opt-in for the user submitting the form.' => 'Select the checkbox field that will act as the opt-in for the user submitting the form.',
    'Please select a field...' => 'Please select a field...',

    // Form Builder // Settings // Processing
    'Processing' => 'Processing',
    'Use AJAX' => 'Use AJAX',
    'Use built-in AJAX for this form when handling validation and submission of the form' => 'Use built-in AJAX for this form when handling validation and submission of the form',
    'Show Processing Indicator on Submit' => 'Show Processing Indicator on Submit',
    'Show a spinner icon on the submit button when the user submits the form until it finishes processing.' => 'Show a spinner icon on the submit button when the user submits the form until it finishes processing.',
    'Show Processing Text on Submit' => 'Show Processing Text on Submit',
    "Show 'processing' text on the submit button when the user submits the form until it finishes processing." => "Show 'processing' text on the submit button when the user submits the form until it finishes processing.",
    'Processing Text' => 'Processing Text',
    "Enter the text you'd like to appear on the submit button when the form is processing" => "Enter the text you'd like to appear on the submit button when the form is processing",

    // Form Builder // Settings // Success & Errors
    'Success & Errors' => 'Success & Errors',
    'Success Behavior' => 'Success Behavior',
    "Select how you'd like the success return of this form to be handled. May also be overridden at the template level." => "Select how you'd like the success return of this form to be handled. May also be overridden at the template level.",
    'Replace form with a Success message' => 'Replace form with a Success message',
    'Reload form with a Success banner above' => 'Reload form with a Success banner above',
    'Return the Submitter to the following URL' => 'Return the Submitter to the following URL',
    'Return URL' => 'Return URL',
    'Set a URL for the form to be redirected to after successful submit.' => 'Set a URL for the form to be redirected to after successful submit.',
    'Success Template' => 'Success Template',
    "Select the template you'd like to replace the form in the page after a successful submit." => "Select the template you'd like to replace the form in the page after a successful submit.",
    'Choose a template' => 'Choose a template',
    'Success Message' => 'Success Message',
    'Enter text to be shown at the top of the form if the submit is successful (AJAX), or load in your template with {{ form.settings.successMessage }}.' => 'Enter text to be shown at the top of the form if the submit is successful (AJAX), or load in your template with {{ form.settings.successMessage }}.',
    'Error Message' => 'Error Message',
    'Enter the text to be shown at the top of the form if there are any errors in the form after submit (AJAX), or load in your template with {{ form.settings.errorMessage }}.' => 'Enter the text to be shown at the top of the form if there are any errors in the form after submit (AJAX), or load in your template with {{ form.settings.errorMessage }}.',

    // Form Builder // Settings // Limits
    'Limits' => 'Limits',
    'Duplicate Check' => 'Duplicate Check',
    'Select an option for restricting users when submitting this form.' => 'Select an option for restricting users when submitting this form.',
    'Do not limit' => 'Do not limit',
    'Logged in Users Only - No Limit' => 'Logged in Users Only - No Limit',
    'Logged in Users Only - Once per Form' => 'Logged in Users Only - Once per Form',
    'Anyone - Once per Email Address' => 'Anyone - Once per Email Address',
    'Anyone - Once per Logged in User or Guest Cookie' => 'Anyone - Once per Logged in User or Guest Cookie',
    'Anyone - Once per Logged in User or Guest IP or Cookie' => 'Anyone - Once per Logged in User or Guest IP or Cookie',
    'Stop Submissions After Date' => 'Stop Submissions After Date',
    'Set a date after which this form will no longer accept new submissions.' => 'Set a date after which this form will no longer accept new submissions.',

    // Submissions
    'All Submissions' => 'All Submissions',
    'Forms' => 'Forms',
    'Submission' => 'Submission',
    'IP Address' => 'IP Address',
    'Freeform ID' => 'Freeform ID',
    'Spam Reasons' => 'Spam Reasons',
    'Status' => 'Status',
    'Quick Export' => 'Quick Export',
    'Export data' => 'Export data',
    'Export as' => 'Export as',
    'Form' => 'Form',
    'Fields for' => 'Fields for',
    'Export' => 'Export',
    'Set status' => 'Set status',
    'Export to CSV' => 'Export to CSV',
    'Resend Notifications' => 'Resend Notifications',
    'Send Additional Notification' => 'Send Additional Notification',
    'Notifications sent successfully.' => 'Notifications sent successfully.',
    'Notification Template' => 'Notification Template',
    'Email Address(es)' => 'Email Address(es)',
    'Additional notifications sent successfully.' => 'Additional notifications sent successfully.',
    'Delete' => 'Delete',
    'Delete...' => 'Delete...',
    'Delete All..' => 'Delete All...',
    'Delete permanently' => 'Delete permanently',
    'Are you sure you want to delete all submissions?' => 'Are you sure you want to delete all submissions?',
    'Are you sure you want to delete all submissions for this form?' => 'Are you sure you want to delete all submissions for this form?',
    'Are you sure you want to delete the selected submissions?' => 'Are you sure you want to delete the selected submissions?',
    'Submissions deleted.' => 'Submissions deleted.',
    'Enter title' => 'Enter title',
    'Submission updated.' => 'Submission updated.',
    'Submission could not be updated.' => 'Submission could not be updated.',
    'Submission with ID {id} not found' => 'Submission with ID {id} not found',
    'Submissions deleted successfully.' => 'Submissions deleted successfully.',

    // Submissions // Spam
    'Spam Reasons' => 'Spam Reasons',
    'Reason' => 'Reason',
    'Marked as spam because' => 'Marked as spam because',
    'generic' => 'Unknown',
    'honeypot' => 'Honeypot',
    'js_test' => 'Honeypot JS Test',
    'captcha' => 'Captcha Failure',
    'blocked_keywords' => 'Blocked Keywords',
    'blocked_email_address' => 'Blocked Email Address',
    'blocked_ip' => 'Blocked IP',
    'minimum_submit_time' => 'Minimum Submit Time',
    'maximum_submit_time' => 'Maximum Submit Time',
    'Honeypot check failed' => 'Honeypot check failed',
    'reCAPTCHA -' => 'reCAPTCHA -',
    'Javascript Test failed' => 'Javascript Test failed',
    'Field "%s" contains a blocked keyword "%s" in the string "%s"' => 'Field "%s" contains a blocked keyword "%s" in the string "%s"',
    'Minimum submit time check failed' => 'Minimum submit time check failed',
    'Maximum submit time check failed' => 'Maximum submit time check failed',
    'Form contains a restricted keyword' => 'Form contains a restricted keyword',
    'Form contains a blocked email' => 'Form contains a blocked email',
    'Your IP has been blocked' => 'Your IP has been blocked',
    'Sorry, we cannot accept your submission at this time. Not enough time has passed before submitting the form.' => 'Sorry, we cannot accept your submission at this time. Not enough time has passed before submitting the form.',
    'Sorry, we cannot accept your submission at this time. Too much time has passed before submitting the form.' => 'Sorry, we cannot accept your submission at this time. Too much time has passed before submitting the form.',
    'Allow' => 'Allow',
    'Allow selected...' => 'Allow selected...',
    'Are you sure you want allow the selected spam submissions?' => 'Are you sure you want allow the selected spam submissions?',

    // Submissions // Surveys & Polls
    'Question <b>{index}</b> Hidden' => 'Question <b>{index}</b> Hidden',
    '{answered} answered, {skipped} skipped' => '{answered} answered, {skipped} skipped',
    'multiple choice' => 'multiple choice',
    'resp.' => 'resp.',
    'Average' => 'Average',
    '{count} Responses' => '{count} Responses',
    '{count} questions' => '{count} questions',

    // Email Notifications
    'Email Notifications' => 'Email Notifications',
    'File Templates' => 'File Templates',
    'Database Templates' => 'Database Templates',
    'Name' => 'Name',
    'File Name' => 'File Name',
    'Duplicate' => 'Duplicate',
    'Save and continue editing' => 'Save and continue editing',
    'Save and add another' => 'Save and add another',
    'What this notification template will be called in the CP.' => 'What this notification template will be called in the CP.',
    'File name of the template without the extension.' => 'File name of the template without the extension.',
    'Description of this notification.' => 'Description of this notification.',
    'Subject' => 'Subject',
    'The subject line for the email notification.' => 'The subject line for the email notification.',
    'From Email' => 'From Email',
    'The email address that the email will appear from in your email notification.' => 'The email address that the email will appear from in your email notification.',
    'From Name' => 'From Name',
    'The name that the email will appear from in your email notification.' => 'The name that the email will appear from in your email notification.',
    'Reply-to Email' => 'Reply-to Email',
    "The reply-to email address for your email notification. Leave blank to use 'From Email' address." => "The reply-to email address for your email notification. Leave blank to use 'From Email' address.",
    'Reply-to Name' => 'Reply-to Name',
    'The reply-to name that the email will appear from in your email notification.' => 'The reply-to name that the email will appear from in your email notification.',
    'CC' => 'CC',
    "The email address(es) you would like to be CC'd in the email notification. Separate multiples with commas. Leave blank to not use." => "The email address(es) you would like to be CC'd in the email notification. Separate multiples with commas. Leave blank to not use.",
    'BCC' => 'BCC',
    "The email address(es) you would like to be BCC'd in the email notification. Separate multiples with commas. Leave blank to not use." => "The email address(es) you would like to be BCC'd in the email notification. Separate multiples with commas. Leave blank to not use.",
    'Include Attachments' => 'Include Attachments',
    'Include uploaded files as attachments in email notification.' => 'Include uploaded files as attachments in email notification.',
    'Email Body (HTML)' => 'Email Body (HTML)',
    'The HTML content of the email notification. If you wish to use Text only, leave this empty and fill out the Text body (below). See documentation for availability of variables.' => 'The HTML content of the email notification. If you wish to use Text only, leave this empty and fill out the Text body (below). See documentation for availability of variables.',
    "Auto 'Text-Only' version" => "Auto 'Text-Only' version",
    'When enabled, Freeform will automatically provide a Text-only version of the notification based on the HTML version.' => 'When enabled, Freeform will automatically provide a Text-only version of the notification based on the HTML version.',
    'Email Body (Text)' => 'Email Body (Text)',
    'The text content of the email notification. If you wish to send out both HTML and Text options, fill out both the HTML and Text body fields. See documentation for availability of variables.' => 'The text content of the email notification. If you wish to send out both HTML and Text options, fill out both the HTML and Text body fields. See documentation for availability of variables.',
    'Predefined Assets' => 'Predefined Assets',
    'Select any Assets you wish to include as attachments on all email notifications using this template.' => 'Select any Assets you wish to include as attachments on all email notifications using this template.',
    'Choose assets' => 'Choose assets',
    'Notification saved.' => 'Notification saved.',
    'Notification not saved.' => 'Notification not saved.',
    'Are you sure you want to delete this notification?' => 'Are you sure you want to delete this notification?',

    // Import / Export
    'Import / Export' => 'Import / Export',
    'Profiles' => 'Profiles',
    'Export Profiles' => 'Export Profiles',
    'No export profiles found' => 'No export profiles found',
    'Export' => 'Export',
    'New Export Profile' => 'New Export Profile',
    'Create a new Export Profile' => 'Create a new Export Profile',
    'What this export profile will be called in the CP.' => 'What this export profile will be called in the CP.',
    'Statuses' => 'Statuses',
    'Select which statuses to use' => 'Select which statuses to use',
    'The date range for fetching submissions' => 'The date range for fetching submissions',
    'Custom Range' => 'Custom Range',
    'Presets' => 'Presets',
    'Last 7 days' => 'Last 7 days',
    'Last 30 days' => 'Last 30 days',
    'Last 365 days' => 'Last 365 days',
    'Range Start' => 'Range Start',
    "Enter the beginning of the time period. Specify an exact date (e.g. '2020-09-01') or use something relative like '15 days ago'. Default is 'today'." => "Enter the beginning of the time period. Specify an exact date (e.g. '2020-09-01') or use something relative like '15 days ago'. Default is 'today'.",
    'Range End' => 'Range End',
    "Enter the end of the time period. Specify an exact date (e.g. '2020-09-30') or use something relative like '15 days ago'. Default is 'today'." => "Enter the end of the time period. Specify an exact date (e.g. '2020-09-30') or use something relative like '15 days ago'. Default is 'today'.",
    'Maximum number of submissions to fetch.' => 'Maximum number of submissions to fetch.',
    'Fields to export' => 'Fields to export',
    'Specify the fields you wish to export and their order.' => 'Specify the fields you wish to export and their order.',
    'Field Name' => 'Field Name',
    'Title' => 'Title',
    'IP Address' => 'IP Address',
    'Date Created' => 'Date Created',
    'Status' => 'Status',
    'Author' => 'Author',
    'Type' => 'Type',
    'Filters' => 'Filters',
    'Add filters to narrow down your results. For wildcards, use LIKE and the `%` symbol, e.g. `cat%`. For searching into arrays (Checkboxes fields), use LIKE, quotes, and wrap values with `%`, e.g. `%"option a"%`.' => 'Add filters to narrow down your results. For wildcards, use LIKE and the `%` symbol, e.g. `cat%`. For searching into arrays (Checkboxes fields), use LIKE, quotes, and wrap values with `%`, e.g. `%"option a"%`.',
    'Field' => 'Field',
    'Filter Type' => 'Filter Type',
    'Equal To' => 'Equal To',
    'Not Equal To' => 'Not Equal To',
    'Like' => 'Like',
    'Not Like' => 'Not Like',
    'Add an option' => 'Add an option',
    'Export Notifications' => 'Export Notifications',
    'Profile' => 'Profile',
    'Frequency' => 'Frequency',
    'Daily' => 'Daily',
    'Weekly on Sundays' => 'Weekly on Sundays',
    'Weekly on Mondays' => 'Weekly on Mondays',
    'Weekly on Tuesdays' => 'Weekly on Tuesdays',
    'Weekly on Wednesdays' => 'Weekly on Wednesdays',
    'Weekly on Thursdays' => 'Weekly on Thursdays',
    'Weekly on Fridays' => 'Weekly on Fridays',
    'Weekly on Saturdays' => 'Weekly on Saturdays',
    'New Export Notification' => 'New Export Notification',
    'Create a new Export Notification' => 'Create a new Export Notification',
    'What this export notification will be called in the control panel.' => 'What this export notification will be called in the control panel.',
    'Export Profile' => 'Export Profile',
    'Choose the Export Profile to use for this notification.' => 'Choose the Export Profile to use for this notification.',
    'File Type' => 'File Type',
    'Choose the export file type to use for this notification.' => 'Choose the export file type to use for this notification.',
    "Specify how often and which days (if applicable) you'd like to receive the email notifications. The chosen date will attempt to send a notification in the morning." => "Specify how often and which days (if applicable) you'd like to receive the email notifications. The chosen date will attempt to send a notification in the morning.",
    'Emails to Notify' => 'Emails to Notify',
    'Enter the email address(es) that should be notified. If more than one, enter each one on a new line.' => 'Enter the email address(es) that should be notified. If more than one, enter each one on a new line.',
    'The file name to be generated for the export. You can use the <code>form</code>, <code>profile</code> and <code>date</code> objects as a Twig template here to name your file. (e.g. <code>"{{ form.handle }}-{{ date.toDateString }}"</code> which would generate a filename of "<code>some-form-handle-2022-01-01.csv</code>"). The extension will be added automatically.' => 'The file name to be generated for the export. You can use the <code>form</code>, <code>profile</code> and <code>date</code> objects as a Twig template here to name your file. (e.g. <code>"{{ form.handle }}-{{ date.toDateString }}"</code> which would generate a filename of "<code>some-form-handle-2022-01-01.csv</code>"). The extension will be added automatically.',
    'Email Subject' => 'Email Subject',
    'Email Message' => 'Email Message',
    'The text content of the email notification.' => 'The text content of the email notification.',

    // Import / Export // Express Forms
    'Import from Express Forms' => 'Import from Express Forms',
    'Import' => 'Import',
    'Express Forms' => 'Express Forms',
    '{fields} fields' => '{fields} fields',
    'Notification Templates' => 'Notification Templates',
    'Select All' => 'Select All',
    'Loading' => 'Loading',
    'No data found' => 'No data found',
    'Select Data' => 'Select Data',
    'Existing Form Behavior' => 'Existing Form Behavior',
    'Choose the behavior Freeform should use if this site contains any forms that match the data in this import.' => 'Choose the behavior Freeform should use if this site contains any forms that match the data in this import.',
    'Replace' => 'Replace',
    'Skip' => 'Skip',
    'Existing Notification Template Behavior' => 'Existing Notification Template Behavior',
    'Choose the behavior Freeform should use if this site contains any email notification templates that match the data in this import.' => 'Choose the behavior Freeform should use if this site contains any email notification templates that match the data in this import.',
    'Begin Import' => 'Begin Import',
    'Import Progress' => 'Import Progress',
    'Import completed successfully!' => 'Import completed successfully!',

    // Settings // General
    'Freeform settings saved.' => 'Freeform settings saved.',
    'General Settings' => 'General Settings',
    'Control Panel' => 'Control Panel',
    'Custom Plugin Name' => 'Custom Plugin Name',
    'Override the plugin name by specifying your own here.' => 'Override the plugin name by specifying your own here.',
    'Default View' => 'Default View',
    'The default page to go to when clicking the Freeform nav item.' => 'The default page to go to when clicking the Freeform nav item.',
    'Plugin Badge' => 'Plugin Badge',
    "Select the options you'd like to be included in the plugin badge count (when applicable)." => "Select the options you'd like to be included in the plugin badge count (when applicable).",
    "Don't Show" => "Don't Show",
    'Update Notices & Logged Errors' => 'Update Notices & Logged Errors',
    'Update Notices only' => 'Update Notices only',
    'Logged Errors only' => 'Logged Errors only',
    'Submission Count' => 'Submission Count',
    'Spam Folder Count' => 'Spam Folder Count',
    'Site Filtering for Forms and Submissions' => 'Site Filtering for Forms and Submissions',
    "Allows you to filter form lists by Sites and prevents other admins from accessing forms that belong to Sites they don't have access to. By default, any new forms created will be visible for the Site they were created on (with the ability to enable additional sites)." => "Allows you to filter form lists by Sites and prevents other admins from accessing forms that belong to Sites they don't have access to. By default, any new forms created will be visible for the Site they were created on (with the ability to enable additional sites).",
    'This only controls access to forms and submissions. It does not enable translations per site.' => 'This only controls access to forms and submissions. It does not enable translations per site.',
    'Element Field Type' => 'Element Field Type',
    'Restrict Form options in Form Field Type to User permissions' => 'Restrict Form options in Form Field Type to User permissions',
    'Enable this to only show forms the user or group has permissions to manage in the list of options for the Form Element Field Type (relating forms in Entries, etc).' => 'Enable this to only show forms the user or group has permissions to manage in the list of options for the Form Element Field Type (relating forms in Entries, etc).',
    'Exporting' => 'Exporting',
    'Remove Newlines from Textareas for Exporting' => 'Remove Newlines from Textareas for Exporting',
    'Enable this to have newlines removed from Textarea fields in submissions when exporting.' => 'Enable this to have newlines removed from Textarea fields in submissions when exporting.',
    'Use Option Labels when Exporting' => 'Use Option Labels when Exporting',
    "Enable this to have fields with options use the submission's option labels instead of values when exporting." => "Enable this to have fields with options use the submission's option labels instead of values when exporting.",
    'Use Field Handles for Headings when Exporting' => 'Use Field Handles for Headings when Exporting',
    'Enable this to use field handles as headings instead of field labels when exporting submissions.' => 'Enable this to use field handles as headings instead of field labels when exporting submissions.',
    'Fields' => 'Fields',
    'Fill Form Values from the GET Query String' => 'Fill Form Values from the GET Query String',
    'Enable this to be able to fill form field values from a GET query string in URI.' => 'Enable this to be able to fill form field values from a GET query string in URI.',
    'Allow Dashes in Field Handles' => 'Allow Dashes in Field Handles',
    'Enable this to be able to allow users to include dashes in field handle names in the form builder.' => 'Enable this to be able to allow users to include dashes in field handle names in the form builder.',
    'Dashes in field handle names are not allowed by default. Enabling this could negatively affect other parts of Craft, especially GraphQL functionality. Use with caution and only if necessary.' => 'Dashes in field handle names are not allowed by default. Enabling this could negatively affect other parts of Craft, especially GraphQL functionality. Use with caution and only if necessary.',
    'Submission Data' => 'Submission Data',
    'Enable Search Index Updating on New Submissions' => 'Enable Search Index Updating on New Submissions',
    'Enable this to have Craft update search indexes whenever a new submission is created.' => 'Enable this to have Craft update search indexes whenever a new submission is created.',
    'Automatically Purge Submission Data' => 'Automatically Purge Submission Data',
    'If you wish to have Freeform automatically purge submission data after a specified number of days, enable this setting and specify the number of days after submission date it should purge submissions.' => 'If you wish to have Freeform automatically purge submission data after a specified number of days, enable this setting and specify the number of days after submission date it should purge submissions.',
    'Enabling this and saving this settings page will result in purging feature beginning, and cannot be undone (it may not happen immediately, and may take a couple hours before the next process runs).' => 'Enabling this and saving this settings page will result in purging feature beginning, and cannot be undone (it may not happen immediately, and may take a couple hours before the next process runs).',
    'Days After Submission Date to Purge' => 'Days After Submission Date to Purge',
    'Select the number of days after submissions have been submitted for Freeform to begin automatically purging. This process will only run every hour, and only when Freeform is accessed on the front end in templates or in the control panel.' => 'Select the number of days after submissions have been submitted for Freeform to begin automatically purging. This process will only run every hour, and only when Freeform is accessed on the front end in templates or in the control panel.',
    'Please select' => 'Please select',
    '1 day' => '1 day',
    '2 days' => '2 days',
    '3 days' => '3 days',
    '4 days' => '4 days',
    '5 days' => '5 days',
    '6 days' => '6 days',
    '7 days' => '7 days',
    '14 days' => '14 days',
    '30 days' => '30 days',
    '60 days' => '60 days',
    '90 days' => '90 days',
    '120 days' => '120 days',
    '180 days' => '180 days',
    '365 days' => '365 days',
    'Purge Unfinalized Asset Files' => 'Purge Unfinalized Asset Files',
    'Select how long Freeform should keep unfinalized asset files before purging.' => 'Select how long Freeform should keep unfinalized asset files before purging.',
    '1 hour' => '1 hour',
    '2 hours' => '2 hours',
    '3 hours (recommended)' => '3 hours (recommended)',
    '4 hours' => '4 hours',
    '8 hours' => '8 hours',
    '12 hours' => '12 hours',
    '24 hours' => '24 hours',
    '48 hours' => '48 hours',
    '72 hours' => '72 hours',
    '1 week' => '1 week',
    '2 weeks' => '2 weeks',

    // Settings // Form Behavior
    'Form Behavior' => 'Form Behavior',
    'Submit Behavior' => 'Submit Behavior',
    'Disable Submit Button on Form Submit' => 'Disable Submit Button on Form Submit',
    "Enable this to automatically disable the form's submit button when the form is submitted. This will prevent the form from double-submitting." => "Enable this to automatically disable the form's submit button when the form is submitted. This will prevent the form from double-submitting.",
    'Automatically Scroll to Form on Errors and Multipage forms' => 'Automatically Scroll to Form on Errors and Multipage forms',
    'Enable this to have Freeform use JS to automatically scroll the page down to the form upon submit when there are errors or the form is continuing to the next page in multipage forms.' => 'Enable this to have Freeform use JS to automatically scroll the page down to the form upon submit when there are errors or the form is continuing to the next page in multipage forms.',
    'Automatically Scroll to top of the Form on AJAX submit' => 'Automatically Scroll to top of the Form on AJAX submit',
    'Enable this when using AJAX to have Freeform use JS to automatically scroll the top of the form on submit. This is especially beneficial when you have longer forms and success/error messages at the top of the form become out of sight.' => 'Enable this when using AJAX to have Freeform use JS to automatically scroll the top of the form on submit. This is especially beneficial when you have longer forms and success/error messages at the top of the form become out of sight.',
    'Remember the Page Order in Multi-page forms' => 'Remember the Page Order in Multi-page forms',
    "When enabled, Freeform will take into account Conditional Rules page skipping when the user clicks the 'Previous' button on multi-page forms." => "When enabled, Freeform will take into account Conditional Rules page skipping when the user clicks the 'Previous' button on multi-page forms.",
    'Form Processing' => 'Form Processing',
    'Use Queue for Email Notifications' => 'Use Queue for Email Notifications',
    "Use Craft's queue system to trigger emails. Enabling this will speed up submission processing for your users. This depends on either routine traffic to your Craft control panel or implementing a proper queue-processing method that doesn't rely on someone visiting your control panel. <a class='go' href='https://craftcms.com/docs/5.x/system/queue.html' rel='noopener' target='_blank'>Learn more</a>" => "Use Craft's queue system to trigger emails. Enabling this will speed up submission processing for your users. This depends on either routine traffic to your Craft control panel or implementing a proper queue-processing method that doesn't rely on someone visiting your control panel. <a class='go' href='https://craftcms.com/docs/5.x/system/queue.html' rel='noopener' target='_blank'>Learn more</a>",
    'Use Queue for Integrations' => 'Use Queue for Integrations',
    "Use Craft's queue system to trigger integrations (CRM and Email Marketing). Enabling this will speed up submission processing for your users. This depends on either routine traffic to your Craft control panel or implementing a proper queue-processing method that doesn't rely on someone visiting your control panel. <a class='go' href='https://craftcms.com/docs/5.x/system/queue.html' rel='noopener' target='_blank'>Learn more</a>" => "Use Craft's queue system to trigger integrations (CRM and Email Marketing). Enabling this will speed up submission processing for your users. This depends on either routine traffic to your Craft control panel or implementing a proper queue-processing method that doesn't rely on someone visiting your control panel. <a class='go' href='https://craftcms.com/docs/5.x/system/queue.html' rel='noopener' target='_blank'>Learn more</a>",
    'Freeform Scripts' => 'Freeform Scripts',
    'Script Insert Location' => 'Script Insert Location',
    'The location of where you want Freeform to insert its scripts for form and field functionality.' => 'The location of where you want Freeform to insert its scripts for form and field functionality.',
    'Page Footer (recommended)' => 'Page Footer (recommended)',
    'Page Header' => 'Page Header',
    'Inside Form' => 'Inside Form',
    'None (add manually)' => 'None (add manually)',
    "With 'None' chosen, please be sure to manually load Freeform's JS and CSS with the 'freeform.loadFreeformPlugin()' function in your template(s)." => "With 'None' chosen, please be sure to manually load Freeform's JS and CSS with the 'freeform.loadFreeformPlugin()' function in your template(s).",
    'Script Insert Type' => 'Script Insert Type',
    'Specify the way Freeform scripts are inserted.' => 'Specify the way Freeform scripts are inserted.',
    'Asset Bundles (recommended)' => 'Asset Bundles (recommended)',
    'Inline' => 'Inline',
    'Form Sessions' => 'Form Sessions',
    'Secret key' => 'Secret key',
    'Specify a secret key to encrypt the form payload with. Will use server key if left empty.' => 'Specify a secret key to encrypt the form payload with. Will use server key if left empty.',
    'Save & Continue Later' => 'Save & Continue Later',
    'Number of Days to Keep Saved Form Data' => 'Number of Days to Keep Saved Form Data',
    'The number of days to store saved form progress in the database before clearing.' => 'The number of days to store saved form progress in the database before clearing.',
    'Maximum Number of Saved Forms Per Session' => 'Maximum Number of Saved Forms Per Session',
    "The maximum number of saved forms per session (per user, though it's possible a user may have multiple sessions when returning to the site over a span of several days). Default is 10, which should be a comfortable and reasonable number. Once the maximum has been reached, Freeform will begin overwriting existing older entries to create new ones." => "The maximum number of saved forms per session (per user, though it's possible a user may have multiple sessions when returning to the site over a span of several days). Default is 10, which should be a comfortable and reasonable number. Once the maximum has been reached, Freeform will begin overwriting existing older entries to create new ones.",

    // Settings // Form Builder
    'Form Builder' => 'Form Builder',
    'Live Render HTML Markup' => 'Live Render HTML Markup',
    "Live rendering HTML markup in field labels, option labels and HTML blocks inside the Form Builder interface can sometimes conflict with Freeform's display of the form preview inside the control panel. In cases like these, you'll need to disable this setting to prevent HTML from rendering automatically." => "Live rendering HTML markup in field labels, option labels and HTML blocks inside the Form Builder interface can sometimes conflict with Freeform's display of the form preview inside the control panel. In cases like these, you'll need to disable this setting to prevent HTML from rendering automatically.",
    'Allow Twig to be enabled in HTML blocks' => 'Allow Twig to be enabled in HTML blocks',
    'A toggle will appear for each HTML block field inside the form builder, allowing the use of Twig code.' => 'A toggle will appear for each HTML block field inside the form builder, allowing the use of Twig code.',
    'Render HTML block Twig in Isolated Mode' => 'Render HTML block Twig in Isolated Mode',
    "When enabled, only the Freeform 'form' and 'fields' variables will be available. If disabled, Craft's variables will be included as well." => "When enabled, only the Freeform 'form' and 'fields' variables will be available. If disabled, Craft's variables will be included as well.",
    "Include Freeform's Sample Formatting Templates" => "Include Freeform's Sample Formatting Templates",
    "Allow users to select a sample formatting template included with Freeform for the form's Formatting Template setting." => "Allow users to select a sample formatting template included with Freeform for the form's Formatting Template setting.",
    'Notifications Defaults' => 'Notifications Defaults',
    'Settings Defaults' => 'Settings Defaults',
    'No default set' => 'No default set',

    // Settings // Limited Users
    'Limited Users' => 'Limited Users',
    'No groups exist yet' => 'No groups exist yet',
    'Click on the "New Group" button to set up your first Limited User permission group.' => 'Click on the "New Group" button to set up your first Limited User permission group.',
    'New Group' => 'New Group',
    'Are you sure you want to delete this?' => 'Are you sure you want to delete this?',
    'Permission saved successfully.' => 'Permission saved successfully.',
    'Enter the name of the limited user permission.' => 'Enter the name of the limited user permission.',
    'Enter a description for this permission.' => 'Enter a description for this permission.',
    'Enable All' => 'Enable All',
    'Disable All' => 'Disable All',
    'Add Pages to Forms' => 'Add Pages to Forms',
    'Allowed Field Types' => 'Allowed Field Types',
    'Advanced Field Properties' => 'Advanced Field Properties',
    'Field Handles' => 'Field Handles',
    'Field Attribute Editor' => 'Field Attribute Editor',
    'Encrypt Field Data' => 'Encrypt Field Data',
    'Field Type Switcher' => 'Field Type Switcher',
    'Notifications Tab' => 'Notifications Tab',
    'Rules Tab' => 'Rules Tab',
    'Rules on Fields' => 'Rules on Fields',
    'Rules on Buttons' => 'Rules on Buttons',
    'Rules on Pages' => 'Rules on Pages',
    'Rules on Submit Form' => 'Rules on Submit Form',
    'Integrations Tab' => 'Integrations Tab',
    'Settings Tab' => 'Settings Tab',

    // Settings // Template Manager
    'Template Manager' => 'Template Manager',
    'Formatting Templates' => 'Formatting Templates',
    'Directory Path' => 'Directory Path',
    'Provide a relative path to the Craft Templates folder where your custom formatting templates directory is. If you have not yet created the directory, please do that before filling in this setting. This allows you to use Twig template files for your form formatting and allows Freeform to locate these files when assigning to a form.' => 'Provide a relative path to the Craft Templates folder where your custom formatting templates directory is. If you have not yet created the directory, please do that before filling in this setting. This allows you to use Twig template files for your form formatting and allows Freeform to locate these files when assigning to a form.',
    'Add Sample' => 'Add Sample',
    'Email Notification Templates' => 'Email Notification Templates',
    'Template Storage Type' => 'Template Storage Type',
    'File & Database' => 'File & Database',
    'File' => 'File',
    'Database' => 'Database',
    'Choose whether you want to enable email notification templates stored as files, in the database, or have both options available.' => 'Choose whether you want to enable email notification templates stored as files, in the database, or have both options available.',
    'Default Email Template Creation Method' => 'Default Email Template Creation Method',
    "Select which storage method to use when creating new email notifications with 'Add New Template' option in the form builder." => "Select which storage method to use when creating new email notifications with 'Add New Template' option in the form builder.",
    'Allow File-based Email Templates to be created inside the Control Panel' => 'Allow File-based Email Templates to be created inside the Control Panel',
    'Allowing users to generate template files from inside the CP can potentially cause issues with certain workflows.' => 'Allowing users to generate template files from inside the CP can potentially cause issues with certain workflows.',
    'Default From Email for New Templates' => 'Default From Email for New Templates',
    "The default email address to be included in the 'From Email' setting of new email notification templates." => "The default email address to be included in the 'From Email' setting of new email notification templates.",
    'Default From Name for New Templates' => 'Default From Name for New Templates',
    "The default name to be included in the 'From Email' setting of new email notification templates." => "The default name to be included in the 'From Email' setting of new email notification templates.",
    'File Directory Path' => 'File Directory Path',
    'Provide a relative path to the Craft Templates folder where your email templates directory is. If you have not yet created the directory, please do that before filling in this setting. This allows you to use Twig template files for your email formatting and allows Freeform to locate these files when setting up notifications.' => 'Provide a relative path to the Craft Templates folder where your email templates directory is. If you have not yet created the directory, please do that before filling in this setting. This allows you to use Twig template files for your email formatting and allows Freeform to locate these files when setting up notifications.',
    'Migration Utility' => 'Migration Utility',
    'Convert Database email templates to File email templates' => 'Convert Database email templates to File email templates',
    'This is a utility that allows you to migrate your existing database email templates over to file-based email templates (you can continue to edit these from the CP). The utility will also update all existing forms to use the new file version of the email template. If you wish to have Freeform clean up and remove the old database email templates after, check the checkbox as well.' => 'This is a utility that allows you to migrate your existing database email templates over to file-based email templates (you can continue to edit these from the CP). The utility will also update all existing forms to use the new file version of the email template. If you wish to have Freeform clean up and remove the old database email templates after, check the checkbox as well.',
    'Remove database files after migration' => 'Remove database files after migration',
    'Migrate' => 'Migrate',
    'Success Templates' => 'Success Templates',
    'Provide a relative path to the Craft Templates folder where your success templates directory is. If you have not yet created the directory, please do that before filling in this setting. This allows you to use Twig template files for your success formatting and allows Freeform to locate these files when assigning to a form.' => 'Provide a relative path to the Craft Templates folder where your success templates directory is. If you have not yet created the directory, please do that before filling in this setting. This allows you to use Twig template files for your success formatting and allows Freeform to locate these files when assigning to a form.',

    // Settings // Statuses
    'New Status' => 'New Status',
    'The name of the status.' => 'The name of the status.',
    "How you'll refer to this status in the templates." => "How you'll refer to this status in the templates.",
    'Color' => 'Color',
    'The color of the status circle when viewing inside CP.' => 'The color of the status circle when viewing inside CP.',
    'green' => 'green',
    'orange' => 'orange',
    'red' => 'red',
    'blue' => 'blue',
    'yellow' => 'yellow',
    'pink' => 'pink',
    'purple' => 'purple',
    'turquoise' => 'turquoise',
    'light' => 'light',
    'grey' => 'grey',
    'black' => 'black',
    'Status saved.' => 'Status saved.',
    'Status not saved.' => 'Status not saved.',
    'Status with ID {id} not found' => 'Status with ID {id} not found',

    // Settings // Demo Templates
    'Demo Templates' => 'Demo Templates',
    'Install Path' => 'Install Path',
    "The folder name you'd like the demo templates installed to, relative to the Craft templates directory." => "The folder name you'd like the demo templates installed to, relative to the Craft templates directory.",
    'The following templates, assets and routes will be installed and configured:' => 'The following templates, assets and routes will be installed and configured:',
    'Successfully installed <b>{templates} templates</b> and <b>{assets} assets</b>' => 'Successfully installed <b>{templates} templates</b> and <b>{assets} assets</b>',
    "<a href='{link}'>View the Demo area now!</a>" => "<a href='{link}'>View the Demo area now!</a>",

    // Settings // Spam Protection
    'Spam Protection' => 'Spam Protection',
    'Spam protection features are configured in the <b>Integrations</b> settings area.' => 'Spam protection features are configured in the <b>Integrations</b> settings area.',
    'Configure Freeform Honeypot' => 'Configure Freeform Honeypot',
    'Configure Freeform Javascript Test' => 'Configure Freeform Javascript Test',
    'Configure reCAPTCHA or hCaptcha' => 'Configure reCAPTCHA or hCaptcha',
    'Spam Behavior' => 'Spam Behavior',
    'Spam Protection Behavior' => 'Spam Protection Behavior',
    "Select the behavior you'd like Freeform to take when it detects a submission as being spam." => "Select the behavior you'd like Freeform to take when it detects a submission as being spam.",
    'Simulate Success (recommended)' => 'Simulate Success (recommended)',
    'Display Errors (for debugging)' => 'Display Errors (for debugging)',
    'Bypass All Spam Checks for Logged in Users' => 'Bypass All Spam Checks for Logged in Users',
    'When enabled, Freeform will not run any spam protection measures for logged in users.' => 'When enabled, Freeform will not run any spam protection measures for logged in users.',
    'Spam Folder' => 'Spam Folder',
    'Use Spam Folder' => 'Use Spam Folder',
    'When enabled, all submissions caught by the honeypot or blocked email addresses, keywords and IP addresses will be flagged as spam and stored in the database, but available to manage in a separate menu inside Freeform.' => 'When enabled, all submissions caught by the honeypot or blocked email addresses, keywords and IP addresses will be flagged as spam and stored in the database, but available to manage in a separate menu inside Freeform.',
    'Automatically Purge Spam Submissions' => 'Automatically Purge Spam Submissions',
    'If you wish to have Freeform automatically purge submissions flagged as spam after a specified number of days, enable this setting and specify the number of days after submission date it should purge spammy submissions.' => 'If you wish to have Freeform automatically purge submissions flagged as spam after a specified number of days, enable this setting and specify the number of days after submission date it should purge spammy submissions.',
    'Enabling this and saving this settings page will result in the purging of submissions flagged as spam feature beginning, and cannot be undone (it may not happen immediately, and may take a couple hours before the next process runs).' => 'Enabling this and saving this settings page will result in the purging of submissions flagged as spam feature beginning, and cannot be undone (it may not happen immediately, and may take a couple hours before the next process runs).',
    'Select the number of days after spammy submissions have been submitted for Freeform to begin automatically purging. This process will only run every hour, and only when Freeform is accessed on the front end in templates or in the control panel.' => 'Select the number of days after spammy submissions have been submitted for Freeform to begin automatically purging. This process will only run every hour, and only when Freeform is accessed on the front end in templates or in the control panel.',
    'Spam Blocking' => 'Spam Blocking',
    'Display errors about blocked email(s) under each email field' => 'Display errors about blocked email(s) under each email field',
    "Enable this if you'd like field-based errors to display under the email field(s) that the user has entered blocked emails for. Not recommended for regular use, but helpful if trying to troubleshoot submission issues." => "Enable this if you'd like field-based errors to display under the email field(s) that the user has entered blocked emails for. Not recommended for regular use, but helpful if trying to troubleshoot submission issues.",
    'Blocked Emails Error Message' => 'Blocked Emails Error Message',
    'The message shown to users when blocked emails are submitted. Can use the {email} variable.' => 'The message shown to users when blocked emails are submitted. Can use the {email} variable.',
    'Display errors about blocked keyword(s) under each text/textarea field' => 'Display errors about blocked keyword(s) under each text/textarea field',
    "Enable this if you'd like field-based errors to display under the field(s) that the user has entered blocked keywords for. Not recommended for regular use, but helpful if trying to troubleshoot submission issues." => "Enable this if you'd like field-based errors to display under the field(s) that the user has entered blocked keywords for. Not recommended for regular use, but helpful if trying to troubleshoot submission issues.",
    'Blocked Keywords Error Message' => 'Blocked Keywords Error Message',
    'The message shown to users when blocked keywords are submitted. Can use {value} and {keyword} variables.' => 'The message shown to users when blocked keywords are submitted. Can use {value} and {keyword} variables.',
    'Form Throttling' => 'Form Throttling',
    'Form Submission Throttling' => 'Form Submission Throttling',
    'unlimited' => 'unlimited',
    'per minute' => 'per minute',
    'per second' => 'per second',
    'Globally (affecting all users) prevent spam or attacks by limiting the number of times all forms can be submitted within a given timeframe.' => 'Globally (affecting all users) prevent spam or attacks by limiting the number of times all forms can be submitted within a given timeframe.',
    "This feature is intended for extreme conditions, such as preventing your site from going down if attacked by a spammer. It should NOT be used as a 'fine-tuning' spam measure, as it applies to ALL users. For example, if you set it to '1 per minute', once one user submits any form, any other user will not be able to submit a form within that timeframe. A more realistic value for smaller websites is something like 50 per minute. Use extreme caution for larger and more active sites." => "This feature is intended for extreme conditions, such as preventing your site from going down if attacked by a spammer. It should NOT be used as a 'fine-tuning' spam measure, as it applies to ALL users. For example, if you set it to '1 per minute', once one user submits any form, any other user will not be able to submit a form within that timeframe. A more realistic value for smaller websites is something like 50 per minute. Use extreme caution for larger and more active sites.",
    'Minimum Submit Time' => 'Minimum Submit Time',
    'The minimum amount of time (in seconds) that has to go by since loading the form for the user to be able to submit the form successfully. Otherwise the submission will be flagged as spam and the Spam Protection Behavior setting will take effect.' => 'The minimum amount of time (in seconds) that has to go by since loading the form for the user to be able to submit the form successfully. Otherwise the submission will be flagged as spam and the Spam Protection Behavior setting will take effect.',
    'Form Submit Expiration' => 'Form Submit Expiration',
    'The maximum amount of time (in minutes) a user has to submit the form before the form expires and the Spam Protection Behavior setting will take effect. This still has to be less than the Craft CSRF token expiry and PHP Session limit set for your server.' => 'The maximum amount of time (in minutes) a user has to submit the form before the form expires and the Spam Protection Behavior setting will take effect. This still has to be less than the Craft CSRF token expiry and PHP Session limit set for your server.',

    // Settings // Surveys & Polls
    'Form Types' => 'Form Types',
    'Surveys & Polls' => 'Surveys & Polls',
    'Highlight Highest Ranking Option' => 'Highlight Highest Ranking Option',
    'The highest ranking option chosen for each question will be highlighted with an alternate color.' => 'The highest ranking option chosen for each question will be highlighted with an alternate color.',
    'Default Chart Types' => 'Default Chart Types',
    'Select the default chart types for each field type. These can be overridden for each form in the report view.' => 'Select the default chart types for each field type. These can be overridden for each form in the report view.',
    'Horizontal' => 'Horizontal',
    'Vertical' => 'Vertical',
    'Pie' => 'Pie',
    'Donut' => 'Donut',
    'Hidden' => 'Hidden',
    'Text' => 'Text',

    // Settings // Notices & Alerts
    'Reliability' => 'Reliability',
    'Notices & Alerts' => 'Notices & Alerts',
    'Control Panel Notices' => 'Control Panel Notices',
    'Display Update Warnings & Notices' => 'Display Update Warnings & Notices',
    'Freeform will detect if any important updates, notices or warnings are available for this site specifically, and display them on the dashboard. Examples of this might be expiring API integrations and fixes to bugs that likely affect your current site. We respect your privacy, and this information cannot and never will make it to Solspace.com servers. The checks only happen locally here on your site after automatically downloading a generic JSON file from Solspace.com.' => 'Freeform will detect if any important updates, notices or warnings are available for this site specifically, and display them on the dashboard. Examples of this might be expiring API integrations and fixes to bugs that likely affect your current site. We respect your privacy, and this information cannot and never will make it to Solspace.com servers. The checks only happen locally here on your site after automatically downloading a generic JSON file from Solspace.com.',
    'Email Alerts' => 'Email Alerts',
    'Send Email Alerts for Failed Notifications' => 'Send Email Alerts for Failed Notifications',
    'Send an email notification alerting the email address(es) below when an email notification cannot be delivered.' => 'Send an email notification alerting the email address(es) below when an email notification cannot be delivered.',
    'Digest Email Notifications' => 'Digest Email Notifications',
    'Developer Digest Email' => 'Developer Digest Email',
    "Send weekly or daily emails on the day specified (if using 'Weekly') to the email address(es) below. This will include a snapshot of the previous period's performance and any logged errors and upgrade notices." => "Send weekly or daily emails on the day specified (if using 'Weekly') to the email address(es) below. This will include a snapshot of the previous period's performance and any logged errors and upgrade notices.",
    'Developer Digest Email Frequency' => 'Developer Digest Email Frequency',
    "Specify how often and which days (if applicable) you'd like to receive the email notifications. The chosen date will attempt to send a notification in the morning from the period before that date." => "Specify how often and which days (if applicable) you'd like to receive the email notifications. The chosen date will attempt to send a notification in the morning from the period before that date.",
    'Stats Digest Email' => 'Stats Digest Email',
    "Send weekly or daily emails on the day specified (if using 'Weekly') to the email address(es) below. This is the same as the Developer one above, but only includes a snapshot of the previous period's performance." => "Send weekly or daily emails on the day specified (if using 'Weekly') to the email address(es) below. This is the same as the Developer one above, but only includes a snapshot of the previous period's performance.",
    'Stats Digest Email Frequency' => 'Stats Digest Email Frequency',
    "Specify how often and which days (if applicable) you'd like to receive the email notifications. The chosen date will attempt to send a notification in the morning from the period before that date." => "Specify how often and which days (if applicable) you'd like to receive the email notifications. The chosen date will attempt to send a notification in the morning from the period before that date.",
    'Send Notifications on Live Environment only' => 'Send Notifications on Live Environment only',
    'If this setting is enabled, Freeform will only send out Digest emails when the Craft environment is set to production.' => 'If this setting is enabled, Freeform will only send out Digest emails when the Craft environment is set to production.',

    // Settings // Error Log
    'Error Log' => 'Error Log',
    'Error Log <span class="badge">{count}</span>' => 'Error Log <span class="badge">{count}</span>',
    'Clear' => 'Clear',
    'Are you sure you want to clear error logs?' => 'Are you sure you want to clear error logs?',
    'Everything appears to be okay right now! No errors were found.' => 'Everything appears to be okay right now! No errors were found.',
    'Level' => 'Level',
    'Details' => 'Details',

    // Settings // Diagnostics
    'Diagnostics' => 'Diagnostics',
    'All checks passed!' => 'All checks passed!',
    'Warnings' => 'Warnings',
    'Suggestions' => 'Suggestions',
    'Server Checks' => 'Server Checks',
    'Statistics' => 'Statistics',
    'Integrations' => 'Integrations',
    'Freeform Configuration' => 'Freeform Configuration',
    'Form Types' => 'Form Types',
    'Modules' => 'Modules',

    // Integrations
    'Service Provider' => 'Service Provider',
    'New Integration' => 'New Integration',
    'No integrations exist yet.' => 'No integrations exist yet.',
    'Upgrade to the Freeform Pro edition to get access to integrations.' => 'Upgrade to the Freeform Pro edition to get access to integrations.',
    'What this integration will be called in the CP.' => 'What this integration will be called in the CP.',
    'The unique name used to identify this integration.' => 'The unique name used to identify this integration.',
    'Authorized' => 'Authorized',
    'Not able to authorize.' => 'Not able to authorize.',
    'Click here to re-authorize' => 'Click here to re-authorize',
    'Checking credentials...' => 'Checking credentials...',
    'Some or all of the configuration values are missing' => 'Some or all of the configuration values are missing',
    'OAuth 2.0 Return URI' => 'OAuth 2.0 Return URI',
    'You must specify this as the Return URI in your app settings to be able to authorize your credentials. DO NOT CHANGE THIS.' => 'You must specify this as the Return URI in your app settings to be able to authorize your credentials. DO NOT CHANGE THIS.',
    'Client ID' => 'Client ID',
    'Enter the Client ID of your app here.' => 'Enter the Client ID of your app here.',
    'Client Secret' => 'Client Secret',
    'Enter the Client Secret of your app here.' => 'Enter the Client Secret of your app here.',
    'Integration saved.' => 'Integration saved.',
    'Integration not saved.' => 'Integration not saved.',
    'Code not present' => 'Code not present',
    'Integration not found' => 'Integration not found',
    'Integration does not implement authorizable interface' => 'Integration does not implement authorizable interface',
    'API Key is required' => 'API Key is required',
    'Client ID is required' => 'Client ID is required',

    // Integrations // Email Marketing
    'Email Marketing' => 'Email Marketing',
    'API Key' => 'API Key',
    'Enter your Campaign Monitor API Key here.' => 'Enter your Campaign Monitor API Key here.',
    'Enter your Campaign Monitor Client ID here.' => 'Enter your Campaign Monitor Client ID here.',
    'API User Email' => 'API User Email',
    'Enter your Dotdigital API user email' => 'Enter your Dotdigital API user email',
    'API User Password' => 'API User Password',
    'Enter your Dotdigital API user password' => 'Enter your Dotdigital API user password',
    'Email Opt In Type' => 'Email Opt In Type',
    "Setting this to 'Verified Double' will result in a double opt-in confirmation email sent to the contact. The result will state that the contact's Opt-In Type is 'Double' and the Status is 'Pending Opt-In'. These will only update to 'Verified Double' and 'Subscribed', respectively, once the contact has clicked the link in the confirmation email, at which point they will be added to the account." => "Setting this to 'Verified Double' will result in a double opt-in confirmation email sent to the contact. The result will state that the contact's Opt-In Type is 'Double' and the Status is 'Pending Opt-In'. These will only update to 'Verified Double' and 'Subscribed', respectively, once the contact has clicked the link in the confirmation email, at which point they will be added to the account.",
    'Email Type' => 'Email Type',
    'API Token' => 'API Token',
    'Enter your API Token here.' => 'Enter your API Token here.',
    'API URL' => 'API URL',
    'Enter your API specific URL (e.g. "https://youraccountname.api-us1.com" or "https://youraccountname.activehosted.com").' => 'Enter your API specific URL (e.g. "https://youraccountname.api-us1.com" or "https://youraccountname.activehosted.com").',

    // Integrations // CRM
    'CRM' => 'CRM',
    'Pipeline' => 'Pipeline',
    'Enter the name or ID of the desired Pipeline.' => 'Enter the name or ID of the desired Pipeline.',
    'Stage' => 'Stage',
    'Enter the name or ID of the desired Stage.' => 'Enter the name or ID of the desired Stage.',
    'Owner (Optional if auto-assign enabled in AC)' => 'Owner (Optional if auto-assign enabled in AC)',
    "Enter the username or ID of the user you wish to assign as the deal owner. If you don't specify an owner, Active Campaign will auto-assign an owner if it is set up." => "Enter the username or ID of the user you wish to assign as the deal owner. If you don't specify an owner, Active Campaign will auto-assign an owner if it is set up.",
    'Enter your API Key here.' => 'Enter your API Key here.',
    'Domain' => 'Domain',
    'Enter your Domain (e.g. "https://yourcompany.freshdesk.com").' => 'Enter your Domain (e.g. "https://yourcompany.freshdesk.com").',
    'Default Type (Optional)' => 'Default Type (Optional)',
    "Set the default Type for tickets, e.g. 'Question'." => "Set the default Type for tickets, e.g. 'Question'.",
    'Default Priority (Optional)' => 'Default Priority (Optional)',
    "Set the default Priority for tickets, e.g. '1' (Low), '2' (Medium), '3' (High), '4' (Urgent)." => "Set the default Priority for tickets, e.g. '1' (Low), '2' (Medium), '3' (High), '4' (Urgent).",
    'Default Status (Optional)' => 'Default Status (Optional)',
    "Set the default Status for tickets, e.g. '2' (Open), '3' (Pending), '4' (Resolved), '5' (Closed)." => "Set the default Status for tickets, e.g. '2' (Open), '3' (Pending), '4' (Resolved), '5' (Closed).",
    'Default Source (Optional)' => 'Default Source (Optional)',
    "Set the default Source for tickets, e.g. '1' (Email), '2' (Portal), '3' (Phone), '7' (Chat), '9' (Feedback Widget), '10' (Outbound Email)." => "Set the default Source for tickets, e.g. '1' (Email), '2' (Portal), '3' (Phone), '7' (Chat), '9' (Feedback Widget), '10' (Outbound Email).",
    'Access Token' => 'Access Token',
    "This is your app's unique ID. You'll need it to make API calls." => "This is your app's unique ID. You'll need it to make API calls.",
    'IP Address Field' => 'IP Address Field',
    "Enter a custom HubSpot Contact field handle where you wish to store the client's IP address from the submission (optional)." => "Enter a custom HubSpot Contact field handle where you wish to store the client's IP address from the submission (optional).",
    'Append checkbox group field values on Contact update' => 'Append checkbox group field values on Contact update',
    'If a Contact already exists in HubSpot, enabling this will append additional checkbox group field values to the Contact inside HubSpot, instead of overwriting the options.' => 'If a Contact already exists in HubSpot, enabling this will append additional checkbox group field values to the Contact inside HubSpot, instead of overwriting the options.',
    'Append checkbox group field values on Company update?' => 'Append checkbox group field values on Company update?',
    'If a Company already exists in HubSpot, enabling this will append additional checkbox group field values to the Company inside HubSpot, instead of overwriting the options.' => 'If a Company already exists in HubSpot, enabling this will append additional checkbox group field values to the Company inside HubSpot, instead of overwriting the options.',
    'Enter your API specific URL (e.g. "https://api.na1.insightly.com").' => 'Enter your API specific URL (e.g. "https://api.na1.insightly.com").',
    'Business Unit ID' => 'Business Unit ID',
    'Enter your Pardot business unit ID here' => 'Enter your Pardot business unit ID here',
    'Use Custom URL?' => 'Use Custom URL?',
    'Enable this if you connect to your Salesforce account with a custom company URL (e.g. "mycompany.my.salesforce.com").' => 'Enable this if you connect to your Salesforce account with a custom company URL (e.g. "mycompany.my.salesforce.com").',
    'Custom URL' => 'Custom URL',
    'E.g https://mycompany.develop.my.salesforce.com' => 'E.g https://mycompany.develop.my.salesforce.com',
    'Sandbox Mode' => 'Sandbox Mode',
    'Enable this if your Salesforce account is in Sandbox mode (connects to "test.salesforce.com" instead of "login.salesforce.com" or "mycompany.my.salesforce.com").' => 'Enable this if your Salesforce account is in Sandbox mode (connects to "test.salesforce.com" instead of "login.salesforce.com" or "mycompany.my.salesforce.com").',
    'User ID' => 'User ID',
    'Enter the Pipedrive User ID you want to assign to new objects.' => 'Enter the Pipedrive User ID you want to assign to new objects.',
    'Detect Duplicates' => 'Detect Duplicates',
    'Enable this setting to prevent creation of organizations or persons with overlapping names and/or email addresses.' => 'Enable this setting to prevent creation of organizations or persons with overlapping names and/or email addresses.',
    'Enable this if you connect to your Salesforce account with a custom company URL.' => 'Enable this if you connect to your Salesforce account with a custom company URL.',
    'Enter the custom URL, e.g. https://mycompany.develop.my.salesforce.com' => 'Enter the custom URL, e.g. https://mycompany.develop.my.salesforce.com',
    'Enable this if your Zoho account is in Sandbox mode (connects to "sandbox.zohoapis.{domain}" instead of "www.zohoapis.com" or "www.zohoapis.{domain}").' => 'Enable this if your Zoho account is in Sandbox mode (connects to "sandbox.zohoapis.{domain}" instead of "www.zohoapis.com" or "www.zohoapis.{domain}").',
    'Developer Mode' => 'Developer Mode',
    'Enable this if your Zoho account is in Developer mode (connects to "developer.zohoapis.{domain}" instead of "www.zohoapis.com", "www.zohoapis.{domain}" or "sandbox.zohoapis.{domain}").' => 'Enable this if your Zoho account is in Developer mode (connects to "developer.zohoapis.{domain}" instead of "www.zohoapis.com", "www.zohoapis.{domain}" or "sandbox.zohoapis.{domain}").',

    // Integrations // Captchas
    'Captchas' => 'Captchas',
    'Captcha Type' => 'Captcha Type',
    'Choose which reCAPTCHA version and type you want to use.' => 'Choose which reCAPTCHA version and type you want to use.',
    'Choose which hCaptcha type you want to use.' => 'Choose which hCaptcha type you want to use.',
    'The locale to use for the Captcha as the language ID, e.g. `en`, `de`, etc. If left blank, the locale will be auto-detected.' => 'The locale to use for the Captcha as the language ID, e.g. `en`, `de`, etc. If left blank, the locale will be auto-detected.',
    'Site Key' => 'Site Key',
    'Secret Key' => 'Secret Key',

    // Integrations // Payments
    'Payments' => 'Payments',
    'Public Key' => 'Public Key',
    'Enter your Stripe public key here.' => 'Enter your Stripe public key here.',
    'Enter your Stripe secret key here.' => 'Enter your Stripe secret key here.',
    'Webhook Secret' => 'Webhook Secret',
    'Enter your Stripe webhook secret here.' => 'Enter your Stripe webhook secret here.',
    'Suppress Email Notifications & Integrations when Payments Fail' => 'Suppress Email Notifications & Integrations when Payments Fail',
    'Failed payments will still be stored as submissions, but enabling this will suppress email notifications and API integrations from being sent.' => 'Failed payments will still be stored as submissions, but enabling this will suppress email notifications and API integrations from being sent.',
    'Send Success Email from Stripe to Submitter' => 'Send Success Email from Stripe to Submitter',
    "When enabled, Freeform will pass off the submitter's email address to Stripe's 'receipt_email' field, automatically triggering Stripe to send a successful email notification." => "When enabled, Freeform will pass off the submitter's email address to Stripe's 'receipt_email' field, automatically triggering Stripe to send a successful email notification.",
    'Webhook URL' => 'Webhook URL',
    'Use this URL when making a Stripe webhook.' => 'Use this URL when making a Stripe webhook.',
    'Customer Mapping' => 'Customer Mapping',
    'Map your form fields to Stripe Customer fields.' => 'Map your form fields to Stripe Customer fields.',
    'Customer Address Mapping' => 'Customer Address Mapping',
    'Map your form fields to Stripe Customer Address fields.' => 'Map your form fields to Stripe Customer Address fields.',
    'Single Payment' => 'Single Payment',
    'Subscription' => 'Subscription',
    'Amount' => 'Amount',
    'Method' => 'Method',
    'Succeeded' => 'Succeeded',
    'Failed' => 'Failed',
    'Open in Stripe' => 'Open in Stripe',

    // Integrations // Webhooks
    'Webhooks' => 'Webhooks',
    'The URL to send the POST request to.' => 'The URL to send the POST request to.',
    'Message' => 'Message',
    'The message to send to Slack. You can use Twig syntax to render dynamic content.' => 'The message to send to Slack. You can use Twig syntax to render dynamic content.',
    'Webhook URL is required' => 'Webhook URL is required',

    // Integrations // Single
    'Enabled by default' => 'Enabled by default',
    'If enabled, this integration will be enabled by default on all forms.' => 'If enabled, this integration will be enabled by default on all forms.',
    'Container ID' => 'Container ID',
    'Add this if you want Google Tag Manager scripts added to your page by Freeform. Leave blank if you are adding your own GTM scripts.' => 'Add this if you want Google Tag Manager scripts added to your page by Freeform. Leave blank if you are adding your own GTM scripts.',

    // Integrations // Other/Google Sheets
    'Other' => 'Other',
    'Process User-inputted Formulas and Formats' => 'Process User-inputted Formulas and Formats',
    'Any user-inputted values with formula and formatting syntax will be respected and parsed in the spreadsheet. When disabled, these values will be escaped.' => 'Any user-inputted values with formula and formatting syntax will be respected and parsed in the spreadsheet. When disabled, these values will be escaped.',
    'Row Insert Behavior' => 'Row Insert Behavior',
    "Choose how new data rows should be inserted into the Google Sheet. 'Insert New Row' will add a new row to the spreadsheet directly before the first empty row. 'Replace Next Empty Row' will find the first empty row and write the new content into it. Neither option will overwrite existing data." => "Choose how new data rows should be inserted into the Google Sheet. 'Insert New Row' will add a new row to the spreadsheet directly before the first empty row. 'Replace Next Empty Row' will find the first empty row and write the new content into it. Neither option will overwrite existing data.",
    'Insert New Row' => 'Insert New Row',
    'Replace Next Empty Row' => 'Replace Next Empty Row',

    // Element Types
    'Select a form' => 'Select a form',
    'Add a submission' => 'Add a submission',

    // Dashboard Widgets
    'Linear Chart' => 'Linear Chart',
    'Radial Chart' => 'Radial Chart',
    'Recent' => 'Recent',
    'Quick Form' => 'Quick Form',
    "Requires <a href='{link}'>Pro</a> edition" => "Requires <a href='{link}'>Pro</a> edition",
    'Enter a custom widget title, or leave blank to use default.' => 'Enter a custom widget title, or leave blank to use default.',
    'Chart Type' => 'Chart Type',
    'Line' => 'Line',
    'Bar' => 'Bar',
    'Chart Height' => 'Chart Height',
    'Date Range' => 'Date Range',
    'Last 24 hours' => 'Last 24 hours',
    'Last 7 days' => 'Last 7 days',
    'Last 30 days' => 'Last 30 days',
    'Last 60 days' => 'Last 60 days',
    'Last 90 days' => 'Last 90 days',
    'Display all Form Data as a Single Combined Line' => 'Display all Form Data as a Single Combined Line',
    'Select the forms for which submission data should be included.' => 'Select the forms for which submission data should be included.',
    'Limit' => 'Limit',
    'The maximum number of submissions to show.' => 'The maximum number of submissions to show.',
    'Customize the message to be displayed to the user when the form has been successfully submitted.' => 'Customize the message to be displayed to the user when the form has been successfully submitted.',
    'Select the form to be displayed.' => 'Select the form to be displayed.',
    'No submissions.' => 'No submissions.',

    // User Permissions
    'Access Submissions' => 'Access Submissions',
    'Read All Submissions' => 'Read All Submissions',
    'Read Submissions by Form' => 'Read Submissions by Form',
    'Manage All Submissions' => 'Manage All Submissions',
    'Manage Submissions by Form' => 'Manage Submissions by Form',
    'Access Forms' => 'Access Forms',
    'Create New Forms' => 'Create New Forms',
    'Delete Forms' => 'Delete Forms',
    'Manage All Forms' => 'Manage All Forms',
    'Manage Forms Individually' => 'Manage Forms Individually',
    'Access Email Templates' => 'Access Email Templates',
    'Manage Email Templates' => 'Manage Email Templates',
    'Access Quick Exporting' => 'Access Quick Exporting',
    'Access Export Profiles' => 'Access Export Profiles',
    'Manage Export Profiles' => 'Manage Export Profiles',
    'Access Export Notifications' => 'Access Export Notifications',
    'Manage Export Notifications' => 'Manage Export Notifications',
    'Access Settings' => 'Access Settings',
    'Limited User' => 'Limited User',
    "If you'd like to give users access to read all forms' submissions, check off this checkbox. It will also override any selections in the 'Read Submissions by Form' settings. 'Manage' permissions will also override any 'Read' permissions." => "If you'd like to give users access to read all forms' submissions, check off this checkbox. It will also override any selections in the 'Read Submissions by Form' settings. 'Manage' permissions will also override any 'Read' permissions.",
    "If you'd like to give users access to read only some forms' submissions, check off the ones here. These selections will be overridden by the 'Read All Submissions' checkbox. 'Manage' permissions will also override any 'Read' permissions." => "If you'd like to give users access to read only some forms' submissions, check off the ones here. These selections will be overridden by the 'Read All Submissions' checkbox. 'Manage' permissions will also override any 'Read' permissions.",
    "If you'd like to give users access to manage all forms' submissions, check off this checkbox. It will also override any selections in the 'Manage Submissions by Form' settings. 'Manage' permissions will also override any 'Read' permissions." => "If you'd like to give users access to manage all forms' submissions, check off this checkbox. It will also override any selections in the 'Manage Submissions by Form' settings. 'Manage' permissions will also override any 'Read' permissions.",
    "If you'd like to give users access to manage only some forms' submissions, check off the ones here. These selections will be overridden by the 'Manage All Submissions' checkbox. 'Manage' permissions will also override any 'Read' permissions." => "If you'd like to give users access to manage only some forms' submissions, check off the ones here. These selections will be overridden by the 'Manage All Submissions' checkbox. 'Manage' permissions will also override any 'Read' permissions.",
    "If you'd like to give users access to all forms, check off this checkbox. It will also override any selections in the 'Manage Forms Individually' settings." => "If you'd like to give users access to all forms, check off this checkbox. It will also override any selections in the 'Manage Forms Individually' settings.",
    "If you'd like to give users access to only some forms, check off the ones here. These selections will be overridden by the 'Manage All Forms' checkbox." => "If you'd like to give users access to only some forms, check off the ones here. These selections will be overridden by the 'Manage All Forms' checkbox.",
    'Enable limited users functionality.' => 'Enable limited users functionality.',

    // Install Welcome
    'Welcome' => 'Welcome',
    'Freeform installed successfully!' => 'Freeform installed successfully!',
    'Thank you for choosing Freeform! Craft will install the free Express edition by default. If you wish to maximize your experience, be sure to manually switch the edition to Lite or Pro. Below are a few helpful links to get you started.' => 'Thank you for choosing Freeform! Craft will install the free Express edition by default. If you wish to maximize your experience, be sure to manually switch the edition to Lite or Pro. Below are a few helpful links to get you started.',
    'Create Forms' => 'Create Forms',
    'Install Demo' => 'Install Demo',
    'Configure Freeform' => 'Configure Freeform',

    // Front End Form Errors // Forms
    'Sorry, there was an error submitting the form. Please try again.' => 'Sorry, there was an error submitting the form. Please try again.',
    "Sorry, you've already submitted this form." => "Sorry, you've already submitted this form.",
    'Form contains a blocked email' => 'Form contains a blocked email',
    'Email field "%s" contains a blocked email address "%s"' => 'Email field "%s" contains a blocked email address "%s"',
    'Your IP has been blocked' => 'Your IP has been blocked',
    'Form submitted by a blocked IP "%s"' => 'Form submitted by a blocked IP "%s"',
    'Form contains a restricted keyword' => 'Form contains a restricted keyword',
    'Field "%s" contains a blocked keyword "%s" in the string "%s"' => 'Field "%s" contains a blocked keyword "%s" in the string "%s"',
    'Sorry, we cannot accept your submission at this time. Too much time has passed before submitting the form.' => 'Sorry, we cannot accept your submission at this time. Too much time has passed before submitting the form.',
    'Maximum submit time check failed' => 'Maximum submit time check failed',
    'Sorry, we cannot accept your submission at this time. Not enough time has passed before submitting the form.' => 'Sorry, we cannot accept your submission at this time. Not enough time has passed before submitting the form.',
    'Minimum submit time check failed' => 'Minimum submit time check failed',
    'There was an error processing your submission. Please try again later.' => 'There was an error processing your submission. Please try again later.',

    // Front End Form Errors // Integrations
    'Subscription not found' => 'Subscription not found',
    'Error during subscription cancellation' => 'Error during subscription cancellation',
    'Unsubscribed successfully' => 'Unsubscribed successfully',
    'Invalid integration' => 'Invalid integration',
    'Integration is not configured properly' => 'Integration is not configured properly',
    'Invalid payload' => 'Invalid payload',
    'Invalid signature' => 'Invalid signature',
    'Could not send successful payment notification' => 'Could not send successful payment notification',
    'Could not send failed payment notification' => 'Could not send failed payment notification',
    'Missing submissions ID in payment details' => 'Missing submissions ID in payment details',
    'Event is not linked to freeform submission' => 'Event is not linked to freeform submission',

    // Craft Queue Jobs
    'Freeform: Processing CRM Integrations' => 'Freeform: Processing CRM Integrations',
    'Freeform: Processing Email Marketing Integrations' => 'Freeform: Processing Email Marketing Integrations',
    'Freeform: Processing Google Sheets Integrations' => 'Freeform: Processing Google Sheets Integrations',
    'Freeform: Sending Digest Email' => 'Freeform: Sending Digest Email',
    'Freeform: Processing Notifications' => 'Freeform: Processing Notifications',
    'Freeform: Purging Old Submissions' => 'Freeform: Purging Old Submissions',
    'Freeform: Purging Old Spam Submissions' => 'Freeform: Purging Old Spam Submissions',
    'Freeform: Purging Unfinalized Assets' => 'Freeform: Purging Unfinalized Assets',

    // Front End Form Errors // Fields
    'This field is required' => 'This field is required',
    '{email} is not a valid email address' => '{email} is not a valid email address',
    'Variable "{variable}" is missing a value' => 'Variable "{variable}" is missing a value',
    'Incorrectly calculated value' => 'Incorrectly calculated value',
    'Error in calculation' => 'Error in calculation',
    'Your password should contain at least one number, one lowercase letter, one uppercase letter, and one special character.' => 'Your password should contain at least one number, one lowercase letter, one uppercase letter, and one special character.',
    'This value must match the value for {targetFieldLabel}' => 'This value must match the value for {targetFieldLabel}',
    '"{value}" does not conform to "{format}" format.' => '"{value}" does not conform to "{format}" format.',
    'Date "{date}" must be after "{minDate}"' => 'Date "{date}" must be after "{minDate}"',
    'Date "{date}" must be before "{maxDate}"' => 'Date "{date}" must be before "{maxDate}"',
    'Multiple field uploads not supported' => 'Multiple field uploads not supported',
    'File size too large' => 'File size too large',
    'The file was only partially uploaded' => 'The file was only partially uploaded',
    'Could not upload file' => 'Could not upload file',
    "'{extension}' is not an allowed file extension" => "'{extension}' is not an allowed file extension",
    'You tried uploading {fileSize}KB, but the maximum file upload size is {maxFileSize}KB' => 'You tried uploading {fileSize}KB, but the maximum file upload size is {maxFileSize}KB',
    'Tried uploading {count} files. Maximum {max} files allowed.' => 'Tried uploading {count} files. Maximum {max} files allowed.',
    'Unknown file type provided: {type}' => 'Unknown file type provided: {type}',
    'Invalid file data provided' => 'Invalid file data provided',
    'The allowed maximum length is {{max}} characters. Current size is {{difference}} characters too long.' => 'The allowed maximum length is {{max}} characters. Current size is {{difference}} characters too long.',
    'Value must be no more than {maxLength} characters' => 'Value must be no more than {maxLength} characters',
    'Value must be at least {minLength} characters' => 'Value must be at least {minLength} characters',
    'Value must be numeric' => 'Value must be numeric',
    '{{dec}} decimal places allowed' => '{{dec}} decimal places allowed',
    'Only positive numbers allowed' => 'Only positive numbers allowed',
    'The value must be no less than {{min}}' => 'The value must be no less than {{min}}',
    'The value must be no more than {{max}}' => 'The value must be no more than {{max}}',
    'The value must be between {{min}} and {{max}}' => 'The value must be between {{min}} and {{max}}',
    'Invalid phone number' => 'Invalid phone number',
    'Rating must be positive' => 'Rating must be positive',
    'Rating must be between {{min}} and {{max}}' => 'Rating must be between {{min}} and {{max}}',
    'The maximum number of rows is {{maxRows}}.' => 'The maximum number of rows is {{maxRows}}.',
    'Website not valid' => 'Website not valid',
];
