/*!
 * @project        code-editor
 * @name           json.worker.js
 * @author         Andrew Welch
 * @build          Mon Sep 23 2024 17:06:08 GMT+0000 (Coordinated Universal Time)
 * @copyright      Copyright (c) 2024 ©2022 nystudio107.com
 *
 */!function(){"use strict";const e=new class{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(e){setTimeout((()=>{if(e.stack){if(o.isErrorNoTelemetry(e))throw new o(e.message+"\n\n"+e.stack);throw new Error(e.message+"\n\n"+e.stack)}throw e}),0)}}emit(e){this.listeners.forEach((t=>{t(e)}))}onUnexpectedError(e){this.unexpectedErrorHandler(e),this.emit(e)}onUnexpectedExternalError(e){this.unexpectedErrorHandler(e)}};function t(t){i(t)||e.onUnexpectedError(t)}function n(e){if(e instanceof Error){const{name:t,message:n}=e;return{$isError:!0,name:t,message:n,stack:e.stacktrace||e.stack,noTelemetry:o.isErrorNoTelemetry(e)}}return e}const r="Canceled";function i(e){return e instanceof s||e instanceof Error&&e.name===r&&e.message===r}class s extends Error{constructor(){super(r),this.name=this.message}}Error;class o extends Error{constructor(e){super(e),this.name="CodeExpectedError"}static fromError(e){if(e instanceof o)return e;const t=new o;return t.message=e.message,t.stack=e.stack,t}static isErrorNoTelemetry(e){return"CodeExpectedError"===e.name}}class a extends Error{constructor(e){super(e||"An unexpected bug occurred."),Object.setPrototypeOf(this,a.prototype)}}function l(e,t){const n=this;let r,i=!1;return function(){if(i)return r;if(i=!0,t)try{r=e.apply(n,arguments)}finally{t()}else r=e.apply(n,arguments);return r}}var u;!function(e){function t(e){return e&&"object"==typeof e&&"function"==typeof e[Symbol.iterator]}e.is=t;const n=Object.freeze([]);function*r(e){yield e}e.empty=function(){return n},e.single=r,e.wrap=function(e){return t(e)?e:r(e)},e.from=function(e){return e||n},e.reverse=function*(e){for(let t=e.length-1;t>=0;t--)yield e[t]},e.isEmpty=function(e){return!e||!0===e[Symbol.iterator]().next().done},e.first=function(e){return e[Symbol.iterator]().next().value},e.some=function(e,t){for(const n of e)if(t(n))return!0;return!1},e.find=function(e,t){for(const n of e)if(t(n))return n},e.filter=function*(e,t){for(const n of e)t(n)&&(yield n)},e.map=function*(e,t){let n=0;for(const r of e)yield t(r,n++)},e.concat=function*(...e){for(const t of e)yield*t},e.reduce=function(e,t,n){let r=n;for(const n of e)r=t(r,n);return r},e.slice=function*(e,t,n=e.length){for(t<0&&(t+=e.length),n<0?n+=e.length:n>e.length&&(n=e.length);t<n;t++)yield e[t]},e.consume=function(t,n=Number.POSITIVE_INFINITY){const r=[];if(0===n)return[r,t];const i=t[Symbol.iterator]();for(let t=0;t<n;t++){const t=i.next();if(t.done)return[r,e.empty()];r.push(t.value)}return[r,{[Symbol.iterator](){return i}}]},e.asyncToArray=async function(e){const t=[];for await(const n of e)t.push(n);return Promise.resolve(t)}}(u||(u={}));let c=null;function h(e){return null==c||c.trackDisposable(e),e}function d(e){null==c||c.markAsDisposed(e)}function f(e,t){null==c||c.setParent(e,t)}function m(e){if(u.is(e)){const t=[];for(const n of e)if(n)try{n.dispose()}catch(e){t.push(e)}if(1===t.length)throw t[0];if(t.length>1)throw new AggregateError(t,"Encountered errors while disposing of store");return Array.isArray(e)?[]:e}if(e)return e.dispose(),e}function g(...e){const t=p((()=>m(e)));return function(e,t){if(c)for(const n of e)c.setParent(n,t)}(e,t),t}function p(e){const t=h({dispose:l((()=>{d(t),e()}))});return t}class b{constructor(){this._toDispose=new Set,this._isDisposed=!1,h(this)}dispose(){this._isDisposed||(d(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){if(0!==this._toDispose.size)try{m(this._toDispose)}finally{this._toDispose.clear()}}add(e){if(!e)return e;if(e===this)throw new Error("Cannot register a disposable on itself!");return f(e,this),this._isDisposed?b.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(e),e}deleteAndLeak(e){e&&this._toDispose.has(e)&&(this._toDispose.delete(e),f(e,null))}}b.DISABLE_DISPOSED_WARNING=!1;class y{constructor(){this._store=new b,h(this),f(this._store,this)}dispose(){d(this),this._store.dispose()}_register(e){if(e===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(e)}}y.None=Object.freeze({dispose(){}});Symbol.iterator;class v{constructor(e){this.element=e,this.next=v.Undefined,this.prev=v.Undefined}}v.Undefined=new v(void 0);class _{constructor(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===v.Undefined}clear(){let e=this._first;for(;e!==v.Undefined;){const t=e.next;e.prev=v.Undefined,e.next=v.Undefined,e=t}this._first=v.Undefined,this._last=v.Undefined,this._size=0}unshift(e){return this._insert(e,!1)}push(e){return this._insert(e,!0)}_insert(e,t){const n=new v(e);if(this._first===v.Undefined)this._first=n,this._last=n;else if(t){const e=this._last;this._last=n,n.prev=e,e.next=n}else{const e=this._first;this._first=n,n.next=e,e.prev=n}this._size+=1;let r=!1;return()=>{r||(r=!0,this._remove(n))}}shift(){if(this._first!==v.Undefined){const e=this._first.element;return this._remove(this._first),e}}pop(){if(this._last!==v.Undefined){const e=this._last.element;return this._remove(this._last),e}}_remove(e){if(e.prev!==v.Undefined&&e.next!==v.Undefined){const t=e.prev;t.next=e.next,e.next.prev=t}else e.prev===v.Undefined&&e.next===v.Undefined?(this._first=v.Undefined,this._last=v.Undefined):e.next===v.Undefined?(this._last=this._last.prev,this._last.next=v.Undefined):e.prev===v.Undefined&&(this._first=this._first.next,this._first.prev=v.Undefined);this._size-=1}*[Symbol.iterator](){let e=this._first;for(;e!==v.Undefined;)yield e.element,e=e.next}}const C=globalThis.performance&&"function"==typeof globalThis.performance.now;class S{static create(e){return new S(e)}constructor(e){this._now=C&&!1===e?Date.now:globalThis.performance.now.bind(globalThis.performance),this._startTime=this._now(),this._stopTime=-1}stop(){this._stopTime=this._now()}reset(){this._startTime=this._now(),this._stopTime=-1}elapsed(){return-1!==this._stopTime?this._stopTime-this._startTime:this._now()-this._startTime}}var w;!function(e){function t(e){false}function n(e){return(t,n=null,r)=>{let i,s=!1;return i=e((e=>{if(!s)return i?i.dispose():s=!0,t.call(n,e)}),null,r),s&&i.dispose(),i}}function r(e,t,n){return s(((n,r=null,i)=>e((e=>n.call(r,t(e))),null,i)),n)}function i(e,t,n){return s(((n,r=null,i)=>e((e=>t(e)&&n.call(r,e)),null,i)),n)}function s(e,n){let r;const i={onWillAddFirstListener(){r=e(s.fire,s)},onDidRemoveLastListener(){null==r||r.dispose()}};n||t();const s=new T(i);return null==n||n.add(s),s.event}function o(e,n,r=100,i=!1,s=!1,o,a){let l,u,c,h,d=0;const f={leakWarningThreshold:o,onWillAddFirstListener(){l=e((e=>{d++,u=n(u,e),i&&!c&&(m.fire(u),u=void 0),h=()=>{const e=u;u=void 0,c=void 0,(!i||d>1)&&m.fire(e),d=0},"number"==typeof r?(clearTimeout(c),c=setTimeout(h,r)):void 0===c&&(c=0,queueMicrotask(h))}))},onWillRemoveListener(){s&&d>0&&(null==h||h())},onDidRemoveLastListener(){h=void 0,l.dispose()}};a||t();const m=new T(f);return null==a||a.add(m),m.event}e.None=()=>y.None,e.defer=function(e,t){return o(e,(()=>{}),0,void 0,!0,void 0,t)},e.once=n,e.map=r,e.forEach=function(e,t,n){return s(((n,r=null,i)=>e((e=>{t(e),n.call(r,e)}),null,i)),n)},e.filter=i,e.signal=function(e){return e},e.any=function(...e){return(t,n=null,r)=>function(e,t){t instanceof Array?t.push(e):t&&t.add(e);return e}(g(...e.map((e=>e((e=>t.call(n,e)))))),r)},e.reduce=function(e,t,n,i){let s=n;return r(e,(e=>(s=t(s,e),s)),i)},e.debounce=o,e.accumulate=function(t,n=0,r){return e.debounce(t,((e,t)=>e?(e.push(t),e):[t]),n,void 0,!0,void 0,r)},e.latch=function(e,t=(e,t)=>e===t,n){let r,s=!0;return i(e,(e=>{const n=s||!t(e,r);return s=!1,r=e,n}),n)},e.split=function(t,n,r){return[e.filter(t,n,r),e.filter(t,(e=>!n(e)),r)]},e.buffer=function(e,t=!1,n=[],r){let i=n.slice(),s=e((e=>{i?i.push(e):a.fire(e)}));r&&r.add(s);const o=()=>{null==i||i.forEach((e=>a.fire(e))),i=null},a=new T({onWillAddFirstListener(){s||(s=e((e=>a.fire(e))),r&&r.add(s))},onDidAddFirstListener(){i&&(t?setTimeout(o):o())},onDidRemoveLastListener(){s&&s.dispose(),s=null}});return r&&r.add(a),a.event},e.chain=function(e,t){return(n,r,i)=>{const s=t(new l);return e((function(e){const t=s.evaluate(e);t!==a&&n.call(r,t)}),void 0,i)}};const a=Symbol("HaltChainable");class l{constructor(){this.steps=[]}map(e){return this.steps.push(e),this}forEach(e){return this.steps.push((t=>(e(t),t))),this}filter(e){return this.steps.push((t=>e(t)?t:a)),this}reduce(e,t){let n=t;return this.steps.push((t=>(n=e(n,t),n))),this}latch(e=(e,t)=>e===t){let t,n=!0;return this.steps.push((r=>{const i=n||!e(r,t);return n=!1,t=r,i?r:a})),this}evaluate(e){for(const t of this.steps)if((e=t(e))===a)break;return e}}e.fromNodeEventEmitter=function(e,t,n=e=>e){const r=(...e)=>i.fire(n(...e)),i=new T({onWillAddFirstListener:()=>e.on(t,r),onDidRemoveLastListener:()=>e.removeListener(t,r)});return i.event},e.fromDOMEventEmitter=function(e,t,n=e=>e){const r=(...e)=>i.fire(n(...e)),i=new T({onWillAddFirstListener:()=>e.addEventListener(t,r),onDidRemoveLastListener:()=>e.removeEventListener(t,r)});return i.event},e.toPromise=function(e){return new Promise((t=>n(e)(t)))},e.fromPromise=function(e){const t=new T;return e.then((e=>{t.fire(e)}),(()=>{t.fire(void 0)})).finally((()=>{t.dispose()})),t.event},e.runAndSubscribe=function(e,t,n){return t(n),e((e=>t(e)))};class u{constructor(e,n){this._observable=e,this._counter=0,this._hasChanged=!1;const r={onWillAddFirstListener:()=>{e.addObserver(this)},onDidRemoveLastListener:()=>{e.removeObserver(this)}};n||t(),this.emitter=new T(r),n&&n.add(this.emitter)}beginUpdate(e){this._counter++}handlePossibleChange(e){}handleChange(e,t){this._hasChanged=!0}endUpdate(e){this._counter--,0===this._counter&&(this._observable.reportChanges(),this._hasChanged&&(this._hasChanged=!1,this.emitter.fire(this._observable.get())))}}e.fromObservable=function(e,t){return new u(e,t).emitter.event},e.fromObservableLight=function(e){return(t,n,r)=>{let i=0,s=!1;const o={beginUpdate(){i++},endUpdate(){i--,0===i&&(e.reportChanges(),s&&(s=!1,t.call(n)))},handlePossibleChange(){},handleChange(){s=!0}};e.addObserver(o),e.reportChanges();const a={dispose(){e.removeObserver(o)}};return r instanceof b?r.add(a):Array.isArray(r)&&r.push(a),a}}}(w||(w={}));class L{constructor(e){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${e}_${L._idPool++}`,L.all.add(this)}start(e){this._stopWatch=new S,this.listenerCount=e}stop(){if(this._stopWatch){const e=this._stopWatch.elapsed();this.durations.push(e),this.elapsedOverall+=e,this.invocationCount+=1,this._stopWatch=void 0}}}L.all=new Set,L._idPool=0;class N{constructor(e,t,n=Math.random().toString(18).slice(2,5)){this._errorHandler=e,this.threshold=t,this.name=n,this._warnCountdown=0}dispose(){var e;null===(e=this._stacks)||void 0===e||e.clear()}check(e,t){const n=this.threshold;if(n<=0||t<n)return;this._stacks||(this._stacks=new Map);const r=this._stacks.get(e.value)||0;if(this._stacks.set(e.value,r+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=.5*n;const[e,r]=this.getMostFrequentStack(),i=`[${this.name}] potential listener LEAK detected, having ${t} listeners already. MOST frequent listener (${r}):`;console.warn(i),console.warn(e);const s=new E(i,e);this._errorHandler(s)}return()=>{const t=this._stacks.get(e.value)||0;this._stacks.set(e.value,t-1)}}getMostFrequentStack(){if(!this._stacks)return;let e,t=0;for(const[n,r]of this._stacks)(!e||t<r)&&(e=[n,r],t=r);return e}}class x{static create(){var e;const t=new Error;return new x(null!==(e=t.stack)&&void 0!==e?e:"")}constructor(e){this.value=e}print(){console.warn(this.value.split("\n").slice(2).join("\n"))}}class E extends Error{constructor(e,t){super(e),this.name="ListenerLeakError",this.stack=t}}class A extends Error{constructor(e,t){super(e),this.name="ListenerRefusalError",this.stack=t}}class k{constructor(e){this.value=e}}const R=void 0;class T{constructor(e){var n,r,i,s,o,a;this._size=0,this._options=e,this._leakageMon=(null===(n=this._options)||void 0===n?void 0:n.leakWarningThreshold)?new N(null!==(r=null==e?void 0:e.onListenerError)&&void 0!==r?r:t,null!==(s=null===(i=this._options)||void 0===i?void 0:i.leakWarningThreshold)&&void 0!==s?s:-1):void 0,this._perfMon=(null===(o=this._options)||void 0===o?void 0:o._profName)?new L(this._options._profName):void 0,this._deliveryQueue=null===(a=this._options)||void 0===a?void 0:a.deliveryQueue}dispose(){var e,t,n,r;this._disposed||(this._disposed=!0,(null===(e=this._deliveryQueue)||void 0===e?void 0:e.current)===this&&this._deliveryQueue.reset(),this._listeners&&(this._listeners=void 0,this._size=0),null===(n=null===(t=this._options)||void 0===t?void 0:t.onDidRemoveLastListener)||void 0===n||n.call(t),null===(r=this._leakageMon)||void 0===r||r.dispose())}get event(){var e;return null!==(e=this._event)&&void 0!==e||(this._event=(e,n,r)=>{var i,s,o,a,l,u,c;if(this._leakageMon&&this._size>this._leakageMon.threshold**2){const e=`[${this._leakageMon.name}] REFUSES to accept new listeners because it exceeded its threshold by far (${this._size} vs ${this._leakageMon.threshold})`;console.warn(e);const n=null!==(i=this._leakageMon.getMostFrequentStack())&&void 0!==i?i:["UNKNOWN stack",-1],r=new A(`${e}. HINT: Stack shows most frequent listener (${n[1]}-times)`,n[0]);return((null===(s=this._options)||void 0===s?void 0:s.onListenerError)||t)(r),y.None}if(this._disposed)return y.None;n&&(e=e.bind(n));const h=new k(e);let d;this._leakageMon&&this._size>=Math.ceil(.2*this._leakageMon.threshold)&&(h.stack=x.create(),d=this._leakageMon.check(h.stack,this._size+1)),this._listeners?this._listeners instanceof k?(null!==(c=this._deliveryQueue)&&void 0!==c||(this._deliveryQueue=new M),this._listeners=[this._listeners,h]):this._listeners.push(h):(null===(a=null===(o=this._options)||void 0===o?void 0:o.onWillAddFirstListener)||void 0===a||a.call(o,this),this._listeners=h,null===(u=null===(l=this._options)||void 0===l?void 0:l.onDidAddFirstListener)||void 0===u||u.call(l,this)),this._size++;const f=p((()=>{null==R||R.unregister(f),null==d||d(),this._removeListener(h)}));if(r instanceof b?r.add(f):Array.isArray(r)&&r.push(f),R){const e=(new Error).stack.split("\n").slice(2).join("\n").trim();R.register(f,e,f)}return f}),this._event}_removeListener(e){var t,n,r,i;if(null===(n=null===(t=this._options)||void 0===t?void 0:t.onWillRemoveListener)||void 0===n||n.call(t,this),!this._listeners)return;if(1===this._size)return this._listeners=void 0,null===(i=null===(r=this._options)||void 0===r?void 0:r.onDidRemoveLastListener)||void 0===i||i.call(r,this),void(this._size=0);const s=this._listeners,o=s.indexOf(e);if(-1===o)throw console.log("disposed?",this._disposed),console.log("size?",this._size),console.log("arr?",JSON.stringify(this._listeners)),new Error("Attempted to dispose unknown listener");this._size--,s[o]=void 0;const a=this._deliveryQueue.current===this;if(2*this._size<=s.length){let e=0;for(let t=0;t<s.length;t++)s[t]?s[e++]=s[t]:a&&(this._deliveryQueue.end--,e<this._deliveryQueue.i&&this._deliveryQueue.i--);s.length=e}}_deliver(e,n){var r;if(!e)return;const i=(null===(r=this._options)||void 0===r?void 0:r.onListenerError)||t;if(i)try{e.value(n)}catch(e){i(e)}else e.value(n)}_deliverQueue(e){const t=e.current._listeners;for(;e.i<e.end;)this._deliver(t[e.i++],e.value);e.reset()}fire(e){var t,n,r,i;if((null===(t=this._deliveryQueue)||void 0===t?void 0:t.current)&&(this._deliverQueue(this._deliveryQueue),null===(n=this._perfMon)||void 0===n||n.stop()),null===(r=this._perfMon)||void 0===r||r.start(this._size),this._listeners)if(this._listeners instanceof k)this._deliver(this._listeners,e);else{const t=this._deliveryQueue;t.enqueue(this,e,this._listeners.length),this._deliverQueue(t)}else;null===(i=this._perfMon)||void 0===i||i.stop()}hasListeners(){return this._size>0}}class M{constructor(){this.i=-1,this.end=0}enqueue(e,t,n){this.i=0,this.end=n,this.current=e,this.value=t}reset(){this.i=this.end,this.current=void 0,this.value=void 0}}Object.prototype.hasOwnProperty;function O(e){const t=[];for(const n of function(e){let t=[];for(;Object.prototype!==e;)t=t.concat(Object.getOwnPropertyNames(e)),e=Object.getPrototypeOf(e);return t}(e))"function"==typeof e[n]&&t.push(n);return t}let I="undefined"!=typeof document&&document.location&&document.location.hash.indexOf("pseudo=true")>=0;function P(e,t){let n;return n=0===t.length?e:e.replace(/\{(\d+)\}/g,((e,n)=>{const r=n[0],i=t[r];let s=e;return"string"==typeof i?s=i:"number"!=typeof i&&"boolean"!=typeof i&&null!=i||(s=String(i)),s})),I&&(n="［"+n.replace(/[aouei]/g,"$&$&")+"］"),n}function F(e,t,...n){return P(t,n)}var V,D;const q="en";let K,U,B=!1,$=!1,j=!1,W=!1,z=!1,H=!1,G=!1,J=!1,X=!1,Q=!1,Z=null,Y=null,ee=null;const te=globalThis;let ne;void 0!==te.vscode&&void 0!==te.vscode.process?ne=te.vscode.process:"undefined"!=typeof process&&"string"==typeof(null===(V=null===process||void 0===process?void 0:process.versions)||void 0===V?void 0:V.node)&&(ne=process);const re="string"==typeof(null===(D=null==ne?void 0:ne.versions)||void 0===D?void 0:D.electron),ie=re&&"renderer"===(null==ne?void 0:ne.type);if("object"==typeof ne){B="win32"===ne.platform,$="darwin"===ne.platform,j="linux"===ne.platform,W=j&&!!ne.env.SNAP&&!!ne.env.SNAP_REVISION,G=re,X=!!ne.env.CI||!!ne.env.BUILD_ARTIFACTSTAGINGDIRECTORY,K=q,Z=q;const e=ne.env.VSCODE_NLS_CONFIG;if(e)try{const t=JSON.parse(e),n=t.availableLanguages["*"];K=t.locale,Y=t.osLocale,Z=n||q,ee=t._translationsConfigFile}catch(e){}z=!0}else if("object"!=typeof navigator||ie)console.error("Unable to resolve platform.");else{U=navigator.userAgent,B=U.indexOf("Windows")>=0,$=U.indexOf("Macintosh")>=0,J=(U.indexOf("Macintosh")>=0||U.indexOf("iPad")>=0||U.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,j=U.indexOf("Linux")>=0,Q=(null==U?void 0:U.indexOf("Mobi"))>=0,H=!0;K=void F(0,"_")||q,Z=K,Y=navigator.language}let se=0;$?se=1:B?se=3:j&&(se=2);const oe=B,ae=$,le=(H&&"function"==typeof te.importScripts&&te.origin,U),ue="function"==typeof te.postMessage&&!te.importScripts;(()=>{if(ue){const e=[];te.addEventListener("message",(t=>{if(t.data&&t.data.vscodeScheduleAsyncWork)for(let n=0,r=e.length;n<r;n++){const r=e[n];if(r.id===t.data.vscodeScheduleAsyncWork)return e.splice(n,1),void r.callback()}}));let t=0;return n=>{const r=++t;e.push({id:r,callback:n}),te.postMessage({vscodeScheduleAsyncWork:r},"*")}}})();const ce=!!(le&&le.indexOf("Chrome")>=0);le&&le.indexOf("Firefox"),!ce&&le&&le.indexOf("Safari"),le&&le.indexOf("Edg/"),le&&le.indexOf("Android");function he(e){return e}class de{constructor(e){this.executor=e,this._didRun=!1}get value(){if(!this._didRun)try{this._value=this.executor()}catch(e){this._error=e}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}}var fe;function me(e){return e.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}function ge(e){return e>=65&&e<=90}function pe(e){return 55296<=e&&e<=56319}function be(e){return 56320<=e&&e<=57343}function ye(e,t){return t-56320+(e-55296<<10)+65536}function ve(e,t,n){const r=e.charCodeAt(n);if(pe(r)&&n+1<t){const t=e.charCodeAt(n+1);if(be(t))return ye(r,t)}return r}const _e=/^[\t\n\r\x20-\x7E]*$/;String.fromCharCode(65279);class Ce{static getInstance(){return Ce._INSTANCE||(Ce._INSTANCE=new Ce),Ce._INSTANCE}constructor(){this._data=JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}getGraphemeBreakType(e){if(e<32)return 10===e?3:13===e?2:4;if(e<127)return 0;const t=this._data,n=t.length/3;let r=1;for(;r<=n;)if(e<t[3*r])r*=2;else{if(!(e>t[3*r+1]))return t[3*r+2];r=2*r+1}return 0}}Ce._INSTANCE=null;class Se{static getInstance(e){return fe.cache.get(Array.from(e))}static getLocales(){return fe._locales.value}constructor(e){this.confusableDictionary=e}isAmbiguous(e){return this.confusableDictionary.has(e)}getPrimaryConfusable(e){return this.confusableDictionary.get(e)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}fe=Se,Se.ambiguousCharacterData=new de((()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125,119846,109],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}'))),Se.cache=new class{constructor(e,t){this.lastCache=void 0,this.lastArgKey=void 0,"function"==typeof e?(this._fn=e,this._computeKey=he):(this._fn=t,this._computeKey=e.getCacheKey)}get(e){const t=this._computeKey(e);return this.lastArgKey!==t&&(this.lastArgKey=t,this.lastCache=this._fn(e)),this.lastCache}}({getCacheKey:JSON.stringify},(e=>{function t(e){const t=new Map;for(let n=0;n<e.length;n+=2)t.set(e[n],e[n+1]);return t}function n(e,t){if(!e)return t;const n=new Map;for(const[r,i]of e)t.has(r)&&n.set(r,i);return n}const r=fe.ambiguousCharacterData.value;let i,s=e.filter((e=>!e.startsWith("_")&&e in r));0===s.length&&(s=["_default"]);for(const e of s){i=n(i,t(r[e]))}const o=function(e,t){const n=new Map(e);for(const[e,r]of t)n.set(e,r);return n}(t(r._common),i);return new fe(o)})),Se._locales=new de((()=>Object.keys(fe.ambiguousCharacterData.value).filter((e=>!e.startsWith("_")))));class we{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(we.getRawData())),this._data}static isInvisibleCharacter(e){return we.getData().has(e)}static get codePoints(){return we.getData()}}we._data=void 0;const Le="$initialize";let Ne;class xe{constructor(e,t,n,r){this.vsWorker=e,this.req=t,this.method=n,this.args=r,this.type=0}}class Ee{constructor(e,t,n,r){this.vsWorker=e,this.seq=t,this.res=n,this.err=r,this.type=1}}class Ae{constructor(e,t,n,r){this.vsWorker=e,this.req=t,this.eventName=n,this.arg=r,this.type=2}}class ke{constructor(e,t,n){this.vsWorker=e,this.req=t,this.event=n,this.type=3}}class Re{constructor(e,t){this.vsWorker=e,this.req=t,this.type=4}}class Te{constructor(e){this._workerId=-1,this._handler=e,this._lastSentReq=0,this._pendingReplies=Object.create(null),this._pendingEmitters=new Map,this._pendingEvents=new Map}setWorkerId(e){this._workerId=e}sendMessage(e,t){const n=String(++this._lastSentReq);return new Promise(((r,i)=>{this._pendingReplies[n]={resolve:r,reject:i},this._send(new xe(this._workerId,n,e,t))}))}listen(e,t){let n=null;const r=new T({onWillAddFirstListener:()=>{n=String(++this._lastSentReq),this._pendingEmitters.set(n,r),this._send(new Ae(this._workerId,n,e,t))},onDidRemoveLastListener:()=>{this._pendingEmitters.delete(n),this._send(new Re(this._workerId,n)),n=null}});return r.event}handleMessage(e){e&&e.vsWorker&&(-1!==this._workerId&&e.vsWorker!==this._workerId||this._handleMessage(e))}_handleMessage(e){switch(e.type){case 1:return this._handleReplyMessage(e);case 0:return this._handleRequestMessage(e);case 2:return this._handleSubscribeEventMessage(e);case 3:return this._handleEventMessage(e);case 4:return this._handleUnsubscribeEventMessage(e)}}_handleReplyMessage(e){if(!this._pendingReplies[e.seq])return void console.warn("Got reply to unknown seq");const t=this._pendingReplies[e.seq];if(delete this._pendingReplies[e.seq],e.err){let n=e.err;return e.err.$isError&&(n=new Error,n.name=e.err.name,n.message=e.err.message,n.stack=e.err.stack),void t.reject(n)}t.resolve(e.res)}_handleRequestMessage(e){const t=e.req;this._handler.handleMessage(e.method,e.args).then((e=>{this._send(new Ee(this._workerId,t,e,void 0))}),(e=>{e.detail instanceof Error&&(e.detail=n(e.detail)),this._send(new Ee(this._workerId,t,void 0,n(e)))}))}_handleSubscribeEventMessage(e){const t=e.req,n=this._handler.handleEvent(e.eventName,e.arg)((e=>{this._send(new ke(this._workerId,t,e))}));this._pendingEvents.set(t,n)}_handleEventMessage(e){this._pendingEmitters.has(e.req)?this._pendingEmitters.get(e.req).fire(e.event):console.warn("Got event for unknown req")}_handleUnsubscribeEventMessage(e){this._pendingEvents.has(e.req)?(this._pendingEvents.get(e.req).dispose(),this._pendingEvents.delete(e.req)):console.warn("Got unsubscribe for unknown req")}_send(e){const t=[];if(0===e.type)for(let n=0;n<e.args.length;n++)e.args[n]instanceof ArrayBuffer&&t.push(e.args[n]);else 1===e.type&&e.res instanceof ArrayBuffer&&t.push(e.res);this._handler.sendMessage(e,t)}}function Me(e){return"o"===e[0]&&"n"===e[1]&&ge(e.charCodeAt(2))}function Oe(e){return/^onDynamic/.test(e)&&ge(e.charCodeAt(9))}function Ie(e,t,n){const r=e=>function(){const n=Array.prototype.slice.call(arguments,0);return t(e,n)},i=e=>function(t){return n(e,t)},s={};for(const t of e)Oe(t)?s[t]=i(t):Me(t)?s[t]=n(t,void 0):s[t]=r(t);return s}class Pe{constructor(e,t){this._requestHandlerFactory=t,this._requestHandler=null,this._protocol=new Te({sendMessage:(t,n)=>{e(t,n)},handleMessage:(e,t)=>this._handleMessage(e,t),handleEvent:(e,t)=>this._handleEvent(e,t)})}onmessage(e){this._protocol.handleMessage(e)}_handleMessage(e,t){if(e===Le)return this.initialize(t[0],t[1],t[2],t[3]);if(!this._requestHandler||"function"!=typeof this._requestHandler[e])return Promise.reject(new Error("Missing requestHandler or method: "+e));try{return Promise.resolve(this._requestHandler[e].apply(this._requestHandler,t))}catch(e){return Promise.reject(e)}}_handleEvent(e,t){if(!this._requestHandler)throw new Error("Missing requestHandler");if(Oe(e)){const n=this._requestHandler[e].call(this._requestHandler,t);if("function"!=typeof n)throw new Error(`Missing dynamic event ${e} on request handler.`);return n}if(Me(e)){const t=this._requestHandler[e];if("function"!=typeof t)throw new Error(`Missing event ${e} on request handler.`);return t}throw new Error(`Malformed event name ${e}`)}initialize(e,t,n,r){this._protocol.setWorkerId(e);const i=Ie(r,((e,t)=>this._protocol.sendMessage(e,t)),((e,t)=>this._protocol.listen(e,t)));return this._requestHandlerFactory?(this._requestHandler=this._requestHandlerFactory(i),Promise.resolve(O(this._requestHandler))):(t&&(void 0!==t.baseUrl&&delete t.baseUrl,void 0!==t.paths&&void 0!==t.paths.vs&&delete t.paths.vs,void 0!==t.trustedTypesPolicy&&delete t.trustedTypesPolicy,t.catchError=!0,globalThis.require.config(t)),new Promise(((e,t)=>{(0,globalThis.require)([n],(n=>{this._requestHandler=n.create(i),this._requestHandler?e(O(this._requestHandler)):t(new Error("No RequestHandler!"))}),t)})))}}class Fe{constructor(e,t,n,r){this.originalStart=e,this.originalLength=t,this.modifiedStart=n,this.modifiedLength=r}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}function Ve(e,t){return(t<<5)-t+e|0}function De(e,t){t=Ve(149417,t);for(let n=0,r=e.length;n<r;n++)t=Ve(e.charCodeAt(n),t);return t}function qe(e,t,n=32){const r=n-t;return(e<<t|(~((1<<r)-1)&e)>>>r)>>>0}function Ke(e,t=0,n=e.byteLength,r=0){for(let i=0;i<n;i++)e[t+i]=r}function Ue(e,t=32){return e instanceof ArrayBuffer?Array.from(new Uint8Array(e)).map((e=>e.toString(16).padStart(2,"0"))).join(""):function(e,t,n="0"){for(;e.length<t;)e=n+e;return e}((e>>>0).toString(16),t/4)}class Be{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(67),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(e){const t=e.length;if(0===t)return;const n=this._buff;let r,i,s=this._buffLen,o=this._leftoverHighSurrogate;for(0!==o?(r=o,i=-1,o=0):(r=e.charCodeAt(0),i=0);;){let a=r;if(pe(r)){if(!(i+1<t)){o=r;break}{const t=e.charCodeAt(i+1);be(t)?(i++,a=ye(r,t)):a=65533}}else be(r)&&(a=65533);if(s=this._push(n,s,a),i++,!(i<t))break;r=e.charCodeAt(i)}this._buffLen=s,this._leftoverHighSurrogate=o}_push(e,t,n){return n<128?e[t++]=n:n<2048?(e[t++]=192|(1984&n)>>>6,e[t++]=128|(63&n)>>>0):n<65536?(e[t++]=224|(61440&n)>>>12,e[t++]=128|(4032&n)>>>6,e[t++]=128|(63&n)>>>0):(e[t++]=240|(1835008&n)>>>18,e[t++]=128|(258048&n)>>>12,e[t++]=128|(4032&n)>>>6,e[t++]=128|(63&n)>>>0),t>=64&&(this._step(),t-=64,this._totalLen+=64,e[0]=e[64],e[1]=e[65],e[2]=e[66]),t}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),Ue(this._h0)+Ue(this._h1)+Ue(this._h2)+Ue(this._h3)+Ue(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,Ke(this._buff,this._buffLen),this._buffLen>56&&(this._step(),Ke(this._buff));const e=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(e/4294967296),!1),this._buffDV.setUint32(60,e%4294967296,!1),this._step()}_step(){const e=Be._bigBlock32,t=this._buffDV;for(let n=0;n<64;n+=4)e.setUint32(n,t.getUint32(n,!1),!1);for(let t=64;t<320;t+=4)e.setUint32(t,qe(e.getUint32(t-12,!1)^e.getUint32(t-32,!1)^e.getUint32(t-56,!1)^e.getUint32(t-64,!1),1),!1);let n,r,i,s=this._h0,o=this._h1,a=this._h2,l=this._h3,u=this._h4;for(let t=0;t<80;t++)t<20?(n=o&a|~o&l,r=1518500249):t<40?(n=o^a^l,r=1859775393):t<60?(n=o&a|o&l|a&l,r=2400959708):(n=o^a^l,r=3395469782),i=qe(s,5)+n+u+r+e.getUint32(4*t,!1)&4294967295,u=l,l=a,a=qe(o,30),o=s,s=i;this._h0=this._h0+s&4294967295,this._h1=this._h1+o&4294967295,this._h2=this._h2+a&4294967295,this._h3=this._h3+l&4294967295,this._h4=this._h4+u&4294967295}}Be._bigBlock32=new DataView(new ArrayBuffer(320));class $e{constructor(e){this.source=e}getElements(){const e=this.source,t=new Int32Array(e.length);for(let n=0,r=e.length;n<r;n++)t[n]=e.charCodeAt(n);return t}}function je(e,t,n){return new Ge(new $e(e),new $e(t)).ComputeDiff(n).changes}class We{static Assert(e,t){if(!e)throw new Error(t)}}class ze{static Copy(e,t,n,r,i){for(let s=0;s<i;s++)n[r+s]=e[t+s]}static Copy2(e,t,n,r,i){for(let s=0;s<i;s++)n[r+s]=e[t+s]}}class He{constructor(){this.m_changes=[],this.m_originalStart=1073741824,this.m_modifiedStart=1073741824,this.m_originalCount=0,this.m_modifiedCount=0}MarkNextChange(){(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new Fe(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=1073741824,this.m_modifiedStart=1073741824}AddOriginalElement(e,t){this.m_originalStart=Math.min(this.m_originalStart,e),this.m_modifiedStart=Math.min(this.m_modifiedStart,t),this.m_originalCount++}AddModifiedElement(e,t){this.m_originalStart=Math.min(this.m_originalStart,e),this.m_modifiedStart=Math.min(this.m_modifiedStart,t),this.m_modifiedCount++}getChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes}getReverseChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes}}class Ge{constructor(e,t,n=null){this.ContinueProcessingPredicate=n,this._originalSequence=e,this._modifiedSequence=t;const[r,i,s]=Ge._getElements(e),[o,a,l]=Ge._getElements(t);this._hasStrings=s&&l,this._originalStringElements=r,this._originalElementsOrHash=i,this._modifiedStringElements=o,this._modifiedElementsOrHash=a,this.m_forwardHistory=[],this.m_reverseHistory=[]}static _isStringArray(e){return e.length>0&&"string"==typeof e[0]}static _getElements(e){const t=e.getElements();if(Ge._isStringArray(t)){const e=new Int32Array(t.length);for(let n=0,r=t.length;n<r;n++)e[n]=De(t[n],0);return[t,e,!0]}return t instanceof Int32Array?[[],t,!1]:[[],new Int32Array(t),!1]}ElementsAreEqual(e,t){return this._originalElementsOrHash[e]===this._modifiedElementsOrHash[t]&&(!this._hasStrings||this._originalStringElements[e]===this._modifiedStringElements[t])}ElementsAreStrictEqual(e,t){if(!this.ElementsAreEqual(e,t))return!1;return Ge._getStrictElement(this._originalSequence,e)===Ge._getStrictElement(this._modifiedSequence,t)}static _getStrictElement(e,t){return"function"==typeof e.getStrictElement?e.getStrictElement(t):null}OriginalElementsAreEqual(e,t){return this._originalElementsOrHash[e]===this._originalElementsOrHash[t]&&(!this._hasStrings||this._originalStringElements[e]===this._originalStringElements[t])}ModifiedElementsAreEqual(e,t){return this._modifiedElementsOrHash[e]===this._modifiedElementsOrHash[t]&&(!this._hasStrings||this._modifiedStringElements[e]===this._modifiedStringElements[t])}ComputeDiff(e){return this._ComputeDiff(0,this._originalElementsOrHash.length-1,0,this._modifiedElementsOrHash.length-1,e)}_ComputeDiff(e,t,n,r,i){const s=[!1];let o=this.ComputeDiffRecursive(e,t,n,r,s);return i&&(o=this.PrettifyChanges(o)),{quitEarly:s[0],changes:o}}ComputeDiffRecursive(e,t,n,r,i){for(i[0]=!1;e<=t&&n<=r&&this.ElementsAreEqual(e,n);)e++,n++;for(;t>=e&&r>=n&&this.ElementsAreEqual(t,r);)t--,r--;if(e>t||n>r){let i;return n<=r?(We.Assert(e===t+1,"originalStart should only be one more than originalEnd"),i=[new Fe(e,0,n,r-n+1)]):e<=t?(We.Assert(n===r+1,"modifiedStart should only be one more than modifiedEnd"),i=[new Fe(e,t-e+1,n,0)]):(We.Assert(e===t+1,"originalStart should only be one more than originalEnd"),We.Assert(n===r+1,"modifiedStart should only be one more than modifiedEnd"),i=[]),i}const s=[0],o=[0],a=this.ComputeRecursionPoint(e,t,n,r,s,o,i),l=s[0],u=o[0];if(null!==a)return a;if(!i[0]){const s=this.ComputeDiffRecursive(e,l,n,u,i);let o=[];return o=i[0]?[new Fe(l+1,t-(l+1)+1,u+1,r-(u+1)+1)]:this.ComputeDiffRecursive(l+1,t,u+1,r,i),this.ConcatenateChanges(s,o)}return[new Fe(e,t-e+1,n,r-n+1)]}WALKTRACE(e,t,n,r,i,s,o,a,l,u,c,h,d,f,m,g,p,b){let y=null,v=null,_=new He,C=t,S=n,w=d[0]-g[0]-r,L=-1073741824,N=this.m_forwardHistory.length-1;do{const t=w+e;t===C||t<S&&l[t-1]<l[t+1]?(f=(c=l[t+1])-w-r,c<L&&_.MarkNextChange(),L=c,_.AddModifiedElement(c+1,f),w=t+1-e):(f=(c=l[t-1]+1)-w-r,c<L&&_.MarkNextChange(),L=c-1,_.AddOriginalElement(c,f+1),w=t-1-e),N>=0&&(e=(l=this.m_forwardHistory[N])[0],C=1,S=l.length-1)}while(--N>=-1);if(y=_.getReverseChanges(),b[0]){let e=d[0]+1,t=g[0]+1;if(null!==y&&y.length>0){const n=y[y.length-1];e=Math.max(e,n.getOriginalEnd()),t=Math.max(t,n.getModifiedEnd())}v=[new Fe(e,h-e+1,t,m-t+1)]}else{_=new He,C=s,S=o,w=d[0]-g[0]-a,L=1073741824,N=p?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do{const e=w+i;e===C||e<S&&u[e-1]>=u[e+1]?(f=(c=u[e+1]-1)-w-a,c>L&&_.MarkNextChange(),L=c+1,_.AddOriginalElement(c+1,f+1),w=e+1-i):(f=(c=u[e-1])-w-a,c>L&&_.MarkNextChange(),L=c,_.AddModifiedElement(c+1,f+1),w=e-1-i),N>=0&&(i=(u=this.m_reverseHistory[N])[0],C=1,S=u.length-1)}while(--N>=-1);v=_.getChanges()}return this.ConcatenateChanges(y,v)}ComputeRecursionPoint(e,t,n,r,i,s,o){let a=0,l=0,u=0,c=0,h=0,d=0;e--,n--,i[0]=0,s[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];const f=t-e+(r-n),m=f+1,g=new Int32Array(m),p=new Int32Array(m),b=r-n,y=t-e,v=e-n,_=t-r,C=(y-b)%2==0;g[b]=e,p[y]=t,o[0]=!1;for(let S=1;S<=f/2+1;S++){let f=0,w=0;u=this.ClipDiagonalBound(b-S,S,b,m),c=this.ClipDiagonalBound(b+S,S,b,m);for(let e=u;e<=c;e+=2){a=e===u||e<c&&g[e-1]<g[e+1]?g[e+1]:g[e-1]+1,l=a-(e-b)-v;const n=a;for(;a<t&&l<r&&this.ElementsAreEqual(a+1,l+1);)a++,l++;if(g[e]=a,a+l>f+w&&(f=a,w=l),!C&&Math.abs(e-y)<=S-1&&a>=p[e])return i[0]=a,s[0]=l,n<=p[e]&&S<=1448?this.WALKTRACE(b,u,c,v,y,h,d,_,g,p,a,t,i,l,r,s,C,o):null}const L=(f-e+(w-n)-S)/2;if(null!==this.ContinueProcessingPredicate&&!this.ContinueProcessingPredicate(f,L))return o[0]=!0,i[0]=f,s[0]=w,L>0&&S<=1448?this.WALKTRACE(b,u,c,v,y,h,d,_,g,p,a,t,i,l,r,s,C,o):(e++,n++,[new Fe(e,t-e+1,n,r-n+1)]);h=this.ClipDiagonalBound(y-S,S,y,m),d=this.ClipDiagonalBound(y+S,S,y,m);for(let f=h;f<=d;f+=2){a=f===h||f<d&&p[f-1]>=p[f+1]?p[f+1]-1:p[f-1],l=a-(f-y)-_;const m=a;for(;a>e&&l>n&&this.ElementsAreEqual(a,l);)a--,l--;if(p[f]=a,C&&Math.abs(f-b)<=S&&a<=g[f])return i[0]=a,s[0]=l,m>=g[f]&&S<=1448?this.WALKTRACE(b,u,c,v,y,h,d,_,g,p,a,t,i,l,r,s,C,o):null}if(S<=1447){let e=new Int32Array(c-u+2);e[0]=b-u+1,ze.Copy2(g,u,e,1,c-u+1),this.m_forwardHistory.push(e),e=new Int32Array(d-h+2),e[0]=y-h+1,ze.Copy2(p,h,e,1,d-h+1),this.m_reverseHistory.push(e)}}return this.WALKTRACE(b,u,c,v,y,h,d,_,g,p,a,t,i,l,r,s,C,o)}PrettifyChanges(e){for(let t=0;t<e.length;t++){const n=e[t],r=t<e.length-1?e[t+1].originalStart:this._originalElementsOrHash.length,i=t<e.length-1?e[t+1].modifiedStart:this._modifiedElementsOrHash.length,s=n.originalLength>0,o=n.modifiedLength>0;for(;n.originalStart+n.originalLength<r&&n.modifiedStart+n.modifiedLength<i&&(!s||this.OriginalElementsAreEqual(n.originalStart,n.originalStart+n.originalLength))&&(!o||this.ModifiedElementsAreEqual(n.modifiedStart,n.modifiedStart+n.modifiedLength));){const e=this.ElementsAreStrictEqual(n.originalStart,n.modifiedStart);if(this.ElementsAreStrictEqual(n.originalStart+n.originalLength,n.modifiedStart+n.modifiedLength)&&!e)break;n.originalStart++,n.modifiedStart++}const a=[null];t<e.length-1&&this.ChangesOverlap(e[t],e[t+1],a)&&(e[t]=a[0],e.splice(t+1,1),t--)}for(let t=e.length-1;t>=0;t--){const n=e[t];let r=0,i=0;if(t>0){const n=e[t-1];r=n.originalStart+n.originalLength,i=n.modifiedStart+n.modifiedLength}const s=n.originalLength>0,o=n.modifiedLength>0;let a=0,l=this._boundaryScore(n.originalStart,n.originalLength,n.modifiedStart,n.modifiedLength);for(let e=1;;e++){const t=n.originalStart-e,u=n.modifiedStart-e;if(t<r||u<i)break;if(s&&!this.OriginalElementsAreEqual(t,t+n.originalLength))break;if(o&&!this.ModifiedElementsAreEqual(u,u+n.modifiedLength))break;const c=(t===r&&u===i?5:0)+this._boundaryScore(t,n.originalLength,u,n.modifiedLength);c>l&&(l=c,a=e)}n.originalStart-=a,n.modifiedStart-=a;const u=[null];t>0&&this.ChangesOverlap(e[t-1],e[t],u)&&(e[t-1]=u[0],e.splice(t,1),t++)}if(this._hasStrings)for(let t=1,n=e.length;t<n;t++){const n=e[t-1],r=e[t],i=r.originalStart-n.originalStart-n.originalLength,s=n.originalStart,o=r.originalStart+r.originalLength,a=o-s,l=n.modifiedStart,u=r.modifiedStart+r.modifiedLength,c=u-l;if(i<5&&a<20&&c<20){const e=this._findBetterContiguousSequence(s,a,l,c,i);if(e){const[t,s]=e;t===n.originalStart+n.originalLength&&s===n.modifiedStart+n.modifiedLength||(n.originalLength=t-n.originalStart,n.modifiedLength=s-n.modifiedStart,r.originalStart=t+i,r.modifiedStart=s+i,r.originalLength=o-r.originalStart,r.modifiedLength=u-r.modifiedStart)}}}return e}_findBetterContiguousSequence(e,t,n,r,i){if(t<i||r<i)return null;const s=e+t-i+1,o=n+r-i+1;let a=0,l=0,u=0;for(let t=e;t<s;t++)for(let e=n;e<o;e++){const n=this._contiguousSequenceScore(t,e,i);n>0&&n>a&&(a=n,l=t,u=e)}return a>0?[l,u]:null}_contiguousSequenceScore(e,t,n){let r=0;for(let i=0;i<n;i++){if(!this.ElementsAreEqual(e+i,t+i))return 0;r+=this._originalStringElements[e+i].length}return r}_OriginalIsBoundary(e){return e<=0||e>=this._originalElementsOrHash.length-1||this._hasStrings&&/^\s*$/.test(this._originalStringElements[e])}_OriginalRegionIsBoundary(e,t){if(this._OriginalIsBoundary(e)||this._OriginalIsBoundary(e-1))return!0;if(t>0){const n=e+t;if(this._OriginalIsBoundary(n-1)||this._OriginalIsBoundary(n))return!0}return!1}_ModifiedIsBoundary(e){return e<=0||e>=this._modifiedElementsOrHash.length-1||this._hasStrings&&/^\s*$/.test(this._modifiedStringElements[e])}_ModifiedRegionIsBoundary(e,t){if(this._ModifiedIsBoundary(e)||this._ModifiedIsBoundary(e-1))return!0;if(t>0){const n=e+t;if(this._ModifiedIsBoundary(n-1)||this._ModifiedIsBoundary(n))return!0}return!1}_boundaryScore(e,t,n,r){return(this._OriginalRegionIsBoundary(e,t)?1:0)+(this._ModifiedRegionIsBoundary(n,r)?1:0)}ConcatenateChanges(e,t){const n=[];if(0===e.length||0===t.length)return t.length>0?t:e;if(this.ChangesOverlap(e[e.length-1],t[0],n)){const r=new Array(e.length+t.length-1);return ze.Copy(e,0,r,0,e.length-1),r[e.length-1]=n[0],ze.Copy(t,1,r,e.length,t.length-1),r}{const n=new Array(e.length+t.length);return ze.Copy(e,0,n,0,e.length),ze.Copy(t,0,n,e.length,t.length),n}}ChangesOverlap(e,t,n){if(We.Assert(e.originalStart<=t.originalStart,"Left change is not less than or equal to right change"),We.Assert(e.modifiedStart<=t.modifiedStart,"Left change is not less than or equal to right change"),e.originalStart+e.originalLength>=t.originalStart||e.modifiedStart+e.modifiedLength>=t.modifiedStart){const r=e.originalStart;let i=e.originalLength;const s=e.modifiedStart;let o=e.modifiedLength;return e.originalStart+e.originalLength>=t.originalStart&&(i=t.originalStart+t.originalLength-e.originalStart),e.modifiedStart+e.modifiedLength>=t.modifiedStart&&(o=t.modifiedStart+t.modifiedLength-e.modifiedStart),n[0]=new Fe(r,i,s,o),!0}return n[0]=null,!1}ClipDiagonalBound(e,t,n,r){if(e>=0&&e<r)return e;const i=t%2==0;if(e<0){return i===(n%2==0)?0:1}return i===((r-n-1)%2==0)?r-1:r-2}}const Je=globalThis.vscode;if(void 0!==Je&&void 0!==Je.process){const e=Je.process;Ne={get platform(){return e.platform},get arch(){return e.arch},get env(){return e.env},cwd(){return e.cwd()}}}else Ne="undefined"!=typeof process?{get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:{get platform(){return oe?"win32":ae?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};const Xe=Ne.cwd,Qe=Ne.env,Ze=Ne.platform,Ye=46,et=47,tt=92,nt=58;class rt extends Error{constructor(e,t,n){let r;"string"==typeof t&&0===t.indexOf("not ")?(r="must not be",t=t.replace(/^not /,"")):r="must be";const i=-1!==e.indexOf(".")?"property":"argument";let s=`The "${e}" ${i} ${r} of type ${t}`;s+=". Received type "+typeof n,super(s),this.code="ERR_INVALID_ARG_TYPE"}}function it(e,t){if("string"!=typeof e)throw new rt(t,"string",e)}const st="win32"===Ze;function ot(e){return e===et||e===tt}function at(e){return e===et}function lt(e){return e>=65&&e<=90||e>=97&&e<=122}function ut(e,t,n,r){let i="",s=0,o=-1,a=0,l=0;for(let u=0;u<=e.length;++u){if(u<e.length)l=e.charCodeAt(u);else{if(r(l))break;l=et}if(r(l)){if(o===u-1||1===a);else if(2===a){if(i.length<2||2!==s||i.charCodeAt(i.length-1)!==Ye||i.charCodeAt(i.length-2)!==Ye){if(i.length>2){const e=i.lastIndexOf(n);-1===e?(i="",s=0):(i=i.slice(0,e),s=i.length-1-i.lastIndexOf(n)),o=u,a=0;continue}if(0!==i.length){i="",s=0,o=u,a=0;continue}}t&&(i+=i.length>0?`${n}..`:"..",s=2)}else i.length>0?i+=`${n}${e.slice(o+1,u)}`:i=e.slice(o+1,u),s=u-o-1;o=u,a=0}else l===Ye&&-1!==a?++a:a=-1}return i}function ct(e,t){!function(e,t){if(null===e||"object"!=typeof e)throw new rt(t,"Object",e)}(t,"pathObject");const n=t.dir||t.root,r=t.base||`${t.name||""}${t.ext||""}`;return n?n===t.root?`${n}${r}`:`${n}${e}${r}`:r}const ht={resolve(...e){let t="",n="",r=!1;for(let i=e.length-1;i>=-1;i--){let s;if(i>=0){if(s=e[i],it(s,"path"),0===s.length)continue}else 0===t.length?s=Xe():(s=Qe[`=${t}`]||Xe(),(void 0===s||s.slice(0,2).toLowerCase()!==t.toLowerCase()&&s.charCodeAt(2)===tt)&&(s=`${t}\\`));const o=s.length;let a=0,l="",u=!1;const c=s.charCodeAt(0);if(1===o)ot(c)&&(a=1,u=!0);else if(ot(c))if(u=!0,ot(s.charCodeAt(1))){let e=2,t=e;for(;e<o&&!ot(s.charCodeAt(e));)e++;if(e<o&&e!==t){const n=s.slice(t,e);for(t=e;e<o&&ot(s.charCodeAt(e));)e++;if(e<o&&e!==t){for(t=e;e<o&&!ot(s.charCodeAt(e));)e++;e!==o&&e===t||(l=`\\\\${n}\\${s.slice(t,e)}`,a=e)}}}else a=1;else lt(c)&&s.charCodeAt(1)===nt&&(l=s.slice(0,2),a=2,o>2&&ot(s.charCodeAt(2))&&(u=!0,a=3));if(l.length>0)if(t.length>0){if(l.toLowerCase()!==t.toLowerCase())continue}else t=l;if(r){if(t.length>0)break}else if(n=`${s.slice(a)}\\${n}`,r=u,u&&t.length>0)break}return n=ut(n,!r,"\\",ot),r?`${t}\\${n}`:`${t}${n}`||"."},normalize(e){it(e,"path");const t=e.length;if(0===t)return".";let n,r=0,i=!1;const s=e.charCodeAt(0);if(1===t)return at(s)?"\\":e;if(ot(s))if(i=!0,ot(e.charCodeAt(1))){let i=2,s=i;for(;i<t&&!ot(e.charCodeAt(i));)i++;if(i<t&&i!==s){const o=e.slice(s,i);for(s=i;i<t&&ot(e.charCodeAt(i));)i++;if(i<t&&i!==s){for(s=i;i<t&&!ot(e.charCodeAt(i));)i++;if(i===t)return`\\\\${o}\\${e.slice(s)}\\`;i!==s&&(n=`\\\\${o}\\${e.slice(s,i)}`,r=i)}}}else r=1;else lt(s)&&e.charCodeAt(1)===nt&&(n=e.slice(0,2),r=2,t>2&&ot(e.charCodeAt(2))&&(i=!0,r=3));let o=r<t?ut(e.slice(r),!i,"\\",ot):"";return 0!==o.length||i||(o="."),o.length>0&&ot(e.charCodeAt(t-1))&&(o+="\\"),void 0===n?i?`\\${o}`:o:i?`${n}\\${o}`:`${n}${o}`},isAbsolute(e){it(e,"path");const t=e.length;if(0===t)return!1;const n=e.charCodeAt(0);return ot(n)||t>2&&lt(n)&&e.charCodeAt(1)===nt&&ot(e.charCodeAt(2))},join(...e){if(0===e.length)return".";let t,n;for(let r=0;r<e.length;++r){const i=e[r];it(i,"path"),i.length>0&&(void 0===t?t=n=i:t+=`\\${i}`)}if(void 0===t)return".";let r=!0,i=0;if("string"==typeof n&&ot(n.charCodeAt(0))){++i;const e=n.length;e>1&&ot(n.charCodeAt(1))&&(++i,e>2&&(ot(n.charCodeAt(2))?++i:r=!1))}if(r){for(;i<t.length&&ot(t.charCodeAt(i));)i++;i>=2&&(t=`\\${t.slice(i)}`)}return ht.normalize(t)},relative(e,t){if(it(e,"from"),it(t,"to"),e===t)return"";const n=ht.resolve(e),r=ht.resolve(t);if(n===r)return"";if((e=n.toLowerCase())===(t=r.toLowerCase()))return"";let i=0;for(;i<e.length&&e.charCodeAt(i)===tt;)i++;let s=e.length;for(;s-1>i&&e.charCodeAt(s-1)===tt;)s--;const o=s-i;let a=0;for(;a<t.length&&t.charCodeAt(a)===tt;)a++;let l=t.length;for(;l-1>a&&t.charCodeAt(l-1)===tt;)l--;const u=l-a,c=o<u?o:u;let h=-1,d=0;for(;d<c;d++){const n=e.charCodeAt(i+d);if(n!==t.charCodeAt(a+d))break;n===tt&&(h=d)}if(d!==c){if(-1===h)return r}else{if(u>c){if(t.charCodeAt(a+d)===tt)return r.slice(a+d+1);if(2===d)return r.slice(a+d)}o>c&&(e.charCodeAt(i+d)===tt?h=d:2===d&&(h=3)),-1===h&&(h=0)}let f="";for(d=i+h+1;d<=s;++d)d!==s&&e.charCodeAt(d)!==tt||(f+=0===f.length?"..":"\\..");return a+=h,f.length>0?`${f}${r.slice(a,l)}`:(r.charCodeAt(a)===tt&&++a,r.slice(a,l))},toNamespacedPath(e){if("string"!=typeof e||0===e.length)return e;const t=ht.resolve(e);if(t.length<=2)return e;if(t.charCodeAt(0)===tt){if(t.charCodeAt(1)===tt){const e=t.charCodeAt(2);if(63!==e&&e!==Ye)return`\\\\?\\UNC\\${t.slice(2)}`}}else if(lt(t.charCodeAt(0))&&t.charCodeAt(1)===nt&&t.charCodeAt(2)===tt)return`\\\\?\\${t}`;return e},dirname(e){it(e,"path");const t=e.length;if(0===t)return".";let n=-1,r=0;const i=e.charCodeAt(0);if(1===t)return ot(i)?e:".";if(ot(i)){if(n=r=1,ot(e.charCodeAt(1))){let i=2,s=i;for(;i<t&&!ot(e.charCodeAt(i));)i++;if(i<t&&i!==s){for(s=i;i<t&&ot(e.charCodeAt(i));)i++;if(i<t&&i!==s){for(s=i;i<t&&!ot(e.charCodeAt(i));)i++;if(i===t)return e;i!==s&&(n=r=i+1)}}}}else lt(i)&&e.charCodeAt(1)===nt&&(n=t>2&&ot(e.charCodeAt(2))?3:2,r=n);let s=-1,o=!0;for(let n=t-1;n>=r;--n)if(ot(e.charCodeAt(n))){if(!o){s=n;break}}else o=!1;if(-1===s){if(-1===n)return".";s=n}return e.slice(0,s)},basename(e,t){void 0!==t&&it(t,"ext"),it(e,"path");let n,r=0,i=-1,s=!0;if(e.length>=2&&lt(e.charCodeAt(0))&&e.charCodeAt(1)===nt&&(r=2),void 0!==t&&t.length>0&&t.length<=e.length){if(t===e)return"";let o=t.length-1,a=-1;for(n=e.length-1;n>=r;--n){const l=e.charCodeAt(n);if(ot(l)){if(!s){r=n+1;break}}else-1===a&&(s=!1,a=n+1),o>=0&&(l===t.charCodeAt(o)?-1==--o&&(i=n):(o=-1,i=a))}return r===i?i=a:-1===i&&(i=e.length),e.slice(r,i)}for(n=e.length-1;n>=r;--n)if(ot(e.charCodeAt(n))){if(!s){r=n+1;break}}else-1===i&&(s=!1,i=n+1);return-1===i?"":e.slice(r,i)},extname(e){it(e,"path");let t=0,n=-1,r=0,i=-1,s=!0,o=0;e.length>=2&&e.charCodeAt(1)===nt&&lt(e.charCodeAt(0))&&(t=r=2);for(let a=e.length-1;a>=t;--a){const t=e.charCodeAt(a);if(ot(t)){if(!s){r=a+1;break}}else-1===i&&(s=!1,i=a+1),t===Ye?-1===n?n=a:1!==o&&(o=1):-1!==n&&(o=-1)}return-1===n||-1===i||0===o||1===o&&n===i-1&&n===r+1?"":e.slice(n,i)},format:ct.bind(null,"\\"),parse(e){it(e,"path");const t={root:"",dir:"",base:"",ext:"",name:""};if(0===e.length)return t;const n=e.length;let r=0,i=e.charCodeAt(0);if(1===n)return ot(i)?(t.root=t.dir=e,t):(t.base=t.name=e,t);if(ot(i)){if(r=1,ot(e.charCodeAt(1))){let t=2,i=t;for(;t<n&&!ot(e.charCodeAt(t));)t++;if(t<n&&t!==i){for(i=t;t<n&&ot(e.charCodeAt(t));)t++;if(t<n&&t!==i){for(i=t;t<n&&!ot(e.charCodeAt(t));)t++;t===n?r=t:t!==i&&(r=t+1)}}}}else if(lt(i)&&e.charCodeAt(1)===nt){if(n<=2)return t.root=t.dir=e,t;if(r=2,ot(e.charCodeAt(2))){if(3===n)return t.root=t.dir=e,t;r=3}}r>0&&(t.root=e.slice(0,r));let s=-1,o=r,a=-1,l=!0,u=e.length-1,c=0;for(;u>=r;--u)if(i=e.charCodeAt(u),ot(i)){if(!l){o=u+1;break}}else-1===a&&(l=!1,a=u+1),i===Ye?-1===s?s=u:1!==c&&(c=1):-1!==s&&(c=-1);return-1!==a&&(-1===s||0===c||1===c&&s===a-1&&s===o+1?t.base=t.name=e.slice(o,a):(t.name=e.slice(o,s),t.base=e.slice(o,a),t.ext=e.slice(s,a))),t.dir=o>0&&o!==r?e.slice(0,o-1):t.root,t},sep:"\\",delimiter:";",win32:null,posix:null},dt=(()=>{if(st){const e=/\\/g;return()=>{const t=Xe().replace(e,"/");return t.slice(t.indexOf("/"))}}return()=>Xe()})(),ft={resolve(...e){let t="",n=!1;for(let r=e.length-1;r>=-1&&!n;r--){const i=r>=0?e[r]:dt();it(i,"path"),0!==i.length&&(t=`${i}/${t}`,n=i.charCodeAt(0)===et)}return t=ut(t,!n,"/",at),n?`/${t}`:t.length>0?t:"."},normalize(e){if(it(e,"path"),0===e.length)return".";const t=e.charCodeAt(0)===et,n=e.charCodeAt(e.length-1)===et;return 0===(e=ut(e,!t,"/",at)).length?t?"/":n?"./":".":(n&&(e+="/"),t?`/${e}`:e)},isAbsolute(e){return it(e,"path"),e.length>0&&e.charCodeAt(0)===et},join(...e){if(0===e.length)return".";let t;for(let n=0;n<e.length;++n){const r=e[n];it(r,"path"),r.length>0&&(void 0===t?t=r:t+=`/${r}`)}return void 0===t?".":ft.normalize(t)},relative(e,t){if(it(e,"from"),it(t,"to"),e===t)return"";if((e=ft.resolve(e))===(t=ft.resolve(t)))return"";const n=e.length,r=n-1,i=t.length-1,s=r<i?r:i;let o=-1,a=0;for(;a<s;a++){const n=e.charCodeAt(1+a);if(n!==t.charCodeAt(1+a))break;n===et&&(o=a)}if(a===s)if(i>s){if(t.charCodeAt(1+a)===et)return t.slice(1+a+1);if(0===a)return t.slice(1+a)}else r>s&&(e.charCodeAt(1+a)===et?o=a:0===a&&(o=0));let l="";for(a=1+o+1;a<=n;++a)a!==n&&e.charCodeAt(a)!==et||(l+=0===l.length?"..":"/..");return`${l}${t.slice(1+o)}`},toNamespacedPath(e){return e},dirname(e){if(it(e,"path"),0===e.length)return".";const t=e.charCodeAt(0)===et;let n=-1,r=!0;for(let t=e.length-1;t>=1;--t)if(e.charCodeAt(t)===et){if(!r){n=t;break}}else r=!1;return-1===n?t?"/":".":t&&1===n?"//":e.slice(0,n)},basename(e,t){void 0!==t&&it(t,"ext"),it(e,"path");let n,r=0,i=-1,s=!0;if(void 0!==t&&t.length>0&&t.length<=e.length){if(t===e)return"";let o=t.length-1,a=-1;for(n=e.length-1;n>=0;--n){const l=e.charCodeAt(n);if(l===et){if(!s){r=n+1;break}}else-1===a&&(s=!1,a=n+1),o>=0&&(l===t.charCodeAt(o)?-1==--o&&(i=n):(o=-1,i=a))}return r===i?i=a:-1===i&&(i=e.length),e.slice(r,i)}for(n=e.length-1;n>=0;--n)if(e.charCodeAt(n)===et){if(!s){r=n+1;break}}else-1===i&&(s=!1,i=n+1);return-1===i?"":e.slice(r,i)},extname(e){it(e,"path");let t=-1,n=0,r=-1,i=!0,s=0;for(let o=e.length-1;o>=0;--o){const a=e.charCodeAt(o);if(a!==et)-1===r&&(i=!1,r=o+1),a===Ye?-1===t?t=o:1!==s&&(s=1):-1!==t&&(s=-1);else if(!i){n=o+1;break}}return-1===t||-1===r||0===s||1===s&&t===r-1&&t===n+1?"":e.slice(t,r)},format:ct.bind(null,"/"),parse(e){it(e,"path");const t={root:"",dir:"",base:"",ext:"",name:""};if(0===e.length)return t;const n=e.charCodeAt(0)===et;let r;n?(t.root="/",r=1):r=0;let i=-1,s=0,o=-1,a=!0,l=e.length-1,u=0;for(;l>=r;--l){const t=e.charCodeAt(l);if(t!==et)-1===o&&(a=!1,o=l+1),t===Ye?-1===i?i=l:1!==u&&(u=1):-1!==i&&(u=-1);else if(!a){s=l+1;break}}if(-1!==o){const r=0===s&&n?1:s;-1===i||0===u||1===u&&i===o-1&&i===s+1?t.base=t.name=e.slice(r,o):(t.name=e.slice(r,i),t.base=e.slice(r,o),t.ext=e.slice(i,o))}return s>0?t.dir=e.slice(0,s-1):n&&(t.dir="/"),t},sep:"/",delimiter:":",win32:null,posix:null};ft.win32=ht.win32=ht,ft.posix=ht.posix=ft;st?ht.normalize:ft.normalize,st?ht.resolve:ft.resolve,st?ht.relative:ft.relative,st?ht.dirname:ft.dirname,st?ht.basename:ft.basename,st?ht.extname:ft.extname,st?ht.sep:ft.sep;const mt=/^\w[\w\d+.-]*$/,gt=/^\//,pt=/^\/\//;const bt="",yt="/",vt=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class _t{static isUri(e){return e instanceof _t||!!e&&("string"==typeof e.authority&&"string"==typeof e.fragment&&"string"==typeof e.path&&"string"==typeof e.query&&"string"==typeof e.scheme&&"string"==typeof e.fsPath&&"function"==typeof e.with&&"function"==typeof e.toString)}constructor(e,t,n,r,i,s=!1){"object"==typeof e?(this.scheme=e.scheme||bt,this.authority=e.authority||bt,this.path=e.path||bt,this.query=e.query||bt,this.fragment=e.fragment||bt):(this.scheme=function(e,t){return e||t?e:"file"}(e,s),this.authority=t||bt,this.path=function(e,t){switch(e){case"https":case"http":case"file":t?t[0]!==yt&&(t=yt+t):t=yt}return t}(this.scheme,n||bt),this.query=r||bt,this.fragment=i||bt,function(e,t){if(!e.scheme&&t)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${e.authority}", path: "${e.path}", query: "${e.query}", fragment: "${e.fragment}"}`);if(e.scheme&&!mt.test(e.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(e.path)if(e.authority){if(!gt.test(e.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(pt.test(e.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}(this,s))}get fsPath(){return xt(this,!1)}with(e){if(!e)return this;let{scheme:t,authority:n,path:r,query:i,fragment:s}=e;return void 0===t?t=this.scheme:null===t&&(t=bt),void 0===n?n=this.authority:null===n&&(n=bt),void 0===r?r=this.path:null===r&&(r=bt),void 0===i?i=this.query:null===i&&(i=bt),void 0===s?s=this.fragment:null===s&&(s=bt),t===this.scheme&&n===this.authority&&r===this.path&&i===this.query&&s===this.fragment?this:new St(t,n,r,i,s)}static parse(e,t=!1){const n=vt.exec(e);return n?new St(n[2]||bt,Rt(n[4]||bt),Rt(n[5]||bt),Rt(n[7]||bt),Rt(n[9]||bt),t):new St(bt,bt,bt,bt,bt)}static file(e){let t=bt;if(oe&&(e=e.replace(/\\/g,yt)),e[0]===yt&&e[1]===yt){const n=e.indexOf(yt,2);-1===n?(t=e.substring(2),e=yt):(t=e.substring(2,n),e=e.substring(n)||yt)}return new St("file",t,e,bt,bt)}static from(e,t){return new St(e.scheme,e.authority,e.path,e.query,e.fragment,t)}static joinPath(e,...t){if(!e.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let n;return n=oe&&"file"===e.scheme?_t.file(ht.join(xt(e,!0),...t)).path:ft.join(e.path,...t),e.with({path:n})}toString(e=!1){return Et(this,e)}toJSON(){return this}static revive(e){var t,n;if(e){if(e instanceof _t)return e;{const r=new St(e);return r._formatted=null!==(t=e.external)&&void 0!==t?t:null,r._fsPath=e._sep===Ct&&null!==(n=e.fsPath)&&void 0!==n?n:null,r}}return e}}const Ct=oe?1:void 0;class St extends _t{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=xt(this,!1)),this._fsPath}toString(e=!1){return e?Et(this,!0):(this._formatted||(this._formatted=Et(this,!1)),this._formatted)}toJSON(){const e={$mid:1};return this._fsPath&&(e.fsPath=this._fsPath,e._sep=Ct),this._formatted&&(e.external=this._formatted),this.path&&(e.path=this.path),this.scheme&&(e.scheme=this.scheme),this.authority&&(e.authority=this.authority),this.query&&(e.query=this.query),this.fragment&&(e.fragment=this.fragment),e}}const wt={58:"%3A",47:"%2F",63:"%3F",35:"%23",91:"%5B",93:"%5D",64:"%40",33:"%21",36:"%24",38:"%26",39:"%27",40:"%28",41:"%29",42:"%2A",43:"%2B",44:"%2C",59:"%3B",61:"%3D",32:"%20"};function Lt(e,t,n){let r,i=-1;for(let s=0;s<e.length;s++){const o=e.charCodeAt(s);if(o>=97&&o<=122||o>=65&&o<=90||o>=48&&o<=57||45===o||46===o||95===o||126===o||t&&47===o||n&&91===o||n&&93===o||n&&58===o)-1!==i&&(r+=encodeURIComponent(e.substring(i,s)),i=-1),void 0!==r&&(r+=e.charAt(s));else{void 0===r&&(r=e.substr(0,s));const t=wt[o];void 0!==t?(-1!==i&&(r+=encodeURIComponent(e.substring(i,s)),i=-1),r+=t):-1===i&&(i=s)}}return-1!==i&&(r+=encodeURIComponent(e.substring(i))),void 0!==r?r:e}function Nt(e){let t;for(let n=0;n<e.length;n++){const r=e.charCodeAt(n);35===r||63===r?(void 0===t&&(t=e.substr(0,n)),t+=wt[r]):void 0!==t&&(t+=e[n])}return void 0!==t?t:e}function xt(e,t){let n;return n=e.authority&&e.path.length>1&&"file"===e.scheme?`//${e.authority}${e.path}`:47===e.path.charCodeAt(0)&&(e.path.charCodeAt(1)>=65&&e.path.charCodeAt(1)<=90||e.path.charCodeAt(1)>=97&&e.path.charCodeAt(1)<=122)&&58===e.path.charCodeAt(2)?t?e.path.substr(1):e.path[1].toLowerCase()+e.path.substr(2):e.path,oe&&(n=n.replace(/\//g,"\\")),n}function Et(e,t){const n=t?Nt:Lt;let r="",{scheme:i,authority:s,path:o,query:a,fragment:l}=e;if(i&&(r+=i,r+=":"),(s||"file"===i)&&(r+=yt,r+=yt),s){let e=s.indexOf("@");if(-1!==e){const t=s.substr(0,e);s=s.substr(e+1),e=t.lastIndexOf(":"),-1===e?r+=n(t,!1,!1):(r+=n(t.substr(0,e),!1,!1),r+=":",r+=n(t.substr(e+1),!1,!0)),r+="@"}s=s.toLowerCase(),e=s.lastIndexOf(":"),-1===e?r+=n(s,!1,!0):(r+=n(s.substr(0,e),!1,!0),r+=s.substr(e))}if(o){if(o.length>=3&&47===o.charCodeAt(0)&&58===o.charCodeAt(2)){const e=o.charCodeAt(1);e>=65&&e<=90&&(o=`/${String.fromCharCode(e+32)}:${o.substr(3)}`)}else if(o.length>=2&&58===o.charCodeAt(1)){const e=o.charCodeAt(0);e>=65&&e<=90&&(o=`${String.fromCharCode(e+32)}:${o.substr(2)}`)}r+=n(o,!0,!1)}return a&&(r+="?",r+=n(a,!1,!1)),l&&(r+="#",r+=t?l:Lt(l,!1,!1)),r}function At(e){try{return decodeURIComponent(e)}catch(t){return e.length>3?e.substr(0,3)+At(e.substr(3)):e}}const kt=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function Rt(e){return e.match(kt)?e.replace(kt,(e=>At(e))):e}class Tt{constructor(e,t){this.lineNumber=e,this.column=t}with(e=this.lineNumber,t=this.column){return e===this.lineNumber&&t===this.column?this:new Tt(e,t)}delta(e=0,t=0){return this.with(this.lineNumber+e,this.column+t)}equals(e){return Tt.equals(this,e)}static equals(e,t){return!e&&!t||!!e&&!!t&&e.lineNumber===t.lineNumber&&e.column===t.column}isBefore(e){return Tt.isBefore(this,e)}static isBefore(e,t){return e.lineNumber<t.lineNumber||!(t.lineNumber<e.lineNumber)&&e.column<t.column}isBeforeOrEqual(e){return Tt.isBeforeOrEqual(this,e)}static isBeforeOrEqual(e,t){return e.lineNumber<t.lineNumber||!(t.lineNumber<e.lineNumber)&&e.column<=t.column}static compare(e,t){const n=0|e.lineNumber,r=0|t.lineNumber;if(n===r){return(0|e.column)-(0|t.column)}return n-r}clone(){return new Tt(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(e){return new Tt(e.lineNumber,e.column)}static isIPosition(e){return e&&"number"==typeof e.lineNumber&&"number"==typeof e.column}toJSON(){return{lineNumber:this.lineNumber,column:this.column}}}class Mt{constructor(e,t,n,r){e>n||e===n&&t>r?(this.startLineNumber=n,this.startColumn=r,this.endLineNumber=e,this.endColumn=t):(this.startLineNumber=e,this.startColumn=t,this.endLineNumber=n,this.endColumn=r)}isEmpty(){return Mt.isEmpty(this)}static isEmpty(e){return e.startLineNumber===e.endLineNumber&&e.startColumn===e.endColumn}containsPosition(e){return Mt.containsPosition(this,e)}static containsPosition(e,t){return!(t.lineNumber<e.startLineNumber||t.lineNumber>e.endLineNumber)&&(!(t.lineNumber===e.startLineNumber&&t.column<e.startColumn)&&!(t.lineNumber===e.endLineNumber&&t.column>e.endColumn))}static strictContainsPosition(e,t){return!(t.lineNumber<e.startLineNumber||t.lineNumber>e.endLineNumber)&&(!(t.lineNumber===e.startLineNumber&&t.column<=e.startColumn)&&!(t.lineNumber===e.endLineNumber&&t.column>=e.endColumn))}containsRange(e){return Mt.containsRange(this,e)}static containsRange(e,t){return!(t.startLineNumber<e.startLineNumber||t.endLineNumber<e.startLineNumber)&&(!(t.startLineNumber>e.endLineNumber||t.endLineNumber>e.endLineNumber)&&(!(t.startLineNumber===e.startLineNumber&&t.startColumn<e.startColumn)&&!(t.endLineNumber===e.endLineNumber&&t.endColumn>e.endColumn)))}strictContainsRange(e){return Mt.strictContainsRange(this,e)}static strictContainsRange(e,t){return!(t.startLineNumber<e.startLineNumber||t.endLineNumber<e.startLineNumber)&&(!(t.startLineNumber>e.endLineNumber||t.endLineNumber>e.endLineNumber)&&(!(t.startLineNumber===e.startLineNumber&&t.startColumn<=e.startColumn)&&!(t.endLineNumber===e.endLineNumber&&t.endColumn>=e.endColumn)))}plusRange(e){return Mt.plusRange(this,e)}static plusRange(e,t){let n,r,i,s;return t.startLineNumber<e.startLineNumber?(n=t.startLineNumber,r=t.startColumn):t.startLineNumber===e.startLineNumber?(n=t.startLineNumber,r=Math.min(t.startColumn,e.startColumn)):(n=e.startLineNumber,r=e.startColumn),t.endLineNumber>e.endLineNumber?(i=t.endLineNumber,s=t.endColumn):t.endLineNumber===e.endLineNumber?(i=t.endLineNumber,s=Math.max(t.endColumn,e.endColumn)):(i=e.endLineNumber,s=e.endColumn),new Mt(n,r,i,s)}intersectRanges(e){return Mt.intersectRanges(this,e)}static intersectRanges(e,t){let n=e.startLineNumber,r=e.startColumn,i=e.endLineNumber,s=e.endColumn;const o=t.startLineNumber,a=t.startColumn,l=t.endLineNumber,u=t.endColumn;return n<o?(n=o,r=a):n===o&&(r=Math.max(r,a)),i>l?(i=l,s=u):i===l&&(s=Math.min(s,u)),n>i||n===i&&r>s?null:new Mt(n,r,i,s)}equalsRange(e){return Mt.equalsRange(this,e)}static equalsRange(e,t){return!e&&!t||!!e&&!!t&&e.startLineNumber===t.startLineNumber&&e.startColumn===t.startColumn&&e.endLineNumber===t.endLineNumber&&e.endColumn===t.endColumn}getEndPosition(){return Mt.getEndPosition(this)}static getEndPosition(e){return new Tt(e.endLineNumber,e.endColumn)}getStartPosition(){return Mt.getStartPosition(this)}static getStartPosition(e){return new Tt(e.startLineNumber,e.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(e,t){return new Mt(this.startLineNumber,this.startColumn,e,t)}setStartPosition(e,t){return new Mt(e,t,this.endLineNumber,this.endColumn)}collapseToStart(){return Mt.collapseToStart(this)}static collapseToStart(e){return new Mt(e.startLineNumber,e.startColumn,e.startLineNumber,e.startColumn)}collapseToEnd(){return Mt.collapseToEnd(this)}static collapseToEnd(e){return new Mt(e.endLineNumber,e.endColumn,e.endLineNumber,e.endColumn)}delta(e){return new Mt(this.startLineNumber+e,this.startColumn,this.endLineNumber+e,this.endColumn)}static fromPositions(e,t=e){return new Mt(e.lineNumber,e.column,t.lineNumber,t.column)}static lift(e){return e?new Mt(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn):null}static isIRange(e){return e&&"number"==typeof e.startLineNumber&&"number"==typeof e.startColumn&&"number"==typeof e.endLineNumber&&"number"==typeof e.endColumn}static areIntersectingOrTouching(e,t){return!(e.endLineNumber<t.startLineNumber||e.endLineNumber===t.startLineNumber&&e.endColumn<t.startColumn)&&!(t.endLineNumber<e.startLineNumber||t.endLineNumber===e.startLineNumber&&t.endColumn<e.startColumn)}static areIntersecting(e,t){return!(e.endLineNumber<t.startLineNumber||e.endLineNumber===t.startLineNumber&&e.endColumn<=t.startColumn)&&!(t.endLineNumber<e.startLineNumber||t.endLineNumber===e.startLineNumber&&t.endColumn<=e.startColumn)}static compareRangesUsingStarts(e,t){if(e&&t){const n=0|e.startLineNumber,r=0|t.startLineNumber;if(n===r){const n=0|e.startColumn,r=0|t.startColumn;if(n===r){const n=0|e.endLineNumber,r=0|t.endLineNumber;if(n===r){return(0|e.endColumn)-(0|t.endColumn)}return n-r}return n-r}return n-r}return(e?1:0)-(t?1:0)}static compareRangesUsingEnds(e,t){return e.endLineNumber===t.endLineNumber?e.endColumn===t.endColumn?e.startLineNumber===t.startLineNumber?e.startColumn-t.startColumn:e.startLineNumber-t.startLineNumber:e.endColumn-t.endColumn:e.endLineNumber-t.endLineNumber}static spansMultipleLines(e){return e.endLineNumber>e.startLineNumber}toJSON(){return this}}var Ot;function It(e,t){return(n,r)=>t(e(n),e(r))}!function(e){e.isLessThan=function(e){return e<0},e.isLessThanOrEqual=function(e){return e<=0},e.isGreaterThan=function(e){return e>0},e.isNeitherLessOrGreaterThan=function(e){return 0===e},e.greaterThan=1,e.lessThan=-1,e.neitherLessOrGreaterThan=0}(Ot||(Ot={}));const Pt=(e,t)=>e-t;class Ft{constructor(e){this.iterate=e}toArray(){const e=[];return this.iterate((t=>(e.push(t),!0))),e}filter(e){return new Ft((t=>this.iterate((n=>!e(n)||t(n)))))}map(e){return new Ft((t=>this.iterate((n=>t(e(n))))))}findLast(e){let t;return this.iterate((n=>(e(n)&&(t=n),!0))),t}findLastMaxBy(e){let t,n=!0;return this.iterate((r=>((n||Ot.isGreaterThan(e(r,t)))&&(n=!1,t=r),!0))),t}}Ft.empty=new Ft((e=>{}));function Vt(e){return e<0?0:e>255?255:0|e}function Dt(e){return e<0?0:e>4294967295?4294967295:0|e}class qt{constructor(e){this.values=e,this.prefixSum=new Uint32Array(e.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}insertValues(e,t){e=Dt(e);const n=this.values,r=this.prefixSum,i=t.length;return 0!==i&&(this.values=new Uint32Array(n.length+i),this.values.set(n.subarray(0,e),0),this.values.set(n.subarray(e),e+i),this.values.set(t,e),e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(r.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}setValue(e,t){return e=Dt(e),t=Dt(t),this.values[e]!==t&&(this.values[e]=t,e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),!0)}removeValues(e,t){e=Dt(e),t=Dt(t);const n=this.values,r=this.prefixSum;if(e>=n.length)return!1;const i=n.length-e;return t>=i&&(t=i),0!==t&&(this.values=new Uint32Array(n.length-t),this.values.set(n.subarray(0,e),0),this.values.set(n.subarray(e+t),e),this.prefixSum=new Uint32Array(this.values.length),e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(r.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalSum(){return 0===this.values.length?0:this._getPrefixSum(this.values.length-1)}getPrefixSum(e){return e<0?0:(e=Dt(e),this._getPrefixSum(e))}_getPrefixSum(e){if(e<=this.prefixSumValidIndex[0])return this.prefixSum[e];let t=this.prefixSumValidIndex[0]+1;0===t&&(this.prefixSum[0]=this.values[0],t++),e>=this.values.length&&(e=this.values.length-1);for(let n=t;n<=e;n++)this.prefixSum[n]=this.prefixSum[n-1]+this.values[n];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],e),this.prefixSum[e]}getIndexOf(e){e=Math.floor(e),this.getTotalSum();let t=0,n=this.values.length-1,r=0,i=0,s=0;for(;t<=n;)if(r=t+(n-t)/2|0,i=this.prefixSum[r],s=i-this.values[r],e<s)n=r-1;else{if(!(e>=i))break;t=r+1}return new Kt(r,e-s)}}class Kt{constructor(e,t){this.index=e,this.remainder=t,this._prefixSumIndexOfResultBrand=void 0,this.index=e,this.remainder=t}}class Ut{constructor(e,t,n,r){this._uri=e,this._lines=t,this._eol=n,this._versionId=r,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return null===this._cachedTextValue&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(e){e.eol&&e.eol!==this._eol&&(this._eol=e.eol,this._lineStarts=null);const t=e.changes;for(const e of t)this._acceptDeleteRange(e.range),this._acceptInsertText(new Tt(e.range.startLineNumber,e.range.startColumn),e.text);this._versionId=e.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const e=this._eol.length,t=this._lines.length,n=new Uint32Array(t);for(let r=0;r<t;r++)n[r]=this._lines[r].length+e;this._lineStarts=new qt(n)}}_setLineText(e,t){this._lines[e]=t,this._lineStarts&&this._lineStarts.setValue(e,this._lines[e].length+this._eol.length)}_acceptDeleteRange(e){if(e.startLineNumber!==e.endLineNumber)this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.endLineNumber-1].substring(e.endColumn-1)),this._lines.splice(e.startLineNumber,e.endLineNumber-e.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(e.startLineNumber,e.endLineNumber-e.startLineNumber);else{if(e.startColumn===e.endColumn)return;this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.startLineNumber-1].substring(e.endColumn-1))}}_acceptInsertText(e,t){if(0===t.length)return;const n=t.split(/\r\n|\r|\n/);if(1===n.length)return void this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+n[0]+this._lines[e.lineNumber-1].substring(e.column-1));n[n.length-1]+=this._lines[e.lineNumber-1].substring(e.column-1),this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+n[0]);const r=new Uint32Array(n.length-1);for(let t=1;t<n.length;t++)this._lines.splice(e.lineNumber+t-1,0,n[t]),r[t-1]=n[t].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(e.lineNumber,r)}}const Bt=function(e=""){let t="(-?\\d*\\.\\d\\w*)|([^";for(const n of"`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?")e.indexOf(n)>=0||(t+="\\"+n);return t+="\\s]+)",new RegExp(t,"g")}();function $t(e){let t=Bt;if(e&&e instanceof RegExp)if(e.global)t=e;else{let n="g";e.ignoreCase&&(n+="i"),e.multiline&&(n+="m"),e.unicode&&(n+="u"),t=new RegExp(e.source,n)}return t.lastIndex=0,t}const jt=new _;function Wt(e,t,n,r,i){if(t=$t(t),i||(i=u.first(jt)),n.length>i.maxLen){let s=e-i.maxLen/2;return s<0?s=0:r+=s,Wt(e,t,n=n.substring(s,e+i.maxLen/2),r,i)}const s=Date.now(),o=e-1-r;let a=-1,l=null;for(let e=1;!(Date.now()-s>=i.timeBudget);e++){const r=o-i.windowSize*e;t.lastIndex=Math.max(0,r);const s=zt(t,n,o,a);if(!s&&l)break;if(l=s,r<=0)break;a=r}if(l){const e={word:l[0],startColumn:r+1+l.index,endColumn:r+1+l.index+l[0].length};return t.lastIndex=0,e}return null}function zt(e,t,n,r){let i;for(;i=e.exec(t);){const t=i.index||0;if(t<=n&&e.lastIndex>=n)return i;if(r>0&&t>r)return null}return null}jt.unshift({maxLen:1e3,windowSize:15,timeBudget:150});class Ht{constructor(e){const t=Vt(e);this._defaultValue=t,this._asciiMap=Ht._createAsciiMap(t),this._map=new Map}static _createAsciiMap(e){const t=new Uint8Array(256);return t.fill(e),t}set(e,t){const n=Vt(t);e>=0&&e<256?this._asciiMap[e]=n:this._map.set(e,n)}get(e){return e>=0&&e<256?this._asciiMap[e]:this._map.get(e)||this._defaultValue}clear(){this._asciiMap.fill(this._defaultValue),this._map.clear()}}class Gt{constructor(e,t,n){const r=new Uint8Array(e*t);for(let i=0,s=e*t;i<s;i++)r[i]=n;this._data=r,this.rows=e,this.cols=t}get(e,t){return this._data[e*this.cols+t]}set(e,t,n){this._data[e*this.cols+t]=n}}class Jt{constructor(e){let t=0,n=0;for(let r=0,i=e.length;r<i;r++){const[i,s,o]=e[r];s>t&&(t=s),i>n&&(n=i),o>n&&(n=o)}t++,n++;const r=new Gt(n,t,0);for(let t=0,n=e.length;t<n;t++){const[n,i,s]=e[t];r.set(n,i,s)}this._states=r,this._maxCharCode=t}nextState(e,t){return t<0||t>=this._maxCharCode?0:this._states.get(e,t)}}let Xt=null;let Qt=null;class Zt{static _createLink(e,t,n,r,i){let s=i-1;do{const n=t.charCodeAt(s);if(2!==e.get(n))break;s--}while(s>r);if(r>0){const e=t.charCodeAt(r-1),n=t.charCodeAt(s);(40===e&&41===n||91===e&&93===n||123===e&&125===n)&&s--}return{range:{startLineNumber:n,startColumn:r+1,endLineNumber:n,endColumn:s+2},url:t.substring(r,s+1)}}static computeLinks(e,t=function(){return null===Xt&&(Xt=new Jt([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),Xt}()){const n=function(){if(null===Qt){Qt=new Ht(0);const e=" \t<>'\"、。｡､，．：；‘〈「『〔（［｛｢｣｝］）〕』」〉’｀～…";for(let t=0;t<e.length;t++)Qt.set(e.charCodeAt(t),1);const t=".,;:";for(let e=0;e<t.length;e++)Qt.set(t.charCodeAt(e),2)}return Qt}(),r=[];for(let i=1,s=e.getLineCount();i<=s;i++){const s=e.getLineContent(i),o=s.length;let a=0,l=0,u=0,c=1,h=!1,d=!1,f=!1,m=!1;for(;a<o;){let e=!1;const o=s.charCodeAt(a);if(13===c){let t;switch(o){case 40:h=!0,t=0;break;case 41:t=h?0:1;break;case 91:f=!0,d=!0,t=0;break;case 93:f=!1,t=d?0:1;break;case 123:m=!0,t=0;break;case 125:t=m?0:1;break;case 39:case 34:case 96:t=u===o?1:39===u||34===u||96===u?0:1;break;case 42:t=42===u?1:0;break;case 124:t=124===u?1:0;break;case 32:t=f?0:1;break;default:t=n.get(o)}1===t&&(r.push(Zt._createLink(n,s,i,l,a)),e=!0)}else if(12===c){let t;91===o?(d=!0,t=0):t=n.get(o),1===t?e=!0:c=13}else c=t.nextState(c,o),0===c&&(e=!0);e&&(c=1,h=!1,d=!1,m=!1,l=a+1,u=o),a++}13===c&&r.push(Zt._createLink(n,s,i,l,o))}return r}}class Yt{constructor(){this._defaultValueSet=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}navigateValueSet(e,t,n,r,i){if(e&&t){const n=this.doNavigateValueSet(t,i);if(n)return{range:e,value:n}}if(n&&r){const e=this.doNavigateValueSet(r,i);if(e)return{range:n,value:e}}return null}doNavigateValueSet(e,t){const n=this.numberReplace(e,t);return null!==n?n:this.textReplace(e,t)}numberReplace(e,t){const n=Math.pow(10,e.length-(e.lastIndexOf(".")+1));let r=Number(e);const i=parseFloat(e);return isNaN(r)||isNaN(i)||r!==i?null:0!==r||t?(r=Math.floor(r*n),r+=t?n:-n,String(r/n)):null}textReplace(e,t){return this.valueSetsReplace(this._defaultValueSet,e,t)}valueSetsReplace(e,t,n){let r=null;for(let i=0,s=e.length;null===r&&i<s;i++)r=this.valueSetReplace(e[i],t,n);return r}valueSetReplace(e,t,n){let r=e.indexOf(t);return r>=0?(r+=n?1:-1,r<0?r=e.length-1:r%=e.length,e[r]):null}}Yt.INSTANCE=new Yt;const en=Object.freeze((function(e,t){const n=setTimeout(e.bind(t),0);return{dispose(){clearTimeout(n)}}}));var tn;!function(e){e.isCancellationToken=function(t){return t===e.None||t===e.Cancelled||(t instanceof nn||!(!t||"object"!=typeof t)&&("boolean"==typeof t.isCancellationRequested&&"function"==typeof t.onCancellationRequested))},e.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:w.None}),e.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:en})}(tn||(tn={}));class nn{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?en:(this._emitter||(this._emitter=new T),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class rn{constructor(e){this._token=void 0,this._parentListener=void 0,this._parentListener=e&&e.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new nn),this._token}cancel(){this._token?this._token instanceof nn&&this._token.cancel():this._token=tn.Cancelled}dispose(e=!1){var t;e&&this.cancel(),null===(t=this._parentListener)||void 0===t||t.dispose(),this._token?this._token instanceof nn&&this._token.dispose():this._token=tn.None}}class sn{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(e,t){this._keyCodeToStr[e]=t,this._strToKeyCode[t.toLowerCase()]=e}keyCodeToStr(e){return this._keyCodeToStr[e]}strToKeyCode(e){return this._strToKeyCode[e.toLowerCase()]||0}}const on=new sn,an=new sn,ln=new sn,un=new Array(230),cn={},hn=[],dn=Object.create(null),fn=Object.create(null),mn=[],gn=[];for(let e=0;e<=193;e++)mn[e]=-1;for(let e=0;e<=132;e++)gn[e]=-1;var pn;!function(){const e="",t=[[1,0,"None",0,"unknown",0,"VK_UNKNOWN",e,e],[1,1,"Hyper",0,e,0,e,e,e],[1,2,"Super",0,e,0,e,e,e],[1,3,"Fn",0,e,0,e,e,e],[1,4,"FnLock",0,e,0,e,e,e],[1,5,"Suspend",0,e,0,e,e,e],[1,6,"Resume",0,e,0,e,e,e],[1,7,"Turbo",0,e,0,e,e,e],[1,8,"Sleep",0,e,0,"VK_SLEEP",e,e],[1,9,"WakeUp",0,e,0,e,e,e],[0,10,"KeyA",31,"A",65,"VK_A",e,e],[0,11,"KeyB",32,"B",66,"VK_B",e,e],[0,12,"KeyC",33,"C",67,"VK_C",e,e],[0,13,"KeyD",34,"D",68,"VK_D",e,e],[0,14,"KeyE",35,"E",69,"VK_E",e,e],[0,15,"KeyF",36,"F",70,"VK_F",e,e],[0,16,"KeyG",37,"G",71,"VK_G",e,e],[0,17,"KeyH",38,"H",72,"VK_H",e,e],[0,18,"KeyI",39,"I",73,"VK_I",e,e],[0,19,"KeyJ",40,"J",74,"VK_J",e,e],[0,20,"KeyK",41,"K",75,"VK_K",e,e],[0,21,"KeyL",42,"L",76,"VK_L",e,e],[0,22,"KeyM",43,"M",77,"VK_M",e,e],[0,23,"KeyN",44,"N",78,"VK_N",e,e],[0,24,"KeyO",45,"O",79,"VK_O",e,e],[0,25,"KeyP",46,"P",80,"VK_P",e,e],[0,26,"KeyQ",47,"Q",81,"VK_Q",e,e],[0,27,"KeyR",48,"R",82,"VK_R",e,e],[0,28,"KeyS",49,"S",83,"VK_S",e,e],[0,29,"KeyT",50,"T",84,"VK_T",e,e],[0,30,"KeyU",51,"U",85,"VK_U",e,e],[0,31,"KeyV",52,"V",86,"VK_V",e,e],[0,32,"KeyW",53,"W",87,"VK_W",e,e],[0,33,"KeyX",54,"X",88,"VK_X",e,e],[0,34,"KeyY",55,"Y",89,"VK_Y",e,e],[0,35,"KeyZ",56,"Z",90,"VK_Z",e,e],[0,36,"Digit1",22,"1",49,"VK_1",e,e],[0,37,"Digit2",23,"2",50,"VK_2",e,e],[0,38,"Digit3",24,"3",51,"VK_3",e,e],[0,39,"Digit4",25,"4",52,"VK_4",e,e],[0,40,"Digit5",26,"5",53,"VK_5",e,e],[0,41,"Digit6",27,"6",54,"VK_6",e,e],[0,42,"Digit7",28,"7",55,"VK_7",e,e],[0,43,"Digit8",29,"8",56,"VK_8",e,e],[0,44,"Digit9",30,"9",57,"VK_9",e,e],[0,45,"Digit0",21,"0",48,"VK_0",e,e],[1,46,"Enter",3,"Enter",13,"VK_RETURN",e,e],[1,47,"Escape",9,"Escape",27,"VK_ESCAPE",e,e],[1,48,"Backspace",1,"Backspace",8,"VK_BACK",e,e],[1,49,"Tab",2,"Tab",9,"VK_TAB",e,e],[1,50,"Space",10,"Space",32,"VK_SPACE",e,e],[0,51,"Minus",88,"-",189,"VK_OEM_MINUS","-","OEM_MINUS"],[0,52,"Equal",86,"=",187,"VK_OEM_PLUS","=","OEM_PLUS"],[0,53,"BracketLeft",92,"[",219,"VK_OEM_4","[","OEM_4"],[0,54,"BracketRight",94,"]",221,"VK_OEM_6","]","OEM_6"],[0,55,"Backslash",93,"\\",220,"VK_OEM_5","\\","OEM_5"],[0,56,"IntlHash",0,e,0,e,e,e],[0,57,"Semicolon",85,";",186,"VK_OEM_1",";","OEM_1"],[0,58,"Quote",95,"'",222,"VK_OEM_7","'","OEM_7"],[0,59,"Backquote",91,"`",192,"VK_OEM_3","`","OEM_3"],[0,60,"Comma",87,",",188,"VK_OEM_COMMA",",","OEM_COMMA"],[0,61,"Period",89,".",190,"VK_OEM_PERIOD",".","OEM_PERIOD"],[0,62,"Slash",90,"/",191,"VK_OEM_2","/","OEM_2"],[1,63,"CapsLock",8,"CapsLock",20,"VK_CAPITAL",e,e],[1,64,"F1",59,"F1",112,"VK_F1",e,e],[1,65,"F2",60,"F2",113,"VK_F2",e,e],[1,66,"F3",61,"F3",114,"VK_F3",e,e],[1,67,"F4",62,"F4",115,"VK_F4",e,e],[1,68,"F5",63,"F5",116,"VK_F5",e,e],[1,69,"F6",64,"F6",117,"VK_F6",e,e],[1,70,"F7",65,"F7",118,"VK_F7",e,e],[1,71,"F8",66,"F8",119,"VK_F8",e,e],[1,72,"F9",67,"F9",120,"VK_F9",e,e],[1,73,"F10",68,"F10",121,"VK_F10",e,e],[1,74,"F11",69,"F11",122,"VK_F11",e,e],[1,75,"F12",70,"F12",123,"VK_F12",e,e],[1,76,"PrintScreen",0,e,0,e,e,e],[1,77,"ScrollLock",84,"ScrollLock",145,"VK_SCROLL",e,e],[1,78,"Pause",7,"PauseBreak",19,"VK_PAUSE",e,e],[1,79,"Insert",19,"Insert",45,"VK_INSERT",e,e],[1,80,"Home",14,"Home",36,"VK_HOME",e,e],[1,81,"PageUp",11,"PageUp",33,"VK_PRIOR",e,e],[1,82,"Delete",20,"Delete",46,"VK_DELETE",e,e],[1,83,"End",13,"End",35,"VK_END",e,e],[1,84,"PageDown",12,"PageDown",34,"VK_NEXT",e,e],[1,85,"ArrowRight",17,"RightArrow",39,"VK_RIGHT","Right",e],[1,86,"ArrowLeft",15,"LeftArrow",37,"VK_LEFT","Left",e],[1,87,"ArrowDown",18,"DownArrow",40,"VK_DOWN","Down",e],[1,88,"ArrowUp",16,"UpArrow",38,"VK_UP","Up",e],[1,89,"NumLock",83,"NumLock",144,"VK_NUMLOCK",e,e],[1,90,"NumpadDivide",113,"NumPad_Divide",111,"VK_DIVIDE",e,e],[1,91,"NumpadMultiply",108,"NumPad_Multiply",106,"VK_MULTIPLY",e,e],[1,92,"NumpadSubtract",111,"NumPad_Subtract",109,"VK_SUBTRACT",e,e],[1,93,"NumpadAdd",109,"NumPad_Add",107,"VK_ADD",e,e],[1,94,"NumpadEnter",3,e,0,e,e,e],[1,95,"Numpad1",99,"NumPad1",97,"VK_NUMPAD1",e,e],[1,96,"Numpad2",100,"NumPad2",98,"VK_NUMPAD2",e,e],[1,97,"Numpad3",101,"NumPad3",99,"VK_NUMPAD3",e,e],[1,98,"Numpad4",102,"NumPad4",100,"VK_NUMPAD4",e,e],[1,99,"Numpad5",103,"NumPad5",101,"VK_NUMPAD5",e,e],[1,100,"Numpad6",104,"NumPad6",102,"VK_NUMPAD6",e,e],[1,101,"Numpad7",105,"NumPad7",103,"VK_NUMPAD7",e,e],[1,102,"Numpad8",106,"NumPad8",104,"VK_NUMPAD8",e,e],[1,103,"Numpad9",107,"NumPad9",105,"VK_NUMPAD9",e,e],[1,104,"Numpad0",98,"NumPad0",96,"VK_NUMPAD0",e,e],[1,105,"NumpadDecimal",112,"NumPad_Decimal",110,"VK_DECIMAL",e,e],[0,106,"IntlBackslash",97,"OEM_102",226,"VK_OEM_102",e,e],[1,107,"ContextMenu",58,"ContextMenu",93,e,e,e],[1,108,"Power",0,e,0,e,e,e],[1,109,"NumpadEqual",0,e,0,e,e,e],[1,110,"F13",71,"F13",124,"VK_F13",e,e],[1,111,"F14",72,"F14",125,"VK_F14",e,e],[1,112,"F15",73,"F15",126,"VK_F15",e,e],[1,113,"F16",74,"F16",127,"VK_F16",e,e],[1,114,"F17",75,"F17",128,"VK_F17",e,e],[1,115,"F18",76,"F18",129,"VK_F18",e,e],[1,116,"F19",77,"F19",130,"VK_F19",e,e],[1,117,"F20",78,"F20",131,"VK_F20",e,e],[1,118,"F21",79,"F21",132,"VK_F21",e,e],[1,119,"F22",80,"F22",133,"VK_F22",e,e],[1,120,"F23",81,"F23",134,"VK_F23",e,e],[1,121,"F24",82,"F24",135,"VK_F24",e,e],[1,122,"Open",0,e,0,e,e,e],[1,123,"Help",0,e,0,e,e,e],[1,124,"Select",0,e,0,e,e,e],[1,125,"Again",0,e,0,e,e,e],[1,126,"Undo",0,e,0,e,e,e],[1,127,"Cut",0,e,0,e,e,e],[1,128,"Copy",0,e,0,e,e,e],[1,129,"Paste",0,e,0,e,e,e],[1,130,"Find",0,e,0,e,e,e],[1,131,"AudioVolumeMute",117,"AudioVolumeMute",173,"VK_VOLUME_MUTE",e,e],[1,132,"AudioVolumeUp",118,"AudioVolumeUp",175,"VK_VOLUME_UP",e,e],[1,133,"AudioVolumeDown",119,"AudioVolumeDown",174,"VK_VOLUME_DOWN",e,e],[1,134,"NumpadComma",110,"NumPad_Separator",108,"VK_SEPARATOR",e,e],[0,135,"IntlRo",115,"ABNT_C1",193,"VK_ABNT_C1",e,e],[1,136,"KanaMode",0,e,0,e,e,e],[0,137,"IntlYen",0,e,0,e,e,e],[1,138,"Convert",0,e,0,e,e,e],[1,139,"NonConvert",0,e,0,e,e,e],[1,140,"Lang1",0,e,0,e,e,e],[1,141,"Lang2",0,e,0,e,e,e],[1,142,"Lang3",0,e,0,e,e,e],[1,143,"Lang4",0,e,0,e,e,e],[1,144,"Lang5",0,e,0,e,e,e],[1,145,"Abort",0,e,0,e,e,e],[1,146,"Props",0,e,0,e,e,e],[1,147,"NumpadParenLeft",0,e,0,e,e,e],[1,148,"NumpadParenRight",0,e,0,e,e,e],[1,149,"NumpadBackspace",0,e,0,e,e,e],[1,150,"NumpadMemoryStore",0,e,0,e,e,e],[1,151,"NumpadMemoryRecall",0,e,0,e,e,e],[1,152,"NumpadMemoryClear",0,e,0,e,e,e],[1,153,"NumpadMemoryAdd",0,e,0,e,e,e],[1,154,"NumpadMemorySubtract",0,e,0,e,e,e],[1,155,"NumpadClear",131,"Clear",12,"VK_CLEAR",e,e],[1,156,"NumpadClearEntry",0,e,0,e,e,e],[1,0,e,5,"Ctrl",17,"VK_CONTROL",e,e],[1,0,e,4,"Shift",16,"VK_SHIFT",e,e],[1,0,e,6,"Alt",18,"VK_MENU",e,e],[1,0,e,57,"Meta",91,"VK_COMMAND",e,e],[1,157,"ControlLeft",5,e,0,"VK_LCONTROL",e,e],[1,158,"ShiftLeft",4,e,0,"VK_LSHIFT",e,e],[1,159,"AltLeft",6,e,0,"VK_LMENU",e,e],[1,160,"MetaLeft",57,e,0,"VK_LWIN",e,e],[1,161,"ControlRight",5,e,0,"VK_RCONTROL",e,e],[1,162,"ShiftRight",4,e,0,"VK_RSHIFT",e,e],[1,163,"AltRight",6,e,0,"VK_RMENU",e,e],[1,164,"MetaRight",57,e,0,"VK_RWIN",e,e],[1,165,"BrightnessUp",0,e,0,e,e,e],[1,166,"BrightnessDown",0,e,0,e,e,e],[1,167,"MediaPlay",0,e,0,e,e,e],[1,168,"MediaRecord",0,e,0,e,e,e],[1,169,"MediaFastForward",0,e,0,e,e,e],[1,170,"MediaRewind",0,e,0,e,e,e],[1,171,"MediaTrackNext",124,"MediaTrackNext",176,"VK_MEDIA_NEXT_TRACK",e,e],[1,172,"MediaTrackPrevious",125,"MediaTrackPrevious",177,"VK_MEDIA_PREV_TRACK",e,e],[1,173,"MediaStop",126,"MediaStop",178,"VK_MEDIA_STOP",e,e],[1,174,"Eject",0,e,0,e,e,e],[1,175,"MediaPlayPause",127,"MediaPlayPause",179,"VK_MEDIA_PLAY_PAUSE",e,e],[1,176,"MediaSelect",128,"LaunchMediaPlayer",181,"VK_MEDIA_LAUNCH_MEDIA_SELECT",e,e],[1,177,"LaunchMail",129,"LaunchMail",180,"VK_MEDIA_LAUNCH_MAIL",e,e],[1,178,"LaunchApp2",130,"LaunchApp2",183,"VK_MEDIA_LAUNCH_APP2",e,e],[1,179,"LaunchApp1",0,e,0,"VK_MEDIA_LAUNCH_APP1",e,e],[1,180,"SelectTask",0,e,0,e,e,e],[1,181,"LaunchScreenSaver",0,e,0,e,e,e],[1,182,"BrowserSearch",120,"BrowserSearch",170,"VK_BROWSER_SEARCH",e,e],[1,183,"BrowserHome",121,"BrowserHome",172,"VK_BROWSER_HOME",e,e],[1,184,"BrowserBack",122,"BrowserBack",166,"VK_BROWSER_BACK",e,e],[1,185,"BrowserForward",123,"BrowserForward",167,"VK_BROWSER_FORWARD",e,e],[1,186,"BrowserStop",0,e,0,"VK_BROWSER_STOP",e,e],[1,187,"BrowserRefresh",0,e,0,"VK_BROWSER_REFRESH",e,e],[1,188,"BrowserFavorites",0,e,0,"VK_BROWSER_FAVORITES",e,e],[1,189,"ZoomToggle",0,e,0,e,e,e],[1,190,"MailReply",0,e,0,e,e,e],[1,191,"MailForward",0,e,0,e,e,e],[1,192,"MailSend",0,e,0,e,e,e],[1,0,e,114,"KeyInComposition",229,e,e,e],[1,0,e,116,"ABNT_C2",194,"VK_ABNT_C2",e,e],[1,0,e,96,"OEM_8",223,"VK_OEM_8",e,e],[1,0,e,0,e,0,"VK_KANA",e,e],[1,0,e,0,e,0,"VK_HANGUL",e,e],[1,0,e,0,e,0,"VK_JUNJA",e,e],[1,0,e,0,e,0,"VK_FINAL",e,e],[1,0,e,0,e,0,"VK_HANJA",e,e],[1,0,e,0,e,0,"VK_KANJI",e,e],[1,0,e,0,e,0,"VK_CONVERT",e,e],[1,0,e,0,e,0,"VK_NONCONVERT",e,e],[1,0,e,0,e,0,"VK_ACCEPT",e,e],[1,0,e,0,e,0,"VK_MODECHANGE",e,e],[1,0,e,0,e,0,"VK_SELECT",e,e],[1,0,e,0,e,0,"VK_PRINT",e,e],[1,0,e,0,e,0,"VK_EXECUTE",e,e],[1,0,e,0,e,0,"VK_SNAPSHOT",e,e],[1,0,e,0,e,0,"VK_HELP",e,e],[1,0,e,0,e,0,"VK_APPS",e,e],[1,0,e,0,e,0,"VK_PROCESSKEY",e,e],[1,0,e,0,e,0,"VK_PACKET",e,e],[1,0,e,0,e,0,"VK_DBE_SBCSCHAR",e,e],[1,0,e,0,e,0,"VK_DBE_DBCSCHAR",e,e],[1,0,e,0,e,0,"VK_ATTN",e,e],[1,0,e,0,e,0,"VK_CRSEL",e,e],[1,0,e,0,e,0,"VK_EXSEL",e,e],[1,0,e,0,e,0,"VK_EREOF",e,e],[1,0,e,0,e,0,"VK_PLAY",e,e],[1,0,e,0,e,0,"VK_ZOOM",e,e],[1,0,e,0,e,0,"VK_NONAME",e,e],[1,0,e,0,e,0,"VK_PA1",e,e],[1,0,e,0,e,0,"VK_OEM_CLEAR",e,e]],n=[],r=[];for(const e of t){const[t,i,s,o,a,l,u,c,h]=e;if(r[i]||(r[i]=!0,hn[i]=s,dn[s]=i,fn[s.toLowerCase()]=i,t&&(mn[i]=o,0!==o&&3!==o&&5!==o&&4!==o&&6!==o&&57!==o&&(gn[o]=i))),!n[o]){if(n[o]=!0,!a)throw new Error(`String representation missing for key code ${o} around scan code ${s}`);on.define(o,a),an.define(o,c||a),ln.define(o,h||c||a)}l&&(un[l]=o),u&&(cn[u]=o)}gn[3]=46}(),function(e){e.toString=function(e){return on.keyCodeToStr(e)},e.fromString=function(e){return on.strToKeyCode(e)},e.toUserSettingsUS=function(e){return an.keyCodeToStr(e)},e.toUserSettingsGeneral=function(e){return ln.keyCodeToStr(e)},e.fromUserSettings=function(e){return an.strToKeyCode(e)||ln.strToKeyCode(e)},e.toElectronAccelerator=function(e){if(e>=98&&e<=113)return null;switch(e){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return on.keyCodeToStr(e)}}(pn||(pn={}));class bn extends Mt{constructor(e,t,n,r){super(e,t,n,r),this.selectionStartLineNumber=e,this.selectionStartColumn=t,this.positionLineNumber=n,this.positionColumn=r}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(e){return bn.selectionsEqual(this,e)}static selectionsEqual(e,t){return e.selectionStartLineNumber===t.selectionStartLineNumber&&e.selectionStartColumn===t.selectionStartColumn&&e.positionLineNumber===t.positionLineNumber&&e.positionColumn===t.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(e,t){return 0===this.getDirection()?new bn(this.startLineNumber,this.startColumn,e,t):new bn(e,t,this.startLineNumber,this.startColumn)}getPosition(){return new Tt(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new Tt(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(e,t){return 0===this.getDirection()?new bn(e,t,this.endLineNumber,this.endColumn):new bn(this.endLineNumber,this.endColumn,e,t)}static fromPositions(e,t=e){return new bn(e.lineNumber,e.column,t.lineNumber,t.column)}static fromRange(e,t){return 0===t?new bn(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn):new bn(e.endLineNumber,e.endColumn,e.startLineNumber,e.startColumn)}static liftSelection(e){return new bn(e.selectionStartLineNumber,e.selectionStartColumn,e.positionLineNumber,e.positionColumn)}static selectionsArrEqual(e,t){if(e&&!t||!e&&t)return!1;if(!e&&!t)return!0;if(e.length!==t.length)return!1;for(let n=0,r=e.length;n<r;n++)if(!this.selectionsEqual(e[n],t[n]))return!1;return!0}static isISelection(e){return e&&"number"==typeof e.selectionStartLineNumber&&"number"==typeof e.selectionStartColumn&&"number"==typeof e.positionLineNumber&&"number"==typeof e.positionColumn}static createWithDirection(e,t,n,r,i){return 0===i?new bn(e,t,n,r):new bn(n,r,e,t)}}function yn(e){return"string"==typeof e}const vn=Object.create(null);function _n(e,t){if(yn(t)){const n=vn[t];if(void 0===n)throw new Error(`${e} references an unknown codicon: ${t}`);t=n}return vn[e]=t,{id:e}}const Cn={...{add:_n("add",6e4),plus:_n("plus",6e4),gistNew:_n("gist-new",6e4),repoCreate:_n("repo-create",6e4),lightbulb:_n("lightbulb",60001),lightBulb:_n("light-bulb",60001),repo:_n("repo",60002),repoDelete:_n("repo-delete",60002),gistFork:_n("gist-fork",60003),repoForked:_n("repo-forked",60003),gitPullRequest:_n("git-pull-request",60004),gitPullRequestAbandoned:_n("git-pull-request-abandoned",60004),recordKeys:_n("record-keys",60005),keyboard:_n("keyboard",60005),tag:_n("tag",60006),gitPullRequestLabel:_n("git-pull-request-label",60006),tagAdd:_n("tag-add",60006),tagRemove:_n("tag-remove",60006),person:_n("person",60007),personFollow:_n("person-follow",60007),personOutline:_n("person-outline",60007),personFilled:_n("person-filled",60007),gitBranch:_n("git-branch",60008),gitBranchCreate:_n("git-branch-create",60008),gitBranchDelete:_n("git-branch-delete",60008),sourceControl:_n("source-control",60008),mirror:_n("mirror",60009),mirrorPublic:_n("mirror-public",60009),star:_n("star",60010),starAdd:_n("star-add",60010),starDelete:_n("star-delete",60010),starEmpty:_n("star-empty",60010),comment:_n("comment",60011),commentAdd:_n("comment-add",60011),alert:_n("alert",60012),warning:_n("warning",60012),search:_n("search",60013),searchSave:_n("search-save",60013),logOut:_n("log-out",60014),signOut:_n("sign-out",60014),logIn:_n("log-in",60015),signIn:_n("sign-in",60015),eye:_n("eye",60016),eyeUnwatch:_n("eye-unwatch",60016),eyeWatch:_n("eye-watch",60016),circleFilled:_n("circle-filled",60017),primitiveDot:_n("primitive-dot",60017),closeDirty:_n("close-dirty",60017),debugBreakpoint:_n("debug-breakpoint",60017),debugBreakpointDisabled:_n("debug-breakpoint-disabled",60017),debugHint:_n("debug-hint",60017),terminalDecorationSuccess:_n("terminal-decoration-success",60017),primitiveSquare:_n("primitive-square",60018),edit:_n("edit",60019),pencil:_n("pencil",60019),info:_n("info",60020),issueOpened:_n("issue-opened",60020),gistPrivate:_n("gist-private",60021),gitForkPrivate:_n("git-fork-private",60021),lock:_n("lock",60021),mirrorPrivate:_n("mirror-private",60021),close:_n("close",60022),removeClose:_n("remove-close",60022),x:_n("x",60022),repoSync:_n("repo-sync",60023),sync:_n("sync",60023),clone:_n("clone",60024),desktopDownload:_n("desktop-download",60024),beaker:_n("beaker",60025),microscope:_n("microscope",60025),vm:_n("vm",60026),deviceDesktop:_n("device-desktop",60026),file:_n("file",60027),fileText:_n("file-text",60027),more:_n("more",60028),ellipsis:_n("ellipsis",60028),kebabHorizontal:_n("kebab-horizontal",60028),mailReply:_n("mail-reply",60029),reply:_n("reply",60029),organization:_n("organization",60030),organizationFilled:_n("organization-filled",60030),organizationOutline:_n("organization-outline",60030),newFile:_n("new-file",60031),fileAdd:_n("file-add",60031),newFolder:_n("new-folder",60032),fileDirectoryCreate:_n("file-directory-create",60032),trash:_n("trash",60033),trashcan:_n("trashcan",60033),history:_n("history",60034),clock:_n("clock",60034),folder:_n("folder",60035),fileDirectory:_n("file-directory",60035),symbolFolder:_n("symbol-folder",60035),logoGithub:_n("logo-github",60036),markGithub:_n("mark-github",60036),github:_n("github",60036),terminal:_n("terminal",60037),console:_n("console",60037),repl:_n("repl",60037),zap:_n("zap",60038),symbolEvent:_n("symbol-event",60038),error:_n("error",60039),stop:_n("stop",60039),variable:_n("variable",60040),symbolVariable:_n("symbol-variable",60040),array:_n("array",60042),symbolArray:_n("symbol-array",60042),symbolModule:_n("symbol-module",60043),symbolPackage:_n("symbol-package",60043),symbolNamespace:_n("symbol-namespace",60043),symbolObject:_n("symbol-object",60043),symbolMethod:_n("symbol-method",60044),symbolFunction:_n("symbol-function",60044),symbolConstructor:_n("symbol-constructor",60044),symbolBoolean:_n("symbol-boolean",60047),symbolNull:_n("symbol-null",60047),symbolNumeric:_n("symbol-numeric",60048),symbolNumber:_n("symbol-number",60048),symbolStructure:_n("symbol-structure",60049),symbolStruct:_n("symbol-struct",60049),symbolParameter:_n("symbol-parameter",60050),symbolTypeParameter:_n("symbol-type-parameter",60050),symbolKey:_n("symbol-key",60051),symbolText:_n("symbol-text",60051),symbolReference:_n("symbol-reference",60052),goToFile:_n("go-to-file",60052),symbolEnum:_n("symbol-enum",60053),symbolValue:_n("symbol-value",60053),symbolRuler:_n("symbol-ruler",60054),symbolUnit:_n("symbol-unit",60054),activateBreakpoints:_n("activate-breakpoints",60055),archive:_n("archive",60056),arrowBoth:_n("arrow-both",60057),arrowDown:_n("arrow-down",60058),arrowLeft:_n("arrow-left",60059),arrowRight:_n("arrow-right",60060),arrowSmallDown:_n("arrow-small-down",60061),arrowSmallLeft:_n("arrow-small-left",60062),arrowSmallRight:_n("arrow-small-right",60063),arrowSmallUp:_n("arrow-small-up",60064),arrowUp:_n("arrow-up",60065),bell:_n("bell",60066),bold:_n("bold",60067),book:_n("book",60068),bookmark:_n("bookmark",60069),debugBreakpointConditionalUnverified:_n("debug-breakpoint-conditional-unverified",60070),debugBreakpointConditional:_n("debug-breakpoint-conditional",60071),debugBreakpointConditionalDisabled:_n("debug-breakpoint-conditional-disabled",60071),debugBreakpointDataUnverified:_n("debug-breakpoint-data-unverified",60072),debugBreakpointData:_n("debug-breakpoint-data",60073),debugBreakpointDataDisabled:_n("debug-breakpoint-data-disabled",60073),debugBreakpointLogUnverified:_n("debug-breakpoint-log-unverified",60074),debugBreakpointLog:_n("debug-breakpoint-log",60075),debugBreakpointLogDisabled:_n("debug-breakpoint-log-disabled",60075),briefcase:_n("briefcase",60076),broadcast:_n("broadcast",60077),browser:_n("browser",60078),bug:_n("bug",60079),calendar:_n("calendar",60080),caseSensitive:_n("case-sensitive",60081),check:_n("check",60082),checklist:_n("checklist",60083),chevronDown:_n("chevron-down",60084),chevronLeft:_n("chevron-left",60085),chevronRight:_n("chevron-right",60086),chevronUp:_n("chevron-up",60087),chromeClose:_n("chrome-close",60088),chromeMaximize:_n("chrome-maximize",60089),chromeMinimize:_n("chrome-minimize",60090),chromeRestore:_n("chrome-restore",60091),circleOutline:_n("circle-outline",60092),circle:_n("circle",60092),debugBreakpointUnverified:_n("debug-breakpoint-unverified",60092),terminalDecorationIncomplete:_n("terminal-decoration-incomplete",60092),circleSlash:_n("circle-slash",60093),circuitBoard:_n("circuit-board",60094),clearAll:_n("clear-all",60095),clippy:_n("clippy",60096),closeAll:_n("close-all",60097),cloudDownload:_n("cloud-download",60098),cloudUpload:_n("cloud-upload",60099),code:_n("code",60100),collapseAll:_n("collapse-all",60101),colorMode:_n("color-mode",60102),commentDiscussion:_n("comment-discussion",60103),creditCard:_n("credit-card",60105),dash:_n("dash",60108),dashboard:_n("dashboard",60109),database:_n("database",60110),debugContinue:_n("debug-continue",60111),debugDisconnect:_n("debug-disconnect",60112),debugPause:_n("debug-pause",60113),debugRestart:_n("debug-restart",60114),debugStart:_n("debug-start",60115),debugStepInto:_n("debug-step-into",60116),debugStepOut:_n("debug-step-out",60117),debugStepOver:_n("debug-step-over",60118),debugStop:_n("debug-stop",60119),debug:_n("debug",60120),deviceCameraVideo:_n("device-camera-video",60121),deviceCamera:_n("device-camera",60122),deviceMobile:_n("device-mobile",60123),diffAdded:_n("diff-added",60124),diffIgnored:_n("diff-ignored",60125),diffModified:_n("diff-modified",60126),diffRemoved:_n("diff-removed",60127),diffRenamed:_n("diff-renamed",60128),diff:_n("diff",60129),diffSidebyside:_n("diff-sidebyside",60129),discard:_n("discard",60130),editorLayout:_n("editor-layout",60131),emptyWindow:_n("empty-window",60132),exclude:_n("exclude",60133),extensions:_n("extensions",60134),eyeClosed:_n("eye-closed",60135),fileBinary:_n("file-binary",60136),fileCode:_n("file-code",60137),fileMedia:_n("file-media",60138),filePdf:_n("file-pdf",60139),fileSubmodule:_n("file-submodule",60140),fileSymlinkDirectory:_n("file-symlink-directory",60141),fileSymlinkFile:_n("file-symlink-file",60142),fileZip:_n("file-zip",60143),files:_n("files",60144),filter:_n("filter",60145),flame:_n("flame",60146),foldDown:_n("fold-down",60147),foldUp:_n("fold-up",60148),fold:_n("fold",60149),folderActive:_n("folder-active",60150),folderOpened:_n("folder-opened",60151),gear:_n("gear",60152),gift:_n("gift",60153),gistSecret:_n("gist-secret",60154),gist:_n("gist",60155),gitCommit:_n("git-commit",60156),gitCompare:_n("git-compare",60157),compareChanges:_n("compare-changes",60157),gitMerge:_n("git-merge",60158),githubAction:_n("github-action",60159),githubAlt:_n("github-alt",60160),globe:_n("globe",60161),grabber:_n("grabber",60162),graph:_n("graph",60163),gripper:_n("gripper",60164),heart:_n("heart",60165),home:_n("home",60166),horizontalRule:_n("horizontal-rule",60167),hubot:_n("hubot",60168),inbox:_n("inbox",60169),issueReopened:_n("issue-reopened",60171),issues:_n("issues",60172),italic:_n("italic",60173),jersey:_n("jersey",60174),json:_n("json",60175),kebabVertical:_n("kebab-vertical",60176),key:_n("key",60177),law:_n("law",60178),lightbulbAutofix:_n("lightbulb-autofix",60179),linkExternal:_n("link-external",60180),link:_n("link",60181),listOrdered:_n("list-ordered",60182),listUnordered:_n("list-unordered",60183),liveShare:_n("live-share",60184),loading:_n("loading",60185),location:_n("location",60186),mailRead:_n("mail-read",60187),mail:_n("mail",60188),markdown:_n("markdown",60189),megaphone:_n("megaphone",60190),mention:_n("mention",60191),milestone:_n("milestone",60192),gitPullRequestMilestone:_n("git-pull-request-milestone",60192),mortarBoard:_n("mortar-board",60193),move:_n("move",60194),multipleWindows:_n("multiple-windows",60195),mute:_n("mute",60196),noNewline:_n("no-newline",60197),note:_n("note",60198),octoface:_n("octoface",60199),openPreview:_n("open-preview",60200),package:_n("package",60201),paintcan:_n("paintcan",60202),pin:_n("pin",60203),play:_n("play",60204),run:_n("run",60204),plug:_n("plug",60205),preserveCase:_n("preserve-case",60206),preview:_n("preview",60207),project:_n("project",60208),pulse:_n("pulse",60209),question:_n("question",60210),quote:_n("quote",60211),radioTower:_n("radio-tower",60212),reactions:_n("reactions",60213),references:_n("references",60214),refresh:_n("refresh",60215),regex:_n("regex",60216),remoteExplorer:_n("remote-explorer",60217),remote:_n("remote",60218),remove:_n("remove",60219),replaceAll:_n("replace-all",60220),replace:_n("replace",60221),repoClone:_n("repo-clone",60222),repoForcePush:_n("repo-force-push",60223),repoPull:_n("repo-pull",60224),repoPush:_n("repo-push",60225),report:_n("report",60226),requestChanges:_n("request-changes",60227),rocket:_n("rocket",60228),rootFolderOpened:_n("root-folder-opened",60229),rootFolder:_n("root-folder",60230),rss:_n("rss",60231),ruby:_n("ruby",60232),saveAll:_n("save-all",60233),saveAs:_n("save-as",60234),save:_n("save",60235),screenFull:_n("screen-full",60236),screenNormal:_n("screen-normal",60237),searchStop:_n("search-stop",60238),server:_n("server",60240),settingsGear:_n("settings-gear",60241),settings:_n("settings",60242),shield:_n("shield",60243),smiley:_n("smiley",60244),sortPrecedence:_n("sort-precedence",60245),splitHorizontal:_n("split-horizontal",60246),splitVertical:_n("split-vertical",60247),squirrel:_n("squirrel",60248),starFull:_n("star-full",60249),starHalf:_n("star-half",60250),symbolClass:_n("symbol-class",60251),symbolColor:_n("symbol-color",60252),symbolConstant:_n("symbol-constant",60253),symbolEnumMember:_n("symbol-enum-member",60254),symbolField:_n("symbol-field",60255),symbolFile:_n("symbol-file",60256),symbolInterface:_n("symbol-interface",60257),symbolKeyword:_n("symbol-keyword",60258),symbolMisc:_n("symbol-misc",60259),symbolOperator:_n("symbol-operator",60260),symbolProperty:_n("symbol-property",60261),wrench:_n("wrench",60261),wrenchSubaction:_n("wrench-subaction",60261),symbolSnippet:_n("symbol-snippet",60262),tasklist:_n("tasklist",60263),telescope:_n("telescope",60264),textSize:_n("text-size",60265),threeBars:_n("three-bars",60266),thumbsdown:_n("thumbsdown",60267),thumbsup:_n("thumbsup",60268),tools:_n("tools",60269),triangleDown:_n("triangle-down",60270),triangleLeft:_n("triangle-left",60271),triangleRight:_n("triangle-right",60272),triangleUp:_n("triangle-up",60273),twitter:_n("twitter",60274),unfold:_n("unfold",60275),unlock:_n("unlock",60276),unmute:_n("unmute",60277),unverified:_n("unverified",60278),verified:_n("verified",60279),versions:_n("versions",60280),vmActive:_n("vm-active",60281),vmOutline:_n("vm-outline",60282),vmRunning:_n("vm-running",60283),watch:_n("watch",60284),whitespace:_n("whitespace",60285),wholeWord:_n("whole-word",60286),window:_n("window",60287),wordWrap:_n("word-wrap",60288),zoomIn:_n("zoom-in",60289),zoomOut:_n("zoom-out",60290),listFilter:_n("list-filter",60291),listFlat:_n("list-flat",60292),listSelection:_n("list-selection",60293),selection:_n("selection",60293),listTree:_n("list-tree",60294),debugBreakpointFunctionUnverified:_n("debug-breakpoint-function-unverified",60295),debugBreakpointFunction:_n("debug-breakpoint-function",60296),debugBreakpointFunctionDisabled:_n("debug-breakpoint-function-disabled",60296),debugStackframeActive:_n("debug-stackframe-active",60297),circleSmallFilled:_n("circle-small-filled",60298),debugStackframeDot:_n("debug-stackframe-dot",60298),terminalDecorationMark:_n("terminal-decoration-mark",60298),debugStackframe:_n("debug-stackframe",60299),debugStackframeFocused:_n("debug-stackframe-focused",60299),debugBreakpointUnsupported:_n("debug-breakpoint-unsupported",60300),symbolString:_n("symbol-string",60301),debugReverseContinue:_n("debug-reverse-continue",60302),debugStepBack:_n("debug-step-back",60303),debugRestartFrame:_n("debug-restart-frame",60304),debugAlt:_n("debug-alt",60305),callIncoming:_n("call-incoming",60306),callOutgoing:_n("call-outgoing",60307),menu:_n("menu",60308),expandAll:_n("expand-all",60309),feedback:_n("feedback",60310),gitPullRequestReviewer:_n("git-pull-request-reviewer",60310),groupByRefType:_n("group-by-ref-type",60311),ungroupByRefType:_n("ungroup-by-ref-type",60312),account:_n("account",60313),gitPullRequestAssignee:_n("git-pull-request-assignee",60313),bellDot:_n("bell-dot",60314),debugConsole:_n("debug-console",60315),library:_n("library",60316),output:_n("output",60317),runAll:_n("run-all",60318),syncIgnored:_n("sync-ignored",60319),pinned:_n("pinned",60320),githubInverted:_n("github-inverted",60321),serverProcess:_n("server-process",60322),serverEnvironment:_n("server-environment",60323),pass:_n("pass",60324),issueClosed:_n("issue-closed",60324),stopCircle:_n("stop-circle",60325),playCircle:_n("play-circle",60326),record:_n("record",60327),debugAltSmall:_n("debug-alt-small",60328),vmConnect:_n("vm-connect",60329),cloud:_n("cloud",60330),merge:_n("merge",60331),export:_n("export",60332),graphLeft:_n("graph-left",60333),magnet:_n("magnet",60334),notebook:_n("notebook",60335),redo:_n("redo",60336),checkAll:_n("check-all",60337),pinnedDirty:_n("pinned-dirty",60338),passFilled:_n("pass-filled",60339),circleLargeFilled:_n("circle-large-filled",60340),circleLarge:_n("circle-large",60341),circleLargeOutline:_n("circle-large-outline",60341),combine:_n("combine",60342),gather:_n("gather",60342),table:_n("table",60343),variableGroup:_n("variable-group",60344),typeHierarchy:_n("type-hierarchy",60345),typeHierarchySub:_n("type-hierarchy-sub",60346),typeHierarchySuper:_n("type-hierarchy-super",60347),gitPullRequestCreate:_n("git-pull-request-create",60348),runAbove:_n("run-above",60349),runBelow:_n("run-below",60350),notebookTemplate:_n("notebook-template",60351),debugRerun:_n("debug-rerun",60352),workspaceTrusted:_n("workspace-trusted",60353),workspaceUntrusted:_n("workspace-untrusted",60354),workspaceUnknown:_n("workspace-unknown",60355),terminalCmd:_n("terminal-cmd",60356),terminalDebian:_n("terminal-debian",60357),terminalLinux:_n("terminal-linux",60358),terminalPowershell:_n("terminal-powershell",60359),terminalTmux:_n("terminal-tmux",60360),terminalUbuntu:_n("terminal-ubuntu",60361),terminalBash:_n("terminal-bash",60362),arrowSwap:_n("arrow-swap",60363),copy:_n("copy",60364),personAdd:_n("person-add",60365),filterFilled:_n("filter-filled",60366),wand:_n("wand",60367),debugLineByLine:_n("debug-line-by-line",60368),inspect:_n("inspect",60369),layers:_n("layers",60370),layersDot:_n("layers-dot",60371),layersActive:_n("layers-active",60372),compass:_n("compass",60373),compassDot:_n("compass-dot",60374),compassActive:_n("compass-active",60375),azure:_n("azure",60376),issueDraft:_n("issue-draft",60377),gitPullRequestClosed:_n("git-pull-request-closed",60378),gitPullRequestDraft:_n("git-pull-request-draft",60379),debugAll:_n("debug-all",60380),debugCoverage:_n("debug-coverage",60381),runErrors:_n("run-errors",60382),folderLibrary:_n("folder-library",60383),debugContinueSmall:_n("debug-continue-small",60384),beakerStop:_n("beaker-stop",60385),graphLine:_n("graph-line",60386),graphScatter:_n("graph-scatter",60387),pieChart:_n("pie-chart",60388),bracket:_n("bracket",60175),bracketDot:_n("bracket-dot",60389),bracketError:_n("bracket-error",60390),lockSmall:_n("lock-small",60391),azureDevops:_n("azure-devops",60392),verifiedFilled:_n("verified-filled",60393),newline:_n("newline",60394),layout:_n("layout",60395),layoutActivitybarLeft:_n("layout-activitybar-left",60396),layoutActivitybarRight:_n("layout-activitybar-right",60397),layoutPanelLeft:_n("layout-panel-left",60398),layoutPanelCenter:_n("layout-panel-center",60399),layoutPanelJustify:_n("layout-panel-justify",60400),layoutPanelRight:_n("layout-panel-right",60401),layoutPanel:_n("layout-panel",60402),layoutSidebarLeft:_n("layout-sidebar-left",60403),layoutSidebarRight:_n("layout-sidebar-right",60404),layoutStatusbar:_n("layout-statusbar",60405),layoutMenubar:_n("layout-menubar",60406),layoutCentered:_n("layout-centered",60407),target:_n("target",60408),indent:_n("indent",60409),recordSmall:_n("record-small",60410),errorSmall:_n("error-small",60411),terminalDecorationError:_n("terminal-decoration-error",60411),arrowCircleDown:_n("arrow-circle-down",60412),arrowCircleLeft:_n("arrow-circle-left",60413),arrowCircleRight:_n("arrow-circle-right",60414),arrowCircleUp:_n("arrow-circle-up",60415),layoutSidebarRightOff:_n("layout-sidebar-right-off",60416),layoutPanelOff:_n("layout-panel-off",60417),layoutSidebarLeftOff:_n("layout-sidebar-left-off",60418),blank:_n("blank",60419),heartFilled:_n("heart-filled",60420),map:_n("map",60421),mapHorizontal:_n("map-horizontal",60421),foldHorizontal:_n("fold-horizontal",60421),mapFilled:_n("map-filled",60422),mapHorizontalFilled:_n("map-horizontal-filled",60422),foldHorizontalFilled:_n("fold-horizontal-filled",60422),circleSmall:_n("circle-small",60423),bellSlash:_n("bell-slash",60424),bellSlashDot:_n("bell-slash-dot",60425),commentUnresolved:_n("comment-unresolved",60426),gitPullRequestGoToChanges:_n("git-pull-request-go-to-changes",60427),gitPullRequestNewChanges:_n("git-pull-request-new-changes",60428),searchFuzzy:_n("search-fuzzy",60429),commentDraft:_n("comment-draft",60430),send:_n("send",60431),sparkle:_n("sparkle",60432),insert:_n("insert",60433),mic:_n("mic",60434),thumbsdownFilled:_n("thumbsdown-filled",60435),thumbsupFilled:_n("thumbsup-filled",60436),coffee:_n("coffee",60437),snake:_n("snake",60438),game:_n("game",60439),vr:_n("vr",60440),chip:_n("chip",60441),piano:_n("piano",60442),music:_n("music",60443),micFilled:_n("mic-filled",60444),repoFetch:_n("repo-fetch",60445),copilot:_n("copilot",60446),lightbulbSparkle:_n("lightbulb-sparkle",60447),robot:_n("robot",60448),sparkleFilled:_n("sparkle-filled",60449),diffSingle:_n("diff-single",60450),diffMultiple:_n("diff-multiple",60451),surroundWith:_n("surround-with",60452),share:_n("share",60453),gitStash:_n("git-stash",60454),gitStashApply:_n("git-stash-apply",60455),gitStashPop:_n("git-stash-pop",60456),vscode:_n("vscode",60457),vscodeInsiders:_n("vscode-insiders",60458),codeOss:_n("code-oss",60459),runCoverage:_n("run-coverage",60460),runAllCoverage:_n("run-all-coverage",60461),coverage:_n("coverage",60462),githubProject:_n("github-project",60463),mapVertical:_n("map-vertical",60464),foldVertical:_n("fold-vertical",60464),mapVerticalFilled:_n("map-vertical-filled",60465),foldVerticalFilled:_n("fold-vertical-filled",60465),goToSearch:_n("go-to-search",60466),percentage:_n("percentage",60467),sortPercentage:_n("sort-percentage",60467),attach:_n("attach",60468)},...{dialogError:_n("dialog-error","error"),dialogWarning:_n("dialog-warning","warning"),dialogInfo:_n("dialog-info","info"),dialogClose:_n("dialog-close","close"),treeItemExpanded:_n("tree-item-expanded","chevron-down"),treeFilterOnTypeOn:_n("tree-filter-on-type-on","list-filter"),treeFilterOnTypeOff:_n("tree-filter-on-type-off","list-selection"),treeFilterClear:_n("tree-filter-clear","close"),treeItemLoading:_n("tree-item-loading","loading"),menuSelection:_n("menu-selection","check"),menuSubmenu:_n("menu-submenu","chevron-right"),menuBarMore:_n("menubar-more","more"),scrollbarButtonLeft:_n("scrollbar-button-left","triangle-left"),scrollbarButtonRight:_n("scrollbar-button-right","triangle-right"),scrollbarButtonUp:_n("scrollbar-button-up","triangle-up"),scrollbarButtonDown:_n("scrollbar-button-down","triangle-down"),toolBarMore:_n("toolbar-more","more"),quickInputBack:_n("quick-input-back","arrow-left"),dropDownButton:_n("drop-down-button",60084),symbolCustomColor:_n("symbol-customcolor",60252),exportIcon:_n("export",60332),workspaceUnspecified:_n("workspace-unspecified",60355),newLine:_n("newline",60394),thumbsDownFilled:_n("thumbsdown-filled",60435),thumbsUpFilled:_n("thumbsup-filled",60436),gitFetch:_n("git-fetch",60445),lightbulbSparkleAutofix:_n("lightbulb-sparkle-autofix",60447),debugBreakpointPending:_n("debug-breakpoint-pending",60377)}};class Sn extends y{get isResolved(){return this._isResolved}constructor(e,t,n){super(),this._registry=e,this._languageId=t,this._factory=n,this._isDisposed=!1,this._resolvePromise=null,this._isResolved=!1}dispose(){this._isDisposed=!0,super.dispose()}async resolve(){return this._resolvePromise||(this._resolvePromise=this._create()),this._resolvePromise}async _create(){const e=await this._factory.tokenizationSupport;this._isResolved=!0,e&&!this._isDisposed&&this._register(this._registry.register(this._languageId,e))}}class wn{constructor(e,t,n){this.offset=e,this.type=t,this.language=n,this._tokenBrand=void 0}toString(){return"("+this.offset+", "+this.type+")"}}var Ln,Nn,xn,En,An,kn;!function(e){e[e.Increase=0]="Increase",e[e.Decrease=1]="Decrease"}(Ln||(Ln={})),function(e){const t=new Map;t.set(0,Cn.symbolMethod),t.set(1,Cn.symbolFunction),t.set(2,Cn.symbolConstructor),t.set(3,Cn.symbolField),t.set(4,Cn.symbolVariable),t.set(5,Cn.symbolClass),t.set(6,Cn.symbolStruct),t.set(7,Cn.symbolInterface),t.set(8,Cn.symbolModule),t.set(9,Cn.symbolProperty),t.set(10,Cn.symbolEvent),t.set(11,Cn.symbolOperator),t.set(12,Cn.symbolUnit),t.set(13,Cn.symbolValue),t.set(15,Cn.symbolEnum),t.set(14,Cn.symbolConstant),t.set(15,Cn.symbolEnum),t.set(16,Cn.symbolEnumMember),t.set(17,Cn.symbolKeyword),t.set(27,Cn.symbolSnippet),t.set(18,Cn.symbolText),t.set(19,Cn.symbolColor),t.set(20,Cn.symbolFile),t.set(21,Cn.symbolReference),t.set(22,Cn.symbolCustomColor),t.set(23,Cn.symbolFolder),t.set(24,Cn.symbolTypeParameter),t.set(25,Cn.account),t.set(26,Cn.issues),e.toIcon=function(e){let n=t.get(e);return n||(console.info("No codicon found for CompletionItemKind "+e),n=Cn.symbolProperty),n};const n=new Map;n.set("method",0),n.set("function",1),n.set("constructor",2),n.set("field",3),n.set("variable",4),n.set("class",5),n.set("struct",6),n.set("interface",7),n.set("module",8),n.set("property",9),n.set("event",10),n.set("operator",11),n.set("unit",12),n.set("value",13),n.set("constant",14),n.set("enum",15),n.set("enum-member",16),n.set("enumMember",16),n.set("keyword",17),n.set("snippet",27),n.set("text",18),n.set("color",19),n.set("file",20),n.set("reference",21),n.set("customcolor",22),n.set("folder",23),n.set("type-parameter",24),n.set("typeParameter",24),n.set("account",25),n.set("issue",26),e.fromString=function(e,t){let r=n.get(e);return void 0!==r||t||(r=9),r}}(Nn||(Nn={})),function(e){e[e.Automatic=0]="Automatic",e[e.Explicit=1]="Explicit"}(xn||(xn={}));!function(e){e[e.Automatic=0]="Automatic",e[e.PasteAs=1]="PasteAs"}(En||(En={})),function(e){e[e.Invoke=1]="Invoke",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.ContentChange=3]="ContentChange"}(An||(An={})),function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"}(kn||(kn={}));F(0,"array"),F(0,"boolean"),F(0,"class"),F(0,"constant"),F(0,"constructor"),F(0,"enumeration"),F(0,"enumeration member"),F(0,"event"),F(0,"field"),F(0,"file"),F(0,"function"),F(0,"interface"),F(0,"key"),F(0,"method"),F(0,"module"),F(0,"namespace"),F(0,"null"),F(0,"number"),F(0,"object"),F(0,"operator"),F(0,"package"),F(0,"property"),F(0,"string"),F(0,"struct"),F(0,"type parameter"),F(0,"variable");var Rn,Tn,Mn,On,In;!function(e){const t=new Map;t.set(0,Cn.symbolFile),t.set(1,Cn.symbolModule),t.set(2,Cn.symbolNamespace),t.set(3,Cn.symbolPackage),t.set(4,Cn.symbolClass),t.set(5,Cn.symbolMethod),t.set(6,Cn.symbolProperty),t.set(7,Cn.symbolField),t.set(8,Cn.symbolConstructor),t.set(9,Cn.symbolEnum),t.set(10,Cn.symbolInterface),t.set(11,Cn.symbolFunction),t.set(12,Cn.symbolVariable),t.set(13,Cn.symbolConstant),t.set(14,Cn.symbolString),t.set(15,Cn.symbolNumber),t.set(16,Cn.symbolBoolean),t.set(17,Cn.symbolArray),t.set(18,Cn.symbolObject),t.set(19,Cn.symbolKey),t.set(20,Cn.symbolNull),t.set(21,Cn.symbolEnumMember),t.set(22,Cn.symbolStruct),t.set(23,Cn.symbolEvent),t.set(24,Cn.symbolOperator),t.set(25,Cn.symbolTypeParameter),e.toIcon=function(e){let n=t.get(e);return n||(console.info("No codicon found for SymbolKind "+e),n=Cn.symbolProperty),n}}(Rn||(Rn={}));class Pn{static fromValue(e){switch(e){case"comment":return Pn.Comment;case"imports":return Pn.Imports;case"region":return Pn.Region}return new Pn(e)}constructor(e){this.value=e}}Pn.Comment=new Pn("comment"),Pn.Imports=new Pn("imports"),Pn.Region=new Pn("region"),function(e){e[e.AIGenerated=1]="AIGenerated"}(Tn||(Tn={})),function(e){e[e.Invoke=0]="Invoke",e[e.Automatic=1]="Automatic"}(Mn||(Mn={})),function(e){e.is=function(e){return!(!e||"object"!=typeof e)&&("string"==typeof e.id&&"string"==typeof e.title)}}(On||(On={})),function(e){e[e.Type=1]="Type",e[e.Parameter=2]="Parameter"}(In||(In={}));new class{constructor(){this._tokenizationSupports=new Map,this._factories=new Map,this._onDidChange=new T,this.onDidChange=this._onDidChange.event,this._colorMap=null}handleChange(e){this._onDidChange.fire({changedLanguages:e,changedColorMap:!1})}register(e,t){return this._tokenizationSupports.set(e,t),this.handleChange([e]),p((()=>{this._tokenizationSupports.get(e)===t&&(this._tokenizationSupports.delete(e),this.handleChange([e]))}))}get(e){return this._tokenizationSupports.get(e)||null}registerFactory(e,t){var n;null===(n=this._factories.get(e))||void 0===n||n.dispose();const r=new Sn(this,e,t);return this._factories.set(e,r),p((()=>{const t=this._factories.get(e);t&&t===r&&(this._factories.delete(e),t.dispose())}))}async getOrCreate(e){const t=this.get(e);if(t)return t;const n=this._factories.get(e);return!n||n.isResolved?null:(await n.resolve(),this.get(e))}isResolved(e){if(this.get(e))return!0;const t=this._factories.get(e);return!(t&&!t.isResolved)}setColorMap(e){this._colorMap=e,this._onDidChange.fire({changedLanguages:Array.from(this._tokenizationSupports.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}};var Fn,Vn,Dn,qn,Kn,Un,Bn,$n,jn,Wn,zn,Hn,Gn,Jn,Xn,Qn,Zn,Yn,er,tr,nr,rr,ir,sr,or,ar,lr,ur,cr,hr,dr,fr,mr,gr,pr,br,yr,vr,_r,Cr,Sr,wr,Lr,Nr,xr,Er,Ar,kr,Rr;!function(e){e[e.Invoke=0]="Invoke",e[e.Automatic=1]="Automatic"}(Fn||(Fn={})),function(e){e[e.Unknown=0]="Unknown",e[e.Disabled=1]="Disabled",e[e.Enabled=2]="Enabled"}(Vn||(Vn={})),function(e){e[e.Invoke=1]="Invoke",e[e.Auto=2]="Auto"}(Dn||(Dn={})),function(e){e[e.None=0]="None",e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet"}(qn||(qn={})),function(e){e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.User=25]="User",e[e.Issue=26]="Issue",e[e.Snippet=27]="Snippet"}(Kn||(Kn={})),function(e){e[e.Deprecated=1]="Deprecated"}(Un||(Un={})),function(e){e[e.Invoke=0]="Invoke",e[e.TriggerCharacter=1]="TriggerCharacter",e[e.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"}(Bn||(Bn={})),function(e){e[e.EXACT=0]="EXACT",e[e.ABOVE=1]="ABOVE",e[e.BELOW=2]="BELOW"}($n||($n={})),function(e){e[e.NotSet=0]="NotSet",e[e.ContentFlush=1]="ContentFlush",e[e.RecoverFromMarkers=2]="RecoverFromMarkers",e[e.Explicit=3]="Explicit",e[e.Paste=4]="Paste",e[e.Undo=5]="Undo",e[e.Redo=6]="Redo"}(jn||(jn={})),function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(Wn||(Wn={})),function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"}(zn||(zn={})),function(e){e[e.None=0]="None",e[e.Keep=1]="Keep",e[e.Brackets=2]="Brackets",e[e.Advanced=3]="Advanced",e[e.Full=4]="Full"}(Hn||(Hn={})),function(e){e[e.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",e[e.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",e[e.accessibilitySupport=2]="accessibilitySupport",e[e.accessibilityPageSize=3]="accessibilityPageSize",e[e.ariaLabel=4]="ariaLabel",e[e.ariaRequired=5]="ariaRequired",e[e.autoClosingBrackets=6]="autoClosingBrackets",e[e.autoClosingComments=7]="autoClosingComments",e[e.screenReaderAnnounceInlineSuggestion=8]="screenReaderAnnounceInlineSuggestion",e[e.autoClosingDelete=9]="autoClosingDelete",e[e.autoClosingOvertype=10]="autoClosingOvertype",e[e.autoClosingQuotes=11]="autoClosingQuotes",e[e.autoIndent=12]="autoIndent",e[e.automaticLayout=13]="automaticLayout",e[e.autoSurround=14]="autoSurround",e[e.bracketPairColorization=15]="bracketPairColorization",e[e.guides=16]="guides",e[e.codeLens=17]="codeLens",e[e.codeLensFontFamily=18]="codeLensFontFamily",e[e.codeLensFontSize=19]="codeLensFontSize",e[e.colorDecorators=20]="colorDecorators",e[e.colorDecoratorsLimit=21]="colorDecoratorsLimit",e[e.columnSelection=22]="columnSelection",e[e.comments=23]="comments",e[e.contextmenu=24]="contextmenu",e[e.copyWithSyntaxHighlighting=25]="copyWithSyntaxHighlighting",e[e.cursorBlinking=26]="cursorBlinking",e[e.cursorSmoothCaretAnimation=27]="cursorSmoothCaretAnimation",e[e.cursorStyle=28]="cursorStyle",e[e.cursorSurroundingLines=29]="cursorSurroundingLines",e[e.cursorSurroundingLinesStyle=30]="cursorSurroundingLinesStyle",e[e.cursorWidth=31]="cursorWidth",e[e.disableLayerHinting=32]="disableLayerHinting",e[e.disableMonospaceOptimizations=33]="disableMonospaceOptimizations",e[e.domReadOnly=34]="domReadOnly",e[e.dragAndDrop=35]="dragAndDrop",e[e.dropIntoEditor=36]="dropIntoEditor",e[e.emptySelectionClipboard=37]="emptySelectionClipboard",e[e.experimentalWhitespaceRendering=38]="experimentalWhitespaceRendering",e[e.extraEditorClassName=39]="extraEditorClassName",e[e.fastScrollSensitivity=40]="fastScrollSensitivity",e[e.find=41]="find",e[e.fixedOverflowWidgets=42]="fixedOverflowWidgets",e[e.folding=43]="folding",e[e.foldingStrategy=44]="foldingStrategy",e[e.foldingHighlight=45]="foldingHighlight",e[e.foldingImportsByDefault=46]="foldingImportsByDefault",e[e.foldingMaximumRegions=47]="foldingMaximumRegions",e[e.unfoldOnClickAfterEndOfLine=48]="unfoldOnClickAfterEndOfLine",e[e.fontFamily=49]="fontFamily",e[e.fontInfo=50]="fontInfo",e[e.fontLigatures=51]="fontLigatures",e[e.fontSize=52]="fontSize",e[e.fontWeight=53]="fontWeight",e[e.fontVariations=54]="fontVariations",e[e.formatOnPaste=55]="formatOnPaste",e[e.formatOnType=56]="formatOnType",e[e.glyphMargin=57]="glyphMargin",e[e.gotoLocation=58]="gotoLocation",e[e.hideCursorInOverviewRuler=59]="hideCursorInOverviewRuler",e[e.hover=60]="hover",e[e.inDiffEditor=61]="inDiffEditor",e[e.inlineSuggest=62]="inlineSuggest",e[e.inlineEdit=63]="inlineEdit",e[e.letterSpacing=64]="letterSpacing",e[e.lightbulb=65]="lightbulb",e[e.lineDecorationsWidth=66]="lineDecorationsWidth",e[e.lineHeight=67]="lineHeight",e[e.lineNumbers=68]="lineNumbers",e[e.lineNumbersMinChars=69]="lineNumbersMinChars",e[e.linkedEditing=70]="linkedEditing",e[e.links=71]="links",e[e.matchBrackets=72]="matchBrackets",e[e.minimap=73]="minimap",e[e.mouseStyle=74]="mouseStyle",e[e.mouseWheelScrollSensitivity=75]="mouseWheelScrollSensitivity",e[e.mouseWheelZoom=76]="mouseWheelZoom",e[e.multiCursorMergeOverlapping=77]="multiCursorMergeOverlapping",e[e.multiCursorModifier=78]="multiCursorModifier",e[e.multiCursorPaste=79]="multiCursorPaste",e[e.multiCursorLimit=80]="multiCursorLimit",e[e.occurrencesHighlight=81]="occurrencesHighlight",e[e.overviewRulerBorder=82]="overviewRulerBorder",e[e.overviewRulerLanes=83]="overviewRulerLanes",e[e.padding=84]="padding",e[e.pasteAs=85]="pasteAs",e[e.parameterHints=86]="parameterHints",e[e.peekWidgetDefaultFocus=87]="peekWidgetDefaultFocus",e[e.definitionLinkOpensInPeek=88]="definitionLinkOpensInPeek",e[e.quickSuggestions=89]="quickSuggestions",e[e.quickSuggestionsDelay=90]="quickSuggestionsDelay",e[e.readOnly=91]="readOnly",e[e.readOnlyMessage=92]="readOnlyMessage",e[e.renameOnType=93]="renameOnType",e[e.renderControlCharacters=94]="renderControlCharacters",e[e.renderFinalNewline=95]="renderFinalNewline",e[e.renderLineHighlight=96]="renderLineHighlight",e[e.renderLineHighlightOnlyWhenFocus=97]="renderLineHighlightOnlyWhenFocus",e[e.renderValidationDecorations=98]="renderValidationDecorations",e[e.renderWhitespace=99]="renderWhitespace",e[e.revealHorizontalRightPadding=100]="revealHorizontalRightPadding",e[e.roundedSelection=101]="roundedSelection",e[e.rulers=102]="rulers",e[e.scrollbar=103]="scrollbar",e[e.scrollBeyondLastColumn=104]="scrollBeyondLastColumn",e[e.scrollBeyondLastLine=105]="scrollBeyondLastLine",e[e.scrollPredominantAxis=106]="scrollPredominantAxis",e[e.selectionClipboard=107]="selectionClipboard",e[e.selectionHighlight=108]="selectionHighlight",e[e.selectOnLineNumbers=109]="selectOnLineNumbers",e[e.showFoldingControls=110]="showFoldingControls",e[e.showUnused=111]="showUnused",e[e.snippetSuggestions=112]="snippetSuggestions",e[e.smartSelect=113]="smartSelect",e[e.smoothScrolling=114]="smoothScrolling",e[e.stickyScroll=115]="stickyScroll",e[e.stickyTabStops=116]="stickyTabStops",e[e.stopRenderingLineAfter=117]="stopRenderingLineAfter",e[e.suggest=118]="suggest",e[e.suggestFontSize=119]="suggestFontSize",e[e.suggestLineHeight=120]="suggestLineHeight",e[e.suggestOnTriggerCharacters=121]="suggestOnTriggerCharacters",e[e.suggestSelection=122]="suggestSelection",e[e.tabCompletion=123]="tabCompletion",e[e.tabIndex=124]="tabIndex",e[e.unicodeHighlighting=125]="unicodeHighlighting",e[e.unusualLineTerminators=126]="unusualLineTerminators",e[e.useShadowDOM=127]="useShadowDOM",e[e.useTabStops=128]="useTabStops",e[e.wordBreak=129]="wordBreak",e[e.wordSegmenterLocales=130]="wordSegmenterLocales",e[e.wordSeparators=131]="wordSeparators",e[e.wordWrap=132]="wordWrap",e[e.wordWrapBreakAfterCharacters=133]="wordWrapBreakAfterCharacters",e[e.wordWrapBreakBeforeCharacters=134]="wordWrapBreakBeforeCharacters",e[e.wordWrapColumn=135]="wordWrapColumn",e[e.wordWrapOverride1=136]="wordWrapOverride1",e[e.wordWrapOverride2=137]="wordWrapOverride2",e[e.wrappingIndent=138]="wrappingIndent",e[e.wrappingStrategy=139]="wrappingStrategy",e[e.showDeprecated=140]="showDeprecated",e[e.inlayHints=141]="inlayHints",e[e.editorClassName=142]="editorClassName",e[e.pixelRatio=143]="pixelRatio",e[e.tabFocusMode=144]="tabFocusMode",e[e.layoutInfo=145]="layoutInfo",e[e.wrappingInfo=146]="wrappingInfo",e[e.defaultColorDecorators=147]="defaultColorDecorators",e[e.colorDecoratorsActivatedOn=148]="colorDecoratorsActivatedOn",e[e.inlineCompletionsAccessibilityVerbose=149]="inlineCompletionsAccessibilityVerbose"}(Gn||(Gn={})),function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(Jn||(Jn={})),function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"}(Xn||(Xn={})),function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=3]="Right"}(Qn||(Qn={})),function(e){e[e.Increase=0]="Increase",e[e.Decrease=1]="Decrease"}(Zn||(Zn={})),function(e){e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"}(Yn||(Yn={})),function(e){e[e.Both=0]="Both",e[e.Right=1]="Right",e[e.Left=2]="Left",e[e.None=3]="None"}(er||(er={})),function(e){e[e.Type=1]="Type",e[e.Parameter=2]="Parameter"}(tr||(tr={})),function(e){e[e.Automatic=0]="Automatic",e[e.Explicit=1]="Explicit"}(nr||(nr={})),function(e){e[e.Invoke=0]="Invoke",e[e.Automatic=1]="Automatic"}(rr||(rr={})),function(e){e[e.DependsOnKbLayout=-1]="DependsOnKbLayout",e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.Digit0=21]="Digit0",e[e.Digit1=22]="Digit1",e[e.Digit2=23]="Digit2",e[e.Digit3=24]="Digit3",e[e.Digit4=25]="Digit4",e[e.Digit5=26]="Digit5",e[e.Digit6=27]="Digit6",e[e.Digit7=28]="Digit7",e[e.Digit8=29]="Digit8",e[e.Digit9=30]="Digit9",e[e.KeyA=31]="KeyA",e[e.KeyB=32]="KeyB",e[e.KeyC=33]="KeyC",e[e.KeyD=34]="KeyD",e[e.KeyE=35]="KeyE",e[e.KeyF=36]="KeyF",e[e.KeyG=37]="KeyG",e[e.KeyH=38]="KeyH",e[e.KeyI=39]="KeyI",e[e.KeyJ=40]="KeyJ",e[e.KeyK=41]="KeyK",e[e.KeyL=42]="KeyL",e[e.KeyM=43]="KeyM",e[e.KeyN=44]="KeyN",e[e.KeyO=45]="KeyO",e[e.KeyP=46]="KeyP",e[e.KeyQ=47]="KeyQ",e[e.KeyR=48]="KeyR",e[e.KeyS=49]="KeyS",e[e.KeyT=50]="KeyT",e[e.KeyU=51]="KeyU",e[e.KeyV=52]="KeyV",e[e.KeyW=53]="KeyW",e[e.KeyX=54]="KeyX",e[e.KeyY=55]="KeyY",e[e.KeyZ=56]="KeyZ",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.F20=78]="F20",e[e.F21=79]="F21",e[e.F22=80]="F22",e[e.F23=81]="F23",e[e.F24=82]="F24",e[e.NumLock=83]="NumLock",e[e.ScrollLock=84]="ScrollLock",e[e.Semicolon=85]="Semicolon",e[e.Equal=86]="Equal",e[e.Comma=87]="Comma",e[e.Minus=88]="Minus",e[e.Period=89]="Period",e[e.Slash=90]="Slash",e[e.Backquote=91]="Backquote",e[e.BracketLeft=92]="BracketLeft",e[e.Backslash=93]="Backslash",e[e.BracketRight=94]="BracketRight",e[e.Quote=95]="Quote",e[e.OEM_8=96]="OEM_8",e[e.IntlBackslash=97]="IntlBackslash",e[e.Numpad0=98]="Numpad0",e[e.Numpad1=99]="Numpad1",e[e.Numpad2=100]="Numpad2",e[e.Numpad3=101]="Numpad3",e[e.Numpad4=102]="Numpad4",e[e.Numpad5=103]="Numpad5",e[e.Numpad6=104]="Numpad6",e[e.Numpad7=105]="Numpad7",e[e.Numpad8=106]="Numpad8",e[e.Numpad9=107]="Numpad9",e[e.NumpadMultiply=108]="NumpadMultiply",e[e.NumpadAdd=109]="NumpadAdd",e[e.NUMPAD_SEPARATOR=110]="NUMPAD_SEPARATOR",e[e.NumpadSubtract=111]="NumpadSubtract",e[e.NumpadDecimal=112]="NumpadDecimal",e[e.NumpadDivide=113]="NumpadDivide",e[e.KEY_IN_COMPOSITION=114]="KEY_IN_COMPOSITION",e[e.ABNT_C1=115]="ABNT_C1",e[e.ABNT_C2=116]="ABNT_C2",e[e.AudioVolumeMute=117]="AudioVolumeMute",e[e.AudioVolumeUp=118]="AudioVolumeUp",e[e.AudioVolumeDown=119]="AudioVolumeDown",e[e.BrowserSearch=120]="BrowserSearch",e[e.BrowserHome=121]="BrowserHome",e[e.BrowserBack=122]="BrowserBack",e[e.BrowserForward=123]="BrowserForward",e[e.MediaTrackNext=124]="MediaTrackNext",e[e.MediaTrackPrevious=125]="MediaTrackPrevious",e[e.MediaStop=126]="MediaStop",e[e.MediaPlayPause=127]="MediaPlayPause",e[e.LaunchMediaPlayer=128]="LaunchMediaPlayer",e[e.LaunchMail=129]="LaunchMail",e[e.LaunchApp2=130]="LaunchApp2",e[e.Clear=131]="Clear",e[e.MAX_VALUE=132]="MAX_VALUE"}(ir||(ir={})),function(e){e[e.Hint=1]="Hint",e[e.Info=2]="Info",e[e.Warning=4]="Warning",e[e.Error=8]="Error"}(sr||(sr={})),function(e){e[e.Unnecessary=1]="Unnecessary",e[e.Deprecated=2]="Deprecated"}(or||(or={})),function(e){e[e.Inline=1]="Inline",e[e.Gutter=2]="Gutter"}(ar||(ar={})),function(e){e[e.Normal=1]="Normal",e[e.Underlined=2]="Underlined"}(lr||(lr={})),function(e){e[e.UNKNOWN=0]="UNKNOWN",e[e.TEXTAREA=1]="TEXTAREA",e[e.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",e[e.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",e[e.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",e[e.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",e[e.CONTENT_TEXT=6]="CONTENT_TEXT",e[e.CONTENT_EMPTY=7]="CONTENT_EMPTY",e[e.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",e[e.CONTENT_WIDGET=9]="CONTENT_WIDGET",e[e.OVERVIEW_RULER=10]="OVERVIEW_RULER",e[e.SCROLLBAR=11]="SCROLLBAR",e[e.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",e[e.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"}(ur||(ur={})),function(e){e[e.AIGenerated=1]="AIGenerated"}(cr||(cr={})),function(e){e[e.Invoke=0]="Invoke",e[e.Automatic=1]="Automatic"}(hr||(hr={})),function(e){e[e.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",e[e.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",e[e.TOP_CENTER=2]="TOP_CENTER"}(dr||(dr={})),function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(fr||(fr={})),function(e){e[e.Word=0]="Word",e[e.Line=1]="Line",e[e.Suggest=2]="Suggest"}(mr||(mr={})),function(e){e[e.Left=0]="Left",e[e.Right=1]="Right",e[e.None=2]="None",e[e.LeftOfInjectedText=3]="LeftOfInjectedText",e[e.RightOfInjectedText=4]="RightOfInjectedText"}(gr||(gr={})),function(e){e[e.Off=0]="Off",e[e.On=1]="On",e[e.Relative=2]="Relative",e[e.Interval=3]="Interval",e[e.Custom=4]="Custom"}(pr||(pr={})),function(e){e[e.None=0]="None",e[e.Text=1]="Text",e[e.Blocks=2]="Blocks"}(br||(br={})),function(e){e[e.Smooth=0]="Smooth",e[e.Immediate=1]="Immediate"}(yr||(yr={})),function(e){e[e.Auto=1]="Auto",e[e.Hidden=2]="Hidden",e[e.Visible=3]="Visible"}(vr||(vr={})),function(e){e[e.LTR=0]="LTR",e[e.RTL=1]="RTL"}(_r||(_r={})),function(e){e.Off="off",e.OnCode="onCode",e.On="on"}(Cr||(Cr={})),function(e){e[e.Invoke=1]="Invoke",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.ContentChange=3]="ContentChange"}(Sr||(Sr={})),function(e){e[e.File=0]="File",e[e.Module=1]="Module",e[e.Namespace=2]="Namespace",e[e.Package=3]="Package",e[e.Class=4]="Class",e[e.Method=5]="Method",e[e.Property=6]="Property",e[e.Field=7]="Field",e[e.Constructor=8]="Constructor",e[e.Enum=9]="Enum",e[e.Interface=10]="Interface",e[e.Function=11]="Function",e[e.Variable=12]="Variable",e[e.Constant=13]="Constant",e[e.String=14]="String",e[e.Number=15]="Number",e[e.Boolean=16]="Boolean",e[e.Array=17]="Array",e[e.Object=18]="Object",e[e.Key=19]="Key",e[e.Null=20]="Null",e[e.EnumMember=21]="EnumMember",e[e.Struct=22]="Struct",e[e.Event=23]="Event",e[e.Operator=24]="Operator",e[e.TypeParameter=25]="TypeParameter"}(wr||(wr={})),function(e){e[e.Deprecated=1]="Deprecated"}(Lr||(Lr={})),function(e){e[e.Hidden=0]="Hidden",e[e.Blink=1]="Blink",e[e.Smooth=2]="Smooth",e[e.Phase=3]="Phase",e[e.Expand=4]="Expand",e[e.Solid=5]="Solid"}(Nr||(Nr={})),function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline",e[e.LineThin=4]="LineThin",e[e.BlockOutline=5]="BlockOutline",e[e.UnderlineThin=6]="UnderlineThin"}(xr||(xr={})),function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"}(Er||(Er={})),function(e){e[e.None=0]="None",e[e.Same=1]="Same",e[e.Indent=2]="Indent",e[e.DeepIndent=3]="DeepIndent"}(Ar||(Ar={}));class Tr{static chord(e,t){return function(e,t){return(e|(65535&t)<<16>>>0)>>>0}(e,t)}}Tr.CtrlCmd=2048,Tr.Shift=1024,Tr.Alt=512,Tr.WinCtrl=256;class Mr{constructor(e,t){this.uri=e,this.value=t}}class Or{constructor(e,t){if(this[kr]="ResourceMap",e instanceof Or)this.map=new Map(e.map),this.toKey=null!=t?t:Or.defaultToKey;else if(function(e){return Array.isArray(e)}(e)){this.map=new Map,this.toKey=null!=t?t:Or.defaultToKey;for(const[t,n]of e)this.set(t,n)}else this.map=new Map,this.toKey=null!=e?e:Or.defaultToKey}set(e,t){return this.map.set(this.toKey(e),new Mr(e,t)),this}get(e){var t;return null===(t=this.map.get(this.toKey(e)))||void 0===t?void 0:t.value}has(e){return this.map.has(this.toKey(e))}get size(){return this.map.size}clear(){this.map.clear()}delete(e){return this.map.delete(this.toKey(e))}forEach(e,t){void 0!==t&&(e=e.bind(t));for(const[t,n]of this.map)e(n.value,n.uri,this)}*values(){for(const e of this.map.values())yield e.value}*keys(){for(const e of this.map.values())yield e.uri}*entries(){for(const e of this.map.values())yield[e.uri,e.value]}*[(kr=Symbol.toStringTag,Symbol.iterator)](){for(const[,e]of this.map)yield[e.uri,e.value]}}Or.defaultToKey=e=>e.toString();class Ir{constructor(){this[Rr]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var e;return null===(e=this._head)||void 0===e?void 0:e.value}get last(){var e;return null===(e=this._tail)||void 0===e?void 0:e.value}has(e){return this._map.has(e)}get(e,t=0){const n=this._map.get(e);if(n)return 0!==t&&this.touch(n,t),n.value}set(e,t,n=0){let r=this._map.get(e);if(r)r.value=t,0!==n&&this.touch(r,n);else{switch(r={key:e,value:t,next:void 0,previous:void 0},n){case 0:case 2:default:this.addItemLast(r);break;case 1:this.addItemFirst(r)}this._map.set(e,r),this._size++}return this}delete(e){return!!this.remove(e)}remove(e){const t=this._map.get(e);if(t)return this._map.delete(e),this.removeItem(t),this._size--,t.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const e=this._head;return this._map.delete(e.key),this.removeItem(e),this._size--,e.value}forEach(e,t){const n=this._state;let r=this._head;for(;r;){if(t?e.bind(t)(r.value,r.key,this):e(r.value,r.key,this),this._state!==n)throw new Error("LinkedMap got modified during iteration.");r=r.next}}keys(){const e=this,t=this._state;let n=this._head;const r={[Symbol.iterator](){return r},next(){if(e._state!==t)throw new Error("LinkedMap got modified during iteration.");if(n){const e={value:n.key,done:!1};return n=n.next,e}return{value:void 0,done:!0}}};return r}values(){const e=this,t=this._state;let n=this._head;const r={[Symbol.iterator](){return r},next(){if(e._state!==t)throw new Error("LinkedMap got modified during iteration.");if(n){const e={value:n.value,done:!1};return n=n.next,e}return{value:void 0,done:!0}}};return r}entries(){const e=this,t=this._state;let n=this._head;const r={[Symbol.iterator](){return r},next(){if(e._state!==t)throw new Error("LinkedMap got modified during iteration.");if(n){const e={value:[n.key,n.value],done:!1};return n=n.next,e}return{value:void 0,done:!0}}};return r}[(Rr=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(e){if(e>=this.size)return;if(0===e)return void this.clear();let t=this._head,n=this.size;for(;t&&n>e;)this._map.delete(t.key),t=t.next,n--;this._head=t,this._size=n,t&&(t.previous=void 0),this._state++}trimNew(e){if(e>=this.size)return;if(0===e)return void this.clear();let t=this._tail,n=this.size;for(;t&&n>e;)this._map.delete(t.key),t=t.previous,n--;this._tail=t,this._size=n,t&&(t.next=void 0),this._state++}addItemFirst(e){if(this._head||this._tail){if(!this._head)throw new Error("Invalid list");e.next=this._head,this._head.previous=e}else this._tail=e;this._head=e,this._state++}addItemLast(e){if(this._head||this._tail){if(!this._tail)throw new Error("Invalid list");e.previous=this._tail,this._tail.next=e}else this._head=e;this._tail=e,this._state++}removeItem(e){if(e===this._head&&e===this._tail)this._head=void 0,this._tail=void 0;else if(e===this._head){if(!e.next)throw new Error("Invalid list");e.next.previous=void 0,this._head=e.next}else if(e===this._tail){if(!e.previous)throw new Error("Invalid list");e.previous.next=void 0,this._tail=e.previous}else{const t=e.next,n=e.previous;if(!t||!n)throw new Error("Invalid list");t.previous=n,n.next=t}e.next=void 0,e.previous=void 0,this._state++}touch(e,t){if(!this._head||!this._tail)throw new Error("Invalid list");if(1===t||2===t)if(1===t){if(e===this._head)return;const t=e.next,n=e.previous;e===this._tail?(n.next=void 0,this._tail=n):(t.previous=n,n.next=t),e.previous=void 0,e.next=this._head,this._head.previous=e,this._head=e,this._state++}else if(2===t){if(e===this._tail)return;const t=e.next,n=e.previous;e===this._head?(t.previous=void 0,this._head=t):(t.previous=n,n.next=t),e.next=void 0,e.previous=this._tail,this._tail.next=e,this._tail=e,this._state++}}toJSON(){const e=[];return this.forEach(((t,n)=>{e.push([n,t])})),e}fromJSON(e){this.clear();for(const[t,n]of e)this.set(t,n)}}class Pr extends Ir{constructor(e,t=1){super(),this._limit=e,this._ratio=Math.min(Math.max(0,t),1)}get limit(){return this._limit}set limit(e){this._limit=e,this.checkTrim()}get(e,t=2){return super.get(e,t)}peek(e){return super.get(e,0)}set(e,t){return super.set(e,t,2),this}checkTrim(){this.size>this._limit&&this.trim(Math.round(this._limit*this._ratio))}}class Fr{constructor(){this.map=new Map}add(e,t){let n=this.map.get(e);n||(n=new Set,this.map.set(e,n)),n.add(t)}delete(e,t){const n=this.map.get(e);n&&(n.delete(t),0===n.size&&this.map.delete(e))}forEach(e,t){const n=this.map.get(e);n&&n.forEach(t)}get(e){const t=this.map.get(e);return t||new Set}}new class extends Pr{constructor(e,t=1){super(e,t)}trim(e){this.trimOld(e)}set(e,t){return super.set(e,t),this.checkTrim(),this}}(10);var Vr,Dr,qr;!function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(Vr||(Vr={})),function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=3]="Right"}(Dr||(Dr={})),function(e){e[e.Both=0]="Both",e[e.Right=1]="Right",e[e.Left=2]="Left",e[e.None=3]="None"}(qr||(qr={}));function Kr(e,t,n,r,i){return function(e,t,n,r,i){if(0===r)return!0;const s=t.charCodeAt(r-1);if(0!==e.get(s))return!0;if(13===s||10===s)return!0;if(i>0){const n=t.charCodeAt(r);if(0!==e.get(n))return!0}return!1}(e,t,0,r,i)&&function(e,t,n,r,i){if(r+i===n)return!0;const s=t.charCodeAt(r+i);if(0!==e.get(s))return!0;if(13===s||10===s)return!0;if(i>0){const n=t.charCodeAt(r+i-1);if(0!==e.get(n))return!0}return!1}(e,t,n,r,i)}class Ur{constructor(e,t){this._wordSeparators=e,this._searchRegex=t,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(e){this._searchRegex.lastIndex=e,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(e){const t=e.length;let n;do{if(this._prevMatchStartIndex+this._prevMatchLength===t)return null;if(n=this._searchRegex.exec(e),!n)return null;const r=n.index,i=n[0].length;if(r===this._prevMatchStartIndex&&i===this._prevMatchLength){if(0===i){ve(e,t,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=r,this._prevMatchLength=i,!this._wordSeparators||Kr(this._wordSeparators,e,t,r,i))return n}while(n);return null}}function Br(e,t="Unreachable"){throw new Error(t)}function $r(e){e()||(e(),t(new a("Assertion Failed")))}function jr(e,t){let n=0;for(;n<e.length-1;){if(!t(e[n],e[n+1]))return!1;n++}return!0}class Wr{static computeUnicodeHighlights(e,t,n){const r=n?n.startLineNumber:1,i=n?n.endLineNumber:e.getLineCount(),s=new zr(t),o=s.getCandidateCodePoints();let a;a="allNonBasicAscii"===o?new RegExp("[^\\t\\n\\r\\x20-\\x7E]","g"):new RegExp(""+`[${me(Array.from(o).map((e=>String.fromCodePoint(e))).join(""))}]`,"g");const l=new Ur(null,a),u=[];let c,h=!1,d=0,f=0,m=0;e:for(let t=r,n=i;t<=n;t++){const n=e.getLineContent(t),r=n.length;l.reset(0);do{if(c=l.next(n),c){let e=c.index,i=c.index+c[0].length;if(e>0){pe(n.charCodeAt(e-1))&&e--}if(i+1<r){pe(n.charCodeAt(i-1))&&i++}const o=n.substring(e,i);let a=Wt(e+1,Bt,n,0);a&&a.endColumn<=e+1&&(a=null);const l=s.shouldHighlightNonBasicASCII(o,a?a.word:null);if(0!==l){3===l?d++:2===l?f++:1===l?m++:Br();const n=1e3;if(u.length>=n){h=!0;break e}u.push(new Mt(t,e+1,t,i+1))}}}while(c)}return{ranges:u,hasMore:h,ambiguousCharacterCount:d,invisibleCharacterCount:f,nonBasicAsciiCharacterCount:m}}static computeUnicodeHighlightReason(e,t){const n=new zr(t);switch(n.shouldHighlightNonBasicASCII(e,null)){case 0:return null;case 2:return{kind:1};case 3:{const r=e.codePointAt(0),i=n.ambiguousCharacters.getPrimaryConfusable(r),s=Se.getLocales().filter((e=>!Se.getInstance(new Set([...t.allowedLocales,e])).isAmbiguous(r)));return{kind:0,confusableWith:String.fromCodePoint(i),notAmbiguousInLocales:s}}case 1:return{kind:2}}}}class zr{constructor(e){this.options=e,this.allowedCodePoints=new Set(e.allowedCodePoints),this.ambiguousCharacters=Se.getInstance(new Set(e.allowedLocales))}getCandidateCodePoints(){if(this.options.nonBasicASCII)return"allNonBasicAscii";const e=new Set;if(this.options.invisibleCharacters)for(const t of we.codePoints)Hr(String.fromCodePoint(t))||e.add(t);if(this.options.ambiguousCharacters)for(const t of this.ambiguousCharacters.getConfusableCodePoints())e.add(t);for(const t of this.allowedCodePoints)e.delete(t);return e}shouldHighlightNonBasicASCII(e,t){const n=e.codePointAt(0);if(this.allowedCodePoints.has(n))return 0;if(this.options.nonBasicASCII)return 1;let r=!1,i=!1;if(t)for(const e of t){const t=e.codePointAt(0),n=(s=e,_e.test(s));r=r||n,n||this.ambiguousCharacters.isAmbiguous(t)||we.isInvisibleCharacter(t)||(i=!0)}var s;return!r&&i?0:this.options.invisibleCharacters&&!Hr(e)&&we.isInvisibleCharacter(n)?2:this.options.ambiguousCharacters&&this.ambiguousCharacters.isAmbiguous(n)?3:0}}function Hr(e){return" "===e||"\n"===e||"\t"===e}class Gr{constructor(e,t,n){this.changes=e,this.moves=t,this.hitTimeout=n}}class Jr{constructor(e,t){this.lineRangeMapping=e,this.changes=t}}class Xr{static addRange(e,t){let n=0;for(;n<t.length&&t[n].endExclusive<e.start;)n++;let r=n;for(;r<t.length&&t[r].start<=e.endExclusive;)r++;if(n===r)t.splice(n,0,e);else{const i=Math.min(e.start,t[n].start),s=Math.max(e.endExclusive,t[r-1].endExclusive);t.splice(n,r-n,new Xr(i,s))}}static tryCreate(e,t){if(!(e>t))return new Xr(e,t)}static ofLength(e){return new Xr(0,e)}static ofStartAndLength(e,t){return new Xr(e,e+t)}constructor(e,t){if(this.start=e,this.endExclusive=t,e>t)throw new a(`Invalid range: ${this.toString()}`)}get isEmpty(){return this.start===this.endExclusive}delta(e){return new Xr(this.start+e,this.endExclusive+e)}deltaStart(e){return new Xr(this.start+e,this.endExclusive)}deltaEnd(e){return new Xr(this.start,this.endExclusive+e)}get length(){return this.endExclusive-this.start}toString(){return`[${this.start}, ${this.endExclusive})`}contains(e){return this.start<=e&&e<this.endExclusive}join(e){return new Xr(Math.min(this.start,e.start),Math.max(this.endExclusive,e.endExclusive))}intersect(e){const t=Math.max(this.start,e.start),n=Math.min(this.endExclusive,e.endExclusive);if(t<=n)return new Xr(t,n)}intersects(e){return Math.max(this.start,e.start)<Math.min(this.endExclusive,e.endExclusive)}isBefore(e){return this.endExclusive<=e.start}isAfter(e){return this.start>=e.endExclusive}slice(e){return e.slice(this.start,this.endExclusive)}substring(e){return e.substring(this.start,this.endExclusive)}clip(e){if(this.isEmpty)throw new a(`Invalid clipping range: ${this.toString()}`);return Math.max(this.start,Math.min(this.endExclusive-1,e))}clipCyclic(e){if(this.isEmpty)throw new a(`Invalid clipping range: ${this.toString()}`);return e<this.start?this.endExclusive-(this.start-e)%this.length:e>=this.endExclusive?this.start+(e-this.start)%this.length:e}forEach(e){for(let t=this.start;t<this.endExclusive;t++)e(t)}}function Qr(e,t){const n=Zr(e,t);return-1===n?void 0:e[n]}function Zr(e,t,n=0,r=e.length){let i=n,s=r;for(;i<s;){const n=Math.floor((i+s)/2);t(e[n])?i=n+1:s=n}return i-1}function Yr(e,t,n=0,r=e.length){let i=n,s=r;for(;i<s;){const n=Math.floor((i+s)/2);t(e[n])?s=n:i=n+1}return i}class ei{constructor(e){this._array=e,this._findLastMonotonousLastIdx=0}findLastMonotonous(e){if(ei.assertInvariants){if(this._prevFindLastPredicate)for(const t of this._array)if(this._prevFindLastPredicate(t)&&!e(t))throw new Error("MonotonousArray: current predicate must be weaker than (or equal to) the previous predicate.");this._prevFindLastPredicate=e}const t=Zr(this._array,e,this._findLastMonotonousLastIdx);return this._findLastMonotonousLastIdx=t+1,-1===t?void 0:this._array[t]}}ei.assertInvariants=!1;class ti{static fromRangeInclusive(e){return new ti(e.startLineNumber,e.endLineNumber+1)}static joinMany(e){if(0===e.length)return[];let t=new ni(e[0].slice());for(let n=1;n<e.length;n++)t=t.getUnion(new ni(e[n].slice()));return t.ranges}static join(e){if(0===e.length)throw new a("lineRanges cannot be empty");let t=e[0].startLineNumber,n=e[0].endLineNumberExclusive;for(let r=1;r<e.length;r++)t=Math.min(t,e[r].startLineNumber),n=Math.max(n,e[r].endLineNumberExclusive);return new ti(t,n)}static ofLength(e,t){return new ti(e,e+t)}static deserialize(e){return new ti(e[0],e[1])}constructor(e,t){if(e>t)throw new a(`startLineNumber ${e} cannot be after endLineNumberExclusive ${t}`);this.startLineNumber=e,this.endLineNumberExclusive=t}contains(e){return this.startLineNumber<=e&&e<this.endLineNumberExclusive}get isEmpty(){return this.startLineNumber===this.endLineNumberExclusive}delta(e){return new ti(this.startLineNumber+e,this.endLineNumberExclusive+e)}deltaLength(e){return new ti(this.startLineNumber,this.endLineNumberExclusive+e)}get length(){return this.endLineNumberExclusive-this.startLineNumber}join(e){return new ti(Math.min(this.startLineNumber,e.startLineNumber),Math.max(this.endLineNumberExclusive,e.endLineNumberExclusive))}toString(){return`[${this.startLineNumber},${this.endLineNumberExclusive})`}intersect(e){const t=Math.max(this.startLineNumber,e.startLineNumber),n=Math.min(this.endLineNumberExclusive,e.endLineNumberExclusive);if(t<=n)return new ti(t,n)}intersectsStrict(e){return this.startLineNumber<e.endLineNumberExclusive&&e.startLineNumber<this.endLineNumberExclusive}overlapOrTouch(e){return this.startLineNumber<=e.endLineNumberExclusive&&e.startLineNumber<=this.endLineNumberExclusive}equals(e){return this.startLineNumber===e.startLineNumber&&this.endLineNumberExclusive===e.endLineNumberExclusive}toInclusiveRange(){return this.isEmpty?null:new Mt(this.startLineNumber,1,this.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER)}toExclusiveRange(){return new Mt(this.startLineNumber,1,this.endLineNumberExclusive,1)}mapToLineArray(e){const t=[];for(let n=this.startLineNumber;n<this.endLineNumberExclusive;n++)t.push(e(n));return t}forEach(e){for(let t=this.startLineNumber;t<this.endLineNumberExclusive;t++)e(t)}serialize(){return[this.startLineNumber,this.endLineNumberExclusive]}includes(e){return this.startLineNumber<=e&&e<this.endLineNumberExclusive}toOffsetRange(){return new Xr(this.startLineNumber-1,this.endLineNumberExclusive-1)}}class ni{constructor(e=[]){this._normalizedRanges=e}get ranges(){return this._normalizedRanges}addRange(e){if(0===e.length)return;const t=Yr(this._normalizedRanges,(t=>t.endLineNumberExclusive>=e.startLineNumber)),n=Zr(this._normalizedRanges,(t=>t.startLineNumber<=e.endLineNumberExclusive))+1;if(t===n)this._normalizedRanges.splice(t,0,e);else if(t===n-1){const n=this._normalizedRanges[t];this._normalizedRanges[t]=n.join(e)}else{const r=this._normalizedRanges[t].join(this._normalizedRanges[n-1]).join(e);this._normalizedRanges.splice(t,n-t,r)}}contains(e){const t=Qr(this._normalizedRanges,(t=>t.startLineNumber<=e));return!!t&&t.endLineNumberExclusive>e}intersects(e){const t=Qr(this._normalizedRanges,(t=>t.startLineNumber<e.endLineNumberExclusive));return!!t&&t.endLineNumberExclusive>e.startLineNumber}getUnion(e){if(0===this._normalizedRanges.length)return e;if(0===e._normalizedRanges.length)return this;const t=[];let n=0,r=0,i=null;for(;n<this._normalizedRanges.length||r<e._normalizedRanges.length;){let s=null;if(n<this._normalizedRanges.length&&r<e._normalizedRanges.length){const t=this._normalizedRanges[n],i=e._normalizedRanges[r];t.startLineNumber<i.startLineNumber?(s=t,n++):(s=i,r++)}else n<this._normalizedRanges.length?(s=this._normalizedRanges[n],n++):(s=e._normalizedRanges[r],r++);null===i?i=s:i.endLineNumberExclusive>=s.startLineNumber?i=new ti(i.startLineNumber,Math.max(i.endLineNumberExclusive,s.endLineNumberExclusive)):(t.push(i),i=s)}return null!==i&&t.push(i),new ni(t)}subtractFrom(e){const t=Yr(this._normalizedRanges,(t=>t.endLineNumberExclusive>=e.startLineNumber)),n=Zr(this._normalizedRanges,(t=>t.startLineNumber<=e.endLineNumberExclusive))+1;if(t===n)return new ni([e]);const r=[];let i=e.startLineNumber;for(let e=t;e<n;e++){const t=this._normalizedRanges[e];t.startLineNumber>i&&r.push(new ti(i,t.startLineNumber)),i=t.endLineNumberExclusive}return i<e.endLineNumberExclusive&&r.push(new ti(i,e.endLineNumberExclusive)),new ni(r)}toString(){return this._normalizedRanges.map((e=>e.toString())).join(", ")}getIntersection(e){const t=[];let n=0,r=0;for(;n<this._normalizedRanges.length&&r<e._normalizedRanges.length;){const i=this._normalizedRanges[n],s=e._normalizedRanges[r],o=i.intersect(s);o&&!o.isEmpty&&t.push(o),i.endLineNumberExclusive<s.endLineNumberExclusive?n++:r++}return new ni(t)}getWithDelta(e){return new ni(this._normalizedRanges.map((t=>t.delta(e))))}}class ri{static betweenPositions(e,t){return e.lineNumber===t.lineNumber?new ri(0,t.column-e.column):new ri(t.lineNumber-e.lineNumber,t.column-1)}static ofRange(e){return ri.betweenPositions(e.getStartPosition(),e.getEndPosition())}static ofText(e){let t=0,n=0;for(const r of e)"\n"===r?(t++,n=0):n++;return new ri(t,n)}constructor(e,t){this.lineCount=e,this.columnCount=t}isGreaterThanOrEqualTo(e){return this.lineCount!==e.lineCount?this.lineCount>e.lineCount:this.columnCount>=e.columnCount}createRange(e){return 0===this.lineCount?new Mt(e.lineNumber,e.column,e.lineNumber,e.column+this.columnCount):new Mt(e.lineNumber,e.column,e.lineNumber+this.lineCount,this.columnCount+1)}addToPosition(e){return 0===this.lineCount?new Tt(e.lineNumber,e.column+this.columnCount):new Tt(e.lineNumber+this.lineCount,this.columnCount+1)}toString(){return`${this.lineCount},${this.columnCount}`}}ri.zero=new ri(0,0);class ii{constructor(e,t){this.range=e,this.text=t}}class si{static inverse(e,t,n){const r=[];let i=1,s=1;for(const t of e){const e=new si(new ti(i,t.original.startLineNumber),new ti(s,t.modified.startLineNumber));e.modified.isEmpty||r.push(e),i=t.original.endLineNumberExclusive,s=t.modified.endLineNumberExclusive}const o=new si(new ti(i,t+1),new ti(s,n+1));return o.modified.isEmpty||r.push(o),r}static clip(e,t,n){const r=[];for(const i of e){const e=i.original.intersect(t),s=i.modified.intersect(n);e&&!e.isEmpty&&s&&!s.isEmpty&&r.push(new si(e,s))}return r}constructor(e,t){this.original=e,this.modified=t}toString(){return`{${this.original.toString()}->${this.modified.toString()}}`}flip(){return new si(this.modified,this.original)}join(e){return new si(this.original.join(e.original),this.modified.join(e.modified))}toRangeMapping(){const e=this.original.toInclusiveRange(),t=this.modified.toInclusiveRange();if(e&&t)return new ai(e,t);if(1===this.original.startLineNumber||1===this.modified.startLineNumber){if(1!==this.modified.startLineNumber||1!==this.original.startLineNumber)throw new a("not a valid diff");return new ai(new Mt(this.original.startLineNumber,1,this.original.endLineNumberExclusive,1),new Mt(this.modified.startLineNumber,1,this.modified.endLineNumberExclusive,1))}return new ai(new Mt(this.original.startLineNumber-1,Number.MAX_SAFE_INTEGER,this.original.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER),new Mt(this.modified.startLineNumber-1,Number.MAX_SAFE_INTEGER,this.modified.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER))}}class oi extends si{static fromRangeMappings(e){const t=ti.join(e.map((e=>ti.fromRangeInclusive(e.originalRange)))),n=ti.join(e.map((e=>ti.fromRangeInclusive(e.modifiedRange))));return new oi(t,n,e)}constructor(e,t,n){super(e,t),this.innerChanges=n}flip(){var e;return new oi(this.modified,this.original,null===(e=this.innerChanges)||void 0===e?void 0:e.map((e=>e.flip())))}withInnerChangesFromLineRanges(){return new oi(this.original,this.modified,[this.toRangeMapping()])}}class ai{constructor(e,t){this.originalRange=e,this.modifiedRange=t}toString(){return`{${this.originalRange.toString()}->${this.modifiedRange.toString()}}`}flip(){return new ai(this.modifiedRange,this.originalRange)}toTextEdit(e){const t=e.getValueOfRange(this.modifiedRange);return new ii(this.originalRange,t)}}class li{computeDiff(e,t,n){var r;const i=new mi(e,t,{maxComputationTime:n.maxComputationTimeMs,shouldIgnoreTrimWhitespace:n.ignoreTrimWhitespace,shouldComputeCharChanges:!0,shouldMakePrettyDiff:!0,shouldPostProcessCharChanges:!0}).computeDiff(),s=[];let o=null;for(const e of i.changes){let t,n;t=0===e.originalEndLineNumber?new ti(e.originalStartLineNumber+1,e.originalStartLineNumber+1):new ti(e.originalStartLineNumber,e.originalEndLineNumber+1),n=0===e.modifiedEndLineNumber?new ti(e.modifiedStartLineNumber+1,e.modifiedStartLineNumber+1):new ti(e.modifiedStartLineNumber,e.modifiedEndLineNumber+1);let i=new oi(t,n,null===(r=e.charChanges)||void 0===r?void 0:r.map((e=>new ai(new Mt(e.originalStartLineNumber,e.originalStartColumn,e.originalEndLineNumber,e.originalEndColumn),new Mt(e.modifiedStartLineNumber,e.modifiedStartColumn,e.modifiedEndLineNumber,e.modifiedEndColumn)))));o&&(o.modified.endLineNumberExclusive!==i.modified.startLineNumber&&o.original.endLineNumberExclusive!==i.original.startLineNumber||(i=new oi(o.original.join(i.original),o.modified.join(i.modified),o.innerChanges&&i.innerChanges?o.innerChanges.concat(i.innerChanges):void 0),s.pop())),s.push(i),o=i}return $r((()=>jr(s,((e,t)=>t.original.startLineNumber-e.original.endLineNumberExclusive==t.modified.startLineNumber-e.modified.endLineNumberExclusive&&e.original.endLineNumberExclusive<t.original.startLineNumber&&e.modified.endLineNumberExclusive<t.modified.startLineNumber)))),new Gr(s,[],i.quitEarly)}}function ui(e,t,n,r){return new Ge(e,t,n).ComputeDiff(r)}class ci{constructor(e){const t=[],n=[];for(let r=0,i=e.length;r<i;r++)t[r]=gi(e[r],1),n[r]=pi(e[r],1);this.lines=e,this._startColumns=t,this._endColumns=n}getElements(){const e=[];for(let t=0,n=this.lines.length;t<n;t++)e[t]=this.lines[t].substring(this._startColumns[t]-1,this._endColumns[t]-1);return e}getStrictElement(e){return this.lines[e]}getStartLineNumber(e){return e+1}getEndLineNumber(e){return e+1}createCharSequence(e,t,n){const r=[],i=[],s=[];let o=0;for(let a=t;a<=n;a++){const t=this.lines[a],l=e?this._startColumns[a]:1,u=e?this._endColumns[a]:t.length+1;for(let e=l;e<u;e++)r[o]=t.charCodeAt(e-1),i[o]=a+1,s[o]=e,o++;!e&&a<n&&(r[o]=10,i[o]=a+1,s[o]=t.length+1,o++)}return new hi(r,i,s)}}class hi{constructor(e,t,n){this._charCodes=e,this._lineNumbers=t,this._columns=n}toString(){return"["+this._charCodes.map(((e,t)=>(10===e?"\\n":String.fromCharCode(e))+`-(${this._lineNumbers[t]},${this._columns[t]})`)).join(", ")+"]"}_assertIndex(e,t){if(e<0||e>=t.length)throw new Error("Illegal index")}getElements(){return this._charCodes}getStartLineNumber(e){return e>0&&e===this._lineNumbers.length?this.getEndLineNumber(e-1):(this._assertIndex(e,this._lineNumbers),this._lineNumbers[e])}getEndLineNumber(e){return-1===e?this.getStartLineNumber(e+1):(this._assertIndex(e,this._lineNumbers),10===this._charCodes[e]?this._lineNumbers[e]+1:this._lineNumbers[e])}getStartColumn(e){return e>0&&e===this._columns.length?this.getEndColumn(e-1):(this._assertIndex(e,this._columns),this._columns[e])}getEndColumn(e){return-1===e?this.getStartColumn(e+1):(this._assertIndex(e,this._columns),10===this._charCodes[e]?1:this._columns[e]+1)}}class di{constructor(e,t,n,r,i,s,o,a){this.originalStartLineNumber=e,this.originalStartColumn=t,this.originalEndLineNumber=n,this.originalEndColumn=r,this.modifiedStartLineNumber=i,this.modifiedStartColumn=s,this.modifiedEndLineNumber=o,this.modifiedEndColumn=a}static createFromDiffChange(e,t,n){const r=t.getStartLineNumber(e.originalStart),i=t.getStartColumn(e.originalStart),s=t.getEndLineNumber(e.originalStart+e.originalLength-1),o=t.getEndColumn(e.originalStart+e.originalLength-1),a=n.getStartLineNumber(e.modifiedStart),l=n.getStartColumn(e.modifiedStart),u=n.getEndLineNumber(e.modifiedStart+e.modifiedLength-1),c=n.getEndColumn(e.modifiedStart+e.modifiedLength-1);return new di(r,i,s,o,a,l,u,c)}}class fi{constructor(e,t,n,r,i){this.originalStartLineNumber=e,this.originalEndLineNumber=t,this.modifiedStartLineNumber=n,this.modifiedEndLineNumber=r,this.charChanges=i}static createFromDiffResult(e,t,n,r,i,s,o){let a,l,u,c,h;if(0===t.originalLength?(a=n.getStartLineNumber(t.originalStart)-1,l=0):(a=n.getStartLineNumber(t.originalStart),l=n.getEndLineNumber(t.originalStart+t.originalLength-1)),0===t.modifiedLength?(u=r.getStartLineNumber(t.modifiedStart)-1,c=0):(u=r.getStartLineNumber(t.modifiedStart),c=r.getEndLineNumber(t.modifiedStart+t.modifiedLength-1)),s&&t.originalLength>0&&t.originalLength<20&&t.modifiedLength>0&&t.modifiedLength<20&&i()){const s=n.createCharSequence(e,t.originalStart,t.originalStart+t.originalLength-1),a=r.createCharSequence(e,t.modifiedStart,t.modifiedStart+t.modifiedLength-1);if(s.getElements().length>0&&a.getElements().length>0){let e=ui(s,a,i,!0).changes;o&&(e=function(e){if(e.length<=1)return e;const t=[e[0]];let n=t[0];for(let r=1,i=e.length;r<i;r++){const i=e[r],s=i.originalStart-(n.originalStart+n.originalLength),o=i.modifiedStart-(n.modifiedStart+n.modifiedLength);Math.min(s,o)<3?(n.originalLength=i.originalStart+i.originalLength-n.originalStart,n.modifiedLength=i.modifiedStart+i.modifiedLength-n.modifiedStart):(t.push(i),n=i)}return t}(e)),h=[];for(let t=0,n=e.length;t<n;t++)h.push(di.createFromDiffChange(e[t],s,a))}}return new fi(a,l,u,c,h)}}class mi{constructor(e,t,n){this.shouldComputeCharChanges=n.shouldComputeCharChanges,this.shouldPostProcessCharChanges=n.shouldPostProcessCharChanges,this.shouldIgnoreTrimWhitespace=n.shouldIgnoreTrimWhitespace,this.shouldMakePrettyDiff=n.shouldMakePrettyDiff,this.originalLines=e,this.modifiedLines=t,this.original=new ci(e),this.modified=new ci(t),this.continueLineDiff=bi(n.maxComputationTime),this.continueCharDiff=bi(0===n.maxComputationTime?0:Math.min(n.maxComputationTime,5e3))}computeDiff(){if(1===this.original.lines.length&&0===this.original.lines[0].length)return 1===this.modified.lines.length&&0===this.modified.lines[0].length?{quitEarly:!1,changes:[]}:{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.modified.lines.length,charChanges:void 0}]};if(1===this.modified.lines.length&&0===this.modified.lines[0].length)return{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:this.original.lines.length,modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:void 0}]};const e=ui(this.original,this.modified,this.continueLineDiff,this.shouldMakePrettyDiff),t=e.changes,n=e.quitEarly;if(this.shouldIgnoreTrimWhitespace){const e=[];for(let n=0,r=t.length;n<r;n++)e.push(fi.createFromDiffResult(this.shouldIgnoreTrimWhitespace,t[n],this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges));return{quitEarly:n,changes:e}}const r=[];let i=0,s=0;for(let e=-1,n=t.length;e<n;e++){const o=e+1<n?t[e+1]:null,a=o?o.originalStart:this.originalLines.length,l=o?o.modifiedStart:this.modifiedLines.length;for(;i<a&&s<l;){const e=this.originalLines[i],t=this.modifiedLines[s];if(e!==t){{let n=gi(e,1),o=gi(t,1);for(;n>1&&o>1;){if(e.charCodeAt(n-2)!==t.charCodeAt(o-2))break;n--,o--}(n>1||o>1)&&this._pushTrimWhitespaceCharChange(r,i+1,1,n,s+1,1,o)}{let n=pi(e,1),o=pi(t,1);const a=e.length+1,l=t.length+1;for(;n<a&&o<l;){if(e.charCodeAt(n-1)!==e.charCodeAt(o-1))break;n++,o++}(n<a||o<l)&&this._pushTrimWhitespaceCharChange(r,i+1,n,a,s+1,o,l)}}i++,s++}o&&(r.push(fi.createFromDiffResult(this.shouldIgnoreTrimWhitespace,o,this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges)),i+=o.originalLength,s+=o.modifiedLength)}return{quitEarly:n,changes:r}}_pushTrimWhitespaceCharChange(e,t,n,r,i,s,o){if(this._mergeTrimWhitespaceCharChange(e,t,n,r,i,s,o))return;let a;this.shouldComputeCharChanges&&(a=[new di(t,n,t,r,i,s,i,o)]),e.push(new fi(t,t,i,i,a))}_mergeTrimWhitespaceCharChange(e,t,n,r,i,s,o){const a=e.length;if(0===a)return!1;const l=e[a-1];return 0!==l.originalEndLineNumber&&0!==l.modifiedEndLineNumber&&(l.originalEndLineNumber===t&&l.modifiedEndLineNumber===i?(this.shouldComputeCharChanges&&l.charChanges&&l.charChanges.push(new di(t,n,t,r,i,s,i,o)),!0):l.originalEndLineNumber+1===t&&l.modifiedEndLineNumber+1===i&&(l.originalEndLineNumber=t,l.modifiedEndLineNumber=i,this.shouldComputeCharChanges&&l.charChanges&&l.charChanges.push(new di(t,n,t,r,i,s,i,o)),!0))}}function gi(e,t){const n=function(e){for(let t=0,n=e.length;t<n;t++){const n=e.charCodeAt(t);if(32!==n&&9!==n)return t}return-1}(e);return-1===n?t:n+1}function pi(e,t){const n=function(e,t=e.length-1){for(let n=t;n>=0;n--){const t=e.charCodeAt(n);if(32!==t&&9!==t)return n}return-1}(e);return-1===n?t:n+2}function bi(e){if(0===e)return()=>!0;const t=Date.now();return()=>Date.now()-t<e}class yi{static trivial(e,t){return new yi([new vi(Xr.ofLength(e.length),Xr.ofLength(t.length))],!1)}static trivialTimedOut(e,t){return new yi([new vi(Xr.ofLength(e.length),Xr.ofLength(t.length))],!0)}constructor(e,t){this.diffs=e,this.hitTimeout=t}}class vi{static invert(e,t){const n=[];return function(e,t){for(let n=0;n<=e.length;n++)t(0===n?void 0:e[n-1],n===e.length?void 0:e[n])}(e,((e,r)=>{n.push(vi.fromOffsetPairs(e?e.getEndExclusives():_i.zero,r?r.getStarts():new _i(t,(e?e.seq2Range.endExclusive-e.seq1Range.endExclusive:0)+t)))})),n}static fromOffsetPairs(e,t){return new vi(new Xr(e.offset1,t.offset1),new Xr(e.offset2,t.offset2))}constructor(e,t){this.seq1Range=e,this.seq2Range=t}swap(){return new vi(this.seq2Range,this.seq1Range)}toString(){return`${this.seq1Range} <-> ${this.seq2Range}`}join(e){return new vi(this.seq1Range.join(e.seq1Range),this.seq2Range.join(e.seq2Range))}delta(e){return 0===e?this:new vi(this.seq1Range.delta(e),this.seq2Range.delta(e))}deltaStart(e){return 0===e?this:new vi(this.seq1Range.deltaStart(e),this.seq2Range.deltaStart(e))}deltaEnd(e){return 0===e?this:new vi(this.seq1Range.deltaEnd(e),this.seq2Range.deltaEnd(e))}intersect(e){const t=this.seq1Range.intersect(e.seq1Range),n=this.seq2Range.intersect(e.seq2Range);if(t&&n)return new vi(t,n)}getStarts(){return new _i(this.seq1Range.start,this.seq2Range.start)}getEndExclusives(){return new _i(this.seq1Range.endExclusive,this.seq2Range.endExclusive)}}class _i{constructor(e,t){this.offset1=e,this.offset2=t}toString(){return`${this.offset1} <-> ${this.offset2}`}delta(e){return 0===e?this:new _i(this.offset1+e,this.offset2+e)}equals(e){return this.offset1===e.offset1&&this.offset2===e.offset2}}_i.zero=new _i(0,0),_i.max=new _i(Number.MAX_SAFE_INTEGER,Number.MAX_SAFE_INTEGER);class Ci{isValid(){return!0}}Ci.instance=new Ci;class Si{constructor(e){if(this.timeout=e,this.startTime=Date.now(),this.valid=!0,e<=0)throw new a("timeout must be positive")}isValid(){return!(Date.now()-this.startTime<this.timeout)&&this.valid&&(this.valid=!1),this.valid}}class wi{constructor(e,t){this.width=e,this.height=t,this.array=[],this.array=new Array(e*t)}get(e,t){return this.array[e+t*this.width]}set(e,t,n){this.array[e+t*this.width]=n}}function Li(e){return 32===e||9===e}class Ni{static getKey(e){let t=this.chrKeys.get(e);return void 0===t&&(t=this.chrKeys.size,this.chrKeys.set(e,t)),t}constructor(e,t,n){this.range=e,this.lines=t,this.source=n,this.histogram=[];let r=0;for(let n=e.startLineNumber-1;n<e.endLineNumberExclusive-1;n++){const e=t[n];for(let t=0;t<e.length;t++){r++;const n=e[t],i=Ni.getKey(n);this.histogram[i]=(this.histogram[i]||0)+1}r++;const i=Ni.getKey("\n");this.histogram[i]=(this.histogram[i]||0)+1}this.totalCount=r}computeSimilarity(e){var t,n;let r=0;const i=Math.max(this.histogram.length,e.histogram.length);for(let s=0;s<i;s++)r+=Math.abs((null!==(t=this.histogram[s])&&void 0!==t?t:0)-(null!==(n=e.histogram[s])&&void 0!==n?n:0));return 1-r/(this.totalCount+e.totalCount)}}Ni.chrKeys=new Map;class xi{compute(e,t,n=Ci.instance,r){if(0===e.length||0===t.length)return yi.trivial(e,t);const i=new wi(e.length,t.length),s=new wi(e.length,t.length),o=new wi(e.length,t.length);for(let a=0;a<e.length;a++)for(let l=0;l<t.length;l++){if(!n.isValid())return yi.trivialTimedOut(e,t);const u=0===a?0:i.get(a-1,l),c=0===l?0:i.get(a,l-1);let h;e.getElement(a)===t.getElement(l)?(h=0===a||0===l?0:i.get(a-1,l-1),a>0&&l>0&&3===s.get(a-1,l-1)&&(h+=o.get(a-1,l-1)),h+=r?r(a,l):1):h=-1;const d=Math.max(u,c,h);if(d===h){const e=a>0&&l>0?o.get(a-1,l-1):0;o.set(a,l,e+1),s.set(a,l,3)}else d===u?(o.set(a,l,0),s.set(a,l,1)):d===c&&(o.set(a,l,0),s.set(a,l,2));i.set(a,l,d)}const a=[];let l=e.length,u=t.length;function c(e,t){e+1===l&&t+1===u||a.push(new vi(new Xr(e+1,l),new Xr(t+1,u))),l=e,u=t}let h=e.length-1,d=t.length-1;for(;h>=0&&d>=0;)3===s.get(h,d)?(c(h,d),h--,d--):1===s.get(h,d)?h--:d--;return c(-1,-1),a.reverse(),new yi(a,!1)}}class Ei{compute(e,t,n=Ci.instance){if(0===e.length||0===t.length)return yi.trivial(e,t);const r=e,i=t;function s(e,t){for(;e<r.length&&t<i.length&&r.getElement(e)===i.getElement(t);)e++,t++;return e}let o=0;const a=new ki;a.set(0,s(0,0));const l=new Ri;l.set(0,0===a.get(0)?null:new Ai(null,0,0,a.get(0)));let u=0;e:for(;;){if(o++,!n.isValid())return yi.trivialTimedOut(r,i);const e=-Math.min(o,i.length+o%2),t=Math.min(o,r.length+o%2);for(u=e;u<=t;u+=2){let n=0;const o=u===t?-1:a.get(u+1),c=u===e?-1:a.get(u-1)+1;n++;const h=Math.min(Math.max(o,c),r.length),d=h-u;if(n++,h>r.length||d>i.length)continue;const f=s(h,d);a.set(u,f);const m=h===o?l.get(u+1):l.get(u-1);if(l.set(u,f!==h?new Ai(m,h,d,f-h):m),a.get(u)===r.length&&a.get(u)-u===i.length)break e}}let c=l.get(u);const h=[];let d=r.length,f=i.length;for(;;){const e=c?c.x+c.length:0,t=c?c.y+c.length:0;if(e===d&&t===f||h.push(new vi(new Xr(e,d),new Xr(t,f))),!c)break;d=c.x,f=c.y,c=c.prev}return h.reverse(),new yi(h,!1)}}class Ai{constructor(e,t,n,r){this.prev=e,this.x=t,this.y=n,this.length=r}}class ki{constructor(){this.positiveArr=new Int32Array(10),this.negativeArr=new Int32Array(10)}get(e){return e<0?(e=-e-1,this.negativeArr[e]):this.positiveArr[e]}set(e,t){if(e<0){if((e=-e-1)>=this.negativeArr.length){const e=this.negativeArr;this.negativeArr=new Int32Array(2*e.length),this.negativeArr.set(e)}this.negativeArr[e]=t}else{if(e>=this.positiveArr.length){const e=this.positiveArr;this.positiveArr=new Int32Array(2*e.length),this.positiveArr.set(e)}this.positiveArr[e]=t}}}class Ri{constructor(){this.positiveArr=[],this.negativeArr=[]}get(e){return e<0?(e=-e-1,this.negativeArr[e]):this.positiveArr[e]}set(e,t){e<0?(e=-e-1,this.negativeArr[e]=t):this.positiveArr[e]=t}}class Ti{constructor(e,t,n){this.lines=e,this.considerWhitespaceChanges=n,this.elements=[],this.firstCharOffsetByLine=[],this.additionalOffsetByLine=[];let r=!1;t.start>0&&t.endExclusive>=e.length&&(t=new Xr(t.start-1,t.endExclusive),r=!0),this.lineRange=t,this.firstCharOffsetByLine[0]=0;for(let t=this.lineRange.start;t<this.lineRange.endExclusive;t++){let i=e[t],s=0;if(r)s=i.length,i="",r=!1;else if(!n){const e=i.trimStart();s=i.length-e.length,i=e.trimEnd()}this.additionalOffsetByLine.push(s);for(let e=0;e<i.length;e++)this.elements.push(i.charCodeAt(e));t<e.length-1&&(this.elements.push("\n".charCodeAt(0)),this.firstCharOffsetByLine[t-this.lineRange.start+1]=this.elements.length)}this.additionalOffsetByLine.push(0)}toString(){return`Slice: "${this.text}"`}get text(){return this.getText(new Xr(0,this.length))}getText(e){return this.elements.slice(e.start,e.endExclusive).map((e=>String.fromCharCode(e))).join("")}getElement(e){return this.elements[e]}get length(){return this.elements.length}getBoundaryScore(e){const t=Pi(e>0?this.elements[e-1]:-1),n=Pi(e<this.elements.length?this.elements[e]:-1);if(7===t&&8===n)return 0;if(8===t)return 150;let r=0;return t!==n&&(r+=10,0===t&&1===n&&(r+=1)),r+=Ii(t),r+=Ii(n),r}translateOffset(e){if(this.lineRange.isEmpty)return new Tt(this.lineRange.start+1,1);const t=Zr(this.firstCharOffsetByLine,(t=>t<=e));return new Tt(this.lineRange.start+t+1,e-this.firstCharOffsetByLine[t]+this.additionalOffsetByLine[t]+1)}translateRange(e){return Mt.fromPositions(this.translateOffset(e.start),this.translateOffset(e.endExclusive))}findWordContaining(e){if(e<0||e>=this.elements.length)return;if(!Mi(this.elements[e]))return;let t=e;for(;t>0&&Mi(this.elements[t-1]);)t--;let n=e;for(;n<this.elements.length&&Mi(this.elements[n]);)n++;return new Xr(t,n)}countLinesIn(e){return this.translateOffset(e.endExclusive).lineNumber-this.translateOffset(e.start).lineNumber}isStronglyEqual(e,t){return this.elements[e]===this.elements[t]}extendToFullLines(e){var t,n;const r=null!==(t=Qr(this.firstCharOffsetByLine,(t=>t<=e.start)))&&void 0!==t?t:0,i=null!==(n=function(e,t){const n=Yr(e,t);return n===e.length?void 0:e[n]}(this.firstCharOffsetByLine,(t=>e.endExclusive<=t)))&&void 0!==n?n:this.elements.length;return new Xr(r,i)}}function Mi(e){return e>=97&&e<=122||e>=65&&e<=90||e>=48&&e<=57}const Oi={0:0,1:0,2:0,3:10,4:2,5:30,6:3,7:10,8:10};function Ii(e){return Oi[e]}function Pi(e){return 10===e?8:13===e?7:Li(e)?6:e>=97&&e<=122?0:e>=65&&e<=90?1:e>=48&&e<=57?2:-1===e?3:44===e||59===e?5:4}function Fi(e,t,n,r,i,s){let{moves:o,excludedChanges:a}=function(e,t,n,r){const i=[],s=e.filter((e=>e.modified.isEmpty&&e.original.length>=3)).map((e=>new Ni(e.original,t,e))),o=new Set(e.filter((e=>e.original.isEmpty&&e.modified.length>=3)).map((e=>new Ni(e.modified,n,e)))),a=new Set;for(const e of s){let t,n=-1;for(const r of o){const i=e.computeSimilarity(r);i>n&&(n=i,t=r)}if(n>.9&&t&&(o.delete(t),i.push(new si(e.range,t.range)),a.add(e.source),a.add(t.source)),!r.isValid())return{moves:i,excludedChanges:a}}return{moves:i,excludedChanges:a}}(e,t,n,s);if(!s.isValid())return[];const l=function(e,t,n,r,i,s){const o=[],a=new Fr;for(const n of e)for(let e=n.original.startLineNumber;e<n.original.endLineNumberExclusive-2;e++){const n=`${t[e-1]}:${t[e+1-1]}:${t[e+2-1]}`;a.add(n,{range:new ti(e,e+3)})}const l=[];e.sort(It((e=>e.modified.startLineNumber),Pt));for(const t of e){let e=[];for(let r=t.modified.startLineNumber;r<t.modified.endLineNumberExclusive-2;r++){const t=`${n[r-1]}:${n[r+1-1]}:${n[r+2-1]}`,i=new ti(r,r+3),s=[];a.forEach(t,(({range:t})=>{for(const n of e)if(n.originalLineRange.endLineNumberExclusive+1===t.endLineNumberExclusive&&n.modifiedLineRange.endLineNumberExclusive+1===i.endLineNumberExclusive)return n.originalLineRange=new ti(n.originalLineRange.startLineNumber,t.endLineNumberExclusive),n.modifiedLineRange=new ti(n.modifiedLineRange.startLineNumber,i.endLineNumberExclusive),void s.push(n);const n={modifiedLineRange:i,originalLineRange:t};l.push(n),s.push(n)})),e=s}if(!s.isValid())return[]}l.sort((u=It((e=>e.modifiedLineRange.length),Pt),(e,t)=>-u(e,t)));var u;const c=new ni,h=new ni;for(const e of l){const t=e.modifiedLineRange.startLineNumber-e.originalLineRange.startLineNumber,n=c.subtractFrom(e.modifiedLineRange),r=h.subtractFrom(e.originalLineRange).getWithDelta(t),i=n.getIntersection(r);for(const e of i.ranges){if(e.length<3)continue;const n=e,r=e.delta(-t);o.push(new si(r,n)),c.addRange(n),h.addRange(r)}}o.sort(It((e=>e.original.startLineNumber),Pt));const d=new ei(e);for(let t=0;t<o.length;t++){const n=o[t],a=d.findLastMonotonous((e=>e.original.startLineNumber<=n.original.startLineNumber)),l=Qr(e,(e=>e.modified.startLineNumber<=n.modified.startLineNumber)),u=Math.max(n.original.startLineNumber-a.original.startLineNumber,n.modified.startLineNumber-l.modified.startLineNumber),f=d.findLastMonotonous((e=>e.original.startLineNumber<n.original.endLineNumberExclusive)),m=Qr(e,(e=>e.modified.startLineNumber<n.modified.endLineNumberExclusive)),g=Math.max(f.original.endLineNumberExclusive-n.original.endLineNumberExclusive,m.modified.endLineNumberExclusive-n.modified.endLineNumberExclusive);let p,b;for(p=0;p<u;p++){const e=n.original.startLineNumber-p-1,t=n.modified.startLineNumber-p-1;if(e>r.length||t>i.length)break;if(c.contains(t)||h.contains(e))break;if(!Vi(r[e-1],i[t-1],s))break}for(p>0&&(h.addRange(new ti(n.original.startLineNumber-p,n.original.startLineNumber)),c.addRange(new ti(n.modified.startLineNumber-p,n.modified.startLineNumber))),b=0;b<g;b++){const e=n.original.endLineNumberExclusive+b,t=n.modified.endLineNumberExclusive+b;if(e>r.length||t>i.length)break;if(c.contains(t)||h.contains(e))break;if(!Vi(r[e-1],i[t-1],s))break}b>0&&(h.addRange(new ti(n.original.endLineNumberExclusive,n.original.endLineNumberExclusive+b)),c.addRange(new ti(n.modified.endLineNumberExclusive,n.modified.endLineNumberExclusive+b))),(p>0||b>0)&&(o[t]=new si(new ti(n.original.startLineNumber-p,n.original.endLineNumberExclusive+b),new ti(n.modified.startLineNumber-p,n.modified.endLineNumberExclusive+b)))}return o}(e.filter((e=>!a.has(e))),r,i,t,n,s);return function(e,t){for(const n of t)e.push(n)}(o,l),o=function(e){if(0===e.length)return e;e.sort(It((e=>e.original.startLineNumber),Pt));const t=[e[0]];for(let n=1;n<e.length;n++){const r=t[t.length-1],i=e[n],s=i.original.startLineNumber-r.original.endLineNumberExclusive,o=i.modified.startLineNumber-r.modified.endLineNumberExclusive;s>=0&&o>=0&&s+o<=2?t[t.length-1]=r.join(i):t.push(i)}return t}(o),o=o.filter((e=>{const n=e.original.toOffsetRange().slice(t).map((e=>e.trim()));return n.join("\n").length>=15&&function(e,t){let n=0;for(const r of e)t(r)&&n++;return n}(n,(e=>e.length>=2))>=2})),o=function(e,t){const n=new ei(e);return t=t.filter((t=>(n.findLastMonotonous((e=>e.original.startLineNumber<t.original.endLineNumberExclusive))||new si(new ti(1,1),new ti(1,1)))!==Qr(e,(e=>e.modified.startLineNumber<t.modified.endLineNumberExclusive)))),t}(e,o),o}function Vi(e,t,n){if(e.trim()===t.trim())return!0;if(e.length>300&&t.length>300)return!1;const r=(new Ei).compute(new Ti([e],new Xr(0,1),!1),new Ti([t],new Xr(0,1),!1),n);let i=0;const s=vi.invert(r.diffs,e.length);for(const t of s)t.seq1Range.forEach((t=>{Li(e.charCodeAt(t))||i++}));const o=function(t){let n=0;for(let r=0;r<e.length;r++)Li(t.charCodeAt(r))||n++;return n}(e.length>t.length?e:t);return i/o>.6&&o>10}function Di(e,t,n){let r=n;return r=qi(e,t,r),r=qi(e,t,r),r=function(e,t,n){if(!e.getBoundaryScore||!t.getBoundaryScore)return n;for(let r=0;r<n.length;r++){const i=r>0?n[r-1]:void 0,s=n[r],o=r+1<n.length?n[r+1]:void 0,a=new Xr(i?i.seq1Range.endExclusive+1:0,o?o.seq1Range.start-1:e.length),l=new Xr(i?i.seq2Range.endExclusive+1:0,o?o.seq2Range.start-1:t.length);s.seq1Range.isEmpty?n[r]=Ki(s,e,t,a,l):s.seq2Range.isEmpty&&(n[r]=Ki(s.swap(),t,e,l,a).swap())}return n}(e,t,r),r}function qi(e,t,n){if(0===n.length)return n;const r=[];r.push(n[0]);for(let i=1;i<n.length;i++){const s=r[r.length-1];let o=n[i];if(o.seq1Range.isEmpty||o.seq2Range.isEmpty){const n=o.seq1Range.start-s.seq1Range.endExclusive;let i;for(i=1;i<=n&&(e.getElement(o.seq1Range.start-i)===e.getElement(o.seq1Range.endExclusive-i)&&t.getElement(o.seq2Range.start-i)===t.getElement(o.seq2Range.endExclusive-i));i++);if(i--,i===n){r[r.length-1]=new vi(new Xr(s.seq1Range.start,o.seq1Range.endExclusive-n),new Xr(s.seq2Range.start,o.seq2Range.endExclusive-n));continue}o=o.delta(-i)}r.push(o)}const i=[];for(let n=0;n<r.length-1;n++){const s=r[n+1];let o=r[n];if(o.seq1Range.isEmpty||o.seq2Range.isEmpty){const i=s.seq1Range.start-o.seq1Range.endExclusive;let a;for(a=0;a<i&&(e.isStronglyEqual(o.seq1Range.start+a,o.seq1Range.endExclusive+a)&&t.isStronglyEqual(o.seq2Range.start+a,o.seq2Range.endExclusive+a));a++);if(a===i){r[n+1]=new vi(new Xr(o.seq1Range.start+i,s.seq1Range.endExclusive),new Xr(o.seq2Range.start+i,s.seq2Range.endExclusive));continue}a>0&&(o=o.delta(a))}i.push(o)}return r.length>0&&i.push(r[r.length-1]),i}function Ki(e,t,n,r,i){let s=1;for(;e.seq1Range.start-s>=r.start&&e.seq2Range.start-s>=i.start&&n.isStronglyEqual(e.seq2Range.start-s,e.seq2Range.endExclusive-s)&&s<100;)s++;s--;let o=0;for(;e.seq1Range.start+o<r.endExclusive&&e.seq2Range.endExclusive+o<i.endExclusive&&n.isStronglyEqual(e.seq2Range.start+o,e.seq2Range.endExclusive+o)&&o<100;)o++;if(0===s&&0===o)return e;let a=0,l=-1;for(let r=-s;r<=o;r++){const i=e.seq2Range.start+r,s=e.seq2Range.endExclusive+r,o=e.seq1Range.start+r,u=t.getBoundaryScore(o)+n.getBoundaryScore(i)+n.getBoundaryScore(s);u>l&&(l=u,a=r)}return e.delta(a)}class Ui{constructor(e,t){this.trimmedHash=e,this.lines=t}getElement(e){return this.trimmedHash[e]}get length(){return this.trimmedHash.length}getBoundaryScore(e){return 1e3-((0===e?0:Bi(this.lines[e-1]))+(e===this.lines.length?0:Bi(this.lines[e])))}getText(e){return this.lines.slice(e.start,e.endExclusive).join("\n")}isStronglyEqual(e,t){return this.lines[e]===this.lines[t]}}function Bi(e){let t=0;for(;t<e.length&&(32===e.charCodeAt(t)||9===e.charCodeAt(t));)t++;return t}class $i{constructor(){this.dynamicProgrammingDiffing=new xi,this.myersDiffingAlgorithm=new Ei}computeDiff(e,t,n){if(e.length<=1&&function(e,t,n=(e,t)=>e===t){if(e===t)return!0;if(!e||!t)return!1;if(e.length!==t.length)return!1;for(let r=0,i=e.length;r<i;r++)if(!n(e[r],t[r]))return!1;return!0}(e,t,((e,t)=>e===t)))return new Gr([],[],!1);if(1===e.length&&0===e[0].length||1===t.length&&0===t[0].length)return new Gr([new oi(new ti(1,e.length+1),new ti(1,t.length+1),[new ai(new Mt(1,1,e.length,e[e.length-1].length+1),new Mt(1,1,t.length,t[t.length-1].length+1))])],[],!1);const r=0===n.maxComputationTimeMs?Ci.instance:new Si(n.maxComputationTimeMs),i=!n.ignoreTrimWhitespace,s=new Map;function o(e){let t=s.get(e);return void 0===t&&(t=s.size,s.set(e,t)),t}const a=e.map((e=>o(e.trim()))),l=t.map((e=>o(e.trim()))),u=new Ui(a,e),c=new Ui(l,t),h=(()=>u.length+c.length<1700?this.dynamicProgrammingDiffing.compute(u,c,r,((n,r)=>e[n]===t[r]?0===t[r].length?.1:1+Math.log(1+t[r].length):.99)):this.myersDiffingAlgorithm.compute(u,c,r))();let d=h.diffs,f=h.hitTimeout;d=Di(u,c,d),d=function(e,t,n){let r=n;if(0===r.length)return r;let i,s=0;do{i=!1;const o=[r[0]];for(let a=1;a<r.length;a++){const l=r[a],u=o[o.length-1];function c(t,n){const r=new Xr(u.seq1Range.endExclusive,l.seq1Range.start);return e.getText(r).replace(/\s/g,"").length<=4&&(t.seq1Range.length+t.seq2Range.length>5||n.seq1Range.length+n.seq2Range.length>5)}c(u,l)?(i=!0,o[o.length-1]=o[o.length-1].join(l)):o.push(l)}r=o}while(s++<10&&i);return r}(u,0,d);const m=[],g=n=>{if(i)for(let s=0;s<n;s++){const n=p+s,o=b+s;if(e[n]!==t[o]){const s=this.refineDiff(e,t,new vi(new Xr(n,n+1),new Xr(o,o+1)),r,i);for(const e of s.mappings)m.push(e);s.hitTimeout&&(f=!0)}}};let p=0,b=0;for(const n of d){$r((()=>n.seq1Range.start-p==n.seq2Range.start-b));g(n.seq1Range.start-p),p=n.seq1Range.endExclusive,b=n.seq2Range.endExclusive;const s=this.refineDiff(e,t,n,r,i);s.hitTimeout&&(f=!0);for(const e of s.mappings)m.push(e)}g(e.length-p);const y=ji(m,e,t);let v=[];return n.computeMoves&&(v=this.computeMoves(y,e,t,a,l,r,i)),$r((()=>{function n(e,t){if(e.lineNumber<1||e.lineNumber>t.length)return!1;const n=t[e.lineNumber-1];return!(e.column<1||e.column>n.length+1)}function r(e,t){return!(e.startLineNumber<1||e.startLineNumber>t.length+1)&&!(e.endLineNumberExclusive<1||e.endLineNumberExclusive>t.length+1)}for(const i of y){if(!i.innerChanges)return!1;for(const r of i.innerChanges){if(!(n(r.modifiedRange.getStartPosition(),t)&&n(r.modifiedRange.getEndPosition(),t)&&n(r.originalRange.getStartPosition(),e)&&n(r.originalRange.getEndPosition(),e)))return!1}if(!r(i.modified,t)||!r(i.original,e))return!1}return!0})),new Gr(y,v,f)}computeMoves(e,t,n,r,i,s,o){return Fi(e,t,n,r,i,s).map((e=>{const r=ji(this.refineDiff(t,n,new vi(e.original.toOffsetRange(),e.modified.toOffsetRange()),s,o).mappings,t,n,!0);return new Jr(e,r)}))}refineDiff(e,t,n,r,i){const s=new Ti(e,n.seq1Range,i),o=new Ti(t,n.seq2Range,i),a=s.length+o.length<500?this.dynamicProgrammingDiffing.compute(s,o,r):this.myersDiffingAlgorithm.compute(s,o,r);let l=a.diffs;l=Di(s,o,l),l=function(e,t,n){const r=vi.invert(n,e.length),i=[];let s=new _i(0,0);function o(n,o){if(n.offset1<s.offset1||n.offset2<s.offset2)return;const a=e.findWordContaining(n.offset1),l=t.findWordContaining(n.offset2);if(!a||!l)return;let u=new vi(a,l);const c=u.intersect(o);let h=c.seq1Range.length,d=c.seq2Range.length;for(;r.length>0;){const n=r[0];if(!n.seq1Range.intersects(u.seq1Range)&&!n.seq2Range.intersects(u.seq2Range))break;const i=e.findWordContaining(n.seq1Range.start),s=t.findWordContaining(n.seq2Range.start),o=new vi(i,s),a=o.intersect(n);if(h+=a.seq1Range.length,d+=a.seq2Range.length,u=u.join(o),!(u.seq1Range.endExclusive>=n.seq1Range.endExclusive))break;r.shift()}h+d<2*(u.seq1Range.length+u.seq2Range.length)/3&&i.push(u),s=u.getEndExclusives()}for(;r.length>0;){const e=r.shift();e.seq1Range.isEmpty||(o(e.getStarts(),e),o(e.getEndExclusives().delta(-1),e))}return function(e,t){const n=[];for(;e.length>0||t.length>0;){const r=e[0],i=t[0];let s;s=r&&(!i||r.seq1Range.start<i.seq1Range.start)?e.shift():t.shift(),n.length>0&&n[n.length-1].seq1Range.endExclusive>=s.seq1Range.start?n[n.length-1]=n[n.length-1].join(s):n.push(s)}return n}(n,i)}(s,o,l),l=function(e,t,n){const r=[];for(const e of n){const t=r[r.length-1];t&&(e.seq1Range.start-t.seq1Range.endExclusive<=2||e.seq2Range.start-t.seq2Range.endExclusive<=2)?r[r.length-1]=new vi(t.seq1Range.join(e.seq1Range),t.seq2Range.join(e.seq2Range)):r.push(e)}return r}(0,0,l),l=function(e,t,n){let r=n;if(0===r.length)return r;let i,s=0;do{i=!1;const a=[r[0]];for(let l=1;l<r.length;l++){const u=r[l],c=a[a.length-1];function h(n,r){const i=new Xr(c.seq1Range.endExclusive,u.seq1Range.start);if(e.countLinesIn(i)>5||i.length>500)return!1;const s=e.getText(i).trim();if(s.length>20||s.split(/\r\n|\r|\n/).length>1)return!1;const o=e.countLinesIn(n.seq1Range),a=n.seq1Range.length,l=t.countLinesIn(n.seq2Range),h=n.seq2Range.length,d=e.countLinesIn(r.seq1Range),f=r.seq1Range.length,m=t.countLinesIn(r.seq2Range),g=r.seq2Range.length;function p(e){return Math.min(e,130)}return Math.pow(Math.pow(p(40*o+a),1.5)+Math.pow(p(40*l+h),1.5),1.5)+Math.pow(Math.pow(p(40*d+f),1.5)+Math.pow(p(40*m+g),1.5),1.5)>74184.96480721243}h(c,u)?(i=!0,a[a.length-1]=a[a.length-1].join(u)):a.push(u)}r=a}while(s++<10&&i);const o=[];return function(e,t){for(let n=0;n<e.length;n++)t(0===n?void 0:e[n-1],e[n],n+1===e.length?void 0:e[n+1])}(r,((t,n,r)=>{let i=n;function s(e){return e.length>0&&e.trim().length<=3&&n.seq1Range.length+n.seq2Range.length>100}const a=e.extendToFullLines(n.seq1Range),l=e.getText(new Xr(a.start,n.seq1Range.start));s(l)&&(i=i.deltaStart(-l.length));const u=e.getText(new Xr(n.seq1Range.endExclusive,a.endExclusive));s(u)&&(i=i.deltaEnd(u.length));const c=vi.fromOffsetPairs(t?t.getEndExclusives():_i.zero,r?r.getStarts():_i.max),h=i.intersect(c);o.length>0&&h.getStarts().equals(o[o.length-1].getEndExclusives())?o[o.length-1]=o[o.length-1].join(h):o.push(h)})),o}(s,o,l);return{mappings:l.map((e=>new ai(s.translateRange(e.seq1Range),o.translateRange(e.seq2Range)))),hitTimeout:a.hitTimeout}}}function ji(e,t,n,r=!1){const i=[];for(const r of function*(e,t){let n,r;for(const i of e)void 0!==r&&t(r,i)?n.push(i):(n&&(yield n),n=[i]),r=i;n&&(yield n)}(e.map((e=>function(e,t,n){let r=0,i=0;1===e.modifiedRange.endColumn&&1===e.originalRange.endColumn&&e.originalRange.startLineNumber+r<=e.originalRange.endLineNumber&&e.modifiedRange.startLineNumber+r<=e.modifiedRange.endLineNumber&&(i=-1);e.modifiedRange.startColumn-1>=n[e.modifiedRange.startLineNumber-1].length&&e.originalRange.startColumn-1>=t[e.originalRange.startLineNumber-1].length&&e.originalRange.startLineNumber<=e.originalRange.endLineNumber+i&&e.modifiedRange.startLineNumber<=e.modifiedRange.endLineNumber+i&&(r=1);const s=new ti(e.originalRange.startLineNumber+r,e.originalRange.endLineNumber+1+i),o=new ti(e.modifiedRange.startLineNumber+r,e.modifiedRange.endLineNumber+1+i);return new oi(s,o,[e])}(e,t,n))),((e,t)=>e.original.overlapOrTouch(t.original)||e.modified.overlapOrTouch(t.modified)))){const e=r[0],t=r[r.length-1];i.push(new oi(e.original.join(t.original),e.modified.join(t.modified),r.map((e=>e.innerChanges[0]))))}return $r((()=>{if(!r&&i.length>0){if(i[0].modified.startLineNumber!==i[0].original.startLineNumber)return!1;if(n.length-i[i.length-1].modified.endLineNumberExclusive!=t.length-i[i.length-1].original.endLineNumberExclusive)return!1}return jr(i,((e,t)=>t.original.startLineNumber-e.original.endLineNumberExclusive==t.modified.startLineNumber-e.modified.endLineNumberExclusive&&e.original.endLineNumberExclusive<t.original.startLineNumber&&e.modified.endLineNumberExclusive<t.modified.startLineNumber))})),i}const Wi=()=>new li,zi=()=>new $i;function Hi(e,t){const n=Math.pow(10,t);return Math.round(e*n)/n}class Gi{constructor(e,t,n,r=1){this._rgbaBrand=void 0,this.r=0|Math.min(255,Math.max(0,e)),this.g=0|Math.min(255,Math.max(0,t)),this.b=0|Math.min(255,Math.max(0,n)),this.a=Hi(Math.max(Math.min(1,r),0),3)}static equals(e,t){return e.r===t.r&&e.g===t.g&&e.b===t.b&&e.a===t.a}}class Ji{constructor(e,t,n,r){this._hslaBrand=void 0,this.h=0|Math.max(Math.min(360,e),0),this.s=Hi(Math.max(Math.min(1,t),0),3),this.l=Hi(Math.max(Math.min(1,n),0),3),this.a=Hi(Math.max(Math.min(1,r),0),3)}static equals(e,t){return e.h===t.h&&e.s===t.s&&e.l===t.l&&e.a===t.a}static fromRGBA(e){const t=e.r/255,n=e.g/255,r=e.b/255,i=e.a,s=Math.max(t,n,r),o=Math.min(t,n,r);let a=0,l=0;const u=(o+s)/2,c=s-o;if(c>0){switch(l=Math.min(u<=.5?c/(2*u):c/(2-2*u),1),s){case t:a=(n-r)/c+(n<r?6:0);break;case n:a=(r-t)/c+2;break;case r:a=(t-n)/c+4}a*=60,a=Math.round(a)}return new Ji(a,l,u,i)}static _hue2rgb(e,t,n){return n<0&&(n+=1),n>1&&(n-=1),n<1/6?e+6*(t-e)*n:n<.5?t:n<2/3?e+(t-e)*(2/3-n)*6:e}static toRGBA(e){const t=e.h/360,{s:n,l:r,a:i}=e;let s,o,a;if(0===n)s=o=a=r;else{const e=r<.5?r*(1+n):r+n-r*n,i=2*r-e;s=Ji._hue2rgb(i,e,t+1/3),o=Ji._hue2rgb(i,e,t),a=Ji._hue2rgb(i,e,t-1/3)}return new Gi(Math.round(255*s),Math.round(255*o),Math.round(255*a),i)}}class Xi{constructor(e,t,n,r){this._hsvaBrand=void 0,this.h=0|Math.max(Math.min(360,e),0),this.s=Hi(Math.max(Math.min(1,t),0),3),this.v=Hi(Math.max(Math.min(1,n),0),3),this.a=Hi(Math.max(Math.min(1,r),0),3)}static equals(e,t){return e.h===t.h&&e.s===t.s&&e.v===t.v&&e.a===t.a}static fromRGBA(e){const t=e.r/255,n=e.g/255,r=e.b/255,i=Math.max(t,n,r),s=i-Math.min(t,n,r),o=0===i?0:s/i;let a;return a=0===s?0:i===t?((n-r)/s%6+6)%6:i===n?(r-t)/s+2:(t-n)/s+4,new Xi(Math.round(60*a),o,i,e.a)}static toRGBA(e){const{h:t,s:n,v:r,a:i}=e,s=r*n,o=s*(1-Math.abs(t/60%2-1)),a=r-s;let[l,u,c]=[0,0,0];return t<60?(l=s,u=o):t<120?(l=o,u=s):t<180?(u=s,c=o):t<240?(u=o,c=s):t<300?(l=o,c=s):t<=360&&(l=s,c=o),l=Math.round(255*(l+a)),u=Math.round(255*(u+a)),c=Math.round(255*(c+a)),new Gi(l,u,c,i)}}class Qi{static fromHex(e){return Qi.Format.CSS.parseHex(e)||Qi.red}static equals(e,t){return!e&&!t||!(!e||!t)&&e.equals(t)}get hsla(){return this._hsla?this._hsla:Ji.fromRGBA(this.rgba)}get hsva(){return this._hsva?this._hsva:Xi.fromRGBA(this.rgba)}constructor(e){if(!e)throw new Error("Color needs a value");if(e instanceof Gi)this.rgba=e;else if(e instanceof Ji)this._hsla=e,this.rgba=Ji.toRGBA(e);else{if(!(e instanceof Xi))throw new Error("Invalid color ctor argument");this._hsva=e,this.rgba=Xi.toRGBA(e)}}equals(e){return!!e&&Gi.equals(this.rgba,e.rgba)&&Ji.equals(this.hsla,e.hsla)&&Xi.equals(this.hsva,e.hsva)}getRelativeLuminance(){return Hi(.2126*Qi._relativeLuminanceForComponent(this.rgba.r)+.7152*Qi._relativeLuminanceForComponent(this.rgba.g)+.0722*Qi._relativeLuminanceForComponent(this.rgba.b),4)}static _relativeLuminanceForComponent(e){const t=e/255;return t<=.03928?t/12.92:Math.pow((t+.055)/1.055,2.4)}isLighter(){return(299*this.rgba.r+587*this.rgba.g+114*this.rgba.b)/1e3>=128}isLighterThan(e){return this.getRelativeLuminance()>e.getRelativeLuminance()}isDarkerThan(e){return this.getRelativeLuminance()<e.getRelativeLuminance()}lighten(e){return new Qi(new Ji(this.hsla.h,this.hsla.s,this.hsla.l+this.hsla.l*e,this.hsla.a))}darken(e){return new Qi(new Ji(this.hsla.h,this.hsla.s,this.hsla.l-this.hsla.l*e,this.hsla.a))}transparent(e){const{r:t,g:n,b:r,a:i}=this.rgba;return new Qi(new Gi(t,n,r,i*e))}isTransparent(){return 0===this.rgba.a}isOpaque(){return 1===this.rgba.a}opposite(){return new Qi(new Gi(255-this.rgba.r,255-this.rgba.g,255-this.rgba.b,this.rgba.a))}makeOpaque(e){if(this.isOpaque()||1!==e.rgba.a)return this;const{r:t,g:n,b:r,a:i}=this.rgba;return new Qi(new Gi(e.rgba.r-i*(e.rgba.r-t),e.rgba.g-i*(e.rgba.g-n),e.rgba.b-i*(e.rgba.b-r),1))}toString(){return this._toString||(this._toString=Qi.Format.CSS.format(this)),this._toString}static getLighterColor(e,t,n){if(e.isLighterThan(t))return e;n=n||.5;const r=e.getRelativeLuminance(),i=t.getRelativeLuminance();return n=n*(i-r)/i,e.lighten(n)}static getDarkerColor(e,t,n){if(e.isDarkerThan(t))return e;n=n||.5;const r=e.getRelativeLuminance();return n=n*(r-t.getRelativeLuminance())/r,e.darken(n)}}function Zi(e){const t=[];for(const n of e){const e=Number(n);(e||0===e&&""!==n.replace(/\s/g,""))&&t.push(e)}return t}function Yi(e,t,n,r){return{red:e/255,blue:n/255,green:t/255,alpha:r}}function es(e,t){const n=t.index,r=t[0].length;if(!n)return;const i=e.positionAt(n);return{startLineNumber:i.lineNumber,startColumn:i.column,endLineNumber:i.lineNumber,endColumn:i.column+r}}function ts(e,t){if(!e)return;const n=Qi.Format.CSS.parseHex(t);return n?{range:e,color:Yi(n.rgba.r,n.rgba.g,n.rgba.b,n.rgba.a)}:void 0}function ns(e,t,n){if(!e||1!==t.length)return;const r=Zi(t[0].values());return{range:e,color:Yi(r[0],r[1],r[2],n?r[3]:1)}}function rs(e,t,n){if(!e||1!==t.length)return;const r=Zi(t[0].values()),i=new Qi(new Ji(r[0],r[1]/100,r[2]/100,n?r[3]:1));return{range:e,color:Yi(i.rgba.r,i.rgba.g,i.rgba.b,i.rgba.a)}}function is(e,t){return"string"==typeof e?[...e.matchAll(t)]:e.findMatches(t)}function ss(e){return e&&"function"==typeof e.getValue&&"function"==typeof e.positionAt?function(e){const t=[],n=is(e,/\b(rgb|rgba|hsl|hsla)(\([0-9\s,.\%]*\))|(#)([A-Fa-f0-9]{3})\b|(#)([A-Fa-f0-9]{4})\b|(#)([A-Fa-f0-9]{6})\b|(#)([A-Fa-f0-9]{8})\b/gm);if(n.length>0)for(const r of n){const n=r.filter((e=>void 0!==e)),i=n[1],s=n[2];if(!s)continue;let o;if("rgb"===i){const t=/^\(\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*\)$/gm;o=ns(es(e,r),is(s,t),!1)}else if("rgba"===i){const t=/^\(\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(0[.][0-9]+|[.][0-9]+|[01][.]|[01])\s*\)$/gm;o=ns(es(e,r),is(s,t),!0)}else if("hsl"===i){const t=/^\(\s*(36[0]|3[0-5][0-9]|[12][0-9][0-9]|[1-9]?[0-9])\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*\)$/gm;o=rs(es(e,r),is(s,t),!1)}else if("hsla"===i){const t=/^\(\s*(36[0]|3[0-5][0-9]|[12][0-9][0-9]|[1-9]?[0-9])\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*,\s*(0[.][0-9]+|[.][0-9]+|[01][.]|[01])\s*\)$/gm;o=rs(es(e,r),is(s,t),!0)}else"#"===i&&(o=ts(es(e,r),i+s));o&&t.push(o)}return t}(e):[]}Qi.white=new Qi(new Gi(255,255,255,1)),Qi.black=new Qi(new Gi(0,0,0,1)),Qi.red=new Qi(new Gi(255,0,0,1)),Qi.blue=new Qi(new Gi(0,0,255,1)),Qi.green=new Qi(new Gi(0,255,0,1)),Qi.cyan=new Qi(new Gi(0,255,255,1)),Qi.lightgrey=new Qi(new Gi(211,211,211,1)),Qi.transparent=new Qi(new Gi(0,0,0,0)),function(e){let t;!function(t){let n;!function(t){function n(e){const t=e.toString(16);return 2!==t.length?"0"+t:t}function r(e){switch(e){case 48:return 0;case 49:return 1;case 50:return 2;case 51:return 3;case 52:return 4;case 53:return 5;case 54:return 6;case 55:return 7;case 56:return 8;case 57:return 9;case 97:case 65:return 10;case 98:case 66:return 11;case 99:case 67:return 12;case 100:case 68:return 13;case 101:case 69:return 14;case 102:case 70:return 15}return 0}t.formatRGB=function(t){return 1===t.rgba.a?`rgb(${t.rgba.r}, ${t.rgba.g}, ${t.rgba.b})`:e.Format.CSS.formatRGBA(t)},t.formatRGBA=function(e){return`rgba(${e.rgba.r}, ${e.rgba.g}, ${e.rgba.b}, ${+e.rgba.a.toFixed(2)})`},t.formatHSL=function(t){return 1===t.hsla.a?`hsl(${t.hsla.h}, ${(100*t.hsla.s).toFixed(2)}%, ${(100*t.hsla.l).toFixed(2)}%)`:e.Format.CSS.formatHSLA(t)},t.formatHSLA=function(e){return`hsla(${e.hsla.h}, ${(100*e.hsla.s).toFixed(2)}%, ${(100*e.hsla.l).toFixed(2)}%, ${e.hsla.a.toFixed(2)})`},t.formatHex=function(e){return`#${n(e.rgba.r)}${n(e.rgba.g)}${n(e.rgba.b)}`},t.formatHexA=function(t,r=!1){return r&&1===t.rgba.a?e.Format.CSS.formatHex(t):`#${n(t.rgba.r)}${n(t.rgba.g)}${n(t.rgba.b)}${n(Math.round(255*t.rgba.a))}`},t.format=function(t){return t.isOpaque()?e.Format.CSS.formatHex(t):e.Format.CSS.formatRGBA(t)},t.parseHex=function(t){const n=t.length;if(0===n)return null;if(35!==t.charCodeAt(0))return null;if(7===n){const n=16*r(t.charCodeAt(1))+r(t.charCodeAt(2)),i=16*r(t.charCodeAt(3))+r(t.charCodeAt(4)),s=16*r(t.charCodeAt(5))+r(t.charCodeAt(6));return new e(new Gi(n,i,s,1))}if(9===n){const n=16*r(t.charCodeAt(1))+r(t.charCodeAt(2)),i=16*r(t.charCodeAt(3))+r(t.charCodeAt(4)),s=16*r(t.charCodeAt(5))+r(t.charCodeAt(6)),o=16*r(t.charCodeAt(7))+r(t.charCodeAt(8));return new e(new Gi(n,i,s,o/255))}if(4===n){const n=r(t.charCodeAt(1)),i=r(t.charCodeAt(2)),s=r(t.charCodeAt(3));return new e(new Gi(16*n+n,16*i+i,16*s+s))}if(5===n){const n=r(t.charCodeAt(1)),i=r(t.charCodeAt(2)),s=r(t.charCodeAt(3)),o=r(t.charCodeAt(4));return new e(new Gi(16*n+n,16*i+i,16*s+s,(16*o+o)/255))}return null}}(n=t.CSS||(t.CSS={}))}(t=e.Format||(e.Format={}))}(Qi||(Qi={}));const os=new RegExp("\\bMARK:\\s*(.*)$","d"),as=/^-+|-+$/g;function ls(e,t){var n;let r=[];if(t.findRegionSectionHeaders&&(null===(n=t.foldingRules)||void 0===n?void 0:n.markers)){const n=function(e,t){const n=[],r=e.getLineCount();for(let i=1;i<=r;i++){const r=e.getLineContent(i),s=r.match(t.foldingRules.markers.start);if(s){const e={startLineNumber:i,startColumn:s[0].length+1,endLineNumber:i,endColumn:r.length+1};if(e.endColumn>e.startColumn){const t={range:e,...cs(r.substring(s[0].length)),shouldBeInComments:!1};(t.text||t.hasSeparatorLine)&&n.push(t)}}}return n}(e,t);r=r.concat(n)}if(t.findMarkSectionHeaders){const t=function(e){const t=[],n=e.getLineCount();for(let r=1;r<=n;r++){us(e.getLineContent(r),r,t)}return t}(e);r=r.concat(t)}return r}function us(e,t,n){os.lastIndex=0;const r=os.exec(e);if(r){const e={startLineNumber:t,startColumn:r.indices[1][0]+1,endLineNumber:t,endColumn:r.indices[1][1]+1};if(e.endColumn>e.startColumn){const t={range:e,...cs(r[1]),shouldBeInComments:!0};(t.text||t.hasSeparatorLine)&&n.push(t)}}}function cs(e){const t=(e=e.trim()).startsWith("-");return{text:e=e.replace(as,""),hasSeparatorLine:t}}class hs extends Ut{get uri(){return this._uri}get eol(){return this._eol}getValue(){return this.getText()}findMatches(e){const t=[];for(let n=0;n<this._lines.length;n++){const r=this._lines[n],i=this.offsetAt(new Tt(n+1,1)),s=r.matchAll(e);for(const e of s)(e.index||0===e.index)&&(e.index=e.index+i),t.push(e)}return t}getLinesContent(){return this._lines.slice(0)}getLineCount(){return this._lines.length}getLineContent(e){return this._lines[e-1]}getWordAtPosition(e,t){const n=Wt(e.column,$t(t),this._lines[e.lineNumber-1],0);return n?new Mt(e.lineNumber,n.startColumn,e.lineNumber,n.endColumn):null}words(e){const t=this._lines,n=this._wordenize.bind(this);let r=0,i="",s=0,o=[];return{*[Symbol.iterator](){for(;;)if(s<o.length){const e=i.substring(o[s].start,o[s].end);s+=1,yield e}else{if(!(r<t.length))break;i=t[r],o=n(i,e),s=0,r+=1}}}}getLineWords(e,t){const n=this._lines[e-1],r=this._wordenize(n,t),i=[];for(const e of r)i.push({word:n.substring(e.start,e.end),startColumn:e.start+1,endColumn:e.end+1});return i}_wordenize(e,t){const n=[];let r;for(t.lastIndex=0;(r=t.exec(e))&&0!==r[0].length;)n.push({start:r.index,end:r.index+r[0].length});return n}getValueInRange(e){if((e=this._validateRange(e)).startLineNumber===e.endLineNumber)return this._lines[e.startLineNumber-1].substring(e.startColumn-1,e.endColumn-1);const t=this._eol,n=e.startLineNumber-1,r=e.endLineNumber-1,i=[];i.push(this._lines[n].substring(e.startColumn-1));for(let e=n+1;e<r;e++)i.push(this._lines[e]);return i.push(this._lines[r].substring(0,e.endColumn-1)),i.join(t)}offsetAt(e){return e=this._validatePosition(e),this._ensureLineStarts(),this._lineStarts.getPrefixSum(e.lineNumber-2)+(e.column-1)}positionAt(e){e=Math.floor(e),e=Math.max(0,e),this._ensureLineStarts();const t=this._lineStarts.getIndexOf(e),n=this._lines[t.index].length;return{lineNumber:1+t.index,column:1+Math.min(t.remainder,n)}}_validateRange(e){const t=this._validatePosition({lineNumber:e.startLineNumber,column:e.startColumn}),n=this._validatePosition({lineNumber:e.endLineNumber,column:e.endColumn});return t.lineNumber!==e.startLineNumber||t.column!==e.startColumn||n.lineNumber!==e.endLineNumber||n.column!==e.endColumn?{startLineNumber:t.lineNumber,startColumn:t.column,endLineNumber:n.lineNumber,endColumn:n.column}:e}_validatePosition(e){if(!Tt.isIPosition(e))throw new Error("bad position");let{lineNumber:t,column:n}=e,r=!1;if(t<1)t=1,n=1,r=!0;else if(t>this._lines.length)t=this._lines.length,n=this._lines[t-1].length+1,r=!0;else{const e=this._lines[t-1].length+1;n<1?(n=1,r=!0):n>e&&(n=e,r=!0)}return r?{lineNumber:t,column:n}:e}}class ds{constructor(e,t){this._host=e,this._models=Object.create(null),this._foreignModuleFactory=t,this._foreignModule=null}dispose(){this._models=Object.create(null)}_getModel(e){return this._models[e]}_getModels(){const e=[];return Object.keys(this._models).forEach((t=>e.push(this._models[t]))),e}acceptNewModel(e){this._models[e.url]=new hs(_t.parse(e.url),e.lines,e.EOL,e.versionId)}acceptModelChanged(e,t){if(!this._models[e])return;this._models[e].onEvents(t)}acceptRemovedModel(e){this._models[e]&&delete this._models[e]}async computeUnicodeHighlights(e,t,n){const r=this._getModel(e);return r?Wr.computeUnicodeHighlights(r,t,n):{ranges:[],hasMore:!1,ambiguousCharacterCount:0,invisibleCharacterCount:0,nonBasicAsciiCharacterCount:0}}async findSectionHeaders(e,t){const n=this._getModel(e);return n?ls(n,t):[]}async computeDiff(e,t,n,r){const i=this._getModel(e),s=this._getModel(t);if(!i||!s)return null;return ds.computeDiff(i,s,n,r)}static computeDiff(e,t,n,r){const i="advanced"===r?zi():Wi(),s=e.getLinesContent(),o=t.getLinesContent(),a=i.computeDiff(s,o,n);function l(e){return e.map((e=>{var t;return[e.original.startLineNumber,e.original.endLineNumberExclusive,e.modified.startLineNumber,e.modified.endLineNumberExclusive,null===(t=e.innerChanges)||void 0===t?void 0:t.map((e=>[e.originalRange.startLineNumber,e.originalRange.startColumn,e.originalRange.endLineNumber,e.originalRange.endColumn,e.modifiedRange.startLineNumber,e.modifiedRange.startColumn,e.modifiedRange.endLineNumber,e.modifiedRange.endColumn]))]}))}return{identical:!(a.changes.length>0)&&this._modelsAreIdentical(e,t),quitEarly:a.hitTimeout,changes:l(a.changes),moves:a.moves.map((e=>[e.lineRangeMapping.original.startLineNumber,e.lineRangeMapping.original.endLineNumberExclusive,e.lineRangeMapping.modified.startLineNumber,e.lineRangeMapping.modified.endLineNumberExclusive,l(e.changes)]))}}static _modelsAreIdentical(e,t){const n=e.getLineCount();if(n!==t.getLineCount())return!1;for(let r=1;r<=n;r++){if(e.getLineContent(r)!==t.getLineContent(r))return!1}return!0}async computeMoreMinimalEdits(e,t,n){const r=this._getModel(e);if(!r)return t;const i=[];let s;t=t.slice(0).sort(((e,t)=>{if(e.range&&t.range)return Mt.compareRangesUsingStarts(e.range,t.range);return(e.range?0:1)-(t.range?0:1)}));let o=0;for(let e=1;e<t.length;e++)Mt.getEndPosition(t[o].range).equals(Mt.getStartPosition(t[e].range))?(t[o].range=Mt.fromPositions(Mt.getStartPosition(t[o].range),Mt.getEndPosition(t[e].range)),t[o].text+=t[e].text):(o++,t[o]=t[e]);t.length=o+1;for(let{range:e,text:o,eol:a}of t){if("number"==typeof a&&(s=a),Mt.isEmpty(e)&&!o)continue;const t=r.getValueInRange(e);if(o=o.replace(/\r\n|\n|\r/g,r.eol),t===o)continue;if(Math.max(o.length,t.length)>ds._diffLimit){i.push({range:e,text:o});continue}const l=je(t,o,n),u=r.offsetAt(Mt.lift(e).getStartPosition());for(const e of l){const t=r.positionAt(u+e.originalStart),n=r.positionAt(u+e.originalStart+e.originalLength),s={text:o.substr(e.modifiedStart,e.modifiedLength),range:{startLineNumber:t.lineNumber,startColumn:t.column,endLineNumber:n.lineNumber,endColumn:n.column}};r.getValueInRange(s.range)!==s.text&&i.push(s)}}return"number"==typeof s&&i.push({eol:s,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),i}async computeLinks(e){const t=this._getModel(e);return t?function(e){return e&&"function"==typeof e.getLineCount&&"function"==typeof e.getLineContent?Zt.computeLinks(e):[]}(t):null}async computeDefaultDocumentColors(e){const t=this._getModel(e);return t?ss(t):null}async textualSuggest(e,t,n,r){const i=new S,s=new RegExp(n,r),o=new Set;e:for(const n of e){const e=this._getModel(n);if(e)for(const n of e.words(s))if(n!==t&&isNaN(Number(n))&&(o.add(n),o.size>ds._suggestionsLimit))break e}return{words:Array.from(o),duration:i.elapsed()}}async computeWordRanges(e,t,n,r){const i=this._getModel(e);if(!i)return Object.create(null);const s=new RegExp(n,r),o=Object.create(null);for(let e=t.startLineNumber;e<t.endLineNumber;e++){const t=i.getLineWords(e,s);for(const n of t){if(!isNaN(Number(n.word)))continue;let t=o[n.word];t||(t=[],o[n.word]=t),t.push({startLineNumber:e,startColumn:n.startColumn,endLineNumber:e,endColumn:n.endColumn})}}return o}async navigateValueSet(e,t,n,r,i){const s=this._getModel(e);if(!s)return null;const o=new RegExp(r,i);t.startColumn===t.endColumn&&(t={startLineNumber:t.startLineNumber,startColumn:t.startColumn,endLineNumber:t.endLineNumber,endColumn:t.endColumn+1});const a=s.getValueInRange(t),l=s.getWordAtPosition({lineNumber:t.startLineNumber,column:t.startColumn},o);if(!l)return null;const u=s.getValueInRange(l);return Yt.INSTANCE.navigateValueSet(t,a,l,u,n)}loadForeignModule(e,t,n){const r=function(e,t){const n=e=>function(){const n=Array.prototype.slice.call(arguments,0);return t(e,n)},r={};for(const t of e)r[t]=n(t);return r}(n,((e,t)=>this._host.fhr(e,t))),i={host:r,getMirrorModels:()=>this._getModels()};return this._foreignModuleFactory?(this._foreignModule=this._foreignModuleFactory(i,t),Promise.resolve(O(this._foreignModule))):Promise.reject(new Error("Unexpected usage"))}fmr(e,t){if(!this._foreignModule||"function"!=typeof this._foreignModule[e])return Promise.reject(new Error("Missing requestHandler or method: "+e));try{return Promise.resolve(this._foreignModule[e].apply(this._foreignModule,t))}catch(e){return Promise.reject(e)}}}ds._diffLimit=1e5,ds._suggestionsLimit=1e4,"function"==typeof importScripts&&(globalThis.monaco={editor:void 0,languages:void 0,CancellationTokenSource:rn,Emitter:T,KeyCode:ir,KeyMod:Tr,Position:Tt,Range:Mt,Selection:bn,SelectionDirection:_r,MarkerSeverity:sr,MarkerTag:or,Uri:_t,Token:wn});let fs=!1;function ms(e){if(fs)return;fs=!0;const t=new Pe((e=>{globalThis.postMessage(e)}),(t=>new ds(t,e)));globalThis.onmessage=e=>{t.onmessage(e.data)}}
/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.50.0(c321d0fbecb50ab8a5365fa1965476b0ae63fc87)
 * Released under the MIT license
 * https://github.com/microsoft/monaco-editor/blob/main/LICENSE.txt
 *-----------------------------------------------------------------------------*/
function gs(e,t=!1){const n=e.length;let r=0,i="",s=0,o=16,a=0,l=0,u=0,c=0,h=0;function d(t,n){let i=0,s=0;for(;i<t||!n;){let t=e.charCodeAt(r);if(t>=48&&t<=57)s=16*s+t-48;else if(t>=65&&t<=70)s=16*s+t-65+10;else{if(!(t>=97&&t<=102))break;s=16*s+t-97+10}r++,i++}return i<t&&(s=-1),s}function f(){if(i="",h=0,s=r,l=a,c=u,r>=n)return s=n,o=17;let t=e.charCodeAt(r);if(ps(t)){do{r++,i+=String.fromCharCode(t),t=e.charCodeAt(r)}while(ps(t));return o=15}if(bs(t))return r++,i+=String.fromCharCode(t),13===t&&10===e.charCodeAt(r)&&(r++,i+="\n"),a++,u=r,o=14;switch(t){case 123:return r++,o=1;case 125:return r++,o=2;case 91:return r++,o=3;case 93:return r++,o=4;case 58:return r++,o=6;case 44:return r++,o=5;case 34:return r++,i=function(){let t="",i=r;for(;;){if(r>=n){t+=e.substring(i,r),h=2;break}const s=e.charCodeAt(r);if(34===s){t+=e.substring(i,r),r++;break}if(92!==s){if(s>=0&&s<=31){if(bs(s)){t+=e.substring(i,r),h=2;break}h=6}r++}else{if(t+=e.substring(i,r),r++,r>=n){h=2;break}switch(e.charCodeAt(r++)){case 34:t+='"';break;case 92:t+="\\";break;case 47:t+="/";break;case 98:t+="\b";break;case 102:t+="\f";break;case 110:t+="\n";break;case 114:t+="\r";break;case 116:t+="\t";break;case 117:const e=d(4,!0);e>=0?t+=String.fromCharCode(e):h=4;break;default:h=5}i=r}}return t}(),o=10;case 47:const l=r-1;if(47===e.charCodeAt(r+1)){for(r+=2;r<n&&!bs(e.charCodeAt(r));)r++;return i=e.substring(l,r),o=12}if(42===e.charCodeAt(r+1)){r+=2;const t=n-1;let s=!1;for(;r<t;){const t=e.charCodeAt(r);if(42===t&&47===e.charCodeAt(r+1)){r+=2,s=!0;break}r++,bs(t)&&(13===t&&10===e.charCodeAt(r)&&r++,a++,u=r)}return s||(r++,h=1),i=e.substring(l,r),o=13}return i+=String.fromCharCode(t),r++,o=16;case 45:if(i+=String.fromCharCode(t),r++,r===n||!ys(e.charCodeAt(r)))return o=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return i+=function(){let t=r;if(48===e.charCodeAt(r))r++;else for(r++;r<e.length&&ys(e.charCodeAt(r));)r++;if(r<e.length&&46===e.charCodeAt(r)){if(r++,!(r<e.length&&ys(e.charCodeAt(r))))return h=3,e.substring(t,r);for(r++;r<e.length&&ys(e.charCodeAt(r));)r++}let n=r;if(r<e.length&&(69===e.charCodeAt(r)||101===e.charCodeAt(r)))if(r++,(r<e.length&&43===e.charCodeAt(r)||45===e.charCodeAt(r))&&r++,r<e.length&&ys(e.charCodeAt(r))){for(r++;r<e.length&&ys(e.charCodeAt(r));)r++;n=r}else h=3;return e.substring(t,n)}(),o=11;default:for(;r<n&&m(t);)r++,t=e.charCodeAt(r);if(s!==r){switch(i=e.substring(s,r),i){case"true":return o=8;case"false":return o=9;case"null":return o=7}return o=16}return i+=String.fromCharCode(t),r++,o=16}}function m(e){if(ps(e)||bs(e))return!1;switch(e){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}return{setPosition:function(e){r=e,i="",s=0,o=16,h=0},getPosition:()=>r,scan:t?function(){let e;do{e=f()}while(e>=12&&e<=15);return e}:f,getToken:()=>o,getTokenValue:()=>i,getTokenOffset:()=>s,getTokenLength:()=>r-s,getTokenStartLine:()=>l,getTokenStartCharacter:()=>s-c,getTokenError:()=>h}}function ps(e){return 32===e||9===e}function bs(e){return 10===e||13===e}function ys(e){return e>=48&&e<=57}var vs,_s;globalThis.onmessage=e=>{fs||ms(null)},(_s=vs||(vs={}))[_s.lineFeed=10]="lineFeed",_s[_s.carriageReturn=13]="carriageReturn",_s[_s.space=32]="space",_s[_s._0=48]="_0",_s[_s._1=49]="_1",_s[_s._2=50]="_2",_s[_s._3=51]="_3",_s[_s._4=52]="_4",_s[_s._5=53]="_5",_s[_s._6=54]="_6",_s[_s._7=55]="_7",_s[_s._8=56]="_8",_s[_s._9=57]="_9",_s[_s.a=97]="a",_s[_s.b=98]="b",_s[_s.c=99]="c",_s[_s.d=100]="d",_s[_s.e=101]="e",_s[_s.f=102]="f",_s[_s.g=103]="g",_s[_s.h=104]="h",_s[_s.i=105]="i",_s[_s.j=106]="j",_s[_s.k=107]="k",_s[_s.l=108]="l",_s[_s.m=109]="m",_s[_s.n=110]="n",_s[_s.o=111]="o",_s[_s.p=112]="p",_s[_s.q=113]="q",_s[_s.r=114]="r",_s[_s.s=115]="s",_s[_s.t=116]="t",_s[_s.u=117]="u",_s[_s.v=118]="v",_s[_s.w=119]="w",_s[_s.x=120]="x",_s[_s.y=121]="y",_s[_s.z=122]="z",_s[_s.A=65]="A",_s[_s.B=66]="B",_s[_s.C=67]="C",_s[_s.D=68]="D",_s[_s.E=69]="E",_s[_s.F=70]="F",_s[_s.G=71]="G",_s[_s.H=72]="H",_s[_s.I=73]="I",_s[_s.J=74]="J",_s[_s.K=75]="K",_s[_s.L=76]="L",_s[_s.M=77]="M",_s[_s.N=78]="N",_s[_s.O=79]="O",_s[_s.P=80]="P",_s[_s.Q=81]="Q",_s[_s.R=82]="R",_s[_s.S=83]="S",_s[_s.T=84]="T",_s[_s.U=85]="U",_s[_s.V=86]="V",_s[_s.W=87]="W",_s[_s.X=88]="X",_s[_s.Y=89]="Y",_s[_s.Z=90]="Z",_s[_s.asterisk=42]="asterisk",_s[_s.backslash=92]="backslash",_s[_s.closeBrace=125]="closeBrace",_s[_s.closeBracket=93]="closeBracket",_s[_s.colon=58]="colon",_s[_s.comma=44]="comma",_s[_s.dot=46]="dot",_s[_s.doubleQuote=34]="doubleQuote",_s[_s.minus=45]="minus",_s[_s.openBrace=123]="openBrace",_s[_s.openBracket=91]="openBracket",_s[_s.plus=43]="plus",_s[_s.slash=47]="slash",_s[_s.formFeed=12]="formFeed",_s[_s.tab=9]="tab";var Cs,Ss=new Array(20).fill(0).map(((e,t)=>" ".repeat(t))),ws=200,Ls={" ":{"\n":new Array(ws).fill(0).map(((e,t)=>"\n"+" ".repeat(t))),"\r":new Array(ws).fill(0).map(((e,t)=>"\r"+" ".repeat(t))),"\r\n":new Array(ws).fill(0).map(((e,t)=>"\r\n"+" ".repeat(t)))},"\t":{"\n":new Array(ws).fill(0).map(((e,t)=>"\n"+"\t".repeat(t))),"\r":new Array(ws).fill(0).map(((e,t)=>"\r"+"\t".repeat(t))),"\r\n":new Array(ws).fill(0).map(((e,t)=>"\r\n"+"\t".repeat(t)))}},Ns=["\n","\r","\r\n"];function xs(e,t,n){let r,i,s,o,a;if(t){for(o=t.offset,a=o+t.length,s=o;s>0&&!As(e,s-1);)s--;let l=a;for(;l<e.length&&!As(e,l);)l++;i=e.substring(s,l),r=function(e,t){let n=0,r=0;const i=t.tabSize||4;for(;n<e.length;){let t=e.charAt(n);if(t===Ss[1])r++;else{if("\t"!==t)break;r+=i}n++}return Math.floor(r/i)}(i,n)}else i=e,r=0,s=0,o=0,a=e.length;const l=function(e,t){for(let e=0;e<t.length;e++){const n=t.charAt(e);if("\r"===n)return e+1<t.length&&"\n"===t.charAt(e+1)?"\r\n":"\r";if("\n"===n)return"\n"}return e&&e.eol||"\n"}(n,e),u=Ns.includes(l);let c,h=0,d=0;c=n.insertSpaces?Ss[n.tabSize||4]??Es(Ss[1],n.tabSize||4):"\t";const f="\t"===c?"\t":" ";let m=gs(i,!1),g=!1;function p(){if(h>1)return Es(l,h)+Es(c,r+d);const e=c.length*(r+d);return!u||e>Ls[f][l].length?l+Es(c,r+d):e<=0?l:Ls[f][l][e]}function b(){let e=m.scan();for(h=0;15===e||14===e;)14===e&&n.keepLines?h+=1:14===e&&(h=1),e=m.scan();return g=16===e||0!==m.getTokenError(),e}const y=[];function v(n,r,i){g||t&&!(r<a&&i>o)||e.substring(r,i)===n||y.push({offset:r,length:i-r,content:n})}let _=b();if(n.keepLines&&h>0&&v(Es(l,h),0,0),17!==_){let e=m.getTokenOffset()+s;v(c.length*r<20&&n.insertSpaces?Ss[c.length*r]:Es(c,r),s,e)}for(;17!==_;){let e=m.getTokenOffset()+m.getTokenLength()+s,t=b(),r="",i=!1;for(;0===h&&(12===t||13===t);){let n=m.getTokenOffset()+s;v(Ss[1],e,n),e=m.getTokenOffset()+m.getTokenLength()+s,i=12===t,r=i?p():"",t=b()}if(2===t)1!==_&&d--,n.keepLines&&h>0||!n.keepLines&&1!==_?r=p():n.keepLines&&(r=Ss[1]);else if(4===t)3!==_&&d--,n.keepLines&&h>0||!n.keepLines&&3!==_?r=p():n.keepLines&&(r=Ss[1]);else{switch(_){case 3:case 1:d++,r=n.keepLines&&h>0||!n.keepLines?p():Ss[1];break;case 5:r=n.keepLines&&h>0||!n.keepLines?p():Ss[1];break;case 12:r=p();break;case 13:h>0?r=p():i||(r=Ss[1]);break;case 6:n.keepLines&&h>0?r=p():i||(r=Ss[1]);break;case 10:n.keepLines&&h>0?r=p():6!==t||i||(r="");break;case 7:case 8:case 9:case 11:case 2:case 4:n.keepLines&&h>0?r=p():12!==t&&13!==t||i?5!==t&&17!==t&&(g=!0):r=Ss[1];break;case 16:g=!0}h>0&&(12===t||13===t)&&(r=p())}17===t&&(r=n.keepLines&&h>0?p():n.insertFinalNewline?l:"");v(r,e,m.getTokenOffset()+s),_=t}return y}function Es(e,t){let n="";for(let r=0;r<t;r++)n+=e;return n}function As(e,t){return-1!=="\r\n".indexOf(e.charAt(t))}(Cs||(Cs={})).DEFAULT={allowTrailingComma:!1};var ks,Rs,Ts,Ms,Os=gs;(Rs=ks||(ks={}))[Rs.None=0]="None",Rs[Rs.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",Rs[Rs.UnexpectedEndOfString=2]="UnexpectedEndOfString",Rs[Rs.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",Rs[Rs.InvalidUnicode=4]="InvalidUnicode",Rs[Rs.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",Rs[Rs.InvalidCharacter=6]="InvalidCharacter",(Ms=Ts||(Ts={}))[Ms.OpenBraceToken=1]="OpenBraceToken",Ms[Ms.CloseBraceToken=2]="CloseBraceToken",Ms[Ms.OpenBracketToken=3]="OpenBracketToken",Ms[Ms.CloseBracketToken=4]="CloseBracketToken",Ms[Ms.CommaToken=5]="CommaToken",Ms[Ms.ColonToken=6]="ColonToken",Ms[Ms.NullKeyword=7]="NullKeyword",Ms[Ms.TrueKeyword=8]="TrueKeyword",Ms[Ms.FalseKeyword=9]="FalseKeyword",Ms[Ms.StringLiteral=10]="StringLiteral",Ms[Ms.NumericLiteral=11]="NumericLiteral",Ms[Ms.LineCommentTrivia=12]="LineCommentTrivia",Ms[Ms.BlockCommentTrivia=13]="BlockCommentTrivia",Ms[Ms.LineBreakTrivia=14]="LineBreakTrivia",Ms[Ms.Trivia=15]="Trivia",Ms[Ms.Unknown=16]="Unknown",Ms[Ms.EOF=17]="EOF";var Is,Ps,Fs,Vs,Ds,qs,Ks,Us,Bs,$s,js,Ws,zs,Hs,Gs,Js,Xs,Qs,Zs,Ys,eo,to,no,ro,io,so,oo,ao,lo,uo,co,ho,fo,mo,go,po,bo,yo,vo,_o,Co,So,wo,Lo,No,xo,Eo,Ao,ko,Ro,To,Mo,Oo,Io,Po,Fo,Vo,Do,qo,Ko,Uo,Bo,$o,jo,Wo,zo,Ho,Go,Jo,Xo,Qo,Zo,Yo,ea,ta,na,ra,ia,sa,oa,aa,la,ua,ca,ha,da,fa,ma,ga,pa,ba,ya,va,_a,Ca,Sa,wa,La,Na,xa,Ea,Aa,ka,Ra,Ta,Ma,Oa,Ia,Pa,Fa,Va,Da,qa,Ka,Ua,Ba,$a,ja,Wa,za,Ha,Ga,Ja,Xa,Qa,Za,Ya,el,tl,nl,rl,il,sl,ol,al,ll=function(e,t=[],n=Cs.DEFAULT){let r=null,i=[];const s=[];function o(e){Array.isArray(i)?i.push(e):null!==r&&(i[r]=e)}return function(e,t,n=Cs.DEFAULT){const r=gs(e,!1),i=[];function s(e){return e?()=>e(r.getTokenOffset(),r.getTokenLength(),r.getTokenStartLine(),r.getTokenStartCharacter()):()=>!0}function o(e){return e?()=>e(r.getTokenOffset(),r.getTokenLength(),r.getTokenStartLine(),r.getTokenStartCharacter(),(()=>i.slice())):()=>!0}function a(e){return e?t=>e(t,r.getTokenOffset(),r.getTokenLength(),r.getTokenStartLine(),r.getTokenStartCharacter()):()=>!0}function l(e){return e?t=>e(t,r.getTokenOffset(),r.getTokenLength(),r.getTokenStartLine(),r.getTokenStartCharacter(),(()=>i.slice())):()=>!0}const u=o(t.onObjectBegin),c=l(t.onObjectProperty),h=s(t.onObjectEnd),d=o(t.onArrayBegin),f=s(t.onArrayEnd),m=l(t.onLiteralValue),g=a(t.onSeparator),p=s(t.onComment),b=a(t.onError),y=n&&n.disallowComments,v=n&&n.allowTrailingComma;function _(){for(;;){const e=r.scan();switch(r.getTokenError()){case 4:C(14);break;case 5:C(15);break;case 3:C(13);break;case 1:y||C(11);break;case 2:C(12);break;case 6:C(16)}switch(e){case 12:case 13:y?C(10):p();break;case 16:C(1);break;case 15:case 14:break;default:return e}}}function C(e,t=[],n=[]){if(b(e),t.length+n.length>0){let e=r.getToken();for(;17!==e;){if(-1!==t.indexOf(e)){_();break}if(-1!==n.indexOf(e))break;e=_()}}}function S(e){const t=r.getTokenValue();return e?m(t):(c(t),i.push(t)),_(),!0}function w(){switch(r.getToken()){case 11:const e=r.getTokenValue();let t=Number(e);isNaN(t)&&(C(2),t=0),m(t);break;case 7:m(null);break;case 8:m(!0);break;case 9:m(!1);break;default:return!1}return _(),!0}function L(){return 10!==r.getToken()?(C(3,[],[2,5]),!1):(S(!1),6===r.getToken()?(g(":"),_(),E()||C(4,[],[2,5])):C(5,[],[2,5]),i.pop(),!0)}function N(){u(),_();let e=!1;for(;2!==r.getToken()&&17!==r.getToken();){if(5===r.getToken()){if(e||C(4,[],[]),g(","),_(),2===r.getToken()&&v)break}else e&&C(6,[],[]);L()||C(4,[],[2,5]),e=!0}return h(),2!==r.getToken()?C(7,[2],[]):_(),!0}function x(){d(),_();let e=!0,t=!1;for(;4!==r.getToken()&&17!==r.getToken();){if(5===r.getToken()){if(t||C(4,[],[]),g(","),_(),4===r.getToken()&&v)break}else t&&C(6,[],[]);e?(i.push(0),e=!1):i[i.length-1]++,E()||C(4,[],[4,5]),t=!0}return f(),e||i.pop(),4!==r.getToken()?C(8,[4],[]):_(),!0}function E(){switch(r.getToken()){case 3:return x();case 1:return N();case 10:return S(!0);default:return w()}}if(_(),17===r.getToken())return!!n.allowEmptyContent||(C(4,[],[]),!1);if(!E())return C(4,[],[]),!1;17!==r.getToken()&&C(9,[],[])}(e,{onObjectBegin:()=>{const e={};o(e),s.push(i),i=e,r=null},onObjectProperty:e=>{r=e},onObjectEnd:()=>{i=s.pop()},onArrayBegin:()=>{const e=[];o(e),s.push(i),i=e,r=null},onArrayEnd:()=>{i=s.pop()},onLiteralValue:o,onError:(e,n,r)=>{t.push({error:e,offset:n,length:r})}},n),i[0]},ul=function e(t,n,r=!1){if(function(e,t,n=!1){return t>=e.offset&&t<e.offset+e.length||n&&t===e.offset+e.length}(t,n,r)){const i=t.children;if(Array.isArray(i))for(let t=0;t<i.length&&i[t].offset<=n;t++){const s=e(i[t],n,r);if(s)return s}return t}},cl=function e(t){if(!t.parent||!t.parent.children)return[];const n=e(t.parent);if("property"===t.parent.type){const e=t.parent.children[0].value;n.push(e)}else if("array"===t.parent.type){const e=t.parent.children.indexOf(t);-1!==e&&n.push(e)}return n},hl=function e(t){switch(t.type){case"array":return t.children.map(e);case"object":const n=Object.create(null);for(let r of t.children){const t=r.children[1];t&&(n[r.children[0].value]=e(t))}return n;case"null":case"string":case"number":case"boolean":return t.value;default:return}};function dl(e,t){if(e===t)return!0;if(null==e||null==t)return!1;if(typeof e!=typeof t)return!1;if("object"!=typeof e)return!1;if(Array.isArray(e)!==Array.isArray(t))return!1;let n,r;if(Array.isArray(e)){if(e.length!==t.length)return!1;for(n=0;n<e.length;n++)if(!dl(e[n],t[n]))return!1}else{const i=[];for(r in e)i.push(r);i.sort();const s=[];for(r in t)s.push(r);if(s.sort(),!dl(i,s))return!1;for(n=0;n<i.length;n++)if(!dl(e[i[n]],t[i[n]]))return!1}return!0}function fl(e){return"number"==typeof e}function ml(e){return void 0!==e}function gl(e){return"boolean"==typeof e}function pl(e){return"string"==typeof e}function bl(e){return"object"==typeof e&&null!==e&&!Array.isArray(e)}function yl(e,t){const n=e.length-t.length;return n>0?e.lastIndexOf(t)===n:0===n&&e===t}function vl(e){let t="";(function(e,t){if(e.length<t.length)return!1;for(let n=0;n<t.length;n++)if(e[n]!==t[n])return!1;return!0})(e,"(?i)")&&(e=e.substring(4),t="i");try{return new RegExp(e,t+"u")}catch(n){try{return new RegExp(e,t)}catch(e){return}}}function _l(e){let t=0;for(let n=0;n<e.length;n++){t++;const r=e.charCodeAt(n);55296<=r&&r<=56319&&n++}return t}(Ps=Is||(Is={}))[Ps.InvalidSymbol=1]="InvalidSymbol",Ps[Ps.InvalidNumberFormat=2]="InvalidNumberFormat",Ps[Ps.PropertyNameExpected=3]="PropertyNameExpected",Ps[Ps.ValueExpected=4]="ValueExpected",Ps[Ps.ColonExpected=5]="ColonExpected",Ps[Ps.CommaExpected=6]="CommaExpected",Ps[Ps.CloseBraceExpected=7]="CloseBraceExpected",Ps[Ps.CloseBracketExpected=8]="CloseBracketExpected",Ps[Ps.EndOfFileExpected=9]="EndOfFileExpected",Ps[Ps.InvalidCommentToken=10]="InvalidCommentToken",Ps[Ps.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",Ps[Ps.UnexpectedEndOfString=12]="UnexpectedEndOfString",Ps[Ps.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",Ps[Ps.InvalidUnicode=14]="InvalidUnicode",Ps[Ps.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",Ps[Ps.InvalidCharacter=16]="InvalidCharacter",(Fs||(Fs={})).is=function(e){return"string"==typeof e},(Vs||(Vs={})).is=function(e){return"string"==typeof e},(qs=Ds||(Ds={})).MIN_VALUE=-2147483648,qs.MAX_VALUE=2147483647,qs.is=function(e){return"number"==typeof e&&qs.MIN_VALUE<=e&&e<=qs.MAX_VALUE},(Us=Ks||(Ks={})).MIN_VALUE=0,Us.MAX_VALUE=2147483647,Us.is=function(e){return"number"==typeof e&&Us.MIN_VALUE<=e&&e<=Us.MAX_VALUE},($s=Bs||(Bs={})).create=function(e,t){return e===Number.MAX_VALUE&&(e=Ks.MAX_VALUE),t===Number.MAX_VALUE&&(t=Ks.MAX_VALUE),{line:e,character:t}},$s.is=function(e){let t=e;return Cl.objectLiteral(t)&&Cl.uinteger(t.line)&&Cl.uinteger(t.character)},(Ws=js||(js={})).create=function(e,t,n,r){if(Cl.uinteger(e)&&Cl.uinteger(t)&&Cl.uinteger(n)&&Cl.uinteger(r))return{start:Bs.create(e,t),end:Bs.create(n,r)};if(Bs.is(e)&&Bs.is(t))return{start:e,end:t};throw new Error(`Range#create called with invalid arguments[${e}, ${t}, ${n}, ${r}]`)},Ws.is=function(e){let t=e;return Cl.objectLiteral(t)&&Bs.is(t.start)&&Bs.is(t.end)},(Hs=zs||(zs={})).create=function(e,t){return{uri:e,range:t}},Hs.is=function(e){let t=e;return Cl.objectLiteral(t)&&js.is(t.range)&&(Cl.string(t.uri)||Cl.undefined(t.uri))},(Js=Gs||(Gs={})).create=function(e,t,n,r){return{targetUri:e,targetRange:t,targetSelectionRange:n,originSelectionRange:r}},Js.is=function(e){let t=e;return Cl.objectLiteral(t)&&js.is(t.targetRange)&&Cl.string(t.targetUri)&&js.is(t.targetSelectionRange)&&(js.is(t.originSelectionRange)||Cl.undefined(t.originSelectionRange))},(Qs=Xs||(Xs={})).create=function(e,t,n,r){return{red:e,green:t,blue:n,alpha:r}},Qs.is=function(e){const t=e;return Cl.objectLiteral(t)&&Cl.numberRange(t.red,0,1)&&Cl.numberRange(t.green,0,1)&&Cl.numberRange(t.blue,0,1)&&Cl.numberRange(t.alpha,0,1)},(Ys=Zs||(Zs={})).create=function(e,t){return{range:e,color:t}},Ys.is=function(e){const t=e;return Cl.objectLiteral(t)&&js.is(t.range)&&Xs.is(t.color)},(to=eo||(eo={})).create=function(e,t,n){return{label:e,textEdit:t,additionalTextEdits:n}},to.is=function(e){const t=e;return Cl.objectLiteral(t)&&Cl.string(t.label)&&(Cl.undefined(t.textEdit)||yo.is(t))&&(Cl.undefined(t.additionalTextEdits)||Cl.typedArray(t.additionalTextEdits,yo.is))},(ro=no||(no={})).Comment="comment",ro.Imports="imports",ro.Region="region",(so=io||(io={})).create=function(e,t,n,r,i,s){const o={startLine:e,endLine:t};return Cl.defined(n)&&(o.startCharacter=n),Cl.defined(r)&&(o.endCharacter=r),Cl.defined(i)&&(o.kind=i),Cl.defined(s)&&(o.collapsedText=s),o},so.is=function(e){const t=e;return Cl.objectLiteral(t)&&Cl.uinteger(t.startLine)&&Cl.uinteger(t.startLine)&&(Cl.undefined(t.startCharacter)||Cl.uinteger(t.startCharacter))&&(Cl.undefined(t.endCharacter)||Cl.uinteger(t.endCharacter))&&(Cl.undefined(t.kind)||Cl.string(t.kind))},(ao=oo||(oo={})).create=function(e,t){return{location:e,message:t}},ao.is=function(e){let t=e;return Cl.defined(t)&&zs.is(t.location)&&Cl.string(t.message)},(uo=lo||(lo={})).Error=1,uo.Warning=2,uo.Information=3,uo.Hint=4,(ho=co||(co={})).Unnecessary=1,ho.Deprecated=2,(fo||(fo={})).is=function(e){const t=e;return Cl.objectLiteral(t)&&Cl.string(t.href)},(go=mo||(mo={})).create=function(e,t,n,r,i,s){let o={range:e,message:t};return Cl.defined(n)&&(o.severity=n),Cl.defined(r)&&(o.code=r),Cl.defined(i)&&(o.source=i),Cl.defined(s)&&(o.relatedInformation=s),o},go.is=function(e){var t;let n=e;return Cl.defined(n)&&js.is(n.range)&&Cl.string(n.message)&&(Cl.number(n.severity)||Cl.undefined(n.severity))&&(Cl.integer(n.code)||Cl.string(n.code)||Cl.undefined(n.code))&&(Cl.undefined(n.codeDescription)||Cl.string(null===(t=n.codeDescription)||void 0===t?void 0:t.href))&&(Cl.string(n.source)||Cl.undefined(n.source))&&(Cl.undefined(n.relatedInformation)||Cl.typedArray(n.relatedInformation,oo.is))},(bo=po||(po={})).create=function(e,t,...n){let r={title:e,command:t};return Cl.defined(n)&&n.length>0&&(r.arguments=n),r},bo.is=function(e){let t=e;return Cl.defined(t)&&Cl.string(t.title)&&Cl.string(t.command)},(vo=yo||(yo={})).replace=function(e,t){return{range:e,newText:t}},vo.insert=function(e,t){return{range:{start:e,end:e},newText:t}},vo.del=function(e){return{range:e,newText:""}},vo.is=function(e){const t=e;return Cl.objectLiteral(t)&&Cl.string(t.newText)&&js.is(t.range)},(Co=_o||(_o={})).create=function(e,t,n){const r={label:e};return void 0!==t&&(r.needsConfirmation=t),void 0!==n&&(r.description=n),r},Co.is=function(e){const t=e;return Cl.objectLiteral(t)&&Cl.string(t.label)&&(Cl.boolean(t.needsConfirmation)||void 0===t.needsConfirmation)&&(Cl.string(t.description)||void 0===t.description)},(So||(So={})).is=function(e){const t=e;return Cl.string(t)},(Lo=wo||(wo={})).replace=function(e,t,n){return{range:e,newText:t,annotationId:n}},Lo.insert=function(e,t,n){return{range:{start:e,end:e},newText:t,annotationId:n}},Lo.del=function(e,t){return{range:e,newText:"",annotationId:t}},Lo.is=function(e){const t=e;return yo.is(t)&&(_o.is(t.annotationId)||So.is(t.annotationId))},(xo=No||(No={})).create=function(e,t){return{textDocument:e,edits:t}},xo.is=function(e){let t=e;return Cl.defined(t)&&Do.is(t.textDocument)&&Array.isArray(t.edits)},(Ao=Eo||(Eo={})).create=function(e,t,n){let r={kind:"create",uri:e};return void 0===t||void 0===t.overwrite&&void 0===t.ignoreIfExists||(r.options=t),void 0!==n&&(r.annotationId=n),r},Ao.is=function(e){let t=e;return t&&"create"===t.kind&&Cl.string(t.uri)&&(void 0===t.options||(void 0===t.options.overwrite||Cl.boolean(t.options.overwrite))&&(void 0===t.options.ignoreIfExists||Cl.boolean(t.options.ignoreIfExists)))&&(void 0===t.annotationId||So.is(t.annotationId))},(Ro=ko||(ko={})).create=function(e,t,n,r){let i={kind:"rename",oldUri:e,newUri:t};return void 0===n||void 0===n.overwrite&&void 0===n.ignoreIfExists||(i.options=n),void 0!==r&&(i.annotationId=r),i},Ro.is=function(e){let t=e;return t&&"rename"===t.kind&&Cl.string(t.oldUri)&&Cl.string(t.newUri)&&(void 0===t.options||(void 0===t.options.overwrite||Cl.boolean(t.options.overwrite))&&(void 0===t.options.ignoreIfExists||Cl.boolean(t.options.ignoreIfExists)))&&(void 0===t.annotationId||So.is(t.annotationId))},(Mo=To||(To={})).create=function(e,t,n){let r={kind:"delete",uri:e};return void 0===t||void 0===t.recursive&&void 0===t.ignoreIfNotExists||(r.options=t),void 0!==n&&(r.annotationId=n),r},Mo.is=function(e){let t=e;return t&&"delete"===t.kind&&Cl.string(t.uri)&&(void 0===t.options||(void 0===t.options.recursive||Cl.boolean(t.options.recursive))&&(void 0===t.options.ignoreIfNotExists||Cl.boolean(t.options.ignoreIfNotExists)))&&(void 0===t.annotationId||So.is(t.annotationId))},(Oo||(Oo={})).is=function(e){let t=e;return t&&(void 0!==t.changes||void 0!==t.documentChanges)&&(void 0===t.documentChanges||t.documentChanges.every((e=>Cl.string(e.kind)?Eo.is(e)||ko.is(e)||To.is(e):No.is(e))))},(Po=Io||(Io={})).create=function(e){return{uri:e}},Po.is=function(e){let t=e;return Cl.defined(t)&&Cl.string(t.uri)},(Vo=Fo||(Fo={})).create=function(e,t){return{uri:e,version:t}},Vo.is=function(e){let t=e;return Cl.defined(t)&&Cl.string(t.uri)&&Cl.integer(t.version)},(qo=Do||(Do={})).create=function(e,t){return{uri:e,version:t}},qo.is=function(e){let t=e;return Cl.defined(t)&&Cl.string(t.uri)&&(null===t.version||Cl.integer(t.version))},(Uo=Ko||(Ko={})).create=function(e,t,n,r){return{uri:e,languageId:t,version:n,text:r}},Uo.is=function(e){let t=e;return Cl.defined(t)&&Cl.string(t.uri)&&Cl.string(t.languageId)&&Cl.integer(t.version)&&Cl.string(t.text)},($o=Bo||(Bo={})).PlainText="plaintext",$o.Markdown="markdown",$o.is=function(e){const t=e;return t===$o.PlainText||t===$o.Markdown},(jo||(jo={})).is=function(e){const t=e;return Cl.objectLiteral(e)&&Bo.is(t.kind)&&Cl.string(t.value)},(zo=Wo||(Wo={})).Text=1,zo.Method=2,zo.Function=3,zo.Constructor=4,zo.Field=5,zo.Variable=6,zo.Class=7,zo.Interface=8,zo.Module=9,zo.Property=10,zo.Unit=11,zo.Value=12,zo.Enum=13,zo.Keyword=14,zo.Snippet=15,zo.Color=16,zo.File=17,zo.Reference=18,zo.Folder=19,zo.EnumMember=20,zo.Constant=21,zo.Struct=22,zo.Event=23,zo.Operator=24,zo.TypeParameter=25,(Go=Ho||(Ho={})).PlainText=1,Go.Snippet=2,(Jo||(Jo={})).Deprecated=1,(Qo=Xo||(Xo={})).create=function(e,t,n){return{newText:e,insert:t,replace:n}},Qo.is=function(e){const t=e;return t&&Cl.string(t.newText)&&js.is(t.insert)&&js.is(t.replace)},(Yo=Zo||(Zo={})).asIs=1,Yo.adjustIndentation=2,(ea||(ea={})).is=function(e){const t=e;return t&&(Cl.string(t.detail)||void 0===t.detail)&&(Cl.string(t.description)||void 0===t.description)},(ta||(ta={})).create=function(e){return{label:e}},(na||(na={})).create=function(e,t){return{items:e||[],isIncomplete:!!t}},(ia=ra||(ra={})).fromPlainText=function(e){return e.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&")},ia.is=function(e){const t=e;return Cl.string(t)||Cl.objectLiteral(t)&&Cl.string(t.language)&&Cl.string(t.value)},(sa||(sa={})).is=function(e){let t=e;return!!t&&Cl.objectLiteral(t)&&(jo.is(t.contents)||ra.is(t.contents)||Cl.typedArray(t.contents,ra.is))&&(void 0===e.range||js.is(e.range))},(oa||(oa={})).create=function(e,t){return t?{label:e,documentation:t}:{label:e}},(aa||(aa={})).create=function(e,t,...n){let r={label:e};return Cl.defined(t)&&(r.documentation=t),Cl.defined(n)?r.parameters=n:r.parameters=[],r},(ua=la||(la={})).Text=1,ua.Read=2,ua.Write=3,(ca||(ca={})).create=function(e,t){let n={range:e};return Cl.number(t)&&(n.kind=t),n},(da=ha||(ha={})).File=1,da.Module=2,da.Namespace=3,da.Package=4,da.Class=5,da.Method=6,da.Property=7,da.Field=8,da.Constructor=9,da.Enum=10,da.Interface=11,da.Function=12,da.Variable=13,da.Constant=14,da.String=15,da.Number=16,da.Boolean=17,da.Array=18,da.Object=19,da.Key=20,da.Null=21,da.EnumMember=22,da.Struct=23,da.Event=24,da.Operator=25,da.TypeParameter=26,(fa||(fa={})).Deprecated=1,(ma||(ma={})).create=function(e,t,n,r,i){let s={name:e,kind:t,location:{uri:r,range:n}};return i&&(s.containerName=i),s},(ga||(ga={})).create=function(e,t,n,r){return void 0!==r?{name:e,kind:t,location:{uri:n,range:r}}:{name:e,kind:t,location:{uri:n}}},(ba=pa||(pa={})).create=function(e,t,n,r,i,s){let o={name:e,detail:t,kind:n,range:r,selectionRange:i};return void 0!==s&&(o.children=s),o},ba.is=function(e){let t=e;return t&&Cl.string(t.name)&&Cl.number(t.kind)&&js.is(t.range)&&js.is(t.selectionRange)&&(void 0===t.detail||Cl.string(t.detail))&&(void 0===t.deprecated||Cl.boolean(t.deprecated))&&(void 0===t.children||Array.isArray(t.children))&&(void 0===t.tags||Array.isArray(t.tags))},(va=ya||(ya={})).Empty="",va.QuickFix="quickfix",va.Refactor="refactor",va.RefactorExtract="refactor.extract",va.RefactorInline="refactor.inline",va.RefactorRewrite="refactor.rewrite",va.Source="source",va.SourceOrganizeImports="source.organizeImports",va.SourceFixAll="source.fixAll",(Ca=_a||(_a={})).Invoked=1,Ca.Automatic=2,(wa=Sa||(Sa={})).create=function(e,t,n){let r={diagnostics:e};return null!=t&&(r.only=t),null!=n&&(r.triggerKind=n),r},wa.is=function(e){let t=e;return Cl.defined(t)&&Cl.typedArray(t.diagnostics,mo.is)&&(void 0===t.only||Cl.typedArray(t.only,Cl.string))&&(void 0===t.triggerKind||t.triggerKind===_a.Invoked||t.triggerKind===_a.Automatic)},(Na=La||(La={})).create=function(e,t,n){let r={title:e},i=!0;return"string"==typeof t?(i=!1,r.kind=t):po.is(t)?r.command=t:r.edit=t,i&&void 0!==n&&(r.kind=n),r},Na.is=function(e){let t=e;return t&&Cl.string(t.title)&&(void 0===t.diagnostics||Cl.typedArray(t.diagnostics,mo.is))&&(void 0===t.kind||Cl.string(t.kind))&&(void 0!==t.edit||void 0!==t.command)&&(void 0===t.command||po.is(t.command))&&(void 0===t.isPreferred||Cl.boolean(t.isPreferred))&&(void 0===t.edit||Oo.is(t.edit))},(Ea=xa||(xa={})).create=function(e,t){let n={range:e};return Cl.defined(t)&&(n.data=t),n},Ea.is=function(e){let t=e;return Cl.defined(t)&&js.is(t.range)&&(Cl.undefined(t.command)||po.is(t.command))},(ka=Aa||(Aa={})).create=function(e,t){return{tabSize:e,insertSpaces:t}},ka.is=function(e){let t=e;return Cl.defined(t)&&Cl.uinteger(t.tabSize)&&Cl.boolean(t.insertSpaces)},(Ta=Ra||(Ra={})).create=function(e,t,n){return{range:e,target:t,data:n}},Ta.is=function(e){let t=e;return Cl.defined(t)&&js.is(t.range)&&(Cl.undefined(t.target)||Cl.string(t.target))},(Oa=Ma||(Ma={})).create=function(e,t){return{range:e,parent:t}},Oa.is=function(e){let t=e;return Cl.objectLiteral(t)&&js.is(t.range)&&(void 0===t.parent||Oa.is(t.parent))},(Pa=Ia||(Ia={})).namespace="namespace",Pa.type="type",Pa.class="class",Pa.enum="enum",Pa.interface="interface",Pa.struct="struct",Pa.typeParameter="typeParameter",Pa.parameter="parameter",Pa.variable="variable",Pa.property="property",Pa.enumMember="enumMember",Pa.event="event",Pa.function="function",Pa.method="method",Pa.macro="macro",Pa.keyword="keyword",Pa.modifier="modifier",Pa.comment="comment",Pa.string="string",Pa.number="number",Pa.regexp="regexp",Pa.operator="operator",Pa.decorator="decorator",(Va=Fa||(Fa={})).declaration="declaration",Va.definition="definition",Va.readonly="readonly",Va.static="static",Va.deprecated="deprecated",Va.abstract="abstract",Va.async="async",Va.modification="modification",Va.documentation="documentation",Va.defaultLibrary="defaultLibrary",(Da||(Da={})).is=function(e){const t=e;return Cl.objectLiteral(t)&&(void 0===t.resultId||"string"==typeof t.resultId)&&Array.isArray(t.data)&&(0===t.data.length||"number"==typeof t.data[0])},(Ka=qa||(qa={})).create=function(e,t){return{range:e,text:t}},Ka.is=function(e){const t=e;return null!=t&&js.is(t.range)&&Cl.string(t.text)},(Ba=Ua||(Ua={})).create=function(e,t,n){return{range:e,variableName:t,caseSensitiveLookup:n}},Ba.is=function(e){const t=e;return null!=t&&js.is(t.range)&&Cl.boolean(t.caseSensitiveLookup)&&(Cl.string(t.variableName)||void 0===t.variableName)},(ja=$a||($a={})).create=function(e,t){return{range:e,expression:t}},ja.is=function(e){const t=e;return null!=t&&js.is(t.range)&&(Cl.string(t.expression)||void 0===t.expression)},(za=Wa||(Wa={})).create=function(e,t){return{frameId:e,stoppedLocation:t}},za.is=function(e){const t=e;return Cl.defined(t)&&js.is(e.stoppedLocation)},(Ga=Ha||(Ha={})).Type=1,Ga.Parameter=2,Ga.is=function(e){return 1===e||2===e},(Xa=Ja||(Ja={})).create=function(e){return{value:e}},Xa.is=function(e){const t=e;return Cl.objectLiteral(t)&&(void 0===t.tooltip||Cl.string(t.tooltip)||jo.is(t.tooltip))&&(void 0===t.location||zs.is(t.location))&&(void 0===t.command||po.is(t.command))},(Za=Qa||(Qa={})).create=function(e,t,n){const r={position:e,label:t};return void 0!==n&&(r.kind=n),r},Za.is=function(e){const t=e;return Cl.objectLiteral(t)&&Bs.is(t.position)&&(Cl.string(t.label)||Cl.typedArray(t.label,Ja.is))&&(void 0===t.kind||Ha.is(t.kind))&&void 0===t.textEdits||Cl.typedArray(t.textEdits,yo.is)&&(void 0===t.tooltip||Cl.string(t.tooltip)||jo.is(t.tooltip))&&(void 0===t.paddingLeft||Cl.boolean(t.paddingLeft))&&(void 0===t.paddingRight||Cl.boolean(t.paddingRight))},(Ya||(Ya={})).createSnippet=function(e){return{kind:"snippet",value:e}},(el||(el={})).create=function(e,t,n,r){return{insertText:e,filterText:t,range:n,command:r}},(tl||(tl={})).create=function(e){return{items:e}},(rl=nl||(nl={})).Invoked=0,rl.Automatic=1,(il||(il={})).create=function(e,t){return{range:e,text:t}},(sl||(sl={})).create=function(e,t){return{triggerKind:e,selectedCompletionInfo:t}},(ol||(ol={})).is=function(e){const t=e;return Cl.objectLiteral(t)&&Vs.is(t.uri)&&Cl.string(t.name)},function(e){function t(e,n){if(e.length<=1)return e;const r=e.length/2|0,i=e.slice(0,r),s=e.slice(r);t(i,n),t(s,n);let o=0,a=0,l=0;for(;o<i.length&&a<s.length;){let t=n(i[o],s[a]);e[l++]=t<=0?i[o++]:s[a++]}for(;o<i.length;)e[l++]=i[o++];for(;a<s.length;)e[l++]=s[a++];return e}e.create=function(e,t,n,r){return new Sl(e,t,n,r)},e.is=function(e){let t=e;return!!(Cl.defined(t)&&Cl.string(t.uri)&&(Cl.undefined(t.languageId)||Cl.string(t.languageId))&&Cl.uinteger(t.lineCount)&&Cl.func(t.getText)&&Cl.func(t.positionAt)&&Cl.func(t.offsetAt))},e.applyEdits=function(e,n){let r=e.getText(),i=t(n,((e,t)=>{let n=e.range.start.line-t.range.start.line;return 0===n?e.range.start.character-t.range.start.character:n})),s=r.length;for(let t=i.length-1;t>=0;t--){let n=i[t],o=e.offsetAt(n.range.start),a=e.offsetAt(n.range.end);if(!(a<=s))throw new Error("Overlapping edit");r=r.substring(0,o)+n.newText+r.substring(a,r.length),s=o}return r}}(al||(al={}));var Cl,Sl=class{constructor(e,t,n,r){this._uri=e,this._languageId=t,this._version=n,this._content=r,this._lineOffsets=void 0}get uri(){return this._uri}get languageId(){return this._languageId}get version(){return this._version}getText(e){if(e){let t=this.offsetAt(e.start),n=this.offsetAt(e.end);return this._content.substring(t,n)}return this._content}update(e,t){this._content=e.text,this._version=t,this._lineOffsets=void 0}getLineOffsets(){if(void 0===this._lineOffsets){let e=[],t=this._content,n=!0;for(let r=0;r<t.length;r++){n&&(e.push(r),n=!1);let i=t.charAt(r);n="\r"===i||"\n"===i,"\r"===i&&r+1<t.length&&"\n"===t.charAt(r+1)&&r++}n&&t.length>0&&e.push(t.length),this._lineOffsets=e}return this._lineOffsets}positionAt(e){e=Math.max(Math.min(e,this._content.length),0);let t=this.getLineOffsets(),n=0,r=t.length;if(0===r)return Bs.create(0,e);for(;n<r;){let i=Math.floor((n+r)/2);t[i]>e?r=i:n=i+1}let i=n-1;return Bs.create(i,e-t[i])}offsetAt(e){let t=this.getLineOffsets();if(e.line>=t.length)return this._content.length;if(e.line<0)return 0;let n=t[e.line],r=e.line+1<t.length?t[e.line+1]:this._content.length;return Math.max(Math.min(n+e.character,r),n)}get lineCount(){return this.getLineOffsets().length}};!function(e){const t=Object.prototype.toString;e.defined=function(e){return void 0!==e},e.undefined=function(e){return void 0===e},e.boolean=function(e){return!0===e||!1===e},e.string=function(e){return"[object String]"===t.call(e)},e.number=function(e){return"[object Number]"===t.call(e)},e.numberRange=function(e,n,r){return"[object Number]"===t.call(e)&&n<=e&&e<=r},e.integer=function(e){return"[object Number]"===t.call(e)&&-2147483648<=e&&e<=2147483647},e.uinteger=function(e){return"[object Number]"===t.call(e)&&0<=e&&e<=2147483647},e.func=function(e){return"[object Function]"===t.call(e)},e.objectLiteral=function(e){return null!==e&&"object"==typeof e},e.typedArray=function(e,t){return Array.isArray(e)&&e.every(t)}}(Cl||(Cl={}));var wl,Ll,Nl,xl,El,Al,kl,Rl=class e{constructor(e,t,n,r){this._uri=e,this._languageId=t,this._version=n,this._content=r,this._lineOffsets=void 0}get uri(){return this._uri}get languageId(){return this._languageId}get version(){return this._version}getText(e){if(e){const t=this.offsetAt(e.start),n=this.offsetAt(e.end);return this._content.substring(t,n)}return this._content}update(t,n){for(let n of t)if(e.isIncremental(n)){const e=Ol(n.range),t=this.offsetAt(e.start),r=this.offsetAt(e.end);this._content=this._content.substring(0,t)+n.text+this._content.substring(r,this._content.length);const i=Math.max(e.start.line,0),s=Math.max(e.end.line,0);let o=this._lineOffsets;const a=Ml(n.text,!1,t);if(s-i===a.length)for(let e=0,t=a.length;e<t;e++)o[e+i+1]=a[e];else a.length<1e4?o.splice(i+1,s-i,...a):this._lineOffsets=o=o.slice(0,i+1).concat(a,o.slice(s+1));const l=n.text.length-(r-t);if(0!==l)for(let e=i+1+a.length,t=o.length;e<t;e++)o[e]=o[e]+l}else{if(!e.isFull(n))throw new Error("Unknown change event received");this._content=n.text,this._lineOffsets=void 0}this._version=n}getLineOffsets(){return void 0===this._lineOffsets&&(this._lineOffsets=Ml(this._content,!0)),this._lineOffsets}positionAt(e){e=Math.max(Math.min(e,this._content.length),0);let t=this.getLineOffsets(),n=0,r=t.length;if(0===r)return{line:0,character:e};for(;n<r;){let i=Math.floor((n+r)/2);t[i]>e?r=i:n=i+1}let i=n-1;return{line:i,character:e-t[i]}}offsetAt(e){let t=this.getLineOffsets();if(e.line>=t.length)return this._content.length;if(e.line<0)return 0;let n=t[e.line],r=e.line+1<t.length?t[e.line+1]:this._content.length;return Math.max(Math.min(n+e.character,r),n)}get lineCount(){return this.getLineOffsets().length}static isIncremental(e){let t=e;return null!=t&&"string"==typeof t.text&&void 0!==t.range&&(void 0===t.rangeLength||"number"==typeof t.rangeLength)}static isFull(e){let t=e;return null!=t&&"string"==typeof t.text&&void 0===t.range&&void 0===t.rangeLength}};function Tl(e,t){if(e.length<=1)return e;const n=e.length/2|0,r=e.slice(0,n),i=e.slice(n);Tl(r,t),Tl(i,t);let s=0,o=0,a=0;for(;s<r.length&&o<i.length;){let n=t(r[s],i[o]);e[a++]=n<=0?r[s++]:i[o++]}for(;s<r.length;)e[a++]=r[s++];for(;o<i.length;)e[a++]=i[o++];return e}function Ml(e,t,n=0){const r=t?[n]:[];for(let t=0;t<e.length;t++){let i=e.charCodeAt(t);13!==i&&10!==i||(13===i&&t+1<e.length&&10===e.charCodeAt(t+1)&&t++,r.push(n+t+1))}return r}function Ol(e){const t=e.start,n=e.end;return t.line>n.line||t.line===n.line&&t.character>n.character?{start:n,end:t}:e}function Il(e){const t=Ol(e.range);return t!==e.range?{newText:e.newText,range:t}:e}function Pl(...e){const t=e[0];let n,r,i;if("string"==typeof t)n=t,r=t,e.splice(0,1),i=e&&"object"==typeof e[0]?e[0]:e;else{if(t instanceof Array){const n=e.slice(1);if(t.length!==n.length+1)throw new Error("expected a string as the first argument to l10n.t");let r=t[0];for(let e=1;e<t.length;e++)r+=`{${e-1}}`+t[e];return Pl(r,...n)}r=t.message,n=r,t.comment&&t.comment.length>0&&(n+=`/${Array.isArray(t.comment)?t.comment.join(""):t.comment}`),i=t.args??{}}return Vl(r,i)}(Ll=wl||(wl={})).create=function(e,t,n,r){return new Rl(e,t,n,r)},Ll.update=function(e,t,n){if(e instanceof Rl)return e.update(t,n),e;throw new Error("TextDocument.update: document must be created by TextDocument.create")},Ll.applyEdits=function(e,t){let n=e.getText(),r=Tl(t.map(Il),((e,t)=>{let n=e.range.start.line-t.range.start.line;return 0===n?e.range.start.character-t.range.start.character:n})),i=0;const s=[];for(const t of r){let r=e.offsetAt(t.range.start);if(r<i)throw new Error("Overlapping edit");r>i&&s.push(n.substring(i,r)),t.newText.length&&s.push(t.newText),i=e.offsetAt(t.range.end)}return s.push(n.substr(i)),s.join("")},(xl=Nl||(Nl={}))[xl.Undefined=0]="Undefined",xl[xl.EnumValueMismatch=1]="EnumValueMismatch",xl[xl.Deprecated=2]="Deprecated",xl[xl.UnexpectedEndOfComment=257]="UnexpectedEndOfComment",xl[xl.UnexpectedEndOfString=258]="UnexpectedEndOfString",xl[xl.UnexpectedEndOfNumber=259]="UnexpectedEndOfNumber",xl[xl.InvalidUnicode=260]="InvalidUnicode",xl[xl.InvalidEscapeCharacter=261]="InvalidEscapeCharacter",xl[xl.InvalidCharacter=262]="InvalidCharacter",xl[xl.PropertyExpected=513]="PropertyExpected",xl[xl.CommaExpected=514]="CommaExpected",xl[xl.ColonExpected=515]="ColonExpected",xl[xl.ValueExpected=516]="ValueExpected",xl[xl.CommaOrCloseBacketExpected=517]="CommaOrCloseBacketExpected",xl[xl.CommaOrCloseBraceExpected=518]="CommaOrCloseBraceExpected",xl[xl.TrailingComma=519]="TrailingComma",xl[xl.DuplicateKey=520]="DuplicateKey",xl[xl.CommentNotPermitted=521]="CommentNotPermitted",xl[xl.PropertyKeysMustBeDoublequoted=528]="PropertyKeysMustBeDoublequoted",xl[xl.SchemaResolveError=768]="SchemaResolveError",xl[xl.SchemaUnsupportedFeature=769]="SchemaUnsupportedFeature",(Al=El||(El={}))[Al.v3=3]="v3",Al[Al.v4=4]="v4",Al[Al.v6=6]="v6",Al[Al.v7=7]="v7",Al[Al.v2019_09=19]="v2019_09",Al[Al.v2020_12=20]="v2020_12",(kl||(kl={})).LATEST={textDocument:{completion:{completionItem:{documentationFormat:[Bo.Markdown,Bo.PlainText],commitCharactersSupport:!0,labelDetailsSupport:!0}}}};var Fl=/{([^}]+)}/g;function Vl(e,t){return 0===Object.keys(t).length?e:e.replace(Fl,((e,n)=>t[n]??e))}var Dl,ql,Kl={"color-hex":{errorMessage:Pl("Invalid color format. Use #RGB, #RGBA, #RRGGBB or #RRGGBBAA."),pattern:/^#([0-9A-Fa-f]{3,4}|([0-9A-Fa-f]{2}){3,4})$/},"date-time":{errorMessage:Pl("String is not a RFC3339 date-time."),pattern:/^(\d{4})-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9]|60)(\.[0-9]+)?(Z|(\+|-)([01][0-9]|2[0-3]):([0-5][0-9]))$/i},date:{errorMessage:Pl("String is not a RFC3339 date."),pattern:/^(\d{4})-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])$/i},time:{errorMessage:Pl("String is not a RFC3339 time."),pattern:/^([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9]|60)(\.[0-9]+)?(Z|(\+|-)([01][0-9]|2[0-3]):([0-5][0-9]))$/i},email:{errorMessage:Pl("String is not an e-mail address."),pattern:/^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z0-9-]+\.)+[a-zA-Z]{2,}))$/},hostname:{errorMessage:Pl("String is not a hostname."),pattern:/^(?=.{1,253}\.?$)[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?(?:\.[a-z0-9](?:[-0-9a-z]{0,61}[0-9a-z])?)*\.?$/i},ipv4:{errorMessage:Pl("String is not an IPv4 address."),pattern:/^(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)\.){3}(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)$/},ipv6:{errorMessage:Pl("String is not an IPv6 address."),pattern:/^((([0-9a-f]{1,4}:){7}([0-9a-f]{1,4}|:))|(([0-9a-f]{1,4}:){6}(:[0-9a-f]{1,4}|((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9a-f]{1,4}:){5}(((:[0-9a-f]{1,4}){1,2})|:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9a-f]{1,4}:){4}(((:[0-9a-f]{1,4}){1,3})|((:[0-9a-f]{1,4})?:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9a-f]{1,4}:){3}(((:[0-9a-f]{1,4}){1,4})|((:[0-9a-f]{1,4}){0,2}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9a-f]{1,4}:){2}(((:[0-9a-f]{1,4}){1,5})|((:[0-9a-f]{1,4}){0,3}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9a-f]{1,4}:){1}(((:[0-9a-f]{1,4}){1,6})|((:[0-9a-f]{1,4}){0,4}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(:(((:[0-9a-f]{1,4}){1,7})|((:[0-9a-f]{1,4}){0,5}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))$/i}},Ul=class{constructor(e,t,n=0){this.offset=t,this.length=n,this.parent=e}get children(){return[]}toString(){return"type: "+this.type+" ("+this.offset+"/"+this.length+")"+(this.parent?" parent: {"+this.parent.toString()+"}":"")}},Bl=class extends Ul{constructor(e,t){super(e,t),this.type="null",this.value=null}},$l=class extends Ul{constructor(e,t,n){super(e,n),this.type="boolean",this.value=t}},jl=class extends Ul{constructor(e,t){super(e,t),this.type="array",this.items=[]}get children(){return this.items}},Wl=class extends Ul{constructor(e,t){super(e,t),this.type="number",this.isInteger=!0,this.value=Number.NaN}},zl=class extends Ul{constructor(e,t,n){super(e,t,n),this.type="string",this.value=""}},Hl=class extends Ul{constructor(e,t,n){super(e,t),this.type="property",this.colonOffset=-1,this.keyNode=n}get children(){return this.valueNode?[this.keyNode,this.valueNode]:[this.keyNode]}},Gl=class extends Ul{constructor(e,t){super(e,t),this.type="object",this.properties=[]}get children(){return this.properties}};function Jl(e){return gl(e)?e?{}:{not:{}}:e}(ql=Dl||(Dl={}))[ql.Key=0]="Key",ql[ql.Enum=1]="Enum";var Xl={"http://json-schema.org/draft-03/schema#":El.v3,"http://json-schema.org/draft-04/schema#":El.v4,"http://json-schema.org/draft-06/schema#":El.v6,"http://json-schema.org/draft-07/schema#":El.v7,"https://json-schema.org/draft/2019-09/schema":El.v2019_09,"https://json-schema.org/draft/2020-12/schema":El.v2020_12},Ql=class{constructor(e){this.schemaDraft=e}},Zl=class e{constructor(e=-1,t){this.focusOffset=e,this.exclude=t,this.schemas=[]}add(e){this.schemas.push(e)}merge(e){Array.prototype.push.apply(this.schemas,e.schemas)}include(e){return(-1===this.focusOffset||ru(e,this.focusOffset))&&e!==this.exclude}newSub(){return new e(-1,this.exclude)}},Yl=class{constructor(){}get schemas(){return[]}add(e){}merge(e){}include(e){return!0}newSub(){return this}};Yl.instance=new Yl;var eu=class{constructor(){this.problems=[],this.propertiesMatches=0,this.processedProperties=new Set,this.propertiesValueMatches=0,this.primaryValueMatches=0,this.enumValueMatch=!1,this.enumValues=void 0}hasProblems(){return!!this.problems.length}merge(e){this.problems=this.problems.concat(e.problems),this.propertiesMatches+=e.propertiesMatches,this.propertiesValueMatches+=e.propertiesValueMatches,this.mergeProcessedProperties(e)}mergeEnumValues(e){if(!this.enumValueMatch&&!e.enumValueMatch&&this.enumValues&&e.enumValues){this.enumValues=this.enumValues.concat(e.enumValues);for(const e of this.problems)e.code===Nl.EnumValueMismatch&&(e.message=Pl("Value is not accepted. Valid values: {0}.",this.enumValues.map((e=>JSON.stringify(e))).join(", ")))}}mergePropertyMatch(e){this.problems=this.problems.concat(e.problems),this.propertiesMatches++,(e.enumValueMatch||!e.hasProblems()&&e.propertiesMatches)&&this.propertiesValueMatches++,e.enumValueMatch&&e.enumValues&&1===e.enumValues.length&&this.primaryValueMatches++}mergeProcessedProperties(e){e.processedProperties.forEach((e=>this.processedProperties.add(e)))}compare(e){const t=this.hasProblems();return t!==e.hasProblems()?t?-1:1:this.enumValueMatch!==e.enumValueMatch?e.enumValueMatch?-1:1:this.primaryValueMatches!==e.primaryValueMatches?this.primaryValueMatches-e.primaryValueMatches:this.propertiesValueMatches!==e.propertiesValueMatches?this.propertiesValueMatches-e.propertiesValueMatches:this.propertiesMatches-e.propertiesMatches}};function tu(e){return hl(e)}function nu(e){return cl(e)}function ru(e,t,n=!1){return t>=e.offset&&t<e.offset+e.length||n&&t===e.offset+e.length}var iu=class{constructor(e,t=[],n=[]){this.root=e,this.syntaxErrors=t,this.comments=n}getNodeFromOffset(e,t=!1){if(this.root)return ul(this.root,e,t)}visit(e){if(this.root){const t=n=>{let r=e(n);const i=n.children;if(Array.isArray(i))for(let e=0;e<i.length&&r;e++)r=t(i[e]);return r};t(this.root)}}validate(e,t,n=lo.Warning,r){if(this.root&&t){const i=new eu;return ou(this.root,t,i,Yl.instance,new Ql(r??su(t))),i.problems.map((t=>{const r=js.create(e.positionAt(t.location.offset),e.positionAt(t.location.offset+t.location.length));return mo.create(r,t.message,t.severity??n,t.code)}))}}getMatchingSchemas(e,t=-1,n){if(this.root&&e){const r=new Zl(t,n),i=su(e),s=new Ql(i);return ou(this.root,e,new eu,r,s),r.schemas}return[]}};function su(e,t=El.v2020_12){let n=e.$schema;return n?Xl[n]??t:t}function ou(e,t,n,r,i){if(!e||!r.include(e))return;if("property"===e.type)return ou(e.valueNode,t,n,r,i);const s=e;switch(function(){function e(e){return s.type===e||"integer"===e&&"number"===s.type&&s.isInteger}Array.isArray(t.type)?t.type.some(e)||n.problems.push({location:{offset:s.offset,length:s.length},message:t.errorMessage||Pl("Incorrect type. Expected one of {0}.",t.type.join(", "))}):t.type&&(e(t.type)||n.problems.push({location:{offset:s.offset,length:s.length},message:t.errorMessage||Pl('Incorrect type. Expected "{0}".',t.type)}));if(Array.isArray(t.allOf))for(const e of t.allOf){const t=new eu,o=r.newSub();ou(s,Jl(e),t,o,i),n.merge(t),r.merge(o)}const o=Jl(t.not);if(o){const e=new eu,a=r.newSub();ou(s,o,e,a,i),e.hasProblems()||n.problems.push({location:{offset:s.offset,length:s.length},message:t.errorMessage||Pl("Matches a schema that is not allowed.")});for(const e of a.schemas)e.inverted=!e.inverted,r.add(e)}const a=(e,t)=>{const o=[];let a;for(const n of e){const e=Jl(n),l=new eu,u=r.newSub();if(ou(s,e,l,u,i),l.hasProblems()||o.push(e),a)if(t||l.hasProblems()||a.validationResult.hasProblems()){const t=l.compare(a.validationResult);t>0?a={schema:e,validationResult:l,matchingSchemas:u}:0===t&&(a.matchingSchemas.merge(u),a.validationResult.mergeEnumValues(l))}else a.matchingSchemas.merge(u),a.validationResult.propertiesMatches+=l.propertiesMatches,a.validationResult.propertiesValueMatches+=l.propertiesValueMatches,a.validationResult.mergeProcessedProperties(l);else a={schema:e,validationResult:l,matchingSchemas:u}}return o.length>1&&t&&n.problems.push({location:{offset:s.offset,length:1},message:Pl("Matches multiple schemas when only one must validate.")}),a&&(n.merge(a.validationResult),r.merge(a.matchingSchemas)),o.length};Array.isArray(t.anyOf)&&a(t.anyOf,!1);Array.isArray(t.oneOf)&&a(t.oneOf,!0);const l=e=>{const t=new eu,o=r.newSub();ou(s,Jl(e),t,o,i),n.merge(t),r.merge(o)},u=Jl(t.if);u&&((e,t,o)=>{const a=Jl(e),u=new eu,c=r.newSub();ou(s,a,u,c,i),r.merge(c),n.mergeProcessedProperties(u),u.hasProblems()?o&&l(o):t&&l(t)})(u,Jl(t.then),Jl(t.else));if(Array.isArray(t.enum)){const e=tu(s);let r=!1;for(const n of t.enum)if(dl(e,n)){r=!0;break}n.enumValues=t.enum,n.enumValueMatch=r,r||n.problems.push({location:{offset:s.offset,length:s.length},code:Nl.EnumValueMismatch,message:t.errorMessage||Pl("Value is not accepted. Valid values: {0}.",t.enum.map((e=>JSON.stringify(e))).join(", "))})}if(ml(t.const)){dl(tu(s),t.const)?n.enumValueMatch=!0:(n.problems.push({location:{offset:s.offset,length:s.length},code:Nl.EnumValueMismatch,message:t.errorMessage||Pl("Value must be {0}.",JSON.stringify(t.const))}),n.enumValueMatch=!1),n.enumValues=[t.const]}let c=t.deprecationMessage;if(c||t.deprecated){c=c||Pl("Value is deprecated");let e="property"===s.parent?.type?s.parent:s;n.problems.push({location:{offset:e.offset,length:e.length},severity:lo.Warning,message:c,code:Nl.Deprecated})}}(),s.type){case"object":!function(e){const s=Object.create(null),o=new Set;for(const t of e.properties){const e=t.keyNode.value;s[e]=t.valueNode,o.add(e)}if(Array.isArray(t.required))for(const r of t.required)if(!s[r]){const t=e.parent&&"property"===e.parent.type&&e.parent.keyNode,i=t?{offset:t.offset,length:t.length}:{offset:e.offset,length:1};n.problems.push({location:i,message:Pl('Missing property "{0}".',r)})}const a=e=>{o.delete(e),n.processedProperties.add(e)};if(t.properties)for(const e of Object.keys(t.properties)){a(e);const o=t.properties[e],l=s[e];if(l)if(gl(o))if(o)n.propertiesMatches++,n.propertiesValueMatches++;else{const r=l.parent;n.problems.push({location:{offset:r.keyNode.offset,length:r.keyNode.length},message:t.errorMessage||Pl("Property {0} is not allowed.",e)})}else{const e=new eu;ou(l,o,e,r,i),n.mergePropertyMatch(e)}}if(t.patternProperties)for(const e of Object.keys(t.patternProperties)){const l=vl(e);if(l){const u=[];for(const a of o)if(l.test(a)){u.push(a);const o=s[a];if(o){const s=t.patternProperties[e];if(gl(s))if(s)n.propertiesMatches++,n.propertiesValueMatches++;else{const e=o.parent;n.problems.push({location:{offset:e.keyNode.offset,length:e.keyNode.length},message:t.errorMessage||Pl("Property {0} is not allowed.",a)})}else{const e=new eu;ou(o,s,e,r,i),n.mergePropertyMatch(e)}}}u.forEach(a)}}const l=t.additionalProperties;if(void 0!==l)for(const e of o){a(e);const o=s[e];if(o)if(!1===l){const r=o.parent;n.problems.push({location:{offset:r.keyNode.offset,length:r.keyNode.length},message:t.errorMessage||Pl("Property {0} is not allowed.",e)})}else if(!0!==l){const e=new eu;ou(o,l,e,r,i),n.mergePropertyMatch(e)}}const u=t.unevaluatedProperties;if(void 0!==u){const e=[];for(const a of o)if(!n.processedProperties.has(a)){e.push(a);const o=s[a];if(o)if(!1===u){const e=o.parent;n.problems.push({location:{offset:e.keyNode.offset,length:e.keyNode.length},message:t.errorMessage||Pl("Property {0} is not allowed.",a)})}else if(!0!==u){const e=new eu;ou(o,u,e,r,i),n.mergePropertyMatch(e)}}e.forEach(a)}fl(t.maxProperties)&&e.properties.length>t.maxProperties&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Object has more properties than limit of {0}.",t.maxProperties)});fl(t.minProperties)&&e.properties.length<t.minProperties&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Object has fewer properties than the required number of {0}",t.minProperties)});if(t.dependentRequired)for(const e in t.dependentRequired){const n=s[e],r=t.dependentRequired[e];n&&Array.isArray(r)&&h(e,r)}if(t.dependentSchemas)for(const e in t.dependentSchemas){const n=s[e],r=t.dependentSchemas[e];n&&bl(r)&&h(e,r)}if(t.dependencies)for(const e in t.dependencies){s[e]&&h(e,t.dependencies[e])}const c=Jl(t.propertyNames);if(c)for(const t of e.properties){const e=t.keyNode;e&&ou(e,c,n,Yl.instance,i)}function h(t,o){if(Array.isArray(o))for(const r of o)s[r]?n.propertiesValueMatches++:n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Object is missing property {0} required by property {1}.",r,t)});else{const t=Jl(o);if(t){const s=new eu;ou(e,t,s,r,i),n.mergePropertyMatch(s)}}}}(s);break;case"array":!function(e){let s,o;i.schemaDraft>=El.v2020_12?(s=t.prefixItems,o=Array.isArray(t.items)?void 0:t.items):(s=Array.isArray(t.items)?t.items:void 0,o=Array.isArray(t.items)?t.additionalItems:t.items);let a=0;if(void 0!==s){const t=Math.min(s.length,e.items.length);for(;a<t;a++){const t=Jl(s[a]),o=new eu,l=e.items[a];l&&(ou(l,t,o,r,i),n.mergePropertyMatch(o)),n.processedProperties.add(String(a))}}if(void 0!==o&&a<e.items.length)if("boolean"==typeof o)for(!1===o&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Array has too many items according to schema. Expected {0} or fewer.",a)});a<e.items.length;a++)n.processedProperties.add(String(a)),n.propertiesValueMatches++;else for(;a<e.items.length;a++){const t=new eu;ou(e.items[a],o,t,r,i),n.mergePropertyMatch(t),n.processedProperties.add(String(a))}const l=Jl(t.contains);if(l){let r=0;for(let t=0;t<e.items.length;t++){const s=e.items[t],o=new eu;ou(s,l,o,Yl.instance,i),o.hasProblems()||(r++,i.schemaDraft>=El.v2020_12&&n.processedProperties.add(String(t)))}0!==r||fl(t.minContains)||n.problems.push({location:{offset:e.offset,length:e.length},message:t.errorMessage||Pl("Array does not contain required item.")}),fl(t.minContains)&&r<t.minContains&&n.problems.push({location:{offset:e.offset,length:e.length},message:t.errorMessage||Pl("Array has too few items that match the contains contraint. Expected {0} or more.",t.minContains)}),fl(t.maxContains)&&r>t.maxContains&&n.problems.push({location:{offset:e.offset,length:e.length},message:t.errorMessage||Pl("Array has too many items that match the contains contraint. Expected {0} or less.",t.maxContains)})}const u=t.unevaluatedItems;if(void 0!==u)for(let s=0;s<e.items.length;s++){if(!n.processedProperties.has(String(s)))if(!1===u)n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Item does not match any validation rule from the array.")});else{const o=new eu;ou(e.items[s],t.unevaluatedItems,o,r,i),n.mergePropertyMatch(o)}n.processedProperties.add(String(s)),n.propertiesValueMatches++}fl(t.minItems)&&e.items.length<t.minItems&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Array has too few items. Expected {0} or more.",t.minItems)});fl(t.maxItems)&&e.items.length>t.maxItems&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Array has too many items. Expected {0} or fewer.",t.maxItems)});if(!0===t.uniqueItems){let t=function(){for(let e=0;e<r.length-1;e++){const t=r[e];for(let n=e+1;n<r.length;n++)if(dl(t,r[n]))return!0}return!1};const r=tu(e);t()&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Array has duplicate items.")})}}(s);break;case"string":!function(e){fl(t.minLength)&&_l(e.value)<t.minLength&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("String is shorter than the minimum length of {0}.",t.minLength)});fl(t.maxLength)&&_l(e.value)>t.maxLength&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("String is longer than the maximum length of {0}.",t.maxLength)});if(pl(t.pattern)){const r=vl(t.pattern);r?.test(e.value)||n.problems.push({location:{offset:e.offset,length:e.length},message:t.patternErrorMessage||t.errorMessage||Pl('String does not match the pattern of "{0}".',t.pattern)})}if(t.format)switch(t.format){case"uri":case"uri-reference":{let r;if(e.value){const n=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/.exec(e.value);n?n[2]||"uri"!==t.format||(r=Pl("URI with a scheme is expected.")):r=Pl("URI is expected.")}else r=Pl("URI expected.");r&&n.problems.push({location:{offset:e.offset,length:e.length},message:t.patternErrorMessage||t.errorMessage||Pl("String is not a URI: {0}",r)})}break;case"color-hex":case"date-time":case"date":case"time":case"email":case"hostname":case"ipv4":case"ipv6":const r=Kl[t.format];e.value&&r.pattern.exec(e.value)||n.problems.push({location:{offset:e.offset,length:e.length},message:t.patternErrorMessage||t.errorMessage||r.errorMessage})}}(s);break;case"number":!function(e){const r=e.value;function i(e){const t=/^(-?\d+)(?:\.(\d+))?(?:e([-+]\d+))?$/.exec(e.toString());return t&&{value:Number(t[1]+(t[2]||"")),multiplier:(t[2]?.length||0)-(parseInt(t[3])||0)}}if(fl(t.multipleOf)){let s=-1;if(Number.isInteger(t.multipleOf))s=r%t.multipleOf;else{let e=i(t.multipleOf),n=i(r);if(e&&n){const t=10**Math.abs(n.multiplier-e.multiplier);n.multiplier<e.multiplier?n.value*=t:e.value*=t,s=n.value%e.value}}0!==s&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Value is not divisible by {0}.",t.multipleOf)})}function s(e,t){return fl(t)?t:gl(t)&&t?e:void 0}function o(e,t){if(!gl(t)||!t)return e}const a=s(t.minimum,t.exclusiveMinimum);fl(a)&&r<=a&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Value is below the exclusive minimum of {0}.",a)});const l=s(t.maximum,t.exclusiveMaximum);fl(l)&&r>=l&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Value is above the exclusive maximum of {0}.",l)});const u=o(t.minimum,t.exclusiveMinimum);fl(u)&&r<u&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Value is below the minimum of {0}.",u)});const c=o(t.maximum,t.exclusiveMaximum);fl(c)&&r>c&&n.problems.push({location:{offset:e.offset,length:e.length},message:Pl("Value is above the maximum of {0}.",c)})}(s)}r.add({node:s,schema:t})}function au(e,t){const n=[];let r=-1;const i=e.getText(),s=Os(i,!1),o=t&&t.collectComments?[]:void 0;function a(){for(;;){const t=s.scan();switch(c(),t){case 12:case 13:Array.isArray(o)&&o.push(js.create(e.positionAt(s.getTokenOffset()),e.positionAt(s.getTokenOffset()+s.getTokenLength())));break;case 15:case 14:break;default:return t}}}function l(t,i,s,o,a=lo.Error){if(0===n.length||s!==r){const l=js.create(e.positionAt(s),e.positionAt(o));n.push(mo.create(l,t,a,i,e.languageId)),r=s}}function u(e,t,n=void 0,r=[],o=[]){let u=s.getTokenOffset(),c=s.getTokenOffset()+s.getTokenLength();if(u===c&&u>0){for(u--;u>0&&/\s/.test(i.charAt(u));)u--;c=u+1}if(l(e,t,u,c),n&&h(n,!1),r.length+o.length>0){let e=s.getToken();for(;17!==e;){if(-1!==r.indexOf(e)){a();break}if(-1!==o.indexOf(e))break;e=a()}}return n}function c(){switch(s.getTokenError()){case 4:return u(Pl("Invalid unicode sequence in string."),Nl.InvalidUnicode),!0;case 5:return u(Pl("Invalid escape character in string."),Nl.InvalidEscapeCharacter),!0;case 3:return u(Pl("Unexpected end of number."),Nl.UnexpectedEndOfNumber),!0;case 1:return u(Pl("Unexpected end of comment."),Nl.UnexpectedEndOfComment),!0;case 2:return u(Pl("Unexpected end of string."),Nl.UnexpectedEndOfString),!0;case 6:return u(Pl("Invalid characters in string. Control characters must be escaped."),Nl.InvalidCharacter),!0}return!1}function h(e,t){return e.length=s.getTokenOffset()+s.getTokenLength()-e.offset,t&&a(),e}const d=new zl(void 0,0,0);function f(t,n){const r=new Hl(t,s.getTokenOffset(),d);let i=m(r);if(!i){if(16!==s.getToken())return;{u(Pl("Property keys must be doublequoted"),Nl.PropertyKeysMustBeDoublequoted);const e=new zl(r,s.getTokenOffset(),s.getTokenLength());e.value=s.getTokenValue(),i=e,a()}}if(r.keyNode=i,"//"!==i.value){const e=n[i.value];e?(l(Pl("Duplicate object key"),Nl.DuplicateKey,r.keyNode.offset,r.keyNode.offset+r.keyNode.length,lo.Warning),bl(e)&&l(Pl("Duplicate object key"),Nl.DuplicateKey,e.keyNode.offset,e.keyNode.offset+e.keyNode.length,lo.Warning),n[i.value]=!0):n[i.value]=r}if(6===s.getToken())r.colonOffset=s.getTokenOffset(),a();else if(u(Pl("Colon expected"),Nl.ColonExpected),10===s.getToken()&&e.positionAt(i.offset+i.length).line<e.positionAt(s.getTokenOffset()).line)return r.length=i.length,r;const o=g(r);return o?(r.valueNode=o,r.length=o.offset+o.length-r.offset,r):u(Pl("Value expected"),Nl.ValueExpected,r,[],[2,5])}function m(e){if(10!==s.getToken())return;const t=new zl(e,s.getTokenOffset());return t.value=s.getTokenValue(),h(t,!0)}function g(e){return function(e){if(3!==s.getToken())return;const t=new jl(e,s.getTokenOffset());a();let n=!1;for(;4!==s.getToken()&&17!==s.getToken();){if(5===s.getToken()){n||u(Pl("Value expected"),Nl.ValueExpected);const e=s.getTokenOffset();if(a(),4===s.getToken()){n&&l(Pl("Trailing comma"),Nl.TrailingComma,e,e+1);continue}}else n&&u(Pl("Expected comma"),Nl.CommaExpected);const e=g(t);e?t.items.push(e):u(Pl("Value expected"),Nl.ValueExpected,void 0,[],[4,5]),n=!0}return 4!==s.getToken()?u(Pl("Expected comma or closing bracket"),Nl.CommaOrCloseBacketExpected,t):h(t,!0)}(e)||function(e){if(1!==s.getToken())return;const t=new Gl(e,s.getTokenOffset()),n=Object.create(null);a();let r=!1;for(;2!==s.getToken()&&17!==s.getToken();){if(5===s.getToken()){r||u(Pl("Property expected"),Nl.PropertyExpected);const e=s.getTokenOffset();if(a(),2===s.getToken()){r&&l(Pl("Trailing comma"),Nl.TrailingComma,e,e+1);continue}}else r&&u(Pl("Expected comma"),Nl.CommaExpected);const e=f(t,n);e?t.properties.push(e):u(Pl("Property expected"),Nl.PropertyExpected,void 0,[],[2,5]),r=!0}return 2!==s.getToken()?u(Pl("Expected comma or closing brace"),Nl.CommaOrCloseBraceExpected,t):h(t,!0)}(e)||m(e)||function(e){if(11!==s.getToken())return;const t=new Wl(e,s.getTokenOffset());if(0===s.getTokenError()){const e=s.getTokenValue();try{const n=JSON.parse(e);if(!fl(n))return u(Pl("Invalid number format."),Nl.Undefined,t);t.value=n}catch(e){return u(Pl("Invalid number format."),Nl.Undefined,t)}t.isInteger=-1===e.indexOf(".")}return h(t,!0)}(e)||function(e){switch(s.getToken()){case 7:return h(new Bl(e,s.getTokenOffset()),!0);case 8:return h(new $l(e,!0,s.getTokenOffset()),!0);case 9:return h(new $l(e,!1,s.getTokenOffset()),!0);default:return}}(e)}let p;return 17!==a()&&(p=g(p),p?17!==s.getToken()&&u(Pl("End of file expected."),Nl.Undefined):u(Pl("Expected a JSON object, array or literal."),Nl.Undefined)),new iu(p,n,o)}function lu(e,t,n){if(null!==e&&"object"==typeof e){const r=t+"\t";if(Array.isArray(e)){if(0===e.length)return"[]";let i="[\n";for(let t=0;t<e.length;t++)i+=r+lu(e[t],r,n),t<e.length-1&&(i+=","),i+="\n";return i+=t+"]",i}{const i=Object.keys(e);if(0===i.length)return"{}";let s="{\n";for(let t=0;t<i.length;t++){const o=i[t];s+=r+JSON.stringify(o)+": "+lu(e[o],r,n),t<i.length-1&&(s+=","),s+="\n"}return s+=t+"}",s}}return n(e)}var uu=class{constructor(e,t=[],n=Promise,r={}){this.schemaService=e,this.contributions=t,this.promiseConstructor=n,this.clientCapabilities=r}doResolve(e){for(let t=this.contributions.length-1;t>=0;t--){const n=this.contributions[t].resolveCompletion;if(n){const t=n(e);if(t)return t}}return this.promiseConstructor.resolve(e)}doComplete(e,t,n){const r={items:[],isIncomplete:!1},i=e.getText(),s=e.offsetAt(t);let o=n.getNodeFromOffset(s,!0);if(this.isInComment(e,o?o.offset:0,s))return Promise.resolve(r);if(o&&s===o.offset+o.length&&s>0){const e=i[s-1];("object"===o.type&&"}"===e||"array"===o.type&&"]"===e)&&(o=o.parent)}const a=this.getCurrentWord(e,s);let l;if(!o||"string"!==o.type&&"number"!==o.type&&"boolean"!==o.type&&"null"!==o.type){let n=s-a.length;n>0&&'"'===i[n-1]&&n--,l=js.create(e.positionAt(n),t)}else l=js.create(e.positionAt(o.offset),e.positionAt(o.offset+o.length));const u=new Map,c={add:e=>{let t=e.label;const n=u.get(t);if(n)n.documentation||(n.documentation=e.documentation),n.detail||(n.detail=e.detail),n.labelDetails||(n.labelDetails=e.labelDetails);else{if(t=t.replace(/[\n]/g,"↵"),t.length>60){const e=t.substr(0,57).trim()+"...";u.has(e)||(t=e)}e.textEdit=yo.replace(l,e.insertText),e.label=t,u.set(t,e),r.items.push(e)}},setAsIncomplete:()=>{r.isIncomplete=!0},error:e=>{console.error(e)},getNumberOfProposals:()=>r.items.length};return this.schemaService.getSchemaForResource(e.uri,n).then((t=>{const h=[];let d,f=!0,m="";if(o&&"string"===o.type){const e=o.parent;e&&"property"===e.type&&e.keyNode===o&&(f=!e.valueNode,d=e,m=i.substr(o.offset+1,o.length-2),e&&(o=e.parent))}if(o&&"object"===o.type){if(o.offset===s)return r;o.properties.forEach((e=>{d&&d===e||u.set(e.keyNode.value,ta.create("__"))}));let g="";f&&(g=this.evaluateSeparatorAfter(e,e.offsetAt(l.end))),t?this.getPropertyCompletions(t,n,o,f,g,c):this.getSchemaLessPropertyCompletions(n,o,m,c);const p=nu(o);this.contributions.forEach((t=>{const n=t.collectPropertyCompletions(e.uri,p,a,f,""===g,c);n&&h.push(n)})),!t&&a.length>0&&'"'!==i.charAt(s-a.length-1)&&(c.add({kind:Wo.Property,label:this.getLabelForValue(a),insertText:this.getInsertTextForProperty(a,void 0,!1,g),insertTextFormat:Ho.Snippet,documentation:""}),c.setAsIncomplete())}const g={};return t?this.getValueCompletions(t,n,o,s,e,c,g):this.getSchemaLessValueCompletions(n,o,s,e,c),this.contributions.length>0&&this.getContributedValueCompletions(n,o,s,e,c,h),this.promiseConstructor.all(h).then((()=>{if(0===c.getNumberOfProposals()){let t=s;!o||"string"!==o.type&&"number"!==o.type&&"boolean"!==o.type&&"null"!==o.type||(t=o.offset+o.length);const n=this.evaluateSeparatorAfter(e,t);this.addFillerValueCompletions(g,n,c)}return r}))}))}getPropertyCompletions(e,t,n,r,i,s){t.getMatchingSchemas(e.schema,n.offset).forEach((e=>{if(e.node===n&&!e.inverted){const t=e.schema.properties;t&&Object.keys(t).forEach((e=>{const n=t[e];if("object"==typeof n&&!n.deprecationMessage&&!n.doNotSuggest){const t={kind:Wo.Property,label:e,insertText:this.getInsertTextForProperty(e,n,r,i),insertTextFormat:Ho.Snippet,filterText:this.getFilterTextForValue(e),documentation:this.fromMarkup(n.markdownDescription)||n.description||""};void 0!==n.suggestSortText&&(t.sortText=n.suggestSortText),t.insertText&&yl(t.insertText,`$1${i}`)&&(t.command={title:"Suggest",command:"editor.action.triggerSuggest"}),s.add(t)}}));const n=e.schema.propertyNames;if("object"==typeof n&&!n.deprecationMessage&&!n.doNotSuggest){const e=(e,t=void 0)=>{const o={kind:Wo.Property,label:e,insertText:this.getInsertTextForProperty(e,void 0,r,i),insertTextFormat:Ho.Snippet,filterText:this.getFilterTextForValue(e),documentation:t||this.fromMarkup(n.markdownDescription)||n.description||""};void 0!==n.suggestSortText&&(o.sortText=n.suggestSortText),o.insertText&&yl(o.insertText,`$1${i}`)&&(o.command={title:"Suggest",command:"editor.action.triggerSuggest"}),s.add(o)};if(n.enum)for(let t=0;t<n.enum.length;t++){let r;n.markdownEnumDescriptions&&t<n.markdownEnumDescriptions.length?r=this.fromMarkup(n.markdownEnumDescriptions[t]):n.enumDescriptions&&t<n.enumDescriptions.length&&(r=n.enumDescriptions[t]),e(n.enum[t],r)}n.const&&e(n.const)}}}))}getSchemaLessPropertyCompletions(e,t,n,r){const i=e=>{e.properties.forEach((e=>{const t=e.keyNode.value;r.add({kind:Wo.Property,label:t,insertText:this.getInsertTextForValue(t,""),insertTextFormat:Ho.Snippet,filterText:this.getFilterTextForValue(t),documentation:""})}))};if(t.parent)if("property"===t.parent.type){const n=t.parent.keyNode.value;e.visit((e=>("property"===e.type&&e!==t.parent&&e.keyNode.value===n&&e.valueNode&&"object"===e.valueNode.type&&i(e.valueNode),!0)))}else"array"===t.parent.type&&t.parent.items.forEach((e=>{"object"===e.type&&e!==t&&i(e)}));else"object"===t.type&&r.add({kind:Wo.Property,label:"$schema",insertText:this.getInsertTextForProperty("$schema",void 0,!0,""),insertTextFormat:Ho.Snippet,documentation:"",filterText:this.getFilterTextForValue("$schema")})}getSchemaLessValueCompletions(e,t,n,r,i){let s=n;if(!t||"string"!==t.type&&"number"!==t.type&&"boolean"!==t.type&&"null"!==t.type||(s=t.offset+t.length,t=t.parent),!t)return i.add({kind:this.getSuggestionKind("object"),label:"Empty object",insertText:this.getInsertTextForValue({},""),insertTextFormat:Ho.Snippet,documentation:""}),void i.add({kind:this.getSuggestionKind("array"),label:"Empty array",insertText:this.getInsertTextForValue([],""),insertTextFormat:Ho.Snippet,documentation:""});const o=this.evaluateSeparatorAfter(r,s),a=e=>{e.parent&&!ru(e.parent,n,!0)&&i.add({kind:this.getSuggestionKind(e.type),label:this.getLabelTextForMatchingNode(e,r),insertText:this.getInsertTextForMatchingNode(e,r,o),insertTextFormat:Ho.Snippet,documentation:""}),"boolean"===e.type&&this.addBooleanValueCompletion(!e.value,o,i)};if("property"===t.type&&n>(t.colonOffset||0)){const r=t.valueNode;if(r&&(n>r.offset+r.length||"object"===r.type||"array"===r.type))return;const s=t.keyNode.value;e.visit((e=>("property"===e.type&&e.keyNode.value===s&&e.valueNode&&a(e.valueNode),!0))),"$schema"===s&&t.parent&&!t.parent.parent&&this.addDollarSchemaCompletions(o,i)}if("array"===t.type)if(t.parent&&"property"===t.parent.type){const n=t.parent.keyNode.value;e.visit((e=>("property"===e.type&&e.keyNode.value===n&&e.valueNode&&"array"===e.valueNode.type&&e.valueNode.items.forEach(a),!0)))}else t.items.forEach(a)}getValueCompletions(e,t,n,r,i,s,o){let a,l,u=r;if(!n||"string"!==n.type&&"number"!==n.type&&"boolean"!==n.type&&"null"!==n.type||(u=n.offset+n.length,l=n,n=n.parent),n){if("property"===n.type&&r>(n.colonOffset||0)){const e=n.valueNode;if(e&&r>e.offset+e.length)return;a=n.keyNode.value,n=n.parent}if(n&&(void 0!==a||"array"===n.type)){const c=this.evaluateSeparatorAfter(i,u),h=t.getMatchingSchemas(e.schema,n.offset,l);for(const e of h)if(e.node===n&&!e.inverted&&e.schema){if("array"===n.type&&e.schema.items){let t=s;if(e.schema.uniqueItems){const e=new Set;n.children.forEach((t=>{"array"!==t.type&&"object"!==t.type&&e.add(this.getLabelForValue(tu(t)))})),t={...s,add(t){e.has(t.label)||s.add(t)}}}if(Array.isArray(e.schema.items)){const s=this.findItemAtOffset(n,i,r);s<e.schema.items.length&&this.addSchemaValueCompletions(e.schema.items[s],c,t,o)}else this.addSchemaValueCompletions(e.schema.items,c,t,o)}if(void 0!==a){let t=!1;if(e.schema.properties){const n=e.schema.properties[a];n&&(t=!0,this.addSchemaValueCompletions(n,c,s,o))}if(e.schema.patternProperties&&!t)for(const n of Object.keys(e.schema.patternProperties)){const r=vl(n);if(r?.test(a)){t=!0;const r=e.schema.patternProperties[n];this.addSchemaValueCompletions(r,c,s,o)}}if(e.schema.additionalProperties&&!t){const t=e.schema.additionalProperties;this.addSchemaValueCompletions(t,c,s,o)}}}"$schema"!==a||n.parent||this.addDollarSchemaCompletions(c,s),o.boolean&&(this.addBooleanValueCompletion(!0,c,s),this.addBooleanValueCompletion(!1,c,s)),o.null&&this.addNullValueCompletion(c,s)}}else this.addSchemaValueCompletions(e.schema,"",s,o)}getContributedValueCompletions(e,t,n,r,i,s){if(t){if("string"!==t.type&&"number"!==t.type&&"boolean"!==t.type&&"null"!==t.type||(t=t.parent),t&&"property"===t.type&&n>(t.colonOffset||0)){const e=t.keyNode.value,o=t.valueNode;if((!o||n<=o.offset+o.length)&&t.parent){const n=nu(t.parent);this.contributions.forEach((t=>{const o=t.collectValueCompletions(r.uri,n,e,i);o&&s.push(o)}))}}}else this.contributions.forEach((e=>{const t=e.collectDefaultCompletions(r.uri,i);t&&s.push(t)}))}addSchemaValueCompletions(e,t,n,r){"object"==typeof e&&(this.addEnumValueCompletions(e,t,n),this.addDefaultValueCompletions(e,t,n),this.collectTypes(e,r),Array.isArray(e.allOf)&&e.allOf.forEach((e=>this.addSchemaValueCompletions(e,t,n,r))),Array.isArray(e.anyOf)&&e.anyOf.forEach((e=>this.addSchemaValueCompletions(e,t,n,r))),Array.isArray(e.oneOf)&&e.oneOf.forEach((e=>this.addSchemaValueCompletions(e,t,n,r))))}addDefaultValueCompletions(e,t,n,r=0){let i=!1;if(ml(e.default)){let s=e.type,o=e.default;for(let e=r;e>0;e--)o=[o],s="array";const a={kind:this.getSuggestionKind(s),label:this.getLabelForValue(o),insertText:this.getInsertTextForValue(o,t),insertTextFormat:Ho.Snippet};this.doesSupportsLabelDetails()?a.labelDetails={description:Pl("Default value")}:a.detail=Pl("Default value"),n.add(a),i=!0}Array.isArray(e.examples)&&e.examples.forEach((s=>{let o=e.type,a=s;for(let e=r;e>0;e--)a=[a],o="array";n.add({kind:this.getSuggestionKind(o),label:this.getLabelForValue(a),insertText:this.getInsertTextForValue(a,t),insertTextFormat:Ho.Snippet}),i=!0})),Array.isArray(e.defaultSnippets)&&e.defaultSnippets.forEach((s=>{let o,a,l=e.type,u=s.body,c=s.label;if(ml(u)){let n=e.type;for(let e=r;e>0;e--)u=[u],n="array";o=this.getInsertTextForSnippetValue(u,t),a=this.getFilterTextForSnippetValue(u),c=c||this.getLabelForSnippetValue(u)}else{if("string"!=typeof s.bodyText)return;{let e="",n="",i="";for(let t=r;t>0;t--)e=e+i+"[\n",n=n+"\n"+i+"]",i+="\t",l="array";o=e+i+s.bodyText.split("\n").join("\n"+i)+n+t,c=c||o,a=o.replace(/[\n]/g,"")}}n.add({kind:this.getSuggestionKind(l),label:c,documentation:this.fromMarkup(s.markdownDescription)||s.description,insertText:o,insertTextFormat:Ho.Snippet,filterText:a}),i=!0})),!i&&"object"==typeof e.items&&!Array.isArray(e.items)&&r<5&&this.addDefaultValueCompletions(e.items,t,n,r+1)}addEnumValueCompletions(e,t,n){if(ml(e.const)&&n.add({kind:this.getSuggestionKind(e.type),label:this.getLabelForValue(e.const),insertText:this.getInsertTextForValue(e.const,t),insertTextFormat:Ho.Snippet,documentation:this.fromMarkup(e.markdownDescription)||e.description}),Array.isArray(e.enum))for(let r=0,i=e.enum.length;r<i;r++){const i=e.enum[r];let s=this.fromMarkup(e.markdownDescription)||e.description;e.markdownEnumDescriptions&&r<e.markdownEnumDescriptions.length&&this.doesSupportMarkdown()?s=this.fromMarkup(e.markdownEnumDescriptions[r]):e.enumDescriptions&&r<e.enumDescriptions.length&&(s=e.enumDescriptions[r]),n.add({kind:this.getSuggestionKind(e.type),label:this.getLabelForValue(i),insertText:this.getInsertTextForValue(i,t),insertTextFormat:Ho.Snippet,documentation:s})}}collectTypes(e,t){if(Array.isArray(e.enum)||ml(e.const))return;const n=e.type;Array.isArray(n)?n.forEach((e=>t[e]=!0)):n&&(t[n]=!0)}addFillerValueCompletions(e,t,n){e.object&&n.add({kind:this.getSuggestionKind("object"),label:"{}",insertText:this.getInsertTextForGuessedValue({},t),insertTextFormat:Ho.Snippet,detail:Pl("New object"),documentation:""}),e.array&&n.add({kind:this.getSuggestionKind("array"),label:"[]",insertText:this.getInsertTextForGuessedValue([],t),insertTextFormat:Ho.Snippet,detail:Pl("New array"),documentation:""})}addBooleanValueCompletion(e,t,n){n.add({kind:this.getSuggestionKind("boolean"),label:e?"true":"false",insertText:this.getInsertTextForValue(e,t),insertTextFormat:Ho.Snippet,documentation:""})}addNullValueCompletion(e,t){t.add({kind:this.getSuggestionKind("null"),label:"null",insertText:"null"+e,insertTextFormat:Ho.Snippet,documentation:""})}addDollarSchemaCompletions(e,t){this.schemaService.getRegisteredSchemaIds((e=>"http"===e||"https"===e)).forEach((n=>{n.startsWith("http://json-schema.org/draft-")&&(n+="#"),t.add({kind:Wo.Module,label:this.getLabelForValue(n),filterText:this.getFilterTextForValue(n),insertText:this.getInsertTextForValue(n,e),insertTextFormat:Ho.Snippet,documentation:""})}))}getLabelForValue(e){return JSON.stringify(e)}getValueFromLabel(e){return JSON.parse(e)}getFilterTextForValue(e){return JSON.stringify(e)}getFilterTextForSnippetValue(e){return JSON.stringify(e).replace(/\$\{\d+:([^}]+)\}|\$\d+/g,"$1")}getLabelForSnippetValue(e){return JSON.stringify(e).replace(/\$\{\d+:([^}]+)\}|\$\d+/g,"$1")}getInsertTextForPlainText(e){return e.replace(/[\\\$\}]/g,"\\$&")}getInsertTextForValue(e,t){const n=JSON.stringify(e,null,"\t");return"{}"===n?"{$1}"+t:"[]"===n?"[$1]"+t:this.getInsertTextForPlainText(n+t)}getInsertTextForSnippetValue(e,t){return lu(e,"",(e=>"string"==typeof e&&"^"===e[0]?e.substr(1):JSON.stringify(e)))+t}getInsertTextForGuessedValue(e,t){switch(typeof e){case"object":return null===e?"${1:null}"+t:this.getInsertTextForValue(e,t);case"string":let n=JSON.stringify(e);return n=n.substr(1,n.length-2),n=this.getInsertTextForPlainText(n),'"${1:'+n+'}"'+t;case"number":case"boolean":return"${1:"+JSON.stringify(e)+"}"+t}return this.getInsertTextForValue(e,t)}getSuggestionKind(e){if(Array.isArray(e)){const t=e;e=t.length>0?t[0]:void 0}if(!e)return Wo.Value;switch(e){case"string":default:return Wo.Value;case"object":return Wo.Module;case"property":return Wo.Property}}getLabelTextForMatchingNode(e,t){switch(e.type){case"array":return"[]";case"object":return"{}";default:return t.getText().substr(e.offset,e.length)}}getInsertTextForMatchingNode(e,t,n){switch(e.type){case"array":return this.getInsertTextForValue([],n);case"object":return this.getInsertTextForValue({},n);default:const r=t.getText().substr(e.offset,e.length)+n;return this.getInsertTextForPlainText(r)}}getInsertTextForProperty(e,t,n,r){const i=this.getInsertTextForValue(e,"");if(!n)return i;const s=i+": ";let o,a=0;if(t){if(Array.isArray(t.defaultSnippets)){if(1===t.defaultSnippets.length){const e=t.defaultSnippets[0].body;ml(e)&&(o=this.getInsertTextForSnippetValue(e,""))}a+=t.defaultSnippets.length}if(t.enum&&(o||1!==t.enum.length||(o=this.getInsertTextForGuessedValue(t.enum[0],"")),a+=t.enum.length),ml(t.const)&&(o||(o=this.getInsertTextForGuessedValue(t.const,"")),a++),ml(t.default)&&(o||(o=this.getInsertTextForGuessedValue(t.default,"")),a++),Array.isArray(t.examples)&&t.examples.length&&(o||(o=this.getInsertTextForGuessedValue(t.examples[0],"")),a+=t.examples.length),0===a){let e=Array.isArray(t.type)?t.type[0]:t.type;switch(e||(t.properties?e="object":t.items&&(e="array")),e){case"boolean":o="$1";break;case"string":o='"$1"';break;case"object":o="{$1}";break;case"array":o="[$1]";break;case"number":case"integer":o="${1:0}";break;case"null":o="${1:null}";break;default:return i}}}return(!o||a>1)&&(o="$1"),s+o+r}getCurrentWord(e,t){let n=t-1;const r=e.getText();for(;n>=0&&-1===' \t\n\r\v":{[,]}'.indexOf(r.charAt(n));)n--;return r.substring(n+1,t)}evaluateSeparatorAfter(e,t){const n=Os(e.getText(),!0);n.setPosition(t);switch(n.scan()){case 5:case 2:case 4:case 17:return"";default:return","}}findItemAtOffset(e,t,n){const r=Os(t.getText(),!0),i=e.items;for(let e=i.length-1;e>=0;e--){const t=i[e];if(n>t.offset+t.length){r.setPosition(t.offset+t.length);return 5===r.scan()&&n>=r.getTokenOffset()+r.getTokenLength()?e+1:e}if(n>=t.offset)return e}return 0}isInComment(e,t,n){const r=Os(e.getText(),!1);r.setPosition(t);let i=r.scan();for(;17!==i&&r.getTokenOffset()+r.getTokenLength()<n;)i=r.scan();return(12===i||13===i)&&r.getTokenOffset()<=n}fromMarkup(e){if(e&&this.doesSupportMarkdown())return{kind:Bo.Markdown,value:e}}doesSupportMarkdown(){if(!ml(this.supportsMarkdown)){const e=this.clientCapabilities.textDocument?.completion?.completionItem?.documentationFormat;this.supportsMarkdown=Array.isArray(e)&&-1!==e.indexOf(Bo.Markdown)}return this.supportsMarkdown}doesSupportsCommitCharacters(){return ml(this.supportsCommitCharacters)||(this.labelDetailsSupport=this.clientCapabilities.textDocument?.completion?.completionItem?.commitCharactersSupport),this.supportsCommitCharacters}doesSupportsLabelDetails(){return ml(this.labelDetailsSupport)||(this.labelDetailsSupport=this.clientCapabilities.textDocument?.completion?.completionItem?.labelDetailsSupport),this.labelDetailsSupport}},cu=class{constructor(e,t=[],n){this.schemaService=e,this.contributions=t,this.promise=n||Promise}doHover(e,t,n){const r=e.offsetAt(t);let i=n.getNodeFromOffset(r);if(!i||("object"===i.type||"array"===i.type)&&r>i.offset+1&&r<i.offset+i.length-1)return this.promise.resolve(null);const s=i;if("string"===i.type){const e=i.parent;if(e&&"property"===e.type&&e.keyNode===i&&(i=e.valueNode,!i))return this.promise.resolve(null)}const o=js.create(e.positionAt(s.offset),e.positionAt(s.offset+s.length)),a=e=>({contents:e,range:o}),l=nu(i);for(let t=this.contributions.length-1;t>=0;t--){const n=this.contributions[t].getInfoContribution(e.uri,l);if(n)return n.then((e=>a(e)))}return this.schemaService.getSchemaForResource(e.uri,n).then((e=>{if(e&&i){let t,r,s,o;n.getMatchingSchemas(e.schema,i.offset).every((e=>{if(e.node===i&&!e.inverted&&e.schema&&(t=t||e.schema.title,r=r||e.schema.markdownDescription||hu(e.schema.description),e.schema.enum)){const t=e.schema.enum.indexOf(tu(i));e.schema.markdownEnumDescriptions?s=e.schema.markdownEnumDescriptions[t]:e.schema.enumDescriptions&&(s=hu(e.schema.enumDescriptions[t])),s&&(o=e.schema.enum[t],"string"!=typeof o&&(o=JSON.stringify(o)))}return!0}));let l="";return t&&(l=hu(t)),r&&(l.length>0&&(l+="\n\n"),l+=r),s&&(l.length>0&&(l+="\n\n"),l+=`\`${function(e){if(-1!==e.indexOf("`"))return"`` "+e+" ``";return e}(o)}\`: ${s}`),a([l])}return null}))}};function hu(e){if(e){return e.replace(/([^\n\r])(\r?\n)([^\n\r])/gm,"$1\n\n$3").replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&")}}var du=class{constructor(e,t){this.jsonSchemaService=e,this.promise=t,this.validationEnabled=!0}configure(e){e&&(this.validationEnabled=!1!==e.validate,this.commentSeverity=e.allowComments?void 0:lo.Error)}doValidation(e,t,n,r){if(!this.validationEnabled)return this.promise.resolve([]);const i=[],s={},o=e=>{const t=e.range.start.line+" "+e.range.start.character+" "+e.message;s[t]||(s[t]=!0,i.push(e))},a=r=>{let s=n?.trailingCommas?pu(n.trailingCommas):lo.Error,a=n?.comments?pu(n.comments):this.commentSeverity,l=n?.schemaValidation?pu(n.schemaValidation):lo.Warning,u=n?.schemaRequest?pu(n.schemaRequest):lo.Warning;if(r){const i=(n,r)=>{if(t.root&&u){const i=t.root,s="object"===i.type?i.properties[0]:void 0;if(s&&"$schema"===s.keyNode.value){const t=s.valueNode||s,i=js.create(e.positionAt(t.offset),e.positionAt(t.offset+t.length));o(mo.create(i,n,u,r))}else{const t=js.create(e.positionAt(i.offset),e.positionAt(i.offset+1));o(mo.create(t,n,u,r))}}};if(r.errors.length)i(r.errors[0],Nl.SchemaResolveError);else if(l){for(const e of r.warnings)i(e,Nl.SchemaUnsupportedFeature);const s=t.validate(e,r.schema,l,n?.schemaDraft);s&&s.forEach(o)}mu(r.schema)&&(a=void 0),gu(r.schema)&&(s=void 0)}for(const e of t.syntaxErrors){if(e.code===Nl.TrailingComma){if("number"!=typeof s)continue;e.severity=s}o(e)}if("number"==typeof a){const e=Pl("Comments are not permitted in JSON.");t.comments.forEach((t=>{o(mo.create(t,e,a,Nl.CommentNotPermitted))}))}return i};if(r){const e=r.id||"schemaservice://untitled/"+fu++;return this.jsonSchemaService.registerExternalSchema({uri:e,schema:r}).getResolvedSchema().then((e=>a(e)))}return this.jsonSchemaService.getSchemaForResource(e.uri,t).then((e=>a(e)))}getLanguageStatus(e,t){return{schemas:this.jsonSchemaService.getSchemaURIsForResource(e.uri,t)}}},fu=0;function mu(e){if(e&&"object"==typeof e){if(gl(e.allowComments))return e.allowComments;if(e.allOf)for(const t of e.allOf){const e=mu(t);if(gl(e))return e}}}function gu(e){if(e&&"object"==typeof e){if(gl(e.allowTrailingCommas))return e.allowTrailingCommas;const t=e;if(gl(t.allowsTrailingCommas))return t.allowsTrailingCommas;if(e.allOf)for(const t of e.allOf){const e=gu(t);if(gl(e))return e}}}function pu(e){switch(e){case"error":return lo.Error;case"warning":return lo.Warning;case"ignore":return}}function bu(e){return e<48?0:e<=57?e-48:(e<97&&(e+=32),e>=97&&e<=102?e-97+10:0)}function yu(e){if("#"===e[0])switch(e.length){case 4:return{red:17*bu(e.charCodeAt(1))/255,green:17*bu(e.charCodeAt(2))/255,blue:17*bu(e.charCodeAt(3))/255,alpha:1};case 5:return{red:17*bu(e.charCodeAt(1))/255,green:17*bu(e.charCodeAt(2))/255,blue:17*bu(e.charCodeAt(3))/255,alpha:17*bu(e.charCodeAt(4))/255};case 7:return{red:(16*bu(e.charCodeAt(1))+bu(e.charCodeAt(2)))/255,green:(16*bu(e.charCodeAt(3))+bu(e.charCodeAt(4)))/255,blue:(16*bu(e.charCodeAt(5))+bu(e.charCodeAt(6)))/255,alpha:1};case 9:return{red:(16*bu(e.charCodeAt(1))+bu(e.charCodeAt(2)))/255,green:(16*bu(e.charCodeAt(3))+bu(e.charCodeAt(4)))/255,blue:(16*bu(e.charCodeAt(5))+bu(e.charCodeAt(6)))/255,alpha:(16*bu(e.charCodeAt(7))+bu(e.charCodeAt(8)))/255}}}var vu=class{constructor(e){this.schemaService=e}findDocumentSymbols(e,t,n={resultLimit:Number.MAX_VALUE}){const r=t.root;if(!r)return[];let i=n.resultLimit||Number.MAX_VALUE;const s=e.uri;if(("vscode://defaultsettings/keybindings.json"===s||yl(s.toLowerCase(),"/user/keybindings.json"))&&"array"===r.type){const t=[];for(const o of r.items)if("object"===o.type)for(const r of o.properties)if("key"===r.keyNode.value&&r.valueNode){const a=zs.create(e.uri,_u(e,o));if(t.push({name:Cu(r.valueNode),kind:ha.Function,location:a}),i--,i<=0)return n&&n.onResultLimitExceeded&&n.onResultLimitExceeded(s),t}return t}const o=[{node:r,containerName:""}];let a=0,l=!1;const u=[],c=(t,n)=>{"array"===t.type?t.items.forEach((e=>{e&&o.push({node:e,containerName:n})})):"object"===t.type&&t.properties.forEach((t=>{const r=t.valueNode;if(r)if(i>0){i--;const s=zs.create(e.uri,_u(e,t)),a=n?n+"."+t.keyNode.value:t.keyNode.value;u.push({name:this.getKeyLabel(t),kind:this.getSymbolKind(r.type),location:s,containerName:n}),o.push({node:r,containerName:a})}else l=!0}))};for(;a<o.length;){const e=o[a++];c(e.node,e.containerName)}return l&&n&&n.onResultLimitExceeded&&n.onResultLimitExceeded(s),u}findDocumentSymbols2(e,t,n={resultLimit:Number.MAX_VALUE}){const r=t.root;if(!r)return[];let i=n.resultLimit||Number.MAX_VALUE;const s=e.uri;if(("vscode://defaultsettings/keybindings.json"===s||yl(s.toLowerCase(),"/user/keybindings.json"))&&"array"===r.type){const t=[];for(const o of r.items)if("object"===o.type)for(const r of o.properties)if("key"===r.keyNode.value&&r.valueNode){const a=_u(e,o),l=_u(e,r.keyNode);if(t.push({name:Cu(r.valueNode),kind:ha.Function,range:a,selectionRange:l}),i--,i<=0)return n&&n.onResultLimitExceeded&&n.onResultLimitExceeded(s),t}return t}const o=[],a=[{node:r,result:o}];let l=0,u=!1;const c=(t,n)=>{"array"===t.type?t.items.forEach(((t,r)=>{if(t)if(i>0){i--;const s=_u(e,t),o=s,l={name:String(r),kind:this.getSymbolKind(t.type),range:s,selectionRange:o,children:[]};n.push(l),a.push({result:l.children,node:t})}else u=!0})):"object"===t.type&&t.properties.forEach((t=>{const r=t.valueNode;if(r)if(i>0){i--;const s=_u(e,t),o=_u(e,t.keyNode),l=[],u={name:this.getKeyLabel(t),kind:this.getSymbolKind(r.type),range:s,selectionRange:o,children:l,detail:this.getDetail(r)};n.push(u),a.push({result:l,node:r})}else u=!0}))};for(;l<a.length;){const e=a[l++];c(e.node,e.result)}return u&&n&&n.onResultLimitExceeded&&n.onResultLimitExceeded(s),o}getSymbolKind(e){switch(e){case"object":return ha.Module;case"string":return ha.String;case"number":return ha.Number;case"array":return ha.Array;case"boolean":return ha.Boolean;default:return ha.Variable}}getKeyLabel(e){let t=e.keyNode.value;return t&&(t=t.replace(/[\n]/g,"↵")),t&&t.trim()?t:`"${t}"`}getDetail(e){if(e)return"boolean"===e.type||"number"===e.type||"null"===e.type||"string"===e.type?String(e.value):"array"===e.type?e.children.length?void 0:"[]":"object"===e.type?e.children.length?void 0:"{}":void 0}findDocumentColors(e,t,n){return this.schemaService.getSchemaForResource(e.uri,t).then((r=>{const i=[];if(r){let s=n&&"number"==typeof n.resultLimit?n.resultLimit:Number.MAX_VALUE;const o=t.getMatchingSchemas(r.schema),a={};for(const t of o)if(!t.inverted&&t.schema&&("color"===t.schema.format||"color-hex"===t.schema.format)&&t.node&&"string"===t.node.type){const r=String(t.node.offset);if(!a[r]){const o=yu(tu(t.node));if(o){const n=_u(e,t.node);i.push({color:o,range:n})}if(a[r]=!0,s--,s<=0)return n&&n.onResultLimitExceeded&&n.onResultLimitExceeded(e.uri),i}}}return i}))}getColorPresentations(e,t,n,r){const i=[],s=Math.round(255*n.red),o=Math.round(255*n.green),a=Math.round(255*n.blue);function l(e){const t=e.toString(16);return 2!==t.length?"0"+t:t}let u;return u=1===n.alpha?`#${l(s)}${l(o)}${l(a)}`:`#${l(s)}${l(o)}${l(a)}${l(Math.round(255*n.alpha))}`,i.push({label:u,textEdit:yo.replace(r,JSON.stringify(u))}),i}};function _u(e,t){return js.create(e.positionAt(t.offset),e.positionAt(t.offset+t.length))}function Cu(e){return tu(e)||Pl("<empty>")}var Su,wu={schemaAssociations:[],schemas:{"http://json-schema.org/draft-04/schema#":{$schema:"http://json-schema.org/draft-04/schema#",definitions:{schemaArray:{type:"array",minItems:1,items:{$ref:"#"}},positiveInteger:{type:"integer",minimum:0},positiveIntegerDefault0:{allOf:[{$ref:"#/definitions/positiveInteger"},{default:0}]},simpleTypes:{type:"string",enum:["array","boolean","integer","null","number","object","string"]},stringArray:{type:"array",items:{type:"string"},minItems:1,uniqueItems:!0}},type:"object",properties:{id:{type:"string",format:"uri"},$schema:{type:"string",format:"uri"},title:{type:"string"},description:{type:"string"},default:{},multipleOf:{type:"number",minimum:0,exclusiveMinimum:!0},maximum:{type:"number"},exclusiveMaximum:{type:"boolean",default:!1},minimum:{type:"number"},exclusiveMinimum:{type:"boolean",default:!1},maxLength:{allOf:[{$ref:"#/definitions/positiveInteger"}]},minLength:{allOf:[{$ref:"#/definitions/positiveIntegerDefault0"}]},pattern:{type:"string",format:"regex"},additionalItems:{anyOf:[{type:"boolean"},{$ref:"#"}],default:{}},items:{anyOf:[{$ref:"#"},{$ref:"#/definitions/schemaArray"}],default:{}},maxItems:{allOf:[{$ref:"#/definitions/positiveInteger"}]},minItems:{allOf:[{$ref:"#/definitions/positiveIntegerDefault0"}]},uniqueItems:{type:"boolean",default:!1},maxProperties:{allOf:[{$ref:"#/definitions/positiveInteger"}]},minProperties:{allOf:[{$ref:"#/definitions/positiveIntegerDefault0"}]},required:{allOf:[{$ref:"#/definitions/stringArray"}]},additionalProperties:{anyOf:[{type:"boolean"},{$ref:"#"}],default:{}},definitions:{type:"object",additionalProperties:{$ref:"#"},default:{}},properties:{type:"object",additionalProperties:{$ref:"#"},default:{}},patternProperties:{type:"object",additionalProperties:{$ref:"#"},default:{}},dependencies:{type:"object",additionalProperties:{anyOf:[{$ref:"#"},{$ref:"#/definitions/stringArray"}]}},enum:{type:"array",minItems:1,uniqueItems:!0},type:{anyOf:[{$ref:"#/definitions/simpleTypes"},{type:"array",items:{$ref:"#/definitions/simpleTypes"},minItems:1,uniqueItems:!0}]},format:{anyOf:[{type:"string",enum:["date-time","uri","email","hostname","ipv4","ipv6","regex"]},{type:"string"}]},allOf:{allOf:[{$ref:"#/definitions/schemaArray"}]},anyOf:{allOf:[{$ref:"#/definitions/schemaArray"}]},oneOf:{allOf:[{$ref:"#/definitions/schemaArray"}]},not:{allOf:[{$ref:"#"}]}},dependencies:{exclusiveMaximum:["maximum"],exclusiveMinimum:["minimum"]},default:{}},"http://json-schema.org/draft-07/schema#":{definitions:{schemaArray:{type:"array",minItems:1,items:{$ref:"#"}},nonNegativeInteger:{type:"integer",minimum:0},nonNegativeIntegerDefault0:{allOf:[{$ref:"#/definitions/nonNegativeInteger"},{default:0}]},simpleTypes:{enum:["array","boolean","integer","null","number","object","string"]},stringArray:{type:"array",items:{type:"string"},uniqueItems:!0,default:[]}},type:["object","boolean"],properties:{$id:{type:"string",format:"uri-reference"},$schema:{type:"string",format:"uri"},$ref:{type:"string",format:"uri-reference"},$comment:{type:"string"},title:{type:"string"},description:{type:"string"},default:!0,readOnly:{type:"boolean",default:!1},examples:{type:"array",items:!0},multipleOf:{type:"number",exclusiveMinimum:0},maximum:{type:"number"},exclusiveMaximum:{type:"number"},minimum:{type:"number"},exclusiveMinimum:{type:"number"},maxLength:{$ref:"#/definitions/nonNegativeInteger"},minLength:{$ref:"#/definitions/nonNegativeIntegerDefault0"},pattern:{type:"string",format:"regex"},additionalItems:{$ref:"#"},items:{anyOf:[{$ref:"#"},{$ref:"#/definitions/schemaArray"}],default:!0},maxItems:{$ref:"#/definitions/nonNegativeInteger"},minItems:{$ref:"#/definitions/nonNegativeIntegerDefault0"},uniqueItems:{type:"boolean",default:!1},contains:{$ref:"#"},maxProperties:{$ref:"#/definitions/nonNegativeInteger"},minProperties:{$ref:"#/definitions/nonNegativeIntegerDefault0"},required:{$ref:"#/definitions/stringArray"},additionalProperties:{$ref:"#"},definitions:{type:"object",additionalProperties:{$ref:"#"},default:{}},properties:{type:"object",additionalProperties:{$ref:"#"},default:{}},patternProperties:{type:"object",additionalProperties:{$ref:"#"},propertyNames:{format:"regex"},default:{}},dependencies:{type:"object",additionalProperties:{anyOf:[{$ref:"#"},{$ref:"#/definitions/stringArray"}]}},propertyNames:{$ref:"#"},const:!0,enum:{type:"array",items:!0,minItems:1,uniqueItems:!0},type:{anyOf:[{$ref:"#/definitions/simpleTypes"},{type:"array",items:{$ref:"#/definitions/simpleTypes"},minItems:1,uniqueItems:!0}]},format:{type:"string"},contentMediaType:{type:"string"},contentEncoding:{type:"string"},if:{$ref:"#"},then:{$ref:"#"},else:{$ref:"#"},allOf:{$ref:"#/definitions/schemaArray"},anyOf:{$ref:"#/definitions/schemaArray"},oneOf:{$ref:"#/definitions/schemaArray"},not:{$ref:"#"}},default:!0}}},Lu={id:Pl("A unique identifier for the schema."),$schema:Pl("The schema to verify this document against."),title:Pl("A descriptive title of the element."),description:Pl("A long description of the element. Used in hover menus and suggestions."),default:Pl("A default value. Used by suggestions."),multipleOf:Pl("A number that should cleanly divide the current value (i.e. have no remainder)."),maximum:Pl("The maximum numerical value, inclusive by default."),exclusiveMaximum:Pl("Makes the maximum property exclusive."),minimum:Pl("The minimum numerical value, inclusive by default."),exclusiveMinimum:Pl("Makes the minimum property exclusive."),maxLength:Pl("The maximum length of a string."),minLength:Pl("The minimum length of a string."),pattern:Pl("A regular expression to match the string against. It is not implicitly anchored."),additionalItems:Pl("For arrays, only when items is set as an array. If it is a schema, then this schema validates items after the ones specified by the items array. If it is false, then additional items will cause validation to fail."),items:Pl("For arrays. Can either be a schema to validate every element against or an array of schemas to validate each item against in order (the first schema will validate the first element, the second schema will validate the second element, and so on."),maxItems:Pl("The maximum number of items that can be inside an array. Inclusive."),minItems:Pl("The minimum number of items that can be inside an array. Inclusive."),uniqueItems:Pl("If all of the items in the array must be unique. Defaults to false."),maxProperties:Pl("The maximum number of properties an object can have. Inclusive."),minProperties:Pl("The minimum number of properties an object can have. Inclusive."),required:Pl("An array of strings that lists the names of all properties required on this object."),additionalProperties:Pl("Either a schema or a boolean. If a schema, then used to validate all properties not matched by 'properties' or 'patternProperties'. If false, then any properties not matched by either will cause this schema to fail."),definitions:Pl("Not used for validation. Place subschemas here that you wish to reference inline with $ref."),properties:Pl("A map of property names to schemas for each property."),patternProperties:Pl("A map of regular expressions on property names to schemas for matching properties."),dependencies:Pl("A map of property names to either an array of property names or a schema. An array of property names means the property named in the key depends on the properties in the array being present in the object in order to be valid. If the value is a schema, then the schema is only applied to the object if the property in the key exists on the object."),enum:Pl("The set of literal values that are valid."),type:Pl("Either a string of one of the basic schema types (number, integer, null, array, object, boolean, string) or an array of strings specifying a subset of those types."),format:Pl("Describes the format expected for the value."),allOf:Pl("An array of schemas, all of which must match."),anyOf:Pl("An array of schemas, where at least one must match."),oneOf:Pl("An array of schemas, exactly one of which must match."),not:Pl("A schema which must not match."),$id:Pl("A unique identifier for the schema."),$ref:Pl("Reference a definition hosted on any location."),$comment:Pl("Comments from schema authors to readers or maintainers of the schema."),readOnly:Pl("Indicates that the value of the instance is managed exclusively by the owning authority."),examples:Pl("Sample JSON values associated with a particular schema, for the purpose of illustrating usage."),contains:Pl('An array instance is valid against "contains" if at least one of its elements is valid against the given schema.'),propertyNames:Pl("If the instance is an object, this keyword validates if every property name in the instance validates against the provided schema."),const:Pl("An instance validates successfully against this keyword if its value is equal to the value of the keyword."),contentMediaType:Pl("Describes the media type of a string property."),contentEncoding:Pl("Describes the content encoding of a string property."),if:Pl('The validation outcome of the "if" subschema controls which of the "then" or "else" keywords are evaluated.'),then:Pl('The "if" subschema is used for validation when the "if" subschema succeeds.'),else:Pl('The "else" subschema is used for validation when the "if" subschema fails.')};for(const e in wu.schemas){const t=wu.schemas[e];for(const e in t.properties){let n=t.properties[e];"boolean"==typeof n&&(n=t.properties[e]={});const r=Lu[e];r&&(n.description=r)}}(()=>{var e={470:e=>{function t(e){if("string"!=typeof e)throw new TypeError("Path must be a string. Received "+JSON.stringify(e))}function n(e,t){for(var n,r="",i=0,s=-1,o=0,a=0;a<=e.length;++a){if(a<e.length)n=e.charCodeAt(a);else{if(47===n)break;n=47}if(47===n){if(s===a-1||1===o);else if(s!==a-1&&2===o){if(r.length<2||2!==i||46!==r.charCodeAt(r.length-1)||46!==r.charCodeAt(r.length-2))if(r.length>2){var l=r.lastIndexOf("/");if(l!==r.length-1){-1===l?(r="",i=0):i=(r=r.slice(0,l)).length-1-r.lastIndexOf("/"),s=a,o=0;continue}}else if(2===r.length||1===r.length){r="",i=0,s=a,o=0;continue}t&&(r.length>0?r+="/..":r="..",i=2)}else r.length>0?r+="/"+e.slice(s+1,a):r=e.slice(s+1,a),i=a-s-1;s=a,o=0}else 46===n&&-1!==o?++o:o=-1}return r}var r={resolve:function(){for(var e,r="",i=!1,s=arguments.length-1;s>=-1&&!i;s--){var o;s>=0?o=arguments[s]:(void 0===e&&(e=process.cwd()),o=e),t(o),0!==o.length&&(r=o+"/"+r,i=47===o.charCodeAt(0))}return r=n(r,!i),i?r.length>0?"/"+r:"/":r.length>0?r:"."},normalize:function(e){if(t(e),0===e.length)return".";var r=47===e.charCodeAt(0),i=47===e.charCodeAt(e.length-1);return 0!==(e=n(e,!r)).length||r||(e="."),e.length>0&&i&&(e+="/"),r?"/"+e:e},isAbsolute:function(e){return t(e),e.length>0&&47===e.charCodeAt(0)},join:function(){if(0===arguments.length)return".";for(var e,n=0;n<arguments.length;++n){var i=arguments[n];t(i),i.length>0&&(void 0===e?e=i:e+="/"+i)}return void 0===e?".":r.normalize(e)},relative:function(e,n){if(t(e),t(n),e===n)return"";if((e=r.resolve(e))===(n=r.resolve(n)))return"";for(var i=1;i<e.length&&47===e.charCodeAt(i);++i);for(var s=e.length,o=s-i,a=1;a<n.length&&47===n.charCodeAt(a);++a);for(var l=n.length-a,u=o<l?o:l,c=-1,h=0;h<=u;++h){if(h===u){if(l>u){if(47===n.charCodeAt(a+h))return n.slice(a+h+1);if(0===h)return n.slice(a+h)}else o>u&&(47===e.charCodeAt(i+h)?c=h:0===h&&(c=0));break}var d=e.charCodeAt(i+h);if(d!==n.charCodeAt(a+h))break;47===d&&(c=h)}var f="";for(h=i+c+1;h<=s;++h)h!==s&&47!==e.charCodeAt(h)||(0===f.length?f+="..":f+="/..");return f.length>0?f+n.slice(a+c):(a+=c,47===n.charCodeAt(a)&&++a,n.slice(a))},_makeLong:function(e){return e},dirname:function(e){if(t(e),0===e.length)return".";for(var n=e.charCodeAt(0),r=47===n,i=-1,s=!0,o=e.length-1;o>=1;--o)if(47===(n=e.charCodeAt(o))){if(!s){i=o;break}}else s=!1;return-1===i?r?"/":".":r&&1===i?"//":e.slice(0,i)},basename:function(e,n){if(void 0!==n&&"string"!=typeof n)throw new TypeError('"ext" argument must be a string');t(e);var r,i=0,s=-1,o=!0;if(void 0!==n&&n.length>0&&n.length<=e.length){if(n.length===e.length&&n===e)return"";var a=n.length-1,l=-1;for(r=e.length-1;r>=0;--r){var u=e.charCodeAt(r);if(47===u){if(!o){i=r+1;break}}else-1===l&&(o=!1,l=r+1),a>=0&&(u===n.charCodeAt(a)?-1==--a&&(s=r):(a=-1,s=l))}return i===s?s=l:-1===s&&(s=e.length),e.slice(i,s)}for(r=e.length-1;r>=0;--r)if(47===e.charCodeAt(r)){if(!o){i=r+1;break}}else-1===s&&(o=!1,s=r+1);return-1===s?"":e.slice(i,s)},extname:function(e){t(e);for(var n=-1,r=0,i=-1,s=!0,o=0,a=e.length-1;a>=0;--a){var l=e.charCodeAt(a);if(47!==l)-1===i&&(s=!1,i=a+1),46===l?-1===n?n=a:1!==o&&(o=1):-1!==n&&(o=-1);else if(!s){r=a+1;break}}return-1===n||-1===i||0===o||1===o&&n===i-1&&n===r+1?"":e.slice(n,i)},format:function(e){if(null===e||"object"!=typeof e)throw new TypeError('The "pathObject" argument must be of type Object. Received type '+typeof e);return n=(t=e).dir||t.root,r=t.base||(t.name||"")+(t.ext||""),n?n===t.root?n+r:n+"/"+r:r;var t,n,r},parse:function(e){t(e);var n={root:"",dir:"",base:"",ext:"",name:""};if(0===e.length)return n;var r,i=e.charCodeAt(0),s=47===i;s?(n.root="/",r=1):r=0;for(var o=-1,a=0,l=-1,u=!0,c=e.length-1,h=0;c>=r;--c)if(47!==(i=e.charCodeAt(c)))-1===l&&(u=!1,l=c+1),46===i?-1===o?o=c:1!==h&&(h=1):-1!==o&&(h=-1);else if(!u){a=c+1;break}return-1===o||-1===l||0===h||1===h&&o===l-1&&o===a+1?-1!==l&&(n.base=n.name=0===a&&s?e.slice(1,l):e.slice(a,l)):(0===a&&s?(n.name=e.slice(1,o),n.base=e.slice(1,l)):(n.name=e.slice(a,o),n.base=e.slice(a,l)),n.ext=e.slice(o,l)),a>0?n.dir=e.slice(0,a-1):s&&(n.dir="/"),n},sep:"/",delimiter:":",win32:null,posix:null};r.posix=r,e.exports=r}},t={};function n(r){var i=t[r];if(void 0!==i)return i.exports;var s=t[r]={exports:{}};return e[r](s,s.exports,n),s.exports}n.d=(e,t)=>{for(var r in t)n.o(t,r)&&!n.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:t[r]})},n.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),n.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})};var r={};(()=>{let e;if(n.r(r),n.d(r,{URI:()=>c,Utils:()=>L}),"object"==typeof process)e="win32"===process.platform;else if("object"==typeof navigator){let t=navigator.userAgent;e=t.indexOf("Windows")>=0}const t=/^\w[\w\d+.-]*$/,i=/^\//,s=/^\/\//;function o(e,n){if(!e.scheme&&n)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${e.authority}", path: "${e.path}", query: "${e.query}", fragment: "${e.fragment}"}`);if(e.scheme&&!t.test(e.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(e.path)if(e.authority){if(!i.test(e.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(s.test(e.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}const a="",l="/",u=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class c{static isUri(e){return e instanceof c||!!e&&"string"==typeof e.authority&&"string"==typeof e.fragment&&"string"==typeof e.path&&"string"==typeof e.query&&"string"==typeof e.scheme&&"string"==typeof e.fsPath&&"function"==typeof e.with&&"function"==typeof e.toString}scheme;authority;path;query;fragment;constructor(e,t,n,r,i,s=!1){"object"==typeof e?(this.scheme=e.scheme||a,this.authority=e.authority||a,this.path=e.path||a,this.query=e.query||a,this.fragment=e.fragment||a):(this.scheme=function(e,t){return e||t?e:"file"}(e,s),this.authority=t||a,this.path=function(e,t){switch(e){case"https":case"http":case"file":t?t[0]!==l&&(t=l+t):t=l}return t}(this.scheme,n||a),this.query=r||a,this.fragment=i||a,o(this,s))}get fsPath(){return p(this,!1)}with(e){if(!e)return this;let{scheme:t,authority:n,path:r,query:i,fragment:s}=e;return void 0===t?t=this.scheme:null===t&&(t=a),void 0===n?n=this.authority:null===n&&(n=a),void 0===r?r=this.path:null===r&&(r=a),void 0===i?i=this.query:null===i&&(i=a),void 0===s?s=this.fragment:null===s&&(s=a),t===this.scheme&&n===this.authority&&r===this.path&&i===this.query&&s===this.fragment?this:new d(t,n,r,i,s)}static parse(e,t=!1){const n=u.exec(e);return n?new d(n[2]||a,_(n[4]||a),_(n[5]||a),_(n[7]||a),_(n[9]||a),t):new d(a,a,a,a,a)}static file(t){let n=a;if(e&&(t=t.replace(/\\/g,l)),t[0]===l&&t[1]===l){const e=t.indexOf(l,2);-1===e?(n=t.substring(2),t=l):(n=t.substring(2,e),t=t.substring(e)||l)}return new d("file",n,t,a,a)}static from(e){const t=new d(e.scheme,e.authority,e.path,e.query,e.fragment);return o(t,!0),t}toString(e=!1){return b(this,e)}toJSON(){return this}static revive(e){if(e){if(e instanceof c)return e;{const t=new d(e);return t._formatted=e.external,t._fsPath=e._sep===h?e.fsPath:null,t}}return e}}const h=e?1:void 0;class d extends c{_formatted=null;_fsPath=null;get fsPath(){return this._fsPath||(this._fsPath=p(this,!1)),this._fsPath}toString(e=!1){return e?b(this,!0):(this._formatted||(this._formatted=b(this,!1)),this._formatted)}toJSON(){const e={$mid:1};return this._fsPath&&(e.fsPath=this._fsPath,e._sep=h),this._formatted&&(e.external=this._formatted),this.path&&(e.path=this.path),this.scheme&&(e.scheme=this.scheme),this.authority&&(e.authority=this.authority),this.query&&(e.query=this.query),this.fragment&&(e.fragment=this.fragment),e}}const f={58:"%3A",47:"%2F",63:"%3F",35:"%23",91:"%5B",93:"%5D",64:"%40",33:"%21",36:"%24",38:"%26",39:"%27",40:"%28",41:"%29",42:"%2A",43:"%2B",44:"%2C",59:"%3B",61:"%3D",32:"%20"};function m(e,t,n){let r,i=-1;for(let s=0;s<e.length;s++){const o=e.charCodeAt(s);if(o>=97&&o<=122||o>=65&&o<=90||o>=48&&o<=57||45===o||46===o||95===o||126===o||t&&47===o||n&&91===o||n&&93===o||n&&58===o)-1!==i&&(r+=encodeURIComponent(e.substring(i,s)),i=-1),void 0!==r&&(r+=e.charAt(s));else{void 0===r&&(r=e.substr(0,s));const t=f[o];void 0!==t?(-1!==i&&(r+=encodeURIComponent(e.substring(i,s)),i=-1),r+=t):-1===i&&(i=s)}}return-1!==i&&(r+=encodeURIComponent(e.substring(i))),void 0!==r?r:e}function g(e){let t;for(let n=0;n<e.length;n++){const r=e.charCodeAt(n);35===r||63===r?(void 0===t&&(t=e.substr(0,n)),t+=f[r]):void 0!==t&&(t+=e[n])}return void 0!==t?t:e}function p(t,n){let r;return r=t.authority&&t.path.length>1&&"file"===t.scheme?`//${t.authority}${t.path}`:47===t.path.charCodeAt(0)&&(t.path.charCodeAt(1)>=65&&t.path.charCodeAt(1)<=90||t.path.charCodeAt(1)>=97&&t.path.charCodeAt(1)<=122)&&58===t.path.charCodeAt(2)?n?t.path.substr(1):t.path[1].toLowerCase()+t.path.substr(2):t.path,e&&(r=r.replace(/\//g,"\\")),r}function b(e,t){const n=t?g:m;let r="",{scheme:i,authority:s,path:o,query:a,fragment:u}=e;if(i&&(r+=i,r+=":"),(s||"file"===i)&&(r+=l,r+=l),s){let e=s.indexOf("@");if(-1!==e){const t=s.substr(0,e);s=s.substr(e+1),e=t.lastIndexOf(":"),-1===e?r+=n(t,!1,!1):(r+=n(t.substr(0,e),!1,!1),r+=":",r+=n(t.substr(e+1),!1,!0)),r+="@"}s=s.toLowerCase(),e=s.lastIndexOf(":"),-1===e?r+=n(s,!1,!0):(r+=n(s.substr(0,e),!1,!0),r+=s.substr(e))}if(o){if(o.length>=3&&47===o.charCodeAt(0)&&58===o.charCodeAt(2)){const e=o.charCodeAt(1);e>=65&&e<=90&&(o=`/${String.fromCharCode(e+32)}:${o.substr(3)}`)}else if(o.length>=2&&58===o.charCodeAt(1)){const e=o.charCodeAt(0);e>=65&&e<=90&&(o=`${String.fromCharCode(e+32)}:${o.substr(2)}`)}r+=n(o,!0,!1)}return a&&(r+="?",r+=n(a,!1,!1)),u&&(r+="#",r+=t?u:m(u,!1,!1)),r}function y(e){try{return decodeURIComponent(e)}catch{return e.length>3?e.substr(0,3)+y(e.substr(3)):e}}const v=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function _(e){return e.match(v)?e.replace(v,(e=>y(e))):e}var C=n(470);const S=C.posix||C,w="/";var L,N;(N=L||(L={})).joinPath=function(e,...t){return e.with({path:S.join(e.path,...t)})},N.resolvePath=function(e,...t){let n=e.path,r=!1;n[0]!==w&&(n=w+n,r=!0);let i=S.resolve(n,...t);return r&&i[0]===w&&!e.authority&&(i=i.substring(1)),e.with({path:i})},N.dirname=function(e){if(0===e.path.length||e.path===w)return e;let t=S.dirname(e.path);return 1===t.length&&46===t.charCodeAt(0)&&(t=""),e.with({path:t})},N.basename=function(e){return S.basename(e.path)},N.extname=function(e){return S.extname(e.path)}})(),Su=r})();var{URI:Nu,Utils:xu}=Su;function Eu(e,t){if("string"!=typeof e)throw new TypeError("Expected a string");const n=String(e);let r="";const i=!!t&&!!t.extended,s=!!t&&!!t.globstar;let o=!1;const a=t&&"string"==typeof t.flags?t.flags:"";let l;for(let e=0,t=n.length;e<t;e++)switch(l=n[e],l){case"/":case"$":case"^":case"+":case".":case"(":case")":case"=":case"!":case"|":r+="\\"+l;break;case"?":if(i){r+=".";break}case"[":case"]":if(i){r+=l;break}case"{":if(i){o=!0,r+="(";break}case"}":if(i){o=!1,r+=")";break}case",":if(o){r+="|";break}r+="\\"+l;break;case"*":const t=n[e-1];let a=1;for(;"*"===n[e+1];)a++,e++;const u=n[e+1];if(s){a>1&&("/"===t||void 0===t||"{"===t||","===t)&&("/"===u||void 0===u||","===u||"}"===u)?("/"===u?e++:"/"===t&&r.endsWith("\\/")&&(r=r.substr(0,r.length-2)),r+="((?:[^/]*(?:/|$))*)"):r+="([^/]*)"}else r+=".*";break;default:r+=l}return a&&~a.indexOf("g")||(r="^"+r+"$"),new RegExp(r,a)}var Au,ku,Ru=class{constructor(e,t,n){this.folderUri=t,this.uris=n,this.globWrappers=[];try{for(let t of e){const e="!"!==t[0];e||(t=t.substring(1)),t.length>0&&("/"===t[0]&&(t=t.substring(1)),this.globWrappers.push({regexp:Eu("**/"+t,{extended:!0,globstar:!0}),include:e}))}t&&((t=Vu(t)).endsWith("/")||(t+="/"),this.folderUri=t)}catch(e){this.globWrappers.length=0,this.uris=[]}}matchesPattern(e){if(this.folderUri&&!e.startsWith(this.folderUri))return!1;let t=!1;for(const{regexp:n,include:r}of this.globWrappers)n.test(e)&&(t=r);return t}getURIs(){return this.uris}},Tu=class{constructor(e,t,n){this.service=e,this.uri=t,this.dependencies=new Set,this.anchors=void 0,n&&(this.unresolvedSchema=this.service.promise.resolve(new Mu(n)))}getUnresolvedSchema(){return this.unresolvedSchema||(this.unresolvedSchema=this.service.loadSchema(this.uri)),this.unresolvedSchema}getResolvedSchema(){return this.resolvedSchema||(this.resolvedSchema=this.getUnresolvedSchema().then((e=>this.service.resolveSchemaContent(e,this)))),this.resolvedSchema}clearSchema(){const e=!!this.unresolvedSchema;return this.resolvedSchema=void 0,this.unresolvedSchema=void 0,this.dependencies.clear(),this.anchors=void 0,e}},Mu=class{constructor(e,t=[]){this.schema=e,this.errors=t}},Ou=class{constructor(e,t=[],n=[],r){this.schema=e,this.errors=t,this.warnings=n,this.schemaDraft=r}getSection(e){const t=this.getSectionRecursive(e,this.schema);if(t)return Jl(t)}getSectionRecursive(e,t){if(!t||"boolean"==typeof t||0===e.length)return t;const n=e.shift();if(t.properties&&(t.properties[n],1))return this.getSectionRecursive(e,t.properties[n]);if(t.patternProperties)for(const r of Object.keys(t.patternProperties)){const i=vl(r);if(i?.test(n))return this.getSectionRecursive(e,t.patternProperties[r])}else{if("object"==typeof t.additionalProperties)return this.getSectionRecursive(e,t.additionalProperties);if(n.match("[0-9]+"))if(Array.isArray(t.items)){const r=parseInt(n,10);if(!isNaN(r)&&t.items[r])return this.getSectionRecursive(e,t.items[r])}else if(t.items)return this.getSectionRecursive(e,t.items)}}},Iu=class{constructor(e,t,n){this.contextService=t,this.requestService=e,this.promiseConstructor=n||Promise,this.callOnDispose=[],this.contributionSchemas={},this.contributionAssociations=[],this.schemasById={},this.filePatternAssociations=[],this.registeredSchemasIds={}}getRegisteredSchemaIds(e){return Object.keys(this.registeredSchemasIds).filter((t=>{const n=Nu.parse(t).scheme;return"schemaservice"!==n&&(!e||e(n))}))}get promise(){return this.promiseConstructor}dispose(){for(;this.callOnDispose.length>0;)this.callOnDispose.pop()()}onResourceChange(e){this.cachedSchemaForResource=void 0;let t=!1;const n=[e=Fu(e)],r=Object.keys(this.schemasById).map((e=>this.schemasById[e]));for(;n.length;){const e=n.pop();for(let i=0;i<r.length;i++){const s=r[i];s&&(s.uri===e||s.dependencies.has(e))&&(s.uri!==e&&n.push(s.uri),s.clearSchema()&&(t=!0),r[i]=void 0)}}return t}setSchemaContributions(e){if(e.schemas){const t=e.schemas;for(const e in t){const n=Fu(e);this.contributionSchemas[n]=this.addSchemaHandle(n,t[e])}}if(Array.isArray(e.schemaAssociations)){const t=e.schemaAssociations;for(let e of t){const t=e.uris.map(Fu),n=this.addFilePatternAssociation(e.pattern,e.folderUri,t);this.contributionAssociations.push(n)}}}addSchemaHandle(e,t){const n=new Tu(this,e,t);return this.schemasById[e]=n,n}getOrAddSchemaHandle(e,t){return this.schemasById[e]||this.addSchemaHandle(e,t)}addFilePatternAssociation(e,t,n){const r=new Ru(e,t,n);return this.filePatternAssociations.push(r),r}registerExternalSchema(e){const t=Fu(e.uri);return this.registeredSchemasIds[t]=!0,this.cachedSchemaForResource=void 0,e.fileMatch&&e.fileMatch.length&&this.addFilePatternAssociation(e.fileMatch,e.folderUri,[t]),e.schema?this.addSchemaHandle(t,e.schema):this.getOrAddSchemaHandle(t)}clearExternalSchemas(){this.schemasById={},this.filePatternAssociations=[],this.registeredSchemasIds={},this.cachedSchemaForResource=void 0;for(const e in this.contributionSchemas)this.schemasById[e]=this.contributionSchemas[e],this.registeredSchemasIds[e]=!0;for(const e of this.contributionAssociations)this.filePatternAssociations.push(e)}getResolvedSchema(e){const t=Fu(e),n=this.schemasById[t];return n?n.getResolvedSchema():this.promise.resolve(void 0)}loadSchema(e){if(!this.requestService){const t=Pl("Unable to load schema from '{0}'. No schema request service available",Du(e));return this.promise.resolve(new Mu({},[t]))}return e.startsWith("http://json-schema.org/")&&(e="https"+e.substring(4)),this.requestService(e).then((t=>{if(!t){const t=Pl("Unable to load schema from '{0}': No content.",Du(e));return new Mu({},[t])}const n=[];65279===t.charCodeAt(0)&&(n.push(Pl("Problem reading content from '{0}': UTF-8 with BOM detected, only UTF 8 is allowed.",Du(e))),t=t.trimStart());let r={};const i=[];return r=ll(t,i),i.length&&n.push(Pl("Unable to parse content from '{0}': Parse error at offset {1}.",Du(e),i[0].offset)),new Mu(r,n)}),(t=>{let n=t.toString();const r=t.toString().split("Error: ");return r.length>1&&(n=r[1]),yl(n,".")&&(n=n.substr(0,n.length-1)),new Mu({},[Pl("Unable to load schema from '{0}': {1}.",Du(e),n)])}))}resolveSchemaContent(e,t){const n=e.errors.slice(0),r=e.schema;let i=r.$schema?Fu(r.$schema):void 0;if("http://json-schema.org/draft-03/schema"===i)return this.promise.resolve(new Ou({},[Pl("Draft-03 schemas are not supported.")],[],i));let s=new Set;const o=this.contextService,a=(e,t,r,i)=>{let s;var o,a,l;void 0===i||0===i.length?s=t:"/"===i.charAt(0)?s=((e,t)=>{t=decodeURIComponent(t);let n=e;return"/"===t[0]&&(t=t.substring(1)),t.split("/").some((e=>(e=e.replace(/~1/g,"/").replace(/~0/g,"~"),n=n[e],!n))),n})(t,i):(o=t,l=i,(a=r).anchors||(a.anchors=c(o)),s=a.anchors.get(l)),s?((e,t)=>{for(const n in t)t.hasOwnProperty(n)&&"id"!==n&&"$id"!==n&&(e[n]=t[n])})(e,s):n.push(Pl("$ref '{0}' in '{1}' can not be resolved.",i||"",r.uri))},l=(e,t,r,i)=>{o&&!/^[A-Za-z][A-Za-z0-9+\-.+]*:\/\/.*/.test(t)&&(t=o.resolveRelativePath(t,i.uri)),t=Fu(t);const s=this.getOrAddSchemaHandle(t);return s.getUnresolvedSchema().then((o=>{if(i.dependencies.add(t),o.errors.length){const e=r?t+"#"+r:t;n.push(Pl("Problems loading reference '{0}': {1}",e,o.errors[0]))}return a(e,o.schema,s,r),u(e,o.schema,s)}))},u=(e,t,n)=>{const r=[];return this.traverseNodes(e,(e=>{const i=new Set;for(;e.$ref;){const s=e.$ref,o=s.split("#",2);if(delete e.$ref,o[0].length>0)return void r.push(l(e,o[0],o[1],n));if(!i.has(s)){const r=o[1];a(e,t,n,r),i.add(s)}}e.$recursiveRef&&s.add("$recursiveRef"),e.$dynamicRef&&s.add("$dynamicRef")})),this.promise.all(r)},c=e=>{const t=new Map;return this.traverseNodes(e,(e=>{const r=e.$id||e.id,i=pl(r)&&"#"===r.charAt(0)?r.substring(1):e.$anchor;i&&(t.has(i)?n.push(Pl("Duplicate anchor declaration: '{0}'",i)):t.set(i,e)),e.$recursiveAnchor&&s.add("$recursiveAnchor"),e.$dynamicAnchor&&s.add("$dynamicAnchor")})),t};return u(r,r,t).then((e=>{let t=[];return s.size&&t.push(Pl("The schema uses meta-schema features ({0}) that are not yet supported by the validator.",Array.from(s.keys()).join(", "))),new Ou(r,n,t,i)}))}traverseNodes(e,t){if(!e||"object"!=typeof e)return Promise.resolve(null);const n=new Set,r=(...e)=>{for(const t of e)bl(t)&&a.push(t)},i=(...e)=>{for(const t of e)if(bl(t))for(const e in t){const n=t[e];bl(n)&&a.push(n)}},s=(...e)=>{for(const t of e)if(Array.isArray(t))for(const e of t)bl(e)&&a.push(e)},o=e=>{if(Array.isArray(e))for(const t of e)bl(t)&&a.push(t);else bl(e)&&a.push(e)},a=[e];let l=a.pop();for(;l;)n.has(l)||(n.add(l),t(l),r(l.additionalItems,l.additionalProperties,l.not,l.contains,l.propertyNames,l.if,l.then,l.else,l.unevaluatedItems,l.unevaluatedProperties),i(l.definitions,l.$defs,l.properties,l.patternProperties,l.dependencies,l.dependentSchemas),s(l.anyOf,l.allOf,l.oneOf,l.prefixItems),o(l.items)),l=a.pop()}getSchemaFromProperty(e,t){if("object"===t.root?.type)for(const n of t.root.properties)if("$schema"===n.keyNode.value&&"string"===n.valueNode?.type){let t=n.valueNode.value;return this.contextService&&!/^\w[\w\d+.-]*:/.test(t)&&(t=this.contextService.resolveRelativePath(t,e)),t}}getAssociatedSchemas(e){const t=Object.create(null),n=[],r=Vu(e);for(const e of this.filePatternAssociations)if(e.matchesPattern(r))for(const r of e.getURIs())t[r]||(n.push(r),t[r]=!0);return n}getSchemaURIsForResource(e,t){let n=t&&this.getSchemaFromProperty(e,t);return n?[n]:this.getAssociatedSchemas(e)}getSchemaForResource(e,t){if(t){let n=this.getSchemaFromProperty(e,t);if(n){const e=Fu(n);return this.getOrAddSchemaHandle(e).getResolvedSchema()}}if(this.cachedSchemaForResource&&this.cachedSchemaForResource.resource===e)return this.cachedSchemaForResource.resolvedSchema;const n=this.getAssociatedSchemas(e),r=n.length>0?this.createCombinedSchema(e,n).getResolvedSchema():this.promise.resolve(void 0);return this.cachedSchemaForResource={resource:e,resolvedSchema:r},r}createCombinedSchema(e,t){if(1===t.length)return this.getOrAddSchemaHandle(t[0]);{const n="schemaservice://combinedSchema/"+encodeURIComponent(e),r={allOf:t.map((e=>({$ref:e})))};return this.addSchemaHandle(n,r)}}getMatchingSchemas(e,t,n){if(n){const e=n.id||"schemaservice://untitled/matchingSchemas/"+Pu++;return this.addSchemaHandle(e,n).getResolvedSchema().then((e=>t.getMatchingSchemas(e.schema).filter((e=>!e.inverted))))}return this.getSchemaForResource(e.uri,t).then((e=>e?t.getMatchingSchemas(e.schema).filter((e=>!e.inverted)):[]))}},Pu=0;function Fu(e){try{return Nu.parse(e).toString(!0)}catch(t){return e}}function Vu(e){try{return Nu.parse(e).with({fragment:null,query:null}).toString(!0)}catch(t){return e}}function Du(e){try{const t=Nu.parse(e);if("file"===t.scheme)return t.fsPath}catch(e){}return e}function qu(e,t){const n=[],r=[],i=[];let s=-1;const o=Os(e.getText(),!1);let a=o.scan();function l(e){n.push(e),r.push(i.length)}for(;17!==a;){switch(a){case 1:case 3:{const t=e.positionAt(o.getTokenOffset()).line,n={startLine:t,endLine:t,kind:1===a?"object":"array"};i.push(n);break}case 2:case 4:{const t=2===a?"object":"array";if(i.length>0&&i[i.length-1].kind===t){const t=i.pop(),n=e.positionAt(o.getTokenOffset()).line;t&&n>t.startLine+1&&s!==t.startLine&&(t.endLine=n-1,l(t),s=t.startLine)}break}case 13:{const t=e.positionAt(o.getTokenOffset()).line,n=e.positionAt(o.getTokenOffset()+o.getTokenLength()).line;1===o.getTokenError()&&t+1<e.lineCount?o.setPosition(e.offsetAt(Bs.create(t+1,0))):t<n&&(l({startLine:t,endLine:n,kind:no.Comment}),s=t);break}case 12:{const t=e.getText().substr(o.getTokenOffset(),o.getTokenLength()).match(/^\/\/\s*#(region\b)|(endregion\b)/);if(t){const n=e.positionAt(o.getTokenOffset()).line;if(t[1]){const e={startLine:n,endLine:n,kind:no.Region};i.push(e)}else{let e=i.length-1;for(;e>=0&&i[e].kind!==no.Region;)e--;if(e>=0){const t=i[e];i.length=e,n>t.startLine&&s!==t.startLine&&(t.endLine=n,l(t),s=t.startLine)}}}break}}a=o.scan()}const u=t&&t.rangeLimit;if("number"!=typeof u||n.length<=u)return n;t&&t.onRangeLimitExceeded&&t.onRangeLimitExceeded(e.uri);const c=[];for(let e of r)e<30&&(c[e]=(c[e]||0)+1);let h=0,d=0;for(let e=0;e<c.length;e++){const t=c[e];if(t){if(t+h>u){d=e;break}h+=t}}const f=[];for(let e=0;e<n.length;e++){const t=r[e];"number"==typeof t&&(t<d||t===d&&h++<u)&&f.push(n[e])}return f}function Ku(e,t,n){function r(t,n){return js.create(e.positionAt(t),e.positionAt(n))}const i=Os(e.getText(),!0);function s(e,t){return i.setPosition(e),i.scan()===t?i.getTokenOffset()+i.getTokenLength():-1}return t.map((function(t){let i=e.offsetAt(t),o=n.getNodeFromOffset(i,!0);const a=[];for(;o;){switch(o.type){case"string":case"object":case"array":const e=o.offset+1,t=o.offset+o.length-1;e<t&&i>=e&&i<=t&&a.push(r(e,t)),a.push(r(o.offset,o.offset+o.length));break;case"number":case"boolean":case"null":case"property":a.push(r(o.offset,o.offset+o.length))}if("property"===o.type||o.parent&&"array"===o.parent.type){const e=s(o.offset+o.length,5);-1!==e&&a.push(r(o.offset,e))}o=o.parent}let l;for(let e=a.length-1;e>=0;e--)l=Ma.create(a[e],l);return l||(l=Ma.create(js.create(t,t))),l}))}function Uu(e,t,n){let r;if(n){const t=e.offsetAt(n.start);r={offset:t,length:e.offsetAt(n.end)-t}}const i={tabSize:t?t.tabSize:4,insertSpaces:!0===t?.insertSpaces,insertFinalNewline:!0===t?.insertFinalNewline,eol:"\n",keepLines:!0===t?.keepLines};return function(e,t,n){return xs(e,t,n)}(e.getText(),r,i).map((t=>yo.replace(js.create(e.positionAt(t.offset),e.positionAt(t.offset+t.length)),t.content)))}(ku=Au||(Au={}))[ku.Object=0]="Object",ku[ku.Array=1]="Array";var Bu=class{constructor(e,t){this.propertyName=e??"",this.beginningLineNumber=t,this.childrenProperties=[],this.lastProperty=!1,this.noKeyName=!1}addChildProperty(e){if(e.parent=this,this.childrenProperties.length>0){let t=0;t=e.noKeyName?this.childrenProperties.length:function(e,t,n){const r=t.propertyName.toLowerCase(),i=e[0].propertyName.toLowerCase(),s=e[e.length-1].propertyName.toLowerCase();if(r<i)return 0;if(r>s)return e.length;let o=0,a=e.length-1;for(;o<=a;){let r=a+o>>1,i=n(t,e[r]);if(i>0)o=r+1;else{if(!(i<0))return r;a=r-1}}return-o-1}(this.childrenProperties,e,$u),t<0&&(t=-1*t-1),this.childrenProperties.splice(t,0,e)}else this.childrenProperties.push(e);return e}};function $u(e,t){const n=e.propertyName.toLowerCase(),r=t.propertyName.toLowerCase();return n<r?-1:n>r?1:0}function ju(e,t){const n={...t,keepLines:!1},r=wl.applyEdits(e,Uu(e,n,void 0)),i=wl.create("test://test.json","json",0,r),s=function(e,t){if(0===t.childrenProperties.length)return e;const n=wl.create("test://test.json","json",0,e.getText()),r=[];Wu(r,t,t.beginningLineNumber);for(;r.length>0;){const t=r.shift(),i=t.propertyTreeArray;let s=t.beginningLineNumber;for(let t=0;t<i.length;t++){const o=i[t],a=js.create(Bs.create(o.beginningLineNumber,0),Bs.create(o.endLineNumber+1,0)),l=e.getText(a),u=wl.create("test://test.json","json",0,l);if(!0===o.lastProperty&&t!==i.length-1){const e=o.lineWhereToAddComma-o.beginningLineNumber,t=o.indexWhereToAddComa,n={range:js.create(Bs.create(e,t),Bs.create(e,t)),text:","};wl.update(u,[n],1)}else if(!1===o.lastProperty&&t===i.length-1){const e=o.commaIndex,t=o.commaLine-o.beginningLineNumber,n={range:js.create(Bs.create(t,e),Bs.create(t,e+1)),text:""};wl.update(u,[n],1)}const c=o.endLineNumber-o.beginningLineNumber+1,h={range:js.create(Bs.create(s,0),Bs.create(s+c,0)),text:u.getText()};wl.update(n,[h],1),Wu(r,o,s),s+=c}}return n}(i,function(e){const t=e.getText(),n=Os(t,!1);let r,i,s,o=new Bu,a=o,l=o,u=o,c=0,h=0,d=-1,f=-1,m=0,g=0,p=[],b=!1,y=!1;for(;17!==(r=n.scan());){if(!0===b&&14!==r&&15!==r&&12!==r&&13!==r&&void 0===l.endLineNumber){let e=n.getTokenStartLine();2===s||4===s?u.endLineNumber=e-1:l.endLineNumber=e-1,m=e,b=!1}if(!0===y&&14!==r&&15!==r&&12!==r&&13!==r&&(m=n.getTokenStartLine(),y=!1),n.getTokenStartLine()!==c){for(let t=c;t<n.getTokenStartLine();t++){h+=e.getText(js.create(Bs.create(t,0),Bs.create(t+1,0))).length}c=n.getTokenStartLine()}switch(r){case 10:if(void 0===i||1===i||5===i&&p[p.length-1]===Au.Object){const e=new Bu(n.getTokenValue(),m);u=l,l=a.addChildProperty(e)}break;case 3:if(void 0===o.beginningLineNumber&&(o.beginningLineNumber=n.getTokenStartLine()),p[p.length-1]===Au.Object)a=l;else if(p[p.length-1]===Au.Array){const e=new Bu(n.getTokenValue(),m);e.noKeyName=!0,u=l,l=a.addChildProperty(e),a=l}p.push(Au.Array),l.type=Au.Array,m=n.getTokenStartLine(),m++;break;case 1:if(void 0===o.beginningLineNumber)o.beginningLineNumber=n.getTokenStartLine();else if(p[p.length-1]===Au.Array){const e=new Bu(n.getTokenValue(),m);e.noKeyName=!0,u=l,l=a.addChildProperty(e)}l.type=Au.Object,p.push(Au.Object),a=l,m=n.getTokenStartLine(),m++;break;case 4:g=n.getTokenStartLine(),p.pop(),void 0!==l.endLineNumber||2!==i&&4!==i||(l.endLineNumber=g-1,l.lastProperty=!0,l.lineWhereToAddComma=d,l.indexWhereToAddComa=f,u=l,l=l?l.parent:void 0,a=l),o.endLineNumber=g,m=g+1;break;case 2:g=n.getTokenStartLine(),p.pop(),1!==i&&(void 0===l.endLineNumber&&(l.endLineNumber=g-1,l.lastProperty=!0,l.lineWhereToAddComma=d,l.indexWhereToAddComa=f),u=l,l=l?l.parent:void 0,a=l),o.endLineNumber=n.getTokenStartLine(),m=g+1;break;case 5:g=n.getTokenStartLine(),void 0!==l.endLineNumber||p[p.length-1]!==Au.Object&&(p[p.length-1]!==Au.Array||2!==i&&4!==i)||(l.endLineNumber=g,l.commaIndex=n.getTokenOffset()-h,l.commaLine=g),2!==i&&4!==i||(u=l,l=l?l.parent:void 0,a=l),m=g+1;break;case 13:5!==i||d!==n.getTokenStartLine()||(p[p.length-1]!==Au.Array||2!==s&&4!==s)&&p[p.length-1]!==Au.Object||(p[p.length-1]!==Au.Array||2!==s&&4!==s)&&p[p.length-1]!==Au.Object||(l.endLineNumber=void 0,b=!0),1!==i&&3!==i||d!==n.getTokenStartLine()||(y=!0)}14!==r&&13!==r&&12!==r&&15!==r&&(s=i,i=r,d=n.getTokenStartLine(),f=n.getTokenOffset()+n.getTokenLength()-h)}return o}(i)),o=Uu(s,n,void 0),a=wl.applyEdits(s,o);return[yo.replace(js.create(Bs.create(0,0),e.positionAt(e.getText().length)),a)]}function Wu(e,t,n){if(0!==t.childrenProperties.length)if(t.type===Au.Object){let r=1/0;for(const e of t.childrenProperties)e.beginningLineNumber<r&&(r=e.beginningLineNumber);n+=r-t.beginningLineNumber,e.push(new Gu(n,t.childrenProperties))}else t.type===Au.Array&&zu(e,t,n)}function zu(e,t,n){for(const r of t.childrenProperties){if(r.type===Au.Object){let i=1/0;for(const e of r.childrenProperties)e.beginningLineNumber<i&&(i=e.beginningLineNumber);const s=i-r.beginningLineNumber;e.push(new Gu(n+r.beginningLineNumber-t.beginningLineNumber+s,r.childrenProperties))}r.type===Au.Array&&zu(e,r,n+r.beginningLineNumber-t.beginningLineNumber)}}var Hu,Gu=class{constructor(e,t){this.beginningLineNumber=e,this.propertyTreeArray=t}};function Ju(e,t){const n=[];return t.visit((r=>{if("property"===r.type&&"$ref"===r.keyNode.value&&"string"===r.valueNode?.type){const i=r.valueNode.value,s=function(e,t){const n=function(e){if("#"===e)return[];if("#"!==e[0]||"/"!==e[1])return null;return e.substring(2).split(/\//).map(Zu)}(t);if(!n)return null;return Qu(n,e.root)}(t,i);if(s){const t=e.positionAt(s.offset);n.push({target:`${e.uri}#${t.line+1},${t.character+1}`,range:Xu(e,r.valueNode)})}}return!0})),Promise.resolve(n)}function Xu(e,t){return js.create(e.positionAt(t.offset+1),e.positionAt(t.offset+t.length-1))}function Qu(e,t){if(!t)return null;if(0===e.length)return t;const n=e.shift();if(t&&"object"===t.type){const r=t.properties.find((e=>e.keyNode.value===n));return r?Qu(e,r.valueNode):null}if(t&&"array"===t.type&&n.match(/^(0|[1-9][0-9]*)$/)){const r=Number.parseInt(n),i=t.items[r];return i?Qu(e,i):null}return null}function Zu(e){return e.replace(/~1/g,"/").replace(/~0/g,"~")}function Yu(e){const t=e.promiseConstructor||Promise,n=new Iu(e.schemaRequestService,e.workspaceContext,t);n.setSchemaContributions(wu);const r=new uu(n,e.contributions,t,e.clientCapabilities),i=new cu(n,e.contributions,t),s=new vu(n),o=new du(n,t);return{configure:e=>{n.clearExternalSchemas(),e.schemas?.forEach(n.registerExternalSchema.bind(n)),o.configure(e)},resetSchema:e=>n.onResourceChange(e),doValidation:o.doValidation.bind(o),getLanguageStatus:o.getLanguageStatus.bind(o),parseJSONDocument:e=>au(e,{collectComments:!0}),newJSONDocument:(e,t)=>function(e,t=[]){return new iu(e,t,[])}(e,t),getMatchingSchemas:n.getMatchingSchemas.bind(n),doResolve:r.doResolve.bind(r),doComplete:r.doComplete.bind(r),findDocumentSymbols:s.findDocumentSymbols.bind(s),findDocumentSymbols2:s.findDocumentSymbols2.bind(s),findDocumentColors:s.findDocumentColors.bind(s),getColorPresentations:s.getColorPresentations.bind(s),doHover:i.doHover.bind(i),getFoldingRanges:qu,getSelectionRanges:Ku,findDefinition:()=>Promise.resolve([]),findLinks:Ju,format:(e,t,n)=>Uu(e,n,t),sort:(e,t)=>ju(e,t)}}"undefined"!=typeof fetch&&(Hu=function(e){return fetch(e).then((e=>e.text()))});var ec=class{constructor(e,t){this._ctx=e,this._languageSettings=t.languageSettings,this._languageId=t.languageId,this._languageService=Yu({workspaceContext:{resolveRelativePath:(e,t)=>function(e,t){if(function(e){return e.charCodeAt(0)===tc}(t)){const n=Nu.parse(e),r=t.split("/");return n.with({path:rc(r)}).toString()}return function(e,...t){const n=Nu.parse(e),r=n.path.split("/");for(let e of t)r.push(...e.split("/"));return n.with({path:rc(r)}).toString()}(e,t)}(t.substr(0,t.lastIndexOf("/")+1),e)},schemaRequestService:t.enableSchemaRequest?Hu:void 0,clientCapabilities:kl.LATEST}),this._languageService.configure(this._languageSettings)}async doValidation(e){let t=this._getTextDocument(e);if(t){let e=this._languageService.parseJSONDocument(t);return this._languageService.doValidation(t,e,this._languageSettings)}return Promise.resolve([])}async doComplete(e,t){let n=this._getTextDocument(e);if(!n)return null;let r=this._languageService.parseJSONDocument(n);return this._languageService.doComplete(n,t,r)}async doResolve(e){return this._languageService.doResolve(e)}async doHover(e,t){let n=this._getTextDocument(e);if(!n)return null;let r=this._languageService.parseJSONDocument(n);return this._languageService.doHover(n,t,r)}async format(e,t,n){let r=this._getTextDocument(e);if(!r)return[];let i=this._languageService.format(r,t,n);return Promise.resolve(i)}async resetSchema(e){return Promise.resolve(this._languageService.resetSchema(e))}async findDocumentSymbols(e){let t=this._getTextDocument(e);if(!t)return[];let n=this._languageService.parseJSONDocument(t),r=this._languageService.findDocumentSymbols2(t,n);return Promise.resolve(r)}async findDocumentColors(e){let t=this._getTextDocument(e);if(!t)return[];let n=this._languageService.parseJSONDocument(t),r=this._languageService.findDocumentColors(t,n);return Promise.resolve(r)}async getColorPresentations(e,t,n){let r=this._getTextDocument(e);if(!r)return[];let i=this._languageService.parseJSONDocument(r),s=this._languageService.getColorPresentations(r,i,t,n);return Promise.resolve(s)}async getFoldingRanges(e,t){let n=this._getTextDocument(e);if(!n)return[];let r=this._languageService.getFoldingRanges(n,t);return Promise.resolve(r)}async getSelectionRanges(e,t){let n=this._getTextDocument(e);if(!n)return[];let r=this._languageService.parseJSONDocument(n),i=this._languageService.getSelectionRanges(n,t,r);return Promise.resolve(i)}async parseJSONDocument(e){let t=this._getTextDocument(e);if(!t)return null;let n=this._languageService.parseJSONDocument(t);return Promise.resolve(n)}async getMatchingSchemas(e){let t=this._getTextDocument(e);if(!t)return[];let n=this._languageService.parseJSONDocument(t);return Promise.resolve(this._languageService.getMatchingSchemas(t,n))}_getTextDocument(e){let t=this._ctx.getMirrorModels();for(let n of t)if(n.uri.toString()===e)return wl.create(e,this._languageId,n.version,n.getValue());return null}},tc="/".charCodeAt(0),nc=".".charCodeAt(0);function rc(e){const t=[];for(const n of e)0===n.length||1===n.length&&n.charCodeAt(0)===nc||(2===n.length&&n.charCodeAt(0)===nc&&n.charCodeAt(1)===nc?t.pop():t.push(n));e.length>1&&0===e[e.length-1].length&&t.push("");let n=t.join("/");return 0===e[0].length&&(n="/"+n),n}self.onmessage=()=>{ms(((e,t)=>new ec(e,t)))}}();
//# sourceMappingURL=json.worker.js.map