/*!
 * @project        code-editor
 * @name           ts.worker.js
 * @author         Andrew Welch
 * @build          Mon Sep 23 2024 17:06:08 GMT+0000 (Coordinated Universal Time)
 * @copyright      Copyright (c) 2024 ©2022 nystudio107.com
 *
 */!function(){"use strict";var e={};e.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}();const n=new class{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(e){setTimeout((()=>{if(e.stack){if(s.isErrorNoTelemetry(e))throw new s(e.message+"\n\n"+e.stack);throw new Error(e.message+"\n\n"+e.stack)}throw e}),0)}}emit(e){this.listeners.forEach((n=>{n(e)}))}onUnexpectedError(e){this.unexpectedErrorHandler(e),this.emit(e)}onUnexpectedExternalError(e){this.unexpectedErrorHandler(e)}};function t(e){i(e)||n.onUnexpectedError(e)}function r(e){if(e instanceof Error){const{name:n,message:t}=e;return{$isError:!0,name:n,message:t,stack:e.stacktrace||e.stack,noTelemetry:s.isErrorNoTelemetry(e)}}return e}const o="Canceled";function i(e){return e instanceof a||e instanceof Error&&e.name===o&&e.message===o}class a extends Error{constructor(){super(o),this.name=this.message}}Error;class s extends Error{constructor(e){super(e),this.name="CodeExpectedError"}static fromError(e){if(e instanceof s)return e;const n=new s;return n.message=e.message,n.stack=e.stack,n}static isErrorNoTelemetry(e){return"CodeExpectedError"===e.name}}class l extends Error{constructor(e){super(e||"An unexpected bug occurred."),Object.setPrototypeOf(this,l.prototype)}}function c(e,n){const t=this;let r,o=!1;return function(){if(o)return r;if(o=!0,n)try{r=e.apply(t,arguments)}finally{n()}else r=e.apply(t,arguments);return r}}var d;!function(e){function n(e){return e&&"object"==typeof e&&"function"==typeof e[Symbol.iterator]}e.is=n;const t=Object.freeze([]);function*r(e){yield e}e.empty=function(){return t},e.single=r,e.wrap=function(e){return n(e)?e:r(e)},e.from=function(e){return e||t},e.reverse=function*(e){for(let n=e.length-1;n>=0;n--)yield e[n]},e.isEmpty=function(e){return!e||!0===e[Symbol.iterator]().next().done},e.first=function(e){return e[Symbol.iterator]().next().value},e.some=function(e,n){for(const t of e)if(n(t))return!0;return!1},e.find=function(e,n){for(const t of e)if(n(t))return t},e.filter=function*(e,n){for(const t of e)n(t)&&(yield t)},e.map=function*(e,n){let t=0;for(const r of e)yield n(r,t++)},e.concat=function*(...e){for(const n of e)yield*n},e.reduce=function(e,n,t){let r=t;for(const t of e)r=n(r,t);return r},e.slice=function*(e,n,t=e.length){for(n<0&&(n+=e.length),t<0?t+=e.length:t>e.length&&(t=e.length);n<t;n++)yield e[n]},e.consume=function(n,t=Number.POSITIVE_INFINITY){const r=[];if(0===t)return[r,n];const o=n[Symbol.iterator]();for(let n=0;n<t;n++){const n=o.next();if(n.done)return[r,e.empty()];r.push(n.value)}return[r,{[Symbol.iterator](){return o}}]},e.asyncToArray=async function(e){const n=[];for await(const t of e)n.push(t);return Promise.resolve(n)}}(d||(d={}));let u=null;function p(e){return null==u||u.trackDisposable(e),e}function f(e){null==u||u.markAsDisposed(e)}function m(e,n){null==u||u.setParent(e,n)}function _(e){if(d.is(e)){const n=[];for(const t of e)if(t)try{t.dispose()}catch(e){n.push(e)}if(1===n.length)throw n[0];if(n.length>1)throw new AggregateError(n,"Encountered errors while disposing of store");return Array.isArray(e)?[]:e}if(e)return e.dispose(),e}function h(...e){const n=g((()=>_(e)));return function(e,n){if(u)for(const t of e)u.setParent(t,n)}(e,n),n}function g(e){const n=p({dispose:c((()=>{f(n),e()}))});return n}class y{constructor(){this._toDispose=new Set,this._isDisposed=!1,p(this)}dispose(){this._isDisposed||(f(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){if(0!==this._toDispose.size)try{_(this._toDispose)}finally{this._toDispose.clear()}}add(e){if(!e)return e;if(e===this)throw new Error("Cannot register a disposable on itself!");return m(e,this),this._isDisposed?y.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(e),e}deleteAndLeak(e){e&&this._toDispose.has(e)&&(this._toDispose.delete(e),m(e,null))}}y.DISABLE_DISPOSED_WARNING=!1;class v{constructor(){this._store=new y,p(this),m(this._store,this)}dispose(){f(this),this._store.dispose()}_register(e){if(e===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(e)}}v.None=Object.freeze({dispose(){}});Symbol.iterator;class b{constructor(e){this.element=e,this.next=b.Undefined,this.prev=b.Undefined}}b.Undefined=new b(void 0);class E{constructor(){this._first=b.Undefined,this._last=b.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===b.Undefined}clear(){let e=this._first;for(;e!==b.Undefined;){const n=e.next;e.prev=b.Undefined,e.next=b.Undefined,e=n}this._first=b.Undefined,this._last=b.Undefined,this._size=0}unshift(e){return this._insert(e,!1)}push(e){return this._insert(e,!0)}_insert(e,n){const t=new b(e);if(this._first===b.Undefined)this._first=t,this._last=t;else if(n){const e=this._last;this._last=t,t.prev=e,e.next=t}else{const e=this._first;this._first=t,t.next=e,e.prev=t}this._size+=1;let r=!1;return()=>{r||(r=!0,this._remove(t))}}shift(){if(this._first!==b.Undefined){const e=this._first.element;return this._remove(this._first),e}}pop(){if(this._last!==b.Undefined){const e=this._last.element;return this._remove(this._last),e}}_remove(e){if(e.prev!==b.Undefined&&e.next!==b.Undefined){const n=e.prev;n.next=e.next,e.next.prev=n}else e.prev===b.Undefined&&e.next===b.Undefined?(this._first=b.Undefined,this._last=b.Undefined):e.next===b.Undefined?(this._last=this._last.prev,this._last.next=b.Undefined):e.prev===b.Undefined&&(this._first=this._first.next,this._first.prev=b.Undefined);this._size-=1}*[Symbol.iterator](){let e=this._first;for(;e!==b.Undefined;)yield e.element,e=e.next}}const S=globalThis.performance&&"function"==typeof globalThis.performance.now;class T{static create(e){return new T(e)}constructor(e){this._now=S&&!1===e?Date.now:globalThis.performance.now.bind(globalThis.performance),this._startTime=this._now(),this._stopTime=-1}stop(){this._stopTime=this._now()}reset(){this._startTime=this._now(),this._stopTime=-1}elapsed(){return-1!==this._stopTime?this._stopTime-this._startTime:this._now()-this._startTime}}var x;!function(e){function n(e){false}function t(e){return(n,t=null,r)=>{let o,i=!1;return o=e((e=>{if(!i)return o?o.dispose():i=!0,n.call(t,e)}),null,r),i&&o.dispose(),o}}function r(e,n,t){return i(((t,r=null,o)=>e((e=>t.call(r,n(e))),null,o)),t)}function o(e,n,t){return i(((t,r=null,o)=>e((e=>n(e)&&t.call(r,e)),null,o)),t)}function i(e,t){let r;const o={onWillAddFirstListener(){r=e(i.fire,i)},onDidRemoveLastListener(){null==r||r.dispose()}};t||n();const i=new P(o);return null==t||t.add(i),i.event}function a(e,t,r=100,o=!1,i=!1,a,s){let l,c,d,u,p=0;const f={leakWarningThreshold:a,onWillAddFirstListener(){l=e((e=>{p++,c=t(c,e),o&&!d&&(m.fire(c),c=void 0),u=()=>{const e=c;c=void 0,d=void 0,(!o||p>1)&&m.fire(e),p=0},"number"==typeof r?(clearTimeout(d),d=setTimeout(u,r)):void 0===d&&(d=0,queueMicrotask(u))}))},onWillRemoveListener(){i&&p>0&&(null==u||u())},onDidRemoveLastListener(){u=void 0,l.dispose()}};s||n();const m=new P(f);return null==s||s.add(m),m.event}e.None=()=>v.None,e.defer=function(e,n){return a(e,(()=>{}),0,void 0,!0,void 0,n)},e.once=t,e.map=r,e.forEach=function(e,n,t){return i(((t,r=null,o)=>e((e=>{n(e),t.call(r,e)}),null,o)),t)},e.filter=o,e.signal=function(e){return e},e.any=function(...e){return(n,t=null,r)=>function(e,n){n instanceof Array?n.push(e):n&&n.add(e);return e}(h(...e.map((e=>e((e=>n.call(t,e)))))),r)},e.reduce=function(e,n,t,o){let i=t;return r(e,(e=>(i=n(i,e),i)),o)},e.debounce=a,e.accumulate=function(n,t=0,r){return e.debounce(n,((e,n)=>e?(e.push(n),e):[n]),t,void 0,!0,void 0,r)},e.latch=function(e,n=(e,n)=>e===n,t){let r,i=!0;return o(e,(e=>{const t=i||!n(e,r);return i=!1,r=e,t}),t)},e.split=function(n,t,r){return[e.filter(n,t,r),e.filter(n,(e=>!t(e)),r)]},e.buffer=function(e,n=!1,t=[],r){let o=t.slice(),i=e((e=>{o?o.push(e):s.fire(e)}));r&&r.add(i);const a=()=>{null==o||o.forEach((e=>s.fire(e))),o=null},s=new P({onWillAddFirstListener(){i||(i=e((e=>s.fire(e))),r&&r.add(i))},onDidAddFirstListener(){o&&(n?setTimeout(a):a())},onDidRemoveLastListener(){i&&i.dispose(),i=null}});return r&&r.add(s),s.event},e.chain=function(e,n){return(t,r,o)=>{const i=n(new l);return e((function(e){const n=i.evaluate(e);n!==s&&t.call(r,n)}),void 0,o)}};const s=Symbol("HaltChainable");class l{constructor(){this.steps=[]}map(e){return this.steps.push(e),this}forEach(e){return this.steps.push((n=>(e(n),n))),this}filter(e){return this.steps.push((n=>e(n)?n:s)),this}reduce(e,n){let t=n;return this.steps.push((n=>(t=e(t,n),t))),this}latch(e=(e,n)=>e===n){let n,t=!0;return this.steps.push((r=>{const o=t||!e(r,n);return t=!1,n=r,o?r:s})),this}evaluate(e){for(const n of this.steps)if((e=n(e))===s)break;return e}}e.fromNodeEventEmitter=function(e,n,t=e=>e){const r=(...e)=>o.fire(t(...e)),o=new P({onWillAddFirstListener:()=>e.on(n,r),onDidRemoveLastListener:()=>e.removeListener(n,r)});return o.event},e.fromDOMEventEmitter=function(e,n,t=e=>e){const r=(...e)=>o.fire(t(...e)),o=new P({onWillAddFirstListener:()=>e.addEventListener(n,r),onDidRemoveLastListener:()=>e.removeEventListener(n,r)});return o.event},e.toPromise=function(e){return new Promise((n=>t(e)(n)))},e.fromPromise=function(e){const n=new P;return e.then((e=>{n.fire(e)}),(()=>{n.fire(void 0)})).finally((()=>{n.dispose()})),n.event},e.runAndSubscribe=function(e,n,t){return n(t),e((e=>n(e)))};class c{constructor(e,t){this._observable=e,this._counter=0,this._hasChanged=!1;const r={onWillAddFirstListener:()=>{e.addObserver(this)},onDidRemoveLastListener:()=>{e.removeObserver(this)}};t||n(),this.emitter=new P(r),t&&t.add(this.emitter)}beginUpdate(e){this._counter++}handlePossibleChange(e){}handleChange(e,n){this._hasChanged=!0}endUpdate(e){this._counter--,0===this._counter&&(this._observable.reportChanges(),this._hasChanged&&(this._hasChanged=!1,this.emitter.fire(this._observable.get())))}}e.fromObservable=function(e,n){return new c(e,n).emitter.event},e.fromObservableLight=function(e){return(n,t,r)=>{let o=0,i=!1;const a={beginUpdate(){o++},endUpdate(){o--,0===o&&(e.reportChanges(),i&&(i=!1,n.call(t)))},handlePossibleChange(){},handleChange(){i=!0}};e.addObserver(a),e.reportChanges();const s={dispose(){e.removeObserver(a)}};return r instanceof y?r.add(s):Array.isArray(r)&&r.push(s),s}}}(x||(x={}));class A{constructor(e){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${e}_${A._idPool++}`,A.all.add(this)}start(e){this._stopWatch=new T,this.listenerCount=e}stop(){if(this._stopWatch){const e=this._stopWatch.elapsed();this.durations.push(e),this.elapsedOverall+=e,this.invocationCount+=1,this._stopWatch=void 0}}}A.all=new Set,A._idPool=0;class R{constructor(e,n,t=Math.random().toString(18).slice(2,5)){this._errorHandler=e,this.threshold=n,this.name=t,this._warnCountdown=0}dispose(){var e;null===(e=this._stacks)||void 0===e||e.clear()}check(e,n){const t=this.threshold;if(t<=0||n<t)return;this._stacks||(this._stacks=new Map);const r=this._stacks.get(e.value)||0;if(this._stacks.set(e.value,r+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=.5*t;const[e,r]=this.getMostFrequentStack(),o=`[${this.name}] potential listener LEAK detected, having ${n} listeners already. MOST frequent listener (${r}):`;console.warn(o),console.warn(e);const i=new N(o,e);this._errorHandler(i)}return()=>{const n=this._stacks.get(e.value)||0;this._stacks.set(e.value,n-1)}}getMostFrequentStack(){if(!this._stacks)return;let e,n=0;for(const[t,r]of this._stacks)(!e||n<r)&&(e=[t,r],n=r);return e}}class I{static create(){var e;const n=new Error;return new I(null!==(e=n.stack)&&void 0!==e?e:"")}constructor(e){this.value=e}print(){console.warn(this.value.split("\n").slice(2).join("\n"))}}class N extends Error{constructor(e,n){super(e),this.name="ListenerLeakError",this.stack=n}}class D extends Error{constructor(e,n){super(e),this.name="ListenerRefusalError",this.stack=n}}class C{constructor(e){this.value=e}}const M=void 0;class P{constructor(e){var n,r,o,i,a,s;this._size=0,this._options=e,this._leakageMon=(null===(n=this._options)||void 0===n?void 0:n.leakWarningThreshold)?new R(null!==(r=null==e?void 0:e.onListenerError)&&void 0!==r?r:t,null!==(i=null===(o=this._options)||void 0===o?void 0:o.leakWarningThreshold)&&void 0!==i?i:-1):void 0,this._perfMon=(null===(a=this._options)||void 0===a?void 0:a._profName)?new A(this._options._profName):void 0,this._deliveryQueue=null===(s=this._options)||void 0===s?void 0:s.deliveryQueue}dispose(){var e,n,t,r;this._disposed||(this._disposed=!0,(null===(e=this._deliveryQueue)||void 0===e?void 0:e.current)===this&&this._deliveryQueue.reset(),this._listeners&&(this._listeners=void 0,this._size=0),null===(t=null===(n=this._options)||void 0===n?void 0:n.onDidRemoveLastListener)||void 0===t||t.call(n),null===(r=this._leakageMon)||void 0===r||r.dispose())}get event(){var e;return null!==(e=this._event)&&void 0!==e||(this._event=(e,n,r)=>{var o,i,a,s,l,c,d;if(this._leakageMon&&this._size>this._leakageMon.threshold**2){const e=`[${this._leakageMon.name}] REFUSES to accept new listeners because it exceeded its threshold by far (${this._size} vs ${this._leakageMon.threshold})`;console.warn(e);const n=null!==(o=this._leakageMon.getMostFrequentStack())&&void 0!==o?o:["UNKNOWN stack",-1],r=new D(`${e}. HINT: Stack shows most frequent listener (${n[1]}-times)`,n[0]);return((null===(i=this._options)||void 0===i?void 0:i.onListenerError)||t)(r),v.None}if(this._disposed)return v.None;n&&(e=e.bind(n));const u=new C(e);let p;this._leakageMon&&this._size>=Math.ceil(.2*this._leakageMon.threshold)&&(u.stack=I.create(),p=this._leakageMon.check(u.stack,this._size+1)),this._listeners?this._listeners instanceof C?(null!==(d=this._deliveryQueue)&&void 0!==d||(this._deliveryQueue=new L),this._listeners=[this._listeners,u]):this._listeners.push(u):(null===(s=null===(a=this._options)||void 0===a?void 0:a.onWillAddFirstListener)||void 0===s||s.call(a,this),this._listeners=u,null===(c=null===(l=this._options)||void 0===l?void 0:l.onDidAddFirstListener)||void 0===c||c.call(l,this)),this._size++;const f=g((()=>{null==M||M.unregister(f),null==p||p(),this._removeListener(u)}));if(r instanceof y?r.add(f):Array.isArray(r)&&r.push(f),M){const e=(new Error).stack.split("\n").slice(2).join("\n").trim();M.register(f,e,f)}return f}),this._event}_removeListener(e){var n,t,r,o;if(null===(t=null===(n=this._options)||void 0===n?void 0:n.onWillRemoveListener)||void 0===t||t.call(n,this),!this._listeners)return;if(1===this._size)return this._listeners=void 0,null===(o=null===(r=this._options)||void 0===r?void 0:r.onDidRemoveLastListener)||void 0===o||o.call(r,this),void(this._size=0);const i=this._listeners,a=i.indexOf(e);if(-1===a)throw console.log("disposed?",this._disposed),console.log("size?",this._size),console.log("arr?",JSON.stringify(this._listeners)),new Error("Attempted to dispose unknown listener");this._size--,i[a]=void 0;const s=this._deliveryQueue.current===this;if(2*this._size<=i.length){let e=0;for(let n=0;n<i.length;n++)i[n]?i[e++]=i[n]:s&&(this._deliveryQueue.end--,e<this._deliveryQueue.i&&this._deliveryQueue.i--);i.length=e}}_deliver(e,n){var r;if(!e)return;const o=(null===(r=this._options)||void 0===r?void 0:r.onListenerError)||t;if(o)try{e.value(n)}catch(e){o(e)}else e.value(n)}_deliverQueue(e){const n=e.current._listeners;for(;e.i<e.end;)this._deliver(n[e.i++],e.value);e.reset()}fire(e){var n,t,r,o;if((null===(n=this._deliveryQueue)||void 0===n?void 0:n.current)&&(this._deliverQueue(this._deliveryQueue),null===(t=this._perfMon)||void 0===t||t.stop()),null===(r=this._perfMon)||void 0===r||r.start(this._size),this._listeners)if(this._listeners instanceof C)this._deliver(this._listeners,e);else{const n=this._deliveryQueue;n.enqueue(this,e,this._listeners.length),this._deliverQueue(n)}else;null===(o=this._perfMon)||void 0===o||o.stop()}hasListeners(){return this._size>0}}class L{constructor(){this.i=-1,this.end=0}enqueue(e,n,t){this.i=0,this.end=t,this.current=e,this.value=n}reset(){this.i=this.end,this.current=void 0,this.value=void 0}}Object.prototype.hasOwnProperty;function k(e){const n=[];for(const t of function(e){let n=[];for(;Object.prototype!==e;)n=n.concat(Object.getOwnPropertyNames(e)),e=Object.getPrototypeOf(e);return n}(e))"function"==typeof e[t]&&n.push(t);return n}let w="undefined"!=typeof document&&document.location&&document.location.hash.indexOf("pseudo=true")>=0;function O(e,n){let t;return t=0===n.length?e:e.replace(/\{(\d+)\}/g,((e,t)=>{const r=t[0],o=n[r];let i=e;return"string"==typeof o?i=o:"number"!=typeof o&&"boolean"!=typeof o&&null!=o||(i=String(o)),i})),w&&(t="［"+t.replace(/[aouei]/g,"$&$&")+"］"),t}function F(e,n,...t){return O(n,t)}var W,z;const G="en";let B,j,V=!1,U=!1,H=!1,K=!1,q=!1,J=!1,X=!1,Y=!1,$=!1,Q=!1,Z=null,ee=null,ne=null;const te=globalThis;let re;void 0!==te.vscode&&void 0!==te.vscode.process?re=te.vscode.process:"undefined"!=typeof process&&"string"==typeof(null===(W=null===process||void 0===process?void 0:process.versions)||void 0===W?void 0:W.node)&&(re=process);const oe="string"==typeof(null===(z=null==re?void 0:re.versions)||void 0===z?void 0:z.electron),ie=oe&&"renderer"===(null==re?void 0:re.type);if("object"==typeof re){V="win32"===re.platform,U="darwin"===re.platform,H="linux"===re.platform,K=H&&!!re.env.SNAP&&!!re.env.SNAP_REVISION,X=oe,$=!!re.env.CI||!!re.env.BUILD_ARTIFACTSTAGINGDIRECTORY,B=G,Z=G;const e=re.env.VSCODE_NLS_CONFIG;if(e)try{const n=JSON.parse(e),t=n.availableLanguages["*"];B=n.locale,ee=n.osLocale,Z=t||G,ne=n._translationsConfigFile}catch(e){}q=!0}else if("object"!=typeof navigator||ie)console.error("Unable to resolve platform.");else{j=navigator.userAgent,V=j.indexOf("Windows")>=0,U=j.indexOf("Macintosh")>=0,Y=(j.indexOf("Macintosh")>=0||j.indexOf("iPad")>=0||j.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,H=j.indexOf("Linux")>=0,Q=(null==j?void 0:j.indexOf("Mobi"))>=0,J=!0;B=void F(0,"_")||G,Z=B,ee=navigator.language}let ae=0;U?ae=1:V?ae=3:H&&(ae=2);const se=V,le=U,ce=(J&&"function"==typeof te.importScripts&&te.origin,j),de="function"==typeof te.postMessage&&!te.importScripts;(()=>{if(de){const e=[];te.addEventListener("message",(n=>{if(n.data&&n.data.vscodeScheduleAsyncWork)for(let t=0,r=e.length;t<r;t++){const r=e[t];if(r.id===n.data.vscodeScheduleAsyncWork)return e.splice(t,1),void r.callback()}}));let n=0;return t=>{const r=++n;e.push({id:r,callback:t}),te.postMessage({vscodeScheduleAsyncWork:r},"*")}}})();const ue=!!(ce&&ce.indexOf("Chrome")>=0);ce&&ce.indexOf("Firefox"),!ue&&ce&&ce.indexOf("Safari"),ce&&ce.indexOf("Edg/"),ce&&ce.indexOf("Android");function pe(e){return e}class fe{constructor(e){this.executor=e,this._didRun=!1}get value(){if(!this._didRun)try{this._value=this.executor()}catch(e){this._error=e}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}}var me;function _e(e){return e.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}function he(e){return e>=65&&e<=90}function ge(e){return 55296<=e&&e<=56319}function ye(e){return 56320<=e&&e<=57343}function ve(e,n){return n-56320+(e-55296<<10)+65536}function be(e,n,t){const r=e.charCodeAt(t);if(ge(r)&&t+1<n){const n=e.charCodeAt(t+1);if(ye(n))return ve(r,n)}return r}const Ee=/^[\t\n\r\x20-\x7E]*$/;String.fromCharCode(65279);class Se{static getInstance(){return Se._INSTANCE||(Se._INSTANCE=new Se),Se._INSTANCE}constructor(){this._data=JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}getGraphemeBreakType(e){if(e<32)return 10===e?3:13===e?2:4;if(e<127)return 0;const n=this._data,t=n.length/3;let r=1;for(;r<=t;)if(e<n[3*r])r*=2;else{if(!(e>n[3*r+1]))return n[3*r+2];r=2*r+1}return 0}}Se._INSTANCE=null;class Te{static getInstance(e){return me.cache.get(Array.from(e))}static getLocales(){return me._locales.value}constructor(e){this.confusableDictionary=e}isAmbiguous(e){return this.confusableDictionary.has(e)}getPrimaryConfusable(e){return this.confusableDictionary.get(e)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}me=Te,Te.ambiguousCharacterData=new fe((()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125,119846,109],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}'))),Te.cache=new class{constructor(e,n){this.lastCache=void 0,this.lastArgKey=void 0,"function"==typeof e?(this._fn=e,this._computeKey=pe):(this._fn=n,this._computeKey=e.getCacheKey)}get(e){const n=this._computeKey(e);return this.lastArgKey!==n&&(this.lastArgKey=n,this.lastCache=this._fn(e)),this.lastCache}}({getCacheKey:JSON.stringify},(e=>{function n(e){const n=new Map;for(let t=0;t<e.length;t+=2)n.set(e[t],e[t+1]);return n}function t(e,n){if(!e)return n;const t=new Map;for(const[r,o]of e)n.has(r)&&t.set(r,o);return t}const r=me.ambiguousCharacterData.value;let o,i=e.filter((e=>!e.startsWith("_")&&e in r));0===i.length&&(i=["_default"]);for(const e of i){o=t(o,n(r[e]))}const a=function(e,n){const t=new Map(e);for(const[e,r]of n)t.set(e,r);return t}(n(r._common),o);return new me(a)})),Te._locales=new fe((()=>Object.keys(me.ambiguousCharacterData.value).filter((e=>!e.startsWith("_")))));class xe{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(xe.getRawData())),this._data}static isInvisibleCharacter(e){return xe.getData().has(e)}static get codePoints(){return xe.getData()}}xe._data=void 0;const Ae="$initialize";let Re;class Ie{constructor(e,n,t,r){this.vsWorker=e,this.req=n,this.method=t,this.args=r,this.type=0}}class Ne{constructor(e,n,t,r){this.vsWorker=e,this.seq=n,this.res=t,this.err=r,this.type=1}}class De{constructor(e,n,t,r){this.vsWorker=e,this.req=n,this.eventName=t,this.arg=r,this.type=2}}class Ce{constructor(e,n,t){this.vsWorker=e,this.req=n,this.event=t,this.type=3}}class Me{constructor(e,n){this.vsWorker=e,this.req=n,this.type=4}}class Pe{constructor(e){this._workerId=-1,this._handler=e,this._lastSentReq=0,this._pendingReplies=Object.create(null),this._pendingEmitters=new Map,this._pendingEvents=new Map}setWorkerId(e){this._workerId=e}sendMessage(e,n){const t=String(++this._lastSentReq);return new Promise(((r,o)=>{this._pendingReplies[t]={resolve:r,reject:o},this._send(new Ie(this._workerId,t,e,n))}))}listen(e,n){let t=null;const r=new P({onWillAddFirstListener:()=>{t=String(++this._lastSentReq),this._pendingEmitters.set(t,r),this._send(new De(this._workerId,t,e,n))},onDidRemoveLastListener:()=>{this._pendingEmitters.delete(t),this._send(new Me(this._workerId,t)),t=null}});return r.event}handleMessage(e){e&&e.vsWorker&&(-1!==this._workerId&&e.vsWorker!==this._workerId||this._handleMessage(e))}_handleMessage(e){switch(e.type){case 1:return this._handleReplyMessage(e);case 0:return this._handleRequestMessage(e);case 2:return this._handleSubscribeEventMessage(e);case 3:return this._handleEventMessage(e);case 4:return this._handleUnsubscribeEventMessage(e)}}_handleReplyMessage(e){if(!this._pendingReplies[e.seq])return void console.warn("Got reply to unknown seq");const n=this._pendingReplies[e.seq];if(delete this._pendingReplies[e.seq],e.err){let t=e.err;return e.err.$isError&&(t=new Error,t.name=e.err.name,t.message=e.err.message,t.stack=e.err.stack),void n.reject(t)}n.resolve(e.res)}_handleRequestMessage(e){const n=e.req;this._handler.handleMessage(e.method,e.args).then((e=>{this._send(new Ne(this._workerId,n,e,void 0))}),(e=>{e.detail instanceof Error&&(e.detail=r(e.detail)),this._send(new Ne(this._workerId,n,void 0,r(e)))}))}_handleSubscribeEventMessage(e){const n=e.req,t=this._handler.handleEvent(e.eventName,e.arg)((e=>{this._send(new Ce(this._workerId,n,e))}));this._pendingEvents.set(n,t)}_handleEventMessage(e){this._pendingEmitters.has(e.req)?this._pendingEmitters.get(e.req).fire(e.event):console.warn("Got event for unknown req")}_handleUnsubscribeEventMessage(e){this._pendingEvents.has(e.req)?(this._pendingEvents.get(e.req).dispose(),this._pendingEvents.delete(e.req)):console.warn("Got unsubscribe for unknown req")}_send(e){const n=[];if(0===e.type)for(let t=0;t<e.args.length;t++)e.args[t]instanceof ArrayBuffer&&n.push(e.args[t]);else 1===e.type&&e.res instanceof ArrayBuffer&&n.push(e.res);this._handler.sendMessage(e,n)}}function Le(e){return"o"===e[0]&&"n"===e[1]&&he(e.charCodeAt(2))}function ke(e){return/^onDynamic/.test(e)&&he(e.charCodeAt(9))}function we(e,n,t){const r=e=>function(){const t=Array.prototype.slice.call(arguments,0);return n(e,t)},o=e=>function(n){return t(e,n)},i={};for(const n of e)ke(n)?i[n]=o(n):Le(n)?i[n]=t(n,void 0):i[n]=r(n);return i}class Oe{constructor(e,n){this._requestHandlerFactory=n,this._requestHandler=null,this._protocol=new Pe({sendMessage:(n,t)=>{e(n,t)},handleMessage:(e,n)=>this._handleMessage(e,n),handleEvent:(e,n)=>this._handleEvent(e,n)})}onmessage(e){this._protocol.handleMessage(e)}_handleMessage(e,n){if(e===Ae)return this.initialize(n[0],n[1],n[2],n[3]);if(!this._requestHandler||"function"!=typeof this._requestHandler[e])return Promise.reject(new Error("Missing requestHandler or method: "+e));try{return Promise.resolve(this._requestHandler[e].apply(this._requestHandler,n))}catch(e){return Promise.reject(e)}}_handleEvent(e,n){if(!this._requestHandler)throw new Error("Missing requestHandler");if(ke(e)){const t=this._requestHandler[e].call(this._requestHandler,n);if("function"!=typeof t)throw new Error(`Missing dynamic event ${e} on request handler.`);return t}if(Le(e)){const n=this._requestHandler[e];if("function"!=typeof n)throw new Error(`Missing event ${e} on request handler.`);return n}throw new Error(`Malformed event name ${e}`)}initialize(e,n,t,r){this._protocol.setWorkerId(e);const o=we(r,((e,n)=>this._protocol.sendMessage(e,n)),((e,n)=>this._protocol.listen(e,n)));return this._requestHandlerFactory?(this._requestHandler=this._requestHandlerFactory(o),Promise.resolve(k(this._requestHandler))):(n&&(void 0!==n.baseUrl&&delete n.baseUrl,void 0!==n.paths&&void 0!==n.paths.vs&&delete n.paths.vs,void 0!==n.trustedTypesPolicy&&delete n.trustedTypesPolicy,n.catchError=!0,globalThis.require.config(n)),new Promise(((e,n)=>{(0,globalThis.require)([t],(t=>{this._requestHandler=t.create(o),this._requestHandler?e(k(this._requestHandler)):n(new Error("No RequestHandler!"))}),n)})))}}class Fe{constructor(e,n,t,r){this.originalStart=e,this.originalLength=n,this.modifiedStart=t,this.modifiedLength=r}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}function We(e,n){return(n<<5)-n+e|0}function ze(e,n){n=We(149417,n);for(let t=0,r=e.length;t<r;t++)n=We(e.charCodeAt(t),n);return n}function Ge(e,n,t=32){const r=t-n;return(e<<n|(~((1<<r)-1)&e)>>>r)>>>0}function Be(e,n=0,t=e.byteLength,r=0){for(let o=0;o<t;o++)e[n+o]=r}function je(e,n=32){return e instanceof ArrayBuffer?Array.from(new Uint8Array(e)).map((e=>e.toString(16).padStart(2,"0"))).join(""):function(e,n,t="0"){for(;e.length<n;)e=t+e;return e}((e>>>0).toString(16),n/4)}class Ve{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(67),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(e){const n=e.length;if(0===n)return;const t=this._buff;let r,o,i=this._buffLen,a=this._leftoverHighSurrogate;for(0!==a?(r=a,o=-1,a=0):(r=e.charCodeAt(0),o=0);;){let s=r;if(ge(r)){if(!(o+1<n)){a=r;break}{const n=e.charCodeAt(o+1);ye(n)?(o++,s=ve(r,n)):s=65533}}else ye(r)&&(s=65533);if(i=this._push(t,i,s),o++,!(o<n))break;r=e.charCodeAt(o)}this._buffLen=i,this._leftoverHighSurrogate=a}_push(e,n,t){return t<128?e[n++]=t:t<2048?(e[n++]=192|(1984&t)>>>6,e[n++]=128|(63&t)>>>0):t<65536?(e[n++]=224|(61440&t)>>>12,e[n++]=128|(4032&t)>>>6,e[n++]=128|(63&t)>>>0):(e[n++]=240|(1835008&t)>>>18,e[n++]=128|(258048&t)>>>12,e[n++]=128|(4032&t)>>>6,e[n++]=128|(63&t)>>>0),n>=64&&(this._step(),n-=64,this._totalLen+=64,e[0]=e[64],e[1]=e[65],e[2]=e[66]),n}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),je(this._h0)+je(this._h1)+je(this._h2)+je(this._h3)+je(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,Be(this._buff,this._buffLen),this._buffLen>56&&(this._step(),Be(this._buff));const e=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(e/4294967296),!1),this._buffDV.setUint32(60,e%4294967296,!1),this._step()}_step(){const e=Ve._bigBlock32,n=this._buffDV;for(let t=0;t<64;t+=4)e.setUint32(t,n.getUint32(t,!1),!1);for(let n=64;n<320;n+=4)e.setUint32(n,Ge(e.getUint32(n-12,!1)^e.getUint32(n-32,!1)^e.getUint32(n-56,!1)^e.getUint32(n-64,!1),1),!1);let t,r,o,i=this._h0,a=this._h1,s=this._h2,l=this._h3,c=this._h4;for(let n=0;n<80;n++)n<20?(t=a&s|~a&l,r=1518500249):n<40?(t=a^s^l,r=1859775393):n<60?(t=a&s|a&l|s&l,r=2400959708):(t=a^s^l,r=3395469782),o=Ge(i,5)+t+c+r+e.getUint32(4*n,!1)&4294967295,c=l,l=s,s=Ge(a,30),a=i,i=o;this._h0=this._h0+i&4294967295,this._h1=this._h1+a&4294967295,this._h2=this._h2+s&4294967295,this._h3=this._h3+l&4294967295,this._h4=this._h4+c&4294967295}}Ve._bigBlock32=new DataView(new ArrayBuffer(320));class Ue{constructor(e){this.source=e}getElements(){const e=this.source,n=new Int32Array(e.length);for(let t=0,r=e.length;t<r;t++)n[t]=e.charCodeAt(t);return n}}function He(e,n,t){return new Xe(new Ue(e),new Ue(n)).ComputeDiff(t).changes}class Ke{static Assert(e,n){if(!e)throw new Error(n)}}class qe{static Copy(e,n,t,r,o){for(let i=0;i<o;i++)t[r+i]=e[n+i]}static Copy2(e,n,t,r,o){for(let i=0;i<o;i++)t[r+i]=e[n+i]}}class Je{constructor(){this.m_changes=[],this.m_originalStart=1073741824,this.m_modifiedStart=1073741824,this.m_originalCount=0,this.m_modifiedCount=0}MarkNextChange(){(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new Fe(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=1073741824,this.m_modifiedStart=1073741824}AddOriginalElement(e,n){this.m_originalStart=Math.min(this.m_originalStart,e),this.m_modifiedStart=Math.min(this.m_modifiedStart,n),this.m_originalCount++}AddModifiedElement(e,n){this.m_originalStart=Math.min(this.m_originalStart,e),this.m_modifiedStart=Math.min(this.m_modifiedStart,n),this.m_modifiedCount++}getChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes}getReverseChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes}}class Xe{constructor(e,n,t=null){this.ContinueProcessingPredicate=t,this._originalSequence=e,this._modifiedSequence=n;const[r,o,i]=Xe._getElements(e),[a,s,l]=Xe._getElements(n);this._hasStrings=i&&l,this._originalStringElements=r,this._originalElementsOrHash=o,this._modifiedStringElements=a,this._modifiedElementsOrHash=s,this.m_forwardHistory=[],this.m_reverseHistory=[]}static _isStringArray(e){return e.length>0&&"string"==typeof e[0]}static _getElements(e){const n=e.getElements();if(Xe._isStringArray(n)){const e=new Int32Array(n.length);for(let t=0,r=n.length;t<r;t++)e[t]=ze(n[t],0);return[n,e,!0]}return n instanceof Int32Array?[[],n,!1]:[[],new Int32Array(n),!1]}ElementsAreEqual(e,n){return this._originalElementsOrHash[e]===this._modifiedElementsOrHash[n]&&(!this._hasStrings||this._originalStringElements[e]===this._modifiedStringElements[n])}ElementsAreStrictEqual(e,n){if(!this.ElementsAreEqual(e,n))return!1;return Xe._getStrictElement(this._originalSequence,e)===Xe._getStrictElement(this._modifiedSequence,n)}static _getStrictElement(e,n){return"function"==typeof e.getStrictElement?e.getStrictElement(n):null}OriginalElementsAreEqual(e,n){return this._originalElementsOrHash[e]===this._originalElementsOrHash[n]&&(!this._hasStrings||this._originalStringElements[e]===this._originalStringElements[n])}ModifiedElementsAreEqual(e,n){return this._modifiedElementsOrHash[e]===this._modifiedElementsOrHash[n]&&(!this._hasStrings||this._modifiedStringElements[e]===this._modifiedStringElements[n])}ComputeDiff(e){return this._ComputeDiff(0,this._originalElementsOrHash.length-1,0,this._modifiedElementsOrHash.length-1,e)}_ComputeDiff(e,n,t,r,o){const i=[!1];let a=this.ComputeDiffRecursive(e,n,t,r,i);return o&&(a=this.PrettifyChanges(a)),{quitEarly:i[0],changes:a}}ComputeDiffRecursive(e,n,t,r,o){for(o[0]=!1;e<=n&&t<=r&&this.ElementsAreEqual(e,t);)e++,t++;for(;n>=e&&r>=t&&this.ElementsAreEqual(n,r);)n--,r--;if(e>n||t>r){let o;return t<=r?(Ke.Assert(e===n+1,"originalStart should only be one more than originalEnd"),o=[new Fe(e,0,t,r-t+1)]):e<=n?(Ke.Assert(t===r+1,"modifiedStart should only be one more than modifiedEnd"),o=[new Fe(e,n-e+1,t,0)]):(Ke.Assert(e===n+1,"originalStart should only be one more than originalEnd"),Ke.Assert(t===r+1,"modifiedStart should only be one more than modifiedEnd"),o=[]),o}const i=[0],a=[0],s=this.ComputeRecursionPoint(e,n,t,r,i,a,o),l=i[0],c=a[0];if(null!==s)return s;if(!o[0]){const i=this.ComputeDiffRecursive(e,l,t,c,o);let a=[];return a=o[0]?[new Fe(l+1,n-(l+1)+1,c+1,r-(c+1)+1)]:this.ComputeDiffRecursive(l+1,n,c+1,r,o),this.ConcatenateChanges(i,a)}return[new Fe(e,n-e+1,t,r-t+1)]}WALKTRACE(e,n,t,r,o,i,a,s,l,c,d,u,p,f,m,_,h,g){let y=null,v=null,b=new Je,E=n,S=t,T=p[0]-_[0]-r,x=-1073741824,A=this.m_forwardHistory.length-1;do{const n=T+e;n===E||n<S&&l[n-1]<l[n+1]?(f=(d=l[n+1])-T-r,d<x&&b.MarkNextChange(),x=d,b.AddModifiedElement(d+1,f),T=n+1-e):(f=(d=l[n-1]+1)-T-r,d<x&&b.MarkNextChange(),x=d-1,b.AddOriginalElement(d,f+1),T=n-1-e),A>=0&&(e=(l=this.m_forwardHistory[A])[0],E=1,S=l.length-1)}while(--A>=-1);if(y=b.getReverseChanges(),g[0]){let e=p[0]+1,n=_[0]+1;if(null!==y&&y.length>0){const t=y[y.length-1];e=Math.max(e,t.getOriginalEnd()),n=Math.max(n,t.getModifiedEnd())}v=[new Fe(e,u-e+1,n,m-n+1)]}else{b=new Je,E=i,S=a,T=p[0]-_[0]-s,x=1073741824,A=h?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do{const e=T+o;e===E||e<S&&c[e-1]>=c[e+1]?(f=(d=c[e+1]-1)-T-s,d>x&&b.MarkNextChange(),x=d+1,b.AddOriginalElement(d+1,f+1),T=e+1-o):(f=(d=c[e-1])-T-s,d>x&&b.MarkNextChange(),x=d,b.AddModifiedElement(d+1,f+1),T=e-1-o),A>=0&&(o=(c=this.m_reverseHistory[A])[0],E=1,S=c.length-1)}while(--A>=-1);v=b.getChanges()}return this.ConcatenateChanges(y,v)}ComputeRecursionPoint(e,n,t,r,o,i,a){let s=0,l=0,c=0,d=0,u=0,p=0;e--,t--,o[0]=0,i[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];const f=n-e+(r-t),m=f+1,_=new Int32Array(m),h=new Int32Array(m),g=r-t,y=n-e,v=e-t,b=n-r,E=(y-g)%2==0;_[g]=e,h[y]=n,a[0]=!1;for(let S=1;S<=f/2+1;S++){let f=0,T=0;c=this.ClipDiagonalBound(g-S,S,g,m),d=this.ClipDiagonalBound(g+S,S,g,m);for(let e=c;e<=d;e+=2){s=e===c||e<d&&_[e-1]<_[e+1]?_[e+1]:_[e-1]+1,l=s-(e-g)-v;const t=s;for(;s<n&&l<r&&this.ElementsAreEqual(s+1,l+1);)s++,l++;if(_[e]=s,s+l>f+T&&(f=s,T=l),!E&&Math.abs(e-y)<=S-1&&s>=h[e])return o[0]=s,i[0]=l,t<=h[e]&&S<=1448?this.WALKTRACE(g,c,d,v,y,u,p,b,_,h,s,n,o,l,r,i,E,a):null}const x=(f-e+(T-t)-S)/2;if(null!==this.ContinueProcessingPredicate&&!this.ContinueProcessingPredicate(f,x))return a[0]=!0,o[0]=f,i[0]=T,x>0&&S<=1448?this.WALKTRACE(g,c,d,v,y,u,p,b,_,h,s,n,o,l,r,i,E,a):(e++,t++,[new Fe(e,n-e+1,t,r-t+1)]);u=this.ClipDiagonalBound(y-S,S,y,m),p=this.ClipDiagonalBound(y+S,S,y,m);for(let f=u;f<=p;f+=2){s=f===u||f<p&&h[f-1]>=h[f+1]?h[f+1]-1:h[f-1],l=s-(f-y)-b;const m=s;for(;s>e&&l>t&&this.ElementsAreEqual(s,l);)s--,l--;if(h[f]=s,E&&Math.abs(f-g)<=S&&s<=_[f])return o[0]=s,i[0]=l,m>=_[f]&&S<=1448?this.WALKTRACE(g,c,d,v,y,u,p,b,_,h,s,n,o,l,r,i,E,a):null}if(S<=1447){let e=new Int32Array(d-c+2);e[0]=g-c+1,qe.Copy2(_,c,e,1,d-c+1),this.m_forwardHistory.push(e),e=new Int32Array(p-u+2),e[0]=y-u+1,qe.Copy2(h,u,e,1,p-u+1),this.m_reverseHistory.push(e)}}return this.WALKTRACE(g,c,d,v,y,u,p,b,_,h,s,n,o,l,r,i,E,a)}PrettifyChanges(e){for(let n=0;n<e.length;n++){const t=e[n],r=n<e.length-1?e[n+1].originalStart:this._originalElementsOrHash.length,o=n<e.length-1?e[n+1].modifiedStart:this._modifiedElementsOrHash.length,i=t.originalLength>0,a=t.modifiedLength>0;for(;t.originalStart+t.originalLength<r&&t.modifiedStart+t.modifiedLength<o&&(!i||this.OriginalElementsAreEqual(t.originalStart,t.originalStart+t.originalLength))&&(!a||this.ModifiedElementsAreEqual(t.modifiedStart,t.modifiedStart+t.modifiedLength));){const e=this.ElementsAreStrictEqual(t.originalStart,t.modifiedStart);if(this.ElementsAreStrictEqual(t.originalStart+t.originalLength,t.modifiedStart+t.modifiedLength)&&!e)break;t.originalStart++,t.modifiedStart++}const s=[null];n<e.length-1&&this.ChangesOverlap(e[n],e[n+1],s)&&(e[n]=s[0],e.splice(n+1,1),n--)}for(let n=e.length-1;n>=0;n--){const t=e[n];let r=0,o=0;if(n>0){const t=e[n-1];r=t.originalStart+t.originalLength,o=t.modifiedStart+t.modifiedLength}const i=t.originalLength>0,a=t.modifiedLength>0;let s=0,l=this._boundaryScore(t.originalStart,t.originalLength,t.modifiedStart,t.modifiedLength);for(let e=1;;e++){const n=t.originalStart-e,c=t.modifiedStart-e;if(n<r||c<o)break;if(i&&!this.OriginalElementsAreEqual(n,n+t.originalLength))break;if(a&&!this.ModifiedElementsAreEqual(c,c+t.modifiedLength))break;const d=(n===r&&c===o?5:0)+this._boundaryScore(n,t.originalLength,c,t.modifiedLength);d>l&&(l=d,s=e)}t.originalStart-=s,t.modifiedStart-=s;const c=[null];n>0&&this.ChangesOverlap(e[n-1],e[n],c)&&(e[n-1]=c[0],e.splice(n,1),n++)}if(this._hasStrings)for(let n=1,t=e.length;n<t;n++){const t=e[n-1],r=e[n],o=r.originalStart-t.originalStart-t.originalLength,i=t.originalStart,a=r.originalStart+r.originalLength,s=a-i,l=t.modifiedStart,c=r.modifiedStart+r.modifiedLength,d=c-l;if(o<5&&s<20&&d<20){const e=this._findBetterContiguousSequence(i,s,l,d,o);if(e){const[n,i]=e;n===t.originalStart+t.originalLength&&i===t.modifiedStart+t.modifiedLength||(t.originalLength=n-t.originalStart,t.modifiedLength=i-t.modifiedStart,r.originalStart=n+o,r.modifiedStart=i+o,r.originalLength=a-r.originalStart,r.modifiedLength=c-r.modifiedStart)}}}return e}_findBetterContiguousSequence(e,n,t,r,o){if(n<o||r<o)return null;const i=e+n-o+1,a=t+r-o+1;let s=0,l=0,c=0;for(let n=e;n<i;n++)for(let e=t;e<a;e++){const t=this._contiguousSequenceScore(n,e,o);t>0&&t>s&&(s=t,l=n,c=e)}return s>0?[l,c]:null}_contiguousSequenceScore(e,n,t){let r=0;for(let o=0;o<t;o++){if(!this.ElementsAreEqual(e+o,n+o))return 0;r+=this._originalStringElements[e+o].length}return r}_OriginalIsBoundary(e){return e<=0||e>=this._originalElementsOrHash.length-1||this._hasStrings&&/^\s*$/.test(this._originalStringElements[e])}_OriginalRegionIsBoundary(e,n){if(this._OriginalIsBoundary(e)||this._OriginalIsBoundary(e-1))return!0;if(n>0){const t=e+n;if(this._OriginalIsBoundary(t-1)||this._OriginalIsBoundary(t))return!0}return!1}_ModifiedIsBoundary(e){return e<=0||e>=this._modifiedElementsOrHash.length-1||this._hasStrings&&/^\s*$/.test(this._modifiedStringElements[e])}_ModifiedRegionIsBoundary(e,n){if(this._ModifiedIsBoundary(e)||this._ModifiedIsBoundary(e-1))return!0;if(n>0){const t=e+n;if(this._ModifiedIsBoundary(t-1)||this._ModifiedIsBoundary(t))return!0}return!1}_boundaryScore(e,n,t,r){return(this._OriginalRegionIsBoundary(e,n)?1:0)+(this._ModifiedRegionIsBoundary(t,r)?1:0)}ConcatenateChanges(e,n){const t=[];if(0===e.length||0===n.length)return n.length>0?n:e;if(this.ChangesOverlap(e[e.length-1],n[0],t)){const r=new Array(e.length+n.length-1);return qe.Copy(e,0,r,0,e.length-1),r[e.length-1]=t[0],qe.Copy(n,1,r,e.length,n.length-1),r}{const t=new Array(e.length+n.length);return qe.Copy(e,0,t,0,e.length),qe.Copy(n,0,t,e.length,n.length),t}}ChangesOverlap(e,n,t){if(Ke.Assert(e.originalStart<=n.originalStart,"Left change is not less than or equal to right change"),Ke.Assert(e.modifiedStart<=n.modifiedStart,"Left change is not less than or equal to right change"),e.originalStart+e.originalLength>=n.originalStart||e.modifiedStart+e.modifiedLength>=n.modifiedStart){const r=e.originalStart;let o=e.originalLength;const i=e.modifiedStart;let a=e.modifiedLength;return e.originalStart+e.originalLength>=n.originalStart&&(o=n.originalStart+n.originalLength-e.originalStart),e.modifiedStart+e.modifiedLength>=n.modifiedStart&&(a=n.modifiedStart+n.modifiedLength-e.modifiedStart),t[0]=new Fe(r,o,i,a),!0}return t[0]=null,!1}ClipDiagonalBound(e,n,t,r){if(e>=0&&e<r)return e;const o=n%2==0;if(e<0){return o===(t%2==0)?0:1}return o===((r-t-1)%2==0)?r-1:r-2}}const Ye=globalThis.vscode;if(void 0!==Ye&&void 0!==Ye.process){const e=Ye.process;Re={get platform(){return e.platform},get arch(){return e.arch},get env(){return e.env},cwd(){return e.cwd()}}}else Re="undefined"!=typeof process?{get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:{get platform(){return se?"win32":le?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};const $e=Re.cwd,Qe=Re.env,Ze=Re.platform,en=46,nn=47,tn=92,rn=58;class on extends Error{constructor(e,n,t){let r;"string"==typeof n&&0===n.indexOf("not ")?(r="must not be",n=n.replace(/^not /,"")):r="must be";const o=-1!==e.indexOf(".")?"property":"argument";let i=`The "${e}" ${o} ${r} of type ${n}`;i+=". Received type "+typeof t,super(i),this.code="ERR_INVALID_ARG_TYPE"}}function an(e,n){if("string"!=typeof e)throw new on(n,"string",e)}const sn="win32"===Ze;function ln(e){return e===nn||e===tn}function cn(e){return e===nn}function dn(e){return e>=65&&e<=90||e>=97&&e<=122}function un(e,n,t,r){let o="",i=0,a=-1,s=0,l=0;for(let c=0;c<=e.length;++c){if(c<e.length)l=e.charCodeAt(c);else{if(r(l))break;l=nn}if(r(l)){if(a===c-1||1===s);else if(2===s){if(o.length<2||2!==i||o.charCodeAt(o.length-1)!==en||o.charCodeAt(o.length-2)!==en){if(o.length>2){const e=o.lastIndexOf(t);-1===e?(o="",i=0):(o=o.slice(0,e),i=o.length-1-o.lastIndexOf(t)),a=c,s=0;continue}if(0!==o.length){o="",i=0,a=c,s=0;continue}}n&&(o+=o.length>0?`${t}..`:"..",i=2)}else o.length>0?o+=`${t}${e.slice(a+1,c)}`:o=e.slice(a+1,c),i=c-a-1;a=c,s=0}else l===en&&-1!==s?++s:s=-1}return o}function pn(e,n){!function(e,n){if(null===e||"object"!=typeof e)throw new on(n,"Object",e)}(n,"pathObject");const t=n.dir||n.root,r=n.base||`${n.name||""}${n.ext||""}`;return t?t===n.root?`${t}${r}`:`${t}${e}${r}`:r}const fn={resolve(...e){let n="",t="",r=!1;for(let o=e.length-1;o>=-1;o--){let i;if(o>=0){if(i=e[o],an(i,"path"),0===i.length)continue}else 0===n.length?i=$e():(i=Qe[`=${n}`]||$e(),(void 0===i||i.slice(0,2).toLowerCase()!==n.toLowerCase()&&i.charCodeAt(2)===tn)&&(i=`${n}\\`));const a=i.length;let s=0,l="",c=!1;const d=i.charCodeAt(0);if(1===a)ln(d)&&(s=1,c=!0);else if(ln(d))if(c=!0,ln(i.charCodeAt(1))){let e=2,n=e;for(;e<a&&!ln(i.charCodeAt(e));)e++;if(e<a&&e!==n){const t=i.slice(n,e);for(n=e;e<a&&ln(i.charCodeAt(e));)e++;if(e<a&&e!==n){for(n=e;e<a&&!ln(i.charCodeAt(e));)e++;e!==a&&e===n||(l=`\\\\${t}\\${i.slice(n,e)}`,s=e)}}}else s=1;else dn(d)&&i.charCodeAt(1)===rn&&(l=i.slice(0,2),s=2,a>2&&ln(i.charCodeAt(2))&&(c=!0,s=3));if(l.length>0)if(n.length>0){if(l.toLowerCase()!==n.toLowerCase())continue}else n=l;if(r){if(n.length>0)break}else if(t=`${i.slice(s)}\\${t}`,r=c,c&&n.length>0)break}return t=un(t,!r,"\\",ln),r?`${n}\\${t}`:`${n}${t}`||"."},normalize(e){an(e,"path");const n=e.length;if(0===n)return".";let t,r=0,o=!1;const i=e.charCodeAt(0);if(1===n)return cn(i)?"\\":e;if(ln(i))if(o=!0,ln(e.charCodeAt(1))){let o=2,i=o;for(;o<n&&!ln(e.charCodeAt(o));)o++;if(o<n&&o!==i){const a=e.slice(i,o);for(i=o;o<n&&ln(e.charCodeAt(o));)o++;if(o<n&&o!==i){for(i=o;o<n&&!ln(e.charCodeAt(o));)o++;if(o===n)return`\\\\${a}\\${e.slice(i)}\\`;o!==i&&(t=`\\\\${a}\\${e.slice(i,o)}`,r=o)}}}else r=1;else dn(i)&&e.charCodeAt(1)===rn&&(t=e.slice(0,2),r=2,n>2&&ln(e.charCodeAt(2))&&(o=!0,r=3));let a=r<n?un(e.slice(r),!o,"\\",ln):"";return 0!==a.length||o||(a="."),a.length>0&&ln(e.charCodeAt(n-1))&&(a+="\\"),void 0===t?o?`\\${a}`:a:o?`${t}\\${a}`:`${t}${a}`},isAbsolute(e){an(e,"path");const n=e.length;if(0===n)return!1;const t=e.charCodeAt(0);return ln(t)||n>2&&dn(t)&&e.charCodeAt(1)===rn&&ln(e.charCodeAt(2))},join(...e){if(0===e.length)return".";let n,t;for(let r=0;r<e.length;++r){const o=e[r];an(o,"path"),o.length>0&&(void 0===n?n=t=o:n+=`\\${o}`)}if(void 0===n)return".";let r=!0,o=0;if("string"==typeof t&&ln(t.charCodeAt(0))){++o;const e=t.length;e>1&&ln(t.charCodeAt(1))&&(++o,e>2&&(ln(t.charCodeAt(2))?++o:r=!1))}if(r){for(;o<n.length&&ln(n.charCodeAt(o));)o++;o>=2&&(n=`\\${n.slice(o)}`)}return fn.normalize(n)},relative(e,n){if(an(e,"from"),an(n,"to"),e===n)return"";const t=fn.resolve(e),r=fn.resolve(n);if(t===r)return"";if((e=t.toLowerCase())===(n=r.toLowerCase()))return"";let o=0;for(;o<e.length&&e.charCodeAt(o)===tn;)o++;let i=e.length;for(;i-1>o&&e.charCodeAt(i-1)===tn;)i--;const a=i-o;let s=0;for(;s<n.length&&n.charCodeAt(s)===tn;)s++;let l=n.length;for(;l-1>s&&n.charCodeAt(l-1)===tn;)l--;const c=l-s,d=a<c?a:c;let u=-1,p=0;for(;p<d;p++){const t=e.charCodeAt(o+p);if(t!==n.charCodeAt(s+p))break;t===tn&&(u=p)}if(p!==d){if(-1===u)return r}else{if(c>d){if(n.charCodeAt(s+p)===tn)return r.slice(s+p+1);if(2===p)return r.slice(s+p)}a>d&&(e.charCodeAt(o+p)===tn?u=p:2===p&&(u=3)),-1===u&&(u=0)}let f="";for(p=o+u+1;p<=i;++p)p!==i&&e.charCodeAt(p)!==tn||(f+=0===f.length?"..":"\\..");return s+=u,f.length>0?`${f}${r.slice(s,l)}`:(r.charCodeAt(s)===tn&&++s,r.slice(s,l))},toNamespacedPath(e){if("string"!=typeof e||0===e.length)return e;const n=fn.resolve(e);if(n.length<=2)return e;if(n.charCodeAt(0)===tn){if(n.charCodeAt(1)===tn){const e=n.charCodeAt(2);if(63!==e&&e!==en)return`\\\\?\\UNC\\${n.slice(2)}`}}else if(dn(n.charCodeAt(0))&&n.charCodeAt(1)===rn&&n.charCodeAt(2)===tn)return`\\\\?\\${n}`;return e},dirname(e){an(e,"path");const n=e.length;if(0===n)return".";let t=-1,r=0;const o=e.charCodeAt(0);if(1===n)return ln(o)?e:".";if(ln(o)){if(t=r=1,ln(e.charCodeAt(1))){let o=2,i=o;for(;o<n&&!ln(e.charCodeAt(o));)o++;if(o<n&&o!==i){for(i=o;o<n&&ln(e.charCodeAt(o));)o++;if(o<n&&o!==i){for(i=o;o<n&&!ln(e.charCodeAt(o));)o++;if(o===n)return e;o!==i&&(t=r=o+1)}}}}else dn(o)&&e.charCodeAt(1)===rn&&(t=n>2&&ln(e.charCodeAt(2))?3:2,r=t);let i=-1,a=!0;for(let t=n-1;t>=r;--t)if(ln(e.charCodeAt(t))){if(!a){i=t;break}}else a=!1;if(-1===i){if(-1===t)return".";i=t}return e.slice(0,i)},basename(e,n){void 0!==n&&an(n,"ext"),an(e,"path");let t,r=0,o=-1,i=!0;if(e.length>=2&&dn(e.charCodeAt(0))&&e.charCodeAt(1)===rn&&(r=2),void 0!==n&&n.length>0&&n.length<=e.length){if(n===e)return"";let a=n.length-1,s=-1;for(t=e.length-1;t>=r;--t){const l=e.charCodeAt(t);if(ln(l)){if(!i){r=t+1;break}}else-1===s&&(i=!1,s=t+1),a>=0&&(l===n.charCodeAt(a)?-1==--a&&(o=t):(a=-1,o=s))}return r===o?o=s:-1===o&&(o=e.length),e.slice(r,o)}for(t=e.length-1;t>=r;--t)if(ln(e.charCodeAt(t))){if(!i){r=t+1;break}}else-1===o&&(i=!1,o=t+1);return-1===o?"":e.slice(r,o)},extname(e){an(e,"path");let n=0,t=-1,r=0,o=-1,i=!0,a=0;e.length>=2&&e.charCodeAt(1)===rn&&dn(e.charCodeAt(0))&&(n=r=2);for(let s=e.length-1;s>=n;--s){const n=e.charCodeAt(s);if(ln(n)){if(!i){r=s+1;break}}else-1===o&&(i=!1,o=s+1),n===en?-1===t?t=s:1!==a&&(a=1):-1!==t&&(a=-1)}return-1===t||-1===o||0===a||1===a&&t===o-1&&t===r+1?"":e.slice(t,o)},format:pn.bind(null,"\\"),parse(e){an(e,"path");const n={root:"",dir:"",base:"",ext:"",name:""};if(0===e.length)return n;const t=e.length;let r=0,o=e.charCodeAt(0);if(1===t)return ln(o)?(n.root=n.dir=e,n):(n.base=n.name=e,n);if(ln(o)){if(r=1,ln(e.charCodeAt(1))){let n=2,o=n;for(;n<t&&!ln(e.charCodeAt(n));)n++;if(n<t&&n!==o){for(o=n;n<t&&ln(e.charCodeAt(n));)n++;if(n<t&&n!==o){for(o=n;n<t&&!ln(e.charCodeAt(n));)n++;n===t?r=n:n!==o&&(r=n+1)}}}}else if(dn(o)&&e.charCodeAt(1)===rn){if(t<=2)return n.root=n.dir=e,n;if(r=2,ln(e.charCodeAt(2))){if(3===t)return n.root=n.dir=e,n;r=3}}r>0&&(n.root=e.slice(0,r));let i=-1,a=r,s=-1,l=!0,c=e.length-1,d=0;for(;c>=r;--c)if(o=e.charCodeAt(c),ln(o)){if(!l){a=c+1;break}}else-1===s&&(l=!1,s=c+1),o===en?-1===i?i=c:1!==d&&(d=1):-1!==i&&(d=-1);return-1!==s&&(-1===i||0===d||1===d&&i===s-1&&i===a+1?n.base=n.name=e.slice(a,s):(n.name=e.slice(a,i),n.base=e.slice(a,s),n.ext=e.slice(i,s))),n.dir=a>0&&a!==r?e.slice(0,a-1):n.root,n},sep:"\\",delimiter:";",win32:null,posix:null},mn=(()=>{if(sn){const e=/\\/g;return()=>{const n=$e().replace(e,"/");return n.slice(n.indexOf("/"))}}return()=>$e()})(),_n={resolve(...e){let n="",t=!1;for(let r=e.length-1;r>=-1&&!t;r--){const o=r>=0?e[r]:mn();an(o,"path"),0!==o.length&&(n=`${o}/${n}`,t=o.charCodeAt(0)===nn)}return n=un(n,!t,"/",cn),t?`/${n}`:n.length>0?n:"."},normalize(e){if(an(e,"path"),0===e.length)return".";const n=e.charCodeAt(0)===nn,t=e.charCodeAt(e.length-1)===nn;return 0===(e=un(e,!n,"/",cn)).length?n?"/":t?"./":".":(t&&(e+="/"),n?`/${e}`:e)},isAbsolute(e){return an(e,"path"),e.length>0&&e.charCodeAt(0)===nn},join(...e){if(0===e.length)return".";let n;for(let t=0;t<e.length;++t){const r=e[t];an(r,"path"),r.length>0&&(void 0===n?n=r:n+=`/${r}`)}return void 0===n?".":_n.normalize(n)},relative(e,n){if(an(e,"from"),an(n,"to"),e===n)return"";if((e=_n.resolve(e))===(n=_n.resolve(n)))return"";const t=e.length,r=t-1,o=n.length-1,i=r<o?r:o;let a=-1,s=0;for(;s<i;s++){const t=e.charCodeAt(1+s);if(t!==n.charCodeAt(1+s))break;t===nn&&(a=s)}if(s===i)if(o>i){if(n.charCodeAt(1+s)===nn)return n.slice(1+s+1);if(0===s)return n.slice(1+s)}else r>i&&(e.charCodeAt(1+s)===nn?a=s:0===s&&(a=0));let l="";for(s=1+a+1;s<=t;++s)s!==t&&e.charCodeAt(s)!==nn||(l+=0===l.length?"..":"/..");return`${l}${n.slice(1+a)}`},toNamespacedPath(e){return e},dirname(e){if(an(e,"path"),0===e.length)return".";const n=e.charCodeAt(0)===nn;let t=-1,r=!0;for(let n=e.length-1;n>=1;--n)if(e.charCodeAt(n)===nn){if(!r){t=n;break}}else r=!1;return-1===t?n?"/":".":n&&1===t?"//":e.slice(0,t)},basename(e,n){void 0!==n&&an(n,"ext"),an(e,"path");let t,r=0,o=-1,i=!0;if(void 0!==n&&n.length>0&&n.length<=e.length){if(n===e)return"";let a=n.length-1,s=-1;for(t=e.length-1;t>=0;--t){const l=e.charCodeAt(t);if(l===nn){if(!i){r=t+1;break}}else-1===s&&(i=!1,s=t+1),a>=0&&(l===n.charCodeAt(a)?-1==--a&&(o=t):(a=-1,o=s))}return r===o?o=s:-1===o&&(o=e.length),e.slice(r,o)}for(t=e.length-1;t>=0;--t)if(e.charCodeAt(t)===nn){if(!i){r=t+1;break}}else-1===o&&(i=!1,o=t+1);return-1===o?"":e.slice(r,o)},extname(e){an(e,"path");let n=-1,t=0,r=-1,o=!0,i=0;for(let a=e.length-1;a>=0;--a){const s=e.charCodeAt(a);if(s!==nn)-1===r&&(o=!1,r=a+1),s===en?-1===n?n=a:1!==i&&(i=1):-1!==n&&(i=-1);else if(!o){t=a+1;break}}return-1===n||-1===r||0===i||1===i&&n===r-1&&n===t+1?"":e.slice(n,r)},format:pn.bind(null,"/"),parse(e){an(e,"path");const n={root:"",dir:"",base:"",ext:"",name:""};if(0===e.length)return n;const t=e.charCodeAt(0)===nn;let r;t?(n.root="/",r=1):r=0;let o=-1,i=0,a=-1,s=!0,l=e.length-1,c=0;for(;l>=r;--l){const n=e.charCodeAt(l);if(n!==nn)-1===a&&(s=!1,a=l+1),n===en?-1===o?o=l:1!==c&&(c=1):-1!==o&&(c=-1);else if(!s){i=l+1;break}}if(-1!==a){const r=0===i&&t?1:i;-1===o||0===c||1===c&&o===a-1&&o===i+1?n.base=n.name=e.slice(r,a):(n.name=e.slice(r,o),n.base=e.slice(r,a),n.ext=e.slice(o,a))}return i>0?n.dir=e.slice(0,i-1):t&&(n.dir="/"),n},sep:"/",delimiter:":",win32:null,posix:null};_n.win32=fn.win32=fn,_n.posix=fn.posix=_n;sn?fn.normalize:_n.normalize,sn?fn.resolve:_n.resolve,sn?fn.relative:_n.relative,sn?fn.dirname:_n.dirname,sn?fn.basename:_n.basename,sn?fn.extname:_n.extname,sn?fn.sep:_n.sep;const hn=/^\w[\w\d+.-]*$/,gn=/^\//,yn=/^\/\//;const vn="",bn="/",En=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class Sn{static isUri(e){return e instanceof Sn||!!e&&("string"==typeof e.authority&&"string"==typeof e.fragment&&"string"==typeof e.path&&"string"==typeof e.query&&"string"==typeof e.scheme&&"string"==typeof e.fsPath&&"function"==typeof e.with&&"function"==typeof e.toString)}constructor(e,n,t,r,o,i=!1){"object"==typeof e?(this.scheme=e.scheme||vn,this.authority=e.authority||vn,this.path=e.path||vn,this.query=e.query||vn,this.fragment=e.fragment||vn):(this.scheme=function(e,n){return e||n?e:"file"}(e,i),this.authority=n||vn,this.path=function(e,n){switch(e){case"https":case"http":case"file":n?n[0]!==bn&&(n=bn+n):n=bn}return n}(this.scheme,t||vn),this.query=r||vn,this.fragment=o||vn,function(e,n){if(!e.scheme&&n)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${e.authority}", path: "${e.path}", query: "${e.query}", fragment: "${e.fragment}"}`);if(e.scheme&&!hn.test(e.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(e.path)if(e.authority){if(!gn.test(e.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(yn.test(e.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}(this,i))}get fsPath(){return Nn(this,!1)}with(e){if(!e)return this;let{scheme:n,authority:t,path:r,query:o,fragment:i}=e;return void 0===n?n=this.scheme:null===n&&(n=vn),void 0===t?t=this.authority:null===t&&(t=vn),void 0===r?r=this.path:null===r&&(r=vn),void 0===o?o=this.query:null===o&&(o=vn),void 0===i?i=this.fragment:null===i&&(i=vn),n===this.scheme&&t===this.authority&&r===this.path&&o===this.query&&i===this.fragment?this:new xn(n,t,r,o,i)}static parse(e,n=!1){const t=En.exec(e);return t?new xn(t[2]||vn,Pn(t[4]||vn),Pn(t[5]||vn),Pn(t[7]||vn),Pn(t[9]||vn),n):new xn(vn,vn,vn,vn,vn)}static file(e){let n=vn;if(se&&(e=e.replace(/\\/g,bn)),e[0]===bn&&e[1]===bn){const t=e.indexOf(bn,2);-1===t?(n=e.substring(2),e=bn):(n=e.substring(2,t),e=e.substring(t)||bn)}return new xn("file",n,e,vn,vn)}static from(e,n){return new xn(e.scheme,e.authority,e.path,e.query,e.fragment,n)}static joinPath(e,...n){if(!e.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let t;return t=se&&"file"===e.scheme?Sn.file(fn.join(Nn(e,!0),...n)).path:_n.join(e.path,...n),e.with({path:t})}toString(e=!1){return Dn(this,e)}toJSON(){return this}static revive(e){var n,t;if(e){if(e instanceof Sn)return e;{const r=new xn(e);return r._formatted=null!==(n=e.external)&&void 0!==n?n:null,r._fsPath=e._sep===Tn&&null!==(t=e.fsPath)&&void 0!==t?t:null,r}}return e}}const Tn=se?1:void 0;class xn extends Sn{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=Nn(this,!1)),this._fsPath}toString(e=!1){return e?Dn(this,!0):(this._formatted||(this._formatted=Dn(this,!1)),this._formatted)}toJSON(){const e={$mid:1};return this._fsPath&&(e.fsPath=this._fsPath,e._sep=Tn),this._formatted&&(e.external=this._formatted),this.path&&(e.path=this.path),this.scheme&&(e.scheme=this.scheme),this.authority&&(e.authority=this.authority),this.query&&(e.query=this.query),this.fragment&&(e.fragment=this.fragment),e}}const An={58:"%3A",47:"%2F",63:"%3F",35:"%23",91:"%5B",93:"%5D",64:"%40",33:"%21",36:"%24",38:"%26",39:"%27",40:"%28",41:"%29",42:"%2A",43:"%2B",44:"%2C",59:"%3B",61:"%3D",32:"%20"};function Rn(e,n,t){let r,o=-1;for(let i=0;i<e.length;i++){const a=e.charCodeAt(i);if(a>=97&&a<=122||a>=65&&a<=90||a>=48&&a<=57||45===a||46===a||95===a||126===a||n&&47===a||t&&91===a||t&&93===a||t&&58===a)-1!==o&&(r+=encodeURIComponent(e.substring(o,i)),o=-1),void 0!==r&&(r+=e.charAt(i));else{void 0===r&&(r=e.substr(0,i));const n=An[a];void 0!==n?(-1!==o&&(r+=encodeURIComponent(e.substring(o,i)),o=-1),r+=n):-1===o&&(o=i)}}return-1!==o&&(r+=encodeURIComponent(e.substring(o))),void 0!==r?r:e}function In(e){let n;for(let t=0;t<e.length;t++){const r=e.charCodeAt(t);35===r||63===r?(void 0===n&&(n=e.substr(0,t)),n+=An[r]):void 0!==n&&(n+=e[t])}return void 0!==n?n:e}function Nn(e,n){let t;return t=e.authority&&e.path.length>1&&"file"===e.scheme?`//${e.authority}${e.path}`:47===e.path.charCodeAt(0)&&(e.path.charCodeAt(1)>=65&&e.path.charCodeAt(1)<=90||e.path.charCodeAt(1)>=97&&e.path.charCodeAt(1)<=122)&&58===e.path.charCodeAt(2)?n?e.path.substr(1):e.path[1].toLowerCase()+e.path.substr(2):e.path,se&&(t=t.replace(/\//g,"\\")),t}function Dn(e,n){const t=n?In:Rn;let r="",{scheme:o,authority:i,path:a,query:s,fragment:l}=e;if(o&&(r+=o,r+=":"),(i||"file"===o)&&(r+=bn,r+=bn),i){let e=i.indexOf("@");if(-1!==e){const n=i.substr(0,e);i=i.substr(e+1),e=n.lastIndexOf(":"),-1===e?r+=t(n,!1,!1):(r+=t(n.substr(0,e),!1,!1),r+=":",r+=t(n.substr(e+1),!1,!0)),r+="@"}i=i.toLowerCase(),e=i.lastIndexOf(":"),-1===e?r+=t(i,!1,!0):(r+=t(i.substr(0,e),!1,!0),r+=i.substr(e))}if(a){if(a.length>=3&&47===a.charCodeAt(0)&&58===a.charCodeAt(2)){const e=a.charCodeAt(1);e>=65&&e<=90&&(a=`/${String.fromCharCode(e+32)}:${a.substr(3)}`)}else if(a.length>=2&&58===a.charCodeAt(1)){const e=a.charCodeAt(0);e>=65&&e<=90&&(a=`${String.fromCharCode(e+32)}:${a.substr(2)}`)}r+=t(a,!0,!1)}return s&&(r+="?",r+=t(s,!1,!1)),l&&(r+="#",r+=n?l:Rn(l,!1,!1)),r}function Cn(e){try{return decodeURIComponent(e)}catch(n){return e.length>3?e.substr(0,3)+Cn(e.substr(3)):e}}const Mn=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function Pn(e){return e.match(Mn)?e.replace(Mn,(e=>Cn(e))):e}class Ln{constructor(e,n){this.lineNumber=e,this.column=n}with(e=this.lineNumber,n=this.column){return e===this.lineNumber&&n===this.column?this:new Ln(e,n)}delta(e=0,n=0){return this.with(this.lineNumber+e,this.column+n)}equals(e){return Ln.equals(this,e)}static equals(e,n){return!e&&!n||!!e&&!!n&&e.lineNumber===n.lineNumber&&e.column===n.column}isBefore(e){return Ln.isBefore(this,e)}static isBefore(e,n){return e.lineNumber<n.lineNumber||!(n.lineNumber<e.lineNumber)&&e.column<n.column}isBeforeOrEqual(e){return Ln.isBeforeOrEqual(this,e)}static isBeforeOrEqual(e,n){return e.lineNumber<n.lineNumber||!(n.lineNumber<e.lineNumber)&&e.column<=n.column}static compare(e,n){const t=0|e.lineNumber,r=0|n.lineNumber;if(t===r){return(0|e.column)-(0|n.column)}return t-r}clone(){return new Ln(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(e){return new Ln(e.lineNumber,e.column)}static isIPosition(e){return e&&"number"==typeof e.lineNumber&&"number"==typeof e.column}toJSON(){return{lineNumber:this.lineNumber,column:this.column}}}class kn{constructor(e,n,t,r){e>t||e===t&&n>r?(this.startLineNumber=t,this.startColumn=r,this.endLineNumber=e,this.endColumn=n):(this.startLineNumber=e,this.startColumn=n,this.endLineNumber=t,this.endColumn=r)}isEmpty(){return kn.isEmpty(this)}static isEmpty(e){return e.startLineNumber===e.endLineNumber&&e.startColumn===e.endColumn}containsPosition(e){return kn.containsPosition(this,e)}static containsPosition(e,n){return!(n.lineNumber<e.startLineNumber||n.lineNumber>e.endLineNumber)&&(!(n.lineNumber===e.startLineNumber&&n.column<e.startColumn)&&!(n.lineNumber===e.endLineNumber&&n.column>e.endColumn))}static strictContainsPosition(e,n){return!(n.lineNumber<e.startLineNumber||n.lineNumber>e.endLineNumber)&&(!(n.lineNumber===e.startLineNumber&&n.column<=e.startColumn)&&!(n.lineNumber===e.endLineNumber&&n.column>=e.endColumn))}containsRange(e){return kn.containsRange(this,e)}static containsRange(e,n){return!(n.startLineNumber<e.startLineNumber||n.endLineNumber<e.startLineNumber)&&(!(n.startLineNumber>e.endLineNumber||n.endLineNumber>e.endLineNumber)&&(!(n.startLineNumber===e.startLineNumber&&n.startColumn<e.startColumn)&&!(n.endLineNumber===e.endLineNumber&&n.endColumn>e.endColumn)))}strictContainsRange(e){return kn.strictContainsRange(this,e)}static strictContainsRange(e,n){return!(n.startLineNumber<e.startLineNumber||n.endLineNumber<e.startLineNumber)&&(!(n.startLineNumber>e.endLineNumber||n.endLineNumber>e.endLineNumber)&&(!(n.startLineNumber===e.startLineNumber&&n.startColumn<=e.startColumn)&&!(n.endLineNumber===e.endLineNumber&&n.endColumn>=e.endColumn)))}plusRange(e){return kn.plusRange(this,e)}static plusRange(e,n){let t,r,o,i;return n.startLineNumber<e.startLineNumber?(t=n.startLineNumber,r=n.startColumn):n.startLineNumber===e.startLineNumber?(t=n.startLineNumber,r=Math.min(n.startColumn,e.startColumn)):(t=e.startLineNumber,r=e.startColumn),n.endLineNumber>e.endLineNumber?(o=n.endLineNumber,i=n.endColumn):n.endLineNumber===e.endLineNumber?(o=n.endLineNumber,i=Math.max(n.endColumn,e.endColumn)):(o=e.endLineNumber,i=e.endColumn),new kn(t,r,o,i)}intersectRanges(e){return kn.intersectRanges(this,e)}static intersectRanges(e,n){let t=e.startLineNumber,r=e.startColumn,o=e.endLineNumber,i=e.endColumn;const a=n.startLineNumber,s=n.startColumn,l=n.endLineNumber,c=n.endColumn;return t<a?(t=a,r=s):t===a&&(r=Math.max(r,s)),o>l?(o=l,i=c):o===l&&(i=Math.min(i,c)),t>o||t===o&&r>i?null:new kn(t,r,o,i)}equalsRange(e){return kn.equalsRange(this,e)}static equalsRange(e,n){return!e&&!n||!!e&&!!n&&e.startLineNumber===n.startLineNumber&&e.startColumn===n.startColumn&&e.endLineNumber===n.endLineNumber&&e.endColumn===n.endColumn}getEndPosition(){return kn.getEndPosition(this)}static getEndPosition(e){return new Ln(e.endLineNumber,e.endColumn)}getStartPosition(){return kn.getStartPosition(this)}static getStartPosition(e){return new Ln(e.startLineNumber,e.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(e,n){return new kn(this.startLineNumber,this.startColumn,e,n)}setStartPosition(e,n){return new kn(e,n,this.endLineNumber,this.endColumn)}collapseToStart(){return kn.collapseToStart(this)}static collapseToStart(e){return new kn(e.startLineNumber,e.startColumn,e.startLineNumber,e.startColumn)}collapseToEnd(){return kn.collapseToEnd(this)}static collapseToEnd(e){return new kn(e.endLineNumber,e.endColumn,e.endLineNumber,e.endColumn)}delta(e){return new kn(this.startLineNumber+e,this.startColumn,this.endLineNumber+e,this.endColumn)}static fromPositions(e,n=e){return new kn(e.lineNumber,e.column,n.lineNumber,n.column)}static lift(e){return e?new kn(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn):null}static isIRange(e){return e&&"number"==typeof e.startLineNumber&&"number"==typeof e.startColumn&&"number"==typeof e.endLineNumber&&"number"==typeof e.endColumn}static areIntersectingOrTouching(e,n){return!(e.endLineNumber<n.startLineNumber||e.endLineNumber===n.startLineNumber&&e.endColumn<n.startColumn)&&!(n.endLineNumber<e.startLineNumber||n.endLineNumber===e.startLineNumber&&n.endColumn<e.startColumn)}static areIntersecting(e,n){return!(e.endLineNumber<n.startLineNumber||e.endLineNumber===n.startLineNumber&&e.endColumn<=n.startColumn)&&!(n.endLineNumber<e.startLineNumber||n.endLineNumber===e.startLineNumber&&n.endColumn<=e.startColumn)}static compareRangesUsingStarts(e,n){if(e&&n){const t=0|e.startLineNumber,r=0|n.startLineNumber;if(t===r){const t=0|e.startColumn,r=0|n.startColumn;if(t===r){const t=0|e.endLineNumber,r=0|n.endLineNumber;if(t===r){return(0|e.endColumn)-(0|n.endColumn)}return t-r}return t-r}return t-r}return(e?1:0)-(n?1:0)}static compareRangesUsingEnds(e,n){return e.endLineNumber===n.endLineNumber?e.endColumn===n.endColumn?e.startLineNumber===n.startLineNumber?e.startColumn-n.startColumn:e.startLineNumber-n.startLineNumber:e.endColumn-n.endColumn:e.endLineNumber-n.endLineNumber}static spansMultipleLines(e){return e.endLineNumber>e.startLineNumber}toJSON(){return this}}var wn;function On(e,n){return(t,r)=>n(e(t),e(r))}!function(e){e.isLessThan=function(e){return e<0},e.isLessThanOrEqual=function(e){return e<=0},e.isGreaterThan=function(e){return e>0},e.isNeitherLessOrGreaterThan=function(e){return 0===e},e.greaterThan=1,e.lessThan=-1,e.neitherLessOrGreaterThan=0}(wn||(wn={}));const Fn=(e,n)=>e-n;class Wn{constructor(e){this.iterate=e}toArray(){const e=[];return this.iterate((n=>(e.push(n),!0))),e}filter(e){return new Wn((n=>this.iterate((t=>!e(t)||n(t)))))}map(e){return new Wn((n=>this.iterate((t=>n(e(t))))))}findLast(e){let n;return this.iterate((t=>(e(t)&&(n=t),!0))),n}findLastMaxBy(e){let n,t=!0;return this.iterate((r=>((t||wn.isGreaterThan(e(r,n)))&&(t=!1,n=r),!0))),n}}Wn.empty=new Wn((e=>{}));function zn(e){return e<0?0:e>255?255:0|e}function Gn(e){return e<0?0:e>4294967295?4294967295:0|e}class Bn{constructor(e){this.values=e,this.prefixSum=new Uint32Array(e.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}insertValues(e,n){e=Gn(e);const t=this.values,r=this.prefixSum,o=n.length;return 0!==o&&(this.values=new Uint32Array(t.length+o),this.values.set(t.subarray(0,e),0),this.values.set(t.subarray(e),e+o),this.values.set(n,e),e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(r.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}setValue(e,n){return e=Gn(e),n=Gn(n),this.values[e]!==n&&(this.values[e]=n,e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),!0)}removeValues(e,n){e=Gn(e),n=Gn(n);const t=this.values,r=this.prefixSum;if(e>=t.length)return!1;const o=t.length-e;return n>=o&&(n=o),0!==n&&(this.values=new Uint32Array(t.length-n),this.values.set(t.subarray(0,e),0),this.values.set(t.subarray(e+n),e),this.prefixSum=new Uint32Array(this.values.length),e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(r.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalSum(){return 0===this.values.length?0:this._getPrefixSum(this.values.length-1)}getPrefixSum(e){return e<0?0:(e=Gn(e),this._getPrefixSum(e))}_getPrefixSum(e){if(e<=this.prefixSumValidIndex[0])return this.prefixSum[e];let n=this.prefixSumValidIndex[0]+1;0===n&&(this.prefixSum[0]=this.values[0],n++),e>=this.values.length&&(e=this.values.length-1);for(let t=n;t<=e;t++)this.prefixSum[t]=this.prefixSum[t-1]+this.values[t];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],e),this.prefixSum[e]}getIndexOf(e){e=Math.floor(e),this.getTotalSum();let n=0,t=this.values.length-1,r=0,o=0,i=0;for(;n<=t;)if(r=n+(t-n)/2|0,o=this.prefixSum[r],i=o-this.values[r],e<i)t=r-1;else{if(!(e>=o))break;n=r+1}return new jn(r,e-i)}}class jn{constructor(e,n){this.index=e,this.remainder=n,this._prefixSumIndexOfResultBrand=void 0,this.index=e,this.remainder=n}}class Vn{constructor(e,n,t,r){this._uri=e,this._lines=n,this._eol=t,this._versionId=r,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return null===this._cachedTextValue&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(e){e.eol&&e.eol!==this._eol&&(this._eol=e.eol,this._lineStarts=null);const n=e.changes;for(const e of n)this._acceptDeleteRange(e.range),this._acceptInsertText(new Ln(e.range.startLineNumber,e.range.startColumn),e.text);this._versionId=e.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const e=this._eol.length,n=this._lines.length,t=new Uint32Array(n);for(let r=0;r<n;r++)t[r]=this._lines[r].length+e;this._lineStarts=new Bn(t)}}_setLineText(e,n){this._lines[e]=n,this._lineStarts&&this._lineStarts.setValue(e,this._lines[e].length+this._eol.length)}_acceptDeleteRange(e){if(e.startLineNumber!==e.endLineNumber)this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.endLineNumber-1].substring(e.endColumn-1)),this._lines.splice(e.startLineNumber,e.endLineNumber-e.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(e.startLineNumber,e.endLineNumber-e.startLineNumber);else{if(e.startColumn===e.endColumn)return;this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.startLineNumber-1].substring(e.endColumn-1))}}_acceptInsertText(e,n){if(0===n.length)return;const t=n.split(/\r\n|\r|\n/);if(1===t.length)return void this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+t[0]+this._lines[e.lineNumber-1].substring(e.column-1));t[t.length-1]+=this._lines[e.lineNumber-1].substring(e.column-1),this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+t[0]);const r=new Uint32Array(t.length-1);for(let n=1;n<t.length;n++)this._lines.splice(e.lineNumber+n-1,0,t[n]),r[n-1]=t[n].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(e.lineNumber,r)}}const Un=function(e=""){let n="(-?\\d*\\.\\d\\w*)|([^";for(const t of"`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?")e.indexOf(t)>=0||(n+="\\"+t);return n+="\\s]+)",new RegExp(n,"g")}();function Hn(e){let n=Un;if(e&&e instanceof RegExp)if(e.global)n=e;else{let t="g";e.ignoreCase&&(t+="i"),e.multiline&&(t+="m"),e.unicode&&(t+="u"),n=new RegExp(e.source,t)}return n.lastIndex=0,n}const Kn=new E;function qn(e,n,t,r,o){if(n=Hn(n),o||(o=d.first(Kn)),t.length>o.maxLen){let i=e-o.maxLen/2;return i<0?i=0:r+=i,qn(e,n,t=t.substring(i,e+o.maxLen/2),r,o)}const i=Date.now(),a=e-1-r;let s=-1,l=null;for(let e=1;!(Date.now()-i>=o.timeBudget);e++){const r=a-o.windowSize*e;n.lastIndex=Math.max(0,r);const i=Jn(n,t,a,s);if(!i&&l)break;if(l=i,r<=0)break;s=r}if(l){const e={word:l[0],startColumn:r+1+l.index,endColumn:r+1+l.index+l[0].length};return n.lastIndex=0,e}return null}function Jn(e,n,t,r){let o;for(;o=e.exec(n);){const n=o.index||0;if(n<=t&&e.lastIndex>=t)return o;if(r>0&&n>r)return null}return null}Kn.unshift({maxLen:1e3,windowSize:15,timeBudget:150});class Xn{constructor(e){const n=zn(e);this._defaultValue=n,this._asciiMap=Xn._createAsciiMap(n),this._map=new Map}static _createAsciiMap(e){const n=new Uint8Array(256);return n.fill(e),n}set(e,n){const t=zn(n);e>=0&&e<256?this._asciiMap[e]=t:this._map.set(e,t)}get(e){return e>=0&&e<256?this._asciiMap[e]:this._map.get(e)||this._defaultValue}clear(){this._asciiMap.fill(this._defaultValue),this._map.clear()}}class Yn{constructor(e,n,t){const r=new Uint8Array(e*n);for(let o=0,i=e*n;o<i;o++)r[o]=t;this._data=r,this.rows=e,this.cols=n}get(e,n){return this._data[e*this.cols+n]}set(e,n,t){this._data[e*this.cols+n]=t}}class $n{constructor(e){let n=0,t=0;for(let r=0,o=e.length;r<o;r++){const[o,i,a]=e[r];i>n&&(n=i),o>t&&(t=o),a>t&&(t=a)}n++,t++;const r=new Yn(t,n,0);for(let n=0,t=e.length;n<t;n++){const[t,o,i]=e[n];r.set(t,o,i)}this._states=r,this._maxCharCode=n}nextState(e,n){return n<0||n>=this._maxCharCode?0:this._states.get(e,n)}}let Qn=null;let Zn=null;class et{static _createLink(e,n,t,r,o){let i=o-1;do{const t=n.charCodeAt(i);if(2!==e.get(t))break;i--}while(i>r);if(r>0){const e=n.charCodeAt(r-1),t=n.charCodeAt(i);(40===e&&41===t||91===e&&93===t||123===e&&125===t)&&i--}return{range:{startLineNumber:t,startColumn:r+1,endLineNumber:t,endColumn:i+2},url:n.substring(r,i+1)}}static computeLinks(e,n=function(){return null===Qn&&(Qn=new $n([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),Qn}()){const t=function(){if(null===Zn){Zn=new Xn(0);const e=" \t<>'\"、。｡､，．：；‘〈「『〔（［｛｢｣｝］）〕』」〉’｀～…";for(let n=0;n<e.length;n++)Zn.set(e.charCodeAt(n),1);const n=".,;:";for(let e=0;e<n.length;e++)Zn.set(n.charCodeAt(e),2)}return Zn}(),r=[];for(let o=1,i=e.getLineCount();o<=i;o++){const i=e.getLineContent(o),a=i.length;let s=0,l=0,c=0,d=1,u=!1,p=!1,f=!1,m=!1;for(;s<a;){let e=!1;const a=i.charCodeAt(s);if(13===d){let n;switch(a){case 40:u=!0,n=0;break;case 41:n=u?0:1;break;case 91:f=!0,p=!0,n=0;break;case 93:f=!1,n=p?0:1;break;case 123:m=!0,n=0;break;case 125:n=m?0:1;break;case 39:case 34:case 96:n=c===a?1:39===c||34===c||96===c?0:1;break;case 42:n=42===c?1:0;break;case 124:n=124===c?1:0;break;case 32:n=f?0:1;break;default:n=t.get(a)}1===n&&(r.push(et._createLink(t,i,o,l,s)),e=!0)}else if(12===d){let n;91===a?(p=!0,n=0):n=t.get(a),1===n?e=!0:d=13}else d=n.nextState(d,a),0===d&&(e=!0);e&&(d=1,u=!1,p=!1,m=!1,l=s+1,c=a),s++}13===d&&r.push(et._createLink(t,i,o,l,a))}return r}}class nt{constructor(){this._defaultValueSet=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}navigateValueSet(e,n,t,r,o){if(e&&n){const t=this.doNavigateValueSet(n,o);if(t)return{range:e,value:t}}if(t&&r){const e=this.doNavigateValueSet(r,o);if(e)return{range:t,value:e}}return null}doNavigateValueSet(e,n){const t=this.numberReplace(e,n);return null!==t?t:this.textReplace(e,n)}numberReplace(e,n){const t=Math.pow(10,e.length-(e.lastIndexOf(".")+1));let r=Number(e);const o=parseFloat(e);return isNaN(r)||isNaN(o)||r!==o?null:0!==r||n?(r=Math.floor(r*t),r+=n?t:-t,String(r/t)):null}textReplace(e,n){return this.valueSetsReplace(this._defaultValueSet,e,n)}valueSetsReplace(e,n,t){let r=null;for(let o=0,i=e.length;null===r&&o<i;o++)r=this.valueSetReplace(e[o],n,t);return r}valueSetReplace(e,n,t){let r=e.indexOf(n);return r>=0?(r+=t?1:-1,r<0?r=e.length-1:r%=e.length,e[r]):null}}nt.INSTANCE=new nt;const tt=Object.freeze((function(e,n){const t=setTimeout(e.bind(n),0);return{dispose(){clearTimeout(t)}}}));var rt;!function(e){e.isCancellationToken=function(n){return n===e.None||n===e.Cancelled||(n instanceof ot||!(!n||"object"!=typeof n)&&("boolean"==typeof n.isCancellationRequested&&"function"==typeof n.onCancellationRequested))},e.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:x.None}),e.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:tt})}(rt||(rt={}));class ot{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?tt:(this._emitter||(this._emitter=new P),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class it{constructor(e){this._token=void 0,this._parentListener=void 0,this._parentListener=e&&e.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new ot),this._token}cancel(){this._token?this._token instanceof ot&&this._token.cancel():this._token=rt.Cancelled}dispose(e=!1){var n;e&&this.cancel(),null===(n=this._parentListener)||void 0===n||n.dispose(),this._token?this._token instanceof ot&&this._token.dispose():this._token=rt.None}}class at{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(e,n){this._keyCodeToStr[e]=n,this._strToKeyCode[n.toLowerCase()]=e}keyCodeToStr(e){return this._keyCodeToStr[e]}strToKeyCode(e){return this._strToKeyCode[e.toLowerCase()]||0}}const st=new at,lt=new at,ct=new at,dt=new Array(230),ut={},pt=[],ft=Object.create(null),mt=Object.create(null),_t=[],ht=[];for(let e=0;e<=193;e++)_t[e]=-1;for(let e=0;e<=132;e++)ht[e]=-1;var gt;!function(){const e="",n=[[1,0,"None",0,"unknown",0,"VK_UNKNOWN",e,e],[1,1,"Hyper",0,e,0,e,e,e],[1,2,"Super",0,e,0,e,e,e],[1,3,"Fn",0,e,0,e,e,e],[1,4,"FnLock",0,e,0,e,e,e],[1,5,"Suspend",0,e,0,e,e,e],[1,6,"Resume",0,e,0,e,e,e],[1,7,"Turbo",0,e,0,e,e,e],[1,8,"Sleep",0,e,0,"VK_SLEEP",e,e],[1,9,"WakeUp",0,e,0,e,e,e],[0,10,"KeyA",31,"A",65,"VK_A",e,e],[0,11,"KeyB",32,"B",66,"VK_B",e,e],[0,12,"KeyC",33,"C",67,"VK_C",e,e],[0,13,"KeyD",34,"D",68,"VK_D",e,e],[0,14,"KeyE",35,"E",69,"VK_E",e,e],[0,15,"KeyF",36,"F",70,"VK_F",e,e],[0,16,"KeyG",37,"G",71,"VK_G",e,e],[0,17,"KeyH",38,"H",72,"VK_H",e,e],[0,18,"KeyI",39,"I",73,"VK_I",e,e],[0,19,"KeyJ",40,"J",74,"VK_J",e,e],[0,20,"KeyK",41,"K",75,"VK_K",e,e],[0,21,"KeyL",42,"L",76,"VK_L",e,e],[0,22,"KeyM",43,"M",77,"VK_M",e,e],[0,23,"KeyN",44,"N",78,"VK_N",e,e],[0,24,"KeyO",45,"O",79,"VK_O",e,e],[0,25,"KeyP",46,"P",80,"VK_P",e,e],[0,26,"KeyQ",47,"Q",81,"VK_Q",e,e],[0,27,"KeyR",48,"R",82,"VK_R",e,e],[0,28,"KeyS",49,"S",83,"VK_S",e,e],[0,29,"KeyT",50,"T",84,"VK_T",e,e],[0,30,"KeyU",51,"U",85,"VK_U",e,e],[0,31,"KeyV",52,"V",86,"VK_V",e,e],[0,32,"KeyW",53,"W",87,"VK_W",e,e],[0,33,"KeyX",54,"X",88,"VK_X",e,e],[0,34,"KeyY",55,"Y",89,"VK_Y",e,e],[0,35,"KeyZ",56,"Z",90,"VK_Z",e,e],[0,36,"Digit1",22,"1",49,"VK_1",e,e],[0,37,"Digit2",23,"2",50,"VK_2",e,e],[0,38,"Digit3",24,"3",51,"VK_3",e,e],[0,39,"Digit4",25,"4",52,"VK_4",e,e],[0,40,"Digit5",26,"5",53,"VK_5",e,e],[0,41,"Digit6",27,"6",54,"VK_6",e,e],[0,42,"Digit7",28,"7",55,"VK_7",e,e],[0,43,"Digit8",29,"8",56,"VK_8",e,e],[0,44,"Digit9",30,"9",57,"VK_9",e,e],[0,45,"Digit0",21,"0",48,"VK_0",e,e],[1,46,"Enter",3,"Enter",13,"VK_RETURN",e,e],[1,47,"Escape",9,"Escape",27,"VK_ESCAPE",e,e],[1,48,"Backspace",1,"Backspace",8,"VK_BACK",e,e],[1,49,"Tab",2,"Tab",9,"VK_TAB",e,e],[1,50,"Space",10,"Space",32,"VK_SPACE",e,e],[0,51,"Minus",88,"-",189,"VK_OEM_MINUS","-","OEM_MINUS"],[0,52,"Equal",86,"=",187,"VK_OEM_PLUS","=","OEM_PLUS"],[0,53,"BracketLeft",92,"[",219,"VK_OEM_4","[","OEM_4"],[0,54,"BracketRight",94,"]",221,"VK_OEM_6","]","OEM_6"],[0,55,"Backslash",93,"\\",220,"VK_OEM_5","\\","OEM_5"],[0,56,"IntlHash",0,e,0,e,e,e],[0,57,"Semicolon",85,";",186,"VK_OEM_1",";","OEM_1"],[0,58,"Quote",95,"'",222,"VK_OEM_7","'","OEM_7"],[0,59,"Backquote",91,"`",192,"VK_OEM_3","`","OEM_3"],[0,60,"Comma",87,",",188,"VK_OEM_COMMA",",","OEM_COMMA"],[0,61,"Period",89,".",190,"VK_OEM_PERIOD",".","OEM_PERIOD"],[0,62,"Slash",90,"/",191,"VK_OEM_2","/","OEM_2"],[1,63,"CapsLock",8,"CapsLock",20,"VK_CAPITAL",e,e],[1,64,"F1",59,"F1",112,"VK_F1",e,e],[1,65,"F2",60,"F2",113,"VK_F2",e,e],[1,66,"F3",61,"F3",114,"VK_F3",e,e],[1,67,"F4",62,"F4",115,"VK_F4",e,e],[1,68,"F5",63,"F5",116,"VK_F5",e,e],[1,69,"F6",64,"F6",117,"VK_F6",e,e],[1,70,"F7",65,"F7",118,"VK_F7",e,e],[1,71,"F8",66,"F8",119,"VK_F8",e,e],[1,72,"F9",67,"F9",120,"VK_F9",e,e],[1,73,"F10",68,"F10",121,"VK_F10",e,e],[1,74,"F11",69,"F11",122,"VK_F11",e,e],[1,75,"F12",70,"F12",123,"VK_F12",e,e],[1,76,"PrintScreen",0,e,0,e,e,e],[1,77,"ScrollLock",84,"ScrollLock",145,"VK_SCROLL",e,e],[1,78,"Pause",7,"PauseBreak",19,"VK_PAUSE",e,e],[1,79,"Insert",19,"Insert",45,"VK_INSERT",e,e],[1,80,"Home",14,"Home",36,"VK_HOME",e,e],[1,81,"PageUp",11,"PageUp",33,"VK_PRIOR",e,e],[1,82,"Delete",20,"Delete",46,"VK_DELETE",e,e],[1,83,"End",13,"End",35,"VK_END",e,e],[1,84,"PageDown",12,"PageDown",34,"VK_NEXT",e,e],[1,85,"ArrowRight",17,"RightArrow",39,"VK_RIGHT","Right",e],[1,86,"ArrowLeft",15,"LeftArrow",37,"VK_LEFT","Left",e],[1,87,"ArrowDown",18,"DownArrow",40,"VK_DOWN","Down",e],[1,88,"ArrowUp",16,"UpArrow",38,"VK_UP","Up",e],[1,89,"NumLock",83,"NumLock",144,"VK_NUMLOCK",e,e],[1,90,"NumpadDivide",113,"NumPad_Divide",111,"VK_DIVIDE",e,e],[1,91,"NumpadMultiply",108,"NumPad_Multiply",106,"VK_MULTIPLY",e,e],[1,92,"NumpadSubtract",111,"NumPad_Subtract",109,"VK_SUBTRACT",e,e],[1,93,"NumpadAdd",109,"NumPad_Add",107,"VK_ADD",e,e],[1,94,"NumpadEnter",3,e,0,e,e,e],[1,95,"Numpad1",99,"NumPad1",97,"VK_NUMPAD1",e,e],[1,96,"Numpad2",100,"NumPad2",98,"VK_NUMPAD2",e,e],[1,97,"Numpad3",101,"NumPad3",99,"VK_NUMPAD3",e,e],[1,98,"Numpad4",102,"NumPad4",100,"VK_NUMPAD4",e,e],[1,99,"Numpad5",103,"NumPad5",101,"VK_NUMPAD5",e,e],[1,100,"Numpad6",104,"NumPad6",102,"VK_NUMPAD6",e,e],[1,101,"Numpad7",105,"NumPad7",103,"VK_NUMPAD7",e,e],[1,102,"Numpad8",106,"NumPad8",104,"VK_NUMPAD8",e,e],[1,103,"Numpad9",107,"NumPad9",105,"VK_NUMPAD9",e,e],[1,104,"Numpad0",98,"NumPad0",96,"VK_NUMPAD0",e,e],[1,105,"NumpadDecimal",112,"NumPad_Decimal",110,"VK_DECIMAL",e,e],[0,106,"IntlBackslash",97,"OEM_102",226,"VK_OEM_102",e,e],[1,107,"ContextMenu",58,"ContextMenu",93,e,e,e],[1,108,"Power",0,e,0,e,e,e],[1,109,"NumpadEqual",0,e,0,e,e,e],[1,110,"F13",71,"F13",124,"VK_F13",e,e],[1,111,"F14",72,"F14",125,"VK_F14",e,e],[1,112,"F15",73,"F15",126,"VK_F15",e,e],[1,113,"F16",74,"F16",127,"VK_F16",e,e],[1,114,"F17",75,"F17",128,"VK_F17",e,e],[1,115,"F18",76,"F18",129,"VK_F18",e,e],[1,116,"F19",77,"F19",130,"VK_F19",e,e],[1,117,"F20",78,"F20",131,"VK_F20",e,e],[1,118,"F21",79,"F21",132,"VK_F21",e,e],[1,119,"F22",80,"F22",133,"VK_F22",e,e],[1,120,"F23",81,"F23",134,"VK_F23",e,e],[1,121,"F24",82,"F24",135,"VK_F24",e,e],[1,122,"Open",0,e,0,e,e,e],[1,123,"Help",0,e,0,e,e,e],[1,124,"Select",0,e,0,e,e,e],[1,125,"Again",0,e,0,e,e,e],[1,126,"Undo",0,e,0,e,e,e],[1,127,"Cut",0,e,0,e,e,e],[1,128,"Copy",0,e,0,e,e,e],[1,129,"Paste",0,e,0,e,e,e],[1,130,"Find",0,e,0,e,e,e],[1,131,"AudioVolumeMute",117,"AudioVolumeMute",173,"VK_VOLUME_MUTE",e,e],[1,132,"AudioVolumeUp",118,"AudioVolumeUp",175,"VK_VOLUME_UP",e,e],[1,133,"AudioVolumeDown",119,"AudioVolumeDown",174,"VK_VOLUME_DOWN",e,e],[1,134,"NumpadComma",110,"NumPad_Separator",108,"VK_SEPARATOR",e,e],[0,135,"IntlRo",115,"ABNT_C1",193,"VK_ABNT_C1",e,e],[1,136,"KanaMode",0,e,0,e,e,e],[0,137,"IntlYen",0,e,0,e,e,e],[1,138,"Convert",0,e,0,e,e,e],[1,139,"NonConvert",0,e,0,e,e,e],[1,140,"Lang1",0,e,0,e,e,e],[1,141,"Lang2",0,e,0,e,e,e],[1,142,"Lang3",0,e,0,e,e,e],[1,143,"Lang4",0,e,0,e,e,e],[1,144,"Lang5",0,e,0,e,e,e],[1,145,"Abort",0,e,0,e,e,e],[1,146,"Props",0,e,0,e,e,e],[1,147,"NumpadParenLeft",0,e,0,e,e,e],[1,148,"NumpadParenRight",0,e,0,e,e,e],[1,149,"NumpadBackspace",0,e,0,e,e,e],[1,150,"NumpadMemoryStore",0,e,0,e,e,e],[1,151,"NumpadMemoryRecall",0,e,0,e,e,e],[1,152,"NumpadMemoryClear",0,e,0,e,e,e],[1,153,"NumpadMemoryAdd",0,e,0,e,e,e],[1,154,"NumpadMemorySubtract",0,e,0,e,e,e],[1,155,"NumpadClear",131,"Clear",12,"VK_CLEAR",e,e],[1,156,"NumpadClearEntry",0,e,0,e,e,e],[1,0,e,5,"Ctrl",17,"VK_CONTROL",e,e],[1,0,e,4,"Shift",16,"VK_SHIFT",e,e],[1,0,e,6,"Alt",18,"VK_MENU",e,e],[1,0,e,57,"Meta",91,"VK_COMMAND",e,e],[1,157,"ControlLeft",5,e,0,"VK_LCONTROL",e,e],[1,158,"ShiftLeft",4,e,0,"VK_LSHIFT",e,e],[1,159,"AltLeft",6,e,0,"VK_LMENU",e,e],[1,160,"MetaLeft",57,e,0,"VK_LWIN",e,e],[1,161,"ControlRight",5,e,0,"VK_RCONTROL",e,e],[1,162,"ShiftRight",4,e,0,"VK_RSHIFT",e,e],[1,163,"AltRight",6,e,0,"VK_RMENU",e,e],[1,164,"MetaRight",57,e,0,"VK_RWIN",e,e],[1,165,"BrightnessUp",0,e,0,e,e,e],[1,166,"BrightnessDown",0,e,0,e,e,e],[1,167,"MediaPlay",0,e,0,e,e,e],[1,168,"MediaRecord",0,e,0,e,e,e],[1,169,"MediaFastForward",0,e,0,e,e,e],[1,170,"MediaRewind",0,e,0,e,e,e],[1,171,"MediaTrackNext",124,"MediaTrackNext",176,"VK_MEDIA_NEXT_TRACK",e,e],[1,172,"MediaTrackPrevious",125,"MediaTrackPrevious",177,"VK_MEDIA_PREV_TRACK",e,e],[1,173,"MediaStop",126,"MediaStop",178,"VK_MEDIA_STOP",e,e],[1,174,"Eject",0,e,0,e,e,e],[1,175,"MediaPlayPause",127,"MediaPlayPause",179,"VK_MEDIA_PLAY_PAUSE",e,e],[1,176,"MediaSelect",128,"LaunchMediaPlayer",181,"VK_MEDIA_LAUNCH_MEDIA_SELECT",e,e],[1,177,"LaunchMail",129,"LaunchMail",180,"VK_MEDIA_LAUNCH_MAIL",e,e],[1,178,"LaunchApp2",130,"LaunchApp2",183,"VK_MEDIA_LAUNCH_APP2",e,e],[1,179,"LaunchApp1",0,e,0,"VK_MEDIA_LAUNCH_APP1",e,e],[1,180,"SelectTask",0,e,0,e,e,e],[1,181,"LaunchScreenSaver",0,e,0,e,e,e],[1,182,"BrowserSearch",120,"BrowserSearch",170,"VK_BROWSER_SEARCH",e,e],[1,183,"BrowserHome",121,"BrowserHome",172,"VK_BROWSER_HOME",e,e],[1,184,"BrowserBack",122,"BrowserBack",166,"VK_BROWSER_BACK",e,e],[1,185,"BrowserForward",123,"BrowserForward",167,"VK_BROWSER_FORWARD",e,e],[1,186,"BrowserStop",0,e,0,"VK_BROWSER_STOP",e,e],[1,187,"BrowserRefresh",0,e,0,"VK_BROWSER_REFRESH",e,e],[1,188,"BrowserFavorites",0,e,0,"VK_BROWSER_FAVORITES",e,e],[1,189,"ZoomToggle",0,e,0,e,e,e],[1,190,"MailReply",0,e,0,e,e,e],[1,191,"MailForward",0,e,0,e,e,e],[1,192,"MailSend",0,e,0,e,e,e],[1,0,e,114,"KeyInComposition",229,e,e,e],[1,0,e,116,"ABNT_C2",194,"VK_ABNT_C2",e,e],[1,0,e,96,"OEM_8",223,"VK_OEM_8",e,e],[1,0,e,0,e,0,"VK_KANA",e,e],[1,0,e,0,e,0,"VK_HANGUL",e,e],[1,0,e,0,e,0,"VK_JUNJA",e,e],[1,0,e,0,e,0,"VK_FINAL",e,e],[1,0,e,0,e,0,"VK_HANJA",e,e],[1,0,e,0,e,0,"VK_KANJI",e,e],[1,0,e,0,e,0,"VK_CONVERT",e,e],[1,0,e,0,e,0,"VK_NONCONVERT",e,e],[1,0,e,0,e,0,"VK_ACCEPT",e,e],[1,0,e,0,e,0,"VK_MODECHANGE",e,e],[1,0,e,0,e,0,"VK_SELECT",e,e],[1,0,e,0,e,0,"VK_PRINT",e,e],[1,0,e,0,e,0,"VK_EXECUTE",e,e],[1,0,e,0,e,0,"VK_SNAPSHOT",e,e],[1,0,e,0,e,0,"VK_HELP",e,e],[1,0,e,0,e,0,"VK_APPS",e,e],[1,0,e,0,e,0,"VK_PROCESSKEY",e,e],[1,0,e,0,e,0,"VK_PACKET",e,e],[1,0,e,0,e,0,"VK_DBE_SBCSCHAR",e,e],[1,0,e,0,e,0,"VK_DBE_DBCSCHAR",e,e],[1,0,e,0,e,0,"VK_ATTN",e,e],[1,0,e,0,e,0,"VK_CRSEL",e,e],[1,0,e,0,e,0,"VK_EXSEL",e,e],[1,0,e,0,e,0,"VK_EREOF",e,e],[1,0,e,0,e,0,"VK_PLAY",e,e],[1,0,e,0,e,0,"VK_ZOOM",e,e],[1,0,e,0,e,0,"VK_NONAME",e,e],[1,0,e,0,e,0,"VK_PA1",e,e],[1,0,e,0,e,0,"VK_OEM_CLEAR",e,e]],t=[],r=[];for(const e of n){const[n,o,i,a,s,l,c,d,u]=e;if(r[o]||(r[o]=!0,pt[o]=i,ft[i]=o,mt[i.toLowerCase()]=o,n&&(_t[o]=a,0!==a&&3!==a&&5!==a&&4!==a&&6!==a&&57!==a&&(ht[a]=o))),!t[a]){if(t[a]=!0,!s)throw new Error(`String representation missing for key code ${a} around scan code ${i}`);st.define(a,s),lt.define(a,d||s),ct.define(a,u||d||s)}l&&(dt[l]=a),c&&(ut[c]=a)}ht[3]=46}(),function(e){e.toString=function(e){return st.keyCodeToStr(e)},e.fromString=function(e){return st.strToKeyCode(e)},e.toUserSettingsUS=function(e){return lt.keyCodeToStr(e)},e.toUserSettingsGeneral=function(e){return ct.keyCodeToStr(e)},e.fromUserSettings=function(e){return lt.strToKeyCode(e)||ct.strToKeyCode(e)},e.toElectronAccelerator=function(e){if(e>=98&&e<=113)return null;switch(e){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return st.keyCodeToStr(e)}}(gt||(gt={}));class yt extends kn{constructor(e,n,t,r){super(e,n,t,r),this.selectionStartLineNumber=e,this.selectionStartColumn=n,this.positionLineNumber=t,this.positionColumn=r}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(e){return yt.selectionsEqual(this,e)}static selectionsEqual(e,n){return e.selectionStartLineNumber===n.selectionStartLineNumber&&e.selectionStartColumn===n.selectionStartColumn&&e.positionLineNumber===n.positionLineNumber&&e.positionColumn===n.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(e,n){return 0===this.getDirection()?new yt(this.startLineNumber,this.startColumn,e,n):new yt(e,n,this.startLineNumber,this.startColumn)}getPosition(){return new Ln(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new Ln(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(e,n){return 0===this.getDirection()?new yt(e,n,this.endLineNumber,this.endColumn):new yt(this.endLineNumber,this.endColumn,e,n)}static fromPositions(e,n=e){return new yt(e.lineNumber,e.column,n.lineNumber,n.column)}static fromRange(e,n){return 0===n?new yt(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn):new yt(e.endLineNumber,e.endColumn,e.startLineNumber,e.startColumn)}static liftSelection(e){return new yt(e.selectionStartLineNumber,e.selectionStartColumn,e.positionLineNumber,e.positionColumn)}static selectionsArrEqual(e,n){if(e&&!n||!e&&n)return!1;if(!e&&!n)return!0;if(e.length!==n.length)return!1;for(let t=0,r=e.length;t<r;t++)if(!this.selectionsEqual(e[t],n[t]))return!1;return!0}static isISelection(e){return e&&"number"==typeof e.selectionStartLineNumber&&"number"==typeof e.selectionStartColumn&&"number"==typeof e.positionLineNumber&&"number"==typeof e.positionColumn}static createWithDirection(e,n,t,r,o){return 0===o?new yt(e,n,t,r):new yt(t,r,e,n)}}function vt(e){return"string"==typeof e}const bt=Object.create(null);function Et(e,n){if(vt(n)){const t=bt[n];if(void 0===t)throw new Error(`${e} references an unknown codicon: ${n}`);n=t}return bt[e]=n,{id:e}}const St={...{add:Et("add",6e4),plus:Et("plus",6e4),gistNew:Et("gist-new",6e4),repoCreate:Et("repo-create",6e4),lightbulb:Et("lightbulb",60001),lightBulb:Et("light-bulb",60001),repo:Et("repo",60002),repoDelete:Et("repo-delete",60002),gistFork:Et("gist-fork",60003),repoForked:Et("repo-forked",60003),gitPullRequest:Et("git-pull-request",60004),gitPullRequestAbandoned:Et("git-pull-request-abandoned",60004),recordKeys:Et("record-keys",60005),keyboard:Et("keyboard",60005),tag:Et("tag",60006),gitPullRequestLabel:Et("git-pull-request-label",60006),tagAdd:Et("tag-add",60006),tagRemove:Et("tag-remove",60006),person:Et("person",60007),personFollow:Et("person-follow",60007),personOutline:Et("person-outline",60007),personFilled:Et("person-filled",60007),gitBranch:Et("git-branch",60008),gitBranchCreate:Et("git-branch-create",60008),gitBranchDelete:Et("git-branch-delete",60008),sourceControl:Et("source-control",60008),mirror:Et("mirror",60009),mirrorPublic:Et("mirror-public",60009),star:Et("star",60010),starAdd:Et("star-add",60010),starDelete:Et("star-delete",60010),starEmpty:Et("star-empty",60010),comment:Et("comment",60011),commentAdd:Et("comment-add",60011),alert:Et("alert",60012),warning:Et("warning",60012),search:Et("search",60013),searchSave:Et("search-save",60013),logOut:Et("log-out",60014),signOut:Et("sign-out",60014),logIn:Et("log-in",60015),signIn:Et("sign-in",60015),eye:Et("eye",60016),eyeUnwatch:Et("eye-unwatch",60016),eyeWatch:Et("eye-watch",60016),circleFilled:Et("circle-filled",60017),primitiveDot:Et("primitive-dot",60017),closeDirty:Et("close-dirty",60017),debugBreakpoint:Et("debug-breakpoint",60017),debugBreakpointDisabled:Et("debug-breakpoint-disabled",60017),debugHint:Et("debug-hint",60017),terminalDecorationSuccess:Et("terminal-decoration-success",60017),primitiveSquare:Et("primitive-square",60018),edit:Et("edit",60019),pencil:Et("pencil",60019),info:Et("info",60020),issueOpened:Et("issue-opened",60020),gistPrivate:Et("gist-private",60021),gitForkPrivate:Et("git-fork-private",60021),lock:Et("lock",60021),mirrorPrivate:Et("mirror-private",60021),close:Et("close",60022),removeClose:Et("remove-close",60022),x:Et("x",60022),repoSync:Et("repo-sync",60023),sync:Et("sync",60023),clone:Et("clone",60024),desktopDownload:Et("desktop-download",60024),beaker:Et("beaker",60025),microscope:Et("microscope",60025),vm:Et("vm",60026),deviceDesktop:Et("device-desktop",60026),file:Et("file",60027),fileText:Et("file-text",60027),more:Et("more",60028),ellipsis:Et("ellipsis",60028),kebabHorizontal:Et("kebab-horizontal",60028),mailReply:Et("mail-reply",60029),reply:Et("reply",60029),organization:Et("organization",60030),organizationFilled:Et("organization-filled",60030),organizationOutline:Et("organization-outline",60030),newFile:Et("new-file",60031),fileAdd:Et("file-add",60031),newFolder:Et("new-folder",60032),fileDirectoryCreate:Et("file-directory-create",60032),trash:Et("trash",60033),trashcan:Et("trashcan",60033),history:Et("history",60034),clock:Et("clock",60034),folder:Et("folder",60035),fileDirectory:Et("file-directory",60035),symbolFolder:Et("symbol-folder",60035),logoGithub:Et("logo-github",60036),markGithub:Et("mark-github",60036),github:Et("github",60036),terminal:Et("terminal",60037),console:Et("console",60037),repl:Et("repl",60037),zap:Et("zap",60038),symbolEvent:Et("symbol-event",60038),error:Et("error",60039),stop:Et("stop",60039),variable:Et("variable",60040),symbolVariable:Et("symbol-variable",60040),array:Et("array",60042),symbolArray:Et("symbol-array",60042),symbolModule:Et("symbol-module",60043),symbolPackage:Et("symbol-package",60043),symbolNamespace:Et("symbol-namespace",60043),symbolObject:Et("symbol-object",60043),symbolMethod:Et("symbol-method",60044),symbolFunction:Et("symbol-function",60044),symbolConstructor:Et("symbol-constructor",60044),symbolBoolean:Et("symbol-boolean",60047),symbolNull:Et("symbol-null",60047),symbolNumeric:Et("symbol-numeric",60048),symbolNumber:Et("symbol-number",60048),symbolStructure:Et("symbol-structure",60049),symbolStruct:Et("symbol-struct",60049),symbolParameter:Et("symbol-parameter",60050),symbolTypeParameter:Et("symbol-type-parameter",60050),symbolKey:Et("symbol-key",60051),symbolText:Et("symbol-text",60051),symbolReference:Et("symbol-reference",60052),goToFile:Et("go-to-file",60052),symbolEnum:Et("symbol-enum",60053),symbolValue:Et("symbol-value",60053),symbolRuler:Et("symbol-ruler",60054),symbolUnit:Et("symbol-unit",60054),activateBreakpoints:Et("activate-breakpoints",60055),archive:Et("archive",60056),arrowBoth:Et("arrow-both",60057),arrowDown:Et("arrow-down",60058),arrowLeft:Et("arrow-left",60059),arrowRight:Et("arrow-right",60060),arrowSmallDown:Et("arrow-small-down",60061),arrowSmallLeft:Et("arrow-small-left",60062),arrowSmallRight:Et("arrow-small-right",60063),arrowSmallUp:Et("arrow-small-up",60064),arrowUp:Et("arrow-up",60065),bell:Et("bell",60066),bold:Et("bold",60067),book:Et("book",60068),bookmark:Et("bookmark",60069),debugBreakpointConditionalUnverified:Et("debug-breakpoint-conditional-unverified",60070),debugBreakpointConditional:Et("debug-breakpoint-conditional",60071),debugBreakpointConditionalDisabled:Et("debug-breakpoint-conditional-disabled",60071),debugBreakpointDataUnverified:Et("debug-breakpoint-data-unverified",60072),debugBreakpointData:Et("debug-breakpoint-data",60073),debugBreakpointDataDisabled:Et("debug-breakpoint-data-disabled",60073),debugBreakpointLogUnverified:Et("debug-breakpoint-log-unverified",60074),debugBreakpointLog:Et("debug-breakpoint-log",60075),debugBreakpointLogDisabled:Et("debug-breakpoint-log-disabled",60075),briefcase:Et("briefcase",60076),broadcast:Et("broadcast",60077),browser:Et("browser",60078),bug:Et("bug",60079),calendar:Et("calendar",60080),caseSensitive:Et("case-sensitive",60081),check:Et("check",60082),checklist:Et("checklist",60083),chevronDown:Et("chevron-down",60084),chevronLeft:Et("chevron-left",60085),chevronRight:Et("chevron-right",60086),chevronUp:Et("chevron-up",60087),chromeClose:Et("chrome-close",60088),chromeMaximize:Et("chrome-maximize",60089),chromeMinimize:Et("chrome-minimize",60090),chromeRestore:Et("chrome-restore",60091),circleOutline:Et("circle-outline",60092),circle:Et("circle",60092),debugBreakpointUnverified:Et("debug-breakpoint-unverified",60092),terminalDecorationIncomplete:Et("terminal-decoration-incomplete",60092),circleSlash:Et("circle-slash",60093),circuitBoard:Et("circuit-board",60094),clearAll:Et("clear-all",60095),clippy:Et("clippy",60096),closeAll:Et("close-all",60097),cloudDownload:Et("cloud-download",60098),cloudUpload:Et("cloud-upload",60099),code:Et("code",60100),collapseAll:Et("collapse-all",60101),colorMode:Et("color-mode",60102),commentDiscussion:Et("comment-discussion",60103),creditCard:Et("credit-card",60105),dash:Et("dash",60108),dashboard:Et("dashboard",60109),database:Et("database",60110),debugContinue:Et("debug-continue",60111),debugDisconnect:Et("debug-disconnect",60112),debugPause:Et("debug-pause",60113),debugRestart:Et("debug-restart",60114),debugStart:Et("debug-start",60115),debugStepInto:Et("debug-step-into",60116),debugStepOut:Et("debug-step-out",60117),debugStepOver:Et("debug-step-over",60118),debugStop:Et("debug-stop",60119),debug:Et("debug",60120),deviceCameraVideo:Et("device-camera-video",60121),deviceCamera:Et("device-camera",60122),deviceMobile:Et("device-mobile",60123),diffAdded:Et("diff-added",60124),diffIgnored:Et("diff-ignored",60125),diffModified:Et("diff-modified",60126),diffRemoved:Et("diff-removed",60127),diffRenamed:Et("diff-renamed",60128),diff:Et("diff",60129),diffSidebyside:Et("diff-sidebyside",60129),discard:Et("discard",60130),editorLayout:Et("editor-layout",60131),emptyWindow:Et("empty-window",60132),exclude:Et("exclude",60133),extensions:Et("extensions",60134),eyeClosed:Et("eye-closed",60135),fileBinary:Et("file-binary",60136),fileCode:Et("file-code",60137),fileMedia:Et("file-media",60138),filePdf:Et("file-pdf",60139),fileSubmodule:Et("file-submodule",60140),fileSymlinkDirectory:Et("file-symlink-directory",60141),fileSymlinkFile:Et("file-symlink-file",60142),fileZip:Et("file-zip",60143),files:Et("files",60144),filter:Et("filter",60145),flame:Et("flame",60146),foldDown:Et("fold-down",60147),foldUp:Et("fold-up",60148),fold:Et("fold",60149),folderActive:Et("folder-active",60150),folderOpened:Et("folder-opened",60151),gear:Et("gear",60152),gift:Et("gift",60153),gistSecret:Et("gist-secret",60154),gist:Et("gist",60155),gitCommit:Et("git-commit",60156),gitCompare:Et("git-compare",60157),compareChanges:Et("compare-changes",60157),gitMerge:Et("git-merge",60158),githubAction:Et("github-action",60159),githubAlt:Et("github-alt",60160),globe:Et("globe",60161),grabber:Et("grabber",60162),graph:Et("graph",60163),gripper:Et("gripper",60164),heart:Et("heart",60165),home:Et("home",60166),horizontalRule:Et("horizontal-rule",60167),hubot:Et("hubot",60168),inbox:Et("inbox",60169),issueReopened:Et("issue-reopened",60171),issues:Et("issues",60172),italic:Et("italic",60173),jersey:Et("jersey",60174),json:Et("json",60175),kebabVertical:Et("kebab-vertical",60176),key:Et("key",60177),law:Et("law",60178),lightbulbAutofix:Et("lightbulb-autofix",60179),linkExternal:Et("link-external",60180),link:Et("link",60181),listOrdered:Et("list-ordered",60182),listUnordered:Et("list-unordered",60183),liveShare:Et("live-share",60184),loading:Et("loading",60185),location:Et("location",60186),mailRead:Et("mail-read",60187),mail:Et("mail",60188),markdown:Et("markdown",60189),megaphone:Et("megaphone",60190),mention:Et("mention",60191),milestone:Et("milestone",60192),gitPullRequestMilestone:Et("git-pull-request-milestone",60192),mortarBoard:Et("mortar-board",60193),move:Et("move",60194),multipleWindows:Et("multiple-windows",60195),mute:Et("mute",60196),noNewline:Et("no-newline",60197),note:Et("note",60198),octoface:Et("octoface",60199),openPreview:Et("open-preview",60200),package:Et("package",60201),paintcan:Et("paintcan",60202),pin:Et("pin",60203),play:Et("play",60204),run:Et("run",60204),plug:Et("plug",60205),preserveCase:Et("preserve-case",60206),preview:Et("preview",60207),project:Et("project",60208),pulse:Et("pulse",60209),question:Et("question",60210),quote:Et("quote",60211),radioTower:Et("radio-tower",60212),reactions:Et("reactions",60213),references:Et("references",60214),refresh:Et("refresh",60215),regex:Et("regex",60216),remoteExplorer:Et("remote-explorer",60217),remote:Et("remote",60218),remove:Et("remove",60219),replaceAll:Et("replace-all",60220),replace:Et("replace",60221),repoClone:Et("repo-clone",60222),repoForcePush:Et("repo-force-push",60223),repoPull:Et("repo-pull",60224),repoPush:Et("repo-push",60225),report:Et("report",60226),requestChanges:Et("request-changes",60227),rocket:Et("rocket",60228),rootFolderOpened:Et("root-folder-opened",60229),rootFolder:Et("root-folder",60230),rss:Et("rss",60231),ruby:Et("ruby",60232),saveAll:Et("save-all",60233),saveAs:Et("save-as",60234),save:Et("save",60235),screenFull:Et("screen-full",60236),screenNormal:Et("screen-normal",60237),searchStop:Et("search-stop",60238),server:Et("server",60240),settingsGear:Et("settings-gear",60241),settings:Et("settings",60242),shield:Et("shield",60243),smiley:Et("smiley",60244),sortPrecedence:Et("sort-precedence",60245),splitHorizontal:Et("split-horizontal",60246),splitVertical:Et("split-vertical",60247),squirrel:Et("squirrel",60248),starFull:Et("star-full",60249),starHalf:Et("star-half",60250),symbolClass:Et("symbol-class",60251),symbolColor:Et("symbol-color",60252),symbolConstant:Et("symbol-constant",60253),symbolEnumMember:Et("symbol-enum-member",60254),symbolField:Et("symbol-field",60255),symbolFile:Et("symbol-file",60256),symbolInterface:Et("symbol-interface",60257),symbolKeyword:Et("symbol-keyword",60258),symbolMisc:Et("symbol-misc",60259),symbolOperator:Et("symbol-operator",60260),symbolProperty:Et("symbol-property",60261),wrench:Et("wrench",60261),wrenchSubaction:Et("wrench-subaction",60261),symbolSnippet:Et("symbol-snippet",60262),tasklist:Et("tasklist",60263),telescope:Et("telescope",60264),textSize:Et("text-size",60265),threeBars:Et("three-bars",60266),thumbsdown:Et("thumbsdown",60267),thumbsup:Et("thumbsup",60268),tools:Et("tools",60269),triangleDown:Et("triangle-down",60270),triangleLeft:Et("triangle-left",60271),triangleRight:Et("triangle-right",60272),triangleUp:Et("triangle-up",60273),twitter:Et("twitter",60274),unfold:Et("unfold",60275),unlock:Et("unlock",60276),unmute:Et("unmute",60277),unverified:Et("unverified",60278),verified:Et("verified",60279),versions:Et("versions",60280),vmActive:Et("vm-active",60281),vmOutline:Et("vm-outline",60282),vmRunning:Et("vm-running",60283),watch:Et("watch",60284),whitespace:Et("whitespace",60285),wholeWord:Et("whole-word",60286),window:Et("window",60287),wordWrap:Et("word-wrap",60288),zoomIn:Et("zoom-in",60289),zoomOut:Et("zoom-out",60290),listFilter:Et("list-filter",60291),listFlat:Et("list-flat",60292),listSelection:Et("list-selection",60293),selection:Et("selection",60293),listTree:Et("list-tree",60294),debugBreakpointFunctionUnverified:Et("debug-breakpoint-function-unverified",60295),debugBreakpointFunction:Et("debug-breakpoint-function",60296),debugBreakpointFunctionDisabled:Et("debug-breakpoint-function-disabled",60296),debugStackframeActive:Et("debug-stackframe-active",60297),circleSmallFilled:Et("circle-small-filled",60298),debugStackframeDot:Et("debug-stackframe-dot",60298),terminalDecorationMark:Et("terminal-decoration-mark",60298),debugStackframe:Et("debug-stackframe",60299),debugStackframeFocused:Et("debug-stackframe-focused",60299),debugBreakpointUnsupported:Et("debug-breakpoint-unsupported",60300),symbolString:Et("symbol-string",60301),debugReverseContinue:Et("debug-reverse-continue",60302),debugStepBack:Et("debug-step-back",60303),debugRestartFrame:Et("debug-restart-frame",60304),debugAlt:Et("debug-alt",60305),callIncoming:Et("call-incoming",60306),callOutgoing:Et("call-outgoing",60307),menu:Et("menu",60308),expandAll:Et("expand-all",60309),feedback:Et("feedback",60310),gitPullRequestReviewer:Et("git-pull-request-reviewer",60310),groupByRefType:Et("group-by-ref-type",60311),ungroupByRefType:Et("ungroup-by-ref-type",60312),account:Et("account",60313),gitPullRequestAssignee:Et("git-pull-request-assignee",60313),bellDot:Et("bell-dot",60314),debugConsole:Et("debug-console",60315),library:Et("library",60316),output:Et("output",60317),runAll:Et("run-all",60318),syncIgnored:Et("sync-ignored",60319),pinned:Et("pinned",60320),githubInverted:Et("github-inverted",60321),serverProcess:Et("server-process",60322),serverEnvironment:Et("server-environment",60323),pass:Et("pass",60324),issueClosed:Et("issue-closed",60324),stopCircle:Et("stop-circle",60325),playCircle:Et("play-circle",60326),record:Et("record",60327),debugAltSmall:Et("debug-alt-small",60328),vmConnect:Et("vm-connect",60329),cloud:Et("cloud",60330),merge:Et("merge",60331),export:Et("export",60332),graphLeft:Et("graph-left",60333),magnet:Et("magnet",60334),notebook:Et("notebook",60335),redo:Et("redo",60336),checkAll:Et("check-all",60337),pinnedDirty:Et("pinned-dirty",60338),passFilled:Et("pass-filled",60339),circleLargeFilled:Et("circle-large-filled",60340),circleLarge:Et("circle-large",60341),circleLargeOutline:Et("circle-large-outline",60341),combine:Et("combine",60342),gather:Et("gather",60342),table:Et("table",60343),variableGroup:Et("variable-group",60344),typeHierarchy:Et("type-hierarchy",60345),typeHierarchySub:Et("type-hierarchy-sub",60346),typeHierarchySuper:Et("type-hierarchy-super",60347),gitPullRequestCreate:Et("git-pull-request-create",60348),runAbove:Et("run-above",60349),runBelow:Et("run-below",60350),notebookTemplate:Et("notebook-template",60351),debugRerun:Et("debug-rerun",60352),workspaceTrusted:Et("workspace-trusted",60353),workspaceUntrusted:Et("workspace-untrusted",60354),workspaceUnknown:Et("workspace-unknown",60355),terminalCmd:Et("terminal-cmd",60356),terminalDebian:Et("terminal-debian",60357),terminalLinux:Et("terminal-linux",60358),terminalPowershell:Et("terminal-powershell",60359),terminalTmux:Et("terminal-tmux",60360),terminalUbuntu:Et("terminal-ubuntu",60361),terminalBash:Et("terminal-bash",60362),arrowSwap:Et("arrow-swap",60363),copy:Et("copy",60364),personAdd:Et("person-add",60365),filterFilled:Et("filter-filled",60366),wand:Et("wand",60367),debugLineByLine:Et("debug-line-by-line",60368),inspect:Et("inspect",60369),layers:Et("layers",60370),layersDot:Et("layers-dot",60371),layersActive:Et("layers-active",60372),compass:Et("compass",60373),compassDot:Et("compass-dot",60374),compassActive:Et("compass-active",60375),azure:Et("azure",60376),issueDraft:Et("issue-draft",60377),gitPullRequestClosed:Et("git-pull-request-closed",60378),gitPullRequestDraft:Et("git-pull-request-draft",60379),debugAll:Et("debug-all",60380),debugCoverage:Et("debug-coverage",60381),runErrors:Et("run-errors",60382),folderLibrary:Et("folder-library",60383),debugContinueSmall:Et("debug-continue-small",60384),beakerStop:Et("beaker-stop",60385),graphLine:Et("graph-line",60386),graphScatter:Et("graph-scatter",60387),pieChart:Et("pie-chart",60388),bracket:Et("bracket",60175),bracketDot:Et("bracket-dot",60389),bracketError:Et("bracket-error",60390),lockSmall:Et("lock-small",60391),azureDevops:Et("azure-devops",60392),verifiedFilled:Et("verified-filled",60393),newline:Et("newline",60394),layout:Et("layout",60395),layoutActivitybarLeft:Et("layout-activitybar-left",60396),layoutActivitybarRight:Et("layout-activitybar-right",60397),layoutPanelLeft:Et("layout-panel-left",60398),layoutPanelCenter:Et("layout-panel-center",60399),layoutPanelJustify:Et("layout-panel-justify",60400),layoutPanelRight:Et("layout-panel-right",60401),layoutPanel:Et("layout-panel",60402),layoutSidebarLeft:Et("layout-sidebar-left",60403),layoutSidebarRight:Et("layout-sidebar-right",60404),layoutStatusbar:Et("layout-statusbar",60405),layoutMenubar:Et("layout-menubar",60406),layoutCentered:Et("layout-centered",60407),target:Et("target",60408),indent:Et("indent",60409),recordSmall:Et("record-small",60410),errorSmall:Et("error-small",60411),terminalDecorationError:Et("terminal-decoration-error",60411),arrowCircleDown:Et("arrow-circle-down",60412),arrowCircleLeft:Et("arrow-circle-left",60413),arrowCircleRight:Et("arrow-circle-right",60414),arrowCircleUp:Et("arrow-circle-up",60415),layoutSidebarRightOff:Et("layout-sidebar-right-off",60416),layoutPanelOff:Et("layout-panel-off",60417),layoutSidebarLeftOff:Et("layout-sidebar-left-off",60418),blank:Et("blank",60419),heartFilled:Et("heart-filled",60420),map:Et("map",60421),mapHorizontal:Et("map-horizontal",60421),foldHorizontal:Et("fold-horizontal",60421),mapFilled:Et("map-filled",60422),mapHorizontalFilled:Et("map-horizontal-filled",60422),foldHorizontalFilled:Et("fold-horizontal-filled",60422),circleSmall:Et("circle-small",60423),bellSlash:Et("bell-slash",60424),bellSlashDot:Et("bell-slash-dot",60425),commentUnresolved:Et("comment-unresolved",60426),gitPullRequestGoToChanges:Et("git-pull-request-go-to-changes",60427),gitPullRequestNewChanges:Et("git-pull-request-new-changes",60428),searchFuzzy:Et("search-fuzzy",60429),commentDraft:Et("comment-draft",60430),send:Et("send",60431),sparkle:Et("sparkle",60432),insert:Et("insert",60433),mic:Et("mic",60434),thumbsdownFilled:Et("thumbsdown-filled",60435),thumbsupFilled:Et("thumbsup-filled",60436),coffee:Et("coffee",60437),snake:Et("snake",60438),game:Et("game",60439),vr:Et("vr",60440),chip:Et("chip",60441),piano:Et("piano",60442),music:Et("music",60443),micFilled:Et("mic-filled",60444),repoFetch:Et("repo-fetch",60445),copilot:Et("copilot",60446),lightbulbSparkle:Et("lightbulb-sparkle",60447),robot:Et("robot",60448),sparkleFilled:Et("sparkle-filled",60449),diffSingle:Et("diff-single",60450),diffMultiple:Et("diff-multiple",60451),surroundWith:Et("surround-with",60452),share:Et("share",60453),gitStash:Et("git-stash",60454),gitStashApply:Et("git-stash-apply",60455),gitStashPop:Et("git-stash-pop",60456),vscode:Et("vscode",60457),vscodeInsiders:Et("vscode-insiders",60458),codeOss:Et("code-oss",60459),runCoverage:Et("run-coverage",60460),runAllCoverage:Et("run-all-coverage",60461),coverage:Et("coverage",60462),githubProject:Et("github-project",60463),mapVertical:Et("map-vertical",60464),foldVertical:Et("fold-vertical",60464),mapVerticalFilled:Et("map-vertical-filled",60465),foldVerticalFilled:Et("fold-vertical-filled",60465),goToSearch:Et("go-to-search",60466),percentage:Et("percentage",60467),sortPercentage:Et("sort-percentage",60467),attach:Et("attach",60468)},...{dialogError:Et("dialog-error","error"),dialogWarning:Et("dialog-warning","warning"),dialogInfo:Et("dialog-info","info"),dialogClose:Et("dialog-close","close"),treeItemExpanded:Et("tree-item-expanded","chevron-down"),treeFilterOnTypeOn:Et("tree-filter-on-type-on","list-filter"),treeFilterOnTypeOff:Et("tree-filter-on-type-off","list-selection"),treeFilterClear:Et("tree-filter-clear","close"),treeItemLoading:Et("tree-item-loading","loading"),menuSelection:Et("menu-selection","check"),menuSubmenu:Et("menu-submenu","chevron-right"),menuBarMore:Et("menubar-more","more"),scrollbarButtonLeft:Et("scrollbar-button-left","triangle-left"),scrollbarButtonRight:Et("scrollbar-button-right","triangle-right"),scrollbarButtonUp:Et("scrollbar-button-up","triangle-up"),scrollbarButtonDown:Et("scrollbar-button-down","triangle-down"),toolBarMore:Et("toolbar-more","more"),quickInputBack:Et("quick-input-back","arrow-left"),dropDownButton:Et("drop-down-button",60084),symbolCustomColor:Et("symbol-customcolor",60252),exportIcon:Et("export",60332),workspaceUnspecified:Et("workspace-unspecified",60355),newLine:Et("newline",60394),thumbsDownFilled:Et("thumbsdown-filled",60435),thumbsUpFilled:Et("thumbsup-filled",60436),gitFetch:Et("git-fetch",60445),lightbulbSparkleAutofix:Et("lightbulb-sparkle-autofix",60447),debugBreakpointPending:Et("debug-breakpoint-pending",60377)}};class Tt extends v{get isResolved(){return this._isResolved}constructor(e,n,t){super(),this._registry=e,this._languageId=n,this._factory=t,this._isDisposed=!1,this._resolvePromise=null,this._isResolved=!1}dispose(){this._isDisposed=!0,super.dispose()}async resolve(){return this._resolvePromise||(this._resolvePromise=this._create()),this._resolvePromise}async _create(){const e=await this._factory.tokenizationSupport;this._isResolved=!0,e&&!this._isDisposed&&this._register(this._registry.register(this._languageId,e))}}class xt{constructor(e,n,t){this.offset=e,this.type=n,this.language=t,this._tokenBrand=void 0}toString(){return"("+this.offset+", "+this.type+")"}}var At,Rt,It,Nt,Dt,Ct;!function(e){e[e.Increase=0]="Increase",e[e.Decrease=1]="Decrease"}(At||(At={})),function(e){const n=new Map;n.set(0,St.symbolMethod),n.set(1,St.symbolFunction),n.set(2,St.symbolConstructor),n.set(3,St.symbolField),n.set(4,St.symbolVariable),n.set(5,St.symbolClass),n.set(6,St.symbolStruct),n.set(7,St.symbolInterface),n.set(8,St.symbolModule),n.set(9,St.symbolProperty),n.set(10,St.symbolEvent),n.set(11,St.symbolOperator),n.set(12,St.symbolUnit),n.set(13,St.symbolValue),n.set(15,St.symbolEnum),n.set(14,St.symbolConstant),n.set(15,St.symbolEnum),n.set(16,St.symbolEnumMember),n.set(17,St.symbolKeyword),n.set(27,St.symbolSnippet),n.set(18,St.symbolText),n.set(19,St.symbolColor),n.set(20,St.symbolFile),n.set(21,St.symbolReference),n.set(22,St.symbolCustomColor),n.set(23,St.symbolFolder),n.set(24,St.symbolTypeParameter),n.set(25,St.account),n.set(26,St.issues),e.toIcon=function(e){let t=n.get(e);return t||(console.info("No codicon found for CompletionItemKind "+e),t=St.symbolProperty),t};const t=new Map;t.set("method",0),t.set("function",1),t.set("constructor",2),t.set("field",3),t.set("variable",4),t.set("class",5),t.set("struct",6),t.set("interface",7),t.set("module",8),t.set("property",9),t.set("event",10),t.set("operator",11),t.set("unit",12),t.set("value",13),t.set("constant",14),t.set("enum",15),t.set("enum-member",16),t.set("enumMember",16),t.set("keyword",17),t.set("snippet",27),t.set("text",18),t.set("color",19),t.set("file",20),t.set("reference",21),t.set("customcolor",22),t.set("folder",23),t.set("type-parameter",24),t.set("typeParameter",24),t.set("account",25),t.set("issue",26),e.fromString=function(e,n){let r=t.get(e);return void 0!==r||n||(r=9),r}}(Rt||(Rt={})),function(e){e[e.Automatic=0]="Automatic",e[e.Explicit=1]="Explicit"}(It||(It={}));!function(e){e[e.Automatic=0]="Automatic",e[e.PasteAs=1]="PasteAs"}(Nt||(Nt={})),function(e){e[e.Invoke=1]="Invoke",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.ContentChange=3]="ContentChange"}(Dt||(Dt={})),function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"}(Ct||(Ct={}));F(0,"array"),F(0,"boolean"),F(0,"class"),F(0,"constant"),F(0,"constructor"),F(0,"enumeration"),F(0,"enumeration member"),F(0,"event"),F(0,"field"),F(0,"file"),F(0,"function"),F(0,"interface"),F(0,"key"),F(0,"method"),F(0,"module"),F(0,"namespace"),F(0,"null"),F(0,"number"),F(0,"object"),F(0,"operator"),F(0,"package"),F(0,"property"),F(0,"string"),F(0,"struct"),F(0,"type parameter"),F(0,"variable");var Mt,Pt,Lt,kt,wt;!function(e){const n=new Map;n.set(0,St.symbolFile),n.set(1,St.symbolModule),n.set(2,St.symbolNamespace),n.set(3,St.symbolPackage),n.set(4,St.symbolClass),n.set(5,St.symbolMethod),n.set(6,St.symbolProperty),n.set(7,St.symbolField),n.set(8,St.symbolConstructor),n.set(9,St.symbolEnum),n.set(10,St.symbolInterface),n.set(11,St.symbolFunction),n.set(12,St.symbolVariable),n.set(13,St.symbolConstant),n.set(14,St.symbolString),n.set(15,St.symbolNumber),n.set(16,St.symbolBoolean),n.set(17,St.symbolArray),n.set(18,St.symbolObject),n.set(19,St.symbolKey),n.set(20,St.symbolNull),n.set(21,St.symbolEnumMember),n.set(22,St.symbolStruct),n.set(23,St.symbolEvent),n.set(24,St.symbolOperator),n.set(25,St.symbolTypeParameter),e.toIcon=function(e){let t=n.get(e);return t||(console.info("No codicon found for SymbolKind "+e),t=St.symbolProperty),t}}(Mt||(Mt={}));class Ot{static fromValue(e){switch(e){case"comment":return Ot.Comment;case"imports":return Ot.Imports;case"region":return Ot.Region}return new Ot(e)}constructor(e){this.value=e}}Ot.Comment=new Ot("comment"),Ot.Imports=new Ot("imports"),Ot.Region=new Ot("region"),function(e){e[e.AIGenerated=1]="AIGenerated"}(Pt||(Pt={})),function(e){e[e.Invoke=0]="Invoke",e[e.Automatic=1]="Automatic"}(Lt||(Lt={})),function(e){e.is=function(e){return!(!e||"object"!=typeof e)&&("string"==typeof e.id&&"string"==typeof e.title)}}(kt||(kt={})),function(e){e[e.Type=1]="Type",e[e.Parameter=2]="Parameter"}(wt||(wt={}));new class{constructor(){this._tokenizationSupports=new Map,this._factories=new Map,this._onDidChange=new P,this.onDidChange=this._onDidChange.event,this._colorMap=null}handleChange(e){this._onDidChange.fire({changedLanguages:e,changedColorMap:!1})}register(e,n){return this._tokenizationSupports.set(e,n),this.handleChange([e]),g((()=>{this._tokenizationSupports.get(e)===n&&(this._tokenizationSupports.delete(e),this.handleChange([e]))}))}get(e){return this._tokenizationSupports.get(e)||null}registerFactory(e,n){var t;null===(t=this._factories.get(e))||void 0===t||t.dispose();const r=new Tt(this,e,n);return this._factories.set(e,r),g((()=>{const n=this._factories.get(e);n&&n===r&&(this._factories.delete(e),n.dispose())}))}async getOrCreate(e){const n=this.get(e);if(n)return n;const t=this._factories.get(e);return!t||t.isResolved?null:(await t.resolve(),this.get(e))}isResolved(e){if(this.get(e))return!0;const n=this._factories.get(e);return!(n&&!n.isResolved)}setColorMap(e){this._colorMap=e,this._onDidChange.fire({changedLanguages:Array.from(this._tokenizationSupports.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}};var Ft,Wt,zt,Gt,Bt,jt,Vt,Ut,Ht,Kt,qt,Jt,Xt,Yt,$t,Qt,Zt,er,nr,tr,rr,or,ir,ar,sr,lr,cr,dr,ur,pr,fr,mr,_r,hr,gr,yr,vr,br,Er,Sr,Tr,xr,Ar,Rr,Ir,Nr,Dr,Cr,Mr;!function(e){e[e.Invoke=0]="Invoke",e[e.Automatic=1]="Automatic"}(Ft||(Ft={})),function(e){e[e.Unknown=0]="Unknown",e[e.Disabled=1]="Disabled",e[e.Enabled=2]="Enabled"}(Wt||(Wt={})),function(e){e[e.Invoke=1]="Invoke",e[e.Auto=2]="Auto"}(zt||(zt={})),function(e){e[e.None=0]="None",e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet"}(Gt||(Gt={})),function(e){e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.User=25]="User",e[e.Issue=26]="Issue",e[e.Snippet=27]="Snippet"}(Bt||(Bt={})),function(e){e[e.Deprecated=1]="Deprecated"}(jt||(jt={})),function(e){e[e.Invoke=0]="Invoke",e[e.TriggerCharacter=1]="TriggerCharacter",e[e.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"}(Vt||(Vt={})),function(e){e[e.EXACT=0]="EXACT",e[e.ABOVE=1]="ABOVE",e[e.BELOW=2]="BELOW"}(Ut||(Ut={})),function(e){e[e.NotSet=0]="NotSet",e[e.ContentFlush=1]="ContentFlush",e[e.RecoverFromMarkers=2]="RecoverFromMarkers",e[e.Explicit=3]="Explicit",e[e.Paste=4]="Paste",e[e.Undo=5]="Undo",e[e.Redo=6]="Redo"}(Ht||(Ht={})),function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(Kt||(Kt={})),function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"}(qt||(qt={})),function(e){e[e.None=0]="None",e[e.Keep=1]="Keep",e[e.Brackets=2]="Brackets",e[e.Advanced=3]="Advanced",e[e.Full=4]="Full"}(Jt||(Jt={})),function(e){e[e.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",e[e.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",e[e.accessibilitySupport=2]="accessibilitySupport",e[e.accessibilityPageSize=3]="accessibilityPageSize",e[e.ariaLabel=4]="ariaLabel",e[e.ariaRequired=5]="ariaRequired",e[e.autoClosingBrackets=6]="autoClosingBrackets",e[e.autoClosingComments=7]="autoClosingComments",e[e.screenReaderAnnounceInlineSuggestion=8]="screenReaderAnnounceInlineSuggestion",e[e.autoClosingDelete=9]="autoClosingDelete",e[e.autoClosingOvertype=10]="autoClosingOvertype",e[e.autoClosingQuotes=11]="autoClosingQuotes",e[e.autoIndent=12]="autoIndent",e[e.automaticLayout=13]="automaticLayout",e[e.autoSurround=14]="autoSurround",e[e.bracketPairColorization=15]="bracketPairColorization",e[e.guides=16]="guides",e[e.codeLens=17]="codeLens",e[e.codeLensFontFamily=18]="codeLensFontFamily",e[e.codeLensFontSize=19]="codeLensFontSize",e[e.colorDecorators=20]="colorDecorators",e[e.colorDecoratorsLimit=21]="colorDecoratorsLimit",e[e.columnSelection=22]="columnSelection",e[e.comments=23]="comments",e[e.contextmenu=24]="contextmenu",e[e.copyWithSyntaxHighlighting=25]="copyWithSyntaxHighlighting",e[e.cursorBlinking=26]="cursorBlinking",e[e.cursorSmoothCaretAnimation=27]="cursorSmoothCaretAnimation",e[e.cursorStyle=28]="cursorStyle",e[e.cursorSurroundingLines=29]="cursorSurroundingLines",e[e.cursorSurroundingLinesStyle=30]="cursorSurroundingLinesStyle",e[e.cursorWidth=31]="cursorWidth",e[e.disableLayerHinting=32]="disableLayerHinting",e[e.disableMonospaceOptimizations=33]="disableMonospaceOptimizations",e[e.domReadOnly=34]="domReadOnly",e[e.dragAndDrop=35]="dragAndDrop",e[e.dropIntoEditor=36]="dropIntoEditor",e[e.emptySelectionClipboard=37]="emptySelectionClipboard",e[e.experimentalWhitespaceRendering=38]="experimentalWhitespaceRendering",e[e.extraEditorClassName=39]="extraEditorClassName",e[e.fastScrollSensitivity=40]="fastScrollSensitivity",e[e.find=41]="find",e[e.fixedOverflowWidgets=42]="fixedOverflowWidgets",e[e.folding=43]="folding",e[e.foldingStrategy=44]="foldingStrategy",e[e.foldingHighlight=45]="foldingHighlight",e[e.foldingImportsByDefault=46]="foldingImportsByDefault",e[e.foldingMaximumRegions=47]="foldingMaximumRegions",e[e.unfoldOnClickAfterEndOfLine=48]="unfoldOnClickAfterEndOfLine",e[e.fontFamily=49]="fontFamily",e[e.fontInfo=50]="fontInfo",e[e.fontLigatures=51]="fontLigatures",e[e.fontSize=52]="fontSize",e[e.fontWeight=53]="fontWeight",e[e.fontVariations=54]="fontVariations",e[e.formatOnPaste=55]="formatOnPaste",e[e.formatOnType=56]="formatOnType",e[e.glyphMargin=57]="glyphMargin",e[e.gotoLocation=58]="gotoLocation",e[e.hideCursorInOverviewRuler=59]="hideCursorInOverviewRuler",e[e.hover=60]="hover",e[e.inDiffEditor=61]="inDiffEditor",e[e.inlineSuggest=62]="inlineSuggest",e[e.inlineEdit=63]="inlineEdit",e[e.letterSpacing=64]="letterSpacing",e[e.lightbulb=65]="lightbulb",e[e.lineDecorationsWidth=66]="lineDecorationsWidth",e[e.lineHeight=67]="lineHeight",e[e.lineNumbers=68]="lineNumbers",e[e.lineNumbersMinChars=69]="lineNumbersMinChars",e[e.linkedEditing=70]="linkedEditing",e[e.links=71]="links",e[e.matchBrackets=72]="matchBrackets",e[e.minimap=73]="minimap",e[e.mouseStyle=74]="mouseStyle",e[e.mouseWheelScrollSensitivity=75]="mouseWheelScrollSensitivity",e[e.mouseWheelZoom=76]="mouseWheelZoom",e[e.multiCursorMergeOverlapping=77]="multiCursorMergeOverlapping",e[e.multiCursorModifier=78]="multiCursorModifier",e[e.multiCursorPaste=79]="multiCursorPaste",e[e.multiCursorLimit=80]="multiCursorLimit",e[e.occurrencesHighlight=81]="occurrencesHighlight",e[e.overviewRulerBorder=82]="overviewRulerBorder",e[e.overviewRulerLanes=83]="overviewRulerLanes",e[e.padding=84]="padding",e[e.pasteAs=85]="pasteAs",e[e.parameterHints=86]="parameterHints",e[e.peekWidgetDefaultFocus=87]="peekWidgetDefaultFocus",e[e.definitionLinkOpensInPeek=88]="definitionLinkOpensInPeek",e[e.quickSuggestions=89]="quickSuggestions",e[e.quickSuggestionsDelay=90]="quickSuggestionsDelay",e[e.readOnly=91]="readOnly",e[e.readOnlyMessage=92]="readOnlyMessage",e[e.renameOnType=93]="renameOnType",e[e.renderControlCharacters=94]="renderControlCharacters",e[e.renderFinalNewline=95]="renderFinalNewline",e[e.renderLineHighlight=96]="renderLineHighlight",e[e.renderLineHighlightOnlyWhenFocus=97]="renderLineHighlightOnlyWhenFocus",e[e.renderValidationDecorations=98]="renderValidationDecorations",e[e.renderWhitespace=99]="renderWhitespace",e[e.revealHorizontalRightPadding=100]="revealHorizontalRightPadding",e[e.roundedSelection=101]="roundedSelection",e[e.rulers=102]="rulers",e[e.scrollbar=103]="scrollbar",e[e.scrollBeyondLastColumn=104]="scrollBeyondLastColumn",e[e.scrollBeyondLastLine=105]="scrollBeyondLastLine",e[e.scrollPredominantAxis=106]="scrollPredominantAxis",e[e.selectionClipboard=107]="selectionClipboard",e[e.selectionHighlight=108]="selectionHighlight",e[e.selectOnLineNumbers=109]="selectOnLineNumbers",e[e.showFoldingControls=110]="showFoldingControls",e[e.showUnused=111]="showUnused",e[e.snippetSuggestions=112]="snippetSuggestions",e[e.smartSelect=113]="smartSelect",e[e.smoothScrolling=114]="smoothScrolling",e[e.stickyScroll=115]="stickyScroll",e[e.stickyTabStops=116]="stickyTabStops",e[e.stopRenderingLineAfter=117]="stopRenderingLineAfter",e[e.suggest=118]="suggest",e[e.suggestFontSize=119]="suggestFontSize",e[e.suggestLineHeight=120]="suggestLineHeight",e[e.suggestOnTriggerCharacters=121]="suggestOnTriggerCharacters",e[e.suggestSelection=122]="suggestSelection",e[e.tabCompletion=123]="tabCompletion",e[e.tabIndex=124]="tabIndex",e[e.unicodeHighlighting=125]="unicodeHighlighting",e[e.unusualLineTerminators=126]="unusualLineTerminators",e[e.useShadowDOM=127]="useShadowDOM",e[e.useTabStops=128]="useTabStops",e[e.wordBreak=129]="wordBreak",e[e.wordSegmenterLocales=130]="wordSegmenterLocales",e[e.wordSeparators=131]="wordSeparators",e[e.wordWrap=132]="wordWrap",e[e.wordWrapBreakAfterCharacters=133]="wordWrapBreakAfterCharacters",e[e.wordWrapBreakBeforeCharacters=134]="wordWrapBreakBeforeCharacters",e[e.wordWrapColumn=135]="wordWrapColumn",e[e.wordWrapOverride1=136]="wordWrapOverride1",e[e.wordWrapOverride2=137]="wordWrapOverride2",e[e.wrappingIndent=138]="wrappingIndent",e[e.wrappingStrategy=139]="wrappingStrategy",e[e.showDeprecated=140]="showDeprecated",e[e.inlayHints=141]="inlayHints",e[e.editorClassName=142]="editorClassName",e[e.pixelRatio=143]="pixelRatio",e[e.tabFocusMode=144]="tabFocusMode",e[e.layoutInfo=145]="layoutInfo",e[e.wrappingInfo=146]="wrappingInfo",e[e.defaultColorDecorators=147]="defaultColorDecorators",e[e.colorDecoratorsActivatedOn=148]="colorDecoratorsActivatedOn",e[e.inlineCompletionsAccessibilityVerbose=149]="inlineCompletionsAccessibilityVerbose"}(Xt||(Xt={})),function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(Yt||(Yt={})),function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"}($t||($t={})),function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=3]="Right"}(Qt||(Qt={})),function(e){e[e.Increase=0]="Increase",e[e.Decrease=1]="Decrease"}(Zt||(Zt={})),function(e){e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"}(er||(er={})),function(e){e[e.Both=0]="Both",e[e.Right=1]="Right",e[e.Left=2]="Left",e[e.None=3]="None"}(nr||(nr={})),function(e){e[e.Type=1]="Type",e[e.Parameter=2]="Parameter"}(tr||(tr={})),function(e){e[e.Automatic=0]="Automatic",e[e.Explicit=1]="Explicit"}(rr||(rr={})),function(e){e[e.Invoke=0]="Invoke",e[e.Automatic=1]="Automatic"}(or||(or={})),function(e){e[e.DependsOnKbLayout=-1]="DependsOnKbLayout",e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.Digit0=21]="Digit0",e[e.Digit1=22]="Digit1",e[e.Digit2=23]="Digit2",e[e.Digit3=24]="Digit3",e[e.Digit4=25]="Digit4",e[e.Digit5=26]="Digit5",e[e.Digit6=27]="Digit6",e[e.Digit7=28]="Digit7",e[e.Digit8=29]="Digit8",e[e.Digit9=30]="Digit9",e[e.KeyA=31]="KeyA",e[e.KeyB=32]="KeyB",e[e.KeyC=33]="KeyC",e[e.KeyD=34]="KeyD",e[e.KeyE=35]="KeyE",e[e.KeyF=36]="KeyF",e[e.KeyG=37]="KeyG",e[e.KeyH=38]="KeyH",e[e.KeyI=39]="KeyI",e[e.KeyJ=40]="KeyJ",e[e.KeyK=41]="KeyK",e[e.KeyL=42]="KeyL",e[e.KeyM=43]="KeyM",e[e.KeyN=44]="KeyN",e[e.KeyO=45]="KeyO",e[e.KeyP=46]="KeyP",e[e.KeyQ=47]="KeyQ",e[e.KeyR=48]="KeyR",e[e.KeyS=49]="KeyS",e[e.KeyT=50]="KeyT",e[e.KeyU=51]="KeyU",e[e.KeyV=52]="KeyV",e[e.KeyW=53]="KeyW",e[e.KeyX=54]="KeyX",e[e.KeyY=55]="KeyY",e[e.KeyZ=56]="KeyZ",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.F20=78]="F20",e[e.F21=79]="F21",e[e.F22=80]="F22",e[e.F23=81]="F23",e[e.F24=82]="F24",e[e.NumLock=83]="NumLock",e[e.ScrollLock=84]="ScrollLock",e[e.Semicolon=85]="Semicolon",e[e.Equal=86]="Equal",e[e.Comma=87]="Comma",e[e.Minus=88]="Minus",e[e.Period=89]="Period",e[e.Slash=90]="Slash",e[e.Backquote=91]="Backquote",e[e.BracketLeft=92]="BracketLeft",e[e.Backslash=93]="Backslash",e[e.BracketRight=94]="BracketRight",e[e.Quote=95]="Quote",e[e.OEM_8=96]="OEM_8",e[e.IntlBackslash=97]="IntlBackslash",e[e.Numpad0=98]="Numpad0",e[e.Numpad1=99]="Numpad1",e[e.Numpad2=100]="Numpad2",e[e.Numpad3=101]="Numpad3",e[e.Numpad4=102]="Numpad4",e[e.Numpad5=103]="Numpad5",e[e.Numpad6=104]="Numpad6",e[e.Numpad7=105]="Numpad7",e[e.Numpad8=106]="Numpad8",e[e.Numpad9=107]="Numpad9",e[e.NumpadMultiply=108]="NumpadMultiply",e[e.NumpadAdd=109]="NumpadAdd",e[e.NUMPAD_SEPARATOR=110]="NUMPAD_SEPARATOR",e[e.NumpadSubtract=111]="NumpadSubtract",e[e.NumpadDecimal=112]="NumpadDecimal",e[e.NumpadDivide=113]="NumpadDivide",e[e.KEY_IN_COMPOSITION=114]="KEY_IN_COMPOSITION",e[e.ABNT_C1=115]="ABNT_C1",e[e.ABNT_C2=116]="ABNT_C2",e[e.AudioVolumeMute=117]="AudioVolumeMute",e[e.AudioVolumeUp=118]="AudioVolumeUp",e[e.AudioVolumeDown=119]="AudioVolumeDown",e[e.BrowserSearch=120]="BrowserSearch",e[e.BrowserHome=121]="BrowserHome",e[e.BrowserBack=122]="BrowserBack",e[e.BrowserForward=123]="BrowserForward",e[e.MediaTrackNext=124]="MediaTrackNext",e[e.MediaTrackPrevious=125]="MediaTrackPrevious",e[e.MediaStop=126]="MediaStop",e[e.MediaPlayPause=127]="MediaPlayPause",e[e.LaunchMediaPlayer=128]="LaunchMediaPlayer",e[e.LaunchMail=129]="LaunchMail",e[e.LaunchApp2=130]="LaunchApp2",e[e.Clear=131]="Clear",e[e.MAX_VALUE=132]="MAX_VALUE"}(ir||(ir={})),function(e){e[e.Hint=1]="Hint",e[e.Info=2]="Info",e[e.Warning=4]="Warning",e[e.Error=8]="Error"}(ar||(ar={})),function(e){e[e.Unnecessary=1]="Unnecessary",e[e.Deprecated=2]="Deprecated"}(sr||(sr={})),function(e){e[e.Inline=1]="Inline",e[e.Gutter=2]="Gutter"}(lr||(lr={})),function(e){e[e.Normal=1]="Normal",e[e.Underlined=2]="Underlined"}(cr||(cr={})),function(e){e[e.UNKNOWN=0]="UNKNOWN",e[e.TEXTAREA=1]="TEXTAREA",e[e.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",e[e.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",e[e.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",e[e.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",e[e.CONTENT_TEXT=6]="CONTENT_TEXT",e[e.CONTENT_EMPTY=7]="CONTENT_EMPTY",e[e.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",e[e.CONTENT_WIDGET=9]="CONTENT_WIDGET",e[e.OVERVIEW_RULER=10]="OVERVIEW_RULER",e[e.SCROLLBAR=11]="SCROLLBAR",e[e.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",e[e.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"}(dr||(dr={})),function(e){e[e.AIGenerated=1]="AIGenerated"}(ur||(ur={})),function(e){e[e.Invoke=0]="Invoke",e[e.Automatic=1]="Automatic"}(pr||(pr={})),function(e){e[e.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",e[e.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",e[e.TOP_CENTER=2]="TOP_CENTER"}(fr||(fr={})),function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(mr||(mr={})),function(e){e[e.Word=0]="Word",e[e.Line=1]="Line",e[e.Suggest=2]="Suggest"}(_r||(_r={})),function(e){e[e.Left=0]="Left",e[e.Right=1]="Right",e[e.None=2]="None",e[e.LeftOfInjectedText=3]="LeftOfInjectedText",e[e.RightOfInjectedText=4]="RightOfInjectedText"}(hr||(hr={})),function(e){e[e.Off=0]="Off",e[e.On=1]="On",e[e.Relative=2]="Relative",e[e.Interval=3]="Interval",e[e.Custom=4]="Custom"}(gr||(gr={})),function(e){e[e.None=0]="None",e[e.Text=1]="Text",e[e.Blocks=2]="Blocks"}(yr||(yr={})),function(e){e[e.Smooth=0]="Smooth",e[e.Immediate=1]="Immediate"}(vr||(vr={})),function(e){e[e.Auto=1]="Auto",e[e.Hidden=2]="Hidden",e[e.Visible=3]="Visible"}(br||(br={})),function(e){e[e.LTR=0]="LTR",e[e.RTL=1]="RTL"}(Er||(Er={})),function(e){e.Off="off",e.OnCode="onCode",e.On="on"}(Sr||(Sr={})),function(e){e[e.Invoke=1]="Invoke",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.ContentChange=3]="ContentChange"}(Tr||(Tr={})),function(e){e[e.File=0]="File",e[e.Module=1]="Module",e[e.Namespace=2]="Namespace",e[e.Package=3]="Package",e[e.Class=4]="Class",e[e.Method=5]="Method",e[e.Property=6]="Property",e[e.Field=7]="Field",e[e.Constructor=8]="Constructor",e[e.Enum=9]="Enum",e[e.Interface=10]="Interface",e[e.Function=11]="Function",e[e.Variable=12]="Variable",e[e.Constant=13]="Constant",e[e.String=14]="String",e[e.Number=15]="Number",e[e.Boolean=16]="Boolean",e[e.Array=17]="Array",e[e.Object=18]="Object",e[e.Key=19]="Key",e[e.Null=20]="Null",e[e.EnumMember=21]="EnumMember",e[e.Struct=22]="Struct",e[e.Event=23]="Event",e[e.Operator=24]="Operator",e[e.TypeParameter=25]="TypeParameter"}(xr||(xr={})),function(e){e[e.Deprecated=1]="Deprecated"}(Ar||(Ar={})),function(e){e[e.Hidden=0]="Hidden",e[e.Blink=1]="Blink",e[e.Smooth=2]="Smooth",e[e.Phase=3]="Phase",e[e.Expand=4]="Expand",e[e.Solid=5]="Solid"}(Rr||(Rr={})),function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline",e[e.LineThin=4]="LineThin",e[e.BlockOutline=5]="BlockOutline",e[e.UnderlineThin=6]="UnderlineThin"}(Ir||(Ir={})),function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"}(Nr||(Nr={})),function(e){e[e.None=0]="None",e[e.Same=1]="Same",e[e.Indent=2]="Indent",e[e.DeepIndent=3]="DeepIndent"}(Dr||(Dr={}));class Pr{static chord(e,n){return function(e,n){return(e|(65535&n)<<16>>>0)>>>0}(e,n)}}Pr.CtrlCmd=2048,Pr.Shift=1024,Pr.Alt=512,Pr.WinCtrl=256;class Lr{constructor(e,n){this.uri=e,this.value=n}}class kr{constructor(e,n){if(this[Cr]="ResourceMap",e instanceof kr)this.map=new Map(e.map),this.toKey=null!=n?n:kr.defaultToKey;else if(function(e){return Array.isArray(e)}(e)){this.map=new Map,this.toKey=null!=n?n:kr.defaultToKey;for(const[n,t]of e)this.set(n,t)}else this.map=new Map,this.toKey=null!=e?e:kr.defaultToKey}set(e,n){return this.map.set(this.toKey(e),new Lr(e,n)),this}get(e){var n;return null===(n=this.map.get(this.toKey(e)))||void 0===n?void 0:n.value}has(e){return this.map.has(this.toKey(e))}get size(){return this.map.size}clear(){this.map.clear()}delete(e){return this.map.delete(this.toKey(e))}forEach(e,n){void 0!==n&&(e=e.bind(n));for(const[n,t]of this.map)e(t.value,t.uri,this)}*values(){for(const e of this.map.values())yield e.value}*keys(){for(const e of this.map.values())yield e.uri}*entries(){for(const e of this.map.values())yield[e.uri,e.value]}*[(Cr=Symbol.toStringTag,Symbol.iterator)](){for(const[,e]of this.map)yield[e.uri,e.value]}}kr.defaultToKey=e=>e.toString();class wr{constructor(){this[Mr]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var e;return null===(e=this._head)||void 0===e?void 0:e.value}get last(){var e;return null===(e=this._tail)||void 0===e?void 0:e.value}has(e){return this._map.has(e)}get(e,n=0){const t=this._map.get(e);if(t)return 0!==n&&this.touch(t,n),t.value}set(e,n,t=0){let r=this._map.get(e);if(r)r.value=n,0!==t&&this.touch(r,t);else{switch(r={key:e,value:n,next:void 0,previous:void 0},t){case 0:case 2:default:this.addItemLast(r);break;case 1:this.addItemFirst(r)}this._map.set(e,r),this._size++}return this}delete(e){return!!this.remove(e)}remove(e){const n=this._map.get(e);if(n)return this._map.delete(e),this.removeItem(n),this._size--,n.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const e=this._head;return this._map.delete(e.key),this.removeItem(e),this._size--,e.value}forEach(e,n){const t=this._state;let r=this._head;for(;r;){if(n?e.bind(n)(r.value,r.key,this):e(r.value,r.key,this),this._state!==t)throw new Error("LinkedMap got modified during iteration.");r=r.next}}keys(){const e=this,n=this._state;let t=this._head;const r={[Symbol.iterator](){return r},next(){if(e._state!==n)throw new Error("LinkedMap got modified during iteration.");if(t){const e={value:t.key,done:!1};return t=t.next,e}return{value:void 0,done:!0}}};return r}values(){const e=this,n=this._state;let t=this._head;const r={[Symbol.iterator](){return r},next(){if(e._state!==n)throw new Error("LinkedMap got modified during iteration.");if(t){const e={value:t.value,done:!1};return t=t.next,e}return{value:void 0,done:!0}}};return r}entries(){const e=this,n=this._state;let t=this._head;const r={[Symbol.iterator](){return r},next(){if(e._state!==n)throw new Error("LinkedMap got modified during iteration.");if(t){const e={value:[t.key,t.value],done:!1};return t=t.next,e}return{value:void 0,done:!0}}};return r}[(Mr=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(e){if(e>=this.size)return;if(0===e)return void this.clear();let n=this._head,t=this.size;for(;n&&t>e;)this._map.delete(n.key),n=n.next,t--;this._head=n,this._size=t,n&&(n.previous=void 0),this._state++}trimNew(e){if(e>=this.size)return;if(0===e)return void this.clear();let n=this._tail,t=this.size;for(;n&&t>e;)this._map.delete(n.key),n=n.previous,t--;this._tail=n,this._size=t,n&&(n.next=void 0),this._state++}addItemFirst(e){if(this._head||this._tail){if(!this._head)throw new Error("Invalid list");e.next=this._head,this._head.previous=e}else this._tail=e;this._head=e,this._state++}addItemLast(e){if(this._head||this._tail){if(!this._tail)throw new Error("Invalid list");e.previous=this._tail,this._tail.next=e}else this._head=e;this._tail=e,this._state++}removeItem(e){if(e===this._head&&e===this._tail)this._head=void 0,this._tail=void 0;else if(e===this._head){if(!e.next)throw new Error("Invalid list");e.next.previous=void 0,this._head=e.next}else if(e===this._tail){if(!e.previous)throw new Error("Invalid list");e.previous.next=void 0,this._tail=e.previous}else{const n=e.next,t=e.previous;if(!n||!t)throw new Error("Invalid list");n.previous=t,t.next=n}e.next=void 0,e.previous=void 0,this._state++}touch(e,n){if(!this._head||!this._tail)throw new Error("Invalid list");if(1===n||2===n)if(1===n){if(e===this._head)return;const n=e.next,t=e.previous;e===this._tail?(t.next=void 0,this._tail=t):(n.previous=t,t.next=n),e.previous=void 0,e.next=this._head,this._head.previous=e,this._head=e,this._state++}else if(2===n){if(e===this._tail)return;const n=e.next,t=e.previous;e===this._head?(n.previous=void 0,this._head=n):(n.previous=t,t.next=n),e.next=void 0,e.previous=this._tail,this._tail.next=e,this._tail=e,this._state++}}toJSON(){const e=[];return this.forEach(((n,t)=>{e.push([t,n])})),e}fromJSON(e){this.clear();for(const[n,t]of e)this.set(n,t)}}class Or extends wr{constructor(e,n=1){super(),this._limit=e,this._ratio=Math.min(Math.max(0,n),1)}get limit(){return this._limit}set limit(e){this._limit=e,this.checkTrim()}get(e,n=2){return super.get(e,n)}peek(e){return super.get(e,0)}set(e,n){return super.set(e,n,2),this}checkTrim(){this.size>this._limit&&this.trim(Math.round(this._limit*this._ratio))}}class Fr{constructor(){this.map=new Map}add(e,n){let t=this.map.get(e);t||(t=new Set,this.map.set(e,t)),t.add(n)}delete(e,n){const t=this.map.get(e);t&&(t.delete(n),0===t.size&&this.map.delete(e))}forEach(e,n){const t=this.map.get(e);t&&t.forEach(n)}get(e){const n=this.map.get(e);return n||new Set}}new class extends Or{constructor(e,n=1){super(e,n)}trim(e){this.trimOld(e)}set(e,n){return super.set(e,n),this.checkTrim(),this}}(10);var Wr,zr,Gr;!function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(Wr||(Wr={})),function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=3]="Right"}(zr||(zr={})),function(e){e[e.Both=0]="Both",e[e.Right=1]="Right",e[e.Left=2]="Left",e[e.None=3]="None"}(Gr||(Gr={}));function Br(e,n,t,r,o){return function(e,n,t,r,o){if(0===r)return!0;const i=n.charCodeAt(r-1);if(0!==e.get(i))return!0;if(13===i||10===i)return!0;if(o>0){const t=n.charCodeAt(r);if(0!==e.get(t))return!0}return!1}(e,n,0,r,o)&&function(e,n,t,r,o){if(r+o===t)return!0;const i=n.charCodeAt(r+o);if(0!==e.get(i))return!0;if(13===i||10===i)return!0;if(o>0){const t=n.charCodeAt(r+o-1);if(0!==e.get(t))return!0}return!1}(e,n,t,r,o)}class jr{constructor(e,n){this._wordSeparators=e,this._searchRegex=n,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(e){this._searchRegex.lastIndex=e,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(e){const n=e.length;let t;do{if(this._prevMatchStartIndex+this._prevMatchLength===n)return null;if(t=this._searchRegex.exec(e),!t)return null;const r=t.index,o=t[0].length;if(r===this._prevMatchStartIndex&&o===this._prevMatchLength){if(0===o){be(e,n,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=r,this._prevMatchLength=o,!this._wordSeparators||Br(this._wordSeparators,e,n,r,o))return t}while(t);return null}}function Vr(e,n="Unreachable"){throw new Error(n)}function Ur(e){e()||(e(),t(new l("Assertion Failed")))}function Hr(e,n){let t=0;for(;t<e.length-1;){if(!n(e[t],e[t+1]))return!1;t++}return!0}class Kr{static computeUnicodeHighlights(e,n,t){const r=t?t.startLineNumber:1,o=t?t.endLineNumber:e.getLineCount(),i=new qr(n),a=i.getCandidateCodePoints();let s;s="allNonBasicAscii"===a?new RegExp("[^\\t\\n\\r\\x20-\\x7E]","g"):new RegExp(""+`[${_e(Array.from(a).map((e=>String.fromCodePoint(e))).join(""))}]`,"g");const l=new jr(null,s),c=[];let d,u=!1,p=0,f=0,m=0;e:for(let n=r,t=o;n<=t;n++){const t=e.getLineContent(n),r=t.length;l.reset(0);do{if(d=l.next(t),d){let e=d.index,o=d.index+d[0].length;if(e>0){ge(t.charCodeAt(e-1))&&e--}if(o+1<r){ge(t.charCodeAt(o-1))&&o++}const a=t.substring(e,o);let s=qn(e+1,Un,t,0);s&&s.endColumn<=e+1&&(s=null);const l=i.shouldHighlightNonBasicASCII(a,s?s.word:null);if(0!==l){3===l?p++:2===l?f++:1===l?m++:Vr();const t=1e3;if(c.length>=t){u=!0;break e}c.push(new kn(n,e+1,n,o+1))}}}while(d)}return{ranges:c,hasMore:u,ambiguousCharacterCount:p,invisibleCharacterCount:f,nonBasicAsciiCharacterCount:m}}static computeUnicodeHighlightReason(e,n){const t=new qr(n);switch(t.shouldHighlightNonBasicASCII(e,null)){case 0:return null;case 2:return{kind:1};case 3:{const r=e.codePointAt(0),o=t.ambiguousCharacters.getPrimaryConfusable(r),i=Te.getLocales().filter((e=>!Te.getInstance(new Set([...n.allowedLocales,e])).isAmbiguous(r)));return{kind:0,confusableWith:String.fromCodePoint(o),notAmbiguousInLocales:i}}case 1:return{kind:2}}}}class qr{constructor(e){this.options=e,this.allowedCodePoints=new Set(e.allowedCodePoints),this.ambiguousCharacters=Te.getInstance(new Set(e.allowedLocales))}getCandidateCodePoints(){if(this.options.nonBasicASCII)return"allNonBasicAscii";const e=new Set;if(this.options.invisibleCharacters)for(const n of xe.codePoints)Jr(String.fromCodePoint(n))||e.add(n);if(this.options.ambiguousCharacters)for(const n of this.ambiguousCharacters.getConfusableCodePoints())e.add(n);for(const n of this.allowedCodePoints)e.delete(n);return e}shouldHighlightNonBasicASCII(e,n){const t=e.codePointAt(0);if(this.allowedCodePoints.has(t))return 0;if(this.options.nonBasicASCII)return 1;let r=!1,o=!1;if(n)for(const e of n){const n=e.codePointAt(0),t=(i=e,Ee.test(i));r=r||t,t||this.ambiguousCharacters.isAmbiguous(n)||xe.isInvisibleCharacter(n)||(o=!0)}var i;return!r&&o?0:this.options.invisibleCharacters&&!Jr(e)&&xe.isInvisibleCharacter(t)?2:this.options.ambiguousCharacters&&this.ambiguousCharacters.isAmbiguous(t)?3:0}}function Jr(e){return" "===e||"\n"===e||"\t"===e}class Xr{constructor(e,n,t){this.changes=e,this.moves=n,this.hitTimeout=t}}class Yr{constructor(e,n){this.lineRangeMapping=e,this.changes=n}}class $r{static addRange(e,n){let t=0;for(;t<n.length&&n[t].endExclusive<e.start;)t++;let r=t;for(;r<n.length&&n[r].start<=e.endExclusive;)r++;if(t===r)n.splice(t,0,e);else{const o=Math.min(e.start,n[t].start),i=Math.max(e.endExclusive,n[r-1].endExclusive);n.splice(t,r-t,new $r(o,i))}}static tryCreate(e,n){if(!(e>n))return new $r(e,n)}static ofLength(e){return new $r(0,e)}static ofStartAndLength(e,n){return new $r(e,e+n)}constructor(e,n){if(this.start=e,this.endExclusive=n,e>n)throw new l(`Invalid range: ${this.toString()}`)}get isEmpty(){return this.start===this.endExclusive}delta(e){return new $r(this.start+e,this.endExclusive+e)}deltaStart(e){return new $r(this.start+e,this.endExclusive)}deltaEnd(e){return new $r(this.start,this.endExclusive+e)}get length(){return this.endExclusive-this.start}toString(){return`[${this.start}, ${this.endExclusive})`}contains(e){return this.start<=e&&e<this.endExclusive}join(e){return new $r(Math.min(this.start,e.start),Math.max(this.endExclusive,e.endExclusive))}intersect(e){const n=Math.max(this.start,e.start),t=Math.min(this.endExclusive,e.endExclusive);if(n<=t)return new $r(n,t)}intersects(e){return Math.max(this.start,e.start)<Math.min(this.endExclusive,e.endExclusive)}isBefore(e){return this.endExclusive<=e.start}isAfter(e){return this.start>=e.endExclusive}slice(e){return e.slice(this.start,this.endExclusive)}substring(e){return e.substring(this.start,this.endExclusive)}clip(e){if(this.isEmpty)throw new l(`Invalid clipping range: ${this.toString()}`);return Math.max(this.start,Math.min(this.endExclusive-1,e))}clipCyclic(e){if(this.isEmpty)throw new l(`Invalid clipping range: ${this.toString()}`);return e<this.start?this.endExclusive-(this.start-e)%this.length:e>=this.endExclusive?this.start+(e-this.start)%this.length:e}forEach(e){for(let n=this.start;n<this.endExclusive;n++)e(n)}}function Qr(e,n){const t=Zr(e,n);return-1===t?void 0:e[t]}function Zr(e,n,t=0,r=e.length){let o=t,i=r;for(;o<i;){const t=Math.floor((o+i)/2);n(e[t])?o=t+1:i=t}return o-1}function eo(e,n,t=0,r=e.length){let o=t,i=r;for(;o<i;){const t=Math.floor((o+i)/2);n(e[t])?i=t:o=t+1}return o}class no{constructor(e){this._array=e,this._findLastMonotonousLastIdx=0}findLastMonotonous(e){if(no.assertInvariants){if(this._prevFindLastPredicate)for(const n of this._array)if(this._prevFindLastPredicate(n)&&!e(n))throw new Error("MonotonousArray: current predicate must be weaker than (or equal to) the previous predicate.");this._prevFindLastPredicate=e}const n=Zr(this._array,e,this._findLastMonotonousLastIdx);return this._findLastMonotonousLastIdx=n+1,-1===n?void 0:this._array[n]}}no.assertInvariants=!1;class to{static fromRangeInclusive(e){return new to(e.startLineNumber,e.endLineNumber+1)}static joinMany(e){if(0===e.length)return[];let n=new ro(e[0].slice());for(let t=1;t<e.length;t++)n=n.getUnion(new ro(e[t].slice()));return n.ranges}static join(e){if(0===e.length)throw new l("lineRanges cannot be empty");let n=e[0].startLineNumber,t=e[0].endLineNumberExclusive;for(let r=1;r<e.length;r++)n=Math.min(n,e[r].startLineNumber),t=Math.max(t,e[r].endLineNumberExclusive);return new to(n,t)}static ofLength(e,n){return new to(e,e+n)}static deserialize(e){return new to(e[0],e[1])}constructor(e,n){if(e>n)throw new l(`startLineNumber ${e} cannot be after endLineNumberExclusive ${n}`);this.startLineNumber=e,this.endLineNumberExclusive=n}contains(e){return this.startLineNumber<=e&&e<this.endLineNumberExclusive}get isEmpty(){return this.startLineNumber===this.endLineNumberExclusive}delta(e){return new to(this.startLineNumber+e,this.endLineNumberExclusive+e)}deltaLength(e){return new to(this.startLineNumber,this.endLineNumberExclusive+e)}get length(){return this.endLineNumberExclusive-this.startLineNumber}join(e){return new to(Math.min(this.startLineNumber,e.startLineNumber),Math.max(this.endLineNumberExclusive,e.endLineNumberExclusive))}toString(){return`[${this.startLineNumber},${this.endLineNumberExclusive})`}intersect(e){const n=Math.max(this.startLineNumber,e.startLineNumber),t=Math.min(this.endLineNumberExclusive,e.endLineNumberExclusive);if(n<=t)return new to(n,t)}intersectsStrict(e){return this.startLineNumber<e.endLineNumberExclusive&&e.startLineNumber<this.endLineNumberExclusive}overlapOrTouch(e){return this.startLineNumber<=e.endLineNumberExclusive&&e.startLineNumber<=this.endLineNumberExclusive}equals(e){return this.startLineNumber===e.startLineNumber&&this.endLineNumberExclusive===e.endLineNumberExclusive}toInclusiveRange(){return this.isEmpty?null:new kn(this.startLineNumber,1,this.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER)}toExclusiveRange(){return new kn(this.startLineNumber,1,this.endLineNumberExclusive,1)}mapToLineArray(e){const n=[];for(let t=this.startLineNumber;t<this.endLineNumberExclusive;t++)n.push(e(t));return n}forEach(e){for(let n=this.startLineNumber;n<this.endLineNumberExclusive;n++)e(n)}serialize(){return[this.startLineNumber,this.endLineNumberExclusive]}includes(e){return this.startLineNumber<=e&&e<this.endLineNumberExclusive}toOffsetRange(){return new $r(this.startLineNumber-1,this.endLineNumberExclusive-1)}}class ro{constructor(e=[]){this._normalizedRanges=e}get ranges(){return this._normalizedRanges}addRange(e){if(0===e.length)return;const n=eo(this._normalizedRanges,(n=>n.endLineNumberExclusive>=e.startLineNumber)),t=Zr(this._normalizedRanges,(n=>n.startLineNumber<=e.endLineNumberExclusive))+1;if(n===t)this._normalizedRanges.splice(n,0,e);else if(n===t-1){const t=this._normalizedRanges[n];this._normalizedRanges[n]=t.join(e)}else{const r=this._normalizedRanges[n].join(this._normalizedRanges[t-1]).join(e);this._normalizedRanges.splice(n,t-n,r)}}contains(e){const n=Qr(this._normalizedRanges,(n=>n.startLineNumber<=e));return!!n&&n.endLineNumberExclusive>e}intersects(e){const n=Qr(this._normalizedRanges,(n=>n.startLineNumber<e.endLineNumberExclusive));return!!n&&n.endLineNumberExclusive>e.startLineNumber}getUnion(e){if(0===this._normalizedRanges.length)return e;if(0===e._normalizedRanges.length)return this;const n=[];let t=0,r=0,o=null;for(;t<this._normalizedRanges.length||r<e._normalizedRanges.length;){let i=null;if(t<this._normalizedRanges.length&&r<e._normalizedRanges.length){const n=this._normalizedRanges[t],o=e._normalizedRanges[r];n.startLineNumber<o.startLineNumber?(i=n,t++):(i=o,r++)}else t<this._normalizedRanges.length?(i=this._normalizedRanges[t],t++):(i=e._normalizedRanges[r],r++);null===o?o=i:o.endLineNumberExclusive>=i.startLineNumber?o=new to(o.startLineNumber,Math.max(o.endLineNumberExclusive,i.endLineNumberExclusive)):(n.push(o),o=i)}return null!==o&&n.push(o),new ro(n)}subtractFrom(e){const n=eo(this._normalizedRanges,(n=>n.endLineNumberExclusive>=e.startLineNumber)),t=Zr(this._normalizedRanges,(n=>n.startLineNumber<=e.endLineNumberExclusive))+1;if(n===t)return new ro([e]);const r=[];let o=e.startLineNumber;for(let e=n;e<t;e++){const n=this._normalizedRanges[e];n.startLineNumber>o&&r.push(new to(o,n.startLineNumber)),o=n.endLineNumberExclusive}return o<e.endLineNumberExclusive&&r.push(new to(o,e.endLineNumberExclusive)),new ro(r)}toString(){return this._normalizedRanges.map((e=>e.toString())).join(", ")}getIntersection(e){const n=[];let t=0,r=0;for(;t<this._normalizedRanges.length&&r<e._normalizedRanges.length;){const o=this._normalizedRanges[t],i=e._normalizedRanges[r],a=o.intersect(i);a&&!a.isEmpty&&n.push(a),o.endLineNumberExclusive<i.endLineNumberExclusive?t++:r++}return new ro(n)}getWithDelta(e){return new ro(this._normalizedRanges.map((n=>n.delta(e))))}}class oo{static betweenPositions(e,n){return e.lineNumber===n.lineNumber?new oo(0,n.column-e.column):new oo(n.lineNumber-e.lineNumber,n.column-1)}static ofRange(e){return oo.betweenPositions(e.getStartPosition(),e.getEndPosition())}static ofText(e){let n=0,t=0;for(const r of e)"\n"===r?(n++,t=0):t++;return new oo(n,t)}constructor(e,n){this.lineCount=e,this.columnCount=n}isGreaterThanOrEqualTo(e){return this.lineCount!==e.lineCount?this.lineCount>e.lineCount:this.columnCount>=e.columnCount}createRange(e){return 0===this.lineCount?new kn(e.lineNumber,e.column,e.lineNumber,e.column+this.columnCount):new kn(e.lineNumber,e.column,e.lineNumber+this.lineCount,this.columnCount+1)}addToPosition(e){return 0===this.lineCount?new Ln(e.lineNumber,e.column+this.columnCount):new Ln(e.lineNumber+this.lineCount,this.columnCount+1)}toString(){return`${this.lineCount},${this.columnCount}`}}oo.zero=new oo(0,0);class io{constructor(e,n){this.range=e,this.text=n}}class ao{static inverse(e,n,t){const r=[];let o=1,i=1;for(const n of e){const e=new ao(new to(o,n.original.startLineNumber),new to(i,n.modified.startLineNumber));e.modified.isEmpty||r.push(e),o=n.original.endLineNumberExclusive,i=n.modified.endLineNumberExclusive}const a=new ao(new to(o,n+1),new to(i,t+1));return a.modified.isEmpty||r.push(a),r}static clip(e,n,t){const r=[];for(const o of e){const e=o.original.intersect(n),i=o.modified.intersect(t);e&&!e.isEmpty&&i&&!i.isEmpty&&r.push(new ao(e,i))}return r}constructor(e,n){this.original=e,this.modified=n}toString(){return`{${this.original.toString()}->${this.modified.toString()}}`}flip(){return new ao(this.modified,this.original)}join(e){return new ao(this.original.join(e.original),this.modified.join(e.modified))}toRangeMapping(){const e=this.original.toInclusiveRange(),n=this.modified.toInclusiveRange();if(e&&n)return new lo(e,n);if(1===this.original.startLineNumber||1===this.modified.startLineNumber){if(1!==this.modified.startLineNumber||1!==this.original.startLineNumber)throw new l("not a valid diff");return new lo(new kn(this.original.startLineNumber,1,this.original.endLineNumberExclusive,1),new kn(this.modified.startLineNumber,1,this.modified.endLineNumberExclusive,1))}return new lo(new kn(this.original.startLineNumber-1,Number.MAX_SAFE_INTEGER,this.original.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER),new kn(this.modified.startLineNumber-1,Number.MAX_SAFE_INTEGER,this.modified.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER))}}class so extends ao{static fromRangeMappings(e){const n=to.join(e.map((e=>to.fromRangeInclusive(e.originalRange)))),t=to.join(e.map((e=>to.fromRangeInclusive(e.modifiedRange))));return new so(n,t,e)}constructor(e,n,t){super(e,n),this.innerChanges=t}flip(){var e;return new so(this.modified,this.original,null===(e=this.innerChanges)||void 0===e?void 0:e.map((e=>e.flip())))}withInnerChangesFromLineRanges(){return new so(this.original,this.modified,[this.toRangeMapping()])}}class lo{constructor(e,n){this.originalRange=e,this.modifiedRange=n}toString(){return`{${this.originalRange.toString()}->${this.modifiedRange.toString()}}`}flip(){return new lo(this.modifiedRange,this.originalRange)}toTextEdit(e){const n=e.getValueOfRange(this.modifiedRange);return new io(this.originalRange,n)}}class co{computeDiff(e,n,t){var r;const o=new ho(e,n,{maxComputationTime:t.maxComputationTimeMs,shouldIgnoreTrimWhitespace:t.ignoreTrimWhitespace,shouldComputeCharChanges:!0,shouldMakePrettyDiff:!0,shouldPostProcessCharChanges:!0}).computeDiff(),i=[];let a=null;for(const e of o.changes){let n,t;n=0===e.originalEndLineNumber?new to(e.originalStartLineNumber+1,e.originalStartLineNumber+1):new to(e.originalStartLineNumber,e.originalEndLineNumber+1),t=0===e.modifiedEndLineNumber?new to(e.modifiedStartLineNumber+1,e.modifiedStartLineNumber+1):new to(e.modifiedStartLineNumber,e.modifiedEndLineNumber+1);let o=new so(n,t,null===(r=e.charChanges)||void 0===r?void 0:r.map((e=>new lo(new kn(e.originalStartLineNumber,e.originalStartColumn,e.originalEndLineNumber,e.originalEndColumn),new kn(e.modifiedStartLineNumber,e.modifiedStartColumn,e.modifiedEndLineNumber,e.modifiedEndColumn)))));a&&(a.modified.endLineNumberExclusive!==o.modified.startLineNumber&&a.original.endLineNumberExclusive!==o.original.startLineNumber||(o=new so(a.original.join(o.original),a.modified.join(o.modified),a.innerChanges&&o.innerChanges?a.innerChanges.concat(o.innerChanges):void 0),i.pop())),i.push(o),a=o}return Ur((()=>Hr(i,((e,n)=>n.original.startLineNumber-e.original.endLineNumberExclusive==n.modified.startLineNumber-e.modified.endLineNumberExclusive&&e.original.endLineNumberExclusive<n.original.startLineNumber&&e.modified.endLineNumberExclusive<n.modified.startLineNumber)))),new Xr(i,[],o.quitEarly)}}function uo(e,n,t,r){return new Xe(e,n,t).ComputeDiff(r)}class po{constructor(e){const n=[],t=[];for(let r=0,o=e.length;r<o;r++)n[r]=go(e[r],1),t[r]=yo(e[r],1);this.lines=e,this._startColumns=n,this._endColumns=t}getElements(){const e=[];for(let n=0,t=this.lines.length;n<t;n++)e[n]=this.lines[n].substring(this._startColumns[n]-1,this._endColumns[n]-1);return e}getStrictElement(e){return this.lines[e]}getStartLineNumber(e){return e+1}getEndLineNumber(e){return e+1}createCharSequence(e,n,t){const r=[],o=[],i=[];let a=0;for(let s=n;s<=t;s++){const n=this.lines[s],l=e?this._startColumns[s]:1,c=e?this._endColumns[s]:n.length+1;for(let e=l;e<c;e++)r[a]=n.charCodeAt(e-1),o[a]=s+1,i[a]=e,a++;!e&&s<t&&(r[a]=10,o[a]=s+1,i[a]=n.length+1,a++)}return new fo(r,o,i)}}class fo{constructor(e,n,t){this._charCodes=e,this._lineNumbers=n,this._columns=t}toString(){return"["+this._charCodes.map(((e,n)=>(10===e?"\\n":String.fromCharCode(e))+`-(${this._lineNumbers[n]},${this._columns[n]})`)).join(", ")+"]"}_assertIndex(e,n){if(e<0||e>=n.length)throw new Error("Illegal index")}getElements(){return this._charCodes}getStartLineNumber(e){return e>0&&e===this._lineNumbers.length?this.getEndLineNumber(e-1):(this._assertIndex(e,this._lineNumbers),this._lineNumbers[e])}getEndLineNumber(e){return-1===e?this.getStartLineNumber(e+1):(this._assertIndex(e,this._lineNumbers),10===this._charCodes[e]?this._lineNumbers[e]+1:this._lineNumbers[e])}getStartColumn(e){return e>0&&e===this._columns.length?this.getEndColumn(e-1):(this._assertIndex(e,this._columns),this._columns[e])}getEndColumn(e){return-1===e?this.getStartColumn(e+1):(this._assertIndex(e,this._columns),10===this._charCodes[e]?1:this._columns[e]+1)}}class mo{constructor(e,n,t,r,o,i,a,s){this.originalStartLineNumber=e,this.originalStartColumn=n,this.originalEndLineNumber=t,this.originalEndColumn=r,this.modifiedStartLineNumber=o,this.modifiedStartColumn=i,this.modifiedEndLineNumber=a,this.modifiedEndColumn=s}static createFromDiffChange(e,n,t){const r=n.getStartLineNumber(e.originalStart),o=n.getStartColumn(e.originalStart),i=n.getEndLineNumber(e.originalStart+e.originalLength-1),a=n.getEndColumn(e.originalStart+e.originalLength-1),s=t.getStartLineNumber(e.modifiedStart),l=t.getStartColumn(e.modifiedStart),c=t.getEndLineNumber(e.modifiedStart+e.modifiedLength-1),d=t.getEndColumn(e.modifiedStart+e.modifiedLength-1);return new mo(r,o,i,a,s,l,c,d)}}class _o{constructor(e,n,t,r,o){this.originalStartLineNumber=e,this.originalEndLineNumber=n,this.modifiedStartLineNumber=t,this.modifiedEndLineNumber=r,this.charChanges=o}static createFromDiffResult(e,n,t,r,o,i,a){let s,l,c,d,u;if(0===n.originalLength?(s=t.getStartLineNumber(n.originalStart)-1,l=0):(s=t.getStartLineNumber(n.originalStart),l=t.getEndLineNumber(n.originalStart+n.originalLength-1)),0===n.modifiedLength?(c=r.getStartLineNumber(n.modifiedStart)-1,d=0):(c=r.getStartLineNumber(n.modifiedStart),d=r.getEndLineNumber(n.modifiedStart+n.modifiedLength-1)),i&&n.originalLength>0&&n.originalLength<20&&n.modifiedLength>0&&n.modifiedLength<20&&o()){const i=t.createCharSequence(e,n.originalStart,n.originalStart+n.originalLength-1),s=r.createCharSequence(e,n.modifiedStart,n.modifiedStart+n.modifiedLength-1);if(i.getElements().length>0&&s.getElements().length>0){let e=uo(i,s,o,!0).changes;a&&(e=function(e){if(e.length<=1)return e;const n=[e[0]];let t=n[0];for(let r=1,o=e.length;r<o;r++){const o=e[r],i=o.originalStart-(t.originalStart+t.originalLength),a=o.modifiedStart-(t.modifiedStart+t.modifiedLength);Math.min(i,a)<3?(t.originalLength=o.originalStart+o.originalLength-t.originalStart,t.modifiedLength=o.modifiedStart+o.modifiedLength-t.modifiedStart):(n.push(o),t=o)}return n}(e)),u=[];for(let n=0,t=e.length;n<t;n++)u.push(mo.createFromDiffChange(e[n],i,s))}}return new _o(s,l,c,d,u)}}class ho{constructor(e,n,t){this.shouldComputeCharChanges=t.shouldComputeCharChanges,this.shouldPostProcessCharChanges=t.shouldPostProcessCharChanges,this.shouldIgnoreTrimWhitespace=t.shouldIgnoreTrimWhitespace,this.shouldMakePrettyDiff=t.shouldMakePrettyDiff,this.originalLines=e,this.modifiedLines=n,this.original=new po(e),this.modified=new po(n),this.continueLineDiff=vo(t.maxComputationTime),this.continueCharDiff=vo(0===t.maxComputationTime?0:Math.min(t.maxComputationTime,5e3))}computeDiff(){if(1===this.original.lines.length&&0===this.original.lines[0].length)return 1===this.modified.lines.length&&0===this.modified.lines[0].length?{quitEarly:!1,changes:[]}:{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.modified.lines.length,charChanges:void 0}]};if(1===this.modified.lines.length&&0===this.modified.lines[0].length)return{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:this.original.lines.length,modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:void 0}]};const e=uo(this.original,this.modified,this.continueLineDiff,this.shouldMakePrettyDiff),n=e.changes,t=e.quitEarly;if(this.shouldIgnoreTrimWhitespace){const e=[];for(let t=0,r=n.length;t<r;t++)e.push(_o.createFromDiffResult(this.shouldIgnoreTrimWhitespace,n[t],this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges));return{quitEarly:t,changes:e}}const r=[];let o=0,i=0;for(let e=-1,t=n.length;e<t;e++){const a=e+1<t?n[e+1]:null,s=a?a.originalStart:this.originalLines.length,l=a?a.modifiedStart:this.modifiedLines.length;for(;o<s&&i<l;){const e=this.originalLines[o],n=this.modifiedLines[i];if(e!==n){{let t=go(e,1),a=go(n,1);for(;t>1&&a>1;){if(e.charCodeAt(t-2)!==n.charCodeAt(a-2))break;t--,a--}(t>1||a>1)&&this._pushTrimWhitespaceCharChange(r,o+1,1,t,i+1,1,a)}{let t=yo(e,1),a=yo(n,1);const s=e.length+1,l=n.length+1;for(;t<s&&a<l;){if(e.charCodeAt(t-1)!==e.charCodeAt(a-1))break;t++,a++}(t<s||a<l)&&this._pushTrimWhitespaceCharChange(r,o+1,t,s,i+1,a,l)}}o++,i++}a&&(r.push(_o.createFromDiffResult(this.shouldIgnoreTrimWhitespace,a,this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges)),o+=a.originalLength,i+=a.modifiedLength)}return{quitEarly:t,changes:r}}_pushTrimWhitespaceCharChange(e,n,t,r,o,i,a){if(this._mergeTrimWhitespaceCharChange(e,n,t,r,o,i,a))return;let s;this.shouldComputeCharChanges&&(s=[new mo(n,t,n,r,o,i,o,a)]),e.push(new _o(n,n,o,o,s))}_mergeTrimWhitespaceCharChange(e,n,t,r,o,i,a){const s=e.length;if(0===s)return!1;const l=e[s-1];return 0!==l.originalEndLineNumber&&0!==l.modifiedEndLineNumber&&(l.originalEndLineNumber===n&&l.modifiedEndLineNumber===o?(this.shouldComputeCharChanges&&l.charChanges&&l.charChanges.push(new mo(n,t,n,r,o,i,o,a)),!0):l.originalEndLineNumber+1===n&&l.modifiedEndLineNumber+1===o&&(l.originalEndLineNumber=n,l.modifiedEndLineNumber=o,this.shouldComputeCharChanges&&l.charChanges&&l.charChanges.push(new mo(n,t,n,r,o,i,o,a)),!0))}}function go(e,n){const t=function(e){for(let n=0,t=e.length;n<t;n++){const t=e.charCodeAt(n);if(32!==t&&9!==t)return n}return-1}(e);return-1===t?n:t+1}function yo(e,n){const t=function(e,n=e.length-1){for(let t=n;t>=0;t--){const n=e.charCodeAt(t);if(32!==n&&9!==n)return t}return-1}(e);return-1===t?n:t+2}function vo(e){if(0===e)return()=>!0;const n=Date.now();return()=>Date.now()-n<e}class bo{static trivial(e,n){return new bo([new Eo($r.ofLength(e.length),$r.ofLength(n.length))],!1)}static trivialTimedOut(e,n){return new bo([new Eo($r.ofLength(e.length),$r.ofLength(n.length))],!0)}constructor(e,n){this.diffs=e,this.hitTimeout=n}}class Eo{static invert(e,n){const t=[];return function(e,n){for(let t=0;t<=e.length;t++)n(0===t?void 0:e[t-1],t===e.length?void 0:e[t])}(e,((e,r)=>{t.push(Eo.fromOffsetPairs(e?e.getEndExclusives():So.zero,r?r.getStarts():new So(n,(e?e.seq2Range.endExclusive-e.seq1Range.endExclusive:0)+n)))})),t}static fromOffsetPairs(e,n){return new Eo(new $r(e.offset1,n.offset1),new $r(e.offset2,n.offset2))}constructor(e,n){this.seq1Range=e,this.seq2Range=n}swap(){return new Eo(this.seq2Range,this.seq1Range)}toString(){return`${this.seq1Range} <-> ${this.seq2Range}`}join(e){return new Eo(this.seq1Range.join(e.seq1Range),this.seq2Range.join(e.seq2Range))}delta(e){return 0===e?this:new Eo(this.seq1Range.delta(e),this.seq2Range.delta(e))}deltaStart(e){return 0===e?this:new Eo(this.seq1Range.deltaStart(e),this.seq2Range.deltaStart(e))}deltaEnd(e){return 0===e?this:new Eo(this.seq1Range.deltaEnd(e),this.seq2Range.deltaEnd(e))}intersect(e){const n=this.seq1Range.intersect(e.seq1Range),t=this.seq2Range.intersect(e.seq2Range);if(n&&t)return new Eo(n,t)}getStarts(){return new So(this.seq1Range.start,this.seq2Range.start)}getEndExclusives(){return new So(this.seq1Range.endExclusive,this.seq2Range.endExclusive)}}class So{constructor(e,n){this.offset1=e,this.offset2=n}toString(){return`${this.offset1} <-> ${this.offset2}`}delta(e){return 0===e?this:new So(this.offset1+e,this.offset2+e)}equals(e){return this.offset1===e.offset1&&this.offset2===e.offset2}}So.zero=new So(0,0),So.max=new So(Number.MAX_SAFE_INTEGER,Number.MAX_SAFE_INTEGER);class To{isValid(){return!0}}To.instance=new To;class xo{constructor(e){if(this.timeout=e,this.startTime=Date.now(),this.valid=!0,e<=0)throw new l("timeout must be positive")}isValid(){return!(Date.now()-this.startTime<this.timeout)&&this.valid&&(this.valid=!1),this.valid}}class Ao{constructor(e,n){this.width=e,this.height=n,this.array=[],this.array=new Array(e*n)}get(e,n){return this.array[e+n*this.width]}set(e,n,t){this.array[e+n*this.width]=t}}function Ro(e){return 32===e||9===e}class Io{static getKey(e){let n=this.chrKeys.get(e);return void 0===n&&(n=this.chrKeys.size,this.chrKeys.set(e,n)),n}constructor(e,n,t){this.range=e,this.lines=n,this.source=t,this.histogram=[];let r=0;for(let t=e.startLineNumber-1;t<e.endLineNumberExclusive-1;t++){const e=n[t];for(let n=0;n<e.length;n++){r++;const t=e[n],o=Io.getKey(t);this.histogram[o]=(this.histogram[o]||0)+1}r++;const o=Io.getKey("\n");this.histogram[o]=(this.histogram[o]||0)+1}this.totalCount=r}computeSimilarity(e){var n,t;let r=0;const o=Math.max(this.histogram.length,e.histogram.length);for(let i=0;i<o;i++)r+=Math.abs((null!==(n=this.histogram[i])&&void 0!==n?n:0)-(null!==(t=e.histogram[i])&&void 0!==t?t:0));return 1-r/(this.totalCount+e.totalCount)}}Io.chrKeys=new Map;class No{compute(e,n,t=To.instance,r){if(0===e.length||0===n.length)return bo.trivial(e,n);const o=new Ao(e.length,n.length),i=new Ao(e.length,n.length),a=new Ao(e.length,n.length);for(let s=0;s<e.length;s++)for(let l=0;l<n.length;l++){if(!t.isValid())return bo.trivialTimedOut(e,n);const c=0===s?0:o.get(s-1,l),d=0===l?0:o.get(s,l-1);let u;e.getElement(s)===n.getElement(l)?(u=0===s||0===l?0:o.get(s-1,l-1),s>0&&l>0&&3===i.get(s-1,l-1)&&(u+=a.get(s-1,l-1)),u+=r?r(s,l):1):u=-1;const p=Math.max(c,d,u);if(p===u){const e=s>0&&l>0?a.get(s-1,l-1):0;a.set(s,l,e+1),i.set(s,l,3)}else p===c?(a.set(s,l,0),i.set(s,l,1)):p===d&&(a.set(s,l,0),i.set(s,l,2));o.set(s,l,p)}const s=[];let l=e.length,c=n.length;function d(e,n){e+1===l&&n+1===c||s.push(new Eo(new $r(e+1,l),new $r(n+1,c))),l=e,c=n}let u=e.length-1,p=n.length-1;for(;u>=0&&p>=0;)3===i.get(u,p)?(d(u,p),u--,p--):1===i.get(u,p)?u--:p--;return d(-1,-1),s.reverse(),new bo(s,!1)}}class Do{compute(e,n,t=To.instance){if(0===e.length||0===n.length)return bo.trivial(e,n);const r=e,o=n;function i(e,n){for(;e<r.length&&n<o.length&&r.getElement(e)===o.getElement(n);)e++,n++;return e}let a=0;const s=new Mo;s.set(0,i(0,0));const l=new Po;l.set(0,0===s.get(0)?null:new Co(null,0,0,s.get(0)));let c=0;e:for(;;){if(a++,!t.isValid())return bo.trivialTimedOut(r,o);const e=-Math.min(a,o.length+a%2),n=Math.min(a,r.length+a%2);for(c=e;c<=n;c+=2){let t=0;const a=c===n?-1:s.get(c+1),d=c===e?-1:s.get(c-1)+1;t++;const u=Math.min(Math.max(a,d),r.length),p=u-c;if(t++,u>r.length||p>o.length)continue;const f=i(u,p);s.set(c,f);const m=u===a?l.get(c+1):l.get(c-1);if(l.set(c,f!==u?new Co(m,u,p,f-u):m),s.get(c)===r.length&&s.get(c)-c===o.length)break e}}let d=l.get(c);const u=[];let p=r.length,f=o.length;for(;;){const e=d?d.x+d.length:0,n=d?d.y+d.length:0;if(e===p&&n===f||u.push(new Eo(new $r(e,p),new $r(n,f))),!d)break;p=d.x,f=d.y,d=d.prev}return u.reverse(),new bo(u,!1)}}class Co{constructor(e,n,t,r){this.prev=e,this.x=n,this.y=t,this.length=r}}class Mo{constructor(){this.positiveArr=new Int32Array(10),this.negativeArr=new Int32Array(10)}get(e){return e<0?(e=-e-1,this.negativeArr[e]):this.positiveArr[e]}set(e,n){if(e<0){if((e=-e-1)>=this.negativeArr.length){const e=this.negativeArr;this.negativeArr=new Int32Array(2*e.length),this.negativeArr.set(e)}this.negativeArr[e]=n}else{if(e>=this.positiveArr.length){const e=this.positiveArr;this.positiveArr=new Int32Array(2*e.length),this.positiveArr.set(e)}this.positiveArr[e]=n}}}class Po{constructor(){this.positiveArr=[],this.negativeArr=[]}get(e){return e<0?(e=-e-1,this.negativeArr[e]):this.positiveArr[e]}set(e,n){e<0?(e=-e-1,this.negativeArr[e]=n):this.positiveArr[e]=n}}class Lo{constructor(e,n,t){this.lines=e,this.considerWhitespaceChanges=t,this.elements=[],this.firstCharOffsetByLine=[],this.additionalOffsetByLine=[];let r=!1;n.start>0&&n.endExclusive>=e.length&&(n=new $r(n.start-1,n.endExclusive),r=!0),this.lineRange=n,this.firstCharOffsetByLine[0]=0;for(let n=this.lineRange.start;n<this.lineRange.endExclusive;n++){let o=e[n],i=0;if(r)i=o.length,o="",r=!1;else if(!t){const e=o.trimStart();i=o.length-e.length,o=e.trimEnd()}this.additionalOffsetByLine.push(i);for(let e=0;e<o.length;e++)this.elements.push(o.charCodeAt(e));n<e.length-1&&(this.elements.push("\n".charCodeAt(0)),this.firstCharOffsetByLine[n-this.lineRange.start+1]=this.elements.length)}this.additionalOffsetByLine.push(0)}toString(){return`Slice: "${this.text}"`}get text(){return this.getText(new $r(0,this.length))}getText(e){return this.elements.slice(e.start,e.endExclusive).map((e=>String.fromCharCode(e))).join("")}getElement(e){return this.elements[e]}get length(){return this.elements.length}getBoundaryScore(e){const n=Fo(e>0?this.elements[e-1]:-1),t=Fo(e<this.elements.length?this.elements[e]:-1);if(7===n&&8===t)return 0;if(8===n)return 150;let r=0;return n!==t&&(r+=10,0===n&&1===t&&(r+=1)),r+=Oo(n),r+=Oo(t),r}translateOffset(e){if(this.lineRange.isEmpty)return new Ln(this.lineRange.start+1,1);const n=Zr(this.firstCharOffsetByLine,(n=>n<=e));return new Ln(this.lineRange.start+n+1,e-this.firstCharOffsetByLine[n]+this.additionalOffsetByLine[n]+1)}translateRange(e){return kn.fromPositions(this.translateOffset(e.start),this.translateOffset(e.endExclusive))}findWordContaining(e){if(e<0||e>=this.elements.length)return;if(!ko(this.elements[e]))return;let n=e;for(;n>0&&ko(this.elements[n-1]);)n--;let t=e;for(;t<this.elements.length&&ko(this.elements[t]);)t++;return new $r(n,t)}countLinesIn(e){return this.translateOffset(e.endExclusive).lineNumber-this.translateOffset(e.start).lineNumber}isStronglyEqual(e,n){return this.elements[e]===this.elements[n]}extendToFullLines(e){var n,t;const r=null!==(n=Qr(this.firstCharOffsetByLine,(n=>n<=e.start)))&&void 0!==n?n:0,o=null!==(t=function(e,n){const t=eo(e,n);return t===e.length?void 0:e[t]}(this.firstCharOffsetByLine,(n=>e.endExclusive<=n)))&&void 0!==t?t:this.elements.length;return new $r(r,o)}}function ko(e){return e>=97&&e<=122||e>=65&&e<=90||e>=48&&e<=57}const wo={0:0,1:0,2:0,3:10,4:2,5:30,6:3,7:10,8:10};function Oo(e){return wo[e]}function Fo(e){return 10===e?8:13===e?7:Ro(e)?6:e>=97&&e<=122?0:e>=65&&e<=90?1:e>=48&&e<=57?2:-1===e?3:44===e||59===e?5:4}function Wo(e,n,t,r,o,i){let{moves:a,excludedChanges:s}=function(e,n,t,r){const o=[],i=e.filter((e=>e.modified.isEmpty&&e.original.length>=3)).map((e=>new Io(e.original,n,e))),a=new Set(e.filter((e=>e.original.isEmpty&&e.modified.length>=3)).map((e=>new Io(e.modified,t,e)))),s=new Set;for(const e of i){let n,t=-1;for(const r of a){const o=e.computeSimilarity(r);o>t&&(t=o,n=r)}if(t>.9&&n&&(a.delete(n),o.push(new ao(e.range,n.range)),s.add(e.source),s.add(n.source)),!r.isValid())return{moves:o,excludedChanges:s}}return{moves:o,excludedChanges:s}}(e,n,t,i);if(!i.isValid())return[];const l=function(e,n,t,r,o,i){const a=[],s=new Fr;for(const t of e)for(let e=t.original.startLineNumber;e<t.original.endLineNumberExclusive-2;e++){const t=`${n[e-1]}:${n[e+1-1]}:${n[e+2-1]}`;s.add(t,{range:new to(e,e+3)})}const l=[];e.sort(On((e=>e.modified.startLineNumber),Fn));for(const n of e){let e=[];for(let r=n.modified.startLineNumber;r<n.modified.endLineNumberExclusive-2;r++){const n=`${t[r-1]}:${t[r+1-1]}:${t[r+2-1]}`,o=new to(r,r+3),i=[];s.forEach(n,(({range:n})=>{for(const t of e)if(t.originalLineRange.endLineNumberExclusive+1===n.endLineNumberExclusive&&t.modifiedLineRange.endLineNumberExclusive+1===o.endLineNumberExclusive)return t.originalLineRange=new to(t.originalLineRange.startLineNumber,n.endLineNumberExclusive),t.modifiedLineRange=new to(t.modifiedLineRange.startLineNumber,o.endLineNumberExclusive),void i.push(t);const t={modifiedLineRange:o,originalLineRange:n};l.push(t),i.push(t)})),e=i}if(!i.isValid())return[]}l.sort((c=On((e=>e.modifiedLineRange.length),Fn),(e,n)=>-c(e,n)));var c;const d=new ro,u=new ro;for(const e of l){const n=e.modifiedLineRange.startLineNumber-e.originalLineRange.startLineNumber,t=d.subtractFrom(e.modifiedLineRange),r=u.subtractFrom(e.originalLineRange).getWithDelta(n),o=t.getIntersection(r);for(const e of o.ranges){if(e.length<3)continue;const t=e,r=e.delta(-n);a.push(new ao(r,t)),d.addRange(t),u.addRange(r)}}a.sort(On((e=>e.original.startLineNumber),Fn));const p=new no(e);for(let n=0;n<a.length;n++){const t=a[n],s=p.findLastMonotonous((e=>e.original.startLineNumber<=t.original.startLineNumber)),l=Qr(e,(e=>e.modified.startLineNumber<=t.modified.startLineNumber)),c=Math.max(t.original.startLineNumber-s.original.startLineNumber,t.modified.startLineNumber-l.modified.startLineNumber),f=p.findLastMonotonous((e=>e.original.startLineNumber<t.original.endLineNumberExclusive)),m=Qr(e,(e=>e.modified.startLineNumber<t.modified.endLineNumberExclusive)),_=Math.max(f.original.endLineNumberExclusive-t.original.endLineNumberExclusive,m.modified.endLineNumberExclusive-t.modified.endLineNumberExclusive);let h,g;for(h=0;h<c;h++){const e=t.original.startLineNumber-h-1,n=t.modified.startLineNumber-h-1;if(e>r.length||n>o.length)break;if(d.contains(n)||u.contains(e))break;if(!zo(r[e-1],o[n-1],i))break}for(h>0&&(u.addRange(new to(t.original.startLineNumber-h,t.original.startLineNumber)),d.addRange(new to(t.modified.startLineNumber-h,t.modified.startLineNumber))),g=0;g<_;g++){const e=t.original.endLineNumberExclusive+g,n=t.modified.endLineNumberExclusive+g;if(e>r.length||n>o.length)break;if(d.contains(n)||u.contains(e))break;if(!zo(r[e-1],o[n-1],i))break}g>0&&(u.addRange(new to(t.original.endLineNumberExclusive,t.original.endLineNumberExclusive+g)),d.addRange(new to(t.modified.endLineNumberExclusive,t.modified.endLineNumberExclusive+g))),(h>0||g>0)&&(a[n]=new ao(new to(t.original.startLineNumber-h,t.original.endLineNumberExclusive+g),new to(t.modified.startLineNumber-h,t.modified.endLineNumberExclusive+g)))}return a}(e.filter((e=>!s.has(e))),r,o,n,t,i);return function(e,n){for(const t of n)e.push(t)}(a,l),a=function(e){if(0===e.length)return e;e.sort(On((e=>e.original.startLineNumber),Fn));const n=[e[0]];for(let t=1;t<e.length;t++){const r=n[n.length-1],o=e[t],i=o.original.startLineNumber-r.original.endLineNumberExclusive,a=o.modified.startLineNumber-r.modified.endLineNumberExclusive;i>=0&&a>=0&&i+a<=2?n[n.length-1]=r.join(o):n.push(o)}return n}(a),a=a.filter((e=>{const t=e.original.toOffsetRange().slice(n).map((e=>e.trim()));return t.join("\n").length>=15&&function(e,n){let t=0;for(const r of e)n(r)&&t++;return t}(t,(e=>e.length>=2))>=2})),a=function(e,n){const t=new no(e);return n=n.filter((n=>(t.findLastMonotonous((e=>e.original.startLineNumber<n.original.endLineNumberExclusive))||new ao(new to(1,1),new to(1,1)))!==Qr(e,(e=>e.modified.startLineNumber<n.modified.endLineNumberExclusive)))),n}(e,a),a}function zo(e,n,t){if(e.trim()===n.trim())return!0;if(e.length>300&&n.length>300)return!1;const r=(new Do).compute(new Lo([e],new $r(0,1),!1),new Lo([n],new $r(0,1),!1),t);let o=0;const i=Eo.invert(r.diffs,e.length);for(const n of i)n.seq1Range.forEach((n=>{Ro(e.charCodeAt(n))||o++}));const a=function(n){let t=0;for(let r=0;r<e.length;r++)Ro(n.charCodeAt(r))||t++;return t}(e.length>n.length?e:n);return o/a>.6&&a>10}function Go(e,n,t){let r=t;return r=Bo(e,n,r),r=Bo(e,n,r),r=function(e,n,t){if(!e.getBoundaryScore||!n.getBoundaryScore)return t;for(let r=0;r<t.length;r++){const o=r>0?t[r-1]:void 0,i=t[r],a=r+1<t.length?t[r+1]:void 0,s=new $r(o?o.seq1Range.endExclusive+1:0,a?a.seq1Range.start-1:e.length),l=new $r(o?o.seq2Range.endExclusive+1:0,a?a.seq2Range.start-1:n.length);i.seq1Range.isEmpty?t[r]=jo(i,e,n,s,l):i.seq2Range.isEmpty&&(t[r]=jo(i.swap(),n,e,l,s).swap())}return t}(e,n,r),r}function Bo(e,n,t){if(0===t.length)return t;const r=[];r.push(t[0]);for(let o=1;o<t.length;o++){const i=r[r.length-1];let a=t[o];if(a.seq1Range.isEmpty||a.seq2Range.isEmpty){const t=a.seq1Range.start-i.seq1Range.endExclusive;let o;for(o=1;o<=t&&(e.getElement(a.seq1Range.start-o)===e.getElement(a.seq1Range.endExclusive-o)&&n.getElement(a.seq2Range.start-o)===n.getElement(a.seq2Range.endExclusive-o));o++);if(o--,o===t){r[r.length-1]=new Eo(new $r(i.seq1Range.start,a.seq1Range.endExclusive-t),new $r(i.seq2Range.start,a.seq2Range.endExclusive-t));continue}a=a.delta(-o)}r.push(a)}const o=[];for(let t=0;t<r.length-1;t++){const i=r[t+1];let a=r[t];if(a.seq1Range.isEmpty||a.seq2Range.isEmpty){const o=i.seq1Range.start-a.seq1Range.endExclusive;let s;for(s=0;s<o&&(e.isStronglyEqual(a.seq1Range.start+s,a.seq1Range.endExclusive+s)&&n.isStronglyEqual(a.seq2Range.start+s,a.seq2Range.endExclusive+s));s++);if(s===o){r[t+1]=new Eo(new $r(a.seq1Range.start+o,i.seq1Range.endExclusive),new $r(a.seq2Range.start+o,i.seq2Range.endExclusive));continue}s>0&&(a=a.delta(s))}o.push(a)}return r.length>0&&o.push(r[r.length-1]),o}function jo(e,n,t,r,o){let i=1;for(;e.seq1Range.start-i>=r.start&&e.seq2Range.start-i>=o.start&&t.isStronglyEqual(e.seq2Range.start-i,e.seq2Range.endExclusive-i)&&i<100;)i++;i--;let a=0;for(;e.seq1Range.start+a<r.endExclusive&&e.seq2Range.endExclusive+a<o.endExclusive&&t.isStronglyEqual(e.seq2Range.start+a,e.seq2Range.endExclusive+a)&&a<100;)a++;if(0===i&&0===a)return e;let s=0,l=-1;for(let r=-i;r<=a;r++){const o=e.seq2Range.start+r,i=e.seq2Range.endExclusive+r,a=e.seq1Range.start+r,c=n.getBoundaryScore(a)+t.getBoundaryScore(o)+t.getBoundaryScore(i);c>l&&(l=c,s=r)}return e.delta(s)}class Vo{constructor(e,n){this.trimmedHash=e,this.lines=n}getElement(e){return this.trimmedHash[e]}get length(){return this.trimmedHash.length}getBoundaryScore(e){return 1e3-((0===e?0:Uo(this.lines[e-1]))+(e===this.lines.length?0:Uo(this.lines[e])))}getText(e){return this.lines.slice(e.start,e.endExclusive).join("\n")}isStronglyEqual(e,n){return this.lines[e]===this.lines[n]}}function Uo(e){let n=0;for(;n<e.length&&(32===e.charCodeAt(n)||9===e.charCodeAt(n));)n++;return n}class Ho{constructor(){this.dynamicProgrammingDiffing=new No,this.myersDiffingAlgorithm=new Do}computeDiff(e,n,t){if(e.length<=1&&function(e,n,t=(e,n)=>e===n){if(e===n)return!0;if(!e||!n)return!1;if(e.length!==n.length)return!1;for(let r=0,o=e.length;r<o;r++)if(!t(e[r],n[r]))return!1;return!0}(e,n,((e,n)=>e===n)))return new Xr([],[],!1);if(1===e.length&&0===e[0].length||1===n.length&&0===n[0].length)return new Xr([new so(new to(1,e.length+1),new to(1,n.length+1),[new lo(new kn(1,1,e.length,e[e.length-1].length+1),new kn(1,1,n.length,n[n.length-1].length+1))])],[],!1);const r=0===t.maxComputationTimeMs?To.instance:new xo(t.maxComputationTimeMs),o=!t.ignoreTrimWhitespace,i=new Map;function a(e){let n=i.get(e);return void 0===n&&(n=i.size,i.set(e,n)),n}const s=e.map((e=>a(e.trim()))),l=n.map((e=>a(e.trim()))),c=new Vo(s,e),d=new Vo(l,n),u=(()=>c.length+d.length<1700?this.dynamicProgrammingDiffing.compute(c,d,r,((t,r)=>e[t]===n[r]?0===n[r].length?.1:1+Math.log(1+n[r].length):.99)):this.myersDiffingAlgorithm.compute(c,d,r))();let p=u.diffs,f=u.hitTimeout;p=Go(c,d,p),p=function(e,n,t){let r=t;if(0===r.length)return r;let o,i=0;do{o=!1;const a=[r[0]];for(let s=1;s<r.length;s++){const l=r[s],c=a[a.length-1];function d(n,t){const r=new $r(c.seq1Range.endExclusive,l.seq1Range.start);return e.getText(r).replace(/\s/g,"").length<=4&&(n.seq1Range.length+n.seq2Range.length>5||t.seq1Range.length+t.seq2Range.length>5)}d(c,l)?(o=!0,a[a.length-1]=a[a.length-1].join(l)):a.push(l)}r=a}while(i++<10&&o);return r}(c,0,p);const m=[],_=t=>{if(o)for(let i=0;i<t;i++){const t=h+i,a=g+i;if(e[t]!==n[a]){const i=this.refineDiff(e,n,new Eo(new $r(t,t+1),new $r(a,a+1)),r,o);for(const e of i.mappings)m.push(e);i.hitTimeout&&(f=!0)}}};let h=0,g=0;for(const t of p){Ur((()=>t.seq1Range.start-h==t.seq2Range.start-g));_(t.seq1Range.start-h),h=t.seq1Range.endExclusive,g=t.seq2Range.endExclusive;const i=this.refineDiff(e,n,t,r,o);i.hitTimeout&&(f=!0);for(const e of i.mappings)m.push(e)}_(e.length-h);const y=Ko(m,e,n);let v=[];return t.computeMoves&&(v=this.computeMoves(y,e,n,s,l,r,o)),Ur((()=>{function t(e,n){if(e.lineNumber<1||e.lineNumber>n.length)return!1;const t=n[e.lineNumber-1];return!(e.column<1||e.column>t.length+1)}function r(e,n){return!(e.startLineNumber<1||e.startLineNumber>n.length+1)&&!(e.endLineNumberExclusive<1||e.endLineNumberExclusive>n.length+1)}for(const o of y){if(!o.innerChanges)return!1;for(const r of o.innerChanges){if(!(t(r.modifiedRange.getStartPosition(),n)&&t(r.modifiedRange.getEndPosition(),n)&&t(r.originalRange.getStartPosition(),e)&&t(r.originalRange.getEndPosition(),e)))return!1}if(!r(o.modified,n)||!r(o.original,e))return!1}return!0})),new Xr(y,v,f)}computeMoves(e,n,t,r,o,i,a){return Wo(e,n,t,r,o,i).map((e=>{const r=Ko(this.refineDiff(n,t,new Eo(e.original.toOffsetRange(),e.modified.toOffsetRange()),i,a).mappings,n,t,!0);return new Yr(e,r)}))}refineDiff(e,n,t,r,o){const i=new Lo(e,t.seq1Range,o),a=new Lo(n,t.seq2Range,o),s=i.length+a.length<500?this.dynamicProgrammingDiffing.compute(i,a,r):this.myersDiffingAlgorithm.compute(i,a,r);let l=s.diffs;l=Go(i,a,l),l=function(e,n,t){const r=Eo.invert(t,e.length),o=[];let i=new So(0,0);function a(t,a){if(t.offset1<i.offset1||t.offset2<i.offset2)return;const s=e.findWordContaining(t.offset1),l=n.findWordContaining(t.offset2);if(!s||!l)return;let c=new Eo(s,l);const d=c.intersect(a);let u=d.seq1Range.length,p=d.seq2Range.length;for(;r.length>0;){const t=r[0];if(!t.seq1Range.intersects(c.seq1Range)&&!t.seq2Range.intersects(c.seq2Range))break;const o=e.findWordContaining(t.seq1Range.start),i=n.findWordContaining(t.seq2Range.start),a=new Eo(o,i),s=a.intersect(t);if(u+=s.seq1Range.length,p+=s.seq2Range.length,c=c.join(a),!(c.seq1Range.endExclusive>=t.seq1Range.endExclusive))break;r.shift()}u+p<2*(c.seq1Range.length+c.seq2Range.length)/3&&o.push(c),i=c.getEndExclusives()}for(;r.length>0;){const e=r.shift();e.seq1Range.isEmpty||(a(e.getStarts(),e),a(e.getEndExclusives().delta(-1),e))}return function(e,n){const t=[];for(;e.length>0||n.length>0;){const r=e[0],o=n[0];let i;i=r&&(!o||r.seq1Range.start<o.seq1Range.start)?e.shift():n.shift(),t.length>0&&t[t.length-1].seq1Range.endExclusive>=i.seq1Range.start?t[t.length-1]=t[t.length-1].join(i):t.push(i)}return t}(t,o)}(i,a,l),l=function(e,n,t){const r=[];for(const e of t){const n=r[r.length-1];n&&(e.seq1Range.start-n.seq1Range.endExclusive<=2||e.seq2Range.start-n.seq2Range.endExclusive<=2)?r[r.length-1]=new Eo(n.seq1Range.join(e.seq1Range),n.seq2Range.join(e.seq2Range)):r.push(e)}return r}(0,0,l),l=function(e,n,t){let r=t;if(0===r.length)return r;let o,i=0;do{o=!1;const s=[r[0]];for(let l=1;l<r.length;l++){const c=r[l],d=s[s.length-1];function u(t,r){const o=new $r(d.seq1Range.endExclusive,c.seq1Range.start);if(e.countLinesIn(o)>5||o.length>500)return!1;const i=e.getText(o).trim();if(i.length>20||i.split(/\r\n|\r|\n/).length>1)return!1;const a=e.countLinesIn(t.seq1Range),s=t.seq1Range.length,l=n.countLinesIn(t.seq2Range),u=t.seq2Range.length,p=e.countLinesIn(r.seq1Range),f=r.seq1Range.length,m=n.countLinesIn(r.seq2Range),_=r.seq2Range.length;function h(e){return Math.min(e,130)}return Math.pow(Math.pow(h(40*a+s),1.5)+Math.pow(h(40*l+u),1.5),1.5)+Math.pow(Math.pow(h(40*p+f),1.5)+Math.pow(h(40*m+_),1.5),1.5)>74184.96480721243}u(d,c)?(o=!0,s[s.length-1]=s[s.length-1].join(c)):s.push(c)}r=s}while(i++<10&&o);const a=[];return function(e,n){for(let t=0;t<e.length;t++)n(0===t?void 0:e[t-1],e[t],t+1===e.length?void 0:e[t+1])}(r,((n,t,r)=>{let o=t;function i(e){return e.length>0&&e.trim().length<=3&&t.seq1Range.length+t.seq2Range.length>100}const s=e.extendToFullLines(t.seq1Range),l=e.getText(new $r(s.start,t.seq1Range.start));i(l)&&(o=o.deltaStart(-l.length));const c=e.getText(new $r(t.seq1Range.endExclusive,s.endExclusive));i(c)&&(o=o.deltaEnd(c.length));const d=Eo.fromOffsetPairs(n?n.getEndExclusives():So.zero,r?r.getStarts():So.max),u=o.intersect(d);a.length>0&&u.getStarts().equals(a[a.length-1].getEndExclusives())?a[a.length-1]=a[a.length-1].join(u):a.push(u)})),a}(i,a,l);return{mappings:l.map((e=>new lo(i.translateRange(e.seq1Range),a.translateRange(e.seq2Range)))),hitTimeout:s.hitTimeout}}}function Ko(e,n,t,r=!1){const o=[];for(const r of function*(e,n){let t,r;for(const o of e)void 0!==r&&n(r,o)?t.push(o):(t&&(yield t),t=[o]),r=o;t&&(yield t)}(e.map((e=>function(e,n,t){let r=0,o=0;1===e.modifiedRange.endColumn&&1===e.originalRange.endColumn&&e.originalRange.startLineNumber+r<=e.originalRange.endLineNumber&&e.modifiedRange.startLineNumber+r<=e.modifiedRange.endLineNumber&&(o=-1);e.modifiedRange.startColumn-1>=t[e.modifiedRange.startLineNumber-1].length&&e.originalRange.startColumn-1>=n[e.originalRange.startLineNumber-1].length&&e.originalRange.startLineNumber<=e.originalRange.endLineNumber+o&&e.modifiedRange.startLineNumber<=e.modifiedRange.endLineNumber+o&&(r=1);const i=new to(e.originalRange.startLineNumber+r,e.originalRange.endLineNumber+1+o),a=new to(e.modifiedRange.startLineNumber+r,e.modifiedRange.endLineNumber+1+o);return new so(i,a,[e])}(e,n,t))),((e,n)=>e.original.overlapOrTouch(n.original)||e.modified.overlapOrTouch(n.modified)))){const e=r[0],n=r[r.length-1];o.push(new so(e.original.join(n.original),e.modified.join(n.modified),r.map((e=>e.innerChanges[0]))))}return Ur((()=>{if(!r&&o.length>0){if(o[0].modified.startLineNumber!==o[0].original.startLineNumber)return!1;if(t.length-o[o.length-1].modified.endLineNumberExclusive!=n.length-o[o.length-1].original.endLineNumberExclusive)return!1}return Hr(o,((e,n)=>n.original.startLineNumber-e.original.endLineNumberExclusive==n.modified.startLineNumber-e.modified.endLineNumberExclusive&&e.original.endLineNumberExclusive<n.original.startLineNumber&&e.modified.endLineNumberExclusive<n.modified.startLineNumber))})),o}const qo=()=>new co,Jo=()=>new Ho;function Xo(e,n){const t=Math.pow(10,n);return Math.round(e*t)/t}class Yo{constructor(e,n,t,r=1){this._rgbaBrand=void 0,this.r=0|Math.min(255,Math.max(0,e)),this.g=0|Math.min(255,Math.max(0,n)),this.b=0|Math.min(255,Math.max(0,t)),this.a=Xo(Math.max(Math.min(1,r),0),3)}static equals(e,n){return e.r===n.r&&e.g===n.g&&e.b===n.b&&e.a===n.a}}class $o{constructor(e,n,t,r){this._hslaBrand=void 0,this.h=0|Math.max(Math.min(360,e),0),this.s=Xo(Math.max(Math.min(1,n),0),3),this.l=Xo(Math.max(Math.min(1,t),0),3),this.a=Xo(Math.max(Math.min(1,r),0),3)}static equals(e,n){return e.h===n.h&&e.s===n.s&&e.l===n.l&&e.a===n.a}static fromRGBA(e){const n=e.r/255,t=e.g/255,r=e.b/255,o=e.a,i=Math.max(n,t,r),a=Math.min(n,t,r);let s=0,l=0;const c=(a+i)/2,d=i-a;if(d>0){switch(l=Math.min(c<=.5?d/(2*c):d/(2-2*c),1),i){case n:s=(t-r)/d+(t<r?6:0);break;case t:s=(r-n)/d+2;break;case r:s=(n-t)/d+4}s*=60,s=Math.round(s)}return new $o(s,l,c,o)}static _hue2rgb(e,n,t){return t<0&&(t+=1),t>1&&(t-=1),t<1/6?e+6*(n-e)*t:t<.5?n:t<2/3?e+(n-e)*(2/3-t)*6:e}static toRGBA(e){const n=e.h/360,{s:t,l:r,a:o}=e;let i,a,s;if(0===t)i=a=s=r;else{const e=r<.5?r*(1+t):r+t-r*t,o=2*r-e;i=$o._hue2rgb(o,e,n+1/3),a=$o._hue2rgb(o,e,n),s=$o._hue2rgb(o,e,n-1/3)}return new Yo(Math.round(255*i),Math.round(255*a),Math.round(255*s),o)}}class Qo{constructor(e,n,t,r){this._hsvaBrand=void 0,this.h=0|Math.max(Math.min(360,e),0),this.s=Xo(Math.max(Math.min(1,n),0),3),this.v=Xo(Math.max(Math.min(1,t),0),3),this.a=Xo(Math.max(Math.min(1,r),0),3)}static equals(e,n){return e.h===n.h&&e.s===n.s&&e.v===n.v&&e.a===n.a}static fromRGBA(e){const n=e.r/255,t=e.g/255,r=e.b/255,o=Math.max(n,t,r),i=o-Math.min(n,t,r),a=0===o?0:i/o;let s;return s=0===i?0:o===n?((t-r)/i%6+6)%6:o===t?(r-n)/i+2:(n-t)/i+4,new Qo(Math.round(60*s),a,o,e.a)}static toRGBA(e){const{h:n,s:t,v:r,a:o}=e,i=r*t,a=i*(1-Math.abs(n/60%2-1)),s=r-i;let[l,c,d]=[0,0,0];return n<60?(l=i,c=a):n<120?(l=a,c=i):n<180?(c=i,d=a):n<240?(c=a,d=i):n<300?(l=a,d=i):n<=360&&(l=i,d=a),l=Math.round(255*(l+s)),c=Math.round(255*(c+s)),d=Math.round(255*(d+s)),new Yo(l,c,d,o)}}class Zo{static fromHex(e){return Zo.Format.CSS.parseHex(e)||Zo.red}static equals(e,n){return!e&&!n||!(!e||!n)&&e.equals(n)}get hsla(){return this._hsla?this._hsla:$o.fromRGBA(this.rgba)}get hsva(){return this._hsva?this._hsva:Qo.fromRGBA(this.rgba)}constructor(e){if(!e)throw new Error("Color needs a value");if(e instanceof Yo)this.rgba=e;else if(e instanceof $o)this._hsla=e,this.rgba=$o.toRGBA(e);else{if(!(e instanceof Qo))throw new Error("Invalid color ctor argument");this._hsva=e,this.rgba=Qo.toRGBA(e)}}equals(e){return!!e&&Yo.equals(this.rgba,e.rgba)&&$o.equals(this.hsla,e.hsla)&&Qo.equals(this.hsva,e.hsva)}getRelativeLuminance(){return Xo(.2126*Zo._relativeLuminanceForComponent(this.rgba.r)+.7152*Zo._relativeLuminanceForComponent(this.rgba.g)+.0722*Zo._relativeLuminanceForComponent(this.rgba.b),4)}static _relativeLuminanceForComponent(e){const n=e/255;return n<=.03928?n/12.92:Math.pow((n+.055)/1.055,2.4)}isLighter(){return(299*this.rgba.r+587*this.rgba.g+114*this.rgba.b)/1e3>=128}isLighterThan(e){return this.getRelativeLuminance()>e.getRelativeLuminance()}isDarkerThan(e){return this.getRelativeLuminance()<e.getRelativeLuminance()}lighten(e){return new Zo(new $o(this.hsla.h,this.hsla.s,this.hsla.l+this.hsla.l*e,this.hsla.a))}darken(e){return new Zo(new $o(this.hsla.h,this.hsla.s,this.hsla.l-this.hsla.l*e,this.hsla.a))}transparent(e){const{r:n,g:t,b:r,a:o}=this.rgba;return new Zo(new Yo(n,t,r,o*e))}isTransparent(){return 0===this.rgba.a}isOpaque(){return 1===this.rgba.a}opposite(){return new Zo(new Yo(255-this.rgba.r,255-this.rgba.g,255-this.rgba.b,this.rgba.a))}makeOpaque(e){if(this.isOpaque()||1!==e.rgba.a)return this;const{r:n,g:t,b:r,a:o}=this.rgba;return new Zo(new Yo(e.rgba.r-o*(e.rgba.r-n),e.rgba.g-o*(e.rgba.g-t),e.rgba.b-o*(e.rgba.b-r),1))}toString(){return this._toString||(this._toString=Zo.Format.CSS.format(this)),this._toString}static getLighterColor(e,n,t){if(e.isLighterThan(n))return e;t=t||.5;const r=e.getRelativeLuminance(),o=n.getRelativeLuminance();return t=t*(o-r)/o,e.lighten(t)}static getDarkerColor(e,n,t){if(e.isDarkerThan(n))return e;t=t||.5;const r=e.getRelativeLuminance();return t=t*(r-n.getRelativeLuminance())/r,e.darken(t)}}function ei(e){const n=[];for(const t of e){const e=Number(t);(e||0===e&&""!==t.replace(/\s/g,""))&&n.push(e)}return n}function ni(e,n,t,r){return{red:e/255,blue:t/255,green:n/255,alpha:r}}function ti(e,n){const t=n.index,r=n[0].length;if(!t)return;const o=e.positionAt(t);return{startLineNumber:o.lineNumber,startColumn:o.column,endLineNumber:o.lineNumber,endColumn:o.column+r}}function ri(e,n){if(!e)return;const t=Zo.Format.CSS.parseHex(n);return t?{range:e,color:ni(t.rgba.r,t.rgba.g,t.rgba.b,t.rgba.a)}:void 0}function oi(e,n,t){if(!e||1!==n.length)return;const r=ei(n[0].values());return{range:e,color:ni(r[0],r[1],r[2],t?r[3]:1)}}function ii(e,n,t){if(!e||1!==n.length)return;const r=ei(n[0].values()),o=new Zo(new $o(r[0],r[1]/100,r[2]/100,t?r[3]:1));return{range:e,color:ni(o.rgba.r,o.rgba.g,o.rgba.b,o.rgba.a)}}function ai(e,n){return"string"==typeof e?[...e.matchAll(n)]:e.findMatches(n)}function si(e){return e&&"function"==typeof e.getValue&&"function"==typeof e.positionAt?function(e){const n=[],t=ai(e,/\b(rgb|rgba|hsl|hsla)(\([0-9\s,.\%]*\))|(#)([A-Fa-f0-9]{3})\b|(#)([A-Fa-f0-9]{4})\b|(#)([A-Fa-f0-9]{6})\b|(#)([A-Fa-f0-9]{8})\b/gm);if(t.length>0)for(const r of t){const t=r.filter((e=>void 0!==e)),o=t[1],i=t[2];if(!i)continue;let a;if("rgb"===o){const n=/^\(\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*\)$/gm;a=oi(ti(e,r),ai(i,n),!1)}else if("rgba"===o){const n=/^\(\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(0[.][0-9]+|[.][0-9]+|[01][.]|[01])\s*\)$/gm;a=oi(ti(e,r),ai(i,n),!0)}else if("hsl"===o){const n=/^\(\s*(36[0]|3[0-5][0-9]|[12][0-9][0-9]|[1-9]?[0-9])\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*\)$/gm;a=ii(ti(e,r),ai(i,n),!1)}else if("hsla"===o){const n=/^\(\s*(36[0]|3[0-5][0-9]|[12][0-9][0-9]|[1-9]?[0-9])\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*,\s*(0[.][0-9]+|[.][0-9]+|[01][.]|[01])\s*\)$/gm;a=ii(ti(e,r),ai(i,n),!0)}else"#"===o&&(a=ri(ti(e,r),o+i));a&&n.push(a)}return n}(e):[]}Zo.white=new Zo(new Yo(255,255,255,1)),Zo.black=new Zo(new Yo(0,0,0,1)),Zo.red=new Zo(new Yo(255,0,0,1)),Zo.blue=new Zo(new Yo(0,0,255,1)),Zo.green=new Zo(new Yo(0,255,0,1)),Zo.cyan=new Zo(new Yo(0,255,255,1)),Zo.lightgrey=new Zo(new Yo(211,211,211,1)),Zo.transparent=new Zo(new Yo(0,0,0,0)),function(e){let n;!function(n){let t;!function(n){function t(e){const n=e.toString(16);return 2!==n.length?"0"+n:n}function r(e){switch(e){case 48:return 0;case 49:return 1;case 50:return 2;case 51:return 3;case 52:return 4;case 53:return 5;case 54:return 6;case 55:return 7;case 56:return 8;case 57:return 9;case 97:case 65:return 10;case 98:case 66:return 11;case 99:case 67:return 12;case 100:case 68:return 13;case 101:case 69:return 14;case 102:case 70:return 15}return 0}n.formatRGB=function(n){return 1===n.rgba.a?`rgb(${n.rgba.r}, ${n.rgba.g}, ${n.rgba.b})`:e.Format.CSS.formatRGBA(n)},n.formatRGBA=function(e){return`rgba(${e.rgba.r}, ${e.rgba.g}, ${e.rgba.b}, ${+e.rgba.a.toFixed(2)})`},n.formatHSL=function(n){return 1===n.hsla.a?`hsl(${n.hsla.h}, ${(100*n.hsla.s).toFixed(2)}%, ${(100*n.hsla.l).toFixed(2)}%)`:e.Format.CSS.formatHSLA(n)},n.formatHSLA=function(e){return`hsla(${e.hsla.h}, ${(100*e.hsla.s).toFixed(2)}%, ${(100*e.hsla.l).toFixed(2)}%, ${e.hsla.a.toFixed(2)})`},n.formatHex=function(e){return`#${t(e.rgba.r)}${t(e.rgba.g)}${t(e.rgba.b)}`},n.formatHexA=function(n,r=!1){return r&&1===n.rgba.a?e.Format.CSS.formatHex(n):`#${t(n.rgba.r)}${t(n.rgba.g)}${t(n.rgba.b)}${t(Math.round(255*n.rgba.a))}`},n.format=function(n){return n.isOpaque()?e.Format.CSS.formatHex(n):e.Format.CSS.formatRGBA(n)},n.parseHex=function(n){const t=n.length;if(0===t)return null;if(35!==n.charCodeAt(0))return null;if(7===t){const t=16*r(n.charCodeAt(1))+r(n.charCodeAt(2)),o=16*r(n.charCodeAt(3))+r(n.charCodeAt(4)),i=16*r(n.charCodeAt(5))+r(n.charCodeAt(6));return new e(new Yo(t,o,i,1))}if(9===t){const t=16*r(n.charCodeAt(1))+r(n.charCodeAt(2)),o=16*r(n.charCodeAt(3))+r(n.charCodeAt(4)),i=16*r(n.charCodeAt(5))+r(n.charCodeAt(6)),a=16*r(n.charCodeAt(7))+r(n.charCodeAt(8));return new e(new Yo(t,o,i,a/255))}if(4===t){const t=r(n.charCodeAt(1)),o=r(n.charCodeAt(2)),i=r(n.charCodeAt(3));return new e(new Yo(16*t+t,16*o+o,16*i+i))}if(5===t){const t=r(n.charCodeAt(1)),o=r(n.charCodeAt(2)),i=r(n.charCodeAt(3)),a=r(n.charCodeAt(4));return new e(new Yo(16*t+t,16*o+o,16*i+i,(16*a+a)/255))}return null}}(t=n.CSS||(n.CSS={}))}(n=e.Format||(e.Format={}))}(Zo||(Zo={}));const li=new RegExp("\\bMARK:\\s*(.*)$","d"),ci=/^-+|-+$/g;function di(e,n){var t;let r=[];if(n.findRegionSectionHeaders&&(null===(t=n.foldingRules)||void 0===t?void 0:t.markers)){const t=function(e,n){const t=[],r=e.getLineCount();for(let o=1;o<=r;o++){const r=e.getLineContent(o),i=r.match(n.foldingRules.markers.start);if(i){const e={startLineNumber:o,startColumn:i[0].length+1,endLineNumber:o,endColumn:r.length+1};if(e.endColumn>e.startColumn){const n={range:e,...pi(r.substring(i[0].length)),shouldBeInComments:!1};(n.text||n.hasSeparatorLine)&&t.push(n)}}}return t}(e,n);r=r.concat(t)}if(n.findMarkSectionHeaders){const n=function(e){const n=[],t=e.getLineCount();for(let r=1;r<=t;r++){ui(e.getLineContent(r),r,n)}return n}(e);r=r.concat(n)}return r}function ui(e,n,t){li.lastIndex=0;const r=li.exec(e);if(r){const e={startLineNumber:n,startColumn:r.indices[1][0]+1,endLineNumber:n,endColumn:r.indices[1][1]+1};if(e.endColumn>e.startColumn){const n={range:e,...pi(r[1]),shouldBeInComments:!0};(n.text||n.hasSeparatorLine)&&t.push(n)}}}function pi(e){const n=(e=e.trim()).startsWith("-");return{text:e=e.replace(ci,""),hasSeparatorLine:n}}class fi extends Vn{get uri(){return this._uri}get eol(){return this._eol}getValue(){return this.getText()}findMatches(e){const n=[];for(let t=0;t<this._lines.length;t++){const r=this._lines[t],o=this.offsetAt(new Ln(t+1,1)),i=r.matchAll(e);for(const e of i)(e.index||0===e.index)&&(e.index=e.index+o),n.push(e)}return n}getLinesContent(){return this._lines.slice(0)}getLineCount(){return this._lines.length}getLineContent(e){return this._lines[e-1]}getWordAtPosition(e,n){const t=qn(e.column,Hn(n),this._lines[e.lineNumber-1],0);return t?new kn(e.lineNumber,t.startColumn,e.lineNumber,t.endColumn):null}words(e){const n=this._lines,t=this._wordenize.bind(this);let r=0,o="",i=0,a=[];return{*[Symbol.iterator](){for(;;)if(i<a.length){const e=o.substring(a[i].start,a[i].end);i+=1,yield e}else{if(!(r<n.length))break;o=n[r],a=t(o,e),i=0,r+=1}}}}getLineWords(e,n){const t=this._lines[e-1],r=this._wordenize(t,n),o=[];for(const e of r)o.push({word:t.substring(e.start,e.end),startColumn:e.start+1,endColumn:e.end+1});return o}_wordenize(e,n){const t=[];let r;for(n.lastIndex=0;(r=n.exec(e))&&0!==r[0].length;)t.push({start:r.index,end:r.index+r[0].length});return t}getValueInRange(e){if((e=this._validateRange(e)).startLineNumber===e.endLineNumber)return this._lines[e.startLineNumber-1].substring(e.startColumn-1,e.endColumn-1);const n=this._eol,t=e.startLineNumber-1,r=e.endLineNumber-1,o=[];o.push(this._lines[t].substring(e.startColumn-1));for(let e=t+1;e<r;e++)o.push(this._lines[e]);return o.push(this._lines[r].substring(0,e.endColumn-1)),o.join(n)}offsetAt(e){return e=this._validatePosition(e),this._ensureLineStarts(),this._lineStarts.getPrefixSum(e.lineNumber-2)+(e.column-1)}positionAt(e){e=Math.floor(e),e=Math.max(0,e),this._ensureLineStarts();const n=this._lineStarts.getIndexOf(e),t=this._lines[n.index].length;return{lineNumber:1+n.index,column:1+Math.min(n.remainder,t)}}_validateRange(e){const n=this._validatePosition({lineNumber:e.startLineNumber,column:e.startColumn}),t=this._validatePosition({lineNumber:e.endLineNumber,column:e.endColumn});return n.lineNumber!==e.startLineNumber||n.column!==e.startColumn||t.lineNumber!==e.endLineNumber||t.column!==e.endColumn?{startLineNumber:n.lineNumber,startColumn:n.column,endLineNumber:t.lineNumber,endColumn:t.column}:e}_validatePosition(e){if(!Ln.isIPosition(e))throw new Error("bad position");let{lineNumber:n,column:t}=e,r=!1;if(n<1)n=1,t=1,r=!0;else if(n>this._lines.length)n=this._lines.length,t=this._lines[n-1].length+1,r=!0;else{const e=this._lines[n-1].length+1;t<1?(t=1,r=!0):t>e&&(t=e,r=!0)}return r?{lineNumber:n,column:t}:e}}class mi{constructor(e,n){this._host=e,this._models=Object.create(null),this._foreignModuleFactory=n,this._foreignModule=null}dispose(){this._models=Object.create(null)}_getModel(e){return this._models[e]}_getModels(){const e=[];return Object.keys(this._models).forEach((n=>e.push(this._models[n]))),e}acceptNewModel(e){this._models[e.url]=new fi(Sn.parse(e.url),e.lines,e.EOL,e.versionId)}acceptModelChanged(e,n){if(!this._models[e])return;this._models[e].onEvents(n)}acceptRemovedModel(e){this._models[e]&&delete this._models[e]}async computeUnicodeHighlights(e,n,t){const r=this._getModel(e);return r?Kr.computeUnicodeHighlights(r,n,t):{ranges:[],hasMore:!1,ambiguousCharacterCount:0,invisibleCharacterCount:0,nonBasicAsciiCharacterCount:0}}async findSectionHeaders(e,n){const t=this._getModel(e);return t?di(t,n):[]}async computeDiff(e,n,t,r){const o=this._getModel(e),i=this._getModel(n);if(!o||!i)return null;return mi.computeDiff(o,i,t,r)}static computeDiff(e,n,t,r){const o="advanced"===r?Jo():qo(),i=e.getLinesContent(),a=n.getLinesContent(),s=o.computeDiff(i,a,t);function l(e){return e.map((e=>{var n;return[e.original.startLineNumber,e.original.endLineNumberExclusive,e.modified.startLineNumber,e.modified.endLineNumberExclusive,null===(n=e.innerChanges)||void 0===n?void 0:n.map((e=>[e.originalRange.startLineNumber,e.originalRange.startColumn,e.originalRange.endLineNumber,e.originalRange.endColumn,e.modifiedRange.startLineNumber,e.modifiedRange.startColumn,e.modifiedRange.endLineNumber,e.modifiedRange.endColumn]))]}))}return{identical:!(s.changes.length>0)&&this._modelsAreIdentical(e,n),quitEarly:s.hitTimeout,changes:l(s.changes),moves:s.moves.map((e=>[e.lineRangeMapping.original.startLineNumber,e.lineRangeMapping.original.endLineNumberExclusive,e.lineRangeMapping.modified.startLineNumber,e.lineRangeMapping.modified.endLineNumberExclusive,l(e.changes)]))}}static _modelsAreIdentical(e,n){const t=e.getLineCount();if(t!==n.getLineCount())return!1;for(let r=1;r<=t;r++){if(e.getLineContent(r)!==n.getLineContent(r))return!1}return!0}async computeMoreMinimalEdits(e,n,t){const r=this._getModel(e);if(!r)return n;const o=[];let i;n=n.slice(0).sort(((e,n)=>{if(e.range&&n.range)return kn.compareRangesUsingStarts(e.range,n.range);return(e.range?0:1)-(n.range?0:1)}));let a=0;for(let e=1;e<n.length;e++)kn.getEndPosition(n[a].range).equals(kn.getStartPosition(n[e].range))?(n[a].range=kn.fromPositions(kn.getStartPosition(n[a].range),kn.getEndPosition(n[e].range)),n[a].text+=n[e].text):(a++,n[a]=n[e]);n.length=a+1;for(let{range:e,text:a,eol:s}of n){if("number"==typeof s&&(i=s),kn.isEmpty(e)&&!a)continue;const n=r.getValueInRange(e);if(a=a.replace(/\r\n|\n|\r/g,r.eol),n===a)continue;if(Math.max(a.length,n.length)>mi._diffLimit){o.push({range:e,text:a});continue}const l=He(n,a,t),c=r.offsetAt(kn.lift(e).getStartPosition());for(const e of l){const n=r.positionAt(c+e.originalStart),t=r.positionAt(c+e.originalStart+e.originalLength),i={text:a.substr(e.modifiedStart,e.modifiedLength),range:{startLineNumber:n.lineNumber,startColumn:n.column,endLineNumber:t.lineNumber,endColumn:t.column}};r.getValueInRange(i.range)!==i.text&&o.push(i)}}return"number"==typeof i&&o.push({eol:i,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),o}async computeLinks(e){const n=this._getModel(e);return n?function(e){return e&&"function"==typeof e.getLineCount&&"function"==typeof e.getLineContent?et.computeLinks(e):[]}(n):null}async computeDefaultDocumentColors(e){const n=this._getModel(e);return n?si(n):null}async textualSuggest(e,n,t,r){const o=new T,i=new RegExp(t,r),a=new Set;e:for(const t of e){const e=this._getModel(t);if(e)for(const t of e.words(i))if(t!==n&&isNaN(Number(t))&&(a.add(t),a.size>mi._suggestionsLimit))break e}return{words:Array.from(a),duration:o.elapsed()}}async computeWordRanges(e,n,t,r){const o=this._getModel(e);if(!o)return Object.create(null);const i=new RegExp(t,r),a=Object.create(null);for(let e=n.startLineNumber;e<n.endLineNumber;e++){const n=o.getLineWords(e,i);for(const t of n){if(!isNaN(Number(t.word)))continue;let n=a[t.word];n||(n=[],a[t.word]=n),n.push({startLineNumber:e,startColumn:t.startColumn,endLineNumber:e,endColumn:t.endColumn})}}return a}async navigateValueSet(e,n,t,r,o){const i=this._getModel(e);if(!i)return null;const a=new RegExp(r,o);n.startColumn===n.endColumn&&(n={startLineNumber:n.startLineNumber,startColumn:n.startColumn,endLineNumber:n.endLineNumber,endColumn:n.endColumn+1});const s=i.getValueInRange(n),l=i.getWordAtPosition({lineNumber:n.startLineNumber,column:n.startColumn},a);if(!l)return null;const c=i.getValueInRange(l);return nt.INSTANCE.navigateValueSet(n,s,l,c,t)}loadForeignModule(e,n,t){const r=function(e,n){const t=e=>function(){const t=Array.prototype.slice.call(arguments,0);return n(e,t)},r={};for(const n of e)r[n]=t(n);return r}(t,((e,n)=>this._host.fhr(e,n))),o={host:r,getMirrorModels:()=>this._getModels()};return this._foreignModuleFactory?(this._foreignModule=this._foreignModuleFactory(o,n),Promise.resolve(k(this._foreignModule))):Promise.reject(new Error("Unexpected usage"))}fmr(e,n){if(!this._foreignModule||"function"!=typeof this._foreignModule[e])return Promise.reject(new Error("Missing requestHandler or method: "+e));try{return Promise.resolve(this._foreignModule[e].apply(this._foreignModule,n))}catch(e){return Promise.reject(e)}}}mi._diffLimit=1e5,mi._suggestionsLimit=1e4,"function"==typeof importScripts&&(globalThis.monaco={editor:void 0,languages:void 0,CancellationTokenSource:it,Emitter:P,KeyCode:ir,KeyMod:Pr,Position:Ln,Range:kn,Selection:yt,SelectionDirection:Er,MarkerSeverity:ar,MarkerTag:sr,Uri:Sn,Token:xt});let _i=!1;function hi(e){if(_i)return;_i=!0;const n=new Oe((e=>{globalThis.postMessage(e)}),(n=>new mi(n,e)));globalThis.onmessage=e=>{n.onmessage(e.data)}}globalThis.onmessage=e=>{_i||hi(null)};var gi="/index.js",yi=Object.defineProperty,vi={};((e,n)=>{for(var t in n)yi(e,t,{get:n[t],enumerable:!0})})(vi,{EndOfLineState:()=>Ri,IndentStyle:()=>Ni,ScriptKind:()=>Di,ScriptTarget:()=>Ci,TokenClass:()=>Mi,createClassifier:()=>Ti,createLanguageService:()=>xi,displayPartsToString:()=>Ai,flattenDiagnosticMessageText:()=>Ii,typescript:()=>Pi});var bi=void 0,Ei={exports:{}},Si=(()=>{var n,t,r,o,i,a,s,l,c,d,u,p,f,m,_=Object.defineProperty,h=Object.getOwnPropertyNames,g=(e,n)=>function(){return e&&(n=(0,e[h(e)[0]])(e=0)),n},y=(e,n)=>{for(var t in n)_(e,t,{get:n[t],enumerable:!0})},v=g({"src/compiler/corePublic.ts"(){n="5.4",t="5.4.5",r=(e=>(e[e.LessThan=-1]="LessThan",e[e.EqualTo=0]="EqualTo",e[e.GreaterThan=1]="GreaterThan",e))(r||{})}});function b(e){return e?e.length:0}function E(e,n){if(e)for(let t=0;t<e.length;t++){const r=n(e[t],t);if(r)return r}}function S(e,n){if(e)for(let t=e.length-1;t>=0;t--){const r=n(e[t],t);if(r)return r}}function T(e,n){if(void 0!==e)for(let t=0;t<e.length;t++){const r=n(e[t],t);if(void 0!==r)return r}}function x(e,n){for(const t of e){const e=n(t);if(void 0!==e)return e}}function A(e,n,t){let r=t;if(e){let t=0;for(const o of e)r=n(r,o,t),t++}return r}function R(e,n,t){const r=[];Tt.assertEqual(e.length,n.length);for(let o=0;o<e.length;o++)r.push(t(e[o],n[o],o));return r}function I(e,n){if(e.length<=1)return e;const t=[];for(let r=0,o=e.length;r<o;r++)r&&t.push(n),t.push(e[r]);return t}function N(e,n){if(e)for(let t=0;t<e.length;t++)if(!n(e[t],t))return!1;return!0}function D(e,n,t){if(void 0!==e)for(let r=t??0;r<e.length;r++){const t=e[r];if(n(t,r))return t}}function C(e,n,t){if(void 0!==e)for(let r=t??e.length-1;r>=0;r--){const t=e[r];if(n(t,r))return t}}function M(e,n,t){if(void 0===e)return-1;for(let r=t??0;r<e.length;r++)if(n(e[r],r))return r;return-1}function P(e,n,t){if(void 0===e)return-1;for(let r=t??e.length-1;r>=0;r--)if(n(e[r],r))return r;return-1}function L(e,n){for(let t=0;t<e.length;t++){const r=n(e[t],t);if(r)return r}return Tt.fail()}function k(e,n,t=Mn){if(e)for(const r of e)if(t(r,n))return!0;return!1}function w(e,n,t=Mn){return e.length===n.length&&e.every(((e,r)=>t(e,n[r])))}function O(e,n,t){for(let r=t||0;r<e.length;r++)if(k(n,e.charCodeAt(r)))return r;return-1}function F(e,n){let t=0;if(e)for(let r=0;r<e.length;r++){n(e[r],r)&&t++}return t}function W(e,n){if(e){const t=e.length;let r=0;for(;r<t&&n(e[r]);)r++;if(r<t){const o=e.slice(0,r);for(r++;r<t;){const t=e[r];n(t)&&o.push(t),r++}return o}}return e}function z(e,n){let t=0;for(let r=0;r<e.length;r++)n(e[r],r,e)&&(e[t]=e[r],t++);e.length=t}function G(e){e.length=0}function B(e,n){let t;if(e){t=[];for(let r=0;r<e.length;r++)t.push(n(e[r],r))}return t}function*j(e,n){for(const t of e)yield n(t)}function V(e,n){if(e)for(let t=0;t<e.length;t++){const r=e[t],o=n(r,t);if(r!==o){const r=e.slice(0,t);for(r.push(o),t++;t<e.length;t++)r.push(n(e[t],t));return r}}return e}function U(e){const n=[];for(const t of e)t&&(pn(t)?Ee(n,t):n.push(t));return n}function H(e,n){let t;if(e)for(let r=0;r<e.length;r++){const o=n(e[r],r);o&&(t=pn(o)?Ee(t,o):ye(t,o))}return t||o}function K(e,n){const t=[];if(e)for(let r=0;r<e.length;r++){const o=n(e[r],r);o&&(pn(o)?Ee(t,o):t.push(o))}return t}function*q(e,n){for(const t of e){const e=n(t);e&&(yield*e)}}function J(e,n){let t;if(e)for(let r=0;r<e.length;r++){const o=e[r],i=n(o,r);(t||o!==i||pn(i))&&(t||(t=e.slice(0,r)),pn(i)?Ee(t,i):t.push(i))}return t||e}function X(e,n){const t=[];for(let r=0;r<e.length;r++){const o=n(e[r],r);if(void 0===o)return;t.push(o)}return t}function Y(e,n){const t=[];if(e)for(let r=0;r<e.length;r++){const o=n(e[r],r);void 0!==o&&t.push(o)}return t}function*$(e,n){for(const t of e){const e=n(t);void 0!==e&&(yield e)}}function Q(e,n){if(!e)return;const t=new Map;return e.forEach(((e,r)=>{const o=n(r,e);if(void 0!==o){const[e,n]=o;void 0!==e&&void 0!==n&&t.set(e,n)}})),t}function Z(e,n,t){if(e.has(n))return e.get(n);const r=t();return e.set(n,r),r}function ee(e,n){return!e.has(n)&&(e.add(n),!0)}function*ne(e){yield e}function te(e,n,t){let r;if(e){r=[];const o=e.length;let i,a,s=0,l=0;for(;s<o;){for(;l<o;){if(a=n(e[l],l),0===l)i=a;else if(a!==i)break;l++}if(s<l){const n=t(e.slice(s,l),i,s,l);n&&r.push(n),s=l}i=a,l++}}return r}function re(e,n){if(!e)return;const t=new Map;return e.forEach(((e,r)=>{const[o,i]=n(r,e);t.set(o,i)})),t}function oe(e,n){if(e){if(!n)return e.length>0;for(const t of e)if(n(t))return!0}return!1}function ie(e,n,t){let r;for(let o=0;o<e.length;o++)n(e[o])?r=void 0===r?o:r:void 0!==r&&(t(r,o),r=void 0);void 0!==r&&t(r,e.length)}function ae(e,n){return oe(n)?oe(e)?[...e,...n]:n:e}function se(e,n){return n}function le(e){return e.map(se)}function ce(e,n,t){return 0===e.length?[]:1===e.length?e.slice():t?function(e,n,t){const r=le(e);xe(e,r,t);let o=e[r[0]];const i=[r[0]];for(let t=1;t<r.length;t++){const a=r[t],s=e[a];n(o,s)||(i.push(a),o=s)}return i.sort(),i.map((n=>e[n]))}(e,n,t):function(e,n){const t=[];for(const r of e)Se(t,r,n);return t}(e,n)}function de(){return[]}function ue(e,n,t,r){if(0===e.length)return e.push(n),!0;const o=ze(e,n,Sn,t);return o<0?(e.splice(~o,0,n),!0):!!r&&(e.splice(o,0,n),!0)}function pe(e,n,t){return function(e,n){if(0===e.length)return o;let t=e[0];const r=[t];for(let o=1;o<e.length;o++){const i=e[o];switch(n(i,t)){case!0:case 0:continue;case-1:return Tt.fail("Array is unsorted.")}r.push(t=i)}return r}(Ae(e,n),t||n||Gn)}function fe(e,n){if(e.length<2)return!0;for(let t=1,r=e.length;t<r;t++)if(1===n(e[t-1],e[t]))return!1;return!0}function me(e,n,t,r){let o=3;if(e.length<2)return o;let i=n(e[0]);for(let a=1,s=e.length;a<s&&0!==o;a++){const s=n(e[a]);1&o&&t(i,s)>0&&(o&=-2),2&o&&r(i,s)>0&&(o&=-3),i=s}return o}function _e(e,n,t=Mn){if(!e||!n)return e===n;if(e.length!==n.length)return!1;for(let r=0;r<e.length;r++)if(!t(e[r],n[r],r))return!1;return!0}function he(e){let n;if(e)for(let t=0;t<e.length;t++){const r=e[t];!n&&r||(n||(n=e.slice(0,t)),r&&n.push(r))}return n||e}function ge(e,n,t){if(!n||!e||0===n.length||0===e.length)return n;const r=[];e:for(let o=0,i=0;i<n.length;i++){i>0&&Tt.assertGreaterThanOrEqual(t(n[i],n[i-1]),0);n:for(const a=o;o<e.length;o++)switch(o>a&&Tt.assertGreaterThanOrEqual(t(e[o],e[o-1]),0),t(n[i],e[o])){case-1:r.push(n[i]);continue e;case 0:continue e;case 1:continue n}}return r}function ye(e,n){return void 0===n?e:void 0===e?[n]:(e.push(n),e)}function ve(e,n){return void 0===e?n:void 0===n?e:pn(e)?pn(n)?ae(e,n):ye(e,n):pn(n)?ye(n,e):[e,n]}function be(e,n){return n<0?e.length+n:n}function Ee(e,n,t,r){if(void 0===n||0===n.length)return e;if(void 0===e)return n.slice(t,r);t=void 0===t?0:be(n,t),r=void 0===r?n.length:be(n,r);for(let o=t;o<r&&o<n.length;o++)void 0!==n[o]&&e.push(n[o]);return e}function Se(e,n,t){return!k(e,n,t)&&(e.push(n),!0)}function Te(e,n,t){return e?(Se(e,n,t),e):[n]}function xe(e,n,t){n.sort(((n,r)=>t(e[n],e[r])||wn(n,r)))}function Ae(e,n){return 0===e.length?e:e.slice().sort(n)}function*Re(e){for(let n=e.length-1;n>=0;n--)yield e[n]}function Ie(e,n){const t=le(e);return xe(e,t,n),t.map((n=>e[n]))}function Ne(e,n,t,r){for(;t<r;){if(e[t]!==n[t])return!1;t++}return!0}function De(e){return void 0===e||0===e.length?void 0:e[0]}function Ce(e){if(e)for(const n of e)return n}function Me(e){return Tt.assert(0!==e.length),e[0]}function Pe(e){for(const n of e)return n;Tt.fail("iterator is empty")}function Le(e){return void 0===e||0===e.length?void 0:e[e.length-1]}function ke(e){return Tt.assert(0!==e.length),e[e.length-1]}function we(e){return e&&1===e.length?e[0]:void 0}function Oe(e){return Tt.checkDefined(we(e))}function Fe(e){return e&&1===e.length?e[0]:e}function We(e,n,t){const r=e.slice(0);return r[n]=t,r}function ze(e,n,t,r,o){return Ge(e,t(n),t,r,o)}function Ge(e,n,t,r,o){if(!oe(e))return-1;let i=o||0,a=e.length-1;for(;i<=a;){const o=i+(a-i>>1);switch(r(t(e[o],o),n)){case-1:i=o+1;break;case 0:return o;case 1:a=o-1}}return~i}function Be(e,n,t,r,o){if(e&&e.length>0){const i=e.length;if(i>0){let a=void 0===r||r<0?0:r;const s=void 0===o||a+o>i-1?i-1:a+o;let l;for(arguments.length<=2?(l=e[a],a++):l=t;a<=s;)l=n(l,e[a],a),a++;return l}}return t}function je(e,n){return c.call(e,n)}function Ve(e,n){return c.call(e,n)?e[n]:void 0}function Ue(e){const n=[];for(const t in e)c.call(e,t)&&n.push(t);return n}function He(e){const n=[];do{const t=Object.getOwnPropertyNames(e);for(const e of t)Se(n,e)}while(e=Object.getPrototypeOf(e));return n}function Ke(e){const n=[];for(const t in e)c.call(e,t)&&n.push(e[t]);return n}function qe(e,n){const t=new Array(e);for(let r=0;r<e;r++)t[r]=n(r);return t}function Je(e,n){const t=[];for(const r of e)t.push(n?n(r):r);return t}function Xe(e,...n){for(const t of n)if(void 0!==t)for(const n in t)je(t,n)&&(e[n]=t[n]);return e}function Ye(e,n,t=Mn){if(e===n)return!0;if(!e||!n)return!1;for(const r in e)if(c.call(e,r)){if(!c.call(n,r))return!1;if(!t(e[r],n[r]))return!1}for(const t in n)if(c.call(n,t)&&!c.call(e,t))return!1;return!0}function $e(e,n,t=Sn){const r=new Map;for(const o of e){const e=n(o);void 0!==e&&r.set(e,t(o))}return r}function Qe(e,n,t=Sn){const r=[];for(const o of e)r[n(o)]=t(o);return r}function Ze(e,n,t=Sn){const r=sn();for(const o of e)r.add(n(o),t(o));return r}function en(e,n,t=Sn){return Je(Ze(e,n).values(),t)}function nn(e,n){const t={};if(e)for(const r of e){const e=`${n(r)}`;(t[e]??(t[e]=[])).push(r)}return t}function tn(e){const n={};for(const t in e)c.call(e,t)&&(n[t]=e[t]);return n}function rn(e,n){const t={};for(const e in n)c.call(n,e)&&(t[e]=n[e]);for(const n in e)c.call(e,n)&&(t[n]=e[n]);return t}function on(e,n){for(const t in n)c.call(n,t)&&(e[t]=n[t])}function an(e,n){return n?n.bind(e):void 0}function sn(){const e=new Map;return e.add=ln,e.remove=cn,e}function ln(e,n){let t=this.get(e);return t?t.push(n):this.set(e,t=[n]),t}function cn(e,n){const t=this.get(e);t&&(tt(t,n),t.length||this.delete(e))}function dn(e){const n=(null==e?void 0:e.slice())||[];let t=0;function r(){return t===n.length}return{enqueue:function(...e){n.push(...e)},dequeue:function(){if(r())throw new Error("Queue is empty");const e=n[t];if(n[t]=void 0,t++,t>100&&t>n.length>>1){const e=n.length-t;n.copyWithin(0,t),n.length=e,t=0}return e},isEmpty:r}}function un(e,n){const t=new Map;let r=0;function*o(){for(const e of t.values())pn(e)?yield*e:yield e}const i={has(r){const o=e(r);if(!t.has(o))return!1;const i=t.get(o);if(!pn(i))return n(i,r);for(const e of i)if(n(e,r))return!0;return!1},add(o){const i=e(o);if(t.has(i)){const e=t.get(i);if(pn(e))k(e,o,n)||(e.push(o),r++);else{const a=e;n(a,o)||(t.set(i,[a,o]),r++)}}else t.set(i,o),r++;return this},delete(o){const i=e(o);if(!t.has(i))return!1;const a=t.get(i);if(pn(a)){for(let e=0;e<a.length;e++)if(n(a[e],o))return 1===a.length?t.delete(i):2===a.length?t.set(i,a[1-e]):nt(a,e),r--,!0}else{if(n(a,o))return t.delete(i),r--,!0}return!1},clear(){t.clear(),r=0},get size(){return r},forEach(e){for(const n of Je(t.values()))if(pn(n))for(const t of n)e(t,t,i);else{e(n,n,i)}},keys(){return o()},values(){return o()},*entries(){for(const e of o())yield[e,e]},[Symbol.iterator]:()=>o(),[Symbol.toStringTag]:t[Symbol.toStringTag]};return i}function pn(e){return Array.isArray(e)}function fn(e){return pn(e)?e:[e]}function mn(e){return"string"==typeof e}function _n(e){return"number"==typeof e}function hn(e,n){return void 0!==e&&n(e)?e:void 0}function gn(e,n){return void 0!==e&&n(e)?e:Tt.fail(`Invalid cast. The supplied value ${e} did not pass the test '${Tt.getFunctionName(n)}'.`)}function yn(e){}function vn(){return!1}function bn(){return!0}function En(){}function Sn(e){return e}function Tn(e){return e.toLowerCase()}function xn(e){return d.test(e)?e.replace(d,Tn):e}function An(){throw new Error("Not implemented")}function Rn(e){let n;return()=>(e&&(n=e(),e=void 0),n)}function In(e){const n=new Map;return t=>{const r=`${typeof t}:${t}`;let o=n.get(r);return void 0!==o||n.has(r)||(o=e(t),n.set(r,o)),o}}function Nn(e){const n=new WeakMap;return t=>{let r=n.get(t);return void 0!==r||n.has(t)||(r=e(t),n.set(t,r)),r}}function Dn(e,n){return(...t)=>{let r=n.get(t);return void 0!==r||n.has(t)||(r=e(...t),n.set(t,r)),r}}function Cn(e,n,t,r,o){if(o){const e=[];for(let n=0;n<arguments.length;n++)e[n]=arguments[n];return n=>Be(e,((e,n)=>n(e)),n)}return r?o=>r(t(n(e(o)))):t?r=>t(n(e(r))):n?t=>n(e(t)):e?n=>e(n):e=>e}function Mn(e,n){return e===n}function Pn(e,n){return e===n||void 0!==e&&void 0!==n&&e.toUpperCase()===n.toUpperCase()}function Ln(e,n){return Mn(e,n)}function kn(e,n){return e===n?0:void 0===e?-1:void 0===n?1:e<n?-1:1}function wn(e,n){return kn(e,n)}function On(e,n){return wn(null==e?void 0:e.start,null==n?void 0:n.start)||wn(null==e?void 0:e.length,null==n?void 0:n.length)}function Fn(e,n){return Be(e,((e,t)=>-1===n(e,t)?e:t))}function Wn(e,n){return e===n?0:void 0===e?-1:void 0===n?1:(e=e.toUpperCase())<(n=n.toUpperCase())?-1:e>n?1:0}function zn(e,n){return e===n?0:void 0===e?-1:void 0===n?1:(e=e.toLowerCase())<(n=n.toLowerCase())?-1:e>n?1:0}function Gn(e,n){return kn(e,n)}function Bn(e){return e?Wn:Gn}function jn(){return m}function Vn(e){m!==e&&(m=e,f=void 0)}function Un(e,n){return(f||(f=p(m)))(e,n)}function Hn(e,n,t,r){return e===n?0:void 0===e?-1:void 0===n?1:r(e[t],n[t])}function Kn(e,n){return wn(e?1:0,n?1:0)}function qn(e,n,t){const r=Math.max(2,Math.floor(.34*e.length));let o,i=Math.floor(.4*e.length)+1;for(const a of n){const n=t(a);if(void 0!==n&&Math.abs(n.length-e.length)<=r){if(n===e)continue;if(n.length<3&&n.toLowerCase()!==e.toLowerCase())continue;const t=Jn(e,n,i-.1);if(void 0===t)continue;Tt.assert(t<i),i=t,o=a}}return o}function Jn(e,n,t){let r=new Array(n.length+1),o=new Array(n.length+1);const i=t+.01;for(let e=0;e<=n.length;e++)r[e]=e;for(let a=1;a<=e.length;a++){const s=e.charCodeAt(a-1),l=Math.ceil(a>t?a-t:1),c=Math.floor(n.length>t+a?t+a:n.length);o[0]=a;let d=a;for(let e=1;e<l;e++)o[e]=i;for(let t=l;t<=c;t++){const i=e[a-1].toLowerCase()===n[t-1].toLowerCase()?r[t-1]+.1:r[t-1]+2,l=s===n.charCodeAt(t-1)?r[t-1]:Math.min(r[t]+1,o[t-1]+1,i);o[t]=l,d=Math.min(d,l)}for(let e=c+1;e<=n.length;e++)o[e]=i;if(d>t)return;const u=r;r=o,o=u}const a=r[n.length];return a>t?void 0:a}function Xn(e,n,t){const r=e.length-n.length;return r>=0&&(t?Pn(e.slice(r),n):e.indexOf(n,r)===r)}function Yn(e,n){return Xn(e,n)?e.slice(0,e.length-n.length):e}function $n(e,n){return Xn(e,n)?e.slice(0,e.length-n.length):void 0}function Qn(e){let n=e.length;for(let t=n-1;t>0;t--){let r=e.charCodeAt(t);if(r>=48&&r<=57)do{--t,r=e.charCodeAt(t)}while(t>0&&r>=48&&r<=57);else{if(!(t>4)||110!==r&&78!==r)break;if(--t,r=e.charCodeAt(t),105!==r&&73!==r)break;if(--t,r=e.charCodeAt(t),109!==r&&77!==r)break;--t,r=e.charCodeAt(t)}if(45!==r&&46!==r)break;n=t}return n===e.length?e:e.slice(0,n)}function Zn(e,n){for(let t=0;t<e.length;t++)if(e[t]===n)return et(e,t),!0;return!1}function et(e,n){for(let t=n;t<e.length-1;t++)e[t]=e[t+1];e.pop()}function nt(e,n){e[n]=e[e.length-1],e.pop()}function tt(e,n){return function(e,n){for(let t=0;t<e.length;t++)if(n(e[t]))return nt(e,t),!0;return!1}(e,(e=>e===n))}function rt(e){return e?Sn:xn}function ot({prefix:e,suffix:n}){return`${e}*${n}`}function it(e,n){return Tt.assert(dt(e,n)),n.substring(e.prefix.length,n.length-e.suffix.length)}function at(e,n,t){let r,o=-1;for(const i of e){const e=n(i);dt(e,t)&&e.prefix.length>o&&(o=e.prefix.length,r=i)}return r}function st(e,n,t){return t?Pn(e.slice(0,n.length),n):0===e.lastIndexOf(n,0)}function lt(e,n){return st(e,n)?e.substr(n.length):e}function ct(e,n,t=Sn){return st(t(e),t(n))?e.substring(n.length):void 0}function dt({prefix:e,suffix:n},t){return t.length>=e.length+n.length&&st(t,e)&&Xn(t,n)}function ut(e,n){return t=>e(t)&&n(t)}function pt(...e){return(...n)=>{let t;for(const r of e)if(t=r(...n),t)return t;return t}}function ft(e){return(...n)=>!e(...n)}function mt(e){}function _t(e){return void 0===e?void 0:[e]}function ht(e,n,t,r,o,i){i=i||yn;let a=0,s=0;const l=e.length,c=n.length;let d=!1;for(;a<l&&s<c;){const l=e[a],c=n[s],u=t(l,c);-1===u?(r(l),a++,d=!0):1===u?(o(c),s++,d=!0):(i(c,l),a++,s++)}for(;a<l;)r(e[a++]),d=!0;for(;s<c;)o(n[s++]),d=!0;return d}function gt(e){const n=[];return yt(e,n,void 0,0),n}function yt(e,n,t,r){for(const o of e[r]){let i;t?(i=t.slice(),i.push(o)):i=[o],r===e.length-1?n.push(i):yt(e,n,i,r+1)}}function vt(e,n){if(e){const t=e.length;let r=0;for(;r<t&&n(e[r]);)r++;return e.slice(0,r)}}function bt(e,n){if(e){const t=e.length;let r=0;for(;r<t&&n(e[r]);)r++;return e.slice(r)}}function Et(){return"undefined"!=typeof process&&!!process.nextTick&&!process.browser&&"object"==typeof Ei}var St,Tt,xt,At,Rt,It,Nt,Dt,Ct,Mt,Pt,Lt,kt,wt,Ot,Ft,Wt=g({"src/compiler/core.ts"(){JJ(),o=[],i=new Map,a=new Set,s=(e=>(e[e.None=0]="None",e[e.CaseSensitive=1]="CaseSensitive",e[e.CaseInsensitive=2]="CaseInsensitive",e[e.Both=3]="Both",e))(s||{}),l=Array.prototype.at?(e,n)=>null==e?void 0:e.at(n):(e,n)=>{if(e&&(n=be(e,n))<e.length)return e[n]},c=Object.prototype.hasOwnProperty,d=/[^\u0130\u0131\u00DFa-z0-9\\/:\-_. ]+/g,u=(e=>(e[e.None=0]="None",e[e.Normal=1]="Normal",e[e.Aggressive=2]="Aggressive",e[e.VeryAggressive=3]="VeryAggressive",e))(u||{}),p=(()=>function(e){const n=new Intl.Collator(e,{usage:"sort",sensitivity:"variant"}).compare;return(e,t)=>function(e,n,t){if(e===n)return 0;if(void 0===e)return-1;if(void 0===n)return 1;const r=t(e,n);return r<0?-1:r>0?1:0}(e,t,n)})()}}),zt=g({"src/compiler/debug.ts"(){JJ(),JJ(),St=(e=>(e[e.Off=0]="Off",e[e.Error=1]="Error",e[e.Warning=2]="Warning",e[e.Info=3]="Info",e[e.Verbose=4]="Verbose",e))(St||{}),(e=>{let n=0;function t(n){return e.currentLogLevel<=n}function r(n,r){e.loggingHost&&t(n)&&e.loggingHost.log(n,r)}function o(e){r(3,e)}var i;e.currentLogLevel=2,e.isDebugging=!1,e.shouldLog=t,e.log=o,(i=o=e.log||(e.log={})).error=function(e){r(1,e)},i.warn=function(e){r(2,e)},i.log=function(e){r(3,e)},i.trace=function(e){r(4,e)};const a={};function s(e){return n>=e}function l(n,t){return!!s(n)||(a[t]={level:n,assertion:e[t]},e[t]=yn,!1)}function c(e,n){const t=new Error(e?`Debug Failure. ${e}`:"Debug Failure.");throw Error.captureStackTrace&&Error.captureStackTrace(t,n||c),t}function d(e,n,t,r){e||(n=n?`False expression: ${n}`:"False expression.",t&&(n+="\r\nVerbose Debug Information: "+("string"==typeof t?t:t())),c(n,r||d))}function u(e,n,t){null==e&&c(n,t||u)}function p(e,n,t){for(const r of e)u(r,n,t||p)}function f(e,n="Illegal value:",t){return c(`${n} ${"object"==typeof e&&je(e,"kind")&&je(e,"pos")?"SyntaxKind: "+y(e.kind):JSON.stringify(e)}`,t||f)}function m(e){}function _(e){if("function"!=typeof e)return"";if(je(e,"name"))return e.name;{const n=Function.prototype.toString.call(e),t=/^function\s+([\w$]+)\s*\(/.exec(n);return t?t[1]:""}}function h(e=0,n,t){const r=function(e){const n=g.get(e);if(n)return n;const t=[];for(const n in e){const r=e[n];"number"==typeof r&&t.push([r,n])}const r=Ie(t,((e,n)=>wn(e[0],n[0])));return g.set(e,r),r}(n);if(0===e)return r.length>0&&0===r[0][0]?r[0][1]:"0";if(t){const n=[];let t=e;for(const[o,i]of r){if(o>e)break;0!==o&&o&e&&(n.push(i),t&=~o)}if(0===t)return n.join("|")}else for(const[n,t]of r)if(n===e)return t;return e.toString()}e.getAssertionLevel=function(){return n},e.setAssertionLevel=function(t){const r=n;if(n=t,t>r)for(const n of Ue(a)){const r=a[n];void 0!==r&&e[n]!==r.assertion&&t>=r.level&&(e[n]=r,a[n]=void 0)}},e.shouldAssert=s,e.fail=c,e.failBadSyntaxKind=function e(n,t,r){return c(`${t||"Unexpected node."}\r\nNode ${y(n.kind)} was unexpected.`,r||e)},e.assert=d,e.assertEqual=function e(n,t,r,o,i){if(n!==t){c(`Expected ${n} === ${t}. ${r?o?`${r} ${o}`:r:""}`,i||e)}},e.assertLessThan=function e(n,t,r,o){n>=t&&c(`Expected ${n} < ${t}. ${r||""}`,o||e)},e.assertLessThanOrEqual=function e(n,t,r){n>t&&c(`Expected ${n} <= ${t}`,r||e)},e.assertGreaterThanOrEqual=function e(n,t,r){n<t&&c(`Expected ${n} >= ${t}`,r||e)},e.assertIsDefined=u,e.checkDefined=function e(n,t,r){return u(n,t,r||e),n},e.assertEachIsDefined=p,e.checkEachDefined=function e(n,t,r){return p(n,t,r||e),n},e.assertNever=f,e.assertEachNode=function e(n,t,r,o){l(1,"assertEachNode")&&d(void 0===t||N(n,t),r||"Unexpected node.",(()=>`Node array did not pass test '${_(t)}'.`),o||e)},e.assertNode=function e(n,t,r,o){l(1,"assertNode")&&d(void 0!==n&&(void 0===t||t(n)),r||"Unexpected node.",(()=>`Node ${y(null==n?void 0:n.kind)} did not pass test '${_(t)}'.`),o||e)},e.assertNotNode=function e(n,t,r,o){l(1,"assertNotNode")&&d(void 0===n||void 0===t||!t(n),r||"Unexpected node.",(()=>`Node ${y(n.kind)} should not have passed test '${_(t)}'.`),o||e)},e.assertOptionalNode=function e(n,t,r,o){l(1,"assertOptionalNode")&&d(void 0===t||void 0===n||t(n),r||"Unexpected node.",(()=>`Node ${y(null==n?void 0:n.kind)} did not pass test '${_(t)}'.`),o||e)},e.assertOptionalToken=function e(n,t,r,o){l(1,"assertOptionalToken")&&d(void 0===t||void 0===n||n.kind===t,r||"Unexpected node.",(()=>`Node ${y(null==n?void 0:n.kind)} was not a '${y(t)}' token.`),o||e)},e.assertMissingNode=function e(n,t,r){l(1,"assertMissingNode")&&d(void 0===n,t||"Unexpected node.",(()=>`Node ${y(n.kind)} was unexpected'.`),r||e)},e.type=m,e.getFunctionName=_,e.formatSymbol=function(e){return`{ name: ${Pl(e.escapedName)}; flags: ${T(e.flags)}; declarations: ${B(e.declarations,(e=>y(e.kind)))} }`},e.formatEnum=h;const g=new Map;function y(e){return h(e,kr,!1)}function v(e){return h(e,wr,!0)}function b(e){return h(e,Or,!0)}function E(e){return h(e,jo,!0)}function S(e){return h(e,Uo,!0)}function T(e){return h(e,io,!0)}function x(e){return h(e,uo,!0)}function A(e){return h(e,vo,!0)}function I(e){return h(e,po,!0)}function D(e){return h(e,Br,!0)}e.formatSyntaxKind=y,e.formatSnippetKind=function(e){return h(e,Vo,!1)},e.formatScriptKind=function(e){return h(e,Oo,!1)},e.formatNodeFlags=v,e.formatModifierFlags=b,e.formatTransformFlags=E,e.formatEmitFlags=S,e.formatSymbolFlags=T,e.formatTypeFlags=x,e.formatSignatureFlags=A,e.formatObjectFlags=I,e.formatFlowFlags=D,e.formatRelationComparisonResult=function(e){return h(e,Wr,!0)},e.formatCheckMode=function(e){return h(e,Oz,!0)},e.formatSignatureCheckMode=function(e){return h(e,Fz,!0)},e.formatTypeFacts=function(e){return h(e,kz,!0)};let C,M,P=!1;function L(e){"__debugFlowFlags"in e||Object.defineProperties(e,{__tsDebuggerDisplay:{value(){const e=2&this.flags?"FlowStart":4&this.flags?"FlowBranchLabel":8&this.flags?"FlowLoopLabel":16&this.flags?"FlowAssignment":32&this.flags?"FlowTrueCondition":64&this.flags?"FlowFalseCondition":128&this.flags?"FlowSwitchClause":256&this.flags?"FlowArrayMutation":512&this.flags?"FlowCall":1024&this.flags?"FlowReduceLabel":1&this.flags?"FlowUnreachable":"UnknownFlow",n=-2048&this.flags;return`${e}${n?` (${D(n)})`:""}`}},__debugFlowFlags:{get(){return h(this.flags,Br,!0)}},__debugToString:{value(){return O(this)}}})}function k(e){"__tsDebuggerDisplay"in e||Object.defineProperties(e,{__tsDebuggerDisplay:{value(e){return`NodeArray ${e=String(e).replace(/(?:,[\s\w\d_]+:[^,]+)+\]$/,"]")}`}}})}e.attachFlowNodeDebugInfo=function(e){P&&("function"==typeof Object.setPrototypeOf?(C||(C=Object.create(Object.prototype),L(C)),Object.setPrototypeOf(e,C)):L(e))},e.attachNodeArrayDebugInfo=function(e){P&&("function"==typeof Object.setPrototypeOf?(M||(M=Object.create(Array.prototype),k(M)),Object.setPrototypeOf(e,M)):k(e))},e.enableDebugInfo=function(){if(P)return;const e=new WeakMap,n=new WeakMap;Object.defineProperties(Wp.getSymbolConstructor().prototype,{__tsDebuggerDisplay:{value(){const e=33554432&this.flags?"TransientSymbol":"Symbol",n=-33554433&this.flags;return`${e} '${wl(this)}'${n?` (${T(n)})`:""}`}},__debugFlags:{get(){return T(this.flags)}}}),Object.defineProperties(Wp.getTypeConstructor().prototype,{__tsDebuggerDisplay:{value(){const e=67359327&this.flags?`IntrinsicType ${this.intrinsicName}${this.debugIntrinsicName?` (${this.debugIntrinsicName})`:""}`:98304&this.flags?"NullableType":384&this.flags?`LiteralType ${JSON.stringify(this.value)}`:2048&this.flags?`LiteralType ${this.value.negative?"-":""}${this.value.base10Value}n`:8192&this.flags?"UniqueESSymbolType":32&this.flags?"EnumType":1048576&this.flags?"UnionType":2097152&this.flags?"IntersectionType":4194304&this.flags?"IndexType":8388608&this.flags?"IndexedAccessType":16777216&this.flags?"ConditionalType":33554432&this.flags?"SubstitutionType":262144&this.flags?"TypeParameter":524288&this.flags?3&this.objectFlags?"InterfaceType":4&this.objectFlags?"TypeReference":8&this.objectFlags?"TupleType":16&this.objectFlags?"AnonymousType":32&this.objectFlags?"MappedType":1024&this.objectFlags?"ReverseMappedType":256&this.objectFlags?"EvolvingArrayType":"ObjectType":"Type",n=524288&this.flags?-1344&this.objectFlags:0;return`${e}${this.symbol?` '${wl(this.symbol)}'`:""}${n?` (${I(n)})`:""}`}},__debugFlags:{get(){return x(this.flags)}},__debugObjectFlags:{get(){return 524288&this.flags?I(this.objectFlags):""}},__debugTypeToString:{value(){let n=e.get(this);return void 0===n&&(n=this.checker.typeToString(this),e.set(this,n)),n}}}),Object.defineProperties(Wp.getSignatureConstructor().prototype,{__debugFlags:{get(){return A(this.flags)}},__debugSignatureToString:{value(){var e;return null==(e=this.checker)?void 0:e.signatureToString(this)}}});const t=[Wp.getNodeConstructor(),Wp.getIdentifierConstructor(),Wp.getTokenConstructor(),Wp.getSourceFileConstructor()];for(const e of t)je(e.prototype,"__debugKind")||Object.defineProperties(e.prototype,{__tsDebuggerDisplay:{value(){return`${ud(this)?"GeneratedIdentifier":tN(this)?`Identifier '${Ll(this)}'`:rN(this)?`PrivateIdentifier '${Ll(this)}'`:zI(this)?`StringLiteral ${JSON.stringify(this.text.length<10?this.text:this.text.slice(10)+"...")}`:FI(this)?`NumericLiteral ${this.text}`:WI(this)?`BigIntLiteral ${this.text}n`:vN(this)?"TypeParameterDeclaration":bN(this)?"ParameterDeclaration":IN(this)?"ConstructorDeclaration":NN(this)?"GetAccessorDeclaration":DN(this)?"SetAccessorDeclaration":CN(this)?"CallSignatureDeclaration":MN(this)?"ConstructSignatureDeclaration":PN(this)?"IndexSignatureDeclaration":LN(this)?"TypePredicateNode":kN(this)?"TypeReferenceNode":wN(this)?"FunctionTypeNode":ON(this)?"ConstructorTypeNode":FN(this)?"TypeQueryNode":WN(this)?"TypeLiteralNode":zN(this)?"ArrayTypeNode":GN(this)?"TupleTypeNode":jN(this)?"OptionalTypeNode":VN(this)?"RestTypeNode":UN(this)?"UnionTypeNode":HN(this)?"IntersectionTypeNode":KN(this)?"ConditionalTypeNode":qN(this)?"InferTypeNode":JN(this)?"ParenthesizedTypeNode":XN(this)?"ThisTypeNode":YN(this)?"TypeOperatorNode":$N(this)?"IndexedAccessTypeNode":QN(this)?"MappedTypeNode":ZN(this)?"LiteralTypeNode":BN(this)?"NamedTupleMember":eD(this)?"ImportTypeNode":y(this.kind)}${this.flags?` (${v(this.flags)})`:""}`}},__debugKind:{get(){return y(this.kind)}},__debugNodeFlags:{get(){return v(this.flags)}},__debugModifierFlags:{get(){return b(oE(this))}},__debugTransformFlags:{get(){return E(this.transformFlags)}},__debugIsParseTreeNode:{get(){return Dl(this)}},__debugEmitFlags:{get(){return S(Im(this))}},__debugGetText:{value(e){if(Sv(this))return"";let t=n.get(this);if(void 0===t){const r=Cl(this),o=r&&$f(r);t=o?Em(o,r,e):"",n.set(this,t)}return t}}});P=!0},e.formatVariance=function(e){const n=7&e;let t=0===n?"in out":3===n?"[bivariant]":2===n?"in":1===n?"out":4===n?"[independent]":"";return 8&e?t+=" (unmeasurable)":16&e&&(t+=" (unreliable)"),t};class w{__debugToString(){var e;switch(this.kind){case 3:return(null==(e=this.debugInfo)?void 0:e.call(this))||"(function mapper)";case 0:return`${this.source.__debugTypeToString()} -> ${this.target.__debugTypeToString()}`;case 1:return R(this.sources,this.targets||B(this.sources,(()=>"any")),((e,n)=>`${e.__debugTypeToString()} -> ${"string"==typeof n?n:n.__debugTypeToString()}`)).join(", ");case 2:return R(this.sources,this.targets,((e,n)=>`${e.__debugTypeToString()} -> ${n().__debugTypeToString()}`)).join(", ");case 5:case 4:return`m1: ${this.mapper1.__debugToString().split("\n").join("\n    ")}\nm2: ${this.mapper2.__debugToString().split("\n").join("\n    ")}`;default:return f(this)}}}function O(e){let n,t=-1;function r(e){return e.id||(e.id=t,t--),e.id}var o;let i;var a;(o=n||(n={})).lr="─",o.ud="│",o.dr="╭",o.dl="╮",o.ul="╯",o.ur="╰",o.udr="├",o.udl="┤",o.dlr="┬",o.ulr="┴",o.udlr="╫",(a=i||(i={}))[a.None=0]="None",a[a.Up=1]="Up",a[a.Down=2]="Down",a[a.Left=4]="Left",a[a.Right=8]="Right",a[a.UpDown=3]="UpDown",a[a.LeftRight=12]="LeftRight",a[a.UpLeft=5]="UpLeft",a[a.UpRight=9]="UpRight",a[a.DownLeft=6]="DownLeft",a[a.DownRight=10]="DownRight",a[a.UpDownLeft=7]="UpDownLeft",a[a.UpDownRight=11]="UpDownRight",a[a.UpLeftRight=13]="UpLeftRight",a[a.DownLeftRight=14]="DownLeftRight",a[a.UpDownLeftRight=15]="UpDownLeftRight",a[a.NoChildren=16]="NoChildren";const s=Object.create(null),l=[],c=[],d=_(e,new Set);for(const e of l)e.text=v(e.flowNode,e.circular),g(e);const u=function e(n){let t=0;for(const r of f(n))t=Math.max(t,e(r));return t+1}(d),p=function(e){const n=E(Array(e),0);for(const e of l)n[e.level]=Math.max(n[e.level],e.text.length);return n}(u);return function e(n,t){if(-1===n.lane){n.lane=t,n.endLane=t;const r=f(n);for(let o=0;o<r.length;o++){o>0&&t++;const i=r[o];e(i,t),i.endLane>n.endLane&&(t=i.endLane)}n.endLane=t}}(d,0),function(){const e=p.length,n=l.reduce(((e,n)=>Math.max(e,n.lane)),0)+1,t=E(Array(n),""),r=p.map((()=>Array(n))),o=p.map((()=>E(Array(n),0)));for(const e of l){r[e.level][e.lane]=e;const n=f(e);for(let t=0;t<n.length;t++){const r=n[t];let i=8;r.lane===e.lane&&(i|=4),t>0&&(i|=1),t<n.length-1&&(i|=2),o[e.level][r.lane]|=i}0===n.length&&(o[e.level][e.lane]|=16);const t=m(e);for(let n=0;n<t.length;n++){const r=t[n];let i=4;n>0&&(i|=1),n<t.length-1&&(i|=2),o[e.level-1][r.lane]|=i}}for(let t=0;t<e;t++)for(let e=0;e<n;e++){const n=t>0?o[t-1][e]:0,r=e>0?o[t][e-1]:0;let i=o[t][e];i||(8&n&&(i|=12),2&r&&(i|=3),o[t][e]=i)}for(let n=0;n<e;n++)for(let a=0;a<t.length;a++){const t=o[n][a],s=4&t?"─":" ",l=r[n][a];l?(i(a,l.text),n<e-1&&(i(a," "),i(a,S(s,p[n]-l.text.length)))):n<e-1&&i(a,S(s,p[n]+1)),i(a,b(t)),i(a,8&t&&n<e-1&&!r[n+1][a]?"─":" ")}return`\n${t.join("\n")}\n`;function i(e,n){t[e]+=n}}();function f(e){const n=[];for(const t of e.edges)t.source===e&&n.push(t.target);return n}function m(e){const n=[];for(const t of e.edges)t.target===e&&n.push(t.source);return n}function _(e,n){const t=r(e);let o=s[t];if(o&&n.has(e))return o.circular=!0,o={id:-1,flowNode:e,edges:[],text:"",lane:-1,endLane:-1,level:-1,circular:"circularity"},l.push(o),o;if(n.add(e),!o)if(s[t]=o={id:t,flowNode:e,edges:[],text:"",lane:-1,endLane:-1,level:-1,circular:!1},l.push(o),12&(i=e).flags&&i.antecedents)for(const t of e.antecedents)h(o,t,n);else(function(e){return!!(2032&e.flags)})(e)&&h(o,e.antecedent,n);var i;return n.delete(e),o}function h(e,n,t){const r=_(n,t),o={source:e,target:r};c.push(o),e.edges.push(o),r.edges.push(o)}function g(e){if(-1!==e.level)return e.level;let n=0;for(const t of m(e))n=Math.max(n,g(t)+1);return e.level=n}function y(e){return Em($f(e),e,!1)}function v(e,n){let t=function(e){if(2&e)return"Start";if(4&e)return"Branch";if(8&e)return"Loop";if(16&e)return"Assignment";if(32&e)return"True";if(64&e)return"False";if(128&e)return"SwitchClause";if(256&e)return"ArrayMutation";if(512&e)return"Call";if(1024&e)return"ReduceLabel";if(1&e)return"Unreachable";throw new Error}(e.flags);if(n&&(t=`${t}#${r(e)}`),882&e.flags)e.node&&(t+=` (${y(e.node)})`);else if(function(e){return!!(128&e.flags)}(e)){const n=[];for(let t=e.clauseStart;t<e.clauseEnd;t++){const r=e.switchStatement.caseBlock.clauses[t];XC(r)?n.push("default"):n.push(y(r.expression))}t+=` (${n.join(", ")})`}return"circularity"===n?`Circular(${t})`:t}function b(e){switch(e){case 3:return"│";case 12:return"─";case 5:return"╯";case 9:return"╰";case 6:return"╮";case 10:return"╭";case 7:return"┤";case 11:return"├";case 13:return"┴";case 14:return"┬";case 15:return"╫"}return" "}function E(e,n){if(e.fill)e.fill(n);else for(let t=0;t<e.length;t++)e[t]=n;return e}function S(e,n){if(e.repeat)return n>0?e.repeat(n):"";let t="";for(;t.length<n;)t+=e;return t}}e.DebugTypeMapper=w,e.attachDebugPrototypeIfDebug=function(n){return e.isDebugging?Object.setPrototypeOf(n,w.prototype):n},e.printControlFlowGraph=function(e){return console.log(O(e))},e.formatControlFlowGraph=O})(Tt||(Tt={}))}});function Gt(e){const n=xt.exec(e);if(!n)return;const[,t,r="0",o="0",i="",a=""]=n;return i&&!At.test(i)||a&&!It.test(a)?void 0:{major:parseInt(t,10),minor:parseInt(r,10),patch:parseInt(o,10),prerelease:i,build:a}}function Bt(e){const n=[];for(let t of e.trim().split(Lt)){if(!t)continue;const e=[];t=t.trim();const r=Ot.exec(t);if(r){if(!Vt(r[1],r[2],e))return}else for(const n of t.split(kt)){const t=Ft.exec(n.trim());if(!t||!Ut(t[1],t[2],e))return}n.push(e)}return n}function jt(e){const n=wt.exec(e);if(!n)return;const[,t,r="*",o="*",i,a]=n;return{version:new Mt(Ht(t)?0:parseInt(t,10),Ht(t)||Ht(r)?0:parseInt(r,10),Ht(t)||Ht(r)||Ht(o)?0:parseInt(o,10),i,a),major:t,minor:r,patch:o}}function Vt(e,n,t){const r=jt(e);if(!r)return!1;const o=jt(n);return!!o&&(Ht(r.major)||t.push(Kt(">=",r.version)),Ht(o.major)||t.push(Ht(o.minor)?Kt("<",o.version.increment("major")):Ht(o.patch)?Kt("<",o.version.increment("minor")):Kt("<=",o.version)),!0)}function Ut(e,n,t){const r=jt(n);if(!r)return!1;const{version:o,major:i,minor:a,patch:s}=r;if(Ht(i))"<"!==e&&">"!==e||t.push(Kt("<",Mt.zero));else switch(e){case"~":t.push(Kt(">=",o)),t.push(Kt("<",o.increment(Ht(a)?"major":"minor")));break;case"^":t.push(Kt(">=",o)),t.push(Kt("<",o.increment(o.major>0||Ht(a)?"major":o.minor>0||Ht(s)?"minor":"patch")));break;case"<":case">=":t.push(Ht(a)||Ht(s)?Kt(e,o.with({prerelease:"0"})):Kt(e,o));break;case"<=":case">":t.push(Ht(a)?Kt("<="===e?"<":">=",o.increment("major").with({prerelease:"0"})):Ht(s)?Kt("<="===e?"<":">=",o.increment("minor").with({prerelease:"0"})):Kt(e,o));break;case"=":case void 0:Ht(a)||Ht(s)?(t.push(Kt(">=",o.with({prerelease:"0"}))),t.push(Kt("<",o.increment(Ht(a)?"major":"minor").with({prerelease:"0"})))):t.push(Kt("=",o));break;default:return!1}return!0}function Ht(e){return"*"===e||"x"===e||"X"===e}function Kt(e,n){return{operator:e,operand:n}}function qt(e,n){for(const t of n)if(!Jt(e,t.operator,t.operand))return!1;return!0}function Jt(e,n,t){const r=e.compareTo(t);switch(n){case"<":return r<0;case"<=":return r<=0;case">":return r>0;case">=":return r>=0;case"=":return 0===r;default:return Tt.assertNever(n)}}function Xt(e){return B(e,Yt).join(" ")}function Yt(e){return`${e.operator}${e.operand}`}var $t,Qt,Zt,er=g({"src/compiler/semver.ts"(){JJ(),xt=/^(0|[1-9]\d*)(?:\.(0|[1-9]\d*)(?:\.(0|[1-9]\d*)(?:-([a-z0-9-.]+))?(?:\+([a-z0-9-.]+))?)?)?$/i,At=/^(?:0|[1-9]\d*|[a-z-][a-z0-9-]*)(?:\.(?:0|[1-9]\d*|[a-z-][a-z0-9-]*))*$/i,Rt=/^(?:0|[1-9]\d*|[a-z-][a-z0-9-]*)$/i,It=/^[a-z0-9-]+(?:\.[a-z0-9-]+)*$/i,Nt=/^[a-z0-9-]+$/i,Dt=/^(0|[1-9]\d*)$/,(Ct=class e{constructor(e,n=0,t=0,r="",i=""){if("string"==typeof e){const o=Tt.checkDefined(Gt(e),"Invalid version");({major:e,minor:n,patch:t,prerelease:r,build:i}=o)}Tt.assert(e>=0,"Invalid argument: major"),Tt.assert(n>=0,"Invalid argument: minor"),Tt.assert(t>=0,"Invalid argument: patch");const a=r?pn(r)?r:r.split("."):o,s=i?pn(i)?i:i.split("."):o;Tt.assert(N(a,(e=>Rt.test(e))),"Invalid argument: prerelease"),Tt.assert(N(s,(e=>Nt.test(e))),"Invalid argument: build"),this.major=e,this.minor=n,this.patch=t,this.prerelease=a,this.build=s}static tryParse(n){const t=Gt(n);if(!t)return;const{major:r,minor:o,patch:i,prerelease:a,build:s}=t;return new e(r,o,i,a,s)}compareTo(e){return this===e?0:void 0===e?1:wn(this.major,e.major)||wn(this.minor,e.minor)||wn(this.patch,e.patch)||function(e,n){if(e===n)return 0;if(0===e.length)return 0===n.length?0:1;if(0===n.length)return-1;const t=Math.min(e.length,n.length);for(let r=0;r<t;r++){const t=e[r],o=n[r];if(t===o)continue;const i=Dt.test(t),a=Dt.test(o);if(i||a){if(i!==a)return i?-1:1;const e=wn(+t,+o);if(e)return e}else{const e=Gn(t,o);if(e)return e}}return wn(e.length,n.length)}(this.prerelease,e.prerelease)}increment(n){switch(n){case"major":return new e(this.major+1,0,0);case"minor":return new e(this.major,this.minor+1,0);case"patch":return new e(this.major,this.minor,this.patch+1);default:return Tt.assertNever(n)}}with(n){const{major:t=this.major,minor:r=this.minor,patch:o=this.patch,prerelease:i=this.prerelease,build:a=this.build}=n;return new e(t,r,o,i,a)}toString(){let e=`${this.major}.${this.minor}.${this.patch}`;return oe(this.prerelease)&&(e+=`-${this.prerelease.join(".")}`),oe(this.build)&&(e+=`+${this.build.join(".")}`),e}}).zero=new Ct(0,0,0,["0"]),Mt=Ct,Pt=class e{constructor(e){this._alternatives=e?Tt.checkDefined(Bt(e),"Invalid range spec."):o}static tryParse(n){const t=Bt(n);if(t){const n=new e("");return n._alternatives=t,n}}test(e){return"string"==typeof e&&(e=new Mt(e)),function(e,n){if(0===n.length)return!0;for(const t of n)if(qt(e,t))return!0;return!1}(e,this._alternatives)}toString(){return B(this._alternatives,Xt).join(" || ")||"*"}},Lt=/\|\|/g,kt=/\s+/g,wt=/^([xX*0]|[1-9]\d*)(?:\.([xX*0]|[1-9]\d*)(?:\.([xX*0]|[1-9]\d*)(?:-([a-z0-9-.]+))?(?:\+([a-z0-9-.]+))?)?)?$/i,Ot=/^\s*([a-z0-9-+.*]+)\s+-\s+([a-z0-9-+.*]+)\s*$/i,Ft=/^(~|\^|<|<=|>|>=|=)?\s*([a-z0-9-+.*]+)$/i}});function nr(e,n){return"object"==typeof e&&"number"==typeof e.timeOrigin&&"function"==typeof e.mark&&"function"==typeof e.measure&&"function"==typeof e.now&&"function"==typeof e.clearMarks&&"function"==typeof e.clearMeasures&&"function"==typeof n}function tr(){return $t}var rr,or,ir,ar,sr,lr,cr,dr,ur,pr,fr=g({"src/compiler/performanceCore.ts"(){JJ(),$t=function(){if("object"==typeof performance&&"function"==typeof PerformanceObserver&&nr(performance,PerformanceObserver))return{shouldWriteNativeEvents:!0,performance:performance,PerformanceObserver:PerformanceObserver}}()||function(){if(Et())try{const{performance:e,PerformanceObserver:n}=bi("perf_hooks");if(nr(e,n))return{shouldWriteNativeEvents:!1,performance:e,PerformanceObserver:n}}catch{}}(),Qt=null==$t?void 0:$t.performance,Zt=Qt?()=>Qt.now():Date.now?Date.now:()=>+new Date}}),mr=g({"src/compiler/perfLogger.ts"(){try{const e=process.env.TS_ETW_MODULE_PATH??"./node_modules/@microsoft/typescript-etw";rr=bi(e)}catch(e){rr=void 0}or=(null==rr?void 0:rr.logEvent)?rr:void 0}});function _r(e,n,t,r){return e?hr(n,t,r):sr}function hr(e,n,t){let r=0;return{enter:function(){1==++r&&gr(n)},exit:function(){0==--r?(gr(t),yr(e,n,t)):r<0&&Tt.fail("enter/exit count does not match.")}}}function gr(e){if(lr){const n=ur.get(e)??0;ur.set(e,n+1),dr.set(e,Zt()),null==ar||ar.mark(e),"function"==typeof onProfilerEvent&&onProfilerEvent(e)}}function yr(e,n,t){if(lr){const r=(void 0!==t?dr.get(t):void 0)??Zt(),o=(void 0!==n?dr.get(n):void 0)??cr,i=pr.get(e)||0;pr.set(e,i+(r-o)),null==ar||ar.measure(e,n,t)}}function vr(e){return ur.get(e)||0}function br(e){return pr.get(e)||0}function Er(e){pr.forEach(((n,t)=>e(t,n)))}function Sr(e){dr.forEach(((n,t)=>e(t)))}function Tr(e){void 0!==e?pr.delete(e):pr.clear(),null==ar||ar.clearMeasures(e)}function xr(e){void 0!==e?(ur.delete(e),dr.delete(e)):(ur.clear(),dr.clear()),null==ar||ar.clearMarks(e)}function Ar(){return lr}function Rr(e=fi){var n;return lr||(lr=!0,ir||(ir=tr()),ir&&(cr=ir.performance.timeOrigin,(ir.shouldWriteNativeEvents||(null==(n=null==e?void 0:e.cpuProfilingEnabled)?void 0:n.call(e))||(null==e?void 0:e.debugMode))&&(ar=ir.performance))),!0}function Ir(){lr&&(dr.clear(),ur.clear(),pr.clear(),ar=void 0,lr=!1)}var Nr=g({"src/compiler/performance.ts"(){JJ(),sr={enter:yn,exit:yn},lr=!1,cr=Zt(),dr=new Map,ur=new Map,pr=new Map}}),Dr={};y(Dr,{clearMarks:()=>xr,clearMeasures:()=>Tr,createTimer:()=>hr,createTimerIf:()=>_r,disable:()=>Ir,enable:()=>Rr,forEachMark:()=>Sr,forEachMeasure:()=>Er,getCount:()=>vr,getDuration:()=>br,isEnabled:()=>Ar,mark:()=>gr,measure:()=>yr,nullTimer:()=>sr});var Cr,Mr,Pr,Lr,kr,wr,Or,Fr,Wr,zr,Gr,Br,jr,Vr,Ur,Hr,Kr,qr,Jr,Xr,Yr,$r,Qr,Zr,eo,no,to,ro,oo,io,ao,so,lo,co,uo,po,fo,mo,_o,ho,go,yo,vo,bo,Eo,So,To,xo,Ao,Ro,Io,No,Do,Co,Mo,Po,Lo,ko,wo,Oo,Fo,Wo,zo,Go,Bo,jo,Vo,Uo,Ho,Ko,qo,Jo,Xo,Yo,$o,Qo,Zo,ei,ni=g({"src/compiler/_namespaces/ts.performance.ts"(){Nr()}}),ti=g({"src/compiler/tracing.ts"(){JJ(),ni(),(e=>{let n,t,r=0,o=0;const i=[];let a;const s=[];let l;var c;e.startTracing=function(l,c,d){if(Tt.assert(!Cr,"Tracing already started"),void 0===n)try{n=bi("fs")}catch(e){throw new Error(`tracing requires having fs\n(original error: ${e.message||e})`)}t=l,i.length=0,void 0===a&&(a=ua(c,"legend.json")),n.existsSync(c)||n.mkdirSync(c,{recursive:!0});const u="build"===t?`.${process.pid}-${++r}`:"server"===t?`.${process.pid}`:"",p=ua(c,`trace${u}.json`),f=ua(c,`types${u}.json`);s.push({configFilePath:d,tracePath:p,typesPath:f}),o=n.openSync(p,"w"),Cr=e;const m={cat:"__metadata",ph:"M",ts:1e3*Zt(),pid:1,tid:1};n.writeSync(o,"[\n"+[{name:"process_name",args:{name:"tsc"},...m},{name:"thread_name",args:{name:"Main"},...m},{name:"TracingStartedInBrowser",...m,cat:"disabled-by-default-devtools.timeline"}].map((e=>JSON.stringify(e))).join(",\n"))},e.stopTracing=function(){Tt.assert(Cr,"Tracing is not in progress"),Tt.assert(!!i.length==("server"!==t)),n.writeSync(o,"\n]\n"),n.closeSync(o),Cr=void 0,i.length?function(e){var t,r,o,i,a,l,c,d,u,p,f,_,h,g,y,v,b,E,S;gr("beginDumpTypes");const T=s[s.length-1].typesPath,x=n.openSync(T,"w"),A=new Map;n.writeSync(x,"[");const R=e.length;for(let s=0;s<R;s++){const T=e[s],I=T.objectFlags,N=T.aliasSymbol??T.symbol;let D;if(16&I|2944&T.flags)try{D=null==(t=T.checker)?void 0:t.typeToString(T)}catch{D=void 0}let C={};if(8388608&T.flags){const e=T;C={indexedAccessObjectType:null==(r=e.objectType)?void 0:r.id,indexedAccessIndexType:null==(o=e.indexType)?void 0:o.id}}let M={};if(4&I){const e=T;M={instantiatedType:null==(i=e.target)?void 0:i.id,typeArguments:null==(a=e.resolvedTypeArguments)?void 0:a.map((e=>e.id)),referenceLocation:m(e.node)}}let P={};if(16777216&T.flags){const e=T;P={conditionalCheckType:null==(l=e.checkType)?void 0:l.id,conditionalExtendsType:null==(c=e.extendsType)?void 0:c.id,conditionalTrueType:(null==(d=e.resolvedTrueType)?void 0:d.id)??-1,conditionalFalseType:(null==(u=e.resolvedFalseType)?void 0:u.id)??-1}}let L={};if(33554432&T.flags){const e=T;L={substitutionBaseType:null==(p=e.baseType)?void 0:p.id,constraintType:null==(f=e.constraint)?void 0:f.id}}let k={};if(1024&I){const e=T;k={reverseMappedSourceType:null==(_=e.source)?void 0:_.id,reverseMappedMappedType:null==(h=e.mappedType)?void 0:h.id,reverseMappedConstraintType:null==(g=e.constraintType)?void 0:g.id}}let w,O={};if(256&I){const e=T;O={evolvingArrayElementType:e.elementType.id,evolvingArrayFinalType:null==(y=e.finalArrayType)?void 0:y.id}}const F=T.checker.getRecursionIdentity(T);F&&(w=A.get(F),w||(w=A.size,A.set(F,w)));const W={id:T.id,intrinsicName:T.intrinsicName,symbolName:(null==N?void 0:N.escapedName)&&Pl(N.escapedName),recursionId:w,isTuple:!!(8&I)||void 0,unionTypes:1048576&T.flags?null==(v=T.types)?void 0:v.map((e=>e.id)):void 0,intersectionTypes:2097152&T.flags?T.types.map((e=>e.id)):void 0,aliasTypeArguments:null==(b=T.aliasTypeArguments)?void 0:b.map((e=>e.id)),keyofType:4194304&T.flags?null==(E=T.type)?void 0:E.id:void 0,...C,...M,...P,...L,...k,...O,destructuringPattern:m(T.pattern),firstDeclaration:m(null==(S=null==N?void 0:N.declarations)?void 0:S[0]),flags:Tt.formatTypeFlags(T.flags).split("|"),display:D};n.writeSync(x,JSON.stringify(W)),s<R-1&&n.writeSync(x,",\n")}n.writeSync(x,"]\n"),n.closeSync(x),gr("endDumpTypes"),yr("Dump types","beginDumpTypes","endDumpTypes")}(i):s[s.length-1].typesPath=void 0},e.recordType=function(e){"server"!==t&&i.push(e)},(c=l=e.Phase||(e.Phase={})).Parse="parse",c.Program="program",c.Bind="bind",c.Check="check",c.CheckTypes="checkTypes",c.Emit="emit",c.Session="session",e.instant=function(e,n,t){f("I",e,n,t,'"s":"g"')};const d=[];e.push=function(e,n,t,r=!1){r&&f("B",e,n,t),d.push({phase:e,name:n,args:t,time:1e3*Zt(),separateBeginAndEnd:r})},e.pop=function(e){Tt.assert(d.length>0),p(d.length-1,1e3*Zt(),e),d.length--},e.popAll=function(){const e=1e3*Zt();for(let n=d.length-1;n>=0;n--)p(n,e);d.length=0};const u=1e4;function p(e,n,t){const{phase:r,name:o,args:i,time:a,separateBeginAndEnd:s}=d[e];s?(Tt.assert(!t,"`results` are not supported for events with `separateBeginAndEnd`"),f("E",r,o,i,void 0,n)):u-a%u<=n-a&&f("X",r,o,{...i,results:t},'"dur":'+(n-a),a)}function f(e,r,i,a,s,l=1e3*Zt()){"server"===t&&"checkTypes"===r||(gr("beginTracing"),n.writeSync(o,`,\n{"pid":1,"tid":1,"ph":"${e}","cat":"${r}","ts":${l},"name":"${i}"`),s&&n.writeSync(o,`,${s}`),a&&n.writeSync(o,`,"args":${JSON.stringify(a)}`),n.writeSync(o,"}"),gr("endTracing"),yr("Tracing","beginTracing","endTracing"))}function m(e){const n=$f(e);return n?{path:n.path,start:t(_s(n,e.pos)),end:t(_s(n,e.end))}:void 0;function t(e){return{line:e.line+1,character:e.character+1}}}e.dumpLegend=function(){a&&n.writeFileSync(a,JSON.stringify(s))}})(Mr||(Mr={})),Pr=Mr.startTracing,Lr=Mr.dumpLegend}});function ri(e,n=!0){const t=Ro[e.category];return n?t.toLowerCase():t}var oi,ii,ai,si,li,ci,di,ui,pi,fi,mi=g({"src/compiler/types.ts"(){kr=(e=>(e[e.Unknown=0]="Unknown",e[e.EndOfFileToken=1]="EndOfFileToken",e[e.SingleLineCommentTrivia=2]="SingleLineCommentTrivia",e[e.MultiLineCommentTrivia=3]="MultiLineCommentTrivia",e[e.NewLineTrivia=4]="NewLineTrivia",e[e.WhitespaceTrivia=5]="WhitespaceTrivia",e[e.ShebangTrivia=6]="ShebangTrivia",e[e.ConflictMarkerTrivia=7]="ConflictMarkerTrivia",e[e.NonTextFileMarkerTrivia=8]="NonTextFileMarkerTrivia",e[e.NumericLiteral=9]="NumericLiteral",e[e.BigIntLiteral=10]="BigIntLiteral",e[e.StringLiteral=11]="StringLiteral",e[e.JsxText=12]="JsxText",e[e.JsxTextAllWhiteSpaces=13]="JsxTextAllWhiteSpaces",e[e.RegularExpressionLiteral=14]="RegularExpressionLiteral",e[e.NoSubstitutionTemplateLiteral=15]="NoSubstitutionTemplateLiteral",e[e.TemplateHead=16]="TemplateHead",e[e.TemplateMiddle=17]="TemplateMiddle",e[e.TemplateTail=18]="TemplateTail",e[e.OpenBraceToken=19]="OpenBraceToken",e[e.CloseBraceToken=20]="CloseBraceToken",e[e.OpenParenToken=21]="OpenParenToken",e[e.CloseParenToken=22]="CloseParenToken",e[e.OpenBracketToken=23]="OpenBracketToken",e[e.CloseBracketToken=24]="CloseBracketToken",e[e.DotToken=25]="DotToken",e[e.DotDotDotToken=26]="DotDotDotToken",e[e.SemicolonToken=27]="SemicolonToken",e[e.CommaToken=28]="CommaToken",e[e.QuestionDotToken=29]="QuestionDotToken",e[e.LessThanToken=30]="LessThanToken",e[e.LessThanSlashToken=31]="LessThanSlashToken",e[e.GreaterThanToken=32]="GreaterThanToken",e[e.LessThanEqualsToken=33]="LessThanEqualsToken",e[e.GreaterThanEqualsToken=34]="GreaterThanEqualsToken",e[e.EqualsEqualsToken=35]="EqualsEqualsToken",e[e.ExclamationEqualsToken=36]="ExclamationEqualsToken",e[e.EqualsEqualsEqualsToken=37]="EqualsEqualsEqualsToken",e[e.ExclamationEqualsEqualsToken=38]="ExclamationEqualsEqualsToken",e[e.EqualsGreaterThanToken=39]="EqualsGreaterThanToken",e[e.PlusToken=40]="PlusToken",e[e.MinusToken=41]="MinusToken",e[e.AsteriskToken=42]="AsteriskToken",e[e.AsteriskAsteriskToken=43]="AsteriskAsteriskToken",e[e.SlashToken=44]="SlashToken",e[e.PercentToken=45]="PercentToken",e[e.PlusPlusToken=46]="PlusPlusToken",e[e.MinusMinusToken=47]="MinusMinusToken",e[e.LessThanLessThanToken=48]="LessThanLessThanToken",e[e.GreaterThanGreaterThanToken=49]="GreaterThanGreaterThanToken",e[e.GreaterThanGreaterThanGreaterThanToken=50]="GreaterThanGreaterThanGreaterThanToken",e[e.AmpersandToken=51]="AmpersandToken",e[e.BarToken=52]="BarToken",e[e.CaretToken=53]="CaretToken",e[e.ExclamationToken=54]="ExclamationToken",e[e.TildeToken=55]="TildeToken",e[e.AmpersandAmpersandToken=56]="AmpersandAmpersandToken",e[e.BarBarToken=57]="BarBarToken",e[e.QuestionToken=58]="QuestionToken",e[e.ColonToken=59]="ColonToken",e[e.AtToken=60]="AtToken",e[e.QuestionQuestionToken=61]="QuestionQuestionToken",e[e.BacktickToken=62]="BacktickToken",e[e.HashToken=63]="HashToken",e[e.EqualsToken=64]="EqualsToken",e[e.PlusEqualsToken=65]="PlusEqualsToken",e[e.MinusEqualsToken=66]="MinusEqualsToken",e[e.AsteriskEqualsToken=67]="AsteriskEqualsToken",e[e.AsteriskAsteriskEqualsToken=68]="AsteriskAsteriskEqualsToken",e[e.SlashEqualsToken=69]="SlashEqualsToken",e[e.PercentEqualsToken=70]="PercentEqualsToken",e[e.LessThanLessThanEqualsToken=71]="LessThanLessThanEqualsToken",e[e.GreaterThanGreaterThanEqualsToken=72]="GreaterThanGreaterThanEqualsToken",e[e.GreaterThanGreaterThanGreaterThanEqualsToken=73]="GreaterThanGreaterThanGreaterThanEqualsToken",e[e.AmpersandEqualsToken=74]="AmpersandEqualsToken",e[e.BarEqualsToken=75]="BarEqualsToken",e[e.BarBarEqualsToken=76]="BarBarEqualsToken",e[e.AmpersandAmpersandEqualsToken=77]="AmpersandAmpersandEqualsToken",e[e.QuestionQuestionEqualsToken=78]="QuestionQuestionEqualsToken",e[e.CaretEqualsToken=79]="CaretEqualsToken",e[e.Identifier=80]="Identifier",e[e.PrivateIdentifier=81]="PrivateIdentifier",e[e.JSDocCommentTextToken=82]="JSDocCommentTextToken",e[e.BreakKeyword=83]="BreakKeyword",e[e.CaseKeyword=84]="CaseKeyword",e[e.CatchKeyword=85]="CatchKeyword",e[e.ClassKeyword=86]="ClassKeyword",e[e.ConstKeyword=87]="ConstKeyword",e[e.ContinueKeyword=88]="ContinueKeyword",e[e.DebuggerKeyword=89]="DebuggerKeyword",e[e.DefaultKeyword=90]="DefaultKeyword",e[e.DeleteKeyword=91]="DeleteKeyword",e[e.DoKeyword=92]="DoKeyword",e[e.ElseKeyword=93]="ElseKeyword",e[e.EnumKeyword=94]="EnumKeyword",e[e.ExportKeyword=95]="ExportKeyword",e[e.ExtendsKeyword=96]="ExtendsKeyword",e[e.FalseKeyword=97]="FalseKeyword",e[e.FinallyKeyword=98]="FinallyKeyword",e[e.ForKeyword=99]="ForKeyword",e[e.FunctionKeyword=100]="FunctionKeyword",e[e.IfKeyword=101]="IfKeyword",e[e.ImportKeyword=102]="ImportKeyword",e[e.InKeyword=103]="InKeyword",e[e.InstanceOfKeyword=104]="InstanceOfKeyword",e[e.NewKeyword=105]="NewKeyword",e[e.NullKeyword=106]="NullKeyword",e[e.ReturnKeyword=107]="ReturnKeyword",e[e.SuperKeyword=108]="SuperKeyword",e[e.SwitchKeyword=109]="SwitchKeyword",e[e.ThisKeyword=110]="ThisKeyword",e[e.ThrowKeyword=111]="ThrowKeyword",e[e.TrueKeyword=112]="TrueKeyword",e[e.TryKeyword=113]="TryKeyword",e[e.TypeOfKeyword=114]="TypeOfKeyword",e[e.VarKeyword=115]="VarKeyword",e[e.VoidKeyword=116]="VoidKeyword",e[e.WhileKeyword=117]="WhileKeyword",e[e.WithKeyword=118]="WithKeyword",e[e.ImplementsKeyword=119]="ImplementsKeyword",e[e.InterfaceKeyword=120]="InterfaceKeyword",e[e.LetKeyword=121]="LetKeyword",e[e.PackageKeyword=122]="PackageKeyword",e[e.PrivateKeyword=123]="PrivateKeyword",e[e.ProtectedKeyword=124]="ProtectedKeyword",e[e.PublicKeyword=125]="PublicKeyword",e[e.StaticKeyword=126]="StaticKeyword",e[e.YieldKeyword=127]="YieldKeyword",e[e.AbstractKeyword=128]="AbstractKeyword",e[e.AccessorKeyword=129]="AccessorKeyword",e[e.AsKeyword=130]="AsKeyword",e[e.AssertsKeyword=131]="AssertsKeyword",e[e.AssertKeyword=132]="AssertKeyword",e[e.AnyKeyword=133]="AnyKeyword",e[e.AsyncKeyword=134]="AsyncKeyword",e[e.AwaitKeyword=135]="AwaitKeyword",e[e.BooleanKeyword=136]="BooleanKeyword",e[e.ConstructorKeyword=137]="ConstructorKeyword",e[e.DeclareKeyword=138]="DeclareKeyword",e[e.GetKeyword=139]="GetKeyword",e[e.InferKeyword=140]="InferKeyword",e[e.IntrinsicKeyword=141]="IntrinsicKeyword",e[e.IsKeyword=142]="IsKeyword",e[e.KeyOfKeyword=143]="KeyOfKeyword",e[e.ModuleKeyword=144]="ModuleKeyword",e[e.NamespaceKeyword=145]="NamespaceKeyword",e[e.NeverKeyword=146]="NeverKeyword",e[e.OutKeyword=147]="OutKeyword",e[e.ReadonlyKeyword=148]="ReadonlyKeyword",e[e.RequireKeyword=149]="RequireKeyword",e[e.NumberKeyword=150]="NumberKeyword",e[e.ObjectKeyword=151]="ObjectKeyword",e[e.SatisfiesKeyword=152]="SatisfiesKeyword",e[e.SetKeyword=153]="SetKeyword",e[e.StringKeyword=154]="StringKeyword",e[e.SymbolKeyword=155]="SymbolKeyword",e[e.TypeKeyword=156]="TypeKeyword",e[e.UndefinedKeyword=157]="UndefinedKeyword",e[e.UniqueKeyword=158]="UniqueKeyword",e[e.UnknownKeyword=159]="UnknownKeyword",e[e.UsingKeyword=160]="UsingKeyword",e[e.FromKeyword=161]="FromKeyword",e[e.GlobalKeyword=162]="GlobalKeyword",e[e.BigIntKeyword=163]="BigIntKeyword",e[e.OverrideKeyword=164]="OverrideKeyword",e[e.OfKeyword=165]="OfKeyword",e[e.QualifiedName=166]="QualifiedName",e[e.ComputedPropertyName=167]="ComputedPropertyName",e[e.TypeParameter=168]="TypeParameter",e[e.Parameter=169]="Parameter",e[e.Decorator=170]="Decorator",e[e.PropertySignature=171]="PropertySignature",e[e.PropertyDeclaration=172]="PropertyDeclaration",e[e.MethodSignature=173]="MethodSignature",e[e.MethodDeclaration=174]="MethodDeclaration",e[e.ClassStaticBlockDeclaration=175]="ClassStaticBlockDeclaration",e[e.Constructor=176]="Constructor",e[e.GetAccessor=177]="GetAccessor",e[e.SetAccessor=178]="SetAccessor",e[e.CallSignature=179]="CallSignature",e[e.ConstructSignature=180]="ConstructSignature",e[e.IndexSignature=181]="IndexSignature",e[e.TypePredicate=182]="TypePredicate",e[e.TypeReference=183]="TypeReference",e[e.FunctionType=184]="FunctionType",e[e.ConstructorType=185]="ConstructorType",e[e.TypeQuery=186]="TypeQuery",e[e.TypeLiteral=187]="TypeLiteral",e[e.ArrayType=188]="ArrayType",e[e.TupleType=189]="TupleType",e[e.OptionalType=190]="OptionalType",e[e.RestType=191]="RestType",e[e.UnionType=192]="UnionType",e[e.IntersectionType=193]="IntersectionType",e[e.ConditionalType=194]="ConditionalType",e[e.InferType=195]="InferType",e[e.ParenthesizedType=196]="ParenthesizedType",e[e.ThisType=197]="ThisType",e[e.TypeOperator=198]="TypeOperator",e[e.IndexedAccessType=199]="IndexedAccessType",e[e.MappedType=200]="MappedType",e[e.LiteralType=201]="LiteralType",e[e.NamedTupleMember=202]="NamedTupleMember",e[e.TemplateLiteralType=203]="TemplateLiteralType",e[e.TemplateLiteralTypeSpan=204]="TemplateLiteralTypeSpan",e[e.ImportType=205]="ImportType",e[e.ObjectBindingPattern=206]="ObjectBindingPattern",e[e.ArrayBindingPattern=207]="ArrayBindingPattern",e[e.BindingElement=208]="BindingElement",e[e.ArrayLiteralExpression=209]="ArrayLiteralExpression",e[e.ObjectLiteralExpression=210]="ObjectLiteralExpression",e[e.PropertyAccessExpression=211]="PropertyAccessExpression",e[e.ElementAccessExpression=212]="ElementAccessExpression",e[e.CallExpression=213]="CallExpression",e[e.NewExpression=214]="NewExpression",e[e.TaggedTemplateExpression=215]="TaggedTemplateExpression",e[e.TypeAssertionExpression=216]="TypeAssertionExpression",e[e.ParenthesizedExpression=217]="ParenthesizedExpression",e[e.FunctionExpression=218]="FunctionExpression",e[e.ArrowFunction=219]="ArrowFunction",e[e.DeleteExpression=220]="DeleteExpression",e[e.TypeOfExpression=221]="TypeOfExpression",e[e.VoidExpression=222]="VoidExpression",e[e.AwaitExpression=223]="AwaitExpression",e[e.PrefixUnaryExpression=224]="PrefixUnaryExpression",e[e.PostfixUnaryExpression=225]="PostfixUnaryExpression",e[e.BinaryExpression=226]="BinaryExpression",e[e.ConditionalExpression=227]="ConditionalExpression",e[e.TemplateExpression=228]="TemplateExpression",e[e.YieldExpression=229]="YieldExpression",e[e.SpreadElement=230]="SpreadElement",e[e.ClassExpression=231]="ClassExpression",e[e.OmittedExpression=232]="OmittedExpression",e[e.ExpressionWithTypeArguments=233]="ExpressionWithTypeArguments",e[e.AsExpression=234]="AsExpression",e[e.NonNullExpression=235]="NonNullExpression",e[e.MetaProperty=236]="MetaProperty",e[e.SyntheticExpression=237]="SyntheticExpression",e[e.SatisfiesExpression=238]="SatisfiesExpression",e[e.TemplateSpan=239]="TemplateSpan",e[e.SemicolonClassElement=240]="SemicolonClassElement",e[e.Block=241]="Block",e[e.EmptyStatement=242]="EmptyStatement",e[e.VariableStatement=243]="VariableStatement",e[e.ExpressionStatement=244]="ExpressionStatement",e[e.IfStatement=245]="IfStatement",e[e.DoStatement=246]="DoStatement",e[e.WhileStatement=247]="WhileStatement",e[e.ForStatement=248]="ForStatement",e[e.ForInStatement=249]="ForInStatement",e[e.ForOfStatement=250]="ForOfStatement",e[e.ContinueStatement=251]="ContinueStatement",e[e.BreakStatement=252]="BreakStatement",e[e.ReturnStatement=253]="ReturnStatement",e[e.WithStatement=254]="WithStatement",e[e.SwitchStatement=255]="SwitchStatement",e[e.LabeledStatement=256]="LabeledStatement",e[e.ThrowStatement=257]="ThrowStatement",e[e.TryStatement=258]="TryStatement",e[e.DebuggerStatement=259]="DebuggerStatement",e[e.VariableDeclaration=260]="VariableDeclaration",e[e.VariableDeclarationList=261]="VariableDeclarationList",e[e.FunctionDeclaration=262]="FunctionDeclaration",e[e.ClassDeclaration=263]="ClassDeclaration",e[e.InterfaceDeclaration=264]="InterfaceDeclaration",e[e.TypeAliasDeclaration=265]="TypeAliasDeclaration",e[e.EnumDeclaration=266]="EnumDeclaration",e[e.ModuleDeclaration=267]="ModuleDeclaration",e[e.ModuleBlock=268]="ModuleBlock",e[e.CaseBlock=269]="CaseBlock",e[e.NamespaceExportDeclaration=270]="NamespaceExportDeclaration",e[e.ImportEqualsDeclaration=271]="ImportEqualsDeclaration",e[e.ImportDeclaration=272]="ImportDeclaration",e[e.ImportClause=273]="ImportClause",e[e.NamespaceImport=274]="NamespaceImport",e[e.NamedImports=275]="NamedImports",e[e.ImportSpecifier=276]="ImportSpecifier",e[e.ExportAssignment=277]="ExportAssignment",e[e.ExportDeclaration=278]="ExportDeclaration",e[e.NamedExports=279]="NamedExports",e[e.NamespaceExport=280]="NamespaceExport",e[e.ExportSpecifier=281]="ExportSpecifier",e[e.MissingDeclaration=282]="MissingDeclaration",e[e.ExternalModuleReference=283]="ExternalModuleReference",e[e.JsxElement=284]="JsxElement",e[e.JsxSelfClosingElement=285]="JsxSelfClosingElement",e[e.JsxOpeningElement=286]="JsxOpeningElement",e[e.JsxClosingElement=287]="JsxClosingElement",e[e.JsxFragment=288]="JsxFragment",e[e.JsxOpeningFragment=289]="JsxOpeningFragment",e[e.JsxClosingFragment=290]="JsxClosingFragment",e[e.JsxAttribute=291]="JsxAttribute",e[e.JsxAttributes=292]="JsxAttributes",e[e.JsxSpreadAttribute=293]="JsxSpreadAttribute",e[e.JsxExpression=294]="JsxExpression",e[e.JsxNamespacedName=295]="JsxNamespacedName",e[e.CaseClause=296]="CaseClause",e[e.DefaultClause=297]="DefaultClause",e[e.HeritageClause=298]="HeritageClause",e[e.CatchClause=299]="CatchClause",e[e.ImportAttributes=300]="ImportAttributes",e[e.ImportAttribute=301]="ImportAttribute",e[e.AssertClause=300]="AssertClause",e[e.AssertEntry=301]="AssertEntry",e[e.ImportTypeAssertionContainer=302]="ImportTypeAssertionContainer",e[e.PropertyAssignment=303]="PropertyAssignment",e[e.ShorthandPropertyAssignment=304]="ShorthandPropertyAssignment",e[e.SpreadAssignment=305]="SpreadAssignment",e[e.EnumMember=306]="EnumMember",e[e.UnparsedPrologue=307]="UnparsedPrologue",e[e.UnparsedPrepend=308]="UnparsedPrepend",e[e.UnparsedText=309]="UnparsedText",e[e.UnparsedInternalText=310]="UnparsedInternalText",e[e.UnparsedSyntheticReference=311]="UnparsedSyntheticReference",e[e.SourceFile=312]="SourceFile",e[e.Bundle=313]="Bundle",e[e.UnparsedSource=314]="UnparsedSource",e[e.InputFiles=315]="InputFiles",e[e.JSDocTypeExpression=316]="JSDocTypeExpression",e[e.JSDocNameReference=317]="JSDocNameReference",e[e.JSDocMemberName=318]="JSDocMemberName",e[e.JSDocAllType=319]="JSDocAllType",e[e.JSDocUnknownType=320]="JSDocUnknownType",e[e.JSDocNullableType=321]="JSDocNullableType",e[e.JSDocNonNullableType=322]="JSDocNonNullableType",e[e.JSDocOptionalType=323]="JSDocOptionalType",e[e.JSDocFunctionType=324]="JSDocFunctionType",e[e.JSDocVariadicType=325]="JSDocVariadicType",e[e.JSDocNamepathType=326]="JSDocNamepathType",e[e.JSDoc=327]="JSDoc",e[e.JSDocComment=327]="JSDocComment",e[e.JSDocText=328]="JSDocText",e[e.JSDocTypeLiteral=329]="JSDocTypeLiteral",e[e.JSDocSignature=330]="JSDocSignature",e[e.JSDocLink=331]="JSDocLink",e[e.JSDocLinkCode=332]="JSDocLinkCode",e[e.JSDocLinkPlain=333]="JSDocLinkPlain",e[e.JSDocTag=334]="JSDocTag",e[e.JSDocAugmentsTag=335]="JSDocAugmentsTag",e[e.JSDocImplementsTag=336]="JSDocImplementsTag",e[e.JSDocAuthorTag=337]="JSDocAuthorTag",e[e.JSDocDeprecatedTag=338]="JSDocDeprecatedTag",e[e.JSDocClassTag=339]="JSDocClassTag",e[e.JSDocPublicTag=340]="JSDocPublicTag",e[e.JSDocPrivateTag=341]="JSDocPrivateTag",e[e.JSDocProtectedTag=342]="JSDocProtectedTag",e[e.JSDocReadonlyTag=343]="JSDocReadonlyTag",e[e.JSDocOverrideTag=344]="JSDocOverrideTag",e[e.JSDocCallbackTag=345]="JSDocCallbackTag",e[e.JSDocOverloadTag=346]="JSDocOverloadTag",e[e.JSDocEnumTag=347]="JSDocEnumTag",e[e.JSDocParameterTag=348]="JSDocParameterTag",e[e.JSDocReturnTag=349]="JSDocReturnTag",e[e.JSDocThisTag=350]="JSDocThisTag",e[e.JSDocTypeTag=351]="JSDocTypeTag",e[e.JSDocTemplateTag=352]="JSDocTemplateTag",e[e.JSDocTypedefTag=353]="JSDocTypedefTag",e[e.JSDocSeeTag=354]="JSDocSeeTag",e[e.JSDocPropertyTag=355]="JSDocPropertyTag",e[e.JSDocThrowsTag=356]="JSDocThrowsTag",e[e.JSDocSatisfiesTag=357]="JSDocSatisfiesTag",e[e.SyntaxList=358]="SyntaxList",e[e.NotEmittedStatement=359]="NotEmittedStatement",e[e.PartiallyEmittedExpression=360]="PartiallyEmittedExpression",e[e.CommaListExpression=361]="CommaListExpression",e[e.SyntheticReferenceExpression=362]="SyntheticReferenceExpression",e[e.Count=363]="Count",e[e.FirstAssignment=64]="FirstAssignment",e[e.LastAssignment=79]="LastAssignment",e[e.FirstCompoundAssignment=65]="FirstCompoundAssignment",e[e.LastCompoundAssignment=79]="LastCompoundAssignment",e[e.FirstReservedWord=83]="FirstReservedWord",e[e.LastReservedWord=118]="LastReservedWord",e[e.FirstKeyword=83]="FirstKeyword",e[e.LastKeyword=165]="LastKeyword",e[e.FirstFutureReservedWord=119]="FirstFutureReservedWord",e[e.LastFutureReservedWord=127]="LastFutureReservedWord",e[e.FirstTypeNode=182]="FirstTypeNode",e[e.LastTypeNode=205]="LastTypeNode",e[e.FirstPunctuation=19]="FirstPunctuation",e[e.LastPunctuation=79]="LastPunctuation",e[e.FirstToken=0]="FirstToken",e[e.LastToken=165]="LastToken",e[e.FirstTriviaToken=2]="FirstTriviaToken",e[e.LastTriviaToken=7]="LastTriviaToken",e[e.FirstLiteralToken=9]="FirstLiteralToken",e[e.LastLiteralToken=15]="LastLiteralToken",e[e.FirstTemplateToken=15]="FirstTemplateToken",e[e.LastTemplateToken=18]="LastTemplateToken",e[e.FirstBinaryOperator=30]="FirstBinaryOperator",e[e.LastBinaryOperator=79]="LastBinaryOperator",e[e.FirstStatement=243]="FirstStatement",e[e.LastStatement=259]="LastStatement",e[e.FirstNode=166]="FirstNode",e[e.FirstJSDocNode=316]="FirstJSDocNode",e[e.LastJSDocNode=357]="LastJSDocNode",e[e.FirstJSDocTagNode=334]="FirstJSDocTagNode",e[e.LastJSDocTagNode=357]="LastJSDocTagNode",e[e.FirstContextualKeyword=128]="FirstContextualKeyword",e[e.LastContextualKeyword=165]="LastContextualKeyword",e))(kr||{}),wr=(e=>(e[e.None=0]="None",e[e.Let=1]="Let",e[e.Const=2]="Const",e[e.Using=4]="Using",e[e.AwaitUsing=6]="AwaitUsing",e[e.NestedNamespace=8]="NestedNamespace",e[e.Synthesized=16]="Synthesized",e[e.Namespace=32]="Namespace",e[e.OptionalChain=64]="OptionalChain",e[e.ExportContext=128]="ExportContext",e[e.ContainsThis=256]="ContainsThis",e[e.HasImplicitReturn=512]="HasImplicitReturn",e[e.HasExplicitReturn=1024]="HasExplicitReturn",e[e.GlobalAugmentation=2048]="GlobalAugmentation",e[e.HasAsyncFunctions=4096]="HasAsyncFunctions",e[e.DisallowInContext=8192]="DisallowInContext",e[e.YieldContext=16384]="YieldContext",e[e.DecoratorContext=32768]="DecoratorContext",e[e.AwaitContext=65536]="AwaitContext",e[e.DisallowConditionalTypesContext=131072]="DisallowConditionalTypesContext",e[e.ThisNodeHasError=262144]="ThisNodeHasError",e[e.JavaScriptFile=524288]="JavaScriptFile",e[e.ThisNodeOrAnySubNodesHasError=1048576]="ThisNodeOrAnySubNodesHasError",e[e.HasAggregatedChildData=2097152]="HasAggregatedChildData",e[e.PossiblyContainsDynamicImport=4194304]="PossiblyContainsDynamicImport",e[e.PossiblyContainsImportMeta=8388608]="PossiblyContainsImportMeta",e[e.JSDoc=16777216]="JSDoc",e[e.Ambient=33554432]="Ambient",e[e.InWithStatement=67108864]="InWithStatement",e[e.JsonFile=134217728]="JsonFile",e[e.TypeCached=268435456]="TypeCached",e[e.Deprecated=536870912]="Deprecated",e[e.BlockScoped=7]="BlockScoped",e[e.Constant=6]="Constant",e[e.ReachabilityCheckFlags=1536]="ReachabilityCheckFlags",e[e.ReachabilityAndEmitFlags=5632]="ReachabilityAndEmitFlags",e[e.ContextFlags=101441536]="ContextFlags",e[e.TypeExcludesFlags=81920]="TypeExcludesFlags",e[e.PermanentlySetIncrementalFlags=12582912]="PermanentlySetIncrementalFlags",e[e.IdentifierHasExtendedUnicodeEscape=256]="IdentifierHasExtendedUnicodeEscape",e[e.IdentifierIsInJSDocNamespace=4096]="IdentifierIsInJSDocNamespace",e))(wr||{}),Or=(e=>(e[e.None=0]="None",e[e.Public=1]="Public",e[e.Private=2]="Private",e[e.Protected=4]="Protected",e[e.Readonly=8]="Readonly",e[e.Override=16]="Override",e[e.Export=32]="Export",e[e.Abstract=64]="Abstract",e[e.Ambient=128]="Ambient",e[e.Static=256]="Static",e[e.Accessor=512]="Accessor",e[e.Async=1024]="Async",e[e.Default=2048]="Default",e[e.Const=4096]="Const",e[e.In=8192]="In",e[e.Out=16384]="Out",e[e.Decorator=32768]="Decorator",e[e.Deprecated=65536]="Deprecated",e[e.JSDocPublic=8388608]="JSDocPublic",e[e.JSDocPrivate=16777216]="JSDocPrivate",e[e.JSDocProtected=33554432]="JSDocProtected",e[e.JSDocReadonly=67108864]="JSDocReadonly",e[e.JSDocOverride=134217728]="JSDocOverride",e[e.SyntacticOrJSDocModifiers=31]="SyntacticOrJSDocModifiers",e[e.SyntacticOnlyModifiers=65504]="SyntacticOnlyModifiers",e[e.SyntacticModifiers=65535]="SyntacticModifiers",e[e.JSDocCacheOnlyModifiers=260046848]="JSDocCacheOnlyModifiers",e[e.JSDocOnlyModifiers=65536]="JSDocOnlyModifiers",e[e.NonCacheOnlyModifiers=131071]="NonCacheOnlyModifiers",e[e.HasComputedJSDocModifiers=268435456]="HasComputedJSDocModifiers",e[e.HasComputedFlags=536870912]="HasComputedFlags",e[e.AccessibilityModifier=7]="AccessibilityModifier",e[e.ParameterPropertyModifier=31]="ParameterPropertyModifier",e[e.NonPublicAccessibilityModifier=6]="NonPublicAccessibilityModifier",e[e.TypeScriptModifier=28895]="TypeScriptModifier",e[e.ExportDefault=2080]="ExportDefault",e[e.All=131071]="All",e[e.Modifier=98303]="Modifier",e))(Or||{}),Fr=(e=>(e[e.None=0]="None",e[e.IntrinsicNamedElement=1]="IntrinsicNamedElement",e[e.IntrinsicIndexedElement=2]="IntrinsicIndexedElement",e[e.IntrinsicElement=3]="IntrinsicElement",e))(Fr||{}),Wr=(e=>(e[e.None=0]="None",e[e.Succeeded=1]="Succeeded",e[e.Failed=2]="Failed",e[e.Reported=4]="Reported",e[e.ReportsUnmeasurable=8]="ReportsUnmeasurable",e[e.ReportsUnreliable=16]="ReportsUnreliable",e[e.ReportsMask=24]="ReportsMask",e))(Wr||{}),zr=(e=>(e[e.None=0]="None",e[e.Auto=1]="Auto",e[e.Loop=2]="Loop",e[e.Unique=3]="Unique",e[e.Node=4]="Node",e[e.KindMask=7]="KindMask",e[e.ReservedInNestedScopes=8]="ReservedInNestedScopes",e[e.Optimistic=16]="Optimistic",e[e.FileLevel=32]="FileLevel",e[e.AllowNameSubstitution=64]="AllowNameSubstitution",e))(zr||{}),Gr=(e=>(e[e.None=0]="None",e[e.PrecedingLineBreak=1]="PrecedingLineBreak",e[e.PrecedingJSDocComment=2]="PrecedingJSDocComment",e[e.Unterminated=4]="Unterminated",e[e.ExtendedUnicodeEscape=8]="ExtendedUnicodeEscape",e[e.Scientific=16]="Scientific",e[e.Octal=32]="Octal",e[e.HexSpecifier=64]="HexSpecifier",e[e.BinarySpecifier=128]="BinarySpecifier",e[e.OctalSpecifier=256]="OctalSpecifier",e[e.ContainsSeparator=512]="ContainsSeparator",e[e.UnicodeEscape=1024]="UnicodeEscape",e[e.ContainsInvalidEscape=2048]="ContainsInvalidEscape",e[e.HexEscape=4096]="HexEscape",e[e.ContainsLeadingZero=8192]="ContainsLeadingZero",e[e.ContainsInvalidSeparator=16384]="ContainsInvalidSeparator",e[e.BinaryOrOctalSpecifier=384]="BinaryOrOctalSpecifier",e[e.WithSpecifier=448]="WithSpecifier",e[e.StringLiteralFlags=7176]="StringLiteralFlags",e[e.NumericLiteralFlags=25584]="NumericLiteralFlags",e[e.TemplateLiteralLikeFlags=7176]="TemplateLiteralLikeFlags",e[e.IsInvalid=26656]="IsInvalid",e))(Gr||{}),Br=(e=>(e[e.Unreachable=1]="Unreachable",e[e.Start=2]="Start",e[e.BranchLabel=4]="BranchLabel",e[e.LoopLabel=8]="LoopLabel",e[e.Assignment=16]="Assignment",e[e.TrueCondition=32]="TrueCondition",e[e.FalseCondition=64]="FalseCondition",e[e.SwitchClause=128]="SwitchClause",e[e.ArrayMutation=256]="ArrayMutation",e[e.Call=512]="Call",e[e.ReduceLabel=1024]="ReduceLabel",e[e.Referenced=2048]="Referenced",e[e.Shared=4096]="Shared",e[e.Label=12]="Label",e[e.Condition=96]="Condition",e))(Br||{}),jr=(e=>(e[e.ExpectError=0]="ExpectError",e[e.Ignore=1]="Ignore",e))(jr||{}),Vr=class{},Ur=(e=>(e[e.RootFile=0]="RootFile",e[e.SourceFromProjectReference=1]="SourceFromProjectReference",e[e.OutputFromProjectReference=2]="OutputFromProjectReference",e[e.Import=3]="Import",e[e.ReferenceFile=4]="ReferenceFile",e[e.TypeReferenceDirective=5]="TypeReferenceDirective",e[e.LibFile=6]="LibFile",e[e.LibReferenceDirective=7]="LibReferenceDirective",e[e.AutomaticTypeDirectiveFile=8]="AutomaticTypeDirectiveFile",e))(Ur||{}),Hr=(e=>(e[e.FilePreprocessingReferencedDiagnostic=0]="FilePreprocessingReferencedDiagnostic",e[e.FilePreprocessingFileExplainingDiagnostic=1]="FilePreprocessingFileExplainingDiagnostic",e[e.ResolutionDiagnostics=2]="ResolutionDiagnostics",e))(Hr||{}),Kr=(e=>(e[e.Js=0]="Js",e[e.Dts=1]="Dts",e))(Kr||{}),qr=(e=>(e[e.Not=0]="Not",e[e.SafeModules=1]="SafeModules",e[e.Completely=2]="Completely",e))(qr||{}),Jr=(e=>(e[e.Success=0]="Success",e[e.DiagnosticsPresent_OutputsSkipped=1]="DiagnosticsPresent_OutputsSkipped",e[e.DiagnosticsPresent_OutputsGenerated=2]="DiagnosticsPresent_OutputsGenerated",e[e.InvalidProject_OutputsSkipped=3]="InvalidProject_OutputsSkipped",e[e.ProjectReferenceCycle_OutputsSkipped=4]="ProjectReferenceCycle_OutputsSkipped",e))(Jr||{}),Xr=(e=>(e[e.Ok=0]="Ok",e[e.NeedsOverride=1]="NeedsOverride",e[e.HasInvalidOverride=2]="HasInvalidOverride",e))(Xr||{}),Yr=(e=>(e[e.None=0]="None",e[e.Literal=1]="Literal",e[e.Subtype=2]="Subtype",e))(Yr||{}),$r=(e=>(e[e.None=0]="None",e[e.Signature=1]="Signature",e[e.NoConstraints=2]="NoConstraints",e[e.Completions=4]="Completions",e[e.SkipBindingPatterns=8]="SkipBindingPatterns",e))($r||{}),Qr=(e=>(e[e.None=0]="None",e[e.NoTruncation=1]="NoTruncation",e[e.WriteArrayAsGenericType=2]="WriteArrayAsGenericType",e[e.GenerateNamesForShadowedTypeParams=4]="GenerateNamesForShadowedTypeParams",e[e.UseStructuralFallback=8]="UseStructuralFallback",e[e.ForbidIndexedAccessSymbolReferences=16]="ForbidIndexedAccessSymbolReferences",e[e.WriteTypeArgumentsOfSignature=32]="WriteTypeArgumentsOfSignature",e[e.UseFullyQualifiedType=64]="UseFullyQualifiedType",e[e.UseOnlyExternalAliasing=128]="UseOnlyExternalAliasing",e[e.SuppressAnyReturnType=256]="SuppressAnyReturnType",e[e.WriteTypeParametersInQualifiedName=512]="WriteTypeParametersInQualifiedName",e[e.MultilineObjectLiterals=1024]="MultilineObjectLiterals",e[e.WriteClassExpressionAsTypeLiteral=2048]="WriteClassExpressionAsTypeLiteral",e[e.UseTypeOfFunction=4096]="UseTypeOfFunction",e[e.OmitParameterModifiers=8192]="OmitParameterModifiers",e[e.UseAliasDefinedOutsideCurrentScope=16384]="UseAliasDefinedOutsideCurrentScope",e[e.UseSingleQuotesForStringLiteralType=268435456]="UseSingleQuotesForStringLiteralType",e[e.NoTypeReduction=536870912]="NoTypeReduction",e[e.OmitThisParameter=33554432]="OmitThisParameter",e[e.AllowThisInObjectLiteral=32768]="AllowThisInObjectLiteral",e[e.AllowQualifiedNameInPlaceOfIdentifier=65536]="AllowQualifiedNameInPlaceOfIdentifier",e[e.AllowAnonymousIdentifier=131072]="AllowAnonymousIdentifier",e[e.AllowEmptyUnionOrIntersection=262144]="AllowEmptyUnionOrIntersection",e[e.AllowEmptyTuple=524288]="AllowEmptyTuple",e[e.AllowUniqueESSymbolType=1048576]="AllowUniqueESSymbolType",e[e.AllowEmptyIndexInfoType=2097152]="AllowEmptyIndexInfoType",e[e.WriteComputedProps=1073741824]="WriteComputedProps",e[e.AllowNodeModulesRelativePaths=67108864]="AllowNodeModulesRelativePaths",e[e.DoNotIncludeSymbolChain=134217728]="DoNotIncludeSymbolChain",e[e.IgnoreErrors=70221824]="IgnoreErrors",e[e.InObjectTypeLiteral=4194304]="InObjectTypeLiteral",e[e.InTypeAlias=8388608]="InTypeAlias",e[e.InInitialEntityName=16777216]="InInitialEntityName",e))(Qr||{}),Zr=(e=>(e[e.None=0]="None",e[e.NoTruncation=1]="NoTruncation",e[e.WriteArrayAsGenericType=2]="WriteArrayAsGenericType",e[e.GenerateNamesForShadowedTypeParams=4]="GenerateNamesForShadowedTypeParams",e[e.UseStructuralFallback=8]="UseStructuralFallback",e[e.WriteTypeArgumentsOfSignature=32]="WriteTypeArgumentsOfSignature",e[e.UseFullyQualifiedType=64]="UseFullyQualifiedType",e[e.SuppressAnyReturnType=256]="SuppressAnyReturnType",e[e.MultilineObjectLiterals=1024]="MultilineObjectLiterals",e[e.WriteClassExpressionAsTypeLiteral=2048]="WriteClassExpressionAsTypeLiteral",e[e.UseTypeOfFunction=4096]="UseTypeOfFunction",e[e.OmitParameterModifiers=8192]="OmitParameterModifiers",e[e.UseAliasDefinedOutsideCurrentScope=16384]="UseAliasDefinedOutsideCurrentScope",e[e.UseSingleQuotesForStringLiteralType=268435456]="UseSingleQuotesForStringLiteralType",e[e.NoTypeReduction=536870912]="NoTypeReduction",e[e.OmitThisParameter=33554432]="OmitThisParameter",e[e.AllowUniqueESSymbolType=1048576]="AllowUniqueESSymbolType",e[e.AddUndefined=131072]="AddUndefined",e[e.WriteArrowStyleSignature=262144]="WriteArrowStyleSignature",e[e.InArrayType=524288]="InArrayType",e[e.InElementType=2097152]="InElementType",e[e.InFirstTypeArgument=4194304]="InFirstTypeArgument",e[e.InTypeAlias=8388608]="InTypeAlias",e[e.NodeBuilderFlagsMask=848330095]="NodeBuilderFlagsMask",e))(Zr||{}),eo=(e=>(e[e.None=0]="None",e[e.WriteTypeParametersOrArguments=1]="WriteTypeParametersOrArguments",e[e.UseOnlyExternalAliasing=2]="UseOnlyExternalAliasing",e[e.AllowAnyNodeKind=4]="AllowAnyNodeKind",e[e.UseAliasDefinedOutsideCurrentScope=8]="UseAliasDefinedOutsideCurrentScope",e[e.WriteComputedProps=16]="WriteComputedProps",e[e.DoNotIncludeSymbolChain=32]="DoNotIncludeSymbolChain",e))(eo||{}),no=(e=>(e[e.Accessible=0]="Accessible",e[e.NotAccessible=1]="NotAccessible",e[e.CannotBeNamed=2]="CannotBeNamed",e))(no||{}),to=(e=>(e[e.UnionOrIntersection=0]="UnionOrIntersection",e[e.Spread=1]="Spread",e))(to||{}),ro=(e=>(e[e.This=0]="This",e[e.Identifier=1]="Identifier",e[e.AssertsThis=2]="AssertsThis",e[e.AssertsIdentifier=3]="AssertsIdentifier",e))(ro||{}),oo=(e=>(e[e.Unknown=0]="Unknown",e[e.TypeWithConstructSignatureAndValue=1]="TypeWithConstructSignatureAndValue",e[e.VoidNullableOrNeverType=2]="VoidNullableOrNeverType",e[e.NumberLikeType=3]="NumberLikeType",e[e.BigIntLikeType=4]="BigIntLikeType",e[e.StringLikeType=5]="StringLikeType",e[e.BooleanType=6]="BooleanType",e[e.ArrayLikeType=7]="ArrayLikeType",e[e.ESSymbolType=8]="ESSymbolType",e[e.Promise=9]="Promise",e[e.TypeWithCallSignature=10]="TypeWithCallSignature",e[e.ObjectType=11]="ObjectType",e))(oo||{}),io=(e=>(e[e.None=0]="None",e[e.FunctionScopedVariable=1]="FunctionScopedVariable",e[e.BlockScopedVariable=2]="BlockScopedVariable",e[e.Property=4]="Property",e[e.EnumMember=8]="EnumMember",e[e.Function=16]="Function",e[e.Class=32]="Class",e[e.Interface=64]="Interface",e[e.ConstEnum=128]="ConstEnum",e[e.RegularEnum=256]="RegularEnum",e[e.ValueModule=512]="ValueModule",e[e.NamespaceModule=1024]="NamespaceModule",e[e.TypeLiteral=2048]="TypeLiteral",e[e.ObjectLiteral=4096]="ObjectLiteral",e[e.Method=8192]="Method",e[e.Constructor=16384]="Constructor",e[e.GetAccessor=32768]="GetAccessor",e[e.SetAccessor=65536]="SetAccessor",e[e.Signature=131072]="Signature",e[e.TypeParameter=262144]="TypeParameter",e[e.TypeAlias=524288]="TypeAlias",e[e.ExportValue=1048576]="ExportValue",e[e.Alias=2097152]="Alias",e[e.Prototype=4194304]="Prototype",e[e.ExportStar=8388608]="ExportStar",e[e.Optional=16777216]="Optional",e[e.Transient=33554432]="Transient",e[e.Assignment=67108864]="Assignment",e[e.ModuleExports=134217728]="ModuleExports",e[e.All=-1]="All",e[e.Enum=384]="Enum",e[e.Variable=3]="Variable",e[e.Value=111551]="Value",e[e.Type=788968]="Type",e[e.Namespace=1920]="Namespace",e[e.Module=1536]="Module",e[e.Accessor=98304]="Accessor",e[e.FunctionScopedVariableExcludes=111550]="FunctionScopedVariableExcludes",e[e.BlockScopedVariableExcludes=111551]="BlockScopedVariableExcludes",e[e.ParameterExcludes=111551]="ParameterExcludes",e[e.PropertyExcludes=0]="PropertyExcludes",e[e.EnumMemberExcludes=900095]="EnumMemberExcludes",e[e.FunctionExcludes=110991]="FunctionExcludes",e[e.ClassExcludes=899503]="ClassExcludes",e[e.InterfaceExcludes=788872]="InterfaceExcludes",e[e.RegularEnumExcludes=899327]="RegularEnumExcludes",e[e.ConstEnumExcludes=899967]="ConstEnumExcludes",e[e.ValueModuleExcludes=110735]="ValueModuleExcludes",e[e.NamespaceModuleExcludes=0]="NamespaceModuleExcludes",e[e.MethodExcludes=103359]="MethodExcludes",e[e.GetAccessorExcludes=46015]="GetAccessorExcludes",e[e.SetAccessorExcludes=78783]="SetAccessorExcludes",e[e.AccessorExcludes=13247]="AccessorExcludes",e[e.TypeParameterExcludes=526824]="TypeParameterExcludes",e[e.TypeAliasExcludes=788968]="TypeAliasExcludes",e[e.AliasExcludes=2097152]="AliasExcludes",e[e.ModuleMember=2623475]="ModuleMember",e[e.ExportHasLocal=944]="ExportHasLocal",e[e.BlockScoped=418]="BlockScoped",e[e.PropertyOrAccessor=98308]="PropertyOrAccessor",e[e.ClassMember=106500]="ClassMember",e[e.ExportSupportsDefaultModifier=112]="ExportSupportsDefaultModifier",e[e.ExportDoesNotSupportDefaultModifier=-113]="ExportDoesNotSupportDefaultModifier",e[e.Classifiable=2885600]="Classifiable",e[e.LateBindingContainer=6256]="LateBindingContainer",e))(io||{}),ao=(e=>(e[e.Numeric=0]="Numeric",e[e.Literal=1]="Literal",e))(ao||{}),so=(e=>(e[e.None=0]="None",e[e.Instantiated=1]="Instantiated",e[e.SyntheticProperty=2]="SyntheticProperty",e[e.SyntheticMethod=4]="SyntheticMethod",e[e.Readonly=8]="Readonly",e[e.ReadPartial=16]="ReadPartial",e[e.WritePartial=32]="WritePartial",e[e.HasNonUniformType=64]="HasNonUniformType",e[e.HasLiteralType=128]="HasLiteralType",e[e.ContainsPublic=256]="ContainsPublic",e[e.ContainsProtected=512]="ContainsProtected",e[e.ContainsPrivate=1024]="ContainsPrivate",e[e.ContainsStatic=2048]="ContainsStatic",e[e.Late=4096]="Late",e[e.ReverseMapped=8192]="ReverseMapped",e[e.OptionalParameter=16384]="OptionalParameter",e[e.RestParameter=32768]="RestParameter",e[e.DeferredType=65536]="DeferredType",e[e.HasNeverType=131072]="HasNeverType",e[e.Mapped=262144]="Mapped",e[e.StripOptional=524288]="StripOptional",e[e.Unresolved=1048576]="Unresolved",e[e.Synthetic=6]="Synthetic",e[e.Discriminant=192]="Discriminant",e[e.Partial=48]="Partial",e))(so||{}),lo=(e=>(e.Call="__call",e.Constructor="__constructor",e.New="__new",e.Index="__index",e.ExportStar="__export",e.Global="__global",e.Missing="__missing",e.Type="__type",e.Object="__object",e.JSXAttributes="__jsxAttributes",e.Class="__class",e.Function="__function",e.Computed="__computed",e.Resolving="__resolving__",e.ExportEquals="export=",e.Default="default",e.This="this",e.InstantiationExpression="__instantiationExpression",e.ImportAttributes="__importAttributes",e))(lo||{}),co=(e=>(e[e.None=0]="None",e[e.TypeChecked=1]="TypeChecked",e[e.LexicalThis=2]="LexicalThis",e[e.CaptureThis=4]="CaptureThis",e[e.CaptureNewTarget=8]="CaptureNewTarget",e[e.SuperInstance=16]="SuperInstance",e[e.SuperStatic=32]="SuperStatic",e[e.ContextChecked=64]="ContextChecked",e[e.MethodWithSuperPropertyAccessInAsync=128]="MethodWithSuperPropertyAccessInAsync",e[e.MethodWithSuperPropertyAssignmentInAsync=256]="MethodWithSuperPropertyAssignmentInAsync",e[e.CaptureArguments=512]="CaptureArguments",e[e.EnumValuesComputed=1024]="EnumValuesComputed",e[e.LexicalModuleMergesWithClass=2048]="LexicalModuleMergesWithClass",e[e.LoopWithCapturedBlockScopedBinding=4096]="LoopWithCapturedBlockScopedBinding",e[e.ContainsCapturedBlockScopeBinding=8192]="ContainsCapturedBlockScopeBinding",e[e.CapturedBlockScopedBinding=16384]="CapturedBlockScopedBinding",e[e.BlockScopedBindingInLoop=32768]="BlockScopedBindingInLoop",e[e.NeedsLoopOutParameter=65536]="NeedsLoopOutParameter",e[e.AssignmentsMarked=131072]="AssignmentsMarked",e[e.ContainsConstructorReference=262144]="ContainsConstructorReference",e[e.ConstructorReference=536870912]="ConstructorReference",e[e.ContainsClassWithPrivateIdentifiers=1048576]="ContainsClassWithPrivateIdentifiers",e[e.ContainsSuperPropertyInStaticInitializer=2097152]="ContainsSuperPropertyInStaticInitializer",e[e.InCheckIdentifier=4194304]="InCheckIdentifier",e))(co||{}),uo=(e=>(e[e.Any=1]="Any",e[e.Unknown=2]="Unknown",e[e.String=4]="String",e[e.Number=8]="Number",e[e.Boolean=16]="Boolean",e[e.Enum=32]="Enum",e[e.BigInt=64]="BigInt",e[e.StringLiteral=128]="StringLiteral",e[e.NumberLiteral=256]="NumberLiteral",e[e.BooleanLiteral=512]="BooleanLiteral",e[e.EnumLiteral=1024]="EnumLiteral",e[e.BigIntLiteral=2048]="BigIntLiteral",e[e.ESSymbol=4096]="ESSymbol",e[e.UniqueESSymbol=8192]="UniqueESSymbol",e[e.Void=16384]="Void",e[e.Undefined=32768]="Undefined",e[e.Null=65536]="Null",e[e.Never=131072]="Never",e[e.TypeParameter=262144]="TypeParameter",e[e.Object=524288]="Object",e[e.Union=1048576]="Union",e[e.Intersection=2097152]="Intersection",e[e.Index=4194304]="Index",e[e.IndexedAccess=8388608]="IndexedAccess",e[e.Conditional=16777216]="Conditional",e[e.Substitution=33554432]="Substitution",e[e.NonPrimitive=67108864]="NonPrimitive",e[e.TemplateLiteral=134217728]="TemplateLiteral",e[e.StringMapping=268435456]="StringMapping",e[e.Reserved1=536870912]="Reserved1",e[e.AnyOrUnknown=3]="AnyOrUnknown",e[e.Nullable=98304]="Nullable",e[e.Literal=2944]="Literal",e[e.Unit=109472]="Unit",e[e.Freshable=2976]="Freshable",e[e.StringOrNumberLiteral=384]="StringOrNumberLiteral",e[e.StringOrNumberLiteralOrUnique=8576]="StringOrNumberLiteralOrUnique",e[e.DefinitelyFalsy=117632]="DefinitelyFalsy",e[e.PossiblyFalsy=117724]="PossiblyFalsy",e[e.Intrinsic=67359327]="Intrinsic",e[e.StringLike=402653316]="StringLike",e[e.NumberLike=296]="NumberLike",e[e.BigIntLike=2112]="BigIntLike",e[e.BooleanLike=528]="BooleanLike",e[e.EnumLike=1056]="EnumLike",e[e.ESSymbolLike=12288]="ESSymbolLike",e[e.VoidLike=49152]="VoidLike",e[e.Primitive=402784252]="Primitive",e[e.DefinitelyNonNullable=470302716]="DefinitelyNonNullable",e[e.DisjointDomains=469892092]="DisjointDomains",e[e.UnionOrIntersection=3145728]="UnionOrIntersection",e[e.StructuredType=3670016]="StructuredType",e[e.TypeVariable=8650752]="TypeVariable",e[e.InstantiableNonPrimitive=58982400]="InstantiableNonPrimitive",e[e.InstantiablePrimitive=406847488]="InstantiablePrimitive",e[e.Instantiable=465829888]="Instantiable",e[e.StructuredOrInstantiable=469499904]="StructuredOrInstantiable",e[e.ObjectFlagsType=3899393]="ObjectFlagsType",e[e.Simplifiable=25165824]="Simplifiable",e[e.Singleton=67358815]="Singleton",e[e.Narrowable=536624127]="Narrowable",e[e.IncludesMask=473694207]="IncludesMask",e[e.IncludesMissingType=262144]="IncludesMissingType",e[e.IncludesNonWideningType=4194304]="IncludesNonWideningType",e[e.IncludesWildcard=8388608]="IncludesWildcard",e[e.IncludesEmptyObject=16777216]="IncludesEmptyObject",e[e.IncludesInstantiable=33554432]="IncludesInstantiable",e[e.IncludesConstrainedTypeVariable=536870912]="IncludesConstrainedTypeVariable",e[e.NotPrimitiveUnion=36323331]="NotPrimitiveUnion",e))(uo||{}),po=(e=>(e[e.None=0]="None",e[e.Class=1]="Class",e[e.Interface=2]="Interface",e[e.Reference=4]="Reference",e[e.Tuple=8]="Tuple",e[e.Anonymous=16]="Anonymous",e[e.Mapped=32]="Mapped",e[e.Instantiated=64]="Instantiated",e[e.ObjectLiteral=128]="ObjectLiteral",e[e.EvolvingArray=256]="EvolvingArray",e[e.ObjectLiteralPatternWithComputedProperties=512]="ObjectLiteralPatternWithComputedProperties",e[e.ReverseMapped=1024]="ReverseMapped",e[e.JsxAttributes=2048]="JsxAttributes",e[e.JSLiteral=4096]="JSLiteral",e[e.FreshLiteral=8192]="FreshLiteral",e[e.ArrayLiteral=16384]="ArrayLiteral",e[e.PrimitiveUnion=32768]="PrimitiveUnion",e[e.ContainsWideningType=65536]="ContainsWideningType",e[e.ContainsObjectOrArrayLiteral=131072]="ContainsObjectOrArrayLiteral",e[e.NonInferrableType=262144]="NonInferrableType",e[e.CouldContainTypeVariablesComputed=524288]="CouldContainTypeVariablesComputed",e[e.CouldContainTypeVariables=1048576]="CouldContainTypeVariables",e[e.ClassOrInterface=3]="ClassOrInterface",e[e.RequiresWidening=196608]="RequiresWidening",e[e.PropagatingFlags=458752]="PropagatingFlags",e[e.InstantiatedMapped=96]="InstantiatedMapped",e[e.ObjectTypeKindMask=1343]="ObjectTypeKindMask",e[e.ContainsSpread=2097152]="ContainsSpread",e[e.ObjectRestType=4194304]="ObjectRestType",e[e.InstantiationExpressionType=8388608]="InstantiationExpressionType",e[e.IsClassInstanceClone=16777216]="IsClassInstanceClone",e[e.IdenticalBaseTypeCalculated=33554432]="IdenticalBaseTypeCalculated",e[e.IdenticalBaseTypeExists=67108864]="IdenticalBaseTypeExists",e[e.IsGenericTypeComputed=2097152]="IsGenericTypeComputed",e[e.IsGenericObjectType=4194304]="IsGenericObjectType",e[e.IsGenericIndexType=8388608]="IsGenericIndexType",e[e.IsGenericType=12582912]="IsGenericType",e[e.ContainsIntersections=16777216]="ContainsIntersections",e[e.IsUnknownLikeUnionComputed=33554432]="IsUnknownLikeUnionComputed",e[e.IsUnknownLikeUnion=67108864]="IsUnknownLikeUnion",e[e.IsNeverIntersectionComputed=16777216]="IsNeverIntersectionComputed",e[e.IsNeverIntersection=33554432]="IsNeverIntersection",e[e.IsConstrainedTypeVariable=67108864]="IsConstrainedTypeVariable",e))(po||{}),fo=(e=>(e[e.Invariant=0]="Invariant",e[e.Covariant=1]="Covariant",e[e.Contravariant=2]="Contravariant",e[e.Bivariant=3]="Bivariant",e[e.Independent=4]="Independent",e[e.VarianceMask=7]="VarianceMask",e[e.Unmeasurable=8]="Unmeasurable",e[e.Unreliable=16]="Unreliable",e[e.AllowsStructuralFallback=24]="AllowsStructuralFallback",e))(fo||{}),mo=(e=>(e[e.Required=1]="Required",e[e.Optional=2]="Optional",e[e.Rest=4]="Rest",e[e.Variadic=8]="Variadic",e[e.Fixed=3]="Fixed",e[e.Variable=12]="Variable",e[e.NonRequired=14]="NonRequired",e[e.NonRest=11]="NonRest",e))(mo||{}),_o=(e=>(e[e.None=0]="None",e[e.IncludeUndefined=1]="IncludeUndefined",e[e.NoIndexSignatures=2]="NoIndexSignatures",e[e.Writing=4]="Writing",e[e.CacheSymbol=8]="CacheSymbol",e[e.NoTupleBoundsCheck=16]="NoTupleBoundsCheck",e[e.ExpressionPosition=32]="ExpressionPosition",e[e.ReportDeprecated=64]="ReportDeprecated",e[e.SuppressNoImplicitAnyError=128]="SuppressNoImplicitAnyError",e[e.Contextual=256]="Contextual",e[e.Persistent=1]="Persistent",e))(_o||{}),ho=(e=>(e[e.None=0]="None",e[e.StringsOnly=1]="StringsOnly",e[e.NoIndexSignatures=2]="NoIndexSignatures",e[e.NoReducibleCheck=4]="NoReducibleCheck",e))(ho||{}),go=(e=>(e[e.Component=0]="Component",e[e.Function=1]="Function",e[e.Mixed=2]="Mixed",e))(go||{}),yo=(e=>(e[e.Call=0]="Call",e[e.Construct=1]="Construct",e))(yo||{}),vo=(e=>(e[e.None=0]="None",e[e.HasRestParameter=1]="HasRestParameter",e[e.HasLiteralTypes=2]="HasLiteralTypes",e[e.Abstract=4]="Abstract",e[e.IsInnerCallChain=8]="IsInnerCallChain",e[e.IsOuterCallChain=16]="IsOuterCallChain",e[e.IsUntypedSignatureInJSFile=32]="IsUntypedSignatureInJSFile",e[e.IsNonInferrable=64]="IsNonInferrable",e[e.IsSignatureCandidateForOverloadFailure=128]="IsSignatureCandidateForOverloadFailure",e[e.PropagatingFlags=167]="PropagatingFlags",e[e.CallChainFlags=24]="CallChainFlags",e))(vo||{}),bo=(e=>(e[e.String=0]="String",e[e.Number=1]="Number",e))(bo||{}),Eo=(e=>(e[e.Simple=0]="Simple",e[e.Array=1]="Array",e[e.Deferred=2]="Deferred",e[e.Function=3]="Function",e[e.Composite=4]="Composite",e[e.Merged=5]="Merged",e))(Eo||{}),So=(e=>(e[e.None=0]="None",e[e.NakedTypeVariable=1]="NakedTypeVariable",e[e.SpeculativeTuple=2]="SpeculativeTuple",e[e.SubstituteSource=4]="SubstituteSource",e[e.HomomorphicMappedType=8]="HomomorphicMappedType",e[e.PartialHomomorphicMappedType=16]="PartialHomomorphicMappedType",e[e.MappedTypeConstraint=32]="MappedTypeConstraint",e[e.ContravariantConditional=64]="ContravariantConditional",e[e.ReturnType=128]="ReturnType",e[e.LiteralKeyof=256]="LiteralKeyof",e[e.NoConstraints=512]="NoConstraints",e[e.AlwaysStrict=1024]="AlwaysStrict",e[e.MaxValue=2048]="MaxValue",e[e.PriorityImpliesCombination=416]="PriorityImpliesCombination",e[e.Circularity=-1]="Circularity",e))(So||{}),To=(e=>(e[e.None=0]="None",e[e.NoDefault=1]="NoDefault",e[e.AnyDefault=2]="AnyDefault",e[e.SkippedGenericFunction=4]="SkippedGenericFunction",e))(To||{}),xo=(e=>(e[e.False=0]="False",e[e.Unknown=1]="Unknown",e[e.Maybe=3]="Maybe",e[e.True=-1]="True",e))(xo||{}),Ao=(e=>(e[e.None=0]="None",e[e.ExportsProperty=1]="ExportsProperty",e[e.ModuleExports=2]="ModuleExports",e[e.PrototypeProperty=3]="PrototypeProperty",e[e.ThisProperty=4]="ThisProperty",e[e.Property=5]="Property",e[e.Prototype=6]="Prototype",e[e.ObjectDefinePropertyValue=7]="ObjectDefinePropertyValue",e[e.ObjectDefinePropertyExports=8]="ObjectDefinePropertyExports",e[e.ObjectDefinePrototypeProperty=9]="ObjectDefinePrototypeProperty",e))(Ao||{}),Ro=(e=>(e[e.Warning=0]="Warning",e[e.Error=1]="Error",e[e.Suggestion=2]="Suggestion",e[e.Message=3]="Message",e))(Ro||{}),Io=(e=>(e[e.Classic=1]="Classic",e[e.NodeJs=2]="NodeJs",e[e.Node10=2]="Node10",e[e.Node16=3]="Node16",e[e.NodeNext=99]="NodeNext",e[e.Bundler=100]="Bundler",e))(Io||{}),No=(e=>(e[e.Legacy=1]="Legacy",e[e.Auto=2]="Auto",e[e.Force=3]="Force",e))(No||{}),Do=(e=>(e[e.FixedPollingInterval=0]="FixedPollingInterval",e[e.PriorityPollingInterval=1]="PriorityPollingInterval",e[e.DynamicPriorityPolling=2]="DynamicPriorityPolling",e[e.FixedChunkSizePolling=3]="FixedChunkSizePolling",e[e.UseFsEvents=4]="UseFsEvents",e[e.UseFsEventsOnParentDirectory=5]="UseFsEventsOnParentDirectory",e))(Do||{}),Co=(e=>(e[e.UseFsEvents=0]="UseFsEvents",e[e.FixedPollingInterval=1]="FixedPollingInterval",e[e.DynamicPriorityPolling=2]="DynamicPriorityPolling",e[e.FixedChunkSizePolling=3]="FixedChunkSizePolling",e))(Co||{}),Mo=(e=>(e[e.FixedInterval=0]="FixedInterval",e[e.PriorityInterval=1]="PriorityInterval",e[e.DynamicPriority=2]="DynamicPriority",e[e.FixedChunkSize=3]="FixedChunkSize",e))(Mo||{}),Po=(e=>(e[e.None=0]="None",e[e.CommonJS=1]="CommonJS",e[e.AMD=2]="AMD",e[e.UMD=3]="UMD",e[e.System=4]="System",e[e.ES2015=5]="ES2015",e[e.ES2020=6]="ES2020",e[e.ES2022=7]="ES2022",e[e.ESNext=99]="ESNext",e[e.Node16=100]="Node16",e[e.NodeNext=199]="NodeNext",e[e.Preserve=200]="Preserve",e))(Po||{}),Lo=(e=>(e[e.None=0]="None",e[e.Preserve=1]="Preserve",e[e.React=2]="React",e[e.ReactNative=3]="ReactNative",e[e.ReactJSX=4]="ReactJSX",e[e.ReactJSXDev=5]="ReactJSXDev",e))(Lo||{}),ko=(e=>(e[e.Remove=0]="Remove",e[e.Preserve=1]="Preserve",e[e.Error=2]="Error",e))(ko||{}),wo=(e=>(e[e.CarriageReturnLineFeed=0]="CarriageReturnLineFeed",e[e.LineFeed=1]="LineFeed",e))(wo||{}),Oo=(e=>(e[e.Unknown=0]="Unknown",e[e.JS=1]="JS",e[e.JSX=2]="JSX",e[e.TS=3]="TS",e[e.TSX=4]="TSX",e[e.External=5]="External",e[e.JSON=6]="JSON",e[e.Deferred=7]="Deferred",e))(Oo||{}),Fo=(e=>(e[e.ES3=0]="ES3",e[e.ES5=1]="ES5",e[e.ES2015=2]="ES2015",e[e.ES2016=3]="ES2016",e[e.ES2017=4]="ES2017",e[e.ES2018=5]="ES2018",e[e.ES2019=6]="ES2019",e[e.ES2020=7]="ES2020",e[e.ES2021=8]="ES2021",e[e.ES2022=9]="ES2022",e[e.ESNext=99]="ESNext",e[e.JSON=100]="JSON",e[e.Latest=99]="Latest",e))(Fo||{}),Wo=(e=>(e[e.Standard=0]="Standard",e[e.JSX=1]="JSX",e))(Wo||{}),zo=(e=>(e[e.None=0]="None",e[e.Recursive=1]="Recursive",e))(zo||{}),Go=(e=>(e[e.nullCharacter=0]="nullCharacter",e[e.maxAsciiCharacter=127]="maxAsciiCharacter",e[e.lineFeed=10]="lineFeed",e[e.carriageReturn=13]="carriageReturn",e[e.lineSeparator=8232]="lineSeparator",e[e.paragraphSeparator=8233]="paragraphSeparator",e[e.nextLine=133]="nextLine",e[e.space=32]="space",e[e.nonBreakingSpace=160]="nonBreakingSpace",e[e.enQuad=8192]="enQuad",e[e.emQuad=8193]="emQuad",e[e.enSpace=8194]="enSpace",e[e.emSpace=8195]="emSpace",e[e.threePerEmSpace=8196]="threePerEmSpace",e[e.fourPerEmSpace=8197]="fourPerEmSpace",e[e.sixPerEmSpace=8198]="sixPerEmSpace",e[e.figureSpace=8199]="figureSpace",e[e.punctuationSpace=8200]="punctuationSpace",e[e.thinSpace=8201]="thinSpace",e[e.hairSpace=8202]="hairSpace",e[e.zeroWidthSpace=8203]="zeroWidthSpace",e[e.narrowNoBreakSpace=8239]="narrowNoBreakSpace",e[e.ideographicSpace=12288]="ideographicSpace",e[e.mathematicalSpace=8287]="mathematicalSpace",e[e.ogham=5760]="ogham",e[e._=95]="_",e[e.$=36]="$",e[e._0=48]="_0",e[e._1=49]="_1",e[e._2=50]="_2",e[e._3=51]="_3",e[e._4=52]="_4",e[e._5=53]="_5",e[e._6=54]="_6",e[e._7=55]="_7",e[e._8=56]="_8",e[e._9=57]="_9",e[e.a=97]="a",e[e.b=98]="b",e[e.c=99]="c",e[e.d=100]="d",e[e.e=101]="e",e[e.f=102]="f",e[e.g=103]="g",e[e.h=104]="h",e[e.i=105]="i",e[e.j=106]="j",e[e.k=107]="k",e[e.l=108]="l",e[e.m=109]="m",e[e.n=110]="n",e[e.o=111]="o",e[e.p=112]="p",e[e.q=113]="q",e[e.r=114]="r",e[e.s=115]="s",e[e.t=116]="t",e[e.u=117]="u",e[e.v=118]="v",e[e.w=119]="w",e[e.x=120]="x",e[e.y=121]="y",e[e.z=122]="z",e[e.A=65]="A",e[e.B=66]="B",e[e.C=67]="C",e[e.D=68]="D",e[e.E=69]="E",e[e.F=70]="F",e[e.G=71]="G",e[e.H=72]="H",e[e.I=73]="I",e[e.J=74]="J",e[e.K=75]="K",e[e.L=76]="L",e[e.M=77]="M",e[e.N=78]="N",e[e.O=79]="O",e[e.P=80]="P",e[e.Q=81]="Q",e[e.R=82]="R",e[e.S=83]="S",e[e.T=84]="T",e[e.U=85]="U",e[e.V=86]="V",e[e.W=87]="W",e[e.X=88]="X",e[e.Y=89]="Y",e[e.Z=90]="Z",e[e.ampersand=38]="ampersand",e[e.asterisk=42]="asterisk",e[e.at=64]="at",e[e.backslash=92]="backslash",e[e.backtick=96]="backtick",e[e.bar=124]="bar",e[e.caret=94]="caret",e[e.closeBrace=125]="closeBrace",e[e.closeBracket=93]="closeBracket",e[e.closeParen=41]="closeParen",e[e.colon=58]="colon",e[e.comma=44]="comma",e[e.dot=46]="dot",e[e.doubleQuote=34]="doubleQuote",e[e.equals=61]="equals",e[e.exclamation=33]="exclamation",e[e.greaterThan=62]="greaterThan",e[e.hash=35]="hash",e[e.lessThan=60]="lessThan",e[e.minus=45]="minus",e[e.openBrace=123]="openBrace",e[e.openBracket=91]="openBracket",e[e.openParen=40]="openParen",e[e.percent=37]="percent",e[e.plus=43]="plus",e[e.question=63]="question",e[e.semicolon=59]="semicolon",e[e.singleQuote=39]="singleQuote",e[e.slash=47]="slash",e[e.tilde=126]="tilde",e[e.backspace=8]="backspace",e[e.formFeed=12]="formFeed",e[e.byteOrderMark=65279]="byteOrderMark",e[e.tab=9]="tab",e[e.verticalTab=11]="verticalTab",e))(Go||{}),Bo=(e=>(e.Ts=".ts",e.Tsx=".tsx",e.Dts=".d.ts",e.Js=".js",e.Jsx=".jsx",e.Json=".json",e.TsBuildInfo=".tsbuildinfo",e.Mjs=".mjs",e.Mts=".mts",e.Dmts=".d.mts",e.Cjs=".cjs",e.Cts=".cts",e.Dcts=".d.cts",e))(Bo||{}),jo=(e=>(e[e.None=0]="None",e[e.ContainsTypeScript=1]="ContainsTypeScript",e[e.ContainsJsx=2]="ContainsJsx",e[e.ContainsESNext=4]="ContainsESNext",e[e.ContainsES2022=8]="ContainsES2022",e[e.ContainsES2021=16]="ContainsES2021",e[e.ContainsES2020=32]="ContainsES2020",e[e.ContainsES2019=64]="ContainsES2019",e[e.ContainsES2018=128]="ContainsES2018",e[e.ContainsES2017=256]="ContainsES2017",e[e.ContainsES2016=512]="ContainsES2016",e[e.ContainsES2015=1024]="ContainsES2015",e[e.ContainsGenerator=2048]="ContainsGenerator",e[e.ContainsDestructuringAssignment=4096]="ContainsDestructuringAssignment",e[e.ContainsTypeScriptClassSyntax=8192]="ContainsTypeScriptClassSyntax",e[e.ContainsLexicalThis=16384]="ContainsLexicalThis",e[e.ContainsRestOrSpread=32768]="ContainsRestOrSpread",e[e.ContainsObjectRestOrSpread=65536]="ContainsObjectRestOrSpread",e[e.ContainsComputedPropertyName=131072]="ContainsComputedPropertyName",e[e.ContainsBlockScopedBinding=262144]="ContainsBlockScopedBinding",e[e.ContainsBindingPattern=524288]="ContainsBindingPattern",e[e.ContainsYield=1048576]="ContainsYield",e[e.ContainsAwait=2097152]="ContainsAwait",e[e.ContainsHoistedDeclarationOrCompletion=4194304]="ContainsHoistedDeclarationOrCompletion",e[e.ContainsDynamicImport=8388608]="ContainsDynamicImport",e[e.ContainsClassFields=16777216]="ContainsClassFields",e[e.ContainsDecorators=33554432]="ContainsDecorators",e[e.ContainsPossibleTopLevelAwait=67108864]="ContainsPossibleTopLevelAwait",e[e.ContainsLexicalSuper=134217728]="ContainsLexicalSuper",e[e.ContainsUpdateExpressionForIdentifier=268435456]="ContainsUpdateExpressionForIdentifier",e[e.ContainsPrivateIdentifierInExpression=536870912]="ContainsPrivateIdentifierInExpression",e[e.HasComputedFlags=-2147483648]="HasComputedFlags",e[e.AssertTypeScript=1]="AssertTypeScript",e[e.AssertJsx=2]="AssertJsx",e[e.AssertESNext=4]="AssertESNext",e[e.AssertES2022=8]="AssertES2022",e[e.AssertES2021=16]="AssertES2021",e[e.AssertES2020=32]="AssertES2020",e[e.AssertES2019=64]="AssertES2019",e[e.AssertES2018=128]="AssertES2018",e[e.AssertES2017=256]="AssertES2017",e[e.AssertES2016=512]="AssertES2016",e[e.AssertES2015=1024]="AssertES2015",e[e.AssertGenerator=2048]="AssertGenerator",e[e.AssertDestructuringAssignment=4096]="AssertDestructuringAssignment",e[e.OuterExpressionExcludes=-2147483648]="OuterExpressionExcludes",e[e.PropertyAccessExcludes=-2147483648]="PropertyAccessExcludes",e[e.NodeExcludes=-2147483648]="NodeExcludes",e[e.ArrowFunctionExcludes=-2072174592]="ArrowFunctionExcludes",e[e.FunctionExcludes=-1937940480]="FunctionExcludes",e[e.ConstructorExcludes=-1937948672]="ConstructorExcludes",e[e.MethodOrAccessorExcludes=-2005057536]="MethodOrAccessorExcludes",e[e.PropertyExcludes=-2013249536]="PropertyExcludes",e[e.ClassExcludes=-2147344384]="ClassExcludes",e[e.ModuleExcludes=-1941676032]="ModuleExcludes",e[e.TypeExcludes=-2]="TypeExcludes",e[e.ObjectLiteralExcludes=-2147278848]="ObjectLiteralExcludes",e[e.ArrayLiteralOrCallOrNewExcludes=-2147450880]="ArrayLiteralOrCallOrNewExcludes",e[e.VariableDeclarationListExcludes=-2146893824]="VariableDeclarationListExcludes",e[e.ParameterExcludes=-2147483648]="ParameterExcludes",e[e.CatchClauseExcludes=-2147418112]="CatchClauseExcludes",e[e.BindingPatternExcludes=-2147450880]="BindingPatternExcludes",e[e.ContainsLexicalThisOrSuper=134234112]="ContainsLexicalThisOrSuper",e[e.PropertyNamePropagatingFlags=134234112]="PropertyNamePropagatingFlags",e))(jo||{}),Vo=(e=>(e[e.TabStop=0]="TabStop",e[e.Placeholder=1]="Placeholder",e[e.Choice=2]="Choice",e[e.Variable=3]="Variable",e))(Vo||{}),Uo=(e=>(e[e.None=0]="None",e[e.SingleLine=1]="SingleLine",e[e.MultiLine=2]="MultiLine",e[e.AdviseOnEmitNode=4]="AdviseOnEmitNode",e[e.NoSubstitution=8]="NoSubstitution",e[e.CapturesThis=16]="CapturesThis",e[e.NoLeadingSourceMap=32]="NoLeadingSourceMap",e[e.NoTrailingSourceMap=64]="NoTrailingSourceMap",e[e.NoSourceMap=96]="NoSourceMap",e[e.NoNestedSourceMaps=128]="NoNestedSourceMaps",e[e.NoTokenLeadingSourceMaps=256]="NoTokenLeadingSourceMaps",e[e.NoTokenTrailingSourceMaps=512]="NoTokenTrailingSourceMaps",e[e.NoTokenSourceMaps=768]="NoTokenSourceMaps",e[e.NoLeadingComments=1024]="NoLeadingComments",e[e.NoTrailingComments=2048]="NoTrailingComments",e[e.NoComments=3072]="NoComments",e[e.NoNestedComments=4096]="NoNestedComments",e[e.HelperName=8192]="HelperName",e[e.ExportName=16384]="ExportName",e[e.LocalName=32768]="LocalName",e[e.InternalName=65536]="InternalName",e[e.Indented=131072]="Indented",e[e.NoIndentation=262144]="NoIndentation",e[e.AsyncFunctionBody=524288]="AsyncFunctionBody",e[e.ReuseTempVariableScope=1048576]="ReuseTempVariableScope",e[e.CustomPrologue=2097152]="CustomPrologue",e[e.NoHoisting=4194304]="NoHoisting",e[e.Iterator=8388608]="Iterator",e[e.NoAsciiEscaping=16777216]="NoAsciiEscaping",e))(Uo||{}),Ho=(e=>(e[e.None=0]="None",e[e.TypeScriptClassWrapper=1]="TypeScriptClassWrapper",e[e.NeverApplyImportHelper=2]="NeverApplyImportHelper",e[e.IgnoreSourceNewlines=4]="IgnoreSourceNewlines",e[e.Immutable=8]="Immutable",e[e.IndirectCall=16]="IndirectCall",e[e.TransformPrivateStaticElements=32]="TransformPrivateStaticElements",e))(Ho||{}),Ko=(e=>(e[e.Extends=1]="Extends",e[e.Assign=2]="Assign",e[e.Rest=4]="Rest",e[e.Decorate=8]="Decorate",e[e.ESDecorateAndRunInitializers=8]="ESDecorateAndRunInitializers",e[e.Metadata=16]="Metadata",e[e.Param=32]="Param",e[e.Awaiter=64]="Awaiter",e[e.Generator=128]="Generator",e[e.Values=256]="Values",e[e.Read=512]="Read",e[e.SpreadArray=1024]="SpreadArray",e[e.Await=2048]="Await",e[e.AsyncGenerator=4096]="AsyncGenerator",e[e.AsyncDelegator=8192]="AsyncDelegator",e[e.AsyncValues=16384]="AsyncValues",e[e.ExportStar=32768]="ExportStar",e[e.ImportStar=65536]="ImportStar",e[e.ImportDefault=131072]="ImportDefault",e[e.MakeTemplateObject=262144]="MakeTemplateObject",e[e.ClassPrivateFieldGet=524288]="ClassPrivateFieldGet",e[e.ClassPrivateFieldSet=1048576]="ClassPrivateFieldSet",e[e.ClassPrivateFieldIn=2097152]="ClassPrivateFieldIn",e[e.CreateBinding=4194304]="CreateBinding",e[e.SetFunctionName=8388608]="SetFunctionName",e[e.PropKey=16777216]="PropKey",e[e.AddDisposableResourceAndDisposeResources=33554432]="AddDisposableResourceAndDisposeResources",e[e.FirstEmitHelper=1]="FirstEmitHelper",e[e.LastEmitHelper=33554432]="LastEmitHelper",e[e.ForOfIncludes=256]="ForOfIncludes",e[e.ForAwaitOfIncludes=16384]="ForAwaitOfIncludes",e[e.AsyncGeneratorIncludes=6144]="AsyncGeneratorIncludes",e[e.AsyncDelegatorIncludes=26624]="AsyncDelegatorIncludes",e[e.SpreadIncludes=1536]="SpreadIncludes",e))(Ko||{}),qo=(e=>(e[e.SourceFile=0]="SourceFile",e[e.Expression=1]="Expression",e[e.IdentifierName=2]="IdentifierName",e[e.MappedTypeParameter=3]="MappedTypeParameter",e[e.Unspecified=4]="Unspecified",e[e.EmbeddedStatement=5]="EmbeddedStatement",e[e.JsxAttributeValue=6]="JsxAttributeValue",e[e.ImportTypeNodeAttributes=7]="ImportTypeNodeAttributes",e))(qo||{}),Jo=(e=>(e[e.Parentheses=1]="Parentheses",e[e.TypeAssertions=2]="TypeAssertions",e[e.NonNullAssertions=4]="NonNullAssertions",e[e.PartiallyEmittedExpressions=8]="PartiallyEmittedExpressions",e[e.Assertions=6]="Assertions",e[e.All=15]="All",e[e.ExcludeJSDocTypeAssertion=16]="ExcludeJSDocTypeAssertion",e))(Jo||{}),Xo=(e=>(e[e.None=0]="None",e[e.InParameters=1]="InParameters",e[e.VariablesHoistedInParameters=2]="VariablesHoistedInParameters",e))(Xo||{}),Yo=(e=>(e.Prologue="prologue",e.EmitHelpers="emitHelpers",e.NoDefaultLib="no-default-lib",e.Reference="reference",e.Type="type",e.TypeResolutionModeRequire="type-require",e.TypeResolutionModeImport="type-import",e.Lib="lib",e.Prepend="prepend",e.Text="text",e.Internal="internal",e))(Yo||{}),$o=(e=>(e[e.None=0]="None",e[e.SingleLine=0]="SingleLine",e[e.MultiLine=1]="MultiLine",e[e.PreserveLines=2]="PreserveLines",e[e.LinesMask=3]="LinesMask",e[e.NotDelimited=0]="NotDelimited",e[e.BarDelimited=4]="BarDelimited",e[e.AmpersandDelimited=8]="AmpersandDelimited",e[e.CommaDelimited=16]="CommaDelimited",e[e.AsteriskDelimited=32]="AsteriskDelimited",e[e.DelimitersMask=60]="DelimitersMask",e[e.AllowTrailingComma=64]="AllowTrailingComma",e[e.Indented=128]="Indented",e[e.SpaceBetweenBraces=256]="SpaceBetweenBraces",e[e.SpaceBetweenSiblings=512]="SpaceBetweenSiblings",e[e.Braces=1024]="Braces",e[e.Parenthesis=2048]="Parenthesis",e[e.AngleBrackets=4096]="AngleBrackets",e[e.SquareBrackets=8192]="SquareBrackets",e[e.BracketsMask=15360]="BracketsMask",e[e.OptionalIfUndefined=16384]="OptionalIfUndefined",e[e.OptionalIfEmpty=32768]="OptionalIfEmpty",e[e.Optional=49152]="Optional",e[e.PreferNewLine=65536]="PreferNewLine",e[e.NoTrailingNewLine=131072]="NoTrailingNewLine",e[e.NoInterveningComments=262144]="NoInterveningComments",e[e.NoSpaceIfEmpty=524288]="NoSpaceIfEmpty",e[e.SingleElement=1048576]="SingleElement",e[e.SpaceAfterList=2097152]="SpaceAfterList",e[e.Modifiers=2359808]="Modifiers",e[e.HeritageClauses=512]="HeritageClauses",e[e.SingleLineTypeLiteralMembers=768]="SingleLineTypeLiteralMembers",e[e.MultiLineTypeLiteralMembers=32897]="MultiLineTypeLiteralMembers",e[e.SingleLineTupleTypeElements=528]="SingleLineTupleTypeElements",e[e.MultiLineTupleTypeElements=657]="MultiLineTupleTypeElements",e[e.UnionTypeConstituents=516]="UnionTypeConstituents",e[e.IntersectionTypeConstituents=520]="IntersectionTypeConstituents",e[e.ObjectBindingPatternElements=525136]="ObjectBindingPatternElements",e[e.ArrayBindingPatternElements=524880]="ArrayBindingPatternElements",e[e.ObjectLiteralExpressionProperties=526226]="ObjectLiteralExpressionProperties",e[e.ImportAttributes=526226]="ImportAttributes",e[e.ImportClauseEntries=526226]="ImportClauseEntries",e[e.ArrayLiteralExpressionElements=8914]="ArrayLiteralExpressionElements",e[e.CommaListElements=528]="CommaListElements",e[e.CallExpressionArguments=2576]="CallExpressionArguments",e[e.NewExpressionArguments=18960]="NewExpressionArguments",e[e.TemplateExpressionSpans=262144]="TemplateExpressionSpans",e[e.SingleLineBlockStatements=768]="SingleLineBlockStatements",e[e.MultiLineBlockStatements=129]="MultiLineBlockStatements",e[e.VariableDeclarationList=528]="VariableDeclarationList",e[e.SingleLineFunctionBodyStatements=768]="SingleLineFunctionBodyStatements",e[e.MultiLineFunctionBodyStatements=1]="MultiLineFunctionBodyStatements",e[e.ClassHeritageClauses=0]="ClassHeritageClauses",e[e.ClassMembers=129]="ClassMembers",e[e.InterfaceMembers=129]="InterfaceMembers",e[e.EnumMembers=145]="EnumMembers",e[e.CaseBlockClauses=129]="CaseBlockClauses",e[e.NamedImportsOrExportsElements=525136]="NamedImportsOrExportsElements",e[e.JsxElementOrFragmentChildren=262144]="JsxElementOrFragmentChildren",e[e.JsxElementAttributes=262656]="JsxElementAttributes",e[e.CaseOrDefaultClauseStatements=163969]="CaseOrDefaultClauseStatements",e[e.HeritageClauseTypes=528]="HeritageClauseTypes",e[e.SourceFileStatements=131073]="SourceFileStatements",e[e.Decorators=2146305]="Decorators",e[e.TypeArguments=53776]="TypeArguments",e[e.TypeParameters=53776]="TypeParameters",e[e.Parameters=2576]="Parameters",e[e.IndexSignatureParameters=8848]="IndexSignatureParameters",e[e.JSDocComment=33]="JSDocComment",e))($o||{}),Qo=(e=>(e[e.None=0]="None",e[e.TripleSlashXML=1]="TripleSlashXML",e[e.SingleLine=2]="SingleLine",e[e.MultiLine=4]="MultiLine",e[e.All=7]="All",e[e.Default=7]="Default",e))(Qo||{}),Zo={reference:{args:[{name:"types",optional:!0,captureSpan:!0},{name:"lib",optional:!0,captureSpan:!0},{name:"path",optional:!0,captureSpan:!0},{name:"no-default-lib",optional:!0},{name:"resolution-mode",optional:!0}],kind:1},"amd-dependency":{args:[{name:"path"},{name:"name",optional:!0}],kind:1},"amd-module":{args:[{name:"name"}],kind:1},"ts-check":{kind:2},"ts-nocheck":{kind:2},jsx:{args:[{name:"factory"}],kind:4},jsxfrag:{args:[{name:"factory"}],kind:4},jsximportsource:{args:[{name:"factory"}],kind:4},jsxruntime:{args:[{name:"factory"}],kind:4}},ei=(e=>(e[e.ParseAll=0]="ParseAll",e[e.ParseNone=1]="ParseNone",e[e.ParseForTypeErrors=2]="ParseForTypeErrors",e[e.ParseForTypeInfo=3]="ParseForTypeInfo",e))(ei||{})}});function _i(e){let n=5381;for(let t=0;t<e.length;t++)n=(n<<5)+n+e.charCodeAt(t);return n.toString()}function hi(){Error.stackTraceLimit<100&&(Error.stackTraceLimit=100)}function yi(e,n){return e.getModifiedTime(n)||ai}function vi(e){return{250:e.Low,500:e.Medium,2e3:e.High}}function Si(e){if(!e.getEnvironmentVariable)return;const n=function(e,n){const r=t(e);if(r)return o("Low"),o("Medium"),o("High"),!0;return!1;function o(e){n[e]=r[e]||n[e]}}("TSC_WATCH_POLLINGINTERVAL",ii);function t(n){let t;return r("Low"),r("Medium"),r("High"),t;function r(r){const o=function(n,t){return e.getEnvironmentVariable(`${n}_${t.toUpperCase()}`)}(n,r);o&&((t||(t={}))[r]=Number(o))}}function r(e,r){const o=t(e);return(n||o)&&vi(o?{...r,...o}:r)}li=r("TSC_WATCH_POLLINGCHUNKSIZE",si)||li,ci=r("TSC_WATCH_UNCHANGEDPOLLTHRESHOLDS",si)||ci}function Ti(e,n,t,r,o){let i=t;for(let s=n.length;r&&s;a(),s--){const a=n[t];if(!a)continue;if(a.isClosed){n[t]=void 0;continue}r--;const s=Ii(a,yi(e,a.fileName));a.isClosed?n[t]=void 0:(null==o||o(a,t,s),n[t]&&(i<t&&(n[i]=a,n[t]=void 0),i++))}return t;function a(){++t===n.length&&(i<t&&(n.length=i),t=0,i=0)}}function xi(e){const n=[],t=[],r=a(250),o=a(500),i=a(2e3);return function(t,r,o){const i={fileName:t,callback:r,unchangedPolls:0,mtime:yi(e,t)};return n.push(i),u(i,o),{close:()=>{i.isClosed=!0,tt(n,i)}}};function a(e){const n=[];return n.pollingInterval=e,n.pollIndex=0,n.pollScheduled=!1,n}function s(e,n){n.pollIndex=c(n,n.pollingInterval,n.pollIndex,li[n.pollingInterval]),n.length?f(n.pollingInterval):(Tt.assert(0===n.pollIndex),n.pollScheduled=!1)}function l(e,n){c(t,250,0,t.length),s(0,n),!n.pollScheduled&&t.length&&f(250)}function c(n,r,o,i){return Ti(e,n,o,i,(function(e,o,i){i?(e.unchangedPolls=0,n!==t&&(n[o]=void 0,a=e,t.push(a),p(250))):e.unchangedPolls!==ci[r]?e.unchangedPolls++:n===t?(e.unchangedPolls=1,n[o]=void 0,u(e,250)):2e3!==r&&(e.unchangedPolls++,n[o]=void 0,u(e,250===r?500:2e3));var a}))}function d(e){switch(e){case 250:return r;case 500:return o;case 2e3:return i}}function u(e,n){d(n).push(e),p(n)}function p(e){d(e).pollScheduled||f(e)}function f(n){d(n).pollScheduled=e.setTimeout(250===n?l:s,n,250===n?"pollLowPollingIntervalQueue":"pollPollingIntervalQueue",d(n))}}function Ai(e,n,t,r){const o=sn(),i=r?new Map:void 0,a=new Map,s=rt(n);return function(n,r,l,c){const d=s(n);1===o.add(d,r).length&&i&&i.set(d,t(n)||ai);const u=ra(d)||".",p=a.get(u)||function(n,r,l){const c=e(n,1,((e,r)=>{if(!mn(r))return;const a=ma(r,n),l=s(a),c=a&&o.get(l);if(c){let n,r=1;if(i){const o=i.get(l);if("change"===e&&(n=t(a)||ai,n.getTime()===o.getTime()))return;n||(n=t(a)||ai),i.set(l,n),o===ai?r=0:n===ai&&(r=2)}for(const e of c)e(a,r,n)}}),!1,500,l);return c.referenceCount=0,a.set(r,c),c}(ra(n)||".",u,c);return p.referenceCount++,{close:()=>{1===p.referenceCount?(p.close(),a.delete(u)):p.referenceCount--,o.remove(d,r)}}}}function Ri(e,n,t,r,o){const i=rt(n)(t),a=e.get(i);return a?a.callbacks.push(r):e.set(i,{watcher:o(((n,t,r)=>{var o;return null==(o=e.get(i))?void 0:o.callbacks.slice().forEach((e=>e(n,t,r)))})),callbacks:[r]}),{close:()=>{const n=e.get(i);n&&Zn(n.callbacks,r)&&!n.callbacks.length&&(e.delete(i),lU(n))}}}function Ii(e,n){const t=e.mtime.getTime(),r=n.getTime();return t!==r&&(e.mtime=n,e.callback(e.fileName,Ni(t,r),n),!0)}function Ni(e,n){return 0===e?0:0===n?2:1}function Di(e){return ui(e)}function Ci(e){ui=e}function Mi({watchDirectory:e,useCaseSensitiveFileNames:n,getCurrentDirectory:t,getAccessibleSortedChildDirectories:r,fileSystemEntryExists:i,realpath:a,setTimeout:s,clearTimeout:l}){const c=new Map,d=sn(),u=new Map;let p;const f=Bn(!n),m=rt(n);return(n,t,r,o)=>r?_(n,o,t):e(n,t,r,o);function _(n,t,r){const a=m(n);let f=c.get(a);f?f.refCount++:(f={watcher:e(n,(e=>{b(e,t)||((null==t?void 0:t.synchronousWatchDirectory)?(h(a,e),v(n,a,t)):function(e,n,t,r){const o=c.get(n);if(o&&i(e,1))return void function(e,n,t,r){const o=u.get(n);o?o.fileNames.push(t):u.set(n,{dirName:e,options:r,fileNames:[t]});p&&(l(p),p=void 0);p=s(g,1e3,"timerToUpdateChildWatches")}(e,n,t,r);h(n,t),y(o)}(n,a,e,t))}),!1,t),refCount:1,childWatches:o},c.set(a,f),v(n,a,t));const _=r&&{dirName:n,callback:r};return _&&d.add(a,_),{dirName:n,close:()=>{const e=Tt.checkDefined(c.get(a));_&&d.remove(a,_),e.refCount--,e.refCount||(c.delete(a),lU(e),e.childWatches.forEach(fS))}}}function h(e,n,t){let r,o;mn(n)?r=n:o=n,d.forEach(((n,i)=>{if((!o||!0!==o.get(i))&&(i===e||st(e,i)&&e[i.length]===Fi))if(o)if(t){const e=o.get(i);e?e.push(...t):o.set(i,t.slice())}else o.set(i,!0);else n.forEach((({callback:e})=>e(r)))}))}function g(){p=void 0,Di(`sysLog:: onTimerToUpdateChildWatches:: ${u.size}`);const e=Zt(),n=new Map;for(;!p&&u.size;){const e=u.entries().next();Tt.assert(!e.done);const{value:[t,{dirName:r,options:o,fileNames:i}]}=e;u.delete(t);const a=v(r,t,o);h(t,n,a?void 0:i)}Di(`sysLog:: invokingWatchers:: Elapsed:: ${Zt()-e}ms:: ${u.size}`),d.forEach(((e,t)=>{const r=n.get(t);r&&e.forEach((({callback:e,dirName:n})=>{pn(r)?r.forEach(e):e(n)}))}));Di(`sysLog:: Elapsed:: ${Zt()-e}ms:: onTimerToUpdateChildWatches:: ${u.size} ${p}`)}function y(e){if(!e)return;const n=e.childWatches;e.childWatches=o;for(const e of n)e.close(),y(c.get(m(e.dirName)))}function v(e,n,t){const s=c.get(n);if(!s)return!1;let l;const d=ht(i(e,1)?Y(r(e),(n=>{const r=ma(n,e);return b(r,t)||0!==f(r,_a(a(r)))?void 0:r})):o,s.childWatches,((e,n)=>f(e,n.dirName)),(function(e){u(_(e,t))}),fS,u);return s.childWatches=l||o,d;function u(e){(l||(l=[])).push(e)}}function b(e,r){return oe(di,(t=>function(e,t){return!!e.includes(t)||!n&&m(e).includes(t)}(e,t)))||Pi(e,r,n,t)}}function Pi(e,n,t,r){return((null==n?void 0:n.excludeDirectories)||(null==n?void 0:n.excludeFiles))&&(CO(e,null==n?void 0:n.excludeFiles,t,r())||CO(e,null==n?void 0:n.excludeDirectories,t,r()))}function Li(e,n,t,r,o){return(i,a)=>{if("rename"===i){const i=a?_a(ua(e,a)):e;a&&Pi(i,t,r,o)||n(i)}}}function ki({pollingWatchFileWorker:e,getModifiedTime:n,setTimeout:t,clearTimeout:r,fsWatchWorker:o,fileSystemEntryExists:i,useCaseSensitiveFileNames:a,getCurrentDirectory:s,fsSupportsRecursiveFsWatch:l,getAccessibleSortedChildDirectories:c,realpath:d,tscWatchFile:u,useNonPollingWatchers:p,tscWatchDirectory:f,inodeWatching:m,fsWatchWithTimestamp:_,sysLog:h}){const g=new Map,y=new Map,v=new Map;let b,E,S,T,x=!1;return{watchFile:A,watchDirectory:function(e,n,o,u){if(l)return M(e,1,Li(e,n,u,a,s),o,500,sU(u));T||(T=Mi({useCaseSensitiveFileNames:a,getCurrentDirectory:s,fileSystemEntryExists:i,getAccessibleSortedChildDirectories:c,watchDirectory:D,realpath:d,setTimeout:t,clearTimeout:r}));return T(e,n,o,u)}};function A(e,t,r,o){o=function(e,n){if(e&&void 0!==e.watchFile)return e;switch(u){case"PriorityPollingInterval":return{watchFile:1};case"DynamicPriorityPolling":return{watchFile:2};case"UseFsEvents":return N(4,1,e);case"UseFsEventsWithFallbackDynamicPolling":return N(4,2,e);case"UseFsEventsOnParentDirectory":n=!0;default:return n?N(5,1,e):{watchFile:4}}}(o,p);const i=Tt.checkDefined(o.watchFile);switch(i){case 0:return C(e,t,250,void 0);case 1:return C(e,t,r,void 0);case 2:return R()(e,t,r,void 0);case 3:return I()(e,t,void 0,void 0);case 4:return M(e,0,function(e,n,t){return(r,o,i)=>{"rename"===r?(i||(i=t(e)||ai),n(e,i!==ai?0:2,i)):n(e,1,i)}}(e,t,n),!1,r,sU(o));case 5:return S||(S=Ai(M,a,n,_)),S(e,t,r,sU(o));default:Tt.assertNever(i)}}function R(){return b||(b=xi({getModifiedTime:n,setTimeout:t}))}function I(){return E||(E=function(e){const n=[];let t,r=0;return function(t,r){const o={fileName:t,callback:r,mtime:yi(e,t)};return n.push(o),i(),{close:()=>{o.isClosed=!0,tt(n,o)}}};function o(){t=void 0,r=Ti(e,n,r,li[250]),i()}function i(){n.length&&!t&&(t=e.setTimeout(o,2e3,"pollQueue"))}}({getModifiedTime:n,setTimeout:t}))}function N(e,n,t){const r=null==t?void 0:t.fallbackPolling;return{watchFile:e,fallbackPolling:void 0===r?n:r}}function D(e,n,t,r){Tt.assert(!t);const o=function(e){if(e&&void 0!==e.watchDirectory)return e;switch(f){case"RecursiveDirectoryUsingFsWatchFile":return{watchDirectory:1};case"RecursiveDirectoryUsingDynamicPriorityPolling":return{watchDirectory:2};default:const n=null==e?void 0:e.fallbackPolling;return{watchDirectory:0,fallbackPolling:void 0!==n?n:void 0}}}(r),i=Tt.checkDefined(o.watchDirectory);switch(i){case 1:return C(e,(()=>n(e)),500,void 0);case 2:return R()(e,(()=>n(e)),500,void 0);case 3:return I()(e,(()=>n(e)),void 0,void 0);case 0:return M(e,1,Li(e,n,r,a,s),t,500,sU(o));default:Tt.assertNever(i)}}function C(n,t,r,o){return Ri(g,a,n,t,(t=>e(n,t,r,o)))}function M(e,t,r,s,l,c){return Ri(s?v:y,a,e,r,(r=>function(e,t,r,a,s,l){let c,d;m&&(c=e.substring(e.lastIndexOf(Fi)),d=c.slice(Fi.length));let u=i(e,t)?f():v();return{close:()=>{u&&(u.close(),u=void 0)}};function p(n){u&&(h(`sysLog:: ${e}:: Changing watcher to ${n===f?"Present":"Missing"}FileSystemEntryWatcher`),u.close(),u=n())}function f(){if(x)return h(`sysLog:: ${e}:: Defaulting to watchFile`),y();try{const n=(1!==t&&_?P:o)(e,a,m?g:r);return n.on("error",(()=>{r("rename",""),p(v)})),n}catch(n){return x||(x="ENOSPC"===n.code),h(`sysLog:: ${e}:: Changing to watchFile`),y()}}function g(t,o){let i;if(o&&Xn(o,"~")&&(i=o,o=o.slice(0,o.length-1)),"rename"!==t||o&&o!==d&&!Xn(o,c))i&&r(t,i),r(t,o);else{const a=n(e)||ai;i&&r(t,i,a),r(t,o,a),m?p(a===ai?v:f):a===ai&&p(v)}}function y(){return A(e,function(e){return(n,t,r)=>e(1===t?"change":"rename","",r)}(r),s,l)}function v(){return A(e,((t,o,i)=>{0===o&&(i||(i=n(e)||ai),i!==ai&&(r("rename","",i),p(f)))}),s,l)}}(e,t,r,s,l,c)))}function P(e,t,r){let i=n(e)||ai;return o(e,t,((t,o,a)=>{"change"===t&&(a||(a=n(e)||ai),a.getTime()===i.getTime())||(i=a||n(e)||ai,r(t,o,i))}))}}function wi(e){const n=e.writeFile;e.writeFile=(t,r,o)=>pb(t,r,!!o,((t,r,o)=>n.call(e,t,r,o)),(n=>e.createDirectory(n)),(n=>e.directoryExists(n)))}function Oi(e){fi=e}var Fi,Wi,zi,Gi,Bi,ji=g({"src/compiler/sys.ts"(){JJ(),oi=(e=>(e[e.Created=0]="Created",e[e.Changed=1]="Changed",e[e.Deleted=2]="Deleted",e))(oi||{}),ii=(e=>(e[e.High=2e3]="High",e[e.Medium=500]="Medium",e[e.Low=250]="Low",e))(ii||{}),ai=new Date(0),li=vi(si={Low:32,Medium:64,High:256}),ci=vi(si),di=["/node_modules/.","/.git","/.#"],ui=yn,pi=(e=>(e[e.File=0]="File",e[e.Directory=1]="Directory",e))(pi||{}),fi=(()=>{let n;return Et()&&(n=function(){const n=/^native |^\([^)]+\)$|^(internal[\\/]|[a-zA-Z0-9_\s]+(\.js)?$)/,t=bi("fs"),r=bi("path"),o=bi("os");let i,a;try{i=bi("crypto")}catch{i=void 0}let s="./profile.cpuprofile";const l=bi("buffer").Buffer,c="darwin"===process.platform,d="linux"===process.platform||c,u=o.platform(),p="win32"!==u&&"win64"!==u&&!R((b=gi,b.replace(/\w/g,(e=>{const n=e.toUpperCase();return e===n?e.toLowerCase():n})))),f=t.realpathSync.native?"win32"===process.platform?function(e){return e.length<260?t.realpathSync.native(e):t.realpathSync(e)}:t.realpathSync.native:t.realpathSync,m=gi.endsWith("sys.js")?r.join(r.dirname("/"),"__fake__.js"):gi,_="win32"===process.platform||c,h=Rn((()=>process.cwd())),{watchFile:g,watchDirectory:y}=ki({pollingWatchFileWorker:function(e,n,r){let o;return t.watchFile(e,{persistent:!0,interval:r},i),{close:()=>t.unwatchFile(e,i)};function i(t,r){const i=0==+r.mtime||2===o;if(0==+t.mtime){if(i)return;o=2}else if(i)o=0;else{if(+t.mtime==+r.mtime)return;o=1}n(e,o,t.mtime)}},getModifiedTime:N,setTimeout:setTimeout,clearTimeout:clearTimeout,fsWatchWorker:function(e,n,r){return t.watch(e,_?{persistent:!0,recursive:!!n}:{persistent:!0},r)},useCaseSensitiveFileNames:p,getCurrentDirectory:h,fileSystemEntryExists:A,fsSupportsRecursiveFsWatch:_,getAccessibleSortedChildDirectories:e=>x(e).directories,realpath:I,tscWatchFile:process.env.TSC_WATCHFILE,useNonPollingWatchers:!!process.env.TSC_NONPOLLING_WATCHER,tscWatchDirectory:process.env.TSC_WATCHDIRECTORY,inodeWatching:d,fsWatchWithTimestamp:c,sysLog:Di}),v={args:process.argv.slice(2),newLine:o.EOL,useCaseSensitiveFileNames:p,write(e){process.stdout.write(e)},getWidthOfTerminal(){return process.stdout.columns},writeOutputIsTTY(){return process.stdout.isTTY},readFile:function(e,n){var r,o;null==(r=or)||r.logStartReadFile(e);const i=function(e){let n;try{n=t.readFileSync(e)}catch(e){return}let r=n.length;if(r>=2&&254===n[0]&&255===n[1]){r&=-2;for(let e=0;e<r;e+=2){const t=n[e];n[e]=n[e+1],n[e+1]=t}return n.toString("utf16le",2)}return r>=2&&255===n[0]&&254===n[1]?n.toString("utf16le",2):r>=3&&239===n[0]&&187===n[1]&&191===n[2]?n.toString("utf8",3):n.toString("utf8")}(e);return null==(o=or)||o.logStopReadFile(),i},writeFile:function(e,n,r){var o;let i;null==(o=or)||o.logEvent("WriteFile: "+e),r&&(n="\ufeff"+n);try{i=t.openSync(e,"w"),t.writeSync(i,n,void 0,"utf8")}finally{void 0!==i&&t.closeSync(i)}},watchFile:g,watchDirectory:y,resolvePath:e=>r.resolve(e),fileExists:R,directoryExists:function(e){return A(e,1)},getAccessibleFileSystemEntries:x,createDirectory(e){if(!v.directoryExists(e))try{t.mkdirSync(e)}catch(e){if("EEXIST"!==e.code)throw e}},getExecutingFilePath(){return m},getCurrentDirectory:h,getDirectories:function(e){return x(e).directories.slice()},getEnvironmentVariable(e){return process.env[e]||""},readDirectory:function(e,n,t,r,o){return XT(e,n,t,r,p,process.cwd(),o,x,I)},getModifiedTime:N,setModifiedTime:function(e,n){try{t.utimesSync(e,n,n)}catch(e){return}},deleteFile:function(e){try{return t.unlinkSync(e)}catch(e){return}},createHash:i?D:_i,createSHA256Hash:i?D:void 0,getMemoryUsage(){return e.g.gc&&e.g.gc(),process.memoryUsage().heapUsed},getFileSize(e){try{const n=E(e);if(null==n?void 0:n.isFile())return n.size}catch{}return 0},exit(e){S((()=>process.exit(e)))},enableCPUProfiler:function(e,n){if(a)return n(),!1;const t=bi("inspector");if(!t||!t.Session)return n(),!1;const r=new t.Session;return r.connect(),r.post("Profiler.enable",(()=>{r.post("Profiler.start",(()=>{a=r,s=e,n()}))})),!0},disableCPUProfiler:S,cpuProfilingEnabled:()=>!!a||k(process.execArgv,"--cpu-prof")||k(process.execArgv,"--prof"),realpath:I,debugMode:!!process.env.NODE_INSPECTOR_IPC||!!process.env.VSCODE_INSPECTOR_OPTIONS||oe(process.execArgv,(e=>/^--(inspect|debug)(-brk)?(=\d+)?$/i.test(e)))||!!process.recordreplay,tryEnableSourceMapsForHost(){try{bi("source-map-support").install()}catch{}},setTimeout:setTimeout,clearTimeout:clearTimeout,clearScreen:()=>{process.stdout.write("c")},setBlocking:()=>{var e;const n=null==(e=process.stdout)?void 0:e._handle;n&&n.setBlocking&&n.setBlocking(!0)},bufferFrom:T,base64decode:e=>T(e,"base64").toString("utf8"),base64encode:e=>T(e).toString("base64"),require:(e,n)=>{try{const t=FF(n,e,v);return{module:bi(t),modulePath:t,error:void 0}}catch(e){return{module:void 0,modulePath:void 0,error:e}}}};var b;return v;function E(e){return t.statSync(e,{throwIfNoEntry:!1})}function S(e){if(a&&"stopping"!==a){const o=a;return a.post("Profiler.stop",((i,{profile:l})=>{var c;if(!i){try{(null==(c=E(s))?void 0:c.isDirectory())&&(s=r.join(s,`${(new Date).toISOString().replace(/:/g,"-")}+P${process.pid}.cpuprofile`))}catch{}try{t.mkdirSync(r.dirname(s),{recursive:!0})}catch{}t.writeFileSync(s,JSON.stringify(function(e){let t=0;const o=new Map,i=ca(r.dirname(m)),a=`file://${1===ta(i)?"":"/"}${i}`;for(const r of e.nodes)if(r.callFrame.url){const e=ca(r.callFrame.url);Ia(a,e,p)?r.callFrame.url=La(a,e,a,rt(p),!0):n.test(e)||(r.callFrame.url=(o.has(e)?o:o.set(e,`external${t}.js`)).get(e),t++)}return e}(l)))}a=void 0,o.disconnect(),e()})),a="stopping",!0}return e(),!1}function T(e,n){return l.from&&l.from!==Int8Array.from?l.from(e,n):new l(e,n)}function x(e){var n;null==(n=or)||n.logEvent("ReadDir: "+(e||"."));try{const n=t.readdirSync(e||".",{withFileTypes:!0}),r=[],o=[];for(const t of n){const n="string"==typeof t?t:t.name;if("."===n||".."===n)continue;let i;if("string"==typeof t||t.isSymbolicLink()){const t=ua(e,n);try{if(i=E(t),!i)continue}catch(e){continue}}else i=t;i.isFile()?r.push(n):i.isDirectory()&&o.push(n)}return r.sort(),o.sort(),{files:r,directories:o}}catch(e){return Rf}}function A(e,n){const t=Error.stackTraceLimit;Error.stackTraceLimit=0;try{const t=E(e);if(!t)return!1;switch(n){case 0:return t.isFile();case 1:return t.isDirectory();default:return!1}}catch(e){return!1}finally{Error.stackTraceLimit=t}}function R(e){return A(e,0)}function I(e){try{return f(e)}catch{return e}}function N(e){var n;const t=Error.stackTraceLimit;Error.stackTraceLimit=0;try{return null==(n=E(e))?void 0:n.mtime}catch(e){return}finally{Error.stackTraceLimit=t}}function D(e){const n=i.createHash("sha256");return n.update(e),n.digest("hex")}}()),n&&wi(n),n})(),fi&&fi.getEnvironmentVariable&&(Si(fi),Tt.setAssertionLevel(/^development$/i.test(fi.getEnvironmentVariable("NODE_ENV"))?1:0)),fi&&fi.debugMode&&(Tt.isDebugging=!0)}});function Vi(e){return 47===e||92===e}function Ui(e){return na(e)<0}function Hi(e){return na(e)>0}function Ki(e){const n=na(e);return n>0&&n===e.length}function qi(e){return 0!==na(e)}function Ji(e){return/^\.\.?($|[\\/])/.test(e)}function Xi(e){return!qi(e)&&!Ji(e)}function Yi(e){return oa(e).includes(".")}function $i(e,n){return e.length>n.length&&Xn(e,n)}function Qi(e,n){for(const t of n)if($i(e,t))return!0;return!1}function Zi(e){return e.length>0&&Vi(e.charCodeAt(e.length-1))}function ea(e){return e>=97&&e<=122||e>=65&&e<=90}function na(e){if(!e)return 0;const n=e.charCodeAt(0);if(47===n||92===n){if(e.charCodeAt(1)!==n)return 1;const t=e.indexOf(47===n?Fi:Wi,2);return t<0?e.length:t+1}if(ea(n)&&58===e.charCodeAt(1)){const n=e.charCodeAt(2);if(47===n||92===n)return 3;if(2===e.length)return 2}const t=e.indexOf(zi);if(-1!==t){const n=t+zi.length,r=e.indexOf(Fi,n);if(-1!==r){const o=e.slice(0,t),i=e.slice(n,r);if("file"===o&&(""===i||"localhost"===i)&&ea(e.charCodeAt(r+1))){const n=function(e,n){const t=e.charCodeAt(n);if(58===t)return n+1;if(37===t&&51===e.charCodeAt(n+1)){const t=e.charCodeAt(n+2);if(97===t||65===t)return n+3}return-1}(e,r+2);if(-1!==n){if(47===e.charCodeAt(n))return~(n+1);if(n===e.length)return~n}}return~(r+1)}return~e.length}return 0}function ta(e){const n=na(e);return n<0?~n:n}function ra(e){const n=ta(e=ca(e));return n===e.length?e:(e=ya(e)).slice(0,Math.max(n,e.lastIndexOf(Fi)))}function oa(e,n,t){if(ta(e=ca(e))===e.length)return"";const r=(e=ya(e)).slice(Math.max(ta(e),e.lastIndexOf(Fi)+1)),o=void 0!==n&&void 0!==t?aa(r,n,t):void 0;return o?r.slice(0,r.length-o.length):r}function ia(e,n,t){if(st(n,".")||(n="."+n),e.length>=n.length&&46===e.charCodeAt(e.length-n.length)){const r=e.slice(e.length-n.length);if(t(r,n))return r}}function aa(e,n,t){if(n)return function(e,n,t){if("string"==typeof n)return ia(e,n,t)||"";for(const r of n){const n=ia(e,r,t);if(n)return n}return""}(ya(e),n,t?Pn:Ln);const r=oa(e),o=r.lastIndexOf(".");return o>=0?r.substring(o):""}function sa(e,n=""){return function(e,n){const t=e.substring(0,n),r=e.substring(n).split(Fi);return r.length&&!Le(r)&&r.pop(),[t,...r]}(e=ua(n,e),ta(e))}function la(e,n){if(0===e.length)return"";return(e[0]&&va(e[0]))+e.slice(1,n).join(Fi)}function ca(e){return e.includes("\\")?e.replace(Gi,Fi):e}function da(e){if(!oe(e))return[];const n=[e[0]];for(let t=1;t<e.length;t++){const r=e[t];if(r&&"."!==r){if(".."===r)if(n.length>1){if(".."!==n[n.length-1]){n.pop();continue}}else if(n[0])continue;n.push(r)}}return n}function ua(e,...n){e&&(e=ca(e));for(let t of n)t&&(t=ca(t),e=e&&0===ta(t)?va(e)+t:t);return e}function pa(e,...n){return _a(oe(n)?ua(e,...n):ca(e))}function fa(e,n){return da(sa(e,n))}function ma(e,n){return la(fa(e,n))}function _a(e){if(e=ca(e),!Bi.test(e))return e;const n=e.replace(/\/\.\//g,"/").replace(/^\.\//,"");if(n!==e&&(e=n,!Bi.test(e)))return e;const t=la(da(sa(e)));return t&&Zi(e)?va(t):t}function ha(e,n){return 0===(t=fa(e,n)).length?"":t.slice(1).join(Fi);var t}function ga(e,n,t){return t(Hi(e)?_a(e):ma(e,n))}function ya(e){return Zi(e)?e.substr(0,e.length-1):e}function va(e){return Zi(e)?e:e+Fi}function ba(e){return qi(e)||Ji(e)?e:"./"+e}function Ea(e,n,t,r){const o=void 0!==t&&void 0!==r?aa(e,t,r):aa(e);return o?e.slice(0,e.length-o.length)+(st(n,".")?n:"."+n):e}function Sa(e,n){const t=hk(e);return t?e.slice(0,e.length-t.length)+(st(n,".")?n:"."+n):Ea(e,n)}function Ta(e,n,t){if(e===n)return 0;if(void 0===e)return-1;if(void 0===n)return 1;const r=e.substring(0,ta(e)),o=n.substring(0,ta(n)),i=Wn(r,o);if(0!==i)return i;const a=e.substring(r.length),s=n.substring(o.length);if(!Bi.test(a)&&!Bi.test(s))return t(a,s);const l=da(sa(e)),c=da(sa(n)),d=Math.min(l.length,c.length);for(let e=1;e<d;e++){const n=t(l[e],c[e]);if(0!==n)return n}return wn(l.length,c.length)}function xa(e,n){return Ta(e,n,Gn)}function Aa(e,n){return Ta(e,n,Wn)}function Ra(e,n,t,r){return"string"==typeof t?(e=ua(t,e),n=ua(t,n)):"boolean"==typeof t&&(r=t),Ta(e,n,Bn(r))}function Ia(e,n,t,r){if("string"==typeof t?(e=ua(t,e),n=ua(t,n)):"boolean"==typeof t&&(r=t),void 0===e||void 0===n)return!1;if(e===n)return!0;const o=da(sa(e)),i=da(sa(n));if(i.length<o.length)return!1;const a=r?Pn:Ln;for(let e=0;e<o.length;e++){if(!(0===e?Pn:a)(o[e],i[e]))return!1}return!0}function Na(e,n,t){const r=t(e),o=t(n);return st(r,o+"/")||st(r,o+"\\")}function Da(e,n,t,r){const o=da(sa(e)),i=da(sa(n));let a;for(a=0;a<o.length&&a<i.length;a++){if(!(0===a?Pn:t)(r(o[a]),r(i[a])))break}if(0===a)return i;const s=i.slice(a),l=[];for(;a<o.length;a++)l.push("..");return["",...l,...s]}function Ca(e,n,t){Tt.assert(ta(e)>0==ta(n)>0,"Paths must either both be absolute or both be relative");return la(Da(e,n,"boolean"==typeof t&&t?Pn:Ln,"function"==typeof t?t:Sn))}function Ma(e,n,t){return Hi(e)?La(n,e,n,t,!1):e}function Pa(e,n,t){return ba(Ca(ra(e),n,t))}function La(e,n,t,r,o){const i=Da(pa(t,e),pa(t,n),Ln,r),a=i[0];if(o&&Hi(a)){const e=a.charAt(0)===Fi?"file://":"file:///";i[0]=e+a}return la(i)}function ka(e,n){for(;;){const t=n(e);if(void 0!==t)return t;const r=ra(e);if(r===e)return;e=r}}function wa(e){return Xn(e,"/node_modules")}var Oa,Fa=g({"src/compiler/path.ts"(){JJ(),Fi="/",Wi="\\",zi="://",Gi=/\\/g,Bi=/(?:\/\/)|(?:^|\/)\.\.?(?:$|\/)/}});function Wa(e,n,t,r,o,i,a){return{code:e,category:n,key:t,message:r,reportsUnnecessary:o,elidedInCompatabilityPyramid:i,reportsDeprecated:a}}var za,Ga,Ba,ja,Va,Ua,Ha,Ka,qa,Ja,Xa,Ya,$a,Qa,Za,es,ns=g({"src/compiler/diagnosticInformationMap.generated.ts"(){mi(),Oa={Unterminated_string_literal:Wa(1002,1,"Unterminated_string_literal_1002","Unterminated string literal."),Identifier_expected:Wa(1003,1,"Identifier_expected_1003","Identifier expected."),_0_expected:Wa(1005,1,"_0_expected_1005","'{0}' expected."),A_file_cannot_have_a_reference_to_itself:Wa(1006,1,"A_file_cannot_have_a_reference_to_itself_1006","A file cannot have a reference to itself."),The_parser_expected_to_find_a_1_to_match_the_0_token_here:Wa(1007,1,"The_parser_expected_to_find_a_1_to_match_the_0_token_here_1007","The parser expected to find a '{1}' to match the '{0}' token here."),Trailing_comma_not_allowed:Wa(1009,1,"Trailing_comma_not_allowed_1009","Trailing comma not allowed."),Asterisk_Slash_expected:Wa(1010,1,"Asterisk_Slash_expected_1010","'*/' expected."),An_element_access_expression_should_take_an_argument:Wa(1011,1,"An_element_access_expression_should_take_an_argument_1011","An element access expression should take an argument."),Unexpected_token:Wa(1012,1,"Unexpected_token_1012","Unexpected token."),A_rest_parameter_or_binding_pattern_may_not_have_a_trailing_comma:Wa(1013,1,"A_rest_parameter_or_binding_pattern_may_not_have_a_trailing_comma_1013","A rest parameter or binding pattern may not have a trailing comma."),A_rest_parameter_must_be_last_in_a_parameter_list:Wa(1014,1,"A_rest_parameter_must_be_last_in_a_parameter_list_1014","A rest parameter must be last in a parameter list."),Parameter_cannot_have_question_mark_and_initializer:Wa(1015,1,"Parameter_cannot_have_question_mark_and_initializer_1015","Parameter cannot have question mark and initializer."),A_required_parameter_cannot_follow_an_optional_parameter:Wa(1016,1,"A_required_parameter_cannot_follow_an_optional_parameter_1016","A required parameter cannot follow an optional parameter."),An_index_signature_cannot_have_a_rest_parameter:Wa(1017,1,"An_index_signature_cannot_have_a_rest_parameter_1017","An index signature cannot have a rest parameter."),An_index_signature_parameter_cannot_have_an_accessibility_modifier:Wa(1018,1,"An_index_signature_parameter_cannot_have_an_accessibility_modifier_1018","An index signature parameter cannot have an accessibility modifier."),An_index_signature_parameter_cannot_have_a_question_mark:Wa(1019,1,"An_index_signature_parameter_cannot_have_a_question_mark_1019","An index signature parameter cannot have a question mark."),An_index_signature_parameter_cannot_have_an_initializer:Wa(1020,1,"An_index_signature_parameter_cannot_have_an_initializer_1020","An index signature parameter cannot have an initializer."),An_index_signature_must_have_a_type_annotation:Wa(1021,1,"An_index_signature_must_have_a_type_annotation_1021","An index signature must have a type annotation."),An_index_signature_parameter_must_have_a_type_annotation:Wa(1022,1,"An_index_signature_parameter_must_have_a_type_annotation_1022","An index signature parameter must have a type annotation."),readonly_modifier_can_only_appear_on_a_property_declaration_or_index_signature:Wa(1024,1,"readonly_modifier_can_only_appear_on_a_property_declaration_or_index_signature_1024","'readonly' modifier can only appear on a property declaration or index signature."),An_index_signature_cannot_have_a_trailing_comma:Wa(1025,1,"An_index_signature_cannot_have_a_trailing_comma_1025","An index signature cannot have a trailing comma."),Accessibility_modifier_already_seen:Wa(1028,1,"Accessibility_modifier_already_seen_1028","Accessibility modifier already seen."),_0_modifier_must_precede_1_modifier:Wa(1029,1,"_0_modifier_must_precede_1_modifier_1029","'{0}' modifier must precede '{1}' modifier."),_0_modifier_already_seen:Wa(1030,1,"_0_modifier_already_seen_1030","'{0}' modifier already seen."),_0_modifier_cannot_appear_on_class_elements_of_this_kind:Wa(1031,1,"_0_modifier_cannot_appear_on_class_elements_of_this_kind_1031","'{0}' modifier cannot appear on class elements of this kind."),super_must_be_followed_by_an_argument_list_or_member_access:Wa(1034,1,"super_must_be_followed_by_an_argument_list_or_member_access_1034","'super' must be followed by an argument list or member access."),Only_ambient_modules_can_use_quoted_names:Wa(1035,1,"Only_ambient_modules_can_use_quoted_names_1035","Only ambient modules can use quoted names."),Statements_are_not_allowed_in_ambient_contexts:Wa(1036,1,"Statements_are_not_allowed_in_ambient_contexts_1036","Statements are not allowed in ambient contexts."),A_declare_modifier_cannot_be_used_in_an_already_ambient_context:Wa(1038,1,"A_declare_modifier_cannot_be_used_in_an_already_ambient_context_1038","A 'declare' modifier cannot be used in an already ambient context."),Initializers_are_not_allowed_in_ambient_contexts:Wa(1039,1,"Initializers_are_not_allowed_in_ambient_contexts_1039","Initializers are not allowed in ambient contexts."),_0_modifier_cannot_be_used_in_an_ambient_context:Wa(1040,1,"_0_modifier_cannot_be_used_in_an_ambient_context_1040","'{0}' modifier cannot be used in an ambient context."),_0_modifier_cannot_be_used_here:Wa(1042,1,"_0_modifier_cannot_be_used_here_1042","'{0}' modifier cannot be used here."),_0_modifier_cannot_appear_on_a_module_or_namespace_element:Wa(1044,1,"_0_modifier_cannot_appear_on_a_module_or_namespace_element_1044","'{0}' modifier cannot appear on a module or namespace element."),Top_level_declarations_in_d_ts_files_must_start_with_either_a_declare_or_export_modifier:Wa(1046,1,"Top_level_declarations_in_d_ts_files_must_start_with_either_a_declare_or_export_modifier_1046","Top-level declarations in .d.ts files must start with either a 'declare' or 'export' modifier."),A_rest_parameter_cannot_be_optional:Wa(1047,1,"A_rest_parameter_cannot_be_optional_1047","A rest parameter cannot be optional."),A_rest_parameter_cannot_have_an_initializer:Wa(1048,1,"A_rest_parameter_cannot_have_an_initializer_1048","A rest parameter cannot have an initializer."),A_set_accessor_must_have_exactly_one_parameter:Wa(1049,1,"A_set_accessor_must_have_exactly_one_parameter_1049","A 'set' accessor must have exactly one parameter."),A_set_accessor_cannot_have_an_optional_parameter:Wa(1051,1,"A_set_accessor_cannot_have_an_optional_parameter_1051","A 'set' accessor cannot have an optional parameter."),A_set_accessor_parameter_cannot_have_an_initializer:Wa(1052,1,"A_set_accessor_parameter_cannot_have_an_initializer_1052","A 'set' accessor parameter cannot have an initializer."),A_set_accessor_cannot_have_rest_parameter:Wa(1053,1,"A_set_accessor_cannot_have_rest_parameter_1053","A 'set' accessor cannot have rest parameter."),A_get_accessor_cannot_have_parameters:Wa(1054,1,"A_get_accessor_cannot_have_parameters_1054","A 'get' accessor cannot have parameters."),Type_0_is_not_a_valid_async_function_return_type_in_ES5_SlashES3_because_it_does_not_refer_to_a_Promise_compatible_constructor_value:Wa(1055,1,"Type_0_is_not_a_valid_async_function_return_type_in_ES5_SlashES3_because_it_does_not_refer_to_a_Prom_1055","Type '{0}' is not a valid async function return type in ES5/ES3 because it does not refer to a Promise-compatible constructor value."),Accessors_are_only_available_when_targeting_ECMAScript_5_and_higher:Wa(1056,1,"Accessors_are_only_available_when_targeting_ECMAScript_5_and_higher_1056","Accessors are only available when targeting ECMAScript 5 and higher."),The_return_type_of_an_async_function_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member:Wa(1058,1,"The_return_type_of_an_async_function_must_either_be_a_valid_promise_or_must_not_contain_a_callable_t_1058","The return type of an async function must either be a valid promise or must not contain a callable 'then' member."),A_promise_must_have_a_then_method:Wa(1059,1,"A_promise_must_have_a_then_method_1059","A promise must have a 'then' method."),The_first_parameter_of_the_then_method_of_a_promise_must_be_a_callback:Wa(1060,1,"The_first_parameter_of_the_then_method_of_a_promise_must_be_a_callback_1060","The first parameter of the 'then' method of a promise must be a callback."),Enum_member_must_have_initializer:Wa(1061,1,"Enum_member_must_have_initializer_1061","Enum member must have initializer."),Type_is_referenced_directly_or_indirectly_in_the_fulfillment_callback_of_its_own_then_method:Wa(1062,1,"Type_is_referenced_directly_or_indirectly_in_the_fulfillment_callback_of_its_own_then_method_1062","Type is referenced directly or indirectly in the fulfillment callback of its own 'then' method."),An_export_assignment_cannot_be_used_in_a_namespace:Wa(1063,1,"An_export_assignment_cannot_be_used_in_a_namespace_1063","An export assignment cannot be used in a namespace."),The_return_type_of_an_async_function_or_method_must_be_the_global_Promise_T_type_Did_you_mean_to_write_Promise_0:Wa(1064,1,"The_return_type_of_an_async_function_or_method_must_be_the_global_Promise_T_type_Did_you_mean_to_wri_1064","The return type of an async function or method must be the global Promise<T> type. Did you mean to write 'Promise<{0}>'?"),The_return_type_of_an_async_function_or_method_must_be_the_global_Promise_T_type:Wa(1065,1,"The_return_type_of_an_async_function_or_method_must_be_the_global_Promise_T_type_1065","The return type of an async function or method must be the global Promise<T> type."),In_ambient_enum_declarations_member_initializer_must_be_constant_expression:Wa(1066,1,"In_ambient_enum_declarations_member_initializer_must_be_constant_expression_1066","In ambient enum declarations member initializer must be constant expression."),Unexpected_token_A_constructor_method_accessor_or_property_was_expected:Wa(1068,1,"Unexpected_token_A_constructor_method_accessor_or_property_was_expected_1068","Unexpected token. A constructor, method, accessor, or property was expected."),Unexpected_token_A_type_parameter_name_was_expected_without_curly_braces:Wa(1069,1,"Unexpected_token_A_type_parameter_name_was_expected_without_curly_braces_1069","Unexpected token. A type parameter name was expected without curly braces."),_0_modifier_cannot_appear_on_a_type_member:Wa(1070,1,"_0_modifier_cannot_appear_on_a_type_member_1070","'{0}' modifier cannot appear on a type member."),_0_modifier_cannot_appear_on_an_index_signature:Wa(1071,1,"_0_modifier_cannot_appear_on_an_index_signature_1071","'{0}' modifier cannot appear on an index signature."),A_0_modifier_cannot_be_used_with_an_import_declaration:Wa(1079,1,"A_0_modifier_cannot_be_used_with_an_import_declaration_1079","A '{0}' modifier cannot be used with an import declaration."),Invalid_reference_directive_syntax:Wa(1084,1,"Invalid_reference_directive_syntax_1084","Invalid 'reference' directive syntax."),_0_modifier_cannot_appear_on_a_constructor_declaration:Wa(1089,1,"_0_modifier_cannot_appear_on_a_constructor_declaration_1089","'{0}' modifier cannot appear on a constructor declaration."),_0_modifier_cannot_appear_on_a_parameter:Wa(1090,1,"_0_modifier_cannot_appear_on_a_parameter_1090","'{0}' modifier cannot appear on a parameter."),Only_a_single_variable_declaration_is_allowed_in_a_for_in_statement:Wa(1091,1,"Only_a_single_variable_declaration_is_allowed_in_a_for_in_statement_1091","Only a single variable declaration is allowed in a 'for...in' statement."),Type_parameters_cannot_appear_on_a_constructor_declaration:Wa(1092,1,"Type_parameters_cannot_appear_on_a_constructor_declaration_1092","Type parameters cannot appear on a constructor declaration."),Type_annotation_cannot_appear_on_a_constructor_declaration:Wa(1093,1,"Type_annotation_cannot_appear_on_a_constructor_declaration_1093","Type annotation cannot appear on a constructor declaration."),An_accessor_cannot_have_type_parameters:Wa(1094,1,"An_accessor_cannot_have_type_parameters_1094","An accessor cannot have type parameters."),A_set_accessor_cannot_have_a_return_type_annotation:Wa(1095,1,"A_set_accessor_cannot_have_a_return_type_annotation_1095","A 'set' accessor cannot have a return type annotation."),An_index_signature_must_have_exactly_one_parameter:Wa(1096,1,"An_index_signature_must_have_exactly_one_parameter_1096","An index signature must have exactly one parameter."),_0_list_cannot_be_empty:Wa(1097,1,"_0_list_cannot_be_empty_1097","'{0}' list cannot be empty."),Type_parameter_list_cannot_be_empty:Wa(1098,1,"Type_parameter_list_cannot_be_empty_1098","Type parameter list cannot be empty."),Type_argument_list_cannot_be_empty:Wa(1099,1,"Type_argument_list_cannot_be_empty_1099","Type argument list cannot be empty."),Invalid_use_of_0_in_strict_mode:Wa(1100,1,"Invalid_use_of_0_in_strict_mode_1100","Invalid use of '{0}' in strict mode."),with_statements_are_not_allowed_in_strict_mode:Wa(1101,1,"with_statements_are_not_allowed_in_strict_mode_1101","'with' statements are not allowed in strict mode."),delete_cannot_be_called_on_an_identifier_in_strict_mode:Wa(1102,1,"delete_cannot_be_called_on_an_identifier_in_strict_mode_1102","'delete' cannot be called on an identifier in strict mode."),for_await_loops_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules:Wa(1103,1,"for_await_loops_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules_1103","'for await' loops are only allowed within async functions and at the top levels of modules."),A_continue_statement_can_only_be_used_within_an_enclosing_iteration_statement:Wa(1104,1,"A_continue_statement_can_only_be_used_within_an_enclosing_iteration_statement_1104","A 'continue' statement can only be used within an enclosing iteration statement."),A_break_statement_can_only_be_used_within_an_enclosing_iteration_or_switch_statement:Wa(1105,1,"A_break_statement_can_only_be_used_within_an_enclosing_iteration_or_switch_statement_1105","A 'break' statement can only be used within an enclosing iteration or switch statement."),The_left_hand_side_of_a_for_of_statement_may_not_be_async:Wa(1106,1,"The_left_hand_side_of_a_for_of_statement_may_not_be_async_1106","The left-hand side of a 'for...of' statement may not be 'async'."),Jump_target_cannot_cross_function_boundary:Wa(1107,1,"Jump_target_cannot_cross_function_boundary_1107","Jump target cannot cross function boundary."),A_return_statement_can_only_be_used_within_a_function_body:Wa(1108,1,"A_return_statement_can_only_be_used_within_a_function_body_1108","A 'return' statement can only be used within a function body."),Expression_expected:Wa(1109,1,"Expression_expected_1109","Expression expected."),Type_expected:Wa(1110,1,"Type_expected_1110","Type expected."),Private_field_0_must_be_declared_in_an_enclosing_class:Wa(1111,1,"Private_field_0_must_be_declared_in_an_enclosing_class_1111","Private field '{0}' must be declared in an enclosing class."),A_default_clause_cannot_appear_more_than_once_in_a_switch_statement:Wa(1113,1,"A_default_clause_cannot_appear_more_than_once_in_a_switch_statement_1113","A 'default' clause cannot appear more than once in a 'switch' statement."),Duplicate_label_0:Wa(1114,1,"Duplicate_label_0_1114","Duplicate label '{0}'."),A_continue_statement_can_only_jump_to_a_label_of_an_enclosing_iteration_statement:Wa(1115,1,"A_continue_statement_can_only_jump_to_a_label_of_an_enclosing_iteration_statement_1115","A 'continue' statement can only jump to a label of an enclosing iteration statement."),A_break_statement_can_only_jump_to_a_label_of_an_enclosing_statement:Wa(1116,1,"A_break_statement_can_only_jump_to_a_label_of_an_enclosing_statement_1116","A 'break' statement can only jump to a label of an enclosing statement."),An_object_literal_cannot_have_multiple_properties_with_the_same_name:Wa(1117,1,"An_object_literal_cannot_have_multiple_properties_with_the_same_name_1117","An object literal cannot have multiple properties with the same name."),An_object_literal_cannot_have_multiple_get_Slashset_accessors_with_the_same_name:Wa(1118,1,"An_object_literal_cannot_have_multiple_get_Slashset_accessors_with_the_same_name_1118","An object literal cannot have multiple get/set accessors with the same name."),An_object_literal_cannot_have_property_and_accessor_with_the_same_name:Wa(1119,1,"An_object_literal_cannot_have_property_and_accessor_with_the_same_name_1119","An object literal cannot have property and accessor with the same name."),An_export_assignment_cannot_have_modifiers:Wa(1120,1,"An_export_assignment_cannot_have_modifiers_1120","An export assignment cannot have modifiers."),Octal_literals_are_not_allowed_Use_the_syntax_0:Wa(1121,1,"Octal_literals_are_not_allowed_Use_the_syntax_0_1121","Octal literals are not allowed. Use the syntax '{0}'."),Variable_declaration_list_cannot_be_empty:Wa(1123,1,"Variable_declaration_list_cannot_be_empty_1123","Variable declaration list cannot be empty."),Digit_expected:Wa(1124,1,"Digit_expected_1124","Digit expected."),Hexadecimal_digit_expected:Wa(1125,1,"Hexadecimal_digit_expected_1125","Hexadecimal digit expected."),Unexpected_end_of_text:Wa(1126,1,"Unexpected_end_of_text_1126","Unexpected end of text."),Invalid_character:Wa(1127,1,"Invalid_character_1127","Invalid character."),Declaration_or_statement_expected:Wa(1128,1,"Declaration_or_statement_expected_1128","Declaration or statement expected."),Statement_expected:Wa(1129,1,"Statement_expected_1129","Statement expected."),case_or_default_expected:Wa(1130,1,"case_or_default_expected_1130","'case' or 'default' expected."),Property_or_signature_expected:Wa(1131,1,"Property_or_signature_expected_1131","Property or signature expected."),Enum_member_expected:Wa(1132,1,"Enum_member_expected_1132","Enum member expected."),Variable_declaration_expected:Wa(1134,1,"Variable_declaration_expected_1134","Variable declaration expected."),Argument_expression_expected:Wa(1135,1,"Argument_expression_expected_1135","Argument expression expected."),Property_assignment_expected:Wa(1136,1,"Property_assignment_expected_1136","Property assignment expected."),Expression_or_comma_expected:Wa(1137,1,"Expression_or_comma_expected_1137","Expression or comma expected."),Parameter_declaration_expected:Wa(1138,1,"Parameter_declaration_expected_1138","Parameter declaration expected."),Type_parameter_declaration_expected:Wa(1139,1,"Type_parameter_declaration_expected_1139","Type parameter declaration expected."),Type_argument_expected:Wa(1140,1,"Type_argument_expected_1140","Type argument expected."),String_literal_expected:Wa(1141,1,"String_literal_expected_1141","String literal expected."),Line_break_not_permitted_here:Wa(1142,1,"Line_break_not_permitted_here_1142","Line break not permitted here."),or_expected:Wa(1144,1,"or_expected_1144","'{' or ';' expected."),or_JSX_element_expected:Wa(1145,1,"or_JSX_element_expected_1145","'{' or JSX element expected."),Declaration_expected:Wa(1146,1,"Declaration_expected_1146","Declaration expected."),Import_declarations_in_a_namespace_cannot_reference_a_module:Wa(1147,1,"Import_declarations_in_a_namespace_cannot_reference_a_module_1147","Import declarations in a namespace cannot reference a module."),Cannot_use_imports_exports_or_module_augmentations_when_module_is_none:Wa(1148,1,"Cannot_use_imports_exports_or_module_augmentations_when_module_is_none_1148","Cannot use imports, exports, or module augmentations when '--module' is 'none'."),File_name_0_differs_from_already_included_file_name_1_only_in_casing:Wa(1149,1,"File_name_0_differs_from_already_included_file_name_1_only_in_casing_1149","File name '{0}' differs from already included file name '{1}' only in casing."),_0_declarations_must_be_initialized:Wa(1155,1,"_0_declarations_must_be_initialized_1155","'{0}' declarations must be initialized."),_0_declarations_can_only_be_declared_inside_a_block:Wa(1156,1,"_0_declarations_can_only_be_declared_inside_a_block_1156","'{0}' declarations can only be declared inside a block."),Unterminated_template_literal:Wa(1160,1,"Unterminated_template_literal_1160","Unterminated template literal."),Unterminated_regular_expression_literal:Wa(1161,1,"Unterminated_regular_expression_literal_1161","Unterminated regular expression literal."),An_object_member_cannot_be_declared_optional:Wa(1162,1,"An_object_member_cannot_be_declared_optional_1162","An object member cannot be declared optional."),A_yield_expression_is_only_allowed_in_a_generator_body:Wa(1163,1,"A_yield_expression_is_only_allowed_in_a_generator_body_1163","A 'yield' expression is only allowed in a generator body."),Computed_property_names_are_not_allowed_in_enums:Wa(1164,1,"Computed_property_names_are_not_allowed_in_enums_1164","Computed property names are not allowed in enums."),A_computed_property_name_in_an_ambient_context_must_refer_to_an_expression_whose_type_is_a_literal_type_or_a_unique_symbol_type:Wa(1165,1,"A_computed_property_name_in_an_ambient_context_must_refer_to_an_expression_whose_type_is_a_literal_t_1165","A computed property name in an ambient context must refer to an expression whose type is a literal type or a 'unique symbol' type."),A_computed_property_name_in_a_class_property_declaration_must_have_a_simple_literal_type_or_a_unique_symbol_type:Wa(1166,1,"A_computed_property_name_in_a_class_property_declaration_must_have_a_simple_literal_type_or_a_unique_1166","A computed property name in a class property declaration must have a simple literal type or a 'unique symbol' type."),A_computed_property_name_in_a_method_overload_must_refer_to_an_expression_whose_type_is_a_literal_type_or_a_unique_symbol_type:Wa(1168,1,"A_computed_property_name_in_a_method_overload_must_refer_to_an_expression_whose_type_is_a_literal_ty_1168","A computed property name in a method overload must refer to an expression whose type is a literal type or a 'unique symbol' type."),A_computed_property_name_in_an_interface_must_refer_to_an_expression_whose_type_is_a_literal_type_or_a_unique_symbol_type:Wa(1169,1,"A_computed_property_name_in_an_interface_must_refer_to_an_expression_whose_type_is_a_literal_type_or_1169","A computed property name in an interface must refer to an expression whose type is a literal type or a 'unique symbol' type."),A_computed_property_name_in_a_type_literal_must_refer_to_an_expression_whose_type_is_a_literal_type_or_a_unique_symbol_type:Wa(1170,1,"A_computed_property_name_in_a_type_literal_must_refer_to_an_expression_whose_type_is_a_literal_type__1170","A computed property name in a type literal must refer to an expression whose type is a literal type or a 'unique symbol' type."),A_comma_expression_is_not_allowed_in_a_computed_property_name:Wa(1171,1,"A_comma_expression_is_not_allowed_in_a_computed_property_name_1171","A comma expression is not allowed in a computed property name."),extends_clause_already_seen:Wa(1172,1,"extends_clause_already_seen_1172","'extends' clause already seen."),extends_clause_must_precede_implements_clause:Wa(1173,1,"extends_clause_must_precede_implements_clause_1173","'extends' clause must precede 'implements' clause."),Classes_can_only_extend_a_single_class:Wa(1174,1,"Classes_can_only_extend_a_single_class_1174","Classes can only extend a single class."),implements_clause_already_seen:Wa(1175,1,"implements_clause_already_seen_1175","'implements' clause already seen."),Interface_declaration_cannot_have_implements_clause:Wa(1176,1,"Interface_declaration_cannot_have_implements_clause_1176","Interface declaration cannot have 'implements' clause."),Binary_digit_expected:Wa(1177,1,"Binary_digit_expected_1177","Binary digit expected."),Octal_digit_expected:Wa(1178,1,"Octal_digit_expected_1178","Octal digit expected."),Unexpected_token_expected:Wa(1179,1,"Unexpected_token_expected_1179","Unexpected token. '{' expected."),Property_destructuring_pattern_expected:Wa(1180,1,"Property_destructuring_pattern_expected_1180","Property destructuring pattern expected."),Array_element_destructuring_pattern_expected:Wa(1181,1,"Array_element_destructuring_pattern_expected_1181","Array element destructuring pattern expected."),A_destructuring_declaration_must_have_an_initializer:Wa(1182,1,"A_destructuring_declaration_must_have_an_initializer_1182","A destructuring declaration must have an initializer."),An_implementation_cannot_be_declared_in_ambient_contexts:Wa(1183,1,"An_implementation_cannot_be_declared_in_ambient_contexts_1183","An implementation cannot be declared in ambient contexts."),Modifiers_cannot_appear_here:Wa(1184,1,"Modifiers_cannot_appear_here_1184","Modifiers cannot appear here."),Merge_conflict_marker_encountered:Wa(1185,1,"Merge_conflict_marker_encountered_1185","Merge conflict marker encountered."),A_rest_element_cannot_have_an_initializer:Wa(1186,1,"A_rest_element_cannot_have_an_initializer_1186","A rest element cannot have an initializer."),A_parameter_property_may_not_be_declared_using_a_binding_pattern:Wa(1187,1,"A_parameter_property_may_not_be_declared_using_a_binding_pattern_1187","A parameter property may not be declared using a binding pattern."),Only_a_single_variable_declaration_is_allowed_in_a_for_of_statement:Wa(1188,1,"Only_a_single_variable_declaration_is_allowed_in_a_for_of_statement_1188","Only a single variable declaration is allowed in a 'for...of' statement."),The_variable_declaration_of_a_for_in_statement_cannot_have_an_initializer:Wa(1189,1,"The_variable_declaration_of_a_for_in_statement_cannot_have_an_initializer_1189","The variable declaration of a 'for...in' statement cannot have an initializer."),The_variable_declaration_of_a_for_of_statement_cannot_have_an_initializer:Wa(1190,1,"The_variable_declaration_of_a_for_of_statement_cannot_have_an_initializer_1190","The variable declaration of a 'for...of' statement cannot have an initializer."),An_import_declaration_cannot_have_modifiers:Wa(1191,1,"An_import_declaration_cannot_have_modifiers_1191","An import declaration cannot have modifiers."),Module_0_has_no_default_export:Wa(1192,1,"Module_0_has_no_default_export_1192","Module '{0}' has no default export."),An_export_declaration_cannot_have_modifiers:Wa(1193,1,"An_export_declaration_cannot_have_modifiers_1193","An export declaration cannot have modifiers."),Export_declarations_are_not_permitted_in_a_namespace:Wa(1194,1,"Export_declarations_are_not_permitted_in_a_namespace_1194","Export declarations are not permitted in a namespace."),export_Asterisk_does_not_re_export_a_default:Wa(1195,1,"export_Asterisk_does_not_re_export_a_default_1195","'export *' does not re-export a default."),Catch_clause_variable_type_annotation_must_be_any_or_unknown_if_specified:Wa(1196,1,"Catch_clause_variable_type_annotation_must_be_any_or_unknown_if_specified_1196","Catch clause variable type annotation must be 'any' or 'unknown' if specified."),Catch_clause_variable_cannot_have_an_initializer:Wa(1197,1,"Catch_clause_variable_cannot_have_an_initializer_1197","Catch clause variable cannot have an initializer."),An_extended_Unicode_escape_value_must_be_between_0x0_and_0x10FFFF_inclusive:Wa(1198,1,"An_extended_Unicode_escape_value_must_be_between_0x0_and_0x10FFFF_inclusive_1198","An extended Unicode escape value must be between 0x0 and 0x10FFFF inclusive."),Unterminated_Unicode_escape_sequence:Wa(1199,1,"Unterminated_Unicode_escape_sequence_1199","Unterminated Unicode escape sequence."),Line_terminator_not_permitted_before_arrow:Wa(1200,1,"Line_terminator_not_permitted_before_arrow_1200","Line terminator not permitted before arrow."),Import_assignment_cannot_be_used_when_targeting_ECMAScript_modules_Consider_using_import_Asterisk_as_ns_from_mod_import_a_from_mod_import_d_from_mod_or_another_module_format_instead:Wa(1202,1,"Import_assignment_cannot_be_used_when_targeting_ECMAScript_modules_Consider_using_import_Asterisk_as_1202","Import assignment cannot be used when targeting ECMAScript modules. Consider using 'import * as ns from \"mod\"', 'import {a} from \"mod\"', 'import d from \"mod\"', or another module format instead."),Export_assignment_cannot_be_used_when_targeting_ECMAScript_modules_Consider_using_export_default_or_another_module_format_instead:Wa(1203,1,"Export_assignment_cannot_be_used_when_targeting_ECMAScript_modules_Consider_using_export_default_or__1203","Export assignment cannot be used when targeting ECMAScript modules. Consider using 'export default' or another module format instead."),Re_exporting_a_type_when_0_is_enabled_requires_using_export_type:Wa(1205,1,"Re_exporting_a_type_when_0_is_enabled_requires_using_export_type_1205","Re-exporting a type when '{0}' is enabled requires using 'export type'."),Decorators_are_not_valid_here:Wa(1206,1,"Decorators_are_not_valid_here_1206","Decorators are not valid here."),Decorators_cannot_be_applied_to_multiple_get_Slashset_accessors_of_the_same_name:Wa(1207,1,"Decorators_cannot_be_applied_to_multiple_get_Slashset_accessors_of_the_same_name_1207","Decorators cannot be applied to multiple get/set accessors of the same name."),Invalid_optional_chain_from_new_expression_Did_you_mean_to_call_0:Wa(1209,1,"Invalid_optional_chain_from_new_expression_Did_you_mean_to_call_0_1209","Invalid optional chain from new expression. Did you mean to call '{0}()'?"),Code_contained_in_a_class_is_evaluated_in_JavaScript_s_strict_mode_which_does_not_allow_this_use_of_0_For_more_information_see_https_Colon_Slash_Slashdeveloper_mozilla_org_Slashen_US_Slashdocs_SlashWeb_SlashJavaScript_SlashReference_SlashStrict_mode:Wa(1210,1,"Code_contained_in_a_class_is_evaluated_in_JavaScript_s_strict_mode_which_does_not_allow_this_use_of__1210","Code contained in a class is evaluated in JavaScript's strict mode which does not allow this use of '{0}'. For more information, see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Strict_mode."),A_class_declaration_without_the_default_modifier_must_have_a_name:Wa(1211,1,"A_class_declaration_without_the_default_modifier_must_have_a_name_1211","A class declaration without the 'default' modifier must have a name."),Identifier_expected_0_is_a_reserved_word_in_strict_mode:Wa(1212,1,"Identifier_expected_0_is_a_reserved_word_in_strict_mode_1212","Identifier expected. '{0}' is a reserved word in strict mode."),Identifier_expected_0_is_a_reserved_word_in_strict_mode_Class_definitions_are_automatically_in_strict_mode:Wa(1213,1,"Identifier_expected_0_is_a_reserved_word_in_strict_mode_Class_definitions_are_automatically_in_stric_1213","Identifier expected. '{0}' is a reserved word in strict mode. Class definitions are automatically in strict mode."),Identifier_expected_0_is_a_reserved_word_in_strict_mode_Modules_are_automatically_in_strict_mode:Wa(1214,1,"Identifier_expected_0_is_a_reserved_word_in_strict_mode_Modules_are_automatically_in_strict_mode_1214","Identifier expected. '{0}' is a reserved word in strict mode. Modules are automatically in strict mode."),Invalid_use_of_0_Modules_are_automatically_in_strict_mode:Wa(1215,1,"Invalid_use_of_0_Modules_are_automatically_in_strict_mode_1215","Invalid use of '{0}'. Modules are automatically in strict mode."),Identifier_expected_esModule_is_reserved_as_an_exported_marker_when_transforming_ECMAScript_modules:Wa(1216,1,"Identifier_expected_esModule_is_reserved_as_an_exported_marker_when_transforming_ECMAScript_modules_1216","Identifier expected. '__esModule' is reserved as an exported marker when transforming ECMAScript modules."),Export_assignment_is_not_supported_when_module_flag_is_system:Wa(1218,1,"Export_assignment_is_not_supported_when_module_flag_is_system_1218","Export assignment is not supported when '--module' flag is 'system'."),Generators_are_not_allowed_in_an_ambient_context:Wa(1221,1,"Generators_are_not_allowed_in_an_ambient_context_1221","Generators are not allowed in an ambient context."),An_overload_signature_cannot_be_declared_as_a_generator:Wa(1222,1,"An_overload_signature_cannot_be_declared_as_a_generator_1222","An overload signature cannot be declared as a generator."),_0_tag_already_specified:Wa(1223,1,"_0_tag_already_specified_1223","'{0}' tag already specified."),Signature_0_must_be_a_type_predicate:Wa(1224,1,"Signature_0_must_be_a_type_predicate_1224","Signature '{0}' must be a type predicate."),Cannot_find_parameter_0:Wa(1225,1,"Cannot_find_parameter_0_1225","Cannot find parameter '{0}'."),Type_predicate_0_is_not_assignable_to_1:Wa(1226,1,"Type_predicate_0_is_not_assignable_to_1_1226","Type predicate '{0}' is not assignable to '{1}'."),Parameter_0_is_not_in_the_same_position_as_parameter_1:Wa(1227,1,"Parameter_0_is_not_in_the_same_position_as_parameter_1_1227","Parameter '{0}' is not in the same position as parameter '{1}'."),A_type_predicate_is_only_allowed_in_return_type_position_for_functions_and_methods:Wa(1228,1,"A_type_predicate_is_only_allowed_in_return_type_position_for_functions_and_methods_1228","A type predicate is only allowed in return type position for functions and methods."),A_type_predicate_cannot_reference_a_rest_parameter:Wa(1229,1,"A_type_predicate_cannot_reference_a_rest_parameter_1229","A type predicate cannot reference a rest parameter."),A_type_predicate_cannot_reference_element_0_in_a_binding_pattern:Wa(1230,1,"A_type_predicate_cannot_reference_element_0_in_a_binding_pattern_1230","A type predicate cannot reference element '{0}' in a binding pattern."),An_export_assignment_must_be_at_the_top_level_of_a_file_or_module_declaration:Wa(1231,1,"An_export_assignment_must_be_at_the_top_level_of_a_file_or_module_declaration_1231","An export assignment must be at the top level of a file or module declaration."),An_import_declaration_can_only_be_used_at_the_top_level_of_a_namespace_or_module:Wa(1232,1,"An_import_declaration_can_only_be_used_at_the_top_level_of_a_namespace_or_module_1232","An import declaration can only be used at the top level of a namespace or module."),An_export_declaration_can_only_be_used_at_the_top_level_of_a_namespace_or_module:Wa(1233,1,"An_export_declaration_can_only_be_used_at_the_top_level_of_a_namespace_or_module_1233","An export declaration can only be used at the top level of a namespace or module."),An_ambient_module_declaration_is_only_allowed_at_the_top_level_in_a_file:Wa(1234,1,"An_ambient_module_declaration_is_only_allowed_at_the_top_level_in_a_file_1234","An ambient module declaration is only allowed at the top level in a file."),A_namespace_declaration_is_only_allowed_at_the_top_level_of_a_namespace_or_module:Wa(1235,1,"A_namespace_declaration_is_only_allowed_at_the_top_level_of_a_namespace_or_module_1235","A namespace declaration is only allowed at the top level of a namespace or module."),The_return_type_of_a_property_decorator_function_must_be_either_void_or_any:Wa(1236,1,"The_return_type_of_a_property_decorator_function_must_be_either_void_or_any_1236","The return type of a property decorator function must be either 'void' or 'any'."),The_return_type_of_a_parameter_decorator_function_must_be_either_void_or_any:Wa(1237,1,"The_return_type_of_a_parameter_decorator_function_must_be_either_void_or_any_1237","The return type of a parameter decorator function must be either 'void' or 'any'."),Unable_to_resolve_signature_of_class_decorator_when_called_as_an_expression:Wa(1238,1,"Unable_to_resolve_signature_of_class_decorator_when_called_as_an_expression_1238","Unable to resolve signature of class decorator when called as an expression."),Unable_to_resolve_signature_of_parameter_decorator_when_called_as_an_expression:Wa(1239,1,"Unable_to_resolve_signature_of_parameter_decorator_when_called_as_an_expression_1239","Unable to resolve signature of parameter decorator when called as an expression."),Unable_to_resolve_signature_of_property_decorator_when_called_as_an_expression:Wa(1240,1,"Unable_to_resolve_signature_of_property_decorator_when_called_as_an_expression_1240","Unable to resolve signature of property decorator when called as an expression."),Unable_to_resolve_signature_of_method_decorator_when_called_as_an_expression:Wa(1241,1,"Unable_to_resolve_signature_of_method_decorator_when_called_as_an_expression_1241","Unable to resolve signature of method decorator when called as an expression."),abstract_modifier_can_only_appear_on_a_class_method_or_property_declaration:Wa(1242,1,"abstract_modifier_can_only_appear_on_a_class_method_or_property_declaration_1242","'abstract' modifier can only appear on a class, method, or property declaration."),_0_modifier_cannot_be_used_with_1_modifier:Wa(1243,1,"_0_modifier_cannot_be_used_with_1_modifier_1243","'{0}' modifier cannot be used with '{1}' modifier."),Abstract_methods_can_only_appear_within_an_abstract_class:Wa(1244,1,"Abstract_methods_can_only_appear_within_an_abstract_class_1244","Abstract methods can only appear within an abstract class."),Method_0_cannot_have_an_implementation_because_it_is_marked_abstract:Wa(1245,1,"Method_0_cannot_have_an_implementation_because_it_is_marked_abstract_1245","Method '{0}' cannot have an implementation because it is marked abstract."),An_interface_property_cannot_have_an_initializer:Wa(1246,1,"An_interface_property_cannot_have_an_initializer_1246","An interface property cannot have an initializer."),A_type_literal_property_cannot_have_an_initializer:Wa(1247,1,"A_type_literal_property_cannot_have_an_initializer_1247","A type literal property cannot have an initializer."),A_class_member_cannot_have_the_0_keyword:Wa(1248,1,"A_class_member_cannot_have_the_0_keyword_1248","A class member cannot have the '{0}' keyword."),A_decorator_can_only_decorate_a_method_implementation_not_an_overload:Wa(1249,1,"A_decorator_can_only_decorate_a_method_implementation_not_an_overload_1249","A decorator can only decorate a method implementation, not an overload."),Function_declarations_are_not_allowed_inside_blocks_in_strict_mode_when_targeting_ES3_or_ES5:Wa(1250,1,"Function_declarations_are_not_allowed_inside_blocks_in_strict_mode_when_targeting_ES3_or_ES5_1250","Function declarations are not allowed inside blocks in strict mode when targeting 'ES3' or 'ES5'."),Function_declarations_are_not_allowed_inside_blocks_in_strict_mode_when_targeting_ES3_or_ES5_Class_definitions_are_automatically_in_strict_mode:Wa(1251,1,"Function_declarations_are_not_allowed_inside_blocks_in_strict_mode_when_targeting_ES3_or_ES5_Class_d_1251","Function declarations are not allowed inside blocks in strict mode when targeting 'ES3' or 'ES5'. Class definitions are automatically in strict mode."),Function_declarations_are_not_allowed_inside_blocks_in_strict_mode_when_targeting_ES3_or_ES5_Modules_are_automatically_in_strict_mode:Wa(1252,1,"Function_declarations_are_not_allowed_inside_blocks_in_strict_mode_when_targeting_ES3_or_ES5_Modules_1252","Function declarations are not allowed inside blocks in strict mode when targeting 'ES3' or 'ES5'. Modules are automatically in strict mode."),Abstract_properties_can_only_appear_within_an_abstract_class:Wa(1253,1,"Abstract_properties_can_only_appear_within_an_abstract_class_1253","Abstract properties can only appear within an abstract class."),A_const_initializer_in_an_ambient_context_must_be_a_string_or_numeric_literal_or_literal_enum_reference:Wa(1254,1,"A_const_initializer_in_an_ambient_context_must_be_a_string_or_numeric_literal_or_literal_enum_refere_1254","A 'const' initializer in an ambient context must be a string or numeric literal or literal enum reference."),A_definite_assignment_assertion_is_not_permitted_in_this_context:Wa(1255,1,"A_definite_assignment_assertion_is_not_permitted_in_this_context_1255","A definite assignment assertion '!' is not permitted in this context."),A_required_element_cannot_follow_an_optional_element:Wa(1257,1,"A_required_element_cannot_follow_an_optional_element_1257","A required element cannot follow an optional element."),A_default_export_must_be_at_the_top_level_of_a_file_or_module_declaration:Wa(1258,1,"A_default_export_must_be_at_the_top_level_of_a_file_or_module_declaration_1258","A default export must be at the top level of a file or module declaration."),Module_0_can_only_be_default_imported_using_the_1_flag:Wa(1259,1,"Module_0_can_only_be_default_imported_using_the_1_flag_1259","Module '{0}' can only be default-imported using the '{1}' flag"),Keywords_cannot_contain_escape_characters:Wa(1260,1,"Keywords_cannot_contain_escape_characters_1260","Keywords cannot contain escape characters."),Already_included_file_name_0_differs_from_file_name_1_only_in_casing:Wa(1261,1,"Already_included_file_name_0_differs_from_file_name_1_only_in_casing_1261","Already included file name '{0}' differs from file name '{1}' only in casing."),Identifier_expected_0_is_a_reserved_word_at_the_top_level_of_a_module:Wa(1262,1,"Identifier_expected_0_is_a_reserved_word_at_the_top_level_of_a_module_1262","Identifier expected. '{0}' is a reserved word at the top-level of a module."),Declarations_with_initializers_cannot_also_have_definite_assignment_assertions:Wa(1263,1,"Declarations_with_initializers_cannot_also_have_definite_assignment_assertions_1263","Declarations with initializers cannot also have definite assignment assertions."),Declarations_with_definite_assignment_assertions_must_also_have_type_annotations:Wa(1264,1,"Declarations_with_definite_assignment_assertions_must_also_have_type_annotations_1264","Declarations with definite assignment assertions must also have type annotations."),A_rest_element_cannot_follow_another_rest_element:Wa(1265,1,"A_rest_element_cannot_follow_another_rest_element_1265","A rest element cannot follow another rest element."),An_optional_element_cannot_follow_a_rest_element:Wa(1266,1,"An_optional_element_cannot_follow_a_rest_element_1266","An optional element cannot follow a rest element."),Property_0_cannot_have_an_initializer_because_it_is_marked_abstract:Wa(1267,1,"Property_0_cannot_have_an_initializer_because_it_is_marked_abstract_1267","Property '{0}' cannot have an initializer because it is marked abstract."),An_index_signature_parameter_type_must_be_string_number_symbol_or_a_template_literal_type:Wa(1268,1,"An_index_signature_parameter_type_must_be_string_number_symbol_or_a_template_literal_type_1268","An index signature parameter type must be 'string', 'number', 'symbol', or a template literal type."),Cannot_use_export_import_on_a_type_or_type_only_namespace_when_0_is_enabled:Wa(1269,1,"Cannot_use_export_import_on_a_type_or_type_only_namespace_when_0_is_enabled_1269","Cannot use 'export import' on a type or type-only namespace when '{0}' is enabled."),Decorator_function_return_type_0_is_not_assignable_to_type_1:Wa(1270,1,"Decorator_function_return_type_0_is_not_assignable_to_type_1_1270","Decorator function return type '{0}' is not assignable to type '{1}'."),Decorator_function_return_type_is_0_but_is_expected_to_be_void_or_any:Wa(1271,1,"Decorator_function_return_type_is_0_but_is_expected_to_be_void_or_any_1271","Decorator function return type is '{0}' but is expected to be 'void' or 'any'."),A_type_referenced_in_a_decorated_signature_must_be_imported_with_import_type_or_a_namespace_import_when_isolatedModules_and_emitDecoratorMetadata_are_enabled:Wa(1272,1,"A_type_referenced_in_a_decorated_signature_must_be_imported_with_import_type_or_a_namespace_import_w_1272","A type referenced in a decorated signature must be imported with 'import type' or a namespace import when 'isolatedModules' and 'emitDecoratorMetadata' are enabled."),_0_modifier_cannot_appear_on_a_type_parameter:Wa(1273,1,"_0_modifier_cannot_appear_on_a_type_parameter_1273","'{0}' modifier cannot appear on a type parameter"),_0_modifier_can_only_appear_on_a_type_parameter_of_a_class_interface_or_type_alias:Wa(1274,1,"_0_modifier_can_only_appear_on_a_type_parameter_of_a_class_interface_or_type_alias_1274","'{0}' modifier can only appear on a type parameter of a class, interface or type alias"),accessor_modifier_can_only_appear_on_a_property_declaration:Wa(1275,1,"accessor_modifier_can_only_appear_on_a_property_declaration_1275","'accessor' modifier can only appear on a property declaration."),An_accessor_property_cannot_be_declared_optional:Wa(1276,1,"An_accessor_property_cannot_be_declared_optional_1276","An 'accessor' property cannot be declared optional."),_0_modifier_can_only_appear_on_a_type_parameter_of_a_function_method_or_class:Wa(1277,1,"_0_modifier_can_only_appear_on_a_type_parameter_of_a_function_method_or_class_1277","'{0}' modifier can only appear on a type parameter of a function, method or class"),The_runtime_will_invoke_the_decorator_with_1_arguments_but_the_decorator_expects_0:Wa(1278,1,"The_runtime_will_invoke_the_decorator_with_1_arguments_but_the_decorator_expects_0_1278","The runtime will invoke the decorator with {1} arguments, but the decorator expects {0}."),The_runtime_will_invoke_the_decorator_with_1_arguments_but_the_decorator_expects_at_least_0:Wa(1279,1,"The_runtime_will_invoke_the_decorator_with_1_arguments_but_the_decorator_expects_at_least_0_1279","The runtime will invoke the decorator with {1} arguments, but the decorator expects at least {0}."),Namespaces_are_not_allowed_in_global_script_files_when_0_is_enabled_If_this_file_is_not_intended_to_be_a_global_script_set_moduleDetection_to_force_or_add_an_empty_export_statement:Wa(1280,1,"Namespaces_are_not_allowed_in_global_script_files_when_0_is_enabled_If_this_file_is_not_intended_to__1280","Namespaces are not allowed in global script files when '{0}' is enabled. If this file is not intended to be a global script, set 'moduleDetection' to 'force' or add an empty 'export {}' statement."),Cannot_access_0_from_another_file_without_qualification_when_1_is_enabled_Use_2_instead:Wa(1281,1,"Cannot_access_0_from_another_file_without_qualification_when_1_is_enabled_Use_2_instead_1281","Cannot access '{0}' from another file without qualification when '{1}' is enabled. Use '{2}' instead."),An_export_declaration_must_reference_a_value_when_verbatimModuleSyntax_is_enabled_but_0_only_refers_to_a_type:Wa(1282,1,"An_export_declaration_must_reference_a_value_when_verbatimModuleSyntax_is_enabled_but_0_only_refers__1282","An 'export =' declaration must reference a value when 'verbatimModuleSyntax' is enabled, but '{0}' only refers to a type."),An_export_declaration_must_reference_a_real_value_when_verbatimModuleSyntax_is_enabled_but_0_resolves_to_a_type_only_declaration:Wa(1283,1,"An_export_declaration_must_reference_a_real_value_when_verbatimModuleSyntax_is_enabled_but_0_resolve_1283","An 'export =' declaration must reference a real value when 'verbatimModuleSyntax' is enabled, but '{0}' resolves to a type-only declaration."),An_export_default_must_reference_a_value_when_verbatimModuleSyntax_is_enabled_but_0_only_refers_to_a_type:Wa(1284,1,"An_export_default_must_reference_a_value_when_verbatimModuleSyntax_is_enabled_but_0_only_refers_to_a_1284","An 'export default' must reference a value when 'verbatimModuleSyntax' is enabled, but '{0}' only refers to a type."),An_export_default_must_reference_a_real_value_when_verbatimModuleSyntax_is_enabled_but_0_resolves_to_a_type_only_declaration:Wa(1285,1,"An_export_default_must_reference_a_real_value_when_verbatimModuleSyntax_is_enabled_but_0_resolves_to_1285","An 'export default' must reference a real value when 'verbatimModuleSyntax' is enabled, but '{0}' resolves to a type-only declaration."),ESM_syntax_is_not_allowed_in_a_CommonJS_module_when_verbatimModuleSyntax_is_enabled:Wa(1286,1,"ESM_syntax_is_not_allowed_in_a_CommonJS_module_when_verbatimModuleSyntax_is_enabled_1286","ESM syntax is not allowed in a CommonJS module when 'verbatimModuleSyntax' is enabled."),A_top_level_export_modifier_cannot_be_used_on_value_declarations_in_a_CommonJS_module_when_verbatimModuleSyntax_is_enabled:Wa(1287,1,"A_top_level_export_modifier_cannot_be_used_on_value_declarations_in_a_CommonJS_module_when_verbatimM_1287","A top-level 'export' modifier cannot be used on value declarations in a CommonJS module when 'verbatimModuleSyntax' is enabled."),An_import_alias_cannot_resolve_to_a_type_or_type_only_declaration_when_verbatimModuleSyntax_is_enabled:Wa(1288,1,"An_import_alias_cannot_resolve_to_a_type_or_type_only_declaration_when_verbatimModuleSyntax_is_enabl_1288","An import alias cannot resolve to a type or type-only declaration when 'verbatimModuleSyntax' is enabled."),_0_resolves_to_a_type_only_declaration_and_must_be_marked_type_only_in_this_file_before_re_exporting_when_1_is_enabled_Consider_using_import_type_where_0_is_imported:Wa(1289,1,"_0_resolves_to_a_type_only_declaration_and_must_be_marked_type_only_in_this_file_before_re_exporting_1289","'{0}' resolves to a type-only declaration and must be marked type-only in this file before re-exporting when '{1}' is enabled. Consider using 'import type' where '{0}' is imported."),_0_resolves_to_a_type_only_declaration_and_must_be_marked_type_only_in_this_file_before_re_exporting_when_1_is_enabled_Consider_using_export_type_0_as_default:Wa(1290,1,"_0_resolves_to_a_type_only_declaration_and_must_be_marked_type_only_in_this_file_before_re_exporting_1290","'{0}' resolves to a type-only declaration and must be marked type-only in this file before re-exporting when '{1}' is enabled. Consider using 'export type { {0} as default }'."),_0_resolves_to_a_type_and_must_be_marked_type_only_in_this_file_before_re_exporting_when_1_is_enabled_Consider_using_import_type_where_0_is_imported:Wa(1291,1,"_0_resolves_to_a_type_and_must_be_marked_type_only_in_this_file_before_re_exporting_when_1_is_enable_1291","'{0}' resolves to a type and must be marked type-only in this file before re-exporting when '{1}' is enabled. Consider using 'import type' where '{0}' is imported."),_0_resolves_to_a_type_and_must_be_marked_type_only_in_this_file_before_re_exporting_when_1_is_enabled_Consider_using_export_type_0_as_default:Wa(1292,1,"_0_resolves_to_a_type_and_must_be_marked_type_only_in_this_file_before_re_exporting_when_1_is_enable_1292","'{0}' resolves to a type and must be marked type-only in this file before re-exporting when '{1}' is enabled. Consider using 'export type { {0} as default }'."),with_statements_are_not_allowed_in_an_async_function_block:Wa(1300,1,"with_statements_are_not_allowed_in_an_async_function_block_1300","'with' statements are not allowed in an async function block."),await_expressions_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules:Wa(1308,1,"await_expressions_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules_1308","'await' expressions are only allowed within async functions and at the top levels of modules."),The_current_file_is_a_CommonJS_module_and_cannot_use_await_at_the_top_level:Wa(1309,1,"The_current_file_is_a_CommonJS_module_and_cannot_use_await_at_the_top_level_1309","The current file is a CommonJS module and cannot use 'await' at the top level."),Did_you_mean_to_use_a_Colon_An_can_only_follow_a_property_name_when_the_containing_object_literal_is_part_of_a_destructuring_pattern:Wa(1312,1,"Did_you_mean_to_use_a_Colon_An_can_only_follow_a_property_name_when_the_containing_object_literal_is_1312","Did you mean to use a ':'? An '=' can only follow a property name when the containing object literal is part of a destructuring pattern."),The_body_of_an_if_statement_cannot_be_the_empty_statement:Wa(1313,1,"The_body_of_an_if_statement_cannot_be_the_empty_statement_1313","The body of an 'if' statement cannot be the empty statement."),Global_module_exports_may_only_appear_in_module_files:Wa(1314,1,"Global_module_exports_may_only_appear_in_module_files_1314","Global module exports may only appear in module files."),Global_module_exports_may_only_appear_in_declaration_files:Wa(1315,1,"Global_module_exports_may_only_appear_in_declaration_files_1315","Global module exports may only appear in declaration files."),Global_module_exports_may_only_appear_at_top_level:Wa(1316,1,"Global_module_exports_may_only_appear_at_top_level_1316","Global module exports may only appear at top level."),A_parameter_property_cannot_be_declared_using_a_rest_parameter:Wa(1317,1,"A_parameter_property_cannot_be_declared_using_a_rest_parameter_1317","A parameter property cannot be declared using a rest parameter."),An_abstract_accessor_cannot_have_an_implementation:Wa(1318,1,"An_abstract_accessor_cannot_have_an_implementation_1318","An abstract accessor cannot have an implementation."),A_default_export_can_only_be_used_in_an_ECMAScript_style_module:Wa(1319,1,"A_default_export_can_only_be_used_in_an_ECMAScript_style_module_1319","A default export can only be used in an ECMAScript-style module."),Type_of_await_operand_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member:Wa(1320,1,"Type_of_await_operand_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member_1320","Type of 'await' operand must either be a valid promise or must not contain a callable 'then' member."),Type_of_yield_operand_in_an_async_generator_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member:Wa(1321,1,"Type_of_yield_operand_in_an_async_generator_must_either_be_a_valid_promise_or_must_not_contain_a_cal_1321","Type of 'yield' operand in an async generator must either be a valid promise or must not contain a callable 'then' member."),Type_of_iterated_elements_of_a_yield_Asterisk_operand_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member:Wa(1322,1,"Type_of_iterated_elements_of_a_yield_Asterisk_operand_must_either_be_a_valid_promise_or_must_not_con_1322","Type of iterated elements of a 'yield*' operand must either be a valid promise or must not contain a callable 'then' member."),Dynamic_imports_are_only_supported_when_the_module_flag_is_set_to_es2020_es2022_esnext_commonjs_amd_system_umd_node16_or_nodenext:Wa(1323,1,"Dynamic_imports_are_only_supported_when_the_module_flag_is_set_to_es2020_es2022_esnext_commonjs_amd__1323","Dynamic imports are only supported when the '--module' flag is set to 'es2020', 'es2022', 'esnext', 'commonjs', 'amd', 'system', 'umd', 'node16', or 'nodenext'."),Dynamic_imports_only_support_a_second_argument_when_the_module_option_is_set_to_esnext_node16_or_nodenext:Wa(1324,1,"Dynamic_imports_only_support_a_second_argument_when_the_module_option_is_set_to_esnext_node16_or_nod_1324","Dynamic imports only support a second argument when the '--module' option is set to 'esnext', 'node16', or 'nodenext'."),Argument_of_dynamic_import_cannot_be_spread_element:Wa(1325,1,"Argument_of_dynamic_import_cannot_be_spread_element_1325","Argument of dynamic import cannot be spread element."),This_use_of_import_is_invalid_import_calls_can_be_written_but_they_must_have_parentheses_and_cannot_have_type_arguments:Wa(1326,1,"This_use_of_import_is_invalid_import_calls_can_be_written_but_they_must_have_parentheses_and_cannot__1326","This use of 'import' is invalid. 'import()' calls can be written, but they must have parentheses and cannot have type arguments."),String_literal_with_double_quotes_expected:Wa(1327,1,"String_literal_with_double_quotes_expected_1327","String literal with double quotes expected."),Property_value_can_only_be_string_literal_numeric_literal_true_false_null_object_literal_or_array_literal:Wa(1328,1,"Property_value_can_only_be_string_literal_numeric_literal_true_false_null_object_literal_or_array_li_1328","Property value can only be string literal, numeric literal, 'true', 'false', 'null', object literal or array literal."),_0_accepts_too_few_arguments_to_be_used_as_a_decorator_here_Did_you_mean_to_call_it_first_and_write_0:Wa(1329,1,"_0_accepts_too_few_arguments_to_be_used_as_a_decorator_here_Did_you_mean_to_call_it_first_and_write__1329","'{0}' accepts too few arguments to be used as a decorator here. Did you mean to call it first and write '@{0}()'?"),A_property_of_an_interface_or_type_literal_whose_type_is_a_unique_symbol_type_must_be_readonly:Wa(1330,1,"A_property_of_an_interface_or_type_literal_whose_type_is_a_unique_symbol_type_must_be_readonly_1330","A property of an interface or type literal whose type is a 'unique symbol' type must be 'readonly'."),A_property_of_a_class_whose_type_is_a_unique_symbol_type_must_be_both_static_and_readonly:Wa(1331,1,"A_property_of_a_class_whose_type_is_a_unique_symbol_type_must_be_both_static_and_readonly_1331","A property of a class whose type is a 'unique symbol' type must be both 'static' and 'readonly'."),A_variable_whose_type_is_a_unique_symbol_type_must_be_const:Wa(1332,1,"A_variable_whose_type_is_a_unique_symbol_type_must_be_const_1332","A variable whose type is a 'unique symbol' type must be 'const'."),unique_symbol_types_may_not_be_used_on_a_variable_declaration_with_a_binding_name:Wa(1333,1,"unique_symbol_types_may_not_be_used_on_a_variable_declaration_with_a_binding_name_1333","'unique symbol' types may not be used on a variable declaration with a binding name."),unique_symbol_types_are_only_allowed_on_variables_in_a_variable_statement:Wa(1334,1,"unique_symbol_types_are_only_allowed_on_variables_in_a_variable_statement_1334","'unique symbol' types are only allowed on variables in a variable statement."),unique_symbol_types_are_not_allowed_here:Wa(1335,1,"unique_symbol_types_are_not_allowed_here_1335","'unique symbol' types are not allowed here."),An_index_signature_parameter_type_cannot_be_a_literal_type_or_generic_type_Consider_using_a_mapped_object_type_instead:Wa(1337,1,"An_index_signature_parameter_type_cannot_be_a_literal_type_or_generic_type_Consider_using_a_mapped_o_1337","An index signature parameter type cannot be a literal type or generic type. Consider using a mapped object type instead."),infer_declarations_are_only_permitted_in_the_extends_clause_of_a_conditional_type:Wa(1338,1,"infer_declarations_are_only_permitted_in_the_extends_clause_of_a_conditional_type_1338","'infer' declarations are only permitted in the 'extends' clause of a conditional type."),Module_0_does_not_refer_to_a_value_but_is_used_as_a_value_here:Wa(1339,1,"Module_0_does_not_refer_to_a_value_but_is_used_as_a_value_here_1339","Module '{0}' does not refer to a value, but is used as a value here."),Module_0_does_not_refer_to_a_type_but_is_used_as_a_type_here_Did_you_mean_typeof_import_0:Wa(1340,1,"Module_0_does_not_refer_to_a_type_but_is_used_as_a_type_here_Did_you_mean_typeof_import_0_1340","Module '{0}' does not refer to a type, but is used as a type here. Did you mean 'typeof import('{0}')'?"),Class_constructor_may_not_be_an_accessor:Wa(1341,1,"Class_constructor_may_not_be_an_accessor_1341","Class constructor may not be an accessor."),The_import_meta_meta_property_is_only_allowed_when_the_module_option_is_es2020_es2022_esnext_system_node16_or_nodenext:Wa(1343,1,"The_import_meta_meta_property_is_only_allowed_when_the_module_option_is_es2020_es2022_esnext_system__1343","The 'import.meta' meta-property is only allowed when the '--module' option is 'es2020', 'es2022', 'esnext', 'system', 'node16', or 'nodenext'."),A_label_is_not_allowed_here:Wa(1344,1,"A_label_is_not_allowed_here_1344","'A label is not allowed here."),An_expression_of_type_void_cannot_be_tested_for_truthiness:Wa(1345,1,"An_expression_of_type_void_cannot_be_tested_for_truthiness_1345","An expression of type 'void' cannot be tested for truthiness."),This_parameter_is_not_allowed_with_use_strict_directive:Wa(1346,1,"This_parameter_is_not_allowed_with_use_strict_directive_1346","This parameter is not allowed with 'use strict' directive."),use_strict_directive_cannot_be_used_with_non_simple_parameter_list:Wa(1347,1,"use_strict_directive_cannot_be_used_with_non_simple_parameter_list_1347","'use strict' directive cannot be used with non-simple parameter list."),Non_simple_parameter_declared_here:Wa(1348,1,"Non_simple_parameter_declared_here_1348","Non-simple parameter declared here."),use_strict_directive_used_here:Wa(1349,1,"use_strict_directive_used_here_1349","'use strict' directive used here."),Print_the_final_configuration_instead_of_building:Wa(1350,3,"Print_the_final_configuration_instead_of_building_1350","Print the final configuration instead of building."),An_identifier_or_keyword_cannot_immediately_follow_a_numeric_literal:Wa(1351,1,"An_identifier_or_keyword_cannot_immediately_follow_a_numeric_literal_1351","An identifier or keyword cannot immediately follow a numeric literal."),A_bigint_literal_cannot_use_exponential_notation:Wa(1352,1,"A_bigint_literal_cannot_use_exponential_notation_1352","A bigint literal cannot use exponential notation."),A_bigint_literal_must_be_an_integer:Wa(1353,1,"A_bigint_literal_must_be_an_integer_1353","A bigint literal must be an integer."),readonly_type_modifier_is_only_permitted_on_array_and_tuple_literal_types:Wa(1354,1,"readonly_type_modifier_is_only_permitted_on_array_and_tuple_literal_types_1354","'readonly' type modifier is only permitted on array and tuple literal types."),A_const_assertions_can_only_be_applied_to_references_to_enum_members_or_string_number_boolean_array_or_object_literals:Wa(1355,1,"A_const_assertions_can_only_be_applied_to_references_to_enum_members_or_string_number_boolean_array__1355","A 'const' assertions can only be applied to references to enum members, or string, number, boolean, array, or object literals."),Did_you_mean_to_mark_this_function_as_async:Wa(1356,1,"Did_you_mean_to_mark_this_function_as_async_1356","Did you mean to mark this function as 'async'?"),An_enum_member_name_must_be_followed_by_a_or:Wa(1357,1,"An_enum_member_name_must_be_followed_by_a_or_1357","An enum member name must be followed by a ',', '=', or '}'."),Tagged_template_expressions_are_not_permitted_in_an_optional_chain:Wa(1358,1,"Tagged_template_expressions_are_not_permitted_in_an_optional_chain_1358","Tagged template expressions are not permitted in an optional chain."),Identifier_expected_0_is_a_reserved_word_that_cannot_be_used_here:Wa(1359,1,"Identifier_expected_0_is_a_reserved_word_that_cannot_be_used_here_1359","Identifier expected. '{0}' is a reserved word that cannot be used here."),Type_0_does_not_satisfy_the_expected_type_1:Wa(1360,1,"Type_0_does_not_satisfy_the_expected_type_1_1360","Type '{0}' does not satisfy the expected type '{1}'."),_0_cannot_be_used_as_a_value_because_it_was_imported_using_import_type:Wa(1361,1,"_0_cannot_be_used_as_a_value_because_it_was_imported_using_import_type_1361","'{0}' cannot be used as a value because it was imported using 'import type'."),_0_cannot_be_used_as_a_value_because_it_was_exported_using_export_type:Wa(1362,1,"_0_cannot_be_used_as_a_value_because_it_was_exported_using_export_type_1362","'{0}' cannot be used as a value because it was exported using 'export type'."),A_type_only_import_can_specify_a_default_import_or_named_bindings_but_not_both:Wa(1363,1,"A_type_only_import_can_specify_a_default_import_or_named_bindings_but_not_both_1363","A type-only import can specify a default import or named bindings, but not both."),Convert_to_type_only_export:Wa(1364,3,"Convert_to_type_only_export_1364","Convert to type-only export"),Convert_all_re_exported_types_to_type_only_exports:Wa(1365,3,"Convert_all_re_exported_types_to_type_only_exports_1365","Convert all re-exported types to type-only exports"),Split_into_two_separate_import_declarations:Wa(1366,3,"Split_into_two_separate_import_declarations_1366","Split into two separate import declarations"),Split_all_invalid_type_only_imports:Wa(1367,3,"Split_all_invalid_type_only_imports_1367","Split all invalid type-only imports"),Class_constructor_may_not_be_a_generator:Wa(1368,1,"Class_constructor_may_not_be_a_generator_1368","Class constructor may not be a generator."),Did_you_mean_0:Wa(1369,3,"Did_you_mean_0_1369","Did you mean '{0}'?"),This_import_is_never_used_as_a_value_and_must_use_import_type_because_importsNotUsedAsValues_is_set_to_error:Wa(1371,1,"This_import_is_never_used_as_a_value_and_must_use_import_type_because_importsNotUsedAsValues_is_set__1371","This import is never used as a value and must use 'import type' because 'importsNotUsedAsValues' is set to 'error'."),await_expressions_are_only_allowed_at_the_top_level_of_a_file_when_that_file_is_a_module_but_this_file_has_no_imports_or_exports_Consider_adding_an_empty_export_to_make_this_file_a_module:Wa(1375,1,"await_expressions_are_only_allowed_at_the_top_level_of_a_file_when_that_file_is_a_module_but_this_fi_1375","'await' expressions are only allowed at the top level of a file when that file is a module, but this file has no imports or exports. Consider adding an empty 'export {}' to make this file a module."),_0_was_imported_here:Wa(1376,3,"_0_was_imported_here_1376","'{0}' was imported here."),_0_was_exported_here:Wa(1377,3,"_0_was_exported_here_1377","'{0}' was exported here."),Top_level_await_expressions_are_only_allowed_when_the_module_option_is_set_to_es2022_esnext_system_node16_nodenext_or_preserve_and_the_target_option_is_set_to_es2017_or_higher:Wa(1378,1,"Top_level_await_expressions_are_only_allowed_when_the_module_option_is_set_to_es2022_esnext_system_n_1378","Top-level 'await' expressions are only allowed when the 'module' option is set to 'es2022', 'esnext', 'system', 'node16', 'nodenext', or 'preserve', and the 'target' option is set to 'es2017' or higher."),An_import_alias_cannot_reference_a_declaration_that_was_exported_using_export_type:Wa(1379,1,"An_import_alias_cannot_reference_a_declaration_that_was_exported_using_export_type_1379","An import alias cannot reference a declaration that was exported using 'export type'."),An_import_alias_cannot_reference_a_declaration_that_was_imported_using_import_type:Wa(1380,1,"An_import_alias_cannot_reference_a_declaration_that_was_imported_using_import_type_1380","An import alias cannot reference a declaration that was imported using 'import type'."),Unexpected_token_Did_you_mean_or_rbrace:Wa(1381,1,"Unexpected_token_Did_you_mean_or_rbrace_1381","Unexpected token. Did you mean `{'}'}` or `&rbrace;`?"),Unexpected_token_Did_you_mean_or_gt:Wa(1382,1,"Unexpected_token_Did_you_mean_or_gt_1382","Unexpected token. Did you mean `{'>'}` or `&gt;`?"),Function_type_notation_must_be_parenthesized_when_used_in_a_union_type:Wa(1385,1,"Function_type_notation_must_be_parenthesized_when_used_in_a_union_type_1385","Function type notation must be parenthesized when used in a union type."),Constructor_type_notation_must_be_parenthesized_when_used_in_a_union_type:Wa(1386,1,"Constructor_type_notation_must_be_parenthesized_when_used_in_a_union_type_1386","Constructor type notation must be parenthesized when used in a union type."),Function_type_notation_must_be_parenthesized_when_used_in_an_intersection_type:Wa(1387,1,"Function_type_notation_must_be_parenthesized_when_used_in_an_intersection_type_1387","Function type notation must be parenthesized when used in an intersection type."),Constructor_type_notation_must_be_parenthesized_when_used_in_an_intersection_type:Wa(1388,1,"Constructor_type_notation_must_be_parenthesized_when_used_in_an_intersection_type_1388","Constructor type notation must be parenthesized when used in an intersection type."),_0_is_not_allowed_as_a_variable_declaration_name:Wa(1389,1,"_0_is_not_allowed_as_a_variable_declaration_name_1389","'{0}' is not allowed as a variable declaration name."),_0_is_not_allowed_as_a_parameter_name:Wa(1390,1,"_0_is_not_allowed_as_a_parameter_name_1390","'{0}' is not allowed as a parameter name."),An_import_alias_cannot_use_import_type:Wa(1392,1,"An_import_alias_cannot_use_import_type_1392","An import alias cannot use 'import type'"),Imported_via_0_from_file_1:Wa(1393,3,"Imported_via_0_from_file_1_1393","Imported via {0} from file '{1}'"),Imported_via_0_from_file_1_with_packageId_2:Wa(1394,3,"Imported_via_0_from_file_1_with_packageId_2_1394","Imported via {0} from file '{1}' with packageId '{2}'"),Imported_via_0_from_file_1_to_import_importHelpers_as_specified_in_compilerOptions:Wa(1395,3,"Imported_via_0_from_file_1_to_import_importHelpers_as_specified_in_compilerOptions_1395","Imported via {0} from file '{1}' to import 'importHelpers' as specified in compilerOptions"),Imported_via_0_from_file_1_with_packageId_2_to_import_importHelpers_as_specified_in_compilerOptions:Wa(1396,3,"Imported_via_0_from_file_1_with_packageId_2_to_import_importHelpers_as_specified_in_compilerOptions_1396","Imported via {0} from file '{1}' with packageId '{2}' to import 'importHelpers' as specified in compilerOptions"),Imported_via_0_from_file_1_to_import_jsx_and_jsxs_factory_functions:Wa(1397,3,"Imported_via_0_from_file_1_to_import_jsx_and_jsxs_factory_functions_1397","Imported via {0} from file '{1}' to import 'jsx' and 'jsxs' factory functions"),Imported_via_0_from_file_1_with_packageId_2_to_import_jsx_and_jsxs_factory_functions:Wa(1398,3,"Imported_via_0_from_file_1_with_packageId_2_to_import_jsx_and_jsxs_factory_functions_1398","Imported via {0} from file '{1}' with packageId '{2}' to import 'jsx' and 'jsxs' factory functions"),File_is_included_via_import_here:Wa(1399,3,"File_is_included_via_import_here_1399","File is included via import here."),Referenced_via_0_from_file_1:Wa(1400,3,"Referenced_via_0_from_file_1_1400","Referenced via '{0}' from file '{1}'"),File_is_included_via_reference_here:Wa(1401,3,"File_is_included_via_reference_here_1401","File is included via reference here."),Type_library_referenced_via_0_from_file_1:Wa(1402,3,"Type_library_referenced_via_0_from_file_1_1402","Type library referenced via '{0}' from file '{1}'"),Type_library_referenced_via_0_from_file_1_with_packageId_2:Wa(1403,3,"Type_library_referenced_via_0_from_file_1_with_packageId_2_1403","Type library referenced via '{0}' from file '{1}' with packageId '{2}'"),File_is_included_via_type_library_reference_here:Wa(1404,3,"File_is_included_via_type_library_reference_here_1404","File is included via type library reference here."),Library_referenced_via_0_from_file_1:Wa(1405,3,"Library_referenced_via_0_from_file_1_1405","Library referenced via '{0}' from file '{1}'"),File_is_included_via_library_reference_here:Wa(1406,3,"File_is_included_via_library_reference_here_1406","File is included via library reference here."),Matched_by_include_pattern_0_in_1:Wa(1407,3,"Matched_by_include_pattern_0_in_1_1407","Matched by include pattern '{0}' in '{1}'"),File_is_matched_by_include_pattern_specified_here:Wa(1408,3,"File_is_matched_by_include_pattern_specified_here_1408","File is matched by include pattern specified here."),Part_of_files_list_in_tsconfig_json:Wa(1409,3,"Part_of_files_list_in_tsconfig_json_1409","Part of 'files' list in tsconfig.json"),File_is_matched_by_files_list_specified_here:Wa(1410,3,"File_is_matched_by_files_list_specified_here_1410","File is matched by 'files' list specified here."),Output_from_referenced_project_0_included_because_1_specified:Wa(1411,3,"Output_from_referenced_project_0_included_because_1_specified_1411","Output from referenced project '{0}' included because '{1}' specified"),Output_from_referenced_project_0_included_because_module_is_specified_as_none:Wa(1412,3,"Output_from_referenced_project_0_included_because_module_is_specified_as_none_1412","Output from referenced project '{0}' included because '--module' is specified as 'none'"),File_is_output_from_referenced_project_specified_here:Wa(1413,3,"File_is_output_from_referenced_project_specified_here_1413","File is output from referenced project specified here."),Source_from_referenced_project_0_included_because_1_specified:Wa(1414,3,"Source_from_referenced_project_0_included_because_1_specified_1414","Source from referenced project '{0}' included because '{1}' specified"),Source_from_referenced_project_0_included_because_module_is_specified_as_none:Wa(1415,3,"Source_from_referenced_project_0_included_because_module_is_specified_as_none_1415","Source from referenced project '{0}' included because '--module' is specified as 'none'"),File_is_source_from_referenced_project_specified_here:Wa(1416,3,"File_is_source_from_referenced_project_specified_here_1416","File is source from referenced project specified here."),Entry_point_of_type_library_0_specified_in_compilerOptions:Wa(1417,3,"Entry_point_of_type_library_0_specified_in_compilerOptions_1417","Entry point of type library '{0}' specified in compilerOptions"),Entry_point_of_type_library_0_specified_in_compilerOptions_with_packageId_1:Wa(1418,3,"Entry_point_of_type_library_0_specified_in_compilerOptions_with_packageId_1_1418","Entry point of type library '{0}' specified in compilerOptions with packageId '{1}'"),File_is_entry_point_of_type_library_specified_here:Wa(1419,3,"File_is_entry_point_of_type_library_specified_here_1419","File is entry point of type library specified here."),Entry_point_for_implicit_type_library_0:Wa(1420,3,"Entry_point_for_implicit_type_library_0_1420","Entry point for implicit type library '{0}'"),Entry_point_for_implicit_type_library_0_with_packageId_1:Wa(1421,3,"Entry_point_for_implicit_type_library_0_with_packageId_1_1421","Entry point for implicit type library '{0}' with packageId '{1}'"),Library_0_specified_in_compilerOptions:Wa(1422,3,"Library_0_specified_in_compilerOptions_1422","Library '{0}' specified in compilerOptions"),File_is_library_specified_here:Wa(1423,3,"File_is_library_specified_here_1423","File is library specified here."),Default_library:Wa(1424,3,"Default_library_1424","Default library"),Default_library_for_target_0:Wa(1425,3,"Default_library_for_target_0_1425","Default library for target '{0}'"),File_is_default_library_for_target_specified_here:Wa(1426,3,"File_is_default_library_for_target_specified_here_1426","File is default library for target specified here."),Root_file_specified_for_compilation:Wa(1427,3,"Root_file_specified_for_compilation_1427","Root file specified for compilation"),File_is_output_of_project_reference_source_0:Wa(1428,3,"File_is_output_of_project_reference_source_0_1428","File is output of project reference source '{0}'"),File_redirects_to_file_0:Wa(1429,3,"File_redirects_to_file_0_1429","File redirects to file '{0}'"),The_file_is_in_the_program_because_Colon:Wa(1430,3,"The_file_is_in_the_program_because_Colon_1430","The file is in the program because:"),for_await_loops_are_only_allowed_at_the_top_level_of_a_file_when_that_file_is_a_module_but_this_file_has_no_imports_or_exports_Consider_adding_an_empty_export_to_make_this_file_a_module:Wa(1431,1,"for_await_loops_are_only_allowed_at_the_top_level_of_a_file_when_that_file_is_a_module_but_this_file_1431","'for await' loops are only allowed at the top level of a file when that file is a module, but this file has no imports or exports. Consider adding an empty 'export {}' to make this file a module."),Top_level_for_await_loops_are_only_allowed_when_the_module_option_is_set_to_es2022_esnext_system_node16_nodenext_or_preserve_and_the_target_option_is_set_to_es2017_or_higher:Wa(1432,1,"Top_level_for_await_loops_are_only_allowed_when_the_module_option_is_set_to_es2022_esnext_system_nod_1432","Top-level 'for await' loops are only allowed when the 'module' option is set to 'es2022', 'esnext', 'system', 'node16', 'nodenext', or 'preserve', and the 'target' option is set to 'es2017' or higher."),Neither_decorators_nor_modifiers_may_be_applied_to_this_parameters:Wa(1433,1,"Neither_decorators_nor_modifiers_may_be_applied_to_this_parameters_1433","Neither decorators nor modifiers may be applied to 'this' parameters."),Unexpected_keyword_or_identifier:Wa(1434,1,"Unexpected_keyword_or_identifier_1434","Unexpected keyword or identifier."),Unknown_keyword_or_identifier_Did_you_mean_0:Wa(1435,1,"Unknown_keyword_or_identifier_Did_you_mean_0_1435","Unknown keyword or identifier. Did you mean '{0}'?"),Decorators_must_precede_the_name_and_all_keywords_of_property_declarations:Wa(1436,1,"Decorators_must_precede_the_name_and_all_keywords_of_property_declarations_1436","Decorators must precede the name and all keywords of property declarations."),Namespace_must_be_given_a_name:Wa(1437,1,"Namespace_must_be_given_a_name_1437","Namespace must be given a name."),Interface_must_be_given_a_name:Wa(1438,1,"Interface_must_be_given_a_name_1438","Interface must be given a name."),Type_alias_must_be_given_a_name:Wa(1439,1,"Type_alias_must_be_given_a_name_1439","Type alias must be given a name."),Variable_declaration_not_allowed_at_this_location:Wa(1440,1,"Variable_declaration_not_allowed_at_this_location_1440","Variable declaration not allowed at this location."),Cannot_start_a_function_call_in_a_type_annotation:Wa(1441,1,"Cannot_start_a_function_call_in_a_type_annotation_1441","Cannot start a function call in a type annotation."),Expected_for_property_initializer:Wa(1442,1,"Expected_for_property_initializer_1442","Expected '=' for property initializer."),Module_declaration_names_may_only_use_or_quoted_strings:Wa(1443,1,"Module_declaration_names_may_only_use_or_quoted_strings_1443","Module declaration names may only use ' or \" quoted strings."),_0_is_a_type_and_must_be_imported_using_a_type_only_import_when_preserveValueImports_and_isolatedModules_are_both_enabled:Wa(1444,1,"_0_is_a_type_and_must_be_imported_using_a_type_only_import_when_preserveValueImports_and_isolatedMod_1444","'{0}' is a type and must be imported using a type-only import when 'preserveValueImports' and 'isolatedModules' are both enabled."),_0_resolves_to_a_type_only_declaration_and_must_be_imported_using_a_type_only_import_when_preserveValueImports_and_isolatedModules_are_both_enabled:Wa(1446,1,"_0_resolves_to_a_type_only_declaration_and_must_be_imported_using_a_type_only_import_when_preserveVa_1446","'{0}' resolves to a type-only declaration and must be imported using a type-only import when 'preserveValueImports' and 'isolatedModules' are both enabled."),_0_resolves_to_a_type_only_declaration_and_must_be_re_exported_using_a_type_only_re_export_when_1_is_enabled:Wa(1448,1,"_0_resolves_to_a_type_only_declaration_and_must_be_re_exported_using_a_type_only_re_export_when_1_is_1448","'{0}' resolves to a type-only declaration and must be re-exported using a type-only re-export when '{1}' is enabled."),Preserve_unused_imported_values_in_the_JavaScript_output_that_would_otherwise_be_removed:Wa(1449,3,"Preserve_unused_imported_values_in_the_JavaScript_output_that_would_otherwise_be_removed_1449","Preserve unused imported values in the JavaScript output that would otherwise be removed."),Dynamic_imports_can_only_accept_a_module_specifier_and_an_optional_set_of_attributes_as_arguments:Wa(1450,3,"Dynamic_imports_can_only_accept_a_module_specifier_and_an_optional_set_of_attributes_as_arguments_1450","Dynamic imports can only accept a module specifier and an optional set of attributes as arguments"),Private_identifiers_are_only_allowed_in_class_bodies_and_may_only_be_used_as_part_of_a_class_member_declaration_property_access_or_on_the_left_hand_side_of_an_in_expression:Wa(1451,1,"Private_identifiers_are_only_allowed_in_class_bodies_and_may_only_be_used_as_part_of_a_class_member__1451","Private identifiers are only allowed in class bodies and may only be used as part of a class member declaration, property access, or on the left-hand-side of an 'in' expression"),resolution_mode_should_be_either_require_or_import:Wa(1453,1,"resolution_mode_should_be_either_require_or_import_1453","`resolution-mode` should be either `require` or `import`."),resolution_mode_can_only_be_set_for_type_only_imports:Wa(1454,1,"resolution_mode_can_only_be_set_for_type_only_imports_1454","`resolution-mode` can only be set for type-only imports."),resolution_mode_is_the_only_valid_key_for_type_import_assertions:Wa(1455,1,"resolution_mode_is_the_only_valid_key_for_type_import_assertions_1455","`resolution-mode` is the only valid key for type import assertions."),Type_import_assertions_should_have_exactly_one_key_resolution_mode_with_value_import_or_require:Wa(1456,1,"Type_import_assertions_should_have_exactly_one_key_resolution_mode_with_value_import_or_require_1456","Type import assertions should have exactly one key - `resolution-mode` - with value `import` or `require`."),Matched_by_default_include_pattern_Asterisk_Asterisk_Slash_Asterisk:Wa(1457,3,"Matched_by_default_include_pattern_Asterisk_Asterisk_Slash_Asterisk_1457","Matched by default include pattern '**/*'"),File_is_ECMAScript_module_because_0_has_field_type_with_value_module:Wa(1458,3,"File_is_ECMAScript_module_because_0_has_field_type_with_value_module_1458",'File is ECMAScript module because \'{0}\' has field "type" with value "module"'),File_is_CommonJS_module_because_0_has_field_type_whose_value_is_not_module:Wa(1459,3,"File_is_CommonJS_module_because_0_has_field_type_whose_value_is_not_module_1459",'File is CommonJS module because \'{0}\' has field "type" whose value is not "module"'),File_is_CommonJS_module_because_0_does_not_have_field_type:Wa(1460,3,"File_is_CommonJS_module_because_0_does_not_have_field_type_1460","File is CommonJS module because '{0}' does not have field \"type\""),File_is_CommonJS_module_because_package_json_was_not_found:Wa(1461,3,"File_is_CommonJS_module_because_package_json_was_not_found_1461","File is CommonJS module because 'package.json' was not found"),resolution_mode_is_the_only_valid_key_for_type_import_attributes:Wa(1463,1,"resolution_mode_is_the_only_valid_key_for_type_import_attributes_1463","'resolution-mode' is the only valid key for type import attributes."),Type_import_attributes_should_have_exactly_one_key_resolution_mode_with_value_import_or_require:Wa(1464,1,"Type_import_attributes_should_have_exactly_one_key_resolution_mode_with_value_import_or_require_1464","Type import attributes should have exactly one key - 'resolution-mode' - with value 'import' or 'require'."),The_import_meta_meta_property_is_not_allowed_in_files_which_will_build_into_CommonJS_output:Wa(1470,1,"The_import_meta_meta_property_is_not_allowed_in_files_which_will_build_into_CommonJS_output_1470","The 'import.meta' meta-property is not allowed in files which will build into CommonJS output."),Module_0_cannot_be_imported_using_this_construct_The_specifier_only_resolves_to_an_ES_module_which_cannot_be_imported_with_require_Use_an_ECMAScript_import_instead:Wa(1471,1,"Module_0_cannot_be_imported_using_this_construct_The_specifier_only_resolves_to_an_ES_module_which_c_1471","Module '{0}' cannot be imported using this construct. The specifier only resolves to an ES module, which cannot be imported with 'require'. Use an ECMAScript import instead."),catch_or_finally_expected:Wa(1472,1,"catch_or_finally_expected_1472","'catch' or 'finally' expected."),An_import_declaration_can_only_be_used_at_the_top_level_of_a_module:Wa(1473,1,"An_import_declaration_can_only_be_used_at_the_top_level_of_a_module_1473","An import declaration can only be used at the top level of a module."),An_export_declaration_can_only_be_used_at_the_top_level_of_a_module:Wa(1474,1,"An_export_declaration_can_only_be_used_at_the_top_level_of_a_module_1474","An export declaration can only be used at the top level of a module."),Control_what_method_is_used_to_detect_module_format_JS_files:Wa(1475,3,"Control_what_method_is_used_to_detect_module_format_JS_files_1475","Control what method is used to detect module-format JS files."),auto_Colon_Treat_files_with_imports_exports_import_meta_jsx_with_jsx_Colon_react_jsx_or_esm_format_with_module_Colon_node16_as_modules:Wa(1476,3,"auto_Colon_Treat_files_with_imports_exports_import_meta_jsx_with_jsx_Colon_react_jsx_or_esm_format_w_1476",'"auto": Treat files with imports, exports, import.meta, jsx (with jsx: react-jsx), or esm format (with module: node16+) as modules.'),An_instantiation_expression_cannot_be_followed_by_a_property_access:Wa(1477,1,"An_instantiation_expression_cannot_be_followed_by_a_property_access_1477","An instantiation expression cannot be followed by a property access."),Identifier_or_string_literal_expected:Wa(1478,1,"Identifier_or_string_literal_expected_1478","Identifier or string literal expected."),The_current_file_is_a_CommonJS_module_whose_imports_will_produce_require_calls_however_the_referenced_file_is_an_ECMAScript_module_and_cannot_be_imported_with_require_Consider_writing_a_dynamic_import_0_call_instead:Wa(1479,1,"The_current_file_is_a_CommonJS_module_whose_imports_will_produce_require_calls_however_the_reference_1479","The current file is a CommonJS module whose imports will produce 'require' calls; however, the referenced file is an ECMAScript module and cannot be imported with 'require'. Consider writing a dynamic 'import(\"{0}\")' call instead."),To_convert_this_file_to_an_ECMAScript_module_change_its_file_extension_to_0_or_create_a_local_package_json_file_with_type_Colon_module:Wa(1480,3,"To_convert_this_file_to_an_ECMAScript_module_change_its_file_extension_to_0_or_create_a_local_packag_1480",'To convert this file to an ECMAScript module, change its file extension to \'{0}\' or create a local package.json file with `{ "type": "module" }`.'),To_convert_this_file_to_an_ECMAScript_module_change_its_file_extension_to_0_or_add_the_field_type_Colon_module_to_1:Wa(1481,3,"To_convert_this_file_to_an_ECMAScript_module_change_its_file_extension_to_0_or_add_the_field_type_Co_1481","To convert this file to an ECMAScript module, change its file extension to '{0}', or add the field `\"type\": \"module\"` to '{1}'."),To_convert_this_file_to_an_ECMAScript_module_add_the_field_type_Colon_module_to_0:Wa(1482,3,"To_convert_this_file_to_an_ECMAScript_module_add_the_field_type_Colon_module_to_0_1482",'To convert this file to an ECMAScript module, add the field `"type": "module"` to \'{0}\'.'),To_convert_this_file_to_an_ECMAScript_module_create_a_local_package_json_file_with_type_Colon_module:Wa(1483,3,"To_convert_this_file_to_an_ECMAScript_module_create_a_local_package_json_file_with_type_Colon_module_1483",'To convert this file to an ECMAScript module, create a local package.json file with `{ "type": "module" }`.'),_0_is_a_type_and_must_be_imported_using_a_type_only_import_when_verbatimModuleSyntax_is_enabled:Wa(1484,1,"_0_is_a_type_and_must_be_imported_using_a_type_only_import_when_verbatimModuleSyntax_is_enabled_1484","'{0}' is a type and must be imported using a type-only import when 'verbatimModuleSyntax' is enabled."),_0_resolves_to_a_type_only_declaration_and_must_be_imported_using_a_type_only_import_when_verbatimModuleSyntax_is_enabled:Wa(1485,1,"_0_resolves_to_a_type_only_declaration_and_must_be_imported_using_a_type_only_import_when_verbatimMo_1485","'{0}' resolves to a type-only declaration and must be imported using a type-only import when 'verbatimModuleSyntax' is enabled."),Decorator_used_before_export_here:Wa(1486,1,"Decorator_used_before_export_here_1486","Decorator used before 'export' here."),Octal_escape_sequences_are_not_allowed_Use_the_syntax_0:Wa(1487,1,"Octal_escape_sequences_are_not_allowed_Use_the_syntax_0_1487","Octal escape sequences are not allowed. Use the syntax '{0}'."),Escape_sequence_0_is_not_allowed:Wa(1488,1,"Escape_sequence_0_is_not_allowed_1488","Escape sequence '{0}' is not allowed."),Decimals_with_leading_zeros_are_not_allowed:Wa(1489,1,"Decimals_with_leading_zeros_are_not_allowed_1489","Decimals with leading zeros are not allowed."),File_appears_to_be_binary:Wa(1490,1,"File_appears_to_be_binary_1490","File appears to be binary."),_0_modifier_cannot_appear_on_a_using_declaration:Wa(1491,1,"_0_modifier_cannot_appear_on_a_using_declaration_1491","'{0}' modifier cannot appear on a 'using' declaration."),_0_declarations_may_not_have_binding_patterns:Wa(1492,1,"_0_declarations_may_not_have_binding_patterns_1492","'{0}' declarations may not have binding patterns."),The_left_hand_side_of_a_for_in_statement_cannot_be_a_using_declaration:Wa(1493,1,"The_left_hand_side_of_a_for_in_statement_cannot_be_a_using_declaration_1493","The left-hand side of a 'for...in' statement cannot be a 'using' declaration."),The_left_hand_side_of_a_for_in_statement_cannot_be_an_await_using_declaration:Wa(1494,1,"The_left_hand_side_of_a_for_in_statement_cannot_be_an_await_using_declaration_1494","The left-hand side of a 'for...in' statement cannot be an 'await using' declaration."),_0_modifier_cannot_appear_on_an_await_using_declaration:Wa(1495,1,"_0_modifier_cannot_appear_on_an_await_using_declaration_1495","'{0}' modifier cannot appear on an 'await using' declaration."),Identifier_string_literal_or_number_literal_expected:Wa(1496,1,"Identifier_string_literal_or_number_literal_expected_1496","Identifier, string literal, or number literal expected."),The_types_of_0_are_incompatible_between_these_types:Wa(2200,1,"The_types_of_0_are_incompatible_between_these_types_2200","The types of '{0}' are incompatible between these types."),The_types_returned_by_0_are_incompatible_between_these_types:Wa(2201,1,"The_types_returned_by_0_are_incompatible_between_these_types_2201","The types returned by '{0}' are incompatible between these types."),Call_signature_return_types_0_and_1_are_incompatible:Wa(2202,1,"Call_signature_return_types_0_and_1_are_incompatible_2202","Call signature return types '{0}' and '{1}' are incompatible.",void 0,!0),Construct_signature_return_types_0_and_1_are_incompatible:Wa(2203,1,"Construct_signature_return_types_0_and_1_are_incompatible_2203","Construct signature return types '{0}' and '{1}' are incompatible.",void 0,!0),Call_signatures_with_no_arguments_have_incompatible_return_types_0_and_1:Wa(2204,1,"Call_signatures_with_no_arguments_have_incompatible_return_types_0_and_1_2204","Call signatures with no arguments have incompatible return types '{0}' and '{1}'.",void 0,!0),Construct_signatures_with_no_arguments_have_incompatible_return_types_0_and_1:Wa(2205,1,"Construct_signatures_with_no_arguments_have_incompatible_return_types_0_and_1_2205","Construct signatures with no arguments have incompatible return types '{0}' and '{1}'.",void 0,!0),The_type_modifier_cannot_be_used_on_a_named_import_when_import_type_is_used_on_its_import_statement:Wa(2206,1,"The_type_modifier_cannot_be_used_on_a_named_import_when_import_type_is_used_on_its_import_statement_2206","The 'type' modifier cannot be used on a named import when 'import type' is used on its import statement."),The_type_modifier_cannot_be_used_on_a_named_export_when_export_type_is_used_on_its_export_statement:Wa(2207,1,"The_type_modifier_cannot_be_used_on_a_named_export_when_export_type_is_used_on_its_export_statement_2207","The 'type' modifier cannot be used on a named export when 'export type' is used on its export statement."),This_type_parameter_might_need_an_extends_0_constraint:Wa(2208,1,"This_type_parameter_might_need_an_extends_0_constraint_2208","This type parameter might need an `extends {0}` constraint."),The_project_root_is_ambiguous_but_is_required_to_resolve_export_map_entry_0_in_file_1_Supply_the_rootDir_compiler_option_to_disambiguate:Wa(2209,1,"The_project_root_is_ambiguous_but_is_required_to_resolve_export_map_entry_0_in_file_1_Supply_the_roo_2209","The project root is ambiguous, but is required to resolve export map entry '{0}' in file '{1}'. Supply the `rootDir` compiler option to disambiguate."),The_project_root_is_ambiguous_but_is_required_to_resolve_import_map_entry_0_in_file_1_Supply_the_rootDir_compiler_option_to_disambiguate:Wa(2210,1,"The_project_root_is_ambiguous_but_is_required_to_resolve_import_map_entry_0_in_file_1_Supply_the_roo_2210","The project root is ambiguous, but is required to resolve import map entry '{0}' in file '{1}'. Supply the `rootDir` compiler option to disambiguate."),Add_extends_constraint:Wa(2211,3,"Add_extends_constraint_2211","Add `extends` constraint."),Add_extends_constraint_to_all_type_parameters:Wa(2212,3,"Add_extends_constraint_to_all_type_parameters_2212","Add `extends` constraint to all type parameters"),Duplicate_identifier_0:Wa(2300,1,"Duplicate_identifier_0_2300","Duplicate identifier '{0}'."),Initializer_of_instance_member_variable_0_cannot_reference_identifier_1_declared_in_the_constructor:Wa(2301,1,"Initializer_of_instance_member_variable_0_cannot_reference_identifier_1_declared_in_the_constructor_2301","Initializer of instance member variable '{0}' cannot reference identifier '{1}' declared in the constructor."),Static_members_cannot_reference_class_type_parameters:Wa(2302,1,"Static_members_cannot_reference_class_type_parameters_2302","Static members cannot reference class type parameters."),Circular_definition_of_import_alias_0:Wa(2303,1,"Circular_definition_of_import_alias_0_2303","Circular definition of import alias '{0}'."),Cannot_find_name_0:Wa(2304,1,"Cannot_find_name_0_2304","Cannot find name '{0}'."),Module_0_has_no_exported_member_1:Wa(2305,1,"Module_0_has_no_exported_member_1_2305","Module '{0}' has no exported member '{1}'."),File_0_is_not_a_module:Wa(2306,1,"File_0_is_not_a_module_2306","File '{0}' is not a module."),Cannot_find_module_0_or_its_corresponding_type_declarations:Wa(2307,1,"Cannot_find_module_0_or_its_corresponding_type_declarations_2307","Cannot find module '{0}' or its corresponding type declarations."),Module_0_has_already_exported_a_member_named_1_Consider_explicitly_re_exporting_to_resolve_the_ambiguity:Wa(2308,1,"Module_0_has_already_exported_a_member_named_1_Consider_explicitly_re_exporting_to_resolve_the_ambig_2308","Module {0} has already exported a member named '{1}'. Consider explicitly re-exporting to resolve the ambiguity."),An_export_assignment_cannot_be_used_in_a_module_with_other_exported_elements:Wa(2309,1,"An_export_assignment_cannot_be_used_in_a_module_with_other_exported_elements_2309","An export assignment cannot be used in a module with other exported elements."),Type_0_recursively_references_itself_as_a_base_type:Wa(2310,1,"Type_0_recursively_references_itself_as_a_base_type_2310","Type '{0}' recursively references itself as a base type."),Cannot_find_name_0_Did_you_mean_to_write_this_in_an_async_function:Wa(2311,1,"Cannot_find_name_0_Did_you_mean_to_write_this_in_an_async_function_2311","Cannot find name '{0}'. Did you mean to write this in an async function?"),An_interface_can_only_extend_an_object_type_or_intersection_of_object_types_with_statically_known_members:Wa(2312,1,"An_interface_can_only_extend_an_object_type_or_intersection_of_object_types_with_statically_known_me_2312","An interface can only extend an object type or intersection of object types with statically known members."),Type_parameter_0_has_a_circular_constraint:Wa(2313,1,"Type_parameter_0_has_a_circular_constraint_2313","Type parameter '{0}' has a circular constraint."),Generic_type_0_requires_1_type_argument_s:Wa(2314,1,"Generic_type_0_requires_1_type_argument_s_2314","Generic type '{0}' requires {1} type argument(s)."),Type_0_is_not_generic:Wa(2315,1,"Type_0_is_not_generic_2315","Type '{0}' is not generic."),Global_type_0_must_be_a_class_or_interface_type:Wa(2316,1,"Global_type_0_must_be_a_class_or_interface_type_2316","Global type '{0}' must be a class or interface type."),Global_type_0_must_have_1_type_parameter_s:Wa(2317,1,"Global_type_0_must_have_1_type_parameter_s_2317","Global type '{0}' must have {1} type parameter(s)."),Cannot_find_global_type_0:Wa(2318,1,"Cannot_find_global_type_0_2318","Cannot find global type '{0}'."),Named_property_0_of_types_1_and_2_are_not_identical:Wa(2319,1,"Named_property_0_of_types_1_and_2_are_not_identical_2319","Named property '{0}' of types '{1}' and '{2}' are not identical."),Interface_0_cannot_simultaneously_extend_types_1_and_2:Wa(2320,1,"Interface_0_cannot_simultaneously_extend_types_1_and_2_2320","Interface '{0}' cannot simultaneously extend types '{1}' and '{2}'."),Excessive_stack_depth_comparing_types_0_and_1:Wa(2321,1,"Excessive_stack_depth_comparing_types_0_and_1_2321","Excessive stack depth comparing types '{0}' and '{1}'."),Type_0_is_not_assignable_to_type_1:Wa(2322,1,"Type_0_is_not_assignable_to_type_1_2322","Type '{0}' is not assignable to type '{1}'."),Cannot_redeclare_exported_variable_0:Wa(2323,1,"Cannot_redeclare_exported_variable_0_2323","Cannot redeclare exported variable '{0}'."),Property_0_is_missing_in_type_1:Wa(2324,1,"Property_0_is_missing_in_type_1_2324","Property '{0}' is missing in type '{1}'."),Property_0_is_private_in_type_1_but_not_in_type_2:Wa(2325,1,"Property_0_is_private_in_type_1_but_not_in_type_2_2325","Property '{0}' is private in type '{1}' but not in type '{2}'."),Types_of_property_0_are_incompatible:Wa(2326,1,"Types_of_property_0_are_incompatible_2326","Types of property '{0}' are incompatible."),Property_0_is_optional_in_type_1_but_required_in_type_2:Wa(2327,1,"Property_0_is_optional_in_type_1_but_required_in_type_2_2327","Property '{0}' is optional in type '{1}' but required in type '{2}'."),Types_of_parameters_0_and_1_are_incompatible:Wa(2328,1,"Types_of_parameters_0_and_1_are_incompatible_2328","Types of parameters '{0}' and '{1}' are incompatible."),Index_signature_for_type_0_is_missing_in_type_1:Wa(2329,1,"Index_signature_for_type_0_is_missing_in_type_1_2329","Index signature for type '{0}' is missing in type '{1}'."),_0_and_1_index_signatures_are_incompatible:Wa(2330,1,"_0_and_1_index_signatures_are_incompatible_2330","'{0}' and '{1}' index signatures are incompatible."),this_cannot_be_referenced_in_a_module_or_namespace_body:Wa(2331,1,"this_cannot_be_referenced_in_a_module_or_namespace_body_2331","'this' cannot be referenced in a module or namespace body."),this_cannot_be_referenced_in_current_location:Wa(2332,1,"this_cannot_be_referenced_in_current_location_2332","'this' cannot be referenced in current location."),this_cannot_be_referenced_in_constructor_arguments:Wa(2333,1,"this_cannot_be_referenced_in_constructor_arguments_2333","'this' cannot be referenced in constructor arguments."),this_cannot_be_referenced_in_a_static_property_initializer:Wa(2334,1,"this_cannot_be_referenced_in_a_static_property_initializer_2334","'this' cannot be referenced in a static property initializer."),super_can_only_be_referenced_in_a_derived_class:Wa(2335,1,"super_can_only_be_referenced_in_a_derived_class_2335","'super' can only be referenced in a derived class."),super_cannot_be_referenced_in_constructor_arguments:Wa(2336,1,"super_cannot_be_referenced_in_constructor_arguments_2336","'super' cannot be referenced in constructor arguments."),Super_calls_are_not_permitted_outside_constructors_or_in_nested_functions_inside_constructors:Wa(2337,1,"Super_calls_are_not_permitted_outside_constructors_or_in_nested_functions_inside_constructors_2337","Super calls are not permitted outside constructors or in nested functions inside constructors."),super_property_access_is_permitted_only_in_a_constructor_member_function_or_member_accessor_of_a_derived_class:Wa(2338,1,"super_property_access_is_permitted_only_in_a_constructor_member_function_or_member_accessor_of_a_der_2338","'super' property access is permitted only in a constructor, member function, or member accessor of a derived class."),Property_0_does_not_exist_on_type_1:Wa(2339,1,"Property_0_does_not_exist_on_type_1_2339","Property '{0}' does not exist on type '{1}'."),Only_public_and_protected_methods_of_the_base_class_are_accessible_via_the_super_keyword:Wa(2340,1,"Only_public_and_protected_methods_of_the_base_class_are_accessible_via_the_super_keyword_2340","Only public and protected methods of the base class are accessible via the 'super' keyword."),Property_0_is_private_and_only_accessible_within_class_1:Wa(2341,1,"Property_0_is_private_and_only_accessible_within_class_1_2341","Property '{0}' is private and only accessible within class '{1}'."),This_syntax_requires_an_imported_helper_named_1_which_does_not_exist_in_0_Consider_upgrading_your_version_of_0:Wa(2343,1,"This_syntax_requires_an_imported_helper_named_1_which_does_not_exist_in_0_Consider_upgrading_your_ve_2343","This syntax requires an imported helper named '{1}' which does not exist in '{0}'. Consider upgrading your version of '{0}'."),Type_0_does_not_satisfy_the_constraint_1:Wa(2344,1,"Type_0_does_not_satisfy_the_constraint_1_2344","Type '{0}' does not satisfy the constraint '{1}'."),Argument_of_type_0_is_not_assignable_to_parameter_of_type_1:Wa(2345,1,"Argument_of_type_0_is_not_assignable_to_parameter_of_type_1_2345","Argument of type '{0}' is not assignable to parameter of type '{1}'."),Untyped_function_calls_may_not_accept_type_arguments:Wa(2347,1,"Untyped_function_calls_may_not_accept_type_arguments_2347","Untyped function calls may not accept type arguments."),Value_of_type_0_is_not_callable_Did_you_mean_to_include_new:Wa(2348,1,"Value_of_type_0_is_not_callable_Did_you_mean_to_include_new_2348","Value of type '{0}' is not callable. Did you mean to include 'new'?"),This_expression_is_not_callable:Wa(2349,1,"This_expression_is_not_callable_2349","This expression is not callable."),Only_a_void_function_can_be_called_with_the_new_keyword:Wa(2350,1,"Only_a_void_function_can_be_called_with_the_new_keyword_2350","Only a void function can be called with the 'new' keyword."),This_expression_is_not_constructable:Wa(2351,1,"This_expression_is_not_constructable_2351","This expression is not constructable."),Conversion_of_type_0_to_type_1_may_be_a_mistake_because_neither_type_sufficiently_overlaps_with_the_other_If_this_was_intentional_convert_the_expression_to_unknown_first:Wa(2352,1,"Conversion_of_type_0_to_type_1_may_be_a_mistake_because_neither_type_sufficiently_overlaps_with_the__2352","Conversion of type '{0}' to type '{1}' may be a mistake because neither type sufficiently overlaps with the other. If this was intentional, convert the expression to 'unknown' first."),Object_literal_may_only_specify_known_properties_and_0_does_not_exist_in_type_1:Wa(2353,1,"Object_literal_may_only_specify_known_properties_and_0_does_not_exist_in_type_1_2353","Object literal may only specify known properties, and '{0}' does not exist in type '{1}'."),This_syntax_requires_an_imported_helper_but_module_0_cannot_be_found:Wa(2354,1,"This_syntax_requires_an_imported_helper_but_module_0_cannot_be_found_2354","This syntax requires an imported helper but module '{0}' cannot be found."),A_function_whose_declared_type_is_neither_undefined_void_nor_any_must_return_a_value:Wa(2355,1,"A_function_whose_declared_type_is_neither_undefined_void_nor_any_must_return_a_value_2355","A function whose declared type is neither 'undefined', 'void', nor 'any' must return a value."),An_arithmetic_operand_must_be_of_type_any_number_bigint_or_an_enum_type:Wa(2356,1,"An_arithmetic_operand_must_be_of_type_any_number_bigint_or_an_enum_type_2356","An arithmetic operand must be of type 'any', 'number', 'bigint' or an enum type."),The_operand_of_an_increment_or_decrement_operator_must_be_a_variable_or_a_property_access:Wa(2357,1,"The_operand_of_an_increment_or_decrement_operator_must_be_a_variable_or_a_property_access_2357","The operand of an increment or decrement operator must be a variable or a property access."),The_left_hand_side_of_an_instanceof_expression_must_be_of_type_any_an_object_type_or_a_type_parameter:Wa(2358,1,"The_left_hand_side_of_an_instanceof_expression_must_be_of_type_any_an_object_type_or_a_type_paramete_2358","The left-hand side of an 'instanceof' expression must be of type 'any', an object type or a type parameter."),The_right_hand_side_of_an_instanceof_expression_must_be_either_of_type_any_a_class_function_or_other_type_assignable_to_the_Function_interface_type_or_an_object_type_with_a_Symbol_hasInstance_method:Wa(2359,1,"The_right_hand_side_of_an_instanceof_expression_must_be_either_of_type_any_a_class_function_or_other_2359","The right-hand side of an 'instanceof' expression must be either of type 'any', a class, function, or other type assignable to the 'Function' interface type, or an object type with a 'Symbol.hasInstance' method."),The_left_hand_side_of_an_arithmetic_operation_must_be_of_type_any_number_bigint_or_an_enum_type:Wa(2362,1,"The_left_hand_side_of_an_arithmetic_operation_must_be_of_type_any_number_bigint_or_an_enum_type_2362","The left-hand side of an arithmetic operation must be of type 'any', 'number', 'bigint' or an enum type."),The_right_hand_side_of_an_arithmetic_operation_must_be_of_type_any_number_bigint_or_an_enum_type:Wa(2363,1,"The_right_hand_side_of_an_arithmetic_operation_must_be_of_type_any_number_bigint_or_an_enum_type_2363","The right-hand side of an arithmetic operation must be of type 'any', 'number', 'bigint' or an enum type."),The_left_hand_side_of_an_assignment_expression_must_be_a_variable_or_a_property_access:Wa(2364,1,"The_left_hand_side_of_an_assignment_expression_must_be_a_variable_or_a_property_access_2364","The left-hand side of an assignment expression must be a variable or a property access."),Operator_0_cannot_be_applied_to_types_1_and_2:Wa(2365,1,"Operator_0_cannot_be_applied_to_types_1_and_2_2365","Operator '{0}' cannot be applied to types '{1}' and '{2}'."),Function_lacks_ending_return_statement_and_return_type_does_not_include_undefined:Wa(2366,1,"Function_lacks_ending_return_statement_and_return_type_does_not_include_undefined_2366","Function lacks ending return statement and return type does not include 'undefined'."),This_comparison_appears_to_be_unintentional_because_the_types_0_and_1_have_no_overlap:Wa(2367,1,"This_comparison_appears_to_be_unintentional_because_the_types_0_and_1_have_no_overlap_2367","This comparison appears to be unintentional because the types '{0}' and '{1}' have no overlap."),Type_parameter_name_cannot_be_0:Wa(2368,1,"Type_parameter_name_cannot_be_0_2368","Type parameter name cannot be '{0}'."),A_parameter_property_is_only_allowed_in_a_constructor_implementation:Wa(2369,1,"A_parameter_property_is_only_allowed_in_a_constructor_implementation_2369","A parameter property is only allowed in a constructor implementation."),A_rest_parameter_must_be_of_an_array_type:Wa(2370,1,"A_rest_parameter_must_be_of_an_array_type_2370","A rest parameter must be of an array type."),A_parameter_initializer_is_only_allowed_in_a_function_or_constructor_implementation:Wa(2371,1,"A_parameter_initializer_is_only_allowed_in_a_function_or_constructor_implementation_2371","A parameter initializer is only allowed in a function or constructor implementation."),Parameter_0_cannot_reference_itself:Wa(2372,1,"Parameter_0_cannot_reference_itself_2372","Parameter '{0}' cannot reference itself."),Parameter_0_cannot_reference_identifier_1_declared_after_it:Wa(2373,1,"Parameter_0_cannot_reference_identifier_1_declared_after_it_2373","Parameter '{0}' cannot reference identifier '{1}' declared after it."),Duplicate_index_signature_for_type_0:Wa(2374,1,"Duplicate_index_signature_for_type_0_2374","Duplicate index signature for type '{0}'."),Type_0_is_not_assignable_to_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_types_of_the_target_s_properties:Wa(2375,1,"Type_0_is_not_assignable_to_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefi_2375","Type '{0}' is not assignable to type '{1}' with 'exactOptionalPropertyTypes: true'. Consider adding 'undefined' to the types of the target's properties."),A_super_call_must_be_the_first_statement_in_the_constructor_to_refer_to_super_or_this_when_a_derived_class_contains_initialized_properties_parameter_properties_or_private_identifiers:Wa(2376,1,"A_super_call_must_be_the_first_statement_in_the_constructor_to_refer_to_super_or_this_when_a_derived_2376","A 'super' call must be the first statement in the constructor to refer to 'super' or 'this' when a derived class contains initialized properties, parameter properties, or private identifiers."),Constructors_for_derived_classes_must_contain_a_super_call:Wa(2377,1,"Constructors_for_derived_classes_must_contain_a_super_call_2377","Constructors for derived classes must contain a 'super' call."),A_get_accessor_must_return_a_value:Wa(2378,1,"A_get_accessor_must_return_a_value_2378","A 'get' accessor must return a value."),Argument_of_type_0_is_not_assignable_to_parameter_of_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_types_of_the_target_s_properties:Wa(2379,1,"Argument_of_type_0_is_not_assignable_to_parameter_of_type_1_with_exactOptionalPropertyTypes_Colon_tr_2379","Argument of type '{0}' is not assignable to parameter of type '{1}' with 'exactOptionalPropertyTypes: true'. Consider adding 'undefined' to the types of the target's properties."),Overload_signatures_must_all_be_exported_or_non_exported:Wa(2383,1,"Overload_signatures_must_all_be_exported_or_non_exported_2383","Overload signatures must all be exported or non-exported."),Overload_signatures_must_all_be_ambient_or_non_ambient:Wa(2384,1,"Overload_signatures_must_all_be_ambient_or_non_ambient_2384","Overload signatures must all be ambient or non-ambient."),Overload_signatures_must_all_be_public_private_or_protected:Wa(2385,1,"Overload_signatures_must_all_be_public_private_or_protected_2385","Overload signatures must all be public, private or protected."),Overload_signatures_must_all_be_optional_or_required:Wa(2386,1,"Overload_signatures_must_all_be_optional_or_required_2386","Overload signatures must all be optional or required."),Function_overload_must_be_static:Wa(2387,1,"Function_overload_must_be_static_2387","Function overload must be static."),Function_overload_must_not_be_static:Wa(2388,1,"Function_overload_must_not_be_static_2388","Function overload must not be static."),Function_implementation_name_must_be_0:Wa(2389,1,"Function_implementation_name_must_be_0_2389","Function implementation name must be '{0}'."),Constructor_implementation_is_missing:Wa(2390,1,"Constructor_implementation_is_missing_2390","Constructor implementation is missing."),Function_implementation_is_missing_or_not_immediately_following_the_declaration:Wa(2391,1,"Function_implementation_is_missing_or_not_immediately_following_the_declaration_2391","Function implementation is missing or not immediately following the declaration."),Multiple_constructor_implementations_are_not_allowed:Wa(2392,1,"Multiple_constructor_implementations_are_not_allowed_2392","Multiple constructor implementations are not allowed."),Duplicate_function_implementation:Wa(2393,1,"Duplicate_function_implementation_2393","Duplicate function implementation."),This_overload_signature_is_not_compatible_with_its_implementation_signature:Wa(2394,1,"This_overload_signature_is_not_compatible_with_its_implementation_signature_2394","This overload signature is not compatible with its implementation signature."),Individual_declarations_in_merged_declaration_0_must_be_all_exported_or_all_local:Wa(2395,1,"Individual_declarations_in_merged_declaration_0_must_be_all_exported_or_all_local_2395","Individual declarations in merged declaration '{0}' must be all exported or all local."),Duplicate_identifier_arguments_Compiler_uses_arguments_to_initialize_rest_parameters:Wa(2396,1,"Duplicate_identifier_arguments_Compiler_uses_arguments_to_initialize_rest_parameters_2396","Duplicate identifier 'arguments'. Compiler uses 'arguments' to initialize rest parameters."),Declaration_name_conflicts_with_built_in_global_identifier_0:Wa(2397,1,"Declaration_name_conflicts_with_built_in_global_identifier_0_2397","Declaration name conflicts with built-in global identifier '{0}'."),constructor_cannot_be_used_as_a_parameter_property_name:Wa(2398,1,"constructor_cannot_be_used_as_a_parameter_property_name_2398","'constructor' cannot be used as a parameter property name."),Duplicate_identifier_this_Compiler_uses_variable_declaration_this_to_capture_this_reference:Wa(2399,1,"Duplicate_identifier_this_Compiler_uses_variable_declaration_this_to_capture_this_reference_2399","Duplicate identifier '_this'. Compiler uses variable declaration '_this' to capture 'this' reference."),Expression_resolves_to_variable_declaration_this_that_compiler_uses_to_capture_this_reference:Wa(2400,1,"Expression_resolves_to_variable_declaration_this_that_compiler_uses_to_capture_this_reference_2400","Expression resolves to variable declaration '_this' that compiler uses to capture 'this' reference."),A_super_call_must_be_a_root_level_statement_within_a_constructor_of_a_derived_class_that_contains_initialized_properties_parameter_properties_or_private_identifiers:Wa(2401,1,"A_super_call_must_be_a_root_level_statement_within_a_constructor_of_a_derived_class_that_contains_in_2401","A 'super' call must be a root-level statement within a constructor of a derived class that contains initialized properties, parameter properties, or private identifiers."),Expression_resolves_to_super_that_compiler_uses_to_capture_base_class_reference:Wa(2402,1,"Expression_resolves_to_super_that_compiler_uses_to_capture_base_class_reference_2402","Expression resolves to '_super' that compiler uses to capture base class reference."),Subsequent_variable_declarations_must_have_the_same_type_Variable_0_must_be_of_type_1_but_here_has_type_2:Wa(2403,1,"Subsequent_variable_declarations_must_have_the_same_type_Variable_0_must_be_of_type_1_but_here_has_t_2403","Subsequent variable declarations must have the same type.  Variable '{0}' must be of type '{1}', but here has type '{2}'."),The_left_hand_side_of_a_for_in_statement_cannot_use_a_type_annotation:Wa(2404,1,"The_left_hand_side_of_a_for_in_statement_cannot_use_a_type_annotation_2404","The left-hand side of a 'for...in' statement cannot use a type annotation."),The_left_hand_side_of_a_for_in_statement_must_be_of_type_string_or_any:Wa(2405,1,"The_left_hand_side_of_a_for_in_statement_must_be_of_type_string_or_any_2405","The left-hand side of a 'for...in' statement must be of type 'string' or 'any'."),The_left_hand_side_of_a_for_in_statement_must_be_a_variable_or_a_property_access:Wa(2406,1,"The_left_hand_side_of_a_for_in_statement_must_be_a_variable_or_a_property_access_2406","The left-hand side of a 'for...in' statement must be a variable or a property access."),The_right_hand_side_of_a_for_in_statement_must_be_of_type_any_an_object_type_or_a_type_parameter_but_here_has_type_0:Wa(2407,1,"The_right_hand_side_of_a_for_in_statement_must_be_of_type_any_an_object_type_or_a_type_parameter_but_2407","The right-hand side of a 'for...in' statement must be of type 'any', an object type or a type parameter, but here has type '{0}'."),Setters_cannot_return_a_value:Wa(2408,1,"Setters_cannot_return_a_value_2408","Setters cannot return a value."),Return_type_of_constructor_signature_must_be_assignable_to_the_instance_type_of_the_class:Wa(2409,1,"Return_type_of_constructor_signature_must_be_assignable_to_the_instance_type_of_the_class_2409","Return type of constructor signature must be assignable to the instance type of the class."),The_with_statement_is_not_supported_All_symbols_in_a_with_block_will_have_type_any:Wa(2410,1,"The_with_statement_is_not_supported_All_symbols_in_a_with_block_will_have_type_any_2410","The 'with' statement is not supported. All symbols in a 'with' block will have type 'any'."),Type_0_is_not_assignable_to_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_type_of_the_target:Wa(2412,1,"Type_0_is_not_assignable_to_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefi_2412","Type '{0}' is not assignable to type '{1}' with 'exactOptionalPropertyTypes: true'. Consider adding 'undefined' to the type of the target."),Property_0_of_type_1_is_not_assignable_to_2_index_type_3:Wa(2411,1,"Property_0_of_type_1_is_not_assignable_to_2_index_type_3_2411","Property '{0}' of type '{1}' is not assignable to '{2}' index type '{3}'."),_0_index_type_1_is_not_assignable_to_2_index_type_3:Wa(2413,1,"_0_index_type_1_is_not_assignable_to_2_index_type_3_2413","'{0}' index type '{1}' is not assignable to '{2}' index type '{3}'."),Class_name_cannot_be_0:Wa(2414,1,"Class_name_cannot_be_0_2414","Class name cannot be '{0}'."),Class_0_incorrectly_extends_base_class_1:Wa(2415,1,"Class_0_incorrectly_extends_base_class_1_2415","Class '{0}' incorrectly extends base class '{1}'."),Property_0_in_type_1_is_not_assignable_to_the_same_property_in_base_type_2:Wa(2416,1,"Property_0_in_type_1_is_not_assignable_to_the_same_property_in_base_type_2_2416","Property '{0}' in type '{1}' is not assignable to the same property in base type '{2}'."),Class_static_side_0_incorrectly_extends_base_class_static_side_1:Wa(2417,1,"Class_static_side_0_incorrectly_extends_base_class_static_side_1_2417","Class static side '{0}' incorrectly extends base class static side '{1}'."),Type_of_computed_property_s_value_is_0_which_is_not_assignable_to_type_1:Wa(2418,1,"Type_of_computed_property_s_value_is_0_which_is_not_assignable_to_type_1_2418","Type of computed property's value is '{0}', which is not assignable to type '{1}'."),Types_of_construct_signatures_are_incompatible:Wa(2419,1,"Types_of_construct_signatures_are_incompatible_2419","Types of construct signatures are incompatible."),Class_0_incorrectly_implements_interface_1:Wa(2420,1,"Class_0_incorrectly_implements_interface_1_2420","Class '{0}' incorrectly implements interface '{1}'."),A_class_can_only_implement_an_object_type_or_intersection_of_object_types_with_statically_known_members:Wa(2422,1,"A_class_can_only_implement_an_object_type_or_intersection_of_object_types_with_statically_known_memb_2422","A class can only implement an object type or intersection of object types with statically known members."),Class_0_defines_instance_member_function_1_but_extended_class_2_defines_it_as_instance_member_accessor:Wa(2423,1,"Class_0_defines_instance_member_function_1_but_extended_class_2_defines_it_as_instance_member_access_2423","Class '{0}' defines instance member function '{1}', but extended class '{2}' defines it as instance member accessor."),Class_0_defines_instance_member_property_1_but_extended_class_2_defines_it_as_instance_member_function:Wa(2425,1,"Class_0_defines_instance_member_property_1_but_extended_class_2_defines_it_as_instance_member_functi_2425","Class '{0}' defines instance member property '{1}', but extended class '{2}' defines it as instance member function."),Class_0_defines_instance_member_accessor_1_but_extended_class_2_defines_it_as_instance_member_function:Wa(2426,1,"Class_0_defines_instance_member_accessor_1_but_extended_class_2_defines_it_as_instance_member_functi_2426","Class '{0}' defines instance member accessor '{1}', but extended class '{2}' defines it as instance member function."),Interface_name_cannot_be_0:Wa(2427,1,"Interface_name_cannot_be_0_2427","Interface name cannot be '{0}'."),All_declarations_of_0_must_have_identical_type_parameters:Wa(2428,1,"All_declarations_of_0_must_have_identical_type_parameters_2428","All declarations of '{0}' must have identical type parameters."),Interface_0_incorrectly_extends_interface_1:Wa(2430,1,"Interface_0_incorrectly_extends_interface_1_2430","Interface '{0}' incorrectly extends interface '{1}'."),Enum_name_cannot_be_0:Wa(2431,1,"Enum_name_cannot_be_0_2431","Enum name cannot be '{0}'."),In_an_enum_with_multiple_declarations_only_one_declaration_can_omit_an_initializer_for_its_first_enum_element:Wa(2432,1,"In_an_enum_with_multiple_declarations_only_one_declaration_can_omit_an_initializer_for_its_first_enu_2432","In an enum with multiple declarations, only one declaration can omit an initializer for its first enum element."),A_namespace_declaration_cannot_be_in_a_different_file_from_a_class_or_function_with_which_it_is_merged:Wa(2433,1,"A_namespace_declaration_cannot_be_in_a_different_file_from_a_class_or_function_with_which_it_is_merg_2433","A namespace declaration cannot be in a different file from a class or function with which it is merged."),A_namespace_declaration_cannot_be_located_prior_to_a_class_or_function_with_which_it_is_merged:Wa(2434,1,"A_namespace_declaration_cannot_be_located_prior_to_a_class_or_function_with_which_it_is_merged_2434","A namespace declaration cannot be located prior to a class or function with which it is merged."),Ambient_modules_cannot_be_nested_in_other_modules_or_namespaces:Wa(2435,1,"Ambient_modules_cannot_be_nested_in_other_modules_or_namespaces_2435","Ambient modules cannot be nested in other modules or namespaces."),Ambient_module_declaration_cannot_specify_relative_module_name:Wa(2436,1,"Ambient_module_declaration_cannot_specify_relative_module_name_2436","Ambient module declaration cannot specify relative module name."),Module_0_is_hidden_by_a_local_declaration_with_the_same_name:Wa(2437,1,"Module_0_is_hidden_by_a_local_declaration_with_the_same_name_2437","Module '{0}' is hidden by a local declaration with the same name."),Import_name_cannot_be_0:Wa(2438,1,"Import_name_cannot_be_0_2438","Import name cannot be '{0}'."),Import_or_export_declaration_in_an_ambient_module_declaration_cannot_reference_module_through_relative_module_name:Wa(2439,1,"Import_or_export_declaration_in_an_ambient_module_declaration_cannot_reference_module_through_relati_2439","Import or export declaration in an ambient module declaration cannot reference module through relative module name."),Import_declaration_conflicts_with_local_declaration_of_0:Wa(2440,1,"Import_declaration_conflicts_with_local_declaration_of_0_2440","Import declaration conflicts with local declaration of '{0}'."),Duplicate_identifier_0_Compiler_reserves_name_1_in_top_level_scope_of_a_module:Wa(2441,1,"Duplicate_identifier_0_Compiler_reserves_name_1_in_top_level_scope_of_a_module_2441","Duplicate identifier '{0}'. Compiler reserves name '{1}' in top level scope of a module."),Types_have_separate_declarations_of_a_private_property_0:Wa(2442,1,"Types_have_separate_declarations_of_a_private_property_0_2442","Types have separate declarations of a private property '{0}'."),Property_0_is_protected_but_type_1_is_not_a_class_derived_from_2:Wa(2443,1,"Property_0_is_protected_but_type_1_is_not_a_class_derived_from_2_2443","Property '{0}' is protected but type '{1}' is not a class derived from '{2}'."),Property_0_is_protected_in_type_1_but_public_in_type_2:Wa(2444,1,"Property_0_is_protected_in_type_1_but_public_in_type_2_2444","Property '{0}' is protected in type '{1}' but public in type '{2}'."),Property_0_is_protected_and_only_accessible_within_class_1_and_its_subclasses:Wa(2445,1,"Property_0_is_protected_and_only_accessible_within_class_1_and_its_subclasses_2445","Property '{0}' is protected and only accessible within class '{1}' and its subclasses."),Property_0_is_protected_and_only_accessible_through_an_instance_of_class_1_This_is_an_instance_of_class_2:Wa(2446,1,"Property_0_is_protected_and_only_accessible_through_an_instance_of_class_1_This_is_an_instance_of_cl_2446","Property '{0}' is protected and only accessible through an instance of class '{1}'. This is an instance of class '{2}'."),The_0_operator_is_not_allowed_for_boolean_types_Consider_using_1_instead:Wa(2447,1,"The_0_operator_is_not_allowed_for_boolean_types_Consider_using_1_instead_2447","The '{0}' operator is not allowed for boolean types. Consider using '{1}' instead."),Block_scoped_variable_0_used_before_its_declaration:Wa(2448,1,"Block_scoped_variable_0_used_before_its_declaration_2448","Block-scoped variable '{0}' used before its declaration."),Class_0_used_before_its_declaration:Wa(2449,1,"Class_0_used_before_its_declaration_2449","Class '{0}' used before its declaration."),Enum_0_used_before_its_declaration:Wa(2450,1,"Enum_0_used_before_its_declaration_2450","Enum '{0}' used before its declaration."),Cannot_redeclare_block_scoped_variable_0:Wa(2451,1,"Cannot_redeclare_block_scoped_variable_0_2451","Cannot redeclare block-scoped variable '{0}'."),An_enum_member_cannot_have_a_numeric_name:Wa(2452,1,"An_enum_member_cannot_have_a_numeric_name_2452","An enum member cannot have a numeric name."),Variable_0_is_used_before_being_assigned:Wa(2454,1,"Variable_0_is_used_before_being_assigned_2454","Variable '{0}' is used before being assigned."),Type_alias_0_circularly_references_itself:Wa(2456,1,"Type_alias_0_circularly_references_itself_2456","Type alias '{0}' circularly references itself."),Type_alias_name_cannot_be_0:Wa(2457,1,"Type_alias_name_cannot_be_0_2457","Type alias name cannot be '{0}'."),An_AMD_module_cannot_have_multiple_name_assignments:Wa(2458,1,"An_AMD_module_cannot_have_multiple_name_assignments_2458","An AMD module cannot have multiple name assignments."),Module_0_declares_1_locally_but_it_is_not_exported:Wa(2459,1,"Module_0_declares_1_locally_but_it_is_not_exported_2459","Module '{0}' declares '{1}' locally, but it is not exported."),Module_0_declares_1_locally_but_it_is_exported_as_2:Wa(2460,1,"Module_0_declares_1_locally_but_it_is_exported_as_2_2460","Module '{0}' declares '{1}' locally, but it is exported as '{2}'."),Type_0_is_not_an_array_type:Wa(2461,1,"Type_0_is_not_an_array_type_2461","Type '{0}' is not an array type."),A_rest_element_must_be_last_in_a_destructuring_pattern:Wa(2462,1,"A_rest_element_must_be_last_in_a_destructuring_pattern_2462","A rest element must be last in a destructuring pattern."),A_binding_pattern_parameter_cannot_be_optional_in_an_implementation_signature:Wa(2463,1,"A_binding_pattern_parameter_cannot_be_optional_in_an_implementation_signature_2463","A binding pattern parameter cannot be optional in an implementation signature."),A_computed_property_name_must_be_of_type_string_number_symbol_or_any:Wa(2464,1,"A_computed_property_name_must_be_of_type_string_number_symbol_or_any_2464","A computed property name must be of type 'string', 'number', 'symbol', or 'any'."),this_cannot_be_referenced_in_a_computed_property_name:Wa(2465,1,"this_cannot_be_referenced_in_a_computed_property_name_2465","'this' cannot be referenced in a computed property name."),super_cannot_be_referenced_in_a_computed_property_name:Wa(2466,1,"super_cannot_be_referenced_in_a_computed_property_name_2466","'super' cannot be referenced in a computed property name."),A_computed_property_name_cannot_reference_a_type_parameter_from_its_containing_type:Wa(2467,1,"A_computed_property_name_cannot_reference_a_type_parameter_from_its_containing_type_2467","A computed property name cannot reference a type parameter from its containing type."),Cannot_find_global_value_0:Wa(2468,1,"Cannot_find_global_value_0_2468","Cannot find global value '{0}'."),The_0_operator_cannot_be_applied_to_type_symbol:Wa(2469,1,"The_0_operator_cannot_be_applied_to_type_symbol_2469","The '{0}' operator cannot be applied to type 'symbol'."),Spread_operator_in_new_expressions_is_only_available_when_targeting_ECMAScript_5_and_higher:Wa(2472,1,"Spread_operator_in_new_expressions_is_only_available_when_targeting_ECMAScript_5_and_higher_2472","Spread operator in 'new' expressions is only available when targeting ECMAScript 5 and higher."),Enum_declarations_must_all_be_const_or_non_const:Wa(2473,1,"Enum_declarations_must_all_be_const_or_non_const_2473","Enum declarations must all be const or non-const."),const_enum_member_initializers_must_be_constant_expressions:Wa(2474,1,"const_enum_member_initializers_must_be_constant_expressions_2474","const enum member initializers must be constant expressions."),const_enums_can_only_be_used_in_property_or_index_access_expressions_or_the_right_hand_side_of_an_import_declaration_or_export_assignment_or_type_query:Wa(2475,1,"const_enums_can_only_be_used_in_property_or_index_access_expressions_or_the_right_hand_side_of_an_im_2475","'const' enums can only be used in property or index access expressions or the right hand side of an import declaration or export assignment or type query."),A_const_enum_member_can_only_be_accessed_using_a_string_literal:Wa(2476,1,"A_const_enum_member_can_only_be_accessed_using_a_string_literal_2476","A const enum member can only be accessed using a string literal."),const_enum_member_initializer_was_evaluated_to_a_non_finite_value:Wa(2477,1,"const_enum_member_initializer_was_evaluated_to_a_non_finite_value_2477","'const' enum member initializer was evaluated to a non-finite value."),const_enum_member_initializer_was_evaluated_to_disallowed_value_NaN:Wa(2478,1,"const_enum_member_initializer_was_evaluated_to_disallowed_value_NaN_2478","'const' enum member initializer was evaluated to disallowed value 'NaN'."),let_is_not_allowed_to_be_used_as_a_name_in_let_or_const_declarations:Wa(2480,1,"let_is_not_allowed_to_be_used_as_a_name_in_let_or_const_declarations_2480","'let' is not allowed to be used as a name in 'let' or 'const' declarations."),Cannot_initialize_outer_scoped_variable_0_in_the_same_scope_as_block_scoped_declaration_1:Wa(2481,1,"Cannot_initialize_outer_scoped_variable_0_in_the_same_scope_as_block_scoped_declaration_1_2481","Cannot initialize outer scoped variable '{0}' in the same scope as block scoped declaration '{1}'."),The_left_hand_side_of_a_for_of_statement_cannot_use_a_type_annotation:Wa(2483,1,"The_left_hand_side_of_a_for_of_statement_cannot_use_a_type_annotation_2483","The left-hand side of a 'for...of' statement cannot use a type annotation."),Export_declaration_conflicts_with_exported_declaration_of_0:Wa(2484,1,"Export_declaration_conflicts_with_exported_declaration_of_0_2484","Export declaration conflicts with exported declaration of '{0}'."),The_left_hand_side_of_a_for_of_statement_must_be_a_variable_or_a_property_access:Wa(2487,1,"The_left_hand_side_of_a_for_of_statement_must_be_a_variable_or_a_property_access_2487","The left-hand side of a 'for...of' statement must be a variable or a property access."),Type_0_must_have_a_Symbol_iterator_method_that_returns_an_iterator:Wa(2488,1,"Type_0_must_have_a_Symbol_iterator_method_that_returns_an_iterator_2488","Type '{0}' must have a '[Symbol.iterator]()' method that returns an iterator."),An_iterator_must_have_a_next_method:Wa(2489,1,"An_iterator_must_have_a_next_method_2489","An iterator must have a 'next()' method."),The_type_returned_by_the_0_method_of_an_iterator_must_have_a_value_property:Wa(2490,1,"The_type_returned_by_the_0_method_of_an_iterator_must_have_a_value_property_2490","The type returned by the '{0}()' method of an iterator must have a 'value' property."),The_left_hand_side_of_a_for_in_statement_cannot_be_a_destructuring_pattern:Wa(2491,1,"The_left_hand_side_of_a_for_in_statement_cannot_be_a_destructuring_pattern_2491","The left-hand side of a 'for...in' statement cannot be a destructuring pattern."),Cannot_redeclare_identifier_0_in_catch_clause:Wa(2492,1,"Cannot_redeclare_identifier_0_in_catch_clause_2492","Cannot redeclare identifier '{0}' in catch clause."),Tuple_type_0_of_length_1_has_no_element_at_index_2:Wa(2493,1,"Tuple_type_0_of_length_1_has_no_element_at_index_2_2493","Tuple type '{0}' of length '{1}' has no element at index '{2}'."),Using_a_string_in_a_for_of_statement_is_only_supported_in_ECMAScript_5_and_higher:Wa(2494,1,"Using_a_string_in_a_for_of_statement_is_only_supported_in_ECMAScript_5_and_higher_2494","Using a string in a 'for...of' statement is only supported in ECMAScript 5 and higher."),Type_0_is_not_an_array_type_or_a_string_type:Wa(2495,1,"Type_0_is_not_an_array_type_or_a_string_type_2495","Type '{0}' is not an array type or a string type."),The_arguments_object_cannot_be_referenced_in_an_arrow_function_in_ES3_and_ES5_Consider_using_a_standard_function_expression:Wa(2496,1,"The_arguments_object_cannot_be_referenced_in_an_arrow_function_in_ES3_and_ES5_Consider_using_a_stand_2496","The 'arguments' object cannot be referenced in an arrow function in ES3 and ES5. Consider using a standard function expression."),This_module_can_only_be_referenced_with_ECMAScript_imports_Slashexports_by_turning_on_the_0_flag_and_referencing_its_default_export:Wa(2497,1,"This_module_can_only_be_referenced_with_ECMAScript_imports_Slashexports_by_turning_on_the_0_flag_and_2497","This module can only be referenced with ECMAScript imports/exports by turning on the '{0}' flag and referencing its default export."),Module_0_uses_export_and_cannot_be_used_with_export_Asterisk:Wa(2498,1,"Module_0_uses_export_and_cannot_be_used_with_export_Asterisk_2498","Module '{0}' uses 'export =' and cannot be used with 'export *'."),An_interface_can_only_extend_an_identifier_Slashqualified_name_with_optional_type_arguments:Wa(2499,1,"An_interface_can_only_extend_an_identifier_Slashqualified_name_with_optional_type_arguments_2499","An interface can only extend an identifier/qualified-name with optional type arguments."),A_class_can_only_implement_an_identifier_Slashqualified_name_with_optional_type_arguments:Wa(2500,1,"A_class_can_only_implement_an_identifier_Slashqualified_name_with_optional_type_arguments_2500","A class can only implement an identifier/qualified-name with optional type arguments."),A_rest_element_cannot_contain_a_binding_pattern:Wa(2501,1,"A_rest_element_cannot_contain_a_binding_pattern_2501","A rest element cannot contain a binding pattern."),_0_is_referenced_directly_or_indirectly_in_its_own_type_annotation:Wa(2502,1,"_0_is_referenced_directly_or_indirectly_in_its_own_type_annotation_2502","'{0}' is referenced directly or indirectly in its own type annotation."),Cannot_find_namespace_0:Wa(2503,1,"Cannot_find_namespace_0_2503","Cannot find namespace '{0}'."),Type_0_must_have_a_Symbol_asyncIterator_method_that_returns_an_async_iterator:Wa(2504,1,"Type_0_must_have_a_Symbol_asyncIterator_method_that_returns_an_async_iterator_2504","Type '{0}' must have a '[Symbol.asyncIterator]()' method that returns an async iterator."),A_generator_cannot_have_a_void_type_annotation:Wa(2505,1,"A_generator_cannot_have_a_void_type_annotation_2505","A generator cannot have a 'void' type annotation."),_0_is_referenced_directly_or_indirectly_in_its_own_base_expression:Wa(2506,1,"_0_is_referenced_directly_or_indirectly_in_its_own_base_expression_2506","'{0}' is referenced directly or indirectly in its own base expression."),Type_0_is_not_a_constructor_function_type:Wa(2507,1,"Type_0_is_not_a_constructor_function_type_2507","Type '{0}' is not a constructor function type."),No_base_constructor_has_the_specified_number_of_type_arguments:Wa(2508,1,"No_base_constructor_has_the_specified_number_of_type_arguments_2508","No base constructor has the specified number of type arguments."),Base_constructor_return_type_0_is_not_an_object_type_or_intersection_of_object_types_with_statically_known_members:Wa(2509,1,"Base_constructor_return_type_0_is_not_an_object_type_or_intersection_of_object_types_with_statically_2509","Base constructor return type '{0}' is not an object type or intersection of object types with statically known members."),Base_constructors_must_all_have_the_same_return_type:Wa(2510,1,"Base_constructors_must_all_have_the_same_return_type_2510","Base constructors must all have the same return type."),Cannot_create_an_instance_of_an_abstract_class:Wa(2511,1,"Cannot_create_an_instance_of_an_abstract_class_2511","Cannot create an instance of an abstract class."),Overload_signatures_must_all_be_abstract_or_non_abstract:Wa(2512,1,"Overload_signatures_must_all_be_abstract_or_non_abstract_2512","Overload signatures must all be abstract or non-abstract."),Abstract_method_0_in_class_1_cannot_be_accessed_via_super_expression:Wa(2513,1,"Abstract_method_0_in_class_1_cannot_be_accessed_via_super_expression_2513","Abstract method '{0}' in class '{1}' cannot be accessed via super expression."),A_tuple_type_cannot_be_indexed_with_a_negative_value:Wa(2514,1,"A_tuple_type_cannot_be_indexed_with_a_negative_value_2514","A tuple type cannot be indexed with a negative value."),Non_abstract_class_0_does_not_implement_inherited_abstract_member_1_from_class_2:Wa(2515,1,"Non_abstract_class_0_does_not_implement_inherited_abstract_member_1_from_class_2_2515","Non-abstract class '{0}' does not implement inherited abstract member '{1}' from class '{2}'."),All_declarations_of_an_abstract_method_must_be_consecutive:Wa(2516,1,"All_declarations_of_an_abstract_method_must_be_consecutive_2516","All declarations of an abstract method must be consecutive."),Cannot_assign_an_abstract_constructor_type_to_a_non_abstract_constructor_type:Wa(2517,1,"Cannot_assign_an_abstract_constructor_type_to_a_non_abstract_constructor_type_2517","Cannot assign an abstract constructor type to a non-abstract constructor type."),A_this_based_type_guard_is_not_compatible_with_a_parameter_based_type_guard:Wa(2518,1,"A_this_based_type_guard_is_not_compatible_with_a_parameter_based_type_guard_2518","A 'this'-based type guard is not compatible with a parameter-based type guard."),An_async_iterator_must_have_a_next_method:Wa(2519,1,"An_async_iterator_must_have_a_next_method_2519","An async iterator must have a 'next()' method."),Duplicate_identifier_0_Compiler_uses_declaration_1_to_support_async_functions:Wa(2520,1,"Duplicate_identifier_0_Compiler_uses_declaration_1_to_support_async_functions_2520","Duplicate identifier '{0}'. Compiler uses declaration '{1}' to support async functions."),The_arguments_object_cannot_be_referenced_in_an_async_function_or_method_in_ES3_and_ES5_Consider_using_a_standard_function_or_method:Wa(2522,1,"The_arguments_object_cannot_be_referenced_in_an_async_function_or_method_in_ES3_and_ES5_Consider_usi_2522","The 'arguments' object cannot be referenced in an async function or method in ES3 and ES5. Consider using a standard function or method."),yield_expressions_cannot_be_used_in_a_parameter_initializer:Wa(2523,1,"yield_expressions_cannot_be_used_in_a_parameter_initializer_2523","'yield' expressions cannot be used in a parameter initializer."),await_expressions_cannot_be_used_in_a_parameter_initializer:Wa(2524,1,"await_expressions_cannot_be_used_in_a_parameter_initializer_2524","'await' expressions cannot be used in a parameter initializer."),Initializer_provides_no_value_for_this_binding_element_and_the_binding_element_has_no_default_value:Wa(2525,1,"Initializer_provides_no_value_for_this_binding_element_and_the_binding_element_has_no_default_value_2525","Initializer provides no value for this binding element and the binding element has no default value."),A_this_type_is_available_only_in_a_non_static_member_of_a_class_or_interface:Wa(2526,1,"A_this_type_is_available_only_in_a_non_static_member_of_a_class_or_interface_2526","A 'this' type is available only in a non-static member of a class or interface."),The_inferred_type_of_0_references_an_inaccessible_1_type_A_type_annotation_is_necessary:Wa(2527,1,"The_inferred_type_of_0_references_an_inaccessible_1_type_A_type_annotation_is_necessary_2527","The inferred type of '{0}' references an inaccessible '{1}' type. A type annotation is necessary."),A_module_cannot_have_multiple_default_exports:Wa(2528,1,"A_module_cannot_have_multiple_default_exports_2528","A module cannot have multiple default exports."),Duplicate_identifier_0_Compiler_reserves_name_1_in_top_level_scope_of_a_module_containing_async_functions:Wa(2529,1,"Duplicate_identifier_0_Compiler_reserves_name_1_in_top_level_scope_of_a_module_containing_async_func_2529","Duplicate identifier '{0}'. Compiler reserves name '{1}' in top level scope of a module containing async functions."),Property_0_is_incompatible_with_index_signature:Wa(2530,1,"Property_0_is_incompatible_with_index_signature_2530","Property '{0}' is incompatible with index signature."),Object_is_possibly_null:Wa(2531,1,"Object_is_possibly_null_2531","Object is possibly 'null'."),Object_is_possibly_undefined:Wa(2532,1,"Object_is_possibly_undefined_2532","Object is possibly 'undefined'."),Object_is_possibly_null_or_undefined:Wa(2533,1,"Object_is_possibly_null_or_undefined_2533","Object is possibly 'null' or 'undefined'."),A_function_returning_never_cannot_have_a_reachable_end_point:Wa(2534,1,"A_function_returning_never_cannot_have_a_reachable_end_point_2534","A function returning 'never' cannot have a reachable end point."),Type_0_cannot_be_used_to_index_type_1:Wa(2536,1,"Type_0_cannot_be_used_to_index_type_1_2536","Type '{0}' cannot be used to index type '{1}'."),Type_0_has_no_matching_index_signature_for_type_1:Wa(2537,1,"Type_0_has_no_matching_index_signature_for_type_1_2537","Type '{0}' has no matching index signature for type '{1}'."),Type_0_cannot_be_used_as_an_index_type:Wa(2538,1,"Type_0_cannot_be_used_as_an_index_type_2538","Type '{0}' cannot be used as an index type."),Cannot_assign_to_0_because_it_is_not_a_variable:Wa(2539,1,"Cannot_assign_to_0_because_it_is_not_a_variable_2539","Cannot assign to '{0}' because it is not a variable."),Cannot_assign_to_0_because_it_is_a_read_only_property:Wa(2540,1,"Cannot_assign_to_0_because_it_is_a_read_only_property_2540","Cannot assign to '{0}' because it is a read-only property."),Index_signature_in_type_0_only_permits_reading:Wa(2542,1,"Index_signature_in_type_0_only_permits_reading_2542","Index signature in type '{0}' only permits reading."),Duplicate_identifier_newTarget_Compiler_uses_variable_declaration_newTarget_to_capture_new_target_meta_property_reference:Wa(2543,1,"Duplicate_identifier_newTarget_Compiler_uses_variable_declaration_newTarget_to_capture_new_target_me_2543","Duplicate identifier '_newTarget'. Compiler uses variable declaration '_newTarget' to capture 'new.target' meta-property reference."),Expression_resolves_to_variable_declaration_newTarget_that_compiler_uses_to_capture_new_target_meta_property_reference:Wa(2544,1,"Expression_resolves_to_variable_declaration_newTarget_that_compiler_uses_to_capture_new_target_meta__2544","Expression resolves to variable declaration '_newTarget' that compiler uses to capture 'new.target' meta-property reference."),A_mixin_class_must_have_a_constructor_with_a_single_rest_parameter_of_type_any:Wa(2545,1,"A_mixin_class_must_have_a_constructor_with_a_single_rest_parameter_of_type_any_2545","A mixin class must have a constructor with a single rest parameter of type 'any[]'."),The_type_returned_by_the_0_method_of_an_async_iterator_must_be_a_promise_for_a_type_with_a_value_property:Wa(2547,1,"The_type_returned_by_the_0_method_of_an_async_iterator_must_be_a_promise_for_a_type_with_a_value_pro_2547","The type returned by the '{0}()' method of an async iterator must be a promise for a type with a 'value' property."),Type_0_is_not_an_array_type_or_does_not_have_a_Symbol_iterator_method_that_returns_an_iterator:Wa(2548,1,"Type_0_is_not_an_array_type_or_does_not_have_a_Symbol_iterator_method_that_returns_an_iterator_2548","Type '{0}' is not an array type or does not have a '[Symbol.iterator]()' method that returns an iterator."),Type_0_is_not_an_array_type_or_a_string_type_or_does_not_have_a_Symbol_iterator_method_that_returns_an_iterator:Wa(2549,1,"Type_0_is_not_an_array_type_or_a_string_type_or_does_not_have_a_Symbol_iterator_method_that_returns__2549","Type '{0}' is not an array type or a string type or does not have a '[Symbol.iterator]()' method that returns an iterator."),Property_0_does_not_exist_on_type_1_Do_you_need_to_change_your_target_library_Try_changing_the_lib_compiler_option_to_2_or_later:Wa(2550,1,"Property_0_does_not_exist_on_type_1_Do_you_need_to_change_your_target_library_Try_changing_the_lib_c_2550","Property '{0}' does not exist on type '{1}'. Do you need to change your target library? Try changing the 'lib' compiler option to '{2}' or later."),Property_0_does_not_exist_on_type_1_Did_you_mean_2:Wa(2551,1,"Property_0_does_not_exist_on_type_1_Did_you_mean_2_2551","Property '{0}' does not exist on type '{1}'. Did you mean '{2}'?"),Cannot_find_name_0_Did_you_mean_1:Wa(2552,1,"Cannot_find_name_0_Did_you_mean_1_2552","Cannot find name '{0}'. Did you mean '{1}'?"),Computed_values_are_not_permitted_in_an_enum_with_string_valued_members:Wa(2553,1,"Computed_values_are_not_permitted_in_an_enum_with_string_valued_members_2553","Computed values are not permitted in an enum with string valued members."),Expected_0_arguments_but_got_1:Wa(2554,1,"Expected_0_arguments_but_got_1_2554","Expected {0} arguments, but got {1}."),Expected_at_least_0_arguments_but_got_1:Wa(2555,1,"Expected_at_least_0_arguments_but_got_1_2555","Expected at least {0} arguments, but got {1}."),A_spread_argument_must_either_have_a_tuple_type_or_be_passed_to_a_rest_parameter:Wa(2556,1,"A_spread_argument_must_either_have_a_tuple_type_or_be_passed_to_a_rest_parameter_2556","A spread argument must either have a tuple type or be passed to a rest parameter."),Expected_0_type_arguments_but_got_1:Wa(2558,1,"Expected_0_type_arguments_but_got_1_2558","Expected {0} type arguments, but got {1}."),Type_0_has_no_properties_in_common_with_type_1:Wa(2559,1,"Type_0_has_no_properties_in_common_with_type_1_2559","Type '{0}' has no properties in common with type '{1}'."),Value_of_type_0_has_no_properties_in_common_with_type_1_Did_you_mean_to_call_it:Wa(2560,1,"Value_of_type_0_has_no_properties_in_common_with_type_1_Did_you_mean_to_call_it_2560","Value of type '{0}' has no properties in common with type '{1}'. Did you mean to call it?"),Object_literal_may_only_specify_known_properties_but_0_does_not_exist_in_type_1_Did_you_mean_to_write_2:Wa(2561,1,"Object_literal_may_only_specify_known_properties_but_0_does_not_exist_in_type_1_Did_you_mean_to_writ_2561","Object literal may only specify known properties, but '{0}' does not exist in type '{1}'. Did you mean to write '{2}'?"),Base_class_expressions_cannot_reference_class_type_parameters:Wa(2562,1,"Base_class_expressions_cannot_reference_class_type_parameters_2562","Base class expressions cannot reference class type parameters."),The_containing_function_or_module_body_is_too_large_for_control_flow_analysis:Wa(2563,1,"The_containing_function_or_module_body_is_too_large_for_control_flow_analysis_2563","The containing function or module body is too large for control flow analysis."),Property_0_has_no_initializer_and_is_not_definitely_assigned_in_the_constructor:Wa(2564,1,"Property_0_has_no_initializer_and_is_not_definitely_assigned_in_the_constructor_2564","Property '{0}' has no initializer and is not definitely assigned in the constructor."),Property_0_is_used_before_being_assigned:Wa(2565,1,"Property_0_is_used_before_being_assigned_2565","Property '{0}' is used before being assigned."),A_rest_element_cannot_have_a_property_name:Wa(2566,1,"A_rest_element_cannot_have_a_property_name_2566","A rest element cannot have a property name."),Enum_declarations_can_only_merge_with_namespace_or_other_enum_declarations:Wa(2567,1,"Enum_declarations_can_only_merge_with_namespace_or_other_enum_declarations_2567","Enum declarations can only merge with namespace or other enum declarations."),Property_0_may_not_exist_on_type_1_Did_you_mean_2:Wa(2568,1,"Property_0_may_not_exist_on_type_1_Did_you_mean_2_2568","Property '{0}' may not exist on type '{1}'. Did you mean '{2}'?"),Could_not_find_name_0_Did_you_mean_1:Wa(2570,1,"Could_not_find_name_0_Did_you_mean_1_2570","Could not find name '{0}'. Did you mean '{1}'?"),Object_is_of_type_unknown:Wa(2571,1,"Object_is_of_type_unknown_2571","Object is of type 'unknown'."),A_rest_element_type_must_be_an_array_type:Wa(2574,1,"A_rest_element_type_must_be_an_array_type_2574","A rest element type must be an array type."),No_overload_expects_0_arguments_but_overloads_do_exist_that_expect_either_1_or_2_arguments:Wa(2575,1,"No_overload_expects_0_arguments_but_overloads_do_exist_that_expect_either_1_or_2_arguments_2575","No overload expects {0} arguments, but overloads do exist that expect either {1} or {2} arguments."),Property_0_does_not_exist_on_type_1_Did_you_mean_to_access_the_static_member_2_instead:Wa(2576,1,"Property_0_does_not_exist_on_type_1_Did_you_mean_to_access_the_static_member_2_instead_2576","Property '{0}' does not exist on type '{1}'. Did you mean to access the static member '{2}' instead?"),Return_type_annotation_circularly_references_itself:Wa(2577,1,"Return_type_annotation_circularly_references_itself_2577","Return type annotation circularly references itself."),Unused_ts_expect_error_directive:Wa(2578,1,"Unused_ts_expect_error_directive_2578","Unused '@ts-expect-error' directive."),Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_node_Try_npm_i_save_dev_types_Slashnode:Wa(2580,1,"Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_node_Try_npm_i_save_dev_types_Slashno_2580","Cannot find name '{0}'. Do you need to install type definitions for node? Try `npm i --save-dev @types/node`."),Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_jQuery_Try_npm_i_save_dev_types_Slashjquery:Wa(2581,1,"Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_jQuery_Try_npm_i_save_dev_types_Slash_2581","Cannot find name '{0}'. Do you need to install type definitions for jQuery? Try `npm i --save-dev @types/jquery`."),Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_a_test_runner_Try_npm_i_save_dev_types_Slashjest_or_npm_i_save_dev_types_Slashmocha:Wa(2582,1,"Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_a_test_runner_Try_npm_i_save_dev_type_2582","Cannot find name '{0}'. Do you need to install type definitions for a test runner? Try `npm i --save-dev @types/jest` or `npm i --save-dev @types/mocha`."),Cannot_find_name_0_Do_you_need_to_change_your_target_library_Try_changing_the_lib_compiler_option_to_1_or_later:Wa(2583,1,"Cannot_find_name_0_Do_you_need_to_change_your_target_library_Try_changing_the_lib_compiler_option_to_2583","Cannot find name '{0}'. Do you need to change your target library? Try changing the 'lib' compiler option to '{1}' or later."),Cannot_find_name_0_Do_you_need_to_change_your_target_library_Try_changing_the_lib_compiler_option_to_include_dom:Wa(2584,1,"Cannot_find_name_0_Do_you_need_to_change_your_target_library_Try_changing_the_lib_compiler_option_to_2584","Cannot find name '{0}'. Do you need to change your target library? Try changing the 'lib' compiler option to include 'dom'."),_0_only_refers_to_a_type_but_is_being_used_as_a_value_here_Do_you_need_to_change_your_target_library_Try_changing_the_lib_compiler_option_to_es2015_or_later:Wa(2585,1,"_0_only_refers_to_a_type_but_is_being_used_as_a_value_here_Do_you_need_to_change_your_target_library_2585","'{0}' only refers to a type, but is being used as a value here. Do you need to change your target library? Try changing the 'lib' compiler option to es2015 or later."),Cannot_assign_to_0_because_it_is_a_constant:Wa(2588,1,"Cannot_assign_to_0_because_it_is_a_constant_2588","Cannot assign to '{0}' because it is a constant."),Type_instantiation_is_excessively_deep_and_possibly_infinite:Wa(2589,1,"Type_instantiation_is_excessively_deep_and_possibly_infinite_2589","Type instantiation is excessively deep and possibly infinite."),Expression_produces_a_union_type_that_is_too_complex_to_represent:Wa(2590,1,"Expression_produces_a_union_type_that_is_too_complex_to_represent_2590","Expression produces a union type that is too complex to represent."),Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_node_Try_npm_i_save_dev_types_Slashnode_and_then_add_node_to_the_types_field_in_your_tsconfig:Wa(2591,1,"Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_node_Try_npm_i_save_dev_types_Slashno_2591","Cannot find name '{0}'. Do you need to install type definitions for node? Try `npm i --save-dev @types/node` and then add 'node' to the types field in your tsconfig."),Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_jQuery_Try_npm_i_save_dev_types_Slashjquery_and_then_add_jquery_to_the_types_field_in_your_tsconfig:Wa(2592,1,"Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_jQuery_Try_npm_i_save_dev_types_Slash_2592","Cannot find name '{0}'. Do you need to install type definitions for jQuery? Try `npm i --save-dev @types/jquery` and then add 'jquery' to the types field in your tsconfig."),Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_a_test_runner_Try_npm_i_save_dev_types_Slashjest_or_npm_i_save_dev_types_Slashmocha_and_then_add_jest_or_mocha_to_the_types_field_in_your_tsconfig:Wa(2593,1,"Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_a_test_runner_Try_npm_i_save_dev_type_2593","Cannot find name '{0}'. Do you need to install type definitions for a test runner? Try `npm i --save-dev @types/jest` or `npm i --save-dev @types/mocha` and then add 'jest' or 'mocha' to the types field in your tsconfig."),This_module_is_declared_with_export_and_can_only_be_used_with_a_default_import_when_using_the_0_flag:Wa(2594,1,"This_module_is_declared_with_export_and_can_only_be_used_with_a_default_import_when_using_the_0_flag_2594","This module is declared with 'export =', and can only be used with a default import when using the '{0}' flag."),_0_can_only_be_imported_by_using_a_default_import:Wa(2595,1,"_0_can_only_be_imported_by_using_a_default_import_2595","'{0}' can only be imported by using a default import."),_0_can_only_be_imported_by_turning_on_the_esModuleInterop_flag_and_using_a_default_import:Wa(2596,1,"_0_can_only_be_imported_by_turning_on_the_esModuleInterop_flag_and_using_a_default_import_2596","'{0}' can only be imported by turning on the 'esModuleInterop' flag and using a default import."),_0_can_only_be_imported_by_using_a_require_call_or_by_using_a_default_import:Wa(2597,1,"_0_can_only_be_imported_by_using_a_require_call_or_by_using_a_default_import_2597","'{0}' can only be imported by using a 'require' call or by using a default import."),_0_can_only_be_imported_by_using_a_require_call_or_by_turning_on_the_esModuleInterop_flag_and_using_a_default_import:Wa(2598,1,"_0_can_only_be_imported_by_using_a_require_call_or_by_turning_on_the_esModuleInterop_flag_and_using__2598","'{0}' can only be imported by using a 'require' call or by turning on the 'esModuleInterop' flag and using a default import."),JSX_element_implicitly_has_type_any_because_the_global_type_JSX_Element_does_not_exist:Wa(2602,1,"JSX_element_implicitly_has_type_any_because_the_global_type_JSX_Element_does_not_exist_2602","JSX element implicitly has type 'any' because the global type 'JSX.Element' does not exist."),Property_0_in_type_1_is_not_assignable_to_type_2:Wa(2603,1,"Property_0_in_type_1_is_not_assignable_to_type_2_2603","Property '{0}' in type '{1}' is not assignable to type '{2}'."),JSX_element_type_0_does_not_have_any_construct_or_call_signatures:Wa(2604,1,"JSX_element_type_0_does_not_have_any_construct_or_call_signatures_2604","JSX element type '{0}' does not have any construct or call signatures."),Property_0_of_JSX_spread_attribute_is_not_assignable_to_target_property:Wa(2606,1,"Property_0_of_JSX_spread_attribute_is_not_assignable_to_target_property_2606","Property '{0}' of JSX spread attribute is not assignable to target property."),JSX_element_class_does_not_support_attributes_because_it_does_not_have_a_0_property:Wa(2607,1,"JSX_element_class_does_not_support_attributes_because_it_does_not_have_a_0_property_2607","JSX element class does not support attributes because it does not have a '{0}' property."),The_global_type_JSX_0_may_not_have_more_than_one_property:Wa(2608,1,"The_global_type_JSX_0_may_not_have_more_than_one_property_2608","The global type 'JSX.{0}' may not have more than one property."),JSX_spread_child_must_be_an_array_type:Wa(2609,1,"JSX_spread_child_must_be_an_array_type_2609","JSX spread child must be an array type."),_0_is_defined_as_an_accessor_in_class_1_but_is_overridden_here_in_2_as_an_instance_property:Wa(2610,1,"_0_is_defined_as_an_accessor_in_class_1_but_is_overridden_here_in_2_as_an_instance_property_2610","'{0}' is defined as an accessor in class '{1}', but is overridden here in '{2}' as an instance property."),_0_is_defined_as_a_property_in_class_1_but_is_overridden_here_in_2_as_an_accessor:Wa(2611,1,"_0_is_defined_as_a_property_in_class_1_but_is_overridden_here_in_2_as_an_accessor_2611","'{0}' is defined as a property in class '{1}', but is overridden here in '{2}' as an accessor."),Property_0_will_overwrite_the_base_property_in_1_If_this_is_intentional_add_an_initializer_Otherwise_add_a_declare_modifier_or_remove_the_redundant_declaration:Wa(2612,1,"Property_0_will_overwrite_the_base_property_in_1_If_this_is_intentional_add_an_initializer_Otherwise_2612","Property '{0}' will overwrite the base property in '{1}'. If this is intentional, add an initializer. Otherwise, add a 'declare' modifier or remove the redundant declaration."),Module_0_has_no_default_export_Did_you_mean_to_use_import_1_from_0_instead:Wa(2613,1,"Module_0_has_no_default_export_Did_you_mean_to_use_import_1_from_0_instead_2613","Module '{0}' has no default export. Did you mean to use 'import { {1} } from {0}' instead?"),Module_0_has_no_exported_member_1_Did_you_mean_to_use_import_1_from_0_instead:Wa(2614,1,"Module_0_has_no_exported_member_1_Did_you_mean_to_use_import_1_from_0_instead_2614","Module '{0}' has no exported member '{1}'. Did you mean to use 'import {1} from {0}' instead?"),Type_of_property_0_circularly_references_itself_in_mapped_type_1:Wa(2615,1,"Type_of_property_0_circularly_references_itself_in_mapped_type_1_2615","Type of property '{0}' circularly references itself in mapped type '{1}'."),_0_can_only_be_imported_by_using_import_1_require_2_or_a_default_import:Wa(2616,1,"_0_can_only_be_imported_by_using_import_1_require_2_or_a_default_import_2616","'{0}' can only be imported by using 'import {1} = require({2})' or a default import."),_0_can_only_be_imported_by_using_import_1_require_2_or_by_turning_on_the_esModuleInterop_flag_and_using_a_default_import:Wa(2617,1,"_0_can_only_be_imported_by_using_import_1_require_2_or_by_turning_on_the_esModuleInterop_flag_and_us_2617","'{0}' can only be imported by using 'import {1} = require({2})' or by turning on the 'esModuleInterop' flag and using a default import."),Source_has_0_element_s_but_target_requires_1:Wa(2618,1,"Source_has_0_element_s_but_target_requires_1_2618","Source has {0} element(s) but target requires {1}."),Source_has_0_element_s_but_target_allows_only_1:Wa(2619,1,"Source_has_0_element_s_but_target_allows_only_1_2619","Source has {0} element(s) but target allows only {1}."),Target_requires_0_element_s_but_source_may_have_fewer:Wa(2620,1,"Target_requires_0_element_s_but_source_may_have_fewer_2620","Target requires {0} element(s) but source may have fewer."),Target_allows_only_0_element_s_but_source_may_have_more:Wa(2621,1,"Target_allows_only_0_element_s_but_source_may_have_more_2621","Target allows only {0} element(s) but source may have more."),Source_provides_no_match_for_required_element_at_position_0_in_target:Wa(2623,1,"Source_provides_no_match_for_required_element_at_position_0_in_target_2623","Source provides no match for required element at position {0} in target."),Source_provides_no_match_for_variadic_element_at_position_0_in_target:Wa(2624,1,"Source_provides_no_match_for_variadic_element_at_position_0_in_target_2624","Source provides no match for variadic element at position {0} in target."),Variadic_element_at_position_0_in_source_does_not_match_element_at_position_1_in_target:Wa(2625,1,"Variadic_element_at_position_0_in_source_does_not_match_element_at_position_1_in_target_2625","Variadic element at position {0} in source does not match element at position {1} in target."),Type_at_position_0_in_source_is_not_compatible_with_type_at_position_1_in_target:Wa(2626,1,"Type_at_position_0_in_source_is_not_compatible_with_type_at_position_1_in_target_2626","Type at position {0} in source is not compatible with type at position {1} in target."),Type_at_positions_0_through_1_in_source_is_not_compatible_with_type_at_position_2_in_target:Wa(2627,1,"Type_at_positions_0_through_1_in_source_is_not_compatible_with_type_at_position_2_in_target_2627","Type at positions {0} through {1} in source is not compatible with type at position {2} in target."),Cannot_assign_to_0_because_it_is_an_enum:Wa(2628,1,"Cannot_assign_to_0_because_it_is_an_enum_2628","Cannot assign to '{0}' because it is an enum."),Cannot_assign_to_0_because_it_is_a_class:Wa(2629,1,"Cannot_assign_to_0_because_it_is_a_class_2629","Cannot assign to '{0}' because it is a class."),Cannot_assign_to_0_because_it_is_a_function:Wa(2630,1,"Cannot_assign_to_0_because_it_is_a_function_2630","Cannot assign to '{0}' because it is a function."),Cannot_assign_to_0_because_it_is_a_namespace:Wa(2631,1,"Cannot_assign_to_0_because_it_is_a_namespace_2631","Cannot assign to '{0}' because it is a namespace."),Cannot_assign_to_0_because_it_is_an_import:Wa(2632,1,"Cannot_assign_to_0_because_it_is_an_import_2632","Cannot assign to '{0}' because it is an import."),JSX_property_access_expressions_cannot_include_JSX_namespace_names:Wa(2633,1,"JSX_property_access_expressions_cannot_include_JSX_namespace_names_2633","JSX property access expressions cannot include JSX namespace names"),_0_index_signatures_are_incompatible:Wa(2634,1,"_0_index_signatures_are_incompatible_2634","'{0}' index signatures are incompatible."),Type_0_has_no_signatures_for_which_the_type_argument_list_is_applicable:Wa(2635,1,"Type_0_has_no_signatures_for_which_the_type_argument_list_is_applicable_2635","Type '{0}' has no signatures for which the type argument list is applicable."),Type_0_is_not_assignable_to_type_1_as_implied_by_variance_annotation:Wa(2636,1,"Type_0_is_not_assignable_to_type_1_as_implied_by_variance_annotation_2636","Type '{0}' is not assignable to type '{1}' as implied by variance annotation."),Variance_annotations_are_only_supported_in_type_aliases_for_object_function_constructor_and_mapped_types:Wa(2637,1,"Variance_annotations_are_only_supported_in_type_aliases_for_object_function_constructor_and_mapped_t_2637","Variance annotations are only supported in type aliases for object, function, constructor, and mapped types."),Type_0_may_represent_a_primitive_value_which_is_not_permitted_as_the_right_operand_of_the_in_operator:Wa(2638,1,"Type_0_may_represent_a_primitive_value_which_is_not_permitted_as_the_right_operand_of_the_in_operato_2638","Type '{0}' may represent a primitive value, which is not permitted as the right operand of the 'in' operator."),React_components_cannot_include_JSX_namespace_names:Wa(2639,1,"React_components_cannot_include_JSX_namespace_names_2639","React components cannot include JSX namespace names"),Cannot_augment_module_0_with_value_exports_because_it_resolves_to_a_non_module_entity:Wa(2649,1,"Cannot_augment_module_0_with_value_exports_because_it_resolves_to_a_non_module_entity_2649","Cannot augment module '{0}' with value exports because it resolves to a non-module entity."),A_member_initializer_in_a_enum_declaration_cannot_reference_members_declared_after_it_including_members_defined_in_other_enums:Wa(2651,1,"A_member_initializer_in_a_enum_declaration_cannot_reference_members_declared_after_it_including_memb_2651","A member initializer in a enum declaration cannot reference members declared after it, including members defined in other enums."),Merged_declaration_0_cannot_include_a_default_export_declaration_Consider_adding_a_separate_export_default_0_declaration_instead:Wa(2652,1,"Merged_declaration_0_cannot_include_a_default_export_declaration_Consider_adding_a_separate_export_d_2652","Merged declaration '{0}' cannot include a default export declaration. Consider adding a separate 'export default {0}' declaration instead."),Non_abstract_class_expression_does_not_implement_inherited_abstract_member_0_from_class_1:Wa(2653,1,"Non_abstract_class_expression_does_not_implement_inherited_abstract_member_0_from_class_1_2653","Non-abstract class expression does not implement inherited abstract member '{0}' from class '{1}'."),JSX_expressions_must_have_one_parent_element:Wa(2657,1,"JSX_expressions_must_have_one_parent_element_2657","JSX expressions must have one parent element."),Type_0_provides_no_match_for_the_signature_1:Wa(2658,1,"Type_0_provides_no_match_for_the_signature_1_2658","Type '{0}' provides no match for the signature '{1}'."),super_is_only_allowed_in_members_of_object_literal_expressions_when_option_target_is_ES2015_or_higher:Wa(2659,1,"super_is_only_allowed_in_members_of_object_literal_expressions_when_option_target_is_ES2015_or_highe_2659","'super' is only allowed in members of object literal expressions when option 'target' is 'ES2015' or higher."),super_can_only_be_referenced_in_members_of_derived_classes_or_object_literal_expressions:Wa(2660,1,"super_can_only_be_referenced_in_members_of_derived_classes_or_object_literal_expressions_2660","'super' can only be referenced in members of derived classes or object literal expressions."),Cannot_export_0_Only_local_declarations_can_be_exported_from_a_module:Wa(2661,1,"Cannot_export_0_Only_local_declarations_can_be_exported_from_a_module_2661","Cannot export '{0}'. Only local declarations can be exported from a module."),Cannot_find_name_0_Did_you_mean_the_static_member_1_0:Wa(2662,1,"Cannot_find_name_0_Did_you_mean_the_static_member_1_0_2662","Cannot find name '{0}'. Did you mean the static member '{1}.{0}'?"),Cannot_find_name_0_Did_you_mean_the_instance_member_this_0:Wa(2663,1,"Cannot_find_name_0_Did_you_mean_the_instance_member_this_0_2663","Cannot find name '{0}'. Did you mean the instance member 'this.{0}'?"),Invalid_module_name_in_augmentation_module_0_cannot_be_found:Wa(2664,1,"Invalid_module_name_in_augmentation_module_0_cannot_be_found_2664","Invalid module name in augmentation, module '{0}' cannot be found."),Invalid_module_name_in_augmentation_Module_0_resolves_to_an_untyped_module_at_1_which_cannot_be_augmented:Wa(2665,1,"Invalid_module_name_in_augmentation_Module_0_resolves_to_an_untyped_module_at_1_which_cannot_be_augm_2665","Invalid module name in augmentation. Module '{0}' resolves to an untyped module at '{1}', which cannot be augmented."),Exports_and_export_assignments_are_not_permitted_in_module_augmentations:Wa(2666,1,"Exports_and_export_assignments_are_not_permitted_in_module_augmentations_2666","Exports and export assignments are not permitted in module augmentations."),Imports_are_not_permitted_in_module_augmentations_Consider_moving_them_to_the_enclosing_external_module:Wa(2667,1,"Imports_are_not_permitted_in_module_augmentations_Consider_moving_them_to_the_enclosing_external_mod_2667","Imports are not permitted in module augmentations. Consider moving them to the enclosing external module."),export_modifier_cannot_be_applied_to_ambient_modules_and_module_augmentations_since_they_are_always_visible:Wa(2668,1,"export_modifier_cannot_be_applied_to_ambient_modules_and_module_augmentations_since_they_are_always__2668","'export' modifier cannot be applied to ambient modules and module augmentations since they are always visible."),Augmentations_for_the_global_scope_can_only_be_directly_nested_in_external_modules_or_ambient_module_declarations:Wa(2669,1,"Augmentations_for_the_global_scope_can_only_be_directly_nested_in_external_modules_or_ambient_module_2669","Augmentations for the global scope can only be directly nested in external modules or ambient module declarations."),Augmentations_for_the_global_scope_should_have_declare_modifier_unless_they_appear_in_already_ambient_context:Wa(2670,1,"Augmentations_for_the_global_scope_should_have_declare_modifier_unless_they_appear_in_already_ambien_2670","Augmentations for the global scope should have 'declare' modifier unless they appear in already ambient context."),Cannot_augment_module_0_because_it_resolves_to_a_non_module_entity:Wa(2671,1,"Cannot_augment_module_0_because_it_resolves_to_a_non_module_entity_2671","Cannot augment module '{0}' because it resolves to a non-module entity."),Cannot_assign_a_0_constructor_type_to_a_1_constructor_type:Wa(2672,1,"Cannot_assign_a_0_constructor_type_to_a_1_constructor_type_2672","Cannot assign a '{0}' constructor type to a '{1}' constructor type."),Constructor_of_class_0_is_private_and_only_accessible_within_the_class_declaration:Wa(2673,1,"Constructor_of_class_0_is_private_and_only_accessible_within_the_class_declaration_2673","Constructor of class '{0}' is private and only accessible within the class declaration."),Constructor_of_class_0_is_protected_and_only_accessible_within_the_class_declaration:Wa(2674,1,"Constructor_of_class_0_is_protected_and_only_accessible_within_the_class_declaration_2674","Constructor of class '{0}' is protected and only accessible within the class declaration."),Cannot_extend_a_class_0_Class_constructor_is_marked_as_private:Wa(2675,1,"Cannot_extend_a_class_0_Class_constructor_is_marked_as_private_2675","Cannot extend a class '{0}'. Class constructor is marked as private."),Accessors_must_both_be_abstract_or_non_abstract:Wa(2676,1,"Accessors_must_both_be_abstract_or_non_abstract_2676","Accessors must both be abstract or non-abstract."),A_type_predicate_s_type_must_be_assignable_to_its_parameter_s_type:Wa(2677,1,"A_type_predicate_s_type_must_be_assignable_to_its_parameter_s_type_2677","A type predicate's type must be assignable to its parameter's type."),Type_0_is_not_comparable_to_type_1:Wa(2678,1,"Type_0_is_not_comparable_to_type_1_2678","Type '{0}' is not comparable to type '{1}'."),A_function_that_is_called_with_the_new_keyword_cannot_have_a_this_type_that_is_void:Wa(2679,1,"A_function_that_is_called_with_the_new_keyword_cannot_have_a_this_type_that_is_void_2679","A function that is called with the 'new' keyword cannot have a 'this' type that is 'void'."),A_0_parameter_must_be_the_first_parameter:Wa(2680,1,"A_0_parameter_must_be_the_first_parameter_2680","A '{0}' parameter must be the first parameter."),A_constructor_cannot_have_a_this_parameter:Wa(2681,1,"A_constructor_cannot_have_a_this_parameter_2681","A constructor cannot have a 'this' parameter."),this_implicitly_has_type_any_because_it_does_not_have_a_type_annotation:Wa(2683,1,"this_implicitly_has_type_any_because_it_does_not_have_a_type_annotation_2683","'this' implicitly has type 'any' because it does not have a type annotation."),The_this_context_of_type_0_is_not_assignable_to_method_s_this_of_type_1:Wa(2684,1,"The_this_context_of_type_0_is_not_assignable_to_method_s_this_of_type_1_2684","The 'this' context of type '{0}' is not assignable to method's 'this' of type '{1}'."),The_this_types_of_each_signature_are_incompatible:Wa(2685,1,"The_this_types_of_each_signature_are_incompatible_2685","The 'this' types of each signature are incompatible."),_0_refers_to_a_UMD_global_but_the_current_file_is_a_module_Consider_adding_an_import_instead:Wa(2686,1,"_0_refers_to_a_UMD_global_but_the_current_file_is_a_module_Consider_adding_an_import_instead_2686","'{0}' refers to a UMD global, but the current file is a module. Consider adding an import instead."),All_declarations_of_0_must_have_identical_modifiers:Wa(2687,1,"All_declarations_of_0_must_have_identical_modifiers_2687","All declarations of '{0}' must have identical modifiers."),Cannot_find_type_definition_file_for_0:Wa(2688,1,"Cannot_find_type_definition_file_for_0_2688","Cannot find type definition file for '{0}'."),Cannot_extend_an_interface_0_Did_you_mean_implements:Wa(2689,1,"Cannot_extend_an_interface_0_Did_you_mean_implements_2689","Cannot extend an interface '{0}'. Did you mean 'implements'?"),_0_only_refers_to_a_type_but_is_being_used_as_a_value_here_Did_you_mean_to_use_1_in_0:Wa(2690,1,"_0_only_refers_to_a_type_but_is_being_used_as_a_value_here_Did_you_mean_to_use_1_in_0_2690","'{0}' only refers to a type, but is being used as a value here. Did you mean to use '{1} in {0}'?"),_0_is_a_primitive_but_1_is_a_wrapper_object_Prefer_using_0_when_possible:Wa(2692,1,"_0_is_a_primitive_but_1_is_a_wrapper_object_Prefer_using_0_when_possible_2692","'{0}' is a primitive, but '{1}' is a wrapper object. Prefer using '{0}' when possible."),_0_only_refers_to_a_type_but_is_being_used_as_a_value_here:Wa(2693,1,"_0_only_refers_to_a_type_but_is_being_used_as_a_value_here_2693","'{0}' only refers to a type, but is being used as a value here."),Namespace_0_has_no_exported_member_1:Wa(2694,1,"Namespace_0_has_no_exported_member_1_2694","Namespace '{0}' has no exported member '{1}'."),Left_side_of_comma_operator_is_unused_and_has_no_side_effects:Wa(2695,1,"Left_side_of_comma_operator_is_unused_and_has_no_side_effects_2695","Left side of comma operator is unused and has no side effects.",!0),The_Object_type_is_assignable_to_very_few_other_types_Did_you_mean_to_use_the_any_type_instead:Wa(2696,1,"The_Object_type_is_assignable_to_very_few_other_types_Did_you_mean_to_use_the_any_type_instead_2696","The 'Object' type is assignable to very few other types. Did you mean to use the 'any' type instead?"),An_async_function_or_method_must_return_a_Promise_Make_sure_you_have_a_declaration_for_Promise_or_include_ES2015_in_your_lib_option:Wa(2697,1,"An_async_function_or_method_must_return_a_Promise_Make_sure_you_have_a_declaration_for_Promise_or_in_2697","An async function or method must return a 'Promise'. Make sure you have a declaration for 'Promise' or include 'ES2015' in your '--lib' option."),Spread_types_may_only_be_created_from_object_types:Wa(2698,1,"Spread_types_may_only_be_created_from_object_types_2698","Spread types may only be created from object types."),Static_property_0_conflicts_with_built_in_property_Function_0_of_constructor_function_1:Wa(2699,1,"Static_property_0_conflicts_with_built_in_property_Function_0_of_constructor_function_1_2699","Static property '{0}' conflicts with built-in property 'Function.{0}' of constructor function '{1}'."),Rest_types_may_only_be_created_from_object_types:Wa(2700,1,"Rest_types_may_only_be_created_from_object_types_2700","Rest types may only be created from object types."),The_target_of_an_object_rest_assignment_must_be_a_variable_or_a_property_access:Wa(2701,1,"The_target_of_an_object_rest_assignment_must_be_a_variable_or_a_property_access_2701","The target of an object rest assignment must be a variable or a property access."),_0_only_refers_to_a_type_but_is_being_used_as_a_namespace_here:Wa(2702,1,"_0_only_refers_to_a_type_but_is_being_used_as_a_namespace_here_2702","'{0}' only refers to a type, but is being used as a namespace here."),The_operand_of_a_delete_operator_must_be_a_property_reference:Wa(2703,1,"The_operand_of_a_delete_operator_must_be_a_property_reference_2703","The operand of a 'delete' operator must be a property reference."),The_operand_of_a_delete_operator_cannot_be_a_read_only_property:Wa(2704,1,"The_operand_of_a_delete_operator_cannot_be_a_read_only_property_2704","The operand of a 'delete' operator cannot be a read-only property."),An_async_function_or_method_in_ES5_SlashES3_requires_the_Promise_constructor_Make_sure_you_have_a_declaration_for_the_Promise_constructor_or_include_ES2015_in_your_lib_option:Wa(2705,1,"An_async_function_or_method_in_ES5_SlashES3_requires_the_Promise_constructor_Make_sure_you_have_a_de_2705","An async function or method in ES5/ES3 requires the 'Promise' constructor.  Make sure you have a declaration for the 'Promise' constructor or include 'ES2015' in your '--lib' option."),Required_type_parameters_may_not_follow_optional_type_parameters:Wa(2706,1,"Required_type_parameters_may_not_follow_optional_type_parameters_2706","Required type parameters may not follow optional type parameters."),Generic_type_0_requires_between_1_and_2_type_arguments:Wa(2707,1,"Generic_type_0_requires_between_1_and_2_type_arguments_2707","Generic type '{0}' requires between {1} and {2} type arguments."),Cannot_use_namespace_0_as_a_value:Wa(2708,1,"Cannot_use_namespace_0_as_a_value_2708","Cannot use namespace '{0}' as a value."),Cannot_use_namespace_0_as_a_type:Wa(2709,1,"Cannot_use_namespace_0_as_a_type_2709","Cannot use namespace '{0}' as a type."),_0_are_specified_twice_The_attribute_named_0_will_be_overwritten:Wa(2710,1,"_0_are_specified_twice_The_attribute_named_0_will_be_overwritten_2710","'{0}' are specified twice. The attribute named '{0}' will be overwritten."),A_dynamic_import_call_returns_a_Promise_Make_sure_you_have_a_declaration_for_Promise_or_include_ES2015_in_your_lib_option:Wa(2711,1,"A_dynamic_import_call_returns_a_Promise_Make_sure_you_have_a_declaration_for_Promise_or_include_ES20_2711","A dynamic import call returns a 'Promise'. Make sure you have a declaration for 'Promise' or include 'ES2015' in your '--lib' option."),A_dynamic_import_call_in_ES5_SlashES3_requires_the_Promise_constructor_Make_sure_you_have_a_declaration_for_the_Promise_constructor_or_include_ES2015_in_your_lib_option:Wa(2712,1,"A_dynamic_import_call_in_ES5_SlashES3_requires_the_Promise_constructor_Make_sure_you_have_a_declarat_2712","A dynamic import call in ES5/ES3 requires the 'Promise' constructor.  Make sure you have a declaration for the 'Promise' constructor or include 'ES2015' in your '--lib' option."),Cannot_access_0_1_because_0_is_a_type_but_not_a_namespace_Did_you_mean_to_retrieve_the_type_of_the_property_1_in_0_with_0_1:Wa(2713,1,"Cannot_access_0_1_because_0_is_a_type_but_not_a_namespace_Did_you_mean_to_retrieve_the_type_of_the_p_2713","Cannot access '{0}.{1}' because '{0}' is a type, but not a namespace. Did you mean to retrieve the type of the property '{1}' in '{0}' with '{0}[\"{1}\"]'?"),The_expression_of_an_export_assignment_must_be_an_identifier_or_qualified_name_in_an_ambient_context:Wa(2714,1,"The_expression_of_an_export_assignment_must_be_an_identifier_or_qualified_name_in_an_ambient_context_2714","The expression of an export assignment must be an identifier or qualified name in an ambient context."),Abstract_property_0_in_class_1_cannot_be_accessed_in_the_constructor:Wa(2715,1,"Abstract_property_0_in_class_1_cannot_be_accessed_in_the_constructor_2715","Abstract property '{0}' in class '{1}' cannot be accessed in the constructor."),Type_parameter_0_has_a_circular_default:Wa(2716,1,"Type_parameter_0_has_a_circular_default_2716","Type parameter '{0}' has a circular default."),Subsequent_property_declarations_must_have_the_same_type_Property_0_must_be_of_type_1_but_here_has_type_2:Wa(2717,1,"Subsequent_property_declarations_must_have_the_same_type_Property_0_must_be_of_type_1_but_here_has_t_2717","Subsequent property declarations must have the same type.  Property '{0}' must be of type '{1}', but here has type '{2}'."),Duplicate_property_0:Wa(2718,1,"Duplicate_property_0_2718","Duplicate property '{0}'."),Type_0_is_not_assignable_to_type_1_Two_different_types_with_this_name_exist_but_they_are_unrelated:Wa(2719,1,"Type_0_is_not_assignable_to_type_1_Two_different_types_with_this_name_exist_but_they_are_unrelated_2719","Type '{0}' is not assignable to type '{1}'. Two different types with this name exist, but they are unrelated."),Class_0_incorrectly_implements_class_1_Did_you_mean_to_extend_1_and_inherit_its_members_as_a_subclass:Wa(2720,1,"Class_0_incorrectly_implements_class_1_Did_you_mean_to_extend_1_and_inherit_its_members_as_a_subclas_2720","Class '{0}' incorrectly implements class '{1}'. Did you mean to extend '{1}' and inherit its members as a subclass?"),Cannot_invoke_an_object_which_is_possibly_null:Wa(2721,1,"Cannot_invoke_an_object_which_is_possibly_null_2721","Cannot invoke an object which is possibly 'null'."),Cannot_invoke_an_object_which_is_possibly_undefined:Wa(2722,1,"Cannot_invoke_an_object_which_is_possibly_undefined_2722","Cannot invoke an object which is possibly 'undefined'."),Cannot_invoke_an_object_which_is_possibly_null_or_undefined:Wa(2723,1,"Cannot_invoke_an_object_which_is_possibly_null_or_undefined_2723","Cannot invoke an object which is possibly 'null' or 'undefined'."),_0_has_no_exported_member_named_1_Did_you_mean_2:Wa(2724,1,"_0_has_no_exported_member_named_1_Did_you_mean_2_2724","'{0}' has no exported member named '{1}'. Did you mean '{2}'?"),Class_name_cannot_be_Object_when_targeting_ES5_with_module_0:Wa(2725,1,"Class_name_cannot_be_Object_when_targeting_ES5_with_module_0_2725","Class name cannot be 'Object' when targeting ES5 with module {0}."),Cannot_find_lib_definition_for_0:Wa(2726,1,"Cannot_find_lib_definition_for_0_2726","Cannot find lib definition for '{0}'."),Cannot_find_lib_definition_for_0_Did_you_mean_1:Wa(2727,1,"Cannot_find_lib_definition_for_0_Did_you_mean_1_2727","Cannot find lib definition for '{0}'. Did you mean '{1}'?"),_0_is_declared_here:Wa(2728,3,"_0_is_declared_here_2728","'{0}' is declared here."),Property_0_is_used_before_its_initialization:Wa(2729,1,"Property_0_is_used_before_its_initialization_2729","Property '{0}' is used before its initialization."),An_arrow_function_cannot_have_a_this_parameter:Wa(2730,1,"An_arrow_function_cannot_have_a_this_parameter_2730","An arrow function cannot have a 'this' parameter."),Implicit_conversion_of_a_symbol_to_a_string_will_fail_at_runtime_Consider_wrapping_this_expression_in_String:Wa(2731,1,"Implicit_conversion_of_a_symbol_to_a_string_will_fail_at_runtime_Consider_wrapping_this_expression_i_2731","Implicit conversion of a 'symbol' to a 'string' will fail at runtime. Consider wrapping this expression in 'String(...)'."),Cannot_find_module_0_Consider_using_resolveJsonModule_to_import_module_with_json_extension:Wa(2732,1,"Cannot_find_module_0_Consider_using_resolveJsonModule_to_import_module_with_json_extension_2732","Cannot find module '{0}'. Consider using '--resolveJsonModule' to import module with '.json' extension."),Property_0_was_also_declared_here:Wa(2733,1,"Property_0_was_also_declared_here_2733","Property '{0}' was also declared here."),Are_you_missing_a_semicolon:Wa(2734,1,"Are_you_missing_a_semicolon_2734","Are you missing a semicolon?"),Did_you_mean_for_0_to_be_constrained_to_type_new_args_Colon_any_1:Wa(2735,1,"Did_you_mean_for_0_to_be_constrained_to_type_new_args_Colon_any_1_2735","Did you mean for '{0}' to be constrained to type 'new (...args: any[]) => {1}'?"),Operator_0_cannot_be_applied_to_type_1:Wa(2736,1,"Operator_0_cannot_be_applied_to_type_1_2736","Operator '{0}' cannot be applied to type '{1}'."),BigInt_literals_are_not_available_when_targeting_lower_than_ES2020:Wa(2737,1,"BigInt_literals_are_not_available_when_targeting_lower_than_ES2020_2737","BigInt literals are not available when targeting lower than ES2020."),An_outer_value_of_this_is_shadowed_by_this_container:Wa(2738,3,"An_outer_value_of_this_is_shadowed_by_this_container_2738","An outer value of 'this' is shadowed by this container."),Type_0_is_missing_the_following_properties_from_type_1_Colon_2:Wa(2739,1,"Type_0_is_missing_the_following_properties_from_type_1_Colon_2_2739","Type '{0}' is missing the following properties from type '{1}': {2}"),Type_0_is_missing_the_following_properties_from_type_1_Colon_2_and_3_more:Wa(2740,1,"Type_0_is_missing_the_following_properties_from_type_1_Colon_2_and_3_more_2740","Type '{0}' is missing the following properties from type '{1}': {2}, and {3} more."),Property_0_is_missing_in_type_1_but_required_in_type_2:Wa(2741,1,"Property_0_is_missing_in_type_1_but_required_in_type_2_2741","Property '{0}' is missing in type '{1}' but required in type '{2}'."),The_inferred_type_of_0_cannot_be_named_without_a_reference_to_1_This_is_likely_not_portable_A_type_annotation_is_necessary:Wa(2742,1,"The_inferred_type_of_0_cannot_be_named_without_a_reference_to_1_This_is_likely_not_portable_A_type_a_2742","The inferred type of '{0}' cannot be named without a reference to '{1}'. This is likely not portable. A type annotation is necessary."),No_overload_expects_0_type_arguments_but_overloads_do_exist_that_expect_either_1_or_2_type_arguments:Wa(2743,1,"No_overload_expects_0_type_arguments_but_overloads_do_exist_that_expect_either_1_or_2_type_arguments_2743","No overload expects {0} type arguments, but overloads do exist that expect either {1} or {2} type arguments."),Type_parameter_defaults_can_only_reference_previously_declared_type_parameters:Wa(2744,1,"Type_parameter_defaults_can_only_reference_previously_declared_type_parameters_2744","Type parameter defaults can only reference previously declared type parameters."),This_JSX_tag_s_0_prop_expects_type_1_which_requires_multiple_children_but_only_a_single_child_was_provided:Wa(2745,1,"This_JSX_tag_s_0_prop_expects_type_1_which_requires_multiple_children_but_only_a_single_child_was_pr_2745","This JSX tag's '{0}' prop expects type '{1}' which requires multiple children, but only a single child was provided."),This_JSX_tag_s_0_prop_expects_a_single_child_of_type_1_but_multiple_children_were_provided:Wa(2746,1,"This_JSX_tag_s_0_prop_expects_a_single_child_of_type_1_but_multiple_children_were_provided_2746","This JSX tag's '{0}' prop expects a single child of type '{1}', but multiple children were provided."),_0_components_don_t_accept_text_as_child_elements_Text_in_JSX_has_the_type_string_but_the_expected_type_of_1_is_2:Wa(2747,1,"_0_components_don_t_accept_text_as_child_elements_Text_in_JSX_has_the_type_string_but_the_expected_t_2747","'{0}' components don't accept text as child elements. Text in JSX has the type 'string', but the expected type of '{1}' is '{2}'."),Cannot_access_ambient_const_enums_when_0_is_enabled:Wa(2748,1,"Cannot_access_ambient_const_enums_when_0_is_enabled_2748","Cannot access ambient const enums when '{0}' is enabled."),_0_refers_to_a_value_but_is_being_used_as_a_type_here_Did_you_mean_typeof_0:Wa(2749,1,"_0_refers_to_a_value_but_is_being_used_as_a_type_here_Did_you_mean_typeof_0_2749","'{0}' refers to a value, but is being used as a type here. Did you mean 'typeof {0}'?"),The_implementation_signature_is_declared_here:Wa(2750,1,"The_implementation_signature_is_declared_here_2750","The implementation signature is declared here."),Circularity_originates_in_type_at_this_location:Wa(2751,1,"Circularity_originates_in_type_at_this_location_2751","Circularity originates in type at this location."),The_first_export_default_is_here:Wa(2752,1,"The_first_export_default_is_here_2752","The first export default is here."),Another_export_default_is_here:Wa(2753,1,"Another_export_default_is_here_2753","Another export default is here."),super_may_not_use_type_arguments:Wa(2754,1,"super_may_not_use_type_arguments_2754","'super' may not use type arguments."),No_constituent_of_type_0_is_callable:Wa(2755,1,"No_constituent_of_type_0_is_callable_2755","No constituent of type '{0}' is callable."),Not_all_constituents_of_type_0_are_callable:Wa(2756,1,"Not_all_constituents_of_type_0_are_callable_2756","Not all constituents of type '{0}' are callable."),Type_0_has_no_call_signatures:Wa(2757,1,"Type_0_has_no_call_signatures_2757","Type '{0}' has no call signatures."),Each_member_of_the_union_type_0_has_signatures_but_none_of_those_signatures_are_compatible_with_each_other:Wa(2758,1,"Each_member_of_the_union_type_0_has_signatures_but_none_of_those_signatures_are_compatible_with_each_2758","Each member of the union type '{0}' has signatures, but none of those signatures are compatible with each other."),No_constituent_of_type_0_is_constructable:Wa(2759,1,"No_constituent_of_type_0_is_constructable_2759","No constituent of type '{0}' is constructable."),Not_all_constituents_of_type_0_are_constructable:Wa(2760,1,"Not_all_constituents_of_type_0_are_constructable_2760","Not all constituents of type '{0}' are constructable."),Type_0_has_no_construct_signatures:Wa(2761,1,"Type_0_has_no_construct_signatures_2761","Type '{0}' has no construct signatures."),Each_member_of_the_union_type_0_has_construct_signatures_but_none_of_those_signatures_are_compatible_with_each_other:Wa(2762,1,"Each_member_of_the_union_type_0_has_construct_signatures_but_none_of_those_signatures_are_compatible_2762","Each member of the union type '{0}' has construct signatures, but none of those signatures are compatible with each other."),Cannot_iterate_value_because_the_next_method_of_its_iterator_expects_type_1_but_for_of_will_always_send_0:Wa(2763,1,"Cannot_iterate_value_because_the_next_method_of_its_iterator_expects_type_1_but_for_of_will_always_s_2763","Cannot iterate value because the 'next' method of its iterator expects type '{1}', but for-of will always send '{0}'."),Cannot_iterate_value_because_the_next_method_of_its_iterator_expects_type_1_but_array_spread_will_always_send_0:Wa(2764,1,"Cannot_iterate_value_because_the_next_method_of_its_iterator_expects_type_1_but_array_spread_will_al_2764","Cannot iterate value because the 'next' method of its iterator expects type '{1}', but array spread will always send '{0}'."),Cannot_iterate_value_because_the_next_method_of_its_iterator_expects_type_1_but_array_destructuring_will_always_send_0:Wa(2765,1,"Cannot_iterate_value_because_the_next_method_of_its_iterator_expects_type_1_but_array_destructuring__2765","Cannot iterate value because the 'next' method of its iterator expects type '{1}', but array destructuring will always send '{0}'."),Cannot_delegate_iteration_to_value_because_the_next_method_of_its_iterator_expects_type_1_but_the_containing_generator_will_always_send_0:Wa(2766,1,"Cannot_delegate_iteration_to_value_because_the_next_method_of_its_iterator_expects_type_1_but_the_co_2766","Cannot delegate iteration to value because the 'next' method of its iterator expects type '{1}', but the containing generator will always send '{0}'."),The_0_property_of_an_iterator_must_be_a_method:Wa(2767,1,"The_0_property_of_an_iterator_must_be_a_method_2767","The '{0}' property of an iterator must be a method."),The_0_property_of_an_async_iterator_must_be_a_method:Wa(2768,1,"The_0_property_of_an_async_iterator_must_be_a_method_2768","The '{0}' property of an async iterator must be a method."),No_overload_matches_this_call:Wa(2769,1,"No_overload_matches_this_call_2769","No overload matches this call."),The_last_overload_gave_the_following_error:Wa(2770,1,"The_last_overload_gave_the_following_error_2770","The last overload gave the following error."),The_last_overload_is_declared_here:Wa(2771,1,"The_last_overload_is_declared_here_2771","The last overload is declared here."),Overload_0_of_1_2_gave_the_following_error:Wa(2772,1,"Overload_0_of_1_2_gave_the_following_error_2772","Overload {0} of {1}, '{2}', gave the following error."),Did_you_forget_to_use_await:Wa(2773,1,"Did_you_forget_to_use_await_2773","Did you forget to use 'await'?"),This_condition_will_always_return_true_since_this_function_is_always_defined_Did_you_mean_to_call_it_instead:Wa(2774,1,"This_condition_will_always_return_true_since_this_function_is_always_defined_Did_you_mean_to_call_it_2774","This condition will always return true since this function is always defined. Did you mean to call it instead?"),Assertions_require_every_name_in_the_call_target_to_be_declared_with_an_explicit_type_annotation:Wa(2775,1,"Assertions_require_every_name_in_the_call_target_to_be_declared_with_an_explicit_type_annotation_2775","Assertions require every name in the call target to be declared with an explicit type annotation."),Assertions_require_the_call_target_to_be_an_identifier_or_qualified_name:Wa(2776,1,"Assertions_require_the_call_target_to_be_an_identifier_or_qualified_name_2776","Assertions require the call target to be an identifier or qualified name."),The_operand_of_an_increment_or_decrement_operator_may_not_be_an_optional_property_access:Wa(2777,1,"The_operand_of_an_increment_or_decrement_operator_may_not_be_an_optional_property_access_2777","The operand of an increment or decrement operator may not be an optional property access."),The_target_of_an_object_rest_assignment_may_not_be_an_optional_property_access:Wa(2778,1,"The_target_of_an_object_rest_assignment_may_not_be_an_optional_property_access_2778","The target of an object rest assignment may not be an optional property access."),The_left_hand_side_of_an_assignment_expression_may_not_be_an_optional_property_access:Wa(2779,1,"The_left_hand_side_of_an_assignment_expression_may_not_be_an_optional_property_access_2779","The left-hand side of an assignment expression may not be an optional property access."),The_left_hand_side_of_a_for_in_statement_may_not_be_an_optional_property_access:Wa(2780,1,"The_left_hand_side_of_a_for_in_statement_may_not_be_an_optional_property_access_2780","The left-hand side of a 'for...in' statement may not be an optional property access."),The_left_hand_side_of_a_for_of_statement_may_not_be_an_optional_property_access:Wa(2781,1,"The_left_hand_side_of_a_for_of_statement_may_not_be_an_optional_property_access_2781","The left-hand side of a 'for...of' statement may not be an optional property access."),_0_needs_an_explicit_type_annotation:Wa(2782,3,"_0_needs_an_explicit_type_annotation_2782","'{0}' needs an explicit type annotation."),_0_is_specified_more_than_once_so_this_usage_will_be_overwritten:Wa(2783,1,"_0_is_specified_more_than_once_so_this_usage_will_be_overwritten_2783","'{0}' is specified more than once, so this usage will be overwritten."),get_and_set_accessors_cannot_declare_this_parameters:Wa(2784,1,"get_and_set_accessors_cannot_declare_this_parameters_2784","'get' and 'set' accessors cannot declare 'this' parameters."),This_spread_always_overwrites_this_property:Wa(2785,1,"This_spread_always_overwrites_this_property_2785","This spread always overwrites this property."),_0_cannot_be_used_as_a_JSX_component:Wa(2786,1,"_0_cannot_be_used_as_a_JSX_component_2786","'{0}' cannot be used as a JSX component."),Its_return_type_0_is_not_a_valid_JSX_element:Wa(2787,1,"Its_return_type_0_is_not_a_valid_JSX_element_2787","Its return type '{0}' is not a valid JSX element."),Its_instance_type_0_is_not_a_valid_JSX_element:Wa(2788,1,"Its_instance_type_0_is_not_a_valid_JSX_element_2788","Its instance type '{0}' is not a valid JSX element."),Its_element_type_0_is_not_a_valid_JSX_element:Wa(2789,1,"Its_element_type_0_is_not_a_valid_JSX_element_2789","Its element type '{0}' is not a valid JSX element."),The_operand_of_a_delete_operator_must_be_optional:Wa(2790,1,"The_operand_of_a_delete_operator_must_be_optional_2790","The operand of a 'delete' operator must be optional."),Exponentiation_cannot_be_performed_on_bigint_values_unless_the_target_option_is_set_to_es2016_or_later:Wa(2791,1,"Exponentiation_cannot_be_performed_on_bigint_values_unless_the_target_option_is_set_to_es2016_or_lat_2791","Exponentiation cannot be performed on 'bigint' values unless the 'target' option is set to 'es2016' or later."),Cannot_find_module_0_Did_you_mean_to_set_the_moduleResolution_option_to_nodenext_or_to_add_aliases_to_the_paths_option:Wa(2792,1,"Cannot_find_module_0_Did_you_mean_to_set_the_moduleResolution_option_to_nodenext_or_to_add_aliases_t_2792","Cannot find module '{0}'. Did you mean to set the 'moduleResolution' option to 'nodenext', or to add aliases to the 'paths' option?"),The_call_would_have_succeeded_against_this_implementation_but_implementation_signatures_of_overloads_are_not_externally_visible:Wa(2793,1,"The_call_would_have_succeeded_against_this_implementation_but_implementation_signatures_of_overloads_2793","The call would have succeeded against this implementation, but implementation signatures of overloads are not externally visible."),Expected_0_arguments_but_got_1_Did_you_forget_to_include_void_in_your_type_argument_to_Promise:Wa(2794,1,"Expected_0_arguments_but_got_1_Did_you_forget_to_include_void_in_your_type_argument_to_Promise_2794","Expected {0} arguments, but got {1}. Did you forget to include 'void' in your type argument to 'Promise'?"),The_intrinsic_keyword_can_only_be_used_to_declare_compiler_provided_intrinsic_types:Wa(2795,1,"The_intrinsic_keyword_can_only_be_used_to_declare_compiler_provided_intrinsic_types_2795","The 'intrinsic' keyword can only be used to declare compiler provided intrinsic types."),It_is_likely_that_you_are_missing_a_comma_to_separate_these_two_template_expressions_They_form_a_tagged_template_expression_which_cannot_be_invoked:Wa(2796,1,"It_is_likely_that_you_are_missing_a_comma_to_separate_these_two_template_expressions_They_form_a_tag_2796","It is likely that you are missing a comma to separate these two template expressions. They form a tagged template expression which cannot be invoked."),A_mixin_class_that_extends_from_a_type_variable_containing_an_abstract_construct_signature_must_also_be_declared_abstract:Wa(2797,1,"A_mixin_class_that_extends_from_a_type_variable_containing_an_abstract_construct_signature_must_also_2797","A mixin class that extends from a type variable containing an abstract construct signature must also be declared 'abstract'."),The_declaration_was_marked_as_deprecated_here:Wa(2798,1,"The_declaration_was_marked_as_deprecated_here_2798","The declaration was marked as deprecated here."),Type_produces_a_tuple_type_that_is_too_large_to_represent:Wa(2799,1,"Type_produces_a_tuple_type_that_is_too_large_to_represent_2799","Type produces a tuple type that is too large to represent."),Expression_produces_a_tuple_type_that_is_too_large_to_represent:Wa(2800,1,"Expression_produces_a_tuple_type_that_is_too_large_to_represent_2800","Expression produces a tuple type that is too large to represent."),This_condition_will_always_return_true_since_this_0_is_always_defined:Wa(2801,1,"This_condition_will_always_return_true_since_this_0_is_always_defined_2801","This condition will always return true since this '{0}' is always defined."),Type_0_can_only_be_iterated_through_when_using_the_downlevelIteration_flag_or_with_a_target_of_es2015_or_higher:Wa(2802,1,"Type_0_can_only_be_iterated_through_when_using_the_downlevelIteration_flag_or_with_a_target_of_es201_2802","Type '{0}' can only be iterated through when using the '--downlevelIteration' flag or with a '--target' of 'es2015' or higher."),Cannot_assign_to_private_method_0_Private_methods_are_not_writable:Wa(2803,1,"Cannot_assign_to_private_method_0_Private_methods_are_not_writable_2803","Cannot assign to private method '{0}'. Private methods are not writable."),Duplicate_identifier_0_Static_and_instance_elements_cannot_share_the_same_private_name:Wa(2804,1,"Duplicate_identifier_0_Static_and_instance_elements_cannot_share_the_same_private_name_2804","Duplicate identifier '{0}'. Static and instance elements cannot share the same private name."),Private_accessor_was_defined_without_a_getter:Wa(2806,1,"Private_accessor_was_defined_without_a_getter_2806","Private accessor was defined without a getter."),This_syntax_requires_an_imported_helper_named_1_with_2_parameters_which_is_not_compatible_with_the_one_in_0_Consider_upgrading_your_version_of_0:Wa(2807,1,"This_syntax_requires_an_imported_helper_named_1_with_2_parameters_which_is_not_compatible_with_the_o_2807","This syntax requires an imported helper named '{1}' with {2} parameters, which is not compatible with the one in '{0}'. Consider upgrading your version of '{0}'."),A_get_accessor_must_be_at_least_as_accessible_as_the_setter:Wa(2808,1,"A_get_accessor_must_be_at_least_as_accessible_as_the_setter_2808","A get accessor must be at least as accessible as the setter"),Declaration_or_statement_expected_This_follows_a_block_of_statements_so_if_you_intended_to_write_a_destructuring_assignment_you_might_need_to_wrap_the_whole_assignment_in_parentheses:Wa(2809,1,"Declaration_or_statement_expected_This_follows_a_block_of_statements_so_if_you_intended_to_write_a_d_2809","Declaration or statement expected. This '=' follows a block of statements, so if you intended to write a destructuring assignment, you might need to wrap the whole assignment in parentheses."),Expected_1_argument_but_got_0_new_Promise_needs_a_JSDoc_hint_to_produce_a_resolve_that_can_be_called_without_arguments:Wa(2810,1,"Expected_1_argument_but_got_0_new_Promise_needs_a_JSDoc_hint_to_produce_a_resolve_that_can_be_called_2810","Expected 1 argument, but got 0. 'new Promise()' needs a JSDoc hint to produce a 'resolve' that can be called without arguments."),Initializer_for_property_0:Wa(2811,1,"Initializer_for_property_0_2811","Initializer for property '{0}'"),Property_0_does_not_exist_on_type_1_Try_changing_the_lib_compiler_option_to_include_dom:Wa(2812,1,"Property_0_does_not_exist_on_type_1_Try_changing_the_lib_compiler_option_to_include_dom_2812","Property '{0}' does not exist on type '{1}'. Try changing the 'lib' compiler option to include 'dom'."),Class_declaration_cannot_implement_overload_list_for_0:Wa(2813,1,"Class_declaration_cannot_implement_overload_list_for_0_2813","Class declaration cannot implement overload list for '{0}'."),Function_with_bodies_can_only_merge_with_classes_that_are_ambient:Wa(2814,1,"Function_with_bodies_can_only_merge_with_classes_that_are_ambient_2814","Function with bodies can only merge with classes that are ambient."),arguments_cannot_be_referenced_in_property_initializers:Wa(2815,1,"arguments_cannot_be_referenced_in_property_initializers_2815","'arguments' cannot be referenced in property initializers."),Cannot_use_this_in_a_static_property_initializer_of_a_decorated_class:Wa(2816,1,"Cannot_use_this_in_a_static_property_initializer_of_a_decorated_class_2816","Cannot use 'this' in a static property initializer of a decorated class."),Property_0_has_no_initializer_and_is_not_definitely_assigned_in_a_class_static_block:Wa(2817,1,"Property_0_has_no_initializer_and_is_not_definitely_assigned_in_a_class_static_block_2817","Property '{0}' has no initializer and is not definitely assigned in a class static block."),Duplicate_identifier_0_Compiler_reserves_name_1_when_emitting_super_references_in_static_initializers:Wa(2818,1,"Duplicate_identifier_0_Compiler_reserves_name_1_when_emitting_super_references_in_static_initializer_2818","Duplicate identifier '{0}'. Compiler reserves name '{1}' when emitting 'super' references in static initializers."),Namespace_name_cannot_be_0:Wa(2819,1,"Namespace_name_cannot_be_0_2819","Namespace name cannot be '{0}'."),Type_0_is_not_assignable_to_type_1_Did_you_mean_2:Wa(2820,1,"Type_0_is_not_assignable_to_type_1_Did_you_mean_2_2820","Type '{0}' is not assignable to type '{1}'. Did you mean '{2}'?"),Import_assertions_are_only_supported_when_the_module_option_is_set_to_esnext_nodenext_or_preserve:Wa(2821,1,"Import_assertions_are_only_supported_when_the_module_option_is_set_to_esnext_nodenext_or_preserve_2821","Import assertions are only supported when the '--module' option is set to 'esnext', 'nodenext', or 'preserve'."),Import_assertions_cannot_be_used_with_type_only_imports_or_exports:Wa(2822,1,"Import_assertions_cannot_be_used_with_type_only_imports_or_exports_2822","Import assertions cannot be used with type-only imports or exports."),Import_attributes_are_only_supported_when_the_module_option_is_set_to_esnext_nodenext_or_preserve:Wa(2823,1,"Import_attributes_are_only_supported_when_the_module_option_is_set_to_esnext_nodenext_or_preserve_2823","Import attributes are only supported when the '--module' option is set to 'esnext', 'nodenext', or 'preserve'."),Cannot_find_namespace_0_Did_you_mean_1:Wa(2833,1,"Cannot_find_namespace_0_Did_you_mean_1_2833","Cannot find namespace '{0}'. Did you mean '{1}'?"),Relative_import_paths_need_explicit_file_extensions_in_ECMAScript_imports_when_moduleResolution_is_node16_or_nodenext_Consider_adding_an_extension_to_the_import_path:Wa(2834,1,"Relative_import_paths_need_explicit_file_extensions_in_ECMAScript_imports_when_moduleResolution_is_n_2834","Relative import paths need explicit file extensions in ECMAScript imports when '--moduleResolution' is 'node16' or 'nodenext'. Consider adding an extension to the import path."),Relative_import_paths_need_explicit_file_extensions_in_ECMAScript_imports_when_moduleResolution_is_node16_or_nodenext_Did_you_mean_0:Wa(2835,1,"Relative_import_paths_need_explicit_file_extensions_in_ECMAScript_imports_when_moduleResolution_is_n_2835","Relative import paths need explicit file extensions in ECMAScript imports when '--moduleResolution' is 'node16' or 'nodenext'. Did you mean '{0}'?"),Import_assertions_are_not_allowed_on_statements_that_compile_to_CommonJS_require_calls:Wa(2836,1,"Import_assertions_are_not_allowed_on_statements_that_compile_to_CommonJS_require_calls_2836","Import assertions are not allowed on statements that compile to CommonJS 'require' calls."),Import_assertion_values_must_be_string_literal_expressions:Wa(2837,1,"Import_assertion_values_must_be_string_literal_expressions_2837","Import assertion values must be string literal expressions."),All_declarations_of_0_must_have_identical_constraints:Wa(2838,1,"All_declarations_of_0_must_have_identical_constraints_2838","All declarations of '{0}' must have identical constraints."),This_condition_will_always_return_0_since_JavaScript_compares_objects_by_reference_not_value:Wa(2839,1,"This_condition_will_always_return_0_since_JavaScript_compares_objects_by_reference_not_value_2839","This condition will always return '{0}' since JavaScript compares objects by reference, not value."),An_interface_cannot_extend_a_primitive_type_like_0_It_can_only_extend_other_named_object_types:Wa(2840,1,"An_interface_cannot_extend_a_primitive_type_like_0_It_can_only_extend_other_named_object_types_2840","An interface cannot extend a primitive type like '{0}'. It can only extend other named object types."),_0_is_an_unused_renaming_of_1_Did_you_intend_to_use_it_as_a_type_annotation:Wa(2842,1,"_0_is_an_unused_renaming_of_1_Did_you_intend_to_use_it_as_a_type_annotation_2842","'{0}' is an unused renaming of '{1}'. Did you intend to use it as a type annotation?"),We_can_only_write_a_type_for_0_by_adding_a_type_for_the_entire_parameter_here:Wa(2843,1,"We_can_only_write_a_type_for_0_by_adding_a_type_for_the_entire_parameter_here_2843","We can only write a type for '{0}' by adding a type for the entire parameter here."),Type_of_instance_member_variable_0_cannot_reference_identifier_1_declared_in_the_constructor:Wa(2844,1,"Type_of_instance_member_variable_0_cannot_reference_identifier_1_declared_in_the_constructor_2844","Type of instance member variable '{0}' cannot reference identifier '{1}' declared in the constructor."),This_condition_will_always_return_0:Wa(2845,1,"This_condition_will_always_return_0_2845","This condition will always return '{0}'."),A_declaration_file_cannot_be_imported_without_import_type_Did_you_mean_to_import_an_implementation_file_0_instead:Wa(2846,1,"A_declaration_file_cannot_be_imported_without_import_type_Did_you_mean_to_import_an_implementation_f_2846","A declaration file cannot be imported without 'import type'. Did you mean to import an implementation file '{0}' instead?"),The_right_hand_side_of_an_instanceof_expression_must_not_be_an_instantiation_expression:Wa(2848,1,"The_right_hand_side_of_an_instanceof_expression_must_not_be_an_instantiation_expression_2848","The right-hand side of an 'instanceof' expression must not be an instantiation expression."),Target_signature_provides_too_few_arguments_Expected_0_or_more_but_got_1:Wa(2849,1,"Target_signature_provides_too_few_arguments_Expected_0_or_more_but_got_1_2849","Target signature provides too few arguments. Expected {0} or more, but got {1}."),The_initializer_of_a_using_declaration_must_be_either_an_object_with_a_Symbol_dispose_method_or_be_null_or_undefined:Wa(2850,1,"The_initializer_of_a_using_declaration_must_be_either_an_object_with_a_Symbol_dispose_method_or_be_n_2850","The initializer of a 'using' declaration must be either an object with a '[Symbol.dispose]()' method, or be 'null' or 'undefined'."),The_initializer_of_an_await_using_declaration_must_be_either_an_object_with_a_Symbol_asyncDispose_or_Symbol_dispose_method_or_be_null_or_undefined:Wa(2851,1,"The_initializer_of_an_await_using_declaration_must_be_either_an_object_with_a_Symbol_asyncDispose_or_2851","The initializer of an 'await using' declaration must be either an object with a '[Symbol.asyncDispose]()' or '[Symbol.dispose]()' method, or be 'null' or 'undefined'."),await_using_statements_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules:Wa(2852,1,"await_using_statements_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules_2852","'await using' statements are only allowed within async functions and at the top levels of modules."),await_using_statements_are_only_allowed_at_the_top_level_of_a_file_when_that_file_is_a_module_but_this_file_has_no_imports_or_exports_Consider_adding_an_empty_export_to_make_this_file_a_module:Wa(2853,1,"await_using_statements_are_only_allowed_at_the_top_level_of_a_file_when_that_file_is_a_module_but_th_2853","'await using' statements are only allowed at the top level of a file when that file is a module, but this file has no imports or exports. Consider adding an empty 'export {}' to make this file a module."),Top_level_await_using_statements_are_only_allowed_when_the_module_option_is_set_to_es2022_esnext_system_node16_nodenext_or_preserve_and_the_target_option_is_set_to_es2017_or_higher:Wa(2854,1,"Top_level_await_using_statements_are_only_allowed_when_the_module_option_is_set_to_es2022_esnext_sys_2854","Top-level 'await using' statements are only allowed when the 'module' option is set to 'es2022', 'esnext', 'system', 'node16', 'nodenext', or 'preserve', and the 'target' option is set to 'es2017' or higher."),Class_field_0_defined_by_the_parent_class_is_not_accessible_in_the_child_class_via_super:Wa(2855,1,"Class_field_0_defined_by_the_parent_class_is_not_accessible_in_the_child_class_via_super_2855","Class field '{0}' defined by the parent class is not accessible in the child class via super."),Import_attributes_are_not_allowed_on_statements_that_compile_to_CommonJS_require_calls:Wa(2856,1,"Import_attributes_are_not_allowed_on_statements_that_compile_to_CommonJS_require_calls_2856","Import attributes are not allowed on statements that compile to CommonJS 'require' calls."),Import_attributes_cannot_be_used_with_type_only_imports_or_exports:Wa(2857,1,"Import_attributes_cannot_be_used_with_type_only_imports_or_exports_2857","Import attributes cannot be used with type-only imports or exports."),Import_attribute_values_must_be_string_literal_expressions:Wa(2858,1,"Import_attribute_values_must_be_string_literal_expressions_2858","Import attribute values must be string literal expressions."),Excessive_complexity_comparing_types_0_and_1:Wa(2859,1,"Excessive_complexity_comparing_types_0_and_1_2859","Excessive complexity comparing types '{0}' and '{1}'."),The_left_hand_side_of_an_instanceof_expression_must_be_assignable_to_the_first_argument_of_the_right_hand_side_s_Symbol_hasInstance_method:Wa(2860,1,"The_left_hand_side_of_an_instanceof_expression_must_be_assignable_to_the_first_argument_of_the_right_2860","The left-hand side of an 'instanceof' expression must be assignable to the first argument of the right-hand side's '[Symbol.hasInstance]' method."),An_object_s_Symbol_hasInstance_method_must_return_a_boolean_value_for_it_to_be_used_on_the_right_hand_side_of_an_instanceof_expression:Wa(2861,1,"An_object_s_Symbol_hasInstance_method_must_return_a_boolean_value_for_it_to_be_used_on_the_right_han_2861","An object's '[Symbol.hasInstance]' method must return a boolean value for it to be used on the right-hand side of an 'instanceof' expression."),Type_0_is_generic_and_can_only_be_indexed_for_reading:Wa(2862,1,"Type_0_is_generic_and_can_only_be_indexed_for_reading_2862","Type '{0}' is generic and can only be indexed for reading."),A_class_cannot_extend_a_primitive_type_like_0_Classes_can_only_extend_constructable_values:Wa(2863,1,"A_class_cannot_extend_a_primitive_type_like_0_Classes_can_only_extend_constructable_values_2863","A class cannot extend a primitive type like '{0}'. Classes can only extend constructable values."),A_class_cannot_implement_a_primitive_type_like_0_It_can_only_implement_other_named_object_types:Wa(2864,1,"A_class_cannot_implement_a_primitive_type_like_0_It_can_only_implement_other_named_object_types_2864","A class cannot implement a primitive type like '{0}'. It can only implement other named object types."),Import_0_conflicts_with_local_value_so_must_be_declared_with_a_type_only_import_when_isolatedModules_is_enabled:Wa(2865,1,"Import_0_conflicts_with_local_value_so_must_be_declared_with_a_type_only_import_when_isolatedModules_2865","Import '{0}' conflicts with local value, so must be declared with a type-only import when 'isolatedModules' is enabled."),Import_0_conflicts_with_global_value_used_in_this_file_so_must_be_declared_with_a_type_only_import_when_isolatedModules_is_enabled:Wa(2866,1,"Import_0_conflicts_with_global_value_used_in_this_file_so_must_be_declared_with_a_type_only_import_w_2866","Import '{0}' conflicts with global value used in this file, so must be declared with a type-only import when 'isolatedModules' is enabled."),Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_Bun_Try_npm_i_save_dev_types_Slashbun:Wa(2867,1,"Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_Bun_Try_npm_i_save_dev_types_Slashbun_2867","Cannot find name '{0}'. Do you need to install type definitions for Bun? Try `npm i --save-dev @types/bun`."),Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_Bun_Try_npm_i_save_dev_types_Slashbun_and_then_add_bun_to_the_types_field_in_your_tsconfig:Wa(2868,1,"Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_Bun_Try_npm_i_save_dev_types_Slashbun_2868","Cannot find name '{0}'. Do you need to install type definitions for Bun? Try `npm i --save-dev @types/bun` and then add 'bun' to the types field in your tsconfig."),Import_declaration_0_is_using_private_name_1:Wa(4e3,1,"Import_declaration_0_is_using_private_name_1_4000","Import declaration '{0}' is using private name '{1}'."),Type_parameter_0_of_exported_class_has_or_is_using_private_name_1:Wa(4002,1,"Type_parameter_0_of_exported_class_has_or_is_using_private_name_1_4002","Type parameter '{0}' of exported class has or is using private name '{1}'."),Type_parameter_0_of_exported_interface_has_or_is_using_private_name_1:Wa(4004,1,"Type_parameter_0_of_exported_interface_has_or_is_using_private_name_1_4004","Type parameter '{0}' of exported interface has or is using private name '{1}'."),Type_parameter_0_of_constructor_signature_from_exported_interface_has_or_is_using_private_name_1:Wa(4006,1,"Type_parameter_0_of_constructor_signature_from_exported_interface_has_or_is_using_private_name_1_4006","Type parameter '{0}' of constructor signature from exported interface has or is using private name '{1}'."),Type_parameter_0_of_call_signature_from_exported_interface_has_or_is_using_private_name_1:Wa(4008,1,"Type_parameter_0_of_call_signature_from_exported_interface_has_or_is_using_private_name_1_4008","Type parameter '{0}' of call signature from exported interface has or is using private name '{1}'."),Type_parameter_0_of_public_static_method_from_exported_class_has_or_is_using_private_name_1:Wa(4010,1,"Type_parameter_0_of_public_static_method_from_exported_class_has_or_is_using_private_name_1_4010","Type parameter '{0}' of public static method from exported class has or is using private name '{1}'."),Type_parameter_0_of_public_method_from_exported_class_has_or_is_using_private_name_1:Wa(4012,1,"Type_parameter_0_of_public_method_from_exported_class_has_or_is_using_private_name_1_4012","Type parameter '{0}' of public method from exported class has or is using private name '{1}'."),Type_parameter_0_of_method_from_exported_interface_has_or_is_using_private_name_1:Wa(4014,1,"Type_parameter_0_of_method_from_exported_interface_has_or_is_using_private_name_1_4014","Type parameter '{0}' of method from exported interface has or is using private name '{1}'."),Type_parameter_0_of_exported_function_has_or_is_using_private_name_1:Wa(4016,1,"Type_parameter_0_of_exported_function_has_or_is_using_private_name_1_4016","Type parameter '{0}' of exported function has or is using private name '{1}'."),Implements_clause_of_exported_class_0_has_or_is_using_private_name_1:Wa(4019,1,"Implements_clause_of_exported_class_0_has_or_is_using_private_name_1_4019","Implements clause of exported class '{0}' has or is using private name '{1}'."),extends_clause_of_exported_class_0_has_or_is_using_private_name_1:Wa(4020,1,"extends_clause_of_exported_class_0_has_or_is_using_private_name_1_4020","'extends' clause of exported class '{0}' has or is using private name '{1}'."),extends_clause_of_exported_class_has_or_is_using_private_name_0:Wa(4021,1,"extends_clause_of_exported_class_has_or_is_using_private_name_0_4021","'extends' clause of exported class has or is using private name '{0}'."),extends_clause_of_exported_interface_0_has_or_is_using_private_name_1:Wa(4022,1,"extends_clause_of_exported_interface_0_has_or_is_using_private_name_1_4022","'extends' clause of exported interface '{0}' has or is using private name '{1}'."),Exported_variable_0_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Wa(4023,1,"Exported_variable_0_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named_4023","Exported variable '{0}' has or is using name '{1}' from external module {2} but cannot be named."),Exported_variable_0_has_or_is_using_name_1_from_private_module_2:Wa(4024,1,"Exported_variable_0_has_or_is_using_name_1_from_private_module_2_4024","Exported variable '{0}' has or is using name '{1}' from private module '{2}'."),Exported_variable_0_has_or_is_using_private_name_1:Wa(4025,1,"Exported_variable_0_has_or_is_using_private_name_1_4025","Exported variable '{0}' has or is using private name '{1}'."),Public_static_property_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Wa(4026,1,"Public_static_property_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot__4026","Public static property '{0}' of exported class has or is using name '{1}' from external module {2} but cannot be named."),Public_static_property_0_of_exported_class_has_or_is_using_name_1_from_private_module_2:Wa(4027,1,"Public_static_property_0_of_exported_class_has_or_is_using_name_1_from_private_module_2_4027","Public static property '{0}' of exported class has or is using name '{1}' from private module '{2}'."),Public_static_property_0_of_exported_class_has_or_is_using_private_name_1:Wa(4028,1,"Public_static_property_0_of_exported_class_has_or_is_using_private_name_1_4028","Public static property '{0}' of exported class has or is using private name '{1}'."),Public_property_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Wa(4029,1,"Public_property_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_name_4029","Public property '{0}' of exported class has or is using name '{1}' from external module {2} but cannot be named."),Public_property_0_of_exported_class_has_or_is_using_name_1_from_private_module_2:Wa(4030,1,"Public_property_0_of_exported_class_has_or_is_using_name_1_from_private_module_2_4030","Public property '{0}' of exported class has or is using name '{1}' from private module '{2}'."),Public_property_0_of_exported_class_has_or_is_using_private_name_1:Wa(4031,1,"Public_property_0_of_exported_class_has_or_is_using_private_name_1_4031","Public property '{0}' of exported class has or is using private name '{1}'."),Property_0_of_exported_interface_has_or_is_using_name_1_from_private_module_2:Wa(4032,1,"Property_0_of_exported_interface_has_or_is_using_name_1_from_private_module_2_4032","Property '{0}' of exported interface has or is using name '{1}' from private module '{2}'."),Property_0_of_exported_interface_has_or_is_using_private_name_1:Wa(4033,1,"Property_0_of_exported_interface_has_or_is_using_private_name_1_4033","Property '{0}' of exported interface has or is using private name '{1}'."),Parameter_type_of_public_static_setter_0_from_exported_class_has_or_is_using_name_1_from_private_module_2:Wa(4034,1,"Parameter_type_of_public_static_setter_0_from_exported_class_has_or_is_using_name_1_from_private_mod_4034","Parameter type of public static setter '{0}' from exported class has or is using name '{1}' from private module '{2}'."),Parameter_type_of_public_static_setter_0_from_exported_class_has_or_is_using_private_name_1:Wa(4035,1,"Parameter_type_of_public_static_setter_0_from_exported_class_has_or_is_using_private_name_1_4035","Parameter type of public static setter '{0}' from exported class has or is using private name '{1}'."),Parameter_type_of_public_setter_0_from_exported_class_has_or_is_using_name_1_from_private_module_2:Wa(4036,1,"Parameter_type_of_public_setter_0_from_exported_class_has_or_is_using_name_1_from_private_module_2_4036","Parameter type of public setter '{0}' from exported class has or is using name '{1}' from private module '{2}'."),Parameter_type_of_public_setter_0_from_exported_class_has_or_is_using_private_name_1:Wa(4037,1,"Parameter_type_of_public_setter_0_from_exported_class_has_or_is_using_private_name_1_4037","Parameter type of public setter '{0}' from exported class has or is using private name '{1}'."),Return_type_of_public_static_getter_0_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Wa(4038,1,"Return_type_of_public_static_getter_0_from_exported_class_has_or_is_using_name_1_from_external_modul_4038","Return type of public static getter '{0}' from exported class has or is using name '{1}' from external module {2} but cannot be named."),Return_type_of_public_static_getter_0_from_exported_class_has_or_is_using_name_1_from_private_module_2:Wa(4039,1,"Return_type_of_public_static_getter_0_from_exported_class_has_or_is_using_name_1_from_private_module_4039","Return type of public static getter '{0}' from exported class has or is using name '{1}' from private module '{2}'."),Return_type_of_public_static_getter_0_from_exported_class_has_or_is_using_private_name_1:Wa(4040,1,"Return_type_of_public_static_getter_0_from_exported_class_has_or_is_using_private_name_1_4040","Return type of public static getter '{0}' from exported class has or is using private name '{1}'."),Return_type_of_public_getter_0_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Wa(4041,1,"Return_type_of_public_getter_0_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_4041","Return type of public getter '{0}' from exported class has or is using name '{1}' from external module {2} but cannot be named."),Return_type_of_public_getter_0_from_exported_class_has_or_is_using_name_1_from_private_module_2:Wa(4042,1,"Return_type_of_public_getter_0_from_exported_class_has_or_is_using_name_1_from_private_module_2_4042","Return type of public getter '{0}' from exported class has or is using name '{1}' from private module '{2}'."),Return_type_of_public_getter_0_from_exported_class_has_or_is_using_private_name_1:Wa(4043,1,"Return_type_of_public_getter_0_from_exported_class_has_or_is_using_private_name_1_4043","Return type of public getter '{0}' from exported class has or is using private name '{1}'."),Return_type_of_constructor_signature_from_exported_interface_has_or_is_using_name_0_from_private_module_1:Wa(4044,1,"Return_type_of_constructor_signature_from_exported_interface_has_or_is_using_name_0_from_private_mod_4044","Return type of constructor signature from exported interface has or is using name '{0}' from private module '{1}'."),Return_type_of_constructor_signature_from_exported_interface_has_or_is_using_private_name_0:Wa(4045,1,"Return_type_of_constructor_signature_from_exported_interface_has_or_is_using_private_name_0_4045","Return type of constructor signature from exported interface has or is using private name '{0}'."),Return_type_of_call_signature_from_exported_interface_has_or_is_using_name_0_from_private_module_1:Wa(4046,1,"Return_type_of_call_signature_from_exported_interface_has_or_is_using_name_0_from_private_module_1_4046","Return type of call signature from exported interface has or is using name '{0}' from private module '{1}'."),Return_type_of_call_signature_from_exported_interface_has_or_is_using_private_name_0:Wa(4047,1,"Return_type_of_call_signature_from_exported_interface_has_or_is_using_private_name_0_4047","Return type of call signature from exported interface has or is using private name '{0}'."),Return_type_of_index_signature_from_exported_interface_has_or_is_using_name_0_from_private_module_1:Wa(4048,1,"Return_type_of_index_signature_from_exported_interface_has_or_is_using_name_0_from_private_module_1_4048","Return type of index signature from exported interface has or is using name '{0}' from private module '{1}'."),Return_type_of_index_signature_from_exported_interface_has_or_is_using_private_name_0:Wa(4049,1,"Return_type_of_index_signature_from_exported_interface_has_or_is_using_private_name_0_4049","Return type of index signature from exported interface has or is using private name '{0}'."),Return_type_of_public_static_method_from_exported_class_has_or_is_using_name_0_from_external_module_1_but_cannot_be_named:Wa(4050,1,"Return_type_of_public_static_method_from_exported_class_has_or_is_using_name_0_from_external_module__4050","Return type of public static method from exported class has or is using name '{0}' from external module {1} but cannot be named."),Return_type_of_public_static_method_from_exported_class_has_or_is_using_name_0_from_private_module_1:Wa(4051,1,"Return_type_of_public_static_method_from_exported_class_has_or_is_using_name_0_from_private_module_1_4051","Return type of public static method from exported class has or is using name '{0}' from private module '{1}'."),Return_type_of_public_static_method_from_exported_class_has_or_is_using_private_name_0:Wa(4052,1,"Return_type_of_public_static_method_from_exported_class_has_or_is_using_private_name_0_4052","Return type of public static method from exported class has or is using private name '{0}'."),Return_type_of_public_method_from_exported_class_has_or_is_using_name_0_from_external_module_1_but_cannot_be_named:Wa(4053,1,"Return_type_of_public_method_from_exported_class_has_or_is_using_name_0_from_external_module_1_but_c_4053","Return type of public method from exported class has or is using name '{0}' from external module {1} but cannot be named."),Return_type_of_public_method_from_exported_class_has_or_is_using_name_0_from_private_module_1:Wa(4054,1,"Return_type_of_public_method_from_exported_class_has_or_is_using_name_0_from_private_module_1_4054","Return type of public method from exported class has or is using name '{0}' from private module '{1}'."),Return_type_of_public_method_from_exported_class_has_or_is_using_private_name_0:Wa(4055,1,"Return_type_of_public_method_from_exported_class_has_or_is_using_private_name_0_4055","Return type of public method from exported class has or is using private name '{0}'."),Return_type_of_method_from_exported_interface_has_or_is_using_name_0_from_private_module_1:Wa(4056,1,"Return_type_of_method_from_exported_interface_has_or_is_using_name_0_from_private_module_1_4056","Return type of method from exported interface has or is using name '{0}' from private module '{1}'."),Return_type_of_method_from_exported_interface_has_or_is_using_private_name_0:Wa(4057,1,"Return_type_of_method_from_exported_interface_has_or_is_using_private_name_0_4057","Return type of method from exported interface has or is using private name '{0}'."),Return_type_of_exported_function_has_or_is_using_name_0_from_external_module_1_but_cannot_be_named:Wa(4058,1,"Return_type_of_exported_function_has_or_is_using_name_0_from_external_module_1_but_cannot_be_named_4058","Return type of exported function has or is using name '{0}' from external module {1} but cannot be named."),Return_type_of_exported_function_has_or_is_using_name_0_from_private_module_1:Wa(4059,1,"Return_type_of_exported_function_has_or_is_using_name_0_from_private_module_1_4059","Return type of exported function has or is using name '{0}' from private module '{1}'."),Return_type_of_exported_function_has_or_is_using_private_name_0:Wa(4060,1,"Return_type_of_exported_function_has_or_is_using_private_name_0_4060","Return type of exported function has or is using private name '{0}'."),Parameter_0_of_constructor_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Wa(4061,1,"Parameter_0_of_constructor_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_can_4061","Parameter '{0}' of constructor from exported class has or is using name '{1}' from external module {2} but cannot be named."),Parameter_0_of_constructor_from_exported_class_has_or_is_using_name_1_from_private_module_2:Wa(4062,1,"Parameter_0_of_constructor_from_exported_class_has_or_is_using_name_1_from_private_module_2_4062","Parameter '{0}' of constructor from exported class has or is using name '{1}' from private module '{2}'."),Parameter_0_of_constructor_from_exported_class_has_or_is_using_private_name_1:Wa(4063,1,"Parameter_0_of_constructor_from_exported_class_has_or_is_using_private_name_1_4063","Parameter '{0}' of constructor from exported class has or is using private name '{1}'."),Parameter_0_of_constructor_signature_from_exported_interface_has_or_is_using_name_1_from_private_module_2:Wa(4064,1,"Parameter_0_of_constructor_signature_from_exported_interface_has_or_is_using_name_1_from_private_mod_4064","Parameter '{0}' of constructor signature from exported interface has or is using name '{1}' from private module '{2}'."),Parameter_0_of_constructor_signature_from_exported_interface_has_or_is_using_private_name_1:Wa(4065,1,"Parameter_0_of_constructor_signature_from_exported_interface_has_or_is_using_private_name_1_4065","Parameter '{0}' of constructor signature from exported interface has or is using private name '{1}'."),Parameter_0_of_call_signature_from_exported_interface_has_or_is_using_name_1_from_private_module_2:Wa(4066,1,"Parameter_0_of_call_signature_from_exported_interface_has_or_is_using_name_1_from_private_module_2_4066","Parameter '{0}' of call signature from exported interface has or is using name '{1}' from private module '{2}'."),Parameter_0_of_call_signature_from_exported_interface_has_or_is_using_private_name_1:Wa(4067,1,"Parameter_0_of_call_signature_from_exported_interface_has_or_is_using_private_name_1_4067","Parameter '{0}' of call signature from exported interface has or is using private name '{1}'."),Parameter_0_of_public_static_method_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Wa(4068,1,"Parameter_0_of_public_static_method_from_exported_class_has_or_is_using_name_1_from_external_module__4068","Parameter '{0}' of public static method from exported class has or is using name '{1}' from external module {2} but cannot be named."),Parameter_0_of_public_static_method_from_exported_class_has_or_is_using_name_1_from_private_module_2:Wa(4069,1,"Parameter_0_of_public_static_method_from_exported_class_has_or_is_using_name_1_from_private_module_2_4069","Parameter '{0}' of public static method from exported class has or is using name '{1}' from private module '{2}'."),Parameter_0_of_public_static_method_from_exported_class_has_or_is_using_private_name_1:Wa(4070,1,"Parameter_0_of_public_static_method_from_exported_class_has_or_is_using_private_name_1_4070","Parameter '{0}' of public static method from exported class has or is using private name '{1}'."),Parameter_0_of_public_method_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Wa(4071,1,"Parameter_0_of_public_method_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_c_4071","Parameter '{0}' of public method from exported class has or is using name '{1}' from external module {2} but cannot be named."),Parameter_0_of_public_method_from_exported_class_has_or_is_using_name_1_from_private_module_2:Wa(4072,1,"Parameter_0_of_public_method_from_exported_class_has_or_is_using_name_1_from_private_module_2_4072","Parameter '{0}' of public method from exported class has or is using name '{1}' from private module '{2}'."),Parameter_0_of_public_method_from_exported_class_has_or_is_using_private_name_1:Wa(4073,1,"Parameter_0_of_public_method_from_exported_class_has_or_is_using_private_name_1_4073","Parameter '{0}' of public method from exported class has or is using private name '{1}'."),Parameter_0_of_method_from_exported_interface_has_or_is_using_name_1_from_private_module_2:Wa(4074,1,"Parameter_0_of_method_from_exported_interface_has_or_is_using_name_1_from_private_module_2_4074","Parameter '{0}' of method from exported interface has or is using name '{1}' from private module '{2}'."),Parameter_0_of_method_from_exported_interface_has_or_is_using_private_name_1:Wa(4075,1,"Parameter_0_of_method_from_exported_interface_has_or_is_using_private_name_1_4075","Parameter '{0}' of method from exported interface has or is using private name '{1}'."),Parameter_0_of_exported_function_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Wa(4076,1,"Parameter_0_of_exported_function_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named_4076","Parameter '{0}' of exported function has or is using name '{1}' from external module {2} but cannot be named."),Parameter_0_of_exported_function_has_or_is_using_name_1_from_private_module_2:Wa(4077,1,"Parameter_0_of_exported_function_has_or_is_using_name_1_from_private_module_2_4077","Parameter '{0}' of exported function has or is using name '{1}' from private module '{2}'."),Parameter_0_of_exported_function_has_or_is_using_private_name_1:Wa(4078,1,"Parameter_0_of_exported_function_has_or_is_using_private_name_1_4078","Parameter '{0}' of exported function has or is using private name '{1}'."),Exported_type_alias_0_has_or_is_using_private_name_1:Wa(4081,1,"Exported_type_alias_0_has_or_is_using_private_name_1_4081","Exported type alias '{0}' has or is using private name '{1}'."),Default_export_of_the_module_has_or_is_using_private_name_0:Wa(4082,1,"Default_export_of_the_module_has_or_is_using_private_name_0_4082","Default export of the module has or is using private name '{0}'."),Type_parameter_0_of_exported_type_alias_has_or_is_using_private_name_1:Wa(4083,1,"Type_parameter_0_of_exported_type_alias_has_or_is_using_private_name_1_4083","Type parameter '{0}' of exported type alias has or is using private name '{1}'."),Exported_type_alias_0_has_or_is_using_private_name_1_from_module_2:Wa(4084,1,"Exported_type_alias_0_has_or_is_using_private_name_1_from_module_2_4084","Exported type alias '{0}' has or is using private name '{1}' from module {2}."),Extends_clause_for_inferred_type_0_has_or_is_using_private_name_1:Wa(4085,1,"Extends_clause_for_inferred_type_0_has_or_is_using_private_name_1_4085","Extends clause for inferred type '{0}' has or is using private name '{1}'."),Conflicting_definitions_for_0_found_at_1_and_2_Consider_installing_a_specific_version_of_this_library_to_resolve_the_conflict:Wa(4090,1,"Conflicting_definitions_for_0_found_at_1_and_2_Consider_installing_a_specific_version_of_this_librar_4090","Conflicting definitions for '{0}' found at '{1}' and '{2}'. Consider installing a specific version of this library to resolve the conflict."),Parameter_0_of_index_signature_from_exported_interface_has_or_is_using_name_1_from_private_module_2:Wa(4091,1,"Parameter_0_of_index_signature_from_exported_interface_has_or_is_using_name_1_from_private_module_2_4091","Parameter '{0}' of index signature from exported interface has or is using name '{1}' from private module '{2}'."),Parameter_0_of_index_signature_from_exported_interface_has_or_is_using_private_name_1:Wa(4092,1,"Parameter_0_of_index_signature_from_exported_interface_has_or_is_using_private_name_1_4092","Parameter '{0}' of index signature from exported interface has or is using private name '{1}'."),Property_0_of_exported_class_expression_may_not_be_private_or_protected:Wa(4094,1,"Property_0_of_exported_class_expression_may_not_be_private_or_protected_4094","Property '{0}' of exported class expression may not be private or protected."),Public_static_method_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Wa(4095,1,"Public_static_method_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_4095","Public static method '{0}' of exported class has or is using name '{1}' from external module {2} but cannot be named."),Public_static_method_0_of_exported_class_has_or_is_using_name_1_from_private_module_2:Wa(4096,1,"Public_static_method_0_of_exported_class_has_or_is_using_name_1_from_private_module_2_4096","Public static method '{0}' of exported class has or is using name '{1}' from private module '{2}'."),Public_static_method_0_of_exported_class_has_or_is_using_private_name_1:Wa(4097,1,"Public_static_method_0_of_exported_class_has_or_is_using_private_name_1_4097","Public static method '{0}' of exported class has or is using private name '{1}'."),Public_method_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Wa(4098,1,"Public_method_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named_4098","Public method '{0}' of exported class has or is using name '{1}' from external module {2} but cannot be named."),Public_method_0_of_exported_class_has_or_is_using_name_1_from_private_module_2:Wa(4099,1,"Public_method_0_of_exported_class_has_or_is_using_name_1_from_private_module_2_4099","Public method '{0}' of exported class has or is using name '{1}' from private module '{2}'."),Public_method_0_of_exported_class_has_or_is_using_private_name_1:Wa(4100,1,"Public_method_0_of_exported_class_has_or_is_using_private_name_1_4100","Public method '{0}' of exported class has or is using private name '{1}'."),Method_0_of_exported_interface_has_or_is_using_name_1_from_private_module_2:Wa(4101,1,"Method_0_of_exported_interface_has_or_is_using_name_1_from_private_module_2_4101","Method '{0}' of exported interface has or is using name '{1}' from private module '{2}'."),Method_0_of_exported_interface_has_or_is_using_private_name_1:Wa(4102,1,"Method_0_of_exported_interface_has_or_is_using_private_name_1_4102","Method '{0}' of exported interface has or is using private name '{1}'."),Type_parameter_0_of_exported_mapped_object_type_is_using_private_name_1:Wa(4103,1,"Type_parameter_0_of_exported_mapped_object_type_is_using_private_name_1_4103","Type parameter '{0}' of exported mapped object type is using private name '{1}'."),The_type_0_is_readonly_and_cannot_be_assigned_to_the_mutable_type_1:Wa(4104,1,"The_type_0_is_readonly_and_cannot_be_assigned_to_the_mutable_type_1_4104","The type '{0}' is 'readonly' and cannot be assigned to the mutable type '{1}'."),Private_or_protected_member_0_cannot_be_accessed_on_a_type_parameter:Wa(4105,1,"Private_or_protected_member_0_cannot_be_accessed_on_a_type_parameter_4105","Private or protected member '{0}' cannot be accessed on a type parameter."),Parameter_0_of_accessor_has_or_is_using_private_name_1:Wa(4106,1,"Parameter_0_of_accessor_has_or_is_using_private_name_1_4106","Parameter '{0}' of accessor has or is using private name '{1}'."),Parameter_0_of_accessor_has_or_is_using_name_1_from_private_module_2:Wa(4107,1,"Parameter_0_of_accessor_has_or_is_using_name_1_from_private_module_2_4107","Parameter '{0}' of accessor has or is using name '{1}' from private module '{2}'."),Parameter_0_of_accessor_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Wa(4108,1,"Parameter_0_of_accessor_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named_4108","Parameter '{0}' of accessor has or is using name '{1}' from external module '{2}' but cannot be named."),Type_arguments_for_0_circularly_reference_themselves:Wa(4109,1,"Type_arguments_for_0_circularly_reference_themselves_4109","Type arguments for '{0}' circularly reference themselves."),Tuple_type_arguments_circularly_reference_themselves:Wa(4110,1,"Tuple_type_arguments_circularly_reference_themselves_4110","Tuple type arguments circularly reference themselves."),Property_0_comes_from_an_index_signature_so_it_must_be_accessed_with_0:Wa(4111,1,"Property_0_comes_from_an_index_signature_so_it_must_be_accessed_with_0_4111","Property '{0}' comes from an index signature, so it must be accessed with ['{0}']."),This_member_cannot_have_an_override_modifier_because_its_containing_class_0_does_not_extend_another_class:Wa(4112,1,"This_member_cannot_have_an_override_modifier_because_its_containing_class_0_does_not_extend_another__4112","This member cannot have an 'override' modifier because its containing class '{0}' does not extend another class."),This_member_cannot_have_an_override_modifier_because_it_is_not_declared_in_the_base_class_0:Wa(4113,1,"This_member_cannot_have_an_override_modifier_because_it_is_not_declared_in_the_base_class_0_4113","This member cannot have an 'override' modifier because it is not declared in the base class '{0}'."),This_member_must_have_an_override_modifier_because_it_overrides_a_member_in_the_base_class_0:Wa(4114,1,"This_member_must_have_an_override_modifier_because_it_overrides_a_member_in_the_base_class_0_4114","This member must have an 'override' modifier because it overrides a member in the base class '{0}'."),This_parameter_property_must_have_an_override_modifier_because_it_overrides_a_member_in_base_class_0:Wa(4115,1,"This_parameter_property_must_have_an_override_modifier_because_it_overrides_a_member_in_base_class_0_4115","This parameter property must have an 'override' modifier because it overrides a member in base class '{0}'."),This_member_must_have_an_override_modifier_because_it_overrides_an_abstract_method_that_is_declared_in_the_base_class_0:Wa(4116,1,"This_member_must_have_an_override_modifier_because_it_overrides_an_abstract_method_that_is_declared__4116","This member must have an 'override' modifier because it overrides an abstract method that is declared in the base class '{0}'."),This_member_cannot_have_an_override_modifier_because_it_is_not_declared_in_the_base_class_0_Did_you_mean_1:Wa(4117,1,"This_member_cannot_have_an_override_modifier_because_it_is_not_declared_in_the_base_class_0_Did_you__4117","This member cannot have an 'override' modifier because it is not declared in the base class '{0}'. Did you mean '{1}'?"),The_type_of_this_node_cannot_be_serialized_because_its_property_0_cannot_be_serialized:Wa(4118,1,"The_type_of_this_node_cannot_be_serialized_because_its_property_0_cannot_be_serialized_4118","The type of this node cannot be serialized because its property '{0}' cannot be serialized."),This_member_must_have_a_JSDoc_comment_with_an_override_tag_because_it_overrides_a_member_in_the_base_class_0:Wa(4119,1,"This_member_must_have_a_JSDoc_comment_with_an_override_tag_because_it_overrides_a_member_in_the_base_4119","This member must have a JSDoc comment with an '@override' tag because it overrides a member in the base class '{0}'."),This_parameter_property_must_have_a_JSDoc_comment_with_an_override_tag_because_it_overrides_a_member_in_the_base_class_0:Wa(4120,1,"This_parameter_property_must_have_a_JSDoc_comment_with_an_override_tag_because_it_overrides_a_member_4120","This parameter property must have a JSDoc comment with an '@override' tag because it overrides a member in the base class '{0}'."),This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_its_containing_class_0_does_not_extend_another_class:Wa(4121,1,"This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_its_containing_class_0_does_not_4121","This member cannot have a JSDoc comment with an '@override' tag because its containing class '{0}' does not extend another class."),This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_it_is_not_declared_in_the_base_class_0:Wa(4122,1,"This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_it_is_not_declared_in_the_base__4122","This member cannot have a JSDoc comment with an '@override' tag because it is not declared in the base class '{0}'."),This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_it_is_not_declared_in_the_base_class_0_Did_you_mean_1:Wa(4123,1,"This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_it_is_not_declared_in_the_base__4123","This member cannot have a JSDoc comment with an 'override' tag because it is not declared in the base class '{0}'. Did you mean '{1}'?"),Compiler_option_0_of_value_1_is_unstable_Use_nightly_TypeScript_to_silence_this_error_Try_updating_with_npm_install_D_typescript_next:Wa(4124,1,"Compiler_option_0_of_value_1_is_unstable_Use_nightly_TypeScript_to_silence_this_error_Try_updating_w_4124","Compiler option '{0}' of value '{1}' is unstable. Use nightly TypeScript to silence this error. Try updating with 'npm install -D typescript@next'."),Each_declaration_of_0_1_differs_in_its_value_where_2_was_expected_but_3_was_given:Wa(4125,1,"Each_declaration_of_0_1_differs_in_its_value_where_2_was_expected_but_3_was_given_4125","Each declaration of '{0}.{1}' differs in its value, where '{2}' was expected but '{3}' was given."),One_value_of_0_1_is_the_string_2_and_the_other_is_assumed_to_be_an_unknown_numeric_value:Wa(4126,1,"One_value_of_0_1_is_the_string_2_and_the_other_is_assumed_to_be_an_unknown_numeric_value_4126","One value of '{0}.{1}' is the string '{2}', and the other is assumed to be an unknown numeric value."),The_current_host_does_not_support_the_0_option:Wa(5001,1,"The_current_host_does_not_support_the_0_option_5001","The current host does not support the '{0}' option."),Cannot_find_the_common_subdirectory_path_for_the_input_files:Wa(5009,1,"Cannot_find_the_common_subdirectory_path_for_the_input_files_5009","Cannot find the common subdirectory path for the input files."),File_specification_cannot_end_in_a_recursive_directory_wildcard_Asterisk_Asterisk_Colon_0:Wa(5010,1,"File_specification_cannot_end_in_a_recursive_directory_wildcard_Asterisk_Asterisk_Colon_0_5010","File specification cannot end in a recursive directory wildcard ('**'): '{0}'."),Cannot_read_file_0_Colon_1:Wa(5012,1,"Cannot_read_file_0_Colon_1_5012","Cannot read file '{0}': {1}."),Failed_to_parse_file_0_Colon_1:Wa(5014,1,"Failed_to_parse_file_0_Colon_1_5014","Failed to parse file '{0}': {1}."),Unknown_compiler_option_0:Wa(5023,1,"Unknown_compiler_option_0_5023","Unknown compiler option '{0}'."),Compiler_option_0_requires_a_value_of_type_1:Wa(5024,1,"Compiler_option_0_requires_a_value_of_type_1_5024","Compiler option '{0}' requires a value of type {1}."),Unknown_compiler_option_0_Did_you_mean_1:Wa(5025,1,"Unknown_compiler_option_0_Did_you_mean_1_5025","Unknown compiler option '{0}'. Did you mean '{1}'?"),Could_not_write_file_0_Colon_1:Wa(5033,1,"Could_not_write_file_0_Colon_1_5033","Could not write file '{0}': {1}."),Option_project_cannot_be_mixed_with_source_files_on_a_command_line:Wa(5042,1,"Option_project_cannot_be_mixed_with_source_files_on_a_command_line_5042","Option 'project' cannot be mixed with source files on a command line."),Option_isolatedModules_can_only_be_used_when_either_option_module_is_provided_or_option_target_is_ES2015_or_higher:Wa(5047,1,"Option_isolatedModules_can_only_be_used_when_either_option_module_is_provided_or_option_target_is_ES_5047","Option 'isolatedModules' can only be used when either option '--module' is provided or option 'target' is 'ES2015' or higher."),Option_0_cannot_be_specified_when_option_target_is_ES3:Wa(5048,1,"Option_0_cannot_be_specified_when_option_target_is_ES3_5048","Option '{0}' cannot be specified when option 'target' is 'ES3'."),Option_0_can_only_be_used_when_either_option_inlineSourceMap_or_option_sourceMap_is_provided:Wa(5051,1,"Option_0_can_only_be_used_when_either_option_inlineSourceMap_or_option_sourceMap_is_provided_5051","Option '{0} can only be used when either option '--inlineSourceMap' or option '--sourceMap' is provided."),Option_0_cannot_be_specified_without_specifying_option_1:Wa(5052,1,"Option_0_cannot_be_specified_without_specifying_option_1_5052","Option '{0}' cannot be specified without specifying option '{1}'."),Option_0_cannot_be_specified_with_option_1:Wa(5053,1,"Option_0_cannot_be_specified_with_option_1_5053","Option '{0}' cannot be specified with option '{1}'."),A_tsconfig_json_file_is_already_defined_at_Colon_0:Wa(5054,1,"A_tsconfig_json_file_is_already_defined_at_Colon_0_5054","A 'tsconfig.json' file is already defined at: '{0}'."),Cannot_write_file_0_because_it_would_overwrite_input_file:Wa(5055,1,"Cannot_write_file_0_because_it_would_overwrite_input_file_5055","Cannot write file '{0}' because it would overwrite input file."),Cannot_write_file_0_because_it_would_be_overwritten_by_multiple_input_files:Wa(5056,1,"Cannot_write_file_0_because_it_would_be_overwritten_by_multiple_input_files_5056","Cannot write file '{0}' because it would be overwritten by multiple input files."),Cannot_find_a_tsconfig_json_file_at_the_specified_directory_Colon_0:Wa(5057,1,"Cannot_find_a_tsconfig_json_file_at_the_specified_directory_Colon_0_5057","Cannot find a tsconfig.json file at the specified directory: '{0}'."),The_specified_path_does_not_exist_Colon_0:Wa(5058,1,"The_specified_path_does_not_exist_Colon_0_5058","The specified path does not exist: '{0}'."),Invalid_value_for_reactNamespace_0_is_not_a_valid_identifier:Wa(5059,1,"Invalid_value_for_reactNamespace_0_is_not_a_valid_identifier_5059","Invalid value for '--reactNamespace'. '{0}' is not a valid identifier."),Pattern_0_can_have_at_most_one_Asterisk_character:Wa(5061,1,"Pattern_0_can_have_at_most_one_Asterisk_character_5061","Pattern '{0}' can have at most one '*' character."),Substitution_0_in_pattern_1_can_have_at_most_one_Asterisk_character:Wa(5062,1,"Substitution_0_in_pattern_1_can_have_at_most_one_Asterisk_character_5062","Substitution '{0}' in pattern '{1}' can have at most one '*' character."),Substitutions_for_pattern_0_should_be_an_array:Wa(5063,1,"Substitutions_for_pattern_0_should_be_an_array_5063","Substitutions for pattern '{0}' should be an array."),Substitution_0_for_pattern_1_has_incorrect_type_expected_string_got_2:Wa(5064,1,"Substitution_0_for_pattern_1_has_incorrect_type_expected_string_got_2_5064","Substitution '{0}' for pattern '{1}' has incorrect type, expected 'string', got '{2}'."),File_specification_cannot_contain_a_parent_directory_that_appears_after_a_recursive_directory_wildcard_Asterisk_Asterisk_Colon_0:Wa(5065,1,"File_specification_cannot_contain_a_parent_directory_that_appears_after_a_recursive_directory_wildca_5065","File specification cannot contain a parent directory ('..') that appears after a recursive directory wildcard ('**'): '{0}'."),Substitutions_for_pattern_0_shouldn_t_be_an_empty_array:Wa(5066,1,"Substitutions_for_pattern_0_shouldn_t_be_an_empty_array_5066","Substitutions for pattern '{0}' shouldn't be an empty array."),Invalid_value_for_jsxFactory_0_is_not_a_valid_identifier_or_qualified_name:Wa(5067,1,"Invalid_value_for_jsxFactory_0_is_not_a_valid_identifier_or_qualified_name_5067","Invalid value for 'jsxFactory'. '{0}' is not a valid identifier or qualified-name."),Adding_a_tsconfig_json_file_will_help_organize_projects_that_contain_both_TypeScript_and_JavaScript_files_Learn_more_at_https_Colon_Slash_Slashaka_ms_Slashtsconfig:Wa(5068,1,"Adding_a_tsconfig_json_file_will_help_organize_projects_that_contain_both_TypeScript_and_JavaScript__5068","Adding a tsconfig.json file will help organize projects that contain both TypeScript and JavaScript files. Learn more at https://aka.ms/tsconfig."),Option_0_cannot_be_specified_without_specifying_option_1_or_option_2:Wa(5069,1,"Option_0_cannot_be_specified_without_specifying_option_1_or_option_2_5069","Option '{0}' cannot be specified without specifying option '{1}' or option '{2}'."),Option_resolveJsonModule_cannot_be_specified_when_moduleResolution_is_set_to_classic:Wa(5070,1,"Option_resolveJsonModule_cannot_be_specified_when_moduleResolution_is_set_to_classic_5070","Option '--resolveJsonModule' cannot be specified when 'moduleResolution' is set to 'classic'."),Option_resolveJsonModule_cannot_be_specified_when_module_is_set_to_none_system_or_umd:Wa(5071,1,"Option_resolveJsonModule_cannot_be_specified_when_module_is_set_to_none_system_or_umd_5071","Option '--resolveJsonModule' cannot be specified when 'module' is set to 'none', 'system', or 'umd'."),Unknown_build_option_0:Wa(5072,1,"Unknown_build_option_0_5072","Unknown build option '{0}'."),Build_option_0_requires_a_value_of_type_1:Wa(5073,1,"Build_option_0_requires_a_value_of_type_1_5073","Build option '{0}' requires a value of type {1}."),Option_incremental_can_only_be_specified_using_tsconfig_emitting_to_single_file_or_when_option_tsBuildInfoFile_is_specified:Wa(5074,1,"Option_incremental_can_only_be_specified_using_tsconfig_emitting_to_single_file_or_when_option_tsBui_5074","Option '--incremental' can only be specified using tsconfig, emitting to single file or when option '--tsBuildInfoFile' is specified."),_0_is_assignable_to_the_constraint_of_type_1_but_1_could_be_instantiated_with_a_different_subtype_of_constraint_2:Wa(5075,1,"_0_is_assignable_to_the_constraint_of_type_1_but_1_could_be_instantiated_with_a_different_subtype_of_5075","'{0}' is assignable to the constraint of type '{1}', but '{1}' could be instantiated with a different subtype of constraint '{2}'."),_0_and_1_operations_cannot_be_mixed_without_parentheses:Wa(5076,1,"_0_and_1_operations_cannot_be_mixed_without_parentheses_5076","'{0}' and '{1}' operations cannot be mixed without parentheses."),Unknown_build_option_0_Did_you_mean_1:Wa(5077,1,"Unknown_build_option_0_Did_you_mean_1_5077","Unknown build option '{0}'. Did you mean '{1}'?"),Unknown_watch_option_0:Wa(5078,1,"Unknown_watch_option_0_5078","Unknown watch option '{0}'."),Unknown_watch_option_0_Did_you_mean_1:Wa(5079,1,"Unknown_watch_option_0_Did_you_mean_1_5079","Unknown watch option '{0}'. Did you mean '{1}'?"),Watch_option_0_requires_a_value_of_type_1:Wa(5080,1,"Watch_option_0_requires_a_value_of_type_1_5080","Watch option '{0}' requires a value of type {1}."),Cannot_find_a_tsconfig_json_file_at_the_current_directory_Colon_0:Wa(5081,1,"Cannot_find_a_tsconfig_json_file_at_the_current_directory_Colon_0_5081","Cannot find a tsconfig.json file at the current directory: {0}."),_0_could_be_instantiated_with_an_arbitrary_type_which_could_be_unrelated_to_1:Wa(5082,1,"_0_could_be_instantiated_with_an_arbitrary_type_which_could_be_unrelated_to_1_5082","'{0}' could be instantiated with an arbitrary type which could be unrelated to '{1}'."),Cannot_read_file_0:Wa(5083,1,"Cannot_read_file_0_5083","Cannot read file '{0}'."),A_tuple_member_cannot_be_both_optional_and_rest:Wa(5085,1,"A_tuple_member_cannot_be_both_optional_and_rest_5085","A tuple member cannot be both optional and rest."),A_labeled_tuple_element_is_declared_as_optional_with_a_question_mark_after_the_name_and_before_the_colon_rather_than_after_the_type:Wa(5086,1,"A_labeled_tuple_element_is_declared_as_optional_with_a_question_mark_after_the_name_and_before_the_c_5086","A labeled tuple element is declared as optional with a question mark after the name and before the colon, rather than after the type."),A_labeled_tuple_element_is_declared_as_rest_with_a_before_the_name_rather_than_before_the_type:Wa(5087,1,"A_labeled_tuple_element_is_declared_as_rest_with_a_before_the_name_rather_than_before_the_type_5087","A labeled tuple element is declared as rest with a '...' before the name, rather than before the type."),The_inferred_type_of_0_references_a_type_with_a_cyclic_structure_which_cannot_be_trivially_serialized_A_type_annotation_is_necessary:Wa(5088,1,"The_inferred_type_of_0_references_a_type_with_a_cyclic_structure_which_cannot_be_trivially_serialize_5088","The inferred type of '{0}' references a type with a cyclic structure which cannot be trivially serialized. A type annotation is necessary."),Option_0_cannot_be_specified_when_option_jsx_is_1:Wa(5089,1,"Option_0_cannot_be_specified_when_option_jsx_is_1_5089","Option '{0}' cannot be specified when option 'jsx' is '{1}'."),Non_relative_paths_are_not_allowed_when_baseUrl_is_not_set_Did_you_forget_a_leading_Slash:Wa(5090,1,"Non_relative_paths_are_not_allowed_when_baseUrl_is_not_set_Did_you_forget_a_leading_Slash_5090","Non-relative paths are not allowed when 'baseUrl' is not set. Did you forget a leading './'?"),Option_preserveConstEnums_cannot_be_disabled_when_0_is_enabled:Wa(5091,1,"Option_preserveConstEnums_cannot_be_disabled_when_0_is_enabled_5091","Option 'preserveConstEnums' cannot be disabled when '{0}' is enabled."),The_root_value_of_a_0_file_must_be_an_object:Wa(5092,1,"The_root_value_of_a_0_file_must_be_an_object_5092","The root value of a '{0}' file must be an object."),Compiler_option_0_may_only_be_used_with_build:Wa(5093,1,"Compiler_option_0_may_only_be_used_with_build_5093","Compiler option '--{0}' may only be used with '--build'."),Compiler_option_0_may_not_be_used_with_build:Wa(5094,1,"Compiler_option_0_may_not_be_used_with_build_5094","Compiler option '--{0}' may not be used with '--build'."),Option_0_can_only_be_used_when_module_is_set_to_preserve_or_to_es2015_or_later:Wa(5095,1,"Option_0_can_only_be_used_when_module_is_set_to_preserve_or_to_es2015_or_later_5095","Option '{0}' can only be used when 'module' is set to 'preserve' or to 'es2015' or later."),Option_allowImportingTsExtensions_can_only_be_used_when_either_noEmit_or_emitDeclarationOnly_is_set:Wa(5096,1,"Option_allowImportingTsExtensions_can_only_be_used_when_either_noEmit_or_emitDeclarationOnly_is_set_5096","Option 'allowImportingTsExtensions' can only be used when either 'noEmit' or 'emitDeclarationOnly' is set."),An_import_path_can_only_end_with_a_0_extension_when_allowImportingTsExtensions_is_enabled:Wa(5097,1,"An_import_path_can_only_end_with_a_0_extension_when_allowImportingTsExtensions_is_enabled_5097","An import path can only end with a '{0}' extension when 'allowImportingTsExtensions' is enabled."),Option_0_can_only_be_used_when_moduleResolution_is_set_to_node16_nodenext_or_bundler:Wa(5098,1,"Option_0_can_only_be_used_when_moduleResolution_is_set_to_node16_nodenext_or_bundler_5098","Option '{0}' can only be used when 'moduleResolution' is set to 'node16', 'nodenext', or 'bundler'."),Option_0_is_deprecated_and_will_stop_functioning_in_TypeScript_1_Specify_compilerOption_ignoreDeprecations_Colon_2_to_silence_this_error:Wa(5101,1,"Option_0_is_deprecated_and_will_stop_functioning_in_TypeScript_1_Specify_compilerOption_ignoreDeprec_5101","Option '{0}' is deprecated and will stop functioning in TypeScript {1}. Specify compilerOption '\"ignoreDeprecations\": \"{2}\"' to silence this error."),Option_0_has_been_removed_Please_remove_it_from_your_configuration:Wa(5102,1,"Option_0_has_been_removed_Please_remove_it_from_your_configuration_5102","Option '{0}' has been removed. Please remove it from your configuration."),Invalid_value_for_ignoreDeprecations:Wa(5103,1,"Invalid_value_for_ignoreDeprecations_5103","Invalid value for '--ignoreDeprecations'."),Option_0_is_redundant_and_cannot_be_specified_with_option_1:Wa(5104,1,"Option_0_is_redundant_and_cannot_be_specified_with_option_1_5104","Option '{0}' is redundant and cannot be specified with option '{1}'."),Option_verbatimModuleSyntax_cannot_be_used_when_module_is_set_to_UMD_AMD_or_System:Wa(5105,1,"Option_verbatimModuleSyntax_cannot_be_used_when_module_is_set_to_UMD_AMD_or_System_5105","Option 'verbatimModuleSyntax' cannot be used when 'module' is set to 'UMD', 'AMD', or 'System'."),Use_0_instead:Wa(5106,3,"Use_0_instead_5106","Use '{0}' instead."),Option_0_1_is_deprecated_and_will_stop_functioning_in_TypeScript_2_Specify_compilerOption_ignoreDeprecations_Colon_3_to_silence_this_error:Wa(5107,1,"Option_0_1_is_deprecated_and_will_stop_functioning_in_TypeScript_2_Specify_compilerOption_ignoreDepr_5107","Option '{0}={1}' is deprecated and will stop functioning in TypeScript {2}. Specify compilerOption '\"ignoreDeprecations\": \"{3}\"' to silence this error."),Option_0_1_has_been_removed_Please_remove_it_from_your_configuration:Wa(5108,1,"Option_0_1_has_been_removed_Please_remove_it_from_your_configuration_5108","Option '{0}={1}' has been removed. Please remove it from your configuration."),Option_moduleResolution_must_be_set_to_0_or_left_unspecified_when_option_module_is_set_to_1:Wa(5109,1,"Option_moduleResolution_must_be_set_to_0_or_left_unspecified_when_option_module_is_set_to_1_5109","Option 'moduleResolution' must be set to '{0}' (or left unspecified) when option 'module' is set to '{1}'."),Option_module_must_be_set_to_0_when_option_moduleResolution_is_set_to_1:Wa(5110,1,"Option_module_must_be_set_to_0_when_option_moduleResolution_is_set_to_1_5110","Option 'module' must be set to '{0}' when option 'moduleResolution' is set to '{1}'."),Generates_a_sourcemap_for_each_corresponding_d_ts_file:Wa(6e3,3,"Generates_a_sourcemap_for_each_corresponding_d_ts_file_6000","Generates a sourcemap for each corresponding '.d.ts' file."),Concatenate_and_emit_output_to_single_file:Wa(6001,3,"Concatenate_and_emit_output_to_single_file_6001","Concatenate and emit output to single file."),Generates_corresponding_d_ts_file:Wa(6002,3,"Generates_corresponding_d_ts_file_6002","Generates corresponding '.d.ts' file."),Specify_the_location_where_debugger_should_locate_TypeScript_files_instead_of_source_locations:Wa(6004,3,"Specify_the_location_where_debugger_should_locate_TypeScript_files_instead_of_source_locations_6004","Specify the location where debugger should locate TypeScript files instead of source locations."),Watch_input_files:Wa(6005,3,"Watch_input_files_6005","Watch input files."),Redirect_output_structure_to_the_directory:Wa(6006,3,"Redirect_output_structure_to_the_directory_6006","Redirect output structure to the directory."),Do_not_erase_const_enum_declarations_in_generated_code:Wa(6007,3,"Do_not_erase_const_enum_declarations_in_generated_code_6007","Do not erase const enum declarations in generated code."),Do_not_emit_outputs_if_any_errors_were_reported:Wa(6008,3,"Do_not_emit_outputs_if_any_errors_were_reported_6008","Do not emit outputs if any errors were reported."),Do_not_emit_comments_to_output:Wa(6009,3,"Do_not_emit_comments_to_output_6009","Do not emit comments to output."),Do_not_emit_outputs:Wa(6010,3,"Do_not_emit_outputs_6010","Do not emit outputs."),Allow_default_imports_from_modules_with_no_default_export_This_does_not_affect_code_emit_just_typechecking:Wa(6011,3,"Allow_default_imports_from_modules_with_no_default_export_This_does_not_affect_code_emit_just_typech_6011","Allow default imports from modules with no default export. This does not affect code emit, just typechecking."),Skip_type_checking_of_declaration_files:Wa(6012,3,"Skip_type_checking_of_declaration_files_6012","Skip type checking of declaration files."),Do_not_resolve_the_real_path_of_symlinks:Wa(6013,3,"Do_not_resolve_the_real_path_of_symlinks_6013","Do not resolve the real path of symlinks."),Only_emit_d_ts_declaration_files:Wa(6014,3,"Only_emit_d_ts_declaration_files_6014","Only emit '.d.ts' declaration files."),Specify_ECMAScript_target_version:Wa(6015,3,"Specify_ECMAScript_target_version_6015","Specify ECMAScript target version."),Specify_module_code_generation:Wa(6016,3,"Specify_module_code_generation_6016","Specify module code generation."),Print_this_message:Wa(6017,3,"Print_this_message_6017","Print this message."),Print_the_compiler_s_version:Wa(6019,3,"Print_the_compiler_s_version_6019","Print the compiler's version."),Compile_the_project_given_the_path_to_its_configuration_file_or_to_a_folder_with_a_tsconfig_json:Wa(6020,3,"Compile_the_project_given_the_path_to_its_configuration_file_or_to_a_folder_with_a_tsconfig_json_6020","Compile the project given the path to its configuration file, or to a folder with a 'tsconfig.json'."),Syntax_Colon_0:Wa(6023,3,"Syntax_Colon_0_6023","Syntax: {0}"),options:Wa(6024,3,"options_6024","options"),file:Wa(6025,3,"file_6025","file"),Examples_Colon_0:Wa(6026,3,"Examples_Colon_0_6026","Examples: {0}"),Options_Colon:Wa(6027,3,"Options_Colon_6027","Options:"),Version_0:Wa(6029,3,"Version_0_6029","Version {0}"),Insert_command_line_options_and_files_from_a_file:Wa(6030,3,"Insert_command_line_options_and_files_from_a_file_6030","Insert command line options and files from a file."),Starting_compilation_in_watch_mode:Wa(6031,3,"Starting_compilation_in_watch_mode_6031","Starting compilation in watch mode..."),File_change_detected_Starting_incremental_compilation:Wa(6032,3,"File_change_detected_Starting_incremental_compilation_6032","File change detected. Starting incremental compilation..."),KIND:Wa(6034,3,"KIND_6034","KIND"),FILE:Wa(6035,3,"FILE_6035","FILE"),VERSION:Wa(6036,3,"VERSION_6036","VERSION"),LOCATION:Wa(6037,3,"LOCATION_6037","LOCATION"),DIRECTORY:Wa(6038,3,"DIRECTORY_6038","DIRECTORY"),STRATEGY:Wa(6039,3,"STRATEGY_6039","STRATEGY"),FILE_OR_DIRECTORY:Wa(6040,3,"FILE_OR_DIRECTORY_6040","FILE OR DIRECTORY"),Errors_Files:Wa(6041,3,"Errors_Files_6041","Errors  Files"),Generates_corresponding_map_file:Wa(6043,3,"Generates_corresponding_map_file_6043","Generates corresponding '.map' file."),Compiler_option_0_expects_an_argument:Wa(6044,1,"Compiler_option_0_expects_an_argument_6044","Compiler option '{0}' expects an argument."),Unterminated_quoted_string_in_response_file_0:Wa(6045,1,"Unterminated_quoted_string_in_response_file_0_6045","Unterminated quoted string in response file '{0}'."),Argument_for_0_option_must_be_Colon_1:Wa(6046,1,"Argument_for_0_option_must_be_Colon_1_6046","Argument for '{0}' option must be: {1}."),Locale_must_be_of_the_form_language_or_language_territory_For_example_0_or_1:Wa(6048,1,"Locale_must_be_of_the_form_language_or_language_territory_For_example_0_or_1_6048","Locale must be of the form <language> or <language>-<territory>. For example '{0}' or '{1}'."),Unable_to_open_file_0:Wa(6050,1,"Unable_to_open_file_0_6050","Unable to open file '{0}'."),Corrupted_locale_file_0:Wa(6051,1,"Corrupted_locale_file_0_6051","Corrupted locale file {0}."),Raise_error_on_expressions_and_declarations_with_an_implied_any_type:Wa(6052,3,"Raise_error_on_expressions_and_declarations_with_an_implied_any_type_6052","Raise error on expressions and declarations with an implied 'any' type."),File_0_not_found:Wa(6053,1,"File_0_not_found_6053","File '{0}' not found."),File_0_has_an_unsupported_extension_The_only_supported_extensions_are_1:Wa(6054,1,"File_0_has_an_unsupported_extension_The_only_supported_extensions_are_1_6054","File '{0}' has an unsupported extension. The only supported extensions are {1}."),Suppress_noImplicitAny_errors_for_indexing_objects_lacking_index_signatures:Wa(6055,3,"Suppress_noImplicitAny_errors_for_indexing_objects_lacking_index_signatures_6055","Suppress noImplicitAny errors for indexing objects lacking index signatures."),Do_not_emit_declarations_for_code_that_has_an_internal_annotation:Wa(6056,3,"Do_not_emit_declarations_for_code_that_has_an_internal_annotation_6056","Do not emit declarations for code that has an '@internal' annotation."),Specify_the_root_directory_of_input_files_Use_to_control_the_output_directory_structure_with_outDir:Wa(6058,3,"Specify_the_root_directory_of_input_files_Use_to_control_the_output_directory_structure_with_outDir_6058","Specify the root directory of input files. Use to control the output directory structure with --outDir."),File_0_is_not_under_rootDir_1_rootDir_is_expected_to_contain_all_source_files:Wa(6059,1,"File_0_is_not_under_rootDir_1_rootDir_is_expected_to_contain_all_source_files_6059","File '{0}' is not under 'rootDir' '{1}'. 'rootDir' is expected to contain all source files."),Specify_the_end_of_line_sequence_to_be_used_when_emitting_files_Colon_CRLF_dos_or_LF_unix:Wa(6060,3,"Specify_the_end_of_line_sequence_to_be_used_when_emitting_files_Colon_CRLF_dos_or_LF_unix_6060","Specify the end of line sequence to be used when emitting files: 'CRLF' (dos) or 'LF' (unix)."),NEWLINE:Wa(6061,3,"NEWLINE_6061","NEWLINE"),Option_0_can_only_be_specified_in_tsconfig_json_file_or_set_to_null_on_command_line:Wa(6064,1,"Option_0_can_only_be_specified_in_tsconfig_json_file_or_set_to_null_on_command_line_6064","Option '{0}' can only be specified in 'tsconfig.json' file or set to 'null' on command line."),Enables_experimental_support_for_ES7_decorators:Wa(6065,3,"Enables_experimental_support_for_ES7_decorators_6065","Enables experimental support for ES7 decorators."),Enables_experimental_support_for_emitting_type_metadata_for_decorators:Wa(6066,3,"Enables_experimental_support_for_emitting_type_metadata_for_decorators_6066","Enables experimental support for emitting type metadata for decorators."),Initializes_a_TypeScript_project_and_creates_a_tsconfig_json_file:Wa(6070,3,"Initializes_a_TypeScript_project_and_creates_a_tsconfig_json_file_6070","Initializes a TypeScript project and creates a tsconfig.json file."),Successfully_created_a_tsconfig_json_file:Wa(6071,3,"Successfully_created_a_tsconfig_json_file_6071","Successfully created a tsconfig.json file."),Suppress_excess_property_checks_for_object_literals:Wa(6072,3,"Suppress_excess_property_checks_for_object_literals_6072","Suppress excess property checks for object literals."),Stylize_errors_and_messages_using_color_and_context_experimental:Wa(6073,3,"Stylize_errors_and_messages_using_color_and_context_experimental_6073","Stylize errors and messages using color and context (experimental)."),Do_not_report_errors_on_unused_labels:Wa(6074,3,"Do_not_report_errors_on_unused_labels_6074","Do not report errors on unused labels."),Report_error_when_not_all_code_paths_in_function_return_a_value:Wa(6075,3,"Report_error_when_not_all_code_paths_in_function_return_a_value_6075","Report error when not all code paths in function return a value."),Report_errors_for_fallthrough_cases_in_switch_statement:Wa(6076,3,"Report_errors_for_fallthrough_cases_in_switch_statement_6076","Report errors for fallthrough cases in switch statement."),Do_not_report_errors_on_unreachable_code:Wa(6077,3,"Do_not_report_errors_on_unreachable_code_6077","Do not report errors on unreachable code."),Disallow_inconsistently_cased_references_to_the_same_file:Wa(6078,3,"Disallow_inconsistently_cased_references_to_the_same_file_6078","Disallow inconsistently-cased references to the same file."),Specify_library_files_to_be_included_in_the_compilation:Wa(6079,3,"Specify_library_files_to_be_included_in_the_compilation_6079","Specify library files to be included in the compilation."),Specify_JSX_code_generation:Wa(6080,3,"Specify_JSX_code_generation_6080","Specify JSX code generation."),Only_amd_and_system_modules_are_supported_alongside_0:Wa(6082,1,"Only_amd_and_system_modules_are_supported_alongside_0_6082","Only 'amd' and 'system' modules are supported alongside --{0}."),Base_directory_to_resolve_non_absolute_module_names:Wa(6083,3,"Base_directory_to_resolve_non_absolute_module_names_6083","Base directory to resolve non-absolute module names."),Deprecated_Use_jsxFactory_instead_Specify_the_object_invoked_for_createElement_when_targeting_react_JSX_emit:Wa(6084,3,"Deprecated_Use_jsxFactory_instead_Specify_the_object_invoked_for_createElement_when_targeting_react__6084","[Deprecated] Use '--jsxFactory' instead. Specify the object invoked for createElement when targeting 'react' JSX emit"),Enable_tracing_of_the_name_resolution_process:Wa(6085,3,"Enable_tracing_of_the_name_resolution_process_6085","Enable tracing of the name resolution process."),Resolving_module_0_from_1:Wa(6086,3,"Resolving_module_0_from_1_6086","======== Resolving module '{0}' from '{1}'. ========"),Explicitly_specified_module_resolution_kind_Colon_0:Wa(6087,3,"Explicitly_specified_module_resolution_kind_Colon_0_6087","Explicitly specified module resolution kind: '{0}'."),Module_resolution_kind_is_not_specified_using_0:Wa(6088,3,"Module_resolution_kind_is_not_specified_using_0_6088","Module resolution kind is not specified, using '{0}'."),Module_name_0_was_successfully_resolved_to_1:Wa(6089,3,"Module_name_0_was_successfully_resolved_to_1_6089","======== Module name '{0}' was successfully resolved to '{1}'. ========"),Module_name_0_was_not_resolved:Wa(6090,3,"Module_name_0_was_not_resolved_6090","======== Module name '{0}' was not resolved. ========"),paths_option_is_specified_looking_for_a_pattern_to_match_module_name_0:Wa(6091,3,"paths_option_is_specified_looking_for_a_pattern_to_match_module_name_0_6091","'paths' option is specified, looking for a pattern to match module name '{0}'."),Module_name_0_matched_pattern_1:Wa(6092,3,"Module_name_0_matched_pattern_1_6092","Module name '{0}', matched pattern '{1}'."),Trying_substitution_0_candidate_module_location_Colon_1:Wa(6093,3,"Trying_substitution_0_candidate_module_location_Colon_1_6093","Trying substitution '{0}', candidate module location: '{1}'."),Resolving_module_name_0_relative_to_base_url_1_2:Wa(6094,3,"Resolving_module_name_0_relative_to_base_url_1_2_6094","Resolving module name '{0}' relative to base url '{1}' - '{2}'."),Loading_module_as_file_Slash_folder_candidate_module_location_0_target_file_types_Colon_1:Wa(6095,3,"Loading_module_as_file_Slash_folder_candidate_module_location_0_target_file_types_Colon_1_6095","Loading module as file / folder, candidate module location '{0}', target file types: {1}."),File_0_does_not_exist:Wa(6096,3,"File_0_does_not_exist_6096","File '{0}' does not exist."),File_0_exists_use_it_as_a_name_resolution_result:Wa(6097,3,"File_0_exists_use_it_as_a_name_resolution_result_6097","File '{0}' exists - use it as a name resolution result."),Loading_module_0_from_node_modules_folder_target_file_types_Colon_1:Wa(6098,3,"Loading_module_0_from_node_modules_folder_target_file_types_Colon_1_6098","Loading module '{0}' from 'node_modules' folder, target file types: {1}."),Found_package_json_at_0:Wa(6099,3,"Found_package_json_at_0_6099","Found 'package.json' at '{0}'."),package_json_does_not_have_a_0_field:Wa(6100,3,"package_json_does_not_have_a_0_field_6100","'package.json' does not have a '{0}' field."),package_json_has_0_field_1_that_references_2:Wa(6101,3,"package_json_has_0_field_1_that_references_2_6101","'package.json' has '{0}' field '{1}' that references '{2}'."),Allow_javascript_files_to_be_compiled:Wa(6102,3,"Allow_javascript_files_to_be_compiled_6102","Allow javascript files to be compiled."),Checking_if_0_is_the_longest_matching_prefix_for_1_2:Wa(6104,3,"Checking_if_0_is_the_longest_matching_prefix_for_1_2_6104","Checking if '{0}' is the longest matching prefix for '{1}' - '{2}'."),Expected_type_of_0_field_in_package_json_to_be_1_got_2:Wa(6105,3,"Expected_type_of_0_field_in_package_json_to_be_1_got_2_6105","Expected type of '{0}' field in 'package.json' to be '{1}', got '{2}'."),baseUrl_option_is_set_to_0_using_this_value_to_resolve_non_relative_module_name_1:Wa(6106,3,"baseUrl_option_is_set_to_0_using_this_value_to_resolve_non_relative_module_name_1_6106","'baseUrl' option is set to '{0}', using this value to resolve non-relative module name '{1}'."),rootDirs_option_is_set_using_it_to_resolve_relative_module_name_0:Wa(6107,3,"rootDirs_option_is_set_using_it_to_resolve_relative_module_name_0_6107","'rootDirs' option is set, using it to resolve relative module name '{0}'."),Longest_matching_prefix_for_0_is_1:Wa(6108,3,"Longest_matching_prefix_for_0_is_1_6108","Longest matching prefix for '{0}' is '{1}'."),Loading_0_from_the_root_dir_1_candidate_location_2:Wa(6109,3,"Loading_0_from_the_root_dir_1_candidate_location_2_6109","Loading '{0}' from the root dir '{1}', candidate location '{2}'."),Trying_other_entries_in_rootDirs:Wa(6110,3,"Trying_other_entries_in_rootDirs_6110","Trying other entries in 'rootDirs'."),Module_resolution_using_rootDirs_has_failed:Wa(6111,3,"Module_resolution_using_rootDirs_has_failed_6111","Module resolution using 'rootDirs' has failed."),Do_not_emit_use_strict_directives_in_module_output:Wa(6112,3,"Do_not_emit_use_strict_directives_in_module_output_6112","Do not emit 'use strict' directives in module output."),Enable_strict_null_checks:Wa(6113,3,"Enable_strict_null_checks_6113","Enable strict null checks."),Unknown_option_excludes_Did_you_mean_exclude:Wa(6114,1,"Unknown_option_excludes_Did_you_mean_exclude_6114","Unknown option 'excludes'. Did you mean 'exclude'?"),Raise_error_on_this_expressions_with_an_implied_any_type:Wa(6115,3,"Raise_error_on_this_expressions_with_an_implied_any_type_6115","Raise error on 'this' expressions with an implied 'any' type."),Resolving_type_reference_directive_0_containing_file_1_root_directory_2:Wa(6116,3,"Resolving_type_reference_directive_0_containing_file_1_root_directory_2_6116","======== Resolving type reference directive '{0}', containing file '{1}', root directory '{2}'. ========"),Type_reference_directive_0_was_successfully_resolved_to_1_primary_Colon_2:Wa(6119,3,"Type_reference_directive_0_was_successfully_resolved_to_1_primary_Colon_2_6119","======== Type reference directive '{0}' was successfully resolved to '{1}', primary: {2}. ========"),Type_reference_directive_0_was_not_resolved:Wa(6120,3,"Type_reference_directive_0_was_not_resolved_6120","======== Type reference directive '{0}' was not resolved. ========"),Resolving_with_primary_search_path_0:Wa(6121,3,"Resolving_with_primary_search_path_0_6121","Resolving with primary search path '{0}'."),Root_directory_cannot_be_determined_skipping_primary_search_paths:Wa(6122,3,"Root_directory_cannot_be_determined_skipping_primary_search_paths_6122","Root directory cannot be determined, skipping primary search paths."),Resolving_type_reference_directive_0_containing_file_1_root_directory_not_set:Wa(6123,3,"Resolving_type_reference_directive_0_containing_file_1_root_directory_not_set_6123","======== Resolving type reference directive '{0}', containing file '{1}', root directory not set. ========"),Type_declaration_files_to_be_included_in_compilation:Wa(6124,3,"Type_declaration_files_to_be_included_in_compilation_6124","Type declaration files to be included in compilation."),Looking_up_in_node_modules_folder_initial_location_0:Wa(6125,3,"Looking_up_in_node_modules_folder_initial_location_0_6125","Looking up in 'node_modules' folder, initial location '{0}'."),Containing_file_is_not_specified_and_root_directory_cannot_be_determined_skipping_lookup_in_node_modules_folder:Wa(6126,3,"Containing_file_is_not_specified_and_root_directory_cannot_be_determined_skipping_lookup_in_node_mod_6126","Containing file is not specified and root directory cannot be determined, skipping lookup in 'node_modules' folder."),Resolving_type_reference_directive_0_containing_file_not_set_root_directory_1:Wa(6127,3,"Resolving_type_reference_directive_0_containing_file_not_set_root_directory_1_6127","======== Resolving type reference directive '{0}', containing file not set, root directory '{1}'. ========"),Resolving_type_reference_directive_0_containing_file_not_set_root_directory_not_set:Wa(6128,3,"Resolving_type_reference_directive_0_containing_file_not_set_root_directory_not_set_6128","======== Resolving type reference directive '{0}', containing file not set, root directory not set. ========"),Resolving_real_path_for_0_result_1:Wa(6130,3,"Resolving_real_path_for_0_result_1_6130","Resolving real path for '{0}', result '{1}'."),Cannot_compile_modules_using_option_0_unless_the_module_flag_is_amd_or_system:Wa(6131,1,"Cannot_compile_modules_using_option_0_unless_the_module_flag_is_amd_or_system_6131","Cannot compile modules using option '{0}' unless the '--module' flag is 'amd' or 'system'."),File_name_0_has_a_1_extension_stripping_it:Wa(6132,3,"File_name_0_has_a_1_extension_stripping_it_6132","File name '{0}' has a '{1}' extension - stripping it."),_0_is_declared_but_its_value_is_never_read:Wa(6133,1,"_0_is_declared_but_its_value_is_never_read_6133","'{0}' is declared but its value is never read.",!0),Report_errors_on_unused_locals:Wa(6134,3,"Report_errors_on_unused_locals_6134","Report errors on unused locals."),Report_errors_on_unused_parameters:Wa(6135,3,"Report_errors_on_unused_parameters_6135","Report errors on unused parameters."),The_maximum_dependency_depth_to_search_under_node_modules_and_load_JavaScript_files:Wa(6136,3,"The_maximum_dependency_depth_to_search_under_node_modules_and_load_JavaScript_files_6136","The maximum dependency depth to search under node_modules and load JavaScript files."),Cannot_import_type_declaration_files_Consider_importing_0_instead_of_1:Wa(6137,1,"Cannot_import_type_declaration_files_Consider_importing_0_instead_of_1_6137","Cannot import type declaration files. Consider importing '{0}' instead of '{1}'."),Property_0_is_declared_but_its_value_is_never_read:Wa(6138,1,"Property_0_is_declared_but_its_value_is_never_read_6138","Property '{0}' is declared but its value is never read.",!0),Import_emit_helpers_from_tslib:Wa(6139,3,"Import_emit_helpers_from_tslib_6139","Import emit helpers from 'tslib'."),Auto_discovery_for_typings_is_enabled_in_project_0_Running_extra_resolution_pass_for_module_1_using_cache_location_2:Wa(6140,1,"Auto_discovery_for_typings_is_enabled_in_project_0_Running_extra_resolution_pass_for_module_1_using__6140","Auto discovery for typings is enabled in project '{0}'. Running extra resolution pass for module '{1}' using cache location '{2}'."),Parse_in_strict_mode_and_emit_use_strict_for_each_source_file:Wa(6141,3,"Parse_in_strict_mode_and_emit_use_strict_for_each_source_file_6141",'Parse in strict mode and emit "use strict" for each source file.'),Module_0_was_resolved_to_1_but_jsx_is_not_set:Wa(6142,1,"Module_0_was_resolved_to_1_but_jsx_is_not_set_6142","Module '{0}' was resolved to '{1}', but '--jsx' is not set."),Module_0_was_resolved_as_locally_declared_ambient_module_in_file_1:Wa(6144,3,"Module_0_was_resolved_as_locally_declared_ambient_module_in_file_1_6144","Module '{0}' was resolved as locally declared ambient module in file '{1}'."),Module_0_was_resolved_as_ambient_module_declared_in_1_since_this_file_was_not_modified:Wa(6145,3,"Module_0_was_resolved_as_ambient_module_declared_in_1_since_this_file_was_not_modified_6145","Module '{0}' was resolved as ambient module declared in '{1}' since this file was not modified."),Specify_the_JSX_factory_function_to_use_when_targeting_react_JSX_emit_e_g_React_createElement_or_h:Wa(6146,3,"Specify_the_JSX_factory_function_to_use_when_targeting_react_JSX_emit_e_g_React_createElement_or_h_6146","Specify the JSX factory function to use when targeting 'react' JSX emit, e.g. 'React.createElement' or 'h'."),Resolution_for_module_0_was_found_in_cache_from_location_1:Wa(6147,3,"Resolution_for_module_0_was_found_in_cache_from_location_1_6147","Resolution for module '{0}' was found in cache from location '{1}'."),Directory_0_does_not_exist_skipping_all_lookups_in_it:Wa(6148,3,"Directory_0_does_not_exist_skipping_all_lookups_in_it_6148","Directory '{0}' does not exist, skipping all lookups in it."),Show_diagnostic_information:Wa(6149,3,"Show_diagnostic_information_6149","Show diagnostic information."),Show_verbose_diagnostic_information:Wa(6150,3,"Show_verbose_diagnostic_information_6150","Show verbose diagnostic information."),Emit_a_single_file_with_source_maps_instead_of_having_a_separate_file:Wa(6151,3,"Emit_a_single_file_with_source_maps_instead_of_having_a_separate_file_6151","Emit a single file with source maps instead of having a separate file."),Emit_the_source_alongside_the_sourcemaps_within_a_single_file_requires_inlineSourceMap_or_sourceMap_to_be_set:Wa(6152,3,"Emit_the_source_alongside_the_sourcemaps_within_a_single_file_requires_inlineSourceMap_or_sourceMap__6152","Emit the source alongside the sourcemaps within a single file; requires '--inlineSourceMap' or '--sourceMap' to be set."),Transpile_each_file_as_a_separate_module_similar_to_ts_transpileModule:Wa(6153,3,"Transpile_each_file_as_a_separate_module_similar_to_ts_transpileModule_6153","Transpile each file as a separate module (similar to 'ts.transpileModule')."),Print_names_of_generated_files_part_of_the_compilation:Wa(6154,3,"Print_names_of_generated_files_part_of_the_compilation_6154","Print names of generated files part of the compilation."),Print_names_of_files_part_of_the_compilation:Wa(6155,3,"Print_names_of_files_part_of_the_compilation_6155","Print names of files part of the compilation."),The_locale_used_when_displaying_messages_to_the_user_e_g_en_us:Wa(6156,3,"The_locale_used_when_displaying_messages_to_the_user_e_g_en_us_6156","The locale used when displaying messages to the user (e.g. 'en-us')"),Do_not_generate_custom_helper_functions_like_extends_in_compiled_output:Wa(6157,3,"Do_not_generate_custom_helper_functions_like_extends_in_compiled_output_6157","Do not generate custom helper functions like '__extends' in compiled output."),Do_not_include_the_default_library_file_lib_d_ts:Wa(6158,3,"Do_not_include_the_default_library_file_lib_d_ts_6158","Do not include the default library file (lib.d.ts)."),Do_not_add_triple_slash_references_or_imported_modules_to_the_list_of_compiled_files:Wa(6159,3,"Do_not_add_triple_slash_references_or_imported_modules_to_the_list_of_compiled_files_6159","Do not add triple-slash references or imported modules to the list of compiled files."),Deprecated_Use_skipLibCheck_instead_Skip_type_checking_of_default_library_declaration_files:Wa(6160,3,"Deprecated_Use_skipLibCheck_instead_Skip_type_checking_of_default_library_declaration_files_6160","[Deprecated] Use '--skipLibCheck' instead. Skip type checking of default library declaration files."),List_of_folders_to_include_type_definitions_from:Wa(6161,3,"List_of_folders_to_include_type_definitions_from_6161","List of folders to include type definitions from."),Disable_size_limitations_on_JavaScript_projects:Wa(6162,3,"Disable_size_limitations_on_JavaScript_projects_6162","Disable size limitations on JavaScript projects."),The_character_set_of_the_input_files:Wa(6163,3,"The_character_set_of_the_input_files_6163","The character set of the input files."),Skipping_module_0_that_looks_like_an_absolute_URI_target_file_types_Colon_1:Wa(6164,3,"Skipping_module_0_that_looks_like_an_absolute_URI_target_file_types_Colon_1_6164","Skipping module '{0}' that looks like an absolute URI, target file types: {1}."),Do_not_truncate_error_messages:Wa(6165,3,"Do_not_truncate_error_messages_6165","Do not truncate error messages."),Output_directory_for_generated_declaration_files:Wa(6166,3,"Output_directory_for_generated_declaration_files_6166","Output directory for generated declaration files."),A_series_of_entries_which_re_map_imports_to_lookup_locations_relative_to_the_baseUrl:Wa(6167,3,"A_series_of_entries_which_re_map_imports_to_lookup_locations_relative_to_the_baseUrl_6167","A series of entries which re-map imports to lookup locations relative to the 'baseUrl'."),List_of_root_folders_whose_combined_content_represents_the_structure_of_the_project_at_runtime:Wa(6168,3,"List_of_root_folders_whose_combined_content_represents_the_structure_of_the_project_at_runtime_6168","List of root folders whose combined content represents the structure of the project at runtime."),Show_all_compiler_options:Wa(6169,3,"Show_all_compiler_options_6169","Show all compiler options."),Deprecated_Use_outFile_instead_Concatenate_and_emit_output_to_single_file:Wa(6170,3,"Deprecated_Use_outFile_instead_Concatenate_and_emit_output_to_single_file_6170","[Deprecated] Use '--outFile' instead. Concatenate and emit output to single file"),Command_line_Options:Wa(6171,3,"Command_line_Options_6171","Command-line Options"),Provide_full_support_for_iterables_in_for_of_spread_and_destructuring_when_targeting_ES5_or_ES3:Wa(6179,3,"Provide_full_support_for_iterables_in_for_of_spread_and_destructuring_when_targeting_ES5_or_ES3_6179","Provide full support for iterables in 'for-of', spread, and destructuring when targeting 'ES5' or 'ES3'."),Enable_all_strict_type_checking_options:Wa(6180,3,"Enable_all_strict_type_checking_options_6180","Enable all strict type-checking options."),Scoped_package_detected_looking_in_0:Wa(6182,3,"Scoped_package_detected_looking_in_0_6182","Scoped package detected, looking in '{0}'"),Reusing_resolution_of_module_0_from_1_of_old_program_it_was_successfully_resolved_to_2:Wa(6183,3,"Reusing_resolution_of_module_0_from_1_of_old_program_it_was_successfully_resolved_to_2_6183","Reusing resolution of module '{0}' from '{1}' of old program, it was successfully resolved to '{2}'."),Reusing_resolution_of_module_0_from_1_of_old_program_it_was_successfully_resolved_to_2_with_Package_ID_3:Wa(6184,3,"Reusing_resolution_of_module_0_from_1_of_old_program_it_was_successfully_resolved_to_2_with_Package__6184","Reusing resolution of module '{0}' from '{1}' of old program, it was successfully resolved to '{2}' with Package ID '{3}'."),Enable_strict_checking_of_function_types:Wa(6186,3,"Enable_strict_checking_of_function_types_6186","Enable strict checking of function types."),Enable_strict_checking_of_property_initialization_in_classes:Wa(6187,3,"Enable_strict_checking_of_property_initialization_in_classes_6187","Enable strict checking of property initialization in classes."),Numeric_separators_are_not_allowed_here:Wa(6188,1,"Numeric_separators_are_not_allowed_here_6188","Numeric separators are not allowed here."),Multiple_consecutive_numeric_separators_are_not_permitted:Wa(6189,1,"Multiple_consecutive_numeric_separators_are_not_permitted_6189","Multiple consecutive numeric separators are not permitted."),Whether_to_keep_outdated_console_output_in_watch_mode_instead_of_clearing_the_screen:Wa(6191,3,"Whether_to_keep_outdated_console_output_in_watch_mode_instead_of_clearing_the_screen_6191","Whether to keep outdated console output in watch mode instead of clearing the screen."),All_imports_in_import_declaration_are_unused:Wa(6192,1,"All_imports_in_import_declaration_are_unused_6192","All imports in import declaration are unused.",!0),Found_1_error_Watching_for_file_changes:Wa(6193,3,"Found_1_error_Watching_for_file_changes_6193","Found 1 error. Watching for file changes."),Found_0_errors_Watching_for_file_changes:Wa(6194,3,"Found_0_errors_Watching_for_file_changes_6194","Found {0} errors. Watching for file changes."),Resolve_keyof_to_string_valued_property_names_only_no_numbers_or_symbols:Wa(6195,3,"Resolve_keyof_to_string_valued_property_names_only_no_numbers_or_symbols_6195","Resolve 'keyof' to string valued property names only (no numbers or symbols)."),_0_is_declared_but_never_used:Wa(6196,1,"_0_is_declared_but_never_used_6196","'{0}' is declared but never used.",!0),Include_modules_imported_with_json_extension:Wa(6197,3,"Include_modules_imported_with_json_extension_6197","Include modules imported with '.json' extension"),All_destructured_elements_are_unused:Wa(6198,1,"All_destructured_elements_are_unused_6198","All destructured elements are unused.",!0),All_variables_are_unused:Wa(6199,1,"All_variables_are_unused_6199","All variables are unused.",!0),Definitions_of_the_following_identifiers_conflict_with_those_in_another_file_Colon_0:Wa(6200,1,"Definitions_of_the_following_identifiers_conflict_with_those_in_another_file_Colon_0_6200","Definitions of the following identifiers conflict with those in another file: {0}"),Conflicts_are_in_this_file:Wa(6201,3,"Conflicts_are_in_this_file_6201","Conflicts are in this file."),Project_references_may_not_form_a_circular_graph_Cycle_detected_Colon_0:Wa(6202,1,"Project_references_may_not_form_a_circular_graph_Cycle_detected_Colon_0_6202","Project references may not form a circular graph. Cycle detected: {0}"),_0_was_also_declared_here:Wa(6203,3,"_0_was_also_declared_here_6203","'{0}' was also declared here."),and_here:Wa(6204,3,"and_here_6204","and here."),All_type_parameters_are_unused:Wa(6205,1,"All_type_parameters_are_unused_6205","All type parameters are unused."),package_json_has_a_typesVersions_field_with_version_specific_path_mappings:Wa(6206,3,"package_json_has_a_typesVersions_field_with_version_specific_path_mappings_6206","'package.json' has a 'typesVersions' field with version-specific path mappings."),package_json_does_not_have_a_typesVersions_entry_that_matches_version_0:Wa(6207,3,"package_json_does_not_have_a_typesVersions_entry_that_matches_version_0_6207","'package.json' does not have a 'typesVersions' entry that matches version '{0}'."),package_json_has_a_typesVersions_entry_0_that_matches_compiler_version_1_looking_for_a_pattern_to_match_module_name_2:Wa(6208,3,"package_json_has_a_typesVersions_entry_0_that_matches_compiler_version_1_looking_for_a_pattern_to_ma_6208","'package.json' has a 'typesVersions' entry '{0}' that matches compiler version '{1}', looking for a pattern to match module name '{2}'."),package_json_has_a_typesVersions_entry_0_that_is_not_a_valid_semver_range:Wa(6209,3,"package_json_has_a_typesVersions_entry_0_that_is_not_a_valid_semver_range_6209","'package.json' has a 'typesVersions' entry '{0}' that is not a valid semver range."),An_argument_for_0_was_not_provided:Wa(6210,3,"An_argument_for_0_was_not_provided_6210","An argument for '{0}' was not provided."),An_argument_matching_this_binding_pattern_was_not_provided:Wa(6211,3,"An_argument_matching_this_binding_pattern_was_not_provided_6211","An argument matching this binding pattern was not provided."),Did_you_mean_to_call_this_expression:Wa(6212,3,"Did_you_mean_to_call_this_expression_6212","Did you mean to call this expression?"),Did_you_mean_to_use_new_with_this_expression:Wa(6213,3,"Did_you_mean_to_use_new_with_this_expression_6213","Did you mean to use 'new' with this expression?"),Enable_strict_bind_call_and_apply_methods_on_functions:Wa(6214,3,"Enable_strict_bind_call_and_apply_methods_on_functions_6214","Enable strict 'bind', 'call', and 'apply' methods on functions."),Using_compiler_options_of_project_reference_redirect_0:Wa(6215,3,"Using_compiler_options_of_project_reference_redirect_0_6215","Using compiler options of project reference redirect '{0}'."),Found_1_error:Wa(6216,3,"Found_1_error_6216","Found 1 error."),Found_0_errors:Wa(6217,3,"Found_0_errors_6217","Found {0} errors."),Module_name_0_was_successfully_resolved_to_1_with_Package_ID_2:Wa(6218,3,"Module_name_0_was_successfully_resolved_to_1_with_Package_ID_2_6218","======== Module name '{0}' was successfully resolved to '{1}' with Package ID '{2}'. ========"),Type_reference_directive_0_was_successfully_resolved_to_1_with_Package_ID_2_primary_Colon_3:Wa(6219,3,"Type_reference_directive_0_was_successfully_resolved_to_1_with_Package_ID_2_primary_Colon_3_6219","======== Type reference directive '{0}' was successfully resolved to '{1}' with Package ID '{2}', primary: {3}. ========"),package_json_had_a_falsy_0_field:Wa(6220,3,"package_json_had_a_falsy_0_field_6220","'package.json' had a falsy '{0}' field."),Disable_use_of_source_files_instead_of_declaration_files_from_referenced_projects:Wa(6221,3,"Disable_use_of_source_files_instead_of_declaration_files_from_referenced_projects_6221","Disable use of source files instead of declaration files from referenced projects."),Emit_class_fields_with_Define_instead_of_Set:Wa(6222,3,"Emit_class_fields_with_Define_instead_of_Set_6222","Emit class fields with Define instead of Set."),Generates_a_CPU_profile:Wa(6223,3,"Generates_a_CPU_profile_6223","Generates a CPU profile."),Disable_solution_searching_for_this_project:Wa(6224,3,"Disable_solution_searching_for_this_project_6224","Disable solution searching for this project."),Specify_strategy_for_watching_file_Colon_FixedPollingInterval_default_PriorityPollingInterval_DynamicPriorityPolling_FixedChunkSizePolling_UseFsEvents_UseFsEventsOnParentDirectory:Wa(6225,3,"Specify_strategy_for_watching_file_Colon_FixedPollingInterval_default_PriorityPollingInterval_Dynami_6225","Specify strategy for watching file: 'FixedPollingInterval' (default), 'PriorityPollingInterval', 'DynamicPriorityPolling', 'FixedChunkSizePolling', 'UseFsEvents', 'UseFsEventsOnParentDirectory'."),Specify_strategy_for_watching_directory_on_platforms_that_don_t_support_recursive_watching_natively_Colon_UseFsEvents_default_FixedPollingInterval_DynamicPriorityPolling_FixedChunkSizePolling:Wa(6226,3,"Specify_strategy_for_watching_directory_on_platforms_that_don_t_support_recursive_watching_natively__6226","Specify strategy for watching directory on platforms that don't support recursive watching natively: 'UseFsEvents' (default), 'FixedPollingInterval', 'DynamicPriorityPolling', 'FixedChunkSizePolling'."),Specify_strategy_for_creating_a_polling_watch_when_it_fails_to_create_using_file_system_events_Colon_FixedInterval_default_PriorityInterval_DynamicPriority_FixedChunkSize:Wa(6227,3,"Specify_strategy_for_creating_a_polling_watch_when_it_fails_to_create_using_file_system_events_Colon_6227","Specify strategy for creating a polling watch when it fails to create using file system events: 'FixedInterval' (default), 'PriorityInterval', 'DynamicPriority', 'FixedChunkSize'."),Tag_0_expects_at_least_1_arguments_but_the_JSX_factory_2_provides_at_most_3:Wa(6229,1,"Tag_0_expects_at_least_1_arguments_but_the_JSX_factory_2_provides_at_most_3_6229","Tag '{0}' expects at least '{1}' arguments, but the JSX factory '{2}' provides at most '{3}'."),Option_0_can_only_be_specified_in_tsconfig_json_file_or_set_to_false_or_null_on_command_line:Wa(6230,1,"Option_0_can_only_be_specified_in_tsconfig_json_file_or_set_to_false_or_null_on_command_line_6230","Option '{0}' can only be specified in 'tsconfig.json' file or set to 'false' or 'null' on command line."),Could_not_resolve_the_path_0_with_the_extensions_Colon_1:Wa(6231,1,"Could_not_resolve_the_path_0_with_the_extensions_Colon_1_6231","Could not resolve the path '{0}' with the extensions: {1}."),Declaration_augments_declaration_in_another_file_This_cannot_be_serialized:Wa(6232,1,"Declaration_augments_declaration_in_another_file_This_cannot_be_serialized_6232","Declaration augments declaration in another file. This cannot be serialized."),This_is_the_declaration_being_augmented_Consider_moving_the_augmenting_declaration_into_the_same_file:Wa(6233,1,"This_is_the_declaration_being_augmented_Consider_moving_the_augmenting_declaration_into_the_same_fil_6233","This is the declaration being augmented. Consider moving the augmenting declaration into the same file."),This_expression_is_not_callable_because_it_is_a_get_accessor_Did_you_mean_to_use_it_without:Wa(6234,1,"This_expression_is_not_callable_because_it_is_a_get_accessor_Did_you_mean_to_use_it_without_6234","This expression is not callable because it is a 'get' accessor. Did you mean to use it without '()'?"),Disable_loading_referenced_projects:Wa(6235,3,"Disable_loading_referenced_projects_6235","Disable loading referenced projects."),Arguments_for_the_rest_parameter_0_were_not_provided:Wa(6236,1,"Arguments_for_the_rest_parameter_0_were_not_provided_6236","Arguments for the rest parameter '{0}' were not provided."),Generates_an_event_trace_and_a_list_of_types:Wa(6237,3,"Generates_an_event_trace_and_a_list_of_types_6237","Generates an event trace and a list of types."),Specify_the_module_specifier_to_be_used_to_import_the_jsx_and_jsxs_factory_functions_from_eg_react:Wa(6238,1,"Specify_the_module_specifier_to_be_used_to_import_the_jsx_and_jsxs_factory_functions_from_eg_react_6238","Specify the module specifier to be used to import the 'jsx' and 'jsxs' factory functions from. eg, react"),File_0_exists_according_to_earlier_cached_lookups:Wa(6239,3,"File_0_exists_according_to_earlier_cached_lookups_6239","File '{0}' exists according to earlier cached lookups."),File_0_does_not_exist_according_to_earlier_cached_lookups:Wa(6240,3,"File_0_does_not_exist_according_to_earlier_cached_lookups_6240","File '{0}' does not exist according to earlier cached lookups."),Resolution_for_type_reference_directive_0_was_found_in_cache_from_location_1:Wa(6241,3,"Resolution_for_type_reference_directive_0_was_found_in_cache_from_location_1_6241","Resolution for type reference directive '{0}' was found in cache from location '{1}'."),Resolving_type_reference_directive_0_containing_file_1:Wa(6242,3,"Resolving_type_reference_directive_0_containing_file_1_6242","======== Resolving type reference directive '{0}', containing file '{1}'. ========"),Interpret_optional_property_types_as_written_rather_than_adding_undefined:Wa(6243,3,"Interpret_optional_property_types_as_written_rather_than_adding_undefined_6243","Interpret optional property types as written, rather than adding 'undefined'."),Modules:Wa(6244,3,"Modules_6244","Modules"),File_Management:Wa(6245,3,"File_Management_6245","File Management"),Emit:Wa(6246,3,"Emit_6246","Emit"),JavaScript_Support:Wa(6247,3,"JavaScript_Support_6247","JavaScript Support"),Type_Checking:Wa(6248,3,"Type_Checking_6248","Type Checking"),Editor_Support:Wa(6249,3,"Editor_Support_6249","Editor Support"),Watch_and_Build_Modes:Wa(6250,3,"Watch_and_Build_Modes_6250","Watch and Build Modes"),Compiler_Diagnostics:Wa(6251,3,"Compiler_Diagnostics_6251","Compiler Diagnostics"),Interop_Constraints:Wa(6252,3,"Interop_Constraints_6252","Interop Constraints"),Backwards_Compatibility:Wa(6253,3,"Backwards_Compatibility_6253","Backwards Compatibility"),Language_and_Environment:Wa(6254,3,"Language_and_Environment_6254","Language and Environment"),Projects:Wa(6255,3,"Projects_6255","Projects"),Output_Formatting:Wa(6256,3,"Output_Formatting_6256","Output Formatting"),Completeness:Wa(6257,3,"Completeness_6257","Completeness"),_0_should_be_set_inside_the_compilerOptions_object_of_the_config_json_file:Wa(6258,1,"_0_should_be_set_inside_the_compilerOptions_object_of_the_config_json_file_6258","'{0}' should be set inside the 'compilerOptions' object of the config json file"),Found_1_error_in_0:Wa(6259,3,"Found_1_error_in_0_6259","Found 1 error in {0}"),Found_0_errors_in_the_same_file_starting_at_Colon_1:Wa(6260,3,"Found_0_errors_in_the_same_file_starting_at_Colon_1_6260","Found {0} errors in the same file, starting at: {1}"),Found_0_errors_in_1_files:Wa(6261,3,"Found_0_errors_in_1_files_6261","Found {0} errors in {1} files."),File_name_0_has_a_1_extension_looking_up_2_instead:Wa(6262,3,"File_name_0_has_a_1_extension_looking_up_2_instead_6262","File name '{0}' has a '{1}' extension - looking up '{2}' instead."),Module_0_was_resolved_to_1_but_allowArbitraryExtensions_is_not_set:Wa(6263,1,"Module_0_was_resolved_to_1_but_allowArbitraryExtensions_is_not_set_6263","Module '{0}' was resolved to '{1}', but '--allowArbitraryExtensions' is not set."),Enable_importing_files_with_any_extension_provided_a_declaration_file_is_present:Wa(6264,3,"Enable_importing_files_with_any_extension_provided_a_declaration_file_is_present_6264","Enable importing files with any extension, provided a declaration file is present."),Resolving_type_reference_directive_for_program_that_specifies_custom_typeRoots_skipping_lookup_in_node_modules_folder:Wa(6265,3,"Resolving_type_reference_directive_for_program_that_specifies_custom_typeRoots_skipping_lookup_in_no_6265","Resolving type reference directive for program that specifies custom typeRoots, skipping lookup in 'node_modules' folder."),Option_0_can_only_be_specified_on_command_line:Wa(6266,1,"Option_0_can_only_be_specified_on_command_line_6266","Option '{0}' can only be specified on command line."),Directory_0_has_no_containing_package_json_scope_Imports_will_not_resolve:Wa(6270,3,"Directory_0_has_no_containing_package_json_scope_Imports_will_not_resolve_6270","Directory '{0}' has no containing package.json scope. Imports will not resolve."),Import_specifier_0_does_not_exist_in_package_json_scope_at_path_1:Wa(6271,3,"Import_specifier_0_does_not_exist_in_package_json_scope_at_path_1_6271","Import specifier '{0}' does not exist in package.json scope at path '{1}'."),Invalid_import_specifier_0_has_no_possible_resolutions:Wa(6272,3,"Invalid_import_specifier_0_has_no_possible_resolutions_6272","Invalid import specifier '{0}' has no possible resolutions."),package_json_scope_0_has_no_imports_defined:Wa(6273,3,"package_json_scope_0_has_no_imports_defined_6273","package.json scope '{0}' has no imports defined."),package_json_scope_0_explicitly_maps_specifier_1_to_null:Wa(6274,3,"package_json_scope_0_explicitly_maps_specifier_1_to_null_6274","package.json scope '{0}' explicitly maps specifier '{1}' to null."),package_json_scope_0_has_invalid_type_for_target_of_specifier_1:Wa(6275,3,"package_json_scope_0_has_invalid_type_for_target_of_specifier_1_6275","package.json scope '{0}' has invalid type for target of specifier '{1}'"),Export_specifier_0_does_not_exist_in_package_json_scope_at_path_1:Wa(6276,3,"Export_specifier_0_does_not_exist_in_package_json_scope_at_path_1_6276","Export specifier '{0}' does not exist in package.json scope at path '{1}'."),Resolution_of_non_relative_name_failed_trying_with_modern_Node_resolution_features_disabled_to_see_if_npm_library_needs_configuration_update:Wa(6277,3,"Resolution_of_non_relative_name_failed_trying_with_modern_Node_resolution_features_disabled_to_see_i_6277","Resolution of non-relative name failed; trying with modern Node resolution features disabled to see if npm library needs configuration update."),There_are_types_at_0_but_this_result_could_not_be_resolved_when_respecting_package_json_exports_The_1_library_may_need_to_update_its_package_json_or_typings:Wa(6278,3,"There_are_types_at_0_but_this_result_could_not_be_resolved_when_respecting_package_json_exports_The__6278","There are types at '{0}', but this result could not be resolved when respecting package.json \"exports\". The '{1}' library may need to update its package.json or typings."),Resolution_of_non_relative_name_failed_trying_with_moduleResolution_bundler_to_see_if_project_may_need_configuration_update:Wa(6279,3,"Resolution_of_non_relative_name_failed_trying_with_moduleResolution_bundler_to_see_if_project_may_ne_6279","Resolution of non-relative name failed; trying with '--moduleResolution bundler' to see if project may need configuration update."),There_are_types_at_0_but_this_result_could_not_be_resolved_under_your_current_moduleResolution_setting_Consider_updating_to_node16_nodenext_or_bundler:Wa(6280,3,"There_are_types_at_0_but_this_result_could_not_be_resolved_under_your_current_moduleResolution_setti_6280","There are types at '{0}', but this result could not be resolved under your current 'moduleResolution' setting. Consider updating to 'node16', 'nodenext', or 'bundler'."),Enable_project_compilation:Wa(6302,3,"Enable_project_compilation_6302","Enable project compilation"),Composite_projects_may_not_disable_declaration_emit:Wa(6304,1,"Composite_projects_may_not_disable_declaration_emit_6304","Composite projects may not disable declaration emit."),Output_file_0_has_not_been_built_from_source_file_1:Wa(6305,1,"Output_file_0_has_not_been_built_from_source_file_1_6305","Output file '{0}' has not been built from source file '{1}'."),Referenced_project_0_must_have_setting_composite_Colon_true:Wa(6306,1,"Referenced_project_0_must_have_setting_composite_Colon_true_6306","Referenced project '{0}' must have setting \"composite\": true."),File_0_is_not_listed_within_the_file_list_of_project_1_Projects_must_list_all_files_or_use_an_include_pattern:Wa(6307,1,"File_0_is_not_listed_within_the_file_list_of_project_1_Projects_must_list_all_files_or_use_an_includ_6307","File '{0}' is not listed within the file list of project '{1}'. Projects must list all files or use an 'include' pattern."),Cannot_prepend_project_0_because_it_does_not_have_outFile_set:Wa(6308,1,"Cannot_prepend_project_0_because_it_does_not_have_outFile_set_6308","Cannot prepend project '{0}' because it does not have 'outFile' set"),Output_file_0_from_project_1_does_not_exist:Wa(6309,1,"Output_file_0_from_project_1_does_not_exist_6309","Output file '{0}' from project '{1}' does not exist"),Referenced_project_0_may_not_disable_emit:Wa(6310,1,"Referenced_project_0_may_not_disable_emit_6310","Referenced project '{0}' may not disable emit."),Project_0_is_out_of_date_because_output_1_is_older_than_input_2:Wa(6350,3,"Project_0_is_out_of_date_because_output_1_is_older_than_input_2_6350","Project '{0}' is out of date because output '{1}' is older than input '{2}'"),Project_0_is_up_to_date_because_newest_input_1_is_older_than_output_2:Wa(6351,3,"Project_0_is_up_to_date_because_newest_input_1_is_older_than_output_2_6351","Project '{0}' is up to date because newest input '{1}' is older than output '{2}'"),Project_0_is_out_of_date_because_output_file_1_does_not_exist:Wa(6352,3,"Project_0_is_out_of_date_because_output_file_1_does_not_exist_6352","Project '{0}' is out of date because output file '{1}' does not exist"),Project_0_is_out_of_date_because_its_dependency_1_is_out_of_date:Wa(6353,3,"Project_0_is_out_of_date_because_its_dependency_1_is_out_of_date_6353","Project '{0}' is out of date because its dependency '{1}' is out of date"),Project_0_is_up_to_date_with_d_ts_files_from_its_dependencies:Wa(6354,3,"Project_0_is_up_to_date_with_d_ts_files_from_its_dependencies_6354","Project '{0}' is up to date with .d.ts files from its dependencies"),Projects_in_this_build_Colon_0:Wa(6355,3,"Projects_in_this_build_Colon_0_6355","Projects in this build: {0}"),A_non_dry_build_would_delete_the_following_files_Colon_0:Wa(6356,3,"A_non_dry_build_would_delete_the_following_files_Colon_0_6356","A non-dry build would delete the following files: {0}"),A_non_dry_build_would_build_project_0:Wa(6357,3,"A_non_dry_build_would_build_project_0_6357","A non-dry build would build project '{0}'"),Building_project_0:Wa(6358,3,"Building_project_0_6358","Building project '{0}'..."),Updating_output_timestamps_of_project_0:Wa(6359,3,"Updating_output_timestamps_of_project_0_6359","Updating output timestamps of project '{0}'..."),Project_0_is_up_to_date:Wa(6361,3,"Project_0_is_up_to_date_6361","Project '{0}' is up to date"),Skipping_build_of_project_0_because_its_dependency_1_has_errors:Wa(6362,3,"Skipping_build_of_project_0_because_its_dependency_1_has_errors_6362","Skipping build of project '{0}' because its dependency '{1}' has errors"),Project_0_can_t_be_built_because_its_dependency_1_has_errors:Wa(6363,3,"Project_0_can_t_be_built_because_its_dependency_1_has_errors_6363","Project '{0}' can't be built because its dependency '{1}' has errors"),Build_one_or_more_projects_and_their_dependencies_if_out_of_date:Wa(6364,3,"Build_one_or_more_projects_and_their_dependencies_if_out_of_date_6364","Build one or more projects and their dependencies, if out of date"),Delete_the_outputs_of_all_projects:Wa(6365,3,"Delete_the_outputs_of_all_projects_6365","Delete the outputs of all projects."),Show_what_would_be_built_or_deleted_if_specified_with_clean:Wa(6367,3,"Show_what_would_be_built_or_deleted_if_specified_with_clean_6367","Show what would be built (or deleted, if specified with '--clean')"),Option_build_must_be_the_first_command_line_argument:Wa(6369,1,"Option_build_must_be_the_first_command_line_argument_6369","Option '--build' must be the first command line argument."),Options_0_and_1_cannot_be_combined:Wa(6370,1,"Options_0_and_1_cannot_be_combined_6370","Options '{0}' and '{1}' cannot be combined."),Updating_unchanged_output_timestamps_of_project_0:Wa(6371,3,"Updating_unchanged_output_timestamps_of_project_0_6371","Updating unchanged output timestamps of project '{0}'..."),Project_0_is_out_of_date_because_output_of_its_dependency_1_has_changed:Wa(6372,3,"Project_0_is_out_of_date_because_output_of_its_dependency_1_has_changed_6372","Project '{0}' is out of date because output of its dependency '{1}' has changed"),Updating_output_of_project_0:Wa(6373,3,"Updating_output_of_project_0_6373","Updating output of project '{0}'..."),A_non_dry_build_would_update_timestamps_for_output_of_project_0:Wa(6374,3,"A_non_dry_build_would_update_timestamps_for_output_of_project_0_6374","A non-dry build would update timestamps for output of project '{0}'"),A_non_dry_build_would_update_output_of_project_0:Wa(6375,3,"A_non_dry_build_would_update_output_of_project_0_6375","A non-dry build would update output of project '{0}'"),Cannot_update_output_of_project_0_because_there_was_error_reading_file_1:Wa(6376,3,"Cannot_update_output_of_project_0_because_there_was_error_reading_file_1_6376","Cannot update output of project '{0}' because there was error reading file '{1}'"),Cannot_write_file_0_because_it_will_overwrite_tsbuildinfo_file_generated_by_referenced_project_1:Wa(6377,1,"Cannot_write_file_0_because_it_will_overwrite_tsbuildinfo_file_generated_by_referenced_project_1_6377","Cannot write file '{0}' because it will overwrite '.tsbuildinfo' file generated by referenced project '{1}'"),Composite_projects_may_not_disable_incremental_compilation:Wa(6379,1,"Composite_projects_may_not_disable_incremental_compilation_6379","Composite projects may not disable incremental compilation."),Specify_file_to_store_incremental_compilation_information:Wa(6380,3,"Specify_file_to_store_incremental_compilation_information_6380","Specify file to store incremental compilation information"),Project_0_is_out_of_date_because_output_for_it_was_generated_with_version_1_that_differs_with_current_version_2:Wa(6381,3,"Project_0_is_out_of_date_because_output_for_it_was_generated_with_version_1_that_differs_with_curren_6381","Project '{0}' is out of date because output for it was generated with version '{1}' that differs with current version '{2}'"),Skipping_build_of_project_0_because_its_dependency_1_was_not_built:Wa(6382,3,"Skipping_build_of_project_0_because_its_dependency_1_was_not_built_6382","Skipping build of project '{0}' because its dependency '{1}' was not built"),Project_0_can_t_be_built_because_its_dependency_1_was_not_built:Wa(6383,3,"Project_0_can_t_be_built_because_its_dependency_1_was_not_built_6383","Project '{0}' can't be built because its dependency '{1}' was not built"),Have_recompiles_in_incremental_and_watch_assume_that_changes_within_a_file_will_only_affect_files_directly_depending_on_it:Wa(6384,3,"Have_recompiles_in_incremental_and_watch_assume_that_changes_within_a_file_will_only_affect_files_di_6384","Have recompiles in '--incremental' and '--watch' assume that changes within a file will only affect files directly depending on it."),_0_is_deprecated:Wa(6385,2,"_0_is_deprecated_6385","'{0}' is deprecated.",void 0,void 0,!0),Performance_timings_for_diagnostics_or_extendedDiagnostics_are_not_available_in_this_session_A_native_implementation_of_the_Web_Performance_API_could_not_be_found:Wa(6386,3,"Performance_timings_for_diagnostics_or_extendedDiagnostics_are_not_available_in_this_session_A_nativ_6386","Performance timings for '--diagnostics' or '--extendedDiagnostics' are not available in this session. A native implementation of the Web Performance API could not be found."),The_signature_0_of_1_is_deprecated:Wa(6387,2,"The_signature_0_of_1_is_deprecated_6387","The signature '{0}' of '{1}' is deprecated.",void 0,void 0,!0),Project_0_is_being_forcibly_rebuilt:Wa(6388,3,"Project_0_is_being_forcibly_rebuilt_6388","Project '{0}' is being forcibly rebuilt"),Reusing_resolution_of_module_0_from_1_of_old_program_it_was_not_resolved:Wa(6389,3,"Reusing_resolution_of_module_0_from_1_of_old_program_it_was_not_resolved_6389","Reusing resolution of module '{0}' from '{1}' of old program, it was not resolved."),Reusing_resolution_of_type_reference_directive_0_from_1_of_old_program_it_was_successfully_resolved_to_2:Wa(6390,3,"Reusing_resolution_of_type_reference_directive_0_from_1_of_old_program_it_was_successfully_resolved__6390","Reusing resolution of type reference directive '{0}' from '{1}' of old program, it was successfully resolved to '{2}'."),Reusing_resolution_of_type_reference_directive_0_from_1_of_old_program_it_was_successfully_resolved_to_2_with_Package_ID_3:Wa(6391,3,"Reusing_resolution_of_type_reference_directive_0_from_1_of_old_program_it_was_successfully_resolved__6391","Reusing resolution of type reference directive '{0}' from '{1}' of old program, it was successfully resolved to '{2}' with Package ID '{3}'."),Reusing_resolution_of_type_reference_directive_0_from_1_of_old_program_it_was_not_resolved:Wa(6392,3,"Reusing_resolution_of_type_reference_directive_0_from_1_of_old_program_it_was_not_resolved_6392","Reusing resolution of type reference directive '{0}' from '{1}' of old program, it was not resolved."),Reusing_resolution_of_module_0_from_1_found_in_cache_from_location_2_it_was_successfully_resolved_to_3:Wa(6393,3,"Reusing_resolution_of_module_0_from_1_found_in_cache_from_location_2_it_was_successfully_resolved_to_6393","Reusing resolution of module '{0}' from '{1}' found in cache from location '{2}', it was successfully resolved to '{3}'."),Reusing_resolution_of_module_0_from_1_found_in_cache_from_location_2_it_was_successfully_resolved_to_3_with_Package_ID_4:Wa(6394,3,"Reusing_resolution_of_module_0_from_1_found_in_cache_from_location_2_it_was_successfully_resolved_to_6394","Reusing resolution of module '{0}' from '{1}' found in cache from location '{2}', it was successfully resolved to '{3}' with Package ID '{4}'."),Reusing_resolution_of_module_0_from_1_found_in_cache_from_location_2_it_was_not_resolved:Wa(6395,3,"Reusing_resolution_of_module_0_from_1_found_in_cache_from_location_2_it_was_not_resolved_6395","Reusing resolution of module '{0}' from '{1}' found in cache from location '{2}', it was not resolved."),Reusing_resolution_of_type_reference_directive_0_from_1_found_in_cache_from_location_2_it_was_successfully_resolved_to_3:Wa(6396,3,"Reusing_resolution_of_type_reference_directive_0_from_1_found_in_cache_from_location_2_it_was_succes_6396","Reusing resolution of type reference directive '{0}' from '{1}' found in cache from location '{2}', it was successfully resolved to '{3}'."),Reusing_resolution_of_type_reference_directive_0_from_1_found_in_cache_from_location_2_it_was_successfully_resolved_to_3_with_Package_ID_4:Wa(6397,3,"Reusing_resolution_of_type_reference_directive_0_from_1_found_in_cache_from_location_2_it_was_succes_6397","Reusing resolution of type reference directive '{0}' from '{1}' found in cache from location '{2}', it was successfully resolved to '{3}' with Package ID '{4}'."),Reusing_resolution_of_type_reference_directive_0_from_1_found_in_cache_from_location_2_it_was_not_resolved:Wa(6398,3,"Reusing_resolution_of_type_reference_directive_0_from_1_found_in_cache_from_location_2_it_was_not_re_6398","Reusing resolution of type reference directive '{0}' from '{1}' found in cache from location '{2}', it was not resolved."),Project_0_is_out_of_date_because_buildinfo_file_1_indicates_that_some_of_the_changes_were_not_emitted:Wa(6399,3,"Project_0_is_out_of_date_because_buildinfo_file_1_indicates_that_some_of_the_changes_were_not_emitte_6399","Project '{0}' is out of date because buildinfo file '{1}' indicates that some of the changes were not emitted"),Project_0_is_up_to_date_but_needs_to_update_timestamps_of_output_files_that_are_older_than_input_files:Wa(6400,3,"Project_0_is_up_to_date_but_needs_to_update_timestamps_of_output_files_that_are_older_than_input_fil_6400","Project '{0}' is up to date but needs to update timestamps of output files that are older than input files"),Project_0_is_out_of_date_because_there_was_error_reading_file_1:Wa(6401,3,"Project_0_is_out_of_date_because_there_was_error_reading_file_1_6401","Project '{0}' is out of date because there was error reading file '{1}'"),Resolving_in_0_mode_with_conditions_1:Wa(6402,3,"Resolving_in_0_mode_with_conditions_1_6402","Resolving in {0} mode with conditions {1}."),Matched_0_condition_1:Wa(6403,3,"Matched_0_condition_1_6403","Matched '{0}' condition '{1}'."),Using_0_subpath_1_with_target_2:Wa(6404,3,"Using_0_subpath_1_with_target_2_6404","Using '{0}' subpath '{1}' with target '{2}'."),Saw_non_matching_condition_0:Wa(6405,3,"Saw_non_matching_condition_0_6405","Saw non-matching condition '{0}'."),Project_0_is_out_of_date_because_buildinfo_file_1_indicates_there_is_change_in_compilerOptions:Wa(6406,3,"Project_0_is_out_of_date_because_buildinfo_file_1_indicates_there_is_change_in_compilerOptions_6406","Project '{0}' is out of date because buildinfo file '{1}' indicates there is change in compilerOptions"),Allow_imports_to_include_TypeScript_file_extensions_Requires_moduleResolution_bundler_and_either_noEmit_or_emitDeclarationOnly_to_be_set:Wa(6407,3,"Allow_imports_to_include_TypeScript_file_extensions_Requires_moduleResolution_bundler_and_either_noE_6407","Allow imports to include TypeScript file extensions. Requires '--moduleResolution bundler' and either '--noEmit' or '--emitDeclarationOnly' to be set."),Use_the_package_json_exports_field_when_resolving_package_imports:Wa(6408,3,"Use_the_package_json_exports_field_when_resolving_package_imports_6408","Use the package.json 'exports' field when resolving package imports."),Use_the_package_json_imports_field_when_resolving_imports:Wa(6409,3,"Use_the_package_json_imports_field_when_resolving_imports_6409","Use the package.json 'imports' field when resolving imports."),Conditions_to_set_in_addition_to_the_resolver_specific_defaults_when_resolving_imports:Wa(6410,3,"Conditions_to_set_in_addition_to_the_resolver_specific_defaults_when_resolving_imports_6410","Conditions to set in addition to the resolver-specific defaults when resolving imports."),true_when_moduleResolution_is_node16_nodenext_or_bundler_otherwise_false:Wa(6411,3,"true_when_moduleResolution_is_node16_nodenext_or_bundler_otherwise_false_6411","`true` when 'moduleResolution' is 'node16', 'nodenext', or 'bundler'; otherwise `false`."),Project_0_is_out_of_date_because_buildinfo_file_1_indicates_that_file_2_was_root_file_of_compilation_but_not_any_more:Wa(6412,3,"Project_0_is_out_of_date_because_buildinfo_file_1_indicates_that_file_2_was_root_file_of_compilation_6412","Project '{0}' is out of date because buildinfo file '{1}' indicates that file '{2}' was root file of compilation but not any more."),Entering_conditional_exports:Wa(6413,3,"Entering_conditional_exports_6413","Entering conditional exports."),Resolved_under_condition_0:Wa(6414,3,"Resolved_under_condition_0_6414","Resolved under condition '{0}'."),Failed_to_resolve_under_condition_0:Wa(6415,3,"Failed_to_resolve_under_condition_0_6415","Failed to resolve under condition '{0}'."),Exiting_conditional_exports:Wa(6416,3,"Exiting_conditional_exports_6416","Exiting conditional exports."),Searching_all_ancestor_node_modules_directories_for_preferred_extensions_Colon_0:Wa(6417,3,"Searching_all_ancestor_node_modules_directories_for_preferred_extensions_Colon_0_6417","Searching all ancestor node_modules directories for preferred extensions: {0}."),Searching_all_ancestor_node_modules_directories_for_fallback_extensions_Colon_0:Wa(6418,3,"Searching_all_ancestor_node_modules_directories_for_fallback_extensions_Colon_0_6418","Searching all ancestor node_modules directories for fallback extensions: {0}."),The_expected_type_comes_from_property_0_which_is_declared_here_on_type_1:Wa(6500,3,"The_expected_type_comes_from_property_0_which_is_declared_here_on_type_1_6500","The expected type comes from property '{0}' which is declared here on type '{1}'"),The_expected_type_comes_from_this_index_signature:Wa(6501,3,"The_expected_type_comes_from_this_index_signature_6501","The expected type comes from this index signature."),The_expected_type_comes_from_the_return_type_of_this_signature:Wa(6502,3,"The_expected_type_comes_from_the_return_type_of_this_signature_6502","The expected type comes from the return type of this signature."),Print_names_of_files_that_are_part_of_the_compilation_and_then_stop_processing:Wa(6503,3,"Print_names_of_files_that_are_part_of_the_compilation_and_then_stop_processing_6503","Print names of files that are part of the compilation and then stop processing."),File_0_is_a_JavaScript_file_Did_you_mean_to_enable_the_allowJs_option:Wa(6504,1,"File_0_is_a_JavaScript_file_Did_you_mean_to_enable_the_allowJs_option_6504","File '{0}' is a JavaScript file. Did you mean to enable the 'allowJs' option?"),Print_names_of_files_and_the_reason_they_are_part_of_the_compilation:Wa(6505,3,"Print_names_of_files_and_the_reason_they_are_part_of_the_compilation_6505","Print names of files and the reason they are part of the compilation."),Consider_adding_a_declare_modifier_to_this_class:Wa(6506,3,"Consider_adding_a_declare_modifier_to_this_class_6506","Consider adding a 'declare' modifier to this class."),Allow_JavaScript_files_to_be_a_part_of_your_program_Use_the_checkJS_option_to_get_errors_from_these_files:Wa(6600,3,"Allow_JavaScript_files_to_be_a_part_of_your_program_Use_the_checkJS_option_to_get_errors_from_these__6600","Allow JavaScript files to be a part of your program. Use the 'checkJS' option to get errors from these files."),Allow_import_x_from_y_when_a_module_doesn_t_have_a_default_export:Wa(6601,3,"Allow_import_x_from_y_when_a_module_doesn_t_have_a_default_export_6601","Allow 'import x from y' when a module doesn't have a default export."),Allow_accessing_UMD_globals_from_modules:Wa(6602,3,"Allow_accessing_UMD_globals_from_modules_6602","Allow accessing UMD globals from modules."),Disable_error_reporting_for_unreachable_code:Wa(6603,3,"Disable_error_reporting_for_unreachable_code_6603","Disable error reporting for unreachable code."),Disable_error_reporting_for_unused_labels:Wa(6604,3,"Disable_error_reporting_for_unused_labels_6604","Disable error reporting for unused labels."),Ensure_use_strict_is_always_emitted:Wa(6605,3,"Ensure_use_strict_is_always_emitted_6605","Ensure 'use strict' is always emitted."),Have_recompiles_in_projects_that_use_incremental_and_watch_mode_assume_that_changes_within_a_file_will_only_affect_files_directly_depending_on_it:Wa(6606,3,"Have_recompiles_in_projects_that_use_incremental_and_watch_mode_assume_that_changes_within_a_file_wi_6606","Have recompiles in projects that use 'incremental' and 'watch' mode assume that changes within a file will only affect files directly depending on it."),Specify_the_base_directory_to_resolve_non_relative_module_names:Wa(6607,3,"Specify_the_base_directory_to_resolve_non_relative_module_names_6607","Specify the base directory to resolve non-relative module names."),No_longer_supported_In_early_versions_manually_set_the_text_encoding_for_reading_files:Wa(6608,3,"No_longer_supported_In_early_versions_manually_set_the_text_encoding_for_reading_files_6608","No longer supported. In early versions, manually set the text encoding for reading files."),Enable_error_reporting_in_type_checked_JavaScript_files:Wa(6609,3,"Enable_error_reporting_in_type_checked_JavaScript_files_6609","Enable error reporting in type-checked JavaScript files."),Enable_constraints_that_allow_a_TypeScript_project_to_be_used_with_project_references:Wa(6611,3,"Enable_constraints_that_allow_a_TypeScript_project_to_be_used_with_project_references_6611","Enable constraints that allow a TypeScript project to be used with project references."),Generate_d_ts_files_from_TypeScript_and_JavaScript_files_in_your_project:Wa(6612,3,"Generate_d_ts_files_from_TypeScript_and_JavaScript_files_in_your_project_6612","Generate .d.ts files from TypeScript and JavaScript files in your project."),Specify_the_output_directory_for_generated_declaration_files:Wa(6613,3,"Specify_the_output_directory_for_generated_declaration_files_6613","Specify the output directory for generated declaration files."),Create_sourcemaps_for_d_ts_files:Wa(6614,3,"Create_sourcemaps_for_d_ts_files_6614","Create sourcemaps for d.ts files."),Output_compiler_performance_information_after_building:Wa(6615,3,"Output_compiler_performance_information_after_building_6615","Output compiler performance information after building."),Disables_inference_for_type_acquisition_by_looking_at_filenames_in_a_project:Wa(6616,3,"Disables_inference_for_type_acquisition_by_looking_at_filenames_in_a_project_6616","Disables inference for type acquisition by looking at filenames in a project."),Reduce_the_number_of_projects_loaded_automatically_by_TypeScript:Wa(6617,3,"Reduce_the_number_of_projects_loaded_automatically_by_TypeScript_6617","Reduce the number of projects loaded automatically by TypeScript."),Remove_the_20mb_cap_on_total_source_code_size_for_JavaScript_files_in_the_TypeScript_language_server:Wa(6618,3,"Remove_the_20mb_cap_on_total_source_code_size_for_JavaScript_files_in_the_TypeScript_language_server_6618","Remove the 20mb cap on total source code size for JavaScript files in the TypeScript language server."),Opt_a_project_out_of_multi_project_reference_checking_when_editing:Wa(6619,3,"Opt_a_project_out_of_multi_project_reference_checking_when_editing_6619","Opt a project out of multi-project reference checking when editing."),Disable_preferring_source_files_instead_of_declaration_files_when_referencing_composite_projects:Wa(6620,3,"Disable_preferring_source_files_instead_of_declaration_files_when_referencing_composite_projects_6620","Disable preferring source files instead of declaration files when referencing composite projects."),Emit_more_compliant_but_verbose_and_less_performant_JavaScript_for_iteration:Wa(6621,3,"Emit_more_compliant_but_verbose_and_less_performant_JavaScript_for_iteration_6621","Emit more compliant, but verbose and less performant JavaScript for iteration."),Emit_a_UTF_8_Byte_Order_Mark_BOM_in_the_beginning_of_output_files:Wa(6622,3,"Emit_a_UTF_8_Byte_Order_Mark_BOM_in_the_beginning_of_output_files_6622","Emit a UTF-8 Byte Order Mark (BOM) in the beginning of output files."),Only_output_d_ts_files_and_not_JavaScript_files:Wa(6623,3,"Only_output_d_ts_files_and_not_JavaScript_files_6623","Only output d.ts files and not JavaScript files."),Emit_design_type_metadata_for_decorated_declarations_in_source_files:Wa(6624,3,"Emit_design_type_metadata_for_decorated_declarations_in_source_files_6624","Emit design-type metadata for decorated declarations in source files."),Disable_the_type_acquisition_for_JavaScript_projects:Wa(6625,3,"Disable_the_type_acquisition_for_JavaScript_projects_6625","Disable the type acquisition for JavaScript projects"),Emit_additional_JavaScript_to_ease_support_for_importing_CommonJS_modules_This_enables_allowSyntheticDefaultImports_for_type_compatibility:Wa(6626,3,"Emit_additional_JavaScript_to_ease_support_for_importing_CommonJS_modules_This_enables_allowSyntheti_6626","Emit additional JavaScript to ease support for importing CommonJS modules. This enables 'allowSyntheticDefaultImports' for type compatibility."),Filters_results_from_the_include_option:Wa(6627,3,"Filters_results_from_the_include_option_6627","Filters results from the `include` option."),Remove_a_list_of_directories_from_the_watch_process:Wa(6628,3,"Remove_a_list_of_directories_from_the_watch_process_6628","Remove a list of directories from the watch process."),Remove_a_list_of_files_from_the_watch_mode_s_processing:Wa(6629,3,"Remove_a_list_of_files_from_the_watch_mode_s_processing_6629","Remove a list of files from the watch mode's processing."),Enable_experimental_support_for_legacy_experimental_decorators:Wa(6630,3,"Enable_experimental_support_for_legacy_experimental_decorators_6630","Enable experimental support for legacy experimental decorators."),Print_files_read_during_the_compilation_including_why_it_was_included:Wa(6631,3,"Print_files_read_during_the_compilation_including_why_it_was_included_6631","Print files read during the compilation including why it was included."),Output_more_detailed_compiler_performance_information_after_building:Wa(6632,3,"Output_more_detailed_compiler_performance_information_after_building_6632","Output more detailed compiler performance information after building."),Specify_one_or_more_path_or_node_module_references_to_base_configuration_files_from_which_settings_are_inherited:Wa(6633,3,"Specify_one_or_more_path_or_node_module_references_to_base_configuration_files_from_which_settings_a_6633","Specify one or more path or node module references to base configuration files from which settings are inherited."),Specify_what_approach_the_watcher_should_use_if_the_system_runs_out_of_native_file_watchers:Wa(6634,3,"Specify_what_approach_the_watcher_should_use_if_the_system_runs_out_of_native_file_watchers_6634","Specify what approach the watcher should use if the system runs out of native file watchers."),Include_a_list_of_files_This_does_not_support_glob_patterns_as_opposed_to_include:Wa(6635,3,"Include_a_list_of_files_This_does_not_support_glob_patterns_as_opposed_to_include_6635","Include a list of files. This does not support glob patterns, as opposed to `include`."),Build_all_projects_including_those_that_appear_to_be_up_to_date:Wa(6636,3,"Build_all_projects_including_those_that_appear_to_be_up_to_date_6636","Build all projects, including those that appear to be up to date."),Ensure_that_casing_is_correct_in_imports:Wa(6637,3,"Ensure_that_casing_is_correct_in_imports_6637","Ensure that casing is correct in imports."),Emit_a_v8_CPU_profile_of_the_compiler_run_for_debugging:Wa(6638,3,"Emit_a_v8_CPU_profile_of_the_compiler_run_for_debugging_6638","Emit a v8 CPU profile of the compiler run for debugging."),Allow_importing_helper_functions_from_tslib_once_per_project_instead_of_including_them_per_file:Wa(6639,3,"Allow_importing_helper_functions_from_tslib_once_per_project_instead_of_including_them_per_file_6639","Allow importing helper functions from tslib once per project, instead of including them per-file."),Specify_a_list_of_glob_patterns_that_match_files_to_be_included_in_compilation:Wa(6641,3,"Specify_a_list_of_glob_patterns_that_match_files_to_be_included_in_compilation_6641","Specify a list of glob patterns that match files to be included in compilation."),Save_tsbuildinfo_files_to_allow_for_incremental_compilation_of_projects:Wa(6642,3,"Save_tsbuildinfo_files_to_allow_for_incremental_compilation_of_projects_6642","Save .tsbuildinfo files to allow for incremental compilation of projects."),Include_sourcemap_files_inside_the_emitted_JavaScript:Wa(6643,3,"Include_sourcemap_files_inside_the_emitted_JavaScript_6643","Include sourcemap files inside the emitted JavaScript."),Include_source_code_in_the_sourcemaps_inside_the_emitted_JavaScript:Wa(6644,3,"Include_source_code_in_the_sourcemaps_inside_the_emitted_JavaScript_6644","Include source code in the sourcemaps inside the emitted JavaScript."),Ensure_that_each_file_can_be_safely_transpiled_without_relying_on_other_imports:Wa(6645,3,"Ensure_that_each_file_can_be_safely_transpiled_without_relying_on_other_imports_6645","Ensure that each file can be safely transpiled without relying on other imports."),Specify_what_JSX_code_is_generated:Wa(6646,3,"Specify_what_JSX_code_is_generated_6646","Specify what JSX code is generated."),Specify_the_JSX_factory_function_used_when_targeting_React_JSX_emit_e_g_React_createElement_or_h:Wa(6647,3,"Specify_the_JSX_factory_function_used_when_targeting_React_JSX_emit_e_g_React_createElement_or_h_6647","Specify the JSX factory function used when targeting React JSX emit, e.g. 'React.createElement' or 'h'."),Specify_the_JSX_Fragment_reference_used_for_fragments_when_targeting_React_JSX_emit_e_g_React_Fragment_or_Fragment:Wa(6648,3,"Specify_the_JSX_Fragment_reference_used_for_fragments_when_targeting_React_JSX_emit_e_g_React_Fragme_6648","Specify the JSX Fragment reference used for fragments when targeting React JSX emit e.g. 'React.Fragment' or 'Fragment'."),Specify_module_specifier_used_to_import_the_JSX_factory_functions_when_using_jsx_Colon_react_jsx_Asterisk:Wa(6649,3,"Specify_module_specifier_used_to_import_the_JSX_factory_functions_when_using_jsx_Colon_react_jsx_Ast_6649","Specify module specifier used to import the JSX factory functions when using 'jsx: react-jsx*'."),Make_keyof_only_return_strings_instead_of_string_numbers_or_symbols_Legacy_option:Wa(6650,3,"Make_keyof_only_return_strings_instead_of_string_numbers_or_symbols_Legacy_option_6650","Make keyof only return strings instead of string, numbers or symbols. Legacy option."),Specify_a_set_of_bundled_library_declaration_files_that_describe_the_target_runtime_environment:Wa(6651,3,"Specify_a_set_of_bundled_library_declaration_files_that_describe_the_target_runtime_environment_6651","Specify a set of bundled library declaration files that describe the target runtime environment."),Print_the_names_of_emitted_files_after_a_compilation:Wa(6652,3,"Print_the_names_of_emitted_files_after_a_compilation_6652","Print the names of emitted files after a compilation."),Print_all_of_the_files_read_during_the_compilation:Wa(6653,3,"Print_all_of_the_files_read_during_the_compilation_6653","Print all of the files read during the compilation."),Set_the_language_of_the_messaging_from_TypeScript_This_does_not_affect_emit:Wa(6654,3,"Set_the_language_of_the_messaging_from_TypeScript_This_does_not_affect_emit_6654","Set the language of the messaging from TypeScript. This does not affect emit."),Specify_the_location_where_debugger_should_locate_map_files_instead_of_generated_locations:Wa(6655,3,"Specify_the_location_where_debugger_should_locate_map_files_instead_of_generated_locations_6655","Specify the location where debugger should locate map files instead of generated locations."),Specify_the_maximum_folder_depth_used_for_checking_JavaScript_files_from_node_modules_Only_applicable_with_allowJs:Wa(6656,3,"Specify_the_maximum_folder_depth_used_for_checking_JavaScript_files_from_node_modules_Only_applicabl_6656","Specify the maximum folder depth used for checking JavaScript files from 'node_modules'. Only applicable with 'allowJs'."),Specify_what_module_code_is_generated:Wa(6657,3,"Specify_what_module_code_is_generated_6657","Specify what module code is generated."),Specify_how_TypeScript_looks_up_a_file_from_a_given_module_specifier:Wa(6658,3,"Specify_how_TypeScript_looks_up_a_file_from_a_given_module_specifier_6658","Specify how TypeScript looks up a file from a given module specifier."),Set_the_newline_character_for_emitting_files:Wa(6659,3,"Set_the_newline_character_for_emitting_files_6659","Set the newline character for emitting files."),Disable_emitting_files_from_a_compilation:Wa(6660,3,"Disable_emitting_files_from_a_compilation_6660","Disable emitting files from a compilation."),Disable_generating_custom_helper_functions_like_extends_in_compiled_output:Wa(6661,3,"Disable_generating_custom_helper_functions_like_extends_in_compiled_output_6661","Disable generating custom helper functions like '__extends' in compiled output."),Disable_emitting_files_if_any_type_checking_errors_are_reported:Wa(6662,3,"Disable_emitting_files_if_any_type_checking_errors_are_reported_6662","Disable emitting files if any type checking errors are reported."),Disable_truncating_types_in_error_messages:Wa(6663,3,"Disable_truncating_types_in_error_messages_6663","Disable truncating types in error messages."),Enable_error_reporting_for_fallthrough_cases_in_switch_statements:Wa(6664,3,"Enable_error_reporting_for_fallthrough_cases_in_switch_statements_6664","Enable error reporting for fallthrough cases in switch statements."),Enable_error_reporting_for_expressions_and_declarations_with_an_implied_any_type:Wa(6665,3,"Enable_error_reporting_for_expressions_and_declarations_with_an_implied_any_type_6665","Enable error reporting for expressions and declarations with an implied 'any' type."),Ensure_overriding_members_in_derived_classes_are_marked_with_an_override_modifier:Wa(6666,3,"Ensure_overriding_members_in_derived_classes_are_marked_with_an_override_modifier_6666","Ensure overriding members in derived classes are marked with an override modifier."),Enable_error_reporting_for_codepaths_that_do_not_explicitly_return_in_a_function:Wa(6667,3,"Enable_error_reporting_for_codepaths_that_do_not_explicitly_return_in_a_function_6667","Enable error reporting for codepaths that do not explicitly return in a function."),Enable_error_reporting_when_this_is_given_the_type_any:Wa(6668,3,"Enable_error_reporting_when_this_is_given_the_type_any_6668","Enable error reporting when 'this' is given the type 'any'."),Disable_adding_use_strict_directives_in_emitted_JavaScript_files:Wa(6669,3,"Disable_adding_use_strict_directives_in_emitted_JavaScript_files_6669","Disable adding 'use strict' directives in emitted JavaScript files."),Disable_including_any_library_files_including_the_default_lib_d_ts:Wa(6670,3,"Disable_including_any_library_files_including_the_default_lib_d_ts_6670","Disable including any library files, including the default lib.d.ts."),Enforces_using_indexed_accessors_for_keys_declared_using_an_indexed_type:Wa(6671,3,"Enforces_using_indexed_accessors_for_keys_declared_using_an_indexed_type_6671","Enforces using indexed accessors for keys declared using an indexed type."),Disallow_import_s_require_s_or_reference_s_from_expanding_the_number_of_files_TypeScript_should_add_to_a_project:Wa(6672,3,"Disallow_import_s_require_s_or_reference_s_from_expanding_the_number_of_files_TypeScript_should_add__6672","Disallow 'import's, 'require's or '<reference>'s from expanding the number of files TypeScript should add to a project."),Disable_strict_checking_of_generic_signatures_in_function_types:Wa(6673,3,"Disable_strict_checking_of_generic_signatures_in_function_types_6673","Disable strict checking of generic signatures in function types."),Add_undefined_to_a_type_when_accessed_using_an_index:Wa(6674,3,"Add_undefined_to_a_type_when_accessed_using_an_index_6674","Add 'undefined' to a type when accessed using an index."),Enable_error_reporting_when_local_variables_aren_t_read:Wa(6675,3,"Enable_error_reporting_when_local_variables_aren_t_read_6675","Enable error reporting when local variables aren't read."),Raise_an_error_when_a_function_parameter_isn_t_read:Wa(6676,3,"Raise_an_error_when_a_function_parameter_isn_t_read_6676","Raise an error when a function parameter isn't read."),Deprecated_setting_Use_outFile_instead:Wa(6677,3,"Deprecated_setting_Use_outFile_instead_6677","Deprecated setting. Use 'outFile' instead."),Specify_an_output_folder_for_all_emitted_files:Wa(6678,3,"Specify_an_output_folder_for_all_emitted_files_6678","Specify an output folder for all emitted files."),Specify_a_file_that_bundles_all_outputs_into_one_JavaScript_file_If_declaration_is_true_also_designates_a_file_that_bundles_all_d_ts_output:Wa(6679,3,"Specify_a_file_that_bundles_all_outputs_into_one_JavaScript_file_If_declaration_is_true_also_designa_6679","Specify a file that bundles all outputs into one JavaScript file. If 'declaration' is true, also designates a file that bundles all .d.ts output."),Specify_a_set_of_entries_that_re_map_imports_to_additional_lookup_locations:Wa(6680,3,"Specify_a_set_of_entries_that_re_map_imports_to_additional_lookup_locations_6680","Specify a set of entries that re-map imports to additional lookup locations."),Specify_a_list_of_language_service_plugins_to_include:Wa(6681,3,"Specify_a_list_of_language_service_plugins_to_include_6681","Specify a list of language service plugins to include."),Disable_erasing_const_enum_declarations_in_generated_code:Wa(6682,3,"Disable_erasing_const_enum_declarations_in_generated_code_6682","Disable erasing 'const enum' declarations in generated code."),Disable_resolving_symlinks_to_their_realpath_This_correlates_to_the_same_flag_in_node:Wa(6683,3,"Disable_resolving_symlinks_to_their_realpath_This_correlates_to_the_same_flag_in_node_6683","Disable resolving symlinks to their realpath. This correlates to the same flag in node."),Disable_wiping_the_console_in_watch_mode:Wa(6684,3,"Disable_wiping_the_console_in_watch_mode_6684","Disable wiping the console in watch mode."),Enable_color_and_formatting_in_TypeScript_s_output_to_make_compiler_errors_easier_to_read:Wa(6685,3,"Enable_color_and_formatting_in_TypeScript_s_output_to_make_compiler_errors_easier_to_read_6685","Enable color and formatting in TypeScript's output to make compiler errors easier to read."),Specify_the_object_invoked_for_createElement_This_only_applies_when_targeting_react_JSX_emit:Wa(6686,3,"Specify_the_object_invoked_for_createElement_This_only_applies_when_targeting_react_JSX_emit_6686","Specify the object invoked for 'createElement'. This only applies when targeting 'react' JSX emit."),Specify_an_array_of_objects_that_specify_paths_for_projects_Used_in_project_references:Wa(6687,3,"Specify_an_array_of_objects_that_specify_paths_for_projects_Used_in_project_references_6687","Specify an array of objects that specify paths for projects. Used in project references."),Disable_emitting_comments:Wa(6688,3,"Disable_emitting_comments_6688","Disable emitting comments."),Enable_importing_json_files:Wa(6689,3,"Enable_importing_json_files_6689","Enable importing .json files."),Specify_the_root_folder_within_your_source_files:Wa(6690,3,"Specify_the_root_folder_within_your_source_files_6690","Specify the root folder within your source files."),Allow_multiple_folders_to_be_treated_as_one_when_resolving_modules:Wa(6691,3,"Allow_multiple_folders_to_be_treated_as_one_when_resolving_modules_6691","Allow multiple folders to be treated as one when resolving modules."),Skip_type_checking_d_ts_files_that_are_included_with_TypeScript:Wa(6692,3,"Skip_type_checking_d_ts_files_that_are_included_with_TypeScript_6692","Skip type checking .d.ts files that are included with TypeScript."),Skip_type_checking_all_d_ts_files:Wa(6693,3,"Skip_type_checking_all_d_ts_files_6693","Skip type checking all .d.ts files."),Create_source_map_files_for_emitted_JavaScript_files:Wa(6694,3,"Create_source_map_files_for_emitted_JavaScript_files_6694","Create source map files for emitted JavaScript files."),Specify_the_root_path_for_debuggers_to_find_the_reference_source_code:Wa(6695,3,"Specify_the_root_path_for_debuggers_to_find_the_reference_source_code_6695","Specify the root path for debuggers to find the reference source code."),Check_that_the_arguments_for_bind_call_and_apply_methods_match_the_original_function:Wa(6697,3,"Check_that_the_arguments_for_bind_call_and_apply_methods_match_the_original_function_6697","Check that the arguments for 'bind', 'call', and 'apply' methods match the original function."),When_assigning_functions_check_to_ensure_parameters_and_the_return_values_are_subtype_compatible:Wa(6698,3,"When_assigning_functions_check_to_ensure_parameters_and_the_return_values_are_subtype_compatible_6698","When assigning functions, check to ensure parameters and the return values are subtype-compatible."),When_type_checking_take_into_account_null_and_undefined:Wa(6699,3,"When_type_checking_take_into_account_null_and_undefined_6699","When type checking, take into account 'null' and 'undefined'."),Check_for_class_properties_that_are_declared_but_not_set_in_the_constructor:Wa(6700,3,"Check_for_class_properties_that_are_declared_but_not_set_in_the_constructor_6700","Check for class properties that are declared but not set in the constructor."),Disable_emitting_declarations_that_have_internal_in_their_JSDoc_comments:Wa(6701,3,"Disable_emitting_declarations_that_have_internal_in_their_JSDoc_comments_6701","Disable emitting declarations that have '@internal' in their JSDoc comments."),Disable_reporting_of_excess_property_errors_during_the_creation_of_object_literals:Wa(6702,3,"Disable_reporting_of_excess_property_errors_during_the_creation_of_object_literals_6702","Disable reporting of excess property errors during the creation of object literals."),Suppress_noImplicitAny_errors_when_indexing_objects_that_lack_index_signatures:Wa(6703,3,"Suppress_noImplicitAny_errors_when_indexing_objects_that_lack_index_signatures_6703","Suppress 'noImplicitAny' errors when indexing objects that lack index signatures."),Synchronously_call_callbacks_and_update_the_state_of_directory_watchers_on_platforms_that_don_t_support_recursive_watching_natively:Wa(6704,3,"Synchronously_call_callbacks_and_update_the_state_of_directory_watchers_on_platforms_that_don_t_supp_6704","Synchronously call callbacks and update the state of directory watchers on platforms that don`t support recursive watching natively."),Set_the_JavaScript_language_version_for_emitted_JavaScript_and_include_compatible_library_declarations:Wa(6705,3,"Set_the_JavaScript_language_version_for_emitted_JavaScript_and_include_compatible_library_declaratio_6705","Set the JavaScript language version for emitted JavaScript and include compatible library declarations."),Log_paths_used_during_the_moduleResolution_process:Wa(6706,3,"Log_paths_used_during_the_moduleResolution_process_6706","Log paths used during the 'moduleResolution' process."),Specify_the_path_to_tsbuildinfo_incremental_compilation_file:Wa(6707,3,"Specify_the_path_to_tsbuildinfo_incremental_compilation_file_6707","Specify the path to .tsbuildinfo incremental compilation file."),Specify_options_for_automatic_acquisition_of_declaration_files:Wa(6709,3,"Specify_options_for_automatic_acquisition_of_declaration_files_6709","Specify options for automatic acquisition of declaration files."),Specify_multiple_folders_that_act_like_Slashnode_modules_Slash_types:Wa(6710,3,"Specify_multiple_folders_that_act_like_Slashnode_modules_Slash_types_6710","Specify multiple folders that act like './node_modules/@types'."),Specify_type_package_names_to_be_included_without_being_referenced_in_a_source_file:Wa(6711,3,"Specify_type_package_names_to_be_included_without_being_referenced_in_a_source_file_6711","Specify type package names to be included without being referenced in a source file."),Emit_ECMAScript_standard_compliant_class_fields:Wa(6712,3,"Emit_ECMAScript_standard_compliant_class_fields_6712","Emit ECMAScript-standard-compliant class fields."),Enable_verbose_logging:Wa(6713,3,"Enable_verbose_logging_6713","Enable verbose logging."),Specify_how_directories_are_watched_on_systems_that_lack_recursive_file_watching_functionality:Wa(6714,3,"Specify_how_directories_are_watched_on_systems_that_lack_recursive_file_watching_functionality_6714","Specify how directories are watched on systems that lack recursive file-watching functionality."),Specify_how_the_TypeScript_watch_mode_works:Wa(6715,3,"Specify_how_the_TypeScript_watch_mode_works_6715","Specify how the TypeScript watch mode works."),Require_undeclared_properties_from_index_signatures_to_use_element_accesses:Wa(6717,3,"Require_undeclared_properties_from_index_signatures_to_use_element_accesses_6717","Require undeclared properties from index signatures to use element accesses."),Specify_emit_Slashchecking_behavior_for_imports_that_are_only_used_for_types:Wa(6718,3,"Specify_emit_Slashchecking_behavior_for_imports_that_are_only_used_for_types_6718","Specify emit/checking behavior for imports that are only used for types."),Default_catch_clause_variables_as_unknown_instead_of_any:Wa(6803,3,"Default_catch_clause_variables_as_unknown_instead_of_any_6803","Default catch clause variables as 'unknown' instead of 'any'."),Do_not_transform_or_elide_any_imports_or_exports_not_marked_as_type_only_ensuring_they_are_written_in_the_output_file_s_format_based_on_the_module_setting:Wa(6804,3,"Do_not_transform_or_elide_any_imports_or_exports_not_marked_as_type_only_ensuring_they_are_written_i_6804","Do not transform or elide any imports or exports not marked as type-only, ensuring they are written in the output file's format based on the 'module' setting."),one_of_Colon:Wa(6900,3,"one_of_Colon_6900","one of:"),one_or_more_Colon:Wa(6901,3,"one_or_more_Colon_6901","one or more:"),type_Colon:Wa(6902,3,"type_Colon_6902","type:"),default_Colon:Wa(6903,3,"default_Colon_6903","default:"),module_system_or_esModuleInterop:Wa(6904,3,"module_system_or_esModuleInterop_6904",'module === "system" or esModuleInterop'),false_unless_strict_is_set:Wa(6905,3,"false_unless_strict_is_set_6905","`false`, unless `strict` is set"),false_unless_composite_is_set:Wa(6906,3,"false_unless_composite_is_set_6906","`false`, unless `composite` is set"),node_modules_bower_components_jspm_packages_plus_the_value_of_outDir_if_one_is_specified:Wa(6907,3,"node_modules_bower_components_jspm_packages_plus_the_value_of_outDir_if_one_is_specified_6907",'`["node_modules", "bower_components", "jspm_packages"]`, plus the value of `outDir` if one is specified.'),if_files_is_specified_otherwise_Asterisk_Asterisk_Slash_Asterisk:Wa(6908,3,"if_files_is_specified_otherwise_Asterisk_Asterisk_Slash_Asterisk_6908",'`[]` if `files` is specified, otherwise `["**/*"]`'),true_if_composite_false_otherwise:Wa(6909,3,"true_if_composite_false_otherwise_6909","`true` if `composite`, `false` otherwise"),module_AMD_or_UMD_or_System_or_ES6_then_Classic_Otherwise_Node:Wa(69010,3,"module_AMD_or_UMD_or_System_or_ES6_then_Classic_Otherwise_Node_69010","module === `AMD` or `UMD` or `System` or `ES6`, then `Classic`, Otherwise `Node`"),Computed_from_the_list_of_input_files:Wa(6911,3,"Computed_from_the_list_of_input_files_6911","Computed from the list of input files"),Platform_specific:Wa(6912,3,"Platform_specific_6912","Platform specific"),You_can_learn_about_all_of_the_compiler_options_at_0:Wa(6913,3,"You_can_learn_about_all_of_the_compiler_options_at_0_6913","You can learn about all of the compiler options at {0}"),Including_watch_w_will_start_watching_the_current_project_for_the_file_changes_Once_set_you_can_config_watch_mode_with_Colon:Wa(6914,3,"Including_watch_w_will_start_watching_the_current_project_for_the_file_changes_Once_set_you_can_conf_6914","Including --watch, -w will start watching the current project for the file changes. Once set, you can config watch mode with:"),Using_build_b_will_make_tsc_behave_more_like_a_build_orchestrator_than_a_compiler_This_is_used_to_trigger_building_composite_projects_which_you_can_learn_more_about_at_0:Wa(6915,3,"Using_build_b_will_make_tsc_behave_more_like_a_build_orchestrator_than_a_compiler_This_is_used_to_tr_6915","Using --build, -b will make tsc behave more like a build orchestrator than a compiler. This is used to trigger building composite projects which you can learn more about at {0}"),COMMON_COMMANDS:Wa(6916,3,"COMMON_COMMANDS_6916","COMMON COMMANDS"),ALL_COMPILER_OPTIONS:Wa(6917,3,"ALL_COMPILER_OPTIONS_6917","ALL COMPILER OPTIONS"),WATCH_OPTIONS:Wa(6918,3,"WATCH_OPTIONS_6918","WATCH OPTIONS"),BUILD_OPTIONS:Wa(6919,3,"BUILD_OPTIONS_6919","BUILD OPTIONS"),COMMON_COMPILER_OPTIONS:Wa(6920,3,"COMMON_COMPILER_OPTIONS_6920","COMMON COMPILER OPTIONS"),COMMAND_LINE_FLAGS:Wa(6921,3,"COMMAND_LINE_FLAGS_6921","COMMAND LINE FLAGS"),tsc_Colon_The_TypeScript_Compiler:Wa(6922,3,"tsc_Colon_The_TypeScript_Compiler_6922","tsc: The TypeScript Compiler"),Compiles_the_current_project_tsconfig_json_in_the_working_directory:Wa(6923,3,"Compiles_the_current_project_tsconfig_json_in_the_working_directory_6923","Compiles the current project (tsconfig.json in the working directory.)"),Ignoring_tsconfig_json_compiles_the_specified_files_with_default_compiler_options:Wa(6924,3,"Ignoring_tsconfig_json_compiles_the_specified_files_with_default_compiler_options_6924","Ignoring tsconfig.json, compiles the specified files with default compiler options."),Build_a_composite_project_in_the_working_directory:Wa(6925,3,"Build_a_composite_project_in_the_working_directory_6925","Build a composite project in the working directory."),Creates_a_tsconfig_json_with_the_recommended_settings_in_the_working_directory:Wa(6926,3,"Creates_a_tsconfig_json_with_the_recommended_settings_in_the_working_directory_6926","Creates a tsconfig.json with the recommended settings in the working directory."),Compiles_the_TypeScript_project_located_at_the_specified_path:Wa(6927,3,"Compiles_the_TypeScript_project_located_at_the_specified_path_6927","Compiles the TypeScript project located at the specified path."),An_expanded_version_of_this_information_showing_all_possible_compiler_options:Wa(6928,3,"An_expanded_version_of_this_information_showing_all_possible_compiler_options_6928","An expanded version of this information, showing all possible compiler options"),Compiles_the_current_project_with_additional_settings:Wa(6929,3,"Compiles_the_current_project_with_additional_settings_6929","Compiles the current project, with additional settings."),true_for_ES2022_and_above_including_ESNext:Wa(6930,3,"true_for_ES2022_and_above_including_ESNext_6930","`true` for ES2022 and above, including ESNext."),List_of_file_name_suffixes_to_search_when_resolving_a_module:Wa(6931,1,"List_of_file_name_suffixes_to_search_when_resolving_a_module_6931","List of file name suffixes to search when resolving a module."),Variable_0_implicitly_has_an_1_type:Wa(7005,1,"Variable_0_implicitly_has_an_1_type_7005","Variable '{0}' implicitly has an '{1}' type."),Parameter_0_implicitly_has_an_1_type:Wa(7006,1,"Parameter_0_implicitly_has_an_1_type_7006","Parameter '{0}' implicitly has an '{1}' type."),Member_0_implicitly_has_an_1_type:Wa(7008,1,"Member_0_implicitly_has_an_1_type_7008","Member '{0}' implicitly has an '{1}' type."),new_expression_whose_target_lacks_a_construct_signature_implicitly_has_an_any_type:Wa(7009,1,"new_expression_whose_target_lacks_a_construct_signature_implicitly_has_an_any_type_7009","'new' expression, whose target lacks a construct signature, implicitly has an 'any' type."),_0_which_lacks_return_type_annotation_implicitly_has_an_1_return_type:Wa(7010,1,"_0_which_lacks_return_type_annotation_implicitly_has_an_1_return_type_7010","'{0}', which lacks return-type annotation, implicitly has an '{1}' return type."),Function_expression_which_lacks_return_type_annotation_implicitly_has_an_0_return_type:Wa(7011,1,"Function_expression_which_lacks_return_type_annotation_implicitly_has_an_0_return_type_7011","Function expression, which lacks return-type annotation, implicitly has an '{0}' return type."),This_overload_implicitly_returns_the_type_0_because_it_lacks_a_return_type_annotation:Wa(7012,1,"This_overload_implicitly_returns_the_type_0_because_it_lacks_a_return_type_annotation_7012","This overload implicitly returns the type '{0}' because it lacks a return type annotation."),Construct_signature_which_lacks_return_type_annotation_implicitly_has_an_any_return_type:Wa(7013,1,"Construct_signature_which_lacks_return_type_annotation_implicitly_has_an_any_return_type_7013","Construct signature, which lacks return-type annotation, implicitly has an 'any' return type."),Function_type_which_lacks_return_type_annotation_implicitly_has_an_0_return_type:Wa(7014,1,"Function_type_which_lacks_return_type_annotation_implicitly_has_an_0_return_type_7014","Function type, which lacks return-type annotation, implicitly has an '{0}' return type."),Element_implicitly_has_an_any_type_because_index_expression_is_not_of_type_number:Wa(7015,1,"Element_implicitly_has_an_any_type_because_index_expression_is_not_of_type_number_7015","Element implicitly has an 'any' type because index expression is not of type 'number'."),Could_not_find_a_declaration_file_for_module_0_1_implicitly_has_an_any_type:Wa(7016,1,"Could_not_find_a_declaration_file_for_module_0_1_implicitly_has_an_any_type_7016","Could not find a declaration file for module '{0}'. '{1}' implicitly has an 'any' type."),Element_implicitly_has_an_any_type_because_type_0_has_no_index_signature:Wa(7017,1,"Element_implicitly_has_an_any_type_because_type_0_has_no_index_signature_7017","Element implicitly has an 'any' type because type '{0}' has no index signature."),Object_literal_s_property_0_implicitly_has_an_1_type:Wa(7018,1,"Object_literal_s_property_0_implicitly_has_an_1_type_7018","Object literal's property '{0}' implicitly has an '{1}' type."),Rest_parameter_0_implicitly_has_an_any_type:Wa(7019,1,"Rest_parameter_0_implicitly_has_an_any_type_7019","Rest parameter '{0}' implicitly has an 'any[]' type."),Call_signature_which_lacks_return_type_annotation_implicitly_has_an_any_return_type:Wa(7020,1,"Call_signature_which_lacks_return_type_annotation_implicitly_has_an_any_return_type_7020","Call signature, which lacks return-type annotation, implicitly has an 'any' return type."),_0_implicitly_has_type_any_because_it_does_not_have_a_type_annotation_and_is_referenced_directly_or_indirectly_in_its_own_initializer:Wa(7022,1,"_0_implicitly_has_type_any_because_it_does_not_have_a_type_annotation_and_is_referenced_directly_or__7022","'{0}' implicitly has type 'any' because it does not have a type annotation and is referenced directly or indirectly in its own initializer."),_0_implicitly_has_return_type_any_because_it_does_not_have_a_return_type_annotation_and_is_referenced_directly_or_indirectly_in_one_of_its_return_expressions:Wa(7023,1,"_0_implicitly_has_return_type_any_because_it_does_not_have_a_return_type_annotation_and_is_reference_7023","'{0}' implicitly has return type 'any' because it does not have a return type annotation and is referenced directly or indirectly in one of its return expressions."),Function_implicitly_has_return_type_any_because_it_does_not_have_a_return_type_annotation_and_is_referenced_directly_or_indirectly_in_one_of_its_return_expressions:Wa(7024,1,"Function_implicitly_has_return_type_any_because_it_does_not_have_a_return_type_annotation_and_is_ref_7024","Function implicitly has return type 'any' because it does not have a return type annotation and is referenced directly or indirectly in one of its return expressions."),Generator_implicitly_has_yield_type_0_because_it_does_not_yield_any_values_Consider_supplying_a_return_type_annotation:Wa(7025,1,"Generator_implicitly_has_yield_type_0_because_it_does_not_yield_any_values_Consider_supplying_a_retu_7025","Generator implicitly has yield type '{0}' because it does not yield any values. Consider supplying a return type annotation."),JSX_element_implicitly_has_type_any_because_no_interface_JSX_0_exists:Wa(7026,1,"JSX_element_implicitly_has_type_any_because_no_interface_JSX_0_exists_7026","JSX element implicitly has type 'any' because no interface 'JSX.{0}' exists."),Unreachable_code_detected:Wa(7027,1,"Unreachable_code_detected_7027","Unreachable code detected.",!0),Unused_label:Wa(7028,1,"Unused_label_7028","Unused label.",!0),Fallthrough_case_in_switch:Wa(7029,1,"Fallthrough_case_in_switch_7029","Fallthrough case in switch."),Not_all_code_paths_return_a_value:Wa(7030,1,"Not_all_code_paths_return_a_value_7030","Not all code paths return a value."),Binding_element_0_implicitly_has_an_1_type:Wa(7031,1,"Binding_element_0_implicitly_has_an_1_type_7031","Binding element '{0}' implicitly has an '{1}' type."),Property_0_implicitly_has_type_any_because_its_set_accessor_lacks_a_parameter_type_annotation:Wa(7032,1,"Property_0_implicitly_has_type_any_because_its_set_accessor_lacks_a_parameter_type_annotation_7032","Property '{0}' implicitly has type 'any', because its set accessor lacks a parameter type annotation."),Property_0_implicitly_has_type_any_because_its_get_accessor_lacks_a_return_type_annotation:Wa(7033,1,"Property_0_implicitly_has_type_any_because_its_get_accessor_lacks_a_return_type_annotation_7033","Property '{0}' implicitly has type 'any', because its get accessor lacks a return type annotation."),Variable_0_implicitly_has_type_1_in_some_locations_where_its_type_cannot_be_determined:Wa(7034,1,"Variable_0_implicitly_has_type_1_in_some_locations_where_its_type_cannot_be_determined_7034","Variable '{0}' implicitly has type '{1}' in some locations where its type cannot be determined."),Try_npm_i_save_dev_types_Slash_1_if_it_exists_or_add_a_new_declaration_d_ts_file_containing_declare_module_0:Wa(7035,1,"Try_npm_i_save_dev_types_Slash_1_if_it_exists_or_add_a_new_declaration_d_ts_file_containing_declare__7035","Try `npm i --save-dev @types/{1}` if it exists or add a new declaration (.d.ts) file containing `declare module '{0}';`"),Dynamic_import_s_specifier_must_be_of_type_string_but_here_has_type_0:Wa(7036,1,"Dynamic_import_s_specifier_must_be_of_type_string_but_here_has_type_0_7036","Dynamic import's specifier must be of type 'string', but here has type '{0}'."),Enables_emit_interoperability_between_CommonJS_and_ES_Modules_via_creation_of_namespace_objects_for_all_imports_Implies_allowSyntheticDefaultImports:Wa(7037,3,"Enables_emit_interoperability_between_CommonJS_and_ES_Modules_via_creation_of_namespace_objects_for__7037","Enables emit interoperability between CommonJS and ES Modules via creation of namespace objects for all imports. Implies 'allowSyntheticDefaultImports'."),Type_originates_at_this_import_A_namespace_style_import_cannot_be_called_or_constructed_and_will_cause_a_failure_at_runtime_Consider_using_a_default_import_or_import_require_here_instead:Wa(7038,3,"Type_originates_at_this_import_A_namespace_style_import_cannot_be_called_or_constructed_and_will_cau_7038","Type originates at this import. A namespace-style import cannot be called or constructed, and will cause a failure at runtime. Consider using a default import or import require here instead."),Mapped_object_type_implicitly_has_an_any_template_type:Wa(7039,1,"Mapped_object_type_implicitly_has_an_any_template_type_7039","Mapped object type implicitly has an 'any' template type."),If_the_0_package_actually_exposes_this_module_consider_sending_a_pull_request_to_amend_https_Colon_Slash_Slashgithub_com_SlashDefinitelyTyped_SlashDefinitelyTyped_Slashtree_Slashmaster_Slashtypes_Slash_1:Wa(7040,1,"If_the_0_package_actually_exposes_this_module_consider_sending_a_pull_request_to_amend_https_Colon_S_7040","If the '{0}' package actually exposes this module, consider sending a pull request to amend 'https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/{1}'"),The_containing_arrow_function_captures_the_global_value_of_this:Wa(7041,1,"The_containing_arrow_function_captures_the_global_value_of_this_7041","The containing arrow function captures the global value of 'this'."),Module_0_was_resolved_to_1_but_resolveJsonModule_is_not_used:Wa(7042,1,"Module_0_was_resolved_to_1_but_resolveJsonModule_is_not_used_7042","Module '{0}' was resolved to '{1}', but '--resolveJsonModule' is not used."),Variable_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage:Wa(7043,2,"Variable_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage_7043","Variable '{0}' implicitly has an '{1}' type, but a better type may be inferred from usage."),Parameter_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage:Wa(7044,2,"Parameter_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage_7044","Parameter '{0}' implicitly has an '{1}' type, but a better type may be inferred from usage."),Member_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage:Wa(7045,2,"Member_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage_7045","Member '{0}' implicitly has an '{1}' type, but a better type may be inferred from usage."),Variable_0_implicitly_has_type_1_in_some_locations_but_a_better_type_may_be_inferred_from_usage:Wa(7046,2,"Variable_0_implicitly_has_type_1_in_some_locations_but_a_better_type_may_be_inferred_from_usage_7046","Variable '{0}' implicitly has type '{1}' in some locations, but a better type may be inferred from usage."),Rest_parameter_0_implicitly_has_an_any_type_but_a_better_type_may_be_inferred_from_usage:Wa(7047,2,"Rest_parameter_0_implicitly_has_an_any_type_but_a_better_type_may_be_inferred_from_usage_7047","Rest parameter '{0}' implicitly has an 'any[]' type, but a better type may be inferred from usage."),Property_0_implicitly_has_type_any_but_a_better_type_for_its_get_accessor_may_be_inferred_from_usage:Wa(7048,2,"Property_0_implicitly_has_type_any_but_a_better_type_for_its_get_accessor_may_be_inferred_from_usage_7048","Property '{0}' implicitly has type 'any', but a better type for its get accessor may be inferred from usage."),Property_0_implicitly_has_type_any_but_a_better_type_for_its_set_accessor_may_be_inferred_from_usage:Wa(7049,2,"Property_0_implicitly_has_type_any_but_a_better_type_for_its_set_accessor_may_be_inferred_from_usage_7049","Property '{0}' implicitly has type 'any', but a better type for its set accessor may be inferred from usage."),_0_implicitly_has_an_1_return_type_but_a_better_type_may_be_inferred_from_usage:Wa(7050,2,"_0_implicitly_has_an_1_return_type_but_a_better_type_may_be_inferred_from_usage_7050","'{0}' implicitly has an '{1}' return type, but a better type may be inferred from usage."),Parameter_has_a_name_but_no_type_Did_you_mean_0_Colon_1:Wa(7051,1,"Parameter_has_a_name_but_no_type_Did_you_mean_0_Colon_1_7051","Parameter has a name but no type. Did you mean '{0}: {1}'?"),Element_implicitly_has_an_any_type_because_type_0_has_no_index_signature_Did_you_mean_to_call_1:Wa(7052,1,"Element_implicitly_has_an_any_type_because_type_0_has_no_index_signature_Did_you_mean_to_call_1_7052","Element implicitly has an 'any' type because type '{0}' has no index signature. Did you mean to call '{1}'?"),Element_implicitly_has_an_any_type_because_expression_of_type_0_can_t_be_used_to_index_type_1:Wa(7053,1,"Element_implicitly_has_an_any_type_because_expression_of_type_0_can_t_be_used_to_index_type_1_7053","Element implicitly has an 'any' type because expression of type '{0}' can't be used to index type '{1}'."),No_index_signature_with_a_parameter_of_type_0_was_found_on_type_1:Wa(7054,1,"No_index_signature_with_a_parameter_of_type_0_was_found_on_type_1_7054","No index signature with a parameter of type '{0}' was found on type '{1}'."),_0_which_lacks_return_type_annotation_implicitly_has_an_1_yield_type:Wa(7055,1,"_0_which_lacks_return_type_annotation_implicitly_has_an_1_yield_type_7055","'{0}', which lacks return-type annotation, implicitly has an '{1}' yield type."),The_inferred_type_of_this_node_exceeds_the_maximum_length_the_compiler_will_serialize_An_explicit_type_annotation_is_needed:Wa(7056,1,"The_inferred_type_of_this_node_exceeds_the_maximum_length_the_compiler_will_serialize_An_explicit_ty_7056","The inferred type of this node exceeds the maximum length the compiler will serialize. An explicit type annotation is needed."),yield_expression_implicitly_results_in_an_any_type_because_its_containing_generator_lacks_a_return_type_annotation:Wa(7057,1,"yield_expression_implicitly_results_in_an_any_type_because_its_containing_generator_lacks_a_return_t_7057","'yield' expression implicitly results in an 'any' type because its containing generator lacks a return-type annotation."),If_the_0_package_actually_exposes_this_module_try_adding_a_new_declaration_d_ts_file_containing_declare_module_1:Wa(7058,1,"If_the_0_package_actually_exposes_this_module_try_adding_a_new_declaration_d_ts_file_containing_decl_7058","If the '{0}' package actually exposes this module, try adding a new declaration (.d.ts) file containing `declare module '{1}';`"),This_syntax_is_reserved_in_files_with_the_mts_or_cts_extension_Use_an_as_expression_instead:Wa(7059,1,"This_syntax_is_reserved_in_files_with_the_mts_or_cts_extension_Use_an_as_expression_instead_7059","This syntax is reserved in files with the .mts or .cts extension. Use an `as` expression instead."),This_syntax_is_reserved_in_files_with_the_mts_or_cts_extension_Add_a_trailing_comma_or_explicit_constraint:Wa(7060,1,"This_syntax_is_reserved_in_files_with_the_mts_or_cts_extension_Add_a_trailing_comma_or_explicit_cons_7060","This syntax is reserved in files with the .mts or .cts extension. Add a trailing comma or explicit constraint."),A_mapped_type_may_not_declare_properties_or_methods:Wa(7061,1,"A_mapped_type_may_not_declare_properties_or_methods_7061","A mapped type may not declare properties or methods."),You_cannot_rename_this_element:Wa(8e3,1,"You_cannot_rename_this_element_8000","You cannot rename this element."),You_cannot_rename_elements_that_are_defined_in_the_standard_TypeScript_library:Wa(8001,1,"You_cannot_rename_elements_that_are_defined_in_the_standard_TypeScript_library_8001","You cannot rename elements that are defined in the standard TypeScript library."),import_can_only_be_used_in_TypeScript_files:Wa(8002,1,"import_can_only_be_used_in_TypeScript_files_8002","'import ... =' can only be used in TypeScript files."),export_can_only_be_used_in_TypeScript_files:Wa(8003,1,"export_can_only_be_used_in_TypeScript_files_8003","'export =' can only be used in TypeScript files."),Type_parameter_declarations_can_only_be_used_in_TypeScript_files:Wa(8004,1,"Type_parameter_declarations_can_only_be_used_in_TypeScript_files_8004","Type parameter declarations can only be used in TypeScript files."),implements_clauses_can_only_be_used_in_TypeScript_files:Wa(8005,1,"implements_clauses_can_only_be_used_in_TypeScript_files_8005","'implements' clauses can only be used in TypeScript files."),_0_declarations_can_only_be_used_in_TypeScript_files:Wa(8006,1,"_0_declarations_can_only_be_used_in_TypeScript_files_8006","'{0}' declarations can only be used in TypeScript files."),Type_aliases_can_only_be_used_in_TypeScript_files:Wa(8008,1,"Type_aliases_can_only_be_used_in_TypeScript_files_8008","Type aliases can only be used in TypeScript files."),The_0_modifier_can_only_be_used_in_TypeScript_files:Wa(8009,1,"The_0_modifier_can_only_be_used_in_TypeScript_files_8009","The '{0}' modifier can only be used in TypeScript files."),Type_annotations_can_only_be_used_in_TypeScript_files:Wa(8010,1,"Type_annotations_can_only_be_used_in_TypeScript_files_8010","Type annotations can only be used in TypeScript files."),Type_arguments_can_only_be_used_in_TypeScript_files:Wa(8011,1,"Type_arguments_can_only_be_used_in_TypeScript_files_8011","Type arguments can only be used in TypeScript files."),Parameter_modifiers_can_only_be_used_in_TypeScript_files:Wa(8012,1,"Parameter_modifiers_can_only_be_used_in_TypeScript_files_8012","Parameter modifiers can only be used in TypeScript files."),Non_null_assertions_can_only_be_used_in_TypeScript_files:Wa(8013,1,"Non_null_assertions_can_only_be_used_in_TypeScript_files_8013","Non-null assertions can only be used in TypeScript files."),Type_assertion_expressions_can_only_be_used_in_TypeScript_files:Wa(8016,1,"Type_assertion_expressions_can_only_be_used_in_TypeScript_files_8016","Type assertion expressions can only be used in TypeScript files."),Signature_declarations_can_only_be_used_in_TypeScript_files:Wa(8017,1,"Signature_declarations_can_only_be_used_in_TypeScript_files_8017","Signature declarations can only be used in TypeScript files."),Report_errors_in_js_files:Wa(8019,3,"Report_errors_in_js_files_8019","Report errors in .js files."),JSDoc_types_can_only_be_used_inside_documentation_comments:Wa(8020,1,"JSDoc_types_can_only_be_used_inside_documentation_comments_8020","JSDoc types can only be used inside documentation comments."),JSDoc_typedef_tag_should_either_have_a_type_annotation_or_be_followed_by_property_or_member_tags:Wa(8021,1,"JSDoc_typedef_tag_should_either_have_a_type_annotation_or_be_followed_by_property_or_member_tags_8021","JSDoc '@typedef' tag should either have a type annotation or be followed by '@property' or '@member' tags."),JSDoc_0_is_not_attached_to_a_class:Wa(8022,1,"JSDoc_0_is_not_attached_to_a_class_8022","JSDoc '@{0}' is not attached to a class."),JSDoc_0_1_does_not_match_the_extends_2_clause:Wa(8023,1,"JSDoc_0_1_does_not_match_the_extends_2_clause_8023","JSDoc '@{0} {1}' does not match the 'extends {2}' clause."),JSDoc_param_tag_has_name_0_but_there_is_no_parameter_with_that_name:Wa(8024,1,"JSDoc_param_tag_has_name_0_but_there_is_no_parameter_with_that_name_8024","JSDoc '@param' tag has name '{0}', but there is no parameter with that name."),Class_declarations_cannot_have_more_than_one_augments_or_extends_tag:Wa(8025,1,"Class_declarations_cannot_have_more_than_one_augments_or_extends_tag_8025","Class declarations cannot have more than one '@augments' or '@extends' tag."),Expected_0_type_arguments_provide_these_with_an_extends_tag:Wa(8026,1,"Expected_0_type_arguments_provide_these_with_an_extends_tag_8026","Expected {0} type arguments; provide these with an '@extends' tag."),Expected_0_1_type_arguments_provide_these_with_an_extends_tag:Wa(8027,1,"Expected_0_1_type_arguments_provide_these_with_an_extends_tag_8027","Expected {0}-{1} type arguments; provide these with an '@extends' tag."),JSDoc_may_only_appear_in_the_last_parameter_of_a_signature:Wa(8028,1,"JSDoc_may_only_appear_in_the_last_parameter_of_a_signature_8028","JSDoc '...' may only appear in the last parameter of a signature."),JSDoc_param_tag_has_name_0_but_there_is_no_parameter_with_that_name_It_would_match_arguments_if_it_had_an_array_type:Wa(8029,1,"JSDoc_param_tag_has_name_0_but_there_is_no_parameter_with_that_name_It_would_match_arguments_if_it_h_8029","JSDoc '@param' tag has name '{0}', but there is no parameter with that name. It would match 'arguments' if it had an array type."),The_type_of_a_function_declaration_must_match_the_function_s_signature:Wa(8030,1,"The_type_of_a_function_declaration_must_match_the_function_s_signature_8030","The type of a function declaration must match the function's signature."),You_cannot_rename_a_module_via_a_global_import:Wa(8031,1,"You_cannot_rename_a_module_via_a_global_import_8031","You cannot rename a module via a global import."),Qualified_name_0_is_not_allowed_without_a_leading_param_object_1:Wa(8032,1,"Qualified_name_0_is_not_allowed_without_a_leading_param_object_1_8032","Qualified name '{0}' is not allowed without a leading '@param {object} {1}'."),A_JSDoc_typedef_comment_may_not_contain_multiple_type_tags:Wa(8033,1,"A_JSDoc_typedef_comment_may_not_contain_multiple_type_tags_8033","A JSDoc '@typedef' comment may not contain multiple '@type' tags."),The_tag_was_first_specified_here:Wa(8034,1,"The_tag_was_first_specified_here_8034","The tag was first specified here."),You_cannot_rename_elements_that_are_defined_in_a_node_modules_folder:Wa(8035,1,"You_cannot_rename_elements_that_are_defined_in_a_node_modules_folder_8035","You cannot rename elements that are defined in a 'node_modules' folder."),You_cannot_rename_elements_that_are_defined_in_another_node_modules_folder:Wa(8036,1,"You_cannot_rename_elements_that_are_defined_in_another_node_modules_folder_8036","You cannot rename elements that are defined in another 'node_modules' folder."),Type_satisfaction_expressions_can_only_be_used_in_TypeScript_files:Wa(8037,1,"Type_satisfaction_expressions_can_only_be_used_in_TypeScript_files_8037","Type satisfaction expressions can only be used in TypeScript files."),Decorators_may_not_appear_after_export_or_export_default_if_they_also_appear_before_export:Wa(8038,1,"Decorators_may_not_appear_after_export_or_export_default_if_they_also_appear_before_export_8038","Decorators may not appear after 'export' or 'export default' if they also appear before 'export'."),A_JSDoc_template_tag_may_not_follow_a_typedef_callback_or_overload_tag:Wa(8039,1,"A_JSDoc_template_tag_may_not_follow_a_typedef_callback_or_overload_tag_8039","A JSDoc '@template' tag may not follow a '@typedef', '@callback', or '@overload' tag"),Declaration_emit_for_this_file_requires_using_private_name_0_An_explicit_type_annotation_may_unblock_declaration_emit:Wa(9005,1,"Declaration_emit_for_this_file_requires_using_private_name_0_An_explicit_type_annotation_may_unblock_9005","Declaration emit for this file requires using private name '{0}'. An explicit type annotation may unblock declaration emit."),Declaration_emit_for_this_file_requires_using_private_name_0_from_module_1_An_explicit_type_annotation_may_unblock_declaration_emit:Wa(9006,1,"Declaration_emit_for_this_file_requires_using_private_name_0_from_module_1_An_explicit_type_annotati_9006","Declaration emit for this file requires using private name '{0}' from module '{1}'. An explicit type annotation may unblock declaration emit."),JSX_attributes_must_only_be_assigned_a_non_empty_expression:Wa(17e3,1,"JSX_attributes_must_only_be_assigned_a_non_empty_expression_17000","JSX attributes must only be assigned a non-empty 'expression'."),JSX_elements_cannot_have_multiple_attributes_with_the_same_name:Wa(17001,1,"JSX_elements_cannot_have_multiple_attributes_with_the_same_name_17001","JSX elements cannot have multiple attributes with the same name."),Expected_corresponding_JSX_closing_tag_for_0:Wa(17002,1,"Expected_corresponding_JSX_closing_tag_for_0_17002","Expected corresponding JSX closing tag for '{0}'."),Cannot_use_JSX_unless_the_jsx_flag_is_provided:Wa(17004,1,"Cannot_use_JSX_unless_the_jsx_flag_is_provided_17004","Cannot use JSX unless the '--jsx' flag is provided."),A_constructor_cannot_contain_a_super_call_when_its_class_extends_null:Wa(17005,1,"A_constructor_cannot_contain_a_super_call_when_its_class_extends_null_17005","A constructor cannot contain a 'super' call when its class extends 'null'."),An_unary_expression_with_the_0_operator_is_not_allowed_in_the_left_hand_side_of_an_exponentiation_expression_Consider_enclosing_the_expression_in_parentheses:Wa(17006,1,"An_unary_expression_with_the_0_operator_is_not_allowed_in_the_left_hand_side_of_an_exponentiation_ex_17006","An unary expression with the '{0}' operator is not allowed in the left-hand side of an exponentiation expression. Consider enclosing the expression in parentheses."),A_type_assertion_expression_is_not_allowed_in_the_left_hand_side_of_an_exponentiation_expression_Consider_enclosing_the_expression_in_parentheses:Wa(17007,1,"A_type_assertion_expression_is_not_allowed_in_the_left_hand_side_of_an_exponentiation_expression_Con_17007","A type assertion expression is not allowed in the left-hand side of an exponentiation expression. Consider enclosing the expression in parentheses."),JSX_element_0_has_no_corresponding_closing_tag:Wa(17008,1,"JSX_element_0_has_no_corresponding_closing_tag_17008","JSX element '{0}' has no corresponding closing tag."),super_must_be_called_before_accessing_this_in_the_constructor_of_a_derived_class:Wa(17009,1,"super_must_be_called_before_accessing_this_in_the_constructor_of_a_derived_class_17009","'super' must be called before accessing 'this' in the constructor of a derived class."),Unknown_type_acquisition_option_0:Wa(17010,1,"Unknown_type_acquisition_option_0_17010","Unknown type acquisition option '{0}'."),super_must_be_called_before_accessing_a_property_of_super_in_the_constructor_of_a_derived_class:Wa(17011,1,"super_must_be_called_before_accessing_a_property_of_super_in_the_constructor_of_a_derived_class_17011","'super' must be called before accessing a property of 'super' in the constructor of a derived class."),_0_is_not_a_valid_meta_property_for_keyword_1_Did_you_mean_2:Wa(17012,1,"_0_is_not_a_valid_meta_property_for_keyword_1_Did_you_mean_2_17012","'{0}' is not a valid meta-property for keyword '{1}'. Did you mean '{2}'?"),Meta_property_0_is_only_allowed_in_the_body_of_a_function_declaration_function_expression_or_constructor:Wa(17013,1,"Meta_property_0_is_only_allowed_in_the_body_of_a_function_declaration_function_expression_or_constru_17013","Meta-property '{0}' is only allowed in the body of a function declaration, function expression, or constructor."),JSX_fragment_has_no_corresponding_closing_tag:Wa(17014,1,"JSX_fragment_has_no_corresponding_closing_tag_17014","JSX fragment has no corresponding closing tag."),Expected_corresponding_closing_tag_for_JSX_fragment:Wa(17015,1,"Expected_corresponding_closing_tag_for_JSX_fragment_17015","Expected corresponding closing tag for JSX fragment."),The_jsxFragmentFactory_compiler_option_must_be_provided_to_use_JSX_fragments_with_the_jsxFactory_compiler_option:Wa(17016,1,"The_jsxFragmentFactory_compiler_option_must_be_provided_to_use_JSX_fragments_with_the_jsxFactory_com_17016","The 'jsxFragmentFactory' compiler option must be provided to use JSX fragments with the 'jsxFactory' compiler option."),An_jsxFrag_pragma_is_required_when_using_an_jsx_pragma_with_JSX_fragments:Wa(17017,1,"An_jsxFrag_pragma_is_required_when_using_an_jsx_pragma_with_JSX_fragments_17017","An @jsxFrag pragma is required when using an @jsx pragma with JSX fragments."),Unknown_type_acquisition_option_0_Did_you_mean_1:Wa(17018,1,"Unknown_type_acquisition_option_0_Did_you_mean_1_17018","Unknown type acquisition option '{0}'. Did you mean '{1}'?"),_0_at_the_end_of_a_type_is_not_valid_TypeScript_syntax_Did_you_mean_to_write_1:Wa(17019,1,"_0_at_the_end_of_a_type_is_not_valid_TypeScript_syntax_Did_you_mean_to_write_1_17019","'{0}' at the end of a type is not valid TypeScript syntax. Did you mean to write '{1}'?"),_0_at_the_start_of_a_type_is_not_valid_TypeScript_syntax_Did_you_mean_to_write_1:Wa(17020,1,"_0_at_the_start_of_a_type_is_not_valid_TypeScript_syntax_Did_you_mean_to_write_1_17020","'{0}' at the start of a type is not valid TypeScript syntax. Did you mean to write '{1}'?"),Unicode_escape_sequence_cannot_appear_here:Wa(17021,1,"Unicode_escape_sequence_cannot_appear_here_17021","Unicode escape sequence cannot appear here."),Circularity_detected_while_resolving_configuration_Colon_0:Wa(18e3,1,"Circularity_detected_while_resolving_configuration_Colon_0_18000","Circularity detected while resolving configuration: {0}"),The_files_list_in_config_file_0_is_empty:Wa(18002,1,"The_files_list_in_config_file_0_is_empty_18002","The 'files' list in config file '{0}' is empty."),No_inputs_were_found_in_config_file_0_Specified_include_paths_were_1_and_exclude_paths_were_2:Wa(18003,1,"No_inputs_were_found_in_config_file_0_Specified_include_paths_were_1_and_exclude_paths_were_2_18003","No inputs were found in config file '{0}'. Specified 'include' paths were '{1}' and 'exclude' paths were '{2}'."),File_is_a_CommonJS_module_it_may_be_converted_to_an_ES_module:Wa(80001,2,"File_is_a_CommonJS_module_it_may_be_converted_to_an_ES_module_80001","File is a CommonJS module; it may be converted to an ES module."),This_constructor_function_may_be_converted_to_a_class_declaration:Wa(80002,2,"This_constructor_function_may_be_converted_to_a_class_declaration_80002","This constructor function may be converted to a class declaration."),Import_may_be_converted_to_a_default_import:Wa(80003,2,"Import_may_be_converted_to_a_default_import_80003","Import may be converted to a default import."),JSDoc_types_may_be_moved_to_TypeScript_types:Wa(80004,2,"JSDoc_types_may_be_moved_to_TypeScript_types_80004","JSDoc types may be moved to TypeScript types."),require_call_may_be_converted_to_an_import:Wa(80005,2,"require_call_may_be_converted_to_an_import_80005","'require' call may be converted to an import."),This_may_be_converted_to_an_async_function:Wa(80006,2,"This_may_be_converted_to_an_async_function_80006","This may be converted to an async function."),await_has_no_effect_on_the_type_of_this_expression:Wa(80007,2,"await_has_no_effect_on_the_type_of_this_expression_80007","'await' has no effect on the type of this expression."),Numeric_literals_with_absolute_values_equal_to_2_53_or_greater_are_too_large_to_be_represented_accurately_as_integers:Wa(80008,2,"Numeric_literals_with_absolute_values_equal_to_2_53_or_greater_are_too_large_to_be_represented_accur_80008","Numeric literals with absolute values equal to 2^53 or greater are too large to be represented accurately as integers."),JSDoc_typedef_may_be_converted_to_TypeScript_type:Wa(80009,2,"JSDoc_typedef_may_be_converted_to_TypeScript_type_80009","JSDoc typedef may be converted to TypeScript type."),JSDoc_typedefs_may_be_converted_to_TypeScript_types:Wa(80010,2,"JSDoc_typedefs_may_be_converted_to_TypeScript_types_80010","JSDoc typedefs may be converted to TypeScript types."),Add_missing_super_call:Wa(90001,3,"Add_missing_super_call_90001","Add missing 'super()' call"),Make_super_call_the_first_statement_in_the_constructor:Wa(90002,3,"Make_super_call_the_first_statement_in_the_constructor_90002","Make 'super()' call the first statement in the constructor"),Change_extends_to_implements:Wa(90003,3,"Change_extends_to_implements_90003","Change 'extends' to 'implements'"),Remove_unused_declaration_for_Colon_0:Wa(90004,3,"Remove_unused_declaration_for_Colon_0_90004","Remove unused declaration for: '{0}'"),Remove_import_from_0:Wa(90005,3,"Remove_import_from_0_90005","Remove import from '{0}'"),Implement_interface_0:Wa(90006,3,"Implement_interface_0_90006","Implement interface '{0}'"),Implement_inherited_abstract_class:Wa(90007,3,"Implement_inherited_abstract_class_90007","Implement inherited abstract class"),Add_0_to_unresolved_variable:Wa(90008,3,"Add_0_to_unresolved_variable_90008","Add '{0}.' to unresolved variable"),Remove_variable_statement:Wa(90010,3,"Remove_variable_statement_90010","Remove variable statement"),Remove_template_tag:Wa(90011,3,"Remove_template_tag_90011","Remove template tag"),Remove_type_parameters:Wa(90012,3,"Remove_type_parameters_90012","Remove type parameters"),Import_0_from_1:Wa(90013,3,"Import_0_from_1_90013","Import '{0}' from \"{1}\""),Change_0_to_1:Wa(90014,3,"Change_0_to_1_90014","Change '{0}' to '{1}'"),Declare_property_0:Wa(90016,3,"Declare_property_0_90016","Declare property '{0}'"),Add_index_signature_for_property_0:Wa(90017,3,"Add_index_signature_for_property_0_90017","Add index signature for property '{0}'"),Disable_checking_for_this_file:Wa(90018,3,"Disable_checking_for_this_file_90018","Disable checking for this file"),Ignore_this_error_message:Wa(90019,3,"Ignore_this_error_message_90019","Ignore this error message"),Initialize_property_0_in_the_constructor:Wa(90020,3,"Initialize_property_0_in_the_constructor_90020","Initialize property '{0}' in the constructor"),Initialize_static_property_0:Wa(90021,3,"Initialize_static_property_0_90021","Initialize static property '{0}'"),Change_spelling_to_0:Wa(90022,3,"Change_spelling_to_0_90022","Change spelling to '{0}'"),Declare_method_0:Wa(90023,3,"Declare_method_0_90023","Declare method '{0}'"),Declare_static_method_0:Wa(90024,3,"Declare_static_method_0_90024","Declare static method '{0}'"),Prefix_0_with_an_underscore:Wa(90025,3,"Prefix_0_with_an_underscore_90025","Prefix '{0}' with an underscore"),Rewrite_as_the_indexed_access_type_0:Wa(90026,3,"Rewrite_as_the_indexed_access_type_0_90026","Rewrite as the indexed access type '{0}'"),Declare_static_property_0:Wa(90027,3,"Declare_static_property_0_90027","Declare static property '{0}'"),Call_decorator_expression:Wa(90028,3,"Call_decorator_expression_90028","Call decorator expression"),Add_async_modifier_to_containing_function:Wa(90029,3,"Add_async_modifier_to_containing_function_90029","Add async modifier to containing function"),Replace_infer_0_with_unknown:Wa(90030,3,"Replace_infer_0_with_unknown_90030","Replace 'infer {0}' with 'unknown'"),Replace_all_unused_infer_with_unknown:Wa(90031,3,"Replace_all_unused_infer_with_unknown_90031","Replace all unused 'infer' with 'unknown'"),Add_parameter_name:Wa(90034,3,"Add_parameter_name_90034","Add parameter name"),Declare_private_property_0:Wa(90035,3,"Declare_private_property_0_90035","Declare private property '{0}'"),Replace_0_with_Promise_1:Wa(90036,3,"Replace_0_with_Promise_1_90036","Replace '{0}' with 'Promise<{1}>'"),Fix_all_incorrect_return_type_of_an_async_functions:Wa(90037,3,"Fix_all_incorrect_return_type_of_an_async_functions_90037","Fix all incorrect return type of an async functions"),Declare_private_method_0:Wa(90038,3,"Declare_private_method_0_90038","Declare private method '{0}'"),Remove_unused_destructuring_declaration:Wa(90039,3,"Remove_unused_destructuring_declaration_90039","Remove unused destructuring declaration"),Remove_unused_declarations_for_Colon_0:Wa(90041,3,"Remove_unused_declarations_for_Colon_0_90041","Remove unused declarations for: '{0}'"),Declare_a_private_field_named_0:Wa(90053,3,"Declare_a_private_field_named_0_90053","Declare a private field named '{0}'."),Includes_imports_of_types_referenced_by_0:Wa(90054,3,"Includes_imports_of_types_referenced_by_0_90054","Includes imports of types referenced by '{0}'"),Remove_type_from_import_declaration_from_0:Wa(90055,3,"Remove_type_from_import_declaration_from_0_90055","Remove 'type' from import declaration from \"{0}\""),Remove_type_from_import_of_0_from_1:Wa(90056,3,"Remove_type_from_import_of_0_from_1_90056","Remove 'type' from import of '{0}' from \"{1}\""),Add_import_from_0:Wa(90057,3,"Add_import_from_0_90057",'Add import from "{0}"'),Update_import_from_0:Wa(90058,3,"Update_import_from_0_90058",'Update import from "{0}"'),Export_0_from_module_1:Wa(90059,3,"Export_0_from_module_1_90059","Export '{0}' from module '{1}'"),Export_all_referenced_locals:Wa(90060,3,"Export_all_referenced_locals_90060","Export all referenced locals"),Convert_function_to_an_ES2015_class:Wa(95001,3,"Convert_function_to_an_ES2015_class_95001","Convert function to an ES2015 class"),Convert_0_to_1_in_0:Wa(95003,3,"Convert_0_to_1_in_0_95003","Convert '{0}' to '{1} in {0}'"),Extract_to_0_in_1:Wa(95004,3,"Extract_to_0_in_1_95004","Extract to {0} in {1}"),Extract_function:Wa(95005,3,"Extract_function_95005","Extract function"),Extract_constant:Wa(95006,3,"Extract_constant_95006","Extract constant"),Extract_to_0_in_enclosing_scope:Wa(95007,3,"Extract_to_0_in_enclosing_scope_95007","Extract to {0} in enclosing scope"),Extract_to_0_in_1_scope:Wa(95008,3,"Extract_to_0_in_1_scope_95008","Extract to {0} in {1} scope"),Annotate_with_type_from_JSDoc:Wa(95009,3,"Annotate_with_type_from_JSDoc_95009","Annotate with type from JSDoc"),Infer_type_of_0_from_usage:Wa(95011,3,"Infer_type_of_0_from_usage_95011","Infer type of '{0}' from usage"),Infer_parameter_types_from_usage:Wa(95012,3,"Infer_parameter_types_from_usage_95012","Infer parameter types from usage"),Convert_to_default_import:Wa(95013,3,"Convert_to_default_import_95013","Convert to default import"),Install_0:Wa(95014,3,"Install_0_95014","Install '{0}'"),Replace_import_with_0:Wa(95015,3,"Replace_import_with_0_95015","Replace import with '{0}'."),Use_synthetic_default_member:Wa(95016,3,"Use_synthetic_default_member_95016","Use synthetic 'default' member."),Convert_to_ES_module:Wa(95017,3,"Convert_to_ES_module_95017","Convert to ES module"),Add_undefined_type_to_property_0:Wa(95018,3,"Add_undefined_type_to_property_0_95018","Add 'undefined' type to property '{0}'"),Add_initializer_to_property_0:Wa(95019,3,"Add_initializer_to_property_0_95019","Add initializer to property '{0}'"),Add_definite_assignment_assertion_to_property_0:Wa(95020,3,"Add_definite_assignment_assertion_to_property_0_95020","Add definite assignment assertion to property '{0}'"),Convert_all_type_literals_to_mapped_type:Wa(95021,3,"Convert_all_type_literals_to_mapped_type_95021","Convert all type literals to mapped type"),Add_all_missing_members:Wa(95022,3,"Add_all_missing_members_95022","Add all missing members"),Infer_all_types_from_usage:Wa(95023,3,"Infer_all_types_from_usage_95023","Infer all types from usage"),Delete_all_unused_declarations:Wa(95024,3,"Delete_all_unused_declarations_95024","Delete all unused declarations"),Prefix_all_unused_declarations_with_where_possible:Wa(95025,3,"Prefix_all_unused_declarations_with_where_possible_95025","Prefix all unused declarations with '_' where possible"),Fix_all_detected_spelling_errors:Wa(95026,3,"Fix_all_detected_spelling_errors_95026","Fix all detected spelling errors"),Add_initializers_to_all_uninitialized_properties:Wa(95027,3,"Add_initializers_to_all_uninitialized_properties_95027","Add initializers to all uninitialized properties"),Add_definite_assignment_assertions_to_all_uninitialized_properties:Wa(95028,3,"Add_definite_assignment_assertions_to_all_uninitialized_properties_95028","Add definite assignment assertions to all uninitialized properties"),Add_undefined_type_to_all_uninitialized_properties:Wa(95029,3,"Add_undefined_type_to_all_uninitialized_properties_95029","Add undefined type to all uninitialized properties"),Change_all_jsdoc_style_types_to_TypeScript:Wa(95030,3,"Change_all_jsdoc_style_types_to_TypeScript_95030","Change all jsdoc-style types to TypeScript"),Change_all_jsdoc_style_types_to_TypeScript_and_add_undefined_to_nullable_types:Wa(95031,3,"Change_all_jsdoc_style_types_to_TypeScript_and_add_undefined_to_nullable_types_95031","Change all jsdoc-style types to TypeScript (and add '| undefined' to nullable types)"),Implement_all_unimplemented_interfaces:Wa(95032,3,"Implement_all_unimplemented_interfaces_95032","Implement all unimplemented interfaces"),Install_all_missing_types_packages:Wa(95033,3,"Install_all_missing_types_packages_95033","Install all missing types packages"),Rewrite_all_as_indexed_access_types:Wa(95034,3,"Rewrite_all_as_indexed_access_types_95034","Rewrite all as indexed access types"),Convert_all_to_default_imports:Wa(95035,3,"Convert_all_to_default_imports_95035","Convert all to default imports"),Make_all_super_calls_the_first_statement_in_their_constructor:Wa(95036,3,"Make_all_super_calls_the_first_statement_in_their_constructor_95036","Make all 'super()' calls the first statement in their constructor"),Add_qualifier_to_all_unresolved_variables_matching_a_member_name:Wa(95037,3,"Add_qualifier_to_all_unresolved_variables_matching_a_member_name_95037","Add qualifier to all unresolved variables matching a member name"),Change_all_extended_interfaces_to_implements:Wa(95038,3,"Change_all_extended_interfaces_to_implements_95038","Change all extended interfaces to 'implements'"),Add_all_missing_super_calls:Wa(95039,3,"Add_all_missing_super_calls_95039","Add all missing super calls"),Implement_all_inherited_abstract_classes:Wa(95040,3,"Implement_all_inherited_abstract_classes_95040","Implement all inherited abstract classes"),Add_all_missing_async_modifiers:Wa(95041,3,"Add_all_missing_async_modifiers_95041","Add all missing 'async' modifiers"),Add_ts_ignore_to_all_error_messages:Wa(95042,3,"Add_ts_ignore_to_all_error_messages_95042","Add '@ts-ignore' to all error messages"),Annotate_everything_with_types_from_JSDoc:Wa(95043,3,"Annotate_everything_with_types_from_JSDoc_95043","Annotate everything with types from JSDoc"),Add_to_all_uncalled_decorators:Wa(95044,3,"Add_to_all_uncalled_decorators_95044","Add '()' to all uncalled decorators"),Convert_all_constructor_functions_to_classes:Wa(95045,3,"Convert_all_constructor_functions_to_classes_95045","Convert all constructor functions to classes"),Generate_get_and_set_accessors:Wa(95046,3,"Generate_get_and_set_accessors_95046","Generate 'get' and 'set' accessors"),Convert_require_to_import:Wa(95047,3,"Convert_require_to_import_95047","Convert 'require' to 'import'"),Convert_all_require_to_import:Wa(95048,3,"Convert_all_require_to_import_95048","Convert all 'require' to 'import'"),Move_to_a_new_file:Wa(95049,3,"Move_to_a_new_file_95049","Move to a new file"),Remove_unreachable_code:Wa(95050,3,"Remove_unreachable_code_95050","Remove unreachable code"),Remove_all_unreachable_code:Wa(95051,3,"Remove_all_unreachable_code_95051","Remove all unreachable code"),Add_missing_typeof:Wa(95052,3,"Add_missing_typeof_95052","Add missing 'typeof'"),Remove_unused_label:Wa(95053,3,"Remove_unused_label_95053","Remove unused label"),Remove_all_unused_labels:Wa(95054,3,"Remove_all_unused_labels_95054","Remove all unused labels"),Convert_0_to_mapped_object_type:Wa(95055,3,"Convert_0_to_mapped_object_type_95055","Convert '{0}' to mapped object type"),Convert_namespace_import_to_named_imports:Wa(95056,3,"Convert_namespace_import_to_named_imports_95056","Convert namespace import to named imports"),Convert_named_imports_to_namespace_import:Wa(95057,3,"Convert_named_imports_to_namespace_import_95057","Convert named imports to namespace import"),Add_or_remove_braces_in_an_arrow_function:Wa(95058,3,"Add_or_remove_braces_in_an_arrow_function_95058","Add or remove braces in an arrow function"),Add_braces_to_arrow_function:Wa(95059,3,"Add_braces_to_arrow_function_95059","Add braces to arrow function"),Remove_braces_from_arrow_function:Wa(95060,3,"Remove_braces_from_arrow_function_95060","Remove braces from arrow function"),Convert_default_export_to_named_export:Wa(95061,3,"Convert_default_export_to_named_export_95061","Convert default export to named export"),Convert_named_export_to_default_export:Wa(95062,3,"Convert_named_export_to_default_export_95062","Convert named export to default export"),Add_missing_enum_member_0:Wa(95063,3,"Add_missing_enum_member_0_95063","Add missing enum member '{0}'"),Add_all_missing_imports:Wa(95064,3,"Add_all_missing_imports_95064","Add all missing imports"),Convert_to_async_function:Wa(95065,3,"Convert_to_async_function_95065","Convert to async function"),Convert_all_to_async_functions:Wa(95066,3,"Convert_all_to_async_functions_95066","Convert all to async functions"),Add_missing_call_parentheses:Wa(95067,3,"Add_missing_call_parentheses_95067","Add missing call parentheses"),Add_all_missing_call_parentheses:Wa(95068,3,"Add_all_missing_call_parentheses_95068","Add all missing call parentheses"),Add_unknown_conversion_for_non_overlapping_types:Wa(95069,3,"Add_unknown_conversion_for_non_overlapping_types_95069","Add 'unknown' conversion for non-overlapping types"),Add_unknown_to_all_conversions_of_non_overlapping_types:Wa(95070,3,"Add_unknown_to_all_conversions_of_non_overlapping_types_95070","Add 'unknown' to all conversions of non-overlapping types"),Add_missing_new_operator_to_call:Wa(95071,3,"Add_missing_new_operator_to_call_95071","Add missing 'new' operator to call"),Add_missing_new_operator_to_all_calls:Wa(95072,3,"Add_missing_new_operator_to_all_calls_95072","Add missing 'new' operator to all calls"),Add_names_to_all_parameters_without_names:Wa(95073,3,"Add_names_to_all_parameters_without_names_95073","Add names to all parameters without names"),Enable_the_experimentalDecorators_option_in_your_configuration_file:Wa(95074,3,"Enable_the_experimentalDecorators_option_in_your_configuration_file_95074","Enable the 'experimentalDecorators' option in your configuration file"),Convert_parameters_to_destructured_object:Wa(95075,3,"Convert_parameters_to_destructured_object_95075","Convert parameters to destructured object"),Extract_type:Wa(95077,3,"Extract_type_95077","Extract type"),Extract_to_type_alias:Wa(95078,3,"Extract_to_type_alias_95078","Extract to type alias"),Extract_to_typedef:Wa(95079,3,"Extract_to_typedef_95079","Extract to typedef"),Infer_this_type_of_0_from_usage:Wa(95080,3,"Infer_this_type_of_0_from_usage_95080","Infer 'this' type of '{0}' from usage"),Add_const_to_unresolved_variable:Wa(95081,3,"Add_const_to_unresolved_variable_95081","Add 'const' to unresolved variable"),Add_const_to_all_unresolved_variables:Wa(95082,3,"Add_const_to_all_unresolved_variables_95082","Add 'const' to all unresolved variables"),Add_await:Wa(95083,3,"Add_await_95083","Add 'await'"),Add_await_to_initializer_for_0:Wa(95084,3,"Add_await_to_initializer_for_0_95084","Add 'await' to initializer for '{0}'"),Fix_all_expressions_possibly_missing_await:Wa(95085,3,"Fix_all_expressions_possibly_missing_await_95085","Fix all expressions possibly missing 'await'"),Remove_unnecessary_await:Wa(95086,3,"Remove_unnecessary_await_95086","Remove unnecessary 'await'"),Remove_all_unnecessary_uses_of_await:Wa(95087,3,"Remove_all_unnecessary_uses_of_await_95087","Remove all unnecessary uses of 'await'"),Enable_the_jsx_flag_in_your_configuration_file:Wa(95088,3,"Enable_the_jsx_flag_in_your_configuration_file_95088","Enable the '--jsx' flag in your configuration file"),Add_await_to_initializers:Wa(95089,3,"Add_await_to_initializers_95089","Add 'await' to initializers"),Extract_to_interface:Wa(95090,3,"Extract_to_interface_95090","Extract to interface"),Convert_to_a_bigint_numeric_literal:Wa(95091,3,"Convert_to_a_bigint_numeric_literal_95091","Convert to a bigint numeric literal"),Convert_all_to_bigint_numeric_literals:Wa(95092,3,"Convert_all_to_bigint_numeric_literals_95092","Convert all to bigint numeric literals"),Convert_const_to_let:Wa(95093,3,"Convert_const_to_let_95093","Convert 'const' to 'let'"),Prefix_with_declare:Wa(95094,3,"Prefix_with_declare_95094","Prefix with 'declare'"),Prefix_all_incorrect_property_declarations_with_declare:Wa(95095,3,"Prefix_all_incorrect_property_declarations_with_declare_95095","Prefix all incorrect property declarations with 'declare'"),Convert_to_template_string:Wa(95096,3,"Convert_to_template_string_95096","Convert to template string"),Add_export_to_make_this_file_into_a_module:Wa(95097,3,"Add_export_to_make_this_file_into_a_module_95097","Add 'export {}' to make this file into a module"),Set_the_target_option_in_your_configuration_file_to_0:Wa(95098,3,"Set_the_target_option_in_your_configuration_file_to_0_95098","Set the 'target' option in your configuration file to '{0}'"),Set_the_module_option_in_your_configuration_file_to_0:Wa(95099,3,"Set_the_module_option_in_your_configuration_file_to_0_95099","Set the 'module' option in your configuration file to '{0}'"),Convert_invalid_character_to_its_html_entity_code:Wa(95100,3,"Convert_invalid_character_to_its_html_entity_code_95100","Convert invalid character to its html entity code"),Convert_all_invalid_characters_to_HTML_entity_code:Wa(95101,3,"Convert_all_invalid_characters_to_HTML_entity_code_95101","Convert all invalid characters to HTML entity code"),Convert_all_const_to_let:Wa(95102,3,"Convert_all_const_to_let_95102","Convert all 'const' to 'let'"),Convert_function_expression_0_to_arrow_function:Wa(95105,3,"Convert_function_expression_0_to_arrow_function_95105","Convert function expression '{0}' to arrow function"),Convert_function_declaration_0_to_arrow_function:Wa(95106,3,"Convert_function_declaration_0_to_arrow_function_95106","Convert function declaration '{0}' to arrow function"),Fix_all_implicit_this_errors:Wa(95107,3,"Fix_all_implicit_this_errors_95107","Fix all implicit-'this' errors"),Wrap_invalid_character_in_an_expression_container:Wa(95108,3,"Wrap_invalid_character_in_an_expression_container_95108","Wrap invalid character in an expression container"),Wrap_all_invalid_characters_in_an_expression_container:Wa(95109,3,"Wrap_all_invalid_characters_in_an_expression_container_95109","Wrap all invalid characters in an expression container"),Visit_https_Colon_Slash_Slashaka_ms_Slashtsconfig_to_read_more_about_this_file:Wa(95110,3,"Visit_https_Colon_Slash_Slashaka_ms_Slashtsconfig_to_read_more_about_this_file_95110","Visit https://aka.ms/tsconfig to read more about this file"),Add_a_return_statement:Wa(95111,3,"Add_a_return_statement_95111","Add a return statement"),Remove_braces_from_arrow_function_body:Wa(95112,3,"Remove_braces_from_arrow_function_body_95112","Remove braces from arrow function body"),Wrap_the_following_body_with_parentheses_which_should_be_an_object_literal:Wa(95113,3,"Wrap_the_following_body_with_parentheses_which_should_be_an_object_literal_95113","Wrap the following body with parentheses which should be an object literal"),Add_all_missing_return_statement:Wa(95114,3,"Add_all_missing_return_statement_95114","Add all missing return statement"),Remove_braces_from_all_arrow_function_bodies_with_relevant_issues:Wa(95115,3,"Remove_braces_from_all_arrow_function_bodies_with_relevant_issues_95115","Remove braces from all arrow function bodies with relevant issues"),Wrap_all_object_literal_with_parentheses:Wa(95116,3,"Wrap_all_object_literal_with_parentheses_95116","Wrap all object literal with parentheses"),Move_labeled_tuple_element_modifiers_to_labels:Wa(95117,3,"Move_labeled_tuple_element_modifiers_to_labels_95117","Move labeled tuple element modifiers to labels"),Convert_overload_list_to_single_signature:Wa(95118,3,"Convert_overload_list_to_single_signature_95118","Convert overload list to single signature"),Generate_get_and_set_accessors_for_all_overriding_properties:Wa(95119,3,"Generate_get_and_set_accessors_for_all_overriding_properties_95119","Generate 'get' and 'set' accessors for all overriding properties"),Wrap_in_JSX_fragment:Wa(95120,3,"Wrap_in_JSX_fragment_95120","Wrap in JSX fragment"),Wrap_all_unparented_JSX_in_JSX_fragment:Wa(95121,3,"Wrap_all_unparented_JSX_in_JSX_fragment_95121","Wrap all unparented JSX in JSX fragment"),Convert_arrow_function_or_function_expression:Wa(95122,3,"Convert_arrow_function_or_function_expression_95122","Convert arrow function or function expression"),Convert_to_anonymous_function:Wa(95123,3,"Convert_to_anonymous_function_95123","Convert to anonymous function"),Convert_to_named_function:Wa(95124,3,"Convert_to_named_function_95124","Convert to named function"),Convert_to_arrow_function:Wa(95125,3,"Convert_to_arrow_function_95125","Convert to arrow function"),Remove_parentheses:Wa(95126,3,"Remove_parentheses_95126","Remove parentheses"),Could_not_find_a_containing_arrow_function:Wa(95127,3,"Could_not_find_a_containing_arrow_function_95127","Could not find a containing arrow function"),Containing_function_is_not_an_arrow_function:Wa(95128,3,"Containing_function_is_not_an_arrow_function_95128","Containing function is not an arrow function"),Could_not_find_export_statement:Wa(95129,3,"Could_not_find_export_statement_95129","Could not find export statement"),This_file_already_has_a_default_export:Wa(95130,3,"This_file_already_has_a_default_export_95130","This file already has a default export"),Could_not_find_import_clause:Wa(95131,3,"Could_not_find_import_clause_95131","Could not find import clause"),Could_not_find_namespace_import_or_named_imports:Wa(95132,3,"Could_not_find_namespace_import_or_named_imports_95132","Could not find namespace import or named imports"),Selection_is_not_a_valid_type_node:Wa(95133,3,"Selection_is_not_a_valid_type_node_95133","Selection is not a valid type node"),No_type_could_be_extracted_from_this_type_node:Wa(95134,3,"No_type_could_be_extracted_from_this_type_node_95134","No type could be extracted from this type node"),Could_not_find_property_for_which_to_generate_accessor:Wa(95135,3,"Could_not_find_property_for_which_to_generate_accessor_95135","Could not find property for which to generate accessor"),Name_is_not_valid:Wa(95136,3,"Name_is_not_valid_95136","Name is not valid"),Can_only_convert_property_with_modifier:Wa(95137,3,"Can_only_convert_property_with_modifier_95137","Can only convert property with modifier"),Switch_each_misused_0_to_1:Wa(95138,3,"Switch_each_misused_0_to_1_95138","Switch each misused '{0}' to '{1}'"),Convert_to_optional_chain_expression:Wa(95139,3,"Convert_to_optional_chain_expression_95139","Convert to optional chain expression"),Could_not_find_convertible_access_expression:Wa(95140,3,"Could_not_find_convertible_access_expression_95140","Could not find convertible access expression"),Could_not_find_matching_access_expressions:Wa(95141,3,"Could_not_find_matching_access_expressions_95141","Could not find matching access expressions"),Can_only_convert_logical_AND_access_chains:Wa(95142,3,"Can_only_convert_logical_AND_access_chains_95142","Can only convert logical AND access chains"),Add_void_to_Promise_resolved_without_a_value:Wa(95143,3,"Add_void_to_Promise_resolved_without_a_value_95143","Add 'void' to Promise resolved without a value"),Add_void_to_all_Promises_resolved_without_a_value:Wa(95144,3,"Add_void_to_all_Promises_resolved_without_a_value_95144","Add 'void' to all Promises resolved without a value"),Use_element_access_for_0:Wa(95145,3,"Use_element_access_for_0_95145","Use element access for '{0}'"),Use_element_access_for_all_undeclared_properties:Wa(95146,3,"Use_element_access_for_all_undeclared_properties_95146","Use element access for all undeclared properties."),Delete_all_unused_imports:Wa(95147,3,"Delete_all_unused_imports_95147","Delete all unused imports"),Infer_function_return_type:Wa(95148,3,"Infer_function_return_type_95148","Infer function return type"),Return_type_must_be_inferred_from_a_function:Wa(95149,3,"Return_type_must_be_inferred_from_a_function_95149","Return type must be inferred from a function"),Could_not_determine_function_return_type:Wa(95150,3,"Could_not_determine_function_return_type_95150","Could not determine function return type"),Could_not_convert_to_arrow_function:Wa(95151,3,"Could_not_convert_to_arrow_function_95151","Could not convert to arrow function"),Could_not_convert_to_named_function:Wa(95152,3,"Could_not_convert_to_named_function_95152","Could not convert to named function"),Could_not_convert_to_anonymous_function:Wa(95153,3,"Could_not_convert_to_anonymous_function_95153","Could not convert to anonymous function"),Can_only_convert_string_concatenations_and_string_literals:Wa(95154,3,"Can_only_convert_string_concatenations_and_string_literals_95154","Can only convert string concatenations and string literals"),Selection_is_not_a_valid_statement_or_statements:Wa(95155,3,"Selection_is_not_a_valid_statement_or_statements_95155","Selection is not a valid statement or statements"),Add_missing_function_declaration_0:Wa(95156,3,"Add_missing_function_declaration_0_95156","Add missing function declaration '{0}'"),Add_all_missing_function_declarations:Wa(95157,3,"Add_all_missing_function_declarations_95157","Add all missing function declarations"),Method_not_implemented:Wa(95158,3,"Method_not_implemented_95158","Method not implemented."),Function_not_implemented:Wa(95159,3,"Function_not_implemented_95159","Function not implemented."),Add_override_modifier:Wa(95160,3,"Add_override_modifier_95160","Add 'override' modifier"),Remove_override_modifier:Wa(95161,3,"Remove_override_modifier_95161","Remove 'override' modifier"),Add_all_missing_override_modifiers:Wa(95162,3,"Add_all_missing_override_modifiers_95162","Add all missing 'override' modifiers"),Remove_all_unnecessary_override_modifiers:Wa(95163,3,"Remove_all_unnecessary_override_modifiers_95163","Remove all unnecessary 'override' modifiers"),Can_only_convert_named_export:Wa(95164,3,"Can_only_convert_named_export_95164","Can only convert named export"),Add_missing_properties:Wa(95165,3,"Add_missing_properties_95165","Add missing properties"),Add_all_missing_properties:Wa(95166,3,"Add_all_missing_properties_95166","Add all missing properties"),Add_missing_attributes:Wa(95167,3,"Add_missing_attributes_95167","Add missing attributes"),Add_all_missing_attributes:Wa(95168,3,"Add_all_missing_attributes_95168","Add all missing attributes"),Add_undefined_to_optional_property_type:Wa(95169,3,"Add_undefined_to_optional_property_type_95169","Add 'undefined' to optional property type"),Convert_named_imports_to_default_import:Wa(95170,3,"Convert_named_imports_to_default_import_95170","Convert named imports to default import"),Delete_unused_param_tag_0:Wa(95171,3,"Delete_unused_param_tag_0_95171","Delete unused '@param' tag '{0}'"),Delete_all_unused_param_tags:Wa(95172,3,"Delete_all_unused_param_tags_95172","Delete all unused '@param' tags"),Rename_param_tag_name_0_to_1:Wa(95173,3,"Rename_param_tag_name_0_to_1_95173","Rename '@param' tag name '{0}' to '{1}'"),Use_0:Wa(95174,3,"Use_0_95174","Use `{0}`."),Use_Number_isNaN_in_all_conditions:Wa(95175,3,"Use_Number_isNaN_in_all_conditions_95175","Use `Number.isNaN` in all conditions."),Convert_typedef_to_TypeScript_type:Wa(95176,3,"Convert_typedef_to_TypeScript_type_95176","Convert typedef to TypeScript type."),Convert_all_typedef_to_TypeScript_types:Wa(95177,3,"Convert_all_typedef_to_TypeScript_types_95177","Convert all typedef to TypeScript types."),Move_to_file:Wa(95178,3,"Move_to_file_95178","Move to file"),Cannot_move_to_file_selected_file_is_invalid:Wa(95179,3,"Cannot_move_to_file_selected_file_is_invalid_95179","Cannot move to file, selected file is invalid"),Use_import_type:Wa(95180,3,"Use_import_type_95180","Use 'import type'"),Use_type_0:Wa(95181,3,"Use_type_0_95181","Use 'type {0}'"),Fix_all_with_type_only_imports:Wa(95182,3,"Fix_all_with_type_only_imports_95182","Fix all with type-only imports"),Cannot_move_statements_to_the_selected_file:Wa(95183,3,"Cannot_move_statements_to_the_selected_file_95183","Cannot move statements to the selected file"),Inline_variable:Wa(95184,3,"Inline_variable_95184","Inline variable"),Could_not_find_variable_to_inline:Wa(95185,3,"Could_not_find_variable_to_inline_95185","Could not find variable to inline."),Variables_with_multiple_declarations_cannot_be_inlined:Wa(95186,3,"Variables_with_multiple_declarations_cannot_be_inlined_95186","Variables with multiple declarations cannot be inlined."),Add_missing_comma_for_object_member_completion_0:Wa(95187,3,"Add_missing_comma_for_object_member_completion_0_95187","Add missing comma for object member completion '{0}'."),Add_missing_parameter_to_0:Wa(95188,3,"Add_missing_parameter_to_0_95188","Add missing parameter to '{0}'"),Add_missing_parameters_to_0:Wa(95189,3,"Add_missing_parameters_to_0_95189","Add missing parameters to '{0}'"),Add_all_missing_parameters:Wa(95190,3,"Add_all_missing_parameters_95190","Add all missing parameters"),Add_optional_parameter_to_0:Wa(95191,3,"Add_optional_parameter_to_0_95191","Add optional parameter to '{0}'"),Add_optional_parameters_to_0:Wa(95192,3,"Add_optional_parameters_to_0_95192","Add optional parameters to '{0}'"),Add_all_optional_parameters:Wa(95193,3,"Add_all_optional_parameters_95193","Add all optional parameters"),No_value_exists_in_scope_for_the_shorthand_property_0_Either_declare_one_or_provide_an_initializer:Wa(18004,1,"No_value_exists_in_scope_for_the_shorthand_property_0_Either_declare_one_or_provide_an_initializer_18004","No value exists in scope for the shorthand property '{0}'. Either declare one or provide an initializer."),Classes_may_not_have_a_field_named_constructor:Wa(18006,1,"Classes_may_not_have_a_field_named_constructor_18006","Classes may not have a field named 'constructor'."),JSX_expressions_may_not_use_the_comma_operator_Did_you_mean_to_write_an_array:Wa(18007,1,"JSX_expressions_may_not_use_the_comma_operator_Did_you_mean_to_write_an_array_18007","JSX expressions may not use the comma operator. Did you mean to write an array?"),Private_identifiers_cannot_be_used_as_parameters:Wa(18009,1,"Private_identifiers_cannot_be_used_as_parameters_18009","Private identifiers cannot be used as parameters."),An_accessibility_modifier_cannot_be_used_with_a_private_identifier:Wa(18010,1,"An_accessibility_modifier_cannot_be_used_with_a_private_identifier_18010","An accessibility modifier cannot be used with a private identifier."),The_operand_of_a_delete_operator_cannot_be_a_private_identifier:Wa(18011,1,"The_operand_of_a_delete_operator_cannot_be_a_private_identifier_18011","The operand of a 'delete' operator cannot be a private identifier."),constructor_is_a_reserved_word:Wa(18012,1,"constructor_is_a_reserved_word_18012","'#constructor' is a reserved word."),Property_0_is_not_accessible_outside_class_1_because_it_has_a_private_identifier:Wa(18013,1,"Property_0_is_not_accessible_outside_class_1_because_it_has_a_private_identifier_18013","Property '{0}' is not accessible outside class '{1}' because it has a private identifier."),The_property_0_cannot_be_accessed_on_type_1_within_this_class_because_it_is_shadowed_by_another_private_identifier_with_the_same_spelling:Wa(18014,1,"The_property_0_cannot_be_accessed_on_type_1_within_this_class_because_it_is_shadowed_by_another_priv_18014","The property '{0}' cannot be accessed on type '{1}' within this class because it is shadowed by another private identifier with the same spelling."),Property_0_in_type_1_refers_to_a_different_member_that_cannot_be_accessed_from_within_type_2:Wa(18015,1,"Property_0_in_type_1_refers_to_a_different_member_that_cannot_be_accessed_from_within_type_2_18015","Property '{0}' in type '{1}' refers to a different member that cannot be accessed from within type '{2}'."),Private_identifiers_are_not_allowed_outside_class_bodies:Wa(18016,1,"Private_identifiers_are_not_allowed_outside_class_bodies_18016","Private identifiers are not allowed outside class bodies."),The_shadowing_declaration_of_0_is_defined_here:Wa(18017,1,"The_shadowing_declaration_of_0_is_defined_here_18017","The shadowing declaration of '{0}' is defined here"),The_declaration_of_0_that_you_probably_intended_to_use_is_defined_here:Wa(18018,1,"The_declaration_of_0_that_you_probably_intended_to_use_is_defined_here_18018","The declaration of '{0}' that you probably intended to use is defined here"),_0_modifier_cannot_be_used_with_a_private_identifier:Wa(18019,1,"_0_modifier_cannot_be_used_with_a_private_identifier_18019","'{0}' modifier cannot be used with a private identifier."),An_enum_member_cannot_be_named_with_a_private_identifier:Wa(18024,1,"An_enum_member_cannot_be_named_with_a_private_identifier_18024","An enum member cannot be named with a private identifier."),can_only_be_used_at_the_start_of_a_file:Wa(18026,1,"can_only_be_used_at_the_start_of_a_file_18026","'#!' can only be used at the start of a file."),Compiler_reserves_name_0_when_emitting_private_identifier_downlevel:Wa(18027,1,"Compiler_reserves_name_0_when_emitting_private_identifier_downlevel_18027","Compiler reserves name '{0}' when emitting private identifier downlevel."),Private_identifiers_are_only_available_when_targeting_ECMAScript_2015_and_higher:Wa(18028,1,"Private_identifiers_are_only_available_when_targeting_ECMAScript_2015_and_higher_18028","Private identifiers are only available when targeting ECMAScript 2015 and higher."),Private_identifiers_are_not_allowed_in_variable_declarations:Wa(18029,1,"Private_identifiers_are_not_allowed_in_variable_declarations_18029","Private identifiers are not allowed in variable declarations."),An_optional_chain_cannot_contain_private_identifiers:Wa(18030,1,"An_optional_chain_cannot_contain_private_identifiers_18030","An optional chain cannot contain private identifiers."),The_intersection_0_was_reduced_to_never_because_property_1_has_conflicting_types_in_some_constituents:Wa(18031,1,"The_intersection_0_was_reduced_to_never_because_property_1_has_conflicting_types_in_some_constituent_18031","The intersection '{0}' was reduced to 'never' because property '{1}' has conflicting types in some constituents."),The_intersection_0_was_reduced_to_never_because_property_1_exists_in_multiple_constituents_and_is_private_in_some:Wa(18032,1,"The_intersection_0_was_reduced_to_never_because_property_1_exists_in_multiple_constituents_and_is_pr_18032","The intersection '{0}' was reduced to 'never' because property '{1}' exists in multiple constituents and is private in some."),Type_0_is_not_assignable_to_type_1_as_required_for_computed_enum_member_values:Wa(18033,1,"Type_0_is_not_assignable_to_type_1_as_required_for_computed_enum_member_values_18033","Type '{0}' is not assignable to type '{1}' as required for computed enum member values."),Specify_the_JSX_fragment_factory_function_to_use_when_targeting_react_JSX_emit_with_jsxFactory_compiler_option_is_specified_e_g_Fragment:Wa(18034,3,"Specify_the_JSX_fragment_factory_function_to_use_when_targeting_react_JSX_emit_with_jsxFactory_compi_18034","Specify the JSX fragment factory function to use when targeting 'react' JSX emit with 'jsxFactory' compiler option is specified, e.g. 'Fragment'."),Invalid_value_for_jsxFragmentFactory_0_is_not_a_valid_identifier_or_qualified_name:Wa(18035,1,"Invalid_value_for_jsxFragmentFactory_0_is_not_a_valid_identifier_or_qualified_name_18035","Invalid value for 'jsxFragmentFactory'. '{0}' is not a valid identifier or qualified-name."),Class_decorators_can_t_be_used_with_static_private_identifier_Consider_removing_the_experimental_decorator:Wa(18036,1,"Class_decorators_can_t_be_used_with_static_private_identifier_Consider_removing_the_experimental_dec_18036","Class decorators can't be used with static private identifier. Consider removing the experimental decorator."),await_expression_cannot_be_used_inside_a_class_static_block:Wa(18037,1,"await_expression_cannot_be_used_inside_a_class_static_block_18037","'await' expression cannot be used inside a class static block."),for_await_loops_cannot_be_used_inside_a_class_static_block:Wa(18038,1,"for_await_loops_cannot_be_used_inside_a_class_static_block_18038","'for await' loops cannot be used inside a class static block."),Invalid_use_of_0_It_cannot_be_used_inside_a_class_static_block:Wa(18039,1,"Invalid_use_of_0_It_cannot_be_used_inside_a_class_static_block_18039","Invalid use of '{0}'. It cannot be used inside a class static block."),A_return_statement_cannot_be_used_inside_a_class_static_block:Wa(18041,1,"A_return_statement_cannot_be_used_inside_a_class_static_block_18041","A 'return' statement cannot be used inside a class static block."),_0_is_a_type_and_cannot_be_imported_in_JavaScript_files_Use_1_in_a_JSDoc_type_annotation:Wa(18042,1,"_0_is_a_type_and_cannot_be_imported_in_JavaScript_files_Use_1_in_a_JSDoc_type_annotation_18042","'{0}' is a type and cannot be imported in JavaScript files. Use '{1}' in a JSDoc type annotation."),Types_cannot_appear_in_export_declarations_in_JavaScript_files:Wa(18043,1,"Types_cannot_appear_in_export_declarations_in_JavaScript_files_18043","Types cannot appear in export declarations in JavaScript files."),_0_is_automatically_exported_here:Wa(18044,3,"_0_is_automatically_exported_here_18044","'{0}' is automatically exported here."),Properties_with_the_accessor_modifier_are_only_available_when_targeting_ECMAScript_2015_and_higher:Wa(18045,1,"Properties_with_the_accessor_modifier_are_only_available_when_targeting_ECMAScript_2015_and_higher_18045","Properties with the 'accessor' modifier are only available when targeting ECMAScript 2015 and higher."),_0_is_of_type_unknown:Wa(18046,1,"_0_is_of_type_unknown_18046","'{0}' is of type 'unknown'."),_0_is_possibly_null:Wa(18047,1,"_0_is_possibly_null_18047","'{0}' is possibly 'null'."),_0_is_possibly_undefined:Wa(18048,1,"_0_is_possibly_undefined_18048","'{0}' is possibly 'undefined'."),_0_is_possibly_null_or_undefined:Wa(18049,1,"_0_is_possibly_null_or_undefined_18049","'{0}' is possibly 'null' or 'undefined'."),The_value_0_cannot_be_used_here:Wa(18050,1,"The_value_0_cannot_be_used_here_18050","The value '{0}' cannot be used here."),Compiler_option_0_cannot_be_given_an_empty_string:Wa(18051,1,"Compiler_option_0_cannot_be_given_an_empty_string_18051","Compiler option '{0}' cannot be given an empty string."),Non_abstract_class_0_does_not_implement_all_abstract_members_of_1:Wa(18052,1,"Non_abstract_class_0_does_not_implement_all_abstract_members_of_1_18052","Non-abstract class '{0}' does not implement all abstract members of '{1}'"),Its_type_0_is_not_a_valid_JSX_element_type:Wa(18053,1,"Its_type_0_is_not_a_valid_JSX_element_type_18053","Its type '{0}' is not a valid JSX element type."),await_using_statements_cannot_be_used_inside_a_class_static_block:Wa(18054,1,"await_using_statements_cannot_be_used_inside_a_class_static_block_18054","'await using' statements cannot be used inside a class static block.")}}});function ts(e){return e>=80}function rs(e){return 32===e||ts(e)}function os(e,n){if(e<n[0])return!1;let t,r=0,o=n.length;for(;r+1<o;){if(t=r+(o-r)/2,t-=t%2,n[t]<=e&&e<=n[t+1])return!0;e<n[t]?o=t:r=t+2}return!1}function is(e,n){return os(e,n>=2?Ka:1===n?Ua:ja)}function as(e){return $a[e]}function ss(e){return Ba.get(e)}function ls(e){const n=[];let t=0,r=0;for(;t<e.length;){const o=e.charCodeAt(t);switch(t++,o){case 13:10===e.charCodeAt(t)&&t++;case 10:n.push(r),r=t;break;default:o>127&&ys(o)&&(n.push(r),r=t)}}return n.push(r),n}function cs(e,n,t,r){return e.getPositionOfLineAndCharacter?e.getPositionOfLineAndCharacter(n,t,r):ds(us(e),n,t,e.text,r)}function ds(e,n,t,r,o){(n<0||n>=e.length)&&(o?n=n<0?0:n>=e.length?e.length-1:n:Tt.fail(`Bad line number. Line: ${n}, lineStarts.length: ${e.length} , line map is correct? ${void 0!==r?w(e,ls(r)):"unknown"}`));const i=e[n]+t;return o?i>e[n+1]?e[n+1]:"string"==typeof r&&i>r.length?r.length:i:(n<e.length-1?Tt.assert(i<e[n+1]):void 0!==r&&Tt.assert(i<=r.length),i)}function us(e){return e.lineMap||(e.lineMap=ls(e.text))}function ps(e,n){const t=fs(e,n);return{line:t,character:n-e[t]}}function fs(e,n,t){let r=ze(e,n,Sn,wn,t);return r<0&&(r=~r-1,Tt.assert(-1!==r,"position cannot precede the beginning of the file")),r}function ms(e,n,t){if(n===t)return 0;const r=us(e),o=Math.min(n,t),i=o===t,a=i?n:t,s=fs(r,o),l=fs(r,a,s);return i?s-l:l-s}function _s(e,n){return ps(us(e),n)}function hs(e){return gs(e)||ys(e)}function gs(e){return 32===e||9===e||11===e||12===e||160===e||133===e||5760===e||e>=8192&&e<=8203||8239===e||8287===e||12288===e||65279===e}function ys(e){return 10===e||13===e||8232===e||8233===e}function vs(e){return e>=48&&e<=57}function bs(e){return vs(e)||e>=65&&e<=70||e>=97&&e<=102}function Es(e){return e>=48&&e<=55}function Ss(e,n){const t=e.charCodeAt(n);switch(t){case 13:case 10:case 9:case 11:case 12:case 32:case 47:case 60:case 124:case 61:case 62:return!0;case 35:return 0===n;default:return t>127}}function Ts(e,n,t,r,o){if(_x(n))return n;let i=!1;for(;;){const a=e.charCodeAt(n);switch(a){case 13:10===e.charCodeAt(n+1)&&n++;case 10:if(n++,t)return n;i=!!o;continue;case 9:case 11:case 12:case 32:n++;continue;case 47:if(r)break;if(47===e.charCodeAt(n+1)){for(n+=2;n<e.length&&!ys(e.charCodeAt(n));)n++;i=!1;continue}if(42===e.charCodeAt(n+1)){for(n+=2;n<e.length;){if(42===e.charCodeAt(n)&&47===e.charCodeAt(n+1)){n+=2;break}n++}i=!1;continue}break;case 60:case 124:case 61:case 62:if(xs(e,n)){n=As(e,n),i=!1;continue}break;case 35:if(0===n&&Rs(e,n)){n=Is(e,n),i=!1;continue}break;case 42:if(i){n++,i=!1;continue}break;default:if(a>127&&hs(a)){n++;continue}}return n}}function xs(e,n){if(Tt.assert(n>=0),0===n||ys(e.charCodeAt(n-1))){const t=e.charCodeAt(n);if(n+Qa<e.length){for(let r=0;r<Qa;r++)if(e.charCodeAt(n+r)!==t)return!1;return 61===t||32===e.charCodeAt(n+Qa)}}return!1}function As(e,n,t){t&&t(Oa.Merge_conflict_marker_encountered,n,Qa);const r=e.charCodeAt(n),o=e.length;if(60===r||62===r)for(;n<o&&!ys(e.charCodeAt(n));)n++;else for(Tt.assert(124===r||61===r);n<o;){const t=e.charCodeAt(n);if((61===t||62===t)&&t!==r&&xs(e,n))break;n++}return n}function Rs(e,n){return Tt.assert(0===n),Za.test(e)}function Is(e,n){return n+=Za.exec(e)[0].length}function Ns(e,n,t,r,o,i,a){let s,l,c,d,u=!1,p=r,f=a;if(0===t){p=!0;const e=Os(n);e&&(t=e.length)}e:for(;t>=0&&t<n.length;){const a=n.charCodeAt(t);switch(a){case 13:10===n.charCodeAt(t+1)&&t++;case 10:if(t++,r)break e;p=!0,u&&(d=!0);continue;case 9:case 11:case 12:case 32:t++;continue;case 47:const m=n.charCodeAt(t+1);let _=!1;if(47===m||42===m){const r=47===m?2:3,a=t;if(t+=2,47===m)for(;t<n.length;){if(ys(n.charCodeAt(t))){_=!0;break}t++}else for(;t<n.length;){if(42===n.charCodeAt(t)&&47===n.charCodeAt(t+1)){t+=2;break}t++}if(p){if(u&&(f=o(s,l,c,d,i,f),!e&&f))return f;s=a,l=t,c=r,d=_,u=!0}continue}break e;default:if(a>127&&hs(a)){u&&ys(a)&&(d=!0),t++;continue}break e}}return u&&(f=o(s,l,c,d,i,f)),f}function Ds(e,n,t,r){return Ns(!1,e,n,!1,t,r)}function Cs(e,n,t,r){return Ns(!1,e,n,!0,t,r)}function Ms(e,n,t,r,o){return Ns(!0,e,n,!1,t,r,o)}function Ps(e,n,t,r,o){return Ns(!0,e,n,!0,t,r,o)}function Ls(e,n,t,r,o,i=[]){return i.push({kind:t,pos:e,end:n,hasTrailingNewLine:r}),i}function ks(e,n){return Ms(e,n,Ls,void 0,void 0)}function ws(e,n){return Ps(e,n,Ls,void 0,void 0)}function Os(e){const n=Za.exec(e);if(n)return n[0]}function Fs(e,n){return e>=65&&e<=90||e>=97&&e<=122||36===e||95===e||e>127&&is(e,n)}function Ws(e,n,t){return e>=65&&e<=90||e>=97&&e<=122||e>=48&&e<=57||36===e||95===e||1===t&&(45===e||58===e)||e>127&&function(e,n){return os(e,n>=2?qa:1===n?Ha:Va)}(e,n)}function zs(e,n,t){let r=Bs(e,0);if(!Fs(r,n))return!1;for(let o=js(r);o<e.length;o+=js(r))if(!Ws(r=Bs(e,o),n,t))return!1;return!0}function Gs(e,n,t=0,r,o,i,a){var s,l,c,d,u,p,f,m,_=r,h=0,g=0,y=0;U(_,i,a);var v={getTokenFullStart:()=>c,getStartPos:()=>c,getTokenEnd:()=>s,getTextPos:()=>s,getToken:()=>u,getTokenStart:()=>d,getTokenPos:()=>d,getTokenText:()=>_.substring(d,s),getTokenValue:()=>p,hasUnicodeEscape:()=>!!(1024&f),hasExtendedUnicodeEscape:()=>!!(8&f),hasPrecedingLineBreak:()=>!!(1&f),hasPrecedingJSDocComment:()=>!!(2&f),isIdentifier:()=>80===u||u>118,isReservedWord:()=>u>=83&&u<=118,isUnterminated:()=>!!(4&f),getCommentDirectives:()=>m,getNumericLiteralFlags:()=>25584&f,getTokenFlags:()=>f,reScanGreaterToken:function(){if(32===u){if(62===_.charCodeAt(s))return 62===_.charCodeAt(s+1)?61===_.charCodeAt(s+2)?(s+=3,u=73):(s+=2,u=50):61===_.charCodeAt(s+1)?(s+=2,u=72):(s++,u=49);if(61===_.charCodeAt(s))return s++,u=34}return u},reScanAsteriskEqualsToken:function(){return Tt.assert(67===u,"'reScanAsteriskEqualsToken' should only be called on a '*='"),s=d+1,u=64},reScanSlashToken:function(){if(44===u||69===u){let n=d+1,t=!1,r=!1;for(;;){if(n>=l){f|=4,b(Oa.Unterminated_regular_expression_literal);break}const e=_.charCodeAt(n);if(ys(e)){f|=4,b(Oa.Unterminated_regular_expression_literal);break}if(t)t=!1;else{if(47===e&&!r){n++;break}91===e?r=!0:92===e?t=!0:93===e&&(r=!1)}n++}for(;n<l&&Ws(_.charCodeAt(n),e);)n++;s=n,p=_.substring(d,s),u=14}return u},reScanTemplateToken:function(e){return s=d,u=I(!e)},reScanTemplateHeadOrNoSubstitutionTemplate:function(){return s=d,u=I(!0)},scanJsxIdentifier:function(){if(ts(u)){for(;s<l;){if(45===_.charCodeAt(s)){p+="-",s++;continue}const e=s;if(p+=P(),s===e)break}return L()}return u},scanJsxAttributeValue:B,reScanJsxAttributeValue:function(){return s=d=c,B()},reScanJsxToken:function(e=!0){return s=d=c,u=G(e)},reScanLessThanToken:function(){if(48===u)return s=d+1,u=30;return u},reScanHashToken:function(){if(81===u)return s=d+1,u=63;return u},reScanQuestionToken:function(){return Tt.assert(61===u,"'reScanQuestionToken' should only be called on a '??'"),s=d+1,u=58},reScanInvalidIdentifier:function(){Tt.assert(0===u,"'reScanInvalidIdentifier' should only be called when the current token is 'SyntaxKind.Unknown'."),s=d=c,f=0;const e=Bs(_,s),n=W(e,99);if(n)return u=n;return s+=js(e),u},scanJsxToken:G,scanJsDocToken:j,scanJSDocCommentTextToken:function(e){if(c=d=s,f=0,s>=l)return u=1;for(let n=_.charCodeAt(s);s<l&&!ys(n)&&96!==n;n=Bs(_,++s))if(!e){if(123===n)break;if(64===n&&s-1>=0&&gs(_.charCodeAt(s-1))&&!(s+1<l&&hs(_.charCodeAt(s+1))))break}if(s===d)return j();return p=_.substring(d,s),u=82},scan:O,getText:function(){return _},clearCommentDirectives:function(){m=void 0},setText:U,setScriptTarget:function(n){e=n},setLanguageVariant:function(e){t=e},setScriptKind:function(e){g=e},setJSDocParsingMode:function(e){y=e},setOnError:function(e){o=e},resetTokenState:H,setTextPos:H,setInJSDocType:function(e){h+=e?1:-1},tryScan:function(e){return V(e,!1)},lookAhead:function(e){return V(e,!0)},scanRange:function(e,n,t){const r=l,o=s,i=c,a=d,h=u,g=p,y=f,v=m;U(_,e,n);const b=t();return l=r,s=o,c=i,d=a,u=h,p=g,f=y,m=v,b}};return Tt.isDebugging&&Object.defineProperty(v,"__debugShowCurrentPositionInText",{get:()=>{const e=v.getText();return e.slice(0,v.getTokenFullStart())+"║"+e.slice(v.getTokenFullStart())}}),v;function b(e,n=s,t,r){if(o){const i=s;s=n,o(e,t||0,r),s=i}}function E(){let e=s,n=!1,t=!1,r="";for(;;){const o=_.charCodeAt(s);if(95!==o){if(!vs(o))break;n=!0,t=!1,s++}else f|=512,n?(n=!1,t=!0,r+=_.substring(e,s)):(f|=16384,b(t?Oa.Multiple_consecutive_numeric_separators_are_not_permitted:Oa.Numeric_separators_are_not_allowed_here,s,1)),e=++s}return 95===_.charCodeAt(s-1)&&(f|=16384,b(Oa.Numeric_separators_are_not_allowed_here,s-1,1)),r+_.substring(e,s)}function S(){let e,n,t,r=s;if(48===_.charCodeAt(s))if(s++,95===_.charCodeAt(s))f|=16896,b(Oa.Numeric_separators_are_not_allowed_here,s,1),s--,e=E();else if(function(){const e=s;let n=!0;for(;vs(_.charCodeAt(s));)Es(_.charCodeAt(s))||(n=!1),s++;return p=_.substring(e,s),n}()){if(p){p=""+parseInt(p,8),f|=32;const e=41===u,n=(e?"-":"")+"0o"+(+p).toString(8);return e&&r--,b(Oa.Octal_literals_are_not_allowed_Use_the_syntax_0,r,s-r,n),9}e="0"}else f|=8192,e=""+ +p;else e=E();46===_.charCodeAt(s)&&(s++,n=E());let o,i=s;if(69===_.charCodeAt(s)||101===_.charCodeAt(s)){s++,f|=16,43!==_.charCodeAt(s)&&45!==_.charCodeAt(s)||s++;const e=s,n=E();n?(t=_.substring(i,e)+n,i=s):b(Oa.Digit_expected)}if(512&f?(o=e,n&&(o+="."+n),t&&(o+=t)):o=_.substring(r,i),8192&f)return b(Oa.Decimals_with_leading_zeros_are_not_allowed,r,i-r),p=""+ +o,9;if(void 0!==n||16&f)return T(r,void 0===n&&!!(16&f)),p=""+ +o,9;{p=o;const e=w();return T(r),e}}function T(n,t){if(!Fs(Bs(_,s),e))return;const r=s,{length:o}=P();1===o&&"n"===_[r]?b(t?Oa.A_bigint_literal_cannot_use_exponential_notation:Oa.A_bigint_literal_must_be_an_integer,n,r-n+1):(b(Oa.An_identifier_or_keyword_cannot_immediately_follow_a_numeric_literal,r,o),s=r)}function x(e,n){return A(e,!0,n)}function A(e,n,t){let r=[],o=!1,i=!1;for(;r.length<e||n;){let e=_.charCodeAt(s);if(t&&95===e)f|=512,o?(o=!1,i=!0):b(i?Oa.Multiple_consecutive_numeric_separators_are_not_permitted:Oa.Numeric_separators_are_not_allowed_here,s,1),s++;else{if(o=t,e>=65&&e<=70)e+=32;else if(!(e>=48&&e<=57||e>=97&&e<=102))break;r.push(e),s++,i=!1}}return r.length<e&&(r=[]),95===_.charCodeAt(s-1)&&b(Oa.Numeric_separators_are_not_allowed_here,s-1,1),String.fromCharCode(...r)}function R(e=!1){const n=_.charCodeAt(s);let t="",r=++s;for(;;){if(s>=l){t+=_.substring(r,s),f|=4,b(Oa.Unterminated_string_literal);break}const o=_.charCodeAt(s);if(o===n){t+=_.substring(r,s),s++;break}if(92!==o||e){if((10===o||13===o)&&!e){t+=_.substring(r,s),f|=4,b(Oa.Unterminated_string_literal);break}s++}else t+=_.substring(r,s),t+=N(!0),r=s}return t}function I(e){const n=96===_.charCodeAt(s);let t,r=++s,o="";for(;;){if(s>=l){o+=_.substring(r,s),f|=4,b(Oa.Unterminated_template_literal),t=n?15:18;break}const i=_.charCodeAt(s);if(96===i){o+=_.substring(r,s),s++,t=n?15:18;break}if(36===i&&s+1<l&&123===_.charCodeAt(s+1)){o+=_.substring(r,s),s+=2,t=n?16:17;break}92!==i?13!==i?s++:(o+=_.substring(r,s),++s<l&&10===_.charCodeAt(s)&&s++,o+="\n",r=s):(o+=_.substring(r,s),o+=N(e),r=s)}return Tt.assert(void 0!==t),p=o,t}function N(e){const n=s;if(++s>=l)return b(Oa.Unexpected_end_of_text),"";const t=_.charCodeAt(s);switch(s++,t){case 48:if(s>=l||!vs(_.charCodeAt(s)))return"\0";case 49:case 50:case 51:s<l&&Es(_.charCodeAt(s))&&s++;case 52:case 53:case 54:case 55:if(s<l&&Es(_.charCodeAt(s))&&s++,f|=2048,e){const e=parseInt(_.substring(n+1,s),8);return b(Oa.Octal_escape_sequences_are_not_allowed_Use_the_syntax_0,n,s-n,"\\x"+e.toString(16).padStart(2,"0")),String.fromCharCode(e)}return _.substring(n,s);case 56:case 57:return f|=2048,e?(b(Oa.Escape_sequence_0_is_not_allowed,n,s-n,_.substring(n,s)),String.fromCharCode(t)):_.substring(n,s);case 98:return"\b";case 116:return"\t";case 110:return"\n";case 118:return"\v";case 102:return"\f";case 114:return"\r";case 39:return"'";case 34:return'"';case 117:if(s<l&&123===_.charCodeAt(s)){s++;const t=x(1,!1),r=t?parseInt(t,16):-1;return r<0?(f|=2048,e&&b(Oa.Hexadecimal_digit_expected),_.substring(n,s)):r<=1114111?s>=l?(f|=2048,e&&b(Oa.Unexpected_end_of_text),_.substring(n,s)):125!==_.charCodeAt(s)?(f|=2048,e&&b(Oa.Unterminated_Unicode_escape_sequence),_.substring(n,s)):(s++,f|=8,Us(r)):(f|=2048,e&&b(Oa.An_extended_Unicode_escape_value_must_be_between_0x0_and_0x10FFFF_inclusive),_.substring(n,s))}for(;s<n+6;s++)if(!(s<l&&bs(_.charCodeAt(s))))return f|=2048,e&&b(Oa.Hexadecimal_digit_expected),_.substring(n,s);return f|=1024,String.fromCharCode(parseInt(_.substring(n+2,s),16));case 120:for(;s<n+4;s++)if(!(s<l&&bs(_.charCodeAt(s))))return f|=2048,e&&b(Oa.Hexadecimal_digit_expected),_.substring(n,s);return f|=4096,String.fromCharCode(parseInt(_.substring(n+2,s),16));case 13:s<l&&10===_.charCodeAt(s)&&s++;case 10:case 8232:case 8233:return"";default:return String.fromCharCode(t)}}function D(){const e=x(1,!1),n=e?parseInt(e,16):-1;let t=!1;return n<0?(b(Oa.Hexadecimal_digit_expected),t=!0):n>1114111&&(b(Oa.An_extended_Unicode_escape_value_must_be_between_0x0_and_0x10FFFF_inclusive),t=!0),s>=l?(b(Oa.Unexpected_end_of_text),t=!0):125===_.charCodeAt(s)?s++:(b(Oa.Unterminated_Unicode_escape_sequence),t=!0),t?"":Us(n)}function C(){if(s+5<l&&117===_.charCodeAt(s+1)){const e=s;s+=2;const n=function(e,n){const t=A(e,!1,n);return t?parseInt(t,16):-1}(4,!1);return s=e,n}return-1}function M(){if(117===Bs(_,s+1)&&123===Bs(_,s+2)){const e=s;s+=3;const n=x(1,!1),t=n?parseInt(n,16):-1;return s=e,t}return-1}function P(){let n="",t=s;for(;s<l;){let r=Bs(_,s);if(Ws(r,e))s+=js(r);else{if(92!==r)break;if(r=M(),r>=0&&Ws(r,e)){s+=3,f|=8,n+=D(),t=s;continue}if(r=C(),!(r>=0&&Ws(r,e)))break;f|=1024,n+=_.substring(t,s),n+=Us(r),t=s+=6}}return n+=_.substring(t,s),n}function L(){const e=p.length;if(e>=2&&e<=12){const e=p.charCodeAt(0);if(e>=97&&e<=122){const e=Ga.get(p);if(void 0!==e)return u=e}}return u=80}function k(e){let n="",t=!1,r=!1;for(;;){const o=_.charCodeAt(s);if(95!==o){if(t=!0,!vs(o)||o-48>=e)break;n+=_[s],s++,r=!1}else f|=512,t?(t=!1,r=!0):b(r?Oa.Multiple_consecutive_numeric_separators_are_not_permitted:Oa.Numeric_separators_are_not_allowed_here,s,1),s++}return 95===_.charCodeAt(s-1)&&b(Oa.Numeric_separators_are_not_allowed_here,s-1,1),n}function w(){if(110===_.charCodeAt(s))return p+="n",384&f&&(p=Cx(p)+"n"),s++,10;{const e=128&f?parseInt(p.slice(2),2):256&f?parseInt(p.slice(2),8):+p;return p=""+e,9}}function O(){c=s,f=0;let r=!1;for(;;){if(d=s,s>=l)return u=1;const o=Bs(_,s);if(0===s){if(_.slice(0,256).includes("�"))return b(Oa.File_appears_to_be_binary),s=l,u=8;if(35===o&&Rs(_,s)){if(s=Is(_,s),n)continue;return u=6}}switch(o){case 10:case 13:if(f|=1,n){s++;continue}return 13===o&&s+1<l&&10===_.charCodeAt(s+1)?s+=2:s++,u=4;case 9:case 11:case 12:case 32:case 160:case 5760:case 8192:case 8193:case 8194:case 8195:case 8196:case 8197:case 8198:case 8199:case 8200:case 8201:case 8202:case 8203:case 8239:case 8287:case 12288:case 65279:if(n){s++;continue}for(;s<l&&gs(_.charCodeAt(s));)s++;return u=5;case 33:return 61===_.charCodeAt(s+1)?61===_.charCodeAt(s+2)?(s+=3,u=38):(s+=2,u=36):(s++,u=54);case 34:case 39:return p=R(),u=11;case 96:return u=I(!1);case 37:return 61===_.charCodeAt(s+1)?(s+=2,u=70):(s++,u=45);case 38:return 38===_.charCodeAt(s+1)?61===_.charCodeAt(s+2)?(s+=3,u=77):(s+=2,u=56):61===_.charCodeAt(s+1)?(s+=2,u=74):(s++,u=51);case 40:return s++,u=21;case 41:return s++,u=22;case 42:if(61===_.charCodeAt(s+1))return s+=2,u=67;if(42===_.charCodeAt(s+1))return 61===_.charCodeAt(s+2)?(s+=3,u=68):(s+=2,u=43);if(s++,h&&!r&&1&f){r=!0;continue}return u=42;case 43:return 43===_.charCodeAt(s+1)?(s+=2,u=46):61===_.charCodeAt(s+1)?(s+=2,u=65):(s++,u=40);case 44:return s++,u=28;case 45:return 45===_.charCodeAt(s+1)?(s+=2,u=47):61===_.charCodeAt(s+1)?(s+=2,u=66):(s++,u=41);case 46:return vs(_.charCodeAt(s+1))?(S(),u=9):46===_.charCodeAt(s+1)&&46===_.charCodeAt(s+2)?(s+=3,u=26):(s++,u=25);case 47:if(47===_.charCodeAt(s+1)){for(s+=2;s<l&&!ys(_.charCodeAt(s));)s++;if(m=z(m,_.slice(d,s),Ja,d),n)continue;return u=2}if(42===_.charCodeAt(s+1)){s+=2;const e=42===_.charCodeAt(s)&&47!==_.charCodeAt(s+1);let t=!1,r=d;for(;s<l;){const e=_.charCodeAt(s);if(42===e&&47===_.charCodeAt(s+1)){s+=2,t=!0;break}s++,ys(e)&&(r=s,f|=1)}if(e&&F()&&(f|=2),m=z(m,_.slice(r,s),Xa,r),t||b(Oa.Asterisk_Slash_expected),n)continue;return t||(f|=4),u=3}return 61===_.charCodeAt(s+1)?(s+=2,u=69):(s++,u=44);case 48:if(s+2<l&&(88===_.charCodeAt(s+1)||120===_.charCodeAt(s+1)))return s+=2,(p=x(1,!0))||(b(Oa.Hexadecimal_digit_expected),p="0"),p="0x"+p,f|=64,u=w();if(s+2<l&&(66===_.charCodeAt(s+1)||98===_.charCodeAt(s+1)))return s+=2,(p=k(2))||(b(Oa.Binary_digit_expected),p="0"),p="0b"+p,f|=128,u=w();if(s+2<l&&(79===_.charCodeAt(s+1)||111===_.charCodeAt(s+1)))return s+=2,(p=k(8))||(b(Oa.Octal_digit_expected),p="0"),p="0o"+p,f|=256,u=w();case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return u=S();case 58:return s++,u=59;case 59:return s++,u=27;case 60:if(xs(_,s)){if(s=As(_,s,b),n)continue;return u=7}return 60===_.charCodeAt(s+1)?61===_.charCodeAt(s+2)?(s+=3,u=71):(s+=2,u=48):61===_.charCodeAt(s+1)?(s+=2,u=33):1===t&&47===_.charCodeAt(s+1)&&42!==_.charCodeAt(s+2)?(s+=2,u=31):(s++,u=30);case 61:if(xs(_,s)){if(s=As(_,s,b),n)continue;return u=7}return 61===_.charCodeAt(s+1)?61===_.charCodeAt(s+2)?(s+=3,u=37):(s+=2,u=35):62===_.charCodeAt(s+1)?(s+=2,u=39):(s++,u=64);case 62:if(xs(_,s)){if(s=As(_,s,b),n)continue;return u=7}return s++,u=32;case 63:return 46!==_.charCodeAt(s+1)||vs(_.charCodeAt(s+2))?63===_.charCodeAt(s+1)?61===_.charCodeAt(s+2)?(s+=3,u=78):(s+=2,u=61):(s++,u=58):(s+=2,u=29);case 91:return s++,u=23;case 93:return s++,u=24;case 94:return 61===_.charCodeAt(s+1)?(s+=2,u=79):(s++,u=53);case 123:return s++,u=19;case 124:if(xs(_,s)){if(s=As(_,s,b),n)continue;return u=7}return 124===_.charCodeAt(s+1)?61===_.charCodeAt(s+2)?(s+=3,u=76):(s+=2,u=57):61===_.charCodeAt(s+1)?(s+=2,u=75):(s++,u=52);case 125:return s++,u=20;case 126:return s++,u=55;case 64:return s++,u=60;case 92:const i=M();if(i>=0&&Fs(i,e))return s+=3,f|=8,p=D()+P(),u=L();const a=C();return a>=0&&Fs(a,e)?(s+=6,f|=1024,p=String.fromCharCode(a)+P(),u=L()):(b(Oa.Invalid_character),s++,u=0);case 35:if(0!==s&&"!"===_[s+1])return b(Oa.can_only_be_used_at_the_start_of_a_file),s++,u=0;const c=Bs(_,s+1);if(92===c){s++;const n=M();if(n>=0&&Fs(n,e))return s+=3,f|=8,p="#"+D()+P(),u=81;const t=C();if(t>=0&&Fs(t,e))return s+=6,f|=1024,p="#"+String.fromCharCode(t)+P(),u=81;s--}return Fs(c,e)?(s++,W(c,e)):(p="#",b(Oa.Invalid_character,s++,js(o))),u=81;default:const g=W(o,e);if(g)return u=g;if(gs(o)){s+=js(o);continue}if(ys(o)){f|=1,s+=js(o);continue}const y=js(o);return b(Oa.Invalid_character,s,y),s+=y,u=0}}}function F(){switch(y){case 0:return!0;case 1:return!1}return 3!==g&&4!==g||3!==y&&Ya.test(_.slice(c,s))}function W(e,n){let t=e;if(Fs(t,n)){for(s+=js(t);s<l&&Ws(t=Bs(_,s),n);)s+=js(t);return p=_.substring(d,s),92===t&&(p+=P()),L()}}function z(e,n,t,r){const o=function(e,n){const t=n.exec(e);if(!t)return;switch(t[1]){case"ts-expect-error":return 0;case"ts-ignore":return 1}return}(n.trimStart(),t);return void 0===o?e:ye(e,{range:{pos:r,end:s},type:o})}function G(e=!0){if(c=d=s,s>=l)return u=1;let n=_.charCodeAt(s);if(60===n)return 47===_.charCodeAt(s+1)?(s+=2,u=31):(s++,u=30);if(123===n)return s++,u=19;let t=0;for(;s<l&&(n=_.charCodeAt(s),123!==n);){if(60===n){if(xs(_,s))return s=As(_,s,b),u=7;break}if(62===n&&b(Oa.Unexpected_token_Did_you_mean_or_gt,s,1),125===n&&b(Oa.Unexpected_token_Did_you_mean_or_rbrace,s,1),ys(n)&&0===t)t=-1;else{if(!e&&ys(n)&&t>0)break;hs(n)||(t=s)}s++}return p=_.substring(c,s),-1===t?13:12}function B(){switch(c=s,_.charCodeAt(s)){case 34:case 39:return p=R(!0),u=11;default:return O()}}function j(){if(c=d=s,f=0,s>=l)return u=1;const n=Bs(_,s);switch(s+=js(n),n){case 9:case 11:case 12:case 32:for(;s<l&&gs(_.charCodeAt(s));)s++;return u=5;case 64:return u=60;case 13:10===_.charCodeAt(s)&&s++;case 10:return f|=1,u=4;case 42:return u=42;case 123:return u=19;case 125:return u=20;case 91:return u=23;case 93:return u=24;case 60:return u=30;case 62:return u=32;case 61:return u=64;case 44:return u=28;case 46:return u=25;case 96:return u=62;case 35:return u=63;case 92:s--;const n=M();if(n>=0&&Fs(n,e))return s+=3,f|=8,p=D()+P(),u=L();const t=C();return t>=0&&Fs(t,e)?(s+=6,f|=1024,p=String.fromCharCode(t)+P(),u=L()):(s++,u=0)}if(Fs(n,e)){let t=n;for(;s<l&&Ws(t=Bs(_,s),e)||45===_.charCodeAt(s);)s+=js(t);return p=_.substring(d,s),92===t&&(p+=P()),u=L()}return u=0}function V(e,n){const t=s,r=c,o=d,i=u,a=p,l=f,m=e();return m&&!n||(s=t,c=r,d=o,u=i,p=a,f=l),m}function U(e,n,t){_=e||"",l=void 0===t?_.length:n+t,H(n||0)}function H(e){Tt.assert(e>=0),s=e,c=e,d=e,u=0,p=void 0,f=0}}function Bs(e,n){return e.codePointAt(n)}function js(e){return e>=65536?2:1}function Vs(e){if(Tt.assert(0<=e&&e<=1114111),e<=65535)return String.fromCharCode(e);const n=Math.floor((e-65536)/1024)+55296,t=(e-65536)%1024+56320;return String.fromCharCode(n,t)}function Us(e){return es(e)}var Hs,Ks,qs,Js=g({"src/compiler/scanner.ts"(){JJ(),za={abstract:128,accessor:129,any:133,as:130,asserts:131,assert:132,bigint:163,boolean:136,break:83,case:84,catch:85,class:86,continue:88,const:87,constructor:137,debugger:89,declare:138,default:90,delete:91,do:92,else:93,enum:94,export:95,extends:96,false:97,finally:98,for:99,from:161,function:100,get:139,if:101,implements:119,import:102,in:103,infer:140,instanceof:104,interface:120,intrinsic:141,is:142,keyof:143,let:121,module:144,namespace:145,never:146,new:105,null:106,number:150,object:151,package:122,private:123,protected:124,public:125,override:164,out:147,readonly:148,require:149,global:162,return:107,satisfies:152,set:153,static:126,string:154,super:108,switch:109,symbol:155,this:110,throw:111,true:112,try:113,type:156,typeof:114,undefined:157,unique:158,unknown:159,using:160,var:115,void:116,while:117,with:118,yield:127,async:134,await:135,of:165},Ga=new Map(Object.entries(za)),Ba=new Map(Object.entries({...za,"{":19,"}":20,"(":21,")":22,"[":23,"]":24,".":25,"...":26,";":27,",":28,"<":30,">":32,"<=":33,">=":34,"==":35,"!=":36,"===":37,"!==":38,"=>":39,"+":40,"-":41,"**":43,"*":42,"/":44,"%":45,"++":46,"--":47,"<<":48,"</":31,">>":49,">>>":50,"&":51,"|":52,"^":53,"!":54,"~":55,"&&":56,"||":57,"?":58,"??":61,"?.":29,":":59,"=":64,"+=":65,"-=":66,"*=":67,"**=":68,"/=":69,"%=":70,"<<=":71,">>=":72,">>>=":73,"&=":74,"|=":75,"^=":79,"||=":76,"&&=":77,"??=":78,"@":60,"#":63,"`":62})),ja=[170,170,181,181,186,186,192,214,216,246,248,543,546,563,592,685,688,696,699,705,720,721,736,740,750,750,890,890,902,902,904,906,908,908,910,929,931,974,976,983,986,1011,1024,1153,1164,1220,1223,1224,1227,1228,1232,1269,1272,1273,1329,1366,1369,1369,1377,1415,1488,1514,1520,1522,1569,1594,1600,1610,1649,1747,1749,1749,1765,1766,1786,1788,1808,1808,1810,1836,1920,1957,2309,2361,2365,2365,2384,2384,2392,2401,2437,2444,2447,2448,2451,2472,2474,2480,2482,2482,2486,2489,2524,2525,2527,2529,2544,2545,2565,2570,2575,2576,2579,2600,2602,2608,2610,2611,2613,2614,2616,2617,2649,2652,2654,2654,2674,2676,2693,2699,2701,2701,2703,2705,2707,2728,2730,2736,2738,2739,2741,2745,2749,2749,2768,2768,2784,2784,2821,2828,2831,2832,2835,2856,2858,2864,2866,2867,2870,2873,2877,2877,2908,2909,2911,2913,2949,2954,2958,2960,2962,2965,2969,2970,2972,2972,2974,2975,2979,2980,2984,2986,2990,2997,2999,3001,3077,3084,3086,3088,3090,3112,3114,3123,3125,3129,3168,3169,3205,3212,3214,3216,3218,3240,3242,3251,3253,3257,3294,3294,3296,3297,3333,3340,3342,3344,3346,3368,3370,3385,3424,3425,3461,3478,3482,3505,3507,3515,3517,3517,3520,3526,3585,3632,3634,3635,3648,3654,3713,3714,3716,3716,3719,3720,3722,3722,3725,3725,3732,3735,3737,3743,3745,3747,3749,3749,3751,3751,3754,3755,3757,3760,3762,3763,3773,3773,3776,3780,3782,3782,3804,3805,3840,3840,3904,3911,3913,3946,3976,3979,4096,4129,4131,4135,4137,4138,4176,4181,4256,4293,4304,4342,4352,4441,4447,4514,4520,4601,4608,4614,4616,4678,4680,4680,4682,4685,4688,4694,4696,4696,4698,4701,4704,4742,4744,4744,4746,4749,4752,4782,4784,4784,4786,4789,4792,4798,4800,4800,4802,4805,4808,4814,4816,4822,4824,4846,4848,4878,4880,4880,4882,4885,4888,4894,4896,4934,4936,4954,5024,5108,5121,5740,5743,5750,5761,5786,5792,5866,6016,6067,6176,6263,6272,6312,7680,7835,7840,7929,7936,7957,7960,7965,7968,8005,8008,8013,8016,8023,8025,8025,8027,8027,8029,8029,8031,8061,8064,8116,8118,8124,8126,8126,8130,8132,8134,8140,8144,8147,8150,8155,8160,8172,8178,8180,8182,8188,8319,8319,8450,8450,8455,8455,8458,8467,8469,8469,8473,8477,8484,8484,8486,8486,8488,8488,8490,8493,8495,8497,8499,8505,8544,8579,12293,12295,12321,12329,12337,12341,12344,12346,12353,12436,12445,12446,12449,12538,12540,12542,12549,12588,12593,12686,12704,12727,13312,19893,19968,40869,40960,42124,44032,55203,63744,64045,64256,64262,64275,64279,64285,64285,64287,64296,64298,64310,64312,64316,64318,64318,64320,64321,64323,64324,64326,64433,64467,64829,64848,64911,64914,64967,65008,65019,65136,65138,65140,65140,65142,65276,65313,65338,65345,65370,65382,65470,65474,65479,65482,65487,65490,65495,65498,65500],Va=[170,170,181,181,186,186,192,214,216,246,248,543,546,563,592,685,688,696,699,705,720,721,736,740,750,750,768,846,864,866,890,890,902,902,904,906,908,908,910,929,931,974,976,983,986,1011,1024,1153,1155,1158,1164,1220,1223,1224,1227,1228,1232,1269,1272,1273,1329,1366,1369,1369,1377,1415,1425,1441,1443,1465,1467,1469,1471,1471,1473,1474,1476,1476,1488,1514,1520,1522,1569,1594,1600,1621,1632,1641,1648,1747,1749,1756,1759,1768,1770,1773,1776,1788,1808,1836,1840,1866,1920,1968,2305,2307,2309,2361,2364,2381,2384,2388,2392,2403,2406,2415,2433,2435,2437,2444,2447,2448,2451,2472,2474,2480,2482,2482,2486,2489,2492,2492,2494,2500,2503,2504,2507,2509,2519,2519,2524,2525,2527,2531,2534,2545,2562,2562,2565,2570,2575,2576,2579,2600,2602,2608,2610,2611,2613,2614,2616,2617,2620,2620,2622,2626,2631,2632,2635,2637,2649,2652,2654,2654,2662,2676,2689,2691,2693,2699,2701,2701,2703,2705,2707,2728,2730,2736,2738,2739,2741,2745,2748,2757,2759,2761,2763,2765,2768,2768,2784,2784,2790,2799,2817,2819,2821,2828,2831,2832,2835,2856,2858,2864,2866,2867,2870,2873,2876,2883,2887,2888,2891,2893,2902,2903,2908,2909,2911,2913,2918,2927,2946,2947,2949,2954,2958,2960,2962,2965,2969,2970,2972,2972,2974,2975,2979,2980,2984,2986,2990,2997,2999,3001,3006,3010,3014,3016,3018,3021,3031,3031,3047,3055,3073,3075,3077,3084,3086,3088,3090,3112,3114,3123,3125,3129,3134,3140,3142,3144,3146,3149,3157,3158,3168,3169,3174,3183,3202,3203,3205,3212,3214,3216,3218,3240,3242,3251,3253,3257,3262,3268,3270,3272,3274,3277,3285,3286,3294,3294,3296,3297,3302,3311,3330,3331,3333,3340,3342,3344,3346,3368,3370,3385,3390,3395,3398,3400,3402,3405,3415,3415,3424,3425,3430,3439,3458,3459,3461,3478,3482,3505,3507,3515,3517,3517,3520,3526,3530,3530,3535,3540,3542,3542,3544,3551,3570,3571,3585,3642,3648,3662,3664,3673,3713,3714,3716,3716,3719,3720,3722,3722,3725,3725,3732,3735,3737,3743,3745,3747,3749,3749,3751,3751,3754,3755,3757,3769,3771,3773,3776,3780,3782,3782,3784,3789,3792,3801,3804,3805,3840,3840,3864,3865,3872,3881,3893,3893,3895,3895,3897,3897,3902,3911,3913,3946,3953,3972,3974,3979,3984,3991,3993,4028,4038,4038,4096,4129,4131,4135,4137,4138,4140,4146,4150,4153,4160,4169,4176,4185,4256,4293,4304,4342,4352,4441,4447,4514,4520,4601,4608,4614,4616,4678,4680,4680,4682,4685,4688,4694,4696,4696,4698,4701,4704,4742,4744,4744,4746,4749,4752,4782,4784,4784,4786,4789,4792,4798,4800,4800,4802,4805,4808,4814,4816,4822,4824,4846,4848,4878,4880,4880,4882,4885,4888,4894,4896,4934,4936,4954,4969,4977,5024,5108,5121,5740,5743,5750,5761,5786,5792,5866,6016,6099,6112,6121,6160,6169,6176,6263,6272,6313,7680,7835,7840,7929,7936,7957,7960,7965,7968,8005,8008,8013,8016,8023,8025,8025,8027,8027,8029,8029,8031,8061,8064,8116,8118,8124,8126,8126,8130,8132,8134,8140,8144,8147,8150,8155,8160,8172,8178,8180,8182,8188,8255,8256,8319,8319,8400,8412,8417,8417,8450,8450,8455,8455,8458,8467,8469,8469,8473,8477,8484,8484,8486,8486,8488,8488,8490,8493,8495,8497,8499,8505,8544,8579,12293,12295,12321,12335,12337,12341,12344,12346,12353,12436,12441,12442,12445,12446,12449,12542,12549,12588,12593,12686,12704,12727,13312,19893,19968,40869,40960,42124,44032,55203,63744,64045,64256,64262,64275,64279,64285,64296,64298,64310,64312,64316,64318,64318,64320,64321,64323,64324,64326,64433,64467,64829,64848,64911,64914,64967,65008,65019,65056,65059,65075,65076,65101,65103,65136,65138,65140,65140,65142,65276,65296,65305,65313,65338,65343,65343,65345,65370,65381,65470,65474,65479,65482,65487,65490,65495,65498,65500],Ua=[170,170,181,181,186,186,192,214,216,246,248,705,710,721,736,740,748,748,750,750,880,884,886,887,890,893,902,902,904,906,908,908,910,929,931,1013,1015,1153,1162,1319,1329,1366,1369,1369,1377,1415,1488,1514,1520,1522,1568,1610,1646,1647,1649,1747,1749,1749,1765,1766,1774,1775,1786,1788,1791,1791,1808,1808,1810,1839,1869,1957,1969,1969,1994,2026,2036,2037,2042,2042,2048,2069,2074,2074,2084,2084,2088,2088,2112,2136,2208,2208,2210,2220,2308,2361,2365,2365,2384,2384,2392,2401,2417,2423,2425,2431,2437,2444,2447,2448,2451,2472,2474,2480,2482,2482,2486,2489,2493,2493,2510,2510,2524,2525,2527,2529,2544,2545,2565,2570,2575,2576,2579,2600,2602,2608,2610,2611,2613,2614,2616,2617,2649,2652,2654,2654,2674,2676,2693,2701,2703,2705,2707,2728,2730,2736,2738,2739,2741,2745,2749,2749,2768,2768,2784,2785,2821,2828,2831,2832,2835,2856,2858,2864,2866,2867,2869,2873,2877,2877,2908,2909,2911,2913,2929,2929,2947,2947,2949,2954,2958,2960,2962,2965,2969,2970,2972,2972,2974,2975,2979,2980,2984,2986,2990,3001,3024,3024,3077,3084,3086,3088,3090,3112,3114,3123,3125,3129,3133,3133,3160,3161,3168,3169,3205,3212,3214,3216,3218,3240,3242,3251,3253,3257,3261,3261,3294,3294,3296,3297,3313,3314,3333,3340,3342,3344,3346,3386,3389,3389,3406,3406,3424,3425,3450,3455,3461,3478,3482,3505,3507,3515,3517,3517,3520,3526,3585,3632,3634,3635,3648,3654,3713,3714,3716,3716,3719,3720,3722,3722,3725,3725,3732,3735,3737,3743,3745,3747,3749,3749,3751,3751,3754,3755,3757,3760,3762,3763,3773,3773,3776,3780,3782,3782,3804,3807,3840,3840,3904,3911,3913,3948,3976,3980,4096,4138,4159,4159,4176,4181,4186,4189,4193,4193,4197,4198,4206,4208,4213,4225,4238,4238,4256,4293,4295,4295,4301,4301,4304,4346,4348,4680,4682,4685,4688,4694,4696,4696,4698,4701,4704,4744,4746,4749,4752,4784,4786,4789,4792,4798,4800,4800,4802,4805,4808,4822,4824,4880,4882,4885,4888,4954,4992,5007,5024,5108,5121,5740,5743,5759,5761,5786,5792,5866,5870,5872,5888,5900,5902,5905,5920,5937,5952,5969,5984,5996,5998,6e3,6016,6067,6103,6103,6108,6108,6176,6263,6272,6312,6314,6314,6320,6389,6400,6428,6480,6509,6512,6516,6528,6571,6593,6599,6656,6678,6688,6740,6823,6823,6917,6963,6981,6987,7043,7072,7086,7087,7098,7141,7168,7203,7245,7247,7258,7293,7401,7404,7406,7409,7413,7414,7424,7615,7680,7957,7960,7965,7968,8005,8008,8013,8016,8023,8025,8025,8027,8027,8029,8029,8031,8061,8064,8116,8118,8124,8126,8126,8130,8132,8134,8140,8144,8147,8150,8155,8160,8172,8178,8180,8182,8188,8305,8305,8319,8319,8336,8348,8450,8450,8455,8455,8458,8467,8469,8469,8473,8477,8484,8484,8486,8486,8488,8488,8490,8493,8495,8505,8508,8511,8517,8521,8526,8526,8544,8584,11264,11310,11312,11358,11360,11492,11499,11502,11506,11507,11520,11557,11559,11559,11565,11565,11568,11623,11631,11631,11648,11670,11680,11686,11688,11694,11696,11702,11704,11710,11712,11718,11720,11726,11728,11734,11736,11742,11823,11823,12293,12295,12321,12329,12337,12341,12344,12348,12353,12438,12445,12447,12449,12538,12540,12543,12549,12589,12593,12686,12704,12730,12784,12799,13312,19893,19968,40908,40960,42124,42192,42237,42240,42508,42512,42527,42538,42539,42560,42606,42623,42647,42656,42735,42775,42783,42786,42888,42891,42894,42896,42899,42912,42922,43e3,43009,43011,43013,43015,43018,43020,43042,43072,43123,43138,43187,43250,43255,43259,43259,43274,43301,43312,43334,43360,43388,43396,43442,43471,43471,43520,43560,43584,43586,43588,43595,43616,43638,43642,43642,43648,43695,43697,43697,43701,43702,43705,43709,43712,43712,43714,43714,43739,43741,43744,43754,43762,43764,43777,43782,43785,43790,43793,43798,43808,43814,43816,43822,43968,44002,44032,55203,55216,55238,55243,55291,63744,64109,64112,64217,64256,64262,64275,64279,64285,64285,64287,64296,64298,64310,64312,64316,64318,64318,64320,64321,64323,64324,64326,64433,64467,64829,64848,64911,64914,64967,65008,65019,65136,65140,65142,65276,65313,65338,65345,65370,65382,65470,65474,65479,65482,65487,65490,65495,65498,65500],Ha=[170,170,181,181,186,186,192,214,216,246,248,705,710,721,736,740,748,748,750,750,768,884,886,887,890,893,902,902,904,906,908,908,910,929,931,1013,1015,1153,1155,1159,1162,1319,1329,1366,1369,1369,1377,1415,1425,1469,1471,1471,1473,1474,1476,1477,1479,1479,1488,1514,1520,1522,1552,1562,1568,1641,1646,1747,1749,1756,1759,1768,1770,1788,1791,1791,1808,1866,1869,1969,1984,2037,2042,2042,2048,2093,2112,2139,2208,2208,2210,2220,2276,2302,2304,2403,2406,2415,2417,2423,2425,2431,2433,2435,2437,2444,2447,2448,2451,2472,2474,2480,2482,2482,2486,2489,2492,2500,2503,2504,2507,2510,2519,2519,2524,2525,2527,2531,2534,2545,2561,2563,2565,2570,2575,2576,2579,2600,2602,2608,2610,2611,2613,2614,2616,2617,2620,2620,2622,2626,2631,2632,2635,2637,2641,2641,2649,2652,2654,2654,2662,2677,2689,2691,2693,2701,2703,2705,2707,2728,2730,2736,2738,2739,2741,2745,2748,2757,2759,2761,2763,2765,2768,2768,2784,2787,2790,2799,2817,2819,2821,2828,2831,2832,2835,2856,2858,2864,2866,2867,2869,2873,2876,2884,2887,2888,2891,2893,2902,2903,2908,2909,2911,2915,2918,2927,2929,2929,2946,2947,2949,2954,2958,2960,2962,2965,2969,2970,2972,2972,2974,2975,2979,2980,2984,2986,2990,3001,3006,3010,3014,3016,3018,3021,3024,3024,3031,3031,3046,3055,3073,3075,3077,3084,3086,3088,3090,3112,3114,3123,3125,3129,3133,3140,3142,3144,3146,3149,3157,3158,3160,3161,3168,3171,3174,3183,3202,3203,3205,3212,3214,3216,3218,3240,3242,3251,3253,3257,3260,3268,3270,3272,3274,3277,3285,3286,3294,3294,3296,3299,3302,3311,3313,3314,3330,3331,3333,3340,3342,3344,3346,3386,3389,3396,3398,3400,3402,3406,3415,3415,3424,3427,3430,3439,3450,3455,3458,3459,3461,3478,3482,3505,3507,3515,3517,3517,3520,3526,3530,3530,3535,3540,3542,3542,3544,3551,3570,3571,3585,3642,3648,3662,3664,3673,3713,3714,3716,3716,3719,3720,3722,3722,3725,3725,3732,3735,3737,3743,3745,3747,3749,3749,3751,3751,3754,3755,3757,3769,3771,3773,3776,3780,3782,3782,3784,3789,3792,3801,3804,3807,3840,3840,3864,3865,3872,3881,3893,3893,3895,3895,3897,3897,3902,3911,3913,3948,3953,3972,3974,3991,3993,4028,4038,4038,4096,4169,4176,4253,4256,4293,4295,4295,4301,4301,4304,4346,4348,4680,4682,4685,4688,4694,4696,4696,4698,4701,4704,4744,4746,4749,4752,4784,4786,4789,4792,4798,4800,4800,4802,4805,4808,4822,4824,4880,4882,4885,4888,4954,4957,4959,4992,5007,5024,5108,5121,5740,5743,5759,5761,5786,5792,5866,5870,5872,5888,5900,5902,5908,5920,5940,5952,5971,5984,5996,5998,6e3,6002,6003,6016,6099,6103,6103,6108,6109,6112,6121,6155,6157,6160,6169,6176,6263,6272,6314,6320,6389,6400,6428,6432,6443,6448,6459,6470,6509,6512,6516,6528,6571,6576,6601,6608,6617,6656,6683,6688,6750,6752,6780,6783,6793,6800,6809,6823,6823,6912,6987,6992,7001,7019,7027,7040,7155,7168,7223,7232,7241,7245,7293,7376,7378,7380,7414,7424,7654,7676,7957,7960,7965,7968,8005,8008,8013,8016,8023,8025,8025,8027,8027,8029,8029,8031,8061,8064,8116,8118,8124,8126,8126,8130,8132,8134,8140,8144,8147,8150,8155,8160,8172,8178,8180,8182,8188,8204,8205,8255,8256,8276,8276,8305,8305,8319,8319,8336,8348,8400,8412,8417,8417,8421,8432,8450,8450,8455,8455,8458,8467,8469,8469,8473,8477,8484,8484,8486,8486,8488,8488,8490,8493,8495,8505,8508,8511,8517,8521,8526,8526,8544,8584,11264,11310,11312,11358,11360,11492,11499,11507,11520,11557,11559,11559,11565,11565,11568,11623,11631,11631,11647,11670,11680,11686,11688,11694,11696,11702,11704,11710,11712,11718,11720,11726,11728,11734,11736,11742,11744,11775,11823,11823,12293,12295,12321,12335,12337,12341,12344,12348,12353,12438,12441,12442,12445,12447,12449,12538,12540,12543,12549,12589,12593,12686,12704,12730,12784,12799,13312,19893,19968,40908,40960,42124,42192,42237,42240,42508,42512,42539,42560,42607,42612,42621,42623,42647,42655,42737,42775,42783,42786,42888,42891,42894,42896,42899,42912,42922,43e3,43047,43072,43123,43136,43204,43216,43225,43232,43255,43259,43259,43264,43309,43312,43347,43360,43388,43392,43456,43471,43481,43520,43574,43584,43597,43600,43609,43616,43638,43642,43643,43648,43714,43739,43741,43744,43759,43762,43766,43777,43782,43785,43790,43793,43798,43808,43814,43816,43822,43968,44010,44012,44013,44016,44025,44032,55203,55216,55238,55243,55291,63744,64109,64112,64217,64256,64262,64275,64279,64285,64296,64298,64310,64312,64316,64318,64318,64320,64321,64323,64324,64326,64433,64467,64829,64848,64911,64914,64967,65008,65019,65024,65039,65056,65062,65075,65076,65101,65103,65136,65140,65142,65276,65296,65305,65313,65338,65343,65343,65345,65370,65382,65470,65474,65479,65482,65487,65490,65495,65498,65500],Ka=[65,90,97,122,170,170,181,181,186,186,192,214,216,246,248,705,710,721,736,740,748,748,750,750,880,884,886,887,890,893,895,895,902,902,904,906,908,908,910,929,931,1013,1015,1153,1162,1327,1329,1366,1369,1369,1376,1416,1488,1514,1519,1522,1568,1610,1646,1647,1649,1747,1749,1749,1765,1766,1774,1775,1786,1788,1791,1791,1808,1808,1810,1839,1869,1957,1969,1969,1994,2026,2036,2037,2042,2042,2048,2069,2074,2074,2084,2084,2088,2088,2112,2136,2144,2154,2208,2228,2230,2237,2308,2361,2365,2365,2384,2384,2392,2401,2417,2432,2437,2444,2447,2448,2451,2472,2474,2480,2482,2482,2486,2489,2493,2493,2510,2510,2524,2525,2527,2529,2544,2545,2556,2556,2565,2570,2575,2576,2579,2600,2602,2608,2610,2611,2613,2614,2616,2617,2649,2652,2654,2654,2674,2676,2693,2701,2703,2705,2707,2728,2730,2736,2738,2739,2741,2745,2749,2749,2768,2768,2784,2785,2809,2809,2821,2828,2831,2832,2835,2856,2858,2864,2866,2867,2869,2873,2877,2877,2908,2909,2911,2913,2929,2929,2947,2947,2949,2954,2958,2960,2962,2965,2969,2970,2972,2972,2974,2975,2979,2980,2984,2986,2990,3001,3024,3024,3077,3084,3086,3088,3090,3112,3114,3129,3133,3133,3160,3162,3168,3169,3200,3200,3205,3212,3214,3216,3218,3240,3242,3251,3253,3257,3261,3261,3294,3294,3296,3297,3313,3314,3333,3340,3342,3344,3346,3386,3389,3389,3406,3406,3412,3414,3423,3425,3450,3455,3461,3478,3482,3505,3507,3515,3517,3517,3520,3526,3585,3632,3634,3635,3648,3654,3713,3714,3716,3716,3718,3722,3724,3747,3749,3749,3751,3760,3762,3763,3773,3773,3776,3780,3782,3782,3804,3807,3840,3840,3904,3911,3913,3948,3976,3980,4096,4138,4159,4159,4176,4181,4186,4189,4193,4193,4197,4198,4206,4208,4213,4225,4238,4238,4256,4293,4295,4295,4301,4301,4304,4346,4348,4680,4682,4685,4688,4694,4696,4696,4698,4701,4704,4744,4746,4749,4752,4784,4786,4789,4792,4798,4800,4800,4802,4805,4808,4822,4824,4880,4882,4885,4888,4954,4992,5007,5024,5109,5112,5117,5121,5740,5743,5759,5761,5786,5792,5866,5870,5880,5888,5900,5902,5905,5920,5937,5952,5969,5984,5996,5998,6e3,6016,6067,6103,6103,6108,6108,6176,6264,6272,6312,6314,6314,6320,6389,6400,6430,6480,6509,6512,6516,6528,6571,6576,6601,6656,6678,6688,6740,6823,6823,6917,6963,6981,6987,7043,7072,7086,7087,7098,7141,7168,7203,7245,7247,7258,7293,7296,7304,7312,7354,7357,7359,7401,7404,7406,7411,7413,7414,7418,7418,7424,7615,7680,7957,7960,7965,7968,8005,8008,8013,8016,8023,8025,8025,8027,8027,8029,8029,8031,8061,8064,8116,8118,8124,8126,8126,8130,8132,8134,8140,8144,8147,8150,8155,8160,8172,8178,8180,8182,8188,8305,8305,8319,8319,8336,8348,8450,8450,8455,8455,8458,8467,8469,8469,8472,8477,8484,8484,8486,8486,8488,8488,8490,8505,8508,8511,8517,8521,8526,8526,8544,8584,11264,11310,11312,11358,11360,11492,11499,11502,11506,11507,11520,11557,11559,11559,11565,11565,11568,11623,11631,11631,11648,11670,11680,11686,11688,11694,11696,11702,11704,11710,11712,11718,11720,11726,11728,11734,11736,11742,12293,12295,12321,12329,12337,12341,12344,12348,12353,12438,12443,12447,12449,12538,12540,12543,12549,12591,12593,12686,12704,12730,12784,12799,13312,19893,19968,40943,40960,42124,42192,42237,42240,42508,42512,42527,42538,42539,42560,42606,42623,42653,42656,42735,42775,42783,42786,42888,42891,42943,42946,42950,42999,43009,43011,43013,43015,43018,43020,43042,43072,43123,43138,43187,43250,43255,43259,43259,43261,43262,43274,43301,43312,43334,43360,43388,43396,43442,43471,43471,43488,43492,43494,43503,43514,43518,43520,43560,43584,43586,43588,43595,43616,43638,43642,43642,43646,43695,43697,43697,43701,43702,43705,43709,43712,43712,43714,43714,43739,43741,43744,43754,43762,43764,43777,43782,43785,43790,43793,43798,43808,43814,43816,43822,43824,43866,43868,43879,43888,44002,44032,55203,55216,55238,55243,55291,63744,64109,64112,64217,64256,64262,64275,64279,64285,64285,64287,64296,64298,64310,64312,64316,64318,64318,64320,64321,64323,64324,64326,64433,64467,64829,64848,64911,64914,64967,65008,65019,65136,65140,65142,65276,65313,65338,65345,65370,65382,65470,65474,65479,65482,65487,65490,65495,65498,65500,65536,65547,65549,65574,65576,65594,65596,65597,65599,65613,65616,65629,65664,65786,65856,65908,66176,66204,66208,66256,66304,66335,66349,66378,66384,66421,66432,66461,66464,66499,66504,66511,66513,66517,66560,66717,66736,66771,66776,66811,66816,66855,66864,66915,67072,67382,67392,67413,67424,67431,67584,67589,67592,67592,67594,67637,67639,67640,67644,67644,67647,67669,67680,67702,67712,67742,67808,67826,67828,67829,67840,67861,67872,67897,67968,68023,68030,68031,68096,68096,68112,68115,68117,68119,68121,68149,68192,68220,68224,68252,68288,68295,68297,68324,68352,68405,68416,68437,68448,68466,68480,68497,68608,68680,68736,68786,68800,68850,68864,68899,69376,69404,69415,69415,69424,69445,69600,69622,69635,69687,69763,69807,69840,69864,69891,69926,69956,69956,69968,70002,70006,70006,70019,70066,70081,70084,70106,70106,70108,70108,70144,70161,70163,70187,70272,70278,70280,70280,70282,70285,70287,70301,70303,70312,70320,70366,70405,70412,70415,70416,70419,70440,70442,70448,70450,70451,70453,70457,70461,70461,70480,70480,70493,70497,70656,70708,70727,70730,70751,70751,70784,70831,70852,70853,70855,70855,71040,71086,71128,71131,71168,71215,71236,71236,71296,71338,71352,71352,71424,71450,71680,71723,71840,71903,71935,71935,72096,72103,72106,72144,72161,72161,72163,72163,72192,72192,72203,72242,72250,72250,72272,72272,72284,72329,72349,72349,72384,72440,72704,72712,72714,72750,72768,72768,72818,72847,72960,72966,72968,72969,72971,73008,73030,73030,73056,73061,73063,73064,73066,73097,73112,73112,73440,73458,73728,74649,74752,74862,74880,75075,77824,78894,82944,83526,92160,92728,92736,92766,92880,92909,92928,92975,92992,92995,93027,93047,93053,93071,93760,93823,93952,94026,94032,94032,94099,94111,94176,94177,94179,94179,94208,100343,100352,101106,110592,110878,110928,110930,110948,110951,110960,111355,113664,113770,113776,113788,113792,113800,113808,113817,119808,119892,119894,119964,119966,119967,119970,119970,119973,119974,119977,119980,119982,119993,119995,119995,119997,120003,120005,120069,120071,120074,120077,120084,120086,120092,120094,120121,120123,120126,120128,120132,120134,120134,120138,120144,120146,120485,120488,120512,120514,120538,120540,120570,120572,120596,120598,120628,120630,120654,120656,120686,120688,120712,120714,120744,120746,120770,120772,120779,123136,123180,123191,123197,123214,123214,123584,123627,124928,125124,125184,125251,125259,125259,126464,126467,126469,126495,126497,126498,126500,126500,126503,126503,126505,126514,126516,126519,126521,126521,126523,126523,126530,126530,126535,126535,126537,126537,126539,126539,126541,126543,126545,126546,126548,126548,126551,126551,126553,126553,126555,126555,126557,126557,126559,126559,126561,126562,126564,126564,126567,126570,126572,126578,126580,126583,126585,126588,126590,126590,126592,126601,126603,126619,126625,126627,126629,126633,126635,126651,131072,173782,173824,177972,177984,178205,178208,183969,183984,191456,194560,195101],qa=[48,57,65,90,95,95,97,122,170,170,181,181,183,183,186,186,192,214,216,246,248,705,710,721,736,740,748,748,750,750,768,884,886,887,890,893,895,895,902,906,908,908,910,929,931,1013,1015,1153,1155,1159,1162,1327,1329,1366,1369,1369,1376,1416,1425,1469,1471,1471,1473,1474,1476,1477,1479,1479,1488,1514,1519,1522,1552,1562,1568,1641,1646,1747,1749,1756,1759,1768,1770,1788,1791,1791,1808,1866,1869,1969,1984,2037,2042,2042,2045,2045,2048,2093,2112,2139,2144,2154,2208,2228,2230,2237,2259,2273,2275,2403,2406,2415,2417,2435,2437,2444,2447,2448,2451,2472,2474,2480,2482,2482,2486,2489,2492,2500,2503,2504,2507,2510,2519,2519,2524,2525,2527,2531,2534,2545,2556,2556,2558,2558,2561,2563,2565,2570,2575,2576,2579,2600,2602,2608,2610,2611,2613,2614,2616,2617,2620,2620,2622,2626,2631,2632,2635,2637,2641,2641,2649,2652,2654,2654,2662,2677,2689,2691,2693,2701,2703,2705,2707,2728,2730,2736,2738,2739,2741,2745,2748,2757,2759,2761,2763,2765,2768,2768,2784,2787,2790,2799,2809,2815,2817,2819,2821,2828,2831,2832,2835,2856,2858,2864,2866,2867,2869,2873,2876,2884,2887,2888,2891,2893,2902,2903,2908,2909,2911,2915,2918,2927,2929,2929,2946,2947,2949,2954,2958,2960,2962,2965,2969,2970,2972,2972,2974,2975,2979,2980,2984,2986,2990,3001,3006,3010,3014,3016,3018,3021,3024,3024,3031,3031,3046,3055,3072,3084,3086,3088,3090,3112,3114,3129,3133,3140,3142,3144,3146,3149,3157,3158,3160,3162,3168,3171,3174,3183,3200,3203,3205,3212,3214,3216,3218,3240,3242,3251,3253,3257,3260,3268,3270,3272,3274,3277,3285,3286,3294,3294,3296,3299,3302,3311,3313,3314,3328,3331,3333,3340,3342,3344,3346,3396,3398,3400,3402,3406,3412,3415,3423,3427,3430,3439,3450,3455,3458,3459,3461,3478,3482,3505,3507,3515,3517,3517,3520,3526,3530,3530,3535,3540,3542,3542,3544,3551,3558,3567,3570,3571,3585,3642,3648,3662,3664,3673,3713,3714,3716,3716,3718,3722,3724,3747,3749,3749,3751,3773,3776,3780,3782,3782,3784,3789,3792,3801,3804,3807,3840,3840,3864,3865,3872,3881,3893,3893,3895,3895,3897,3897,3902,3911,3913,3948,3953,3972,3974,3991,3993,4028,4038,4038,4096,4169,4176,4253,4256,4293,4295,4295,4301,4301,4304,4346,4348,4680,4682,4685,4688,4694,4696,4696,4698,4701,4704,4744,4746,4749,4752,4784,4786,4789,4792,4798,4800,4800,4802,4805,4808,4822,4824,4880,4882,4885,4888,4954,4957,4959,4969,4977,4992,5007,5024,5109,5112,5117,5121,5740,5743,5759,5761,5786,5792,5866,5870,5880,5888,5900,5902,5908,5920,5940,5952,5971,5984,5996,5998,6e3,6002,6003,6016,6099,6103,6103,6108,6109,6112,6121,6155,6157,6160,6169,6176,6264,6272,6314,6320,6389,6400,6430,6432,6443,6448,6459,6470,6509,6512,6516,6528,6571,6576,6601,6608,6618,6656,6683,6688,6750,6752,6780,6783,6793,6800,6809,6823,6823,6832,6845,6912,6987,6992,7001,7019,7027,7040,7155,7168,7223,7232,7241,7245,7293,7296,7304,7312,7354,7357,7359,7376,7378,7380,7418,7424,7673,7675,7957,7960,7965,7968,8005,8008,8013,8016,8023,8025,8025,8027,8027,8029,8029,8031,8061,8064,8116,8118,8124,8126,8126,8130,8132,8134,8140,8144,8147,8150,8155,8160,8172,8178,8180,8182,8188,8255,8256,8276,8276,8305,8305,8319,8319,8336,8348,8400,8412,8417,8417,8421,8432,8450,8450,8455,8455,8458,8467,8469,8469,8472,8477,8484,8484,8486,8486,8488,8488,8490,8505,8508,8511,8517,8521,8526,8526,8544,8584,11264,11310,11312,11358,11360,11492,11499,11507,11520,11557,11559,11559,11565,11565,11568,11623,11631,11631,11647,11670,11680,11686,11688,11694,11696,11702,11704,11710,11712,11718,11720,11726,11728,11734,11736,11742,11744,11775,12293,12295,12321,12335,12337,12341,12344,12348,12353,12438,12441,12447,12449,12538,12540,12543,12549,12591,12593,12686,12704,12730,12784,12799,13312,19893,19968,40943,40960,42124,42192,42237,42240,42508,42512,42539,42560,42607,42612,42621,42623,42737,42775,42783,42786,42888,42891,42943,42946,42950,42999,43047,43072,43123,43136,43205,43216,43225,43232,43255,43259,43259,43261,43309,43312,43347,43360,43388,43392,43456,43471,43481,43488,43518,43520,43574,43584,43597,43600,43609,43616,43638,43642,43714,43739,43741,43744,43759,43762,43766,43777,43782,43785,43790,43793,43798,43808,43814,43816,43822,43824,43866,43868,43879,43888,44010,44012,44013,44016,44025,44032,55203,55216,55238,55243,55291,63744,64109,64112,64217,64256,64262,64275,64279,64285,64296,64298,64310,64312,64316,64318,64318,64320,64321,64323,64324,64326,64433,64467,64829,64848,64911,64914,64967,65008,65019,65024,65039,65056,65071,65075,65076,65101,65103,65136,65140,65142,65276,65296,65305,65313,65338,65343,65343,65345,65370,65382,65470,65474,65479,65482,65487,65490,65495,65498,65500,65536,65547,65549,65574,65576,65594,65596,65597,65599,65613,65616,65629,65664,65786,65856,65908,66045,66045,66176,66204,66208,66256,66272,66272,66304,66335,66349,66378,66384,66426,66432,66461,66464,66499,66504,66511,66513,66517,66560,66717,66720,66729,66736,66771,66776,66811,66816,66855,66864,66915,67072,67382,67392,67413,67424,67431,67584,67589,67592,67592,67594,67637,67639,67640,67644,67644,67647,67669,67680,67702,67712,67742,67808,67826,67828,67829,67840,67861,67872,67897,67968,68023,68030,68031,68096,68099,68101,68102,68108,68115,68117,68119,68121,68149,68152,68154,68159,68159,68192,68220,68224,68252,68288,68295,68297,68326,68352,68405,68416,68437,68448,68466,68480,68497,68608,68680,68736,68786,68800,68850,68864,68903,68912,68921,69376,69404,69415,69415,69424,69456,69600,69622,69632,69702,69734,69743,69759,69818,69840,69864,69872,69881,69888,69940,69942,69951,69956,69958,69968,70003,70006,70006,70016,70084,70089,70092,70096,70106,70108,70108,70144,70161,70163,70199,70206,70206,70272,70278,70280,70280,70282,70285,70287,70301,70303,70312,70320,70378,70384,70393,70400,70403,70405,70412,70415,70416,70419,70440,70442,70448,70450,70451,70453,70457,70459,70468,70471,70472,70475,70477,70480,70480,70487,70487,70493,70499,70502,70508,70512,70516,70656,70730,70736,70745,70750,70751,70784,70853,70855,70855,70864,70873,71040,71093,71096,71104,71128,71133,71168,71232,71236,71236,71248,71257,71296,71352,71360,71369,71424,71450,71453,71467,71472,71481,71680,71738,71840,71913,71935,71935,72096,72103,72106,72151,72154,72161,72163,72164,72192,72254,72263,72263,72272,72345,72349,72349,72384,72440,72704,72712,72714,72758,72760,72768,72784,72793,72818,72847,72850,72871,72873,72886,72960,72966,72968,72969,72971,73014,73018,73018,73020,73021,73023,73031,73040,73049,73056,73061,73063,73064,73066,73102,73104,73105,73107,73112,73120,73129,73440,73462,73728,74649,74752,74862,74880,75075,77824,78894,82944,83526,92160,92728,92736,92766,92768,92777,92880,92909,92912,92916,92928,92982,92992,92995,93008,93017,93027,93047,93053,93071,93760,93823,93952,94026,94031,94087,94095,94111,94176,94177,94179,94179,94208,100343,100352,101106,110592,110878,110928,110930,110948,110951,110960,111355,113664,113770,113776,113788,113792,113800,113808,113817,113821,113822,119141,119145,119149,119154,119163,119170,119173,119179,119210,119213,119362,119364,119808,119892,119894,119964,119966,119967,119970,119970,119973,119974,119977,119980,119982,119993,119995,119995,119997,120003,120005,120069,120071,120074,120077,120084,120086,120092,120094,120121,120123,120126,120128,120132,120134,120134,120138,120144,120146,120485,120488,120512,120514,120538,120540,120570,120572,120596,120598,120628,120630,120654,120656,120686,120688,120712,120714,120744,120746,120770,120772,120779,120782,120831,121344,121398,121403,121452,121461,121461,121476,121476,121499,121503,121505,121519,122880,122886,122888,122904,122907,122913,122915,122916,122918,122922,123136,123180,123184,123197,123200,123209,123214,123214,123584,123641,124928,125124,125136,125142,125184,125259,125264,125273,126464,126467,126469,126495,126497,126498,126500,126500,126503,126503,126505,126514,126516,126519,126521,126521,126523,126523,126530,126530,126535,126535,126537,126537,126539,126539,126541,126543,126545,126546,126548,126548,126551,126551,126553,126553,126555,126555,126557,126557,126559,126559,126561,126562,126564,126564,126567,126570,126572,126578,126580,126583,126585,126588,126590,126590,126592,126601,126603,126619,126625,126627,126629,126633,126635,126651,131072,173782,173824,177972,177984,178205,178208,183969,183984,191456,194560,195101,917760,917999],Ja=/^\/\/\/?\s*@(ts-expect-error|ts-ignore)/,Xa=/^(?:\/|\*)*\s*@(ts-expect-error|ts-ignore)/,Ya=/@(?:see|link)/i,$a=function(e){const n=[];return e.forEach(((e,t)=>{n[e]=t})),n}(Ba),Qa=7,Za=/^#!.*/,es=String.fromCodePoint?e=>String.fromCodePoint(e):Vs}});function Xs(e){return Ji(e)||Hi(e)}function Ys(e){return pe(e,pT)}function $s(e){switch(jp(e)){case 99:return"lib.esnext.full.d.ts";case 9:return"lib.es2022.full.d.ts";case 8:return"lib.es2021.full.d.ts";case 7:return"lib.es2020.full.d.ts";case 6:return"lib.es2019.full.d.ts";case 5:return"lib.es2018.full.d.ts";case 4:return"lib.es2017.full.d.ts";case 3:return"lib.es2016.full.d.ts";case 2:return"lib.es6.d.ts";default:return"lib.d.ts"}}function Qs(e){return e.start+e.length}function Zs(e){return 0===e.length}function el(e,n){return n>=e.start&&n<Qs(e)}function nl(e,n){return n>=e.pos&&n<=e.end}function tl(e,n){return n.start>=e.start&&Qs(n)<=Qs(e)}function rl(e,n){return void 0!==ol(e,n)}function ol(e,n){const t=cl(e,n);return t&&0===t.length?void 0:t}function il(e,n){return sl(e.start,e.length,n.start,n.length)}function al(e,n,t){return sl(e.start,e.length,n,t)}function sl(e,n,t,r){return t<=e+n&&t+r>=e}function ll(e,n){return n<=Qs(e)&&n>=e.start}function cl(e,n){const t=Math.max(e.start,n.start),r=Math.min(Qs(e),Qs(n));return t<=r?ul(t,r):void 0}function dl(e,n){if(e<0)throw new Error("start < 0");if(n<0)throw new Error("length < 0");return{start:e,length:n}}function ul(e,n){return dl(e,n-e)}function pl(e){return dl(e.span.start,e.newLength)}function fl(e){return Zs(e.span)&&0===e.newLength}function ml(e,n){if(n<0)throw new Error("newLength < 0");return{span:e,newLength:n}}function _l(e){if(0===e.length)return Hs;if(1===e.length)return e[0];const n=e[0];let t=n.span.start,r=Qs(n.span),o=t+n.newLength;for(let n=1;n<e.length;n++){const i=e[n],a=t,s=r,l=o,c=i.span.start,d=Qs(i.span),u=c+i.newLength;t=Math.min(a,c),r=Math.max(s,s+(d-l)),o=Math.max(u,u+(l-d))}return ml(ul(t,r),o-t)}function hl(e){if(e&&168===e.kind)for(let n=e;n;n=n.parent)if(Td(n)||Md(n)||264===n.kind)return n}function gl(e,n){return bN(e)&&Bb(e,31)&&176===n.kind}function yl(e){return!!Vd(e)&&N(e.elements,vl)}function vl(e){return!!DD(e)||yl(e.name)}function bl(e){let n=e.parent;for(;iD(n.parent);)n=n.parent.parent;return n.parent}function El(e,n){iD(e)&&(e=bl(e));let t=n(e);return 260===e.kind&&(e=e.parent),e&&261===e.kind&&(t|=n(e),e=e.parent),e&&243===e.kind&&(t|=n(e)),t}function Sl(e){return El(e,Zb)}function Tl(e){return El(e,eE)}function xl(e){return El(e,Al)}function Al(e){return e.flags}function Rl(e,n,t){const r=e.toLowerCase(),o=/^([a-z]+)([_-]([a-z]+))?$/.exec(r);if(!o)return void(t&&t.push(sT(Oa.Locale_must_be_of_the_form_language_or_language_territory_For_example_0_or_1,"en","ja-jp")));const i=o[1],a=o[3];function s(e,t,r){let o=ua(ra(_a(n.getExecutingFilePath())),e);if(t&&(o=o+"-"+t),o=n.resolvePath(ua(o,"diagnosticMessages.generated.json")),!n.fileExists(o))return!1;let i="";try{i=n.readFile(o)}catch(e){return r&&r.push(sT(Oa.Unable_to_open_file_0,o)),!1}try{QS(JSON.parse(i))}catch{return r&&r.push(sT(Oa.Corrupted_locale_file_0,o)),!1}return!0}k(Ks,r)&&!s(i,a,t)&&s(i,void 0,t),Vn(e)}function Il(e,n){if(e)for(;void 0!==e.original;)e=e.original;return e&&n?n(e)?e:void 0:e}function Nl(e,n){for(;e;){const t=n(e);if("quit"===t)return;if(t)return e;e=e.parent}}function Dl(e){return!(16&e.flags)}function Cl(e,n){if(void 0===e||Dl(e))return e;for(e=e.original;e;){if(Dl(e))return!n||n(e)?e:void 0;e=e.original}}function Ml(e){return e.length>=2&&95===e.charCodeAt(0)&&95===e.charCodeAt(1)?"_"+e:e}function Pl(e){const n=e;return n.length>=3&&95===n.charCodeAt(0)&&95===n.charCodeAt(1)&&95===n.charCodeAt(2)?n.substr(1):n}function Ll(e){return Pl(e.escapedText)}function kl(e){const n=ss(e.escapedText);return n?hn(n,Vy):void 0}function wl(e){return e.valueDeclaration&&md(e.valueDeclaration)?Ll(e.valueDeclaration.name):Pl(e.escapedName)}function Ol(e){const n=e.parent.parent;if(n){if(Pu(n))return Fl(n);switch(n.kind){case 243:if(n.declarationList&&n.declarationList.declarations[0])return Fl(n.declarationList.declarations[0]);break;case 244:let e=n.expression;switch(226===e.kind&&64===e.operatorToken.kind&&(e=e.left),e.kind){case 211:return e.name;case 212:const n=e.argumentExpression;if(tN(n))return n}break;case 217:return Fl(n.expression);case 256:if(Pu(n.statement)||uu(n.statement))return Fl(n.statement)}}}function Fl(e){const n=jl(e);return n&&tN(n)?n:void 0}function Wl(e,n){return!(!Gl(e)||!tN(e.name)||Ll(e.name)!==Ll(n))||!(!BD(e)||!oe(e.declarationList.declarations,(e=>Wl(e,n))))}function zl(e){return e.name||Ol(e)}function Gl(e){return!!e.name}function Bl(e){switch(e.kind){case 80:return e;case 355:case 348:{const{name:n}=e;if(166===n.kind)return n.right;break}case 213:case 226:{const n=e;switch(Eg(n)){case 1:case 4:case 5:case 3:return Dg(n.left);case 7:case 8:case 9:return n.arguments[1];default:return}}case 353:return zl(e);case 347:return Ol(e);case 277:{const{expression:n}=e;return tN(n)?n:void 0}case 212:const n=e;if(Rg(n))return n.argumentExpression}return e.name}function jl(e){if(void 0!==e)return Bl(e)||(_D(e)||hD(e)||ND(e)?Vl(e):void 0)}function Vl(e){if(e.parent){if(QC(e.parent)||iD(e.parent))return e.parent.name;if(TD(e.parent)&&e===e.parent.right){if(tN(e.parent.left))return e.parent.left;if(wS(e.parent.left))return Dg(e.parent.left)}else if(iC(e.parent)&&tN(e.parent.name))return e.parent.name}}function Ul(e){if(Xb(e))return W(e.modifiers,EN)}function Hl(e){if(Bb(e,98303))return W(e.modifiers,vd)}function Kl(e,n){if(e.name){if(tN(e.name)){const t=e.name.escapedText;return Ec(e.parent,n).filter((e=>OM(e)&&tN(e.name)&&e.name.escapedText===t))}{const t=e.parent.parameters.indexOf(e);Tt.assert(t>-1,"Parameters should always be in their parents' parameter list");const r=Ec(e.parent,n).filter(OM);if(t<r.length)return[r[t]]}}return o}function ql(e){return Kl(e,!1)}function Jl(e){return Kl(e,!0)}function Xl(e,n){const t=e.name.escapedText;return Ec(e.parent,n).filter((e=>GM(e)&&e.typeParameters.some((e=>e.name.escapedText===t))))}function Yl(e){return Xl(e,!1)}function $l(e){return Xl(e,!0)}function Ql(e){return!!xc(e,OM)}function Zl(e){return xc(e,TM)}function ec(e){return Ac(e,UM)}function nc(e){return xc(e,AM)}function tc(e){return xc(e,IM)}function rc(e){return xc(e,IM,!0)}function oc(e){return xc(e,NM)}function ic(e){return xc(e,NM,!0)}function ac(e){return xc(e,DM)}function sc(e){return xc(e,DM,!0)}function lc(e){return xc(e,CM)}function cc(e){return xc(e,CM,!0)}function dc(e){return xc(e,MM,!0)}function uc(e){return xc(e,LM)}function pc(e){return xc(e,LM,!0)}function fc(e){return xc(e,wM)}function mc(e){return xc(e,WM)}function _c(e){return xc(e,FM)}function hc(e){return xc(e,GM)}function gc(e){return xc(e,HM)}function yc(e){const n=xc(e,zM);if(n&&n.typeExpression&&n.typeExpression.type)return n}function vc(e){let n=xc(e,zM);return!n&&bN(e)&&(n=D(ql(e),(e=>!!e.typeExpression))),n&&n.typeExpression&&n.typeExpression.type}function bc(e){const n=_c(e);if(n&&n.typeExpression)return n.typeExpression.type;const t=yc(e);if(t&&t.typeExpression){const e=t.typeExpression.type;if(WN(e)){const n=D(e.members,CN);return n&&n.type}if(wN(e)||gM(e))return e.type}}function Ec(e,n){var t;if(!Zg(e))return o;let r=null==(t=e.jsDoc)?void 0:t.jsDocCache;if(void 0===r||n){const t=ey(e,n);Tt.assert(t.length<2||t[0]!==t[1]),r=H(t,(e=>bM(e)?e.tags:e)),n||(e.jsDoc??(e.jsDoc=[]),e.jsDoc.jsDocCache=r)}return r}function Sc(e){return Ec(e,!1)}function Tc(e){return Ec(e,!0)}function xc(e,n,t){return D(Ec(e,t),n)}function Ac(e,n){return Sc(e).filter(n)}function Rc(e,n){return Sc(e).filter((e=>e.kind===n))}function Ic(e){return"string"==typeof e?e:null==e?void 0:e.map((e=>328===e.kind?e.text:function(e){const n=331===e.kind?"link":332===e.kind?"linkcode":"linkplain",t=e.name?c_(e.name):"",r=e.name&&e.text.startsWith("://")?"":" ";return`{@${n} ${t}${r}${e.text}}`}(e))).join("")}function Nc(e){if(SM(e)){if(PM(e.parent)){const n=cy(e.parent);if(n&&b(n.tags))return H(n.tags,(e=>GM(e)?e.typeParameters:void 0))}return o}if(Kg(e))return Tt.assert(327===e.parent.kind),H(e.parent.tags,(e=>GM(e)?e.typeParameters:void 0));if(e.typeParameters)return e.typeParameters;if(BP(e)&&e.typeParameters)return e.typeParameters;if(Yh(e)){const n=Nb(e);if(n.length)return n;const t=vc(e);if(t&&wN(t)&&t.typeParameters)return t.typeParameters}return o}function Dc(e){return e.constraint?e.constraint:GM(e.parent)&&e===e.parent.typeParameters[0]?e.parent.constraint:void 0}function Cc(e){return 80===e.kind||81===e.kind}function Mc(e){return 178===e.kind||177===e.kind}function Pc(e){return lD(e)&&!!(64&e.flags)}function Lc(e){return cD(e)&&!!(64&e.flags)}function kc(e){return dD(e)&&!!(64&e.flags)}function wc(e){const n=e.kind;return!!(64&e.flags)&&(211===n||212===n||213===n||235===n)}function Oc(e){return wc(e)&&!LD(e)&&!!e.questionDotToken}function Fc(e){return Oc(e.parent)&&e.parent.expression===e}function Wc(e){return!wc(e.parent)||Oc(e.parent)||e!==e.parent.expression}function zc(e){return 226===e.kind&&61===e.operatorToken.kind}function Gc(e){return kN(e)&&tN(e.typeName)&&"const"===e.typeName.escapedText&&!e.typeArguments}function Bc(e){return EP(e,8)}function jc(e){return LD(e)&&!!(64&e.flags)}function Vc(e){return 252===e.kind||251===e.kind}function Uc(e){return 280===e.kind||279===e.kind}function Hc(e){switch(e.kind){case 309:case 310:return!0;default:return!1}}function Kc(e){return Hc(e)||307===e.kind||311===e.kind}function qc(e){return 355===e.kind||348===e.kind}function Jc(e){return Xc(e.kind)}function Xc(e){return e>=166}function Yc(e){return e>=0&&e<=165}function $c(e){return Yc(e.kind)}function Qc(e){return je(e,"pos")&&je(e,"end")}function Zc(e){return 9<=e&&e<=15}function ed(e){return Zc(e.kind)}function nd(e){switch(e.kind){case 210:case 209:case 14:case 218:case 231:return!0}return!1}function td(e){return 15<=e&&e<=18}function rd(e){return td(e.kind)}function od(e){const n=e.kind;return 17===n||18===n}function id(e){return IC(e)||MC(e)}function ad(e){switch(e.kind){case 276:return e.isTypeOnly||e.parent.parent.isTypeOnly;case 274:return e.parent.isTypeOnly;case 273:case 271:return e.isTypeOnly}return!1}function sd(e){switch(e.kind){case 281:return e.isTypeOnly||e.parent.parent.isTypeOnly;case 278:return e.isTypeOnly&&!!e.moduleSpecifier&&!e.exportClause;case 280:return e.parent.isTypeOnly}return!1}function ld(e){return ad(e)||sd(e)}function cd(e){return 11===e.kind||td(e.kind)}function dd(e){return zI(e)||tN(e)}function ud(e){var n;return tN(e)&&void 0!==(null==(n=e.emitNode)?void 0:n.autoGenerate)}function pd(e){var n;return rN(e)&&void 0!==(null==(n=e.emitNode)?void 0:n.autoGenerate)}function fd(e){const n=e.emitNode.autoGenerate.flags;return!!(32&n)&&!!(16&n)&&!!(8&n)}function md(e){return(TN(e)||wd(e))&&rN(e.name)}function _d(e){return lD(e)&&rN(e.name)}function hd(e){switch(e){case 128:case 129:case 134:case 87:case 138:case 90:case 95:case 103:case 125:case 123:case 124:case 148:case 126:case 147:case 164:return!0}return!1}function gd(e){return!!(31&sE(e))}function yd(e){return gd(e)||126===e||164===e||129===e}function vd(e){return hd(e.kind)}function bd(e){const n=e.kind;return 166===n||80===n}function Ed(e){const n=e.kind;return 80===n||81===n||11===n||9===n||167===n}function Sd(e){const n=e.kind;return 80===n||206===n||207===n}function Td(e){return!!e&&Nd(e.kind)}function xd(e){return!!e&&(Nd(e.kind)||RN(e))}function Ad(e){return e&&Id(e.kind)}function Rd(e){return 112===e.kind||97===e.kind}function Id(e){switch(e){case 262:case 174:case 176:case 177:case 178:case 218:case 219:return!0;default:return!1}}function Nd(e){switch(e){case 173:case 179:case 330:case 180:case 181:case 184:case 324:case 185:return!0;default:return Id(e)}}function Dd(e){return rM(e)||fC(e)||GD(e)&&Td(e.parent)}function Cd(e){const n=e.kind;return 176===n||172===n||174===n||177===n||178===n||181===n||175===n||240===n}function Md(e){return e&&(263===e.kind||231===e.kind)}function Pd(e){return e&&(177===e.kind||178===e.kind)}function Ld(e){return TN(e)&&qb(e)}function kd(e){return Yh(e)&&RA(e)?!(Ag(e)&&RE(e.expression)||Ig(e,!0)):e.parent&&Md(e.parent)&&TN(e)&&!qb(e)}function wd(e){switch(e.kind){case 174:case 177:case 178:return!0;default:return!1}}function Od(e){switch(e.kind){case 174:case 177:case 178:case 172:return!0;default:return!1}}function Fd(e){return vd(e)||EN(e)}function Wd(e){const n=e.kind;return 180===n||179===n||171===n||173===n||181===n||177===n||178===n}function zd(e){return Wd(e)||Cd(e)}function Gd(e){const n=e.kind;return 303===n||304===n||305===n||174===n||177===n||178===n}function Bd(e){return kS(e.kind)}function jd(e){switch(e.kind){case 184:case 185:return!0}return!1}function Vd(e){if(e){const n=e.kind;return 207===n||206===n}return!1}function Ud(e){const n=e.kind;return 209===n||210===n}function Hd(e){const n=e.kind;return 208===n||232===n}function Kd(e){switch(e.kind){case 260:case 169:case 208:return!0}return!1}function qd(e){return iC(e)||bN(e)||Yd(e)||Qd(e)}function Jd(e){return Xd(e)||$d(e)}function Xd(e){switch(e.kind){case 206:case 210:return!0}return!1}function Yd(e){switch(e.kind){case 208:case 303:case 304:case 305:return!0}return!1}function $d(e){switch(e.kind){case 207:case 209:return!0}return!1}function Qd(e){switch(e.kind){case 208:case 232:case 230:case 209:case 210:case 80:case 211:case 212:return!0}return gE(e,!0)}function Zd(e){const n=e.kind;return 211===n||166===n||205===n}function eu(e){const n=e.kind;return 211===n||166===n}function nu(e){return tu(e)||eA(e)}function tu(e){switch(e.kind){case 286:case 285:case 213:case 214:case 215:case 170:return!0;default:return!1}}function ru(e){return 213===e.kind||214===e.kind}function ou(e){const n=e.kind;return 228===n||15===n}function iu(e){return au(Bc(e).kind)}function au(e){switch(e){case 211:case 212:case 214:case 213:case 284:case 285:case 288:case 215:case 209:case 217:case 210:case 231:case 218:case 80:case 81:case 14:case 9:case 10:case 11:case 15:case 228:case 97:case 106:case 110:case 112:case 108:case 235:case 233:case 236:case 102:case 282:return!0;default:return!1}}function su(e){return lu(Bc(e).kind)}function lu(e){switch(e){case 224:case 225:case 220:case 221:case 222:case 223:case 216:return!0;default:return au(e)}}function cu(e){switch(e.kind){case 225:return!0;case 224:return 46===e.operator||47===e.operator;default:return!1}}function du(e){switch(e.kind){case 106:case 112:case 97:case 224:return!0;default:return ed(e)}}function uu(e){return function(e){switch(e){case 227:case 229:case 219:case 226:case 230:case 234:case 232:case 361:case 360:case 238:return!0;default:return lu(e)}}(Bc(e).kind)}function pu(e){const n=e.kind;return 216===n||234===n}function fu(e){return LC(e)||OD(e)}function mu(e,n){switch(e.kind){case 248:case 249:case 250:case 246:case 247:return!0;case 256:return n&&mu(e.statement,n)}return!1}function _u(e){return NC(e)||DC(e)}function hu(e){return oe(e,_u)}function gu(e){return!(e_(e)||NC(e)||Bb(e,32)||km(e))}function yu(e){return e_(e)||NC(e)||Bb(e,32)}function vu(e){return 249===e.kind||250===e.kind}function bu(e){return GD(e)||uu(e)}function Eu(e){return GD(e)}function Su(e){return aC(e)||uu(e)}function Tu(e){const n=e.kind;return 268===n||267===n||80===n}function xu(e){const n=e.kind;return 268===n||267===n}function Au(e){const n=e.kind;return 80===n||267===n}function Ru(e){const n=e.kind;return 275===n||274===n}function Iu(e){return 267===e.kind||266===e.kind}function Nu(e){switch(e.kind){case 219:case 226:case 208:case 213:case 179:case 263:case 231:case 175:case 176:case 185:case 180:case 212:case 266:case 306:case 277:case 278:case 281:case 262:case 218:case 184:case 177:case 80:case 273:case 271:case 276:case 181:case 264:case 345:case 347:case 324:case 348:case 355:case 330:case 353:case 329:case 291:case 292:case 293:case 200:case 174:case 173:case 267:case 202:case 280:case 270:case 274:case 214:case 15:case 9:case 210:case 169:case 211:case 303:case 172:case 171:case 178:case 304:case 312:case 305:case 11:case 265:case 187:case 168:case 260:return!0;default:return!1}}function Du(e){switch(e.kind){case 219:case 241:case 179:case 269:case 299:case 175:case 194:case 176:case 185:case 180:case 248:case 249:case 250:case 262:case 218:case 184:case 177:case 181:case 345:case 347:case 324:case 330:case 353:case 200:case 174:case 173:case 267:case 178:case 312:case 265:return!0;default:return!1}}function Cu(e){return 262===e||282===e||263===e||264===e||265===e||266===e||267===e||272===e||271===e||278===e||277===e||270===e}function Mu(e){return 252===e||251===e||259===e||246===e||244===e||242===e||249===e||250===e||248===e||245===e||256===e||253===e||255===e||257===e||258===e||243===e||247===e||254===e||359===e}function Pu(e){return 168===e.kind?e.parent&&352!==e.parent.kind||Yh(e):219===(n=e.kind)||208===n||263===n||231===n||175===n||176===n||266===n||306===n||281===n||262===n||218===n||177===n||273===n||271===n||276===n||264===n||291===n||174===n||173===n||267===n||270===n||274===n||280===n||169===n||303===n||172===n||171===n||178===n||304===n||265===n||168===n||260===n||353===n||345===n||355===n;var n}function Lu(e){return Cu(e.kind)}function ku(e){return Mu(e.kind)}function wu(e){const n=e.kind;return Mu(n)||Cu(n)||function(e){if(241!==e.kind)return!1;if(void 0!==e.parent&&(258===e.parent.kind||299===e.parent.kind))return!1;return!rh(e)}(e)}function Ou(e){const n=e.kind;return Mu(n)||Cu(n)||241===n}function Fu(e){const n=e.kind;return 283===n||166===n||80===n}function Wu(e){const n=e.kind;return 110===n||80===n||211===n||295===n}function zu(e){const n=e.kind;return 284===n||294===n||285===n||12===n||288===n}function Gu(e){const n=e.kind;return 291===n||293===n}function Bu(e){const n=e.kind;return 11===n||294===n}function ju(e){const n=e.kind;return 286===n||285===n}function Vu(e){const n=e.kind;return 296===n||297===n}function Uu(e){return e.kind>=316&&e.kind<=357}function Hu(e){return 327===e.kind||326===e.kind||328===e.kind||rp(e)||Ku(e)||EM(e)||SM(e)}function Ku(e){return e.kind>=334&&e.kind<=357}function qu(e){return 178===e.kind}function Ju(e){return 177===e.kind}function Xu(e){if(!Zg(e))return!1;const{jsDoc:n}=e;return!!n&&n.length>0}function Yu(e){return!!e.type}function $u(e){return!!e.initializer}function Qu(e){switch(e.kind){case 260:case 169:case 208:case 172:case 303:case 306:return!0;default:return!1}}function Zu(e){return 291===e.kind||293===e.kind||Gd(e)}function ep(e){return 183===e.kind||233===e.kind}function np(e){let n=qs;for(const t of e){if(!t.length)continue;let e=0;for(;e<t.length&&e<n&&hs(t.charCodeAt(e));e++);if(e<n&&(n=e),0===n)return 0}return n===qs?void 0:n}function tp(e){return 11===e.kind||15===e.kind}function rp(e){return 331===e.kind||332===e.kind||333===e.kind}function op(e){const n=Le(e.parameters);return!!n&&ip(n)}function ip(e){const n=OM(e)?e.typeExpression&&e.typeExpression.type:e.type;return void 0!==e.dotDotDotToken||!!n&&325===n.kind}function ap(e,n){return n.text.substring(e.pos,e.end).includes("@internal")}function sp(e,n){n??(n=$f(e));const t=Cl(e);if(t&&169===t.kind){const r=t.parent.parameters.indexOf(t),o=r>0?t.parent.parameters[r-1]:void 0,i=n.text,a=o?ae(ws(i,Ts(i,o.end+1,!1,!0)),ks(i,e.pos)):ws(i,Ts(i,e.pos,!1,!0));return oe(a)&&ap(ke(a),n)}return!!E(t&&G_(t,n),(e=>ap(e,n)))}var lp,cp,dp,up,pp,fp,mp,_p,hp,gp,yp,vp,bp,Ep,Sp,Tp,xp,Ap,Rp,Ip,Np,Dp,Cp,Mp,Pp,Lp,kp,wp,Op,Fp,Wp,zp,Gp,Bp,jp,Vp,Up,Hp,Kp,qp,Jp,Xp,Yp,$p,Qp,Zp,ef,nf,tf,rf,of,af,sf,lf,cf,df,uf,pf,ff,mf,_f,hf,gf,yf,vf,bf,Ef,Sf,Tf,xf,Af,Rf,If,Nf=g({"src/compiler/utilitiesPublic.ts"(){JJ(),Hs=ml(dl(0,0),0),Ks=["cs","de","es","fr","it","ja","ko","pl","pt-br","ru","tr","zh-cn","zh-tw"],qs=1073741823}});function Df(e,n){const t=e.declarations;if(t)for(const e of t)if(e.kind===n)return e}function Cf(e,n){return W(e.declarations||o,(e=>e.kind===n))}function Mf(e){const n=new Map;if(e)for(const t of e)n.set(t.escapedName,t);return n}function Pf(e){return!!(33554432&e.flags)}function Lf(e,n){return e.configFilePath!==n.configFilePath||kf(e,n)}function kf(e,n){return Of(e,n,Wk)}function wf(e,n){return Of(e,n,Gk)}function Of(e,n,t){return e!==n&&t.some((t=>!Dx(MT(e,t),MT(n,t))))}function Ff(e,n){for(;;){const t=n(e);if("quit"===t)return;if(void 0!==t)return t;if(rM(e))return;e=e.parent}}function Wf(e,n){const t=e.entries();for(const[e,r]of t){const t=n(r,e);if(t)return t}}function zf(e,n){const t=e.keys();for(const e of t){const t=n(e);if(t)return t}}function Gf(e,n){e.forEach(((e,t)=>{n.set(t,e)}))}function Bf(e){const n=pp.getText();try{return e(pp),pp.getText()}finally{pp.clear(),pp.writeKeyword(n)}}function jf(e){return e.end-e.pos}function Vf(e,n){return e.path===n.path&&!e.prepend==!n.prepend&&!e.circular==!n.circular}function Uf(e,n){return e===n||e.resolvedModule===n.resolvedModule||!!e.resolvedModule&&!!n.resolvedModule&&e.resolvedModule.isExternalLibraryImport===n.resolvedModule.isExternalLibraryImport&&e.resolvedModule.extension===n.resolvedModule.extension&&e.resolvedModule.resolvedFileName===n.resolvedModule.resolvedFileName&&e.resolvedModule.originalPath===n.resolvedModule.originalPath&&(t=e.resolvedModule.packageId,r=n.resolvedModule.packageId,t===r||!!t&&!!r&&t.name===r.name&&t.subModuleName===r.subModuleName&&t.version===r.version)&&e.alternateResult===n.alternateResult;var t,r}function Hf(e,n,t,r,o){var i;const a=null==(i=n.getResolvedModule(e,t,r))?void 0:i.alternateResult,s=a&&(2===Up(n.getCompilerOptions())?[Oa.There_are_types_at_0_but_this_result_could_not_be_resolved_under_your_current_moduleResolution_setting_Consider_updating_to_node16_nodenext_or_bundler,[a]]:[Oa.There_are_types_at_0_but_this_result_could_not_be_resolved_when_respecting_package_json_exports_The_1_library_may_need_to_update_its_package_json_or_typings,[a,a.includes(HO+"@types/")?`@types/${xW(o)}`:o]]),l=s?cT(void 0,s[0],...s[1]):n.typesPackageExists(o)?cT(void 0,Oa.If_the_0_package_actually_exposes_this_module_consider_sending_a_pull_request_to_amend_https_Colon_Slash_Slashgithub_com_SlashDefinitelyTyped_SlashDefinitelyTyped_Slashtree_Slashmaster_Slashtypes_Slash_1,o,xW(o)):n.packageBundlesTypes(o)?cT(void 0,Oa.If_the_0_package_actually_exposes_this_module_try_adding_a_new_declaration_d_ts_file_containing_declare_module_1,o,t):cT(void 0,Oa.Try_npm_i_save_dev_types_Slash_1_if_it_exists_or_add_a_new_declaration_d_ts_file_containing_declare_module_0,t,xW(o));return l&&(l.repopulateInfo=()=>({moduleReference:t,mode:r,packageName:o===t?void 0:o})),l}function Kf({name:e,subModuleName:n}){return n?`${e}/${n}`:e}function qf(e){return`${Kf(e)}@${e.version}`}function Jf(e,n){return e===n||e.resolvedTypeReferenceDirective===n.resolvedTypeReferenceDirective||!!e.resolvedTypeReferenceDirective&&!!n.resolvedTypeReferenceDirective&&e.resolvedTypeReferenceDirective.resolvedFileName===n.resolvedTypeReferenceDirective.resolvedFileName&&!!e.resolvedTypeReferenceDirective.primary==!!n.resolvedTypeReferenceDirective.primary&&e.resolvedTypeReferenceDirective.originalPath===n.resolvedTypeReferenceDirective.originalPath}function Xf(e,n,t,r){Tt.assert(e.length===n.length);for(let o=0;o<e.length;o++){const i=n[o],a=t(e[o]);if(a?!i||!r(a,i):i)return!0}return!1}function Yf(e){return function(e){if(!(2097152&e.flags)){(!!(262144&e.flags)||ok(e,Yf))&&(e.flags|=1048576),e.flags|=2097152}}(e),!!(1048576&e.flags)}function $f(e){for(;e&&312!==e.kind;)e=e.parent;return e}function Qf(e){return $f(e.valueDeclaration||Vm(e))}function Zf(e,n){return!(!e||1!==e.scriptKind&&2!==e.scriptKind||e.checkJsDirective||void 0!==n)}function em(e){switch(e.kind){case 241:case 269:case 248:case 249:case 250:return!0}return!1}function nm(e,n){return Tt.assert(e>=0),us(n)[e]}function tm(e){const n=$f(e),t=_s(n,e.pos);return`${n.fileName}(${t.line+1},${t.character+1})`}function rm(e,n){Tt.assert(e>=0);const t=us(n),r=e,o=n.text;if(r+1===t.length)return o.length-1;{const e=t[r];let n=t[r+1]-1;for(Tt.assert(ys(o.charCodeAt(n)));e<=n&&ys(o.charCodeAt(n));)n--;return n}}function om(e,n,t){return!(t&&t(n)||e.identifiers.has(n))}function im(e){return void 0===e||e.pos===e.end&&e.pos>=0&&1!==e.kind}function am(e){return!im(e)}function sm(e,n){return vN(e)?n===e.expression:RN(e)?n===e.modifiers:SN(e)?n===e.initializer:TN(e)?n===e.questionToken&&Ld(e):QC(e)?n===e.modifiers||n===e.questionToken||n===e.exclamationToken||lm(e.modifiers,n,Fd):ZC(e)?n===e.equalsToken||n===e.modifiers||n===e.questionToken||n===e.exclamationToken||lm(e.modifiers,n,Fd):AN(e)?n===e.exclamationToken:IN(e)?n===e.typeParameters||n===e.type||lm(e.typeParameters,n,vN):NN(e)?n===e.typeParameters||lm(e.typeParameters,n,vN):DN(e)?n===e.typeParameters||n===e.type||lm(e.typeParameters,n,vN):!!_C(e)&&(n===e.modifiers||lm(e.modifiers,n,Fd))}function lm(e,n,t){return!(!e||pn(n)||!t(n))&&k(e,n)}function cm(e,n,t){if(void 0===n||0===n.length)return e;let r=0;for(;r<e.length&&t(e[r]);++r);return e.splice(r,0,...n),e}function dm(e,n,t){if(void 0===n)return e;let r=0;for(;r<e.length&&t(e[r]);++r);return e.splice(r,0,n),e}function um(e){return w_(e)||!!(2097152&Im(e))}function pm(e,n){return cm(e,n,w_)}function fm(e,n){return cm(e,n,um)}function mm(e,n){return dm(e,n,w_)}function _m(e,n){return dm(e,n,um)}function hm(e,n,t){if(47===e.charCodeAt(n+1)&&n+2<t&&47===e.charCodeAt(n+2)){const r=e.substring(n,t);return!!(_p.test(r)||yp.test(r)||vp.test(r)||hp.test(r)||gp.test(r)||bp.test(r))}return!1}function gm(e,n){return 42===e.charCodeAt(n+1)&&33===e.charCodeAt(n+2)}function ym(e,n){const t=new Map(n.map((n=>[`${_s(e,n.range.end).line}`,n]))),r=new Map;return{getUnusedExpectations:function(){return Je(t.entries()).filter((([e,n])=>0===n.type&&!r.get(e))).map((([e,n])=>n))},markUsed:function(e){if(!t.has(`${e}`))return!1;return r.set(`${e}`,!0),!0}}}function vm(e,n,t){return im(e)?e.pos:Uu(e)||12===e.kind?Ts((n||$f(e)).text,e.pos,!1,!0):t&&Xu(e)?vm(e.jsDoc[0],n):358===e.kind&&e._children.length>0?vm(e._children[0],n,t):Ts((n||$f(e)).text,e.pos,!1,!1,Zh(e))}function bm(e,n){const t=!im(e)&&vL(e)?C(e.modifiers,EN):void 0;return t?Ts((n||$f(e)).text,t.end):vm(e,n)}function Em(e,n,t=!1){return Tm(e.text,n,t)}function Sm(e){return!!(DC(e)&&e.exportClause&&AC(e.exportClause)&&"default"===e.exportClause.name.escapedText)}function Tm(e,n,t=!1){if(im(n))return"";let r=e.substring(t?n.pos:Ts(e,n.pos),n.end);return function(e){return!!Nl(e,aM)}(n)&&(r=r.split(/\r\n|\n|\r/).map((e=>e.replace(/^\s*\*/,"").trimStart())).join("\n")),r}function xm(e,n=!1){return Em($f(e),e,n)}function Am(e){return e.pos}function Rm(e,n){return ze(e,n,Am,wn)}function Im(e){const n=e.emitNode;return n&&n.flags||0}function Nm(e){const n=e.emitNode;return n&&n.internalFlags||0}function Dm(e,n,t){if(n&&function(e,n){if(Sv(e)||!e.parent||4&n&&e.isUnterminated)return!1;if(FI(e)){if(26656&e.numericLiteralFlags)return!1;if(512&e.numericLiteralFlags)return!!(8&n)}return!WI(e)}(e,t))return Em(n,e);switch(e.kind){case 11:{const n=2&t?Gv:1&t||16777216&Im(e)?Fv:Wv;return e.singleQuote?"'"+n(e.text,39)+"'":'"'+n(e.text,34)+'"'}case 15:case 16:case 17:case 18:{const n=1&t||16777216&Im(e)?Fv:Wv,r=e.rawText??Pv(n(e.text,96));switch(e.kind){case 15:return"`"+r+"`";case 16:return"`"+r+"${";case 17:return"}"+r+"${";case 18:return"}"+r+"`"}break}case 9:case 10:return e.text;case 14:return 4&t&&e.isUnterminated?e.text+(92===e.text.charCodeAt(e.text.length-1)?" /":"/"):e.text}return Tt.fail(`Literal kind '${e.kind}' not accounted for.`)}function Cm(e){return mn(e)?'"'+Wv(e)+'"':""+e}function Mm(e){return oa(e).replace(/^(\d)/,"_$1").replace(/\W/g,"_")}function Pm(e){return!!(7&xl(e))||Lm(e)}function Lm(e){const n=bv(e);return 260===n.kind&&299===n.parent.kind}function km(e){return pC(e)&&(11===e.name.kind||Gm(e))}function wm(e){return pC(e)&&11===e.name.kind}function Om(e){return pC(e)&&zI(e.name)}function Fm(e){return pC(e)||tN(e)}function Wm(e){return!!(n=e.valueDeclaration)&&267===n.kind&&!n.body;var n}function zm(e){return 312===e.kind||267===e.kind||xd(e)}function Gm(e){return!!(2048&e.flags)}function Bm(e){return km(e)&&jm(e)}function jm(e){switch(e.parent.kind){case 312:return uk(e.parent);case 268:return km(e.parent.parent)&&rM(e.parent.parent.parent)&&!uk(e.parent.parent.parent)}return!1}function Vm(e){var n;return null==(n=e.declarations)?void 0:n.find((e=>!(Bm(e)||pC(e)&&Gm(e))))}function Um(e,n){return uk(e)||(1===(t=Vp(n))||100===t||199===t)&&!!e.commonJsModuleIndicator;var t}function Hm(e,n){switch(e.scriptKind){case 1:case 3:case 2:case 4:break;default:return!1}return!e.isDeclarationFile&&(!!RT(n,"alwaysStrict")||(!!_P(e.statements)||!(!uk(e)&&!Kp(n))&&(Vp(n)>=5||!n.noImplicitUseStrict)))}function Km(e){return!!(33554432&e.flags)||Bb(e,128)}function qm(e,n){switch(e.kind){case 312:case 269:case 299:case 267:case 248:case 249:case 250:case 176:case 174:case 177:case 178:case 262:case 218:case 219:case 172:case 175:return!0;case 241:return!xd(n)}return!1}function Jm(e){switch(Tt.type(e),e.kind){case 345:case 353:case 330:return!0;default:return Xm(e)}}function Xm(e){switch(Tt.type(e),e.kind){case 179:case 180:case 173:case 181:case 184:case 185:case 324:case 263:case 231:case 264:case 265:case 352:case 262:case 174:case 176:case 177:case 178:case 218:case 219:return!0;default:return!1}}function Ym(e){switch(e.kind){case 272:case 271:return!0;default:return!1}}function $m(e){return Ym(e)||rg(e)}function Qm(e){switch(e.kind){case 272:case 271:case 243:case 263:case 262:case 267:case 265:case 264:case 266:return!0;default:return!1}}function Zm(e){return e_(e)||pC(e)||eD(e)||P_(e)}function e_(e){return Ym(e)||DC(e)}function n_(e){return Nl(e.parent,(e=>!!(1&qW(e))))}function t_(e){return Nl(e.parent,(e=>qm(e,e.parent)))}function r_(e,n){let t=t_(e);for(;t;)n(t),t=t_(t)}function o_(e){return e&&0!==jf(e)?xm(e):"(Missing)"}function i_(e){return e.declaration?o_(e.declaration.parameters[0].name):void 0}function a_(e){return 167===e.kind&&!nv(e.expression)}function s_(e){var n;switch(e.kind){case 80:case 81:return(null==(n=e.emitNode)?void 0:n.autoGenerate)?void 0:e.escapedText;case 11:case 9:case 15:return Ml(e.text);case 167:return nv(e.expression)?Ml(e.expression.text):void 0;case 295:return EA(e);default:return Tt.assertNever(e)}}function l_(e){return Tt.checkDefined(s_(e))}function c_(e){switch(e.kind){case 110:return"this";case 81:case 80:return 0===jf(e)?Ll(e):xm(e);case 166:return c_(e.left)+"."+c_(e.right);case 211:return tN(e.name)||rN(e.name)?c_(e.expression)+"."+c_(e.name):Tt.assertNever(e.name);case 318:return c_(e.left)+c_(e.right);case 295:return c_(e.namespace)+":"+c_(e.name);default:return Tt.assertNever(e)}}function d_(e,n,...t){return p_($f(e),e,n,...t)}function u_(e,n,t,...r){const o=Ts(e.text,n.pos);return iT(e,o,n.end-o,t,...r)}function p_(e,n,t,...r){const o=S_(e,n);return iT(e,o.start,o.length,t,...r)}function f_(e,n,t,r){const o=S_(e,n);return h_(e,o.start,o.length,t,r)}function m_(e,n,t,r){const o=Ts(e.text,n.pos);return h_(e,o,n.end-o,t,r)}function __(e,n,t){Tt.assertGreaterThanOrEqual(n,0),Tt.assertGreaterThanOrEqual(t,0),Tt.assertLessThanOrEqual(n,e.length),Tt.assertLessThanOrEqual(n+t,e.length)}function h_(e,n,t,r,o){return __(e.text,n,t),{file:e,start:n,length:t,code:r.code,category:r.category,messageText:r.next?r:r.messageText,relatedInformation:o}}function g_(e,n,t){return{file:e,start:0,length:0,code:n.code,category:n.category,messageText:n.next?n:n.messageText,relatedInformation:t}}function y_(e){return"string"==typeof e.messageText?{code:e.code,category:e.category,messageText:e.messageText,next:e.next}:e.messageText}function v_(e,n,t){return{file:e,start:n.pos,length:n.end-n.pos,code:t.code,category:t.category,messageText:t.message}}function b_(e,n){const t=Gs(e.languageVersion,!0,e.languageVariant,e.text,void 0,n);t.scan();return ul(t.getTokenStart(),t.getTokenEnd())}function E_(e,n){const t=Gs(e.languageVersion,!0,e.languageVariant,e.text,void 0,n);return t.scan(),t.getToken()}function S_(e,n){let t=n;switch(n.kind){case 312:{const n=Ts(e.text,0,!1);return n===e.text.length?dl(0,0):b_(e,n)}case 260:case 208:case 263:case 231:case 264:case 267:case 266:case 306:case 262:case 218:case 174:case 177:case 178:case 265:case 172:case 171:case 274:t=n.name;break;case 219:return function(e,n){const t=Ts(e.text,n.pos);if(n.body&&241===n.body.kind){const{line:r}=_s(e,n.body.pos),{line:o}=_s(e,n.body.end);if(r<o)return dl(t,rm(r,e)-t+1)}return ul(t,n.end)}(e,n);case 296:case 297:return ul(Ts(e.text,n.pos),n.statements.length>0?n.statements[0].pos:n.end);case 253:case 229:return b_(e,Ts(e.text,n.pos));case 238:return b_(e,Ts(e.text,n.expression.end));case 357:return b_(e,Ts(e.text,n.tagName.pos))}if(void 0===t)return b_(e,n.pos);Tt.assert(!bM(t));const r=im(t),o=r||GI(n)?t.pos:Ts(e.text,t.pos);return r?(Tt.assert(o===t.pos,"This failure could trigger https://github.com/Microsoft/TypeScript/issues/20809"),Tt.assert(o===t.end,"This failure could trigger https://github.com/Microsoft/TypeScript/issues/20809")):(Tt.assert(o>=t.pos,"This failure could trigger https://github.com/Microsoft/TypeScript/issues/20809"),Tt.assert(o<=t.end,"This failure could trigger https://github.com/Microsoft/TypeScript/issues/20809")),ul(o,t.end)}function T_(e){return void 0!==(e.externalModuleIndicator||e.commonJsModuleIndicator)}function x_(e){return 6===e.scriptKind}function A_(e){return!!(4096&Sl(e))}function R_(e){return!(!(8&Sl(e))||gl(e,e.parent))}function I_(e){return 6==(7&xl(e))}function N_(e){return 4==(7&xl(e))}function D_(e){return 2==(7&xl(e))}function C_(e){return 1==(7&xl(e))}function M_(e){return 213===e.kind&&108===e.expression.kind}function P_(e){return 213===e.kind&&102===e.expression.kind}function L_(e){return kD(e)&&102===e.keywordToken&&"meta"===e.name.escapedText}function k_(e){return eD(e)&&ZN(e.argument)&&zI(e.argument.literal)}function w_(e){return 244===e.kind&&11===e.expression.kind}function O_(e){return!!(2097152&Im(e))}function F_(e){return O_(e)&&sC(e)}function W_(e){return tN(e.name)&&!e.initializer}function z_(e){return O_(e)&&BD(e)&&N(e.declarationList.declarations,W_)}function G_(e,n){return 12!==e.kind?ks(n.text,e.pos):void 0}function B_(e,n){return W(169===e.kind||168===e.kind||218===e.kind||219===e.kind||217===e.kind||260===e.kind||281===e.kind?ae(ws(n,e.pos),ks(n,e.pos)):ks(n,e.pos),(e=>42===n.charCodeAt(e.pos+1)&&42===n.charCodeAt(e.pos+2)&&47!==n.charCodeAt(e.pos+3)))}function j_(e){if(182<=e.kind&&e.kind<=205)return!0;switch(e.kind){case 133:case 159:case 150:case 163:case 154:case 136:case 155:case 151:case 157:case 106:case 146:return!0;case 116:return 222!==e.parent.kind;case 233:return V_(e);case 168:return 200===e.parent.kind||195===e.parent.kind;case 80:(166===e.parent.kind&&e.parent.right===e||211===e.parent.kind&&e.parent.name===e)&&(e=e.parent),Tt.assert(80===e.kind||166===e.kind||211===e.kind,"'node' was expected to be a qualified name, identifier or property access in 'isPartOfTypeNode'.");case 166:case 211:case 110:{const{parent:n}=e;if(186===n.kind)return!1;if(205===n.kind)return!n.isTypeOf;if(182<=n.kind&&n.kind<=205)return!0;switch(n.kind){case 233:return V_(n);case 168:case 352:return e===n.constraint;case 172:case 171:case 169:case 260:case 262:case 218:case 219:case 176:case 174:case 173:case 177:case 178:case 179:case 180:case 181:case 216:return e===n.type;case 213:case 214:case 215:return k(n.typeArguments,e)}}}return!1}function V_(e){return UM(e.parent)||TM(e.parent)||YC(e.parent)&&!bE(e)}function U_(e,n){for(;e;){if(e.kind===n)return!0;e=e.parent}return!1}function H_(e,n){return function e(t){switch(t.kind){case 253:return n(t);case 269:case 241:case 245:case 246:case 247:case 248:case 249:case 250:case 254:case 255:case 296:case 297:case 256:case 258:case 299:return ok(t,e)}}(e)}function K_(e,n){return function e(t){switch(t.kind){case 229:n(t);const r=t.expression;return void(r&&e(r));case 266:case 264:case 267:case 265:return;default:if(Td(t)){if(t.name&&167===t.name.kind)return void e(t.name.expression)}else j_(t)||ok(t,e)}}(e)}function q_(e){return e&&188===e.kind?e.elementType:e&&183===e.kind?we(e.typeArguments):void 0}function J_(e){switch(e.kind){case 264:case 263:case 231:case 187:return e.members;case 210:return e.properties}}function X_(e){if(e)switch(e.kind){case 208:case 306:case 169:case 303:case 172:case 171:case 304:case 260:return!0}return!1}function Y_(e){return X_(e)||Pd(e)}function $_(e){return 261===e.parent.kind&&243===e.parent.parent.kind}function Q_(e){return!!Yh(e)&&(sD(e.parent)&&TD(e.parent.parent)&&2===Eg(e.parent.parent)||Z_(e.parent))}function Z_(e){return!!Yh(e)&&(TD(e)&&1===Eg(e))}function eh(e){return(iC(e)?D_(e)&&tN(e.name)&&$_(e):TN(e)?Jb(e)&&Vb(e):SN(e)&&Jb(e))||Z_(e)}function nh(e){switch(e.kind){case 174:case 173:case 176:case 177:case 178:case 262:case 218:return!0}return!1}function th(e,n){for(;;){if(n&&n(e),256!==e.statement.kind)return e.statement;e=e.statement}}function rh(e){return e&&241===e.kind&&Td(e.parent)}function oh(e){return e&&174===e.kind&&210===e.parent.kind}function ih(e){return!(174!==e.kind&&177!==e.kind&&178!==e.kind||210!==e.parent.kind&&231!==e.parent.kind)}function ah(e){return e&&1===e.kind}function sh(e){return e&&0===e.kind}function lh(e,n,t,r){return E(null==e?void 0:e.properties,(e=>{if(!QC(e))return;const o=s_(e.name);return n===o||r&&r===o?t(e):void 0}))}function ch(e,n,t){return lh(e,n,(e=>aD(e.initializer)?D(e.initializer.elements,(e=>zI(e)&&e.text===t)):void 0))}function dh(e){if(e&&e.statements.length){return hn(e.statements[0].expression,sD)}}function uh(e,n,t){return ph(e,n,(e=>aD(e.initializer)?D(e.initializer.elements,(e=>zI(e)&&e.text===t)):void 0))}function ph(e,n,t){return lh(dh(e),n,t)}function fh(e){return Nl(e.parent,Td)}function mh(e){return Nl(e.parent,Ad)}function _h(e){return Nl(e.parent,Md)}function hh(e){return Nl(e.parent,(e=>Md(e)||Td(e)?"quit":RN(e)))}function gh(e){return Nl(e.parent,xd)}function yh(e){const n=Nl(e.parent,(e=>Md(e)?"quit":EN(e)));return n&&Md(n.parent)?_h(n.parent):_h(n??e)}function vh(e,n,t){for(Tt.assert(312!==e.kind);;){if(!(e=e.parent))return Tt.fail();switch(e.kind){case 167:if(t&&Md(e.parent.parent))return e;e=e.parent.parent;break;case 170:169===e.parent.kind&&Cd(e.parent.parent)?e=e.parent.parent:Cd(e.parent)&&(e=e.parent);break;case 219:if(!n)continue;case 262:case 218:case 267:case 175:case 172:case 171:case 174:case 173:case 176:case 177:case 178:case 179:case 180:case 181:case 266:case 312:return e}}}function bh(e){switch(e.kind){case 219:case 262:case 218:case 172:return!0;case 241:switch(e.parent.kind){case 176:case 174:case 177:case 178:return!0;default:return!1}default:return!1}}function Eh(e){tN(e)&&(lC(e.parent)||sC(e.parent))&&e.parent.name===e&&(e=e.parent);return rM(vh(e,!0,!1))}function Sh(e){const n=vh(e,!1,!1);if(n)switch(n.kind){case 176:case 262:case 218:return n}}function Th(e,n){for(;;){if(!(e=e.parent))return;switch(e.kind){case 167:e=e.parent;break;case 262:case 218:case 219:if(!n)continue;case 172:case 171:case 174:case 173:case 176:case 177:case 178:case 175:return e;case 170:169===e.parent.kind&&Cd(e.parent.parent)?e=e.parent.parent:Cd(e.parent)&&(e=e.parent)}}}function xh(e){if(218===e.kind||219===e.kind){let n=e,t=e.parent;for(;217===t.kind;)n=t,t=t.parent;if(213===t.kind&&t.expression===n)return t}}function Ah(e){return 108===e.kind||Rh(e)}function Rh(e){const n=e.kind;return(211===n||212===n)&&108===e.expression.kind}function Ih(e){const n=e.kind;return(211===n||212===n)&&110===e.expression.kind}function Nh(e){var n;return!!e&&iC(e)&&110===(null==(n=e.initializer)?void 0:n.kind)}function Dh(e){return!!e&&(ZC(e)||QC(e))&&TD(e.parent.parent)&&64===e.parent.parent.operatorToken.kind&&110===e.parent.parent.right.kind}function Ch(e){switch(e.kind){case 183:return e.typeName;case 233:return EE(e.expression)?e.expression:void 0;case 80:case 166:return e}}function Mh(e){switch(e.kind){case 215:return e.tag;case 286:case 285:return e.tagName;case 226:return e.right;default:return e.expression}}function Ph(e,n,t,r){if(e&&Gl(n)&&rN(n.name))return!1;switch(n.kind){case 263:return!0;case 231:return!e;case 172:return void 0!==t&&(e?lC(t):Md(t)&&!Hb(n)&&!Kb(n));case 177:case 178:case 174:return void 0!==n.body&&void 0!==t&&(e?lC(t):Md(t));case 169:return!!e&&(void 0!==t&&void 0!==t.body&&(176===t.kind||174===t.kind||178===t.kind)&&yb(t)!==n&&void 0!==r&&263===r.kind)}return!1}function Lh(e,n,t,r){return Xb(n)&&Ph(e,n,t,r)}function kh(e,n,t,r){return Lh(e,n,t,r)||wh(e,n,t)}function wh(e,n,t){switch(n.kind){case 263:return oe(n.members,(r=>kh(e,r,n,t)));case 231:return!e&&oe(n.members,(r=>kh(e,r,n,t)));case 174:case 178:case 176:return oe(n.parameters,(r=>Lh(e,r,n,t)));default:return!1}}function Oh(e,n){if(Lh(e,n))return!0;const t=_b(n);return!!t&&wh(e,t,n)}function Fh(e,n,t){let r;if(Pd(n)){const{firstAccessor:e,secondAccessor:o,setAccessor:i}=xb(t.members,n),a=Xb(e)?e:o&&Xb(o)?o:void 0;if(!a||n!==a)return!1;r=null==i?void 0:i.parameters}else AN(n)&&(r=n.parameters);if(Lh(e,n,t))return!0;if(r)for(const o of r)if(!vb(o)&&Lh(e,o,n,t))return!0;return!1}function Wh(e){if(e.textSourceNode){switch(e.textSourceNode.kind){case 11:return Wh(e.textSourceNode);case 15:return""===e.text}return!1}return""===e.text}function zh(e){const{parent:n}=e;return(286===n.kind||285===n.kind||287===n.kind)&&n.tagName===e}function Gh(e){switch(e.kind){case 108:case 106:case 112:case 97:case 14:case 209:case 210:case 211:case 212:case 213:case 214:case 215:case 234:case 216:case 238:case 235:case 217:case 218:case 231:case 219:case 222:case 220:case 221:case 224:case 225:case 226:case 227:case 230:case 228:case 232:case 284:case 285:case 288:case 229:case 223:case 236:return!0;case 233:return!YC(e.parent)&&!TM(e.parent);case 166:for(;166===e.parent.kind;)e=e.parent;return 186===e.parent.kind||rp(e.parent)||sM(e.parent)||lM(e.parent)||zh(e);case 318:for(;lM(e.parent);)e=e.parent;return 186===e.parent.kind||rp(e.parent)||sM(e.parent)||lM(e.parent)||zh(e);case 81:return TD(e.parent)&&e.parent.left===e&&103===e.parent.operatorToken.kind;case 80:if(186===e.parent.kind||rp(e.parent)||sM(e.parent)||lM(e.parent)||zh(e))return!0;case 9:case 10:case 11:case 15:case 110:return Bh(e);default:return!1}}function Bh(e){const{parent:n}=e;switch(n.kind){case 260:case 169:case 172:case 171:case 306:case 303:case 208:return n.initializer===e;case 244:case 245:case 246:case 247:case 253:case 254:case 255:case 296:case 257:return n.expression===e;case 248:const t=n;return t.initializer===e&&261!==t.initializer.kind||t.condition===e||t.incrementor===e;case 249:case 250:const r=n;return r.initializer===e&&261!==r.initializer.kind||r.expression===e;case 216:case 234:case 239:case 167:case 238:return e===n.expression;case 170:case 294:case 293:case 305:return!0;case 233:return n.expression===e&&!j_(n);case 304:return n.objectAssignmentInitializer===e;default:return Gh(n)}}function jh(e){for(;166===e.kind||80===e.kind;)e=e.parent;return 186===e.kind}function Vh(e){return AC(e)&&!!e.parent.moduleSpecifier}function Uh(e){return 271===e.kind&&283===e.moduleReference.kind}function Hh(e){return Tt.assert(Uh(e)),e.moduleReference.expression}function Kh(e){return rg(e)&&zS(e.initializer).arguments[0]}function qh(e){return 271===e.kind&&283!==e.moduleReference.kind}function Jh(e){return Yh(e)}function Xh(e){return!Yh(e)}function Yh(e){return!!e&&!!(524288&e.flags)}function $h(e){return!!e&&!!(134217728&e.flags)}function Qh(e){return!x_(e)}function Zh(e){return!!e&&!!(16777216&e.flags)}function eg(e){return kN(e)&&tN(e.typeName)&&"Object"===e.typeName.escapedText&&e.typeArguments&&2===e.typeArguments.length&&(154===e.typeArguments[0].kind||150===e.typeArguments[0].kind)}function ng(e,n){if(213!==e.kind)return!1;const{expression:t,arguments:r}=e;if(80!==t.kind||"require"!==t.escapedText)return!1;if(1!==r.length)return!1;const o=r[0];return!n||tp(o)}function tg(e){return ig(e,!1)}function rg(e){return ig(e,!0)}function og(e){return iD(e)&&rg(e.parent.parent)}function ig(e,n){return iC(e)&&!!e.initializer&&ng(n?zS(e.initializer):e.initializer,!0)}function ag(e){return BD(e)&&e.declarationList.declarations.length>0&&N(e.declarationList.declarations,(e=>tg(e)))}function sg(e){return 39===e||34===e}function lg(e,n){return 34===Em(n,e).charCodeAt(0)}function cg(e){return TD(e)||wS(e)||tN(e)||dD(e)}function dg(e){return Yh(e)&&e.initializer&&TD(e.initializer)&&(57===e.initializer.operatorToken.kind||61===e.initializer.operatorToken.kind)&&e.name&&EE(e.name)&&hg(e.name,e.initializer.left)?e.initializer.right:e.initializer}function ug(e){const n=dg(e);return n&&fg(n,RE(e.name))}function pg(e){if(e&&e.parent&&TD(e.parent)&&64===e.parent.operatorToken.kind){const n=RE(e.parent.left);return fg(e.parent.right,n)||function(e,n,t){const r=TD(n)&&(57===n.operatorToken.kind||61===n.operatorToken.kind)&&fg(n.right,t);if(r&&hg(e,n.left))return r}(e.parent.left,e.parent.right,n)}if(e&&dD(e)&&Sg(e)){const n=function(e,n){return E(e.properties,(e=>QC(e)&&tN(e.name)&&"value"===e.name.escapedText&&e.initializer&&fg(e.initializer,n)))}(e.arguments[2],"prototype"===e.arguments[1].text);if(n)return n}}function fg(e,n){if(dD(e)){const n=Ty(e.expression);return 218===n.kind||219===n.kind?e:void 0}return 218===e.kind||231===e.kind||219===e.kind||sD(e)&&(0===e.properties.length||n)?e:void 0}function mg(e){const n=iC(e.parent)?e.parent.name:TD(e.parent)&&64===e.parent.operatorToken.kind?e.parent.left:void 0;return n&&fg(e.right,RE(n))&&EE(n)&&hg(n,e.left)}function _g(e){if(TD(e.parent)){const n=57!==e.parent.operatorToken.kind&&61!==e.parent.operatorToken.kind||!TD(e.parent.parent)?e.parent:e.parent.parent;if(64===n.operatorToken.kind&&tN(n.left))return n.left}else if(iC(e.parent))return e.parent.name}function hg(e,n){return av(e)&&av(n)?sv(e)===sv(n):Cc(e)&&Tg(n)&&(110===n.expression.kind||tN(n.expression)&&("window"===n.expression.escapedText||"self"===n.expression.escapedText||"global"===n.expression.escapedText))?hg(e,Ng(n)):!(!Tg(e)||!Tg(n))&&(Cg(e)===Cg(n)&&hg(e.expression,n.expression))}function gg(e){for(;gE(e,!0);)e=e.right;return e}function yg(e){return tN(e)&&"exports"===e.escapedText}function vg(e){return tN(e)&&"module"===e.escapedText}function bg(e){return(lD(e)||xg(e))&&vg(e.expression)&&"exports"===Cg(e)}function Eg(e){const n=function(e){if(dD(e)){if(!Sg(e))return 0;const n=e.arguments[0];return yg(n)||bg(n)?8:Ag(n)&&"prototype"===Cg(n)?9:7}if(64!==e.operatorToken.kind||!wS(e.left)||(n=gg(e),vD(n)&&FI(n.expression)&&"0"===n.expression.text))return 0;var n;if(Ig(e.left.expression,!0)&&"prototype"===Cg(e.left)&&sD(Pg(e)))return 6;return Mg(e.left)}(e);return 5===n||Yh(e)?n:0}function Sg(e){return 3===b(e.arguments)&&lD(e.expression)&&tN(e.expression.expression)&&"Object"===Ll(e.expression.expression)&&"defineProperty"===Ll(e.expression.name)&&nv(e.arguments[1])&&Ig(e.arguments[0],!0)}function Tg(e){return lD(e)||xg(e)}function xg(e){return cD(e)&&nv(e.argumentExpression)}function Ag(e,n){return lD(e)&&(!n&&110===e.expression.kind||tN(e.name)&&Ig(e.expression,!0))||Rg(e,n)}function Rg(e,n){return xg(e)&&(!n&&110===e.expression.kind||EE(e.expression)||Ag(e.expression,!0))}function Ig(e,n){return EE(e)||Ag(e,n)}function Ng(e){return lD(e)?e.name:e.argumentExpression}function Dg(e){if(lD(e))return e.name;const n=Ty(e.argumentExpression);return FI(n)||tp(n)?n:e}function Cg(e){const n=Dg(e);if(n){if(tN(n))return n.escapedText;if(tp(n)||FI(n))return Ml(n.text)}}function Mg(e){if(110===e.expression.kind)return 4;if(bg(e))return 2;if(Ig(e.expression,!0)){if(RE(e.expression))return 3;let n=e;for(;!tN(n.expression);)n=n.expression;const t=n.expression;if(("exports"===t.escapedText||"module"===t.escapedText&&"exports"===Cg(n))&&Ag(e))return 1;if(Ig(e,!0)||cD(e)&&ov(e))return 5}return 0}function Pg(e){for(;TD(e.right);)e=e.right;return e.right}function Lg(e){return TD(e)&&3===Eg(e)}function kg(e){return Yh(e)&&e.parent&&244===e.parent.kind&&(!cD(e)||xg(e))&&!!yc(e.parent)}function wg(e,n){const{valueDeclaration:t}=e;(!t||(!(33554432&n.flags)||Yh(n)||33554432&t.flags)&&cg(t)&&!cg(n)||t.kind!==n.kind&&Fm(t))&&(e.valueDeclaration=n)}function Og(e){if(!e||!e.valueDeclaration)return!1;const n=e.valueDeclaration;return 262===n.kind||iC(n)&&n.initializer&&Td(n.initializer)}function Fg(e){var n,t;switch(e.kind){case 260:case 208:return null==(n=Nl(e.initializer,(e=>ng(e,!0))))?void 0:n.arguments[0];case 272:case 278:return hn(e.moduleSpecifier,tp);case 271:return hn(null==(t=hn(e.moduleReference,wC))?void 0:t.expression,tp);case 273:case 280:return hn(e.parent.moduleSpecifier,tp);case 274:case 281:return hn(e.parent.parent.moduleSpecifier,tp);case 276:return hn(e.parent.parent.parent.moduleSpecifier,tp);case 205:return k_(e)?e.argument.literal:void 0;default:Tt.assertNever(e)}}function Wg(e){return zg(e)||Tt.failBadSyntaxKind(e.parent)}function zg(e){switch(e.parent.kind){case 272:case 278:return e.parent;case 283:return e.parent.parent;case 213:return P_(e.parent)||ng(e.parent,!1)?e.parent:void 0;case 201:return Tt.assert(zI(e)),hn(e.parent.parent,eD);default:return}}function Gg(e){switch(e.kind){case 272:case 278:return e.moduleSpecifier;case 271:return 283===e.moduleReference.kind?e.moduleReference.expression:void 0;case 205:return k_(e)?e.argument.literal:void 0;case 213:return e.arguments[0];case 267:return 11===e.name.kind?e.name:void 0;default:return Tt.assertNever(e)}}function Bg(e){switch(e.kind){case 272:return e.importClause&&hn(e.importClause.namedBindings,xC);case 271:return e;case 278:return e.exportClause&&hn(e.exportClause,AC);default:return Tt.assertNever(e)}}function jg(e){return 272===e.kind&&!!e.importClause&&!!e.importClause.name}function Vg(e,n){if(e.name){const t=n(e);if(t)return t}if(e.namedBindings){const t=xC(e.namedBindings)?n(e.namedBindings):E(e.namedBindings.elements,n);if(t)return t}}function Ug(e){if(e)switch(e.kind){case 169:case 174:case 173:case 304:case 303:case 172:case 171:return void 0!==e.questionToken}return!1}function Hg(e){const n=gM(e)?De(e.parameters):void 0,t=hn(n&&n.name,tN);return!!t&&"new"===t.escapedText}function Kg(e){return 353===e.kind||345===e.kind||347===e.kind}function qg(e){return Kg(e)||dC(e)}function Jg(e){return VD(e)&&TD(e.expression)&&0!==Eg(e.expression)&&TD(e.expression.right)&&(57===e.expression.right.operatorToken.kind||61===e.expression.right.operatorToken.kind)?e.expression.right.right:void 0}function Xg(e){switch(e.kind){case 243:const n=Yg(e);return n&&n.initializer;case 172:case 303:return e.initializer}}function Yg(e){return BD(e)?De(e.declarationList.declarations):void 0}function $g(e){return pC(e)&&e.body&&267===e.body.kind?e.body:void 0}function Qg(e){if(e.kind>=243&&e.kind<=259)return!0;switch(e.kind){case 80:case 110:case 108:case 166:case 236:case 212:case 211:case 208:case 218:case 219:case 174:case 177:case 178:return!0;default:return!1}}function Zg(e){switch(e.kind){case 219:case 226:case 241:case 252:case 179:case 296:case 263:case 231:case 175:case 176:case 185:case 180:case 251:case 259:case 246:case 212:case 242:case 1:case 266:case 306:case 277:case 278:case 281:case 244:case 249:case 250:case 248:case 262:case 218:case 184:case 177:case 80:case 245:case 272:case 271:case 181:case 264:case 324:case 330:case 256:case 174:case 173:case 267:case 202:case 270:case 210:case 169:case 217:case 211:case 303:case 172:case 171:case 253:case 240:case 178:case 304:case 305:case 255:case 257:case 258:case 265:case 168:case 260:case 243:case 247:case 254:return!0;default:return!1}}function ey(e,n){let t;X_(e)&&$u(e)&&Xu(e.initializer)&&(t=Ee(t,ny(e,e.initializer.jsDoc)));let r=e;for(;r&&r.parent;){if(Xu(r)&&(t=Ee(t,ny(e,r.jsDoc))),169===r.kind){t=Ee(t,(n?Jl:ql)(r));break}if(168===r.kind){t=Ee(t,(n?$l:Yl)(r));break}r=ty(r)}return t||o}function ny(e,n){const t=ke(n);return H(n,(n=>{if(n===t){const t=W(n.tags,(n=>function(e,n){return!((zM(n)||HM(n))&&n.parent&&bM(n.parent)&&mD(n.parent.parent)&&n.parent.parent!==e)}(e,n)));return n.tags===t?[n]:t}return W(n.tags,PM)}))}function ty(e){const n=e.parent;return 303===n.kind||277===n.kind||172===n.kind||244===n.kind&&211===e.kind||253===n.kind||$g(n)||gE(e)?n:n.parent&&(Yg(n.parent)===e||gE(n))?n.parent:n.parent&&n.parent.parent&&(Yg(n.parent.parent)||Xg(n.parent.parent)===e||Jg(n.parent.parent))?n.parent.parent:void 0}function ry(e){if(e.symbol)return e.symbol;if(!tN(e.name))return;const n=e.name.escapedText,t=ay(e);if(!t)return;const r=D(t.parameters,(e=>80===e.name.kind&&e.name.escapedText===n));return r&&r.symbol}function oy(e){if(bM(e.parent)&&e.parent.tags){const n=D(e.parent.tags,Kg);if(n)return n}return ay(e)}function iy(e){return Ac(e,PM)}function ay(e){const n=sy(e);if(n)return SN(n)&&n.type&&Td(n.type)?n.type:Td(n)?n:void 0}function sy(e){const n=ly(e);if(n)return Jg(n)||function(e){return VD(e)&&TD(e.expression)&&64===e.expression.operatorToken.kind?gg(e.expression):void 0}(n)||Xg(n)||Yg(n)||$g(n)||n}function ly(e){const n=cy(e);if(!n)return;const t=n.parent;return t&&t.jsDoc&&n===Le(t.jsDoc)?t:void 0}function cy(e){return Nl(e.parent,bM)}function dy(e){const n=e.name.escapedText,{typeParameters:t}=e.parent.parent.parent;return t&&D(t,(e=>e.name.escapedText===n))}function uy(e){return!!e.typeArguments}function py(e){let n=e.parent;for(;;){switch(n.kind){case 226:const t=n;return mE(t.operatorToken.kind)&&t.left===e?t:void 0;case 224:case 225:const r=n,o=r.operator;return 46===o||47===o?r:void 0;case 249:case 250:const i=n;return i.initializer===e?i:void 0;case 217:case 209:case 230:case 235:e=n;break;case 305:e=n.parent;break;case 304:if(n.name!==e)return;e=n.parent;break;case 303:if(n.name===e)return;e=n.parent;break;default:return}n=e.parent}}function fy(e){const n=py(e);if(!n)return 0;switch(n.kind){case 226:const e=n.operatorToken.kind;return 64===e||dE(e)?1:2;case 224:case 225:return 2;case 249:case 250:return 1}}function my(e){return!!py(e)}function _y(e){const n=py(e);return!!n&&gE(n,!0)&&function(e){const n=Ty(e.right);return 226===n.kind&&YP(n.operatorToken.kind)}(n)}function hy(e){switch(e.kind){case 241:case 243:case 254:case 245:case 255:case 269:case 296:case 297:case 256:case 248:case 249:case 250:case 246:case 247:case 258:case 299:return!0}return!1}function gy(e){return _D(e)||hD(e)||wd(e)||sC(e)||IN(e)}function yy(e,n){for(;e&&e.kind===n;)e=e.parent;return e}function vy(e){return yy(e,196)}function by(e){return yy(e,217)}function Ey(e){let n;for(;e&&196===e.kind;)n=e,e=e.parent;return[n,e]}function Sy(e){for(;JN(e);)e=e.type;return e}function Ty(e,n){return EP(e,n?17:1)}function xy(e){return(211===e.kind||212===e.kind)&&((e=by(e.parent))&&220===e.kind)}function Ay(e,n){for(;e;){if(e===n)return!0;e=e.parent}return!1}function Ry(e){return!rM(e)&&!Vd(e)&&Pu(e.parent)&&e.parent.name===e}function Iy(e){const n=e.parent;switch(e.kind){case 11:case 15:case 9:if(yN(n))return n.parent;case 80:if(Pu(n))return n.name===e?n:void 0;if(gN(n)){const e=n.parent;return OM(e)&&e.name===n?e:void 0}{const t=n.parent;return TD(t)&&0!==Eg(t)&&(t.left.symbol||t.symbol)&&jl(t)===e?t:void 0}case 81:return Pu(n)&&n.name===e?n:void 0;default:return}}function Ny(e){return nv(e)&&167===e.parent.kind&&Pu(e.parent.parent)}function Dy(e){const n=e.parent;switch(n.kind){case 172:case 171:case 174:case 173:case 177:case 178:case 306:case 303:case 211:return n.name===e;case 166:return n.right===e;case 208:case 276:return n.propertyName===e;case 281:case 291:case 285:case 286:case 287:return!0}return!1}function Cy(e){return!!(271===e.kind||270===e.kind||273===e.kind&&e.name||274===e.kind||280===e.kind||276===e.kind||281===e.kind||277===e.kind&&Ly(e))||Yh(e)&&(TD(e)&&2===Eg(e)&&Ly(e)||lD(e)&&TD(e.parent)&&e.parent.left===e&&64===e.parent.operatorToken.kind&&Py(e.parent.right))}function My(e){switch(e.parent.kind){case 273:case 276:case 274:case 281:case 277:case 271:case 280:return e.parent;case 166:do{e=e.parent}while(166===e.parent.kind);return My(e)}}function Py(e){return EE(e)||ND(e)}function Ly(e){return Py(ky(e))}function ky(e){return NC(e)?e.expression:e.right}function wy(e){return 304===e.kind?e.name:303===e.kind?e.initializer:e.parent.right}function Oy(e){const n=Fy(e);if(n&&Yh(e)){const n=Zl(e);if(n)return n.class}return n}function Fy(e){const n=By(e.heritageClauses,96);return n&&n.types.length>0?n.types[0]:void 0}function Wy(e){if(Yh(e))return ec(e).map((e=>e.class));{const n=By(e.heritageClauses,119);return null==n?void 0:n.types}}function zy(e){return cC(e)?Gy(e)||o:Md(e)&&ae(_t(Oy(e)),Wy(e))||o}function Gy(e){const n=By(e.heritageClauses,96);return n?n.types:void 0}function By(e,n){if(e)for(const t of e)if(t.token===n)return t}function jy(e,n){for(;e;){if(e.kind===n)return e;e=e.parent}}function Vy(e){return 83<=e&&e<=165}function Uy(e){return 19<=e&&e<=79}function Hy(e){return Vy(e)||Uy(e)}function Ky(e){return 128<=e&&e<=165}function qy(e){return Vy(e)&&!Ky(e)}function Jy(e){return 119<=e&&e<=127}function Xy(e){const n=ss(e);return void 0!==n&&qy(n)}function Yy(e){const n=ss(e);return void 0!==n&&Vy(n)}function $y(e){const n=kl(e);return!!n&&!Ky(n)}function Qy(e){return 2<=e&&e<=7}function Zy(e){if(!e)return 4;let n=0;switch(e.kind){case 262:case 218:case 174:e.asteriskToken&&(n|=1);case 219:Bb(e,1024)&&(n|=2)}return e.body||(n|=4),n}function ev(e){switch(e.kind){case 262:case 218:case 219:case 174:return void 0!==e.body&&void 0===e.asteriskToken&&Bb(e,1024)}return!1}function nv(e){return tp(e)||FI(e)}function tv(e){return ED(e)&&(40===e.operator||41===e.operator)&&FI(e.operand)}function rv(e){const n=jl(e);return!!n&&ov(n)}function ov(e){if(167!==e.kind&&212!==e.kind)return!1;const n=cD(e)?Ty(e.argumentExpression):e.expression;return!nv(n)&&!tv(n)}function iv(e){switch(e.kind){case 80:case 81:return e.escapedText;case 11:case 15:case 9:return Ml(e.text);case 167:const n=e.expression;return nv(n)?Ml(n.text):tv(n)?41===n.operator?as(n.operator)+n.operand.text:n.operand.text:void 0;case 295:return EA(e);default:return Tt.assertNever(e)}}function av(e){switch(e.kind){case 80:case 11:case 15:case 9:return!0;default:return!1}}function sv(e){return Cc(e)?Ll(e):qC(e)?SA(e):e.text}function lv(e){return Cc(e)?e.escapedText:qC(e)?EA(e):Ml(e.text)}function cv(e){return`__@${Kz(e)}@${e.escapedName}`}function dv(e,n){return`__#${Kz(e)}@${n}`}function uv(e){return st(e.escapedName,"__@")}function pv(e){return st(e.escapedName,"__#")}function fv(e){return 80===e.kind&&"Symbol"===e.escapedText}function mv(e){return tN(e)?"__proto__"===Ll(e):zI(e)&&"__proto__"===e.text}function _v(e,n){switch((e=EP(e)).kind){case 231:if(zB(e))return!1;break;case 218:if(e.name)return!1;break;case 219:break;default:return!1}return"function"!=typeof n||n(e)}function hv(e){switch(e.kind){case 303:return!mv(e.name);case 304:return!!e.objectAssignmentInitializer;case 260:return tN(e.name)&&!!e.initializer;case 169:case 208:return tN(e.name)&&!!e.initializer&&!e.dotDotDotToken;case 172:return!!e.initializer;case 226:switch(e.operatorToken.kind){case 64:case 77:case 76:case 78:return tN(e.left)}break;case 277:return!0}return!1}function gv(e,n){if(!hv(e))return!1;switch(e.kind){case 303:case 260:case 169:case 208:case 172:return _v(e.initializer,n);case 304:return _v(e.objectAssignmentInitializer,n);case 226:return _v(e.right,n);case 277:return _v(e.expression,n)}}function yv(e){return"push"===e.escapedText||"unshift"===e.escapedText}function vv(e){return 169===bv(e).kind}function bv(e){for(;208===e.kind;)e=e.parent.parent;return e}function Ev(e){const n=e.kind;return 176===n||218===n||262===n||219===n||174===n||177===n||178===n||267===n||312===n}function Sv(e){return _x(e.pos)||_x(e.end)}function Tv(e){return Cl(e,rM)||e}function xv(e){const n=Iv(e),t=214===e.kind&&void 0!==e.arguments;return Av(e.kind,n,t)}function Av(e,n,t){switch(e){case 214:return t?0:1;case 224:case 221:case 222:case 220:case 223:case 227:case 229:return 1;case 226:switch(n){case 43:case 64:case 65:case 66:case 68:case 67:case 69:case 70:case 71:case 72:case 73:case 74:case 79:case 75:case 76:case 77:case 78:return 1}}return 0}function Rv(e){const n=Iv(e),t=214===e.kind&&void 0!==e.arguments;return Nv(e.kind,n,t)}function Iv(e){return 226===e.kind?e.operatorToken.kind:224===e.kind||225===e.kind?e.operator:e.kind}function Nv(e,n,t){switch(e){case 361:return 0;case 230:return 1;case 229:return 2;case 227:return 4;case 226:switch(n){case 28:return 0;case 64:case 65:case 66:case 68:case 67:case 69:case 70:case 71:case 72:case 73:case 74:case 79:case 75:case 76:case 77:case 78:return 3;default:return Dv(n)}case 216:case 235:case 224:case 221:case 222:case 220:case 223:return 16;case 225:return 17;case 213:return 18;case 214:return t?19:18;case 215:case 211:case 212:case 236:return 19;case 234:case 238:return 11;case 110:case 108:case 80:case 81:case 106:case 112:case 97:case 9:case 10:case 11:case 209:case 210:case 218:case 219:case 231:case 14:case 15:case 228:case 217:case 232:case 284:case 285:case 288:return 20;default:return-1}}function Dv(e){switch(e){case 61:return 4;case 57:return 5;case 56:return 6;case 52:return 7;case 53:return 8;case 51:return 9;case 35:case 36:case 37:case 38:return 10;case 30:case 32:case 33:case 34:case 104:case 103:case 130:case 152:return 11;case 48:case 49:case 50:return 12;case 40:case 41:return 13;case 42:case 44:case 45:return 14;case 43:return 15}return-1}function Cv(e){return W(e,(e=>{switch(e.kind){case 294:return!!e.expression;case 12:return!e.containsOnlyTriviaWhiteSpaces;default:return!0}}))}function Mv(){let e=[];const n=[],t=new Map;let r=!1;return{add:function(o){let i;o.file?(i=t.get(o.file.fileName),i||(i=[],t.set(o.file.fileName,i),ue(n,o.file.fileName,Gn))):(r&&(r=!1,e=e.slice()),i=e);ue(i,o,fT)},lookup:function(n){let r;r=n.file?t.get(n.file.fileName):e;if(!r)return;const o=ze(r,n,Sn,fT);if(o>=0)return r[o];return},getGlobalDiagnostics:function(){return r=!0,e},getDiagnostics:function(r){if(r)return t.get(r)||[];const o=K(n,(e=>t.get(e)));if(!e.length)return o;return o.unshift(...e),o}}}function Pv(e){return e.replace(Ap,"\\${")}function Lv(e){return!!(2048&(e.templateFlags||0))}function kv(e){return e&&!!(jI(e)?Lv(e):Lv(e.head)||oe(e.templateSpans,(e=>Lv(e.literal))))}function wv(e){return"\\u"+("0000"+e.toString(16).toUpperCase()).slice(-4)}function Ov(e,n,t){if(0===e.charCodeAt(0)){const r=t.charCodeAt(n+e.length);return r>=48&&r<=57?"\\x00":"\\0"}return Dp.get(e)||wv(e.charCodeAt(0))}function Fv(e,n){const t=96===n?Np:39===n?Ip:Rp;return e.replace(t,Ov)}function Wv(e,n){return e=Fv(e,n),Cp.test(e)?e.replace(Cp,(e=>wv(e.charCodeAt(0)))):e}function zv(e){return 0===e.charCodeAt(0)?"&#0;":Lp.get(e)||"&#x"+e.charCodeAt(0).toString(16).toUpperCase()+";"}function Gv(e,n){const t=39===n?Pp:Mp;return e.replace(t,zv)}function Bv(e){const n=e.length;return n>=2&&e.charCodeAt(0)===e.charCodeAt(n-1)&&(39===(t=e.charCodeAt(0))||34===t||96===t)?e.substring(1,n-1):e;var t}function jv(e){const n=e.charCodeAt(0);return n>=97&&n<=122||e.includes("-")}function Vv(e){const n=kp[1];for(let t=kp.length;t<=e;t++)kp.push(kp[t-1]+n);return kp[e]}function Uv(){return kp[1].length}function Hv(e){var n,t,r,o,i,a=!1;function s(e){const t=ls(e);t.length>1?(o=o+t.length-1,i=n.length-e.length+ke(t),r=i-n.length==0):r=!1}function l(e){e&&e.length&&(r&&(e=Vv(t)+e,r=!1),n+=e,s(e))}function c(e){e&&(a=!1),l(e)}function d(){n="",t=0,r=!0,o=0,i=0,a=!1}return d(),{write:c,rawWrite:function(e){void 0!==e&&(n+=e,s(e),a=!1)},writeLiteral:function(e){e&&e.length&&c(e)},writeLine:function(t){r&&!t||(o++,i=(n+=e).length,r=!0,a=!1)},increaseIndent:()=>{t++},decreaseIndent:()=>{t--},getIndent:()=>t,getTextPos:()=>n.length,getLine:()=>o,getColumn:()=>r?t*Uv():n.length-i,getText:()=>n,isAtStartOfLine:()=>r,hasTrailingComment:()=>a,hasTrailingWhitespace:()=>!!n.length&&hs(n.charCodeAt(n.length-1)),clear:d,writeKeyword:c,writeOperator:c,writeParameter:c,writeProperty:c,writePunctuation:c,writeSpace:c,writeStringLiteral:c,writeSymbol:(e,n)=>c(e),writeTrailingSemicolon:c,writeComment:function(e){e&&(a=!0),l(e)},getTextPosWithWriteLine:function(){return r?n.length:n.length+e.length}}}function Kv(e){let n=!1;function t(){n&&(e.writeTrailingSemicolon(";"),n=!1)}return{...e,writeTrailingSemicolon(){n=!0},writeLiteral(n){t(),e.writeLiteral(n)},writeStringLiteral(n){t(),e.writeStringLiteral(n)},writeSymbol(n,r){t(),e.writeSymbol(n,r)},writePunctuation(n){t(),e.writePunctuation(n)},writeKeyword(n){t(),e.writeKeyword(n)},writeOperator(n){t(),e.writeOperator(n)},writeParameter(n){t(),e.writeParameter(n)},writeSpace(n){t(),e.writeSpace(n)},writeProperty(n){t(),e.writeProperty(n)},writeComment(n){t(),e.writeComment(n)},writeLine(){t(),e.writeLine()},increaseIndent(){t(),e.increaseIndent()},decreaseIndent(){t(),e.decreaseIndent()}}}function qv(e){return!!e.useCaseSensitiveFileNames&&e.useCaseSensitiveFileNames()}function Jv(e){return rt(qv(e))}function Xv(e,n,t){return n.moduleName||Qv(e,n.fileName,t&&t.fileName)}function Yv(e,n){return e.getCanonicalFileName(ma(n,e.getCurrentDirectory()))}function $v(e,n,t){const r=n.getExternalModuleFileFromDeclaration(t);if(!r||r.isDeclarationFile)return;const o=Gg(t);return!o||!tp(o)||Ji(o.text)||Yv(e,r.path).includes(Yv(e,va(e.getCommonSourceDirectory())))?Xv(e,r):void 0}function Qv(e,n,t){const r=n=>e.getCanonicalFileName(n),o=ga(t?ra(t):e.getCommonSourceDirectory(),e.getCurrentDirectory(),r),i=cx(La(o,ma(n,e.getCurrentDirectory()),o,r,!1));return t?ba(i):i}function Zv(e,n,t){const r=n.getCompilerOptions();let o;return o=r.outDir?cx(lb(e,n,r.outDir)):cx(e),o+t}function eb(e,n){return nb(e,n.getCompilerOptions(),n.getCurrentDirectory(),n.getCommonSourceDirectory(),(e=>n.getCanonicalFileName(e)))}function nb(e,n,t,r,o){const i=n.declarationDir||n.outDir,a=i?cb(e,i,t,r,o):e,s=tb(a);return cx(a)+s}function tb(e){return Qi(e,[".mjs",".mts"])?".d.mts":Qi(e,[".cjs",".cts"])?".d.cts":Qi(e,[".json"])?".d.json.ts":".d.ts"}function rb(e){return Qi(e,[".d.mts",".mjs",".mts"])?[".mts",".mjs"]:Qi(e,[".d.cts",".cjs",".cts"])?[".cts",".cjs"]:Qi(e,[".d.json.ts"])?[".json"]:[".tsx",".ts",".jsx",".js"]}function ob(e){return e.outFile||e.out}function ib(e,n){var t;if(e.paths)return e.baseUrl??Tt.checkDefined(e.pathsBasePath||(null==(t=n.getCurrentDirectory)?void 0:t.call(n)),"Encountered 'paths' without a 'baseUrl', config file, or host 'getCurrentDirectory'.")}function ab(e,n,t){const r=e.getCompilerOptions();if(ob(r)){const n=Vp(r),o=r.emitDeclarationOnly||2===n||4===n;return W(e.getSourceFiles(),(n=>(o||!uk(n))&&sb(n,e,t)))}return W(void 0===n?e.getSourceFiles():[n],(n=>sb(n,e,t)))}function sb(e,n,t){const r=n.getCompilerOptions();if(r.noEmitForJsFiles&&Jh(e))return!1;if(e.isDeclarationFile)return!1;if(n.isSourceFileFromExternalLibrary(e))return!1;if(t)return!0;if(n.isSourceOfProjectReferenceRedirect(e.fileName))return!1;if(!x_(e))return!0;if(n.getResolvedProjectReferenceToRedirect(e.fileName))return!1;if(ob(r))return!0;if(!r.outDir)return!1;if(r.rootDir||r.composite&&r.configFilePath){const t=ma(wV(r,(()=>[]),n.getCurrentDirectory(),n.getCanonicalFileName),n.getCurrentDirectory()),o=cb(e.fileName,r.outDir,n.getCurrentDirectory(),t,n.getCanonicalFileName);if(0===Ra(e.fileName,o,n.getCurrentDirectory(),!n.useCaseSensitiveFileNames()))return!1}return!0}function lb(e,n,t){return cb(e,t,n.getCurrentDirectory(),n.getCommonSourceDirectory(),(e=>n.getCanonicalFileName(e)))}function cb(e,n,t,r,o){let i=ma(e,t);return i=0===o(i).indexOf(o(r))?i.substring(r.length):i,ua(n,i)}function db(e,n,t,r,o,i,a){e.writeFile(t,r,o,(e=>{n.add(sT(Oa.Could_not_write_file_0_Colon_1,t,e))}),i,a)}function ub(e,n,t){if(e.length>ta(e)&&!t(e)){ub(ra(e),n,t),n(e)}}function pb(e,n,t,r,o,i){try{r(e,n,t)}catch{ub(ra(_a(e)),o,i),r(e,n,t)}}function fb(e,n){return fs(us(e),n)}function mb(e,n){return fs(e,n)}function _b(e){return D(e.members,(e=>IN(e)&&am(e.body)))}function hb(e){if(e&&e.parameters.length>0){const n=2===e.parameters.length&&vb(e.parameters[0]);return e.parameters[n?1:0]}}function gb(e){const n=hb(e);return n&&n.type}function yb(e){if(e.parameters.length&&!SM(e)){const n=e.parameters[0];if(vb(n))return n}}function vb(e){return bb(e.name)}function bb(e){return!!e&&80===e.kind&&Tb(e)}function Eb(e){return!!Nl(e,(e=>186===e.kind||80!==e.kind&&166!==e.kind&&"quit"))}function Sb(e){if(!bb(e))return!1;for(;gN(e.parent)&&e.parent.left===e;)e=e.parent;return 186===e.parent.kind}function Tb(e){return"this"===e.escapedText}function xb(e,n){let t,r,o,i;return rv(n)?(t=n,177===n.kind?o=n:178===n.kind?i=n:Tt.fail("Accessor has wrong kind")):E(e,(e=>{if(Pd(e)&&jb(e)===jb(n)){iv(e.name)===iv(n.name)&&(t?r||(r=e):t=e,177!==e.kind||o||(o=e),178!==e.kind||i||(i=e))}})),{firstAccessor:t,secondAccessor:r,getAccessor:o,setAccessor:i}}function Ab(e){if(!Yh(e)&&sC(e))return;const n=e.type;return n||!Yh(e)?n:qc(e)?e.typeExpression&&e.typeExpression.type:vc(e)}function Rb(e){return e.type}function Ib(e){return SM(e)?e.type&&e.type.typeExpression&&e.type.typeExpression.type:e.type||(Yh(e)?bc(e):void 0)}function Nb(e){return H(Sc(e),(e=>function(e){return GM(e)&&!(327===e.parent.kind&&(e.parent.tags.some(Kg)||e.parent.tags.some(PM)))}(e)?e.typeParameters:void 0))}function Db(e){const n=hb(e);return n&&Ab(n)}function Cb(e,n,t,r){Mb(e,n,t.pos,r)}function Mb(e,n,t,r){r&&r.length&&t!==r[0].pos&&mb(e,t)!==mb(e,r[0].pos)&&n.writeLine()}function Pb(e,n,t,r){t!==r&&mb(e,t)!==mb(e,r)&&n.writeLine()}function Lb(e,n,t,r,o,i,a,s){if(r&&r.length>0){o&&t.writeSpace(" ");let l=!1;for(const o of r)l&&(t.writeSpace(" "),l=!1),s(e,n,t,o.pos,o.end,a),o.hasTrailingNewLine?t.writeLine():l=!0;l&&i&&t.writeSpace(" ")}}function kb(e,n,t,r,o,i,a){let s,l;if(a?0===o.pos&&(s=W(ks(e,o.pos),(function(n){return gm(e,n.pos)}))):s=ks(e,o.pos),s){const a=[];let c;for(const e of s){if(c){const t=mb(n,c.end);if(mb(n,e.pos)>=t+2)break}a.push(e),c=e}if(a.length){const c=mb(n,ke(a).end);mb(n,Ts(e,o.pos))>=c+2&&(Cb(n,t,o,s),Lb(e,n,t,a,!1,!0,i,r),l={nodePos:o.pos,detachedCommentEndPos:ke(a).end})}}return l}function wb(e,n,t,r,o,i){if(42===e.charCodeAt(r+1)){const a=ps(n,r),s=n.length;let l;for(let c=r,d=a.line;c<o;d++){const u=d+1===s?e.length+1:n[d+1];if(c!==r){void 0===l&&(l=Fb(e,n[a.line],r));const o=t.getIndent()*Uv()-l+Fb(e,c,u);if(o>0){let e=o%Uv();const n=Vv((o-e)/Uv());for(t.rawWrite(n);e;)t.rawWrite(" "),e--}else t.rawWrite("")}Ob(e,o,t,i,c,u),c=u}}else t.writeComment(e.substring(r,o))}function Ob(e,n,t,r,o,i){const a=Math.min(n,i-1),s=e.substring(o,a).trim();s?(t.writeComment(s),a!==n&&t.writeLine()):t.rawWrite(r)}function Fb(e,n,t){let r=0;for(;n<t&&gs(e.charCodeAt(n));n++)9===e.charCodeAt(n)?r+=Uv()-r%Uv():r++;return r}function Wb(e){return 0!==Zb(e)}function zb(e){return 0!==nE(e)}function Gb(e,n){return!!Yb(e,n)}function Bb(e,n){return!!$b(e,n)}function jb(e){return Cd(e)&&Vb(e)||RN(e)}function Vb(e){return Bb(e,256)}function Ub(e){return Gb(e,16)}function Hb(e){return Bb(e,64)}function Kb(e){return Bb(e,128)}function qb(e){return Bb(e,512)}function Jb(e){return Gb(e,8)}function Xb(e){return Bb(e,32768)}function Yb(e,n){return Zb(e)&n}function $b(e,n){return nE(e)&n}function Qb(e,n,t){return e.kind>=0&&e.kind<=165?0:(536870912&e.modifierFlagsCache||(e.modifierFlagsCache=536870912|iE(e)),t||n&&Yh(e)?(268435456&e.modifierFlagsCache||!e.parent||(e.modifierFlagsCache|=268435456|tE(e)),rE(e.modifierFlagsCache)):65535&e.modifierFlagsCache)}function Zb(e){return Qb(e,!0)}function eE(e){return Qb(e,!0,!0)}function nE(e){return Qb(e,!1)}function tE(e){let n=0;return e.parent&&!bN(e)&&(Yh(e)&&(rc(e)&&(n|=8388608),ic(e)&&(n|=16777216),sc(e)&&(n|=33554432),cc(e)&&(n|=67108864),dc(e)&&(n|=134217728)),pc(e)&&(n|=65536)),n}function rE(e){return 131071&e|(260046848&e)>>>23}function oE(e){return iE(e)|function(e){return rE(tE(e))}(e)}function iE(e){let n=vL(e)?aE(e.modifiers):0;return(8&e.flags||80===e.kind&&4096&e.flags)&&(n|=32),n}function aE(e){let n=0;if(e)for(const t of e)n|=sE(t.kind);return n}function sE(e){switch(e){case 126:return 256;case 125:return 1;case 124:return 4;case 123:return 2;case 128:return 64;case 129:return 512;case 95:return 32;case 138:return 128;case 87:return 4096;case 90:return 2048;case 134:return 1024;case 148:return 8;case 164:return 16;case 103:return 8192;case 147:return 16384;case 170:return 32768}return 0}function lE(e){return 57===e||56===e}function cE(e){return lE(e)||54===e}function dE(e){return 76===e||77===e||78===e}function uE(e){return TD(e)&&dE(e.operatorToken.kind)}function pE(e){return lE(e)||61===e}function fE(e){return TD(e)&&pE(e.operatorToken.kind)}function mE(e){return e>=64&&e<=79}function _E(e){const n=hE(e);return n&&!n.isImplements?n.class:void 0}function hE(e){if(CD(e)){if(YC(e.parent)&&Md(e.parent.parent))return{class:e.parent.parent,isImplements:119===e.parent.token};if(TM(e.parent)){const n=sy(e.parent);if(n&&Md(n))return{class:n,isImplements:!1}}}}function gE(e,n){return TD(e)&&(n?64===e.operatorToken.kind:mE(e.operatorToken.kind))&&iu(e.left)}function yE(e){return gE(e.parent)&&e.parent.left===e}function vE(e){if(gE(e,!0)){const n=e.left.kind;return 210===n||209===n}return!1}function bE(e){return void 0!==_E(e)}function EE(e){return 80===e.kind||xE(e)}function SE(e){switch(e.kind){case 80:return e;case 166:do{e=e.left}while(80!==e.kind);return e;case 211:do{e=e.expression}while(80!==e.kind);return e}}function TE(e){return 80===e.kind||110===e.kind||108===e.kind||236===e.kind||211===e.kind&&TE(e.expression)||217===e.kind&&TE(e.expression)}function xE(e){return lD(e)&&tN(e.name)&&EE(e.expression)}function AE(e){if(lD(e)){const n=AE(e.expression);if(void 0!==n)return n+"."+c_(e.name)}else if(cD(e)){const n=AE(e.expression);if(void 0!==n&&Ed(e.argumentExpression))return n+"."+iv(e.argumentExpression)}else{if(tN(e))return Pl(e.escapedText);if(qC(e))return SA(e)}}function RE(e){return Ag(e)&&"prototype"===Cg(e)}function IE(e){return 166===e.parent.kind&&e.parent.right===e||211===e.parent.kind&&e.parent.name===e||236===e.parent.kind&&e.parent.name===e}function NE(e){return!!e.parent&&(lD(e.parent)&&e.parent.name===e||cD(e.parent)&&e.parent.argumentExpression===e)}function DE(e){return gN(e.parent)&&e.parent.right===e||lD(e.parent)&&e.parent.name===e||lM(e.parent)&&e.parent.right===e}function CE(e){return TD(e)&&104===e.operatorToken.kind}function ME(e){return CE(e.parent)&&e===e.parent.right}function PE(e){return 210===e.kind&&0===e.properties.length}function LE(e){return 209===e.kind&&0===e.elements.length}function kE(e){if(function(e){return e&&b(e.declarations)>0&&Bb(e.declarations[0],2048)}(e)&&e.declarations)for(const n of e.declarations)if(n.localSymbol)return n.localSymbol}function wE(e){return D(hf,(n=>$i(e,n)))}function OE(e){let n="";const t=function(e){const n=[],t=e.length;for(let r=0;r<t;r++){const t=e.charCodeAt(r);t<128?n.push(t):t<2048?(n.push(t>>6|192),n.push(63&t|128)):t<65536?(n.push(t>>12|224),n.push(t>>6&63|128),n.push(63&t|128)):t<131072?(n.push(t>>18|240),n.push(t>>12&63|128),n.push(t>>6&63|128),n.push(63&t|128)):Tt.assert(!1,"Unexpected code point")}return n}(e);let r=0;const o=t.length;let i,a,s,l;for(;r<o;)i=t[r]>>2,a=(3&t[r])<<4|t[r+1]>>4,s=(15&t[r+1])<<2|t[r+2]>>6,l=63&t[r+2],r+1>=o?s=l=64:r+2>=o&&(l=64),n+=wp.charAt(i)+wp.charAt(a)+wp.charAt(s)+wp.charAt(l),r+=3;return n}function FE(e,n){return e&&e.base64encode?e.base64encode(n):OE(n)}function WE(e,n){if(e&&e.base64decode)return e.base64decode(n);const t=n.length,r=[];let o=0;for(;o<t&&n.charCodeAt(o)!==wp.charCodeAt(64);){const e=wp.indexOf(n[o]),t=wp.indexOf(n[o+1]),i=wp.indexOf(n[o+2]),a=wp.indexOf(n[o+3]),s=(63&e)<<2|t>>4&3,l=(15&t)<<4|i>>2&15,c=(3&i)<<6|63&a;0===l&&0!==i?r.push(s):0===c&&0!==a?r.push(s,l):r.push(s,l,c),o+=4}return function(e){let n="",t=0;const r=e.length;for(;t<r;){const r=e[t];if(r<128)n+=String.fromCharCode(r),t++;else if(192&~r)n+=String.fromCharCode(r),t++;else{let o=63&r;t++;let i=e[t];for(;128==(192&i);)o=o<<6|63&i,t++,i=e[t];n+=String.fromCharCode(o)}}return n}(r)}function zE(e,n){const t=mn(n)?n:n.readFile(e);if(!t)return;const r=Mw(e,t);return r.error?void 0:r.config}function GE(e,n){return zE(e,n)||{}}function BE(e){try{return JSON.parse(e)}catch{return}}function jE(e,n){return!n.directoryExists||n.directoryExists(e)}function VE(e){switch(e.newLine){case 0:return Op;case 1:case void 0:return Fp}}function UE(e,n=e){return Tt.assert(n>=e||-1===n),{pos:e,end:n}}function HE(e,n){return UE(e.pos,n)}function KE(e,n){return UE(n,e.end)}function qE(e){const n=vL(e)?C(e.modifiers,EN):void 0;return n&&!_x(n.end)?KE(e,n.end):e}function JE(e){if(TN(e)||AN(e))return KE(e,e.name.pos);const n=vL(e)?Le(e.modifiers):void 0;return n&&!_x(n.end)?KE(e,n.end):qE(e)}function XE(e){return e.pos===e.end}function YE(e,n){return UE(e,e+as(n).length)}function $E(e,n){return eS(e,e,n)}function QE(e,n,t){return iS(aS(e,t,!1),aS(n,t,!1),t)}function ZE(e,n,t){return iS(e.end,n.end,t)}function eS(e,n,t){return iS(aS(e,t,!1),n.end,t)}function nS(e,n,t){return iS(e.end,aS(n,t,!1),t)}function tS(e,n,t,r){const o=aS(n,t,r);return ms(t,e.end,o)}function rS(e,n,t){return ms(t,e.end,n.end)}function oS(e,n){return!iS(e.pos,e.end,n)}function iS(e,n,t){return 0===ms(t,e,n)}function aS(e,n,t){return _x(e.pos)?-1:Ts(n.text,e.pos,!1,t)}function sS(e,n,t,r){const o=Ts(t.text,e,!1,r),i=function(e,n=0,t){for(;e-- >n;)if(!hs(t.text.charCodeAt(e)))return e}(o,n,t);return ms(t,i??n,o)}function lS(e,n,t,r){const o=Ts(t.text,e,!1,r);return ms(t,e,Math.min(n,o))}function cS(e){const n=Cl(e);if(n)switch(n.parent.kind){case 266:case 267:return n===n.parent.name}return!1}function dS(e){return W(e.declarations,uS)}function uS(e){return iC(e)&&void 0!==e.initializer}function pS(e){return e.watch&&je(e,"watch")}function fS(e){e.close()}function mS(e){return 33554432&e.flags?e.links.checkFlags:0}function _S(e,n=!1){if(e.valueDeclaration){const t=Sl(n&&e.declarations&&D(e.declarations,DN)||32768&e.flags&&D(e.declarations,NN)||e.valueDeclaration);return e.parent&&32&e.parent.flags?t:-8&t}if(6&mS(e)){const n=e.links.checkFlags;return(1024&n?2:256&n?1:4)|(2048&n?256:0)}return 4194304&e.flags?257:0}function hS(e,n){return 2097152&e.flags?n.getAliasedSymbol(e):e}function gS(e){return e.exportSymbol?e.exportSymbol.flags|e.flags:e.flags}function yS(e){return 1===bS(e)}function vS(e){return 0!==bS(e)}function bS(e){const{parent:n}=e;switch(null==n?void 0:n.kind){case 217:case 209:return bS(n);case 225:case 224:const{operator:t}=n;return 46===t||47===t?2:0;case 226:const{left:r,operatorToken:o}=n;return r===e&&mE(o.kind)?64===o.kind?1:2:0;case 211:return n.name!==e?0:bS(n);case 303:{const t=bS(n.parent);return e===n.name?function(e){switch(e){case 0:return 1;case 1:return 0;case 2:return 2;default:return Tt.assertNever(e)}}(t):t}case 304:return e===n.objectAssignmentInitializer?0:bS(n.parent);default:return 0}}function ES(e,n){if(!e||!n||Object.keys(e).length!==Object.keys(n).length)return!1;for(const t in e)if("object"==typeof e[t]){if(!ES(e[t],n[t]))return!1}else if("function"!=typeof e[t]&&e[t]!==n[t])return!1;return!0}function SS(e,n){e.forEach(n),e.clear()}function TS(e,n,t){const{onDeleteValue:r,onExistingValue:o}=t;e.forEach(((t,i)=>{var a;(null==n?void 0:n.has(i))?o&&o(t,null==(a=n.get)?void 0:a.call(n,i),i):(e.delete(i),r(t,i))}))}function xS(e,n,t){TS(e,n,t);const{createNewValue:r}=t;null==n||n.forEach(((n,t)=>{e.has(t)||e.set(t,r(t,n))}))}function AS(e){if(32&e.flags){const n=RS(e);return!!n&&Bb(n,64)}return!1}function RS(e){var n;return null==(n=e.declarations)?void 0:n.find(Md)}function IS(e){return 3899393&e.flags?e.objectFlags:0}function NS(e,n){return!!ka(e,(e=>!!n(e)||void 0))}function DS(e){return!!e&&!!e.declarations&&!!e.declarations[0]&&_C(e.declarations[0])}function CS({moduleSpecifier:e}){return zI(e)?e.text:xm(e)}function MS(e){let n;return ok(e,(e=>{am(e)&&(n=e)}),(e=>{for(let t=e.length-1;t>=0;t--)if(am(e[t])){n=e[t];break}})),n}function PS(e,n,t=!0){return!e.has(n)&&(e.set(n,t),!0)}function LS(e){return Md(e)||cC(e)||WN(e)}function kS(e){return e>=182&&e<=205||133===e||159===e||150===e||163===e||151===e||136===e||154===e||155===e||116===e||157===e||146===e||141===e||233===e||319===e||320===e||321===e||322===e||323===e||324===e||325===e}function wS(e){return 211===e.kind||212===e.kind}function OS(e){return 211===e.kind?e.name:(Tt.assert(212===e.kind),e.argumentExpression)}function FS(e){switch(e.kind){case"text":case"internal":return!0;default:return!1}}function WS(e){return 275===e.kind||279===e.kind}function zS(e){for(;wS(e);)e=e.expression;return e}function GS(e,n){if(wS(e.parent)&&NE(e))return function e(t){if(211===t.kind){const e=n(t.name);if(void 0!==e)return e}else if(212===t.kind){if(!tN(t.argumentExpression)&&!tp(t.argumentExpression))return;{const e=n(t.argumentExpression);if(void 0!==e)return e}}if(wS(t.expression))return e(t.expression);if(tN(t.expression))return n(t.expression);return}(e.parent)}function BS(e,n){for(;;){switch(e.kind){case 225:e=e.operand;continue;case 226:e=e.left;continue;case 227:e=e.condition;continue;case 215:e=e.tag;continue;case 213:if(n)return e;case 234:case 212:case 211:case 235:case 360:case 238:e=e.expression;continue}return e}}function jS(e,n){this.flags=e,this.escapedName=n,this.declarations=void 0,this.valueDeclaration=void 0,this.id=0,this.mergeId=0,this.parent=void 0,this.members=void 0,this.exports=void 0,this.exportSymbol=void 0,this.constEnumOnlyModule=void 0,this.isReferenced=void 0,this.lastAssignmentPos=void 0,this.links=void 0}function VS(e,n){this.flags=n,(Tt.isDebugging||Cr)&&(this.checker=e)}function US(e,n){this.flags=n,Tt.isDebugging&&(this.checker=e)}function HS(e,n,t){this.pos=n,this.end=t,this.kind=e,this.id=0,this.flags=0,this.modifierFlagsCache=0,this.transformFlags=0,this.parent=void 0,this.original=void 0,this.emitNode=void 0}function KS(e,n,t){this.pos=n,this.end=t,this.kind=e,this.id=0,this.flags=0,this.transformFlags=0,this.parent=void 0,this.emitNode=void 0}function qS(e,n,t){this.pos=n,this.end=t,this.kind=e,this.id=0,this.flags=0,this.transformFlags=0,this.parent=void 0,this.original=void 0,this.emitNode=void 0}function JS(e,n,t){this.fileName=e,this.text=n,this.skipTrivia=t||(e=>e)}function XS(e){zp.push(e),e(Wp)}function YS(e){Object.assign(Wp,e),E(zp,(e=>e(Wp)))}function $S(e,n){return e.replace(/{(\d+)}/g,((e,t)=>""+Tt.checkDefined(n[+t])))}function QS(e){Gp=e}function ZS(e){!Gp&&e&&(Gp=e())}function eT(e){return Gp&&Gp[e.key]||e.message}function nT(e,n,t,r,o,...i){t+r>n.length&&(r=n.length-t),__(n,t,r);let a=eT(o);return oe(i)&&(a=$S(a,i)),{file:void 0,start:t,length:r,messageText:a,category:o.category,code:o.code,reportsUnnecessary:o.reportsUnnecessary,fileName:e}}function tT(e){return void 0===e.file&&void 0!==e.start&&void 0!==e.length&&"string"==typeof e.fileName}function rT(e,n){const t=n.fileName||"",r=n.text.length;Tt.assertEqual(e.fileName,t),Tt.assertLessThanOrEqual(e.start,r),Tt.assertLessThanOrEqual(e.start+e.length,r);const o={file:n,start:e.start,length:e.length,messageText:e.messageText,category:e.category,code:e.code,reportsUnnecessary:e.reportsUnnecessary};if(e.relatedInformation){o.relatedInformation=[];for(const i of e.relatedInformation)tT(i)&&i.fileName===t?(Tt.assertLessThanOrEqual(i.start,r),Tt.assertLessThanOrEqual(i.start+i.length,r),o.relatedInformation.push(rT(i,n))):o.relatedInformation.push(i)}return o}function oT(e,n){const t=[];for(const r of e)t.push(rT(r,n));return t}function iT(e,n,t,r,...o){__(e.text,n,t);let i=eT(r);return oe(o)&&(i=$S(i,o)),{file:e,start:n,length:t,messageText:i,category:r.category,code:r.code,reportsUnnecessary:r.reportsUnnecessary,reportsDeprecated:r.reportsDeprecated}}function aT(e,...n){let t=eT(e);return oe(n)&&(t=$S(t,n)),t}function sT(e,...n){let t=eT(e);return oe(n)&&(t=$S(t,n)),{file:void 0,start:void 0,length:void 0,messageText:t,category:e.category,code:e.code,reportsUnnecessary:e.reportsUnnecessary,reportsDeprecated:e.reportsDeprecated}}function lT(e,n){return{file:void 0,start:void 0,length:void 0,code:e.code,category:e.category,messageText:e.next?e:e.messageText,relatedInformation:n}}function cT(e,n,...t){let r=eT(n);return oe(t)&&(r=$S(r,t)),{messageText:r,category:n.category,code:n.code,next:void 0===e||Array.isArray(e)?e:[e]}}function dT(e,n){let t=e;for(;t.next;)t=t.next[0];t.next=[n]}function uT(e){return e.file?e.file.path:void 0}function pT(e,n){return fT(e,n)||function(e,n){if(!e.relatedInformation&&!n.relatedInformation)return 0;if(e.relatedInformation&&n.relatedInformation)return wn(e.relatedInformation.length,n.relatedInformation.length)||E(e.relatedInformation,((e,t)=>pT(e,n.relatedInformation[t])))||0;return e.relatedInformation?-1:1}(e,n)||0}function fT(e,n){return Gn(uT(e),uT(n))||wn(e.start,n.start)||wn(e.length,n.length)||wn(e.code,n.code)||mT(e.messageText,n.messageText)||0}function mT(e,n){if("string"==typeof e&&"string"==typeof n)return Gn(e,n);if("string"==typeof e)return-1;if("string"==typeof n)return 1;let t=Gn(e.messageText,n.messageText);if(t)return t;if(!e.next&&!n.next)return 0;if(!e.next)return-1;if(!n.next)return 1;const r=Math.min(e.next.length,n.next.length);for(let o=0;o<r;o++)if(t=mT(e.next[o],n.next[o]),t)return t;return e.next.length<n.next.length?-1:e.next.length>n.next.length?1:0}function _T(e){return 4===e||2===e||1===e||6===e?1:0}function hT(e){if(2&e.transformFlags)return ju(e)||GC(e)?e:ok(e,hT)}function gT(e){return e.isDeclarationFile?void 0:hT(e)}function yT(e){return!(99!==e.impliedNodeFormat&&!Qi(e.fileName,[".cjs",".cts",".mjs",".mts"])||e.isDeclarationFile)||void 0}function vT(e){switch(Hp(e)){case 3:return e=>{e.externalModuleIndicator=WL(e)||!e.isDeclarationFile||void 0};case 1:return e=>{e.externalModuleIndicator=WL(e)};case 2:const n=[WL];4!==e.jsx&&5!==e.jsx||n.push(gT),n.push(yT);const t=pt(...n);return e=>{e.externalModuleIndicator=t(e)}}}function bT(e){return e>=5&&e<=99}function ET(e){switch(Vp(e)){case 0:case 4:case 3:return!1}return!0}function ST(e){return e.verbatimModuleSyntax||e.isolatedModules&&e.preserveValueImports}function TT(e){return!1===e.allowUnreachableCode}function xT(e){return!1===e.allowUnusedLabels}function AT(e){return e>=3&&e<=99||100===e}function RT(e,n){return void 0===e[n]?!!e.strict:!!e[n]}function IT(e){return!1!==e.useDefineForClassFields&&jp(e)>=9}function NT(e,n){return Of(n,e,wk)}function DT(e,n){return Of(n,e,Ok)}function CT(e,n){return Of(n,e,Fk)}function MT(e,n){return n.strictFlag?RT(e,n.name):n.allowJsFlag?tf(e):e[n.name]}function PT(e){const n=e.jsx;return 2===n||4===n||5===n}function LT(e,n){const t=null==n?void 0:n.pragmas.get("jsximportsource"),r=pn(t)?t[t.length-1]:t;return 4===e.jsx||5===e.jsx||e.jsxImportSource||r?(null==r?void 0:r.arguments.factory)||e.jsxImportSource||"react":void 0}function kT(e,n){return e?`${e}/${5===n.jsx?"jsx-dev-runtime":"jsx-runtime"}`:void 0}function wT(e){let n=!1;for(let t=0;t<e.length;t++)if(42===e.charCodeAt(t)){if(n)return!1;n=!0}return!0}function OT(e,n){let t,r,i,a=!1;return{getSymlinkedFiles:()=>i,getSymlinkedDirectories:()=>t,getSymlinkedDirectoriesByRealpath:()=>r,setSymlinkedFile:(e,n)=>(i||(i=new Map)).set(e,n),setSymlinkedDirectory:(o,i)=>{let a=ga(o,e,n);Xx(a)||(a=va(a),!1===i||(null==t?void 0:t.has(a))||(r||(r=sn())).add(i.realPath,o),(t||(t=new Map)).set(a,i))},setSymlinksFromResolutions(e,n,t){Tt.assert(!a),a=!0,e((e=>s(this,e.resolvedModule))),n((e=>s(this,e.resolvedTypeReferenceDirective))),t.forEach((e=>s(this,e.resolvedTypeReferenceDirective)))},hasProcessedResolutions:()=>a};function s(t,r){if(!r||!r.originalPath||!r.resolvedFileName)return;const{resolvedFileName:i,originalPath:a}=r;t.setSymlinkedFile(ga(a,e,n),i);const[s,l]=function(e,n,t,r){const o=sa(ma(e,t)),i=sa(ma(n,t));let a=!1;for(;o.length>=2&&i.length>=2&&!FT(o[o.length-2],r)&&!FT(i[i.length-2],r)&&r(o[o.length-1])===r(i[i.length-1]);)o.pop(),i.pop(),a=!0;return a?[la(o),la(i)]:void 0}(i,a,e,n)||o;s&&l&&t.setSymlinkedDirectory(l,{real:va(s),realPath:va(ga(s,e,n))})}}function FT(e,n){return void 0!==e&&("node_modules"===n(e)||st(e,"@"))}function WT(e,n,t){const r=ct(e,n,t);return void 0===r?void 0:Vi((o=r).charCodeAt(0))?o.slice(1):void 0;var o}function zT(e){return e.replace(of,GT)}function GT(e){return"\\"+e}function BT(e,n,t){const r=jT(e,n,t);if(!r||!r.length)return;return`^(${r.map((e=>`(${e})`)).join("|")})${"exclude"===t?"($|/)":"$"}`}function jT(e,n,t){if(void 0!==e&&0!==e.length)return H(e,(e=>e&&HT(e,n,t,pf[t])))}function VT(e){return!/[.*?]/.test(e)}function UT(e,n,t){const r=e&&HT(e,n,t,pf[t]);return r&&`^(${r})${"exclude"===t?"($|/)":"$"}`}function HT(e,n,t,{singleAsteriskRegexFragment:r,doubleAsteriskRegexFragment:o,replaceWildcardCharacter:i}=pf[t]){let a="",s=!1;const l=fa(e,n),c=ke(l);if("exclude"!==t&&"**"===c)return;l[0]=ya(l[0]),VT(c)&&l.push("**","*");let d=0;for(let e of l){if("**"===e)a+=o;else if("directories"===t&&(a+="(",d++),s&&(a+=Fi),"exclude"!==t){let n="";42===e.charCodeAt(0)?(n+="([^./]"+r+")?",e=e.substr(1)):63===e.charCodeAt(0)&&(n+="[^./]",e=e.substr(1)),n+=e.replace(of,i),n!==e&&(a+=lf),a+=n}else a+=e.replace(of,i);s=!0}for(;d>0;)a+=")?",d--;return a}function KT(e,n){return"*"===e?n:"?"===e?"[^/]":"\\"+e}function qT(e,n,t,r,o){e=_a(e);const i=ua(o=_a(o),e);return{includeFilePatterns:B(jT(t,i,"files"),(e=>`^${e}$`)),includeFilePattern:BT(t,i,"files"),includeDirectoryPattern:BT(t,i,"directories"),excludePattern:BT(n,i,"exclude"),basePaths:YT(e,t,r)}}function JT(e,n){return new RegExp(e,n?"":"i")}function XT(e,n,t,r,o,i,a,s,l){e=_a(e),i=_a(i);const c=qT(e,t,r,o,i),d=c.includeFilePatterns&&c.includeFilePatterns.map((e=>JT(e,o))),u=c.includeDirectoryPattern&&JT(c.includeDirectoryPattern,o),p=c.excludePattern&&JT(c.excludePattern,o),f=d?d.map((()=>[])):[[]],m=new Map,_=rt(o);for(const e of c.basePaths)h(e,ua(i,e),a);return U(f);function h(e,t,r){const o=_(l(t));if(m.has(o))return;m.set(o,!0);const{files:i,directories:a}=s(e);for(const r of Ae(i,Gn)){const o=ua(e,r),i=ua(t,r);if((!n||Qi(o,n))&&(!p||!p.test(i)))if(d){const e=M(d,(e=>e.test(i)));-1!==e&&f[e].push(o)}else f[0].push(o)}if(void 0===r||0!=--r)for(const n of Ae(a,Gn)){const o=ua(e,n),i=ua(t,n);u&&!u.test(i)||p&&p.test(i)||h(o,i,r)}}}function YT(e,n,t){const r=[e];if(n){const o=[];for(const t of n){const n=Hi(t)?t:_a(ua(e,t));o.push($T(n))}o.sort(Bn(!t));for(const n of o)N(r,(r=>!Ia(r,n,e,!t)))&&r.push(n)}return r}function $T(e){const n=O(e,af);return n<0?Yi(e)?ya(ra(e)):e:e.substring(0,e.lastIndexOf(Fi,n))}function QT(e,n){return n||ZT(e)||3}function ZT(e){switch(e.substr(e.lastIndexOf(".")).toLowerCase()){case".js":case".cjs":case".mjs":return 1;case".jsx":return 2;case".ts":case".cts":case".mts":return 3;case".tsx":return 4;case".json":return 6;default:return 0}}function ex(e,n){const t=e&&tf(e);if(!n||0===n.length)return t?vf:ff;const r=t?vf:ff,o=U(r);return[...r,...Y(n,(e=>{return 7===e.scriptKind||t&&(1===(n=e.scriptKind)||2===n)&&!o.includes(e.extension)?[e.extension]:void 0;var n}))]}function nx(e,n){return e&&$p(e)?n===vf?bf:n===ff?_f:[...n,[".json"]]:n}function tx(e){return oe(yf,(n=>$i(e,n)))}function rx(e){return oe(mf,(n=>$i(e,n)))}function ox({imports:e},n=pt(tx,rx)){return T(e,(({text:e})=>Ji(e)&&!Qi(e,Tf)?n(e):void 0))||!1}function ix(e,n,t,r){const i=Up(t),a=3<=i&&i<=99;return"js"===e||99===n&&a?CW(t)&&2!==s()?3:2:"minimal"===e?0:"index"===e?1:CW(t)?s():ox(r)?2:0;function s(){let e=!1;const i=r.imports.length?r.imports:Jh(r)?function(e){let n,t=0;for(const r of e.statements){if(t>3)break;ag(r)?n=ae(n,r.declarationList.declarations.map((e=>e.initializer))):VD(r)&&ng(r.expression,!0)?n=ye(n,r.expression):t++}return n||o}(r).map((e=>e.arguments[0])):o;for(const o of i)if(Ji(o.text)){if(a&&1===n&&99===VU(r,o,t))continue;if(Qi(o.text,Tf))continue;if(rx(o.text))return 3;tx(o.text)&&(e=!0)}return e?2:0}}function ax(e,n,t){if(!e)return!1;const r=ex(n,t);for(const t of U(nx(n,r)))if($i(e,t))return!0;return!1}function sx(e){const n=e.match(/\//g);return n?n.length:0}function lx(e,n){return wn(sx(e),sx(n))}function cx(e){for(const n of Af){const t=dx(e,n);if(void 0!==t)return t}return e}function dx(e,n){return $i(e,n)?ux(e,n):void 0}function ux(e,n){return e.substring(0,e.length-n.length)}function px(e,n){return Ea(e,n,Af,!1)}function fx(e){const n=e.indexOf("*");return-1===n?e:-1!==e.indexOf("*",n+1)?void 0:{prefix:e.substr(0,n),suffix:e.substr(n+1)}}function mx(e){return Y(Ue(e),(e=>fx(e)))}function _x(e){return!(e>=0)}function hx(e){return".ts"===e||".tsx"===e||".d.ts"===e||".cts"===e||".mts"===e||".d.mts"===e||".d.cts"===e||st(e,".d.")&&Xn(e,".ts")}function gx(e){return hx(e)||".json"===e}function yx(e){const n=bx(e);return void 0!==n?n:Tt.fail(`File ${e} has unknown extension.`)}function vx(e){return void 0!==bx(e)}function bx(e){return D(Af,(n=>$i(e,n)))}function Ex(e,n){return e.checkJsDirective?e.checkJsDirective.enabled:n.checkJs}function Sx(e,n){const t=[];for(const r of e){if(r===n)return n;mn(r)||t.push(r)}return at(t,(e=>e),n)}function Tx(e,n){const t=e.indexOf(n);return Tt.assert(-1!==t),e.slice(t)}function xx(e,...n){return n.length?(e.relatedInformation||(e.relatedInformation=[]),Tt.assert(e.relatedInformation!==o,"Diagnostic had empty array singleton for related info, but is still being constructed!"),e.relatedInformation.push(...n),e):e}function Ax(e,n){Tt.assert(0!==e.length);let t=n(e[0]),r=t;for(let o=1;o<e.length;o++){const i=n(e[o]);i<t?t=i:i>r&&(r=i)}return{min:t,max:r}}function Rx(e){return{pos:vm(e),end:e.end}}function Ix(e,n){return{pos:n.pos-1,end:Math.min(e.text.length,Ts(e.text,n.end)+1)}}function Nx(e,n,t){return n.skipLibCheck&&e.isDeclarationFile||n.skipDefaultLibCheck&&e.hasNoDefaultLib||t.isSourceOfProjectReferenceRedirect(e.fileName)}function Dx(e,n){return e===n||"object"==typeof e&&null!==e&&"object"==typeof n&&null!==n&&Ye(e,n,Dx)}function Cx(e){let n;switch(e.charCodeAt(1)){case 98:case 66:n=1;break;case 111:case 79:n=3;break;case 120:case 88:n=4;break;default:const t=e.length-1;let r=0;for(;48===e.charCodeAt(r);)r++;return e.slice(r,t)||"0"}const t=e.length-1,r=(t-2)*n,o=new Uint16Array((r>>>4)+(15&r?1:0));for(let r=t-1,i=0;r>=2;r--,i+=n){const n=i>>>4,t=e.charCodeAt(r),a=(t<=57?t-48:10+t-(t<=70?65:97))<<(15&i);o[n]|=a;const s=a>>>16;s&&(o[n+1]|=s)}let i="",a=o.length-1,s=!0;for(;s;){let e=0;s=!1;for(let n=a;n>=0;n--){const t=e<<16|o[n],r=t/10|0;o[n]=r,e=t-10*r,r&&!s&&(a=n,s=!0)}i=e+i}return i}function Mx({negative:e,base10Value:n}){return(e&&"0"!==n?"-":"")+n}function Px(e){if(kx(e,!1))return Lx(e)}function Lx(e){const n=e.startsWith("-");return{negative:n,base10Value:Cx(`${n?e.slice(1):e}n`)}}function kx(e,n){if(""===e)return!1;const t=Gs(99,!1);let r=!0;t.setOnError((()=>r=!1)),t.setText(e+"n");let o=t.scan();const i=41===o;i&&(o=t.scan());const a=t.getTokenFlags();return r&&10===o&&t.getTokenEnd()===e.length+1&&!(512&a)&&(!n||e===Mx({negative:i,base10Value:Cx(t.getTokenValue())}))}function wx(e){return!!(33554432&e.flags)||jh(e)||function(e){if(80!==e.kind)return!1;const n=Nl(e.parent,(e=>{switch(e.kind){case 298:return!0;case 211:case 233:return!1;default:return"quit"}}));return 119===(null==n?void 0:n.token)||264===(null==n?void 0:n.parent.kind)}(e)||function(e){for(;80===e.kind||211===e.kind;)e=e.parent;if(167!==e.kind)return!1;if(Bb(e.parent,64))return!0;const n=e.parent.parent.kind;return 264===n||187===n}(e)||!(Gh(e)||function(e){return tN(e)&&ZC(e.parent)&&e.parent.name===e}(e))}function Ox(e){return kN(e)&&tN(e.typeName)}function Fx(e,n=Mn){if(e.length<2)return!0;const t=e[0];for(let r=1,o=e.length;r<o;r++){if(!n(t,e[r]))return!1}return!0}function Wx(e,n){return e.pos=n,e}function zx(e,n){return e.end=n,e}function Gx(e,n,t){return zx(Wx(e,n),t)}function Bx(e,n,t){return Gx(e,n,n+t)}function jx(e,n){return e&&(e.flags=n),e}function Vx(e,n){return e&&n&&(e.parent=n),e}function Ux(e,n){if(e)for(const t of e)Vx(t,n);return e}function Hx(e,n){return e?(ik(e,Uu(e)?t:function(e,n){return t(e,n)||function(e){if(Xu(e))for(const n of e.jsDoc)t(n,e),ik(n,t)}(e)}),e):e;function t(e,t){if(n&&e.parent===t)return"skip";Vx(e,t)}}function Kx(e){return!DD(e)}function qx(e){return aD(e)&&N(e.elements,Kx)}function Jx(e){for(Tt.assertIsDefined(e.parent);;){const n=e.parent;if(mD(n))e=n;else{if(VD(n)||vD(n)||qD(n)&&(n.initializer===e||n.incrementor===e))return!0;if(FD(n)){if(e!==ke(n.elements))return!0;e=n}else{if(!TD(n)||28!==n.operatorToken.kind)return!1;if(e===n.left)return!0;e=n}}}}function Xx(e){return oe(di,(n=>e.includes(n)))}function Yx(e){if(!e.parent)return;switch(e.kind){case 168:const{parent:n}=e;return 195===n.kind?void 0:n.typeParameters;case 169:return e.parent.parameters;case 204:case 239:return e.parent.templateSpans;case 170:{const{parent:n}=e;return bL(n)?n.modifiers:void 0}case 298:return e.parent.heritageClauses}const{parent:n}=e;if(Ku(e))return EM(e.parent)?void 0:e.parent.tags;switch(n.kind){case 187:case 264:return Wd(e)?n.members:void 0;case 192:case 193:return n.types;case 189:case 209:case 361:case 275:case 279:return n.elements;case 210:case 292:return n.properties;case 213:case 214:return Bd(e)?n.typeArguments:n.expression===e?void 0:n.arguments;case 284:case 288:return zu(e)?n.children:void 0;case 286:case 285:return Bd(e)?n.typeArguments:void 0;case 241:case 296:case 297:case 268:case 312:return n.statements;case 269:return n.clauses;case 263:case 231:return Cd(e)?n.members:void 0;case 266:return nM(e)?n.members:void 0}}function $x(e){if(!e.typeParameters){if(oe(e.parameters,(e=>!Ab(e))))return!0;if(219!==e.kind){const n=De(e.parameters);if(!n||!vb(n))return!0}}return!1}function Qx(e){return"Infinity"===e||"-Infinity"===e||"NaN"===e}function Zx(e){return 260===e.kind&&299===e.parent.kind}function eA(e){return 218===e.kind||219===e.kind}function nA(e){return e.replace(/\$/gm,(()=>"\\$"))}function tA(e){return(+e).toString()===e}function rA(e,n,t,r,o){const i=o&&"new"===e;return!i&&zs(e,n)?UA.createIdentifier(e):!r&&!i&&tA(e)&&+e>=0?UA.createNumericLiteral(+e):UA.createStringLiteral(e,!!t)}function oA(e){return!!(262144&e.flags&&e.isThisType)}function iA(e){let n,t=0,r=0,o=0,i=0;var a;(a=n||(n={}))[a.BeforeNodeModules=0]="BeforeNodeModules",a[a.NodeModules=1]="NodeModules",a[a.Scope=2]="Scope",a[a.PackageContent=3]="PackageContent";let s=0,l=0,c=0;for(;l>=0;)switch(s=l,l=e.indexOf("/",s+1),c){case 0:e.indexOf(HO,s)===s&&(t=s,r=l,c=1);break;case 1:case 2:1===c&&"@"===e.charAt(s+1)?c=2:(o=l,c=3);break;case 3:c=e.indexOf(HO,s)===s?1:3}return i=s,c>1?{topLevelNodeModulesIndex:t,topLevelPackageNameIndex:r,packageRootIndex:o,fileNameIndex:i}:void 0}function aA(e){var n;return 348===e.kind?null==(n=e.typeExpression)?void 0:n.type:e.type}function sA(e){switch(e.kind){case 168:case 263:case 264:case 265:case 266:case 353:case 345:case 347:return!0;case 273:return e.isTypeOnly;case 276:case 281:return e.parent.parent.isTypeOnly;default:return!1}}function lA(e){return uC(e)||BD(e)||sC(e)||lC(e)||cC(e)||sA(e)||pC(e)&&!Bm(e)&&!Gm(e)}function cA(e){if(!qc(e))return!1;const{isBracketed:n,typeExpression:t}=e;return n||!!t&&323===t.type.kind}function dA(e,n){if(0===e.length)return!1;const t=e.charCodeAt(0);return 35===t?e.length>1&&Fs(e.charCodeAt(1),n):Fs(t,n)}function uA(e){var n;return 0===(null==(n=zR(e))?void 0:n.kind)}function pA(e){return Yh(e)&&(e.type&&323===e.type.kind||ql(e).some((({isBracketed:e,typeExpression:n})=>e||!!n&&323===n.type.kind)))}function fA(e){switch(e.kind){case 172:case 171:return!!e.questionToken;case 169:return!!e.questionToken||pA(e);case 355:case 348:return cA(e);default:return!1}}function mA(e){const n=e.kind;return(211===n||212===n)&&LD(e.expression)}function _A(e){return Yh(e)&&mD(e)&&Xu(e)&&!!gc(e)}function hA(e){return Tt.checkDefined(gA(e))}function gA(e){const n=gc(e);return n&&n.typeExpression&&n.typeExpression.type}function yA(e){return tN(e)?e.escapedText:EA(e)}function vA(e){return tN(e)?Ll(e):SA(e)}function bA(e){const n=e.kind;return 80===n||295===n}function EA(e){return`${e.namespace.escapedText}:${Ll(e.name)}`}function SA(e){return`${Ll(e.namespace)}:${Ll(e.name)}`}function TA(e){return tN(e)?Ll(e):SA(e)}function xA(e){return!!(8576&e.flags)}function AA(e){return 8192&e.flags?e.escapedName:384&e.flags?Ml(""+e.value):Tt.fail()}function RA(e){return!!e&&(lD(e)||cD(e)||TD(e))}function IA(e){return void 0!==e&&!!HU(e.attributes)}function NA(e,n){return If.call(e,"*",n)}function DA(e){return tN(e.name)?e.name.escapedText:Ml(e.name.text)}var CA=g({"src/compiler/utilities.ts"(){JJ(),lp=[],cp="tslib",dp=160,up=1e6,pp=function(){var e="";const n=n=>e+=n;return{getText:()=>e,write:n,rawWrite:n,writeKeyword:n,writeOperator:n,writePunctuation:n,writeSpace:n,writeStringLiteral:n,writeLiteral:n,writeParameter:n,writeProperty:n,writeSymbol:(e,t)=>n(e),writeTrailingSemicolon:n,writeComment:n,getTextPos:()=>e.length,getLine:()=>0,getColumn:()=>0,getIndent:()=>0,isAtStartOfLine:()=>!1,hasTrailingComment:()=>!1,hasTrailingWhitespace:()=>!!e.length&&hs(e.charCodeAt(e.length-1)),writeLine:()=>e+=" ",increaseIndent:yn,decreaseIndent:yn,clear:()=>e=""}}(),fp=Rn((()=>new Map(Object.entries({Array:new Map(Object.entries({es2015:["find","findIndex","fill","copyWithin","entries","keys","values"],es2016:["includes"],es2019:["flat","flatMap"],es2022:["at"],es2023:["findLastIndex","findLast"]})),Iterator:new Map(Object.entries({es2015:o})),AsyncIterator:new Map(Object.entries({es2015:o})),Atomics:new Map(Object.entries({es2017:o})),SharedArrayBuffer:new Map(Object.entries({es2017:o})),AsyncIterable:new Map(Object.entries({es2018:o})),AsyncIterableIterator:new Map(Object.entries({es2018:o})),AsyncGenerator:new Map(Object.entries({es2018:o})),AsyncGeneratorFunction:new Map(Object.entries({es2018:o})),RegExp:new Map(Object.entries({es2015:["flags","sticky","unicode"],es2018:["dotAll"]})),Reflect:new Map(Object.entries({es2015:["apply","construct","defineProperty","deleteProperty","get","getOwnPropertyDescriptor","getPrototypeOf","has","isExtensible","ownKeys","preventExtensions","set","setPrototypeOf"]})),ArrayConstructor:new Map(Object.entries({es2015:["from","of"]})),ObjectConstructor:new Map(Object.entries({es2015:["assign","getOwnPropertySymbols","keys","is","setPrototypeOf"],es2017:["values","entries","getOwnPropertyDescriptors"],es2019:["fromEntries"],es2022:["hasOwn"]})),NumberConstructor:new Map(Object.entries({es2015:["isFinite","isInteger","isNaN","isSafeInteger","parseFloat","parseInt"]})),Math:new Map(Object.entries({es2015:["clz32","imul","sign","log10","log2","log1p","expm1","cosh","sinh","tanh","acosh","asinh","atanh","hypot","trunc","fround","cbrt"]})),Map:new Map(Object.entries({es2015:["entries","keys","values"]})),Set:new Map(Object.entries({es2015:["entries","keys","values"]})),PromiseConstructor:new Map(Object.entries({es2015:["all","race","reject","resolve"],es2020:["allSettled"],es2021:["any"]})),Symbol:new Map(Object.entries({es2015:["for","keyFor"],es2019:["description"]})),WeakMap:new Map(Object.entries({es2015:["entries","keys","values"]})),WeakSet:new Map(Object.entries({es2015:["entries","keys","values"]})),String:new Map(Object.entries({es2015:["codePointAt","includes","endsWith","normalize","repeat","startsWith","anchor","big","blink","bold","fixed","fontcolor","fontsize","italics","link","small","strike","sub","sup"],es2017:["padStart","padEnd"],es2019:["trimStart","trimEnd","trimLeft","trimRight"],es2020:["matchAll"],es2021:["replaceAll"],es2022:["at"]})),StringConstructor:new Map(Object.entries({es2015:["fromCodePoint","raw"]})),DateTimeFormat:new Map(Object.entries({es2017:["formatToParts"]})),Promise:new Map(Object.entries({es2015:o,es2018:["finally"]})),RegExpMatchArray:new Map(Object.entries({es2018:["groups"]})),RegExpExecArray:new Map(Object.entries({es2018:["groups"]})),Intl:new Map(Object.entries({es2018:["PluralRules"]})),NumberFormat:new Map(Object.entries({es2018:["formatToParts"]})),SymbolConstructor:new Map(Object.entries({es2020:["matchAll"]})),DataView:new Map(Object.entries({es2020:["setBigInt64","setBigUint64","getBigInt64","getBigUint64"]})),BigInt:new Map(Object.entries({es2020:o})),RelativeTimeFormat:new Map(Object.entries({es2020:["format","formatToParts","resolvedOptions"]})),Int8Array:new Map(Object.entries({es2022:["at"],es2023:["findLastIndex","findLast"]})),Uint8Array:new Map(Object.entries({es2022:["at"],es2023:["findLastIndex","findLast"]})),Uint8ClampedArray:new Map(Object.entries({es2022:["at"],es2023:["findLastIndex","findLast"]})),Int16Array:new Map(Object.entries({es2022:["at"],es2023:["findLastIndex","findLast"]})),Uint16Array:new Map(Object.entries({es2022:["at"],es2023:["findLastIndex","findLast"]})),Int32Array:new Map(Object.entries({es2022:["at"],es2023:["findLastIndex","findLast"]})),Uint32Array:new Map(Object.entries({es2022:["at"],es2023:["findLastIndex","findLast"]})),Float32Array:new Map(Object.entries({es2022:["at"],es2023:["findLastIndex","findLast"]})),Float64Array:new Map(Object.entries({es2022:["at"],es2023:["findLastIndex","findLast"]})),BigInt64Array:new Map(Object.entries({es2020:o,es2022:["at"],es2023:["findLastIndex","findLast"]})),BigUint64Array:new Map(Object.entries({es2020:o,es2022:["at"],es2023:["findLastIndex","findLast"]})),Error:new Map(Object.entries({es2022:["cause"]}))})))),mp=(e=>(e[e.None=0]="None",e[e.NeverAsciiEscape=1]="NeverAsciiEscape",e[e.JsxAttributeEscape=2]="JsxAttributeEscape",e[e.TerminateUnterminatedLiterals=4]="TerminateUnterminatedLiterals",e[e.AllowNumericSeparator=8]="AllowNumericSeparator",e))(mp||{}),_p=/^(\/\/\/\s*<reference\s+path\s*=\s*)(('[^']*')|("[^"]*")).*?\/>/,hp=/^(\/\/\/\s*<reference\s+types\s*=\s*)(('[^']*')|("[^"]*")).*?\/>/,gp=/^(\/\/\/\s*<reference\s+lib\s*=\s*)(('[^']*')|("[^"]*")).*?\/>/,yp=/^(\/\/\/\s*<amd-dependency\s+path\s*=\s*)(('[^']*')|("[^"]*")).*?\/>/,vp=/^\/\/\/\s*<amd-module\s+.*?\/>/,bp=/^(\/\/\/\s*<reference\s+no-default-lib\s*=\s*)(('[^']*')|("[^"]*"))\s*\/>/,Ep=(e=>(e[e.None=0]="None",e[e.Definite=1]="Definite",e[e.Compound=2]="Compound",e))(Ep||{}),Sp=(e=>(e[e.Normal=0]="Normal",e[e.Generator=1]="Generator",e[e.Async=2]="Async",e[e.Invalid=4]="Invalid",e[e.AsyncGenerator=3]="AsyncGenerator",e))(Sp||{}),Tp=(e=>(e[e.Left=0]="Left",e[e.Right=1]="Right",e))(Tp||{}),xp=(e=>(e[e.Comma=0]="Comma",e[e.Spread=1]="Spread",e[e.Yield=2]="Yield",e[e.Assignment=3]="Assignment",e[e.Conditional=4]="Conditional",e[e.Coalesce=4]="Coalesce",e[e.LogicalOR=5]="LogicalOR",e[e.LogicalAND=6]="LogicalAND",e[e.BitwiseOR=7]="BitwiseOR",e[e.BitwiseXOR=8]="BitwiseXOR",e[e.BitwiseAND=9]="BitwiseAND",e[e.Equality=10]="Equality",e[e.Relational=11]="Relational",e[e.Shift=12]="Shift",e[e.Additive=13]="Additive",e[e.Multiplicative=14]="Multiplicative",e[e.Exponentiation=15]="Exponentiation",e[e.Unary=16]="Unary",e[e.Update=17]="Update",e[e.LeftHandSide=18]="LeftHandSide",e[e.Member=19]="Member",e[e.Primary=20]="Primary",e[e.Highest=20]="Highest",e[e.Lowest=0]="Lowest",e[e.Invalid=-1]="Invalid",e))(xp||{}),Ap=/\$\{/g,Rp=/[\\"\u0000-\u001f\t\v\f\b\r\n\u2028\u2029\u0085]/g,Ip=/[\\'\u0000-\u001f\t\v\f\b\r\n\u2028\u2029\u0085]/g,Np=/\r\n|[\\`\u0000-\u001f\t\v\f\b\r\u2028\u2029\u0085]/g,Dp=new Map(Object.entries({"\t":"\\t","\v":"\\v","\f":"\\f","\b":"\\b","\r":"\\r","\n":"\\n","\\":"\\\\",'"':'\\"',"'":"\\'","`":"\\`","\u2028":"\\u2028","\u2029":"\\u2029","":"\\u0085","\r\n":"\\r\\n"})),Cp=/[^\u0000-\u007F]/g,Mp=/["\u0000-\u001f\u2028\u2029\u0085]/g,Pp=/['\u0000-\u001f\u2028\u2029\u0085]/g,Lp=new Map(Object.entries({'"':"&quot;","'":"&apos;"})),kp=["","    "],wp="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",Op="\r\n",Fp="\n",Wp={getNodeConstructor:()=>HS,getTokenConstructor:()=>KS,getIdentifierConstructor:()=>qS,getPrivateIdentifierConstructor:()=>HS,getSourceFileConstructor:()=>HS,getSymbolConstructor:()=>jS,getTypeConstructor:()=>VS,getSignatureConstructor:()=>US,getSourceMapSourceConstructor:()=>JS},zp=[],jp=(Bp={target:{dependencies:["module"],computeValue:e=>e.target??((100===e.module?9:199===e.module&&99)||1)},module:{dependencies:["target"],computeValue:e=>"number"==typeof e.module?e.module:Bp.target.computeValue(e)>=2?5:1},moduleResolution:{dependencies:["module","target"],computeValue:e=>{let n=e.moduleResolution;if(void 0===n)switch(Bp.module.computeValue(e)){case 1:n=2;break;case 100:n=3;break;case 199:n=99;break;case 200:n=100;break;default:n=1}return n}},moduleDetection:{dependencies:["module","target"],computeValue:e=>e.moduleDetection||(100===Bp.module.computeValue(e)||199===Bp.module.computeValue(e)?3:2)},isolatedModules:{dependencies:["verbatimModuleSyntax"],computeValue:e=>!(!e.isolatedModules&&!e.verbatimModuleSyntax)},esModuleInterop:{dependencies:["module","target"],computeValue:e=>{if(void 0!==e.esModuleInterop)return e.esModuleInterop;switch(Bp.module.computeValue(e)){case 100:case 199:case 200:return!0}return!1}},allowSyntheticDefaultImports:{dependencies:["module","target","moduleResolution"],computeValue:e=>void 0!==e.allowSyntheticDefaultImports?e.allowSyntheticDefaultImports:Bp.esModuleInterop.computeValue(e)||4===Bp.module.computeValue(e)||100===Bp.moduleResolution.computeValue(e)},resolvePackageJsonExports:{dependencies:["moduleResolution"],computeValue:e=>{const n=Bp.moduleResolution.computeValue(e);if(!AT(n))return!1;if(void 0!==e.resolvePackageJsonExports)return e.resolvePackageJsonExports;switch(n){case 3:case 99:case 100:return!0}return!1}},resolvePackageJsonImports:{dependencies:["moduleResolution","resolvePackageJsonExports"],computeValue:e=>{const n=Bp.moduleResolution.computeValue(e);if(!AT(n))return!1;if(void 0!==e.resolvePackageJsonExports)return e.resolvePackageJsonExports;switch(n){case 3:case 99:case 100:return!0}return!1}},resolveJsonModule:{dependencies:["moduleResolution","module","target"],computeValue:e=>void 0!==e.resolveJsonModule?e.resolveJsonModule:100===Bp.moduleResolution.computeValue(e)},declaration:{dependencies:["composite"],computeValue:e=>!(!e.declaration&&!e.composite)},preserveConstEnums:{dependencies:["isolatedModules","verbatimModuleSyntax"],computeValue:e=>!(!e.preserveConstEnums&&!Bp.isolatedModules.computeValue(e))},incremental:{dependencies:["composite"],computeValue:e=>!(!e.incremental&&!e.composite)},declarationMap:{dependencies:["declaration","composite"],computeValue:e=>!(!e.declarationMap||!Bp.declaration.computeValue(e))},allowJs:{dependencies:["checkJs"],computeValue:e=>void 0===e.allowJs?!!e.checkJs:e.allowJs},useDefineForClassFields:{dependencies:["target","module"],computeValue:e=>void 0===e.useDefineForClassFields?Bp.target.computeValue(e)>=9:e.useDefineForClassFields},noImplicitAny:{dependencies:["strict"],computeValue:e=>RT(e,"noImplicitAny")},noImplicitThis:{dependencies:["strict"],computeValue:e=>RT(e,"noImplicitThis")},strictNullChecks:{dependencies:["strict"],computeValue:e=>RT(e,"strictNullChecks")},strictFunctionTypes:{dependencies:["strict"],computeValue:e=>RT(e,"strictFunctionTypes")},strictBindCallApply:{dependencies:["strict"],computeValue:e=>RT(e,"strictBindCallApply")},strictPropertyInitialization:{dependencies:["strict"],computeValue:e=>RT(e,"strictPropertyInitialization")},alwaysStrict:{dependencies:["strict"],computeValue:e=>RT(e,"alwaysStrict")},useUnknownInCatchVariables:{dependencies:["strict"],computeValue:e=>RT(e,"useUnknownInCatchVariables")}}).target.computeValue,Vp=Bp.module.computeValue,Up=Bp.moduleResolution.computeValue,Hp=Bp.moduleDetection.computeValue,Kp=Bp.isolatedModules.computeValue,qp=Bp.esModuleInterop.computeValue,Jp=Bp.allowSyntheticDefaultImports.computeValue,Xp=Bp.resolvePackageJsonExports.computeValue,Yp=Bp.resolvePackageJsonImports.computeValue,$p=Bp.resolveJsonModule.computeValue,Qp=Bp.declaration.computeValue,Zp=Bp.preserveConstEnums.computeValue,ef=Bp.incremental.computeValue,nf=Bp.declarationMap.computeValue,tf=Bp.allowJs.computeValue,rf=Bp.useDefineForClassFields.computeValue,of=/[^\w\s/]/g,af=[42,63],lf=`(?!(${(sf=["node_modules","bower_components","jspm_packages"]).join("|")})(/|$))`,pf={files:cf={singleAsteriskRegexFragment:"([^./]|(\\.(?!min\\.js$))?)*",doubleAsteriskRegexFragment:`(/${lf}[^/.][^/]*)*?`,replaceWildcardCharacter:e=>KT(e,cf.singleAsteriskRegexFragment)},directories:df={singleAsteriskRegexFragment:"[^/]*",doubleAsteriskRegexFragment:`(/${lf}[^/.][^/]*)*?`,replaceWildcardCharacter:e=>KT(e,df.singleAsteriskRegexFragment)},exclude:uf={singleAsteriskRegexFragment:"[^/]*",doubleAsteriskRegexFragment:"(/.+?)?",replaceWildcardCharacter:e=>KT(e,uf.singleAsteriskRegexFragment)}},mf=U(ff=[[".ts",".tsx",".d.ts"],[".cts",".d.cts"],[".mts",".d.mts"]]),_f=[...ff,[".json"]],hf=[".d.ts",".d.cts",".d.mts",".cts",".mts",".ts",".tsx"],yf=U(gf=[[".js",".jsx"],[".mjs"],[".cjs"]]),vf=[[".ts",".tsx",".d.ts",".js",".jsx"],[".cts",".d.cts",".cjs"],[".mts",".d.mts",".mjs"]],bf=[...vf,[".json"]],Ef=[".d.ts",".d.cts",".d.mts"],Sf=[".ts",".cts",".mts",".tsx"],Tf=[".mts",".d.mts",".mjs",".cts",".d.cts",".cjs"],xf=(e=>(e[e.Minimal=0]="Minimal",e[e.Index=1]="Index",e[e.JsExtension=2]="JsExtension",e[e.TsExtension=3]="TsExtension",e))(xf||{}),Af=[".d.ts",".d.mts",".d.cts",".mjs",".mts",".cjs",".cts",".ts",".js",".tsx",".jsx",".json"],Rf={files:o,directories:o},If=String.prototype.replace}});function MA(){let e,n,t,r,o;return{createBaseSourceFileNode:function(e){return new(o||(o=Wp.getSourceFileConstructor()))(e,-1,-1)},createBaseIdentifierNode:function(e){return new(t||(t=Wp.getIdentifierConstructor()))(e,-1,-1)},createBasePrivateIdentifierNode:function(e){return new(r||(r=Wp.getPrivateIdentifierConstructor()))(e,-1,-1)},createBaseTokenNode:function(e){return new(n||(n=Wp.getTokenConstructor()))(e,-1,-1)},createBaseNode:function(n){return new(e||(e=Wp.getNodeConstructor()))(n,-1,-1)}}}var PA,LA=g({"src/compiler/factory/baseNodeFactory.ts"(){JJ()}});function kA(e){let n,t;return{getParenthesizeLeftSideOfBinaryForOperator:function(e){n||(n=new Map);let t=n.get(e);t||(t=n=>i(e,n),n.set(e,t));return t},getParenthesizeRightSideOfBinaryForOperator:function(e){t||(t=new Map);let n=t.get(e);n||(n=n=>a(e,void 0,n),t.set(e,n));return n},parenthesizeLeftSideOfBinary:i,parenthesizeRightSideOfBinary:a,parenthesizeExpressionOfComputedPropertyName:function(n){return gP(n)?e.createParenthesizedExpression(n):n},parenthesizeConditionOfConditionalExpression:function(n){const t=Nv(227,58),r=Bc(n);if(1!==wn(Rv(r),t))return e.createParenthesizedExpression(n);return n},parenthesizeBranchOfConditionalExpression:function(n){return gP(Bc(n))?e.createParenthesizedExpression(n):n},parenthesizeExpressionOfExportDefault:function(n){const t=Bc(n);let r=gP(t);if(!r)switch(BS(t,!1).kind){case 231:case 218:r=!0}return r?e.createParenthesizedExpression(n):n},parenthesizeExpressionOfNew:function(n){const t=BS(n,!0);switch(t.kind){case 213:return e.createParenthesizedExpression(n);case 214:return t.arguments?n:e.createParenthesizedExpression(n)}return s(n)},parenthesizeLeftSideOfAccess:s,parenthesizeOperandOfPostfixUnary:function(n){return iu(n)?n:yL(e.createParenthesizedExpression(n),n)},parenthesizeOperandOfPrefixUnary:function(n){return su(n)?n:yL(e.createParenthesizedExpression(n),n)},parenthesizeExpressionsOfCommaDelimitedList:function(n){const t=V(n,l);return yL(e.createNodeArray(t,n.hasTrailingComma),n)},parenthesizeExpressionForDisallowedComma:l,parenthesizeExpressionOfExpressionStatement:function(n){const t=Bc(n);if(dD(t)){const r=t.expression,o=Bc(r).kind;if(218===o||219===o){const o=e.updateCallExpression(t,yL(e.createParenthesizedExpression(r),r),t.typeArguments,t.arguments);return e.restoreOuterExpressions(n,o,8)}}const r=BS(t,!1).kind;if(210===r||218===r)return yL(e.createParenthesizedExpression(n),n);return n},parenthesizeConciseBodyOfArrowFunction:function(n){if(!GD(n)&&(gP(n)||210===BS(n,!1).kind))return yL(e.createParenthesizedExpression(n),n);return n},parenthesizeCheckTypeOfConditionalType:c,parenthesizeExtendsTypeOfConditionalType:function(n){if(194===n.kind)return e.createParenthesizedType(n);return n},parenthesizeConstituentTypesOfUnionType:function(n){return e.createNodeArray(V(n,d))},parenthesizeConstituentTypeOfUnionType:d,parenthesizeConstituentTypesOfIntersectionType:function(n){return e.createNodeArray(V(n,u))},parenthesizeConstituentTypeOfIntersectionType:u,parenthesizeOperandOfTypeOperator:p,parenthesizeOperandOfReadonlyTypeOperator:function(n){if(198===n.kind)return e.createParenthesizedType(n);return p(n)},parenthesizeNonArrayTypeOfPostfixType:f,parenthesizeElementTypesOfTupleType:function(n){return e.createNodeArray(V(n,m))},parenthesizeElementTypeOfTupleType:m,parenthesizeTypeOfOptionalType:function(n){return _(n)?e.createParenthesizedType(n):f(n)},parenthesizeTypeArguments:function(n){if(oe(n))return e.createNodeArray(V(n,g))},parenthesizeLeadingTypeArgument:h};function r(e){if(Zc((e=Bc(e)).kind))return e.kind;if(226===e.kind&&40===e.operatorToken.kind){if(void 0!==e.cachedLiteralKind)return e.cachedLiteralKind;const n=r(e.left),t=Zc(n)&&n===r(e.right)?n:0;return e.cachedLiteralKind=t,t}return 0}function o(n,t,o,i){return 217===Bc(t).kind?t:function(e,n,t,o){const i=Nv(226,e),a=Av(226,e),s=Bc(n);if(!t&&219===n.kind&&i>3)return!0;switch(wn(Rv(s),i)){case-1:return!(!t&&1===a&&229===n.kind);case 1:return!1;case 0:if(t)return 1===a;if(TD(s)&&s.operatorToken.kind===e){if(function(e){return 42===e||52===e||51===e||53===e||28===e}(e))return!1;if(40===e){const e=o?r(o):0;if(Zc(e)&&e===r(s))return!1}}return 0===xv(s)}}(n,t,o,i)?e.createParenthesizedExpression(t):t}function i(e,n){return o(e,n,!0)}function a(e,n,t){return o(e,t,!1,n)}function s(n,t){const r=Bc(n);return!iu(r)||214===r.kind&&!r.arguments||!t&&wc(r)?yL(e.createParenthesizedExpression(n),n):n}function l(n){return Rv(Bc(n))>Nv(226,28)?n:yL(e.createParenthesizedExpression(n),n)}function c(n){switch(n.kind){case 184:case 185:case 194:return e.createParenthesizedType(n)}return n}function d(n){switch(n.kind){case 192:case 193:return e.createParenthesizedType(n)}return c(n)}function u(n){switch(n.kind){case 192:case 193:return e.createParenthesizedType(n)}return d(n)}function p(n){return 193===n.kind?e.createParenthesizedType(n):u(n)}function f(n){switch(n.kind){case 195:case 198:case 186:return e.createParenthesizedType(n)}return p(n)}function m(n){return _(n)?e.createParenthesizedType(n):n}function _(e){return mM(e)?e.postfix:BN(e)||wN(e)||ON(e)||YN(e)?_(e.type):KN(e)?_(e.falseType):UN(e)||HN(e)?_(ke(e.types)):!!qN(e)&&(!!e.typeParameter.constraint&&_(e.typeParameter.constraint))}function h(n){return jd(n)&&n.typeParameters?e.createParenthesizedType(n):n}function g(e,n){return 0===n?h(e):e}}var wA,OA=g({"src/compiler/factory/parenthesizerRules.ts"(){JJ(),PA={getParenthesizeLeftSideOfBinaryForOperator:e=>Sn,getParenthesizeRightSideOfBinaryForOperator:e=>Sn,parenthesizeLeftSideOfBinary:(e,n)=>n,parenthesizeRightSideOfBinary:(e,n,t)=>t,parenthesizeExpressionOfComputedPropertyName:Sn,parenthesizeConditionOfConditionalExpression:Sn,parenthesizeBranchOfConditionalExpression:Sn,parenthesizeExpressionOfExportDefault:Sn,parenthesizeExpressionOfNew:e=>gn(e,iu),parenthesizeLeftSideOfAccess:e=>gn(e,iu),parenthesizeOperandOfPostfixUnary:e=>gn(e,iu),parenthesizeOperandOfPrefixUnary:e=>gn(e,su),parenthesizeExpressionsOfCommaDelimitedList:e=>gn(e,Qc),parenthesizeExpressionForDisallowedComma:Sn,parenthesizeExpressionOfExpressionStatement:Sn,parenthesizeConciseBodyOfArrowFunction:Sn,parenthesizeCheckTypeOfConditionalType:Sn,parenthesizeExtendsTypeOfConditionalType:Sn,parenthesizeConstituentTypesOfUnionType:e=>gn(e,Qc),parenthesizeConstituentTypeOfUnionType:Sn,parenthesizeConstituentTypesOfIntersectionType:e=>gn(e,Qc),parenthesizeConstituentTypeOfIntersectionType:Sn,parenthesizeOperandOfTypeOperator:Sn,parenthesizeOperandOfReadonlyTypeOperator:Sn,parenthesizeNonArrayTypeOfPostfixType:Sn,parenthesizeElementTypesOfTupleType:e=>gn(e,Qc),parenthesizeElementTypeOfTupleType:Sn,parenthesizeTypeOfOptionalType:Sn,parenthesizeTypeArguments:e=>e&&gn(e,Qc),parenthesizeLeadingTypeArgument:Sn}}});function FA(e){return{convertToFunctionBlock:function(n,t){if(GD(n))return n;const r=e.createReturnStatement(n);yL(r,n);const o=e.createBlock([r],t);return yL(o,n),o},convertToFunctionExpression:function(n){var t;if(!n.body)return Tt.fail("Cannot convert a FunctionDeclaration without a body");const r=e.createFunctionExpression(null==(t=Hl(n))?void 0:t.filter((e=>!oN(e)&&!iN(e))),n.asteriskToken,n.name,n.typeParameters,n.parameters,n.type,n.body);lR(r,n),yL(r,n),ER(n)&&SR(r,!0);return r},convertToClassExpression:function(n){var t;const r=e.createClassExpression(null==(t=n.modifiers)?void 0:t.filter((e=>!oN(e)&&!iN(e))),n.name,n.typeParameters,n.heritageClauses,n.members);lR(r,n),yL(r,n),ER(n)&&SR(r,!0);return r},convertToArrayAssignmentElement:n,convertToObjectAssignmentElement:t,convertToAssignmentPattern:r,convertToObjectAssignmentPattern:o,convertToArrayAssignmentPattern:i,convertToAssignmentElementTarget:a};function n(n){if(iD(n)){if(n.dotDotDotToken)return Tt.assertNode(n.name,tN),lR(yL(e.createSpreadElement(n.name),n),n);const t=a(n.name);return n.initializer?lR(yL(e.createAssignment(t,n.initializer),n),n):t}return gn(n,uu)}function t(n){if(iD(n)){if(n.dotDotDotToken)return Tt.assertNode(n.name,tN),lR(yL(e.createSpreadAssignment(n.name),n),n);if(n.propertyName){const t=a(n.name);return lR(yL(e.createPropertyAssignment(n.propertyName,n.initializer?e.createAssignment(t,n.initializer):t),n),n)}return Tt.assertNode(n.name,tN),lR(yL(e.createShorthandPropertyAssignment(n.name,n.initializer),n),n)}return gn(n,Gd)}function r(e){switch(e.kind){case 207:case 209:return i(e);case 206:case 210:return o(e)}}function o(n){return rD(n)?lR(yL(e.createObjectLiteralExpression(B(n.elements,t)),n),n):gn(n,sD)}function i(t){return oD(t)?lR(yL(e.createArrayLiteralExpression(B(t.elements,n)),t),t):gn(t,aD)}function a(e){return Vd(e)?r(e):gn(e,uu)}}var WA,zA,GA,BA,jA,VA,UA,HA,KA=g({"src/compiler/factory/nodeConverters.ts"(){JJ(),wA={convertToFunctionBlock:An,convertToFunctionExpression:An,convertToClassExpression:An,convertToArrayAssignmentElement:An,convertToObjectAssignmentElement:An,convertToAssignmentPattern:An,convertToObjectAssignmentPattern:An,convertToArrayAssignmentPattern:An,convertToAssignmentElementTarget:An}}});function qA(e){GA.push(e)}function JA(e,n){const t=8&e?Sn:lR,r=Rn((()=>1&e?PA:kA(y))),i=Rn((()=>2&e?wA:FA(y))),a=In((e=>(n,t)=>wn(n,e,t))),s=In((e=>n=>Ln(e,n))),l=In((e=>n=>kn(n,e))),c=In((e=>()=>function(e){return b(e)}(e))),d=In((e=>n=>ur(e,n))),u=In((e=>(n,t)=>function(e,n,t){return n.type!==t?Lo(ur(e,t),n):n}(e,n,t))),p=In((e=>(n,t)=>dr(e,n,t))),f=In((e=>(n,t)=>function(e,n,t){return n.type!==t?Lo(dr(e,t,n.postfix),n):n}(e,n,t))),m=In((e=>(n,t)=>Lr(e,n,t))),_=In((e=>(n,t,r)=>function(e,n,t=hr(n),r){return n.tagName!==t||n.comment!==r?Lo(Lr(e,t,r),n):n}(e,n,t,r))),h=In((e=>(n,t,r)=>kr(e,n,t,r))),g=In((e=>(n,t,r,o)=>function(e,n,t=hr(n),r,o){return n.tagName!==t||n.typeExpression!==r||n.comment!==o?Lo(kr(e,t,r,o),n):n}(e,n,t,r,o))),y={get parenthesizer(){return r()},get converters(){return i()},baseFactory:n,flags:e,createNodeArray:v,createNumericLiteral:x,createBigIntLiteral:A,createStringLiteral:I,createStringLiteralFromNode:function(e){const n=R(sv(e),void 0);return n.textSourceNode=e,n},createRegularExpressionLiteral:D,createLiteralLikeNode:function(e,n){switch(e){case 9:return x(n,0);case 10:return A(n);case 11:return I(n,void 0);case 12:return Ur(n,!1);case 13:return Ur(n,!0);case 14:return D(n);case 15:return jn(e,n,void 0,0)}},createIdentifier:P,createTempVariable:L,createLoopVariable:function(e){let n=2;e&&(n|=8);return M("",n,void 0,void 0)},createUniqueName:function(e,n=0,t,r){return Tt.assert(!(7&n),"Argument out of range: flags"),Tt.assert(32!=(48&n),"GeneratedIdentifierFlags.FileLevel cannot be set without also setting GeneratedIdentifierFlags.Optimistic"),M(e,3|n,t,r)},getGeneratedNameForNode:k,createPrivateIdentifier:function(e){st(e,"#")||Tt.fail("First character of private identifier must be #: "+e);return w(Ml(e))},createUniquePrivateName:function(e,n,t){e&&!st(e,"#")&&Tt.fail("First character of private identifier must be #: "+e);return O(e??"",8|(e?3:1),n,t)},getGeneratedPrivateNameForNode:function(e,n,t){const r=Cc(e)?cL(!0,n,e,t,Ll):`#generated@${Hz(e)}`,o=O(r,4|(n||t?16:0),n,t);return o.original=e,o},createToken:W,createSuper:function(){return W(108)},createThis:z,createNull:G,createTrue:B,createFalse:j,createModifier:V,createModifiersFromModifierFlags:U,createQualifiedName:H,updateQualifiedName:function(e,n,t){return e.left!==n||e.right!==t?Lo(H(n,t),e):e},createComputedPropertyName:K,updateComputedPropertyName:function(e,n){return e.expression!==n?Lo(K(n),e):e},createTypeParameterDeclaration:q,updateTypeParameterDeclaration:X,createParameterDeclaration:Y,updateParameterDeclaration:$,createDecorator:Q,updateDecorator:function(e,n){return e.expression!==n?Lo(Q(n),e):e},createPropertySignature:Z,updatePropertySignature:ee,createPropertyDeclaration:ne,updatePropertyDeclaration:te,createMethodSignature:re,updateMethodSignature:ie,createMethodDeclaration:ae,updateMethodDeclaration:se,createConstructorDeclaration:ce,updateConstructorDeclaration:de,createGetAccessorDeclaration:ue,updateGetAccessorDeclaration:pe,createSetAccessorDeclaration:fe,updateSetAccessorDeclaration:me,createCallSignature:_e,updateCallSignature:function(e,n,t,r){return e.typeParameters!==n||e.parameters!==t||e.type!==r?T(_e(n,t,r),e):e},createConstructSignature:he,updateConstructSignature:function(e,n,t,r){return e.typeParameters!==n||e.parameters!==t||e.type!==r?T(he(n,t,r),e):e},createIndexSignature:ge,updateIndexSignature:ve,createClassStaticBlockDeclaration:le,updateClassStaticBlockDeclaration:function(e,n){return e.body!==n?function(e,n){e!==n&&(e.modifiers=n.modifiers);return Lo(e,n)}(le(n),e):e},createTemplateLiteralTypeSpan:be,updateTemplateLiteralTypeSpan:function(e,n,t){return e.type!==n||e.literal!==t?Lo(be(n,t),e):e},createKeywordTypeNode:function(e){return W(e)},createTypePredicateNode:Ee,updateTypePredicateNode:function(e,n,t,r){return e.assertsModifier!==n||e.parameterName!==t||e.type!==r?Lo(Ee(n,t,r),e):e},createTypeReferenceNode:Se,updateTypeReferenceNode:function(e,n,t){return e.typeName!==n||e.typeArguments!==t?Lo(Se(n,t),e):e},createFunctionTypeNode:Te,updateFunctionTypeNode:function(e,n,t,r){return e.typeParameters!==n||e.parameters!==t||e.type!==r?function(e,n){e!==n&&(e.modifiers=n.modifiers);return T(e,n)}(Te(n,t,r),e):e},createConstructorTypeNode:xe,updateConstructorTypeNode:function(...e){return 5===e.length?Re(...e):4===e.length?function(e,n,t,r){return Re(e,e.modifiers,n,t,r)}(...e):Tt.fail("Incorrect number of arguments specified.")},createTypeQueryNode:Ie,updateTypeQueryNode:function(e,n,t){return e.exprName!==n||e.typeArguments!==t?Lo(Ie(n,t),e):e},createTypeLiteralNode:Ne,updateTypeLiteralNode:function(e,n){return e.members!==n?Lo(Ne(n),e):e},createArrayTypeNode:De,updateArrayTypeNode:function(e,n){return e.elementType!==n?Lo(De(n),e):e},createTupleTypeNode:Ce,updateTupleTypeNode:function(e,n){return e.elements!==n?Lo(Ce(n),e):e},createNamedTupleMember:Me,updateNamedTupleMember:function(e,n,t,r,o){return e.dotDotDotToken!==n||e.name!==t||e.questionToken!==r||e.type!==o?Lo(Me(n,t,r,o),e):e},createOptionalTypeNode:Pe,updateOptionalTypeNode:function(e,n){return e.type!==n?Lo(Pe(n),e):e},createRestTypeNode:ke,updateRestTypeNode:function(e,n){return e.type!==n?Lo(ke(n),e):e},createUnionTypeNode:function(e){return Oe(192,e,r().parenthesizeConstituentTypesOfUnionType)},updateUnionTypeNode:function(e,n){return Fe(e,n,r().parenthesizeConstituentTypesOfUnionType)},createIntersectionTypeNode:function(e){return Oe(193,e,r().parenthesizeConstituentTypesOfIntersectionType)},updateIntersectionTypeNode:function(e,n){return Fe(e,n,r().parenthesizeConstituentTypesOfIntersectionType)},createConditionalTypeNode:We,updateConditionalTypeNode:function(e,n,t,r,o){return e.checkType!==n||e.extendsType!==t||e.trueType!==r||e.falseType!==o?Lo(We(n,t,r,o),e):e},createInferTypeNode:ze,updateInferTypeNode:function(e,n){return e.typeParameter!==n?Lo(ze(n),e):e},createImportTypeNode:Ve,updateImportTypeNode:function(e,n,t,r,o,i=e.isTypeOf){return e.argument!==n||e.attributes!==t||e.qualifier!==r||e.typeArguments!==o||e.isTypeOf!==i?Lo(Ve(n,t,r,o,i),e):e},createParenthesizedType:Ue,updateParenthesizedType:function(e,n){return e.type!==n?Lo(Ue(n),e):e},createThisTypeNode:function(){const e=b(197);return e.transformFlags=1,e},createTypeOperatorNode:He,updateTypeOperatorNode:function(e,n){return e.type!==n?Lo(He(e.operator,n),e):e},createIndexedAccessTypeNode:Ke,updateIndexedAccessTypeNode:function(e,n,t){return e.objectType!==n||e.indexType!==t?Lo(Ke(n,t),e):e},createMappedTypeNode:qe,updateMappedTypeNode:function(e,n,t,r,o,i,a){return e.readonlyToken!==n||e.typeParameter!==t||e.nameType!==r||e.questionToken!==o||e.type!==i||e.members!==a?Lo(qe(n,t,r,o,i,a),e):e},createLiteralTypeNode:Je,updateLiteralTypeNode:function(e,n){return e.literal!==n?Lo(Je(n),e):e},createTemplateLiteralType:Ge,updateTemplateLiteralType:function(e,n,t){return e.head!==n||e.templateSpans!==t?Lo(Ge(n,t),e):e},createObjectBindingPattern:Xe,updateObjectBindingPattern:function(e,n){return e.elements!==n?Lo(Xe(n),e):e},createArrayBindingPattern:Ye,updateArrayBindingPattern:function(e,n){return e.elements!==n?Lo(Ye(n),e):e},createBindingElement:$e,updateBindingElement:function(e,n,t,r,o){return e.propertyName!==t||e.dotDotDotToken!==n||e.name!==r||e.initializer!==o?Lo($e(n,t,r,o),e):e},createArrayLiteralExpression:Qe,updateArrayLiteralExpression:function(e,n){return e.elements!==n?Lo(Qe(n,e.multiLine),e):e},createObjectLiteralExpression:Ze,updateObjectLiteralExpression:function(e,n){return e.properties!==n?Lo(Ze(n,e.multiLine),e):e},createPropertyAccessExpression:4&e?(e,n)=>fR(nn(e,n),262144):nn,updatePropertyAccessExpression:function(e,n,t){if(Pc(e))return rn(e,n,e.questionDotToken,gn(t,tN));return e.expression!==n||e.name!==t?Lo(nn(n,t),e):e},createPropertyAccessChain:4&e?(e,n,t)=>fR(tn(e,n,t),262144):tn,updatePropertyAccessChain:rn,createElementAccessExpression:an,updateElementAccessExpression:function(e,n,t){if(Lc(e))return ln(e,n,e.questionDotToken,t);return e.expression!==n||e.argumentExpression!==t?Lo(an(n,t),e):e},createElementAccessChain:sn,updateElementAccessChain:ln,createCallExpression:dn,updateCallExpression:function(e,n,t,r){if(kc(e))return fn(e,n,e.questionDotToken,t,r);return e.expression!==n||e.typeArguments!==t||e.arguments!==r?Lo(dn(n,t,r),e):e},createCallChain:un,updateCallChain:fn,createNewExpression:mn,updateNewExpression:function(e,n,t,r){return e.expression!==n||e.typeArguments!==t||e.arguments!==r?Lo(mn(n,t,r),e):e},createTaggedTemplateExpression:_n,updateTaggedTemplateExpression:function(e,n,t,r){return e.tag!==n||e.typeArguments!==t||e.template!==r?Lo(_n(n,t,r),e):e},createTypeAssertion:hn,updateTypeAssertion:yn,createParenthesizedExpression:vn,updateParenthesizedExpression:En,createFunctionExpression:Tn,updateFunctionExpression:xn,createArrowFunction:An,updateArrowFunction:Nn,createDeleteExpression:Dn,updateDeleteExpression:function(e,n){return e.expression!==n?Lo(Dn(n),e):e},createTypeOfExpression:Cn,updateTypeOfExpression:function(e,n){return e.expression!==n?Lo(Cn(n),e):e},createVoidExpression:Mn,updateVoidExpression:function(e,n){return e.expression!==n?Lo(Mn(n),e):e},createAwaitExpression:Pn,updateAwaitExpression:function(e,n){return e.expression!==n?Lo(Pn(n),e):e},createPrefixUnaryExpression:Ln,updatePrefixUnaryExpression:function(e,n){return e.operand!==n?Lo(Ln(e.operator,n),e):e},createPostfixUnaryExpression:kn,updatePostfixUnaryExpression:function(e,n){return e.operand!==n?Lo(kn(n,e.operator),e):e},createBinaryExpression:wn,updateBinaryExpression:function(e,n,t,r){return e.left!==n||e.operatorToken!==t||e.right!==r?Lo(wn(n,t,r),e):e},createConditionalExpression:Fn,updateConditionalExpression:function(e,n,t,r,o,i){return e.condition!==n||e.questionToken!==t||e.whenTrue!==r||e.colonToken!==o||e.whenFalse!==i?Lo(Fn(n,t,r,o,i),e):e},createTemplateExpression:Wn,updateTemplateExpression:function(e,n,t){return e.head!==n||e.templateSpans!==t?Lo(Wn(n,t),e):e},createTemplateHead:function(e,n,t){return jn(16,e=zn(16,e,n,t),n,t)},createTemplateMiddle:function(e,n,t){return jn(17,e=zn(16,e,n,t),n,t)},createTemplateTail:function(e,n,t){return jn(18,e=zn(16,e,n,t),n,t)},createNoSubstitutionTemplateLiteral:function(e,n,t){return Bn(15,e=zn(16,e,n,t),n,t)},createTemplateLiteralLikeNode:jn,createYieldExpression:Vn,updateYieldExpression:function(e,n,t){return e.expression!==t||e.asteriskToken!==n?Lo(Vn(n,t),e):e},createSpreadElement:Un,updateSpreadElement:function(e,n){return e.expression!==n?Lo(Un(n),e):e},createClassExpression:Hn,updateClassExpression:Kn,createOmittedExpression:function(){return b(232)},createExpressionWithTypeArguments:qn,updateExpressionWithTypeArguments:function(e,n,t){return e.expression!==n||e.typeArguments!==t?Lo(qn(n,t),e):e},createAsExpression:Jn,updateAsExpression:Xn,createNonNullExpression:Yn,updateNonNullExpression:$n,createSatisfiesExpression:Qn,updateSatisfiesExpression:Zn,createNonNullChain:et,updateNonNullChain:nt,createMetaProperty:tt,updateMetaProperty:function(e,n){return e.name!==n?Lo(tt(e.keywordToken,n),e):e},createTemplateSpan:rt,updateTemplateSpan:function(e,n,t){return e.expression!==n||e.literal!==t?Lo(rt(n,t),e):e},createSemicolonClassElement:function(){const e=b(240);return e.transformFlags|=1024,e},createBlock:ot,updateBlock:function(e,n){return e.statements!==n?Lo(ot(n,e.multiLine),e):e},createVariableStatement:it,updateVariableStatement:at,createEmptyStatement:lt,createExpressionStatement:ct,updateExpressionStatement:function(e,n){return e.expression!==n?Lo(ct(n),e):e},createIfStatement:dt,updateIfStatement:function(e,n,t,r){return e.expression!==n||e.thenStatement!==t||e.elseStatement!==r?Lo(dt(n,t,r),e):e},createDoStatement:ut,updateDoStatement:function(e,n,t){return e.statement!==n||e.expression!==t?Lo(ut(n,t),e):e},createWhileStatement:pt,updateWhileStatement:function(e,n,t){return e.expression!==n||e.statement!==t?Lo(pt(n,t),e):e},createForStatement:ft,updateForStatement:function(e,n,t,r,o){return e.initializer!==n||e.condition!==t||e.incrementor!==r||e.statement!==o?Lo(ft(n,t,r,o),e):e},createForInStatement:mt,updateForInStatement:function(e,n,t,r){return e.initializer!==n||e.expression!==t||e.statement!==r?Lo(mt(n,t,r),e):e},createForOfStatement:_t,updateForOfStatement:function(e,n,t,r,o){return e.awaitModifier!==n||e.initializer!==t||e.expression!==r||e.statement!==o?Lo(_t(n,t,r,o),e):e},createContinueStatement:ht,updateContinueStatement:function(e,n){return e.label!==n?Lo(ht(n),e):e},createBreakStatement:gt,updateBreakStatement:function(e,n){return e.label!==n?Lo(gt(n),e):e},createReturnStatement:yt,updateReturnStatement:function(e,n){return e.expression!==n?Lo(yt(n),e):e},createWithStatement:vt,updateWithStatement:function(e,n,t){return e.expression!==n||e.statement!==t?Lo(vt(n,t),e):e},createSwitchStatement:bt,updateSwitchStatement:function(e,n,t){return e.expression!==n||e.caseBlock!==t?Lo(bt(n,t),e):e},createLabeledStatement:Et,updateLabeledStatement:St,createThrowStatement:xt,updateThrowStatement:function(e,n){return e.expression!==n?Lo(xt(n),e):e},createTryStatement:At,updateTryStatement:function(e,n,t,r){return e.tryBlock!==n||e.catchClause!==t||e.finallyBlock!==r?Lo(At(n,t,r),e):e},createDebuggerStatement:function(){const e=b(259);return e.jsDoc=void 0,e.flowNode=void 0,e},createVariableDeclaration:Rt,updateVariableDeclaration:function(e,n,t,r,o){return e.name!==n||e.type!==r||e.exclamationToken!==t||e.initializer!==o?Lo(Rt(n,t,r,o),e):e},createVariableDeclarationList:It,updateVariableDeclarationList:function(e,n){return e.declarations!==n?Lo(It(n,e.flags),e):e},createFunctionDeclaration:Nt,updateFunctionDeclaration:Dt,createClassDeclaration:Ct,updateClassDeclaration:Mt,createInterfaceDeclaration:Pt,updateInterfaceDeclaration:Lt,createTypeAliasDeclaration:kt,updateTypeAliasDeclaration:wt,createEnumDeclaration:Ot,updateEnumDeclaration:Ft,createModuleDeclaration:Wt,updateModuleDeclaration:zt,createModuleBlock:Gt,updateModuleBlock:function(e,n){return e.statements!==n?Lo(Gt(n),e):e},createCaseBlock:Bt,updateCaseBlock:function(e,n){return e.clauses!==n?Lo(Bt(n),e):e},createNamespaceExportDeclaration:jt,updateNamespaceExportDeclaration:function(e,n){return e.name!==n?function(e,n){e!==n&&(e.modifiers=n.modifiers);return Lo(e,n)}(jt(n),e):e},createImportEqualsDeclaration:Vt,updateImportEqualsDeclaration:Ut,createImportDeclaration:Ht,updateImportDeclaration:Kt,createImportClause:qt,updateImportClause:function(e,n,t,r){return e.isTypeOnly!==n||e.name!==t||e.namedBindings!==r?Lo(qt(n,t,r),e):e},createAssertClause:Jt,updateAssertClause:function(e,n,t){return e.elements!==n||e.multiLine!==t?Lo(Jt(n,t),e):e},createAssertEntry:Xt,updateAssertEntry:function(e,n,t){return e.name!==n||e.value!==t?Lo(Xt(n,t),e):e},createImportTypeAssertionContainer:Yt,updateImportTypeAssertionContainer:function(e,n,t){return e.assertClause!==n||e.multiLine!==t?Lo(Yt(n,t),e):e},createImportAttributes:$t,updateImportAttributes:function(e,n,t){return e.elements!==n||e.multiLine!==t?Lo($t(n,t,e.token),e):e},createImportAttribute:Qt,updateImportAttribute:function(e,n,t){return e.name!==n||e.value!==t?Lo(Qt(n,t),e):e},createNamespaceImport:Zt,updateNamespaceImport:function(e,n){return e.name!==n?Lo(Zt(n),e):e},createNamespaceExport:er,updateNamespaceExport:function(e,n){return e.name!==n?Lo(er(n),e):e},createNamedImports:nr,updateNamedImports:function(e,n){return e.elements!==n?Lo(nr(n),e):e},createImportSpecifier:tr,updateImportSpecifier:function(e,n,t,r){return e.isTypeOnly!==n||e.propertyName!==t||e.name!==r?Lo(tr(n,t,r),e):e},createExportAssignment:rr,updateExportAssignment:or,createExportDeclaration:ir,updateExportDeclaration:ar,createNamedExports:sr,updateNamedExports:function(e,n){return e.elements!==n?Lo(sr(n),e):e},createExportSpecifier:lr,updateExportSpecifier:function(e,n,t,r){return e.isTypeOnly!==n||e.propertyName!==t||e.name!==r?Lo(lr(n,t,r),e):e},createMissingDeclaration:function(){const e=S(282);return e.jsDoc=void 0,e},createExternalModuleReference:cr,updateExternalModuleReference:function(e,n){return e.expression!==n?Lo(cr(n),e):e},get createJSDocAllType(){return c(319)},get createJSDocUnknownType(){return c(320)},get createJSDocNonNullableType(){return p(322)},get updateJSDocNonNullableType(){return f(322)},get createJSDocNullableType(){return p(321)},get updateJSDocNullableType(){return f(321)},get createJSDocOptionalType(){return d(323)},get updateJSDocOptionalType(){return u(323)},get createJSDocVariadicType(){return d(325)},get updateJSDocVariadicType(){return u(325)},get createJSDocNamepathType(){return d(326)},get updateJSDocNamepathType(){return u(326)},createJSDocFunctionType:pr,updateJSDocFunctionType:function(e,n,t){return e.parameters!==n||e.type!==t?Lo(pr(n,t),e):e},createJSDocTypeLiteral:fr,updateJSDocTypeLiteral:function(e,n,t){return e.jsDocPropertyTags!==n||e.isArrayType!==t?Lo(fr(n,t),e):e},createJSDocTypeExpression:mr,updateJSDocTypeExpression:function(e,n){return e.type!==n?Lo(mr(n),e):e},createJSDocSignature:_r,updateJSDocSignature:function(e,n,t,r){return e.typeParameters!==n||e.parameters!==t||e.type!==r?Lo(_r(n,t,r),e):e},createJSDocTemplateTag:vr,updateJSDocTemplateTag:function(e,n=hr(e),t,r,o){return e.tagName!==n||e.constraint!==t||e.typeParameters!==r||e.comment!==o?Lo(vr(n,t,r,o),e):e},createJSDocTypedefTag:br,updateJSDocTypedefTag:function(e,n=hr(e),t,r,o){return e.tagName!==n||e.typeExpression!==t||e.fullName!==r||e.comment!==o?Lo(br(n,t,r,o),e):e},createJSDocParameterTag:Er,updateJSDocParameterTag:function(e,n=hr(e),t,r,o,i,a){return e.tagName!==n||e.name!==t||e.isBracketed!==r||e.typeExpression!==o||e.isNameFirst!==i||e.comment!==a?Lo(Er(n,t,r,o,i,a),e):e},createJSDocPropertyTag:Sr,updateJSDocPropertyTag:function(e,n=hr(e),t,r,o,i,a){return e.tagName!==n||e.name!==t||e.isBracketed!==r||e.typeExpression!==o||e.isNameFirst!==i||e.comment!==a?Lo(Sr(n,t,r,o,i,a),e):e},createJSDocCallbackTag:Tr,updateJSDocCallbackTag:function(e,n=hr(e),t,r,o){return e.tagName!==n||e.typeExpression!==t||e.fullName!==r||e.comment!==o?Lo(Tr(n,t,r,o),e):e},createJSDocOverloadTag:xr,updateJSDocOverloadTag:function(e,n=hr(e),t,r){return e.tagName!==n||e.typeExpression!==t||e.comment!==r?Lo(xr(n,t,r),e):e},createJSDocAugmentsTag:Ar,updateJSDocAugmentsTag:function(e,n=hr(e),t,r){return e.tagName!==n||e.class!==t||e.comment!==r?Lo(Ar(n,t,r),e):e},createJSDocImplementsTag:Rr,updateJSDocImplementsTag:function(e,n=hr(e),t,r){return e.tagName!==n||e.class!==t||e.comment!==r?Lo(Rr(n,t,r),e):e},createJSDocSeeTag:Ir,updateJSDocSeeTag:function(e,n,t,r){return e.tagName!==n||e.name!==t||e.comment!==r?Lo(Ir(n,t,r),e):e},createJSDocNameReference:Nr,updateJSDocNameReference:function(e,n){return e.name!==n?Lo(Nr(n),e):e},createJSDocMemberName:Dr,updateJSDocMemberName:function(e,n,t){return e.left!==n||e.right!==t?Lo(Dr(n,t),e):e},createJSDocLink:Cr,updateJSDocLink:function(e,n,t){return e.name!==n?Lo(Cr(n,t),e):e},createJSDocLinkCode:Mr,updateJSDocLinkCode:function(e,n,t){return e.name!==n?Lo(Mr(n,t),e):e},createJSDocLinkPlain:Pr,updateJSDocLinkPlain:function(e,n,t){return e.name!==n?Lo(Pr(n,t),e):e},get createJSDocTypeTag(){return h(351)},get updateJSDocTypeTag(){return g(351)},get createJSDocReturnTag(){return h(349)},get updateJSDocReturnTag(){return g(349)},get createJSDocThisTag(){return h(350)},get updateJSDocThisTag(){return g(350)},get createJSDocAuthorTag(){return m(337)},get updateJSDocAuthorTag(){return _(337)},get createJSDocClassTag(){return m(339)},get updateJSDocClassTag(){return _(339)},get createJSDocPublicTag(){return m(340)},get updateJSDocPublicTag(){return _(340)},get createJSDocPrivateTag(){return m(341)},get updateJSDocPrivateTag(){return _(341)},get createJSDocProtectedTag(){return m(342)},get updateJSDocProtectedTag(){return _(342)},get createJSDocReadonlyTag(){return m(343)},get updateJSDocReadonlyTag(){return _(343)},get createJSDocOverrideTag(){return m(344)},get updateJSDocOverrideTag(){return _(344)},get createJSDocDeprecatedTag(){return m(338)},get updateJSDocDeprecatedTag(){return _(338)},get createJSDocThrowsTag(){return h(356)},get updateJSDocThrowsTag(){return g(356)},get createJSDocSatisfiesTag(){return h(357)},get updateJSDocSatisfiesTag(){return g(357)},createJSDocEnumTag:Or,updateJSDocEnumTag:function(e,n=hr(e),t,r){return e.tagName!==n||e.typeExpression!==t||e.comment!==r?Lo(Or(n,t,r),e):e},createJSDocUnknownTag:wr,updateJSDocUnknownTag:function(e,n,t){return e.tagName!==n||e.comment!==t?Lo(wr(n,t),e):e},createJSDocText:Fr,updateJSDocText:function(e,n){return e.text!==n?Lo(Fr(n),e):e},createJSDocComment:Wr,updateJSDocComment:function(e,n,t){return e.comment!==n||e.tags!==t?Lo(Wr(n,t),e):e},createJsxElement:zr,updateJsxElement:function(e,n,t,r){return e.openingElement!==n||e.children!==t||e.closingElement!==r?Lo(zr(n,t,r),e):e},createJsxSelfClosingElement:Gr,updateJsxSelfClosingElement:function(e,n,t,r){return e.tagName!==n||e.typeArguments!==t||e.attributes!==r?Lo(Gr(n,t,r),e):e},createJsxOpeningElement:Br,updateJsxOpeningElement:function(e,n,t,r){return e.tagName!==n||e.typeArguments!==t||e.attributes!==r?Lo(Br(n,t,r),e):e},createJsxClosingElement:jr,updateJsxClosingElement:function(e,n){return e.tagName!==n?Lo(jr(n),e):e},createJsxFragment:Vr,createJsxText:Ur,updateJsxText:function(e,n,t){return e.text!==n||e.containsOnlyTriviaWhiteSpaces!==t?Lo(Ur(n,t),e):e},createJsxOpeningFragment:function(){const e=b(289);return e.transformFlags|=2,e},createJsxJsxClosingFragment:function(){const e=b(290);return e.transformFlags|=2,e},updateJsxFragment:function(e,n,t,r){return e.openingFragment!==n||e.children!==t||e.closingFragment!==r?Lo(Vr(n,t,r),e):e},createJsxAttribute:Hr,updateJsxAttribute:function(e,n,t){return e.name!==n||e.initializer!==t?Lo(Hr(n,t),e):e},createJsxAttributes:Kr,updateJsxAttributes:function(e,n){return e.properties!==n?Lo(Kr(n),e):e},createJsxSpreadAttribute:qr,updateJsxSpreadAttribute:function(e,n){return e.expression!==n?Lo(qr(n),e):e},createJsxExpression:Jr,updateJsxExpression:function(e,n){return e.expression!==n?Lo(Jr(e.dotDotDotToken,n),e):e},createJsxNamespacedName:Xr,updateJsxNamespacedName:function(e,n,t){return e.namespace!==n||e.name!==t?Lo(Xr(n,t),e):e},createCaseClause:Yr,updateCaseClause:function(e,n,t){return e.expression!==n||e.statements!==t?Lo(Yr(n,t),e):e},createDefaultClause:$r,updateDefaultClause:function(e,n){return e.statements!==n?Lo($r(n),e):e},createHeritageClause:Qr,updateHeritageClause:function(e,n){return e.types!==n?Lo(Qr(e.token,n),e):e},createCatchClause:Zr,updateCatchClause:function(e,n,t){return e.variableDeclaration!==n||e.block!==t?Lo(Zr(n,t),e):e},createPropertyAssignment:eo,updatePropertyAssignment:no,createShorthandPropertyAssignment:to,updateShorthandPropertyAssignment:function(e,n,t){return e.name!==n||e.objectAssignmentInitializer!==t?function(e,n){e!==n&&(e.modifiers=n.modifiers,e.questionToken=n.questionToken,e.exclamationToken=n.exclamationToken,e.equalsToken=n.equalsToken);return Lo(e,n)}(to(n,t),e):e},createSpreadAssignment:ro,updateSpreadAssignment:function(e,n){return e.expression!==n?Lo(ro(n),e):e},createEnumMember:oo,updateEnumMember:function(e,n,t){return e.name!==n||e.initializer!==t?Lo(oo(n,t),e):e},createSourceFile:function(e,t,r){const o=n.createBaseSourceFileNode(312);return o.statements=v(e),o.endOfFileToken=t,o.flags|=r,o.text="",o.fileName="",o.path="",o.resolvedPath="",o.originalFileName="",o.languageVersion=0,o.languageVariant=0,o.scriptKind=0,o.isDeclarationFile=!1,o.hasNoDefaultLib=!1,o.transformFlags|=ZA(o.statements)|QA(o.endOfFileToken),o.locals=void 0,o.nextContainer=void 0,o.endFlowNode=void 0,o.nodeCount=0,o.identifierCount=0,o.symbolCount=0,o.parseDiagnostics=void 0,o.bindDiagnostics=void 0,o.bindSuggestionDiagnostics=void 0,o.lineMap=void 0,o.externalModuleIndicator=void 0,o.setExternalModuleIndicator=void 0,o.pragmas=void 0,o.checkJsDirective=void 0,o.referencedFiles=void 0,o.typeReferenceDirectives=void 0,o.libReferenceDirectives=void 0,o.amdDependencies=void 0,o.commentDirectives=void 0,o.identifiers=void 0,o.packageJsonLocations=void 0,o.packageJsonScope=void 0,o.imports=void 0,o.moduleAugmentations=void 0,o.ambientModuleNames=void 0,o.classifiableNames=void 0,o.impliedNodeFormat=void 0,o},updateSourceFile:function(e,n,t=e.isDeclarationFile,r=e.referencedFiles,o=e.typeReferenceDirectives,i=e.hasNoDefaultLib,a=e.libReferenceDirectives){return e.statements!==n||e.isDeclarationFile!==t||e.referencedFiles!==r||e.typeReferenceDirectives!==o||e.hasNoDefaultLib!==i||e.libReferenceDirectives!==a?Lo(function(e,n,t,r,o,i,a){const s=ao(e);return s.statements=v(n),s.isDeclarationFile=t,s.referencedFiles=r,s.typeReferenceDirectives=o,s.hasNoDefaultLib=i,s.libReferenceDirectives=a,s.transformFlags=ZA(s.statements)|QA(s.endOfFileToken),s}(e,n,t,r,o,i,a),e):e},createRedirectedSourceFile:io,createBundle:so,updateBundle:function(e,n,t=o){return e.sourceFiles!==n||e.prepends!==t?Lo(so(n,t),e):e},createUnparsedSource:function(e,n,t){const r=b(314);return r.prologues=e,r.syntheticReferences=n,r.texts=t,r.fileName="",r.text="",r.referencedFiles=o,r.libReferenceDirectives=o,r.getLineAndCharacterOfPosition=e=>_s(r,e),r},createUnparsedPrologue:function(e){return lo(307,e)},createUnparsedPrepend:function(e,n){const t=lo(308,e);return t.texts=n,t},createUnparsedTextLike:function(e,n){return lo(n?310:309,e)},createUnparsedSyntheticReference:function(e){const n=b(311);return n.data=e.data,n.section=e,n},createInputFiles:function(){const e=b(315);return e.javascriptText="",e.declarationText="",e},createSyntheticExpression:function(e,n=!1,t){const r=b(237);return r.type=e,r.isSpread=n,r.tupleNameSource=t,r},createSyntaxList:function(e){const n=b(358);return n._children=e,n},createNotEmittedStatement:function(e){const n=b(359);return n.original=e,yL(n,e),n},createPartiallyEmittedExpression:co,updatePartiallyEmittedExpression:uo,createCommaListExpression:fo,updateCommaListExpression:function(e,n){return e.elements!==n?Lo(fo(n),e):e},createSyntheticReferenceExpression:mo,updateSyntheticReferenceExpression:function(e,n,t){return e.expression!==n||e.thisArg!==t?Lo(mo(n,t),e):e},cloneNode:_o,get createComma(){return a(28)},get createAssignment(){return a(64)},get createLogicalOr(){return a(57)},get createLogicalAnd(){return a(56)},get createBitwiseOr(){return a(52)},get createBitwiseXor(){return a(53)},get createBitwiseAnd(){return a(51)},get createStrictEquality(){return a(37)},get createStrictInequality(){return a(38)},get createEquality(){return a(35)},get createInequality(){return a(36)},get createLessThan(){return a(30)},get createLessThanEquals(){return a(33)},get createGreaterThan(){return a(32)},get createGreaterThanEquals(){return a(34)},get createLeftShift(){return a(48)},get createRightShift(){return a(49)},get createUnsignedRightShift(){return a(50)},get createAdd(){return a(40)},get createSubtract(){return a(41)},get createMultiply(){return a(42)},get createDivide(){return a(44)},get createModulo(){return a(45)},get createExponent(){return a(43)},get createPrefixPlus(){return s(40)},get createPrefixMinus(){return s(41)},get createPrefixIncrement(){return s(46)},get createPrefixDecrement(){return s(47)},get createBitwiseNot(){return s(55)},get createLogicalNot(){return s(54)},get createPostfixIncrement(){return l(46)},get createPostfixDecrement(){return l(47)},createImmediatelyInvokedFunctionExpression:function(e,n,t){return dn(Tn(void 0,void 0,void 0,void 0,n?[n]:[],void 0,ot(e,!0)),void 0,t?[t]:[])},createImmediatelyInvokedArrowFunction:function(e,n,t){return dn(An(void 0,void 0,n?[n]:[],void 0,void 0,ot(e,!0)),void 0,t?[t]:[])},createVoidZero:ho,createExportDefault:function(e){return rr(void 0,!1,e)},createExternalModuleExport:function(e){return ir(void 0,!1,sr([lr(!1,void 0,e)]))},createTypeCheck:function(e,n){return"null"===n?y.createStrictEquality(e,G()):"undefined"===n?y.createStrictEquality(e,ho()):y.createStrictEquality(Cn(e),I(n))},createIsNotTypeCheck:function(e,n){return"null"===n?y.createStrictInequality(e,G()):"undefined"===n?y.createStrictInequality(e,ho()):y.createStrictInequality(Cn(e),I(n))},createMethodCall:go,createGlobalMethodCall:yo,createFunctionBindCall:function(e,n,t){return go(e,"bind",[n,...t])},createFunctionCallCall:function(e,n,t){return go(e,"call",[n,...t])},createFunctionApplyCall:function(e,n,t){return go(e,"apply",[n,t])},createArraySliceCall:function(e,n){return go(e,"slice",void 0===n?[]:[Co(n)])},createArrayConcatCall:function(e,n){return go(e,"concat",n)},createObjectDefinePropertyCall:function(e,n,t){return yo("Object","defineProperty",[e,Co(n),t])},createObjectGetOwnPropertyDescriptorCall:function(e,n){return yo("Object","getOwnPropertyDescriptor",[e,Co(n)])},createReflectGetCall:function(e,n,t){return yo("Reflect","get",t?[e,n,t]:[e,n])},createReflectSetCall:function(e,n,t,r){return yo("Reflect","set",r?[e,n,t,r]:[e,n,t])},createPropertyDescriptor:function(e,n){const t=[];vo(t,"enumerable",Co(e.enumerable)),vo(t,"configurable",Co(e.configurable));let r=vo(t,"writable",Co(e.writable));r=vo(t,"value",e.value)||r;let o=vo(t,"get",e.get);return o=vo(t,"set",e.set)||o,Tt.assert(!(r&&o),"A PropertyDescriptor may not be both an accessor descriptor and a data descriptor."),Ze(t,!n)},createCallBinding:function(e,n,t,o=!1){const i=EP(e,15);let a,s;Rh(i)?(a=z(),s=i):mN(i)?(a=z(),s=void 0!==t&&t<2?yL(P("_super"),i):i):8192&Im(i)?(a=ho(),s=r().parenthesizeLeftSideOfAccess(i,!1)):lD(i)?bo(i.expression,o)?(a=L(n),s=nn(yL(y.createAssignment(a,i.expression),i.expression),i.name),yL(s,i)):(a=i.expression,s=i):cD(i)?bo(i.expression,o)?(a=L(n),s=an(yL(y.createAssignment(a,i.expression),i.expression),i.argumentExpression),yL(s,i)):(a=i.expression,s=i):(a=ho(),s=r().parenthesizeLeftSideOfAccess(e,!1));return{target:s,thisArg:a}},createAssignmentTargetWrapper:function(e,n){return nn(vn(Ze([fe(void 0,"value",[Y(void 0,void 0,e,void 0,void 0,void 0)],ot([ct(n)]))])),"value")},inlineExpressions:function(e){return e.length>10?fo(e):Be(e,y.createComma)},getInternalName:function(e,n,t){return Eo(e,n,t,98304)},getLocalName:function(e,n,t,r){return Eo(e,n,t,32768,r)},getExportName:So,getDeclarationName:function(e,n,t){return Eo(e,n,t)},getNamespaceMemberName:To,getExternalModuleOrNamespaceExportName:function(e,n,t,r){if(e&&Bb(n,32))return To(e,Eo(n),t,r);return So(n,t,r)},restoreOuterExpressions:function e(n,t,r=15){if(n&&bP(n,r)&&(o=n,!(mD(o)&&Sv(o)&&Sv(gR(o))&&Sv(TR(o)))||oe(AR(o))||oe(NR(o))))return function(e,n){switch(e.kind){case 217:return En(e,n);case 216:return yn(e,e.type,n);case 234:return Xn(e,n,e.type);case 238:return Zn(e,n,e.type);case 235:return $n(e,n);case 360:return uo(e,n)}}(n,e(n.expression,t));var o;return t},restoreEnclosingLabel:function e(n,t,r){if(!t)return n;const o=St(t,t.label,nC(t.statement)?e(n,t.statement):n);r&&r(t);return o},createUseStrictPrologue:xo,copyPrologue:function(e,n,t,r){const o=Ao(e,n,0,t);return Ro(e,n,o,r)},copyStandardPrologue:Ao,copyCustomPrologue:Ro,ensureUseStrict:function(e){if(!mP(e))return yL(v([xo(),...e]),e);return e},liftToBlock:function(e){return Tt.assert(N(e,Ou),"Cannot lift nodes to a Block."),we(e)||ot(e)},mergeLexicalEnvironment:function(e,n){if(!oe(n))return e;const t=Io(e,w_,0),r=Io(e,F_,t),o=Io(e,z_,r),i=Io(n,w_,0),a=Io(n,F_,i),s=Io(n,z_,a),l=Io(n,O_,s);Tt.assert(l===n.length,"Expected declarations to be valid standard or custom prologues");const c=Qc(e)?e.slice():e;l>s&&c.splice(o,0,...n.slice(s,l));s>a&&c.splice(r,0,...n.slice(a,s));a>i&&c.splice(t,0,...n.slice(i,a));if(i>0)if(0===t)c.splice(0,0,...n.slice(0,i));else{const r=new Map;for(let n=0;n<t;n++){const t=e[n];r.set(t.expression.text,!0)}for(let e=i-1;e>=0;e--){const t=n[e];r.has(t.expression.text)||c.unshift(t)}}if(Qc(e))return yL(v(c,e.hasTrailingComma),e);return e},replaceModifiers:function(e,n){let t;t="number"==typeof n?U(n):n;return vN(e)?X(e,t,e.name,e.constraint,e.default):bN(e)?$(e,t,e.dotDotDotToken,e.name,e.questionToken,e.type,e.initializer):ON(e)?Re(e,t,e.typeParameters,e.parameters,e.type):SN(e)?ee(e,t,e.name,e.questionToken,e.type):TN(e)?te(e,t,e.name,e.questionToken??e.exclamationToken,e.type,e.initializer):xN(e)?ie(e,t,e.name,e.questionToken,e.typeParameters,e.parameters,e.type):AN(e)?se(e,t,e.asteriskToken,e.name,e.questionToken,e.typeParameters,e.parameters,e.type,e.body):IN(e)?de(e,t,e.parameters,e.body):NN(e)?pe(e,t,e.name,e.parameters,e.type,e.body):DN(e)?me(e,t,e.name,e.parameters,e.body):PN(e)?ve(e,t,e.parameters,e.type):_D(e)?xn(e,t,e.asteriskToken,e.name,e.typeParameters,e.parameters,e.type,e.body):hD(e)?Nn(e,t,e.typeParameters,e.parameters,e.type,e.equalsGreaterThanToken,e.body):ND(e)?Kn(e,t,e.name,e.typeParameters,e.heritageClauses,e.members):BD(e)?at(e,t,e.declarationList):sC(e)?Dt(e,t,e.asteriskToken,e.name,e.typeParameters,e.parameters,e.type,e.body):lC(e)?Mt(e,t,e.name,e.typeParameters,e.heritageClauses,e.members):cC(e)?Lt(e,t,e.name,e.typeParameters,e.heritageClauses,e.members):dC(e)?wt(e,t,e.name,e.typeParameters,e.type):uC(e)?Ft(e,t,e.name,e.members):pC(e)?zt(e,t,e.name,e.body):hC(e)?Ut(e,t,e.isTypeOnly,e.name,e.moduleReference):gC(e)?Kt(e,t,e.importClause,e.moduleSpecifier,e.attributes):NC(e)?or(e,t,e.expression):DC(e)?ar(e,t,e.isTypeOnly,e.exportClause,e.moduleSpecifier,e.attributes):Tt.assertNever(e)},replaceDecoratorsAndModifiers:function(e,n){return bN(e)?$(e,n,e.dotDotDotToken,e.name,e.questionToken,e.type,e.initializer):TN(e)?te(e,n,e.name,e.questionToken??e.exclamationToken,e.type,e.initializer):AN(e)?se(e,n,e.asteriskToken,e.name,e.questionToken,e.typeParameters,e.parameters,e.type,e.body):NN(e)?pe(e,n,e.name,e.parameters,e.type,e.body):DN(e)?me(e,n,e.name,e.parameters,e.body):ND(e)?Kn(e,n,e.name,e.typeParameters,e.heritageClauses,e.members):lC(e)?Mt(e,n,e.name,e.typeParameters,e.heritageClauses,e.members):Tt.assertNever(e)},replacePropertyName:function(e,n){switch(e.kind){case 177:return pe(e,e.modifiers,n,e.parameters,e.type,e.body);case 178:return me(e,e.modifiers,n,e.parameters,e.body);case 174:return se(e,e.modifiers,e.asteriskToken,n,e.questionToken,e.typeParameters,e.parameters,e.type,e.body);case 173:return ie(e,e.modifiers,n,e.questionToken,e.typeParameters,e.parameters,e.type);case 172:return te(e,e.modifiers,n,e.questionToken??e.exclamationToken,e.type,e.initializer);case 171:return ee(e,e.modifiers,n,e.questionToken,e.type);case 303:return no(e,n,e.initializer)}}};return E(GA,(e=>e(y))),y;function v(e,n){if(void 0===e||e===o)e=[];else if(Qc(e)){if(void 0===n||e.hasTrailingComma===n)return void 0===e.transformFlags&&eR(e),Tt.attachNodeArrayDebugInfo(e),e;const t=e.slice();return t.pos=e.pos,t.end=e.end,t.hasTrailingComma=n,t.transformFlags=e.transformFlags,Tt.attachNodeArrayDebugInfo(t),t}const t=e.length,r=t>=1&&t<=4?e.slice():e;return r.pos=-1,r.end=-1,r.hasTrailingComma=!!n,r.transformFlags=0,eR(r),Tt.attachNodeArrayDebugInfo(r),r}function b(e){return n.createBaseNode(e)}function S(e){const n=b(e);return n.symbol=void 0,n.localSymbol=void 0,n}function T(e,n){return e!==n&&(e.typeArguments=n.typeArguments),Lo(e,n)}function x(e,n=0){const t="number"==typeof e?e+"":e;Tt.assert(45!==t.charCodeAt(0),"Negative numbers should be created in combination with createPrefixUnaryExpression");const r=S(9);return r.text=t,r.numericLiteralFlags=n,384&n&&(r.transformFlags|=1024),r}function A(e){const n=F(10);return n.text="string"==typeof e?e:Mx(e)+"n",n.transformFlags|=32,n}function R(e,n){const t=S(11);return t.text=e,t.singleQuote=n,t}function I(e,n,t){const r=R(e,n);return r.hasExtendedUnicodeEscape=t,t&&(r.transformFlags|=1024),r}function D(e){const n=F(14);return n.text=e,n}function C(e){const t=n.createBaseIdentifierNode(80);return t.escapedText=e,t.jsDoc=void 0,t.flowNode=void 0,t.symbol=void 0,t}function M(e,n,t,r){const o=C(Ml(e));return KR(o,{flags:n,id:WA,prefix:t,suffix:r}),WA++,o}function P(e,n,t){void 0===n&&e&&(n=ss(e)),80===n&&(n=void 0);const r=C(Ml(e));return t&&(r.flags|=256),"await"===r.escapedText&&(r.transformFlags|=67108864),256&r.flags&&(r.transformFlags|=1024),r}function L(e,n,t,r){let o=1;n&&(o|=8);const i=M("",o,t,r);return e&&e(i),i}function k(e,n=0,t,r){Tt.assert(!(7&n),"Argument out of range: flags");(t||r)&&(n|=16);const o=M(e?Cc(e)?cL(!1,t,e,r,Ll):`generated@${Hz(e)}`:"",4|n,t,r);return o.original=e,o}function w(e){const t=n.createBasePrivateIdentifierNode(81);return t.escapedText=e,t.transformFlags|=16777216,t}function O(e,n,t,r){const o=w(Ml(e));return KR(o,{flags:n,id:WA,prefix:t,suffix:r}),WA++,o}function F(e){return n.createBaseTokenNode(e)}function W(e){Tt.assert(e>=0&&e<=165,"Invalid token"),Tt.assert(e<=15||e>=18,"Invalid token. Use 'createTemplateLiteralLikeNode' to create template literals."),Tt.assert(e<=9||e>=15,"Invalid token. Use 'createLiteralLikeNode' to create literals."),Tt.assert(80!==e,"Invalid token. Use 'createIdentifier' to create identifiers");const n=F(e);let t=0;switch(e){case 134:t=384;break;case 160:t=4;break;case 125:case 123:case 124:case 148:case 128:case 138:case 87:case 133:case 150:case 163:case 146:case 151:case 103:case 147:case 164:case 154:case 136:case 155:case 116:case 159:case 157:t=1;break;case 108:t=134218752,n.flowNode=void 0;break;case 126:t=1024;break;case 129:t=16777216;break;case 110:t=16384,n.flowNode=void 0}return t&&(n.transformFlags|=t),n}function z(){return W(110)}function G(){return W(106)}function B(){return W(112)}function j(){return W(97)}function V(e){return W(e)}function U(e){const n=[];return 32&e&&n.push(V(95)),128&e&&n.push(V(138)),2048&e&&n.push(V(90)),4096&e&&n.push(V(87)),1&e&&n.push(V(125)),2&e&&n.push(V(123)),4&e&&n.push(V(124)),64&e&&n.push(V(128)),256&e&&n.push(V(126)),16&e&&n.push(V(164)),8&e&&n.push(V(148)),512&e&&n.push(V(129)),1024&e&&n.push(V(134)),8192&e&&n.push(V(103)),16384&e&&n.push(V(147)),n.length?n:void 0}function H(e,n){const t=b(166);return t.left=e,t.right=Do(n),t.transformFlags|=QA(t.left)|$A(t.right),t.flowNode=void 0,t}function K(e){const n=b(167);return n.expression=r().parenthesizeExpressionOfComputedPropertyName(e),n.transformFlags|=132096|QA(n.expression),n}function q(e,n,t,r){const o=S(168);return o.modifiers=No(e),o.name=Do(n),o.constraint=t,o.default=r,o.transformFlags=1,o.expression=void 0,o.jsDoc=void 0,o}function X(e,n,t,r,o){return e.modifiers!==n||e.name!==t||e.constraint!==r||e.default!==o?Lo(q(n,t,r,o),e):e}function Y(e,n,t,r,o,i){const a=S(169);return a.modifiers=No(e),a.dotDotDotToken=n,a.name=Do(t),a.questionToken=r,a.type=o,a.initializer=Mo(i),bb(a.name)?a.transformFlags=1:a.transformFlags=ZA(a.modifiers)|QA(a.dotDotDotToken)|YA(a.name)|QA(a.questionToken)|QA(a.initializer)|(a.questionToken??a.type?1:0)|(a.dotDotDotToken??a.initializer?1024:0)|(31&aE(a.modifiers)?8192:0),a.jsDoc=void 0,a}function $(e,n,t,r,o,i,a){return e.modifiers!==n||e.dotDotDotToken!==t||e.name!==r||e.questionToken!==o||e.type!==i||e.initializer!==a?Lo(Y(n,t,r,o,i,a),e):e}function Q(e){const n=b(170);return n.expression=r().parenthesizeLeftSideOfAccess(e,!1),n.transformFlags|=33562625|QA(n.expression),n}function Z(e,n,t,r){const o=S(171);return o.modifiers=No(e),o.name=Do(n),o.type=r,o.questionToken=t,o.transformFlags=1,o.initializer=void 0,o.jsDoc=void 0,o}function ee(e,n,t,r,o){return e.modifiers!==n||e.name!==t||e.questionToken!==r||e.type!==o?function(e,n){e!==n&&(e.initializer=n.initializer);return Lo(e,n)}(Z(n,t,r,o),e):e}function ne(e,n,t,r,o){const i=S(172);i.modifiers=No(e),i.name=Do(n),i.questionToken=t&&QI(t)?t:void 0,i.exclamationToken=t&&$I(t)?t:void 0,i.type=r,i.initializer=Mo(o);const a=33554432&i.flags||128&aE(i.modifiers);return i.transformFlags=ZA(i.modifiers)|YA(i.name)|QA(i.initializer)|(a||i.questionToken||i.exclamationToken||i.type?1:0)|(yN(i.name)||256&aE(i.modifiers)&&i.initializer?8192:0)|16777216,i.jsDoc=void 0,i}function te(e,n,t,r,o,i){return e.modifiers!==n||e.name!==t||e.questionToken!==(void 0!==r&&QI(r)?r:void 0)||e.exclamationToken!==(void 0!==r&&$I(r)?r:void 0)||e.type!==o||e.initializer!==i?Lo(ne(n,t,r,o,i),e):e}function re(e,n,t,r,o,i){const a=S(173);return a.modifiers=No(e),a.name=Do(n),a.questionToken=t,a.typeParameters=No(r),a.parameters=No(o),a.type=i,a.transformFlags=1,a.jsDoc=void 0,a.locals=void 0,a.nextContainer=void 0,a.typeArguments=void 0,a}function ie(e,n,t,r,o,i,a){return e.modifiers!==n||e.name!==t||e.questionToken!==r||e.typeParameters!==o||e.parameters!==i||e.type!==a?T(re(n,t,r,o,i,a),e):e}function ae(e,n,t,r,o,i,a,s){const l=S(174);if(l.modifiers=No(e),l.asteriskToken=n,l.name=Do(t),l.questionToken=r,l.exclamationToken=void 0,l.typeParameters=No(o),l.parameters=v(i),l.type=a,l.body=s,l.body){const e=1024&aE(l.modifiers),n=!!l.asteriskToken,t=e&&n;l.transformFlags=ZA(l.modifiers)|QA(l.asteriskToken)|YA(l.name)|QA(l.questionToken)|ZA(l.typeParameters)|ZA(l.parameters)|QA(l.type)|-67108865&QA(l.body)|(t?128:e?256:n?2048:0)|(l.questionToken||l.typeParameters||l.type?1:0)|1024}else l.transformFlags=1;return l.typeArguments=void 0,l.jsDoc=void 0,l.locals=void 0,l.nextContainer=void 0,l.flowNode=void 0,l.endFlowNode=void 0,l.returnFlowNode=void 0,l}function se(e,n,t,r,o,i,a,s,l){return e.modifiers!==n||e.asteriskToken!==t||e.name!==r||e.questionToken!==o||e.typeParameters!==i||e.parameters!==a||e.type!==s||e.body!==l?function(e,n){e!==n&&(e.exclamationToken=n.exclamationToken);return Lo(e,n)}(ae(n,t,r,o,i,a,s,l),e):e}function le(e){const n=S(175);return n.body=e,n.transformFlags=16777216|QA(e),n.modifiers=void 0,n.jsDoc=void 0,n.locals=void 0,n.nextContainer=void 0,n.endFlowNode=void 0,n.returnFlowNode=void 0,n}function ce(e,n,t){const r=S(176);return r.modifiers=No(e),r.parameters=v(n),r.body=t,r.transformFlags=ZA(r.modifiers)|ZA(r.parameters)|-67108865&QA(r.body)|1024,r.typeParameters=void 0,r.type=void 0,r.typeArguments=void 0,r.jsDoc=void 0,r.locals=void 0,r.nextContainer=void 0,r.endFlowNode=void 0,r.returnFlowNode=void 0,r}function de(e,n,t,r){return e.modifiers!==n||e.parameters!==t||e.body!==r?function(e,n){e!==n&&(e.typeParameters=n.typeParameters,e.type=n.type);return T(e,n)}(ce(n,t,r),e):e}function ue(e,n,t,r,o){const i=S(177);return i.modifiers=No(e),i.name=Do(n),i.parameters=v(t),i.type=r,i.body=o,i.body?i.transformFlags=ZA(i.modifiers)|YA(i.name)|ZA(i.parameters)|QA(i.type)|-67108865&QA(i.body)|(i.type?1:0):i.transformFlags=1,i.typeArguments=void 0,i.typeParameters=void 0,i.jsDoc=void 0,i.locals=void 0,i.nextContainer=void 0,i.flowNode=void 0,i.endFlowNode=void 0,i.returnFlowNode=void 0,i}function pe(e,n,t,r,o,i){return e.modifiers!==n||e.name!==t||e.parameters!==r||e.type!==o||e.body!==i?function(e,n){e!==n&&(e.typeParameters=n.typeParameters);return T(e,n)}(ue(n,t,r,o,i),e):e}function fe(e,n,t,r){const o=S(178);return o.modifiers=No(e),o.name=Do(n),o.parameters=v(t),o.body=r,o.body?o.transformFlags=ZA(o.modifiers)|YA(o.name)|ZA(o.parameters)|-67108865&QA(o.body)|(o.type?1:0):o.transformFlags=1,o.typeArguments=void 0,o.typeParameters=void 0,o.type=void 0,o.jsDoc=void 0,o.locals=void 0,o.nextContainer=void 0,o.flowNode=void 0,o.endFlowNode=void 0,o.returnFlowNode=void 0,o}function me(e,n,t,r,o){return e.modifiers!==n||e.name!==t||e.parameters!==r||e.body!==o?function(e,n){e!==n&&(e.typeParameters=n.typeParameters,e.type=n.type);return T(e,n)}(fe(n,t,r,o),e):e}function _e(e,n,t){const r=S(179);return r.typeParameters=No(e),r.parameters=No(n),r.type=t,r.transformFlags=1,r.jsDoc=void 0,r.locals=void 0,r.nextContainer=void 0,r.typeArguments=void 0,r}function he(e,n,t){const r=S(180);return r.typeParameters=No(e),r.parameters=No(n),r.type=t,r.transformFlags=1,r.jsDoc=void 0,r.locals=void 0,r.nextContainer=void 0,r.typeArguments=void 0,r}function ge(e,n,t){const r=S(181);return r.modifiers=No(e),r.parameters=No(n),r.type=t,r.transformFlags=1,r.jsDoc=void 0,r.locals=void 0,r.nextContainer=void 0,r.typeArguments=void 0,r}function ve(e,n,t,r){return e.parameters!==t||e.type!==r||e.modifiers!==n?T(ge(n,t,r),e):e}function be(e,n){const t=b(204);return t.type=e,t.literal=n,t.transformFlags=1,t}function Ee(e,n,t){const r=b(182);return r.assertsModifier=e,r.parameterName=Do(n),r.type=t,r.transformFlags=1,r}function Se(e,n){const t=b(183);return t.typeName=Do(e),t.typeArguments=n&&r().parenthesizeTypeArguments(v(n)),t.transformFlags=1,t}function Te(e,n,t){const r=S(184);return r.typeParameters=No(e),r.parameters=No(n),r.type=t,r.transformFlags=1,r.modifiers=void 0,r.jsDoc=void 0,r.locals=void 0,r.nextContainer=void 0,r.typeArguments=void 0,r}function xe(...e){return 4===e.length?Ae(...e):3===e.length?function(e,n,t){return Ae(void 0,e,n,t)}(...e):Tt.fail("Incorrect number of arguments specified.")}function Ae(e,n,t,r){const o=S(185);return o.modifiers=No(e),o.typeParameters=No(n),o.parameters=No(t),o.type=r,o.transformFlags=1,o.jsDoc=void 0,o.locals=void 0,o.nextContainer=void 0,o.typeArguments=void 0,o}function Re(e,n,t,r,o){return e.modifiers!==n||e.typeParameters!==t||e.parameters!==r||e.type!==o?T(xe(n,t,r,o),e):e}function Ie(e,n){const t=b(186);return t.exprName=e,t.typeArguments=n&&r().parenthesizeTypeArguments(n),t.transformFlags=1,t}function Ne(e){const n=S(187);return n.members=v(e),n.transformFlags=1,n}function De(e){const n=b(188);return n.elementType=r().parenthesizeNonArrayTypeOfPostfixType(e),n.transformFlags=1,n}function Ce(e){const n=b(189);return n.elements=v(r().parenthesizeElementTypesOfTupleType(e)),n.transformFlags=1,n}function Me(e,n,t,r){const o=S(202);return o.dotDotDotToken=e,o.name=n,o.questionToken=t,o.type=r,o.transformFlags=1,o.jsDoc=void 0,o}function Pe(e){const n=b(190);return n.type=r().parenthesizeTypeOfOptionalType(e),n.transformFlags=1,n}function ke(e){const n=b(191);return n.type=e,n.transformFlags=1,n}function Oe(e,n,t){const r=b(e);return r.types=y.createNodeArray(t(n)),r.transformFlags=1,r}function Fe(e,n,t){return e.types!==n?Lo(Oe(e.kind,n,t),e):e}function We(e,n,t,o){const i=b(194);return i.checkType=r().parenthesizeCheckTypeOfConditionalType(e),i.extendsType=r().parenthesizeExtendsTypeOfConditionalType(n),i.trueType=t,i.falseType=o,i.transformFlags=1,i.locals=void 0,i.nextContainer=void 0,i}function ze(e){const n=b(195);return n.typeParameter=e,n.transformFlags=1,n}function Ge(e,n){const t=b(203);return t.head=e,t.templateSpans=v(n),t.transformFlags=1,t}function Ve(e,n,t,o,i=!1){const a=b(205);return a.argument=e,a.attributes=n,a.assertions&&a.assertions.assertClause&&a.attributes&&(a.assertions.assertClause=a.attributes),a.qualifier=t,a.typeArguments=o&&r().parenthesizeTypeArguments(o),a.isTypeOf=i,a.transformFlags=1,a}function Ue(e){const n=b(196);return n.type=e,n.transformFlags=1,n}function He(e,n){const t=b(198);return t.operator=e,t.type=148===e?r().parenthesizeOperandOfReadonlyTypeOperator(n):r().parenthesizeOperandOfTypeOperator(n),t.transformFlags=1,t}function Ke(e,n){const t=b(199);return t.objectType=r().parenthesizeNonArrayTypeOfPostfixType(e),t.indexType=n,t.transformFlags=1,t}function qe(e,n,t,r,o,i){const a=S(200);return a.readonlyToken=e,a.typeParameter=n,a.nameType=t,a.questionToken=r,a.type=o,a.members=i&&v(i),a.transformFlags=1,a.locals=void 0,a.nextContainer=void 0,a}function Je(e){const n=b(201);return n.literal=e,n.transformFlags=1,n}function Xe(e){const n=b(206);return n.elements=v(e),n.transformFlags|=525312|ZA(n.elements),32768&n.transformFlags&&(n.transformFlags|=65664),n}function Ye(e){const n=b(207);return n.elements=v(e),n.transformFlags|=525312|ZA(n.elements),n}function $e(e,n,t,r){const o=S(208);return o.dotDotDotToken=e,o.propertyName=Do(n),o.name=Do(t),o.initializer=Mo(r),o.transformFlags|=QA(o.dotDotDotToken)|YA(o.propertyName)|YA(o.name)|QA(o.initializer)|(o.dotDotDotToken?32768:0)|1024,o.flowNode=void 0,o}function Qe(e,n){const t=b(209),o=e&&Le(e),i=v(e,!(!o||!DD(o))||void 0);return t.elements=r().parenthesizeExpressionsOfCommaDelimitedList(i),t.multiLine=n,t.transformFlags|=ZA(t.elements),t}function Ze(e,n){const t=S(210);return t.properties=v(e),t.multiLine=n,t.transformFlags|=ZA(t.properties),t.jsDoc=void 0,t}function en(e,n,t){const r=S(211);return r.expression=e,r.questionDotToken=n,r.name=t,r.transformFlags=QA(r.expression)|QA(r.questionDotToken)|(tN(r.name)?$A(r.name):536870912|QA(r.name)),r.jsDoc=void 0,r.flowNode=void 0,r}function nn(e,n){const t=en(r().parenthesizeLeftSideOfAccess(e,!1),void 0,Do(n));return mN(e)&&(t.transformFlags|=384),t}function tn(e,n,t){const o=en(r().parenthesizeLeftSideOfAccess(e,!0),n,Do(t));return o.flags|=64,o.transformFlags|=32,o}function rn(e,n,t,r){return Tt.assert(!!(64&e.flags),"Cannot update a PropertyAccessExpression using updatePropertyAccessChain. Use updatePropertyAccess instead."),e.expression!==n||e.questionDotToken!==t||e.name!==r?Lo(tn(n,t,r),e):e}function on(e,n,t){const r=S(212);return r.expression=e,r.questionDotToken=n,r.argumentExpression=t,r.transformFlags|=QA(r.expression)|QA(r.questionDotToken)|QA(r.argumentExpression),r.jsDoc=void 0,r.flowNode=void 0,r}function an(e,n){const t=on(r().parenthesizeLeftSideOfAccess(e,!1),void 0,Co(n));return mN(e)&&(t.transformFlags|=384),t}function sn(e,n,t){const o=on(r().parenthesizeLeftSideOfAccess(e,!0),n,Co(t));return o.flags|=64,o.transformFlags|=32,o}function ln(e,n,t,r){return Tt.assert(!!(64&e.flags),"Cannot update a ElementAccessExpression using updateElementAccessChain. Use updateElementAccess instead."),e.expression!==n||e.questionDotToken!==t||e.argumentExpression!==r?Lo(sn(n,t,r),e):e}function cn(e,n,t,r){const o=S(213);return o.expression=e,o.questionDotToken=n,o.typeArguments=t,o.arguments=r,o.transformFlags|=QA(o.expression)|QA(o.questionDotToken)|ZA(o.typeArguments)|ZA(o.arguments),o.typeArguments&&(o.transformFlags|=1),Rh(o.expression)&&(o.transformFlags|=16384),o}function dn(e,n,t){const o=cn(r().parenthesizeLeftSideOfAccess(e,!1),void 0,No(n),r().parenthesizeExpressionsOfCommaDelimitedList(v(t)));return _N(o.expression)&&(o.transformFlags|=8388608),o}function un(e,n,t,o){const i=cn(r().parenthesizeLeftSideOfAccess(e,!0),n,No(t),r().parenthesizeExpressionsOfCommaDelimitedList(v(o)));return i.flags|=64,i.transformFlags|=32,i}function fn(e,n,t,r,o){return Tt.assert(!!(64&e.flags),"Cannot update a CallExpression using updateCallChain. Use updateCall instead."),e.expression!==n||e.questionDotToken!==t||e.typeArguments!==r||e.arguments!==o?Lo(un(n,t,r,o),e):e}function mn(e,n,t){const o=S(214);return o.expression=r().parenthesizeExpressionOfNew(e),o.typeArguments=No(n),o.arguments=t?r().parenthesizeExpressionsOfCommaDelimitedList(t):void 0,o.transformFlags|=QA(o.expression)|ZA(o.typeArguments)|ZA(o.arguments)|32,o.typeArguments&&(o.transformFlags|=1),o}function _n(e,n,t){const o=b(215);return o.tag=r().parenthesizeLeftSideOfAccess(e,!1),o.typeArguments=No(n),o.template=t,o.transformFlags|=QA(o.tag)|ZA(o.typeArguments)|QA(o.template)|1024,o.typeArguments&&(o.transformFlags|=1),kv(o.template)&&(o.transformFlags|=128),o}function hn(e,n){const t=b(216);return t.expression=r().parenthesizeOperandOfPrefixUnary(n),t.type=e,t.transformFlags|=QA(t.expression)|QA(t.type)|1,t}function yn(e,n,t){return e.type!==n||e.expression!==t?Lo(hn(n,t),e):e}function vn(e){const n=b(217);return n.expression=e,n.transformFlags=QA(n.expression),n.jsDoc=void 0,n}function En(e,n){return e.expression!==n?Lo(vn(n),e):e}function Tn(e,n,t,r,o,i,a){const s=S(218);s.modifiers=No(e),s.asteriskToken=n,s.name=Do(t),s.typeParameters=No(r),s.parameters=v(o),s.type=i,s.body=a;const l=1024&aE(s.modifiers),c=!!s.asteriskToken,d=l&&c;return s.transformFlags=ZA(s.modifiers)|QA(s.asteriskToken)|YA(s.name)|ZA(s.typeParameters)|ZA(s.parameters)|QA(s.type)|-67108865&QA(s.body)|(d?128:l?256:c?2048:0)|(s.typeParameters||s.type?1:0)|4194304,s.typeArguments=void 0,s.jsDoc=void 0,s.locals=void 0,s.nextContainer=void 0,s.flowNode=void 0,s.endFlowNode=void 0,s.returnFlowNode=void 0,s}function xn(e,n,t,r,o,i,a,s){return e.name!==r||e.modifiers!==n||e.asteriskToken!==t||e.typeParameters!==o||e.parameters!==i||e.type!==a||e.body!==s?T(Tn(n,t,r,o,i,a,s),e):e}function An(e,n,t,o,i,a){const s=S(219);s.modifiers=No(e),s.typeParameters=No(n),s.parameters=v(t),s.type=o,s.equalsGreaterThanToken=i??W(39),s.body=r().parenthesizeConciseBodyOfArrowFunction(a);const l=1024&aE(s.modifiers);return s.transformFlags=ZA(s.modifiers)|ZA(s.typeParameters)|ZA(s.parameters)|QA(s.type)|QA(s.equalsGreaterThanToken)|-67108865&QA(s.body)|(s.typeParameters||s.type?1:0)|(l?16640:0)|1024,s.typeArguments=void 0,s.jsDoc=void 0,s.locals=void 0,s.nextContainer=void 0,s.flowNode=void 0,s.endFlowNode=void 0,s.returnFlowNode=void 0,s}function Nn(e,n,t,r,o,i,a){return e.modifiers!==n||e.typeParameters!==t||e.parameters!==r||e.type!==o||e.equalsGreaterThanToken!==i||e.body!==a?T(An(n,t,r,o,i,a),e):e}function Dn(e){const n=b(220);return n.expression=r().parenthesizeOperandOfPrefixUnary(e),n.transformFlags|=QA(n.expression),n}function Cn(e){const n=b(221);return n.expression=r().parenthesizeOperandOfPrefixUnary(e),n.transformFlags|=QA(n.expression),n}function Mn(e){const n=b(222);return n.expression=r().parenthesizeOperandOfPrefixUnary(e),n.transformFlags|=QA(n.expression),n}function Pn(e){const n=b(223);return n.expression=r().parenthesizeOperandOfPrefixUnary(e),n.transformFlags|=2097536|QA(n.expression),n}function Ln(e,n){const t=b(224);return t.operator=e,t.operand=r().parenthesizeOperandOfPrefixUnary(n),t.transformFlags|=QA(t.operand),46!==e&&47!==e||!tN(t.operand)||ud(t.operand)||uP(t.operand)||(t.transformFlags|=268435456),t}function kn(e,n){const t=b(225);return t.operator=n,t.operand=r().parenthesizeOperandOfPostfixUnary(e),t.transformFlags|=QA(t.operand),!tN(t.operand)||ud(t.operand)||uP(t.operand)||(t.transformFlags|=268435456),t}function wn(e,n,t){const o=S(226),i="number"==typeof(a=n)?W(a):a;var a;const s=i.kind;return o.left=r().parenthesizeLeftSideOfBinary(s,e),o.operatorToken=i,o.right=r().parenthesizeRightSideOfBinary(s,o.left,t),o.transformFlags|=QA(o.left)|QA(o.operatorToken)|QA(o.right),61===s?o.transformFlags|=32:64===s?sD(o.left)?o.transformFlags|=5248|On(o.left):aD(o.left)&&(o.transformFlags|=5120|On(o.left)):43===s||68===s?o.transformFlags|=512:dE(s)&&(o.transformFlags|=16),103===s&&rN(o.left)&&(o.transformFlags|=536870912),o.jsDoc=void 0,o}function On(e){return hL(e)?65536:0}function Fn(e,n,t,o,i){const a=b(227);return a.condition=r().parenthesizeConditionOfConditionalExpression(e),a.questionToken=n??W(58),a.whenTrue=r().parenthesizeBranchOfConditionalExpression(t),a.colonToken=o??W(59),a.whenFalse=r().parenthesizeBranchOfConditionalExpression(i),a.transformFlags|=QA(a.condition)|QA(a.questionToken)|QA(a.whenTrue)|QA(a.colonToken)|QA(a.whenFalse),a}function Wn(e,n){const t=b(228);return t.head=e,t.templateSpans=v(n),t.transformFlags|=QA(t.head)|ZA(t.templateSpans)|1024,t}function zn(e,n,t,r=0){let o;if(Tt.assert(!(-7177&r),"Unsupported template flags."),void 0!==t&&t!==n&&(o=function(e,n){BA||(BA=Gs(99,!1,0));switch(e){case 15:BA.setText("`"+n+"`");break;case 16:BA.setText("`"+n+"${");break;case 17:BA.setText("}"+n+"${");break;case 18:BA.setText("}"+n+"`")}let t,r=BA.scan();20===r&&(r=BA.reScanTemplateToken(!1));if(BA.isUnterminated())return BA.setText(void 0),jA;switch(r){case 15:case 16:case 17:case 18:t=BA.getTokenValue()}if(void 0===t||1!==BA.scan())return BA.setText(void 0),jA;return BA.setText(void 0),t}(e,t),"object"==typeof o))return Tt.fail("Invalid raw text");if(void 0===n){if(void 0===o)return Tt.fail("Arguments 'text' and 'rawText' may not both be undefined.");n=o}else void 0!==o&&Tt.assert(n===o,"Expected argument 'text' to be the normalized (i.e. 'cooked') version of argument 'rawText'.");return n}function Gn(e){let n=1024;return e&&(n|=128),n}function Bn(e,n,t,r){const o=S(e);return o.text=n,o.rawText=t,o.templateFlags=7176&r,o.transformFlags=Gn(o.templateFlags),o}function jn(e,n,t,r){return 15===e?Bn(e,n,t,r):function(e,n,t,r){const o=F(e);return o.text=n,o.rawText=t,o.templateFlags=7176&r,o.transformFlags=Gn(o.templateFlags),o}(e,n,t,r)}function Vn(e,n){Tt.assert(!e||!!n,"A `YieldExpression` with an asteriskToken must have an expression.");const t=b(229);return t.expression=n&&r().parenthesizeExpressionForDisallowedComma(n),t.asteriskToken=e,t.transformFlags|=1049728|(QA(t.expression)|QA(t.asteriskToken)),t}function Un(e){const n=b(230);return n.expression=r().parenthesizeExpressionForDisallowedComma(e),n.transformFlags|=33792|QA(n.expression),n}function Hn(e,n,t,r,o){const i=S(231);return i.modifiers=No(e),i.name=Do(n),i.typeParameters=No(t),i.heritageClauses=No(r),i.members=v(o),i.transformFlags|=ZA(i.modifiers)|YA(i.name)|ZA(i.typeParameters)|ZA(i.heritageClauses)|ZA(i.members)|(i.typeParameters?1:0)|1024,i.jsDoc=void 0,i}function Kn(e,n,t,r,o,i){return e.modifiers!==n||e.name!==t||e.typeParameters!==r||e.heritageClauses!==o||e.members!==i?Lo(Hn(n,t,r,o,i),e):e}function qn(e,n){const t=b(233);return t.expression=r().parenthesizeLeftSideOfAccess(e,!1),t.typeArguments=n&&r().parenthesizeTypeArguments(n),t.transformFlags|=QA(t.expression)|ZA(t.typeArguments)|1024,t}function Jn(e,n){const t=b(234);return t.expression=e,t.type=n,t.transformFlags|=QA(t.expression)|QA(t.type)|1,t}function Xn(e,n,t){return e.expression!==n||e.type!==t?Lo(Jn(n,t),e):e}function Yn(e){const n=b(235);return n.expression=r().parenthesizeLeftSideOfAccess(e,!1),n.transformFlags|=1|QA(n.expression),n}function $n(e,n){return jc(e)?nt(e,n):e.expression!==n?Lo(Yn(n),e):e}function Qn(e,n){const t=b(238);return t.expression=e,t.type=n,t.transformFlags|=QA(t.expression)|QA(t.type)|1,t}function Zn(e,n,t){return e.expression!==n||e.type!==t?Lo(Qn(n,t),e):e}function et(e){const n=b(235);return n.flags|=64,n.expression=r().parenthesizeLeftSideOfAccess(e,!0),n.transformFlags|=1|QA(n.expression),n}function nt(e,n){return Tt.assert(!!(64&e.flags),"Cannot update a NonNullExpression using updateNonNullChain. Use updateNonNullExpression instead."),e.expression!==n?Lo(et(n),e):e}function tt(e,n){const t=b(236);switch(t.keywordToken=e,t.name=n,t.transformFlags|=QA(t.name),e){case 105:t.transformFlags|=1024;break;case 102:t.transformFlags|=32;break;default:return Tt.assertNever(e)}return t.flowNode=void 0,t}function rt(e,n){const t=b(239);return t.expression=e,t.literal=n,t.transformFlags|=QA(t.expression)|QA(t.literal)|1024,t}function ot(e,n){const t=b(241);return t.statements=v(e),t.multiLine=n,t.transformFlags|=ZA(t.statements),t.jsDoc=void 0,t.locals=void 0,t.nextContainer=void 0,t}function it(e,n){const t=b(243);return t.modifiers=No(e),t.declarationList=pn(n)?It(n):n,t.transformFlags|=ZA(t.modifiers)|QA(t.declarationList),128&aE(t.modifiers)&&(t.transformFlags=1),t.jsDoc=void 0,t.flowNode=void 0,t}function at(e,n,t){return e.modifiers!==n||e.declarationList!==t?Lo(it(n,t),e):e}function lt(){const e=b(242);return e.jsDoc=void 0,e}function ct(e){const n=b(244);return n.expression=r().parenthesizeExpressionOfExpressionStatement(e),n.transformFlags|=QA(n.expression),n.jsDoc=void 0,n.flowNode=void 0,n}function dt(e,n,t){const r=b(245);return r.expression=e,r.thenStatement=Po(n),r.elseStatement=Po(t),r.transformFlags|=QA(r.expression)|QA(r.thenStatement)|QA(r.elseStatement),r.jsDoc=void 0,r.flowNode=void 0,r}function ut(e,n){const t=b(246);return t.statement=Po(e),t.expression=n,t.transformFlags|=QA(t.statement)|QA(t.expression),t.jsDoc=void 0,t.flowNode=void 0,t}function pt(e,n){const t=b(247);return t.expression=e,t.statement=Po(n),t.transformFlags|=QA(t.expression)|QA(t.statement),t.jsDoc=void 0,t.flowNode=void 0,t}function ft(e,n,t,r){const o=b(248);return o.initializer=e,o.condition=n,o.incrementor=t,o.statement=Po(r),o.transformFlags|=QA(o.initializer)|QA(o.condition)|QA(o.incrementor)|QA(o.statement),o.jsDoc=void 0,o.locals=void 0,o.nextContainer=void 0,o.flowNode=void 0,o}function mt(e,n,t){const r=b(249);return r.initializer=e,r.expression=n,r.statement=Po(t),r.transformFlags|=QA(r.initializer)|QA(r.expression)|QA(r.statement),r.jsDoc=void 0,r.locals=void 0,r.nextContainer=void 0,r.flowNode=void 0,r}function _t(e,n,t,o){const i=b(250);return i.awaitModifier=e,i.initializer=n,i.expression=r().parenthesizeExpressionForDisallowedComma(t),i.statement=Po(o),i.transformFlags|=QA(i.awaitModifier)|QA(i.initializer)|QA(i.expression)|QA(i.statement)|1024,e&&(i.transformFlags|=128),i.jsDoc=void 0,i.locals=void 0,i.nextContainer=void 0,i.flowNode=void 0,i}function ht(e){const n=b(251);return n.label=Do(e),n.transformFlags|=4194304|QA(n.label),n.jsDoc=void 0,n.flowNode=void 0,n}function gt(e){const n=b(252);return n.label=Do(e),n.transformFlags|=4194304|QA(n.label),n.jsDoc=void 0,n.flowNode=void 0,n}function yt(e){const n=b(253);return n.expression=e,n.transformFlags|=4194432|QA(n.expression),n.jsDoc=void 0,n.flowNode=void 0,n}function vt(e,n){const t=b(254);return t.expression=e,t.statement=Po(n),t.transformFlags|=QA(t.expression)|QA(t.statement),t.jsDoc=void 0,t.flowNode=void 0,t}function bt(e,n){const t=b(255);return t.expression=r().parenthesizeExpressionForDisallowedComma(e),t.caseBlock=n,t.transformFlags|=QA(t.expression)|QA(t.caseBlock),t.jsDoc=void 0,t.flowNode=void 0,t.possiblyExhaustive=!1,t}function Et(e,n){const t=b(256);return t.label=Do(e),t.statement=Po(n),t.transformFlags|=QA(t.label)|QA(t.statement),t.jsDoc=void 0,t.flowNode=void 0,t}function St(e,n,t){return e.label!==n||e.statement!==t?Lo(Et(n,t),e):e}function xt(e){const n=b(257);return n.expression=e,n.transformFlags|=QA(n.expression),n.jsDoc=void 0,n.flowNode=void 0,n}function At(e,n,t){const r=b(258);return r.tryBlock=e,r.catchClause=n,r.finallyBlock=t,r.transformFlags|=QA(r.tryBlock)|QA(r.catchClause)|QA(r.finallyBlock),r.jsDoc=void 0,r.flowNode=void 0,r}function Rt(e,n,t,r){const o=S(260);return o.name=Do(e),o.exclamationToken=n,o.type=t,o.initializer=Mo(r),o.transformFlags|=YA(o.name)|QA(o.initializer)|(o.exclamationToken??o.type?1:0),o.jsDoc=void 0,o}function It(e,n=0){const t=b(261);return t.flags|=7&n,t.declarations=v(e),t.transformFlags|=4194304|ZA(t.declarations),7&n&&(t.transformFlags|=263168),4&n&&(t.transformFlags|=4),t}function Nt(e,n,t,r,o,i,a){const s=S(262);if(s.modifiers=No(e),s.asteriskToken=n,s.name=Do(t),s.typeParameters=No(r),s.parameters=v(o),s.type=i,s.body=a,!s.body||128&aE(s.modifiers))s.transformFlags=1;else{const e=1024&aE(s.modifiers),n=!!s.asteriskToken,t=e&&n;s.transformFlags=ZA(s.modifiers)|QA(s.asteriskToken)|YA(s.name)|ZA(s.typeParameters)|ZA(s.parameters)|QA(s.type)|-67108865&QA(s.body)|(t?128:e?256:n?2048:0)|(s.typeParameters||s.type?1:0)|4194304}return s.typeArguments=void 0,s.jsDoc=void 0,s.locals=void 0,s.nextContainer=void 0,s.endFlowNode=void 0,s.returnFlowNode=void 0,s}function Dt(e,n,t,r,o,i,a,s){return e.modifiers!==n||e.asteriskToken!==t||e.name!==r||e.typeParameters!==o||e.parameters!==i||e.type!==a||e.body!==s?function(e,n){e!==n&&e.modifiers===n.modifiers&&(e.modifiers=n.modifiers);return T(e,n)}(Nt(n,t,r,o,i,a,s),e):e}function Ct(e,n,t,r,o){const i=S(263);return i.modifiers=No(e),i.name=Do(n),i.typeParameters=No(t),i.heritageClauses=No(r),i.members=v(o),128&aE(i.modifiers)?i.transformFlags=1:(i.transformFlags|=ZA(i.modifiers)|YA(i.name)|ZA(i.typeParameters)|ZA(i.heritageClauses)|ZA(i.members)|(i.typeParameters?1:0)|1024,8192&i.transformFlags&&(i.transformFlags|=1)),i.jsDoc=void 0,i}function Mt(e,n,t,r,o,i){return e.modifiers!==n||e.name!==t||e.typeParameters!==r||e.heritageClauses!==o||e.members!==i?Lo(Ct(n,t,r,o,i),e):e}function Pt(e,n,t,r,o){const i=S(264);return i.modifiers=No(e),i.name=Do(n),i.typeParameters=No(t),i.heritageClauses=No(r),i.members=v(o),i.transformFlags=1,i.jsDoc=void 0,i}function Lt(e,n,t,r,o,i){return e.modifiers!==n||e.name!==t||e.typeParameters!==r||e.heritageClauses!==o||e.members!==i?Lo(Pt(n,t,r,o,i),e):e}function kt(e,n,t,r){const o=S(265);return o.modifiers=No(e),o.name=Do(n),o.typeParameters=No(t),o.type=r,o.transformFlags=1,o.jsDoc=void 0,o.locals=void 0,o.nextContainer=void 0,o}function wt(e,n,t,r,o){return e.modifiers!==n||e.name!==t||e.typeParameters!==r||e.type!==o?Lo(kt(n,t,r,o),e):e}function Ot(e,n,t){const r=S(266);return r.modifiers=No(e),r.name=Do(n),r.members=v(t),r.transformFlags|=ZA(r.modifiers)|QA(r.name)|ZA(r.members)|1,r.transformFlags&=-67108865,r.jsDoc=void 0,r}function Ft(e,n,t,r){return e.modifiers!==n||e.name!==t||e.members!==r?Lo(Ot(n,t,r),e):e}function Wt(e,n,t,r=0){const o=S(267);return o.modifiers=No(e),o.flags|=2088&r,o.name=n,o.body=t,128&aE(o.modifiers)?o.transformFlags=1:o.transformFlags|=ZA(o.modifiers)|QA(o.name)|QA(o.body)|1,o.transformFlags&=-67108865,o.jsDoc=void 0,o.locals=void 0,o.nextContainer=void 0,o}function zt(e,n,t,r){return e.modifiers!==n||e.name!==t||e.body!==r?Lo(Wt(n,t,r,e.flags),e):e}function Gt(e){const n=b(268);return n.statements=v(e),n.transformFlags|=ZA(n.statements),n.jsDoc=void 0,n}function Bt(e){const n=b(269);return n.clauses=v(e),n.transformFlags|=ZA(n.clauses),n.locals=void 0,n.nextContainer=void 0,n}function jt(e){const n=S(270);return n.name=Do(e),n.transformFlags|=1|$A(n.name),n.modifiers=void 0,n.jsDoc=void 0,n}function Vt(e,n,t,r){const o=S(271);return o.modifiers=No(e),o.name=Do(t),o.isTypeOnly=n,o.moduleReference=r,o.transformFlags|=ZA(o.modifiers)|$A(o.name)|QA(o.moduleReference),wC(o.moduleReference)||(o.transformFlags|=1),o.transformFlags&=-67108865,o.jsDoc=void 0,o}function Ut(e,n,t,r,o){return e.modifiers!==n||e.isTypeOnly!==t||e.name!==r||e.moduleReference!==o?Lo(Vt(n,t,r,o),e):e}function Ht(e,n,t,r){const o=b(272);return o.modifiers=No(e),o.importClause=n,o.moduleSpecifier=t,o.attributes=o.assertClause=r,o.transformFlags|=QA(o.importClause)|QA(o.moduleSpecifier),o.transformFlags&=-67108865,o.jsDoc=void 0,o}function Kt(e,n,t,r,o){return e.modifiers!==n||e.importClause!==t||e.moduleSpecifier!==r||e.attributes!==o?Lo(Ht(n,t,r,o),e):e}function qt(e,n,t){const r=S(273);return r.isTypeOnly=e,r.name=n,r.namedBindings=t,r.transformFlags|=QA(r.name)|QA(r.namedBindings),e&&(r.transformFlags|=1),r.transformFlags&=-67108865,r}function Jt(e,n){const t=b(300);return t.elements=v(e),t.multiLine=n,t.token=132,t.transformFlags|=4,t}function Xt(e,n){const t=b(301);return t.name=e,t.value=n,t.transformFlags|=4,t}function Yt(e,n){const t=b(302);return t.assertClause=e,t.multiLine=n,t}function $t(e,n,t){const r=b(300);return r.token=t??118,r.elements=v(e),r.multiLine=n,r.transformFlags|=4,r}function Qt(e,n){const t=b(301);return t.name=e,t.value=n,t.transformFlags|=4,t}function Zt(e){const n=S(274);return n.name=e,n.transformFlags|=QA(n.name),n.transformFlags&=-67108865,n}function er(e){const n=S(280);return n.name=e,n.transformFlags|=32|QA(n.name),n.transformFlags&=-67108865,n}function nr(e){const n=b(275);return n.elements=v(e),n.transformFlags|=ZA(n.elements),n.transformFlags&=-67108865,n}function tr(e,n,t){const r=S(276);return r.isTypeOnly=e,r.propertyName=n,r.name=t,r.transformFlags|=QA(r.propertyName)|QA(r.name),r.transformFlags&=-67108865,r}function rr(e,n,t){const o=S(277);return o.modifiers=No(e),o.isExportEquals=n,o.expression=n?r().parenthesizeRightSideOfBinary(64,void 0,t):r().parenthesizeExpressionOfExportDefault(t),o.transformFlags|=ZA(o.modifiers)|QA(o.expression),o.transformFlags&=-67108865,o.jsDoc=void 0,o}function or(e,n,t){return e.modifiers!==n||e.expression!==t?Lo(rr(n,e.isExportEquals,t),e):e}function ir(e,n,t,r,o){const i=S(278);return i.modifiers=No(e),i.isTypeOnly=n,i.exportClause=t,i.moduleSpecifier=r,i.attributes=i.assertClause=o,i.transformFlags|=ZA(i.modifiers)|QA(i.exportClause)|QA(i.moduleSpecifier),i.transformFlags&=-67108865,i.jsDoc=void 0,i}function ar(e,n,t,r,o,i){return e.modifiers!==n||e.isTypeOnly!==t||e.exportClause!==r||e.moduleSpecifier!==o||e.attributes!==i?function(e,n){e!==n&&e.modifiers===n.modifiers&&(e.modifiers=n.modifiers);return Lo(e,n)}(ir(n,t,r,o,i),e):e}function sr(e){const n=b(279);return n.elements=v(e),n.transformFlags|=ZA(n.elements),n.transformFlags&=-67108865,n}function lr(e,n,t){const r=b(281);return r.isTypeOnly=e,r.propertyName=Do(n),r.name=Do(t),r.transformFlags|=QA(r.propertyName)|QA(r.name),r.transformFlags&=-67108865,r.jsDoc=void 0,r}function cr(e){const n=b(283);return n.expression=e,n.transformFlags|=QA(n.expression),n.transformFlags&=-67108865,n}function dr(e,n,t=!1){const o=ur(e,t?n&&r().parenthesizeNonArrayTypeOfPostfixType(n):n);return o.postfix=t,o}function ur(e,n){const t=b(e);return t.type=n,t}function pr(e,n){const t=S(324);return t.parameters=No(e),t.type=n,t.transformFlags=ZA(t.parameters)|(t.type?1:0),t.jsDoc=void 0,t.locals=void 0,t.nextContainer=void 0,t.typeArguments=void 0,t}function fr(e,n=!1){const t=S(329);return t.jsDocPropertyTags=No(e),t.isArrayType=n,t}function mr(e){const n=b(316);return n.type=e,n}function _r(e,n,t){const r=S(330);return r.typeParameters=No(e),r.parameters=v(n),r.type=t,r.jsDoc=void 0,r.locals=void 0,r.nextContainer=void 0,r}function hr(e){const n=XA(e.kind);return e.tagName.escapedText===Ml(n)?e.tagName:P(n)}function gr(e,n,t){const r=b(e);return r.tagName=n,r.comment=t,r}function yr(e,n,t){const r=S(e);return r.tagName=n,r.comment=t,r}function vr(e,n,t,r){const o=gr(352,e??P("template"),r);return o.constraint=n,o.typeParameters=v(t),o}function br(e,n,t,r){const o=yr(353,e??P("typedef"),r);return o.typeExpression=n,o.fullName=t,o.name=zP(t),o.locals=void 0,o.nextContainer=void 0,o}function Er(e,n,t,r,o,i){const a=yr(348,e??P("param"),i);return a.typeExpression=r,a.name=n,a.isNameFirst=!!o,a.isBracketed=t,a}function Sr(e,n,t,r,o,i){const a=yr(355,e??P("prop"),i);return a.typeExpression=r,a.name=n,a.isNameFirst=!!o,a.isBracketed=t,a}function Tr(e,n,t,r){const o=yr(345,e??P("callback"),r);return o.typeExpression=n,o.fullName=t,o.name=zP(t),o.locals=void 0,o.nextContainer=void 0,o}function xr(e,n,t){const r=gr(346,e??P("overload"),t);return r.typeExpression=n,r}function Ar(e,n,t){const r=gr(335,e??P("augments"),t);return r.class=n,r}function Rr(e,n,t){const r=gr(336,e??P("implements"),t);return r.class=n,r}function Ir(e,n,t){const r=gr(354,e??P("see"),t);return r.name=n,r}function Nr(e){const n=b(317);return n.name=e,n}function Dr(e,n){const t=b(318);return t.left=e,t.right=n,t.transformFlags|=QA(t.left)|QA(t.right),t}function Cr(e,n){const t=b(331);return t.name=e,t.text=n,t}function Mr(e,n){const t=b(332);return t.name=e,t.text=n,t}function Pr(e,n){const t=b(333);return t.name=e,t.text=n,t}function Lr(e,n,t){return gr(e,n??P(XA(e)),t)}function kr(e,n,t,r){const o=gr(e,n??P(XA(e)),r);return o.typeExpression=t,o}function wr(e,n){return gr(334,e,n)}function Or(e,n,t){const r=yr(347,e??P(XA(347)),t);return r.typeExpression=n,r.locals=void 0,r.nextContainer=void 0,r}function Fr(e){const n=b(328);return n.text=e,n}function Wr(e,n){const t=b(327);return t.comment=e,t.tags=No(n),t}function zr(e,n,t){const r=b(284);return r.openingElement=e,r.children=v(n),r.closingElement=t,r.transformFlags|=QA(r.openingElement)|ZA(r.children)|QA(r.closingElement)|2,r}function Gr(e,n,t){const r=b(285);return r.tagName=e,r.typeArguments=No(n),r.attributes=t,r.transformFlags|=QA(r.tagName)|ZA(r.typeArguments)|QA(r.attributes)|2,r.typeArguments&&(r.transformFlags|=1),r}function Br(e,n,t){const r=b(286);return r.tagName=e,r.typeArguments=No(n),r.attributes=t,r.transformFlags|=QA(r.tagName)|ZA(r.typeArguments)|QA(r.attributes)|2,n&&(r.transformFlags|=1),r}function jr(e){const n=b(287);return n.tagName=e,n.transformFlags|=2|QA(n.tagName),n}function Vr(e,n,t){const r=b(288);return r.openingFragment=e,r.children=v(n),r.closingFragment=t,r.transformFlags|=QA(r.openingFragment)|ZA(r.children)|QA(r.closingFragment)|2,r}function Ur(e,n){const t=b(12);return t.text=e,t.containsOnlyTriviaWhiteSpaces=!!n,t.transformFlags|=2,t}function Hr(e,n){const t=S(291);return t.name=e,t.initializer=n,t.transformFlags|=QA(t.name)|QA(t.initializer)|2,t}function Kr(e){const n=S(292);return n.properties=v(e),n.transformFlags|=2|ZA(n.properties),n}function qr(e){const n=b(293);return n.expression=e,n.transformFlags|=2|QA(n.expression),n}function Jr(e,n){const t=b(294);return t.dotDotDotToken=e,t.expression=n,t.transformFlags|=QA(t.dotDotDotToken)|QA(t.expression)|2,t}function Xr(e,n){const t=b(295);return t.namespace=e,t.name=n,t.transformFlags|=QA(t.namespace)|QA(t.name)|2,t}function Yr(e,n){const t=b(296);return t.expression=r().parenthesizeExpressionForDisallowedComma(e),t.statements=v(n),t.transformFlags|=QA(t.expression)|ZA(t.statements),t.jsDoc=void 0,t}function $r(e){const n=b(297);return n.statements=v(e),n.transformFlags=ZA(n.statements),n}function Qr(e,n){const t=b(298);switch(t.token=e,t.types=v(n),t.transformFlags|=ZA(t.types),e){case 96:t.transformFlags|=1024;break;case 119:t.transformFlags|=1;break;default:return Tt.assertNever(e)}return t}function Zr(e,n){const t=b(299);return t.variableDeclaration=function(e){if("string"==typeof e||e&&!iC(e))return Rt(e,void 0,void 0,void 0);return e}(e),t.block=n,t.transformFlags|=QA(t.variableDeclaration)|QA(t.block)|(e?0:64),t.locals=void 0,t.nextContainer=void 0,t}function eo(e,n){const t=S(303);return t.name=Do(e),t.initializer=r().parenthesizeExpressionForDisallowedComma(n),t.transformFlags|=YA(t.name)|QA(t.initializer),t.modifiers=void 0,t.questionToken=void 0,t.exclamationToken=void 0,t.jsDoc=void 0,t}function no(e,n,t){return e.name!==n||e.initializer!==t?function(e,n){e!==n&&(e.modifiers=n.modifiers,e.questionToken=n.questionToken,e.exclamationToken=n.exclamationToken);return Lo(e,n)}(eo(n,t),e):e}function to(e,n){const t=S(304);return t.name=Do(e),t.objectAssignmentInitializer=n&&r().parenthesizeExpressionForDisallowedComma(n),t.transformFlags|=$A(t.name)|QA(t.objectAssignmentInitializer)|1024,t.equalsToken=void 0,t.modifiers=void 0,t.questionToken=void 0,t.exclamationToken=void 0,t.jsDoc=void 0,t}function ro(e){const n=S(305);return n.expression=r().parenthesizeExpressionForDisallowedComma(e),n.transformFlags|=65664|QA(n.expression),n.jsDoc=void 0,n}function oo(e,n){const t=S(306);return t.name=Do(e),t.initializer=n&&r().parenthesizeExpressionForDisallowedComma(n),t.transformFlags|=QA(t.name)|QA(t.initializer)|1,t.jsDoc=void 0,t}function io(e){const n=Object.create(e.redirectTarget);return Object.defineProperties(n,{id:{get(){return this.redirectInfo.redirectTarget.id},set(e){this.redirectInfo.redirectTarget.id=e}},symbol:{get(){return this.redirectInfo.redirectTarget.symbol},set(e){this.redirectInfo.redirectTarget.symbol=e}}}),n.redirectInfo=e,n}function ao(e){const r=e.redirectInfo?function(e){const n=io(e.redirectInfo);return n.flags|=-17&e.flags,n.fileName=e.fileName,n.path=e.path,n.resolvedPath=e.resolvedPath,n.originalFileName=e.originalFileName,n.packageJsonLocations=e.packageJsonLocations,n.packageJsonScope=e.packageJsonScope,n.emitNode=void 0,n}(e):function(e){const t=n.createBaseSourceFileNode(312);t.flags|=-17&e.flags;for(const n in e)!je(t,n)&&je(e,n)&&("emitNode"!==n?t[n]=e[n]:t.emitNode=void 0);return t}(e);return t(r,e),r}function so(e,n=o){const t=b(313);return t.prepends=n,t.sourceFiles=e,t.syntheticFileReferences=void 0,t.syntheticTypeReferences=void 0,t.syntheticLibReferences=void 0,t.hasNoDefaultLib=void 0,t}function lo(e,n){const t=b(e);return t.data=n,t}function co(e,n){const t=b(360);return t.expression=e,t.original=n,t.transformFlags|=1|QA(t.expression),yL(t,n),t}function uo(e,n){return e.expression!==n?Lo(co(n,e.original),e):e}function po(e){if(Sv(e)&&!Dl(e)&&!e.original&&!e.emitNode&&!e.id){if(FD(e))return e.elements;if(TD(e)&&qI(e.operatorToken))return[e.left,e.right]}return e}function fo(e){const n=b(361);return n.elements=v(J(e,po)),n.transformFlags|=ZA(n.elements),n}function mo(e,n){const t=b(362);return t.expression=e,t.thisArg=n,t.transformFlags|=QA(t.expression)|QA(t.thisArg),t}function _o(e){if(void 0===e)return e;if(rM(e))return ao(e);if(ud(e))return function(e){const n=C(e.escapedText);return n.flags|=-17&e.flags,n.transformFlags=e.transformFlags,t(n,e),KR(n,{...e.emitNode.autoGenerate}),n}(e);if(tN(e))return function(e){const n=C(e.escapedText);n.flags|=-17&e.flags,n.jsDoc=e.jsDoc,n.flowNode=e.flowNode,n.symbol=e.symbol,n.transformFlags=e.transformFlags,t(n,e);const r=HR(e);return r&&UR(n,r),n}(e);if(pd(e))return function(e){const n=w(e.escapedText);return n.flags|=-17&e.flags,n.transformFlags=e.transformFlags,t(n,e),KR(n,{...e.emitNode.autoGenerate}),n}(e);if(rN(e))return function(e){const n=w(e.escapedText);return n.flags|=-17&e.flags,n.transformFlags=e.transformFlags,t(n,e),n}(e);const r=Xc(e.kind)?n.createBaseNode(e.kind):n.createBaseTokenNode(e.kind);r.flags|=-17&e.flags,r.transformFlags=e.transformFlags,t(r,e);for(const n in e)!je(r,n)&&je(e,n)&&(r[n]=e[n]);return r}function ho(){return Mn(x("0"))}function go(e,n,t){return kc(e)?un(tn(e,void 0,n),void 0,void 0,t):dn(nn(e,n),void 0,t)}function yo(e,n,t){return go(P(e),n,t)}function vo(e,n,t){return!!t&&(e.push(eo(n,t)),!0)}function bo(e,n){const t=Ty(e);switch(t.kind){case 80:return n;case 110:case 9:case 10:case 11:return!1;case 209:return 0!==t.elements.length;case 210:return t.properties.length>0;default:return!0}}function Eo(e,n,t,r=0,o){const i=o?e&&Bl(e):jl(e);if(i&&tN(i)&&!ud(i)){const e=Vx(yL(_o(i),i),i.parent);return r|=Im(i),t||(r|=96),n||(r|=3072),r&&fR(e,r),e}return k(e)}function So(e,n,t){return Eo(e,n,t,16384)}function To(e,n,t,r){const o=nn(e,Sv(n)?n:_o(n));yL(o,n);let i=0;return r||(i|=96),t||(i|=3072),i&&fR(o,i),o}function xo(){return xP(ct(I("use strict")))}function Ao(e,n,t=0,r){Tt.assert(0===n.length,"Prologue directives should be at the first statement in the target statements array");let o=!1;const i=e.length;for(;t<i;){const r=e[t];if(!w_(r))break;zI((a=r).expression)&&"use strict"===a.expression.text&&(o=!0),n.push(r),t++}var a;return r&&!o&&n.push(xo()),t}function Ro(e,n,t,r,o=bn){const i=e.length;for(;void 0!==t&&t<i;){const i=e[t];if(!(2097152&Im(i)&&o(i)))break;ye(n,r?rG(i,r,wu):i),t++}return t}function Io(e,n,t){let r=t;for(;r<e.length&&n(e[r]);)r++;return r}function No(e){return e?v(e):void 0}function Do(e){return"string"==typeof e?P(e):e}function Co(e){return"string"==typeof e?I(e):"number"==typeof e?x(e):"boolean"==typeof e?e?B():j():e}function Mo(e){return e&&r().parenthesizeExpressionForDisallowedComma(e)}function Po(e){return e&&LC(e)?yL(t(lt(),e),e):e}function Lo(e,n){return e!==n&&(t(e,n),yL(e,n)),e}}function XA(e){switch(e){case 351:return"type";case 349:return"returns";case 350:return"this";case 347:return"enum";case 337:return"author";case 339:return"class";case 340:return"public";case 341:return"private";case 342:return"protected";case 343:return"readonly";case 344:return"override";case 352:return"template";case 353:return"typedef";case 348:return"param";case 355:return"prop";case 345:return"callback";case 346:return"overload";case 335:return"augments";case 336:return"implements";default:return Tt.fail(`Unsupported kind: ${Tt.formatSyntaxKind(e)}`)}}function YA(e){return e&&tN(e)?$A(e):QA(e)}function $A(e){return-67108865&QA(e)}function QA(e){if(!e)return 0;const n=e.transformFlags&~nR(e.kind);return Gl(e)&&Ed(e.name)?(t=e.name,n|134234112&t.transformFlags):n;var t}function ZA(e){return e?e.transformFlags:0}function eR(e){let n=0;for(const t of e)n|=QA(t);e.transformFlags=n}function nR(e){if(e>=182&&e<=205)return-2;switch(e){case 213:case 214:case 209:case 206:case 207:return-2147450880;case 267:return-1941676032;case 169:case 216:case 238:case 234:case 360:case 217:case 108:case 211:case 212:default:return-2147483648;case 219:return-2072174592;case 218:case 262:return-1937940480;case 261:return-2146893824;case 263:case 231:return-2147344384;case 176:return-1937948672;case 172:return-2013249536;case 174:case 177:case 178:return-2005057536;case 133:case 150:case 163:case 146:case 154:case 151:case 136:case 155:case 116:case 168:case 171:case 173:case 179:case 180:case 181:case 264:case 265:return-2;case 210:return-2147278848;case 299:return-2147418112}}function tR(e){return e.flags|=16,e}function rR(e,n,t){let r,i,a,s,l,c,d,u,p,f;mn(e)?(a="",s=e,l=e.length,c=n,d=t):(Tt.assert("js"===n||"dts"===n),a=("js"===n?e.javascriptPath:e.declarationPath)||"",c="js"===n?e.javascriptMapPath:e.declarationMapPath,u=()=>"js"===n?e.javascriptText:e.declarationText,p=()=>"js"===n?e.javascriptMapText:e.declarationMapText,l=()=>u().length,e.buildInfo&&e.buildInfo.bundle&&(Tt.assert(void 0===t||"boolean"==typeof t),r=t,i="js"===n?e.buildInfo.bundle.js:e.buildInfo.bundle.dts,f=e.oldFileOfCurrentEmit));const m=f?function(e){let n,t;for(const r of e.sections)switch(r.kind){case"internal":case"text":n=ye(n,yL(UA.createUnparsedTextLike(r.data,"internal"===r.kind),r));break;case"no-default-lib":case"reference":case"type":case"type-import":case"type-require":case"lib":t=ye(t,yL(UA.createUnparsedSyntheticReference(r),r));break;case"prologue":case"emitHelpers":case"prepend":break;default:Tt.assertNever(r)}const r=UA.createUnparsedSource(o,t,n??o);return Ux(t,r),Ux(n,r),r.helpers=B(e.sources&&e.sources.helpers,(e=>kI().get(e))),r}(Tt.checkDefined(i)):function(e,n,t){let r,i,a,s,l,c,d,u;for(const t of e?e.sections:o)switch(t.kind){case"prologue":r=ye(r,yL(UA.createUnparsedPrologue(t.data),t));break;case"emitHelpers":i=ye(i,kI().get(t.data));break;case"no-default-lib":u=!0;break;case"reference":a=ye(a,{pos:-1,end:-1,fileName:t.data});break;case"type":s=ye(s,{pos:-1,end:-1,fileName:t.data});break;case"type-import":s=ye(s,{pos:-1,end:-1,fileName:t.data,resolutionMode:99});break;case"type-require":s=ye(s,{pos:-1,end:-1,fileName:t.data,resolutionMode:1});break;case"lib":l=ye(l,{pos:-1,end:-1,fileName:t.data});break;case"prepend":let e;for(const r of t.texts)n&&"internal"===r.kind||(e=ye(e,yL(UA.createUnparsedTextLike(r.data,"internal"===r.kind),r)));c=Ee(c,e),d=ye(d,UA.createUnparsedPrepend(t.data,e??o));break;case"internal":if(n){d||(d=[]);break}case"text":d=ye(d,yL(UA.createUnparsedTextLike(t.data,"internal"===t.kind),t));break;default:Tt.assertNever(t)}if(!d){const e=UA.createUnparsedTextLike(void 0,!1);Bx(e,0,"function"==typeof t?t():t),d=[e]}const p=IL.createUnparsedSource(r??o,void 0,d);return Ux(r,p),Ux(d,p),Ux(c,p),p.hasNoDefaultLib=u,p.helpers=i,p.referencedFiles=a||o,p.typeReferenceDirectives=s,p.libReferenceDirectives=l||o,p}(i,r,l);return m.fileName=a,m.sourceMapPath=c,m.oldFileOfCurrentEmit=f,u&&p?(Object.defineProperty(m,"text",{get:u}),Object.defineProperty(m,"sourceMapText",{get:p})):(Tt.assert(!f),m.text=s??"",m.sourceMapText=d),m}function oR(e,n,t,r,o,i){return mn(e)?aR(void 0,e,t,r,void 0,n,o,i):iR(e,n,t,r,o,i)}function iR(e,n,t,r,o,i,a,s){const l=IL.createInputFiles();l.javascriptPath=n,l.javascriptMapPath=t,l.declarationPath=r,l.declarationMapPath=o,l.buildInfoPath=i;const c=new Map,d=n=>{if(void 0===n)return;let t=c.get(n);return void 0===t&&(t=e(n),c.set(n,void 0!==t&&t)),!1!==t?t:void 0},u=e=>{const n=d(e);return void 0!==n?n:`/* Input file ${e} was missing */\r\n`};let p;return Object.defineProperties(l,{javascriptText:{get:()=>u(n)},javascriptMapText:{get:()=>d(t)},declarationText:{get:()=>u(Tt.checkDefined(r))},declarationMapText:{get:()=>d(o)},buildInfo:{get:()=>{if(void 0===p&&i)if(null==a?void 0:a.getBuildInfo)p=a.getBuildInfo(i,s.configFilePath)??!1;else{const e=d(i);p=void 0!==e&&(VV(i,e)??!1)}return p||void 0}}}),l}function aR(e,n,t,r,o,i,a,s,l,c,d){const u=IL.createInputFiles();return u.javascriptPath=e,u.javascriptText=n,u.javascriptMapPath=t,u.javascriptMapText=r,u.declarationPath=o,u.declarationText=i,u.declarationMapPath=a,u.declarationMapText=s,u.buildInfoPath=l,u.buildInfo=c,u.oldFileOfCurrentEmit=d,u}function sR(e,n,t){return new(HA||(HA=Wp.getSourceMapSourceConstructor()))(e,n,t)}function lR(e,n){if(e.original!==n&&(e.original=n,n)){const t=n.emitNode;t&&(e.emitNode=function(e,n){const{flags:t,internalFlags:r,leadingComments:o,trailingComments:i,commentRange:a,sourceMapRange:s,tokenSourceMapRanges:l,constantValue:c,helpers:d,startsOnNewLine:u,snippetElement:p,classThis:f,assignedName:m}=e;n||(n={});t&&(n.flags=t);r&&(n.internalFlags=-9&r);o&&(n.leadingComments=Ee(o.slice(),n.leadingComments));i&&(n.trailingComments=Ee(i.slice(),n.trailingComments));a&&(n.commentRange=a);s&&(n.sourceMapRange=s);l&&(n.tokenSourceMapRanges=function(e,n){n||(n=[]);for(const t in e)n[t]=e[t];return n}(l,n.tokenSourceMapRanges));void 0!==c&&(n.constantValue=c);if(d)for(const e of d)n.helpers=Te(n.helpers,e);void 0!==u&&(n.startsOnNewLine=u);void 0!==p&&(n.snippetElement=p);f&&(n.classThis=f);m&&(n.assignedName=m);return n}(t,e.emitNode))}return e}var cR=g({"src/compiler/factory/nodeFactory.ts"(){JJ(),WA=0,zA=(e=>(e[e.None=0]="None",e[e.NoParenthesizerRules=1]="NoParenthesizerRules",e[e.NoNodeConverters=2]="NoNodeConverters",e[e.NoIndentationOnFreshPropertyAccess=4]="NoIndentationOnFreshPropertyAccess",e[e.NoOriginalNode=8]="NoOriginalNode",e))(zA||{}),GA=[],jA={},VA=MA(),UA=JA(4,{createBaseSourceFileNode:e=>tR(VA.createBaseSourceFileNode(e)),createBaseIdentifierNode:e=>tR(VA.createBaseIdentifierNode(e)),createBasePrivateIdentifierNode:e=>tR(VA.createBasePrivateIdentifierNode(e)),createBaseTokenNode:e=>tR(VA.createBaseTokenNode(e)),createBaseNode:e=>tR(VA.createBaseNode(e))})}});function dR(e){if(e.emitNode)Tt.assert(!(8&e.emitNode.internalFlags),"Invalid attempt to mutate an immutable node.");else{if(Dl(e)){if(312===e.kind)return e.emitNode={annotatedNodes:[e]};dR($f(Cl($f(e)))??Tt.fail("Could not determine parsed source file.")).annotatedNodes.push(e)}e.emitNode={}}return e.emitNode}function uR(e){var n,t;const r=null==(t=null==(n=$f(Cl(e)))?void 0:n.emitNode)?void 0:t.annotatedNodes;if(r)for(const e of r)e.emitNode=void 0}function pR(e){const n=dR(e);return n.flags|=3072,n.leadingComments=void 0,n.trailingComments=void 0,e}function fR(e,n){return dR(e).flags=n,e}function mR(e,n){const t=dR(e);return t.flags=t.flags|n,e}function _R(e,n){return dR(e).internalFlags=n,e}function hR(e,n){const t=dR(e);return t.internalFlags=t.internalFlags|n,e}function gR(e){var n;return(null==(n=e.emitNode)?void 0:n.sourceMapRange)??e}function yR(e,n){return dR(e).sourceMapRange=n,e}function vR(e,n){var t,r;return null==(r=null==(t=e.emitNode)?void 0:t.tokenSourceMapRanges)?void 0:r[n]}function bR(e,n,t){const r=dR(e);return(r.tokenSourceMapRanges??(r.tokenSourceMapRanges=[]))[n]=t,e}function ER(e){var n;return null==(n=e.emitNode)?void 0:n.startsOnNewLine}function SR(e,n){return dR(e).startsOnNewLine=n,e}function TR(e){var n;return(null==(n=e.emitNode)?void 0:n.commentRange)??e}function xR(e,n){return dR(e).commentRange=n,e}function AR(e){var n;return null==(n=e.emitNode)?void 0:n.leadingComments}function RR(e,n){return dR(e).leadingComments=n,e}function IR(e,n,t,r){return RR(e,ye(AR(e),{kind:n,pos:-1,end:-1,hasTrailingNewLine:r,text:t}))}function NR(e){var n;return null==(n=e.emitNode)?void 0:n.trailingComments}function DR(e,n){return dR(e).trailingComments=n,e}function CR(e,n,t,r){return DR(e,ye(NR(e),{kind:n,pos:-1,end:-1,hasTrailingNewLine:r,text:t}))}function MR(e,n){RR(e,AR(n)),DR(e,NR(n));const t=dR(n);return t.leadingComments=void 0,t.trailingComments=void 0,e}function PR(e){var n;return null==(n=e.emitNode)?void 0:n.constantValue}function LR(e,n){return dR(e).constantValue=n,e}function kR(e,n){const t=dR(e);return t.helpers=ye(t.helpers,n),e}function wR(e,n){if(oe(n)){const t=dR(e);for(const e of n)t.helpers=Te(t.helpers,e)}return e}function OR(e,n){var t;const r=null==(t=e.emitNode)?void 0:t.helpers;return!!r&&Zn(r,n)}function FR(e){var n;return null==(n=e.emitNode)?void 0:n.helpers}function WR(e,n,t){const r=e.emitNode,o=r&&r.helpers;if(!oe(o))return;const i=dR(n);let a=0;for(let e=0;e<o.length;e++){const n=o[e];t(n)?(a++,i.helpers=Te(i.helpers,n)):a>0&&(o[e-a]=n)}a>0&&(o.length-=a)}function zR(e){var n;return null==(n=e.emitNode)?void 0:n.snippetElement}function GR(e,n){return dR(e).snippetElement=n,e}function BR(e){return dR(e).internalFlags|=4,e}function jR(e,n){return dR(e).typeNode=n,e}function VR(e){var n;return null==(n=e.emitNode)?void 0:n.typeNode}function UR(e,n){return dR(e).identifierTypeArguments=n,e}function HR(e){var n;return null==(n=e.emitNode)?void 0:n.identifierTypeArguments}function KR(e,n){return dR(e).autoGenerate=n,e}function qR(e){var n;return null==(n=e.emitNode)?void 0:n.autoGenerate}function JR(e,n){return dR(e).generatedImportReference=n,e}function XR(e){var n;return null==(n=e.emitNode)?void 0:n.generatedImportReference}var YR,$R,QR,ZR,eI,nI,tI,rI,oI,iI,aI,sI,lI,cI,dI,uI,pI,fI,mI,_I,hI,gI,yI,vI,bI,EI,SI,TI,xI,AI,RI,II,NI,DI,CI=g({"src/compiler/factory/emitNode.ts"(){JJ()}});function MI(e){const n=e.factory,t=Rn((()=>_R(n.createTrue(),8))),r=Rn((()=>_R(n.createFalse(),8)));return{getUnscopedHelperName:o,createDecorateHelper:function(t,r,i,a){e.requestEmitHelper($R);const s=[];s.push(n.createArrayLiteralExpression(t,!0)),s.push(r),i&&(s.push(i),a&&s.push(a));return n.createCallExpression(o("__decorate"),void 0,s)},createMetadataHelper:function(t,r){return e.requestEmitHelper(QR),n.createCallExpression(o("__metadata"),void 0,[n.createStringLiteral(t),r])},createParamHelper:function(t,r,i){return e.requestEmitHelper(ZR),yL(n.createCallExpression(o("__param"),void 0,[n.createNumericLiteral(r+""),t]),i)},createESDecorateHelper:function(t,r,i,s,l,c){return e.requestEmitHelper(eI),n.createCallExpression(o("__esDecorate"),void 0,[t??n.createNull(),r??n.createNull(),i,a(s),l,c])},createRunInitializersHelper:function(t,r,i){return e.requestEmitHelper(nI),n.createCallExpression(o("__runInitializers"),void 0,i?[t,r,i]:[t,r])},createAssignHelper:function(t){if(jp(e.getCompilerOptions())>=2)return n.createCallExpression(n.createPropertyAccessExpression(n.createIdentifier("Object"),"assign"),void 0,t);return e.requestEmitHelper(tI),n.createCallExpression(o("__assign"),void 0,t)},createAwaitHelper:function(t){return e.requestEmitHelper(rI),n.createCallExpression(o("__await"),void 0,[t])},createAsyncGeneratorHelper:function(t,r){return e.requestEmitHelper(rI),e.requestEmitHelper(oI),(t.emitNode||(t.emitNode={})).flags|=1572864,n.createCallExpression(o("__asyncGenerator"),void 0,[r?n.createThis():n.createVoidZero(),n.createIdentifier("arguments"),t])},createAsyncDelegatorHelper:function(t){return e.requestEmitHelper(rI),e.requestEmitHelper(iI),n.createCallExpression(o("__asyncDelegator"),void 0,[t])},createAsyncValuesHelper:function(t){return e.requestEmitHelper(aI),n.createCallExpression(o("__asyncValues"),void 0,[t])},createRestHelper:function(t,r,i,a){e.requestEmitHelper(sI);const s=[];let l=0;for(let e=0;e<r.length-1;e++){const t=wP(r[e]);if(t)if(yN(t)){Tt.assertIsDefined(i,"Encountered computed property name but 'computedTempVariables' argument was not provided.");const e=i[l];l++,s.push(n.createConditionalExpression(n.createTypeCheck(e,"symbol"),void 0,e,void 0,n.createAdd(e,n.createStringLiteral(""))))}else s.push(n.createStringLiteralFromNode(t))}return n.createCallExpression(o("__rest"),void 0,[t,yL(n.createArrayLiteralExpression(s),a)])},createAwaiterHelper:function(t,r,i,a,s){e.requestEmitHelper(lI);const l=n.createFunctionExpression(void 0,n.createToken(42),void 0,void 0,a??[],void 0,s);return(l.emitNode||(l.emitNode={})).flags|=1572864,n.createCallExpression(o("__awaiter"),void 0,[t?n.createThis():n.createVoidZero(),r??n.createVoidZero(),i?aP(n,i):n.createVoidZero(),l])},createExtendsHelper:function(t){return e.requestEmitHelper(cI),n.createCallExpression(o("__extends"),void 0,[t,n.createUniqueName("_super",48)])},createTemplateObjectHelper:function(t,r){return e.requestEmitHelper(dI),n.createCallExpression(o("__makeTemplateObject"),void 0,[t,r])},createSpreadArrayHelper:function(i,a,s){return e.requestEmitHelper(pI),n.createCallExpression(o("__spreadArray"),void 0,[i,a,s?t():r()])},createPropKeyHelper:function(t){return e.requestEmitHelper(fI),n.createCallExpression(o("__propKey"),void 0,[t])},createSetFunctionNameHelper:function(n,t,r){return e.requestEmitHelper(mI),e.factory.createCallExpression(o("__setFunctionName"),void 0,r?[n,t,e.factory.createStringLiteral(r)]:[n,t])},createValuesHelper:function(t){return e.requestEmitHelper(_I),n.createCallExpression(o("__values"),void 0,[t])},createReadHelper:function(t,r){return e.requestEmitHelper(uI),n.createCallExpression(o("__read"),void 0,void 0!==r?[t,n.createNumericLiteral(r+"")]:[t])},createGeneratorHelper:function(t){return e.requestEmitHelper(hI),n.createCallExpression(o("__generator"),void 0,[n.createThis(),t])},createCreateBindingHelper:function(t,r,i){return e.requestEmitHelper(gI),n.createCallExpression(o("__createBinding"),void 0,[n.createIdentifier("exports"),t,r,...i?[i]:[]])},createImportStarHelper:function(t){return e.requestEmitHelper(vI),n.createCallExpression(o("__importStar"),void 0,[t])},createImportStarCallbackHelper:function(){return e.requestEmitHelper(vI),o("__importStar")},createImportDefaultHelper:function(t){return e.requestEmitHelper(bI),n.createCallExpression(o("__importDefault"),void 0,[t])},createExportStarHelper:function(t,r=n.createIdentifier("exports")){return e.requestEmitHelper(EI),e.requestEmitHelper(gI),n.createCallExpression(o("__exportStar"),void 0,[t,r])},createClassPrivateFieldGetHelper:function(t,r,i,a){let s;e.requestEmitHelper(SI),s=a?[t,r,n.createStringLiteral(i),a]:[t,r,n.createStringLiteral(i)];return n.createCallExpression(o("__classPrivateFieldGet"),void 0,s)},createClassPrivateFieldSetHelper:function(t,r,i,a,s){let l;e.requestEmitHelper(TI),l=s?[t,r,i,n.createStringLiteral(a),s]:[t,r,i,n.createStringLiteral(a)];return n.createCallExpression(o("__classPrivateFieldSet"),void 0,l)},createClassPrivateFieldInHelper:function(t,r){return e.requestEmitHelper(xI),n.createCallExpression(o("__classPrivateFieldIn"),void 0,[t,r])},createAddDisposableResourceHelper:function(t,r,i){return e.requestEmitHelper(AI),n.createCallExpression(o("__addDisposableResource"),void 0,[t,r,i?n.createTrue():n.createFalse()])},createDisposeResourcesHelper:function(t){return e.requestEmitHelper(RI),n.createCallExpression(o("__disposeResources"),void 0,[t])}};function o(e){return fR(n.createIdentifier(e),8196)}function i(e,t){const r=[];return r.push(function(e){const t=e.computed?e.name:tN(e.name)?n.createStringLiteralFromNode(e.name):e.name;return n.createPropertyAssignment("has",n.createArrowFunction(void 0,void 0,[n.createParameterDeclaration(void 0,void 0,n.createIdentifier("obj"))],void 0,void 0,n.createBinaryExpression(t,103,n.createIdentifier("obj"))))}(e)),t.get&&r.push(function(e){const t=e.computed?n.createElementAccessExpression(n.createIdentifier("obj"),e.name):n.createPropertyAccessExpression(n.createIdentifier("obj"),e.name);return n.createPropertyAssignment("get",n.createArrowFunction(void 0,void 0,[n.createParameterDeclaration(void 0,void 0,n.createIdentifier("obj"))],void 0,void 0,t))}(e)),t.set&&r.push(function(e){const t=e.computed?n.createElementAccessExpression(n.createIdentifier("obj"),e.name):n.createPropertyAccessExpression(n.createIdentifier("obj"),e.name);return n.createPropertyAssignment("set",n.createArrowFunction(void 0,void 0,[n.createParameterDeclaration(void 0,void 0,n.createIdentifier("obj")),n.createParameterDeclaration(void 0,void 0,n.createIdentifier("value"))],void 0,void 0,n.createBlock([n.createExpressionStatement(n.createAssignment(t,n.createIdentifier("value")))])))}(e)),n.createObjectLiteralExpression(r)}function a(e){return"class"===e.kind?function(e){const t=[n.createPropertyAssignment(n.createIdentifier("kind"),n.createStringLiteral("class")),n.createPropertyAssignment(n.createIdentifier("name"),e.name),n.createPropertyAssignment(n.createIdentifier("metadata"),e.metadata)];return n.createObjectLiteralExpression(t)}(e):function(e){const t=[n.createPropertyAssignment(n.createIdentifier("kind"),n.createStringLiteral(e.kind)),n.createPropertyAssignment(n.createIdentifier("name"),e.name.computed?e.name.name:n.createStringLiteralFromNode(e.name.name)),n.createPropertyAssignment(n.createIdentifier("static"),e.static?n.createTrue():n.createFalse()),n.createPropertyAssignment(n.createIdentifier("private"),e.private?n.createTrue():n.createFalse()),n.createPropertyAssignment(n.createIdentifier("access"),i(e.name,e.access)),n.createPropertyAssignment(n.createIdentifier("metadata"),e.metadata)];return n.createObjectLiteralExpression(t)}(e)}}function PI(e,n){return e===n||e.priority===n.priority?0:void 0===e.priority?1:void 0===n.priority?-1:wn(e.priority,n.priority)}function LI(e,...n){return t=>{let r="";for(let o=0;o<n.length;o++)r+=e[o],r+=t(n[o]);return r+=e[e.length-1],r}}function kI(){return II||(II=$e([$R,QR,ZR,eI,nI,tI,rI,oI,iI,aI,sI,lI,cI,dI,pI,_I,uI,fI,mI,hI,vI,bI,EI,SI,TI,xI,gI,yI,AI,RI],(e=>e.name)))}function wI(e,n){return dD(e)&&tN(e.expression)&&!!(8192&Im(e.expression))&&e.expression.escapedText===n}var OI=g({"src/compiler/factory/emitHelpers.ts"(){JJ(),YR=(e=>(e.Field="f",e.Method="m",e.Accessor="a",e))(YR||{}),$R={name:"typescript:decorate",importName:"__decorate",scoped:!1,priority:2,text:'\n            var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {\n                var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;\n                if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);\n                else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;\n                return c > 3 && r && Object.defineProperty(target, key, r), r;\n            };'},QR={name:"typescript:metadata",importName:"__metadata",scoped:!1,priority:3,text:'\n            var __metadata = (this && this.__metadata) || function (k, v) {\n                if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);\n            };'},ZR={name:"typescript:param",importName:"__param",scoped:!1,priority:4,text:"\n            var __param = (this && this.__param) || function (paramIndex, decorator) {\n                return function (target, key) { decorator(target, key, paramIndex); }\n            };"},eI={name:"typescript:esDecorate",importName:"__esDecorate",scoped:!1,priority:2,text:'\n        var __esDecorate = (this && this.__esDecorate) || function (ctor, descriptorIn, decorators, contextIn, initializers, extraInitializers) {\n            function accept(f) { if (f !== void 0 && typeof f !== "function") throw new TypeError("Function expected"); return f; }\n            var kind = contextIn.kind, key = kind === "getter" ? "get" : kind === "setter" ? "set" : "value";\n            var target = !descriptorIn && ctor ? contextIn["static"] ? ctor : ctor.prototype : null;\n            var descriptor = descriptorIn || (target ? Object.getOwnPropertyDescriptor(target, contextIn.name) : {});\n            var _, done = false;\n            for (var i = decorators.length - 1; i >= 0; i--) {\n                var context = {};\n                for (var p in contextIn) context[p] = p === "access" ? {} : contextIn[p];\n                for (var p in contextIn.access) context.access[p] = contextIn.access[p];\n                context.addInitializer = function (f) { if (done) throw new TypeError("Cannot add initializers after decoration has completed"); extraInitializers.push(accept(f || null)); };\n                var result = (0, decorators[i])(kind === "accessor" ? { get: descriptor.get, set: descriptor.set } : descriptor[key], context);\n                if (kind === "accessor") {\n                    if (result === void 0) continue;\n                    if (result === null || typeof result !== "object") throw new TypeError("Object expected");\n                    if (_ = accept(result.get)) descriptor.get = _;\n                    if (_ = accept(result.set)) descriptor.set = _;\n                    if (_ = accept(result.init)) initializers.unshift(_);\n                }\n                else if (_ = accept(result)) {\n                    if (kind === "field") initializers.unshift(_);\n                    else descriptor[key] = _;\n                }\n            }\n            if (target) Object.defineProperty(target, contextIn.name, descriptor);\n            done = true;\n        };'},nI={name:"typescript:runInitializers",importName:"__runInitializers",scoped:!1,priority:2,text:"\n        var __runInitializers = (this && this.__runInitializers) || function (thisArg, initializers, value) {\n            var useValue = arguments.length > 2;\n            for (var i = 0; i < initializers.length; i++) {\n                value = useValue ? initializers[i].call(thisArg, value) : initializers[i].call(thisArg);\n            }\n            return useValue ? value : void 0;\n        };"},tI={name:"typescript:assign",importName:"__assign",scoped:!1,priority:1,text:"\n            var __assign = (this && this.__assign) || function () {\n                __assign = Object.assign || function(t) {\n                    for (var s, i = 1, n = arguments.length; i < n; i++) {\n                        s = arguments[i];\n                        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))\n                            t[p] = s[p];\n                    }\n                    return t;\n                };\n                return __assign.apply(this, arguments);\n            };"},oI={name:"typescript:asyncGenerator",importName:"__asyncGenerator",scoped:!1,dependencies:[rI={name:"typescript:await",importName:"__await",scoped:!1,text:"\n            var __await = (this && this.__await) || function (v) { return this instanceof __await ? (this.v = v, this) : new __await(v); }"}],text:'\n        var __asyncGenerator = (this && this.__asyncGenerator) || function (thisArg, _arguments, generator) {\n            if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");\n            var g = generator.apply(thisArg, _arguments || []), i, q = [];\n            return i = {}, verb("next"), verb("throw"), verb("return", awaitReturn), i[Symbol.asyncIterator] = function () { return this; }, i;\n            function awaitReturn(f) { return function (v) { return Promise.resolve(v).then(f, reject); }; }\n            function verb(n, f) { if (g[n]) { i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; if (f) i[n] = f(i[n]); } }\n            function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }\n            function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }\n            function fulfill(value) { resume("next", value); }\n            function reject(value) { resume("throw", value); }\n            function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }\n        };'},iI={name:"typescript:asyncDelegator",importName:"__asyncDelegator",scoped:!1,dependencies:[rI],text:'\n            var __asyncDelegator = (this && this.__asyncDelegator) || function (o) {\n                var i, p;\n                return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;\n                function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: false } : f ? f(v) : v; } : f; }\n            };'},aI={name:"typescript:asyncValues",importName:"__asyncValues",scoped:!1,text:'\n            var __asyncValues = (this && this.__asyncValues) || function (o) {\n                if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");\n                var m = o[Symbol.asyncIterator], i;\n                return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);\n                function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }\n                function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }\n            };'},sI={name:"typescript:rest",importName:"__rest",scoped:!1,text:'\n            var __rest = (this && this.__rest) || function (s, e) {\n                var t = {};\n                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)\n                    t[p] = s[p];\n                if (s != null && typeof Object.getOwnPropertySymbols === "function")\n                    for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {\n                        if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))\n                            t[p[i]] = s[p[i]];\n                    }\n                return t;\n            };'},lI={name:"typescript:awaiter",importName:"__awaiter",scoped:!1,priority:5,text:'\n            var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {\n                function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }\n                return new (P || (P = Promise))(function (resolve, reject) {\n                    function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }\n                    function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }\n                    function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }\n                    step((generator = generator.apply(thisArg, _arguments || [])).next());\n                });\n            };'},cI={name:"typescript:extends",importName:"__extends",scoped:!1,priority:0,text:'\n            var __extends = (this && this.__extends) || (function () {\n                var extendStatics = function (d, b) {\n                    extendStatics = Object.setPrototypeOf ||\n                        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||\n                        function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };\n                    return extendStatics(d, b);\n                };\n\n                return function (d, b) {\n                    if (typeof b !== "function" && b !== null)\n                        throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");\n                    extendStatics(d, b);\n                    function __() { this.constructor = d; }\n                    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());\n                };\n            })();'},dI={name:"typescript:makeTemplateObject",importName:"__makeTemplateObject",scoped:!1,priority:0,text:'\n            var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {\n                if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }\n                return cooked;\n            };'},uI={name:"typescript:read",importName:"__read",scoped:!1,text:'\n            var __read = (this && this.__read) || function (o, n) {\n                var m = typeof Symbol === "function" && o[Symbol.iterator];\n                if (!m) return o;\n                var i = m.call(o), r, ar = [], e;\n                try {\n                    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);\n                }\n                catch (error) { e = { error: error }; }\n                finally {\n                    try {\n                        if (r && !r.done && (m = i["return"])) m.call(i);\n                    }\n                    finally { if (e) throw e.error; }\n                }\n                return ar;\n            };'},pI={name:"typescript:spreadArray",importName:"__spreadArray",scoped:!1,text:"\n            var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {\n                if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {\n                    if (ar || !(i in from)) {\n                        if (!ar) ar = Array.prototype.slice.call(from, 0, i);\n                        ar[i] = from[i];\n                    }\n                }\n                return to.concat(ar || Array.prototype.slice.call(from));\n            };"},fI={name:"typescript:propKey",importName:"__propKey",scoped:!1,text:'\n        var __propKey = (this && this.__propKey) || function (x) {\n            return typeof x === "symbol" ? x : "".concat(x);\n        };'},mI={name:"typescript:setFunctionName",importName:"__setFunctionName",scoped:!1,text:'\n        var __setFunctionName = (this && this.__setFunctionName) || function (f, name, prefix) {\n            if (typeof name === "symbol") name = name.description ? "[".concat(name.description, "]") : "";\n            return Object.defineProperty(f, "name", { configurable: true, value: prefix ? "".concat(prefix, " ", name) : name });\n        };'},_I={name:"typescript:values",importName:"__values",scoped:!1,text:'\n            var __values = (this && this.__values) || function(o) {\n                var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;\n                if (m) return m.call(o);\n                if (o && typeof o.length === "number") return {\n                    next: function () {\n                        if (o && i >= o.length) o = void 0;\n                        return { value: o && o[i++], done: !o };\n                    }\n                };\n                throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");\n            };'},hI={name:"typescript:generator",importName:"__generator",scoped:!1,priority:6,text:'\n            var __generator = (this && this.__generator) || function (thisArg, body) {\n                var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;\n                return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;\n                function verb(n) { return function (v) { return step([n, v]); }; }\n                function step(op) {\n                    if (f) throw new TypeError("Generator is already executing.");\n                    while (g && (g = 0, op[0] && (_ = 0)), _) try {\n                        if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;\n                        if (y = 0, t) op = [op[0] & 2, t.value];\n                        switch (op[0]) {\n                            case 0: case 1: t = op; break;\n                            case 4: _.label++; return { value: op[1], done: false };\n                            case 5: _.label++; y = op[1]; op = [0]; continue;\n                            case 7: op = _.ops.pop(); _.trys.pop(); continue;\n                            default:\n                                if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }\n                                if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }\n                                if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }\n                                if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }\n                                if (t[2]) _.ops.pop();\n                                _.trys.pop(); continue;\n                        }\n                        op = body.call(thisArg, _);\n                    } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }\n                    if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };\n                }\n            };'},vI={name:"typescript:commonjsimportstar",importName:"__importStar",scoped:!1,dependencies:[gI={name:"typescript:commonjscreatebinding",importName:"__createBinding",scoped:!1,priority:1,text:'\n            var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {\n                if (k2 === undefined) k2 = k;\n                var desc = Object.getOwnPropertyDescriptor(m, k);\n                if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {\n                  desc = { enumerable: true, get: function() { return m[k]; } };\n                }\n                Object.defineProperty(o, k2, desc);\n            }) : (function(o, m, k, k2) {\n                if (k2 === undefined) k2 = k;\n                o[k2] = m[k];\n            }));'},yI={name:"typescript:commonjscreatevalue",importName:"__setModuleDefault",scoped:!1,priority:1,text:'\n            var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {\n                Object.defineProperty(o, "default", { enumerable: true, value: v });\n            }) : function(o, v) {\n                o["default"] = v;\n            });'}],priority:2,text:'\n            var __importStar = (this && this.__importStar) || function (mod) {\n                if (mod && mod.__esModule) return mod;\n                var result = {};\n                if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);\n                __setModuleDefault(result, mod);\n                return result;\n            };'},bI={name:"typescript:commonjsimportdefault",importName:"__importDefault",scoped:!1,text:'\n            var __importDefault = (this && this.__importDefault) || function (mod) {\n                return (mod && mod.__esModule) ? mod : { "default": mod };\n            };'},EI={name:"typescript:export-star",importName:"__exportStar",scoped:!1,dependencies:[gI],priority:2,text:'\n            var __exportStar = (this && this.__exportStar) || function(m, exports) {\n                for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);\n            };'},SI={name:"typescript:classPrivateFieldGet",importName:"__classPrivateFieldGet",scoped:!1,text:'\n            var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {\n                if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");\n                if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");\n                return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);\n            };'},TI={name:"typescript:classPrivateFieldSet",importName:"__classPrivateFieldSet",scoped:!1,text:'\n            var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {\n                if (kind === "m") throw new TypeError("Private method is not writable");\n                if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");\n                if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");\n                return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;\n            };'},xI={name:"typescript:classPrivateFieldIn",importName:"__classPrivateFieldIn",scoped:!1,text:'\n            var __classPrivateFieldIn = (this && this.__classPrivateFieldIn) || function(state, receiver) {\n                if (receiver === null || (typeof receiver !== "object" && typeof receiver !== "function")) throw new TypeError("Cannot use \'in\' operator on non-object");\n                return typeof state === "function" ? receiver === state : state.has(receiver);\n            };'},AI={name:"typescript:addDisposableResource",importName:"__addDisposableResource",scoped:!1,text:'\n        var __addDisposableResource = (this && this.__addDisposableResource) || function (env, value, async) {\n            if (value !== null && value !== void 0) {\n                if (typeof value !== "object" && typeof value !== "function") throw new TypeError("Object expected.");\n                var dispose;\n                if (async) {\n                    if (!Symbol.asyncDispose) throw new TypeError("Symbol.asyncDispose is not defined.");\n                    dispose = value[Symbol.asyncDispose];\n                }\n                if (dispose === void 0) {\n                    if (!Symbol.dispose) throw new TypeError("Symbol.dispose is not defined.");\n                    dispose = value[Symbol.dispose];\n                }\n                if (typeof dispose !== "function") throw new TypeError("Object not disposable.");\n                env.stack.push({ value: value, dispose: dispose, async: async });\n            }\n            else if (async) {\n                env.stack.push({ async: true });\n            }\n            return value;\n        };'},RI={name:"typescript:disposeResources",importName:"__disposeResources",scoped:!1,text:'\n        var __disposeResources = (this && this.__disposeResources) || (function (SuppressedError) {\n            return function (env) {\n                function fail(e) {\n                    env.error = env.hasError ? new SuppressedError(e, env.error, "An error was suppressed during disposal.") : e;\n                    env.hasError = true;\n                }\n                function next() {\n                    while (env.stack.length) {\n                        var rec = env.stack.pop();\n                        try {\n                            var result = rec.dispose && rec.dispose.call(rec.value);\n                            if (rec.async) return Promise.resolve(result).then(next, function(e) { fail(e); return next(); });\n                        }\n                        catch (e) {\n                            fail(e);\n                        }\n                    }\n                    if (env.hasError) throw env.error;\n                }\n                return next();\n            };\n        })(typeof SuppressedError === "function" ? SuppressedError : function (error, suppressed, message) {\n            var e = new Error(message);\n            return e.name = "SuppressedError", e.error = error, e.suppressed = suppressed, e;\n        });'},NI={name:"typescript:async-super",scoped:!0,text:LI`
            const ${"_superIndex"} = name => super[name];`},DI={name:"typescript:advanced-async-super",scoped:!0,text:LI`
            const ${"_superIndex"} = (function (geti, seti) {
                const cache = Object.create(null);
                return name => cache[name] || (cache[name] = { get value() { return geti(name); }, set value(v) { seti(name, v); } });
            })(name => super[name], (name, value) => super[name] = value);`}}});function FI(e){return 9===e.kind}function WI(e){return 10===e.kind}function zI(e){return 11===e.kind}function GI(e){return 12===e.kind}function BI(e){return 14===e.kind}function jI(e){return 15===e.kind}function VI(e){return 16===e.kind}function UI(e){return 17===e.kind}function HI(e){return 18===e.kind}function KI(e){return 26===e.kind}function qI(e){return 28===e.kind}function JI(e){return 40===e.kind}function XI(e){return 41===e.kind}function YI(e){return 42===e.kind}function $I(e){return 54===e.kind}function QI(e){return 58===e.kind}function ZI(e){return 59===e.kind}function eN(e){return 29===e.kind}function nN(e){return 39===e.kind}function tN(e){return 80===e.kind}function rN(e){return 81===e.kind}function oN(e){return 95===e.kind}function iN(e){return 90===e.kind}function aN(e){return 134===e.kind}function sN(e){return 131===e.kind}function lN(e){return 135===e.kind}function cN(e){return 148===e.kind}function dN(e){return 126===e.kind}function uN(e){return 128===e.kind}function pN(e){return 164===e.kind}function fN(e){return 129===e.kind}function mN(e){return 108===e.kind}function _N(e){return 102===e.kind}function hN(e){return 84===e.kind}function gN(e){return 166===e.kind}function yN(e){return 167===e.kind}function vN(e){return 168===e.kind}function bN(e){return 169===e.kind}function EN(e){return 170===e.kind}function SN(e){return 171===e.kind}function TN(e){return 172===e.kind}function xN(e){return 173===e.kind}function AN(e){return 174===e.kind}function RN(e){return 175===e.kind}function IN(e){return 176===e.kind}function NN(e){return 177===e.kind}function DN(e){return 178===e.kind}function CN(e){return 179===e.kind}function MN(e){return 180===e.kind}function PN(e){return 181===e.kind}function LN(e){return 182===e.kind}function kN(e){return 183===e.kind}function wN(e){return 184===e.kind}function ON(e){return 185===e.kind}function FN(e){return 186===e.kind}function WN(e){return 187===e.kind}function zN(e){return 188===e.kind}function GN(e){return 189===e.kind}function BN(e){return 202===e.kind}function jN(e){return 190===e.kind}function VN(e){return 191===e.kind}function UN(e){return 192===e.kind}function HN(e){return 193===e.kind}function KN(e){return 194===e.kind}function qN(e){return 195===e.kind}function JN(e){return 196===e.kind}function XN(e){return 197===e.kind}function YN(e){return 198===e.kind}function $N(e){return 199===e.kind}function QN(e){return 200===e.kind}function ZN(e){return 201===e.kind}function eD(e){return 205===e.kind}function nD(e){return 204===e.kind}function tD(e){return 203===e.kind}function rD(e){return 206===e.kind}function oD(e){return 207===e.kind}function iD(e){return 208===e.kind}function aD(e){return 209===e.kind}function sD(e){return 210===e.kind}function lD(e){return 211===e.kind}function cD(e){return 212===e.kind}function dD(e){return 213===e.kind}function uD(e){return 214===e.kind}function pD(e){return 215===e.kind}function fD(e){return 216===e.kind}function mD(e){return 217===e.kind}function _D(e){return 218===e.kind}function hD(e){return 219===e.kind}function gD(e){return 220===e.kind}function yD(e){return 221===e.kind}function vD(e){return 222===e.kind}function bD(e){return 223===e.kind}function ED(e){return 224===e.kind}function SD(e){return 225===e.kind}function TD(e){return 226===e.kind}function xD(e){return 227===e.kind}function AD(e){return 228===e.kind}function RD(e){return 229===e.kind}function ID(e){return 230===e.kind}function ND(e){return 231===e.kind}function DD(e){return 232===e.kind}function CD(e){return 233===e.kind}function MD(e){return 234===e.kind}function PD(e){return 238===e.kind}function LD(e){return 235===e.kind}function kD(e){return 236===e.kind}function wD(e){return 237===e.kind}function OD(e){return 360===e.kind}function FD(e){return 361===e.kind}function WD(e){return 239===e.kind}function zD(e){return 240===e.kind}function GD(e){return 241===e.kind}function BD(e){return 243===e.kind}function jD(e){return 242===e.kind}function VD(e){return 244===e.kind}function UD(e){return 245===e.kind}function HD(e){return 246===e.kind}function KD(e){return 247===e.kind}function qD(e){return 248===e.kind}function JD(e){return 249===e.kind}function XD(e){return 250===e.kind}function YD(e){return 251===e.kind}function $D(e){return 252===e.kind}function QD(e){return 253===e.kind}function ZD(e){return 254===e.kind}function eC(e){return 255===e.kind}function nC(e){return 256===e.kind}function tC(e){return 257===e.kind}function rC(e){return 258===e.kind}function oC(e){return 259===e.kind}function iC(e){return 260===e.kind}function aC(e){return 261===e.kind}function sC(e){return 262===e.kind}function lC(e){return 263===e.kind}function cC(e){return 264===e.kind}function dC(e){return 265===e.kind}function uC(e){return 266===e.kind}function pC(e){return 267===e.kind}function fC(e){return 268===e.kind}function mC(e){return 269===e.kind}function _C(e){return 270===e.kind}function hC(e){return 271===e.kind}function gC(e){return 272===e.kind}function yC(e){return 273===e.kind}function vC(e){return 302===e.kind}function bC(e){return 300===e.kind}function EC(e){return 301===e.kind}function SC(e){return 300===e.kind}function TC(e){return 301===e.kind}function xC(e){return 274===e.kind}function AC(e){return 280===e.kind}function RC(e){return 275===e.kind}function IC(e){return 276===e.kind}function NC(e){return 277===e.kind}function DC(e){return 278===e.kind}function CC(e){return 279===e.kind}function MC(e){return 281===e.kind}function PC(e){return 282===e.kind}function LC(e){return 359===e.kind}function kC(e){return 362===e.kind}function wC(e){return 283===e.kind}function OC(e){return 284===e.kind}function FC(e){return 285===e.kind}function WC(e){return 286===e.kind}function zC(e){return 287===e.kind}function GC(e){return 288===e.kind}function BC(e){return 289===e.kind}function jC(e){return 290===e.kind}function VC(e){return 291===e.kind}function UC(e){return 292===e.kind}function HC(e){return 293===e.kind}function KC(e){return 294===e.kind}function qC(e){return 295===e.kind}function JC(e){return 296===e.kind}function XC(e){return 297===e.kind}function YC(e){return 298===e.kind}function $C(e){return 299===e.kind}function QC(e){return 303===e.kind}function ZC(e){return 304===e.kind}function eM(e){return 305===e.kind}function nM(e){return 306===e.kind}function tM(e){return 308===e.kind}function rM(e){return 312===e.kind}function oM(e){return 313===e.kind}function iM(e){return 314===e.kind}function aM(e){return 316===e.kind}function sM(e){return 317===e.kind}function lM(e){return 318===e.kind}function cM(e){return 331===e.kind}function dM(e){return 332===e.kind}function uM(e){return 333===e.kind}function pM(e){return 319===e.kind}function fM(e){return 320===e.kind}function mM(e){return 321===e.kind}function _M(e){return 322===e.kind}function hM(e){return 323===e.kind}function gM(e){return 324===e.kind}function yM(e){return 325===e.kind}function vM(e){return 326===e.kind}function bM(e){return 327===e.kind}function EM(e){return 329===e.kind}function SM(e){return 330===e.kind}function TM(e){return 335===e.kind}function xM(e){return 337===e.kind}function AM(e){return 339===e.kind}function RM(e){return 345===e.kind}function IM(e){return 340===e.kind}function NM(e){return 341===e.kind}function DM(e){return 342===e.kind}function CM(e){return 343===e.kind}function MM(e){return 344===e.kind}function PM(e){return 346===e.kind}function LM(e){return 338===e.kind}function kM(e){return 354===e.kind}function wM(e){return 347===e.kind}function OM(e){return 348===e.kind}function FM(e){return 349===e.kind}function WM(e){return 350===e.kind}function zM(e){return 351===e.kind}function GM(e){return 352===e.kind}function BM(e){return 353===e.kind}function jM(e){return 334===e.kind}function VM(e){return 355===e.kind}function UM(e){return 336===e.kind}function HM(e){return 357===e.kind}function KM(e){return 356===e.kind}function qM(e){return 358===e.kind}var JM,XM,YM=g({"src/compiler/factory/nodeTests.ts"(){JJ()}});function $M(e){return e.createExportDeclaration(void 0,!1,e.createNamedExports([]),void 0)}function QM(e,n,t,r){if(yN(t))return yL(e.createElementAccessExpression(n,t.expression),r);{const r=yL(Cc(t)?e.createPropertyAccessExpression(n,t):e.createElementAccessExpression(n,t),t);return mR(r,128),r}}function ZM(e,n){const t=IL.createIdentifier(e||"React");return Vx(t,Cl(n)),t}function eP(e,n,t){if(gN(n)){const r=eP(e,n.left,t),o=e.createIdentifier(Ll(n.right));return o.escapedText=n.right.escapedText,e.createPropertyAccessExpression(r,o)}return ZM(Ll(n),t)}function nP(e,n,t,r){return n?eP(e,n,r):e.createPropertyAccessExpression(ZM(t,r),"createElement")}function tP(e,n,t,r,o,i){const a=[t];if(r&&a.push(r),o&&o.length>0)if(r||a.push(e.createNull()),o.length>1)for(const e of o)xP(e),a.push(e);else a.push(o[0]);return yL(e.createCallExpression(n,void 0,a),i)}function rP(e,n,t,r,o,i,a){const s=function(e,n,t,r){return n?eP(e,n,r):e.createPropertyAccessExpression(ZM(t,r),"Fragment")}(e,t,r,i),l=[s,e.createNull()];if(o&&o.length>0)if(o.length>1)for(const e of o)xP(e),l.push(e);else l.push(o[0]);return yL(e.createCallExpression(nP(e,n,r,i),void 0,l),a)}function oP(e,n,t){if(aC(n)){const r=Me(n.declarations),o=e.updateVariableDeclaration(r,r.name,void 0,void 0,t);return yL(e.createVariableStatement(void 0,e.updateVariableDeclarationList(n,[o])),n)}{const r=yL(e.createAssignment(n,t),n);return yL(e.createExpressionStatement(r),n)}}function iP(e,n,t){return GD(n)?e.updateBlock(n,yL(e.createNodeArray([t,...n.statements]),n.statements)):e.createBlock(e.createNodeArray([n,t]),!0)}function aP(e,n){if(gN(n)){const t=aP(e,n.left),r=Vx(yL(e.cloneNode(n.right),n.right),n.right.parent);return yL(e.createPropertyAccessExpression(t,r),n)}return Vx(yL(e.cloneNode(n),n),n.parent)}function sP(e,n){return tN(n)?e.createStringLiteralFromNode(n):yN(n)?Vx(yL(e.cloneNode(n.expression),n.expression),n.expression.parent):Vx(yL(e.cloneNode(n),n),n.parent)}function lP(e,n,t,r){switch(t.name&&rN(t.name)&&Tt.failBadSyntaxKind(t.name,"Private identifiers are not allowed in object literals."),t.kind){case 177:case 178:return function(e,n,t,r,o){const{firstAccessor:i,getAccessor:a,setAccessor:s}=xb(n,t);if(t===i)return yL(e.createObjectDefinePropertyCall(r,sP(e,t.name),e.createPropertyDescriptor({enumerable:e.createFalse(),configurable:!0,get:a&&yL(lR(e.createFunctionExpression(Hl(a),void 0,void 0,void 0,a.parameters,void 0,a.body),a),a),set:s&&yL(lR(e.createFunctionExpression(Hl(s),void 0,void 0,void 0,s.parameters,void 0,s.body),s),s)},!o)),i)}(e,n.properties,t,r,!!n.multiLine);case 303:return function(e,n,t){return lR(yL(e.createAssignment(QM(e,t,n.name,n.name),n.initializer),n),n)}(e,t,r);case 304:return function(e,n,t){return lR(yL(e.createAssignment(QM(e,t,n.name,n.name),e.cloneNode(n.name)),n),n)}(e,t,r);case 174:return function(e,n,t){return lR(yL(e.createAssignment(QM(e,t,n.name,n.name),lR(yL(e.createFunctionExpression(Hl(n),n.asteriskToken,void 0,void 0,n.parameters,void 0,n.body),n),n)),n),n)}(e,t,r)}}function cP(e,n,t,r,o){const i=n.operator;Tt.assert(46===i||47===i,"Expected 'node' to be a pre- or post-increment or pre- or post-decrement expression");const a=e.createTempVariable(r);yL(t=e.createAssignment(a,t),n.operand);let s=ED(n)?e.createPrefixUnaryExpression(i,a):e.createPostfixUnaryExpression(a,i);return yL(s,n),o&&(s=e.createAssignment(o,s),yL(s,n)),yL(t=e.createComma(t,s),n),SD(n)&&yL(t=e.createComma(t,a),n),t}function dP(e){return!!(65536&Im(e))}function uP(e){return!!(32768&Im(e))}function pP(e){return!!(16384&Im(e))}function fP(e){return zI(e.expression)&&"use strict"===e.expression.text}function mP(e){for(const n of e){if(!w_(n))break;if(fP(n))return n}}function _P(e){const n=De(e);return void 0!==n&&w_(n)&&fP(n)}function hP(e){return 226===e.kind&&28===e.operatorToken.kind}function gP(e){return hP(e)||FD(e)}function yP(e){return mD(e)&&Yh(e)&&!!yc(e)}function vP(e){const n=vc(e);return Tt.assertIsDefined(n),n}function bP(e,n=15){switch(e.kind){case 217:return!(16&n&&yP(e))&&!!(1&n);case 216:case 234:case 233:case 238:return!!(2&n);case 235:return!!(4&n);case 360:return!!(8&n)}return!1}function EP(e,n=15){for(;bP(e,n);)e=e.expression;return e}function SP(e,n=15){let t=e.parent;for(;bP(t,n);)t=t.parent,Tt.assert(t);return t}function TP(e){return EP(e,6)}function xP(e){return SR(e,!0)}function AP(e){const n=Il(e,rM),t=n&&n.emitNode;return t&&t.externalHelpersModuleName}function RP(e){const n=Il(e,rM),t=n&&n.emitNode;return!(!t||!t.externalHelpersModuleName&&!t.externalHelpers)}function IP(e,n,t,r,o,i,a){if(r.importHelpers&&Um(t,r)){let s;const l=Vp(r);if(l>=5&&l<=99||99===t.impliedNodeFormat){const r=FR(t);if(r){const o=[];for(const e of r)if(!e.scoped){const n=e.importName;n&&Se(o,n)}if(oe(o)){o.sort(Gn),s=e.createNamedImports(B(o,(r=>om(t,r)?e.createImportSpecifier(!1,void 0,e.createIdentifier(r)):e.createImportSpecifier(!1,e.createIdentifier(r),n.getUnscopedHelperName(r)))));dR(Il(t,rM)).externalHelpers=!0}}}else{const n=NP(e,t,r,o,i||a);n&&(s=e.createNamespaceImport(n))}if(s){const n=e.createImportDeclaration(void 0,e.createImportClause(!1,void 0,s),e.createStringLiteral(cp),void 0);return hR(n,2),n}}}function NP(e,n,t,r,o){if(t.importHelpers&&Um(n,t)){const i=AP(n);if(i)return i;const a=Vp(t);let s=(r||qp(t)&&o)&&4!==a&&(a<5||1===n.impliedNodeFormat);if(!s){const e=FR(n);if(e)for(const n of e)if(!n.scoped){s=!0;break}}if(s){const t=dR(Il(n,rM));return t.externalHelpersModuleName||(t.externalHelpersModuleName=e.createUniqueName(cp))}}}function DP(e,n,t){const r=Bg(n);if(r&&!jg(n)&&!Sm(n)){const n=r.name;return ud(n)?n:e.createIdentifier(Em(t,n)||Ll(n))}return 272===n.kind&&n.importClause||278===n.kind&&n.moduleSpecifier?e.getGeneratedNameForNode(n):void 0}function CP(e,n,t,r,o,i){const a=Gg(n);if(a&&zI(a))return function(e,n,t,r,o){return MP(t,r.getExternalModuleFileFromDeclaration(e),n,o)}(n,r,e,o,i)||function(e,n,t){const r=t.renamedDependencies&&t.renamedDependencies.get(n.text);return r?e.createStringLiteral(r):void 0}(e,a,t)||e.cloneNode(a)}function MP(e,n,t,r){if(n)return n.moduleName?e.createStringLiteral(n.moduleName):!n.isDeclarationFile&&ob(r)?e.createStringLiteral(Qv(t,n.fileName)):void 0}function PP(e){if(Kd(e))return e.initializer;if(QC(e)){const n=e.initializer;return gE(n,!0)?n.right:void 0}return ZC(e)?e.objectAssignmentInitializer:gE(e,!0)?e.right:ID(e)?PP(e.expression):void 0}function LP(e){if(Kd(e))return e.name;if(!Gd(e))return gE(e,!0)?LP(e.left):ID(e)?LP(e.expression):e;switch(e.kind){case 303:return LP(e.initializer);case 304:return e.name;case 305:return LP(e.expression)}}function kP(e){switch(e.kind){case 169:case 208:return e.dotDotDotToken;case 230:case 305:return e}}function wP(e){const n=OP(e);return Tt.assert(!!n||eM(e),"Invalid property name for binding element."),n}function OP(e){switch(e.kind){case 208:if(e.propertyName){const n=e.propertyName;return rN(n)?Tt.failBadSyntaxKind(n):yN(n)&&FP(n.expression)?n.expression:n}break;case 303:if(e.name){const n=e.name;return rN(n)?Tt.failBadSyntaxKind(n):yN(n)&&FP(n.expression)?n.expression:n}break;case 305:return e.name&&rN(e.name)?Tt.failBadSyntaxKind(e.name):e.name}const n=LP(e);if(n&&Ed(n))return n}function FP(e){const n=e.kind;return 11===n||9===n}function WP(e){switch(e.kind){case 206:case 207:case 209:return e.elements;case 210:return e.properties}}function zP(e){if(e){let n=e;for(;;){if(tN(n)||!n.body)return tN(n)?n:n.name;n=n.body}}}function GP(e){const n=e.kind;return 176===n||178===n}function BP(e){const n=e.kind;return 176===n||177===n||178===n}function jP(e){const n=e.kind;return 303===n||304===n||262===n||176===n||181===n||175===n||282===n||243===n||264===n||265===n||266===n||267===n||271===n||272===n||270===n||278===n||277===n}function VP(e){const n=e.kind;return 175===n||303===n||304===n||282===n||270===n}function UP(e){return QI(e)||$I(e)}function HP(e){return tN(e)||XN(e)}function KP(e){return cN(e)||JI(e)||XI(e)}function qP(e){return QI(e)||JI(e)||XI(e)}function JP(e){return tN(e)||zI(e)}function XP(e){const n=e.kind;return 106===n||112===n||97===n||ed(e)||ED(e)}function YP(e){return function(e){return 48===e||49===e||50===e}(e)||function(e){return function(e){return 40===e||41===e}(e)||function(e){return function(e){return 43===e}(e)||function(e){return 42===e||44===e||45===e}(e)}(e)}(e)}function $P(e){return function(e){return 35===e||37===e||36===e||38===e}(e)||function(e){return function(e){return 30===e||33===e||32===e||34===e||104===e||103===e}(e)||YP(e)}(e)}function QP(e){return function(e){return 56===e||57===e}(e)||function(e){return function(e){return 51===e||52===e||53===e}(e)||$P(e)}(e)}function ZP(e){return function(e){return 61===e||QP(e)||mE(e)}(e)||28===e}function eL(e){return ZP(e.kind)}function nL(e,n,t,r,o,i){const a=new XM(e,n,t,r,o,i);return function(e,n){const t={value:void 0},r=[JM.enter],o=[e],i=[void 0];let s=0;for(;r[s]!==JM.done;)s=r[s](a,s,r,o,i,t,n);return Tt.assertEqual(s,0),t.value}}function tL(e){return 95===e||90===e}function rL(e){return tL(e.kind)}function oL(e){const n=e.kind;return hd(n)&&!tL(n)}function iL(e,n){if(void 0!==n)return 0===n.length?n:yL(e.createNodeArray([],n.hasTrailingComma),n)}function aL(e){var n;const t=e.emitNode.autoGenerate;if(4&t.flags){const r=t.id;let o=e,i=o.original;for(;i;){o=i;const e=null==(n=o.emitNode)?void 0:n.autoGenerate;if(Cc(o)&&(void 0===e||4&e.flags&&e.id!==r))break;i=o.original}return o}return e}function sL(e,n){return"object"==typeof e?cL(!1,e.prefix,e.node,e.suffix,n):"string"==typeof e?e.length>0&&35===e.charCodeAt(0)?e.slice(1):e:""}function lL(e,n){return"string"==typeof e?e:function(e,n){return pd(e)?n(e).slice(1):ud(e)?n(e):rN(e)?e.escapedText.slice(1):Ll(e)}(e,Tt.checkDefined(n))}function cL(e,n,t,r,o){return n=sL(n,o),r=sL(r,o),`${e?"#":""}${n}${t=lL(t,o)}${r}`}function dL(e,n,t,r){return e.updatePropertyDeclaration(n,t,e.getGeneratedPrivateNameForNode(n.name,void 0,"_accessor_storage"),void 0,void 0,r)}function uL(e,n,t,r,o=e.createThis()){return e.createGetAccessorDeclaration(t,r,[],void 0,e.createBlock([e.createReturnStatement(e.createPropertyAccessExpression(o,e.getGeneratedPrivateNameForNode(n.name,void 0,"_accessor_storage")))]))}function pL(e,n,t,r,o=e.createThis()){return e.createSetAccessorDeclaration(t,r,[e.createParameterDeclaration(void 0,void 0,"value")],e.createBlock([e.createExpressionStatement(e.createAssignment(e.createPropertyAccessExpression(o,e.getGeneratedPrivateNameForNode(n.name,void 0,"_accessor_storage")),e.createIdentifier("value")))]))}function fL(e){let n=e.expression;for(;;)if(n=EP(n),FD(n))n=ke(n.elements);else{if(!hP(n)){if(gE(n,!0)&&ud(n.left))return n;break}n=n.right}}function mL(e,n){if(function(e){return mD(e)&&Sv(e)&&!e.emitNode}(e))mL(e.expression,n);else if(hP(e))mL(e.left,n),mL(e.right,n);else if(FD(e))for(const t of e.elements)mL(t,n);else n.push(e)}function _L(e){const n=[];return mL(e,n),n}function hL(e){if(65536&e.transformFlags)return!0;if(128&e.transformFlags)for(const n of WP(e)){const e=LP(n);if(e&&Ud(e)){if(65536&e.transformFlags)return!0;if(128&e.transformFlags&&hL(e))return!0}}return!1}var gL=g({"src/compiler/factory/utilities.ts"(){JJ(),(e=>{function n(e,t,r,o,i,a,l){const c=t>0?i[t-1]:void 0;return Tt.assertEqual(r[t],n),i[t]=e.onEnter(o[t],c,l),r[t]=s(e,n),t}function t(e,n,r,o,i,a,d){Tt.assertEqual(r[n],t),Tt.assertIsDefined(e.onLeft),r[n]=s(e,t);const u=e.onLeft(o[n].left,i[n],o[n]);return u?(c(n,o,u),l(n,r,o,i,u)):n}function r(e,n,t,o,i,a,l){return Tt.assertEqual(t[n],r),Tt.assertIsDefined(e.onOperator),t[n]=s(e,r),e.onOperator(o[n].operatorToken,i[n],o[n]),n}function o(e,n,t,r,i,a,d){Tt.assertEqual(t[n],o),Tt.assertIsDefined(e.onRight),t[n]=s(e,o);const u=e.onRight(r[n].right,i[n],r[n]);return u?(c(n,r,u),l(n,t,r,i,u)):n}function i(e,n,t,r,o,a,l){Tt.assertEqual(t[n],i),t[n]=s(e,i);const c=e.onExit(r[n],o[n]);if(n>0){if(n--,e.foldState){const r=t[n]===i?"right":"left";o[n]=e.foldState(o[n],c,r)}}else a.value=c;return n}function a(e,n,t,r,o,i,s){return Tt.assertEqual(t[n],a),n}function s(e,s){switch(s){case n:if(e.onLeft)return t;case t:if(e.onOperator)return r;case r:if(e.onRight)return o;case o:return i;case i:case a:return a;default:Tt.fail("Invalid state")}}function l(e,t,r,o,i){return t[++e]=n,r[e]=i,o[e]=void 0,e}function c(e,n,t){if(Tt.shouldAssert(2))for(;e>=0;)Tt.assert(n[e]!==t,"Circular traversal detected."),e--}e.enter=n,e.left=t,e.operator=r,e.right=o,e.exit=i,e.done=a,e.nextState=s})(JM||(JM={})),XM=class{constructor(e,n,t,r,o,i){this.onEnter=e,this.onLeft=n,this.onOperator=t,this.onRight=r,this.onExit=o,this.foldState=i}}}});function yL(e,n){return n?Gx(e,n.pos,n.end):e}function vL(e){const n=e.kind;return 168===n||169===n||171===n||172===n||173===n||174===n||176===n||177===n||178===n||181===n||185===n||218===n||219===n||231===n||243===n||262===n||263===n||264===n||265===n||266===n||267===n||271===n||272===n||277===n||278===n}function bL(e){const n=e.kind;return 169===n||172===n||174===n||177===n||178===n||231===n||263===n}var EL,SL,TL,xL,AL,RL,IL,NL,DL,CL,ML,PL,LL,kL=g({"src/compiler/factory/utilitiesPublic.ts"(){JJ()}});function wL(e,n){return n&&e(n)}function OL(e,n,t){if(t){if(n)return n(t);for(const n of t){const t=e(n);if(t)return t}}}function FL(e,n){return 42===e.charCodeAt(n+1)&&42===e.charCodeAt(n+2)&&47!==e.charCodeAt(n+3)}function WL(e){return E(e.statements,zL)||function(e){return 8388608&e.flags?GL(e):void 0}(e)}function zL(e){return vL(e)&&function(e,n){return oe(e.modifiers,(e=>e.kind===n))}(e,95)||hC(e)&&wC(e.moduleReference)||gC(e)||NC(e)||DC(e)?e:void 0}function GL(e){return function(e){return kD(e)&&102===e.keywordToken&&"meta"===e.name.escapedText}(e)?e:ok(e,GL)}function BL(e,n,t){return OL(n,t,e.typeParameters)||OL(n,t,e.parameters)||wL(n,e.type)}function jL(e,n,t){return OL(n,t,e.types)}function VL(e,n,t){return wL(n,e.type)}function UL(e,n,t){return OL(n,t,e.elements)}function HL(e,n,t){return wL(n,e.expression)||wL(n,e.questionDotToken)||OL(n,t,e.typeArguments)||OL(n,t,e.arguments)}function KL(e,n,t){return OL(n,t,e.statements)}function qL(e,n,t){return wL(n,e.label)}function JL(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||OL(n,t,e.typeParameters)||OL(n,t,e.heritageClauses)||OL(n,t,e.members)}function XL(e,n,t){return OL(n,t,e.elements)}function YL(e,n,t){return wL(n,e.propertyName)||wL(n,e.name)}function $L(e,n,t){return wL(n,e.tagName)||OL(n,t,e.typeArguments)||wL(n,e.attributes)}function QL(e,n,t){return wL(n,e.type)}function ZL(e,n,t){return wL(n,e.tagName)||(e.isNameFirst?wL(n,e.name)||wL(n,e.typeExpression):wL(n,e.typeExpression)||wL(n,e.name))||("string"==typeof e.comment?void 0:OL(n,t,e.comment))}function ek(e,n,t){return wL(n,e.tagName)||wL(n,e.typeExpression)||("string"==typeof e.comment?void 0:OL(n,t,e.comment))}function nk(e,n,t){return wL(n,e.name)}function tk(e,n,t){return wL(n,e.tagName)||("string"==typeof e.comment?void 0:OL(n,t,e.comment))}function rk(e,n,t){return wL(n,e.expression)}function ok(e,n,t){if(void 0===e||e.kind<=165)return;const r=NL[e.kind];return void 0===r?void 0:r(e,n,t)}function ik(e,n,t){const r=ak(e),o=[];for(;o.length<r.length;)o.push(e);for(;0!==r.length;){const e=r.pop(),i=o.pop();if(pn(e)){if(t){const n=t(e,i);if(n){if("skip"===n)continue;return n}}for(let n=e.length-1;n>=0;--n)r.push(e[n]),o.push(i)}else{const t=n(e,i);if(t){if("skip"===t)continue;return t}if(e.kind>=166)for(const n of ak(e))r.push(n),o.push(e)}}}function ak(e){const n=[];return ok(e,t,t),n;function t(e){n.unshift(e)}}function sk(e){e.externalModuleIndicator=WL(e)}function lk(e,n,t,r=!1,o){var i,a,s,l;let c;null==(i=Cr)||i.push(Cr.Phase.Parse,"createSourceFile",{path:e},!0),gr("beforeParse"),null==(a=or)||a.logStartParseSourceFile(e);const{languageVersion:d,setExternalModuleIndicator:u,impliedNodeFormat:p,jsDocParsingMode:f}="object"==typeof t?t:{languageVersion:t};if(100===d)c=DL.parseSourceFile(e,n,d,void 0,r,6,yn,f);else{const t=void 0===p?u:e=>(e.impliedNodeFormat=p,(u||sk)(e));c=DL.parseSourceFile(e,n,d,void 0,r,o,t,f)}return null==(s=or)||s.logStopParseSourceFile(),gr("afterParse"),yr("Parse","beforeParse","afterParse"),null==(l=Cr)||l.pop(),c}function ck(e,n){return DL.parseIsolatedEntityName(e,n)}function dk(e,n){return DL.parseJsonText(e,n)}function uk(e){return void 0!==e.externalModuleIndicator}function pk(e,n,t,r=!1){const o=CL.updateSourceFile(e,n,t,r);return o.flags|=12582912&e.flags,o}function fk(e,n,t){const r=DL.JSDocParser.parseIsolatedJSDocComment(e,n,t);return r&&r.jsDoc&&DL.fixupParentReferences(r.jsDoc),r}function mk(e,n,t){return DL.JSDocParser.parseJSDocTypeExpressionForTests(e,n,t)}function _k(e){return void 0!==hk(e)}function hk(e){const n=aa(e,Ef,!1);if(n)return n;if($i(e,".ts")){const n=oa(e).lastIndexOf(".d.");if(n>=0)return e.substring(n)}}function gk(e,n){const t=[];for(const e of ks(n,0)||o){bk(t,e,n.substring(e.pos,e.end))}e.pragmas=new Map;for(const n of t)if(e.pragmas.has(n.name)){const t=e.pragmas.get(n.name);t instanceof Array?t.push(n.args):e.pragmas.set(n.name,[t,n.args])}else e.pragmas.set(n.name,n.args)}function yk(e,n){e.checkJsDirective=void 0,e.referencedFiles=[],e.typeReferenceDirectives=[],e.libReferenceDirectives=[],e.amdDependencies=[],e.hasNoDefaultLib=!1,e.pragmas.forEach(((t,r)=>{switch(r){case"reference":{const r=e.referencedFiles,o=e.typeReferenceDirectives,i=e.libReferenceDirectives;E(fn(t),(t=>{const{types:a,lib:s,path:l,"resolution-mode":c}=t.arguments;if(t.arguments["no-default-lib"])e.hasNoDefaultLib=!0;else if(a){const e=function(e,n,t,r){if(e)return"import"===e?99:"require"===e?1:void r(n,t-n,Oa.resolution_mode_should_be_either_require_or_import)}(c,a.pos,a.end,n);o.push({pos:a.pos,end:a.end,fileName:a.value,...e?{resolutionMode:e}:{}})}else s?i.push({pos:s.pos,end:s.end,fileName:s.value}):l?r.push({pos:l.pos,end:l.end,fileName:l.value}):n(t.range.pos,t.range.end-t.range.pos,Oa.Invalid_reference_directive_syntax)}));break}case"amd-dependency":e.amdDependencies=B(fn(t),(e=>({name:e.arguments.name,path:e.arguments.path})));break;case"amd-module":if(t instanceof Array)for(const r of t)e.moduleName&&n(r.range.pos,r.range.end-r.range.pos,Oa.An_AMD_module_cannot_have_multiple_name_assignments),e.moduleName=r.arguments.name;else e.moduleName=t.arguments.name;break;case"ts-nocheck":case"ts-check":E(fn(t),(n=>{(!e.checkJsDirective||n.range.pos>e.checkJsDirective.pos)&&(e.checkJsDirective={enabled:"ts-check"===r,end:n.range.end,pos:n.range.pos})}));break;case"jsx":case"jsxfrag":case"jsximportsource":case"jsxruntime":return;default:Tt.fail("Unhandled pragma kind")}}))}function vk(e){if(ML.has(e))return ML.get(e);const n=new RegExp(`(\\s${e}\\s*=\\s*)(?:(?:'([^']*)')|(?:"([^"]*)"))`,"im");return ML.set(e,n),n}function bk(e,n,t){const r=2===n.kind&&PL.exec(t);if(r){const o=r[1].toLowerCase(),i=Zo[o];if(!(i&&1&i.kind))return;if(i.args){const r={};for(const e of i.args){const o=vk(e.name).exec(t);if(!o&&!e.optional)return;if(o){const t=o[2]||o[3];if(e.captureSpan){const i=n.pos+o.index+o[1].length+1;r[e.name]={value:t,pos:i,end:i+t.length}}else r[e.name]=t}}e.push({name:o,args:{arguments:r,range:n}})}else e.push({name:o,args:{arguments:{},range:n}});return}const o=2===n.kind&&LL.exec(t);if(o)return Ek(e,n,2,o);if(3===n.kind){const r=/@(\S+)(\s+.*)?$/gim;let o;for(;o=r.exec(t);)Ek(e,n,4,o)}}function Ek(e,n,t,r){if(!r)return;const o=r[1].toLowerCase(),i=Zo[o];if(!(i&&i.kind&t))return;const a=function(e,n){if(!n)return{};if(!e.args)return{};const t=n.trim().split(/\s+/),r={};for(let n=0;n<e.args.length;n++){const o=e.args[n];if(!t[n]&&!o.optional)return"fail";if(o.captureSpan)return Tt.fail("Capture spans not yet implemented for non-xml pragmas");r[o.name]=t[n]}return r}(i,r[2]);"fail"!==a&&e.push({name:o,args:{arguments:a,range:n}})}function Sk(e,n){return e.kind===n.kind&&(80===e.kind?e.escapedText===n.escapedText:110===e.kind||(295===e.kind?e.namespace.escapedText===n.namespace.escapedText&&e.name.escapedText===n.name.escapedText:e.name.escapedText===n.name.escapedText&&Sk(e.expression,n.expression)))}var Tk,xk,Ak,Rk,Ik,Nk,Dk,Ck,Mk,Pk,Lk,kk,wk,Ok,Fk,Wk,zk,Gk,Bk,jk,Vk,Uk,Hk,Kk,qk,Jk,Xk,Yk,$k,Qk,Zk,ew,nw,tw,rw,ow,iw,aw,sw,lw,cw,dw,uw,pw=g({"src/compiler/parser.ts"(){JJ(),ni(),IL=JA(1,RL={createBaseSourceFileNode:e=>new(AL||(AL=Wp.getSourceFileConstructor()))(e,-1,-1),createBaseIdentifierNode:e=>new(TL||(TL=Wp.getIdentifierConstructor()))(e,-1,-1),createBasePrivateIdentifierNode:e=>new(xL||(xL=Wp.getPrivateIdentifierConstructor()))(e,-1,-1),createBaseTokenNode:e=>new(SL||(SL=Wp.getTokenConstructor()))(e,-1,-1),createBaseNode:e=>new(EL||(EL=Wp.getNodeConstructor()))(e,-1,-1)}),NL={166:function(e,n,t){return wL(n,e.left)||wL(n,e.right)},168:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||wL(n,e.constraint)||wL(n,e.default)||wL(n,e.expression)},304:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||wL(n,e.questionToken)||wL(n,e.exclamationToken)||wL(n,e.equalsToken)||wL(n,e.objectAssignmentInitializer)},305:function(e,n,t){return wL(n,e.expression)},169:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.dotDotDotToken)||wL(n,e.name)||wL(n,e.questionToken)||wL(n,e.type)||wL(n,e.initializer)},172:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||wL(n,e.questionToken)||wL(n,e.exclamationToken)||wL(n,e.type)||wL(n,e.initializer)},171:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||wL(n,e.questionToken)||wL(n,e.type)||wL(n,e.initializer)},303:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||wL(n,e.questionToken)||wL(n,e.exclamationToken)||wL(n,e.initializer)},260:function(e,n,t){return wL(n,e.name)||wL(n,e.exclamationToken)||wL(n,e.type)||wL(n,e.initializer)},208:function(e,n,t){return wL(n,e.dotDotDotToken)||wL(n,e.propertyName)||wL(n,e.name)||wL(n,e.initializer)},181:function(e,n,t){return OL(n,t,e.modifiers)||OL(n,t,e.typeParameters)||OL(n,t,e.parameters)||wL(n,e.type)},185:function(e,n,t){return OL(n,t,e.modifiers)||OL(n,t,e.typeParameters)||OL(n,t,e.parameters)||wL(n,e.type)},184:function(e,n,t){return OL(n,t,e.modifiers)||OL(n,t,e.typeParameters)||OL(n,t,e.parameters)||wL(n,e.type)},179:BL,180:BL,174:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.asteriskToken)||wL(n,e.name)||wL(n,e.questionToken)||wL(n,e.exclamationToken)||OL(n,t,e.typeParameters)||OL(n,t,e.parameters)||wL(n,e.type)||wL(n,e.body)},173:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||wL(n,e.questionToken)||OL(n,t,e.typeParameters)||OL(n,t,e.parameters)||wL(n,e.type)},176:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||OL(n,t,e.typeParameters)||OL(n,t,e.parameters)||wL(n,e.type)||wL(n,e.body)},177:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||OL(n,t,e.typeParameters)||OL(n,t,e.parameters)||wL(n,e.type)||wL(n,e.body)},178:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||OL(n,t,e.typeParameters)||OL(n,t,e.parameters)||wL(n,e.type)||wL(n,e.body)},262:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.asteriskToken)||wL(n,e.name)||OL(n,t,e.typeParameters)||OL(n,t,e.parameters)||wL(n,e.type)||wL(n,e.body)},218:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.asteriskToken)||wL(n,e.name)||OL(n,t,e.typeParameters)||OL(n,t,e.parameters)||wL(n,e.type)||wL(n,e.body)},219:function(e,n,t){return OL(n,t,e.modifiers)||OL(n,t,e.typeParameters)||OL(n,t,e.parameters)||wL(n,e.type)||wL(n,e.equalsGreaterThanToken)||wL(n,e.body)},175:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.body)},183:function(e,n,t){return wL(n,e.typeName)||OL(n,t,e.typeArguments)},182:function(e,n,t){return wL(n,e.assertsModifier)||wL(n,e.parameterName)||wL(n,e.type)},186:function(e,n,t){return wL(n,e.exprName)||OL(n,t,e.typeArguments)},187:function(e,n,t){return OL(n,t,e.members)},188:function(e,n,t){return wL(n,e.elementType)},189:function(e,n,t){return OL(n,t,e.elements)},192:jL,193:jL,194:function(e,n,t){return wL(n,e.checkType)||wL(n,e.extendsType)||wL(n,e.trueType)||wL(n,e.falseType)},195:function(e,n,t){return wL(n,e.typeParameter)},205:function(e,n,t){return wL(n,e.argument)||wL(n,e.attributes)||wL(n,e.qualifier)||OL(n,t,e.typeArguments)},302:function(e,n,t){return wL(n,e.assertClause)},196:VL,198:VL,199:function(e,n,t){return wL(n,e.objectType)||wL(n,e.indexType)},200:function(e,n,t){return wL(n,e.readonlyToken)||wL(n,e.typeParameter)||wL(n,e.nameType)||wL(n,e.questionToken)||wL(n,e.type)||OL(n,t,e.members)},201:function(e,n,t){return wL(n,e.literal)},202:function(e,n,t){return wL(n,e.dotDotDotToken)||wL(n,e.name)||wL(n,e.questionToken)||wL(n,e.type)},206:UL,207:UL,209:function(e,n,t){return OL(n,t,e.elements)},210:function(e,n,t){return OL(n,t,e.properties)},211:function(e,n,t){return wL(n,e.expression)||wL(n,e.questionDotToken)||wL(n,e.name)},212:function(e,n,t){return wL(n,e.expression)||wL(n,e.questionDotToken)||wL(n,e.argumentExpression)},213:HL,214:HL,215:function(e,n,t){return wL(n,e.tag)||wL(n,e.questionDotToken)||OL(n,t,e.typeArguments)||wL(n,e.template)},216:function(e,n,t){return wL(n,e.type)||wL(n,e.expression)},217:function(e,n,t){return wL(n,e.expression)},220:function(e,n,t){return wL(n,e.expression)},221:function(e,n,t){return wL(n,e.expression)},222:function(e,n,t){return wL(n,e.expression)},224:function(e,n,t){return wL(n,e.operand)},229:function(e,n,t){return wL(n,e.asteriskToken)||wL(n,e.expression)},223:function(e,n,t){return wL(n,e.expression)},225:function(e,n,t){return wL(n,e.operand)},226:function(e,n,t){return wL(n,e.left)||wL(n,e.operatorToken)||wL(n,e.right)},234:function(e,n,t){return wL(n,e.expression)||wL(n,e.type)},235:function(e,n,t){return wL(n,e.expression)},238:function(e,n,t){return wL(n,e.expression)||wL(n,e.type)},236:function(e,n,t){return wL(n,e.name)},227:function(e,n,t){return wL(n,e.condition)||wL(n,e.questionToken)||wL(n,e.whenTrue)||wL(n,e.colonToken)||wL(n,e.whenFalse)},230:function(e,n,t){return wL(n,e.expression)},241:KL,268:KL,312:function(e,n,t){return OL(n,t,e.statements)||wL(n,e.endOfFileToken)},243:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.declarationList)},261:function(e,n,t){return OL(n,t,e.declarations)},244:function(e,n,t){return wL(n,e.expression)},245:function(e,n,t){return wL(n,e.expression)||wL(n,e.thenStatement)||wL(n,e.elseStatement)},246:function(e,n,t){return wL(n,e.statement)||wL(n,e.expression)},247:function(e,n,t){return wL(n,e.expression)||wL(n,e.statement)},248:function(e,n,t){return wL(n,e.initializer)||wL(n,e.condition)||wL(n,e.incrementor)||wL(n,e.statement)},249:function(e,n,t){return wL(n,e.initializer)||wL(n,e.expression)||wL(n,e.statement)},250:function(e,n,t){return wL(n,e.awaitModifier)||wL(n,e.initializer)||wL(n,e.expression)||wL(n,e.statement)},251:qL,252:qL,253:function(e,n,t){return wL(n,e.expression)},254:function(e,n,t){return wL(n,e.expression)||wL(n,e.statement)},255:function(e,n,t){return wL(n,e.expression)||wL(n,e.caseBlock)},269:function(e,n,t){return OL(n,t,e.clauses)},296:function(e,n,t){return wL(n,e.expression)||OL(n,t,e.statements)},297:function(e,n,t){return OL(n,t,e.statements)},256:function(e,n,t){return wL(n,e.label)||wL(n,e.statement)},257:function(e,n,t){return wL(n,e.expression)},258:function(e,n,t){return wL(n,e.tryBlock)||wL(n,e.catchClause)||wL(n,e.finallyBlock)},299:function(e,n,t){return wL(n,e.variableDeclaration)||wL(n,e.block)},170:function(e,n,t){return wL(n,e.expression)},263:JL,231:JL,264:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||OL(n,t,e.typeParameters)||OL(n,t,e.heritageClauses)||OL(n,t,e.members)},265:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||OL(n,t,e.typeParameters)||wL(n,e.type)},266:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||OL(n,t,e.members)},306:function(e,n,t){return wL(n,e.name)||wL(n,e.initializer)},267:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||wL(n,e.body)},271:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)||wL(n,e.moduleReference)},272:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.importClause)||wL(n,e.moduleSpecifier)||wL(n,e.attributes)},273:function(e,n,t){return wL(n,e.name)||wL(n,e.namedBindings)},300:function(e,n,t){return OL(n,t,e.elements)},301:function(e,n,t){return wL(n,e.name)||wL(n,e.value)},270:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.name)},274:function(e,n,t){return wL(n,e.name)},280:function(e,n,t){return wL(n,e.name)},275:XL,279:XL,278:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.exportClause)||wL(n,e.moduleSpecifier)||wL(n,e.attributes)},276:YL,281:YL,277:function(e,n,t){return OL(n,t,e.modifiers)||wL(n,e.expression)},228:function(e,n,t){return wL(n,e.head)||OL(n,t,e.templateSpans)},239:function(e,n,t){return wL(n,e.expression)||wL(n,e.literal)},203:function(e,n,t){return wL(n,e.head)||OL(n,t,e.templateSpans)},204:function(e,n,t){return wL(n,e.type)||wL(n,e.literal)},167:function(e,n,t){return wL(n,e.expression)},298:function(e,n,t){return OL(n,t,e.types)},233:function(e,n,t){return wL(n,e.expression)||OL(n,t,e.typeArguments)},283:function(e,n,t){return wL(n,e.expression)},282:function(e,n,t){return OL(n,t,e.modifiers)},361:function(e,n,t){return OL(n,t,e.elements)},284:function(e,n,t){return wL(n,e.openingElement)||OL(n,t,e.children)||wL(n,e.closingElement)},288:function(e,n,t){return wL(n,e.openingFragment)||OL(n,t,e.children)||wL(n,e.closingFragment)},285:$L,286:$L,292:function(e,n,t){return OL(n,t,e.properties)},291:function(e,n,t){return wL(n,e.name)||wL(n,e.initializer)},293:function(e,n,t){return wL(n,e.expression)},294:function(e,n,t){return wL(n,e.dotDotDotToken)||wL(n,e.expression)},287:function(e,n,t){return wL(n,e.tagName)},295:function(e,n,t){return wL(n,e.namespace)||wL(n,e.name)},190:QL,191:QL,316:QL,322:QL,321:QL,323:QL,325:QL,324:function(e,n,t){return OL(n,t,e.parameters)||wL(n,e.type)},327:function(e,n,t){return("string"==typeof e.comment?void 0:OL(n,t,e.comment))||OL(n,t,e.tags)},354:function(e,n,t){return wL(n,e.tagName)||wL(n,e.name)||("string"==typeof e.comment?void 0:OL(n,t,e.comment))},317:function(e,n,t){return wL(n,e.name)},318:function(e,n,t){return wL(n,e.left)||wL(n,e.right)},348:ZL,355:ZL,337:function(e,n,t){return wL(n,e.tagName)||("string"==typeof e.comment?void 0:OL(n,t,e.comment))},336:function(e,n,t){return wL(n,e.tagName)||wL(n,e.class)||("string"==typeof e.comment?void 0:OL(n,t,e.comment))},335:function(e,n,t){return wL(n,e.tagName)||wL(n,e.class)||("string"==typeof e.comment?void 0:OL(n,t,e.comment))},352:function(e,n,t){return wL(n,e.tagName)||wL(n,e.constraint)||OL(n,t,e.typeParameters)||("string"==typeof e.comment?void 0:OL(n,t,e.comment))},353:function(e,n,t){return wL(n,e.tagName)||(e.typeExpression&&316===e.typeExpression.kind?wL(n,e.typeExpression)||wL(n,e.fullName)||("string"==typeof e.comment?void 0:OL(n,t,e.comment)):wL(n,e.fullName)||wL(n,e.typeExpression)||("string"==typeof e.comment?void 0:OL(n,t,e.comment)))},345:function(e,n,t){return wL(n,e.tagName)||wL(n,e.fullName)||wL(n,e.typeExpression)||("string"==typeof e.comment?void 0:OL(n,t,e.comment))},349:ek,351:ek,350:ek,347:ek,357:ek,356:ek,346:ek,330:function(e,n,t){return E(e.typeParameters,n)||E(e.parameters,n)||wL(n,e.type)},331:nk,332:nk,333:nk,329:function(e,n,t){return E(e.jsDocPropertyTags,n)},334:tk,339:tk,340:tk,341:tk,342:tk,343:tk,338:tk,344:tk,360:rk},(e=>{var n,t,r,a,s,l=Gs(99,!0),c=40960;function d(e){return E++,e}var u,p,f,m,_,h,g,y,v,b,E,S,T,x,A,R,I=JA(11,{createBaseSourceFileNode:e=>d(new s(e,0,0)),createBaseIdentifierNode:e=>d(new r(e,0,0)),createBasePrivateIdentifierNode:e=>d(new a(e,0,0)),createBaseTokenNode:e=>d(new t(e,0,0)),createBaseNode:e=>d(new n(e,0,0))}),{createNodeArray:N,createNumericLiteral:D,createStringLiteral:C,createLiteralLikeNode:P,createIdentifier:L,createPrivateIdentifier:k,createToken:w,createArrayLiteralExpression:O,createObjectLiteralExpression:F,createPropertyAccessExpression:W,createPropertyAccessChain:z,createElementAccessExpression:G,createElementAccessChain:B,createCallExpression:j,createCallChain:V,createNewExpression:U,createParenthesizedExpression:H,createBlock:K,createVariableStatement:q,createExpressionStatement:J,createIfStatement:X,createWhileStatement:$,createForStatement:Q,createForOfStatement:Z,createVariableDeclaration:ee,createVariableDeclarationList:ne}=I,te=!0,re=!1;function ie(e,n,t=2,r,o=!1){se(e,n,t,r,6,0),p=R,He();const i=Ge();let a,s;if(1===je())a=Sn([],i,i),s=gn();else{let e;for(;1!==je();){let n;switch(je()){case 23:n=lo();break;case 112:case 97:case 106:n=gn();break;case 41:n=nn((()=>9===He()&&59!==He()))?Fr():uo();break;case 9:case 11:if(nn((()=>59!==He()))){n=ht();break}default:n=uo()}e&&pn(e)?e.push(n):e?e=[e,n]:(e=n,1!==je()&&we(Oa.Unexpected_token))}const n=pn(e)?Tn(O(e),i):Tt.checkDefined(e),t=J(n);Tn(t,i),a=Sn([t],i),s=hn(1,Oa.Unexpected_token)}const l=pe(e,2,6,!1,a,s,p,yn);o&&ue(l),l.nodeCount=E,l.identifierCount=T,l.identifiers=S,l.parseDiagnostics=oT(g,l),y&&(l.jsDocDiagnostics=oT(y,l));const c=l;return le(),c}function se(e,o,i,c,d,y){switch(n=Wp.getNodeConstructor(),t=Wp.getTokenConstructor(),r=Wp.getIdentifierConstructor(),a=Wp.getPrivateIdentifierConstructor(),s=Wp.getSourceFileConstructor(),u=_a(e),f=o,m=i,v=c,_=d,h=_T(d),g=[],x=0,S=new Map,T=0,E=0,p=0,te=!0,_){case 1:case 2:R=524288;break;case 6:R=134742016;break;default:R=0}re=!1,l.setText(f),l.setOnError(ze),l.setScriptTarget(m),l.setLanguageVariant(h),l.setScriptKind(_),l.setJSDocParsingMode(y)}function le(){l.clearCommentDirectives(),l.setText(""),l.setOnError(void 0),l.setScriptKind(0),l.setJSDocParsingMode(0),f=void 0,m=void 0,v=void 0,_=void 0,h=void 0,p=0,g=void 0,y=void 0,x=0,S=void 0,A=void 0,te=!0}e.parseSourceFile=function(e,n,t,r,a=!1,s,c,d=0){var m;if(6===(s=QT(e,s))){const s=ie(e,n,t,r,a);return Bw(s,null==(m=s.statements[0])?void 0:m.expression,s.parseDiagnostics,!1,void 0),s.referencedFiles=o,s.typeReferenceDirectives=o,s.libReferenceDirectives=o,s.amdDependencies=o,s.hasNoDefaultLib=!1,s.pragmas=i,s}se(e,n,t,r,s,d);const _=function(e,n,t,r,o){const i=_k(u);i&&(R|=33554432);p=R,He();const a=Qn(0,ko);Tt.assert(1===je());const s=Be(),c=de(gn(),s),d=pe(u,e,t,i,a,c,p,r);gk(d,f),yk(d,m),d.commentDirectives=l.getCommentDirectives(),d.nodeCount=E,d.identifierCount=T,d.identifiers=S,d.parseDiagnostics=oT(g,d),d.jsDocParsingMode=o,y&&(d.jsDocDiagnostics=oT(y,d));n&&ue(d);return d;function m(e,n,t){g.push(nT(u,f,e,n,t))}}(t,a,s,c||sk,d);return le(),_},e.parseIsolatedEntityName=function(e,n){se("",e,n,void 0,1,0),He();const t=lt(!0),r=1===je()&&!g.length;return le(),r?t:void 0},e.parseJsonText=ie;let ce=!1;function de(e,n){if(!n)return e;Tt.assert(!e.jsDoc);const t=Y(B_(e,f),(n=>Oi.parseJSDocComment(e,n.pos,n.end-n.pos)));return t.length&&(e.jsDoc=t),ce&&(ce=!1,e.flags|=536870912),e}function ue(e){Hx(e,!0)}function pe(e,n,t,r,o,i,a,s){let c=I.createSourceFile(o,i,a);if(Bx(c,0,f.length),d(c),!r&&uk(c)&&67108864&c.transformFlags){const e=c;c=function(e){const n=v,t=CL.createSyntaxCursor(e);v={currentNode:function(e){const n=t.currentNode(e);return te&&n&&s(n)&&(n.intersectsChange=!0),n}};const r=[],o=g;g=[];let i=0,a=c(e.statements,0);for(;-1!==a;){const n=e.statements[i],t=e.statements[a];Ee(r,e.statements,i,a),i=d(e.statements,a);const s=M(o,(e=>e.start>=n.pos)),u=s>=0?M(o,(e=>e.start>=t.pos),s):-1;s>=0&&Ee(g,o,s,u>=0?u:void 0),en((()=>{const n=R;for(R|=65536,l.resetTokenState(t.pos),He();1!==je();){const n=l.getTokenFullStart(),t=Zn(0,ko);if(r.push(t),n===l.getTokenFullStart()&&He(),i>=0){const n=e.statements[i];if(t.end===n.pos)break;t.end>n.pos&&(i=d(e.statements,i+1))}}R=n}),2),a=i>=0?c(e.statements,i):-1}if(i>=0){const n=e.statements[i];Ee(r,e.statements,i);const t=M(o,(e=>e.start>=n.pos));t>=0&&Ee(g,o,t)}return v=n,I.updateSourceFile(e,yL(N(r),e.statements));function s(e){return!(65536&e.flags||!(67108864&e.transformFlags))}function c(e,n){for(let t=n;t<e.length;t++)if(s(e[t]))return t;return-1}function d(e,n){for(let t=n;t<e.length;t++)if(!s(e[t]))return t;return-1}}(c),e!==c&&d(c)}return c;function d(o){o.text=f,o.bindDiagnostics=[],o.bindSuggestionDiagnostics=void 0,o.languageVersion=n,o.fileName=e,o.languageVariant=_T(t),o.isDeclarationFile=r,o.scriptKind=t,s(o),o.setExternalModuleIndicator=s}}function fe(e,n){e?R|=n:R&=~n}function me(e){fe(e,8192)}function _e(e){fe(e,16384)}function he(e){fe(e,32768)}function ge(e){fe(e,65536)}function ve(e,n){const t=e&R;if(t){fe(!1,t);const e=n();return fe(!0,t),e}return n()}function be(e,n){const t=e&~R;if(t){fe(!0,t);const e=n();return fe(!1,t),e}return n()}function Se(e){return ve(8192,e)}function Te(e){return ve(131072,e)}function xe(e){return be(131072,e)}function Ae(e){return be(65536,e)}function Re(e){return ve(65536,e)}function Ie(e){return!!(R&e)}function Ne(){return Ie(16384)}function Ce(){return Ie(8192)}function Me(){return Ie(131072)}function Pe(){return Ie(32768)}function ke(){return Ie(65536)}function we(e,...n){return Fe(l.getTokenStart(),l.getTokenEnd(),e,...n)}function Oe(e,n,t,...r){const o=Le(g);let i;return o&&e===o.start||(i=nT(u,f,e,n,t,...r),g.push(i)),re=!0,i}function Fe(e,n,t,...r){return Oe(e,n-e,t,...r)}function We(e,n,...t){Fe(e.pos,e.end,n,...t)}function ze(e,n,t){Oe(l.getTokenEnd(),n,e,t)}function Ge(){return l.getTokenFullStart()}function Be(){return l.hasPrecedingJSDocComment()}function je(){return b}function Ve(){return b=l.scan()}function Ue(e){return He(),e()}function He(){return Vy(b)&&(l.hasUnicodeEscape()||l.hasExtendedUnicodeEscape())&&Fe(l.getTokenStart(),l.getTokenEnd(),Oa.Keywords_cannot_contain_escape_characters),Ve()}function Ke(){return b=l.scanJsDocToken()}function qe(e){return b=l.scanJSDocCommentTextToken(e)}function Je(){return b=l.reScanGreaterToken()}function Xe(e){return b=l.reScanTemplateToken(e)}function Ye(){return b=l.reScanLessThanToken()}function $e(){return b=l.reScanHashToken()}function Qe(){return b=l.scanJsxIdentifier()}function Ze(){return b=l.scanJsxToken()}function en(e,n){const t=b,r=g.length,o=re,i=R,a=0!==n?l.lookAhead(e):l.tryScan(e);return Tt.assert(i===R),a&&0===n||(b=t,2!==n&&(g.length=r),re=o),a}function nn(e){return en(e,1)}function tn(e){return en(e,0)}function rn(){return 80===je()||je()>118}function on(){return 80===je()||(127!==je()||!Ne())&&((135!==je()||!ke())&&je()>118)}function an(e,n,t=!0){return je()===e?(t&&He(),!0):(n?we(n):we(Oa._0_expected,as(e)),!1)}e.fixupParentReferences=ue;const sn=Object.keys(za).filter((e=>e.length>2));function ln(e){if(pD(e))return void Fe(Ts(f,e.template.pos),e.template.end,Oa.Module_declaration_names_may_only_use_or_quoted_strings);const n=tN(e)?Ll(e):void 0;if(!n||!zs(n,m))return void we(Oa._0_expected,as(27));const t=Ts(f,e.pos);switch(n){case"const":case"let":case"var":return void Fe(t,e.end,Oa.Variable_declaration_not_allowed_at_this_location);case"declare":return;case"interface":return void cn(Oa.Interface_name_cannot_be_0,Oa.Interface_must_be_given_a_name,19);case"is":return void Fe(t,l.getTokenStart(),Oa.A_type_predicate_is_only_allowed_in_return_type_position_for_functions_and_methods);case"module":case"namespace":return void cn(Oa.Namespace_name_cannot_be_0,Oa.Namespace_must_be_given_a_name,19);case"type":return void cn(Oa.Type_alias_name_cannot_be_0,Oa.Type_alias_must_be_given_a_name,64)}const r=qn(n,sn,(e=>e))??function(e){for(const n of sn)if(e.length>n.length+2&&st(e,n))return`${n} ${e.slice(n.length)}`;return}(n);r?Fe(t,e.end,Oa.Unknown_keyword_or_identifier_Did_you_mean_0,r):0!==je()&&Fe(t,e.end,Oa.Unexpected_keyword_or_identifier)}function cn(e,n,t){je()===t?we(n):we(e,l.getTokenValue())}function dn(e){return je()===e?(Ke(),!0):(Tt.assert(Hy(e)),we(Oa._0_expected,as(e)),!1)}function un(e,n,t,r){if(je()===n)return void He();const o=we(Oa._0_expected,as(n));t&&o&&xx(o,nT(u,f,r,1,Oa.The_parser_expected_to_find_a_1_to_match_the_0_token_here,as(e),as(n)))}function fn(e){return je()===e&&(He(),!0)}function mn(e){if(je()===e)return gn()}function _n(e){if(je()===e)return function(){const e=Ge(),n=je();return Ke(),Tn(w(n),e)}()}function hn(e,n,t){return mn(e)||xn(e,!1,n||Oa._0_expected,t||as(e))}function gn(){const e=Ge(),n=je();return He(),Tn(w(n),e)}function vn(){return 27===je()||(20===je()||1===je()||l.hasPrecedingLineBreak())}function bn(){return!!vn()&&(27===je()&&He(),!0)}function En(){return bn()||an(27)}function Sn(e,n,t,r){const o=N(e,r);return Gx(o,n,t??l.getTokenFullStart()),o}function Tn(e,n,t){return Gx(e,n,t??l.getTokenFullStart()),R&&(e.flags|=R),re&&(re=!1,e.flags|=262144),e}function xn(e,n,t,...r){n?Oe(l.getTokenFullStart(),0,t,...r):t&&we(t,...r);const o=Ge();return Tn(80===e?L("",void 0):td(e)?I.createTemplateLiteralLikeNode(e,"","",void 0):9===e?D("",void 0):11===e?C("",void 0):282===e?I.createMissingDeclaration():w(e),o)}function An(e){let n=S.get(e);return void 0===n&&S.set(e,n=e),n}function Rn(e,n,t){if(e){T++;const e=Ge(),n=je(),t=An(l.getTokenValue()),r=l.hasExtendedUnicodeEscape();return Ve(),Tn(L(t,n,r),e)}if(81===je())return we(t||Oa.Private_identifiers_are_not_allowed_outside_class_bodies),Rn(!0);if(0===je()&&l.tryScan((()=>80===l.reScanInvalidIdentifier())))return Rn(!0);T++;const r=1===je(),o=l.isReservedWord(),i=l.getTokenText(),a=o?Oa.Identifier_expected_0_is_a_reserved_word_that_cannot_be_used_here:Oa.Identifier_expected;return xn(80,r,n||a,i)}function In(e){return Rn(rn(),void 0,e)}function Nn(e,n){return Rn(on(),e,n)}function Dn(e){return Rn(ts(je()),e)}function Cn(){return(l.hasUnicodeEscape()||l.hasExtendedUnicodeEscape())&&we(Oa.Unicode_escape_sequence_cannot_appear_here),Rn(ts(je()))}function Mn(){return ts(je())||11===je()||9===je()}function Pn(e){if(11===je()||9===je()){const e=ht();return e.text=An(e.text),e}return e&&23===je()?function(){const e=Ge();an(23);const n=Se(Tr);return an(24),Tn(I.createComputedPropertyName(n),e)}():81===je()?kn():Dn()}function Ln(){return Pn(!0)}function kn(){const e=Ge(),n=k(An(l.getTokenValue()));return He(),Tn(n,e)}function wn(e){return je()===e&&tn(Fn)}function On(){return He(),!l.hasPrecedingLineBreak()&&Gn()}function Fn(){switch(je()){case 87:return 94===He();case 95:return He(),90===je()?nn(Bn):156===je()?nn(zn):Wn();case 90:return Bn();case 126:case 139:case 153:return He(),Gn();default:return On()}}function Wn(){return 60===je()||42!==je()&&130!==je()&&19!==je()&&Gn()}function zn(){return He(),Wn()}function Gn(){return 23===je()||19===je()||42===je()||26===je()||Mn()}function Bn(){return He(),86===je()||100===je()||120===je()||60===je()||128===je()&&nn(So)||134===je()&&nn(To)}function jn(e,n){if(et(e))return!0;switch(e){case 0:case 1:case 3:return!(27===je()&&n)&&Io();case 2:return 84===je()||90===je();case 4:return nn(Gt);case 5:return nn(ri)||27===je()&&!n;case 6:return 23===je()||Mn();case 12:switch(je()){case 23:case 42:case 26:case 25:return!0;default:return Mn()}case 18:return Mn();case 9:return 23===je()||26===je()||Mn();case 24:return ts(je())||11===je();case 7:return 19===je()?nn(Vn):n?on()&&!Jn():Er()&&!Jn();case 8:return Uo();case 10:return 28===je()||26===je()||Uo();case 19:return 103===je()||87===je()||on();case 15:switch(je()){case 28:case 25:return!0}case 11:return 26===je()||Sr();case 16:return Dt(!1);case 17:return Dt(!0);case 20:case 21:return 28===je()||ir();case 22:return gi();case 23:return(161!==je()||!nn(Wo))&&ts(je());case 13:return ts(je())||19===je();case 14:case 25:return!0;case 26:return Tt.fail("ParsingContext.Count used as a context");default:Tt.assertNever(e,"Non-exhaustive case in 'isListElement'.")}}function Vn(){if(Tt.assert(19===je()),20===He()){const e=He();return 28===e||19===e||96===e||119===e}return!0}function Un(){return He(),on()}function Hn(){return He(),ts(je())}function Kn(){return He(),rs(je())}function Jn(){return(119===je()||96===je())&&nn(Xn)}function Xn(){return He(),Sr()}function Yn(){return He(),ir()}function $n(e){if(1===je())return!0;switch(e){case 1:case 2:case 4:case 5:case 6:case 12:case 9:case 23:case 24:return 20===je();case 3:return 20===je()||84===je()||90===je();case 7:return 19===je()||96===je()||119===je();case 8:return function(){if(vn())return!0;if(Pr(je()))return!0;if(39===je())return!0;return!1}();case 19:return 32===je()||21===je()||19===je()||96===je()||119===je();case 11:return 22===je()||27===je();case 15:case 21:case 10:return 24===je();case 17:case 16:case 18:return 22===je()||24===je();case 20:return 28!==je();case 22:return 19===je()||20===je();case 13:return 32===je()||44===je();case 14:return 30===je()&&nn(xi);default:return!1}}function Qn(e,n){const t=x;x|=1<<e;const r=[],o=Ge();for(;!$n(e);)if(jn(e,!1))r.push(Zn(e,n));else if(tt(e))break;return x=t,Sn(r,o)}function Zn(e,n){const t=et(e);return t?nt(t):n()}function et(e,n){var t;if(!v||!function(e){switch(e){case 5:case 2:case 0:case 1:case 3:case 6:case 4:case 8:case 17:case 16:return!0}return!1}(e)||re)return;const r=v.currentNode(n??l.getTokenFullStart());if(im(r)||r.intersectsChange||Yf(r))return;return(101441536&r.flags)===R&&function(e,n){switch(n){case 5:return function(e){if(e)switch(e.kind){case 176:case 181:case 177:case 178:case 172:case 240:return!0;case 174:const n=e;return!(80===n.name.kind&&"constructor"===n.name.escapedText)}return!1}(e);case 2:return function(e){if(e)switch(e.kind){case 296:case 297:return!0}return!1}(e);case 0:case 1:case 3:return function(e){if(e)switch(e.kind){case 262:case 243:case 241:case 245:case 244:case 257:case 253:case 255:case 252:case 251:case 249:case 250:case 248:case 247:case 254:case 242:case 258:case 256:case 246:case 259:case 272:case 271:case 278:case 277:case 267:case 263:case 264:case 266:case 265:return!0}return!1}(e);case 6:return function(e){return 306===e.kind}(e);case 4:return function(e){if(e)switch(e.kind){case 180:case 173:case 181:case 171:case 179:return!0}return!1}(e);case 8:return function(e){if(260!==e.kind)return!1;const n=e;return void 0===n.initializer}(e);case 17:case 16:return function(e){if(169!==e.kind)return!1;const n=e;return void 0===n.initializer}(e)}return!1}(r,e)?(Zg(r)&&(null==(t=r.jsDoc)?void 0:t.jsDocCache)&&(r.jsDoc.jsDocCache=void 0),r):void 0}function nt(e){return l.resetTokenState(e.end),He(),e}function tt(e){return function(e){switch(e){case 0:return 90===je()?we(Oa._0_expected,as(95)):we(Oa.Declaration_or_statement_expected);case 1:return we(Oa.Declaration_or_statement_expected);case 2:return we(Oa.case_or_default_expected);case 3:return we(Oa.Statement_expected);case 18:case 4:return we(Oa.Property_or_signature_expected);case 5:return we(Oa.Unexpected_token_A_constructor_method_accessor_or_property_was_expected);case 6:return we(Oa.Enum_member_expected);case 7:return we(Oa.Expression_expected);case 8:return Vy(je())?we(Oa._0_is_not_allowed_as_a_variable_declaration_name,as(je())):we(Oa.Variable_declaration_expected);case 9:return we(Oa.Property_destructuring_pattern_expected);case 10:return we(Oa.Array_element_destructuring_pattern_expected);case 11:return we(Oa.Argument_expression_expected);case 12:return we(Oa.Property_assignment_expected);case 15:return we(Oa.Expression_or_comma_expected);case 17:return we(Oa.Parameter_declaration_expected);case 16:return Vy(je())?we(Oa._0_is_not_allowed_as_a_parameter_name,as(je())):we(Oa.Parameter_declaration_expected);case 19:return we(Oa.Type_parameter_declaration_expected);case 20:return we(Oa.Type_argument_expected);case 21:return we(Oa.Type_expected);case 22:return we(Oa.Unexpected_token_expected);case 23:return 161===je()?we(Oa._0_expected,"}"):we(Oa.Identifier_expected);case 13:case 14:case 25:return we(Oa.Identifier_expected);case 24:return we(Oa.Identifier_or_string_literal_expected);case 26:return Tt.fail("ParsingContext.Count used as a context");default:Tt.assertNever(e)}}(e),!!function(){Tt.assert(x,"Missing parsing context");for(let e=0;e<26;e++)if(x&1<<e&&(jn(e,!0)||$n(e)))return!0;return!1}()||(He(),!1)}function rt(e,n,t){const r=x;x|=1<<e;const o=[],i=Ge();let a=-1;for(;;)if(jn(e,!1)){const i=l.getTokenFullStart(),s=Zn(e,n);if(!s)return void(x=r);if(o.push(s),a=l.getTokenStart(),fn(28))continue;if(a=-1,$n(e))break;an(28,ot(e)),t&&27===je()&&!l.hasPrecedingLineBreak()&&He(),i===l.getTokenFullStart()&&He()}else{if($n(e))break;if(tt(e))break}return x=r,Sn(o,i,void 0,a>=0)}function ot(e){return 6===e?Oa.An_enum_member_name_must_be_followed_by_a_or:void 0}function it(){const e=Sn([],Ge());return e.isMissingList=!0,e}function at(e,n,t,r){if(an(t)){const t=rt(e,n);return an(r),t}return it()}function lt(e,n){const t=Ge();let r=e?Dn(n):Nn(n);for(;fn(25)&&30!==je();)r=Tn(I.createQualifiedName(r,dt(e,!1,!0)),t);return r}function ct(e,n){return Tn(I.createQualifiedName(e,n),e.pos)}function dt(e,n,t){if(l.hasPrecedingLineBreak()&&ts(je())){if(nn(Eo))return xn(80,!0,Oa.Identifier_expected)}if(81===je()){const e=kn();return n?e:xn(80,!0,Oa.Identifier_expected)}return e?t?Dn():Cn():Nn()}function ut(e){const n=Ge();return Tn(I.createTemplateExpression(gt(e),function(e){const n=Ge(),t=[];let r;do{r=_t(e),t.push(r)}while(17===r.literal.kind);return Sn(t,n)}(e)),n)}function pt(){const e=Ge();return Tn(I.createTemplateLiteralType(gt(!1),function(){const e=Ge(),n=[];let t;do{t=ft(),n.push(t)}while(17===t.literal.kind);return Sn(n,e)}()),e)}function ft(){const e=Ge();return Tn(I.createTemplateLiteralTypeSpan(vr(),mt(!1)),e)}function mt(e){return 20===je()?(Xe(e),function(){const e=yt(je());return Tt.assert(17===e.kind||18===e.kind,"Template fragment has wrong token kind"),e}()):hn(18,Oa._0_expected,as(20))}function _t(e){const n=Ge();return Tn(I.createTemplateSpan(Se(Tr),mt(e)),n)}function ht(){return yt(je())}function gt(e){!e&&26656&l.getTokenFlags()&&Xe(!1);const n=yt(je());return Tt.assert(16===n.kind,"Template head has wrong token kind"),n}function yt(e){const n=Ge(),t=td(e)?I.createTemplateLiteralLikeNode(e,l.getTokenValue(),function(e){const n=15===e||18===e,t=l.getTokenText();return t.substring(1,t.length-(l.isUnterminated()?0:n?1:2))}(e),7176&l.getTokenFlags()):9===e?D(l.getTokenValue(),l.getNumericLiteralFlags()):11===e?C(l.getTokenValue(),void 0,l.hasExtendedUnicodeEscape()):Zc(e)?P(e,l.getTokenValue()):Tt.fail();return l.hasExtendedUnicodeEscape()&&(t.hasExtendedUnicodeEscape=!0),l.isUnterminated()&&(t.isUnterminated=!0),He(),Tn(t,n)}function vt(){return lt(!0,Oa.Type_expected)}function bt(){if(!l.hasPrecedingLineBreak()&&30===Ye())return at(20,vr,30,32)}function Et(){const e=Ge();return Tn(I.createTypeReferenceNode(vt(),bt()),e)}function St(e){switch(e.kind){case 183:return im(e.typeName);case 184:case 185:{const{parameters:n,type:t}=e;return!!n.isMissingList||St(t)}case 196:return St(e.type);default:return!1}}function xt(){const e=Ge();return He(),Tn(I.createThisTypeNode(),e)}function At(){const e=Ge();let n;return 110!==je()&&105!==je()||(n=Dn(),an(59)),Tn(I.createParameterDeclaration(void 0,void 0,n,void 0,Rt(),void 0),e)}function Rt(){l.setInJSDocType(!0);const e=Ge();if(fn(144)){const n=I.createJSDocNamepathType(void 0);e:for(;;)switch(je()){case 20:case 1:case 28:case 5:break e;default:Ke()}return l.setInJSDocType(!1),Tn(n,e)}const n=fn(26);let t=gr();return l.setInJSDocType(!1),n&&(t=Tn(I.createJSDocVariadicType(t),e)),64===je()?(He(),Tn(I.createJSDocOptionalType(t),e)):t}function It(){const e=Ge(),n=li(!1,!0),t=Nn();let r,o;fn(96)&&(ir()||!Sr()?r=vr():o=Wr());const i=fn(64)?vr():void 0,a=I.createTypeParameterDeclaration(n,t,r,i);return a.expression=o,Tn(a,e)}function Nt(){if(30===je())return at(19,It,30,32)}function Dt(e){return 26===je()||Uo()||hd(je())||60===je()||ir(!e)}function Ct(e){return Mt(e)}function Mt(e,n=!0){const t=Ge(),r=Be(),o=e?Ae((()=>li(!0))):Re((()=>li(!0)));if(110===je()){const e=I.createParameterDeclaration(o,void 0,Rn(!0),void 0,br(),void 0),n=De(o);return n&&We(n,Oa.Neither_decorators_nor_modifiers_may_be_applied_to_this_parameters),de(Tn(e,t),r)}const i=te;te=!1;const a=mn(26);if(!n&&!rn()&&23!==je()&&19!==je())return;const s=de(Tn(I.createParameterDeclaration(o,a,function(e){const n=Ho(Oa.Private_identifiers_cannot_be_used_as_parameters);return 0===jf(n)&&!oe(e)&&hd(je())&&He(),n}(o),mn(58),br(),xr()),t),r);return te=i,s}function Pt(e,n){if(function(e,n){if(39===e)return an(e),!0;if(fn(59))return!0;if(n&&39===je())return we(Oa._0_expected,as(59)),He(),!0;return!1}(e,n))return Te(gr)}function Lt(e,n){const t=Ne(),r=ke();_e(!!(1&e)),ge(!!(2&e));const o=32&e?rt(17,At):rt(16,(()=>n?Ct(r):Mt(r,!1)));return _e(t),ge(r),o}function kt(e){if(!an(21))return it();const n=Lt(e,!0);return an(22),n}function wt(){fn(28)||En()}function Ot(e){const n=Ge(),t=Be();180===e&&an(105);const r=Nt(),o=kt(4),i=Pt(59,!0);wt();return de(Tn(179===e?I.createCallSignature(r,o,i):I.createConstructSignature(r,o,i),n),t)}function Ft(){return 23===je()&&nn(Wt)}function Wt(){if(He(),26===je()||24===je())return!0;if(hd(je())){if(He(),on())return!0}else{if(!on())return!1;He()}return 59===je()||28===je()||58===je()&&(He(),59===je()||28===je()||24===je())}function zt(e,n,t){const r=at(16,(()=>Ct(!1)),23,24),o=br();wt();return de(Tn(I.createIndexSignature(t,r,o),e),n)}function Gt(){if(21===je()||30===je()||139===je()||153===je())return!0;let e=!1;for(;hd(je());)e=!0,He();return 23===je()||(Mn()&&(e=!0,He()),!!e&&(21===je()||30===je()||58===je()||59===je()||28===je()||vn()))}function Bt(){if(21===je()||30===je())return Ot(179);if(105===je()&&nn(jt))return Ot(180);const e=Ge(),n=Be(),t=li(!1);return wn(139)?ti(e,n,t,177,4):wn(153)?ti(e,n,t,178,4):Ft()?zt(e,n,t):function(e,n,t){const r=Ln(),o=mn(58);let i;if(21===je()||30===je()){const e=Nt(),n=kt(4),a=Pt(59,!0);i=I.createMethodSignature(t,r,o,e,n,a)}else{const e=br();i=I.createPropertySignature(t,r,o,e),64===je()&&(i.initializer=xr())}return wt(),de(Tn(i,e),n)}(e,n,t)}function jt(){return He(),21===je()||30===je()}function Vt(){return 25===He()}function Ut(){switch(He()){case 21:case 30:case 25:return!0}return!1}function Ht(){let e;return an(19)?(e=Qn(4,Bt),an(20)):e=it(),e}function Kt(){return He(),40===je()||41===je()?148===He():(148===je()&&He(),23===je()&&Un()&&103===He())}function qt(){const e=Ge();let n;an(19),148!==je()&&40!==je()&&41!==je()||(n=gn(),148!==n.kind&&an(148)),an(23);const t=function(){const e=Ge(),n=Dn();an(103);const t=vr();return Tn(I.createTypeParameterDeclaration(void 0,n,t,void 0),e)}(),r=fn(130)?vr():void 0;let o;an(24),58!==je()&&40!==je()&&41!==je()||(o=gn(),58!==o.kind&&an(58));const i=br();En();const a=Qn(4,Bt);return an(20),Tn(I.createMappedTypeNode(n,t,r,o,i,a),e)}function Jt(){const e=Ge();if(fn(26))return Tn(I.createRestTypeNode(vr()),e);const n=vr();if(mM(n)&&n.pos===n.type.pos){const e=I.createOptionalTypeNode(n.type);return yL(e,n),e.flags=n.flags,e}return n}function Xt(){return 59===He()||58===je()&&59===He()}function Yt(){return 26===je()?ts(He())&&Xt():ts(je())&&Xt()}function $t(){if(nn(Yt)){const e=Ge(),n=Be(),t=mn(26),r=Dn(),o=mn(58);an(59);const i=Jt();return de(Tn(I.createNamedTupleMember(t,r,o,i),e),n)}return Jt()}function Qt(){const e=Ge(),n=Be(),t=function(){let e;if(128===je()){const n=Ge();He(),e=Sn([Tn(w(128),n)],n)}return e}(),r=fn(105);Tt.assert(!t||r,"Per isStartOfFunctionOrConstructorType, a function type cannot have modifiers.");const o=Nt(),i=kt(4),a=Pt(39,!1);return de(Tn(r?I.createConstructorTypeNode(t,o,i,a):I.createFunctionTypeNode(o,i,a),e),n)}function Zt(){const e=gn();return 25===je()?void 0:e}function er(e){const n=Ge();e&&He();let t=112===je()||97===je()||106===je()?gn():yt(je());return e&&(t=Tn(I.createPrefixUnaryExpression(41,t),n)),Tn(I.createLiteralTypeNode(t),n)}function nr(){return He(),102===je()}function tr(){p|=4194304;const e=Ge(),n=fn(114);an(102),an(21);const t=vr();let r;if(fn(28)){const e=l.getTokenStart();an(19);const n=je();if(118===n||132===n?He():we(Oa._0_expected,as(118)),an(59),r=Ri(n,!0),!an(20)){const n=Le(g);n&&n.code===Oa._0_expected.code&&xx(n,nT(u,f,e,1,Oa.The_parser_expected_to_find_a_1_to_match_the_0_token_here,"{","}"))}}an(22);const o=fn(25)?vt():void 0,i=bt();return Tn(I.createImportTypeNode(t,r,o,i,n),e)}function rr(){return He(),9===je()||10===je()}function or(){switch(je()){case 133:case 159:case 154:case 150:case 163:case 155:case 136:case 157:case 146:case 151:return tn(Zt)||Et();case 67:l.reScanAsteriskEqualsToken();case 42:return function(){const e=Ge();return He(),Tn(I.createJSDocAllType(),e)}();case 61:l.reScanQuestionToken();case 58:return function(){const e=Ge();return He(),28===je()||20===je()||22===je()||32===je()||64===je()||52===je()?Tn(I.createJSDocUnknownType(),e):Tn(I.createJSDocNullableType(vr(),!1),e)}();case 100:return function(){const e=Ge(),n=Be();if(tn(Si)){const t=kt(36),r=Pt(59,!1);return de(Tn(I.createJSDocFunctionType(t,r),e),n)}return Tn(I.createTypeReferenceNode(Dn(),void 0),e)}();case 54:return function(){const e=Ge();return He(),Tn(I.createJSDocNonNullableType(or(),!1),e)}();case 15:case 11:case 9:case 10:case 112:case 97:case 106:return er();case 41:return nn(rr)?er(!0):Et();case 116:return gn();case 110:{const n=xt();return 142!==je()||l.hasPrecedingLineBreak()?n:(e=n,He(),Tn(I.createTypePredicateNode(void 0,e,vr()),e.pos))}case 114:return nn(nr)?tr():function(){const e=Ge();an(114);const n=lt(!0),t=l.hasPrecedingLineBreak()?void 0:hi();return Tn(I.createTypeQueryNode(n,t),e)}();case 19:return nn(Kt)?qt():function(){const e=Ge();return Tn(I.createTypeLiteralNode(Ht()),e)}();case 23:return function(){const e=Ge();return Tn(I.createTupleTypeNode(at(21,$t,23,24)),e)}();case 21:return function(){const e=Ge();an(21);const n=vr();return an(22),Tn(I.createParenthesizedType(n),e)}();case 102:return tr();case 131:return nn(Eo)?function(){const e=Ge(),n=hn(131),t=110===je()?xt():Nn(),r=fn(142)?vr():void 0;return Tn(I.createTypePredicateNode(n,t,r),e)}():Et();case 16:return pt();default:return Et()}var e}function ir(e){switch(je()){case 133:case 159:case 154:case 150:case 163:case 136:case 148:case 155:case 158:case 116:case 157:case 106:case 110:case 114:case 146:case 19:case 23:case 30:case 52:case 51:case 105:case 11:case 9:case 10:case 112:case 97:case 151:case 42:case 58:case 54:case 26:case 140:case 102:case 131:case 15:case 16:return!0;case 100:return!e;case 41:return!e&&nn(rr);case 21:return!e&&nn(ar);default:return on()}}function ar(){return He(),22===je()||Dt(!1)||ir()}function sr(){const e=Ge();let n=or();for(;!l.hasPrecedingLineBreak();)switch(je()){case 54:He(),n=Tn(I.createJSDocNonNullableType(n,!0),e);break;case 58:if(nn(Yn))return n;He(),n=Tn(I.createJSDocNullableType(n,!0),e);break;case 23:if(an(23),ir()){const t=vr();an(24),n=Tn(I.createIndexedAccessTypeNode(n,t),e)}else an(24),n=Tn(I.createArrayTypeNode(n),e);break;default:return n}return n}function lr(){if(fn(96)){const e=xe(vr);if(Me()||58!==je())return e}}function cr(){const e=Ge();return an(140),Tn(I.createInferTypeNode(function(){const e=Ge(),n=Nn(),t=tn(lr);return Tn(I.createTypeParameterDeclaration(void 0,n,t),e)}()),e)}function dr(){const e=je();switch(e){case 143:case 158:case 148:return function(e){const n=Ge();return an(e),Tn(I.createTypeOperatorNode(e,dr()),n)}(e);case 140:return cr()}return Te(sr)}function ur(e){if(_r()){const n=Qt();let t;return t=wN(n)?e?Oa.Function_type_notation_must_be_parenthesized_when_used_in_a_union_type:Oa.Function_type_notation_must_be_parenthesized_when_used_in_an_intersection_type:e?Oa.Constructor_type_notation_must_be_parenthesized_when_used_in_a_union_type:Oa.Constructor_type_notation_must_be_parenthesized_when_used_in_an_intersection_type,We(n,t),n}}function pr(e,n,t){const r=Ge(),o=52===e,i=fn(e);let a=i&&ur(o)||n();if(je()===e||i){const i=[a];for(;fn(e);)i.push(ur(o)||n());a=Tn(t(Sn(i,r)),r)}return a}function fr(){return pr(51,dr,I.createIntersectionTypeNode)}function mr(){return He(),105===je()}function _r(){return 30===je()||(!(21!==je()||!nn(hr))||(105===je()||128===je()&&nn(mr)))}function hr(){if(He(),22===je()||26===je())return!0;if(function(){if(hd(je())&&li(!1),on()||110===je())return He(),!0;if(23===je()||19===je()){const e=g.length;return Ho(),e===g.length}return!1}()){if(59===je()||28===je()||58===je()||64===je())return!0;if(22===je()&&(He(),39===je()))return!0}return!1}function gr(){const e=Ge(),n=on()&&tn(yr),t=vr();return n?Tn(I.createTypePredicateNode(void 0,n,t),e):t}function yr(){const e=Nn();if(142===je()&&!l.hasPrecedingLineBreak())return He(),e}function vr(){if(81920&R)return ve(81920,vr);if(_r())return Qt();const e=Ge(),n=pr(52,fr,I.createUnionTypeNode);if(!Me()&&!l.hasPrecedingLineBreak()&&fn(96)){const t=xe(vr);an(58);const r=Te(vr);an(59);const o=Te(vr);return Tn(I.createConditionalTypeNode(n,t,r,o),e)}return n}function br(){return fn(59)?vr():void 0}function Er(){switch(je()){case 110:case 108:case 106:case 112:case 97:case 9:case 10:case 11:case 15:case 16:case 21:case 23:case 19:case 100:case 86:case 105:case 44:case 69:case 80:return!0;case 102:return nn(Ut);default:return on()}}function Sr(){if(Er())return!0;switch(je()){case 40:case 41:case 55:case 54:case 91:case 114:case 116:case 46:case 47:case 30:case 135:case 127:case 81:case 60:return!0;default:return!!kr()||on()}}function Tr(){const e=Pe();e&&he(!1);const n=Ge();let t,r=Ar(!0);for(;t=mn(28);)r=wr(r,t,Ar(!0),n);return e&&he(!0),r}function xr(){return fn(64)?Ar(!0):void 0}function Ar(e){if(function(){if(127===je())return!!Ne()||nn(xo);return!1}())return function(){const e=Ge();return He(),l.hasPrecedingLineBreak()||42!==je()&&!Sr()?Tn(I.createYieldExpression(void 0,void 0),e):Tn(I.createYieldExpression(mn(42),Ar(!0)),e)}();const n=function(e){const n=function(){if(21===je()||30===je()||134===je())return nn(Ir);if(39===je())return 1;return 0}();if(0===n)return;return 1===n?Dr(!0,!0):tn((()=>function(e){const n=l.getTokenStart();if(null==A?void 0:A.has(n))return;const t=Dr(!1,e);t||(A||(A=new Set)).add(n);return t}(e)))}(e)||function(e){if(134===je()&&1===nn(Nr)){const n=Ge(),t=Be(),r=ci();return Rr(n,Mr(0),e,t,r)}return}(e);if(n)return n;const t=Ge(),r=Be(),o=Mr(0);return 80===o.kind&&39===je()?Rr(t,o,e,r,void 0):iu(o)&&mE(Je())?wr(o,gn(),Ar(e),t):function(e,n,t){const r=mn(58);if(!r)return e;let o;return Tn(I.createConditionalExpression(e,r,ve(c,(()=>Ar(!1))),o=hn(59),am(o)?Ar(t):xn(80,!1,Oa._0_expected,as(59))),n)}(o,t,e)}function Rr(e,n,t,r,o){Tt.assert(39===je(),"parseSimpleArrowFunctionExpression should only have been called if we had a =>");const i=I.createParameterDeclaration(void 0,void 0,n,void 0,void 0,void 0);Tn(i,n.pos);const a=Sn([i],i.pos,i.end),s=hn(39),l=Cr(!!o,t);return de(Tn(I.createArrowFunction(o,void 0,a,void 0,s,l),e),r)}function Ir(){if(134===je()){if(He(),l.hasPrecedingLineBreak())return 0;if(21!==je()&&30!==je())return 0}const e=je(),n=He();if(21===e){if(22===n){switch(He()){case 39:case 59:case 19:return 1;default:return 0}}if(23===n||19===n)return 2;if(26===n)return 1;if(hd(n)&&134!==n&&nn(Un))return 130===He()?0:1;if(!on()&&110!==n)return 0;switch(He()){case 59:return 1;case 58:return He(),59===je()||28===je()||64===je()||22===je()?1:0;case 28:case 64:case 22:return 2}return 0}if(Tt.assert(30===e),!on()&&87!==je())return 0;if(1===h){return nn((()=>{fn(87);const e=He();if(96===e){switch(He()){case 64:case 32:case 44:return!1;default:return!0}}else if(28===e||64===e)return!0;return!1}))?1:0}return 2}function Nr(){if(134===je()){if(He(),l.hasPrecedingLineBreak()||39===je())return 0;const e=Mr(0);if(!l.hasPrecedingLineBreak()&&80===e.kind&&39===je())return 1}return 0}function Dr(e,n){const t=Ge(),r=Be(),o=ci(),i=oe(o,aN)?2:0,a=Nt();let s;if(an(21)){if(e)s=Lt(i,e);else{const n=Lt(i,e);if(!n)return;s=n}if(!an(22)&&!e)return}else{if(!e)return;s=it()}const l=59===je(),c=Pt(59,!1);if(c&&!e&&St(c))return;let d=c;for(;196===(null==d?void 0:d.kind);)d=d.type;const u=d&&gM(d);if(!e&&39!==je()&&(u||19!==je()))return;const p=je(),f=hn(39),m=39===p||19===p?Cr(oe(o,aN),n):Nn();if(!n&&l&&59!==je())return;return de(Tn(I.createArrowFunction(o,a,s,c,f,m),t),r)}function Cr(e,n){if(19===je())return _o(e?2:0);if(27!==je()&&100!==je()&&86!==je()&&Io()&&(19===je()||100===je()||86===je()||60===je()||!Sr()))return _o(16|(e?2:0));const t=te;te=!1;const r=e?Ae((()=>Ar(n))):Re((()=>Ar(n)));return te=t,r}function Mr(e){const n=Ge();return Lr(e,Wr(),n)}function Pr(e){return 103===e||165===e}function Lr(e,n,t){for(;;){Je();const i=Dv(je());if(!(43===je()?i>=e:i>e))break;if(103===je()&&Ce())break;if(130===je()||152===je()){if(l.hasPrecedingLineBreak())break;{const e=je();He(),n=152===e?(r=n,o=vr(),Tn(I.createSatisfiesExpression(r,o),r.pos)):Or(n,vr())}}else n=wr(n,gn(),Mr(i),t)}var r,o;return n}function kr(){return(!Ce()||103!==je())&&Dv(je())>0}function wr(e,n,t,r){return Tn(I.createBinaryExpression(e,n,t),r)}function Or(e,n){return Tn(I.createAsExpression(e,n),e.pos)}function Fr(){const e=Ge();return Tn(I.createPrefixUnaryExpression(je(),Ue(zr)),e)}function Wr(){if(function(){switch(je()){case 40:case 41:case 55:case 54:case 91:case 114:case 116:case 135:return!1;case 30:if(1!==h)return!1;default:return!0}}()){const e=Ge(),n=Gr();return 43===je()?Lr(Dv(je()),n,e):n}const e=je(),n=zr();if(43===je()){const t=Ts(f,n.pos),{end:r}=n;216===n.kind?Fe(t,r,Oa.A_type_assertion_expression_is_not_allowed_in_the_left_hand_side_of_an_exponentiation_expression_Consider_enclosing_the_expression_in_parentheses):(Tt.assert(Hy(e)),Fe(t,r,Oa.An_unary_expression_with_the_0_operator_is_not_allowed_in_the_left_hand_side_of_an_exponentiation_expression_Consider_enclosing_the_expression_in_parentheses,as(e)))}return n}function zr(){switch(je()){case 40:case 41:case 55:case 54:return Fr();case 91:return function(){const e=Ge();return Tn(I.createDeleteExpression(Ue(zr)),e)}();case 114:return function(){const e=Ge();return Tn(I.createTypeOfExpression(Ue(zr)),e)}();case 116:return function(){const e=Ge();return Tn(I.createVoidExpression(Ue(zr)),e)}();case 30:return 1===h?Vr(!0,void 0,void 0,!0):function(){Tt.assert(1!==h,"Type assertions should never be parsed in JSX; they should be parsed as comparisons or JSX elements/fragments.");const e=Ge();an(30);const n=vr();an(32);const t=zr();return Tn(I.createTypeAssertion(n,t),e)}();case 135:if(135===je()&&(ke()||nn(xo)))return function(){const e=Ge();return Tn(I.createAwaitExpression(Ue(zr)),e)}();default:return Gr()}}function Gr(){if(46===je()||47===je()){const e=Ge();return Tn(I.createPrefixUnaryExpression(je(),Ue(Br)),e)}if(1===h&&30===je()&&nn(Kn))return Vr(!0);const e=Br();if(Tt.assert(iu(e)),(46===je()||47===je())&&!l.hasPrecedingLineBreak()){const n=je();return He(),Tn(I.createPostfixUnaryExpression(e,n),e.pos)}return e}function Br(){const e=Ge();let n;return 102===je()?nn(jt)?(p|=4194304,n=gn()):nn(Vt)?(He(),He(),n=Tn(I.createMetaProperty(102,Dn()),e),p|=8388608):n=jr():n=108===je()?function(){const e=Ge();let n=gn();if(30===je()){const e=Ge(),t=tn(oo);void 0!==t&&(Fe(e,Ge(),Oa.super_may_not_use_type_arguments),eo()||(n=I.createExpressionWithTypeArguments(n,t)))}if(21===je()||25===je()||23===je())return n;return hn(25,Oa.super_must_be_followed_by_an_argument_list_or_member_access),Tn(W(n,dt(!0,!0,!0)),e)}():jr(),to(e,n)}function jr(){return Zr(Ge(),io(),!0)}function Vr(e,n,t,r=!1){const o=Ge(),i=function(e){const n=Ge();if(an(30),32===je())return Ze(),Tn(I.createJsxOpeningFragment(),n);const t=Kr(),r=524288&R?void 0:hi(),o=function(){const e=Ge();return Tn(I.createJsxAttributes(Qn(13,Jr)),e)}();let i;32===je()?(Ze(),i=I.createJsxOpeningElement(t,r,o)):(an(44),an(32,void 0,!1)&&(e?He():Ze()),i=I.createJsxSelfClosingElement(t,r,o));return Tn(i,n)}(e);let a;if(286===i.kind){let n,r=Hr(i);const s=r[r.length-1];if(284===(null==s?void 0:s.kind)&&!Sk(s.openingElement.tagName,s.closingElement.tagName)&&Sk(i.tagName,s.closingElement.tagName)){const e=s.children.end,t=Tn(I.createJsxElement(s.openingElement,s.children,Tn(I.createJsxClosingElement(Tn(L(""),e,e)),e,e)),s.openingElement.pos,e);r=Sn([...r.slice(0,r.length-1),t],r.pos,e),n=s.closingElement}else n=function(e,n){const t=Ge();an(31);const r=Kr();an(32,void 0,!1)&&(n||!Sk(e.tagName,r)?He():Ze());return Tn(I.createJsxClosingElement(r),t)}(i,e),Sk(i.tagName,n.tagName)||(t&&WC(t)&&Sk(n.tagName,t.tagName)?We(i.tagName,Oa.JSX_element_0_has_no_corresponding_closing_tag,Tm(f,i.tagName)):We(n.tagName,Oa.Expected_corresponding_JSX_closing_tag_for_0,Tm(f,i.tagName)));a=Tn(I.createJsxElement(i,r,n),o)}else 289===i.kind?a=Tn(I.createJsxFragment(i,Hr(i),function(e){const n=Ge();an(31),an(32,Oa.Expected_corresponding_closing_tag_for_JSX_fragment,!1)&&(e?He():Ze());return Tn(I.createJsxJsxClosingFragment(),n)}(e)),o):(Tt.assert(285===i.kind),a=i);if(!r&&e&&30===je()){const e=void 0===n?a.pos:n,t=tn((()=>Vr(!0,e)));if(t){const n=xn(28,!1);return Bx(n,t.pos,0),Fe(Ts(f,e),t.end,Oa.JSX_expressions_must_have_one_parent_element),Tn(I.createBinaryExpression(a,n,t),o)}}return a}function Ur(e,n){switch(n){case 1:if(BC(e))We(e,Oa.JSX_fragment_has_no_corresponding_closing_tag);else{const n=e.tagName;Fe(Math.min(Ts(f,n.pos),n.end),n.end,Oa.JSX_element_0_has_no_corresponding_closing_tag,Tm(f,e.tagName))}return;case 31:case 7:return;case 12:case 13:return function(){const e=Ge(),n=I.createJsxText(l.getTokenValue(),13===b);return b=l.scanJsxToken(),Tn(n,e)}();case 19:return qr(!1);case 30:return Vr(!1,void 0,e);default:return Tt.assertNever(n)}}function Hr(e){const n=[],t=Ge(),r=x;for(x|=16384;;){const t=Ur(e,b=l.reScanJsxToken());if(!t)break;if(n.push(t),WC(e)&&284===(null==t?void 0:t.kind)&&!Sk(t.openingElement.tagName,t.closingElement.tagName)&&Sk(e.tagName,t.closingElement.tagName))break}return x=r,Sn(n,t)}function Kr(){const e=Ge(),n=function(){const e=Ge();Qe();const n=110===je(),t=Cn();if(fn(59))return Qe(),Tn(I.createJsxNamespacedName(t,Cn()),e);return n?Tn(I.createToken(110),e):t}();if(qC(n))return n;let t=n;for(;fn(25);)t=Tn(W(t,dt(!0,!1,!1)),e);return t}function qr(e){const n=Ge();if(!an(19))return;let t,r;return 20!==je()&&(e||(t=mn(26)),r=Tr()),e?an(20):an(20,void 0,!1)&&Ze(),Tn(I.createJsxExpression(t,r),n)}function Jr(){if(19===je())return function(){const e=Ge();an(19),an(26);const n=Tr();return an(20),Tn(I.createJsxSpreadAttribute(n),e)}();const e=Ge();return Tn(I.createJsxAttribute(function(){const e=Ge();Qe();const n=Cn();if(fn(59))return Qe(),Tn(I.createJsxNamespacedName(n,Cn()),e);return n}(),function(){if(64===je()){if(11===(b=l.scanJsxAttributeValue()))return ht();if(19===je())return qr(!0);if(30===je())return Vr(!0);we(Oa.or_JSX_element_expected)}return}()),e)}function Xr(){return He(),ts(je())||23===je()||eo()}function Yr(e){if(64&e.flags)return!0;if(LD(e)){let n=e.expression;for(;LD(n)&&!(64&n.flags);)n=n.expression;if(64&n.flags){for(;LD(e);)e.flags|=64,e=e.expression;return!0}}return!1}function $r(e,n,t){const r=dt(!0,!0,!0),o=t||Yr(n),i=o?z(n,t,r):W(n,r);if(o&&rN(i.name)&&We(i.name,Oa.An_optional_chain_cannot_contain_private_identifiers),CD(n)&&n.typeArguments){Fe(n.typeArguments.pos-1,Ts(f,n.typeArguments.end)+1,Oa.An_instantiation_expression_cannot_be_followed_by_a_property_access)}return Tn(i,e)}function Qr(e,n,t){let r;if(24===je())r=xn(80,!0,Oa.An_element_access_expression_should_take_an_argument);else{const e=Se(Tr);nv(e)&&(e.text=An(e.text)),r=e}an(24);return Tn(t||Yr(n)?B(n,t,r):G(n,r),e)}function Zr(e,n,t){for(;;){let r,o=!1;if(t&&29===je()&&nn(Xr)?(r=hn(29),o=ts(je())):o=fn(25),o)n=$r(e,n,r);else if(!r&&Pe()||!fn(23)){if(!eo()){if(!r){if(54===je()&&!l.hasPrecedingLineBreak()){He(),n=Tn(I.createNonNullExpression(n),e);continue}const t=tn(oo);if(t){n=Tn(I.createExpressionWithTypeArguments(n,t),e);continue}}return n}n=r||233!==n.kind?no(e,n,r,void 0):no(e,n.expression,r,n.typeArguments)}else n=Qr(e,n,r)}}function eo(){return 15===je()||16===je()}function no(e,n,t,r){const o=I.createTaggedTemplateExpression(n,r,15===je()?(Xe(!0),ht()):ut(!0));return(t||64&n.flags)&&(o.flags|=64),o.questionDotToken=t,Tn(o,e)}function to(e,n){for(;;){let t;n=Zr(e,n,!0);const r=mn(29);if(r&&(t=tn(oo),eo()))n=no(e,n,r,t);else{if(!t&&21!==je()){if(r){const t=xn(80,!1,Oa.Identifier_expected);n=Tn(z(n,r,t),e)}break}{r||233!==n.kind||(t=n.typeArguments,n=n.expression);const o=ro();n=Tn(r||Yr(n)?V(n,r,t,o):j(n,t,o),e)}}}return n}function ro(){an(21);const e=rt(11,so);return an(22),e}function oo(){if(524288&R)return;if(30!==Ye())return;He();const e=rt(20,vr);return 32===Je()?(He(),e&&function(){switch(je()){case 21:case 15:case 16:return!0;case 30:case 32:case 40:case 41:return!1}return l.hasPrecedingLineBreak()||kr()||!Sr()}()?e:void 0):void 0}function io(){switch(je()){case 15:26656&l.getTokenFlags()&&Xe(!1);case 9:case 10:case 11:return ht();case 110:case 108:case 106:case 112:case 97:return gn();case 21:return function(){const e=Ge(),n=Be();an(21);const t=Se(Tr);return an(22),de(Tn(H(t),e),n)}();case 23:return lo();case 19:return uo();case 134:if(!nn(To))break;return po();case 60:return function(){const e=Ge(),n=Be(),t=li(!0);if(86===je())return pi(e,n,t,231);const r=xn(282,!0,Oa.Expression_expected);return Wx(r,e),r.modifiers=t,r}();case 86:return pi(Ge(),Be(),void 0,231);case 100:return po();case 105:return function(){const e=Ge();if(an(105),fn(25)){const n=Dn();return Tn(I.createMetaProperty(105,n),e)}let n,t=Zr(Ge(),io(),!1);233===t.kind&&(n=t.typeArguments,t=t.expression);29===je()&&we(Oa.Invalid_optional_chain_from_new_expression_Did_you_mean_to_call_0,Tm(f,t));const r=21===je()?ro():void 0;return Tn(U(t,n,r),e)}();case 44:case 69:if(14===(b=l.reScanSlashToken()))return ht();break;case 16:return ut(!1);case 81:return kn()}return Nn(Oa.Expression_expected)}function ao(){return 26===je()?function(){const e=Ge();an(26);const n=Ar(!0);return Tn(I.createSpreadElement(n),e)}():28===je()?Tn(I.createOmittedExpression(),Ge()):Ar(!0)}function so(){return ve(c,ao)}function lo(){const e=Ge(),n=l.getTokenStart(),t=an(23),r=l.hasPrecedingLineBreak(),o=rt(15,ao);return un(23,24,t,n),Tn(O(o,r),e)}function co(){const e=Ge(),n=Be();if(mn(26)){const t=Ar(!0);return de(Tn(I.createSpreadAssignment(t),e),n)}const t=li(!0);if(wn(139))return ti(e,n,t,177,0);if(wn(153))return ti(e,n,t,178,0);const r=mn(42),o=on(),i=Ln(),a=mn(58),s=mn(54);if(r||21===je()||30===je())return Zo(e,n,t,r,i,a,s);let l;if(o&&59!==je()){const e=mn(64),n=e?Se((()=>Ar(!0))):void 0;l=I.createShorthandPropertyAssignment(i,n),l.equalsToken=e}else{an(59);const e=Se((()=>Ar(!0)));l=I.createPropertyAssignment(i,e)}return l.modifiers=t,l.questionToken=a,l.exclamationToken=s,de(Tn(l,e),n)}function uo(){const e=Ge(),n=l.getTokenStart(),t=an(19),r=l.hasPrecedingLineBreak(),o=rt(12,co,!0);return un(19,20,t,n),Tn(F(o,r),e)}function po(){const e=Pe();he(!1);const n=Ge(),t=Be(),r=li(!1);an(100);const o=mn(42),i=o?1:0,a=oe(r,aN)?2:0,s=i&&a?be(81920,fo):i?function(e){return be(16384,e)}(fo):a?Ae(fo):fo();const l=Nt(),c=kt(i|a),d=Pt(59,!1),u=_o(i|a);he(e);return de(Tn(I.createFunctionExpression(r,o,s,l,c,d,u),n),t)}function fo(){return rn()?In():void 0}function mo(e,n){const t=Ge(),r=Be(),o=l.getTokenStart(),i=an(19,n);if(i||e){const e=l.hasPrecedingLineBreak(),n=Qn(1,ko);un(19,20,i,o);const a=de(Tn(K(n,e),t),r);return 64===je()&&(we(Oa.Declaration_or_statement_expected_This_follows_a_block_of_statements_so_if_you_intended_to_write_a_destructuring_assignment_you_might_need_to_wrap_the_whole_assignment_in_parentheses),He()),a}{const e=it();return de(Tn(K(e,void 0),t),r)}}function _o(e,n){const t=Ne();_e(!!(1&e));const r=ke();ge(!!(2&e));const o=te;te=!1;const i=Pe();i&&he(!1);const a=mo(!!(16&e),n);return i&&he(!0),te=o,_e(t),ge(r),a}function ho(){const e=Ge(),n=Be();an(99);const t=mn(135);let r;let o;if(an(21),27!==je()&&(r=115===je()||121===je()||87===je()||160===je()&&nn(Do)||135===je()&&nn(Po)?Jo(!0):be(8192,Tr)),t?an(165):fn(165)){const e=Se((()=>Ar(!0)));an(22),o=Z(t,r,e,ko())}else if(fn(103)){const e=Se(Tr);an(22),o=I.createForInStatement(r,e,ko())}else{an(27);const e=27!==je()&&22!==je()?Se(Tr):void 0;an(27);const n=22!==je()?Se(Tr):void 0;an(22),o=Q(r,e,n,ko())}return de(Tn(o,e),n)}function go(e){const n=Ge(),t=Be();an(252===e?83:88);const r=vn()?void 0:Nn();En();return de(Tn(252===e?I.createBreakStatement(r):I.createContinueStatement(r),n),t)}function yo(){return 84===je()?function(){const e=Ge(),n=Be();an(84);const t=Se(Tr);an(59);const r=Qn(3,ko);return de(Tn(I.createCaseClause(t,r),e),n)}():function(){const e=Ge();an(90),an(59);const n=Qn(3,ko);return Tn(I.createDefaultClause(n),e)}()}function vo(){const e=Ge(),n=Be();an(109),an(21);const t=Se(Tr);an(22);const r=function(){const e=Ge();an(19);const n=Qn(2,yo);return an(20),Tn(I.createCaseBlock(n),e)}();return de(Tn(I.createSwitchStatement(t,r),e),n)}function bo(){const e=Ge(),n=Be();an(113);const t=mo(!1),r=85===je()?function(){const e=Ge();let n;an(85),fn(21)?(n=qo(),an(22)):n=void 0;const t=mo(!1);return Tn(I.createCatchClause(n,t),e)}():void 0;let o;return r&&98!==je()||(an(98,Oa.catch_or_finally_expected),o=mo(!1)),de(Tn(I.createTryStatement(t,r,o),e),n)}function Eo(){return He(),ts(je())&&!l.hasPrecedingLineBreak()}function So(){return He(),86===je()&&!l.hasPrecedingLineBreak()}function To(){return He(),100===je()&&!l.hasPrecedingLineBreak()}function xo(){return He(),(ts(je())||9===je()||10===je()||11===je())&&!l.hasPrecedingLineBreak()}function Ao(){for(;;)switch(je()){case 115:case 121:case 87:case 100:case 86:case 94:return!0;case 160:return Mo();case 135:return Lo();case 120:case 156:return He(),!l.hasPrecedingLineBreak()&&on();case 144:case 145:return Go();case 128:case 129:case 134:case 138:case 123:case 124:case 125:case 148:const e=je();if(He(),l.hasPrecedingLineBreak())return!1;if(138===e&&156===je())return!0;continue;case 162:return He(),19===je()||80===je()||95===je();case 102:return He(),11===je()||42===je()||19===je()||ts(je());case 95:let n=He();if(156===n&&(n=nn(He)),64===n||42===n||19===n||90===n||130===n||60===n)return!0;continue;case 126:He();continue;default:return!1}}function Ro(){return nn(Ao)}function Io(){switch(je()){case 60:case 27:case 19:case 115:case 121:case 160:case 100:case 86:case 94:case 101:case 92:case 117:case 99:case 88:case 83:case 107:case 118:case 109:case 111:case 113:case 89:case 85:case 98:case 134:case 138:case 120:case 144:case 145:case 156:case 162:return!0;case 102:return Ro()||nn(Ut);case 87:case 95:return Ro();case 129:case 125:case 123:case 124:case 126:case 148:return Ro()||!nn(Eo);default:return Sr()}}function No(){return He(),rn()||19===je()||23===je()}function Do(){return Co(!0)}function Co(e){return He(),(!e||165!==je())&&((rn()||19===je())&&!l.hasPrecedingLineBreak())}function Mo(){return nn(Co)}function Po(e){return 160===He()&&Co(e)}function Lo(){return nn(Po)}function ko(){switch(je()){case 27:return function(){const e=Ge(),n=Be();return an(27),de(Tn(I.createEmptyStatement(),e),n)}();case 19:return mo(!1);case 115:return Yo(Ge(),Be(),void 0);case 121:if(nn(No))return Yo(Ge(),Be(),void 0);break;case 135:if(Lo())return Yo(Ge(),Be(),void 0);break;case 160:if(Mo())return Yo(Ge(),Be(),void 0);break;case 100:return $o(Ge(),Be(),void 0);case 86:return ui(Ge(),Be(),void 0);case 101:return function(){const e=Ge(),n=Be();an(101);const t=l.getTokenStart(),r=an(21),o=Se(Tr);un(21,22,r,t);const i=ko(),a=fn(93)?ko():void 0;return de(Tn(X(o,i,a),e),n)}();case 92:return function(){const e=Ge(),n=Be();an(92);const t=ko();an(117);const r=l.getTokenStart(),o=an(21),i=Se(Tr);return un(21,22,o,r),fn(27),de(Tn(I.createDoStatement(t,i),e),n)}();case 117:return function(){const e=Ge(),n=Be();an(117);const t=l.getTokenStart(),r=an(21),o=Se(Tr);un(21,22,r,t);const i=ko();return de(Tn($(o,i),e),n)}();case 99:return ho();case 88:return go(251);case 83:return go(252);case 107:return function(){const e=Ge(),n=Be();an(107);const t=vn()?void 0:Se(Tr);return En(),de(Tn(I.createReturnStatement(t),e),n)}();case 118:return function(){const e=Ge(),n=Be();an(118);const t=l.getTokenStart(),r=an(21),o=Se(Tr);un(21,22,r,t);const i=be(67108864,ko);return de(Tn(I.createWithStatement(o,i),e),n)}();case 109:return vo();case 111:return function(){const e=Ge(),n=Be();an(111);let t=l.hasPrecedingLineBreak()?void 0:Se(Tr);return void 0===t&&(T++,t=Tn(L(""),Ge())),bn()||ln(t),de(Tn(I.createThrowStatement(t),e),n)}();case 113:case 85:case 98:return bo();case 89:return function(){const e=Ge(),n=Be();return an(89),En(),de(Tn(I.createDebuggerStatement(),e),n)}();case 60:return Oo();case 134:case 120:case 156:case 144:case 145:case 138:case 87:case 94:case 95:case 102:case 123:case 124:case 125:case 128:case 129:case 126:case 148:case 162:if(Ro())return Oo()}return function(){const e=Ge();let n,t=Be();const r=21===je(),o=Se(Tr);return tN(o)&&fn(59)?n=I.createLabeledStatement(o,ko()):(bn()||ln(o),n=J(o),r&&(t=!1)),de(Tn(n,e),t)}()}function wo(e){return 138===e.kind}function Oo(){const e=Ge(),n=Be(),t=li(!0);if(oe(t,wo)){const r=function(e){return be(33554432,(()=>{const n=et(x,e);if(n)return nt(n)}))}(e);if(r)return r;for(const e of t)e.flags|=33554432;return be(33554432,(()=>Fo(e,n,t)))}return Fo(e,n,t)}function Fo(e,n,t){switch(je()){case 115:case 121:case 87:case 160:case 135:return Yo(e,n,t);case 100:return $o(e,n,t);case 86:return ui(e,n,t);case 120:return function(e,n,t){an(120);const r=Nn(),o=Nt(),i=fi(),a=Ht();return de(Tn(I.createInterfaceDeclaration(t,r,o,i,a),e),n)}(e,n,t);case 156:return function(e,n,t){an(156),l.hasPrecedingLineBreak()&&we(Oa.Line_break_not_permitted_here);const r=Nn(),o=Nt();an(64);const i=141===je()&&tn(Zt)||vr();En();return de(Tn(I.createTypeAliasDeclaration(t,r,o,i),e),n)}(e,n,t);case 94:return function(e,n,t){an(94);const r=Nn();let o;an(19)?(o=ve(81920,(()=>rt(6,yi))),an(20)):o=it();return de(Tn(I.createEnumDeclaration(t,r,o),e),n)}(e,n,t);case 162:case 144:case 145:return function(e,n,t){let r=0;if(162===je())return Ei(e,n,t);if(fn(145))r|=32;else if(an(144),11===je())return Ei(e,n,t);return bi(e,n,t,r)}(e,n,t);case 102:return function(e,n,t){an(102);const r=l.getTokenFullStart();let o;on()&&(o=Nn());let i,a=!1;"type"===(null==o?void 0:o.escapedText)&&(161!==je()||on()&&nn(zo))&&(on()||42===je()||19===je())&&(a=!0,o=on()?Nn():void 0);if(o&&28!==je()&&161!==je())return function(e,n,t,r,o){an(64);const i=149===je()&&nn(Si)?function(){const e=Ge();an(149),an(21);const n=Ii();return an(22),Tn(I.createExternalModuleReference(n),e)}():lt(!1);En();const a=I.createImportEqualsDeclaration(t,o,r,i),s=de(Tn(a,e),n);return s}(e,n,t,o,a);(o||42===je()||19===je())&&(i=function(e,n,t){let r;e&&!fn(28)||(r=42===je()?function(){const e=Ge();an(42),an(130);const n=Nn();return Tn(I.createNamespaceImport(n),e)}():Ni(275));return Tn(I.createImportClause(t,e,r),n)}(o,r,a),an(161));const s=Ii(),c=je();let d;118!==c&&132!==c||l.hasPrecedingLineBreak()||(d=Ri(c));En();return de(Tn(I.createImportDeclaration(t,i,s,d),e),n)}(e,n,t);case 95:switch(He(),je()){case 90:case 64:return function(e,n,t){const r=ke();let o;ge(!0),fn(64)?o=!0:an(90);const i=Ar(!0);En(),ge(r);return de(Tn(I.createExportAssignment(t,o,i),e),n)}(e,n,t);case 130:return function(e,n,t){an(130),an(145);const r=Nn();En();const o=I.createNamespaceExportDeclaration(r);return o.modifiers=t,de(Tn(o,e),n)}(e,n,t);default:return function(e,n,t){const r=ke();let o,i,a;ge(!0);const s=fn(156),c=Ge();fn(42)?(fn(130)&&(o=function(e){return Tn(I.createNamespaceExport(Dn()),e)}(c)),an(161),i=Ii()):(o=Ni(279),(161===je()||11===je()&&!l.hasPrecedingLineBreak())&&(an(161),i=Ii()));const d=je();!i||118!==d&&132!==d||l.hasPrecedingLineBreak()||(a=Ri(d));En(),ge(r);return de(Tn(I.createExportDeclaration(t,s,o,i,a),e),n)}(e,n,t)}default:if(t){const n=xn(282,!0,Oa.Declaration_expected);return Wx(n,e),n.modifiers=t,n}return}}function Wo(){return 11===He()}function zo(){return He(),161===je()||64===je()}function Go(){return He(),!l.hasPrecedingLineBreak()&&(on()||11===je())}function Bo(e,n){if(19!==je()){if(4&e)return void wt();if(vn())return void En()}return _o(e,n)}function jo(){const e=Ge();if(28===je())return Tn(I.createOmittedExpression(),e);const n=mn(26),t=Ho(),r=xr();return Tn(I.createBindingElement(n,void 0,t,r),e)}function Vo(){const e=Ge(),n=mn(26),t=rn();let r,o=Ln();t&&59!==je()?(r=o,o=void 0):(an(59),r=Ho());const i=xr();return Tn(I.createBindingElement(n,o,r,i),e)}function Uo(){return 19===je()||23===je()||81===je()||rn()}function Ho(e){return 23===je()?function(){const e=Ge();an(23);const n=Se((()=>rt(10,jo)));return an(24),Tn(I.createArrayBindingPattern(n),e)}():19===je()?function(){const e=Ge();an(19);const n=Se((()=>rt(9,Vo)));return an(20),Tn(I.createObjectBindingPattern(n),e)}():In(e)}function Ko(){return qo(!0)}function qo(e){const n=Ge(),t=Be(),r=Ho(Oa.Private_identifiers_are_not_allowed_in_variable_declarations);let o;e&&80===r.kind&&54===je()&&!l.hasPrecedingLineBreak()&&(o=gn());const i=br(),a=Pr(je())?void 0:xr();return de(Tn(ee(r,o,i,a),n),t)}function Jo(e){const n=Ge();let t,r=0;switch(je()){case 115:break;case 121:r|=1;break;case 87:r|=2;break;case 160:r|=4;break;case 135:Tt.assert(Lo()),r|=6,He();break;default:Tt.fail()}if(He(),165===je()&&nn(Xo))t=it();else{const n=Ce();me(e),t=rt(8,e?qo:Ko),me(n)}return Tn(ne(t,r),n)}function Xo(){return Un()&&22===He()}function Yo(e,n,t){const r=Jo(!1);En();return de(Tn(q(t,r),e),n)}function $o(e,n,t){const r=ke(),o=aE(t);an(100);const i=mn(42),a=2048&o?fo():In(),s=i?1:0,l=1024&o?2:0,c=Nt();32&o&&ge(!0);const d=kt(s|l),u=Pt(59,!1),p=Bo(s|l,Oa.or_expected);ge(r);return de(Tn(I.createFunctionDeclaration(t,i,a,c,d,u,p),e),n)}function Qo(e,n,t){return tn((()=>{if(137===je()?an(137):11===je()&&21===nn(He)?tn((()=>{const e=ht();return"constructor"===e.text?e:void 0})):void 0){const r=Nt(),o=kt(0),i=Pt(59,!1),a=Bo(0,Oa.or_expected),s=I.createConstructorDeclaration(t,o,a);return s.typeParameters=r,s.type=i,de(Tn(s,e),n)}}))}function Zo(e,n,t,r,o,i,a,s){const l=r?1:0,c=oe(t,aN)?2:0,d=Nt(),u=kt(l|c),p=Pt(59,!1),f=Bo(l|c,s),m=I.createMethodDeclaration(t,r,o,i,d,u,p,f);return m.exclamationToken=a,de(Tn(m,e),n)}function ei(e,n,t,r,o){const i=o||l.hasPrecedingLineBreak()?void 0:mn(54),a=br(),s=ve(90112,xr);!function(e,n,t){if(60!==je()||l.hasPrecedingLineBreak())return 21===je()?(we(Oa.Cannot_start_a_function_call_in_a_type_annotation),void He()):void(!n||vn()?bn()||(t?we(Oa._0_expected,as(27)):ln(e)):t?we(Oa._0_expected,as(27)):we(Oa.Expected_for_property_initializer));we(Oa.Decorators_must_precede_the_name_and_all_keywords_of_property_declarations)}(r,a,s);return de(Tn(I.createPropertyDeclaration(t,r,o||i,a,s),e),n)}function ni(e,n,t){const r=mn(42),o=Ln(),i=mn(58);return r||21===je()||30===je()?Zo(e,n,t,r,o,i,void 0,Oa.or_expected):ei(e,n,t,o,i)}function ti(e,n,t,r,o){const i=Ln(),a=Nt(),s=kt(0),l=Pt(59,!1),c=Bo(o),d=177===r?I.createGetAccessorDeclaration(t,i,s,l,c):I.createSetAccessorDeclaration(t,i,s,c);return d.typeParameters=a,DN(d)&&(d.type=l),de(Tn(d,e),n)}function ri(){let e;if(60===je())return!0;for(;hd(je());){if(e=je(),yd(e))return!0;He()}if(42===je())return!0;if(Mn()&&(e=je(),He()),23===je())return!0;if(void 0!==e){if(!Vy(e)||153===e||139===e)return!0;switch(je()){case 21:case 30:case 54:case 59:case 64:case 58:return!0;default:return vn()}}return!1}function oi(e,n,t){hn(126);const r=function(){const e=Ne(),n=ke();_e(!1),ge(!0);const t=mo(!1);return _e(e),ge(n),t}(),o=de(Tn(I.createClassStaticBlockDeclaration(r),e),n);return o.modifiers=t,o}function ii(){if(ke()&&135===je()){const e=Ge(),n=Nn(Oa.Expression_expected);He();return to(e,Zr(e,n,!0))}return Br()}function ai(){const e=Ge();if(!fn(60))return;const n=be(32768,ii);return Tn(I.createDecorator(n),e)}function si(e,n,t){const r=Ge(),o=je();if(87===je()&&n){if(!tn(On))return}else{if(t&&126===je()&&nn(Ti))return;if(e&&126===je())return;if(!hd(je())||!tn(Fn))return}return Tn(w(o),r)}function li(e,n,t){const r=Ge();let o,i,a,s=!1,l=!1,c=!1;if(e&&60===je())for(;i=ai();)o=ye(o,i);for(;a=si(s,n,t);)126===a.kind&&(s=!0),o=ye(o,a),l=!0;if(l&&e&&60===je())for(;i=ai();)o=ye(o,i),c=!0;if(c)for(;a=si(s,n,t);)126===a.kind&&(s=!0),o=ye(o,a);return o&&Sn(o,r)}function ci(){let e;if(134===je()){const n=Ge();He();e=Sn([Tn(w(134),n)],n)}return e}function di(){const e=Ge(),n=Be();if(27===je())return He(),de(Tn(I.createSemicolonClassElement(),e),n);const t=li(!0,!0,!0);if(126===je()&&nn(Ti))return oi(e,n,t);if(wn(139))return ti(e,n,t,177,0);if(wn(153))return ti(e,n,t,178,0);if(137===je()||11===je()){const r=Qo(e,n,t);if(r)return r}if(Ft())return zt(e,n,t);if(ts(je())||11===je()||9===je()||42===je()||23===je()){if(oe(t,wo)){for(const e of t)e.flags|=33554432;return be(33554432,(()=>ni(e,n,t)))}return ni(e,n,t)}if(t){const r=xn(80,!0,Oa.Declaration_expected);return ei(e,n,t,r,void 0)}return Tt.fail("Should not have attempted to parse class member declaration.")}function ui(e,n,t){return pi(e,n,t,263)}function pi(e,n,t,r){const o=ke();an(86);const i=!rn()||119===je()&&nn(Hn)?void 0:Rn(rn()),a=Nt();oe(t,oN)&&ge(!0);const s=fi();let l;an(19)?(l=Qn(5,di),an(20)):l=it(),ge(o);return de(Tn(263===r?I.createClassDeclaration(t,i,a,s,l):I.createClassExpression(t,i,a,s,l),e),n)}function fi(){if(gi())return Qn(22,mi)}function mi(){const e=Ge(),n=je();Tt.assert(96===n||119===n),He();const t=rt(7,_i);return Tn(I.createHeritageClause(n,t),e)}function _i(){const e=Ge(),n=Br();if(233===n.kind)return n;const t=hi();return Tn(I.createExpressionWithTypeArguments(n,t),e)}function hi(){return 30===je()?at(20,vr,30,32):void 0}function gi(){return 96===je()||119===je()}function yi(){const e=Ge(),n=Be(),t=Ln(),r=Se(xr);return de(Tn(I.createEnumMember(t,r),e),n)}function vi(){const e=Ge();let n;return an(19)?(n=Qn(1,ko),an(20)):n=it(),Tn(I.createModuleBlock(n),e)}function bi(e,n,t,r){const o=32&r,i=8&r?Dn():Nn(),a=fn(25)?bi(Ge(),!1,void 0,8|o):vi();return de(Tn(I.createModuleDeclaration(t,i,a,r),e),n)}function Ei(e,n,t){let r,o,i=0;162===je()?(r=Nn(),i|=2048):(r=ht(),r.text=An(r.text)),19===je()?o=vi():En();return de(Tn(I.createModuleDeclaration(t,r,o,i),e),n)}function Si(){return 21===He()}function Ti(){return 19===He()}function xi(){return 44===He()}function Ai(){const e=Ge(),n=ts(je())?Dn():yt(11);an(59);const t=Ar(!0);return Tn(I.createImportAttribute(n,t),e)}function Ri(e,n){const t=Ge();n||an(e);const r=l.getTokenStart();if(an(19)){const n=l.hasPrecedingLineBreak(),o=rt(24,Ai,!0);if(!an(20)){const e=Le(g);e&&e.code===Oa._0_expected.code&&xx(e,nT(u,f,r,1,Oa.The_parser_expected_to_find_a_1_to_match_the_0_token_here,"{","}"))}return Tn(I.createImportAttributes(o,n,e),t)}{const n=Sn([],Ge(),void 0,!1);return Tn(I.createImportAttributes(n,!1,e),t)}}function Ii(){if(11===je()){const e=ht();return e.text=An(e.text),e}return Tr()}function Ni(e){const n=Ge();return Tn(275===e?I.createNamedImports(at(23,Ci,19,20)):I.createNamedExports(at(23,Di,19,20)),n)}function Di(){const e=Be();return de(Mi(281),e)}function Ci(){return Mi(276)}function Mi(e){const n=Ge();let t,r=Vy(je())&&!on(),o=l.getTokenStart(),i=l.getTokenEnd(),a=!1,s=!0,c=Dn();if("type"===c.escapedText)if(130===je()){const e=Dn();if(130===je()){const n=Dn();ts(je())?(a=!0,t=e,c=d(),s=!1):(t=c,c=n,s=!1)}else ts(je())?(t=c,s=!1,c=d()):(a=!0,c=e)}else ts(je())&&(a=!0,c=d());s&&130===je()&&(t=c,an(130),c=d()),276===e&&r&&Fe(o,i,Oa.Identifier_expected);return Tn(276===e?I.createImportSpecifier(a,t,c):I.createExportSpecifier(a,t,c),n);function d(){return r=Vy(je())&&!on(),o=l.getTokenStart(),i=l.getTokenEnd(),Dn()}}let Pi;var Li;let ki;var wi;let Oi;(Li=Pi||(Pi={}))[Li.SourceElements=0]="SourceElements",Li[Li.BlockStatements=1]="BlockStatements",Li[Li.SwitchClauses=2]="SwitchClauses",Li[Li.SwitchClauseStatements=3]="SwitchClauseStatements",Li[Li.TypeMembers=4]="TypeMembers",Li[Li.ClassMembers=5]="ClassMembers",Li[Li.EnumMembers=6]="EnumMembers",Li[Li.HeritageClauseElement=7]="HeritageClauseElement",Li[Li.VariableDeclarations=8]="VariableDeclarations",Li[Li.ObjectBindingElements=9]="ObjectBindingElements",Li[Li.ArrayBindingElements=10]="ArrayBindingElements",Li[Li.ArgumentExpressions=11]="ArgumentExpressions",Li[Li.ObjectLiteralMembers=12]="ObjectLiteralMembers",Li[Li.JsxAttributes=13]="JsxAttributes",Li[Li.JsxChildren=14]="JsxChildren",Li[Li.ArrayLiteralMembers=15]="ArrayLiteralMembers",Li[Li.Parameters=16]="Parameters",Li[Li.JSDocParameters=17]="JSDocParameters",Li[Li.RestProperties=18]="RestProperties",Li[Li.TypeParameters=19]="TypeParameters",Li[Li.TypeArguments=20]="TypeArguments",Li[Li.TupleElementTypes=21]="TupleElementTypes",Li[Li.HeritageClauses=22]="HeritageClauses",Li[Li.ImportOrExportSpecifiers=23]="ImportOrExportSpecifiers",Li[Li.ImportAttributes=24]="ImportAttributes",Li[Li.JSDocComment=25]="JSDocComment",Li[Li.Count=26]="Count",(wi=ki||(ki={}))[wi.False=0]="False",wi[wi.True=1]="True",wi[wi.Unknown=2]="Unknown",(e=>{function n(e){const n=Ge(),t=(e?fn:an)(19),r=be(16777216,Rt);e&&!t||dn(20);const o=I.createJSDocTypeExpression(r);return ue(o),Tn(o,n)}function t(){const e=Ge(),n=fn(19),t=Ge();let r=lt(!1);for(;81===je();)$e(),Ke(),r=Tn(I.createJSDocMemberName(r,Nn()),t);n&&dn(20);const o=I.createJSDocNameReference(r);return ue(o),Tn(o,e)}let r;var o;let i;var a;function s(e=0,r){const o=f,i=void 0===r?o.length:e+r;if(r=i-e,Tt.assert(e>=0),Tt.assert(e<=i),Tt.assert(i<=o.length),!FL(o,e))return;let a,s,c,d,p,m=[];const _=[],h=x;x|=1<<25;const g=l.scanRange(e+3,r-5,(function(){let n,t=1,r=e-(o.lastIndexOf("\n",e)+1)+4;function u(e){n||(n=r),m.push(e),r+=e.length}Ke();for(;$(5););$(4)&&(t=0,r=0);e:for(;;){switch(je()){case 60:v(m),p||(p=Ge()),P(A(r)),t=0,n=void 0;break;case 4:m.push(l.getTokenText()),t=0,r=0;break;case 42:const o=l.getTokenText();1===t?(t=2,u(o)):(Tt.assert(0===t),t=1,r+=o.length);break;case 5:Tt.assert(2!==t,"whitespace shouldn't come from the scanner while saving top-level comment text");const i=l.getTokenText();void 0!==n&&r+i.length>n&&m.push(i.slice(n-r)),r+=i.length;break;case 1:break e;case 82:t=2,u(l.getTokenValue());break;case 19:t=2;const a=l.getTokenFullStart(),s=D(l.getTokenEnd()-1);if(s){d||y(m),_.push(Tn(I.createJSDocText(m.join("")),d??e,a)),_.push(s),m=[],d=l.getTokenEnd();break}default:t=2,u(l.getTokenText())}2===t?qe(!1):Ke()}const f=m.join("").trimEnd();_.length&&f.length&&_.push(Tn(I.createJSDocText(f),d??e,p));_.length&&a&&Tt.assertIsDefined(p,"having parsed tags implies that the end of the comment span should be set");const h=a&&Sn(a,s,c);return Tn(I.createJSDocComment(_.length?Sn(_,e,p):f.length?f:void 0,h),e,i)}));return x=h,g;function y(e){for(;e.length&&("\n"===e[0]||"\r"===e[0]);)e.shift()}function v(e){for(;e.length;){const n=e[e.length-1].trimEnd();if(""!==n){if(n.length<e[e.length-1].length){e[e.length-1]=n;break}break}e.pop()}}function b(){for(;;){if(Ke(),1===je())return!0;if(5!==je()&&4!==je())return!1}}function E(){if(5!==je()&&4!==je()||!nn(b))for(;5===je()||4===je();)Ke()}function S(){if((5===je()||4===je())&&nn(b))return"";let e=l.hasPrecedingLineBreak(),n=!1,t="";for(;e&&42===je()||5===je()||4===je();)t+=l.getTokenText(),4===je()?(e=!0,n=!0,t=""):42===je()&&(e=!1),Ke();return n?t:""}function A(e){Tt.assert(60===je());const r=l.getTokenStart();Ke();const o=Q(void 0),i=S();let s;switch(o.escapedText){case"author":s=function(e,n,t,r){const o=Ge(),i=function(){const e=[];let n=!1,t=l.getToken();for(;1!==t&&4!==t;){if(30===t)n=!0;else{if(60===t&&!n)break;if(32===t&&n){e.push(l.getTokenText()),l.resetTokenState(l.getTokenEnd());break}}e.push(l.getTokenText()),t=Ke()}return I.createJSDocText(e.join(""))}();let a=l.getTokenFullStart();const s=R(e,a,t,r);s||(a=l.getTokenFullStart());const c="string"!=typeof s?Sn(ae([Tn(i,o,a)],s),o):i.text+s;return Tn(I.createJSDocAuthorTag(n,c),e)}(r,o,e,i);break;case"implements":s=function(e,n,t,r){const o=G();return Tn(I.createJSDocImplementsTag(n,o,R(e,Ge(),t,r)),e)}(r,o,e,i);break;case"augments":case"extends":s=function(e,n,t,r){const o=G();return Tn(I.createJSDocAugmentsTag(n,o,R(e,Ge(),t,r)),e)}(r,o,e,i);break;case"class":case"constructor":s=B(r,I.createJSDocClassTag,o,e,i);break;case"public":s=B(r,I.createJSDocPublicTag,o,e,i);break;case"private":s=B(r,I.createJSDocPrivateTag,o,e,i);break;case"protected":s=B(r,I.createJSDocProtectedTag,o,e,i);break;case"readonly":s=B(r,I.createJSDocReadonlyTag,o,e,i);break;case"override":s=B(r,I.createJSDocOverrideTag,o,e,i);break;case"deprecated":ce=!0,s=B(r,I.createJSDocDeprecatedTag,o,e,i);break;case"this":s=j(r,o,e,i);break;case"enum":s=function(e,t,r,o){const i=n(!0);return E(),Tn(I.createJSDocEnumTag(t,i,R(e,Ge(),r,o)),e)}(r,o,e,i);break;case"arg":case"argument":case"param":return F(r,o,2,e);case"return":case"returns":s=function(e,n,t,r){oe(a,FM)&&Fe(n.pos,l.getTokenStart(),Oa._0_tag_already_specified,Pl(n.escapedText));const o=k();return Tn(I.createJSDocReturnTag(n,o,R(e,Ge(),t,r)),e)}(r,o,e,i);break;case"template":s=Y(r,o,e,i);break;case"type":s=z(r,o,e,i);break;case"typedef":s=function(e,n,t,r){let o=k();S();const i=V();E();let a,s=N(t);if(!o||O(o.type)){let n,r,i,s=!1;for(;(n=tn((()=>K(t))))&&352!==n.kind;)if(s=!0,351===n.kind){if(r){const e=we(Oa.A_JSDoc_typedef_comment_may_not_contain_multiple_type_tags);e&&xx(e,nT(u,f,0,0,Oa.The_tag_was_first_specified_here));break}r=n}else i=ye(i,n);if(s){const n=o&&188===o.type.kind,t=I.createJSDocTypeLiteral(i,n);o=r&&r.typeExpression&&!O(r.typeExpression.type)?r.typeExpression:Tn(t,e),a=o.end}}a=a||void 0!==s?Ge():(i??o??n).end,s||(s=R(e,a,t,r));const l=I.createJSDocTypedefTag(n,o,i,s);return Tn(l,e,a)}(r,o,e,i);break;case"callback":s=function(e,n,t,r){const o=V();E();let i=N(t);const a=U(e,t);i||(i=R(e,Ge(),t,r));const s=void 0!==i?Ge():a.end;return Tn(I.createJSDocCallbackTag(n,a,o,i),e,s)}(r,o,e,i);break;case"overload":s=function(e,n,t,r){E();let o=N(t);const i=U(e,t);o||(o=R(e,Ge(),t,r));const a=void 0!==o?Ge():i.end;return Tn(I.createJSDocOverloadTag(n,i,o),e,a)}(r,o,e,i);break;case"satisfies":s=function(e,t,r,o){const i=n(!1),a=void 0!==r&&void 0!==o?R(e,Ge(),r,o):void 0;return Tn(I.createJSDocSatisfiesTag(t,i,a),e)}(r,o,e,i);break;case"see":s=function(e,n,r,o){const i=23===je()||nn((()=>60===Ke()&&ts(Ke())&&M(l.getTokenValue())))?void 0:t(),a=void 0!==r&&void 0!==o?R(e,Ge(),r,o):void 0;return Tn(I.createJSDocSeeTag(n,i,a),e)}(r,o,e,i);break;case"exception":case"throws":s=function(e,n,t,r){const o=k(),i=R(e,Ge(),t,r);return Tn(I.createJSDocThrowsTag(n,o,i),e)}(r,o,e,i);break;default:s=function(e,n,t,r){return Tn(I.createJSDocUnknownTag(n,R(e,Ge(),t,r)),e)}(r,o,e,i)}return s}function R(e,n,t,r){return r||(t+=n-e),N(t,r.slice(t))}function N(e,n){const t=Ge();let r=[];const o=[];let i,a,s=0;function c(n){a||(a=e),r.push(n),e+=n.length}void 0!==n&&(""!==n&&c(n),s=1);let d=je();e:for(;;){switch(d){case 4:s=0,r.push(l.getTokenText()),e=0;break;case 60:l.resetTokenState(l.getTokenEnd()-1);break e;case 1:break e;case 5:Tt.assert(2!==s&&3!==s,"whitespace shouldn't come from the scanner while saving comment text");const n=l.getTokenText();void 0!==a&&e+n.length>a&&(r.push(n.slice(a-e)),s=2),e+=n.length;break;case 19:s=2;const d=l.getTokenFullStart(),u=D(l.getTokenEnd()-1);u?(o.push(Tn(I.createJSDocText(r.join("")),i??t,d)),o.push(u),r=[],i=l.getTokenEnd()):c(l.getTokenText());break;case 62:s=3===s?2:3,c(l.getTokenText());break;case 82:3!==s&&(s=2),c(l.getTokenValue());break;case 42:if(0===s){s=1,e+=1;break}default:3!==s&&(s=2),c(l.getTokenText())}d=2===s||3===s?qe(3===s):Ke()}y(r);const u=r.join("").trimEnd();return o.length?(u.length&&o.push(Tn(I.createJSDocText(u),i??t)),Sn(o,t,l.getTokenEnd())):u.length?u:void 0}function D(e){const n=tn(C);if(!n)return;Ke(),E();const t=function(){if(ts(je())){const e=Ge();let n=Dn();for(;fn(25);)n=Tn(I.createQualifiedName(n,81===je()?xn(80,!1):Nn()),e);for(;81===je();)$e(),Ke(),n=Tn(I.createJSDocMemberName(n,Nn()),e);return n}return}(),r=[];for(;20!==je()&&4!==je()&&1!==je();)r.push(l.getTokenText()),Ke();return Tn(("link"===n?I.createJSDocLink:"linkcode"===n?I.createJSDocLinkCode:I.createJSDocLinkPlain)(t,r.join("")),e,l.getTokenEnd())}function C(){if(S(),19===je()&&60===Ke()&&ts(Ke())){const e=l.getTokenValue();if(M(e))return e}}function M(e){return"link"===e||"linkcode"===e||"linkplain"===e}function P(e){e&&(a?a.push(e):(a=[e],s=e.pos),c=e.end)}function k(){return S(),19===je()?n():void 0}function w(){const e=$(23);e&&E();const n=$(62),t=function(){let e=Q();fn(23)&&an(24);for(;fn(25);){const n=Q();fn(23)&&an(24),e=ct(e,n)}return e}();var r;return n&&(_n(r=62)||(Tt.assert(Hy(r)),xn(r,!1,Oa._0_expected,as(r)))),e&&(E(),mn(64)&&Tr(),an(24)),{name:t,isBracketed:e}}function O(e){switch(e.kind){case 151:return!0;case 188:return O(e.elementType);default:return kN(e)&&tN(e.typeName)&&"Object"===e.typeName.escapedText&&!e.typeArguments}}function F(e,n,t,r){let o=k(),i=!o;S();const{name:a,isBracketed:s}=w(),l=S();i&&!nn(C)&&(o=k());const c=R(e,Ge(),r,l),d=function(e,n,t,r){if(e&&O(e.type)){const o=Ge();let i,a;for(;i=tn((()=>q(t,r,n)));)348===i.kind||355===i.kind?a=ye(a,i):352===i.kind&&We(i.tagName,Oa.A_JSDoc_template_tag_may_not_follow_a_typedef_callback_or_overload_tag);if(a){const n=Tn(I.createJSDocTypeLiteral(a,188===e.type.kind),o);return Tn(I.createJSDocTypeExpression(n),o)}}}(o,a,t,r);d&&(o=d,i=!0);return Tn(1===t?I.createJSDocPropertyTag(n,a,s,o,i,c):I.createJSDocParameterTag(n,a,s,o,i,c),e)}function z(e,t,r,o){oe(a,zM)&&Fe(t.pos,l.getTokenStart(),Oa._0_tag_already_specified,Pl(t.escapedText));const i=n(!0),s=void 0!==r&&void 0!==o?R(e,Ge(),r,o):void 0;return Tn(I.createJSDocTypeTag(t,i,s),e)}function G(){const e=fn(19),n=Ge(),t=function(){const e=Ge();let n=Q();for(;fn(25);){const t=Q();n=Tn(W(n,t),e)}return n}();l.setInJSDocType(!0);const r=hi();l.setInJSDocType(!1);const o=Tn(I.createExpressionWithTypeArguments(t,r),n);return e&&an(20),o}function B(e,n,t,r,o){return Tn(n(t,R(e,Ge(),r,o)),e)}function j(e,t,r,o){const i=n(!0);return E(),Tn(I.createJSDocThisTag(t,i,R(e,Ge(),r,o)),e)}function V(e){const n=l.getTokenStart();if(!ts(je()))return;const t=Q();if(fn(25)){const r=V(!0);return Tn(I.createModuleDeclaration(void 0,t,r,e?8:void 0),n)}return e&&(t.flags|=4096),t}function U(e,n){const t=function(e){const n=Ge();let t,r;for(;t=tn((()=>q(4,e)));){if(352===t.kind){We(t.tagName,Oa.A_JSDoc_template_tag_may_not_follow_a_typedef_callback_or_overload_tag);break}r=ye(r,t)}return Sn(r||[],n)}(n),r=tn((()=>{if($(60)){const e=A(n);if(e&&349===e.kind)return e}}));return Tn(I.createJSDocSignature(void 0,t,r),e)}function H(e,n){for(;!tN(e)||!tN(n);){if(tN(e)||tN(n)||e.right.escapedText!==n.right.escapedText)return!1;e=e.left,n=n.left}return e.escapedText===n.escapedText}function K(e){return q(1,e)}function q(e,n,t){let r=!0,o=!1;for(;;)switch(Ke()){case 60:if(r){const r=J(e,n);return!(r&&(348===r.kind||355===r.kind)&&t&&(tN(r.name)||!H(t,r.name.left)))&&r}o=!1;break;case 4:r=!0,o=!1;break;case 42:o&&(r=!1),o=!0;break;case 80:r=!1;break;case 1:return!1}}function J(e,n){Tt.assert(60===je());const t=l.getTokenFullStart();Ke();const r=Q(),o=S();let i;switch(r.escapedText){case"type":return 1===e&&z(t,r);case"prop":case"property":i=1;break;case"arg":case"argument":case"param":i=6;break;case"template":return Y(t,r,n,o);case"this":return j(t,r,n,o);default:return!1}return!!(e&i)&&F(t,r,e,n)}function X(){const e=Ge(),n=$(23);n&&E();const t=li(!1,!0),r=Q(Oa.Unexpected_token_A_type_parameter_name_was_expected_without_curly_braces);let o;if(n&&(E(),an(64),o=be(16777216,Rt),an(24)),!im(r))return Tn(I.createTypeParameterDeclaration(t,r,void 0,o),e)}function Y(e,t,r,o){const i=19===je()?n():void 0,a=function(){const e=Ge(),n=[];do{E();const e=X();void 0!==e&&n.push(e),S()}while($(28));return Sn(n,e)}();return Tn(I.createJSDocTemplateTag(t,i,a,R(e,Ge(),r,o)),e)}function $(e){return je()===e&&(Ke(),!0)}function Q(e){if(!ts(je()))return xn(80,!e,e||Oa.Identifier_expected);T++;const n=l.getTokenStart(),t=l.getTokenEnd(),r=je(),o=An(l.getTokenValue()),i=Tn(L(o,r),n,t);return Ke(),i}}e.parseJSDocTypeExpressionForTests=function(e,t,r){se("file.js",e,99,void 0,1,0),l.setText(e,t,r),b=l.scan();const o=n(),i=pe("file.js",99,1,!1,[],w(1),0,yn),a=oT(g,i);return y&&(i.jsDocDiagnostics=oT(y,i)),le(),o?{jsDocTypeExpression:o,diagnostics:a}:void 0},e.parseJSDocTypeExpression=n,e.parseJSDocNameReference=t,e.parseIsolatedJSDocComment=function(e,n,t){se("",e,99,void 0,1,0);const r=be(16777216,(()=>s(n,t))),o=oT(g,{languageVariant:0,text:e});return le(),r?{jsDoc:r,diagnostics:o}:void 0},e.parseJSDocComment=function(e,n,t){const r=b,o=g.length,i=re,a=be(16777216,(()=>s(n,t)));return Vx(a,e),524288&R&&(y||(y=[]),Ee(y,g,o)),b=r,g.length=o,re=i,a},(o=r||(r={}))[o.BeginningOfLine=0]="BeginningOfLine",o[o.SawAsterisk=1]="SawAsterisk",o[o.SavingComments=2]="SavingComments",o[o.SavingBackticks=3]="SavingBackticks",(a=i||(i={}))[a.Property=1]="Property",a[a.Parameter=2]="Parameter",a[a.CallbackParameter=4]="CallbackParameter"})(Oi=e.JSDocParser||(e.JSDocParser={}))})(DL||(DL={})),(e=>{function n(e,n,r,i,a,s){return void(n?c(e):l(e));function l(e){let n="";if(s&&t(e)&&(n=i.substring(e.pos,e.end)),e._children&&(e._children=void 0),Gx(e,e.pos+r,e.end+r),s&&t(e)&&Tt.assert(n===a.substring(e.pos,e.end)),ok(e,l,c),Xu(e))for(const n of e.jsDoc)l(n);o(e,s)}function c(e){e._children=void 0,Gx(e,e.pos+r,e.end+r);for(const n of e)l(n)}}function t(e){switch(e.kind){case 11:case 9:case 80:return!0}return!1}function r(e,n,t,r,o){Tt.assert(e.end>=n,"Adjusting an element that was entirely before the change range"),Tt.assert(e.pos<=t,"Adjusting an element that was entirely after the change range"),Tt.assert(e.pos<=e.end);const i=Math.min(e.pos,r),a=e.end>=t?e.end+o:Math.min(e.end,r);Tt.assert(i<=a),e.parent&&(Tt.assertGreaterThanOrEqual(i,e.parent.pos),Tt.assertLessThanOrEqual(a,e.parent.end)),Gx(e,i,a)}function o(e,n){if(n){let n=e.pos;const t=e=>{Tt.assert(e.pos>=n),n=e.end};if(Xu(e))for(const n of e.jsDoc)t(n);ok(e,t),Tt.assert(n<=e.end)}}function i(e,n){let t,r=e;if(ok(e,(function e(o){if(im(o))return;if(!(o.pos<=n))return Tt.assert(o.pos>n),!0;if(o.pos>=r.pos&&(r=o),n<o.end)return ok(o,e),!0;Tt.assert(o.end<=n),t=o})),t){const e=function(e){for(;;){const n=MS(e);if(!n)return e;e=n}}(t);e.pos>r.pos&&(r=e)}return r}function a(e,n,t,r){const o=e.text;if(t&&(Tt.assert(o.length-t.span.length+t.newLength===n.length),r||Tt.shouldAssert(3))){const e=o.substr(0,t.span.start),r=n.substr(0,t.span.start);Tt.assert(e===r);const i=o.substring(Qs(t.span),o.length),a=n.substring(Qs(pl(t)),n.length);Tt.assert(i===a)}}function s(e){let n=e.statements,t=0;Tt.assert(t<n.length);let r=n[t],o=-1;return{currentNode(i){return i!==o&&(r&&r.end===i&&t<n.length-1&&(t++,r=n[t]),r&&r.pos===i||function(o){return n=void 0,t=-1,r=void 0,void ok(e,i,a);function i(e){return o>=e.pos&&o<e.end&&(ok(e,i,a),!0)}function a(e){if(o>=e.pos&&o<e.end)for(let s=0;s<e.length;s++){const l=e[s];if(l){if(l.pos===o)return n=e,t=s,r=l,!0;if(l.pos<o&&o<l.end)return ok(l,i,a),!0}}return!1}}(i)),o=i,Tt.assert(!r||r.pos===i),r}}}let l;var c;e.updateSourceFile=function(e,t,l,c){if(a(e,t,l,c=c||Tt.shouldAssert(2)),fl(l))return e;if(0===e.statements.length)return DL.parseSourceFile(e.fileName,t,e.languageVersion,void 0,!0,e.scriptKind,e.setExternalModuleIndicator,e.jsDocParsingMode);const d=e;Tt.assert(!d.hasBeenIncrementallyParsed),d.hasBeenIncrementallyParsed=!0,DL.fixupParentReferences(d);const u=e.text,p=s(e),f=function(e,n){const t=1;let r=n.span.start;for(let n=0;r>0&&n<=t;n++){const n=i(e,r);Tt.assert(n.pos<=r);const t=n.pos;r=Math.max(0,t-1)}const o=ul(r,Qs(n.span)),a=n.newLength+(n.span.start-r);return ml(o,a)}(e,l);a(e,t,f,c),Tt.assert(f.span.start<=l.span.start),Tt.assert(Qs(f.span)===Qs(l.span)),Tt.assert(Qs(pl(f))===Qs(pl(l)));const m=pl(f).length-f.span.length;!function(e,t,i,a,s,l,c,d){return void u(e);function u(e){if(Tt.assert(e.pos<=e.end),e.pos>i)return void n(e,!1,s,l,c,d);const f=e.end;if(f>=t){if(e.intersectsChange=!0,e._children=void 0,r(e,t,i,a,s),ok(e,u,p),Xu(e))for(const n of e.jsDoc)u(n);o(e,d)}else Tt.assert(f<t)}function p(e){if(Tt.assert(e.pos<=e.end),e.pos>i)return void n(e,!0,s,l,c,d);const o=e.end;if(o>=t){e.intersectsChange=!0,e._children=void 0,r(e,t,i,a,s);for(const n of e)u(n)}else Tt.assert(o<t)}}(d,f.span.start,Qs(f.span),Qs(pl(f)),m,u,t,c);const _=DL.parseSourceFile(e.fileName,t,e.languageVersion,p,!0,e.scriptKind,e.setExternalModuleIndicator,e.jsDocParsingMode);return _.commentDirectives=function(e,n,t,r,o,i,a,s){if(!e)return n;let l,c=!1;for(const n of e){const{range:e,type:c}=n;if(e.end<t)l=ye(l,n);else if(e.pos>r){d();const n={range:{pos:e.pos+o,end:e.end+o},type:c};l=ye(l,n),s&&Tt.assert(i.substring(e.pos,e.end)===a.substring(n.range.pos,n.range.end))}}return d(),l;function d(){c||(c=!0,l?n&&l.push(...n):l=n)}}(e.commentDirectives,_.commentDirectives,f.span.start,Qs(f.span),m,u,t,c),_.impliedNodeFormat=e.impliedNodeFormat,_},e.createSyntaxCursor=s,(c=l||(l={}))[c.Value=-1]="Value"})(CL||(CL={})),ML=new Map,PL=/^\/\/\/\s*<(\S+)\s.*?\/>/im,LL=/^\/\/\/?\s*@([^\s:]+)(.*)\s*$/im}});function fw(e){const n=new Map,t=new Map;return E(e,(e=>{n.set(e.name.toLowerCase(),e),e.shortName&&t.set(e.shortName,e.name)})),{optionsNameMap:n,shortOptionNames:t}}function mw(){return Hk||(Hk=fw(kk))}function _w(e){return hw(e,sT)}function hw(e,n){const t=Je(e.type.keys()),r=(e.deprecatedKeys?t.filter((n=>!e.deprecatedKeys.has(n))):t).map((e=>`'${e}'`)).join(", ");return n(Oa.Argument_for_0_option_must_be_Colon_1,`--${e.name}`,r)}function gw(e,n,t){return AO(e,(n??"").trim(),t)}function yw(e,n="",t){if(st(n=n.trim(),"-"))return;if("listOrElement"===e.type&&!n.includes(","))return xO(e,n,t);if(""===n)return[];const r=n.split(",");switch(e.element.type){case"number":return Y(r,(n=>xO(e.element,parseInt(n),t)));case"string":return Y(r,(n=>xO(e.element,n||"",t)));case"boolean":case"object":return Tt.fail(`List of ${e.element.type} is not yet supported.`);default:return Y(r,(n=>gw(e.element,n,t)))}}function vw(e){return e.name}function bw(e,n,t,r,o){var i;if(null==(i=n.alternateMode)?void 0:i.getOptionsNameMap().optionsNameMap.has(e.toLowerCase()))return SO(o,r,n.alternateMode.diagnostic,e);const a=qn(e,n.optionDeclarations,vw);return a?SO(o,r,n.unknownDidYouMeanDiagnostic,t||e,a.name):SO(o,r,n.unknownOptionDiagnostic,t||e)}function Ew(e,n,t){const r={};let o;const i=[],a=[];return s(n),{options:r,watchOptions:o,fileNames:i,errors:a};function s(n){let t=0;for(;t<n.length;){const s=n[t];if(t++,64===s.charCodeAt(0))l(s.slice(1));else if(45===s.charCodeAt(0)){const i=s.slice(45===s.charCodeAt(1)?2:1),l=Aw(e.getOptionsNameMap,i,!0);if(l)t=Sw(n,t,e,l,r,a);else{const r=Aw(ew.getOptionsNameMap,i,!0);r?t=Sw(n,t,ew,r,o||(o={}),a):a.push(bw(i,e,s))}}else i.push(s)}}function l(e){const n=Lw(e,t||(e=>fi.readFile(e)));if(!mn(n))return void a.push(n);const r=[];let o=0;for(;;){for(;o<n.length&&n.charCodeAt(o)<=32;)o++;if(o>=n.length)break;const t=o;if(34===n.charCodeAt(t)){for(o++;o<n.length&&34!==n.charCodeAt(o);)o++;o<n.length?(r.push(n.substring(t+1,o)),o++):a.push(sT(Oa.Unterminated_quoted_string_in_response_file_0,e))}else{for(;n.charCodeAt(o)>32;)o++;r.push(n.substring(t,o))}}s(r)}}function Sw(e,n,t,r,o,i){if(r.isTSConfigOnly){const t=e[n];"null"===t?(o[r.name]=void 0,n++):"boolean"===r.type?"false"===t?(o[r.name]=xO(r,!1,i),n++):("true"===t&&n++,i.push(sT(Oa.Option_0_can_only_be_specified_in_tsconfig_json_file_or_set_to_false_or_null_on_command_line,r.name))):(i.push(sT(Oa.Option_0_can_only_be_specified_in_tsconfig_json_file_or_set_to_null_on_command_line,r.name)),t&&!st(t,"-")&&n++)}else if(e[n]||"boolean"===r.type||i.push(sT(t.optionTypeMismatchDiagnostic,r.name,jw(r))),"null"!==e[n])switch(r.type){case"number":o[r.name]=xO(r,parseInt(e[n]),i),n++;break;case"boolean":const t=e[n];o[r.name]=xO(r,"false"!==t,i),"false"!==t&&"true"!==t||n++;break;case"string":o[r.name]=xO(r,e[n]||"",i),n++;break;case"list":const a=yw(r,e[n],i);o[r.name]=a||[],a&&n++;break;case"listOrElement":Tt.fail("listOrElement not supported here");break;default:o[r.name]=gw(r,e[n],i),n++}else o[r.name]=void 0,n++;return n}function Tw(e,n){return Ew(Jk,e,n)}function xw(e,n){return Aw(mw,e,n)}function Aw(e,n,t=!1){n=n.toLowerCase();const{optionsNameMap:r,shortOptionNames:o}=e();if(t){const e=o.get(n);void 0!==e&&(n=e)}return r.get(n)}function Rw(){return Xk||(Xk=fw(Vk))}function Iw(e){const{options:n,watchOptions:t,fileNames:r,errors:o}=Ew($k,e),i=n;return 0===r.length&&r.push("."),i.clean&&i.force&&o.push(sT(Oa.Options_0_and_1_cannot_be_combined,"clean","force")),i.clean&&i.verbose&&o.push(sT(Oa.Options_0_and_1_cannot_be_combined,"clean","verbose")),i.clean&&i.watch&&o.push(sT(Oa.Options_0_and_1_cannot_be_combined,"clean","watch")),i.watch&&i.dry&&o.push(sT(Oa.Options_0_and_1_cannot_be_combined,"watch","dry")),{buildOptions:i,watchOptions:t,projects:r,errors:o}}function Nw(e,...n){return gn(sT(e,...n).messageText,mn)}function Dw(e,n,t,r,o,i){const a=Lw(e,(e=>t.readFile(e)));if(!mn(a))return void t.onUnRecoverableConfigFileDiagnostic(a);const s=dk(e,a),l=t.getCurrentDirectory();return s.path=ga(e,l,rt(t.useCaseSensitiveFileNames)),s.resolvedPath=s.path,s.originalFileName=s.fileName,rO(s,t,ma(ra(e),l),n,ma(e,l),void 0,i,r,o)}function Cw(e,n){const t=Lw(e,n);return mn(t)?Mw(e,t):{config:{},error:t}}function Mw(e,n){const t=dk(e,n);return{config:zw(t,t.parseDiagnostics,void 0),error:t.parseDiagnostics.length?t.parseDiagnostics[0]:void 0}}function Pw(e,n){const t=Lw(e,n);return mn(t)?dk(e,t):{fileName:e,parseDiagnostics:[t]}}function Lw(e,n){let t;try{t=n(e)}catch(n){return sT(Oa.Cannot_read_file_0_Colon_1,e,n.message)}return void 0===t?sT(Oa.Cannot_read_file_0,e):t}function kw(e){return $e(e,vw)}function ww(){return Zk||(Zk=fw(Dk))}function Ow(){return nw||(nw=kw(kk))}function Fw(){return tw||(tw=kw(Dk))}function Ww(){return rw||(rw=kw(Uk))}function zw(e,n,t){var r;const o=null==(r=e.statements[0])?void 0:r.expression;if(o&&210!==o.kind){if(n.push(p_(e,o,Oa.The_root_value_of_a_0_file_must_be_an_object,"jsconfig.json"===oa(e.fileName)?"jsconfig.json":"tsconfig.json")),aD(o)){const r=D(o.elements,sD);if(r)return Bw(e,r,n,!0,t)}return{}}return Bw(e,o,n,!0,t)}function Gw(e,n){var t;return Bw(e,null==(t=e.statements[0])?void 0:t.expression,n,!0,void 0)}function Bw(e,n,t,r,o){return n?i(n,null==o?void 0:o.rootOptions):r?{}:void 0;function i(n,s){switch(n.kind){case 112:return!0;case 97:return!1;case 106:return null;case 11:return a(n)||t.push(p_(e,n,Oa.String_literal_with_double_quotes_expected)),n.text;case 9:return Number(n.text);case 224:if(41!==n.operator||9!==n.operand.kind)break;return-Number(n.operand.text);case 210:return function(n,s){var l;const c=r?{}:void 0;for(const d of n.properties){if(303!==d.kind){t.push(p_(e,d,Oa.Property_assignment_expected));continue}d.questionToken&&t.push(p_(e,d.questionToken,Oa.The_0_modifier_can_only_be_used_in_TypeScript_files,"?")),a(d.name)||t.push(p_(e,d.name,Oa.String_literal_with_double_quotes_expected));const n=a_(d.name)?void 0:l_(d.name),u=n&&Pl(n),p=u?null==(l=null==s?void 0:s.elementOptions)?void 0:l.get(u):void 0,f=i(d.initializer,p);void 0!==u&&(r&&(c[u]=f),null==o||o.onPropertySet(u,f,d,s,p))}return c}(n,s);case 209:return function(e,n){if(r)return W(e.map((e=>i(e,n))),(e=>void 0!==e));e.forEach((e=>i(e,n)))}(n.elements,s&&s.element)}s?t.push(p_(e,n,Oa.Compiler_option_0_requires_a_value_of_type_1,s.name,jw(s))):t.push(p_(e,n,Oa.Property_value_can_only_be_string_literal_numeric_literal_true_false_null_object_literal_or_array_literal))}function a(n){return zI(n)&&lg(n,e)}}function jw(e){return"listOrElement"===e.type?`${jw(e.element)} or Array`:"list"===e.type?"Array":mn(e.type)?e.type:"string"}function Vw(e,n){if(e){if(iO(n))return!e.disallowNullOrUndefined;if("list"===e.type)return pn(n);if("listOrElement"===e.type)return pn(n)||Vw(e.element,n);return typeof n===(mn(e.type)?e.type:"string")}return!1}function Uw(e,n,t){var r,o,i;const a=rt(t.useCaseSensitiveFileNames),s=B(W(e.fileNames,(null==(o=null==(r=e.options.configFile)?void 0:r.configFileSpecs)?void 0:o.validatedIncludeSpecs)?function(e,n,t,r){if(!n)return bn;const o=qT(e,t,n,r.useCaseSensitiveFileNames,r.getCurrentDirectory()),i=o.excludePattern&&JT(o.excludePattern,r.useCaseSensitiveFileNames),a=o.includeFilePattern&&JT(o.includeFilePattern,r.useCaseSensitiveFileNames);if(a)return i?e=>!(a.test(e)&&!i.test(e)):e=>!a.test(e);if(i)return e=>i.test(e);return bn}(n,e.options.configFile.configFileSpecs.validatedIncludeSpecs,e.options.configFile.configFileSpecs.validatedExcludeSpecs,t):bn),(e=>Pa(ma(n,t.getCurrentDirectory()),ma(e,t.getCurrentDirectory()),a))),l={configFilePath:ma(n,t.getCurrentDirectory()),useCaseSensitiveFileNames:t.useCaseSensitiveFileNames},c=Xw(e.options,l),d=e.watchOptions&&Yw(e.watchOptions,ww());const u={compilerOptions:{...Hw(c),showConfig:void 0,configFile:void 0,configFilePath:void 0,help:void 0,init:void 0,listFiles:void 0,listEmittedFiles:void 0,project:void 0,build:void 0,version:void 0},watchOptions:d&&Hw(d),references:B(e.projectReferences,(e=>({...e,path:e.originalPath?e.originalPath:"",originalPath:void 0}))),files:b(s)?s:void 0,...(null==(i=e.options.configFile)?void 0:i.configFileSpecs)?{include:Kw(e.options.configFile.configFileSpecs.validatedIncludeSpecs),exclude:e.options.configFile.configFileSpecs.validatedExcludeSpecs}:{},compileOnSave:!!e.compileOnSave||void 0},p=new Set(c.keys()),f={};for(const n in Bp)if(!p.has(n)&&oe(Bp[n].dependencies,(e=>p.has(e)))){Bp[n].computeValue(e.options)!==Bp[n].computeValue({})&&(f[n]=Bp[n].computeValue(e.options))}return Xe(u.compilerOptions,Hw(Xw(f,l))),u}function Hw(e){return{...Je(e.entries()).reduce(((e,n)=>({...e,[n[0]]:n[1]})),{})}}function Kw(e){if(b(e)){if(1!==b(e))return e;if(e[0]!==cw)return e}}function qw(e){switch(e.type){case"string":case"number":case"boolean":case"object":return;case"list":case"listOrElement":return qw(e.element);default:return e.type}}function Jw(e,n){return Wf(n,((n,t)=>{if(n===e)return t}))}function Xw(e,n){return Yw(e,mw(),n)}function Yw(e,{optionsNameMap:n},t){const r=new Map,o=t&&rt(t.useCaseSensitiveFileNames);for(const i in e)if(je(e,i)){if(n.has(i)&&(n.get(i).category===Oa.Command_line_Options||n.get(i).category===Oa.Output_Formatting))continue;const a=e[i],s=n.get(i.toLowerCase());if(s){Tt.assert("listOrElement"!==s.type);const e=qw(s);e?"list"===s.type?r.set(i,a.map((n=>Jw(n,e)))):r.set(i,Jw(a,e)):t&&s.isFilePath?r.set(i,Pa(t.configFilePath,ma(a,ra(t.configFilePath)),o)):r.set(i,a)}}return r}function $w(e,n){const t=Qw(e);return function(){const e=[],r=(o=2,Array(o+1).join(" "));var o;return Lk.forEach((n=>{if(!t.has(n.name))return;const o=t.get(n.name),i=BO(n);o!==i?e.push(`${r}${n.name}: ${o}`):je(qk,n.name)&&e.push(`${r}${n.name}: ${i}`)})),e.join(n)+n}()}function Qw(e){return Xw(rn(e,qk))}function Zw(e,n,t){const r=Qw(e);return function(){const e=new Map;e.set(Oa.Projects,[]),e.set(Oa.Language_and_Environment,[]),e.set(Oa.Modules,[]),e.set(Oa.JavaScript_Support,[]),e.set(Oa.Emit,[]),e.set(Oa.Interop_Constraints,[]),e.set(Oa.Type_Checking,[]),e.set(Oa.Completeness,[]);for(const n of kk)if(i(n)){let t=e.get(n.category);t||e.set(n.category,t=[]),t.push(n)}let a=0,s=0;const l=[];e.forEach(((e,n)=>{0!==l.length&&l.push({value:""}),l.push({value:`/* ${eT(n)} */`});for(const n of e){let e;e=r.has(n.name)?`"${n.name}": ${JSON.stringify(r.get(n.name))}${(s+=1)===r.size?"":","}`:`// "${n.name}": ${JSON.stringify(BO(n))},`,l.push({value:e,description:`/* ${n.description&&eT(n.description)||n.name} */`}),a=Math.max(e.length,a)}}));const c=o(2),d=[];d.push("{"),d.push(`${c}"compilerOptions": {`),d.push(`${c}${c}/* ${eT(Oa.Visit_https_Colon_Slash_Slashaka_ms_Slashtsconfig_to_read_more_about_this_file)} */`),d.push("");for(const e of l){const{value:n,description:t=""}=e;d.push(n&&`${c}${c}${n}${t&&o(a-n.length+2)+t}`)}if(n.length){d.push(`${c}},`),d.push(`${c}"files": [`);for(let e=0;e<n.length;e++)d.push(`${c}${c}${JSON.stringify(n[e])}${e===n.length-1?"":","}`);d.push(`${c}]`)}else d.push(`${c}}`);return d.push("}"),d.join(t)+t}();function o(e){return Array(e+1).join(" ")}function i({category:e,name:n,isCommandLineOnly:t}){const o=[Oa.Command_line_Options,Oa.Editor_Support,Oa.Compiler_Diagnostics,Oa.Backwards_Compatibility,Oa.Watch_and_Build_Modes,Oa.Output_Formatting];return!t&&void 0!==e&&(!o.includes(e)||r.has(n))}}function eO(e,n){const t={},r=mw().optionsNameMap;for(const o in e)je(e,o)&&(t[o]=nO(r.get(o.toLowerCase()),e[o],n));return t.configFilePath&&(t.configFilePath=n(t.configFilePath)),t}function nO(e,n,t){if(e&&!iO(n)){if("list"===e.type){const r=n;if(e.element.isFilePath&&r.length)return r.map(t)}else if(e.isFilePath)return t(n);Tt.assert("listOrElement"!==e.type)}return n}function tO(e,n,t,r,o,i,a,s,l){return sO(e,void 0,n,t,r,l,o,i,a,s)}function rO(e,n,t,r,o,i,a,s,l){var c,d;null==(c=Cr)||c.push(Cr.Phase.Parse,"parseJsonSourceFileConfigFileContent",{path:e.fileName});const u=sO(void 0,e,n,t,r,l,o,i,a,s);return null==(d=Cr)||d.pop(),u}function oO(e,n){n&&Object.defineProperty(e,"configFile",{enumerable:!1,writable:!1,value:n})}function iO(e){return null==e}function aO(e,n){return ra(ma(e,n))}function sO(e,n,t,r,o={},i,a,s=[],l=[],c){Tt.assert(void 0===e&&void 0!==n||void 0!==e&&void 0===n);const d=[],u=pO(e,n,t,r,a,s,d,c),{raw:p}=u,f=rn(o,u.options||{}),m=i&&u.watchOptions?rn(i,u.watchOptions):u.watchOptions||i;f.configFilePath=a&&ca(a);const _=function(){const e=v("references",(e=>"object"==typeof e),"object"),t=g(y("files"));if(t){const r="no-prop"===e||pn(e)&&0===e.length,o=je(p,"extends");if(0===t.length&&r&&!o)if(n){const e=a||"tsconfig.json",t=Oa.The_files_list_in_config_file_0_is_empty,r=ph(n,"files",(e=>e.initializer)),o=SO(n,r,t,e);d.push(o)}else b(Oa.The_files_list_in_config_file_0_is_empty,a||"tsconfig.json")}let r=g(y("include"));const o=y("exclude");let i,s,l=!1,c=g(o);if("no-prop"===o&&p.compilerOptions){const e=p.compilerOptions.outDir,n=p.compilerOptions.declarationDir;(e||n)&&(c=[e,n].filter((e=>!!e)))}void 0===t&&void 0===r&&(r=[cw],l=!0);r&&(i=PO(r,d,!0,n,"include"));c&&(s=PO(c,d,!1,n,"exclude"));return{filesSpecs:t,includeSpecs:r,excludeSpecs:c,validatedFilesSpec:W(t,mn),validatedIncludeSpecs:i,validatedExcludeSpecs:s,pathPatterns:void 0,isDefaultIncludeSpec:l}}();n&&(n.configFileSpecs=_),oO(f,n);const h=_a(a?aO(a,r):r);return{options:f,watchOptions:m,fileNames:function(e){const n=IO(_,e,f,t,l);cO(n,dO(p),s)&&d.push(lO(_,a));return n}(h),projectReferences:function(e){let n;const t=v("references",(e=>"object"==typeof e),"object");if(pn(t))for(const r of t)"string"!=typeof r.path?b(Oa.Compiler_option_0_requires_a_value_of_type_1,"reference.path","string"):(n||(n=[])).push({path:ma(r.path,e),originalPath:r.path,prepend:r.prepend,circular:r.circular});return n}(h),typeAcquisition:u.typeAcquisition||vO(),raw:p,errors:d,wildcardDirectories:kO(_,h,t.useCaseSensitiveFileNames),compileOnSave:!!p.compileOnSave};function g(e){return pn(e)?e:void 0}function y(e){return v(e,mn,"string")}function v(e,t,r){if(je(p,e)&&!iO(p[e])){if(pn(p[e])){const o=p[e];return n||N(o,t)||d.push(sT(Oa.Compiler_option_0_requires_a_value_of_type_1,e,r)),o}return b(Oa.Compiler_option_0_requires_a_value_of_type_1,e,"Array"),"not-array"}return"no-prop"}function b(e,...t){n||d.push(sT(e,...t))}}function lO({includeSpecs:e,excludeSpecs:n},t){return sT(Oa.No_inputs_were_found_in_config_file_0_Specified_include_paths_were_1_and_exclude_paths_were_2,t||"tsconfig.json",JSON.stringify(e||[]),JSON.stringify(n||[]))}function cO(e,n,t){return 0===e.length&&n&&(!t||0===t.length)}function dO(e){return!je(e,"files")&&!je(e,"references")}function uO(e,n,t,r,o){const i=r.length;return cO(e,o)?r.push(lO(t,n)):z(r,(e=>!function(e){return e.code===Oa.No_inputs_were_found_in_config_file_0_Specified_include_paths_were_1_and_exclude_paths_were_2.code}(e))),i!==r.length}function pO(e,n,t,r,o,i,a,s){var l;const c=ma(o||"",r=ca(r));if(i.includes(c))return a.push(sT(Oa.Circularity_detected_while_resolving_configuration_Colon_0,[...i,c].join(" -> "))),{raw:e||Gw(n,a)};const d=e?function(e,n,t,r,o){je(e,"excludes")&&o.push(sT(Oa.Unknown_option_excludes_Did_you_mean_exclude));const i=yO(e.compilerOptions,t,o,r),a=bO(e.typeAcquisition,t,o,r),s=function(e,n,t){return EO(Fw(),e,n,void 0,ew,t)}(e.watchOptions,t,o);e.compileOnSave=function(e,n,t){if(!je(e,Tk.name))return!1;const r=TO(Tk,e.compileOnSave,n,t);return"boolean"==typeof r&&r}(e,t,o);const l=e.extends||""===e.extends?fO(e.extends,n,t,r,o):void 0;return{raw:e,options:i,watchOptions:s,typeAcquisition:a,extendedConfigPath:l}}(e,t,r,o,a):function(e,n,t,r,o){const i=gO(r);let a,s,l,c;const d=(void 0===lw&&(lw={name:void 0,type:"object",elementOptions:kw([iw,aw,sw,ow,{name:"references",type:"list",element:{name:"references",type:"object"},category:Oa.Projects},{name:"files",type:"list",element:{name:"files",type:"string"},category:Oa.File_Management},{name:"include",type:"list",element:{name:"include",type:"string"},category:Oa.File_Management,defaultValueDescription:Oa.if_files_is_specified_otherwise_Asterisk_Asterisk_Slash_Asterisk},{name:"exclude",type:"list",element:{name:"exclude",type:"string"},category:Oa.File_Management,defaultValueDescription:Oa.node_modules_bower_components_jspm_packages_plus_the_value_of_outDir_if_one_is_specified},Tk])}),lw),u=zw(e,o,{rootOptions:d,onPropertySet:p});a||(a=vO(r));c&&u&&void 0===u.compilerOptions&&o.push(p_(e,c[0],Oa._0_should_be_set_inside_the_compilerOptions_object_of_the_config_json_file,l_(c[0])));return{raw:u,options:i,watchOptions:s,typeAcquisition:a,extendedConfigPath:l};function p(u,p,f,m,_){if(_&&_!==ow&&(p=TO(_,p,t,o,f,f.initializer,e)),null==m?void 0:m.name)if(_){let e;m===iw?e=i:m===aw?e=s??(s={}):m===sw?e=a??(a=vO(r)):Tt.fail("Unknown option"),e[_.name]=p}else u&&(null==m?void 0:m.extraKeyDiagnostics)&&(m.elementOptions?o.push(bw(u,m.extraKeyDiagnostics,void 0,f.name,e)):o.push(p_(e,f.name,m.extraKeyDiagnostics.unknownOptionDiagnostic,u)));else m===d&&(_===ow?l=fO(p,n,t,r,o,f,f.initializer,e):_||("excludes"===u&&o.push(p_(e,f.name,Oa.Unknown_option_excludes_Did_you_mean_exclude)),D(Lk,(e=>e.name===u))&&(c=ye(c,f.name))))}}(n,t,r,o,a);if((null==(l=d.options)?void 0:l.paths)&&(d.options.pathsBasePath=r),d.extendedConfigPath){i=i.concat([c]);const e={options:{}};mn(d.extendedConfigPath)?u(e,d.extendedConfigPath):d.extendedConfigPath.forEach((n=>u(e,n))),!d.raw.include&&e.include&&(d.raw.include=e.include),!d.raw.exclude&&e.exclude&&(d.raw.exclude=e.exclude),!d.raw.files&&e.files&&(d.raw.files=e.files),void 0===d.raw.compileOnSave&&e.compileOnSave&&(d.raw.compileOnSave=e.compileOnSave),n&&e.extendedSourceFiles&&(n.extendedSourceFiles=Je(e.extendedSourceFiles.keys())),d.options=Xe(e.options,d.options),d.watchOptions=d.watchOptions&&e.watchOptions?Xe(e.watchOptions,d.watchOptions):d.watchOptions||e.watchOptions}return d;function u(e,o){const l=function(e,n,t,r,o,i,a){const s=t.useCaseSensitiveFileNames?n:xn(n);let l,c,d;i&&(l=i.get(s))?({extendedResult:c,extendedConfig:d}=l):(c=Pw(n,(e=>t.readFile(e))),c.parseDiagnostics.length||(d=pO(void 0,c,t,ra(n),oa(n),r,o,i)),i&&i.set(s,{extendedResult:c,extendedConfig:d}));if(e&&((a.extendedSourceFiles??(a.extendedSourceFiles=new Set)).add(c.fileName),c.extendedSourceFiles))for(const e of c.extendedSourceFiles)a.extendedSourceFiles.add(e);if(c.parseDiagnostics.length)return void o.push(...c.parseDiagnostics);return d}(n,o,t,i,a,s,e);if(l&&l.options){const n=l.raw;let i;const a=a=>{n[a]&&(e[a]=B(n[a],(e=>Hi(e)?e:ua(i||(i=Ma(ra(o),r,rt(t.useCaseSensitiveFileNames))),e))))};a("include"),a("exclude"),a("files"),void 0!==n.compileOnSave&&(e.compileOnSave=n.compileOnSave),Xe(e.options,l.options),e.watchOptions=e.watchOptions&&l.watchOptions?Xe({},e.watchOptions,l.watchOptions):e.watchOptions||l.watchOptions}}}function fO(e,n,t,r,o,i,a,s){let l;const c=r?aO(r,t):t;if(mn(e))l=mO(e,n,c,o,a,s);else if(pn(e)){l=[];for(let r=0;r<e.length;r++){const d=e[r];mn(d)?l=ye(l,mO(d,n,c,o,null==a?void 0:a.elements[r],s)):TO(ow.element,e,t,o,i,null==a?void 0:a.elements[r],s)}}else TO(ow,e,t,o,i,a,s);return l}function mO(e,n,t,r,o,i){if(Hi(e=ca(e))||st(e,"./")||st(e,"../")){let a=ma(e,t);return n.fileExists(a)||Xn(a,".json")||(a=`${a}.json`,n.fileExists(a))?a:void r.push(SO(i,o,Oa.File_0_not_found,e))}const a=BF(e,ua(t,"tsconfig.json"),n);if(a.resolvedModule)return a.resolvedModule.resolvedFileName;""===e?r.push(SO(i,o,Oa.Compiler_option_0_cannot_be_given_an_empty_string,"extends")):r.push(SO(i,o,Oa.File_0_not_found,e))}function _O(e,n,t){const r=[];return{options:yO(e,n,r,t),errors:r}}function hO(e,n,t){const r=[];return{options:bO(e,n,r,t),errors:r}}function gO(e){return e&&"jsconfig.json"===oa(e)?{allowJs:!0,maxNodeModuleJsDepth:2,allowSyntheticDefaultImports:!0,skipLibCheck:!0,noEmit:!0}:{}}function yO(e,n,t,r){const o=gO(r);return EO(Ow(),e,n,o,Jk,t),r&&(o.configFilePath=ca(r)),o}function vO(e){return{enable:!!e&&"jsconfig.json"===oa(e),include:[],exclude:[]}}function bO(e,n,t,r){const o=vO(r);return EO(Ww(),e,n,o,Qk,t),o}function EO(e,n,t,r,o,i){if(n){for(const a in n){const s=e.get(a);s?(r||(r={}))[s.name]=TO(s,n[a],t,i):i.push(bw(a,o))}return r}}function SO(e,n,t,...r){return e&&n?p_(e,n,t,...r):sT(t,...r)}function TO(e,n,t,r,o,i,a){if(e.isCommandLineOnly)r.push(SO(a,null==o?void 0:o.name,Oa.Option_0_can_only_be_specified_on_command_line,e.name));else{if(Vw(e,n)){const s=e.type;if("list"===s&&pn(n))return RO(e,n,t,r,o,i,a);if("listOrElement"===s)return pn(n)?RO(e,n,t,r,o,i,a):TO(e.element,n,t,r,o,i,a);if(!mn(e.type))return AO(e,n,r,i,a);const l=xO(e,n,r,i,a);return iO(l)?l:function(e,n,t){e.isFilePath&&""===(t=ma(t,n))&&(t=".");return t}(e,t,l)}r.push(SO(a,i,Oa.Compiler_option_0_requires_a_value_of_type_1,e.name,jw(e)))}}function xO(e,n,t,r,o){var i;if(iO(n))return;const a=null==(i=e.extraValidation)?void 0:i.call(e,n);if(!a)return n;t.push(SO(o,r,...a))}function AO(e,n,t,r,o){if(iO(n))return;const i=n.toLowerCase(),a=e.type.get(i);if(void 0!==a)return xO(e,a,t,r,o);t.push(hw(e,((e,...n)=>SO(o,r,e,...n))))}function RO(e,n,t,r,o,i,a){return W(B(n,((n,s)=>TO(e.element,n,t,r,o,null==i?void 0:i.elements[s],a))),(n=>!!e.listPreserveFalsyValues||!!n))}function IO(e,n,t,r,i=o){n=_a(n);const a=rt(r.useCaseSensitiveFileNames),s=new Map,l=new Map,c=new Map,{validatedFilesSpec:d,validatedIncludeSpecs:u,validatedExcludeSpecs:p}=e,f=ex(t,i),m=nx(t,f);if(d)for(const e of d){const t=ma(e,n);s.set(a(t),t)}let _;if(u&&u.length>0)for(const e of r.readDirectory(n,U(m),p,u,void 0)){if($i(e,".json")){if(!_){const e=B(jT(u.filter((e=>Xn(e,".json"))),n,"files"),(e=>`^${e}$`));_=e?e.map((e=>JT(e,r.useCaseSensitiveFileNames))):o}if(-1!==M(_,(n=>n.test(e)))){const n=a(e);s.has(n)||c.has(n)||c.set(n,e)}continue}if(FO(e,s,l,f,a))continue;WO(e,l,f,a);const t=a(e);s.has(t)||l.has(t)||l.set(t,e)}const h=Je(s.values()),g=Je(l.values());return h.concat(g,Je(c.values()))}function NO(e,n,t,r,o){const{validatedFilesSpec:i,validatedIncludeSpecs:a,validatedExcludeSpecs:s}=n;if(!b(a)||!b(s))return!1;t=_a(t);const l=rt(r);if(i)for(const n of i)if(l(ma(n,t))===e)return!1;return MO(e,s,r,o,t)}function DO(e){const n=st(e,"**/")?0:e.indexOf("/**/");if(-1===n)return!1;return(Xn(e,"/..")?e.length:e.lastIndexOf("/../"))>n}function CO(e,n,t,r){return MO(e,W(n,(e=>!DO(e))),t,r)}function MO(e,n,t,r,o){const i=BT(n,ua(_a(r),o),"exclude"),a=i&&JT(i,t);return!!a&&(!!a.test(e)||!Yi(e)&&a.test(va(e)))}function PO(e,n,t,r,o){return e.filter((e=>{if(!mn(e))return!1;const i=LO(e,t);return void 0!==i&&n.push(function(e,n){const t=uh(r,o,n);return SO(r,t,e,n)}(...i)),void 0===i}))}function LO(e,n){return Tt.assert("string"==typeof e),n&&dw.test(e)?[Oa.File_specification_cannot_end_in_a_recursive_directory_wildcard_Asterisk_Asterisk_Colon_0,e]:DO(e)?[Oa.File_specification_cannot_contain_a_parent_directory_that_appears_after_a_recursive_directory_wildcard_Asterisk_Asterisk_Colon_0,e]:void 0}function kO({validatedIncludeSpecs:e,validatedExcludeSpecs:n},t,r){const o=BT(n,t,"exclude"),i=o&&new RegExp(o,r?"":"i"),a={},s=new Map;if(void 0!==e){const n=[];for(const o of e){const e=_a(ua(t,o));if(i&&i.test(e))continue;const l=OO(e,r);if(l){const{key:e,path:t,flags:r}=l,o=s.get(e),i=void 0!==o?a[o]:void 0;(void 0===i||i<r)&&(a[void 0!==o?o:t]=r,void 0===o&&s.set(e,t),1===r&&n.push(e))}}for(const e in a)if(je(a,e))for(const o of n){const n=wO(e,r);n!==o&&Ia(o,n,t,!r)&&delete a[e]}}return a}function wO(e,n){return n?e:xn(e)}function OO(e,n){const t=uw.exec(e);if(t){const r=e.indexOf("?"),o=e.indexOf("*"),i=e.lastIndexOf(Fi);return{key:wO(t[0],n),path:t[0],flags:-1!==r&&r<i||-1!==o&&o<i?1:0}}if(VT(e.substring(e.lastIndexOf(Fi)+1))){const t=ya(e);return{key:wO(t,n),path:t,flags:1}}}function FO(e,n,t,r,o){const i=E(r,(n=>Qi(e,n)?n:void 0));if(!i)return!1;for(const r of i){if($i(e,r)&&(".ts"!==r||!$i(e,".d.ts")))return!1;const i=o(px(e,r));if(n.has(i)||t.has(i)){if(".d.ts"===r&&($i(e,".js")||$i(e,".jsx")))continue;return!0}}return!1}function WO(e,n,t,r){const o=E(t,(n=>Qi(e,n)?n:void 0));if(o)for(let t=o.length-1;t>=0;t--){const i=o[t];if($i(e,i))return;const a=r(px(e,i));n.delete(a)}}function zO(e){const n={};for(const t in e)if(je(e,t)){const r=xw(t);void 0!==r&&(n[t]=GO(e[t],r))}return n}function GO(e,n){if(void 0===e)return e;switch(n.type){case"object":case"string":return"";case"number":return"number"==typeof e?e:"";case"boolean":return"boolean"==typeof e?e:"";case"listOrElement":if(!pn(e))return GO(e,n.element);case"list":const t=n.element;return pn(e)?Y(e,(e=>GO(e,t))):"";default:return Wf(n.type,((n,t)=>{if(n===e)return t}))}}function BO(e){switch(e.type){case"number":return 1;case"boolean":return!0;case"string":const n=e.defaultValueDescription;return e.isFilePath?`./${n&&"string"==typeof n?n:""}`:"";case"list":return[];case"listOrElement":return BO(e.element);case"object":return{};default:const t=Ce(e.type.keys());return void 0!==t?t:Tt.fail("Expected 'option.type' to have entries.")}}var jO,VO,UO,HO,KO,qO=g({"src/compiler/commandLineParser.ts"(){JJ(),Tk={name:"compileOnSave",type:"boolean",defaultValueDescription:!1},xk=new Map(Object.entries({preserve:1,"react-native":3,react:2,"react-jsx":4,"react-jsxdev":5})),Ak=new Map(j(xk.entries(),(([e,n])=>[""+n,e]))),Ik=(Rk=[["es5","lib.es5.d.ts"],["es6","lib.es2015.d.ts"],["es2015","lib.es2015.d.ts"],["es7","lib.es2016.d.ts"],["es2016","lib.es2016.d.ts"],["es2017","lib.es2017.d.ts"],["es2018","lib.es2018.d.ts"],["es2019","lib.es2019.d.ts"],["es2020","lib.es2020.d.ts"],["es2021","lib.es2021.d.ts"],["es2022","lib.es2022.d.ts"],["es2023","lib.es2023.d.ts"],["esnext","lib.esnext.d.ts"],["dom","lib.dom.d.ts"],["dom.iterable","lib.dom.iterable.d.ts"],["dom.asynciterable","lib.dom.asynciterable.d.ts"],["webworker","lib.webworker.d.ts"],["webworker.importscripts","lib.webworker.importscripts.d.ts"],["webworker.iterable","lib.webworker.iterable.d.ts"],["webworker.asynciterable","lib.webworker.asynciterable.d.ts"],["scripthost","lib.scripthost.d.ts"],["es2015.core","lib.es2015.core.d.ts"],["es2015.collection","lib.es2015.collection.d.ts"],["es2015.generator","lib.es2015.generator.d.ts"],["es2015.iterable","lib.es2015.iterable.d.ts"],["es2015.promise","lib.es2015.promise.d.ts"],["es2015.proxy","lib.es2015.proxy.d.ts"],["es2015.reflect","lib.es2015.reflect.d.ts"],["es2015.symbol","lib.es2015.symbol.d.ts"],["es2015.symbol.wellknown","lib.es2015.symbol.wellknown.d.ts"],["es2016.array.include","lib.es2016.array.include.d.ts"],["es2016.intl","lib.es2016.intl.d.ts"],["es2017.date","lib.es2017.date.d.ts"],["es2017.object","lib.es2017.object.d.ts"],["es2017.sharedmemory","lib.es2017.sharedmemory.d.ts"],["es2017.string","lib.es2017.string.d.ts"],["es2017.intl","lib.es2017.intl.d.ts"],["es2017.typedarrays","lib.es2017.typedarrays.d.ts"],["es2018.asyncgenerator","lib.es2018.asyncgenerator.d.ts"],["es2018.asynciterable","lib.es2018.asynciterable.d.ts"],["es2018.intl","lib.es2018.intl.d.ts"],["es2018.promise","lib.es2018.promise.d.ts"],["es2018.regexp","lib.es2018.regexp.d.ts"],["es2019.array","lib.es2019.array.d.ts"],["es2019.object","lib.es2019.object.d.ts"],["es2019.string","lib.es2019.string.d.ts"],["es2019.symbol","lib.es2019.symbol.d.ts"],["es2019.intl","lib.es2019.intl.d.ts"],["es2020.bigint","lib.es2020.bigint.d.ts"],["es2020.date","lib.es2020.date.d.ts"],["es2020.promise","lib.es2020.promise.d.ts"],["es2020.sharedmemory","lib.es2020.sharedmemory.d.ts"],["es2020.string","lib.es2020.string.d.ts"],["es2020.symbol.wellknown","lib.es2020.symbol.wellknown.d.ts"],["es2020.intl","lib.es2020.intl.d.ts"],["es2020.number","lib.es2020.number.d.ts"],["es2021.promise","lib.es2021.promise.d.ts"],["es2021.string","lib.es2021.string.d.ts"],["es2021.weakref","lib.es2021.weakref.d.ts"],["es2021.intl","lib.es2021.intl.d.ts"],["es2022.array","lib.es2022.array.d.ts"],["es2022.error","lib.es2022.error.d.ts"],["es2022.intl","lib.es2022.intl.d.ts"],["es2022.object","lib.es2022.object.d.ts"],["es2022.sharedmemory","lib.es2022.sharedmemory.d.ts"],["es2022.string","lib.es2022.string.d.ts"],["es2022.regexp","lib.es2022.regexp.d.ts"],["es2023.array","lib.es2023.array.d.ts"],["es2023.collection","lib.es2023.collection.d.ts"],["esnext.array","lib.es2023.array.d.ts"],["esnext.collection","lib.esnext.collection.d.ts"],["esnext.symbol","lib.es2019.symbol.d.ts"],["esnext.asynciterable","lib.es2018.asynciterable.d.ts"],["esnext.intl","lib.esnext.intl.d.ts"],["esnext.disposable","lib.esnext.disposable.d.ts"],["esnext.bigint","lib.es2020.bigint.d.ts"],["esnext.string","lib.es2022.string.d.ts"],["esnext.promise","lib.esnext.promise.d.ts"],["esnext.weakref","lib.es2021.weakref.d.ts"],["esnext.decorators","lib.esnext.decorators.d.ts"],["esnext.object","lib.esnext.object.d.ts"],["decorators","lib.decorators.d.ts"],["decorators.legacy","lib.decorators.legacy.d.ts"]]).map((e=>e[0])),Nk=new Map(Rk),Dk=[{name:"watchFile",type:new Map(Object.entries({fixedpollinginterval:0,prioritypollinginterval:1,dynamicprioritypolling:2,fixedchunksizepolling:3,usefsevents:4,usefseventsonparentdirectory:5})),category:Oa.Watch_and_Build_Modes,description:Oa.Specify_how_the_TypeScript_watch_mode_works,defaultValueDescription:4},{name:"watchDirectory",type:new Map(Object.entries({usefsevents:0,fixedpollinginterval:1,dynamicprioritypolling:2,fixedchunksizepolling:3})),category:Oa.Watch_and_Build_Modes,description:Oa.Specify_how_directories_are_watched_on_systems_that_lack_recursive_file_watching_functionality,defaultValueDescription:0},{name:"fallbackPolling",type:new Map(Object.entries({fixedinterval:0,priorityinterval:1,dynamicpriority:2,fixedchunksize:3})),category:Oa.Watch_and_Build_Modes,description:Oa.Specify_what_approach_the_watcher_should_use_if_the_system_runs_out_of_native_file_watchers,defaultValueDescription:1},{name:"synchronousWatchDirectory",type:"boolean",category:Oa.Watch_and_Build_Modes,description:Oa.Synchronously_call_callbacks_and_update_the_state_of_directory_watchers_on_platforms_that_don_t_support_recursive_watching_natively,defaultValueDescription:!1},{name:"excludeDirectories",type:"list",element:{name:"excludeDirectory",type:"string",isFilePath:!0,extraValidation:LO},category:Oa.Watch_and_Build_Modes,description:Oa.Remove_a_list_of_directories_from_the_watch_process},{name:"excludeFiles",type:"list",element:{name:"excludeFile",type:"string",isFilePath:!0,extraValidation:LO},category:Oa.Watch_and_Build_Modes,description:Oa.Remove_a_list_of_files_from_the_watch_mode_s_processing}],Ck=[{name:"help",shortName:"h",type:"boolean",showInSimplifiedHelpView:!0,isCommandLineOnly:!0,category:Oa.Command_line_Options,description:Oa.Print_this_message,defaultValueDescription:!1},{name:"help",shortName:"?",type:"boolean",isCommandLineOnly:!0,category:Oa.Command_line_Options,defaultValueDescription:!1},{name:"watch",shortName:"w",type:"boolean",showInSimplifiedHelpView:!0,isCommandLineOnly:!0,category:Oa.Command_line_Options,description:Oa.Watch_input_files,defaultValueDescription:!1},{name:"preserveWatchOutput",type:"boolean",showInSimplifiedHelpView:!1,category:Oa.Output_Formatting,description:Oa.Disable_wiping_the_console_in_watch_mode,defaultValueDescription:!1},{name:"listFiles",type:"boolean",category:Oa.Compiler_Diagnostics,description:Oa.Print_all_of_the_files_read_during_the_compilation,defaultValueDescription:!1},{name:"explainFiles",type:"boolean",category:Oa.Compiler_Diagnostics,description:Oa.Print_files_read_during_the_compilation_including_why_it_was_included,defaultValueDescription:!1},{name:"listEmittedFiles",type:"boolean",category:Oa.Compiler_Diagnostics,description:Oa.Print_the_names_of_emitted_files_after_a_compilation,defaultValueDescription:!1},{name:"pretty",type:"boolean",showInSimplifiedHelpView:!0,category:Oa.Output_Formatting,description:Oa.Enable_color_and_formatting_in_TypeScript_s_output_to_make_compiler_errors_easier_to_read,defaultValueDescription:!0},{name:"traceResolution",type:"boolean",category:Oa.Compiler_Diagnostics,description:Oa.Log_paths_used_during_the_moduleResolution_process,defaultValueDescription:!1},{name:"diagnostics",type:"boolean",category:Oa.Compiler_Diagnostics,description:Oa.Output_compiler_performance_information_after_building,defaultValueDescription:!1},{name:"extendedDiagnostics",type:"boolean",category:Oa.Compiler_Diagnostics,description:Oa.Output_more_detailed_compiler_performance_information_after_building,defaultValueDescription:!1},{name:"generateCpuProfile",type:"string",isFilePath:!0,paramType:Oa.FILE_OR_DIRECTORY,category:Oa.Compiler_Diagnostics,description:Oa.Emit_a_v8_CPU_profile_of_the_compiler_run_for_debugging,defaultValueDescription:"profile.cpuprofile"},{name:"generateTrace",type:"string",isFilePath:!0,isCommandLineOnly:!0,paramType:Oa.DIRECTORY,category:Oa.Compiler_Diagnostics,description:Oa.Generates_an_event_trace_and_a_list_of_types},{name:"incremental",shortName:"i",type:"boolean",category:Oa.Projects,description:Oa.Save_tsbuildinfo_files_to_allow_for_incremental_compilation_of_projects,transpileOptionValue:void 0,defaultValueDescription:Oa.false_unless_composite_is_set},{name:"declaration",shortName:"d",type:"boolean",affectsBuildInfo:!0,showInSimplifiedHelpView:!0,category:Oa.Emit,transpileOptionValue:void 0,description:Oa.Generate_d_ts_files_from_TypeScript_and_JavaScript_files_in_your_project,defaultValueDescription:Oa.false_unless_composite_is_set},{name:"declarationMap",type:"boolean",affectsBuildInfo:!0,showInSimplifiedHelpView:!0,category:Oa.Emit,transpileOptionValue:void 0,defaultValueDescription:!1,description:Oa.Create_sourcemaps_for_d_ts_files},{name:"emitDeclarationOnly",type:"boolean",affectsBuildInfo:!0,showInSimplifiedHelpView:!0,category:Oa.Emit,description:Oa.Only_output_d_ts_files_and_not_JavaScript_files,transpileOptionValue:void 0,defaultValueDescription:!1},{name:"sourceMap",type:"boolean",affectsBuildInfo:!0,showInSimplifiedHelpView:!0,category:Oa.Emit,defaultValueDescription:!1,description:Oa.Create_source_map_files_for_emitted_JavaScript_files},{name:"inlineSourceMap",type:"boolean",affectsBuildInfo:!0,category:Oa.Emit,description:Oa.Include_sourcemap_files_inside_the_emitted_JavaScript,defaultValueDescription:!1},{name:"assumeChangesOnlyAffectDirectDependencies",type:"boolean",affectsSemanticDiagnostics:!0,affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Watch_and_Build_Modes,description:Oa.Have_recompiles_in_projects_that_use_incremental_and_watch_mode_assume_that_changes_within_a_file_will_only_affect_files_directly_depending_on_it,defaultValueDescription:!1},{name:"locale",type:"string",category:Oa.Command_line_Options,isCommandLineOnly:!0,description:Oa.Set_the_language_of_the_messaging_from_TypeScript_This_does_not_affect_emit,defaultValueDescription:Oa.Platform_specific}],Mk={name:"target",shortName:"t",type:new Map(Object.entries({es3:0,es5:1,es6:2,es2015:2,es2016:3,es2017:4,es2018:5,es2019:6,es2020:7,es2021:8,es2022:9,esnext:99})),affectsSourceFile:!0,affectsModuleResolution:!0,affectsEmit:!0,affectsBuildInfo:!0,deprecatedKeys:new Set(["es3"]),paramType:Oa.VERSION,showInSimplifiedHelpView:!0,category:Oa.Language_and_Environment,description:Oa.Set_the_JavaScript_language_version_for_emitted_JavaScript_and_include_compatible_library_declarations,defaultValueDescription:1},Pk={name:"module",shortName:"m",type:new Map(Object.entries({none:0,commonjs:1,amd:2,system:4,umd:3,es6:5,es2015:5,es2020:6,es2022:7,esnext:99,node16:100,nodenext:199,preserve:200})),affectsSourceFile:!0,affectsModuleResolution:!0,affectsEmit:!0,affectsBuildInfo:!0,paramType:Oa.KIND,showInSimplifiedHelpView:!0,category:Oa.Modules,description:Oa.Specify_what_module_code_is_generated,defaultValueDescription:void 0},Lk=[{name:"all",type:"boolean",showInSimplifiedHelpView:!0,category:Oa.Command_line_Options,description:Oa.Show_all_compiler_options,defaultValueDescription:!1},{name:"version",shortName:"v",type:"boolean",showInSimplifiedHelpView:!0,category:Oa.Command_line_Options,description:Oa.Print_the_compiler_s_version,defaultValueDescription:!1},{name:"init",type:"boolean",showInSimplifiedHelpView:!0,category:Oa.Command_line_Options,description:Oa.Initializes_a_TypeScript_project_and_creates_a_tsconfig_json_file,defaultValueDescription:!1},{name:"project",shortName:"p",type:"string",isFilePath:!0,showInSimplifiedHelpView:!0,category:Oa.Command_line_Options,paramType:Oa.FILE_OR_DIRECTORY,description:Oa.Compile_the_project_given_the_path_to_its_configuration_file_or_to_a_folder_with_a_tsconfig_json},{name:"build",type:"boolean",shortName:"b",showInSimplifiedHelpView:!0,category:Oa.Command_line_Options,description:Oa.Build_one_or_more_projects_and_their_dependencies_if_out_of_date,defaultValueDescription:!1},{name:"showConfig",type:"boolean",showInSimplifiedHelpView:!0,category:Oa.Command_line_Options,isCommandLineOnly:!0,description:Oa.Print_the_final_configuration_instead_of_building,defaultValueDescription:!1},{name:"listFilesOnly",type:"boolean",category:Oa.Command_line_Options,isCommandLineOnly:!0,description:Oa.Print_names_of_files_that_are_part_of_the_compilation_and_then_stop_processing,defaultValueDescription:!1},Mk,Pk,{name:"lib",type:"list",element:{name:"lib",type:Nk,defaultValueDescription:void 0},affectsProgramStructure:!0,showInSimplifiedHelpView:!0,category:Oa.Language_and_Environment,description:Oa.Specify_a_set_of_bundled_library_declaration_files_that_describe_the_target_runtime_environment,transpileOptionValue:void 0},{name:"allowJs",type:"boolean",allowJsFlag:!0,affectsBuildInfo:!0,showInSimplifiedHelpView:!0,category:Oa.JavaScript_Support,description:Oa.Allow_JavaScript_files_to_be_a_part_of_your_program_Use_the_checkJS_option_to_get_errors_from_these_files,defaultValueDescription:!1},{name:"checkJs",type:"boolean",affectsModuleResolution:!0,affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,showInSimplifiedHelpView:!0,category:Oa.JavaScript_Support,description:Oa.Enable_error_reporting_in_type_checked_JavaScript_files,defaultValueDescription:!1},{name:"jsx",type:xk,affectsSourceFile:!0,affectsEmit:!0,affectsBuildInfo:!0,affectsModuleResolution:!0,affectsSemanticDiagnostics:!0,paramType:Oa.KIND,showInSimplifiedHelpView:!0,category:Oa.Language_and_Environment,description:Oa.Specify_what_JSX_code_is_generated,defaultValueDescription:void 0},{name:"outFile",type:"string",affectsEmit:!0,affectsBuildInfo:!0,affectsDeclarationPath:!0,isFilePath:!0,paramType:Oa.FILE,showInSimplifiedHelpView:!0,category:Oa.Emit,description:Oa.Specify_a_file_that_bundles_all_outputs_into_one_JavaScript_file_If_declaration_is_true_also_designates_a_file_that_bundles_all_d_ts_output,transpileOptionValue:void 0},{name:"outDir",type:"string",affectsEmit:!0,affectsBuildInfo:!0,affectsDeclarationPath:!0,isFilePath:!0,paramType:Oa.DIRECTORY,showInSimplifiedHelpView:!0,category:Oa.Emit,description:Oa.Specify_an_output_folder_for_all_emitted_files},{name:"rootDir",type:"string",affectsEmit:!0,affectsBuildInfo:!0,affectsDeclarationPath:!0,isFilePath:!0,paramType:Oa.LOCATION,category:Oa.Modules,description:Oa.Specify_the_root_folder_within_your_source_files,defaultValueDescription:Oa.Computed_from_the_list_of_input_files},{name:"composite",type:"boolean",affectsBuildInfo:!0,isTSConfigOnly:!0,category:Oa.Projects,transpileOptionValue:void 0,defaultValueDescription:!1,description:Oa.Enable_constraints_that_allow_a_TypeScript_project_to_be_used_with_project_references},{name:"tsBuildInfoFile",type:"string",affectsEmit:!0,affectsBuildInfo:!0,isFilePath:!0,paramType:Oa.FILE,category:Oa.Projects,transpileOptionValue:void 0,defaultValueDescription:".tsbuildinfo",description:Oa.Specify_the_path_to_tsbuildinfo_incremental_compilation_file},{name:"removeComments",type:"boolean",affectsEmit:!0,affectsBuildInfo:!0,showInSimplifiedHelpView:!0,category:Oa.Emit,defaultValueDescription:!1,description:Oa.Disable_emitting_comments},{name:"noEmit",type:"boolean",showInSimplifiedHelpView:!0,category:Oa.Emit,description:Oa.Disable_emitting_files_from_a_compilation,transpileOptionValue:void 0,defaultValueDescription:!1},{name:"importHelpers",type:"boolean",affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Emit,description:Oa.Allow_importing_helper_functions_from_tslib_once_per_project_instead_of_including_them_per_file,defaultValueDescription:!1},{name:"importsNotUsedAsValues",type:new Map(Object.entries({remove:0,preserve:1,error:2})),affectsEmit:!0,affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Emit,description:Oa.Specify_emit_Slashchecking_behavior_for_imports_that_are_only_used_for_types,defaultValueDescription:0},{name:"downlevelIteration",type:"boolean",affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Emit,description:Oa.Emit_more_compliant_but_verbose_and_less_performant_JavaScript_for_iteration,defaultValueDescription:!1},{name:"isolatedModules",type:"boolean",category:Oa.Interop_Constraints,description:Oa.Ensure_that_each_file_can_be_safely_transpiled_without_relying_on_other_imports,transpileOptionValue:!0,defaultValueDescription:!1},{name:"verbatimModuleSyntax",type:"boolean",category:Oa.Interop_Constraints,description:Oa.Do_not_transform_or_elide_any_imports_or_exports_not_marked_as_type_only_ensuring_they_are_written_in_the_output_file_s_format_based_on_the_module_setting,defaultValueDescription:!1},{name:"strict",type:"boolean",affectsBuildInfo:!0,showInSimplifiedHelpView:!0,category:Oa.Type_Checking,description:Oa.Enable_all_strict_type_checking_options,defaultValueDescription:!1},{name:"noImplicitAny",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,strictFlag:!0,category:Oa.Type_Checking,description:Oa.Enable_error_reporting_for_expressions_and_declarations_with_an_implied_any_type,defaultValueDescription:Oa.false_unless_strict_is_set},{name:"strictNullChecks",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,strictFlag:!0,category:Oa.Type_Checking,description:Oa.When_type_checking_take_into_account_null_and_undefined,defaultValueDescription:Oa.false_unless_strict_is_set},{name:"strictFunctionTypes",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,strictFlag:!0,category:Oa.Type_Checking,description:Oa.When_assigning_functions_check_to_ensure_parameters_and_the_return_values_are_subtype_compatible,defaultValueDescription:Oa.false_unless_strict_is_set},{name:"strictBindCallApply",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,strictFlag:!0,category:Oa.Type_Checking,description:Oa.Check_that_the_arguments_for_bind_call_and_apply_methods_match_the_original_function,defaultValueDescription:Oa.false_unless_strict_is_set},{name:"strictPropertyInitialization",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,strictFlag:!0,category:Oa.Type_Checking,description:Oa.Check_for_class_properties_that_are_declared_but_not_set_in_the_constructor,defaultValueDescription:Oa.false_unless_strict_is_set},{name:"noImplicitThis",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,strictFlag:!0,category:Oa.Type_Checking,description:Oa.Enable_error_reporting_when_this_is_given_the_type_any,defaultValueDescription:Oa.false_unless_strict_is_set},{name:"useUnknownInCatchVariables",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,strictFlag:!0,category:Oa.Type_Checking,description:Oa.Default_catch_clause_variables_as_unknown_instead_of_any,defaultValueDescription:Oa.false_unless_strict_is_set},{name:"alwaysStrict",type:"boolean",affectsSourceFile:!0,affectsEmit:!0,affectsBuildInfo:!0,strictFlag:!0,category:Oa.Type_Checking,description:Oa.Ensure_use_strict_is_always_emitted,defaultValueDescription:Oa.false_unless_strict_is_set},{name:"noUnusedLocals",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Type_Checking,description:Oa.Enable_error_reporting_when_local_variables_aren_t_read,defaultValueDescription:!1},{name:"noUnusedParameters",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Type_Checking,description:Oa.Raise_an_error_when_a_function_parameter_isn_t_read,defaultValueDescription:!1},{name:"exactOptionalPropertyTypes",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Type_Checking,description:Oa.Interpret_optional_property_types_as_written_rather_than_adding_undefined,defaultValueDescription:!1},{name:"noImplicitReturns",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Type_Checking,description:Oa.Enable_error_reporting_for_codepaths_that_do_not_explicitly_return_in_a_function,defaultValueDescription:!1},{name:"noFallthroughCasesInSwitch",type:"boolean",affectsBindDiagnostics:!0,affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Type_Checking,description:Oa.Enable_error_reporting_for_fallthrough_cases_in_switch_statements,defaultValueDescription:!1},{name:"noUncheckedIndexedAccess",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Type_Checking,description:Oa.Add_undefined_to_a_type_when_accessed_using_an_index,defaultValueDescription:!1},{name:"noImplicitOverride",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Type_Checking,description:Oa.Ensure_overriding_members_in_derived_classes_are_marked_with_an_override_modifier,defaultValueDescription:!1},{name:"noPropertyAccessFromIndexSignature",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,showInSimplifiedHelpView:!1,category:Oa.Type_Checking,description:Oa.Enforces_using_indexed_accessors_for_keys_declared_using_an_indexed_type,defaultValueDescription:!1},{name:"moduleResolution",type:new Map(Object.entries({node10:2,node:2,classic:1,node16:3,nodenext:99,bundler:100})),deprecatedKeys:new Set(["node"]),affectsSourceFile:!0,affectsModuleResolution:!0,paramType:Oa.STRATEGY,category:Oa.Modules,description:Oa.Specify_how_TypeScript_looks_up_a_file_from_a_given_module_specifier,defaultValueDescription:Oa.module_AMD_or_UMD_or_System_or_ES6_then_Classic_Otherwise_Node},{name:"baseUrl",type:"string",affectsModuleResolution:!0,isFilePath:!0,category:Oa.Modules,description:Oa.Specify_the_base_directory_to_resolve_non_relative_module_names},{name:"paths",type:"object",affectsModuleResolution:!0,isTSConfigOnly:!0,category:Oa.Modules,description:Oa.Specify_a_set_of_entries_that_re_map_imports_to_additional_lookup_locations,transpileOptionValue:void 0},{name:"rootDirs",type:"list",isTSConfigOnly:!0,element:{name:"rootDirs",type:"string",isFilePath:!0},affectsModuleResolution:!0,category:Oa.Modules,description:Oa.Allow_multiple_folders_to_be_treated_as_one_when_resolving_modules,transpileOptionValue:void 0,defaultValueDescription:Oa.Computed_from_the_list_of_input_files},{name:"typeRoots",type:"list",element:{name:"typeRoots",type:"string",isFilePath:!0},affectsModuleResolution:!0,category:Oa.Modules,description:Oa.Specify_multiple_folders_that_act_like_Slashnode_modules_Slash_types},{name:"types",type:"list",element:{name:"types",type:"string"},affectsProgramStructure:!0,showInSimplifiedHelpView:!0,category:Oa.Modules,description:Oa.Specify_type_package_names_to_be_included_without_being_referenced_in_a_source_file,transpileOptionValue:void 0},{name:"allowSyntheticDefaultImports",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Interop_Constraints,description:Oa.Allow_import_x_from_y_when_a_module_doesn_t_have_a_default_export,defaultValueDescription:Oa.module_system_or_esModuleInterop},{name:"esModuleInterop",type:"boolean",affectsSemanticDiagnostics:!0,affectsEmit:!0,affectsBuildInfo:!0,showInSimplifiedHelpView:!0,category:Oa.Interop_Constraints,description:Oa.Emit_additional_JavaScript_to_ease_support_for_importing_CommonJS_modules_This_enables_allowSyntheticDefaultImports_for_type_compatibility,defaultValueDescription:!1},{name:"preserveSymlinks",type:"boolean",category:Oa.Interop_Constraints,description:Oa.Disable_resolving_symlinks_to_their_realpath_This_correlates_to_the_same_flag_in_node,defaultValueDescription:!1},{name:"allowUmdGlobalAccess",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Modules,description:Oa.Allow_accessing_UMD_globals_from_modules,defaultValueDescription:!1},{name:"moduleSuffixes",type:"list",element:{name:"suffix",type:"string"},listPreserveFalsyValues:!0,affectsModuleResolution:!0,category:Oa.Modules,description:Oa.List_of_file_name_suffixes_to_search_when_resolving_a_module},{name:"allowImportingTsExtensions",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Modules,description:Oa.Allow_imports_to_include_TypeScript_file_extensions_Requires_moduleResolution_bundler_and_either_noEmit_or_emitDeclarationOnly_to_be_set,defaultValueDescription:!1,transpileOptionValue:void 0},{name:"resolvePackageJsonExports",type:"boolean",affectsModuleResolution:!0,category:Oa.Modules,description:Oa.Use_the_package_json_exports_field_when_resolving_package_imports,defaultValueDescription:Oa.true_when_moduleResolution_is_node16_nodenext_or_bundler_otherwise_false},{name:"resolvePackageJsonImports",type:"boolean",affectsModuleResolution:!0,category:Oa.Modules,description:Oa.Use_the_package_json_imports_field_when_resolving_imports,defaultValueDescription:Oa.true_when_moduleResolution_is_node16_nodenext_or_bundler_otherwise_false},{name:"customConditions",type:"list",element:{name:"condition",type:"string"},affectsModuleResolution:!0,category:Oa.Modules,description:Oa.Conditions_to_set_in_addition_to_the_resolver_specific_defaults_when_resolving_imports},{name:"sourceRoot",type:"string",affectsEmit:!0,affectsBuildInfo:!0,paramType:Oa.LOCATION,category:Oa.Emit,description:Oa.Specify_the_root_path_for_debuggers_to_find_the_reference_source_code},{name:"mapRoot",type:"string",affectsEmit:!0,affectsBuildInfo:!0,paramType:Oa.LOCATION,category:Oa.Emit,description:Oa.Specify_the_location_where_debugger_should_locate_map_files_instead_of_generated_locations},{name:"inlineSources",type:"boolean",affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Emit,description:Oa.Include_source_code_in_the_sourcemaps_inside_the_emitted_JavaScript,defaultValueDescription:!1},{name:"experimentalDecorators",type:"boolean",affectsEmit:!0,affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Language_and_Environment,description:Oa.Enable_experimental_support_for_legacy_experimental_decorators,defaultValueDescription:!1},{name:"emitDecoratorMetadata",type:"boolean",affectsSemanticDiagnostics:!0,affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Language_and_Environment,description:Oa.Emit_design_type_metadata_for_decorated_declarations_in_source_files,defaultValueDescription:!1},{name:"jsxFactory",type:"string",category:Oa.Language_and_Environment,description:Oa.Specify_the_JSX_factory_function_used_when_targeting_React_JSX_emit_e_g_React_createElement_or_h,defaultValueDescription:"`React.createElement`"},{name:"jsxFragmentFactory",type:"string",category:Oa.Language_and_Environment,description:Oa.Specify_the_JSX_Fragment_reference_used_for_fragments_when_targeting_React_JSX_emit_e_g_React_Fragment_or_Fragment,defaultValueDescription:"React.Fragment"},{name:"jsxImportSource",type:"string",affectsSemanticDiagnostics:!0,affectsEmit:!0,affectsBuildInfo:!0,affectsModuleResolution:!0,category:Oa.Language_and_Environment,description:Oa.Specify_module_specifier_used_to_import_the_JSX_factory_functions_when_using_jsx_Colon_react_jsx_Asterisk,defaultValueDescription:"react"},{name:"resolveJsonModule",type:"boolean",affectsModuleResolution:!0,category:Oa.Modules,description:Oa.Enable_importing_json_files,defaultValueDescription:!1},{name:"allowArbitraryExtensions",type:"boolean",affectsProgramStructure:!0,category:Oa.Modules,description:Oa.Enable_importing_files_with_any_extension_provided_a_declaration_file_is_present,defaultValueDescription:!1},{name:"out",type:"string",affectsEmit:!0,affectsBuildInfo:!0,affectsDeclarationPath:!0,isFilePath:!1,category:Oa.Backwards_Compatibility,paramType:Oa.FILE,transpileOptionValue:void 0,description:Oa.Deprecated_setting_Use_outFile_instead},{name:"reactNamespace",type:"string",affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Language_and_Environment,description:Oa.Specify_the_object_invoked_for_createElement_This_only_applies_when_targeting_react_JSX_emit,defaultValueDescription:"`React`"},{name:"skipDefaultLibCheck",type:"boolean",affectsBuildInfo:!0,category:Oa.Completeness,description:Oa.Skip_type_checking_d_ts_files_that_are_included_with_TypeScript,defaultValueDescription:!1},{name:"charset",type:"string",category:Oa.Backwards_Compatibility,description:Oa.No_longer_supported_In_early_versions_manually_set_the_text_encoding_for_reading_files,defaultValueDescription:"utf8"},{name:"emitBOM",type:"boolean",affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Emit,description:Oa.Emit_a_UTF_8_Byte_Order_Mark_BOM_in_the_beginning_of_output_files,defaultValueDescription:!1},{name:"newLine",type:new Map(Object.entries({crlf:0,lf:1})),affectsEmit:!0,affectsBuildInfo:!0,paramType:Oa.NEWLINE,category:Oa.Emit,description:Oa.Set_the_newline_character_for_emitting_files,defaultValueDescription:"lf"},{name:"noErrorTruncation",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Output_Formatting,description:Oa.Disable_truncating_types_in_error_messages,defaultValueDescription:!1},{name:"noLib",type:"boolean",category:Oa.Language_and_Environment,affectsProgramStructure:!0,description:Oa.Disable_including_any_library_files_including_the_default_lib_d_ts,transpileOptionValue:!0,defaultValueDescription:!1},{name:"noResolve",type:"boolean",affectsModuleResolution:!0,category:Oa.Modules,description:Oa.Disallow_import_s_require_s_or_reference_s_from_expanding_the_number_of_files_TypeScript_should_add_to_a_project,transpileOptionValue:!0,defaultValueDescription:!1},{name:"stripInternal",type:"boolean",affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Emit,description:Oa.Disable_emitting_declarations_that_have_internal_in_their_JSDoc_comments,defaultValueDescription:!1},{name:"disableSizeLimit",type:"boolean",affectsProgramStructure:!0,category:Oa.Editor_Support,description:Oa.Remove_the_20mb_cap_on_total_source_code_size_for_JavaScript_files_in_the_TypeScript_language_server,defaultValueDescription:!1},{name:"disableSourceOfProjectReferenceRedirect",type:"boolean",isTSConfigOnly:!0,category:Oa.Projects,description:Oa.Disable_preferring_source_files_instead_of_declaration_files_when_referencing_composite_projects,defaultValueDescription:!1},{name:"disableSolutionSearching",type:"boolean",isTSConfigOnly:!0,category:Oa.Projects,description:Oa.Opt_a_project_out_of_multi_project_reference_checking_when_editing,defaultValueDescription:!1},{name:"disableReferencedProjectLoad",type:"boolean",isTSConfigOnly:!0,category:Oa.Projects,description:Oa.Reduce_the_number_of_projects_loaded_automatically_by_TypeScript,defaultValueDescription:!1},{name:"noImplicitUseStrict",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Backwards_Compatibility,description:Oa.Disable_adding_use_strict_directives_in_emitted_JavaScript_files,defaultValueDescription:!1},{name:"noEmitHelpers",type:"boolean",affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Emit,description:Oa.Disable_generating_custom_helper_functions_like_extends_in_compiled_output,defaultValueDescription:!1},{name:"noEmitOnError",type:"boolean",affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Emit,transpileOptionValue:void 0,description:Oa.Disable_emitting_files_if_any_type_checking_errors_are_reported,defaultValueDescription:!1},{name:"preserveConstEnums",type:"boolean",affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Emit,description:Oa.Disable_erasing_const_enum_declarations_in_generated_code,defaultValueDescription:!1},{name:"declarationDir",type:"string",affectsEmit:!0,affectsBuildInfo:!0,affectsDeclarationPath:!0,isFilePath:!0,paramType:Oa.DIRECTORY,category:Oa.Emit,transpileOptionValue:void 0,description:Oa.Specify_the_output_directory_for_generated_declaration_files},{name:"skipLibCheck",type:"boolean",affectsBuildInfo:!0,category:Oa.Completeness,description:Oa.Skip_type_checking_all_d_ts_files,defaultValueDescription:!1},{name:"allowUnusedLabels",type:"boolean",affectsBindDiagnostics:!0,affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Type_Checking,description:Oa.Disable_error_reporting_for_unused_labels,defaultValueDescription:void 0},{name:"allowUnreachableCode",type:"boolean",affectsBindDiagnostics:!0,affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Type_Checking,description:Oa.Disable_error_reporting_for_unreachable_code,defaultValueDescription:void 0},{name:"suppressExcessPropertyErrors",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Backwards_Compatibility,description:Oa.Disable_reporting_of_excess_property_errors_during_the_creation_of_object_literals,defaultValueDescription:!1},{name:"suppressImplicitAnyIndexErrors",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Backwards_Compatibility,description:Oa.Suppress_noImplicitAny_errors_when_indexing_objects_that_lack_index_signatures,defaultValueDescription:!1},{name:"forceConsistentCasingInFileNames",type:"boolean",affectsModuleResolution:!0,category:Oa.Interop_Constraints,description:Oa.Ensure_that_casing_is_correct_in_imports,defaultValueDescription:!0},{name:"maxNodeModuleJsDepth",type:"number",affectsModuleResolution:!0,category:Oa.JavaScript_Support,description:Oa.Specify_the_maximum_folder_depth_used_for_checking_JavaScript_files_from_node_modules_Only_applicable_with_allowJs,defaultValueDescription:0},{name:"noStrictGenericChecks",type:"boolean",affectsSemanticDiagnostics:!0,affectsBuildInfo:!0,category:Oa.Backwards_Compatibility,description:Oa.Disable_strict_checking_of_generic_signatures_in_function_types,defaultValueDescription:!1},{name:"useDefineForClassFields",type:"boolean",affectsSemanticDiagnostics:!0,affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Language_and_Environment,description:Oa.Emit_ECMAScript_standard_compliant_class_fields,defaultValueDescription:Oa.true_for_ES2022_and_above_including_ESNext},{name:"preserveValueImports",type:"boolean",affectsEmit:!0,affectsBuildInfo:!0,category:Oa.Emit,description:Oa.Preserve_unused_imported_values_in_the_JavaScript_output_that_would_otherwise_be_removed,defaultValueDescription:!1},{name:"keyofStringsOnly",type:"boolean",category:Oa.Backwards_Compatibility,description:Oa.Make_keyof_only_return_strings_instead_of_string_numbers_or_symbols_Legacy_option,defaultValueDescription:!1},{name:"plugins",type:"list",isTSConfigOnly:!0,element:{name:"plugin",type:"object"},description:Oa.Specify_a_list_of_language_service_plugins_to_include,category:Oa.Editor_Support},{name:"moduleDetection",type:new Map(Object.entries({auto:2,legacy:1,force:3})),affectsSourceFile:!0,affectsModuleResolution:!0,description:Oa.Control_what_method_is_used_to_detect_module_format_JS_files,category:Oa.Language_and_Environment,defaultValueDescription:Oa.auto_Colon_Treat_files_with_imports_exports_import_meta_jsx_with_jsx_Colon_react_jsx_or_esm_format_with_module_Colon_node16_as_modules},{name:"ignoreDeprecations",type:"string",defaultValueDescription:void 0}],kk=[...Ck,...Lk],wk=kk.filter((e=>!!e.affectsSemanticDiagnostics)),Ok=kk.filter((e=>!!e.affectsEmit)),Fk=kk.filter((e=>!!e.affectsDeclarationPath)),Wk=kk.filter((e=>!!e.affectsModuleResolution)),zk=kk.filter((e=>!!e.affectsSourceFile||!!e.affectsBindDiagnostics)),Gk=kk.filter((e=>!!e.affectsProgramStructure)),Bk=kk.filter((e=>je(e,"transpileOptionValue"))),jk=[{name:"verbose",shortName:"v",category:Oa.Command_line_Options,description:Oa.Enable_verbose_logging,type:"boolean",defaultValueDescription:!1},{name:"dry",shortName:"d",category:Oa.Command_line_Options,description:Oa.Show_what_would_be_built_or_deleted_if_specified_with_clean,type:"boolean",defaultValueDescription:!1},{name:"force",shortName:"f",category:Oa.Command_line_Options,description:Oa.Build_all_projects_including_those_that_appear_to_be_up_to_date,type:"boolean",defaultValueDescription:!1},{name:"clean",category:Oa.Command_line_Options,description:Oa.Delete_the_outputs_of_all_projects,type:"boolean",defaultValueDescription:!1}],Vk=[...Ck,...jk],Uk=[{name:"enable",type:"boolean",defaultValueDescription:!1},{name:"include",type:"list",element:{name:"include",type:"string"}},{name:"exclude",type:"list",element:{name:"exclude",type:"string"}},{name:"disableFilenameBasedTypeAcquisition",type:"boolean",defaultValueDescription:!1}],Kk={diagnostic:Oa.Compiler_option_0_may_only_be_used_with_build,getOptionsNameMap:Rw},qk={module:1,target:3,strict:!0,esModuleInterop:!0,forceConsistentCasingInFileNames:!0,skipLibCheck:!0},Jk={alternateMode:Kk,getOptionsNameMap:mw,optionDeclarations:kk,unknownOptionDiagnostic:Oa.Unknown_compiler_option_0,unknownDidYouMeanDiagnostic:Oa.Unknown_compiler_option_0_Did_you_mean_1,optionTypeMismatchDiagnostic:Oa.Compiler_option_0_expects_an_argument},Yk={diagnostic:Oa.Compiler_option_0_may_not_be_used_with_build,getOptionsNameMap:mw},$k={alternateMode:Yk,getOptionsNameMap:Rw,optionDeclarations:Vk,unknownOptionDiagnostic:Oa.Unknown_build_option_0,unknownDidYouMeanDiagnostic:Oa.Unknown_build_option_0_Did_you_mean_1,optionTypeMismatchDiagnostic:Oa.Build_option_0_requires_a_value_of_type_1},Qk={optionDeclarations:Uk,unknownOptionDiagnostic:Oa.Unknown_type_acquisition_option_0,unknownDidYouMeanDiagnostic:Oa.Unknown_type_acquisition_option_0_Did_you_mean_1},ew={getOptionsNameMap:ww,optionDeclarations:Dk,unknownOptionDiagnostic:Oa.Unknown_watch_option_0,unknownDidYouMeanDiagnostic:Oa.Unknown_watch_option_0_Did_you_mean_1,optionTypeMismatchDiagnostic:Oa.Watch_option_0_requires_a_value_of_type_1},ow={name:"extends",type:"listOrElement",element:{name:"extends",type:"string"},category:Oa.File_Management,disallowNullOrUndefined:!0},iw={name:"compilerOptions",type:"object",elementOptions:Ow(),extraKeyDiagnostics:Jk},aw={name:"watchOptions",type:"object",elementOptions:Fw(),extraKeyDiagnostics:ew},sw={name:"typeAcquisition",type:"object",elementOptions:Ww(),extraKeyDiagnostics:Qk},cw="**/*",dw=/(^|\/)\*\*\/?$/,uw=/^[^*?]*(?=\/[^/]*[*?])/}});function JO(e,n,...t){e.trace(aT(n,...t))}function XO(e,n){return!!e.traceResolution&&void 0!==n.trace}function YO(e,n){let t;if(n&&e){const r=e.contents.packageJsonContent;"string"==typeof r.name&&"string"==typeof r.version&&(t={name:r.name,subModuleName:n.path.slice(e.packageDirectory.length+Fi.length),version:r.version})}return n&&{path:n.path,extension:n.ext,packageId:t,resolvedUsingTsExtension:n.resolvedUsingTsExtension}}function $O(e){return YO(void 0,e)}function QO(e){if(e)return Tt.assert(void 0===e.packageId),{path:e.path,ext:e.extension,resolvedUsingTsExtension:e.resolvedUsingTsExtension}}function ZO(e){const n=[];return 1&e&&n.push("TypeScript"),2&e&&n.push("JavaScript"),4&e&&n.push("Declaration"),8&e&&n.push("JSON"),n.join(", ")}function eF(e){if(e)return Tt.assert(hx(e.extension)),{fileName:e.path,packageId:e.packageId}}function nF(e,n,t,r,o,i,a,s,l){if(!a.resultFromCache&&!a.compilerOptions.preserveSymlinks&&n&&t&&!n.originalPath&&!Xs(e)){const{resolvedFileName:e,originalPath:t}=uF(n.path,a.host,a.traceEnabled);t&&(n={...n,path:e,originalPath:t})}return tF(n,t,r,o,i,a.resultFromCache,s,l)}function tF(e,n,t,r,o,i,a,s){return i?(null==a?void 0:a.isReadonly)?{...i,failedLookupLocations:iF(i.failedLookupLocations,t),affectingLocations:iF(i.affectingLocations,r),resolutionDiagnostics:iF(i.resolutionDiagnostics,o)}:(i.failedLookupLocations=oF(i.failedLookupLocations,t),i.affectingLocations=oF(i.affectingLocations,r),i.resolutionDiagnostics=oF(i.resolutionDiagnostics,o),i):{resolvedModule:e&&{resolvedFileName:e.path,originalPath:!0===e.originalPath?void 0:e.originalPath,extension:e.extension,isExternalLibraryImport:n,packageId:e.packageId,resolvedUsingTsExtension:!!e.resolvedUsingTsExtension},failedLookupLocations:rF(t),affectingLocations:rF(r),resolutionDiagnostics:rF(o),alternateResult:s}}function rF(e){return e.length?e:void 0}function oF(e,n){return(null==n?void 0:n.length)?(null==e?void 0:e.length)?(e.push(...n),e):n:e}function iF(e,n){return(null==e?void 0:e.length)?n.length?[...e,...n]:e.slice():rF(n)}function aF(e,n,t,r){if(!je(e,n))return void(r.traceEnabled&&JO(r.host,Oa.package_json_does_not_have_a_0_field,n));const o=e[n];if(typeof o===t&&null!==o)return o;r.traceEnabled&&JO(r.host,Oa.Expected_type_of_0_field_in_package_json_to_be_1_got_2,n,t,null===o?"null":typeof o)}function sF(e,n,t,r){const o=aF(e,n,"string",r);if(void 0===o)return;if(!o)return void(r.traceEnabled&&JO(r.host,Oa.package_json_had_a_falsy_0_field,n));const i=_a(ua(t,o));return r.traceEnabled&&JO(r.host,Oa.package_json_has_0_field_1_that_references_2,n,o,i),i}function lF(e,t){const r=function(e,n){const t=aF(e,"typesVersions","object",n);if(void 0!==t)return n.traceEnabled&&JO(n.host,Oa.package_json_has_a_typesVersions_field_with_version_specific_path_mappings),t}(e,t);if(void 0===r)return;if(t.traceEnabled)for(const e in r)je(r,e)&&!Pt.tryParse(e)&&JO(t.host,Oa.package_json_has_a_typesVersions_entry_0_that_is_not_a_valid_semver_range,e);const o=cF(r);if(!o)return void(t.traceEnabled&&JO(t.host,Oa.package_json_does_not_have_a_typesVersions_entry_that_matches_version_0,n));const{version:i,paths:a}=o;if("object"==typeof a)return o;t.traceEnabled&&JO(t.host,Oa.Expected_type_of_0_field_in_package_json_to_be_1_got_2,`typesVersions['${i}']`,"object",typeof a)}function cF(e){jO||(jO=new Mt(t));for(const n in e){if(!je(e,n))continue;const t=Pt.tryParse(n);if(void 0!==t&&t.test(jO))return{version:n,paths:e[n]}}}function dF(e,n){if(e.typeRoots)return e.typeRoots;let t;return e.configFilePath?t=ra(e.configFilePath):n.getCurrentDirectory&&(t=n.getCurrentDirectory()),void 0!==t?function(e){let n;return ka(_a(e),(e=>{const t=ua(e,VO);(n??(n=[])).push(t)})),n}(t):void 0}function uF(e,n,t){const r=function(e,n,t){if(!n.realpath)return e;const r=_a(n.realpath(e));t&&JO(n,Oa.Resolving_real_path_for_0_result_1,e,r);return r}(e,n,t),o=function(e,n,t){return 0===Ra(e,n,!("function"==typeof t.useCaseSensitiveFileNames?t.useCaseSensitiveFileNames():t.useCaseSensitiveFileNames))}(e,r,n);return{resolvedFileName:o?e:r,originalPath:o?void 0:e}}function pF(e,n,t){return ua(e,Xn(e,"/node_modules/@types")||Xn(e,"/node_modules/@types/")?SW(n,t):n)}function fF(e,n,t,r,o,i,a){Tt.assert("string"==typeof e,"Non-string value passed to `ts.resolveTypeReferenceDirective`, likely by a wrapping package working with an outdated `resolveTypeReferenceDirectives` signature. This is probably not a problem in TS itself.");const s=XO(t,r);o&&(t=o.commandLine.options);const l=n?ra(n):void 0;let c=l?null==i?void 0:i.getFromDirectoryCache(e,a,l,o):void 0;if(c||!l||Xs(e)||(c=null==i?void 0:i.getFromNonRelativeNameCache(e,a,l,o)),c)return s&&(JO(r,Oa.Resolving_type_reference_directive_0_containing_file_1,e,n),o&&JO(r,Oa.Using_compiler_options_of_project_reference_redirect_0,o.sourceFile.fileName),JO(r,Oa.Resolution_for_type_reference_directive_0_was_found_in_cache_from_location_1,e,l),E(c)),c;const d=dF(t,r);s&&(void 0===n?void 0===d?JO(r,Oa.Resolving_type_reference_directive_0_containing_file_not_set_root_directory_not_set,e):JO(r,Oa.Resolving_type_reference_directive_0_containing_file_not_set_root_directory_1,e,d):void 0===d?JO(r,Oa.Resolving_type_reference_directive_0_containing_file_1_root_directory_not_set,e,n):JO(r,Oa.Resolving_type_reference_directive_0_containing_file_1_root_directory_2,e,n,d),o&&JO(r,Oa.Using_compiler_options_of_project_reference_redirect_0,o.sourceFile.fileName));const u=[],p=[];let f=mF(t);void 0!==a&&(f|=30);const m=Up(t);99===a&&3<=m&&m<=99&&(f|=32);const _=8&f?_F(t,a):[],h=[],g={compilerOptions:t,host:r,traceEnabled:s,failedLookupLocations:u,affectingLocations:p,packageJsonInfoCache:i,features:f,conditions:_,requestContainingDirectory:l,reportDiagnostic:e=>{h.push(e)},isConfigLookup:!1,candidateIsFromPackageJsonField:!1,resolvedPackageDirectory:!1};let y,v=function(){if(d&&d.length)return s&&JO(r,Oa.Resolving_with_primary_search_path_0,d.join(", ")),T(d,(n=>{const o=pF(n,e,g),i=jE(n,r);if(!i&&s&&JO(r,Oa.Directory_0_does_not_exist_skipping_all_lookups_in_it,n),t.typeRoots){const e=XF(4,o,!i,g);if(e){const n=KF(e.path);return eF(YO(n?sW(n,!1,g):void 0,e))}}return eF(nW(4,o,!i,g))}));s&&JO(r,Oa.Root_directory_cannot_be_determined_skipping_primary_search_paths)}(),b=!0;if(v||(v=function(){const o=n&&ra(n);if(void 0!==o){let i;if(t.typeRoots&&Xn(n,vU))s&&JO(r,Oa.Resolving_type_reference_directive_for_program_that_specifies_custom_typeRoots_skipping_lookup_in_node_modules_folder);else if(s&&JO(r,Oa.Looking_up_in_node_modules_folder_initial_location_0,o),Xs(e)){const{path:n}=VF(o,e);i=UF(4,n,!1,g,!0)}else{const n=gW(4,e,o,g,void 0,void 0);i=n&&n.value}return eF(i)}s&&JO(r,Oa.Containing_file_is_not_specified_and_root_directory_cannot_be_determined_skipping_lookup_in_node_modules_folder)}(),b=!1),v){const{fileName:e,packageId:n}=v;let o,i=e;t.preserveSymlinks||({resolvedFileName:i,originalPath:o}=uF(e,r,s)),y={primary:b,resolvedFileName:i,originalPath:o,packageId:n,isExternalLibraryImport:HF(e)}}return c={resolvedTypeReferenceDirective:y,failedLookupLocations:rF(u),affectingLocations:rF(p),resolutionDiagnostics:rF(h)},l&&i&&!i.isReadonly&&(i.getOrCreateCacheForDirectory(l,o).set(e,a,c),Xs(e)||i.getOrCreateCacheForNonRelativeName(e,a,o).set(l,c)),s&&E(c),c;function E(n){var t;(null==(t=n.resolvedTypeReferenceDirective)?void 0:t.resolvedFileName)?n.resolvedTypeReferenceDirective.packageId?JO(r,Oa.Type_reference_directive_0_was_successfully_resolved_to_1_with_Package_ID_2_primary_Colon_3,e,n.resolvedTypeReferenceDirective.resolvedFileName,qf(n.resolvedTypeReferenceDirective.packageId),n.resolvedTypeReferenceDirective.primary):JO(r,Oa.Type_reference_directive_0_was_successfully_resolved_to_1_primary_Colon_2,e,n.resolvedTypeReferenceDirective.resolvedFileName,n.resolvedTypeReferenceDirective.primary):JO(r,Oa.Type_reference_directive_0_was_not_resolved,e)}}function mF(e){let n=0;switch(Up(e)){case 3:case 99:case 100:n=30}return e.resolvePackageJsonExports?n|=8:!1===e.resolvePackageJsonExports&&(n&=-9),e.resolvePackageJsonImports?n|=2:!1===e.resolvePackageJsonImports&&(n&=-3),n}function _F(e,n){const t=Up(e);if(void 0===n)if(100===t)n=99;else if(2===t)return[];const r=99===n?["import"]:["require"];return e.noDtsResolution||r.push("types"),100!==t&&r.push("node"),ae(r,e.customConditions)}function hF(e,n,t,r,o){const i=oW(null==o?void 0:o.getPackageJsonInfoCache(),r,t);return ka(n,(n=>{if("node_modules"!==oa(n)){const t=ua(n,"node_modules");return sW(ua(t,e),!1,i)}}))}function gF(e,n){if(e.types)return e.types;const t=[];if(n.directoryExists&&n.getDirectories){const r=dF(e,n);if(r)for(const e of r)if(n.directoryExists(e))for(const r of n.getDirectories(e)){const o=_a(r),i=ua(e,o,"package.json");if(!(n.fileExists(i)&&null===GE(i,n).typings)){const e=oa(o);46!==e.charCodeAt(0)&&t.push(e)}}}return t}function yF(e){return!!(null==e?void 0:e.contents)}function vF(e){return!!e&&!e.contents}function bF(e){var n;if(null===e||"object"!=typeof e)return""+e;if(pn(e))return`[${null==(n=e.map((e=>bF(e))))?void 0:n.join(",")}]`;let t="{";for(const n in e)je(e,n)&&(t+=`${n}: ${bF(e[n])}`);return t+"}"}function EF(e,n){return n.map((n=>bF(MT(e,n)))).join("|")+`|${e.pathsBasePath}`}function SF(e,n){const t=new Map,r=new Map;let o=new Map;return e&&t.set(e,o),{getMapOfCacheRedirects:function(e){return e?i(e.commandLine.options,!1):o},getOrCreateMapOfCacheRedirects:function(e){return e?i(e.commandLine.options,!0):o},update:function(n){e!==n&&(e?o=i(n,!0):t.set(n,o),e=n)},clear:function(){const i=e&&n.get(e);o.clear(),t.clear(),n.clear(),r.clear(),e&&(i&&n.set(e,i),t.set(e,o))},getOwnMap:()=>o};function i(n,i){let s=t.get(n);if(s)return s;const l=a(n);if(s=r.get(l),!s){if(e){const n=a(e);n===l?s=o:r.has(n)||r.set(n,o)}i&&(s??(s=new Map)),s&&r.set(l,s)}return s&&t.set(n,s),s}function a(e){let t=n.get(e);return t||n.set(e,t=EF(e,Wk)),t}}function TF(e,n,t,r){const o=e.getOrCreateMapOfCacheRedirects(n);let i=o.get(t);return i||(i=r(),o.set(t,i)),i}function xF(e,n){return void 0===n?e:`${n}|${e}`}function AF(){const e=new Map,n=new Map,t={get(n,t){return e.get(r(n,t))},set(n,o,i){return e.set(r(n,o),i),t},delete(n,o){return e.delete(r(n,o)),t},has(n,t){return e.has(r(n,t))},forEach(t){return e.forEach(((e,r)=>{const[o,i]=n.get(r);return t(e,o,i)}))},size(){return e.size}};return t;function r(e,t){const r=xF(e,t);return n.set(r,[e,t]),r}}function RF(e){return e.resolvedModule&&(e.resolvedModule.originalPath||e.resolvedModule.resolvedFileName)}function IF(e){return e.resolvedTypeReferenceDirective&&(e.resolvedTypeReferenceDirective.originalPath||e.resolvedTypeReferenceDirective.resolvedFileName)}function NF(e,n,t,r,o){const i=SF(t,o);return{getFromNonRelativeNameCache:function(e,n,t,r){var o,a;return Tt.assert(!Xs(e)),null==(a=null==(o=i.getMapOfCacheRedirects(r))?void 0:o.get(xF(e,n)))?void 0:a.get(t)},getOrCreateCacheForNonRelativeName:function(e,n,t){return Tt.assert(!Xs(e)),TF(i,t,xF(e,n),a)},clear:function(){i.clear()},update:function(e){i.update(e)}};function a(){const t=new Map;return{get:function(r){return t.get(ga(r,e,n))},set:function(o,i){const a=ga(o,e,n);if(t.has(a))return;t.set(a,i);const s=r(i),l=s&&function(t,r){const o=ga(ra(r),e,n);let i=0;const a=Math.min(t.length,o.length);for(;i<a&&t.charCodeAt(i)===o.charCodeAt(i);)i++;if(i===t.length&&(o.length===i||o[i]===Fi))return t;const s=ta(t);if(i<s)return;const l=t.lastIndexOf(Fi,i-1);if(-1===l)return;return t.substr(0,Math.max(l,s))}(a,s);let c=a;for(;c!==l;){const e=ra(c);if(e===c||t.has(e))break;t.set(e,i),c=e}}}}}function DF(e,n,t,r,o,i){i??(i=new Map);const a=function(e,n,t,r){const o=SF(t,r);return{getFromDirectoryCache:function(t,r,i,a){var s,l;const c=ga(i,e,n);return null==(l=null==(s=o.getMapOfCacheRedirects(a))?void 0:s.get(c))?void 0:l.get(t,r)},getOrCreateCacheForDirectory:function(t,r){const i=ga(t,e,n);return TF(o,r,i,(()=>AF()))},clear:function(){o.clear()},update:function(e){o.update(e)},directoryToModuleNameMap:o}}(e,n,t,i),s=NF(e,n,t,o,i);return r??(r=function(e,n){let t;return{getPackageJsonInfo:function(r){return null==t?void 0:t.get(ga(r,e,n))},setPackageJsonInfo:function(r,o){(t||(t=new Map)).set(ga(r,e,n),o)},clear:function(){t=void 0},getInternalMap:function(){return t}}}(e,n)),{...r,...a,...s,clear:function(){l(),r.clear()},update:function(e){a.update(e),s.update(e)},getPackageJsonInfoCache:()=>r,clearAllExceptPackageJsonInfoCache:l,optionsToRedirectsKey:i};function l(){a.clear(),s.clear()}}function CF(e,n,t,r,o){const i=DF(e,n,t,r,RF,o);return i.getOrCreateCacheForModuleName=(e,n,t)=>i.getOrCreateCacheForNonRelativeName(e,n,t),i}function MF(e,n,t,r,o){return DF(e,n,t,r,IF,o)}function PF(e){return{moduleResolution:2,traceResolution:e.traceResolution}}function LF(e,n,t,r,o){return wF(e,n,PF(t),r,o)}function kF(e,n,t,r){const o=ra(n);return t.getFromDirectoryCache(e,r,o,void 0)}function wF(e,n,t,r,o,i,a){var s,l,c;const d=XO(t,r);i&&(t=i.commandLine.options),d&&(JO(r,Oa.Resolving_module_0_from_1,e,n),i&&JO(r,Oa.Using_compiler_options_of_project_reference_redirect_0,i.sourceFile.fileName));const u=ra(n);let p=null==o?void 0:o.getFromDirectoryCache(e,a,u,i);if(p)d&&JO(r,Oa.Resolution_for_module_0_was_found_in_cache_from_location_1,e,u);else{let f=t.moduleResolution;switch(void 0===f?(f=Up(t),d&&JO(r,Oa.Module_resolution_kind_is_not_specified_using_0,Io[f])):d&&JO(r,Oa.Explicitly_specified_module_resolution_kind_Colon_0,Io[f]),null==(s=or)||s.logStartResolveModule(e),f){case 3:case 99:p=function(e,n,t,r,o,i,a){return WF(30,e,n,t,r,o,i,a)}(e,n,t,r,o,i,a);break;case 2:p=GF(e,n,t,r,o,i,a?_F(t,a):void 0);break;case 1:p=NW(e,n,t,r,o,i);break;case 100:p=zF(e,n,t,r,o,i,a?_F(t,a):void 0);break;default:return Tt.fail(`Unexpected moduleResolution: ${f}`)}p&&p.resolvedModule&&(null==(l=or)||l.logInfoEvent(`Module "${e}" resolved to "${p.resolvedModule.resolvedFileName}"`)),null==(c=or)||c.logStopResolveModule(p&&p.resolvedModule?""+p.resolvedModule.resolvedFileName:"null"),o&&!o.isReadonly&&(o.getOrCreateCacheForDirectory(u,i).set(e,a,p),Xs(e)||o.getOrCreateCacheForNonRelativeName(e,a,i).set(u,p))}return d&&(p.resolvedModule?p.resolvedModule.packageId?JO(r,Oa.Module_name_0_was_successfully_resolved_to_1_with_Package_ID_2,e,p.resolvedModule.resolvedFileName,qf(p.resolvedModule.packageId)):JO(r,Oa.Module_name_0_was_successfully_resolved_to_1,e,p.resolvedModule.resolvedFileName):JO(r,Oa.Module_name_0_was_not_resolved,e)),p}function OF(e,n,t,r,o){const i=function(e,n,t,r){var o;const{baseUrl:i,paths:a,configFile:s}=r.compilerOptions;if(a&&!Ji(n)){r.traceEnabled&&(i&&JO(r.host,Oa.baseUrl_option_is_set_to_0_using_this_value_to_resolve_non_relative_module_name_1,i,n),JO(r.host,Oa.paths_option_is_specified_looking_for_a_pattern_to_match_module_name_0,n));return EW(e,n,ib(r.compilerOptions,r.host),a,(null==s?void 0:s.configFileSpecs)?(o=s.configFileSpecs).pathPatterns||(o.pathPatterns=mx(a)):void 0,t,!1,r)}}(e,n,r,o);return i?i.value:Xs(n)?function(e,n,t,r,o){if(!o.compilerOptions.rootDirs)return;o.traceEnabled&&JO(o.host,Oa.rootDirs_option_is_set_using_it_to_resolve_relative_module_name_0,n);const i=_a(ua(t,n));let a,s;for(const e of o.compilerOptions.rootDirs){let n=_a(e);Xn(n,Fi)||(n+=Fi);const t=st(i,n)&&(void 0===s||s.length<n.length);o.traceEnabled&&JO(o.host,Oa.Checking_if_0_is_the_longest_matching_prefix_for_1_2,n,i,t),t&&(s=n,a=e)}if(s){o.traceEnabled&&JO(o.host,Oa.Longest_matching_prefix_for_0_is_1,i,s);const n=i.substr(s.length);o.traceEnabled&&JO(o.host,Oa.Loading_0_from_the_root_dir_1_candidate_location_2,n,s,i);const l=r(e,i,!jE(t,o.host),o);if(l)return l;o.traceEnabled&&JO(o.host,Oa.Trying_other_entries_in_rootDirs);for(const t of o.compilerOptions.rootDirs){if(t===a)continue;const i=ua(_a(t),n);o.traceEnabled&&JO(o.host,Oa.Loading_0_from_the_root_dir_1_candidate_location_2,n,t,i);const s=r(e,i,!jE(ra(i),o.host),o);if(s)return s}o.traceEnabled&&JO(o.host,Oa.Module_resolution_using_rootDirs_has_failed)}return}(e,n,t,r,o):function(e,n,t,r){const{baseUrl:o}=r.compilerOptions;if(!o)return;r.traceEnabled&&JO(r.host,Oa.baseUrl_option_is_set_to_0_using_this_value_to_resolve_non_relative_module_name_1,o,n);const i=_a(ua(o,n));r.traceEnabled&&JO(r.host,Oa.Resolving_module_name_0_relative_to_base_url_1_2,n,o,i);return t(e,i,!jE(ra(i),r.host),r)}(e,n,r,o)}function FF(e,n,t){const{resolvedModule:r,failedLookupLocations:o}=function(e,n,t){return jF(0,e,n,{moduleResolution:2,allowJs:!0},t,void 0,2,!1,void 0,void 0)}(e,n,t);if(!r)throw new Error(`Could not resolve JS module '${e}' starting at '${n}'. Looked in: ${null==o?void 0:o.join(", ")}`);return r.resolvedFileName}function WF(e,n,t,r,o,i,a,s,l){const c=ra(t),d=99===s?32:0;let u=r.noDtsResolution?3:7;return $p(r)&&(u|=8),jF(e|d,n,c,r,o,i,u,!1,a,l)}function zF(e,n,t,r,o,i,a){const s=ra(n);let l=t.noDtsResolution?3:7;return $p(t)&&(l|=8),jF(mF(t),e,s,t,r,o,l,!1,i,a)}function GF(e,n,t,r,o,i,a,s){let l;return s?l=8:t.noDtsResolution?(l=3,$p(t)&&(l|=8)):l=$p(t)?15:7,jF(a?30:0,e,ra(n),t,r,o,l,!!s,i,a)}function BF(e,n,t){return jF(30,e,ra(n),{moduleResolution:99},t,void 0,8,!0,void 0,void 0)}function jF(e,n,t,r,i,a,s,l,c,d){var u,p,f,m,_;const h=XO(r,i),g=[],y=[],v=Up(r);d??(d=_F(r,100===v||2===v?void 0:32&e?99:1));const E=[],S={compilerOptions:r,host:i,traceEnabled:h,failedLookupLocations:g,affectingLocations:y,packageJsonInfoCache:a,features:e,conditions:d??o,requestContainingDirectory:t,reportDiagnostic:e=>{E.push(e)},isConfigLookup:l,candidateIsFromPackageJsonField:!1,resolvedPackageDirectory:!1};let T,x;if(h&&AT(v)&&JO(i,Oa.Resolving_in_0_mode_with_conditions_1,32&e?"ESM":"CJS",S.conditions.map((e=>`'${e}'`)).join(", ")),2===v){const e=5&s,n=-6&s;T=e&&A(e,S)||n&&A(n,S)||void 0}else T=A(s,S);if(S.resolvedPackageDirectory&&!l&&!Xs(n)){const n=(null==T?void 0:T.value)&&5&s&&!cW(5,T.value.resolved.extension);if((null==(u=null==T?void 0:T.value)?void 0:u.isExternalLibraryImport)&&n&&8&e&&(null==d?void 0:d.includes("import"))){LW(S,Oa.Resolution_of_non_relative_name_failed_trying_with_modern_Node_resolution_features_disabled_to_see_if_npm_library_needs_configuration_update);const e=A(5&s,{...S,features:-9&S.features,reportDiagnostic:yn});(null==(p=null==e?void 0:e.value)?void 0:p.isExternalLibraryImport)&&(x=e.value.resolved.path)}else if((!(null==T?void 0:T.value)||n)&&2===v){LW(S,Oa.Resolution_of_non_relative_name_failed_trying_with_moduleResolution_bundler_to_see_if_project_may_need_configuration_update);const e={...S.compilerOptions,moduleResolution:100},n=A(5&s,{...S,compilerOptions:e,features:30,conditions:_F(e),reportDiagnostic:yn});(null==(f=null==n?void 0:n.value)?void 0:f.isExternalLibraryImport)&&(x=n.value.resolved.path)}}return nF(n,null==(m=null==T?void 0:T.value)?void 0:m.resolved,null==(_=null==T?void 0:T.value)?void 0:_.isExternalLibraryImport,g,y,E,S,a,x);function A(r,o){const s=OF(r,n,t,((e,n,t,r)=>UF(e,n,t,r,!0)),o);if(s)return PW({resolved:s,isExternalLibraryImport:HF(s.path)});if(Xs(n)){const{path:e,parts:i}=VF(t,n),a=UF(r,e,!1,o,!0);return a&&PW({resolved:a,isExternalLibraryImport:k(i,"node_modules")})}{let s;if(2&e&&st(n,"#")&&(s=function(e,n,t,r,o,i){var a,s;if("#"===n||st(n,"#/"))return r.traceEnabled&&JO(r.host,Oa.Invalid_import_specifier_0_has_no_possible_resolutions,n),PW(void 0);const l=ma(ua(t,"dummy"),null==(s=(a=r.host).getCurrentDirectory)?void 0:s.call(a)),c=iW(l,r);if(!c)return r.traceEnabled&&JO(r.host,Oa.Directory_0_has_no_containing_package_json_scope_Imports_will_not_resolve,l),PW(void 0);if(!c.contents.packageJsonContent.imports)return r.traceEnabled&&JO(r.host,Oa.package_json_scope_0_has_no_imports_defined,c.packageDirectory),PW(void 0);const d=mW(e,r,o,i,n,c.contents.packageJsonContent.imports,c,!0);if(d)return d;r.traceEnabled&&JO(r.host,Oa.Import_specifier_0_does_not_exist_in_package_json_scope_at_path_1,n,c.packageDirectory);return PW(void 0)}(r,n,t,o,a,c)),!s&&4&e&&(s=function(e,n,t,r,o,i){var a,s;const l=ma(ua(t,"dummy"),null==(s=(a=r.host).getCurrentDirectory)?void 0:s.call(a)),c=iW(l,r);if(!c||!c.contents.packageJsonContent.exports)return;if("string"!=typeof c.contents.packageJsonContent.name)return;const d=sa(n),u=sa(c.contents.packageJsonContent.name);if(!N(u,((e,n)=>d[n]===e)))return;const p=d.slice(u.length),f=b(p)?`.${Fi}${p.join(Fi)}`:".";if(tf(r.compilerOptions)&&!HF(t))return pW(c,e,f,r,o,i);const m=5&e,_=-6&e;return pW(c,m,f,r,o,i)||pW(c,_,f,r,o,i)}(r,n,t,o,a,c)),!s){if(n.includes(":"))return void(h&&JO(i,Oa.Skipping_module_0_that_looks_like_an_absolute_URI_target_file_types_Colon_1,n,ZO(r)));h&&JO(i,Oa.Loading_module_0_from_node_modules_folder_target_file_types_Colon_1,n,ZO(r)),s=gW(r,n,t,o,a,c)}return 4&r&&(s??(s=DW(n,o))),s&&{value:s.value&&{resolved:s.value,isExternalLibraryImport:!0}}}}}function VF(e,n){const t=ua(e,n),r=sa(t),o=Le(r);return{path:"."===o||".."===o?va(_a(t)):_a(t),parts:r}}function UF(e,n,t,r,o){if(r.traceEnabled&&JO(r.host,Oa.Loading_module_as_file_Slash_folder_candidate_module_location_0_target_file_types_Colon_1,n,ZO(e)),!Zi(n)){if(!t){const e=ra(n);jE(e,r.host)||(r.traceEnabled&&JO(r.host,Oa.Directory_0_does_not_exist_skipping_all_lookups_in_it,e),t=!0)}const i=XF(e,n,t,r);if(i){const e=o?KF(i.path):void 0;return YO(e?sW(e,!1,r):void 0,i)}}if(!t){jE(n,r.host)||(r.traceEnabled&&JO(r.host,Oa.Directory_0_does_not_exist_skipping_all_lookups_in_it,n),t=!0)}if(!(32&r.features))return nW(e,n,t,r,o)}function HF(e){return e.includes(HO)}function KF(e,n){const t=_a(e),r=t.lastIndexOf(HO);if(-1===r)return;const o=r+HO.length;let i=qF(t,o,n);return 64===t.charCodeAt(o)&&(i=qF(t,i,n)),t.slice(0,i)}function qF(e,n,t){const r=e.indexOf(Fi,n+1);return-1===r?t?e.length:n:r}function JF(e,n,t,r){return $O(XF(e,n,t,r))}function XF(e,n,t,r){const o=YF(e,n,t,r);if(o)return o;if(!(32&r.features)){const o=QF(n,e,"",t,r);if(o)return o}}function YF(e,n,t,r){if(!oa(n).includes("."))return;let o=cx(n);o===n&&(o=n.substring(0,n.lastIndexOf(".")));const i=n.substring(o.length);return r.traceEnabled&&JO(r.host,Oa.File_name_0_has_a_1_extension_stripping_it,n,i),QF(o,e,i,t,r)}function $F(e,n,t,r){if(1&e&&Qi(n,Sf)||4&e&&Qi(n,Ef)){return void 0!==ZF(n,t,r)?{path:n,ext:wE(n),resolvedUsingTsExtension:void 0}:void 0}if(r.isConfigLookup&&8===e&&$i(n,".json")){return void 0!==ZF(n,t,r)?{path:n,ext:".json",resolvedUsingTsExtension:void 0}:void 0}return YF(e,n,t,r)}function QF(e,n,t,r,o){if(!r){const n=ra(e);n&&(r=!jE(n,o.host))}switch(t){case".mjs":case".mts":case".d.mts":return 1&n&&i(".mts",".mts"===t||".d.mts"===t)||4&n&&i(".d.mts",".mts"===t||".d.mts"===t)||2&n&&i(".mjs")||void 0;case".cjs":case".cts":case".d.cts":return 1&n&&i(".cts",".cts"===t||".d.cts"===t)||4&n&&i(".d.cts",".cts"===t||".d.cts"===t)||2&n&&i(".cjs")||void 0;case".json":return 4&n&&i(".d.json.ts")||8&n&&i(".json")||void 0;case".tsx":case".jsx":return 1&n&&(i(".tsx",".tsx"===t)||i(".ts",".tsx"===t))||4&n&&i(".d.ts",".tsx"===t)||2&n&&(i(".jsx")||i(".js"))||void 0;case".ts":case".d.ts":case".js":case"":return 1&n&&(i(".ts",".ts"===t||".d.ts"===t)||i(".tsx",".ts"===t||".d.ts"===t))||4&n&&i(".d.ts",".ts"===t||".d.ts"===t)||2&n&&(i(".js")||i(".jsx"))||o.isConfigLookup&&i(".json")||void 0;default:return 4&n&&!_k(e+t)&&i(`.d${t}.ts`)||void 0}function i(n,t){const i=ZF(e+n,r,o);return void 0===i?void 0:{path:i,ext:n,resolvedUsingTsExtension:!o.candidateIsFromPackageJsonField&&t}}}function ZF(e,n,t){var r;if(!(null==(r=t.compilerOptions.moduleSuffixes)?void 0:r.length))return eW(e,n,t);const o=bx(e)??"",i=o?ux(e,o):e;return E(t.compilerOptions.moduleSuffixes,(e=>eW(i+e+o,n,t)))}function eW(e,n,t){var r;if(!n){if(t.host.fileExists(e))return t.traceEnabled&&JO(t.host,Oa.File_0_exists_use_it_as_a_name_resolution_result,e),e;t.traceEnabled&&JO(t.host,Oa.File_0_does_not_exist,e)}null==(r=t.failedLookupLocations)||r.push(e)}function nW(e,n,t,r,o=!0){const i=o?sW(n,t,r):void 0;return YO(i,lW(e,n,t,r,i&&i.contents.packageJsonContent,i&&aW(i,r)))}function tW(e,n,t,r,o){if(!o&&void 0!==e.contents.resolvedEntrypoints)return e.contents.resolvedEntrypoints;let i;const a=5|(o?2:0),s=mF(n),l=oW(null==r?void 0:r.getPackageJsonInfoCache(),t,n);l.conditions=_F(n),l.requestContainingDirectory=e.packageDirectory;const c=lW(a,e.packageDirectory,!1,l,e.contents.packageJsonContent,aW(e,l));if(i=ye(i,null==c?void 0:c.path),8&s&&e.contents.packageJsonContent.exports){const r=ce([_F(n,99),_F(n,1)],_e);for(const n of r){const r={...l,failedLookupLocations:[],conditions:n,host:t},o=rW(e,e.contents.packageJsonContent.exports,r,a);if(o)for(const e of o)i=Te(i,e.path)}}return e.contents.resolvedEntrypoints=i||!1}function rW(e,n,t,r){let o;if(pn(n))for(const e of n)i(e);else if("object"==typeof n&&null!==n&&uW(n))for(const e in n)i(n[e]);else i(n);return o;function i(n){var a,s;if("string"==typeof n&&st(n,"./"))if(n.includes("*")&&t.host.readDirectory){if(n.indexOf("*")!==n.lastIndexOf("*"))return!1;t.host.readDirectory(e.packageDirectory,function(e){const n=[];return 1&e&&n.push(...Sf),2&e&&n.push(...yf),4&e&&n.push(...Ef),8&e&&n.push(".json"),n}(r),void 0,[Sa(NA(n,"**/*"),".*")]).forEach((e=>{o=Te(o,{path:e,ext:aa(e),resolvedUsingTsExtension:void 0})}))}else{const i=sa(n).slice(2);if(i.includes("..")||i.includes(".")||i.includes("node_modules"))return!1;const l=ma(ua(e.packageDirectory,n),null==(s=(a=t.host).getCurrentDirectory)?void 0:s.call(a)),c=$F(r,l,!1,t);if(c)return o=Te(o,c,((e,n)=>e.path===n.path)),!0}else if(Array.isArray(n))for(const e of n){if(i(e))return!0}else if("object"==typeof n&&null!==n)return E(Ue(n),(e=>{if("default"===e||k(t.conditions,e)||hW(t.conditions,e))return i(n[e]),!0}))}}function oW(e,n,t){return{host:n,compilerOptions:t,traceEnabled:XO(t,n),failedLookupLocations:void 0,affectingLocations:void 0,packageJsonInfoCache:e,features:0,conditions:o,requestContainingDirectory:void 0,reportDiagnostic:yn,isConfigLookup:!1,candidateIsFromPackageJsonField:!1,resolvedPackageDirectory:!1}}function iW(e,n){const t=sa(e);for(t.pop();t.length>0;){const e=sW(la(t),!1,n);if(e)return e;t.pop()}}function aW(e,n){return void 0===e.contents.versionPaths&&(e.contents.versionPaths=lF(e.contents.packageJsonContent,n)||!1),e.contents.versionPaths||void 0}function sW(e,n,t){var r,o,i,a,s,l;const{host:c,traceEnabled:d}=t,u=ua(e,"package.json");if(n)return void(null==(r=t.failedLookupLocations)||r.push(u));const p=null==(o=t.packageJsonInfoCache)?void 0:o.getPackageJsonInfo(u);if(void 0!==p)return yF(p)?(d&&JO(c,Oa.File_0_exists_according_to_earlier_cached_lookups,u),null==(i=t.affectingLocations)||i.push(u),p.packageDirectory===e?p:{packageDirectory:e,contents:p.contents}):(p.directoryExists&&d&&JO(c,Oa.File_0_does_not_exist_according_to_earlier_cached_lookups,u),void(null==(a=t.failedLookupLocations)||a.push(u)));const f=jE(e,c);if(f&&c.fileExists(u)){const n=GE(u,c);d&&JO(c,Oa.Found_package_json_at_0,u);const r={packageDirectory:e,contents:{packageJsonContent:n,versionPaths:void 0,resolvedEntrypoints:void 0}};return t.packageJsonInfoCache&&!t.packageJsonInfoCache.isReadonly&&t.packageJsonInfoCache.setPackageJsonInfo(u,r),null==(s=t.affectingLocations)||s.push(u),r}f&&d&&JO(c,Oa.File_0_does_not_exist,u),t.packageJsonInfoCache&&!t.packageJsonInfoCache.isReadonly&&t.packageJsonInfoCache.setPackageJsonInfo(u,{packageDirectory:e,directoryExists:f}),null==(l=t.failedLookupLocations)||l.push(u)}function lW(e,n,r,o,i,a){let s;i&&(s=o.isConfigLookup?function(e,n,t){return sF(e,"tsconfig",n,t)}(i,n,o):4&e&&function(e,n,t){return sF(e,"typings",n,t)||sF(e,"types",n,t)}(i,n,o)||7&e&&function(e,n,t){return sF(e,"main",n,t)}(i,n,o)||void 0);const l=(e,n,t,r)=>{const o=$F(e,n,t,r);if(o)return $O(o);const a=4===e?5:e,s=r.features,l=r.candidateIsFromPackageJsonField;r.candidateIsFromPackageJsonField=!0,"module"!==(null==i?void 0:i.type)&&(r.features&=-33);const c=UF(a,n,t,r,!1);return r.features=s,r.candidateIsFromPackageJsonField=l,c},c=s?!jE(ra(s),o.host):void 0,d=r||!jE(n,o.host),u=ua(n,o.isConfigLookup?"tsconfig":"index");if(a&&(!s||Ia(n,s))){const r=Ca(n,s||u,!1);o.traceEnabled&&JO(o.host,Oa.package_json_has_a_typesVersions_entry_0_that_matches_compiler_version_1_looking_for_a_pattern_to_match_module_name_2,a.version,t,r);const i=EW(e,r,n,a.paths,void 0,l,c||d,o);if(i)return QO(i.value)}const p=s&&QO(l(e,s,c,o));return p||(32&o.features?void 0:XF(e,u,d,o))}function cW(e,n){return 2&e&&(".js"===n||".jsx"===n||".mjs"===n||".cjs"===n)||1&e&&(".ts"===n||".tsx"===n||".mts"===n||".cts"===n)||4&e&&(".d.ts"===n||".d.mts"===n||".d.cts"===n)||8&e&&".json"===n||!1}function dW(e){let n=e.indexOf(Fi);return"@"===e[0]&&(n=e.indexOf(Fi,n+1)),-1===n?{packageName:e,rest:""}:{packageName:e.slice(0,n),rest:e.slice(n+1)}}function uW(e){return N(Ue(e),(e=>st(e,".")))}function pW(e,n,t,r,o,i){if(e.contents.packageJsonContent.exports){if("."===t){let a;if("string"==typeof e.contents.packageJsonContent.exports||Array.isArray(e.contents.packageJsonContent.exports)||"object"==typeof e.contents.packageJsonContent.exports&&!oe(Ue(e.contents.packageJsonContent.exports),(e=>st(e,".")))?a=e.contents.packageJsonContent.exports:je(e.contents.packageJsonContent.exports,".")&&(a=e.contents.packageJsonContent.exports["."]),a){return _W(n,r,o,i,t,e,!1)(a,"",!1,".")}}else if(uW(e.contents.packageJsonContent.exports)){if("object"!=typeof e.contents.packageJsonContent.exports)return r.traceEnabled&&JO(r.host,Oa.Export_specifier_0_does_not_exist_in_package_json_scope_at_path_1,t,e.packageDirectory),PW(void 0);const a=mW(n,r,o,i,t,e.contents.packageJsonContent.exports,e,!1);if(a)return a}return r.traceEnabled&&JO(r.host,Oa.Export_specifier_0_does_not_exist_in_package_json_scope_at_path_1,t,e.packageDirectory),PW(void 0)}}function fW(e,n){const t=e.indexOf("*"),r=n.indexOf("*"),o=-1===t?e.length:t+1,i=-1===r?n.length:r+1;return o>i?-1:i>o||-1===t?1:-1===r||e.length>n.length?-1:n.length>e.length?1:0}function mW(e,n,t,r,o,i,a,s){const l=_W(e,n,t,r,o,a,s);if(!Xn(o,Fi)&&!o.includes("*")&&je(i,o)){return l(i[o],"",!1,o)}const c=Ae(W(Ue(i),(e=>e.includes("*")||Xn(e,"/"))),fW);for(const e of c){if(16&n.features&&d(e,o)){const n=i[e],t=e.indexOf("*");return l(n,o.substring(e.substring(0,t).length,o.length-(e.length-1-t)),!0,e)}if(Xn(e,"*")&&st(o,e.substring(0,e.length-1))){return l(i[e],o.substring(e.length-1),!0,e)}if(st(o,e)){return l(i[e],o.substring(e.length),!1,e)}}function d(e,n){if(Xn(e,"*"))return!1;const t=e.indexOf("*");return-1!==t&&(st(n,e.substring(0,t))&&Xn(n,e.substring(t+1)))}}function _W(e,n,t,r,o,i,a){return function s(l,c,d,u){if("string"==typeof l){if(!d&&c.length>0&&!Xn(l,"/"))return n.traceEnabled&&JO(n.host,Oa.package_json_scope_0_has_invalid_type_for_target_of_specifier_1,i.packageDirectory,o),PW(void 0);if(!st(l,"./")){if(a&&!st(l,"../")&&!st(l,"/")&&!Hi(l)){const o=d?l.replace(/\*/g,c):l+c;LW(n,Oa.Using_0_subpath_1_with_target_2,"imports",u,o),LW(n,Oa.Resolving_module_0_from_1,o,i.packageDirectory+"/");const a=jF(n.features,o,i.packageDirectory+"/",n.compilerOptions,n.host,t,e,!1,r,n.conditions);return PW(a.resolvedModule?{path:a.resolvedModule.resolvedFileName,extension:a.resolvedModule.extension,packageId:a.resolvedModule.packageId,originalPath:a.resolvedModule.originalPath,resolvedUsingTsExtension:a.resolvedModule.resolvedUsingTsExtension}:void 0)}return n.traceEnabled&&JO(n.host,Oa.package_json_scope_0_has_invalid_type_for_target_of_specifier_1,i.packageDirectory,o),PW(void 0)}const s=(Ji(l)?sa(l).slice(1):sa(l)).slice(1);if(s.includes("..")||s.includes(".")||s.includes("node_modules"))return n.traceEnabled&&JO(n.host,Oa.package_json_scope_0_has_invalid_type_for_target_of_specifier_1,i.packageDirectory,o),PW(void 0);const m=ua(i.packageDirectory,l),_=sa(c);if(_.includes("..")||_.includes(".")||_.includes("node_modules"))return n.traceEnabled&&JO(n.host,Oa.package_json_scope_0_has_invalid_type_for_target_of_specifier_1,i.packageDirectory,o),PW(void 0);n.traceEnabled&&JO(n.host,Oa.Using_0_subpath_1_with_target_2,a?"imports":"exports",u,d?l.replace(/\*/g,c):l+c);const h=p(d?m.replace(/\*/g,c):m+c),g=function(t,r,o,a){var s,l,c,d;if(!n.isConfigLookup&&(n.compilerOptions.declarationDir||n.compilerOptions.outDir)&&!t.includes("/node_modules/")&&(!n.compilerOptions.configFile||Ia(i.packageDirectory,p(n.compilerOptions.configFile.fileName),!kW(n)))){const f=Jv({useCaseSensitiveFileNames:()=>kW(n)}),m=[];if(n.compilerOptions.rootDir||n.compilerOptions.composite&&n.compilerOptions.configFilePath){const e=p(wV(n.compilerOptions,(()=>[]),(null==(l=(s=n.host).getCurrentDirectory)?void 0:l.call(s))||"",f));m.push(e)}else if(n.requestContainingDirectory){const e=p(ua(n.requestContainingDirectory,"index.ts")),t=p(wV(n.compilerOptions,(()=>[e,p(o)]),(null==(d=(c=n.host).getCurrentDirectory)?void 0:d.call(c))||"",f));m.push(t);let r=va(t);for(;r&&r.length>1;){const e=sa(r);e.pop();const n=la(e);m.unshift(n),r=va(n)}}m.length>1&&n.reportDiagnostic(sT(a?Oa.The_project_root_is_ambiguous_but_is_required_to_resolve_import_map_entry_0_in_file_1_Supply_the_rootDir_compiler_option_to_disambiguate:Oa.The_project_root_is_ambiguous_but_is_required_to_resolve_export_map_entry_0_in_file_1_Supply_the_rootDir_compiler_option_to_disambiguate,""===r?".":r,o));for(const r of m){const o=u(r);for(const a of o)if(Ia(a,t,!kW(n))){const o=ua(r,t.slice(a.length+1)),s=[".mjs",".cjs",".js",".json",".d.mts",".d.cts",".d.ts"];for(const t of s)if($i(o,t)){const r=rb(o);for(const a of r){if(!cW(e,a))continue;const r=Ea(o,a,t,!kW(n));if(n.host.fileExists(r))return PW(YO(i,$F(e,r,!1,n)))}}}}}return;function u(e){var t,r;const o=n.compilerOptions.configFile?(null==(r=(t=n.host).getCurrentDirectory)?void 0:r.call(t))||"":e,i=[];return n.compilerOptions.declarationDir&&i.push(p(f(o,n.compilerOptions.declarationDir))),n.compilerOptions.outDir&&n.compilerOptions.outDir!==n.compilerOptions.declarationDir&&i.push(p(f(o,n.compilerOptions.outDir))),i}}(h,c,ua(i.packageDirectory,"package.json"),a);return g||PW(YO(i,$F(e,h,!1,n)))}if("object"==typeof l&&null!==l){if(!Array.isArray(l)){LW(n,Oa.Entering_conditional_exports);for(const e of Ue(l))if("default"===e||n.conditions.includes(e)||hW(n.conditions,e)){LW(n,Oa.Matched_0_condition_1,a?"imports":"exports",e);const t=l[e],r=s(t,c,d,u);if(r)return LW(n,Oa.Resolved_under_condition_0,e),LW(n,Oa.Exiting_conditional_exports),r;LW(n,Oa.Failed_to_resolve_under_condition_0,e)}else LW(n,Oa.Saw_non_matching_condition_0,e);return void LW(n,Oa.Exiting_conditional_exports)}if(!b(l))return n.traceEnabled&&JO(n.host,Oa.package_json_scope_0_has_invalid_type_for_target_of_specifier_1,i.packageDirectory,o),PW(void 0);for(const e of l){const n=s(e,c,d,u);if(n)return n}}else if(null===l)return n.traceEnabled&&JO(n.host,Oa.package_json_scope_0_explicitly_maps_specifier_1_to_null,i.packageDirectory,o),PW(void 0);n.traceEnabled&&JO(n.host,Oa.package_json_scope_0_has_invalid_type_for_target_of_specifier_1,i.packageDirectory,o);return PW(void 0);function p(e){var t,r;return void 0===e?e:ma(e,null==(r=(t=n.host).getCurrentDirectory)?void 0:r.call(t))}function f(e,n){return va(ua(e,n))}}}function hW(e,n){if(!e.includes("types"))return!1;if(!st(n,"types@"))return!1;const r=Pt.tryParse(n.substring(6));return!!r&&r.test(t)}function gW(e,n,t,r,o,i){return yW(e,n,t,r,!1,o,i)}function yW(e,n,t,r,o,i,a){const s=0===r.features?void 0:32&r.features?99:1,l=5&e,c=-6&e;if(l){LW(r,Oa.Searching_all_ancestor_node_modules_directories_for_preferred_extensions_Colon_0,ZO(l));const e=d(l);if(e)return e}if(c&&!o)return LW(r,Oa.Searching_all_ancestor_node_modules_directories_for_fallback_extensions_Colon_0,ZO(c)),d(c);function d(e){return ka(ca(t),(t=>{if("node_modules"!==oa(t)){const l=IW(i,n,s,t,a,r);return l||PW(vW(e,n,t,r,o,i,a))}}))}}function vW(e,n,t,r,o,i,a){const s=ua(t,"node_modules"),l=jE(s,r.host);if(!l&&r.traceEnabled&&JO(r.host,Oa.Directory_0_does_not_exist_skipping_all_lookups_in_it,s),!o){const t=bW(e,n,s,l,r,i,a);if(t)return t}if(4&e){const e=ua(s,"@types");let t=l;return l&&!jE(e,r.host)&&(r.traceEnabled&&JO(r.host,Oa.Directory_0_does_not_exist_skipping_all_lookups_in_it,e),t=!1),bW(4,SW(n,r),e,t,r,i,a)}}function bW(e,n,r,i,a,s,l){var c,d;const u=_a(ua(r,n)),{packageName:p,rest:f}=dW(n),m=ua(r,p);let _,h=sW(u,!i,a);if(""!==f&&h&&(!(8&a.features)||!je((null==(c=_=sW(m,!i,a))?void 0:c.contents.packageJsonContent)??o,"exports"))){const n=XF(e,u,!i,a);if(n)return $O(n);const t=lW(e,u,!i,a,h.contents.packageJsonContent,aW(h,a));return YO(h,t)}const g=(e,n,t,r)=>{let o=(f||!(32&r.features))&&XF(e,n,t,r)||lW(e,n,t,r,h&&h.contents.packageJsonContent,h&&aW(h,r));return!o&&h&&(void 0===h.contents.packageJsonContent.exports||null===h.contents.packageJsonContent.exports)&&32&r.features&&(o=XF(e,ua(n,"index.js"),t,r)),YO(h,o)};if(""!==f&&(h=_??sW(m,!i,a)),h&&(a.resolvedPackageDirectory=!0),h&&h.contents.packageJsonContent.exports&&8&a.features)return null==(d=pW(h,e,ua(".",f),a,s,l))?void 0:d.value;const y=""!==f&&h?aW(h,a):void 0;if(y){a.traceEnabled&&JO(a.host,Oa.package_json_has_a_typesVersions_entry_0_that_matches_compiler_version_1_looking_for_a_pattern_to_match_module_name_2,y.version,t,f);const n=i&&jE(m,a.host),r=EW(e,f,m,y.paths,void 0,g,!n,a);if(r)return r.value}return g(e,u,!i,a)}function EW(e,n,t,r,o,i,a,s){o||(o=mx(r));const l=Sx(o,n);if(l){const o=mn(l)?void 0:it(l,n),c=mn(l)?l:ot(l);s.traceEnabled&&JO(s.host,Oa.Module_name_0_matched_pattern_1,n,c);return{value:E(r[c],(n=>{const r=o?NA(n,o):n,l=_a(ua(t,r));s.traceEnabled&&JO(s.host,Oa.Trying_substitution_0_candidate_module_location_Colon_1,n,r);const c=bx(n);if(void 0!==c){const e=ZF(l,a,s);if(void 0!==e)return $O({path:e,ext:c,resolvedUsingTsExtension:void 0})}return i(e,l,a||!jE(ra(l),s.host),s)}))}}}function SW(e,n){const t=xW(e);return n.traceEnabled&&t!==e&&JO(n.host,Oa.Scoped_package_detected_looking_in_0,t),t}function TW(e){return`@types/${xW(e)}`}function xW(e){if(st(e,"@")){const n=e.replace(Fi,KO);if(n!==e)return n.slice(1)}return e}function AW(e){const n=lt(e,"@types/");return n!==e?RW(n):e}function RW(e){return e.includes(KO)?"@"+e.replace(KO,Fi):e}function IW(e,n,t,r,o,i){const a=e&&e.getFromNonRelativeNameCache(n,t,r,o);if(a)return i.traceEnabled&&JO(i.host,Oa.Resolution_for_module_0_was_found_in_cache_from_location_1,n,r),i.resultFromCache=a,{value:a.resolvedModule&&{path:a.resolvedModule.resolvedFileName,originalPath:a.resolvedModule.originalPath||!0,extension:a.resolvedModule.extension,packageId:a.resolvedModule.packageId,resolvedUsingTsExtension:a.resolvedModule.resolvedUsingTsExtension}}}function NW(e,n,t,r,o,i){const a=XO(t,r),s=[],l=[],c=ra(n),d=[],u={compilerOptions:t,host:r,traceEnabled:a,failedLookupLocations:s,affectingLocations:l,packageJsonInfoCache:o,features:0,conditions:[],requestContainingDirectory:c,reportDiagnostic:e=>{d.push(e)},isConfigLookup:!1,candidateIsFromPackageJsonField:!1,resolvedPackageDirectory:!1},p=f(5)||f(2|(t.resolveJsonModule?8:0));return nF(e,p&&p.value,(null==p?void 0:p.value)&&HF(p.value.path),s,l,d,u,o);function f(n){const t=OF(n,e,c,JF,u);if(t)return{value:t};if(Xs(e)){const t=_a(ua(c,e));return PW(JF(n,t,!1,u))}{const t=ka(c,(t=>{const r=IW(o,e,void 0,t,i,u);if(r)return r;const a=_a(ua(t,e));return PW(JF(n,a,!1,u))}));if(t)return t;if(5&n){let t=function(e,n,t){return yW(4,e,n,t,!0,void 0,void 0)}(e,c,u);return 4&n&&(t??(t=DW(e,u))),t}}}}function DW(e,n){if(n.compilerOptions.typeRoots)for(const t of n.compilerOptions.typeRoots){const r=pF(t,e,n),o=jE(t,n.host);!o&&n.traceEnabled&&JO(n.host,Oa.Directory_0_does_not_exist_skipping_all_lookups_in_it,t);const i=XF(4,r,!o,n);if(i){const e=KF(i.path);return PW(YO(e?sW(e,!1,n):void 0,i))}const a=nW(4,r,!o,n);if(a)return PW(a)}}function CW(e,n){return!!e.allowImportingTsExtensions||n&&_k(n)}function MW(e,n,t,r,o,i){const a=XO(t,r);a&&JO(r,Oa.Auto_discovery_for_typings_is_enabled_in_project_0_Running_extra_resolution_pass_for_module_1_using_cache_location_2,n,e,o);const s=[],l=[],c=[],d={compilerOptions:t,host:r,traceEnabled:a,failedLookupLocations:s,affectingLocations:l,packageJsonInfoCache:i,features:0,conditions:[],requestContainingDirectory:void 0,reportDiagnostic:e=>{c.push(e)},isConfigLookup:!1,candidateIsFromPackageJsonField:!1,resolvedPackageDirectory:!1};return tF(vW(4,e,o,d,!1,void 0,void 0),!0,s,l,c,d.resultFromCache,void 0)}function PW(e){return void 0!==e?{value:e}:void 0}function LW(e,n,...t){e.traceEnabled&&JO(e.host,n,...t)}function kW(e){return!e.host.useCaseSensitiveFileNames||("boolean"==typeof e.host.useCaseSensitiveFileNames?e.host.useCaseSensitiveFileNames:e.host.useCaseSensitiveFileNames())}var wW,OW,FW,WW=g({"src/compiler/moduleNameResolver.ts"(){JJ(),VO=ua("node_modules","@types"),UO=(e=>(e[e.None=0]="None",e[e.Imports=2]="Imports",e[e.SelfName=4]="SelfName",e[e.Exports=8]="Exports",e[e.ExportsPatternTrailers=16]="ExportsPatternTrailers",e[e.AllFeatures=30]="AllFeatures",e[e.Node16Default=30]="Node16Default",e[e.NodeNextDefault=30]="NodeNextDefault",e[e.BundlerDefault=30]="BundlerDefault",e[e.EsmMode=32]="EsmMode",e))(UO||{}),HO="/node_modules/",KO="__"}});function zW(e,n){return e.body&&!e.body.parent&&(Vx(e.body,e),Hx(e.body,!1)),e.body?GW(e.body,n):1}function GW(e,n=new Map){const t=Hz(e);if(n.has(t))return n.get(t)||0;n.set(t,void 0);const r=function(e,n){switch(e.kind){case 264:case 265:return 0;case 266:if(A_(e))return 2;break;case 272:case 271:if(!Bb(e,32))return 0;break;case 278:const t=e;if(!t.moduleSpecifier&&t.exportClause&&279===t.exportClause.kind){let e=0;for(const r of t.exportClause.elements){const t=BW(r,n);if(t>e&&(e=t),1===e)return e}return e}break;case 268:{let t=0;return ok(e,(e=>{const r=GW(e,n);switch(r){case 0:return;case 2:return void(t=2);case 1:return t=1,!0;default:Tt.assertNever(r)}})),t}case 267:return zW(e,n);case 80:if(4096&e.flags)return 0}return 1}(e,n);return n.set(t,r),r}function BW(e,n){const t=e.propertyName||e.name;let r=e.parent;for(;r;){if(GD(r)||fC(r)||rM(r)){const e=r.statements;let o;for(const i of e)if(Wl(i,t)){i.parent||(Vx(i,r),Hx(i,!1));const e=GW(i,n);if((void 0===o||e>o)&&(o=e),1===o)return o;271===i.kind&&(o=1)}if(void 0!==o)return o}r=r.parent}return 1}function jW(e){return Tt.attachFlowNodeDebugInfo(e),e}function VW(e,n){var t,r;gr("beforeBind"),null==(t=or)||t.logStartBindFile(""+e.fileName),FW(e,n),null==(r=or)||r.logStopBindFile(),gr("afterBind"),yr("Bind","beforeBind","afterBind")}function UW(){var e,n,t,r,o,i,a,s,l,c,d,u,p,f,m,_,h,g,y,v,S,T,x,A,R=!1,I=0,D={flags:1},C={flags:1},M=function(){return nL((function(e,n){if(n){n.stackIndex++,Vx(e,r);const t=T;je(e);const o=r;r=e,n.skip=!1,n.inStrictModeStack[n.stackIndex]=t,n.parentStack[n.stackIndex]=o}else n={stackIndex:0,skip:!1,inStrictModeStack:[void 0],parentStack:[void 0]};const t=e.operatorToken.kind;if(pE(t)||dE(t)){if(ce(e)){const n=X();ve(e,n,n),d=se(n)}else ve(e,m,_);n.skip=!0}return n}),(function(n,t,r){if(!t.skip){const t=e(n);return 28===r.operatorToken.kind&&_e(n),t}}),(function(e,n,t){n.skip||We(e)}),(function(n,t,r){if(!t.skip){const t=e(n);return 28===r.operatorToken.kind&&_e(n),t}}),(function(e,n){if(!n.skip){const n=e.operatorToken.kind;if(mE(n)&&!my(e)&&(ge(e.left),64===n&&212===e.left.kind)){J(e.left.expression)&&(d=te(256,d,e))}}const t=n.inStrictModeStack[n.stackIndex],o=n.parentStack[n.stackIndex];void 0!==t&&(T=t);void 0!==o&&(r=o);n.skip=!1,n.stackIndex--}),void 0);function e(e){if(e&&TD(e)&&!vE(e))return e;We(e)}}();return function(g,b){var E,N;e=g,t=jp(n=b),T=function(e,n){return!(!RT(n,"alwaysStrict")||e.isDeclarationFile)||!!e.externalModuleIndicator}(e,b),A=new Set,I=0,x=Wp.getSymbolConstructor(),Tt.attachFlowNodeDebugInfo(D),Tt.attachFlowNodeDebugInfo(C),e.locals||(null==(E=Cr)||E.push(Cr.Phase.Bind,"bindSourceFile",{path:e.path},!0),We(e),null==(N=Cr)||N.pop(),e.symbolCount=I,e.classifiableNames=A,function(){if(!l)return;const n=o,t=s,i=a,c=r,u=d;for(const n of l){const t=n.parent.parent;o=n_(t)||e,a=t_(t)||e,d=jW({flags:2}),r=n,We(n.typeExpression);const i=jl(n);if((wM(n)||!n.fullName)&&i&&xE(i.parent)){const t=en(i.parent);if(t){Qe(e.symbol,i.parent,t,!!Nl(i,(e=>lD(e)&&"prototype"===e.name.escapedText)),!1);const r=o;switch(Mg(i.parent)){case 1:case 2:o=T_(e)?e:void 0;break;case 4:o=i.parent.expression;break;case 3:o=i.parent.expression.name;break;case 5:o=KW(e,i.parent.expression)?e:lD(i.parent.expression)?i.parent.expression.name:i.parent.expression;break;case 0:return Tt.fail("Shouldn't have detected typedef or enum on non-assignment declaration")}o&&z(n,524288,788968),o=r}}else wM(n)||!n.fullName||80===n.fullName.kind?(r=n.parent,Me(n,524288,788968)):We(n.fullName)}o=n,s=t,a=i,r=c,d=u}());e=void 0,n=void 0,t=void 0,r=void 0,o=void 0,i=void 0,a=void 0,s=void 0,l=void 0,c=!1,d=void 0,u=void 0,p=void 0,f=void 0,m=void 0,_=void 0,h=void 0,y=void 0,v=!1,R=!1,S=0};function P(n,t,...r){return p_($f(n)||e,n,t,...r)}function L(e,n){return I++,new x(e,n)}function w(e,n,t){e.flags|=t,n.symbol=e,e.declarations=Te(e.declarations,n),1955&t&&!e.exports&&(e.exports=Mf()),6240&t&&!e.members&&(e.members=Mf()),e.constEnumOnlyModule&&304&e.flags&&(e.constEnumOnlyModule=!1),111551&t&&wg(e,n)}function O(e){if(277===e.kind)return e.isExportEquals?"export=":"default";const n=jl(e);if(n){if(km(e)){const t=sv(n);return Gm(e)?"__global":`"${t}"`}if(167===n.kind){const e=n.expression;if(nv(e))return Ml(e.text);if(tv(e))return as(e.operator)+e.operand.text;Tt.fail("Only computed properties with literal names have declaration names")}if(rN(n)){const t=_h(e);if(!t)return;return dv(t.symbol,n.escapedText)}return qC(n)?EA(n):av(n)?lv(n):void 0}switch(e.kind){case 176:return"__constructor";case 184:case 179:case 330:return"__call";case 185:case 180:return"__new";case 181:return"__index";case 278:return"__export";case 312:return"export=";case 226:if(2===Eg(e))return"export=";Tt.fail("Unknown binary declaration kind");break;case 324:return Hg(e)?"__new":"__call";case 169:Tt.assert(324===e.parent.kind,"Impossible parameter parent kind",(()=>`parent is: ${Tt.formatSyntaxKind(e.parent.kind)}, expected JSDocFunctionType`));return"arg"+e.parent.parameters.indexOf(e)}}function F(e){return Gl(e)?o_(e.name):Pl(Tt.checkDefined(O(e)))}function W(n,t,r,o,i,a,s){Tt.assert(s||!rv(r));const l=Bb(r,2048)||MC(r)&&"default"===r.name.escapedText,c=s?"__computed":l&&t?"default":O(r);let d;if(void 0===c)d=L(0,"__missing");else if(d=n.get(c),2885600&o&&A.add(c),d){if(a&&!d.isReplaceableByMethod)return d;if(d.flags&i)if(d.isReplaceableByMethod)n.set(c,d=L(0,c));else if(!(3&o&&67108864&d.flags)){Gl(r)&&Vx(r.name,r);let n=2&d.flags?Oa.Cannot_redeclare_block_scoped_variable_0:Oa.Duplicate_identifier_0,t=!0;(384&d.flags||384&o)&&(n=Oa.Enum_declarations_can_only_merge_with_namespace_or_other_enum_declarations,t=!1);let i=!1;b(d.declarations)&&(l||d.declarations&&d.declarations.length&&277===r.kind&&!r.isExportEquals)&&(n=Oa.A_module_cannot_have_multiple_default_exports,t=!1,i=!0);const a=[];dC(r)&&im(r.type)&&Bb(r,32)&&2887656&d.flags&&a.push(P(r,Oa.Did_you_mean_0,`export type { ${Pl(r.name.escapedText)} }`));const s=jl(r)||r;E(d.declarations,((r,o)=>{const l=jl(r)||r,c=t?P(l,n,F(r)):P(l,n);e.bindDiagnostics.push(i?xx(c,P(s,0===o?Oa.Another_export_default_is_here:Oa.and_here)):c),i&&a.push(P(l,Oa.The_first_export_default_is_here))}));const u=t?P(s,n,F(r)):P(s,n);e.bindDiagnostics.push(xx(u,...a)),d=L(0,c)}}else n.set(c,d=L(0,c)),a&&(d.isReplaceableByMethod=!0);return w(d,r,o),d.parent?Tt.assert(d.parent===t,"Existing symbol parent should match new one"):d.parent=t,d}function z(e,n,t){const r=!!(32&Sl(e))||function(e){e.parent&&pC(e)&&(e=e.parent);if(!Kg(e))return!1;if(!wM(e)&&e.fullName)return!0;const n=jl(e);return!!n&&(!(!xE(n.parent)||!en(n.parent))||!!(Pu(n.parent)&&32&Sl(n.parent)))}(e);if(2097152&n)return 281===e.kind||271===e.kind&&r?W(o.symbol.exports,o.symbol,e,n,t):(Tt.assertNode(o,Du),W(o.locals,void 0,e,n,t));if(Kg(e)&&Tt.assert(Yh(e)),!km(e)&&(r||128&o.flags)){if(!Du(o)||!o.locals||Bb(e,2048)&&!O(e))return W(o.symbol.exports,o.symbol,e,n,t);const r=111551&n?1048576:0,i=W(o.locals,void 0,e,r,t);return i.exportSymbol=W(o.symbol.exports,o.symbol,e,n,t),e.localSymbol=i,i}return Tt.assertNode(o,Du),W(o.locals,void 0,e,n,t)}function G(e){B(e,(e=>262===e.kind?We(e):void 0)),B(e,(e=>262!==e.kind?We(e):void 0))}function B(e,n=We){void 0!==e&&E(e,n)}function j(e){ok(e,We,B)}function V(e){const t=R;if(R=!1,function(e){if(!(1&d.flags))return!1;if(d===D){const t=ku(e)&&242!==e.kind||263===e.kind||267===e.kind&&function(e){const t=zW(e);return 1===t||2===t&&Zp(n)}(e);if(t&&(d=C,!n.allowUnreachableCode)){const t=TT(n)&&!(33554432&e.flags)&&(!BD(e)||!!(7&xl(e.declarationList))||e.declarationList.declarations.some((e=>!!e.initializer)));!function(e,n){if(wu(e)&&HW(e)&&GD(e.parent)){const{statements:t}=e.parent,r=Tx(t,e);ie(r,HW,((e,t)=>n(r[e],r[t-1])))}else n(e,e)}(e,((e,n)=>Fe(t,e,n,Oa.Unreachable_code_detected)))}}return!0}(e))return j(e),ze(e),void(R=t);switch(e.kind>=243&&e.kind<=259&&!n.allowUnreachableCode&&(e.flowNode=d),e.kind){case 247:!function(e){const n=fe(e,Y()),t=X(),r=X();Z(n,d),d=n,ue(e.expression,t,r),d=se(t),pe(e.statement,r,n),Z(n,d),d=se(r)}(e);break;case 246:!function(e){const n=Y(),t=fe(e,X()),r=X();Z(n,d),d=n,pe(e.statement,r,t),Z(t,d),d=se(t),ue(e.expression,n,r),d=se(r)}(e);break;case 248:!function(e){const n=fe(e,Y()),t=X(),r=X();We(e.initializer),Z(n,d),d=n,ue(e.condition,t,r),d=se(t),pe(e.statement,r,n),We(e.incrementor),Z(n,d),d=se(r)}(e);break;case 249:case 250:!function(e){const n=fe(e,Y()),t=X();We(e.expression),Z(n,d),d=n,250===e.kind&&We(e.awaitModifier);Z(t,d),We(e.initializer),261!==e.initializer.kind&&ge(e.initializer);pe(e.statement,t,n),Z(n,d),d=se(t)}(e);break;case 245:!function(e){const n=X(),t=X(),r=X();ue(e.expression,n,t),d=se(n),We(e.thenStatement),Z(r,d),d=se(t),We(e.elseStatement),Z(r,d),d=se(r)}(e);break;case 253:case 257:!function(e){We(e.expression),253===e.kind&&(v=!0,f&&Z(f,d));d=D}(e);break;case 252:case 251:!function(e){if(We(e.label),e.label){const n=function(e){for(let n=y;n;n=n.next)if(n.name===e)return n;return}(e.label.escapedText);n&&(n.referenced=!0,me(e,n.breakTarget,n.continueTarget))}else me(e,u,p)}(e);break;case 258:!function(e){const n=f,t=h,r=X(),o=X();let i=X();e.finallyBlock&&(f=o);Z(i,d),h=i,We(e.tryBlock),Z(r,d),e.catchClause&&(d=se(i),i=X(),Z(i,d),h=i,We(e.catchClause),Z(r,d));if(f=n,h=t,e.finallyBlock){const n=X();n.antecedents=ae(ae(r.antecedents,i.antecedents),o.antecedents),d=n,We(e.finallyBlock),1&d.flags?d=D:(f&&o.antecedents&&Z(f,$(n,o.antecedents,d)),h&&i.antecedents&&Z(h,$(n,i.antecedents,d)),d=r.antecedents?$(n,r.antecedents,d):D)}else d=se(r)}(e);break;case 255:!function(e){const n=X();We(e.expression);const t=u,r=g;u=n,g=d,We(e.caseBlock),Z(n,d);const o=E(e.caseBlock.clauses,(e=>297===e.kind));e.possiblyExhaustive=!o&&!n.antecedents,o||Z(n,ne(g,e,0,0));u=t,g=r,d=se(n)}(e);break;case 269:!function(e){const t=e.clauses,r=112===e.parent.expression.kind||U(e.parent.expression);let o=D;for(let i=0;i<t.length;i++){const a=i;for(;!t[i].statements.length&&i+1<t.length;)o===D&&(d=g),We(t[i]),i++;const s=X();Z(s,r?ne(g,e.parent,a,i+1):g),Z(s,o),d=se(s);const l=t[i];We(l),o=d,1&d.flags||i===t.length-1||!n.noFallthroughCasesInSwitch||(l.fallthroughFlowNode=d)}}(e);break;case 296:!function(e){const n=d;d=g,We(e.expression),d=n,B(e.statements)}(e);break;case 244:!function(e){We(e.expression),_e(e.expression)}(e);break;case 256:!function(e){const t=X();y={next:y,name:e.label.escapedText,breakTarget:t,continueTarget:void 0,referenced:!1},We(e.label),We(e.statement),y.referenced||n.allowUnusedLabels||function(e,n,t){Fe(e,n,n,t)}(xT(n),e.label,Oa.Unused_label);y=y.next,Z(t,d),d=se(t)}(e);break;case 224:!function(e){if(54===e.operator){const n=m;m=_,_=n,j(e),_=m,m=n}else j(e),46!==e.operator&&47!==e.operator||ge(e.operand)}(e);break;case 225:!function(e){j(e),(46===e.operator||47===e.operator)&&ge(e.operand)}(e);break;case 226:if(vE(e))return R=t,void function(e){R?(R=!1,We(e.operatorToken),We(e.right),R=!0,We(e.left)):(R=!0,We(e.left),R=!1,We(e.operatorToken),We(e.right));ge(e.left)}(e);M(e);break;case 220:!function(e){j(e),211===e.expression.kind&&ge(e.expression)}(e);break;case 227:!function(e){const n=X(),t=X(),r=X();ue(e.condition,n,t),d=se(n),We(e.questionToken),We(e.whenTrue),Z(r,d),d=se(t),We(e.colonToken),We(e.whenFalse),Z(r,d),d=se(r)}(e);break;case 260:!function(e){j(e),(e.initializer||vu(e.parent.parent))&&be(e)}(e);break;case 211:case 212:!function(e){wc(e)?Ae(e):j(e)}(e);break;case 213:!function(e){if(wc(e))Ae(e);else{const n=Ty(e.expression);218===n.kind||219===n.kind?(B(e.typeArguments),B(e.arguments),We(e.expression)):(j(e),108===e.expression.kind&&(d=re(d,e)))}if(211===e.expression.kind){const n=e.expression;tN(n.name)&&J(n.expression)&&yv(n.name)&&(d=te(256,d,e))}}(e);break;case 235:!function(e){wc(e)?Ae(e):j(e)}(e);break;case 353:case 345:case 347:!function(e){We(e.tagName),347!==e.kind&&e.fullName&&(Vx(e.fullName,e),Hx(e.fullName,!1));"string"!=typeof e.comment&&B(e.comment)}(e);break;case 312:G(e.statements),We(e.endOfFileToken);break;case 241:case 268:G(e.statements);break;case 208:!function(e){We(e.dotDotDotToken),We(e.propertyName),Ee(e.initializer),We(e.name)}(e);break;case 169:!function(e){B(e.modifiers),We(e.dotDotDotToken),We(e.questionToken),We(e.type),Ee(e.initializer),We(e.name)}(e);break;case 210:case 209:case 303:case 230:R=t;default:j(e)}ze(e),R=t}function U(e){switch(e.kind){case 80:case 81:case 110:case 211:case 212:return K(e);case 213:return function(e){if(e.arguments)for(const n of e.arguments)if(K(n))return!0;if(211===e.expression.kind&&K(e.expression.expression))return!0;return!1}(e);case 217:if(yP(e))return!1;case 235:return U(e.expression);case 226:return function(e){switch(e.operatorToken.kind){case 64:case 76:case 77:case 78:return K(e.left);case 35:case 36:case 37:case 38:return J(e.left)||J(e.right)||q(e.right,e.left)||q(e.left,e.right)||Rd(e.right)&&U(e.left)||Rd(e.left)&&U(e.right);case 104:return J(e.left);case 103:case 28:return U(e.right)}return!1}(e);case 224:return 54===e.operator&&U(e.operand);case 221:return U(e.expression)}return!1}function H(e){return TE(e)||(lD(e)||LD(e)||mD(e))&&H(e.expression)||TD(e)&&28===e.operatorToken.kind&&H(e.right)||cD(e)&&(nv(e.argumentExpression)||EE(e.argumentExpression))&&H(e.expression)||gE(e)&&H(e.left)}function K(e){return H(e)||wc(e)&&K(e.expression)}function q(e,n){return yD(e)&&J(e.expression)&&tp(n)}function J(e){switch(e.kind){case 217:return J(e.expression);case 226:switch(e.operatorToken.kind){case 64:return J(e.left);case 28:return J(e.right)}}return K(e)}function X(){return jW({flags:4,antecedents:void 0})}function Y(){return jW({flags:8,antecedents:void 0})}function $(e,n,t){return jW({flags:1024,target:e,antecedents:n,antecedent:t})}function Q(e){e.flags|=2048&e.flags?4096:2048}function Z(e,n){1&n.flags||k(e.antecedents,n)||((e.antecedents||(e.antecedents=[])).push(n),Q(n))}function ee(e,n,t){return 1&n.flags?n:t?!(112===t.kind&&64&e||97===t.kind&&32&e)||Fc(t)||zc(t.parent)?U(t)?(Q(n),jW({flags:e,antecedent:n,node:t})):n:D:32&e?n:D}function ne(e,n,t,r){return Q(e),jW({flags:128,antecedent:e,switchStatement:n,clauseStart:t,clauseEnd:r})}function te(e,n,t){Q(n);const r=jW({flags:e,antecedent:n,node:t});return h&&Z(h,r),r}function re(e,n){return Q(e),jW({flags:512,antecedent:e,node:n})}function se(e){const n=e.antecedents;return n?1===n.length?n[0]:e:D}function le(e){for(;;)if(217===e.kind)e=e.expression;else{if(224!==e.kind||54!==e.operator)return fE(e);e=e.operand}}function ce(e){for(;mD(e.parent)||ED(e.parent)&&54===e.parent.operator;)e=e.parent;return!(function(e){const n=e.parent;switch(n.kind){case 245:case 247:case 246:return n.expression===e;case 248:case 227:return n.condition===e}return!1}(e)||le(e.parent)||wc(e.parent)&&e.parent.expression===e)}function de(e,n,t,r){const o=m,i=_;m=t,_=r,e(n),m=o,_=i}function ue(e,n,t){de(We,e,n,t),e&&(function(e){return uE(Ty(e))}(e)||le(e)||wc(e)&&Wc(e))||(Z(n,ee(32,d,e)),Z(t,ee(64,d,e)))}function pe(e,n,t){const r=u,o=p;u=n,p=t,We(e),u=r,p=o}function fe(e,n){let t=y;for(;t&&256===e.parent.kind;)t.continueTarget=n,t=t.next,e=e.parent;return n}function me(e,n,t){const r=252===e.kind?n:t;r&&(Z(r,d),d=D)}function _e(e){if(213===e.kind){const n=e;108!==n.expression.kind&&TE(n.expression)&&(d=re(d,n))}}function he(e){226===e.kind&&64===e.operatorToken.kind?ge(e.left):ge(e)}function ge(e){if(H(e))d=te(16,d,e);else if(209===e.kind)for(const n of e.elements)230===n.kind?ge(n.expression):he(n);else if(210===e.kind)for(const n of e.properties)303===n.kind?he(n.initializer):304===n.kind?ge(n.name):305===n.kind&&ge(n.expression)}function ve(e,n,t){const r=X();56===e.operatorToken.kind||77===e.operatorToken.kind?ue(e.left,r,t):ue(e.left,n,r),d=se(r),We(e.operatorToken),dE(e.operatorToken.kind)?(de(We,e.right,n,t),ge(e.left),Z(n,ee(32,d,e)),Z(t,ee(64,d,e))):ue(e.right,n,t)}function be(e){const n=DD(e)?void 0:e.name;if(Vd(n))for(const e of n.elements)be(e);else d=te(16,d,e)}function Ee(e){if(!e)return;const n=d;if(We(e),n===D||n===d)return;const t=X();Z(t,n),Z(t,d),d=se(t)}function Se(e){switch(e.kind){case 211:We(e.questionDotToken),We(e.name);break;case 212:We(e.questionDotToken),We(e.argumentExpression);break;case 213:We(e.questionDotToken),B(e.typeArguments),B(e.arguments)}}function xe(e,n,t){const r=Oc(e)?X():void 0;!function(e,n,t){de(We,e,n,t),wc(e)&&!Wc(e)||(Z(n,ee(32,d,e)),Z(t,ee(64,d,e)))}(e.expression,r||n,t),r&&(d=se(r)),de(Se,e,n,t),Wc(e)&&(Z(n,ee(32,d,e)),Z(t,ee(64,d,e)))}function Ae(e){if(ce(e)){const n=X();xe(e,n,n),d=se(n)}else xe(e,m,_)}function Re(e){s&&(s.nextContainer=e),s=e}function Ie(n,t,r){switch(o.kind){case 267:return z(n,t,r);case 312:return function(n,t,r){return uk(e)?z(n,t,r):W(e.locals,void 0,n,t,r)}(n,t,r);case 231:case 263:return function(e,n,t){return jb(e)?W(o.symbol.exports,o.symbol,e,n,t):W(o.symbol.members,o.symbol,e,n,t)}(n,t,r);case 266:return W(o.symbol.exports,o.symbol,n,t,r);case 187:case 329:case 210:case 264:case 292:return W(o.symbol.members,o.symbol,n,t,r);case 184:case 185:case 179:case 180:case 330:case 181:case 174:case 173:case 176:case 177:case 178:case 262:case 218:case 219:case 324:case 175:case 265:case 200:return o.locals&&Tt.assertNode(o,Du),W(o.locals,void 0,n,t,r)}}function Ne(e){33554432&e.flags&&!function(e){const n=rM(e)?e:hn(e.body,fC);return!!n&&n.statements.some((e=>DC(e)||NC(e)))}(e)?e.flags|=128:e.flags&=-129}function De(e){const n=zW(e),t=0!==n;return Ie(e,t?512:1024,t?110735:0),n}function Ce(e,n,t){const r=L(n,t);return 106508&n&&(r.parent=o.symbol),w(r,e,n),r}function Me(e,n,t){switch(a.kind){case 267:z(e,n,t);break;case 312:if(T_(o)){z(e,n,t);break}default:Tt.assertNode(a,Du),a.locals||(a.locals=Mf(),Re(a)),W(a.locals,void 0,e,n,t)}}function Pe(n){if(!(e.parseDiagnostics.length||33554432&n.flags||16777216&n.flags||Dy(n))){const t=kl(n);if(void 0===t)return;T&&t>=119&&t<=127?e.bindDiagnostics.push(P(n,function(n){if(_h(n))return Oa.Identifier_expected_0_is_a_reserved_word_in_strict_mode_Class_definitions_are_automatically_in_strict_mode;if(e.externalModuleIndicator)return Oa.Identifier_expected_0_is_a_reserved_word_in_strict_mode_Modules_are_automatically_in_strict_mode;return Oa.Identifier_expected_0_is_a_reserved_word_in_strict_mode}(n),o_(n))):135===t?uk(e)&&Eh(n)?e.bindDiagnostics.push(P(n,Oa.Identifier_expected_0_is_a_reserved_word_at_the_top_level_of_a_module,o_(n))):65536&n.flags&&e.bindDiagnostics.push(P(n,Oa.Identifier_expected_0_is_a_reserved_word_that_cannot_be_used_here,o_(n))):127===t&&16384&n.flags&&e.bindDiagnostics.push(P(n,Oa.Identifier_expected_0_is_a_reserved_word_that_cannot_be_used_here,o_(n)))}}function Le(n,t){if(t&&80===t.kind){const o=t;if(tN(r=o)&&("eval"===r.escapedText||"arguments"===r.escapedText)){const r=S_(e,t);e.bindDiagnostics.push(iT(e,r.start,r.length,function(n){if(_h(n))return Oa.Code_contained_in_a_class_is_evaluated_in_JavaScript_s_strict_mode_which_does_not_allow_this_use_of_0_For_more_information_see_https_Colon_Slash_Slashdeveloper_mozilla_org_Slashen_US_Slashdocs_SlashWeb_SlashJavaScript_SlashReference_SlashStrict_mode;if(e.externalModuleIndicator)return Oa.Invalid_use_of_0_Modules_are_automatically_in_strict_mode;return Oa.Invalid_use_of_0_in_strict_mode}(n),Ll(o)))}}var r}function ke(e){T&&Le(e,e.name)}function we(n){if(t<2&&312!==a.kind&&267!==a.kind&&!xd(a)){const t=S_(e,n);e.bindDiagnostics.push(iT(e,t.start,t.length,function(n){return _h(n)?Oa.Function_declarations_are_not_allowed_inside_blocks_in_strict_mode_when_targeting_ES3_or_ES5_Class_definitions_are_automatically_in_strict_mode:e.externalModuleIndicator?Oa.Function_declarations_are_not_allowed_inside_blocks_in_strict_mode_when_targeting_ES3_or_ES5_Modules_are_automatically_in_strict_mode:Oa.Function_declarations_are_not_allowed_inside_blocks_in_strict_mode_when_targeting_ES3_or_ES5}(n)))}}function Oe(n,t,...r){const o=b_(e,n.pos);e.bindDiagnostics.push(iT(e,o.start,o.length,t,...r))}function Fe(n,t,r,o){!function(n,t,r){const o=iT(e,t.pos,t.end-t.pos,r);n?e.bindDiagnostics.push(o):e.bindSuggestionDiagnostics=ye(e.bindSuggestionDiagnostics,{...o,category:2})}(n,{pos:vm(t,e),end:r.end},o)}function We(n){if(!n)return;Vx(n,r),Cr&&(n.tracingPath=e.path);const t=T;if(je(n),n.kind>165){const e=r;r=n;const t=qW(n);0===t?V(n):function(e,n){const t=o,r=i,s=a;if(1&n?(219!==e.kind&&(i=o),o=a=e,32&n&&(o.locals=Mf(),Re(o))):2&n&&(a=e,32&n&&(a.locals=void 0)),4&n){const t=d,r=u,o=p,i=f,a=h,s=y,l=v,c=16&n&&!Bb(e,1024)&&!e.asteriskToken&&!!xh(e)||175===e.kind;c||(d=jW({flags:2}),144&n&&(d.node=e)),f=c||176===e.kind||Yh(e)&&(262===e.kind||218===e.kind)?X():void 0,h=void 0,u=void 0,p=void 0,y=void 0,v=!1,V(e),e.flags&=-5633,!(1&d.flags)&&8&n&&am(e.body)&&(e.flags|=512,v&&(e.flags|=1024),e.endFlowNode=d),312===e.kind&&(e.flags|=S,e.endFlowNode=d),f&&(Z(f,d),d=se(f),(176===e.kind||175===e.kind||Yh(e)&&(262===e.kind||218===e.kind))&&(e.returnFlowNode=d)),c||(d=t),u=r,p=o,f=i,h=a,y=s,v=l}else 64&n?(c=!1,V(e),Tt.assertNotNode(e,tN),e.flags=c?256|e.flags:-257&e.flags):V(e);o=t,i=r,a=s}(n,t),r=e}else{const e=r;1===n.kind&&(r=n),ze(n),r=e}T=t}function ze(e){if(Xu(e))if(Yh(e))for(const n of e.jsDoc)We(n);else for(const n of e.jsDoc)Vx(n,e),Hx(n,!1)}function Ge(e){if(!T)for(const n of e){if(!w_(n))return;if(Be(n))return void(T=!0)}}function Be(n){const t=Em(e,n.expression);return'"use strict"'===t||"'use strict'"===t}function je(t){switch(t.kind){case 80:if(4096&t.flags){let e=t.parent;for(;e&&!Kg(e);)e=e.parent;Me(e,524288,788968);break}case 110:return d&&(uu(t)||304===r.kind)&&(t.flowNode=d),Pe(t);case 166:d&&jh(t)&&(t.flowNode=d);break;case 236:case 108:t.flowNode=d;break;case 81:return function(n){"#constructor"===n.escapedText&&(e.parseDiagnostics.length||e.bindDiagnostics.push(P(n,Oa.constructor_is_a_reserved_word,o_(n))))}(t);case 211:case 212:const i=t;d&&H(i)&&(i.flowNode=d),kg(i)&&function(e){110===e.expression.kind?qe(e):Ag(e)&&312===e.parent.parent.kind&&(RE(e.expression)?Ye(e,e.parent):$e(e))}(i),Yh(i)&&e.commonJsModuleIndicator&&bg(i)&&!JW(a,"module")&&W(e.locals,void 0,i.expression,134217729,111550);break;case 226:switch(Eg(t)){case 1:He(t);break;case 2:!function(n){if(!Ue(n))return;const t=gg(n.right);if(PE(t)||o===e&&KW(e,t))return;if(sD(t)&&N(t.properties,ZC))return void E(t.properties,Ke);const r=Ly(n)?2097152:1049092,i=W(e.symbol.exports,e.symbol,n,67108864|r,0);wg(i,n)}(t);break;case 3:Ye(t.left,t);break;case 6:!function(e){Vx(e.left,e),Vx(e.right,e),nn(e.left.expression,e.left,!1,!0)}(t);break;case 4:qe(t);break;case 5:const n=t.left.expression;if(Yh(t)&&tN(n)){const e=JW(a,n.escapedText);if(Nh(null==e?void 0:e.valueDeclaration)){qe(t);break}}!function(n){var t;const r=tn(n.left.expression,a)||tn(n.left.expression,o);if(!Yh(n)&&!Og(r))return;const i=zS(n.left);if(tN(i)&&2097152&(null==(t=JW(o,i.escapedText))?void 0:t.flags))return;if(Vx(n.left,n),Vx(n.right,n),tN(n.left.expression)&&o===e&&KW(e,n.left.expression))He(n);else if(rv(n)){Ce(n,67108868,"__computed");Xe(n,Qe(r,n.left.expression,en(n.left),!1,!1))}else $e(gn(n.left,Ig))}(t);break;case 0:break;default:Tt.fail("Unknown binary expression special property assignment kind")}return function(e){T&&iu(e.left)&&mE(e.operatorToken.kind)&&Le(e,e.left)}(t);case 299:return function(e){T&&e.variableDeclaration&&Le(e,e.variableDeclaration.name)}(t);case 220:return function(n){if(T&&80===n.expression.kind){const t=S_(e,n.expression);e.bindDiagnostics.push(iT(e,t.start,t.length,Oa.delete_cannot_be_called_on_an_identifier_in_strict_mode))}}(t);case 225:return function(e){T&&Le(e,e.operand)}(t);case 224:return function(e){T&&(46!==e.operator&&47!==e.operator||Le(e,e.operand))}(t);case 254:return function(e){T&&Oe(e,Oa.with_statements_are_not_allowed_in_strict_mode)}(t);case 256:return function(e){T&&jp(n)>=2&&(Lu(e.statement)||BD(e.statement))&&Oe(e.label,Oa.A_label_is_not_allowed_here)}(t);case 197:return void(c=!0);case 182:break;case 168:return function(e){if(GM(e.parent)){const n=oy(e.parent);n?(Tt.assertNode(n,Du),n.locals??(n.locals=Mf()),W(n.locals,void 0,e,262144,526824)):Ie(e,262144,526824)}else if(195===e.parent.kind){const n=function(e){const n=Nl(e,(e=>e.parent&&KN(e.parent)&&e.parent.extendsType===e));return n&&n.parent}(e.parent);n?(Tt.assertNode(n,Du),n.locals??(n.locals=Mf()),W(n.locals,void 0,e,262144,526824)):Ce(e,262144,O(e))}else Ie(e,262144,526824)}(t);case 169:return an(t);case 260:return on(t);case 208:return t.flowNode=d,on(t);case 172:case 171:return function(e){const n=Ld(e),t=n?13247:0;return sn(e,(n?98304:4)|(e.questionToken?16777216:0),t)}(t);case 303:case 304:return sn(t,4,0);case 306:return sn(t,8,900095);case 179:case 180:case 181:return Ie(t,131072,0);case 174:case 173:return sn(t,8192|(t.questionToken?16777216:0),oh(t)?0:103359);case 262:return function(n){e.isDeclarationFile||33554432&n.flags||ev(n)&&(S|=4096);ke(n),T?(we(n),Me(n,16,110991)):Ie(n,16,110991)}(t);case 176:return Ie(t,16384,0);case 177:return sn(t,32768,46015);case 178:return sn(t,65536,78783);case 184:case 324:case 330:case 185:return function(e){const n=L(131072,O(e));w(n,e,131072);const t=L(2048,"__type");w(t,e,2048),t.members=Mf(),t.members.set(n.escapedName,n)}(t);case 187:case 329:case 200:return function(e){return Ce(e,2048,"__type")}(t);case 339:return function(e){j(e);const n=ay(e);n&&174!==n.kind&&w(n.symbol,n,32)}(t);case 210:return function(e){return Ce(e,4096,"__object")}(t);case 218:case 219:return function(n){e.isDeclarationFile||33554432&n.flags||ev(n)&&(S|=4096);d&&(n.flowNode=d);ke(n);const t=n.name?n.name.escapedText:"__function";return Ce(n,16,t)}(t);case 213:switch(Eg(t)){case 7:return function(e){let n=tn(e.arguments[0]);const t=312===e.parent.parent.kind;n=Qe(n,e.arguments[0],t,!1,!1),Ze(e,n,!1)}(t);case 8:return function(e){if(!Ue(e))return;const n=rn(e.arguments[0],void 0,((e,n)=>(n&&w(n,e,67110400),n)));if(n){const t=1048580;W(n.exports,n,e,t,0)}}(t);case 9:return function(e){const n=tn(e.arguments[0].expression);n&&n.valueDeclaration&&w(n,n.valueDeclaration,32);Ze(e,n,!0)}(t);case 0:break;default:return Tt.fail("Unknown call expression assignment declaration kind")}Yh(t)&&function(n){!e.commonJsModuleIndicator&&ng(n,!1)&&Ue(n)}(t);break;case 231:case 263:return T=!0,function(n){if(263===n.kind)Me(n,32,899503);else{Ce(n,32,n.name?n.name.escapedText:"__class"),n.name&&A.add(n.name.escapedText)}const{symbol:t}=n,r=L(4194308,"prototype"),o=t.exports.get(r.escapedName);o&&(n.name&&Vx(n.name,n),e.bindDiagnostics.push(P(o.declarations[0],Oa.Duplicate_identifier_0,wl(r))));t.exports.set(r.escapedName,r),r.parent=t}(t);case 264:return Me(t,64,788872);case 265:return Me(t,524288,788968);case 266:return function(e){return A_(e)?Me(e,128,899967):Me(e,256,899327)}(t);case 267:return function(n){if(Ne(n),km(n))if(Bb(n,32)&&Oe(n,Oa.export_modifier_cannot_be_applied_to_ambient_modules_and_module_augmentations_since_they_are_always_visible),jm(n))De(n);else{let t;if(11===n.name.kind){const{text:e}=n.name;t=fx(e),void 0===t&&Oe(n.name,Oa.Pattern_0_can_have_at_most_one_Asterisk_character,e)}const r=Ie(n,512,110735);e.patternAmbientModules=ye(e.patternAmbientModules,t&&!mn(t)?{pattern:t,symbol:r}:void 0)}else{const e=De(n);if(0!==e){const{symbol:t}=n;t.constEnumOnlyModule=!(304&t.flags)&&2===e&&!1!==t.constEnumOnlyModule}}}(t);case 292:return function(e){return Ce(e,4096,"__jsxAttributes")}(t);case 291:return function(e,n,t){return Ie(e,n,t)}(t,4,0);case 271:case 274:case 276:case 281:return Ie(t,2097152,2097152);case 270:return function(n){oe(n.modifiers)&&e.bindDiagnostics.push(P(n,Oa.Modifiers_cannot_appear_here));const t=rM(n.parent)?uk(n.parent)?n.parent.isDeclarationFile?void 0:Oa.Global_module_exports_may_only_appear_in_declaration_files:Oa.Global_module_exports_may_only_appear_in_module_files:Oa.Global_module_exports_may_only_appear_at_top_level;t?e.bindDiagnostics.push(P(n,t)):(e.symbol.globalExports=e.symbol.globalExports||Mf(),W(e.symbol.globalExports,e.symbol,n,2097152,2097152))}(t);case 273:return function(e){e.name&&Ie(e,2097152,2097152)}(t);case 278:return function(e){o.symbol&&o.symbol.exports?e.exportClause?AC(e.exportClause)&&(Vx(e.exportClause,e),W(o.symbol.exports,o.symbol,e.exportClause,2097152,2097152)):W(o.symbol.exports,o.symbol,e,8388608,0):Ce(e,8388608,O(e))}(t);case 277:return function(e){if(o.symbol&&o.symbol.exports){const n=Ly(e)?2097152:4,t=W(o.symbol.exports,o.symbol,e,n,-1);e.isExportEquals&&wg(t,e)}else Ce(e,111551,O(e))}(t);case 312:return Ge(t.statements),function(){if(Ne(e),uk(e))Ve();else if(x_(e)){Ve();const n=e.symbol;W(e.symbol.exports,e.symbol,e,4,-1),e.symbol=n}}();case 241:if(!xd(t.parent))return;case 268:return Ge(t.statements);case 348:if(330===t.parent.kind)return an(t);if(329!==t.parent.kind)break;case 355:const s=t;return Ie(s,s.isBracketed||s.typeExpression&&323===s.typeExpression.type.kind?16777220:4,0);case 353:case 345:case 347:return(l||(l=[])).push(t);case 346:return We(t.typeExpression)}}function Ve(){Ce(e,512,`"${cx(e.fileName)}"`)}function Ue(n){return(!e.externalModuleIndicator||!0===e.externalModuleIndicator)&&(e.commonJsModuleIndicator||(e.commonJsModuleIndicator=n,e.externalModuleIndicator||Ve()),!0)}function He(e){if(!Ue(e))return;const n=rn(e.left.expression,void 0,((e,n)=>(n&&w(n,e,67110400),n)));if(n){const t=Py(e.right)&&(yg(e.left.expression)||bg(e.left.expression))?2097152:1048580;Vx(e.left,e),W(n.exports,n,e.left,t,0)}}function Ke(n){W(e.symbol.exports,e.symbol,n,69206016,0)}function qe(e){Tt.assert(Yh(e));if(TD(e)&&lD(e.left)&&rN(e.left.name)||lD(e)&&rN(e.name))return;const n=vh(e,!1,!1);switch(n.kind){case 262:case 218:let t=n.symbol;if(TD(n.parent)&&64===n.parent.operatorToken.kind){const e=n.parent.left;Ag(e)&&RE(e.expression)&&(t=tn(e.expression.expression,i))}t&&t.valueDeclaration&&(t.members=t.members||Mf(),rv(e)?Je(e,t,t.members):W(t.members,t,e,67108868,0),w(t,t.valueDeclaration,32));break;case 176:case 172:case 174:case 177:case 178:case 175:const r=n.parent,o=jb(n)?r.symbol.exports:r.symbol.members;rv(e)?Je(e,r.symbol,o):W(o,r.symbol,e,67108868,0,!0);break;case 312:if(rv(e))break;n.commonJsModuleIndicator?W(n.symbol.exports,n.symbol,e,1048580,0):Ie(e,1,111550);break;case 267:break;default:Tt.failBadSyntaxKind(n)}}function Je(e,n,t){W(t,n,e,4,0,!0,!0),Xe(e,n)}function Xe(e,n){n&&(n.assignmentDeclarationMembers||(n.assignmentDeclarationMembers=new Map)).set(Hz(e),e)}function Ye(e,n){const t=e.expression,r=t.expression;Vx(r,t),Vx(t,e),Vx(e,n),nn(r,e,!0,!0)}function $e(e){Tt.assert(!tN(e)),Vx(e.expression,e),nn(e.expression,e,!1,!1)}function Qe(n,t,r,o,i){if(2097152&(null==n?void 0:n.flags))return n;if(r&&!o){const r=67110400,o=110735;n=rn(t,n,((n,t,i)=>{if(t)return w(t,n,r),t;return W(i?i.exports:e.jsGlobalAugmentations||(e.jsGlobalAugmentations=Mf()),i,n,r,o)}))}return i&&n&&n.valueDeclaration&&w(n,n.valueDeclaration,32),n}function Ze(e,n,t){if(!n||!function(e){if(1072&e.flags)return!0;const n=e.valueDeclaration;if(n&&dD(n))return!!pg(n);let t=n?iC(n)?n.initializer:TD(n)?n.right:lD(n)&&TD(n.parent)?n.parent.right:void 0:void 0;if(t=t&&gg(t),t){const e=RE(iC(n)?n.name:TD(n)?n.left:n);return!!fg(!TD(t)||57!==t.operatorToken.kind&&61!==t.operatorToken.kind?t:t.right,e)}return!1}(n))return;const r=t?n.members||(n.members=Mf()):n.exports||(n.exports=Mf());let o=0,i=0;Ad(pg(e))?(o=8192,i=103359):dD(e)&&Sg(e)&&(oe(e.arguments[2].properties,(e=>{const n=jl(e);return!!n&&tN(n)&&"set"===Ll(n)}))&&(o|=65540,i|=78783),oe(e.arguments[2].properties,(e=>{const n=jl(e);return!!n&&tN(n)&&"get"===Ll(n)}))&&(o|=32772,i|=46015)),0===o&&(o=4,i=0),W(r,n,e,67108864|o,-67108865&i)}function en(e){return TD(e.parent)?312===function(e){for(;TD(e.parent);)e=e.parent;return e.parent}(e.parent).parent.kind:312===e.parent.parent.kind}function nn(e,n,t,r){let i=tn(e,a)||tn(e,o);const s=en(n);i=Qe(i,n.expression,s,t,r),Ze(n,i,t)}function tn(e,n=o){if(tN(e))return JW(n,e.escapedText);{const n=tn(e.expression);return n&&n.exports&&n.exports.get(Cg(e))}}function rn(n,t,r){if(KW(e,n))return e.symbol;if(tN(n))return r(n,tn(n),t);{const e=rn(n.expression,t,r),o=Ng(n);return rN(o)&&Tt.fail("unexpected PrivateIdentifier"),r(o,e&&e.exports&&e.exports.get(Cg(n)),e)}}function on(e){if(T&&Le(e,e.name),!Vd(e.name)){const n=260===e.kind?e:e.parent.parent;!Yh(e)||!rg(n)||yc(e)||32&Sl(e)?Pm(e)?Me(e,2,111551):vv(e)?Ie(e,1,111551):Ie(e,1,111550):Ie(e,2097152,2097152)}}function an(e){if((348!==e.kind||330===o.kind)&&(!T||33554432&e.flags||Le(e,e.name),Vd(e.name)?Ce(e,1,"__"+e.parent.parameters.indexOf(e)):Ie(e,1,111551),gl(e,e.parent))){const n=e.parent.parent;W(n.symbol.members,n.symbol,e,4|(e.questionToken?16777216:0),0)}}function sn(n,t,r){return e.isDeclarationFile||33554432&n.flags||!ev(n)||(S|=4096),d&&ih(n)&&(n.flowNode=d),rv(n)?Ce(n,t,"__computed"):Ie(n,t,r)}}function HW(e){return!(sC(e)||function(e){switch(e.kind){case 264:case 265:return!0;case 267:return 1!==zW(e);case 266:return Bb(e,4096);default:return!1}}(e)||uC(e)||BD(e)&&!(7&xl(e))&&e.declarationList.declarations.some((e=>!e.initializer)))}function KW(e,n){let t=0;const r=dn();for(r.enqueue(n);!r.isEmpty()&&t<100;){if(t++,yg(n=r.dequeue())||bg(n))return!0;if(tN(n)){const t=JW(e,n.escapedText);if(t&&t.valueDeclaration&&iC(t.valueDeclaration)&&t.valueDeclaration.initializer){const e=t.valueDeclaration.initializer;r.enqueue(e),gE(e,!0)&&(r.enqueue(e.left),r.enqueue(e.right))}}}return!1}function qW(e){switch(e.kind){case 231:case 263:case 266:case 210:case 187:case 329:case 292:return 1;case 264:return 65;case 267:case 265:case 200:case 181:return 33;case 312:return 37;case 177:case 178:case 174:if(ih(e))return 173;case 176:case 262:case 173:case 179:case 330:case 324:case 184:case 180:case 185:case 175:return 45;case 218:case 219:return 61;case 268:return 4;case 172:return e.initializer?4:0;case 299:case 248:case 249:case 250:case 269:return 34;case 241:return Td(e.parent)||RN(e.parent)?0:34}return 0}function JW(e,n){var t,r,o,i;const a=null==(r=null==(t=hn(e,Du))?void 0:t.locals)?void 0:r.get(n);return a?a.exportSymbol??a:rM(e)&&e.jsGlobalAugmentations&&e.jsGlobalAugmentations.has(n)?e.jsGlobalAugmentations.get(n):Nu(e)?null==(i=null==(o=e.symbol)?void 0:o.exports)?void 0:i.get(n):void 0}var XW=g({"src/compiler/binder.ts"(){JJ(),ni(),wW=(e=>(e[e.NonInstantiated=0]="NonInstantiated",e[e.Instantiated=1]="Instantiated",e[e.ConstEnumOnly=2]="ConstEnumOnly",e))(wW||{}),OW=(e=>(e[e.None=0]="None",e[e.IsContainer=1]="IsContainer",e[e.IsBlockScopedContainer=2]="IsBlockScopedContainer",e[e.IsControlFlowContainer=4]="IsControlFlowContainer",e[e.IsFunctionLike=8]="IsFunctionLike",e[e.IsFunctionExpression=16]="IsFunctionExpression",e[e.HasLocals=32]="HasLocals",e[e.IsInterface=64]="IsInterface",e[e.IsObjectLiteralOrClassExpressionMethodOrAccessor=128]="IsObjectLiteralOrClassExpressionMethodOrAccessor",e))(OW||{}),FW=UW()}});function YW(e,n,t,r,o,i,a,s,l,c){return function(d=()=>!0){const u=[],p=[];return{walkType:e=>{try{return f(e),{visitedTypes:Ke(u),visitedSymbols:Ke(p)}}finally{G(u),G(p)}},walkSymbol:e=>{try{return h(e),{visitedTypes:Ke(u),visitedSymbols:Ke(p)}}finally{G(u),G(p)}}};function f(e){if(!e)return;if(u[e.id])return;u[e.id]=e;if(!h(e.symbol)){if(524288&e.flags){const t=e,o=t.objectFlags;4&o&&function(e){f(e.target),E(c(e),f)}(e),32&o&&function(e){f(e.typeParameter),f(e.constraintType),f(e.templateType),f(e.modifiersType)}(e),3&o&&(_(n=e),E(n.typeParameters,f),E(r(n),f),f(n.thisType)),24&o&&_(t)}var n;262144&e.flags&&function(e){f(s(e))}(e),3145728&e.flags&&function(e){E(e.types,f)}(e),4194304&e.flags&&function(e){f(e.type)}(e),8388608&e.flags&&function(e){f(e.objectType),f(e.indexType),f(e.constraint)}(e)}}function m(r){const o=n(r);o&&f(o.type),E(r.typeParameters,f);for(const e of r.parameters)h(e);f(e(r)),f(t(r))}function _(e){const n=o(e);for(const e of n.indexInfos)f(e.keyType),f(e.type);for(const e of n.callSignatures)m(e);for(const e of n.constructSignatures)m(e);for(const e of n.properties)h(e)}function h(e){if(!e)return!1;const n=Kz(e);if(p[n])return!1;if(p[n]=e,!d(e))return!0;return f(i(e)),e.exports&&e.exports.forEach(h),E(e.declarations,(e=>{if(e.type&&186===e.type.kind){const n=e.type;h(a(l(n.exprName)))}})),!1}}}var $W,QW=g({"src/compiler/symbolWalker.ts"(){JJ()}});function ZW({importModuleSpecifierPreference:e,importModuleSpecifierEnding:n},t,r,o){const i=a();return{relativePreference:void 0!==o?Xs(o)?0:1:"relative"===e?0:"non-relative"===e?1:"project-relative"===e?3:2,getAllowedEndingsInPreferredOrder:e=>{const n=e!==r.impliedNodeFormat?a(e):i;if(99===(e??r.impliedNodeFormat))return CW(t,r.fileName)?[3,2]:[2];if(1===Up(t))return 2===n?[2,1]:[1,2];const o=CW(t,r.fileName);switch(n){case 2:return o?[2,3,0,1]:[2,0,1];case 3:return[3,0,2,1];case 1:return o?[1,0,3,2]:[1,0,2];case 0:return o?[0,1,3,2]:[0,1,2];default:Tt.assertNever(n)}}};function a(e){if(void 0!==o){if(tx(o))return 2;if(Xn(o,"/index"))return 1}return ix(n,e??r.impliedNodeFormat,t,r)}}function ez(e,n,t,r,o,i,a={}){const s=rz(e,n,t,r,o,ZW({},e,n,i),{},a);if(s!==i)return s}function nz(e,n,t,r,o,i={}){return rz(e,n,t,r,o,ZW({},e,n),{},i)}function tz(e,n,t,r,o,i={}){const a=lz(n.fileName,r);return T(mz(a,t,r,o,i),(t=>yz(t,a,n,r,e,o,!0,i.overrideImportMode)))}function rz(e,n,t,r,o,i,a,s={}){const l=lz(t,o);return T(mz(l,r,o,a,s),(t=>yz(t,l,n,o,e,a,void 0,s.overrideImportMode)))||cz(r,l,e,o,s.overrideImportMode||n.impliedNodeFormat,i)}function oz(e,n,t,r,o={}){return iz(e,n,t,r,o)[0]}function iz(e,n,t,r,i={}){var a;const s=Qf(e);if(!s)return o;const l=null==(a=t.getModuleSpecifierCache)?void 0:a.call(t),c=null==l?void 0:l.get(n.path,s.path,r,i);return[null==c?void 0:c.moduleSpecifiers,s,null==c?void 0:c.modulePaths,l]}function az(e,n,t,r,o,i,a={}){return sz(e,n,t,r,o,i,a,!1).moduleSpecifiers}function sz(e,n,t,r,i,a,s={},l){let c=!1;const d=function(e,n){var t;const r=null==(t=e.declarations)?void 0:t.find((e=>Om(e)&&(!Bm(e)||!Xs(sv(e.name)))));if(r)return r.name.text;const o=Y(e.declarations,(e=>{var t,r,o,i;if(!pC(e))return;const a=c(e);if(!((null==(t=null==a?void 0:a.parent)?void 0:t.parent)&&fC(a.parent)&&km(a.parent.parent)&&rM(a.parent.parent.parent)))return;const s=null==(i=null==(o=null==(r=a.parent.parent.symbol.exports)?void 0:r.get("export="))?void 0:o.valueDeclaration)?void 0:i.expression;if(!s)return;const l=n.getSymbolAtLocation(s);if(!l)return;if((2097152&(null==l?void 0:l.flags)?n.getAliasedSymbol(l):l)===e.symbol)return a.parent.parent;function c(e){for(;8&e.flags;)e=e.parent;return e}})),i=o[0];if(i)return i.name.text}(e,n);if(d)return{moduleSpecifiers:[d],computedWithoutCache:c};let[u,p,f,m]=iz(e,r,i,a,s);if(u)return{moduleSpecifiers:u,computedWithoutCache:c};if(!p)return{moduleSpecifiers:o,computedWithoutCache:c};c=!0,f||(f=_z(lz(r.fileName,i),p.originalFileName,i));const _=function(e,n,t,r,o,i={},a){const s=lz(t.fileName,r),l=ZW(o,n,t),c=E(e,(e=>E(r.getFileIncludeReasons().get(ga(e.path,r.getCurrentDirectory(),s.getCanonicalFileName)),(e=>{if(3!==e.kind||e.file!==t.path)return;if(t.impliedNodeFormat&&t.impliedNodeFormat!==BU(t,e.index,n))return;const r=gH(t,e.index).text;return 1===l.relativePreference&&Ji(r)?void 0:r}))));if(c){return[c]}const d=oe(e,(e=>e.isInNodeModules));let u,p,f,m;for(const c of e){const e=c.isInNodeModules?yz(c,s,t,r,n,o,void 0,i.overrideImportMode):void 0;if(u=ye(u,e),e&&c.isRedirect)return u;if(!e){const e=cz(c.path,s,n,r,i.overrideImportMode||t.impliedNodeFormat,l,c.isRedirect);if(!e)continue;c.isRedirect?f=ye(f,e):Xi(e)?HF(e)?m=ye(m,e):p=ye(p,e):(a||!d||c.isInNodeModules)&&(m=ye(m,e))}}return(null==p?void 0:p.length)?p:(null==f?void 0:f.length)?f:(null==u?void 0:u.length)?u:Tt.checkDefined(m)}(f,t,r,i,a,s,l);return null==m||m.set(r.path,p.path,a,s,f,_),{moduleSpecifiers:_,computedWithoutCache:c}}function lz(e,n){e=ma(e,n.getCurrentDirectory());const t=rt(!n.useCaseSensitiveFileNames||n.useCaseSensitiveFileNames()),r=ra(e);return{getCanonicalFileName:t,importingSourceFileName:e,sourceDirectory:r,canonicalSourceDirectory:t(r)}}function cz(e,n,t,r,o,{getAllowedEndingsInPreferredOrder:i,relativePreference:a},s){const{baseUrl:l,paths:c,rootDirs:d}=t;if(s&&!c)return;const{sourceDirectory:u,canonicalSourceDirectory:p,getCanonicalFileName:f}=n,m=i(o),_=d&&function(e,n,t,r,o,i){const a=vz(n,e,r);if(void 0===a)return;const s=vz(t,e,r),l=H(s,(e=>B(a,(n=>ba(Ca(e,n,r)))))),c=Fn(l,lx);if(!c)return;return bz(c,o,i)}(d,e,u,f,m,t)||bz(ba(Ca(u,e,f)),m,t);if(!l&&!c&&!Yp(t)||0===a)return s?void 0:_;const h=xz(e,ma(ib(t,r)||l,r.getCurrentDirectory()),f);if(!h)return s?void 0:_;const g=s?void 0:function(e,n,t,r,o){var i,a,s;if(!r.readFile||!Yp(t))return;const l=pz(r,n);if(!l)return;const c=ua(l,"package.json"),d=null==(a=null==(i=r.getPackageJsonInfoCache)?void 0:i.call(r))?void 0:a.getPackageJsonInfo(c);if(vF(d)||!r.fileExists(c))return;const u=(null==d?void 0:d.contents.packageJsonContent)||BE(r.readFile(c)),p=null==u?void 0:u.imports;if(!p)return;const f=_F(t,o);return null==(s=E(Ue(p),(n=>{if(!st(n,"#")||"#"===n||st(n,"#/"))return;const o=Xn(n,"/")?1:n.includes("*")?2:0;return gz(t,r,e,l,n,p[n],f,o,!0)})))?void 0:s.moduleFileToTry}(e,u,t,r,o),y=s||void 0===g?c&&hz(h,c,m,r,t):void 0;if(s)return y;const v=g??(void 0===y&&void 0!==l?bz(h,m,t):y);if(!v)return _;if(1===a&&!Ji(v))return v;if(3===a&&!Ji(v)){const o=t.configFilePath?ga(ra(t.configFilePath),r.getCurrentDirectory(),n.getCanonicalFileName):n.getCanonicalFileName(r.getCurrentDirectory()),i=ga(e,o,f),a=st(p,o),s=st(i,o);if(a&&!s||!a&&s)return v;return function(e,n,t){return e===n||void 0!==e&&void 0!==n&&0===Ra(e,n,t)}(pz(r,ra(i)),pz(r,u),!qv(r))?_:v}return Az(v)||dz(_)<dz(v)?_:v}function dz(e){let n=0;for(let t=st(e,"./")?2:0;t<e.length;t++)47===e.charCodeAt(t)&&n++;return n}function uz(e,n){return Kn(n.isRedirect,e.isRedirect)||lx(e.path,n.path)}function pz(e,n){return e.getNearestAncestorDirectoryWithPackageJson?e.getNearestAncestorDirectoryWithPackageJson(n):ka(n,(n=>e.fileExists(ua(n,"package.json"))?n:void 0))}function fz(e,n,t,r,i){var a;const s=Jv(t),l=t.getCurrentDirectory(),c=t.isSourceOfProjectReferenceRedirect(n)?t.getProjectReferenceRedirect(n):void 0,d=ga(n,l,s),u=t.redirectTargetsMap.get(d)||o,p=[...c?[c]:o,n,...u].map((e=>ma(e,l)));let f=!N(p,Xx);if(!r){const e=E(p,(e=>!(f&&Xx(e))&&i(e,c===e)));if(e)return e}const m=null==(a=t.getSymlinkCache)?void 0:a.call(t).getSymlinkedDirectoriesByRealpath(),_=ma(n,l),h=m&&ka(ra(_),(n=>{const t=m.get(va(ga(n,l,s)));if(t)return!Na(e,n,s)&&E(p,(e=>{if(!Na(e,n,s))return;const r=Ca(n,e,s);for(const n of t){const t=pa(n,r),o=i(t,e===c);if(f=!0,o)return o}}))}));return h||(r?E(p,(e=>f&&Xx(e)?void 0:i(e,e===c))):void 0)}function mz(e,n,t,r,o={}){var i;const a=ga(e.importingSourceFileName,t.getCurrentDirectory(),Jv(t)),s=ga(n,t.getCurrentDirectory(),Jv(t)),l=null==(i=t.getModuleSpecifierCache)?void 0:i.call(t);if(l){const e=l.get(a,s,r,o);if(null==e?void 0:e.modulePaths)return e.modulePaths}const c=_z(e,n,t);return l&&l.setModulePaths(a,s,r,o,c),c}function _z(e,n,t){const r=new Map;let o=!1;fz(e.importingSourceFileName,n,t,!0,((n,t)=>{const i=HF(n);r.set(n,{path:e.getCanonicalFileName(n),isRedirect:t,isInNodeModules:i}),o=o||i}));const i=[];for(let n=e.canonicalSourceDirectory;0!==r.size;){const e=va(n);let t;r.forEach((({path:n,isRedirect:o,isInNodeModules:i},a)=>{st(n,e)&&((t||(t=[])).push({path:a,isRedirect:o,isInNodeModules:i}),r.delete(a))})),t&&(t.length>1&&t.sort(uz),i.push(...t));const o=ra(n);if(o===n)break;n=o}if(r.size){const e=Je(r.entries(),(([e,{isRedirect:n,isInNodeModules:t}])=>({path:e,isRedirect:n,isInNodeModules:t})));e.length>1&&e.sort(uz),i.push(...e)}return i}function hz(e,n,t,r,o){for(const r in n)for(const a of n[r]){const n=_a(a),s=n.indexOf("*"),l=t.map((n=>({ending:n,value:bz(e,[n],o)})));if(bx(n)&&l.push({ending:void 0,value:e}),-1!==s){const e=n.substring(0,s),t=n.substring(s+1);for(const{ending:n,value:o}of l)if(o.length>=e.length+t.length&&st(o,e)&&Xn(o,t)&&i({ending:n,value:o})){const n=o.substring(e.length,o.length-t.length);if(!Ji(n))return NA(r,n)}}else if(oe(l,(e=>0!==e.ending&&n===e.value))||oe(l,(e=>0===e.ending&&n===e.value&&i(e))))return r}function i({ending:n,value:t}){return 0!==n||t===bz(e,[n],o,r)}}function gz(e,n,t,r,o,i,a,s,l){if("string"==typeof i){const a=!qv(n),c=()=>n.getCommonSourceDirectory(),d=l&&MV(t,e,a,c),u=l&&DV(t,e,a,c),p=ma(ua(r,i),void 0),f=rx(t)?cx(t)+Tz(t,e):void 0;switch(s){case 0:if(f&&0===Ra(f,p,a)||0===Ra(t,p,a)||d&&0===Ra(d,p,a)||u&&0===Ra(u,p,a))return{moduleFileToTry:o};break;case 1:if(f&&Ia(p,f,a)){const e=Ca(p,f,!1);return{moduleFileToTry:ma(ua(ua(o,i),e),void 0)}}if(Ia(p,t,a)){const e=Ca(p,t,!1);return{moduleFileToTry:ma(ua(ua(o,i),e),void 0)}}if(d&&Ia(p,d,a)){const e=Ca(p,d,!1);return{moduleFileToTry:ua(o,e)}}if(u&&Ia(p,u,a)){const e=Ca(p,u,!1);return{moduleFileToTry:ua(o,e)}}break;case 2:const e=p.indexOf("*"),n=p.slice(0,e),r=p.slice(e+1);if(f&&st(f,n,a)&&Xn(f,r,a)){const e=f.slice(n.length,f.length-r.length);return{moduleFileToTry:NA(o,e)}}if(st(t,n,a)&&Xn(t,r,a)){const e=t.slice(n.length,t.length-r.length);return{moduleFileToTry:NA(o,e)}}if(d&&st(d,n,a)&&Xn(d,r,a)){const e=d.slice(n.length,d.length-r.length);return{moduleFileToTry:NA(o,e)}}if(u&&st(u,n,a)&&Xn(u,r,a)){const e=u.slice(n.length,u.length-r.length);return{moduleFileToTry:NA(o,e)}}}}else{if(Array.isArray(i))return E(i,(i=>gz(e,n,t,r,o,i,a,s,l)));if("object"==typeof i&&null!==i)for(const c of Ue(i))if("default"===c||a.indexOf(c)>=0||hW(a,c)){const d=i[c],u=gz(e,n,t,r,o,d,a,s,l);if(u)return u}}}function yz({path:e,isRedirect:n},{getCanonicalFileName:t,canonicalSourceDirectory:r},o,i,a,s,l,c){if(!i.fileExists||!i.readFile)return;const d=iA(e);if(!d)return;const u=ZW(s,a,o).getAllowedEndingsInPreferredOrder();let p=e,f=!1;if(!l){let n,t=d.packageRootIndex;for(;;){const{moduleFileToTry:r,packageRootPath:o,blockedByExports:s,verbatimFromExports:l}=y(t);if(1!==Up(a)){if(s)return;if(l)return r}if(o){p=o,f=!0;break}if(n||(n=r),t=e.indexOf(Fi,t+1),-1===t){p=bz(n,u,a,i);break}}}if(n&&!f)return;const m=i.getGlobalTypingsCacheLocation&&i.getGlobalTypingsCacheLocation(),_=t(p.substring(0,d.topLevelNodeModulesIndex));if(!(st(r,_)||m&&st(t(m),_)))return;const h=p.substring(d.topLevelPackageNameIndex+1),g=AW(h);return 1===Up(a)&&g===h?void 0:g;function y(n){var r,s;const l=e.substring(0,n),p=ua(l,"package.json");let f=e,m=!1;const _=null==(s=null==(r=i.getPackageJsonInfoCache)?void 0:r.call(i))?void 0:s.getPackageJsonInfo(p);if(yF(_)||void 0===_&&i.fileExists(p)){const n=(null==_?void 0:_.contents.packageJsonContent)||BE(i.readFile(p)),r=c||o.impliedNodeFormat;if(Xp(a)){const t=AW(l.substring(d.topLevelPackageNameIndex+1)),o=_F(a,r),s=(null==n?void 0:n.exports)?function(e,n,t,r,o,i,a){return"object"==typeof i&&null!==i&&!Array.isArray(i)&&uW(i)?E(Ue(i),(s=>{const l=ma(ua(o,s),void 0),c=Xn(s,"/")?1:s.includes("*")?2:0;return gz(e,n,t,r,l,i[s],a,c,!1)})):gz(e,n,t,r,o,i,a,0,!1)}(a,i,e,l,t,n.exports,o):void 0;if(s)return{...s,verbatimFromExports:!0};if(null==n?void 0:n.exports)return{moduleFileToTry:e,blockedByExports:!0}}const s=(null==n?void 0:n.typesVersions)?cF(n.typesVersions):void 0;if(s){const n=hz(e.slice(l.length+1),s.paths,u,i,a);void 0===n?m=!0:f=ua(l,n)}const h=(null==n?void 0:n.typings)||(null==n?void 0:n.types)||(null==n?void 0:n.main)||"index.js";if(mn(h)&&(!m||!Sx(mx(s.paths),h))){const e=ga(h,l,t),r=t(f);if(cx(e)===cx(r))return{packageRootPath:l,moduleFileToTry:f};if("module"!==(null==n?void 0:n.type)&&!Qi(r,Tf)&&st(r,e)&&ra(r)===ya(e)&&"index"===cx(oa(r)))return{packageRootPath:l,moduleFileToTry:f}}}else{const e=t(f.substring(d.packageRootIndex+1));if("index.d.ts"===e||"index.js"===e||"index.ts"===e||"index.tsx"===e)return{moduleFileToTry:f,packageRootPath:l}}return{moduleFileToTry:f}}}function vz(e,n,t){return Y(n,(n=>{const r=xz(e,n,t);return void 0!==r&&Az(r)?void 0:r}))}function bz(e,n,t,r){if(Qi(e,[".json",".mjs",".cjs"]))return e;const o=cx(e);if(e===o)return e;const i=n.indexOf(2),a=n.indexOf(3);if(Qi(e,[".mts",".cts"])&&-1!==a&&a<i)return e;if(Qi(e,[".d.mts",".mts",".d.cts",".cts"]))return o+Sz(e,t);if(!Qi(e,[".d.ts"])&&Qi(e,[".ts"])&&e.includes(".d."))return Ez(e);switch(n[0]){case 0:const a=Yn(o,"/index");return r&&a!==o&&function(e,n){if(!e.fileExists)return;const t=U(ex({allowJs:!0},[{extension:"node",isMixedContent:!1},{extension:"json",isMixedContent:!1,scriptKind:6}]));for(const r of t){const t=n+r;if(e.fileExists(t))return t}}(r,a)?o:a;case 1:return o;case 2:return o+Sz(e,t);case 3:if(_k(e)){const r=n.findIndex((e=>0===e||1===e));return-1!==r&&r<i?o:o+Sz(e,t)}return e;default:return Tt.assertNever(n[0])}}function Ez(e){const n=oa(e);if(!Xn(e,".ts")||!n.includes(".d.")||Qi(n,[".d.ts"]))return;const t=ux(e,".ts"),r=t.substring(t.lastIndexOf("."));return t.substring(0,t.indexOf(".d."))+r}function Sz(e,n){return Tz(e,n)??Tt.fail(`Extension ${yx(e)} is unsupported:: FileName:: ${e}`)}function Tz(e,n){const t=bx(e);switch(t){case".ts":case".d.ts":return".js";case".tsx":return 1===n.jsx?".jsx":".js";case".js":case".jsx":case".json":return t;case".d.mts":case".mts":case".mjs":return".mjs";case".d.cts":case".cts":case".cjs":return".cjs";default:return}}function xz(e,n,t){const r=La(n,e,n,t,!1);return Hi(r)?void 0:r}function Az(e){return st(e,"..")}var Rz=g({"src/compiler/moduleSpecifiers.ts"(){JJ(),$W=(e=>(e[e.Relative=0]="Relative",e[e.NonRelative=1]="NonRelative",e[e.Shortest=2]="Shortest",e[e.ExternalNonRelative=3]="ExternalNonRelative",e))($W||{})}}),Iz={};y(Iz,{RelativePreference:()=>$W,countPathComponents:()=>dz,forEachFileNameOfModule:()=>fz,getModuleSpecifier:()=>nz,getModuleSpecifierPreferences:()=>ZW,getModuleSpecifiers:()=>az,getModuleSpecifiersWithCacheInfo:()=>sz,getNodeModulesPackageName:()=>tz,tryGetJSExtensionForFile:()=>Tz,tryGetModuleSpecifiersFromCache:()=>oz,tryGetRealFileNameForNonJsDeclarationFileName:()=>Ez,updateModuleSpecifier:()=>ez});var Nz,Dz,Cz,Mz,Pz,Lz,kz,wz,Oz,Fz,Wz,zz,Gz,Bz,jz,Vz=g({"src/compiler/_namespaces/ts.moduleSpecifiers.ts"(){Rz()}});function Uz(){this.flags=0}function Hz(e){return e.id||(e.id=Mz,Mz++),e.id}function Kz(e){return e.id||(e.id=Cz,Cz++),e.id}function qz(e,n){const t=zW(e);return 1===t||n&&2===t}function Jz(e){var n,t,r,i,a,s=[],l=e=>{s.push(e)},c=new Set,d=Wp.getSymbolConstructor(),u=Wp.getTypeConstructor(),p=Wp.getSignatureConstructor(),f=0,m=0,_=0,h=0,g=0,y=0,v=!1,S=Mf(),x=[1],A=e.getCompilerOptions(),R=jp(A),I=Vp(A),L=!!A.experimentalDecorators,O=rf(A),z=IT(A),j=Jp(A),K=RT(A,"strictNullChecks"),q=RT(A,"strictFunctionTypes"),J=RT(A,"strictBindCallApply"),X=RT(A,"strictPropertyInitialization"),$=RT(A,"noImplicitAny"),Q=RT(A,"noImplicitThis"),ne=RT(A,"useUnknownInCatchVariables"),te=!!A.keyofStringsOnly,re=te?1:0,ie=A.suppressExcessPropertyErrors?0:8192,se=A.exactOptionalPropertyTypes,de=function(){const e=nL((function(e,n,r){n?(n.stackIndex++,n.skip=!1,t(n,void 0),o(n,void 0)):n={checkMode:r,skip:!1,stackIndex:0,typeStack:[void 0,void 0]};if(Yh(e)&&pg(e))return n.skip=!0,o(n,bO(e.right,r)),n;!function(e){const{left:n,operatorToken:t,right:r}=e;61===t.kind&&(!TD(n)||57!==n.operatorToken.kind&&56!==n.operatorToken.kind||SB(n,Oa._0_and_1_operations_cannot_be_mixed_without_parentheses,as(n.operatorToken.kind),as(t.kind)),!TD(r)||57!==r.operatorToken.kind&&56!==r.operatorToken.kind||SB(r,Oa._0_and_1_operations_cannot_be_mixed_without_parentheses,as(r.operatorToken.kind),as(t.kind)))}(e);if(64===e.operatorToken.kind&&(210===e.left.kind||209===e.left.kind))return n.skip=!0,o(n,qw(e.left,bO(e.right,r),r,110===e.right.kind)),n;return n}),(function(e,t,r){if(!t.skip)return n(t,e)}),(function(e,n,i){if(!n.skip){const a=r(n);Tt.assertIsDefined(a),t(n,a),o(n,void 0);const s=e.kind;if(pE(s)){let e=i.parent;for(;217===e.kind||fE(e);)e=e.parent;(56===s||UD(e))&&HF(i.left,a,UD(e)?e.thenStatement:void 0),KF(a,i.left)}}}),(function(e,t,r){if(!t.skip)return n(t,e)}),(function(e,n){let i;if(n.skip)i=r(n);else{const t=function(e){return e.typeStack[e.stackIndex]}(n);Tt.assertIsDefined(t);const o=r(n);Tt.assertIsDefined(o),i=Yw(e.left,e.operatorToken,e.right,t,o,n.checkMode,e)}return n.skip=!1,t(n,void 0),o(n,void 0),n.stackIndex--,i}),(function(e,n,t){return o(e,n),e}));return(n,t)=>{const r=e(n,t);return Tt.assertIsDefined(r),r};function n(e,n){if(TD(n))return n;o(e,bO(n,e.checkMode))}function t(e,n){e.typeStack[e.stackIndex]=n}function r(e){return e.typeStack[e.stackIndex+1]}function o(e,n){e.typeStack[e.stackIndex+1]=n}}(),ue=function(){const n=e.getResolvedTypeReferenceDirectives();let t;n&&(t=new Map,n.forEach((({resolvedTypeReferenceDirective:n},t,r)=>{if(!(null==n?void 0:n.resolvedFileName))return;const i=e.getSourceFile(n.resolvedFileName);i&&o(i,t,r)})));return{getReferencedExportContainer:pG,getReferencedImportDeclaration:mG,getReferencedDeclarationWithCollidingName:hG,isDeclarationWithCollidingName:gG,isValueAliasDeclaration:e=>{const n=Cl(e);return!n||!Ie||yG(n)},hasGlobalName:FG,isReferencedAliasDeclaration:(e,n)=>{const t=Cl(e);return!t||!Ie||SG(t,n)},getNodeCheckFlags:e=>{const n=Cl(e);return n?NG(n):0},isTopLevelValueImportEqualsWithEntityName:vG,isDeclarationVisible:yl,isImplementationOfOverload:TG,isRequiredInitializedParameter:xG,isOptionalUninitializedParameterProperty:AG,isExpandoFunctionDeclaration:RG,getPropertiesOfContainerFunction:IG,createTypeOfDeclaration:kG,createReturnTypeOfSignatureDeclaration:wG,createTypeOfExpression:OG,createLiteralConstValue:jG,isSymbolAccessible:Hs,isEntityNameVisible:tl,getConstantValue:e=>{const n=Cl(e,CG);return n?MG(n):void 0},collectLinkedAliases:vl,getReferencedValueDeclaration:zG,getReferencedValueDeclarations:GG,getTypeReferenceSerializationKind:LG,isOptionalParameter:lm,moduleExportsSomeValue:uG,isArgumentsLocalBinding:dG,getExternalModuleFileFromDeclaration:e=>{const n=Cl(e,Zm);return n&&HG(n)},getTypeReferenceDirectivesForEntityName:function(e){if(!t)return;let n;167===e.parent.kind?n=1160127:(n=790504,(80===e.kind&&Eb(e)||211===e.kind&&!function(e){return e.parent&&233===e.parent.kind&&e.parent.parent&&298===e.parent.parent.kind}(e))&&(n=1160127));const o=qa(e,n,!0);return o&&o!==vn?r(o,n):void 0},getTypeReferenceDirectivesForSymbol:r,isLiteralConstDeclaration:BG,isLateBound:e=>{const n=Cl(e,Pu),t=n&&ps(n);return!!(t&&4096&mS(t))},getJsxFactoryEntity:VG,getJsxFragmentFactoryEntity:UG,getAllAccessorDeclarations(e){const n=178===(e=Cl(e,Mc)).kind?177:178,t=Df(ps(e),n);return{firstAccessor:t&&t.pos<e.pos?t:e,secondAccessor:t&&t.pos<e.pos?e:t,setAccessor:178===e.kind?e:t,getAccessor:177===e.kind?e:t}},getSymbolOfExternalModuleSpecifier:e=>Ya(e,e,void 0),isBindingCapturedByNode:(e,n)=>{const t=Cl(e),r=Cl(n);return!!t&&!!r&&(iC(r)||iD(r))&&function(e,n){const t=Hi(e);return!!t&&k(t.capturedBlockScopeBindings,ps(n))}(t,r)},getDeclarationStatementsForSourceFile:(e,n,t,r)=>{const o=Cl(e);Tt.assert(o&&312===o.kind,"Non-sourcefile node passed into getDeclarationsForSourceFile");const i=ps(e);return i?i.exports?pe.symbolTableToDeclarationStatements(i.exports,e,n,t,r):[]:e.locals?pe.symbolTableToDeclarationStatements(e.locals,e,n,t,r):[]},isImportRequiredByAugmentation:function(e){const n=$f(e);if(!n.symbol)return!1;const t=HG(e);if(!t)return!1;if(t===n)return!1;const r=ls(n.symbol);for(const e of Je(r.values()))if(e.mergeId){const n=us(e);if(n.declarations)for(const e of n.declarations){if($f(e)===t)return!0}}return!1},tryFindAmbientModule:e=>{const n=Cl(e),t=n&&tp(n)?n.text:void 0;return void 0!==t?sm(t,!0):void 0}};function r(e,n){if(!t||!function(e){if(!e.declarations)return!1;let n=e;for(;;){const e=ms(n);if(!e)break;n=e}if(n.valueDeclaration&&312===n.valueDeclaration.kind&&512&n.flags)return!1;for(const n of e.declarations){const e=$f(n);if(t.has(e.path))return!0}return!1}(e))return;let r;for(const o of e.declarations)if(o.symbol&&o.symbol.flags&n){const e=$f(o),n=t.get(e.path);if(!n)return;(r||(r=[])).push(n)}return r}function o(n,r,i){if(!t.has(n.path)){t.set(n.path,[r,i]);for(const{fileName:t}of n.referencedFiles){const a=xU(t,n.fileName),s=e.getSourceFile(a);s&&o(s,r,i||n.impliedNodeFormat)}}}}(),pe=function(){return{typeToTypeNode:(e,n,r,o)=>t(n,r,o,(n=>i(e,n))),indexInfoToIndexSignatureDeclaration:(e,n,r,o)=>t(n,r,o,(n=>u(e,n,void 0))),signatureToSignatureDeclaration:(e,n,r,o,i)=>t(r,o,i,(t=>p(e,n,t))),symbolToEntityName:(e,n,r,o,i)=>t(r,o,i,(t=>G(e,t,n,!1))),symbolToExpression:(e,n,r,o,i)=>t(r,o,i,(t=>U(e,t,n))),symbolToTypeParameterDeclarations:(e,n,r,o)=>t(n,r,o,(n=>x(e,n))),symbolToParameterDeclaration:(e,n,r,o)=>t(n,r,o,(n=>h(e,n))),typeParameterToDeclaration:(e,n,r,o)=>t(n,r,o,(n=>m(e,n))),symbolTableToDeclarationStatements:(e,n,r,a,s)=>t(n,r,a,(n=>function(e,n,t){var r;const a=Ee(UA.createPropertyDeclaration,174,!0),s=Ee(((e,n,t,r)=>UA.createPropertySignature(e,n,t,r)),173,!1),l=n.enclosingDeclaration;let c=[];const d=new Set,f=[],h=n;n={...h,usedSymbolNames:new Set(h.usedSymbolNames),remappedSymbolNames:new Map,remappedSymbolReferences:new Map(null==(r=h.remappedSymbolReferences)?void 0:r.entries()),tracker:void 0};const y={...h.tracker.inner,trackSymbol:(e,t,r)=>{var o,i;if(null==(o=n.remappedSymbolNames)?void 0:o.has(Kz(e)))return!1;if(0===Hs(e,t,r,!1).accessibility){const t=S(e,n,r);if(!(4&e.flags)){const e=t[0],n=$f(h.enclosingDeclaration);oe(e.declarations,(e=>$f(e)===n))&&q(e)}}else if(null==(i=h.tracker.inner)?void 0:i.trackSymbol)return h.tracker.inner.trackSymbol(e,t,r);return!1}};n.tracker=new jz(n,y,h.tracker.moduleResolverHost),Wf(e,((e,n)=>{Ce(e,Pl(n))}));let v=!t;const x=e.get("export=");x&&e.size>1&&2098688&x.flags&&(e=Mf()).set("export=",x);return z(e),w(c);function A(e){return!!e&&80===e.kind}function I(e){return BD(e)?W(B(e.declarationList.declarations,jl),A):W([jl(e)],A)}function C(e){const n=D(e,NC),t=M(e,pC);let r=-1!==t?e[t]:void 0;if(r&&n&&n.isExportEquals&&tN(n.expression)&&tN(r.name)&&Ll(r.name)===Ll(n.expression)&&r.body&&fC(r.body)){const o=W(e,(e=>!!(32&Zb(e)))),i=r.name;let a=r.body;if(b(o)&&(r=UA.updateModuleDeclaration(r,r.modifiers,r.name,a=UA.updateModuleBlock(a,UA.createNodeArray([...r.body.statements,UA.createExportDeclaration(void 0,!1,UA.createNamedExports(B(H(o,(e=>I(e))),(e=>UA.createExportSpecifier(!1,void 0,e)))),void 0)]))),e=[...e.slice(0,t),r,...e.slice(t+1)]),!D(e,(e=>e!==r&&Wl(e,i)))){c=[];const t=!oe(a.statements,(e=>Bb(e,32)||NC(e)||DC(e)));E(a.statements,(e=>{Q(e,t?32:0)})),e=[...W(e,(e=>e!==r&&e!==n)),...c]}}return e}function L(e){const n=W(e,(e=>DC(e)&&!e.moduleSpecifier&&!!e.exportClause&&CC(e.exportClause)));if(b(n)>1){e=[...W(e,(e=>!DC(e)||!!e.moduleSpecifier||!e.exportClause)),UA.createExportDeclaration(void 0,!1,UA.createNamedExports(H(n,(e=>gn(e.exportClause,CC).elements))),void 0)]}const t=W(e,(e=>DC(e)&&!!e.moduleSpecifier&&!!e.exportClause&&CC(e.exportClause)));if(b(t)>1){const n=en(t,(e=>zI(e.moduleSpecifier)?">"+e.moduleSpecifier.text:">"));if(n.length!==t.length)for(const t of n)t.length>1&&(e=[...W(e,(e=>!t.includes(e))),UA.createExportDeclaration(void 0,!1,UA.createNamedExports(H(t,(e=>gn(e.exportClause,CC).elements))),t[0].moduleSpecifier)])}return e}function k(e){const n=M(e,(e=>DC(e)&&!e.moduleSpecifier&&!e.attributes&&!!e.exportClause&&CC(e.exportClause)));if(n>=0){const t=e[n],r=Y(t.exportClause.elements,(n=>{if(!n.propertyName){const t=W(le(e),(t=>Wl(e[t],n.name)));if(b(t)&&N(t,(n=>lA(e[n])))){for(const n of t)e[n]=O(e[n]);return}}return n}));b(r)?e[n]=UA.updateExportDeclaration(t,t.modifiers,t.isTypeOnly,UA.updateNamedExports(t.exportClause,r),t.moduleSpecifier,t.attributes):et(e,n)}return e}function w(e){return e=k(e=L(e=C(e))),l&&(rM(l)&&T_(l)||pC(l))&&(!oe(e,yu)||!hu(e)&&oe(e,gu))&&e.push($M(UA)),e}function O(e){const n=-129&Zb(e)|32;return UA.replaceModifiers(e,n)}function F(e){const n=-33&Zb(e);return UA.replaceModifiers(e,n)}function z(e,n,t){n||f.push(new Map),e.forEach((e=>{V(e,!1,!!t)})),n||(f[f.length-1].forEach((e=>{V(e,!0,!!t)})),f.pop())}function V(e,t,r){const o=us(e);if(d.has(Kz(o)))return;d.add(Kz(o));if(!t||b(e.declarations)&&oe(e.declarations,(e=>!!Nl(e,(e=>e===l))))){const o=n;n=function(e){const n={...e};n.typeParameterNames&&(n.typeParameterNames=new Map(n.typeParameterNames));n.typeParameterNamesByText&&(n.typeParameterNamesByText=new Set(n.typeParameterNamesByText));n.typeParameterSymbolList&&(n.typeParameterSymbolList=new Set(n.typeParameterSymbolList));return n.tracker=new jz(n,n.tracker.inner,n.tracker.moduleResolverHost),n}(n),K(e,t,r),n.reportedDiagnostic&&(h.reportedDiagnostic=n.reportedDiagnostic),n.trackedSymbols&&(o.trackedSymbols?Tt.assert(n.trackedSymbols===o.trackedSymbols):o.trackedSymbols=n.trackedSymbols),n=o}}function K(e,r,o,i=e.escapedName){var a,s,c,d,u,p;const f=Pl(i),m="default"===i;if(r&&!(131072&n.flags)&&Xy(f)&&!m)return void(n.encounteredError=!0);let _=m&&!!(-113&e.flags||16&e.flags&&b(Hp(sd(e))))&&!(2097152&e.flags),h=!_&&!r&&Xy(f)&&!m;(_||h)&&(r=!0);const g=(r?0:32)|(m&&!_?2048:0),y=1536&e.flags&&7&e.flags&&"export="!==i,v=y&&be(sd(e),e);if((8208&e.flags||v)&&de(sd(e),e,Ce(e,f),g),524288&e.flags&&te(e,f,g),98311&e.flags&&"export="!==i&&!(4194304&e.flags)&&!(32&e.flags)&&!(8192&e.flags)&&!v)if(o){ve(e)&&(h=!1,_=!1)}else{const m=sd(e),y=Ce(e,f);if(m.symbol&&m.symbol!==e&&16&m.symbol.flags&&oe(m.symbol.declarations,eA)&&((null==(a=m.symbol.members)?void 0:a.size)||(null==(s=m.symbol.exports)?void 0:s.size)))n.remappedSymbolReferences||(n.remappedSymbolReferences=new Map),n.remappedSymbolReferences.set(Kz(m.symbol),e),K(m.symbol,r,o,i),n.remappedSymbolReferences.delete(Kz(m.symbol));else if(16&e.flags||!be(m,e)){const o=2&e.flags?qN(e)?2:1:(null==(c=e.parent)?void 0:c.valueDeclaration)&&rM(null==(d=e.parent)?void 0:d.valueDeclaration)?2:void 0,i=!_&&4&e.flags?Ne(y,e):y;let a=e.declarations&&D(e.declarations,(e=>iC(e)));a&&aC(a.parent)&&1===a.parent.declarations.length&&(a=a.parent.parent);const s=null==(u=e.declarations)?void 0:u.find(lD);if(s&&TD(s.parent)&&tN(s.parent.right)&&(null==(p=m.symbol)?void 0:p.valueDeclaration)&&rM(m.symbol.valueDeclaration)){const e=y===s.parent.right.escapedText?void 0:s.parent.right;Q(UA.createExportDeclaration(void 0,!1,UA.createNamedExports([UA.createExportSpecifier(!1,e,y)])),0),n.tracker.trackSymbol(m.symbol,n.enclosingDeclaration,111551)}else{Q(yL(UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration(i,void 0,Z(n,m,e,l,q,t))],o)),a),i!==y?-33&g:g),i===y||r||(Q(UA.createExportDeclaration(void 0,!1,UA.createNamedExports([UA.createExportSpecifier(!1,i,y)])),0),h=!1,_=!1)}}else de(m,e,y,g)}if(384&e.flags&&ce(e,f,g),32&e.flags&&(4&e.flags&&e.valueDeclaration&&TD(e.valueDeclaration.parent)&&ND(e.valueDeclaration.parent.right)?ge(e,Ce(e,f),g):_e(e,Ce(e,f),g)),(1536&e.flags&&(!y||ae(e))||v)&&se(e,f,g),64&e.flags&&!(32&e.flags)&&re(e,f,g),2097152&e.flags&&ge(e,Ce(e,f),g),4&e.flags&&"export="===e.escapedName&&ve(e),8388608&e.flags&&e.declarations)for(const t of e.declarations){const e=Xa(t,t.moduleSpecifier);e&&Q(UA.createExportDeclaration(void 0,t.isTypeOnly,void 0,UA.createStringLiteral(P(e,n))),0)}_?Q(UA.createExportAssignment(void 0,!1,UA.createIdentifier(Ce(e,f))),0):h&&Q(UA.createExportDeclaration(void 0,!1,UA.createNamedExports([UA.createExportSpecifier(!1,Ce(e,f),f)])),0)}function q(e){if(oe(e.declarations,vv))return;Tt.assertIsDefined(f[f.length-1]),Ne(Pl(e.escapedName),e);const n=!!(2097152&e.flags)&&!oe(e.declarations,(e=>!!Nl(e,DC)||AC(e)||hC(e)&&!wC(e.moduleReference)));f[n?0:f.length-1].set(Kz(e),e)}function $(e){return rM(e)&&(T_(e)||x_(e))||km(e)&&!Gm(e)}function Q(e,t){if(vL(e)){let r=0;const o=n.enclosingDeclaration&&(Kg(n.enclosingDeclaration)?$f(n.enclosingDeclaration):n.enclosingDeclaration);32&t&&o&&($(o)||pC(o))&&lA(e)&&(r|=32),!v||32&r||o&&33554432&o.flags||!(uC(e)||BD(e)||sC(e)||lC(e)||pC(e))||(r|=128),2048&t&&(lC(e)||cC(e)||sC(e))&&(r|=2048),r&&(e=UA.replaceModifiers(e,r|Zb(e)))}c.push(e)}function te(e,r,o){var a;const s=Jd(e),l=B(Ui(e).typeParameters,(e=>m(e,n))),c=null==(a=e.declarations)?void 0:a.find(Kg),d=Ic(c?c.comment||c.parent.comment:void 0),u=n.flags;n.flags|=8388608;const p=n.enclosingDeclaration;n.enclosingDeclaration=c;const f=c&&c.typeExpression&&aM(c.typeExpression)&&ne(n,c.typeExpression.type,q,t)||i(s,n);Q(RR(UA.createTypeAliasDeclaration(void 0,Ce(e,r),l,f),d?[{kind:3,text:"*\n * "+d.replace(/\n/g,"\n * ")+"\n ",pos:-1,end:-1,hasTrailingNewLine:!0}]:[]),o),n.flags=u,n.enclosingDeclaration=p}function re(e,t,r){const o=qd(e),i=B(Sd(e),(e=>m(e,n))),a=jd(o),s=b(a)?Nv(a):void 0,l=H(Hp(o),(e=>Se(e,s))),c=Te(0,o,s,179),d=Te(1,o,s,180),u=xe(o,s),p=b(a)?[UA.createHeritageClause(96,Y(a,(e=>Re(e,111551))))]:void 0;Q(UA.createInterfaceDeclaration(void 0,Ce(e,t),i,p,[...u,...d,...c,...l]),r)}function ie(e){let n=Je(ss(e).values());const t=us(e);if(t!==e){const e=new Set(n);for(const n of ss(t).values())111551&za(Fa(n))||e.add(n);n=Je(e)}return W(n,(e=>fe(e)&&zs(e.escapedName,99)))}function ae(e){return N(ie(e),(e=>!(111551&za(Fa(e)))))}function se(e,t,r){const i=Ze(ie(e),(n=>n.parent&&n.parent===e?"real":"merged")),a=i.get("real")||o,s=i.get("merged")||o;if(b(a)){pe(a,Ce(e,t),r,!!(67108880&e.flags))}if(b(s)){const r=$f(n.enclosingDeclaration),o=Ce(e,t),i=UA.createModuleBlock([UA.createExportDeclaration(void 0,!1,UA.createNamedExports(Y(W(s,(e=>"export="!==e.escapedName)),(t=>{var o,i;const a=Pl(t.escapedName),s=Ce(t,a),l=t.declarations&&ha(t);if(r&&(l?r!==$f(l):!oe(t.declarations,(e=>$f(e)===r))))return void(null==(i=null==(o=n.tracker)?void 0:o.reportNonlocalAugmentation)||i.call(o,r,e,t));const c=l&&ka(l,!0);q(c||t);const d=c?Ce(c,Pl(c.escapedName)):s;return UA.createExportSpecifier(!1,a===d?void 0:d,a)}))))]);Q(UA.createModuleDeclaration(void 0,UA.createIdentifier(o),i,32),0)}}function ce(e,n,t){Q(UA.createEnumDeclaration(UA.createModifiersFromModifierFlags(jw(e)?4096:0),Ce(e,n),B(W(Hp(sd(e)),(e=>!!(8&e.flags))),(e=>{const n=e.declarations&&e.declarations[0]&&nM(e.declarations[0])?MG(e.declarations[0]):void 0;return UA.createEnumMember(Pl(e.escapedName),void 0===n?void 0:"string"==typeof n?UA.createStringLiteral(n):UA.createNumericLiteral(n))}))),t)}function de(e,r,o,i){const a=wf(e,0);for(const e of a){Q(yL(p(e,262,n,{name:UA.createIdentifier(o),privateSymbolVisitor:q,bundledImports:t}),ue(e)),i)}if(!(1536&r.flags&&r.exports&&r.exports.size)){pe(W(Hp(e),fe),o,i,!0)}}function ue(e){if(e.declaration&&e.declaration.parent){if(TD(e.declaration.parent)&&5===Eg(e.declaration.parent))return e.declaration.parent;if(iC(e.declaration.parent)&&e.declaration.parent.parent)return e.declaration.parent.parent}return e.declaration}function pe(e,t,r,i){if(b(e)){const a=Ze(e,(e=>!b(e.declarations)||oe(e.declarations,(e=>$f(e)===$f(n.enclosingDeclaration)))?"local":"remote")).get("local")||o;let s=IL.createModuleDeclaration(void 0,UA.createIdentifier(t),UA.createModuleBlock([]),32);Vx(s,l),s.locals=Mf(e),s.symbol=e[0].parent;const d=c;c=[];const u=v;v=!1;const p={...n,enclosingDeclaration:s},f=n;n=p,z(Mf(a),i,!0),n=f,v=u;const m=c;c=d;const _=B(m,(e=>NC(e)&&!e.isExportEquals&&tN(e.expression)?UA.createExportDeclaration(void 0,!1,UA.createNamedExports([UA.createExportSpecifier(!1,e.expression,UA.createIdentifier("default"))])):e)),h=N(_,(e=>Bb(e,32)))?B(_,F):_;s=UA.updateModuleDeclaration(s,s.modifiers,s.name,UA.createModuleBlock(h)),Q(s,r)}}function fe(e){return!!(2887656&e.flags)||!(4194304&e.flags||"prototype"===e.escapedName||e.valueDeclaration&&jb(e.valueDeclaration)&&Md(e.valueDeclaration.parent))}function me(e){const r=Y(e,(e=>{const r=n.enclosingDeclaration;n.enclosingDeclaration=e;let o=e.expression;if(EE(o)){if(tN(o)&&""===Ll(o))return a(void 0);let e;if(({introducesError:e,node:o}=ee(o,n,q)),e)return a(void 0)}return a(UA.createExpressionWithTypeArguments(o,B(e.typeArguments,(e=>ne(n,e,q,t)||i(JE(e),n)))));function a(e){return n.enclosingDeclaration=r,e}}));if(r.length===e.length)return r}function _e(e,t,r){var i,s;const l=null==(i=e.declarations)?void 0:i.find(Md),c=n.enclosingDeclaration;n.enclosingDeclaration=l||c;const d=B(Sd(e),(e=>m(e,n))),u=ku(qd(e)),p=jd(u),f=l&&Wy(l),_=f&&me(f)||Y(function(e){let n=o;if(e.symbol.declarations)for(const t of e.symbol.declarations){const e=Wy(t);if(e)for(const t of e){const e=JE(t);Bl(e)||(n===o?n=[e]:n.push(e))}}return n}(u),Ie),h=sd(e),g=!!(null==(s=h.symbol)?void 0:s.valueDeclaration)&&Md(h.symbol.valueDeclaration),y=g?Wd(h):xn,v=[...b(p)?[UA.createHeritageClause(96,B(p,(e=>Ae(e,y,t))))]:[],...b(_)?[UA.createHeritageClause(119,_)]:[]],S=function(e,n,t){if(!b(n))return t;const r=new Map;E(t,(e=>{r.set(e.escapedName,e)}));for(const t of n){const n=Hp(ku(t,e.thisType));for(const e of n){const n=r.get(e.escapedName);n&&e.parent===n.parent&&r.delete(e.escapedName)}}return Je(r.values())}(u,p,Hp(u)),T=W(S,(e=>{const n=e.valueDeclaration;return!(!n||Gl(n)&&rN(n.name))})),x=oe(S,(e=>{const n=e.valueDeclaration;return!!n&&Gl(n)&&rN(n.name)}))?[UA.createPropertyDeclaration(void 0,UA.createPrivateIdentifier("#private"),void 0,void 0,void 0)]:o,A=H(T,(e=>a(e,!1,p[0]))),R=H(W(Hp(h),(e=>!(4194304&e.flags||"prototype"===e.escapedName||fe(e)))),(e=>a(e,!0,y))),I=!g&&!!e.valueDeclaration&&Yh(e.valueDeclaration)&&!oe(wf(h,1))?[UA.createConstructorDeclaration(UA.createModifiersFromModifierFlags(2),[],void 0)]:Te(1,h,y,176),N=xe(u,p[0]);n.enclosingDeclaration=c,Q(yL(UA.createClassDeclaration(void 0,t,d,v,[...N,...R,...I,...A,...x]),e.declarations&&W(e.declarations,(e=>lC(e)||ND(e)))[0]),r)}function he(e){return T(e,(e=>{if(IC(e)||MC(e))return Ll(e.propertyName||e.name);if(TD(e)||NC(e)){const n=NC(e)?e.expression:e.right;if(lD(n))return Ll(n.name)}if(ga(e)){const n=jl(e);if(n&&tN(n))return Ll(n)}}))}function ge(e,r,o){var i,a,s,l,c,d;const u=ha(e);if(!u)return Tt.fail();const p=us(ka(u,!0));if(!p)return;let f=Wm(p)&&he(e.declarations)||Pl(p.escapedName);"export="===f&&j&&(f="default");const m=Ce(p,f);switch(q(p),u.kind){case 208:if(260===(null==(a=null==(i=u.parent)?void 0:i.parent)?void 0:a.kind)){const e=P(p.parent||p,n),{propertyName:t}=u;Q(UA.createImportDeclaration(void 0,UA.createImportClause(!1,void 0,UA.createNamedImports([UA.createImportSpecifier(!1,t&&tN(t)?UA.createIdentifier(Ll(t)):void 0,UA.createIdentifier(r))])),UA.createStringLiteral(e),void 0),0);break}Tt.failBadSyntaxKind((null==(s=u.parent)?void 0:s.parent)||u,"Unhandled binding element grandparent kind in declaration serialization");break;case 304:226===(null==(c=null==(l=u.parent)?void 0:l.parent)?void 0:c.kind)&&ye(Pl(e.escapedName),m);break;case 260:if(lD(u.initializer)){const e=u.initializer,t=UA.createUniqueName(r),i=P(p.parent||p,n);Q(UA.createImportEqualsDeclaration(void 0,!1,t,UA.createExternalModuleReference(UA.createStringLiteral(i))),0),Q(UA.createImportEqualsDeclaration(void 0,!1,UA.createIdentifier(r),UA.createQualifiedName(t,e.name)),o);break}case 271:if("export="===p.escapedName&&oe(p.declarations,(e=>rM(e)&&x_(e)))){ve(e);break}const _=!(512&p.flags||iC(u));Q(UA.createImportEqualsDeclaration(void 0,!1,UA.createIdentifier(r),_?G(p,n,-1,!1):UA.createExternalModuleReference(UA.createStringLiteral(P(p,n)))),_?o:0);break;case 270:Q(UA.createNamespaceExportDeclaration(Ll(u.name)),0);break;case 273:{const e=P(p.parent||p,n),o=t?UA.createStringLiteral(e):u.parent.moduleSpecifier;Q(UA.createImportDeclaration(void 0,UA.createImportClause(!1,UA.createIdentifier(r),void 0),o,u.parent.attributes),0);break}case 274:{const e=P(p.parent||p,n),o=t?UA.createStringLiteral(e):u.parent.parent.moduleSpecifier;Q(UA.createImportDeclaration(void 0,UA.createImportClause(!1,void 0,UA.createNamespaceImport(UA.createIdentifier(r))),o,u.parent.attributes),0);break}case 280:Q(UA.createExportDeclaration(void 0,!1,UA.createNamespaceExport(UA.createIdentifier(r)),UA.createStringLiteral(P(p,n))),0);break;case 276:{const e=P(p.parent||p,n),o=t?UA.createStringLiteral(e):u.parent.parent.parent.moduleSpecifier;Q(UA.createImportDeclaration(void 0,UA.createImportClause(!1,void 0,UA.createNamedImports([UA.createImportSpecifier(!1,r!==f?UA.createIdentifier(f):void 0,UA.createIdentifier(r))])),o,u.parent.parent.parent.attributes),0);break}case 281:const h=u.parent.parent.moduleSpecifier;h&&"default"===(null==(d=u.propertyName)?void 0:d.escapedText)&&(f="default"),ye(Pl(e.escapedName),h?f:m,h&&tp(h)?UA.createStringLiteral(h.text):void 0);break;case 277:ve(e);break;case 226:case 211:case 212:"default"===e.escapedName||"export="===e.escapedName?ve(e):ye(r,m);break;default:return Tt.failBadSyntaxKind(u,"Unhandled alias declaration kind in symbol serializer!")}}function ye(e,n,t){Q(UA.createExportDeclaration(void 0,!1,UA.createNamedExports([UA.createExportSpecifier(!1,e!==n?n:void 0,e)]),t),0)}function ve(e){var r;if(4194304&e.flags)return!1;const o=Pl(e.escapedName),i="export="===o,a=i||"default"===o,s=e.declarations&&ha(e),d=s&&ka(s,!0);if(d&&b(d.declarations)&&oe(d.declarations,(e=>$f(e)===$f(l)))){const t=s&&(NC(s)||TD(s)?ky(s):wy(s)),r=t&&EE(t)?function(e){switch(e.kind){case 80:return e;case 166:do{e=e.left}while(80!==e.kind);return e;case 211:do{if(bg(e.expression)&&!rN(e.name))return e.name;e=e.expression}while(80!==e.kind);return e}}(t):void 0,u=r&&qa(r,-1,!0,!0,l);(u||d)&&q(u||d);const p=n.tracker.disableTrackSymbol;if(n.tracker.disableTrackSymbol=!0,a)c.push(UA.createExportAssignment(void 0,i,U(d,n,-1)));else if(r===t&&r)ye(o,Ll(r));else if(t&&ND(t))ye(o,Ce(d,wl(d)));else{const t=Ne(o,e);Q(UA.createImportEqualsDeclaration(void 0,!1,UA.createIdentifier(t),G(d,n,-1,!1)),0),ye(o,t)}return n.tracker.disableTrackSymbol=p,!0}{const s=Ne(o,e),u=$A(sd(us(e)));if(be(u,e))de(u,e,s,a?0:32);else{const i=267!==(null==(r=n.enclosingDeclaration)?void 0:r.kind)||98304&e.flags&&!(65536&e.flags)?2:1;Q(UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration(s,void 0,Z(n,u,e,l,q,t))],i)),d&&4&d.flags&&"export="===d.escapedName?128:o===s?32:0)}return a?(c.push(UA.createExportAssignment(void 0,i,UA.createIdentifier(s))),!0):o!==s&&(ye(o,s),!0)}}function be(e,t){const r=$f(n.enclosingDeclaration);return 48&IS(e)&&!b(Kf(e))&&!dl(e)&&!(!b(W(Hp(e),fe))&&!b(wf(e,0)))&&!b(wf(e,1))&&!X(t,l)&&!(e.symbol&&oe(e.symbol.declarations,(e=>$f(e)!==r)))&&!oe(Hp(e),(e=>Tu(e.escapedName)))&&!oe(Hp(e),(e=>oe(e.declarations,(e=>$f(e)!==r))))&&N(Hp(e),(e=>!!zs(wl(e),R)&&(!(98304&e.flags)||cd(e)===od(e))))}function Ee(e,r,o){return function(i,a,s){var c,d,u,f,m;const h=_S(i),y=!!(2&h);if(a&&2887656&i.flags)return[];if(4194304&i.flags||"constructor"===i.escapedName||s&&Lf(s,i.escapedName)&&Mw(Lf(s,i.escapedName))===Mw(i)&&(16777216&i.flags)==(16777216&Lf(s,i.escapedName).flags)&&GS(sd(i),Ol(s,i.escapedName)))return[];const v=-1025&h|(a?256:0),b=J(i,n),S=null==(c=i.declarations)?void 0:c.find(pt(TN,Pd,iC,SN,TD,lD));if(98304&i.flags&&o){const e=[];if(65536&i.flags){const r=i.declarations&&E(i.declarations,(e=>178===e.kind?e:dD(e)&&Sg(e)?E(e.arguments[2].properties,(e=>{const n=jl(e);if(n&&tN(n)&&"set"===Ll(n))return e})):void 0));Tt.assert(!!r);const o=Ad(r)?pm(r).parameters[0]:void 0;e.push(yL(UA.createSetAccessorDeclaration(UA.createModifiersFromModifierFlags(v),b,[UA.createParameterDeclaration(void 0,void 0,o?g(o,_(o),n):"value",void 0,y?void 0:Z(n,sd(i),i,l,q,t))],void 0),(null==(d=i.declarations)?void 0:d.find(qu))||S))}if(32768&i.flags){const r=2&h;e.push(yL(UA.createGetAccessorDeclaration(UA.createModifiersFromModifierFlags(v),b,[],r?void 0:Z(n,sd(i),i,l,q,t),void 0),(null==(u=i.declarations)?void 0:u.find(Ju))||S))}return e}if(98311&i.flags)return yL(e(UA.createModifiersFromModifierFlags((Mw(i)?8:0)|v),b,16777216&i.flags?UA.createToken(58):void 0,y?void 0:Z(n,od(i),i,l,q,t),void 0),(null==(f=i.declarations)?void 0:f.find(pt(TN,iC)))||S);if(8208&i.flags){const t=wf(sd(i),0);if(2&v)return yL(e(UA.createModifiersFromModifierFlags((Mw(i)?8:0)|v),b,16777216&i.flags?UA.createToken(58):void 0,void 0,void 0),(null==(m=i.declarations)?void 0:m.find(Ad))||t[0]&&t[0].declaration||i.declarations&&i.declarations[0]);const o=[];for(const e of t){const t=p(e,r,n,{name:b,questionToken:16777216&i.flags?UA.createToken(58):void 0,modifiers:v?UA.createModifiersFromModifierFlags(v):void 0}),a=e.declaration&&Lg(e.declaration.parent)?e.declaration.parent:e.declaration;o.push(yL(t,a))}return o}return Tt.fail(`Unhandled class member kind! ${i.__debugFlags||i.flags}`)}}function Se(e,n){return s(e,!1,n)}function Te(e,t,r,o){const i=wf(t,e);if(1===e){if(!r&&N(i,(e=>0===b(e.parameters))))return[];if(r){const e=wf(r,1);if(!b(e)&&N(i,(e=>0===b(e.parameters))))return[];if(e.length===i.length){let n=!1;for(let t=0;t<e.length;t++)if(!ax(i[t],e[t],!1,!1,!0,BS)){n=!0;break}if(!n)return[]}}let e=0;for(const n of i)n.declaration&&(e|=Yb(n.declaration,6));if(e)return[yL(UA.createConstructorDeclaration(UA.createModifiersFromModifierFlags(e),[],void 0),i[0].declaration)]}const a=[];for(const e of i){const t=p(e,o,n);a.push(yL(t,e.declaration))}return a}function xe(e,t){const r=[];for(const o of Kf(e)){if(t){const e=qf(t,o.keyType);if(e&&GS(o.type,e.type))continue}r.push(u(o,n,void 0))}return r}function Ae(e,t,r){const o=Re(e,111551);if(o)return o;const a=Ne(`${r}_base`);return Q(UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration(a,void 0,i(t,n))],2)),0),UA.createExpressionWithTypeArguments(UA.createIdentifier(a),void 0)}function Re(e,t){let r,o;if(e.target&&Vs(e.target.symbol,l,t)?(r=B(D_(e),(e=>i(e,n))),o=U(e.target.symbol,n,788968)):e.symbol&&Vs(e.symbol,l,t)&&(o=U(e.symbol,n,788968)),o)return UA.createExpressionWithTypeArguments(o,r)}function Ie(e){const t=Re(e,788968);return t||(e.symbol?UA.createExpressionWithTypeArguments(U(e.symbol,n,788968),void 0):void 0)}function Ne(e,t){var r,o;const i=t?Kz(t):void 0;if(i&&n.remappedSymbolNames.has(i))return n.remappedSymbolNames.get(i);t&&(e=De(t,e));let a=0;const s=e;for(;null==(r=n.usedSymbolNames)?void 0:r.has(e);)a++,e=`${s}_${a}`;return null==(o=n.usedSymbolNames)||o.add(e),i&&n.remappedSymbolNames.set(i,e),e}function De(e,t){if("default"===t||"__class"===t||"__function"===t){const r=n.flags;n.flags|=16777216;const o=hl(e,n);n.flags=r,t=o.length>0&&sg(o.charCodeAt(0))?Bv(o):o}return"default"===t?t="_default":"export="===t&&(t="_exports"),t=zs(t,R)&&!Xy(t)?t:"_"+t.replace(/[^a-zA-Z0-9]/g,"_")}function Ce(e,t){const r=Kz(e);return n.remappedSymbolNames.has(r)?n.remappedSymbolNames.get(r):(t=De(e,t),n.remappedSymbolNames.set(r,t),t)}}(e,n,s))),symbolToNode:(e,n,r,o,i)=>t(r,o,i,(t=>function(e,n,t){if(1073741824&n.flags){if(e.valueDeclaration){const n=jl(e.valueDeclaration);if(n&&yN(n))return n}const r=Ui(e).nameType;if(r&&9216&r.flags)return n.enclosingDeclaration=r.symbol.valueDeclaration,UA.createComputedPropertyName(U(r.symbol,n,t))}return U(e,n,t)}(e,t,n)))};function t(n,t,r,o){Tt.assert(void 0===n||!(16&n.flags));const i=(null==r?void 0:r.trackSymbol)?r.moduleResolverHost:134217728&t?function(e){return{getCommonSourceDirectory:e.getCommonSourceDirectory?()=>e.getCommonSourceDirectory():()=>"",getCurrentDirectory:()=>e.getCurrentDirectory(),getSymlinkCache:an(e,e.getSymlinkCache),getPackageJsonInfoCache:()=>{var n;return null==(n=e.getPackageJsonInfoCache)?void 0:n.call(e)},useCaseSensitiveFileNames:an(e,e.useCaseSensitiveFileNames),redirectTargetsMap:e.redirectTargetsMap,getProjectReferenceRedirect:n=>e.getProjectReferenceRedirect(n),isSourceOfProjectReferenceRedirect:n=>e.isSourceOfProjectReferenceRedirect(n),fileExists:n=>e.fileExists(n),getFileIncludeReasons:()=>e.getFileIncludeReasons(),readFile:e.readFile?n=>e.readFile(n):void 0}}(e):void 0,a={enclosingDeclaration:n,flags:t||0,tracker:void 0,encounteredError:!1,reportedDiagnostic:!1,visitedTypes:void 0,symbolDepth:void 0,inferTypeParameters:void 0,approximateLength:0,trackedSymbols:void 0};a.tracker=new jz(a,r,i);const s=o(a);return a.truncating&&1&a.flags&&a.tracker.reportTruncationError(),a.encounteredError?void 0:s}function r(e){return e.truncating?e.truncating:e.truncating=e.approximateLength>(1&e.flags?up:dp)}function i(e,t){const l=t.flags,m=function(e,t){var l,m;n&&n.throwIfCancellationRequested&&n.throwIfCancellationRequested();const _=8388608&t.flags;if(t.flags&=-8388609,!e)return 262144&t.flags?(t.approximateLength+=3,UA.createKeywordTypeNode(133)):void(t.encounteredError=!0);536870912&t.flags||(e=Tf(e));if(1&e.flags)return e.aliasSymbol?UA.createTypeReferenceNode(L(e.aliasSymbol),d(e.aliasTypeArguments,t)):e===Dn?IR(UA.createKeywordTypeNode(133),3,"unresolved"):(t.approximateLength+=3,UA.createKeywordTypeNode(e===Pn?141:133));if(2&e.flags)return UA.createKeywordTypeNode(159);if(4&e.flags)return t.approximateLength+=6,UA.createKeywordTypeNode(154);if(8&e.flags)return t.approximateLength+=6,UA.createKeywordTypeNode(150);if(64&e.flags)return t.approximateLength+=6,UA.createKeywordTypeNode(163);if(16&e.flags&&!e.aliasSymbol)return t.approximateLength+=7,UA.createKeywordTypeNode(136);if(1056&e.flags){if(8&e.symbol.flags){const n=ms(e.symbol),r=w(n,t,788968);if(ou(n)===e)return r;const o=wl(e.symbol);return zs(o,0)?C(r,UA.createTypeReferenceNode(o,void 0)):eD(r)?(r.isTypeOf=!0,UA.createIndexedAccessTypeNode(r,UA.createLiteralTypeNode(UA.createStringLiteral(o)))):kN(r)?UA.createIndexedAccessTypeNode(UA.createTypeQueryNode(r.typeName),UA.createLiteralTypeNode(UA.createStringLiteral(o))):Tt.fail("Unhandled type node kind returned from `symbolToTypeNode`.")}return w(e.symbol,t,788968)}if(128&e.flags)return t.approximateLength+=e.value.length+2,UA.createLiteralTypeNode(fR(UA.createStringLiteral(e.value,!!(268435456&t.flags)),16777216));if(256&e.flags){const n=e.value;return t.approximateLength+=(""+n).length,UA.createLiteralTypeNode(n<0?UA.createPrefixUnaryExpression(41,UA.createNumericLiteral(-n)):UA.createNumericLiteral(n))}if(2048&e.flags)return t.approximateLength+=Mx(e.value).length+1,UA.createLiteralTypeNode(UA.createBigIntLiteral(e.value));if(512&e.flags)return t.approximateLength+=e.intrinsicName.length,UA.createLiteralTypeNode("true"===e.intrinsicName?UA.createTrue():UA.createFalse());if(8192&e.flags){if(!(1048576&t.flags)){if(js(e.symbol,t.enclosingDeclaration))return t.approximateLength+=6,w(e.symbol,t,111551);t.tracker.reportInaccessibleUniqueSymbolError&&t.tracker.reportInaccessibleUniqueSymbolError()}return t.approximateLength+=13,UA.createTypeOperatorNode(158,UA.createKeywordTypeNode(155))}if(16384&e.flags)return t.approximateLength+=4,UA.createKeywordTypeNode(116);if(32768&e.flags)return t.approximateLength+=9,UA.createKeywordTypeNode(157);if(65536&e.flags)return t.approximateLength+=4,UA.createLiteralTypeNode(UA.createNull());if(131072&e.flags)return t.approximateLength+=5,UA.createKeywordTypeNode(146);if(4096&e.flags)return t.approximateLength+=6,UA.createKeywordTypeNode(155);if(67108864&e.flags)return t.approximateLength+=6,UA.createKeywordTypeNode(151);if(oA(e))return 4194304&t.flags&&(t.encounteredError||32768&t.flags||(t.encounteredError=!0),null==(m=(l=t.tracker).reportInaccessibleThisError)||m.call(l)),t.approximateLength+=4,UA.createThisTypeNode();if(!_&&e.aliasSymbol&&(16384&t.flags||(h=e.aliasSymbol,g=t.enclosingDeclaration,0===Ks(h,g,788968,!1,!0).accessibility))){const n=d(e.aliasTypeArguments,t);return!Ps(e.aliasSymbol.escapedName)||32&e.aliasSymbol.flags?1===b(n)&&e.aliasSymbol===er.symbol?UA.createArrayTypeNode(n[0]):w(e.aliasSymbol,t,788968,n):UA.createTypeReferenceNode(UA.createIdentifier(""),n)}var h,g;const y=IS(e);if(4&y)return Tt.assert(!!(524288&e.flags)),e.node?I(e,D):D(e);if(262144&e.flags||3&y){if(262144&e.flags&&k(t.inferTypeParameters,e)){let n;t.approximateLength+=wl(e.symbol).length+6;const r=Yp(e);if(r){const o=Ym(e,!0);o&&GS(r,o)||(t.approximateLength+=9,n=r&&i(r,t))}return UA.createInferTypeNode(f(e,t,n))}if(4&t.flags&&262144&e.flags){const n=z(e,t);return t.approximateLength+=Ll(n).length,UA.createTypeReferenceNode(UA.createIdentifier(Ll(n)),void 0)}if(e.symbol)return w(e.symbol,t,788968);const n=(e===Ut||e===Ht)&&a&&a.symbol?(e===Ht?"sub-":"super-")+wl(a.symbol):"?";return UA.createTypeReferenceNode(UA.createIdentifier(n),void 0)}1048576&e.flags&&e.origin&&(e=e.origin);if(3145728&e.flags){const n=1048576&e.flags?function(e){const n=[];let t=0;for(let r=0;r<e.length;r++){const o=e[r];if(t|=o.flags,!(98304&o.flags)){if(1568&o.flags){const t=512&o.flags?Zn:Xd(o);if(1048576&t.flags){const o=t.types.length;if(r+o<=e.length&&WE(e[r+o-1])===WE(t.types[o-1])){n.push(t),r+=o-1;continue}}}n.push(o)}}65536&t&&n.push(Bn);32768&t&&n.push(On);return n||e}(e.types):e.types;if(1===b(n))return i(n[0],t);const r=d(n,t,!0);return r&&r.length>0?1048576&e.flags?UA.createUnionTypeNode(r):UA.createIntersectionTypeNode(r):void(t.encounteredError||262144&t.flags||(t.encounteredError=!0))}if(48&y)return Tt.assert(!!(524288&e.flags)),R(e);if(4194304&e.flags){const n=e.type;t.approximateLength+=6;const r=i(n,t);return UA.createTypeOperatorNode(143,r)}if(134217728&e.flags){const n=e.texts,r=e.types,o=UA.createTemplateHead(n[0]),a=UA.createNodeArray(B(r,((e,o)=>UA.createTemplateLiteralTypeSpan(i(e,t),(o<r.length-1?UA.createTemplateMiddle:UA.createTemplateTail)(n[o+1])))));return t.approximateLength+=2,UA.createTemplateLiteralType(o,a)}if(268435456&e.flags){const n=i(e.type,t);return w(e.symbol,t,788968,[n])}if(8388608&e.flags){const n=i(e.objectType,t),r=i(e.indexType,t);return t.approximateLength+=2,UA.createIndexedAccessTypeNode(n,r)}if(16777216&e.flags)return I(e,(e=>v(e)));if(33554432&e.flags){const n=i(e.baseType,t),r=U_(e)&&Wh("NoInfer",!1);return r?w(r,t,788968,[n]):n}return Tt.fail("Should be unreachable.");function v(e){const n=i(e.checkType,t);if(t.approximateLength+=15,4&t.flags&&e.root.isDistributive&&!(262144&e.checkType.flags)){const r=Ms(Li(262144,"T")),o=z(r,t),a=UA.createTypeReferenceNode(o);t.approximateLength+=37;const s=lS(e.root.checkType,r,e.mapper),l=t.inferTypeParameters;t.inferTypeParameters=e.root.inferTypeParameters;const c=i(AS(e.root.extendsType,s),t);t.inferTypeParameters=l;const d=S(AS(JE(e.root.node.trueType),s)),u=S(AS(JE(e.root.node.falseType),s));return UA.createConditionalTypeNode(n,UA.createInferTypeNode(UA.createTypeParameterDeclaration(void 0,UA.cloneNode(a.typeName))),UA.createConditionalTypeNode(UA.createTypeReferenceNode(UA.cloneNode(o)),i(e.checkType,t),UA.createConditionalTypeNode(a,c,d,u),UA.createKeywordTypeNode(146)),UA.createKeywordTypeNode(146))}const r=t.inferTypeParameters;t.inferTypeParameters=e.root.inferTypeParameters;const o=i(e.extendsType,t);t.inferTypeParameters=r;const a=S(eE(e)),s=S(nE(e));return UA.createConditionalTypeNode(n,o,a,s)}function S(e){var n,r,o;return 1048576&e.flags?(null==(n=t.visitedTypes)?void 0:n.has(Jy(e)))?(131072&t.flags||(t.encounteredError=!0,null==(o=null==(r=t.tracker)?void 0:r.reportCyclicStructureError)||o.call(r)),s(t)):I(e,(e=>i(e,t))):i(e,t)}function T(e){return!!bS(e)}function x(e){return!!e.target&&T(e.target)&&!T(e)}function A(e){var n;Tt.assert(!!(524288&e.flags));const r=e.declaration.readonlyToken?UA.createToken(e.declaration.readonlyToken.kind):void 0,o=e.declaration.questionToken?UA.createToken(e.declaration.questionToken.kind):void 0;let a,s;const l=!Cp(e)&&!(2&Mp(e).flags)&&4&t.flags&&!(262144&Rp(e).flags&&4194304&(null==(n=Yp(Rp(e)))?void 0:n.flags));if(Cp(e)){if(x(e)&&4&t.flags){const e=z(Ms(Li(262144,"T")),t);s=UA.createTypeReferenceNode(e)}a=UA.createTypeOperatorNode(143,s||i(Mp(e),t))}else if(l){const e=z(Ms(Li(262144,"T")),t);s=UA.createTypeReferenceNode(e),a=s}else a=i(Rp(e),t);const c=f(Ap(e),t,a),d=e.declaration.nameType?i(Ip(e),t):void 0,u=i(zA(Np(e),!!(4&Pp(e))),t),p=UA.createMappedTypeNode(r,c,d,o,u,void 0);t.approximateLength+=10;const m=fR(p,1);if(x(e)&&4&t.flags){const n=AS(Yp(JE(e.declaration.typeParameter.constraint.type))||Ln,e.mapper);return UA.createConditionalTypeNode(i(Mp(e),t),UA.createInferTypeNode(UA.createTypeParameterDeclaration(void 0,UA.cloneNode(s.typeName),2&n.flags?void 0:i(n,t))),m,UA.createKeywordTypeNode(146))}return l?UA.createConditionalTypeNode(i(Rp(e),t),UA.createInferTypeNode(UA.createTypeParameterDeclaration(void 0,UA.cloneNode(s.typeName),UA.createTypeOperatorNode(143,i(Mp(e),t)))),m,UA.createKeywordTypeNode(146)):m}function R(e){var n,r;const o=e.id,i=e.symbol;if(i){if(!!(8388608&IS(e))){const r=e.node;if(FN(r)&&JE(r)===e){const e=ne(t,r);if(e)return e}return(null==(n=t.visitedTypes)?void 0:n.has(o))?s(t):I(e,N)}const l=dl(e)?788968:111551;if(gk(i.valueDeclaration))return w(i,t,l);if(32&i.flags&&!Yc(i)&&(!(i.valueDeclaration&&Md(i.valueDeclaration)&&2048&t.flags)||lC(i.valueDeclaration)&&0===Hs(i,t.enclosingDeclaration,l,!1).accessibility)||896&i.flags||a())return w(i,t,l);if(null==(r=t.visitedTypes)?void 0:r.has(o)){const n=function(e){if(e.symbol&&2048&e.symbol.flags&&e.symbol.declarations){const n=vy(e.symbol.declarations[0].parent);if(dC(n))return ps(n)}return}(e);return n?w(n,t,788968):s(t)}return I(e,N)}return N(e);function a(){var e;const n=!!(8192&i.flags)&&oe(i.declarations,(e=>jb(e))),r=!!(16&i.flags)&&(i.parent||E(i.declarations,(e=>312===e.parent.kind||268===e.parent.kind)));if(n||r)return(!!(4096&t.flags)||(null==(e=t.visitedTypes)?void 0:e.has(o)))&&(!(8&t.flags)||js(i,t.enclosingDeclaration))}}function I(e,n){var r,o,i;const a=e.id,l=16&IS(e)&&e.symbol&&32&e.symbol.flags,c=4&IS(e)&&e.node?"N"+Hz(e.node):16777216&e.flags?"N"+Hz(e.root.node):e.symbol?(l?"+":"")+Kz(e.symbol):void 0;t.visitedTypes||(t.visitedTypes=new Set),c&&!t.symbolDepth&&(t.symbolDepth=new Map);const d=t.enclosingDeclaration&&Hi(t.enclosingDeclaration),u=`${Jy(e)}|${t.flags}`;d&&(d.serializedTypes||(d.serializedTypes=new Map));const p=null==(r=null==d?void 0:d.serializedTypes)?void 0:r.get(u);if(p)return null==(o=p.trackedSymbols)||o.forEach((([e,n,r])=>t.tracker.trackSymbol(e,n,r))),p.truncating&&(t.truncating=!0),t.approximateLength+=p.addedLength,y(p.node);let f;if(c){if(f=t.symbolDepth.get(c)||0,f>10)return s(t);t.symbolDepth.set(c,f+1)}t.visitedTypes.add(a);const m=t.trackedSymbols;t.trackedSymbols=void 0;const _=t.approximateLength,h=n(e),g=t.approximateLength-_;return t.reportedDiagnostic||t.encounteredError||null==(i=null==d?void 0:d.serializedTypes)||i.set(u,{node:h,truncating:t.truncating,addedLength:g,trackedSymbols:t.trackedSymbols}),t.visitedTypes.delete(a),c&&t.symbolDepth.set(c,f),t.trackedSymbols=m,h;function y(e){return Sv(e)||Cl(e)!==e?yL(UA.cloneNode(fG(e,y,void 0,v)),e):e}function v(e,n,t,r,o){return e&&0===e.length?yL(UA.createNodeArray(void 0,e.hasTrailingComma),e):oG(e,n,t,r,o)}}function N(e){if(wp(e)||e.containsError)return A(e);const n=Fp(e);if(!n.properties.length&&!n.indexInfos.length){if(!n.callSignatures.length&&!n.constructSignatures.length)return t.approximateLength+=2,fR(UA.createTypeLiteralNode(void 0),1);if(1===n.callSignatures.length&&!n.constructSignatures.length){return p(n.callSignatures[0],184,t)}if(1===n.constructSignatures.length&&!n.callSignatures.length){return p(n.constructSignatures[0],185,t)}}const r=W(n.constructSignatures,(e=>!!(4&e.flags)));if(oe(r)){const e=B(r,Om);return n.callSignatures.length+(n.constructSignatures.length-r.length)+n.indexInfos.length+(2048&t.flags?F(n.properties,(e=>!(4194304&e.flags))):b(n.properties))&&e.push(function(e){if(0===e.constructSignatures.length)return e;if(e.objectTypeWithoutAbstractConstructSignatures)return e.objectTypeWithoutAbstractConstructSignatures;const n=W(e.constructSignatures,(e=>!(4&e.flags)));if(e.constructSignatures===n)return e;const t=Os(e.symbol,e.members,e.callSignatures,oe(n)?n:o,e.indexInfos);return e.objectTypeWithoutAbstractConstructSignatures=t,t.objectTypeWithoutAbstractConstructSignatures=t,t}(n)),i(Nv(e),t)}const a=t.flags;t.flags|=4194304;const s=P(n);t.flags=a;const l=UA.createTypeLiteralNode(s);return t.approximateLength+=2,fR(l,1024&t.flags?0:1),l}function D(e){let n=D_(e);if(e.target===er||e.target===nr){if(2&t.flags){const r=i(n[0],t);return UA.createTypeReferenceNode(e.target===er?"Array":"ReadonlyArray",[r])}const r=i(n[0],t),o=UA.createArrayTypeNode(r);return e.target===er?o:UA.createTypeOperatorNode(148,o)}if(!(8&e.target.objectFlags)){if(2048&t.flags&&e.symbol.valueDeclaration&&Md(e.symbol.valueDeclaration)&&!js(e.symbol,t.enclosingDeclaration))return R(e);{const r=e.target.outerTypeParameters;let i,a,s=0;if(r){const e=r.length;for(;s<e;){const o=s,a=e_(r[s]);do{s++}while(s<e&&e_(r[s])===a);if(!Ne(r,n,o,s)){const e=d(n.slice(o,s),t),r=t.flags;t.flags|=16;const l=w(a,t,788968,e);t.flags=r,i=i?C(i,l):l}}}if(n.length>0){const r=(e.target.typeParameters||o).length;a=d(n.slice(s,r),t)}const l=t.flags;t.flags|=16;const c=w(e.symbol,t,788968,a);return t.flags=l,i?C(i,c):c}}if(n=V(n,((n,t)=>zA(n,!!(2&e.target.elementFlags[t])))),n.length>0){const r=C_(e),o=d(n.slice(0,r),t);if(o){const{labeledElementDeclarations:n}=e.target;for(let t=0;t<o.length;t++){const r=e.target.elementFlags[t],i=null==n?void 0:n[t];o[t]=i?UA.createNamedTupleMember(12&r?UA.createToken(26):void 0,UA.createIdentifier(Pl(Gk(i))),2&r?UA.createToken(58):void 0,4&r?UA.createArrayTypeNode(o[t]):o[t]):12&r?UA.createRestTypeNode(4&r?UA.createArrayTypeNode(o[t]):o[t]):2&r?UA.createOptionalTypeNode(o[t]):o[t]}const t=fR(UA.createTupleTypeNode(o),1);return e.target.readonly?UA.createTypeOperatorNode(148,t):t}}if(t.encounteredError||524288&t.flags){const n=fR(UA.createTupleTypeNode([]),1);return e.target.readonly?UA.createTypeOperatorNode(148,n):n}t.encounteredError=!0}function C(e,n){if(eD(e)){let t=e.typeArguments,r=e.qualifier;r&&(tN(r)?t!==HR(r)&&(r=UR(UA.cloneNode(r),t)):t!==HR(r.right)&&(r=UA.updateQualifiedName(r,r.left,UR(UA.cloneNode(r.right),t)))),t=n.typeArguments;const o=M(n);for(const e of o)r=r?UA.createQualifiedName(r,e):e;return UA.updateImportTypeNode(e,e.argument,e.attributes,r,t,e.isTypeOf)}{let t=e.typeArguments,r=e.typeName;tN(r)?t!==HR(r)&&(r=UR(UA.cloneNode(r),t)):t!==HR(r.right)&&(r=UA.updateQualifiedName(r,r.left,UR(UA.cloneNode(r.right),t))),t=n.typeArguments;const o=M(n);for(const e of o)r=UA.createQualifiedName(r,e);return UA.updateTypeReferenceNode(e,r,t)}}function M(e){let n=e.typeName;const t=[];for(;!tN(n);)t.unshift(n.right),n=n.left;return t.unshift(n),t}function P(e){if(r(t))return[UA.createPropertySignature(void 0,"...",void 0,void 0)];const n=[];for(const r of e.callSignatures)n.push(p(r,179,t));for(const r of e.constructSignatures)4&r.flags||n.push(p(r,180,t));for(const r of e.indexInfos)n.push(u(r,t,1024&e.objectFlags?s(t):void 0));const o=e.properties;if(!o)return n;let i=0;for(const e of o){if(i++,2048&t.flags){if(4194304&e.flags)continue;6&_S(e)&&t.tracker.reportPrivateInBaseOfClassExpression&&t.tracker.reportPrivateInBaseOfClassExpression(Pl(e.escapedName))}if(r(t)&&i+2<o.length-1){n.push(UA.createPropertySignature(void 0,`... ${o.length-i} more ...`,void 0,void 0)),c(o[o.length-1],t,n);break}c(e,t,n)}return n.length?n:void 0}}(e,t);return t.flags=l,m}function s(e){return e.approximateLength+=3,1&e.flags?UA.createKeywordTypeNode(133):UA.createTypeReferenceNode(UA.createIdentifier("..."),void 0)}function l(e,n){var t;return!!(8192&mS(e))&&(k(n.reverseMappedStack,e)||(null==(t=n.reverseMappedStack)?void 0:t[0])&&!(16&IS(ke(n.reverseMappedStack).links.propertyType)))}function c(e,n,t){var r;const o=!!(8192&mS(e)),i=l(e,n)?xn:cd(e),a=n.enclosingDeclaration;if(n.enclosingDeclaration=void 0,n.tracker.canTrackSymbol&&Tu(e.escapedName))if(e.declarations){const t=Me(e.declarations);if(xu(t))if(TD(t)){const e=jl(t);e&&cD(e)&&xE(e.argumentExpression)&&y(e.argumentExpression,a,n)}else y(t.name.expression,a,n)}else n.tracker.reportNonSerializableProperty(rl(e));n.enclosingDeclaration=e.valueDeclaration||(null==(r=e.declarations)?void 0:r[0])||a;const c=J(e,n);if(n.enclosingDeclaration=a,n.approximateLength+=wl(e).length+1,98304&e.flags){const r=od(e);if(i!==r&&!Bl(i)&&!Bl(r)){const r=Df(e,177),o=pm(r);t.push(xR(p(o,177,n,{name:c}),r));const i=Df(e,178),a=pm(i);return void t.push(xR(p(a,178,n,{name:c}),i))}}const d=16777216&e.flags?UA.createToken(58):void 0;if(8208&e.flags&&!zp(i).length&&!Mw(e)){const e=wf(GI(i,(e=>!(32768&e.flags))),0);for(const r of e){const e=p(r,173,n,{name:c,questionToken:d});t.push(_(e))}if(e.length||!d)return}let u;l(e,n)?u=s(n):(o&&(n.reverseMappedStack||(n.reverseMappedStack=[]),n.reverseMappedStack.push(e)),u=i?Z(n,i,e,a):UA.createKeywordTypeNode(133),o&&n.reverseMappedStack.pop());const f=Mw(e)?[UA.createToken(148)]:void 0;f&&(n.approximateLength+=9);const m=UA.createPropertySignature(f,c,d,u);function _(n){var t;const r=null==(t=e.declarations)?void 0:t.find((e=>355===e.kind));if(r){const e=Ic(r.comment);e&&RR(n,[{kind:3,text:"*\n * "+e.replace(/\n/g,"\n * ")+"\n ",pos:-1,end:-1,hasTrailingNewLine:!0}])}else e.valueDeclaration&&xR(n,e.valueDeclaration);return n}t.push(_(m))}function d(e,n,t){if(oe(e)){if(r(n)){if(!t)return[UA.createTypeReferenceNode("...",void 0)];if(e.length>2)return[i(e[0],n),UA.createTypeReferenceNode(`... ${e.length-2} more ...`,void 0),i(e[e.length-1],n)]}const o=!(64&n.flags)?sn():void 0,a=[];let s=0;for(const t of e){if(s++,r(n)&&s+2<e.length-1){a.push(UA.createTypeReferenceNode(`... ${e.length-s} more ...`,void 0));const t=i(e[e.length-1],n);t&&a.push(t);break}n.approximateLength+=2;const l=i(t,n);l&&(a.push(l),o&&Ox(l)&&o.add(l.typeName.escapedText,[t,a.length-1]))}if(o){const e=n.flags;n.flags|=64,o.forEach((e=>{if(!Fx(e,(([e],[n])=>function(e,n){return e===n||!!e.symbol&&e.symbol===n.symbol||!!e.aliasSymbol&&e.aliasSymbol===n.aliasSymbol}(e,n))))for(const[t,r]of e)a[r]=i(t,n)})),n.flags=e}return a}}function u(e,n,t){const r=i_(e)||"x",o=i(e.keyType,n),a=UA.createParameterDeclaration(void 0,void 0,r,void 0,o,void 0);return t||(t=i(e.type||xn,n)),e.type||2097152&n.flags||(n.encounteredError=!0),n.approximateLength+=r.length+4,UA.createIndexSignature(e.isReadonly?[UA.createToken(148)]:void 0,[a],t)}function p(e,n,t,r){var a;const s=256&t.flags;let l,c;s&&(t.flags&=-257),t.approximateLength+=3,32&t.flags&&e.target&&e.mapper&&e.target.typeParameters?c=e.target.typeParameters.map((n=>i(AS(n,e.mapper),t))):l=e.typeParameters&&e.typeParameters.map((e=>m(e,t)));const d=Vu(e,!0)[0];let u;if(t.enclosingDeclaration&&e.declaration&&e.declaration!==t.enclosingDeclaration&&!Yh(e.declaration)&&(oe(d)||oe(e.typeParameters))){let n=function(e,n){let r;Tt.assert(t.enclosingDeclaration),Hi(t.enclosingDeclaration).fakeScopeForSignatureDeclaration===e?r=t.enclosingDeclaration:t.enclosingDeclaration.parent&&Hi(t.enclosingDeclaration.parent).fakeScopeForSignatureDeclaration===e&&(r=t.enclosingDeclaration.parent),Tt.assertOptionalNode(r,GD);const i=(null==r?void 0:r.locals)??Mf();let a;if(n(((e,n)=>{i.has(e)||(a=ye(a,e),i.set(e,n))})),!a)return;const s=u;function l(){E(a,(e=>i.delete(e))),null==s||s()}if(r)u=l;else{const n=IL.createBlock(o);Hi(n).fakeScopeForSignatureDeclaration=e,n.locals=i;const r=t.enclosingDeclaration;Vx(n,r),t.enclosingDeclaration=n,u=()=>{t.enclosingDeclaration=r,l()}}};n("params",(e=>{for(const n of d)e(n.escapedName,n)})),4&t.flags&&n("typeParams",(n=>{for(const r of e.typeParameters??o){n(z(r,t).escapedText,r.symbol)}}))}const p=(oe(d,(e=>e!==d[d.length-1]&&!!(32768&mS(e))))?e.parameters:d).map((e=>h(e,t,176===n,null==r?void 0:r.privateSymbolVisitor,null==r?void 0:r.bundledImports))),f=33554432&t.flags?void 0:function(e,n){if(e.thisParameter)return h(e.thisParameter,n);if(e.declaration&&Yh(e.declaration)){const t=mc(e.declaration);if(t&&t.typeExpression)return UA.createParameterDeclaration(void 0,void 0,"this",void 0,i(JE(t.typeExpression),n))}}(e,t);let _;f&&p.unshift(f);const g=ym(e);if(g){const e=2===g.kind||3===g.kind?UA.createToken(131):void 0,n=1===g.kind||3===g.kind?fR(UA.createIdentifier(g.parameterName),16777216):UA.createThisTypeNode(),r=g.type&&i(g.type,t);_=UA.createTypePredicateNode(e,n,r)}else{const n=bm(e);!n||s&&zl(n)?s||(_=UA.createKeywordTypeNode(133)):_=function(e,n,t,r,o){if(!Bl(n)&&e.enclosingDeclaration){const i=t.declaration&&Ib(t.declaration),a=Q(e.enclosingDeclaration);if(Nl(i,(e=>e===a))&&i){const a=JE(i);if((262144&a.flags&&a.isThisType?AS(a,t.mapper):a)===n&&$(i,n)){const n=ne(e,i,r,o);if(n)return n}}}return i(n,e)}(t,n,e,null==r?void 0:r.privateSymbolVisitor,null==r?void 0:r.bundledImports)}let y=null==r?void 0:r.modifiers;if(185===n&&4&e.flags){const e=aE(y);y=UA.createModifiersFromModifierFlags(64|e)}const v=179===n?UA.createCallSignature(l,p,_):180===n?UA.createConstructSignature(l,p,_):173===n?UA.createMethodSignature(y,(null==r?void 0:r.name)??UA.createIdentifier(""),null==r?void 0:r.questionToken,l,p,_):174===n?UA.createMethodDeclaration(y,void 0,(null==r?void 0:r.name)??UA.createIdentifier(""),void 0,l,p,_,void 0):176===n?UA.createConstructorDeclaration(y,p,void 0):177===n?UA.createGetAccessorDeclaration(y,(null==r?void 0:r.name)??UA.createIdentifier(""),p,_,void 0):178===n?UA.createSetAccessorDeclaration(y,(null==r?void 0:r.name)??UA.createIdentifier(""),p,void 0):181===n?UA.createIndexSignature(y,p,_):324===n?UA.createJSDocFunctionType(p,_):184===n?UA.createFunctionTypeNode(l,p,_??UA.createTypeReferenceNode(UA.createIdentifier(""))):185===n?UA.createConstructorTypeNode(y,l,p,_??UA.createTypeReferenceNode(UA.createIdentifier(""))):262===n?UA.createFunctionDeclaration(y,void 0,(null==r?void 0:r.name)?gn(r.name,tN):UA.createIdentifier(""),l,p,_,void 0):218===n?UA.createFunctionExpression(y,void 0,(null==r?void 0:r.name)?gn(r.name,tN):UA.createIdentifier(""),l,p,_,UA.createBlock([])):219===n?UA.createArrowFunction(y,l,p,_,void 0,UA.createBlock([])):Tt.assertNever(n);if(c&&(v.typeArguments=UA.createNodeArray(c)),330===(null==(a=e.declaration)?void 0:a.kind)&&346===e.declaration.parent.kind){IR(v,3,xm(e.declaration.parent.parent,!0).slice(2,-2).split(/\r\n|\n|\r/).map((e=>e.replace(/^\s+/," "))).join("\n"),!0)}return null==u||u(),v}function f(e,n,t){const r=n.flags;n.flags&=-513;const o=UA.createModifiersFromModifierFlags(qT(e)),a=z(e,n),s=ff(e),l=s&&i(s,n);return n.flags=r,UA.createTypeParameterDeclaration(o,a,t,l)}function m(e,n,t=Yp(e)){return f(e,n,t&&i(t,n))}function _(e){const n=Df(e,169);return n||(Pf(e)?void 0:Df(e,348))}function h(e,n,t,r,o){const i=_(e);let a=sd(e);i&&xG(i)&&(a=LA(a));const s=Z(n,a,e,n.enclosingDeclaration,r,o),l=!(8192&n.flags)&&t&&i&&vL(i)?B(Hl(i),UA.cloneNode):void 0,c=i&&ip(i)||32768&mS(e)?UA.createToken(26):void 0,d=g(e,i,n),u=i&&lm(i)||16384&mS(e)?UA.createToken(58):void 0,p=UA.createParameterDeclaration(l,c,d,u,s,void 0);return n.approximateLength+=wl(e).length+3,p}function g(e,n,t){return n&&n.name?80===n.name.kind?fR(UA.cloneNode(n.name),16777216):166===n.name.kind?fR(UA.cloneNode(n.name.right),16777216):function e(n){t.tracker.canTrackSymbol&&yN(n)&&Su(n)&&y(n.expression,t.enclosingDeclaration,t);let r=fG(n,e,void 0,void 0,e);return iD(r)&&(r=UA.updateBindingElement(r,r.dotDotDotToken,r.propertyName,r.name,void 0)),Sv(r)||(r=UA.cloneNode(r)),fR(r,16777217)}(n.name):wl(e)}function y(e,n,t){if(!t.tracker.canTrackSymbol)return;const r=SE(e),o=na(r,r.escapedText,1160127,void 0,void 0,!0);o&&t.tracker.trackSymbol(o,n,111551)}function v(e,n,t,r){return n.tracker.trackSymbol(e,n.enclosingDeclaration,t),S(e,n,t,r)}function S(e,n,t,r){let o;return 262144&e.flags||!(n.enclosingDeclaration||64&n.flags)||134217728&n.flags?o=[e]:(o=Tt.checkDefined(function e(t,o,i){let a,s=Gs(t,n.enclosingDeclaration,o,!!(128&n.flags));if(!s||Bs(s[0],n.enclosingDeclaration,1===s.length?o:Ws(o))){const r=gs(s?s[0]:t,n.enclosingDeclaration,o);if(b(r)){a=r.map((e=>oe(e.declarations,Ys)?P(e,n):void 0));const i=r.map(((e,n)=>n));i.sort(l);const c=i.map((e=>r[e]));for(const n of c){const r=e(n,Ws(o),!1);if(r){if(n.exports&&n.exports.get("export=")&&Es(n.exports.get("export="),t)){s=r;break}s=r.concat(s||[bs(n,t)||t]);break}}}}if(s)return s;if(i||!(6144&t.flags)){if(!i&&!r&&E(t.declarations,Ys))return;return[t]}function l(e,n){const t=a[e],r=a[n];if(t&&r){const e=Ji(r);return Ji(t)===e?dz(t)-dz(r):e?-1:1}return 0}}(e,t,!0)),Tt.assert(o&&o.length>0)),o}function x(e,n){let t;return 524384&GW(e).flags&&(t=UA.createNodeArray(B(Sd(e),(e=>m(e,n))))),t}function I(e,n,t){var r;Tt.assert(e&&0<=n&&n<e.length);const o=e[n],i=Kz(o);if(null==(r=t.typeParameterSymbolList)?void 0:r.has(i))return;let a;if((t.typeParameterSymbolList||(t.typeParameterSymbolList=new Set)).add(i),512&t.flags&&n<e.length-1){const r=o,i=e[n+1];if(1&mS(i)){const e=function(e){return ae(yd(e),Sd(e))}(2097152&r.flags?Wa(r):r);a=d(B(e,(e=>nS(e,i.links.mapper))),t)}else a=x(o,t)}return a}function C(e){return $N(e.objectType)?C(e.objectType):e}function P(e,n,t){let r=Df(e,312);if(!r){const n=T(e.declarations,(n=>vs(n,e)));n&&(r=Df(n,312))}if(r&&void 0!==r.moduleName)return r.moduleName;if(!r){if(n.tracker.trackReferencedAmbientModule){const t=W(e.declarations,km);if(b(t))for(const r of t)n.tracker.trackReferencedAmbientModule(r,e)}if(Nz.test(e.escapedName))return e.escapedName.substring(1,e.escapedName.length-1)}if(!n.enclosingDeclaration||!n.tracker.moduleResolverHost)return Nz.test(e.escapedName)?e.escapedName.substring(1,e.escapedName.length-1):$f(Vm(e)).fileName;const o=$f(Il(n.enclosingDeclaration)),i=t||(null==o?void 0:o.impliedNodeFormat),a=xF(o.path,i),s=Ui(e);let l=s.specifierCache&&s.specifierCache.get(a);if(!l){const r=!!ob(A),{moduleResolverHost:c}=n.tracker,d=r?{...A,baseUrl:c.getCommonSourceDirectory()}:A;l=Me(az(e,Fe,d,o,c,{importModuleSpecifierPreference:r?"non-relative":"project-relative",importModuleSpecifierEnding:r?"minimal":99===i?"js":void 0},{overrideImportMode:t})),s.specifierCache??(s.specifierCache=new Map),s.specifierCache.set(a,l)}return l}function L(e){const n=UA.createIdentifier(Pl(e.escapedName));return e.parent?UA.createQualifiedName(L(e.parent),n):n}function w(e,n,t,r){const o=v(e,n,t,!(16384&n.flags)),i=111551===t;if(oe(o[0].declarations,Ys)){const e=o.length>1?s(o,o.length-1,1):void 0,t=r||I(o,0,n),a=$f(Il(n.enclosingDeclaration)),l=Qf(o[0]);let c,d;if(3!==Up(A)&&99!==Up(A)||99===(null==l?void 0:l.impliedNodeFormat)&&l.impliedNodeFormat!==(null==a?void 0:a.impliedNodeFormat)&&(c=P(o[0],n,99),d=UA.createImportAttributes(UA.createNodeArray([UA.createImportAttribute(UA.createStringLiteral("resolution-mode"),UA.createStringLiteral("import"))]))),c||(c=P(o[0],n)),!(67108864&n.flags)&&1!==Up(A)&&c.includes("/node_modules/")){const e=c;if(3===Up(A)||99===Up(A)){const t=99===(null==a?void 0:a.impliedNodeFormat)?1:99;c=P(o[0],n,t),c.includes("/node_modules/")?c=e:d=UA.createImportAttributes(UA.createNodeArray([UA.createImportAttribute(UA.createStringLiteral("resolution-mode"),UA.createStringLiteral(99===t?"import":"require"))]))}d||(n.encounteredError=!0,n.tracker.reportLikelyUnsafeImportRequiredError&&n.tracker.reportLikelyUnsafeImportRequiredError(e))}const u=UA.createLiteralTypeNode(UA.createStringLiteral(c));if(n.tracker.trackExternalModuleSymbolOfImportTypeNode&&n.tracker.trackExternalModuleSymbolOfImportTypeNode(o[0]),n.approximateLength+=c.length+10,!e||bd(e)){if(e){UR(tN(e)?e:e.right,void 0)}return UA.createImportTypeNode(u,d,e,t,i)}{const n=C(e),r=n.objectType.typeName;return UA.createIndexedAccessTypeNode(UA.createImportTypeNode(u,d,r,t,i),n.indexType)}}const a=s(o,o.length-1,0);if($N(a))return a;if(i)return UA.createTypeQueryNode(a);{const e=tN(a)?a:a.right,n=HR(e);return UR(e,void 0),UA.createTypeReferenceNode(a,n)}function s(e,t,o){const i=t===e.length-1?r:I(e,t,n),a=e[t],l=e[t-1];let c;if(0===t)n.flags|=16777216,c=hl(a,n),n.approximateLength+=(c?c.length:0)+1,n.flags^=16777216;else if(l&&ss(l)){Wf(ss(l),((e,n)=>{if(Es(e,a)&&!Tu(n)&&"export="!==n)return c=Pl(n),!0}))}if(void 0===c){const r=T(a.declarations,jl);if(r&&yN(r)&&bd(r.expression)){const n=s(e,t-1,o);return bd(n)?UA.createIndexedAccessTypeNode(UA.createParenthesizedType(UA.createTypeQueryNode(n)),UA.createTypeQueryNode(r.expression)):n}c=hl(a,n)}if(n.approximateLength+=c.length+1,!(16&n.flags)&&l&&Mu(l)&&Mu(l).get(a.escapedName)&&Es(Mu(l).get(a.escapedName),a)){const n=s(e,t-1,o);return $N(n)?UA.createIndexedAccessTypeNode(n,UA.createLiteralTypeNode(UA.createStringLiteral(c))):UA.createIndexedAccessTypeNode(UA.createTypeReferenceNode(n,i),UA.createLiteralTypeNode(UA.createStringLiteral(c)))}const d=fR(UA.createIdentifier(c),16777216);if(i&&UR(d,UA.createNodeArray(i)),d.symbol=a,t>o){const n=s(e,t-1,o);return bd(n)?UA.createQualifiedName(n,d):Tt.fail("Impossible construct - an export of an indexed access cannot be reachable")}return d}}function O(e,n,t){const r=na(n.enclosingDeclaration,e,788968,void 0,e,!1);return!!(r&&262144&r.flags)&&r!==t.symbol}function z(e,n){var t,r;if(4&n.flags&&n.typeParameterNames){const t=n.typeParameterNames.get(Jy(e));if(t)return t}let o=G(e.symbol,n,788968,!0);if(!(80&o.kind))return UA.createIdentifier("(Missing type parameter)");if(4&n.flags){const i=o.escapedText;let a=(null==(t=n.typeParameterNamesByTextNextNameCount)?void 0:t.get(i))||0,s=i;for(;(null==(r=n.typeParameterNamesByText)?void 0:r.has(s))||O(s,n,e);)a++,s=`${i}_${a}`;if(s!==i){const e=HR(o);o=UA.createIdentifier(s),UR(o,e)}(n.typeParameterNamesByTextNextNameCount||(n.typeParameterNamesByTextNextNameCount=new Map)).set(i,a),(n.typeParameterNames||(n.typeParameterNames=new Map)).set(Jy(e),o),(n.typeParameterNamesByText||(n.typeParameterNamesByText=new Set)).add(s)}return o}function G(e,n,t,r){const o=v(e,n,t);return!r||1===o.length||n.encounteredError||65536&n.flags||(n.encounteredError=!0),function e(t,r){const o=I(t,r,n),i=t[r];0===r&&(n.flags|=16777216);const a=hl(i,n);0===r&&(n.flags^=16777216);const s=fR(UA.createIdentifier(a),16777216);o&&UR(s,UA.createNodeArray(o));return s.symbol=i,r>0?UA.createQualifiedName(e(t,r-1),s):s}(o,o.length-1)}function U(e,n,t){const r=v(e,n,t);return function e(t,r){const o=I(t,r,n),i=t[r];0===r&&(n.flags|=16777216);let a=hl(i,n);0===r&&(n.flags^=16777216);let s=a.charCodeAt(0);if(sg(s)&&oe(i.declarations,Ys))return UA.createStringLiteral(P(i,n));if(0===r||dA(a,R)){const n=fR(UA.createIdentifier(a),16777216);return o&&UR(n,UA.createNodeArray(o)),n.symbol=i,r>0?UA.createPropertyAccessExpression(e(t,r-1),n):n}{let n;if(91===s&&(a=a.substring(1,a.length-1),s=a.charCodeAt(0)),!sg(s)||8&i.flags?""+ +a===a&&(n=UA.createNumericLiteral(+a)):n=UA.createStringLiteral(Bv(a).replace(/\\./g,(e=>e.substring(1))),39===s),!n){const e=fR(UA.createIdentifier(a),16777216);o&&UR(e,UA.createNodeArray(o)),e.symbol=i,n=e}return UA.createElementAccessExpression(e(t,r-1),n)}}(r,r.length-1)}function K(e){const n=jl(e);if(!n)return!1;if(yN(n)){return!!(402653316&bO(n.expression).flags)}if(cD(n)){return!!(402653316&bO(n.argumentExpression).flags)}return zI(n)}function q(e){const n=jl(e);return!!(n&&zI(n)&&(n.singleQuote||!Sv(n)&&st(xm(n,!1),"'")))}function J(e,n){const t=!!b(e.declarations)&&N(e.declarations,K),r=!!b(e.declarations)&&N(e.declarations,q),o=!!(8192&e.flags),i=function(e,n,t,r,o){const i=Ui(e).nameType;if(i){if(384&i.flags){const e=""+i.value;return zs(e,jp(A))||!r&&tA(e)?tA(e)&&st(e,"-")?UA.createComputedPropertyName(UA.createPrefixUnaryExpression(41,UA.createNumericLiteral(-e))):rA(e,jp(A),t,r,o):UA.createStringLiteral(e,!!t)}if(8192&i.flags)return UA.createComputedPropertyName(U(i.symbol,n,111551))}}(e,n,r,t,o);if(i)return i;return rA(Pl(e.escapedName),jp(A),r,t,o)}function X(e,n){return e.declarations&&D(e.declarations,(e=>!(!Ab(e)||n&&!Nl(e,(e=>e===n)))))}function $(e,n){return!(4&IS(n))||!kN(e)||b(e.typeArguments)>=dm(n.target.typeParameters)}function Q(e){for(;Hi(e).fakeScopeForSignatureDeclaration;)e=e.parent;return e}function Z(e,n,t,r,o,a){if(!Bl(n)&&r){const i=X(t,Q(r));if(i&&!Ad(i)&&!NN(i)){const t=Ab(i);if(function(e,n,t){const r=JE(e);if(r===t)return!0;if(bN(n)&&n.questionToken)return hI(t,524288)===r;return!1}(t,i,n)&&$(t,n)){const n=ne(e,t,o,a);if(n)return n}}}const s=e.flags;8192&n.flags&&n.symbol===t&&(!e.enclosingDeclaration||oe(t.declarations,(n=>$f(n)===$f(e.enclosingDeclaration))))&&(e.flags|=1048576);const l=i(n,e);return e.flags=s,l}function ee(e,n,t){let r=!1;const o=SE(e);if(Yh(e)&&(yg(o)||bg(o.parent)||gN(o.parent)&&vg(o.parent.left)&&yg(o.parent.right)))return r=!0,{introducesError:r,node:e};const i=Zs(e),a=qa(o,i,!0,!0);if(a&&(0!==Hs(a,n.enclosingDeclaration,i,!1).accessibility?r=!0:(n.tracker.trackSymbol(a,n.enclosingDeclaration,i),null==t||t(a)),tN(e))){const t=ou(a),o=262144&a.flags?z(t,n):UA.cloneNode(e);return o.symbol=a,{introducesError:r,node:fR(lR(o,e),16777216)}}return{introducesError:r,node:e}}function ne(t,r,o,a){n&&n.throwIfCancellationRequested&&n.throwIfCancellationRequested();let s=!1;const l=$f(r),c=rG(r,(function n(r){if(pM(r)||326===r.kind)return UA.createKeywordTypeNode(133);if(fM(r))return UA.createKeywordTypeNode(159);if(mM(r))return UA.createUnionTypeNode([rG(r.type,n,Bd),UA.createLiteralTypeNode(UA.createNull())]);if(hM(r))return UA.createUnionTypeNode([rG(r.type,n,Bd),UA.createKeywordTypeNode(157)]);if(_M(r))return rG(r.type,n);if(yM(r))return UA.createArrayTypeNode(rG(r.type,n,Bd));if(EM(r))return UA.createTypeLiteralNode(B(r.jsDocPropertyTags,(e=>{const o=tN(e.name)?e.name:e.name.right,a=Ol(JE(r),o.escapedText),s=a&&e.typeExpression&&JE(e.typeExpression.type)!==a?i(a,t):void 0;return UA.createPropertySignature(void 0,o,e.isBracketed||e.typeExpression&&hM(e.typeExpression.type)?UA.createToken(58):void 0,s||e.typeExpression&&rG(e.typeExpression.type,n,Bd)||UA.createKeywordTypeNode(133))})));if(kN(r)&&tN(r.typeName)&&""===r.typeName.escapedText)return lR(UA.createKeywordTypeNode(133),r);if((CD(r)||kN(r))&&eg(r))return UA.createTypeLiteralNode([UA.createIndexSignature(void 0,[UA.createParameterDeclaration(void 0,void 0,"x",void 0,rG(r.typeArguments[0],n,Bd))],rG(r.typeArguments[1],n,Bd))]);if(gM(r)){if(Hg(r)){let e;return UA.createConstructorTypeNode(void 0,oG(r.typeParameters,n,vN),Y(r.parameters,((t,r)=>t.name&&tN(t.name)&&"new"===t.name.escapedText?void(e=t.type):UA.createParameterDeclaration(void 0,c(t),d(t,r),t.questionToken,rG(t.type,n,Bd),void 0))),rG(e||r.type,n,Bd)||UA.createKeywordTypeNode(133))}return UA.createFunctionTypeNode(oG(r.typeParameters,n,vN),B(r.parameters,((e,t)=>UA.createParameterDeclaration(void 0,c(e),d(e,t),e.questionToken,rG(e.type,n,Bd),void 0))),rG(r.type,n,Bd)||UA.createKeywordTypeNode(133))}if(kN(r)&&Zh(r)&&(!$(r,JE(r))||ph(r)||vn===z_(r,788968,!0)))return lR(i(JE(r),t),r);if(k_(r)){const o=Hi(r).resolvedSymbol;return!Zh(r)||!o||(r.isTypeOf||788968&o.flags)&&b(r.typeArguments)>=dm(Sd(o))?UA.updateImportTypeNode(r,UA.updateLiteralTypeNode(r.argument,function(n,r){if(a){if(t.tracker&&t.tracker.moduleResolverHost){const r=HG(n);if(r){const n=Xv({getCanonicalFileName:rt(!!e.useCaseSensitiveFileNames),getCurrentDirectory:()=>t.tracker.moduleResolverHost.getCurrentDirectory(),getCommonSourceDirectory:()=>t.tracker.moduleResolverHost.getCommonSourceDirectory()},r);return UA.createStringLiteral(n)}}}else if(t.tracker&&t.tracker.trackExternalModuleSymbolOfImportTypeNode){const e=Ya(r,r,void 0);e&&t.tracker.trackExternalModuleSymbolOfImportTypeNode(e)}return r}(r,r.argument.literal)),r.attributes,r.qualifier,oG(r.typeArguments,n,Bd),r.isTypeOf):lR(i(JE(r),t),r)}if(bd(r)||EE(r)){const{introducesError:e,node:n}=ee(r,t,o);if(s=s||e,n!==r)return n}l&&GN(r)&&_s(l,r.pos).line===_s(l,r.end).line&&fR(r,1);return fG(r,n,void 0);function c(e){return e.dotDotDotToken||(e.type&&yM(e.type)?UA.createToken(26):void 0)}function d(e,n){return e.name&&tN(e.name)&&"this"===e.name.escapedText?"this":c(e)?"args":`arg${n}`}}),Bd);if(!s)return c===r?yL(UA.cloneNode(r),r):c}}(),fe=Mf(),me=Li(4,"undefined");me.declarations=[];var _e=Li(1536,"globalThis",8);_e.exports=fe,_e.declarations=[],fe.set(_e.escapedName,_e);var he,ve,be,xe=Li(4,"arguments"),Ae=Li(4,"require"),Re=A.verbatimModuleSyntax?"verbatimModuleSyntax":"isolatedModules",Ie=!A.verbatimModuleSyntax||!!A.importsNotUsedAsValues,we=0,Oe=0;const Fe={getNodeCount:()=>Be(e.getSourceFiles(),((e,n)=>e+n.nodeCount),0),getIdentifierCount:()=>Be(e.getSourceFiles(),((e,n)=>e+n.identifierCount),0),getSymbolCount:()=>Be(e.getSourceFiles(),((e,n)=>e+n.symbolCount),m),getTypeCount:()=>f,getInstantiationCount:()=>_,getRelationCacheSizes:()=>({assignable:pi.size,identity:mi.size,subtype:di.size,strictSubtype:ui.size}),isUndefinedSymbol:e=>e===me,isArgumentsSymbol:e=>e===xe,isUnknownSymbol:e=>e===vn,getMergedSymbol:us,getDiagnostics:Az,getGlobalDiagnostics:function(){return Rz(),si.getGlobalDiagnostics()},getRecursionIdentity:ox,getUnmatchedProperties:vR,getTypeOfSymbolAtLocation:(e,n)=>{const t=Cl(n);return t?function(e,n){if(e=Ss(e),(80===n.kind||81===n.kind)&&(IE(n)&&(n=n.parent),Gh(n)&&(!my(n)||vS(n)))){const t=OA(vS(n)&&211===n.kind?FP(n,void 0,!0):gO(n));if(Ss(Hi(n).resolvedSymbol)===e)return t}if(Ry(n)&&qu(n.parent)&&Hc(n.parent))return Xc(n.parent.symbol);return NE(n)&&vS(n.parent)?od(e):cd(e)}(e,t):Nn},getTypeOfSymbol:sd,getSymbolsOfParameterPropertyDeclaration:(e,n)=>{const t=Cl(e,bN);return void 0===t?Tt.fail("Cannot get symbols of a synthetic parameter that cannot be resolved to a parse-tree node."):(Tt.assert(gl(t,t.parent)),function(e,n){const t=e.parent,r=e.parent.parent,o=qi(t.locals,n,111551),i=qi(Mu(r.symbol),n,111551);if(o&&i)return[o,i];return Tt.fail("There should exist two symbols, one as property declaration and one as parameter declaration")}(t,Ml(n)))},getDeclaredTypeOfSymbol:ou,getPropertiesOfType:Hp,getPropertyOfType:(e,n)=>Lf(e,Ml(n)),getPrivateIdentifierPropertyOfType:(e,n,t)=>{const r=Cl(t);if(!r)return;const o=GP(Ml(n),r);return o?HP(e,o):void 0},getTypeOfPropertyOfType:(e,n)=>Ol(e,Ml(n)),getIndexInfoOfType:(e,n)=>qf(e,0===n?Vn:Un),getIndexInfosOfType:Kf,getIndexInfosOfIndexSymbol:qm,getSignaturesOfType:wf,getIndexTypeOfType:(e,n)=>Jf(e,0===n?Vn:Un),getIndexType:e=>Jv(e),getBaseTypes:jd,getBaseTypeOfLiteralType:Ux,getWidenedType:$A,getTypeFromTypeNode:e=>{const n=Cl(e,Bd);return n?JE(n):Nn},getParameterType:Hk,getParameterIdentifierInfoAtPosition:function(e,n){var t;if(324===(null==(t=e.declaration)?void 0:t.kind))return;const r=e.parameters.length-(Zz(e)?1:0);if(n<r){const t=e.parameters[n],r=jk(t);return r?{parameter:r,parameterName:t.escapedName,isRestParameter:!1}:void 0}const o=e.parameters[r]||vn,i=jk(o);if(!i)return;const a=sd(o);if(nA(a)){const e=a.target.labeledElementDeclarations,t=null==e?void 0:e[n-r],o=!!(null==t?void 0:t.dotDotDotToken);return t?(Tt.assert(tN(t.name)),{parameter:t.name,parameterName:t.name.escapedText,isRestParameter:o}):void 0}if(n===r)return{parameter:i,parameterName:o.escapedName,isRestParameter:!0};return},getPromisedTypeOfPromise:qO,getAwaitedType:e=>eF(e),getReturnTypeOfSignature:bm,isNullableType:CP,getNullableType:PA,getNonNullableType:kA,getNonOptionalType:OA,getTypeArguments:D_,typeToTypeNode:pe.typeToTypeNode,indexInfoToIndexSignatureDeclaration:pe.indexInfoToIndexSignatureDeclaration,signatureToSignatureDeclaration:pe.signatureToSignatureDeclaration,symbolToEntityName:pe.symbolToEntityName,symbolToExpression:pe.symbolToExpression,symbolToNode:pe.symbolToNode,symbolToTypeParameterDeclarations:pe.symbolToTypeParameterDeclarations,symbolToParameterDeclaration:pe.symbolToParameterDeclaration,typeParameterToDeclaration:pe.typeParameterToDeclaration,getSymbolsInScope:(e,n)=>{const t=Cl(e);return t?function(e,n){if(67108864&e.flags)return[];const t=Mf();let r=!1;return o(),t.delete("this"),om(t);function o(){for(;e;){switch(Du(e)&&e.locals&&!Ki(e)&&a(e.locals,n),e.kind){case 312:if(!uk(e))break;case 267:s(ps(e).exports,2623475&n);break;case 266:a(ps(e).exports,8&n);break;case 231:e.name&&i(e.symbol,n);case 263:case 264:r||a(Mu(ps(e)),788968&n);break;case 218:e.name&&i(e.symbol,n)}nh(e)&&i(xe,n),r=jb(e),e=e.parent}a(fe,n)}function i(e,n){if(gS(e)&n){const n=e.escapedName;t.has(n)||t.set(n,e)}}function a(e,n){n&&e.forEach((e=>{i(e,n)}))}function s(e,n){n&&e.forEach((e=>{Df(e,281)||Df(e,280)||"default"===e.escapedName||i(e,n)}))}}(t,n):[]},getSymbolAtLocation:e=>{const n=Cl(e);return n?Xz(n,!0):void 0},getIndexInfosAtLocation:e=>{const n=Cl(e);return n?function(e){if(tN(e)&&lD(e.parent)&&e.parent.name===e){const n=zv(e),t=gO(e.parent.expression);return H(1048576&t.flags?t.types:[t],(e=>W(Kf(e),(e=>Vf(n,e.keyType)))))}return}(n):void 0},getShorthandAssignmentValueSymbol:e=>{const n=Cl(e);return n?function(e){if(e&&304===e.kind)return qa(e.name,2208703);return}(n):void 0},getExportSpecifierLocalTargetSymbol:e=>{const n=Cl(e,MC);return n?function(e){return MC(e)?e.parent.parent.moduleSpecifier?Da(e.parent.parent,e):qa(e.propertyName||e.name,2998271):qa(e,2998271)}(n):void 0},getExportSymbolOfSymbol(e){return us(e.exportSymbol||e)},getTypeAtLocation:e=>{const n=Cl(e);return n?nG(n):Nn},getTypeOfAssignmentPattern:e=>{const n=Cl(e,Ud);return n&&tG(n)||Nn},getPropertySymbolOfDestructuringAssignment:e=>{const n=Cl(e,tN);return n?function(e){const n=tG(gn(e.parent.parent,Ud));return n&&Lf(n,e.escapedText)}(n):void 0},signatureToString:(e,n,t,r)=>ol(e,Cl(n),t,r),typeToString:(e,n,t)=>il(e,Cl(n),t),symbolToString:(e,n,t,r)=>rl(e,Cl(n),t,r),typePredicateToString:(e,n,t)=>ul(e,Cl(n),t),writeSignature:(e,n,t,r,o)=>ol(e,Cl(n),t,r,o),writeType:(e,n,t,r)=>il(e,Cl(n),t,r),writeSymbol:(e,n,t,r,o)=>rl(e,Cl(n),t,r,o),writeTypePredicate:(e,n,t,r)=>ul(e,Cl(n),t,r),getAugmentedPropertiesOfType:lG,getRootSymbols:function e(n){const t=function(e){if(6&mS(e))return Y(Ui(e).containingType.types,(n=>Lf(n,e.escapedName)));if(33554432&e.flags){const{links:{leftSpread:n,rightSpread:t,syntheticOrigin:r}}=e;return n?[n,t]:r?[r]:_t(function(e){let n,t=e;for(;t=Ui(t).target;)n=t;return n}(e))}return}(n);return t?H(t,e):[n]},getSymbolOfExpando:vk,getContextualType:(e,n)=>{const t=Cl(e,uu);if(t)return 4&n?je(t,(()=>JC(t,n))):JC(t,n)},getContextualTypeForObjectLiteralElement:e=>{const n=Cl(e,Gd);return n?xC(n,void 0):void 0},getContextualTypeForArgumentAtIndex:(e,n)=>{const t=Cl(e,tu);return t&&oC(t,n)},getContextualTypeForJsxAttribute:e=>{const n=Cl(e,Gu);return n&&LC(n,void 0)},isContextSensitive:LS,getTypeOfPropertyOfContextualType:EC,getFullyQualifiedName:Ka,getResolvedSignature:(e,n,t)=>Ve(e,n,t,0),getCandidateSignaturesForStringLiteralCompletions:function(e,n){const t=new Set,r=[];je(n,(()=>Ve(e,r,void 0,0)));for(const e of r)t.add(e);r.length=0,Ge(n,(()=>Ve(e,r,void 0,0)));for(const e of r)t.add(e);return Je(t)},getResolvedSignatureForSignatureHelp:(e,n,t)=>Ge(e,(()=>Ve(e,n,t,16))),getExpandedParameters:Vu,hasEffectiveRestParameter:$k,containsArgumentsReference:mm,getConstantValue:e=>{const n=Cl(e,CG);return n?MG(n):void 0},isValidPropertyAccess:(e,n)=>{const t=Cl(e,Zd);return!!t&&function(e,n){switch(e.kind){case 211:return uL(e,108===e.expression.kind,n,$A(bO(e.expression)));case 166:return uL(e,!1,n,$A(bO(e.left)));case 205:return uL(e,!1,n,JE(e))}}(t,Ml(n))},isValidPropertyAccessForCompletions:(e,n,t)=>{const r=Cl(e,lD);return!!r&&dL(r,n,t)},getSignatureFromDeclaration:e=>{const n=Cl(e,Td);return n?pm(n):void 0},isImplementationOfOverload:e=>{const n=Cl(e,Td);return n?TG(n):void 0},getImmediateAliasedSymbol:jM,getAliasedSymbol:Wa,getEmitResolver:function(e,n){return Az(e,n),ue},getExportsOfModule:rs,getExportsAndPropertiesOfModule:function(e){const n=rs(e),t=Za(e);if(t!==e){const e=sd(t);is(e)&&Ee(n,Hp(e))}return n},forEachExportAndPropertyOfModule:function(e,n){ls(e).forEach(((e,t)=>{Ps(t)||n(e,t)}));const t=Za(e);if(t!==e){const e=sd(t);is(e)&&function(e,n){e=vf(e),3670016&e.flags&&Fp(e).members.forEach(((e,t)=>{ks(e,t)&&n(e,t)}))}(e,((e,t)=>{n(e,t)}))}},getSymbolWalker:YW((function(e){return Tm(e)||xn}),ym,bm,jd,Fp,sd,JR,Yp,SE,D_),getAmbientModules:function(){qt||(qt=[],fe.forEach(((e,n)=>{Nz.test(n)&&qt.push(e)})));return qt},getJsxIntrinsicTagNamesAt:function(e){const n=eP(Bz.IntrinsicElements,e);return n?Hp(n):o},isOptionalParameter:e=>{const n=Cl(e,bN);return!!n&&lm(n)},tryGetMemberInModuleExports:(e,n)=>os(Ml(e),n),tryGetMemberInModuleExportsAndProperties:(e,n)=>function(e,n){const t=os(e,n);if(t)return t;const r=Za(n);if(r===n)return;const o=sd(r);return is(o)?Lf(o,e):void 0}(Ml(e),n),tryFindAmbientModule:e=>sm(e,!0),tryFindAmbientModuleWithoutAugmentations:e=>sm(e,!1),getApparentType:yf,getUnionType:mv,isTypeAssignableTo:KS,createAnonymousType:Os,createSignature:Fu,createSymbol:Li,createIndexInfo:Hm,getAnyType:()=>xn,getStringType:()=>Vn,getStringLiteralType:GE,getNumberType:()=>Un,getNumberLiteralType:BE,getBigIntType:()=>Hn,createPromiseType:gw,createArrayType:ey,getElementTypeOfArrayType:mx,getBooleanType:()=>Zn,getFalseType:e=>e?Kn:Jn,getTrueType:e=>e?Yn:$n,getVoidType:()=>tt,getUndefinedType:()=>On,getNullType:()=>Bn,getESSymbolType:()=>nt,getNeverType:()=>ot,getOptionalType:()=>Gn,getPromiseType:()=>Ag(!1),getPromiseLikeType:()=>Ng(!1),getAsyncIterableType:()=>{const e=kg(!1);if(e!==Ot)return e},isSymbolAccessible:Hs,isArrayType:cx,isTupleType:nA,isArrayLikeType:_x,isEmptyAnonymousObjectType:yT,isTypeInvalidDueToUnionDiscriminant:function(e,n){return n.properties.some((n=>{const t=n.name&&(qC(n.name)?GE(vA(n.name)):zv(n.name)),r=t&&xA(t)?AA(t):void 0,o=void 0===r?void 0:Ol(e,r);return!!o&&Bx(o)&&!KS(nG(n),o)}))},getExactOptionalProperties:function(e){return Hp(e).filter((e=>GA(sd(e))))},getAllPossiblePropertiesOfTypes:function(e){const n=mv(e);if(!(1048576&n.flags))return lG(n);const t=Mf();for(const r of e)for(const{escapedName:e}of lG(r))if(!t.has(e)){const r=bf(n,e);r&&t.set(e,r)}return Je(t.values())},getSuggestedSymbolForNonexistentProperty:tL,getSuggestionForNonexistentProperty:oL,getSuggestedSymbolForNonexistentJSXAttribute:rL,getSuggestedSymbolForNonexistentSymbol:(e,n,t)=>iL(e,Ml(n),t),getSuggestionForNonexistentSymbol:(e,n,t)=>function(e,n,t){const r=iL(e,n,t);return r&&wl(r)}(e,Ml(n),t),getSuggestedSymbolForNonexistentModule:aL,getSuggestionForNonexistentExport:function(e,n){const t=aL(e,n);return t&&wl(t)},getSuggestedSymbolForNonexistentClassMember:eL,getBaseConstraintOfType:lf,getDefaultFromTypeParameter:e=>e&&262144&e.flags?ff(e):void 0,resolveName(e,n,t,r){return na(n,Ml(e),t,void 0,void 0,!1,r)},getJsxNamespace:e=>Pl(bi(e)),getJsxFragmentFactory:e=>{const n=UG(e);return n&&Pl(SE(n).escapedText)},getAccessibleSymbolChain:Gs,getTypePredicateOfSignature:ym,resolveExternalModuleName:e=>{const n=Cl(e,uu);return n&&Xa(n,n,!0)},resolveExternalModuleSymbol:Za,tryGetThisTypeAt:(e,n,t)=>{const r=Cl(e);return r&&OD(r,n,t)},getTypeArgumentConstraint:e=>{const n=Cl(e,Bd);return n&&function(e){const n=hn(e.parent,ep);if(!n)return;const t=OO(n);if(!t)return;const r=Yp(t[n.typeArguments.indexOf(e)]);return r&&AS(r,eS(t,kO(n,t)))}(n)},getSuggestionDiagnostics:(t,r)=>{const i=Cl(t,rM)||Tt.fail("Could not determine parsed source file.");if(Nx(i,A,e))return o;let a;try{return n=r,Iz(i),Tt.assert(!!(1&Hi(i).flags)),a=Ee(a,li.getDiagnostics(i.fileName)),hF(xz(i),((e,n,t)=>{Yf(e)||Tz(n,!!(33554432&e.flags))||(a||(a=[])).push({...t,category:2})})),a||o}finally{n=void 0}},runWithCancellationToken:(e,t)=>{try{return n=e,t(Fe)}finally{n=void 0}},getLocalTypeParametersOfClassOrInterfaceOrTypeAlias:Sd,isDeclarationVisible:yl,isPropertyAccessible:pL,getTypeOnlyAliasDeclaration:ja,getMemberOverrideModifierStatus:function(e,n,t){if(!n.name)return 0;const r=ps(e),o=ou(r),i=ku(o),a=sd(r),s=Oy(e)&&jd(o),l=(null==s?void 0:s.length)?ku(Me(s),o.thisType):void 0,c=Wd(o),d=n.parent?Ub(n):Bb(n,16);return FW(e,a,c,l,o,i,d,Hb(n),jb(n),!1,wl(t))},isTypeParameterPossiblyReferenced:hS,typeHasCallOrConstructSignatures:cG};function Ge(e,n){if(e=Nl(e,nu)){const t=[],r=[];for(;e;){const n=Hi(e);if(t.push([n,n.resolvedSignature]),n.resolvedSignature=void 0,eA(e)){const n=Ui(ps(e)),t=n.type;r.push([n,t]),n.type=void 0}e=Nl(e.parent,nu)}const o=n();for(const[e,n]of t)e.resolvedSignature=n;for(const[e,n]of r)e.type=n;return o}return n()}function je(e,n){const t=Nl(e,tu);if(t){let n=e;do{Hi(n).skipDirectInference=!0,n=n.parent}while(n&&n!==t)}v=!0;const r=Ge(e,n);if(v=!1,t){let n=e;do{Hi(n).skipDirectInference=void 0,n=n.parent}while(n&&n!==t)}return r}function Ve(e,n,t,r){const o=Cl(e,tu);he=t;const i=o?hk(o,n,r):void 0;return he=void 0,i}var Ue=new Map,He=new Map,Ke=new Map,Xe=new Map,Ye=new Map,$e=new Map,Qe=new Map,nn=new Map,tn=new Map,rn=new Map,on=new Map,ln=new Map,cn=new Map,dn=new Map,un=new Map,fn=[],_n=new Map,yn=new Set,vn=Li(4,"unknown"),bn=Li(0,"__resolving__"),En=new Map,Sn=new Map,Tn=new Set,xn=Ds(1,"any"),An=Ds(1,"any",262144,"auto"),Rn=Ds(1,"any",void 0,"wildcard"),In=Ds(1,"any",void 0,"blocked string"),Nn=Ds(1,"error"),Dn=Ds(1,"unresolved"),Cn=Ds(1,"any",65536,"non-inferrable"),Pn=Ds(1,"intrinsic"),Ln=Ds(2,"unknown"),kn=Ds(2,"unknown",void 0,"non-null"),On=Ds(32768,"undefined"),Fn=K?On:Ds(32768,"undefined",65536,"widening"),Wn=Ds(32768,"undefined",void 0,"missing"),zn=se?Wn:On,Gn=Ds(32768,"undefined",void 0,"optional"),Bn=Ds(65536,"null"),jn=K?Bn:Ds(65536,"null",65536,"widening"),Vn=Ds(4,"string"),Un=Ds(8,"number"),Hn=Ds(64,"bigint"),Kn=Ds(512,"false",void 0,"fresh"),Jn=Ds(512,"false"),Yn=Ds(512,"true",void 0,"fresh"),$n=Ds(512,"true");Yn.regularType=$n,Yn.freshType=Yn,$n.regularType=$n,$n.freshType=Yn,Kn.regularType=Jn,Kn.freshType=Kn,Jn.regularType=Jn,Jn.freshType=Kn;var Qn,Zn=mv([Jn,$n]),nt=Ds(4096,"symbol"),tt=Ds(16384,"void"),ot=Ds(131072,"never"),it=Ds(131072,"never",262144,"silent"),ct=Ds(131072,"never",void 0,"implicit"),dt=Ds(131072,"never",void 0,"unreachable"),mt=Ds(67108864,"object"),ht=mv([Vn,Un]),yt=mv([Vn,Un,nt]),vt=te?Vn:yt,bt=mv([Un,Hn]),Et=mv([Vn,Un,Zn,Hn,Bn,On]),St=$v(["",""],[Un]),xt=rS((e=>{return 262144&e.flags?!(n=e).constraint&&!Xm(n)||n.constraint===Wt?n:n.restrictiveInstantiation||(n.restrictiveInstantiation=Ms(n.symbol),n.restrictiveInstantiation.constraint=Wt,n.restrictiveInstantiation):e;var n}),(()=>"(restrictive mapper)")),At=rS((e=>262144&e.flags?Rn:e),(()=>"(permissive mapper)")),Rt=Ds(131072,"never",void 0,"unique literal"),It=rS((e=>262144&e.flags?Rt:e),(()=>"(unique literal mapper)")),Nt=rS((e=>(!Qn||e!==Bt&&e!==jt&&e!==Vt||Qn(!0),e)),(()=>"(unmeasurable reporter)")),Dt=rS((e=>(!Qn||e!==Bt&&e!==jt&&e!==Vt||Qn(!1),e)),(()=>"(unreliable reporter)")),Ct=Os(void 0,S,o,o,o),Mt=Os(void 0,S,o,o,o);Mt.objectFlags|=2048;var Pt=Li(2048,"__type");Pt.members=Mf();var Lt=Os(Pt,S,o,o,o),kt=Os(void 0,S,o,o,o),wt=K?mv([On,Bn,kt]):Ln,Ot=Os(void 0,S,o,o,o);Ot.instantiations=new Map;var Ft=Os(void 0,S,o,o,o);Ft.objectFlags|=262144;var Wt=Os(void 0,S,o,o,o),zt=Os(void 0,S,o,o,o),Gt=Os(void 0,S,o,o,o),Bt=Ms(),jt=Ms();jt.constraint=Bt;var Vt=Ms(),Ut=Ms(),Ht=Ms();Ht.constraint=Ut;var Kt,qt,Jt,Xt,Yt,$t,Qt,Zt,er,nr,tr,rr,or,ir,ar,sr,lr,cr,dr,ur,pr,fr,mr,_r,hr,vr,br,Er,Sr,Tr,xr,Ar,Rr,Ir,Nr,Dr,Mr,Pr,Lr,kr,wr,Or,Fr,Wr,zr,Gr,Br,jr,Vr,Ur,Hr,Kr,qr,Jr,Xr,Yr,$r,Qr,Zr,eo,no,to,ro,oo=cm(1,"<<unresolved>>",0,xn),io=Fu(void 0,void 0,void 0,o,xn,void 0,0,0),ao=Fu(void 0,void 0,void 0,o,Nn,void 0,0,0),so=Fu(void 0,void 0,void 0,o,xn,void 0,0,0),lo=Fu(void 0,void 0,void 0,o,it,void 0,0,0),co=Hm(Un,Vn,!0),uo=new Map,po={get yieldType(){return Tt.fail("Not supported")},get returnType(){return Tt.fail("Not supported")},get nextType(){return Tt.fail("Not supported")}},fo=ZF(xn,xn,xn),mo=ZF(xn,xn,Ln),_o=ZF(ot,xn,On),ho={iterableCacheKey:"iterationTypesOfAsyncIterable",iteratorCacheKey:"iterationTypesOfAsyncIterator",iteratorSymbolName:"asyncIterator",getGlobalIteratorType:function(e){return Nr||(Nr=tg("AsyncIterator",3,e))||Ot},getGlobalIterableType:kg,getGlobalIterableIteratorType:function(e){return Dr||(Dr=tg("AsyncIterableIterator",1,e))||Ot},getGlobalGeneratorType:function(e){return Mr||(Mr=tg("AsyncGenerator",3,e))||Ot},resolveIterationType:(e,n)=>eF(e,n,Oa.Type_of_await_operand_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member),mustHaveANextMethodDiagnostic:Oa.An_async_iterator_must_have_a_next_method,mustBeAMethodDiagnostic:Oa.The_0_property_of_an_async_iterator_must_be_a_method,mustHaveAValueDiagnostic:Oa.The_type_returned_by_the_0_method_of_an_async_iterator_must_be_a_promise_for_a_type_with_a_value_property},go={iterableCacheKey:"iterationTypesOfIterable",iteratorCacheKey:"iterationTypesOfIterator",iteratorSymbolName:"iterator",getGlobalIteratorType:function(e){return Sr||(Sr=tg("Iterator",3,e))||Ot},getGlobalIterableType:Og,getGlobalIterableIteratorType:function(e){return Tr||(Tr=tg("IterableIterator",1,e))||Ot},getGlobalGeneratorType:function(e){return xr||(xr=tg("Generator",3,e))||Ot},resolveIterationType:(e,n)=>e,mustHaveANextMethodDiagnostic:Oa.An_iterator_must_have_a_next_method,mustBeAMethodDiagnostic:Oa.The_0_property_of_an_iterator_must_be_a_method,mustHaveAValueDiagnostic:Oa.The_type_returned_by_the_0_method_of_an_iterator_must_have_a_value_property},yo=new Map,vo=[],bo=new Map,Eo=0,So=0,To=0,xo=!1,Ao=0,Ro=[],Io=[],No=[],Do=0,Co=[],Mo=[],Lo=0,ko=GE(""),wo=BE(0),Oo=jE({negative:!1,base10Value:"0"}),Fo=[],Wo=[],zo=[],Go=0,Bo=!1,jo=0,Vo=10,Uo=[],Ho=[],Ko=[],qo=[],Jo=[],Xo=[],Yo=[],$o=[],Qo=[],Zo=[],ei=[],ni=[],ti=[],ri=[],oi=[],ii=[],ai=[],si=Mv(),li=Mv(),ci=mv(Je(wz.keys(),GE)),di=new Map,ui=new Map,pi=new Map,fi=new Map,mi=new Map,_i=new Map,hi=Mf();hi.set(me.escapedName,me);var gi=[[".mts",".mjs"],[".ts",".js"],[".cts",".cjs"],[".mjs",".mjs"],[".js",".js"],[".cjs",".cjs"],[".tsx",1===A.jsx?".jsx":".js"],[".jsx",".jsx"],[".json",".json"]];return function(){for(const n of e.getSourceFiles())VW(n,A);let n;Kt=new Map;for(const t of e.getSourceFiles())if(!t.redirectInfo){if(!T_(t)){const e=t.locals.get("globalThis");if(null==e?void 0:e.declarations)for(const n of e.declarations)si.add(d_(n,Oa.Declaration_name_conflicts_with_built_in_global_identifier_0,"globalThis"));ji(fe,t.locals)}if(t.jsGlobalAugmentations&&ji(fe,t.jsGlobalAugmentations),t.patternAmbientModules&&t.patternAmbientModules.length&&(Jt=ae(Jt,t.patternAmbientModules)),t.moduleAugmentations.length&&(n||(n=[])).push(t.moduleAugmentations),t.symbol&&t.symbol.globalExports){t.symbol.globalExports.forEach(((e,n)=>{fe.has(n)||fe.set(n,e)}))}}if(n)for(const e of n)for(const n of e)Gm(n.parent)&&Vi(n);t=fe,r=hi,i=Oa.Declaration_name_conflicts_with_built_in_global_identifier_0,void r.forEach(((e,n)=>{const r=t.get(n);r?E(r.declarations,function(e,n){return t=>si.add(d_(t,n,e))}(Pl(n),i)):t.set(n,e)})),Ui(me).type=Fn,Ui(xe).type=tg("IArguments",0,!0),Ui(vn).type=Nn,Ui(_e).type=Cs(16,_e),er=tg("Array",1,!0),Yt=tg("Object",0,!0),$t=tg("Function",0,!0),Qt=J&&tg("CallableFunction",0,!0)||$t,Zt=J&&tg("NewableFunction",0,!0)||$t,tr=tg("String",0,!0),rr=tg("Number",0,!0),or=tg("Boolean",0,!0),ir=tg("RegExp",0,!0),sr=ey(xn),(lr=ey(An))===Ct&&(lr=Os(void 0,S,o,o,o));var t,r,i;if(nr=zg("ReadonlyArray",1)||er,cr=nr?Jg(nr,[xn]):sr,ar=zg("ThisType",1),n)for(const e of n)for(const n of e)Gm(n.parent)||Vi(n);Kt.forEach((({firstFile:e,secondFile:n,conflictingSymbols:t})=>{if(t.size<8)t.forEach((({isBlockScoped:e,firstFileLocations:n,secondFileLocations:t},r)=>{const o=e?Oa.Cannot_redeclare_block_scoped_variable_0:Oa.Duplicate_identifier_0;for(const e of n)Bi(e,o,r,t);for(const e of t)Bi(e,o,r,n)}));else{const r=Je(t.keys()).join(", ");si.add(xx(d_(e,Oa.Definitions_of_the_following_identifiers_conflict_with_those_in_another_file_Colon_0,r),d_(n,Oa.Conflicts_are_in_this_file))),si.add(xx(d_(n,Oa.Definitions_of_the_following_identifiers_conflict_with_those_in_another_file_Colon_0,r),d_(e,Oa.Conflicts_are_in_this_file)))}})),Kt=void 0}(),Fe;function yi(e){return e?un.get(e):void 0}function vi(e,n){return e&&un.set(e,n),n}function bi(e){if(e){const n=$f(e);if(n)if(BC(e)){if(n.localJsxFragmentNamespace)return n.localJsxFragmentNamespace;const t=n.pragmas.get("jsxfrag");if(t){const e=pn(t)?t[0]:t;if(n.localJsxFragmentFactory=ck(e.arguments.factory,R),rG(n.localJsxFragmentFactory,Si,bd),n.localJsxFragmentFactory)return n.localJsxFragmentNamespace=SE(n.localJsxFragmentFactory).escapedText}const r=UG(e);if(r)return n.localJsxFragmentFactory=r,n.localJsxFragmentNamespace=SE(r).escapedText}else{const e=Ei(n);if(e)return n.localJsxNamespace=e}}return to||(to="React",A.jsxFactory?(rG(ro=ck(A.jsxFactory,R),Si),ro&&(to=SE(ro).escapedText)):A.reactNamespace&&(to=Ml(A.reactNamespace))),ro||(ro=UA.createQualifiedName(UA.createIdentifier(Pl(to)),"createElement")),to}function Ei(e){if(e.localJsxNamespace)return e.localJsxNamespace;const n=e.pragmas.get("jsx");if(n){const t=pn(n)?n[0]:n;if(e.localJsxFactory=ck(t.arguments.factory,R),rG(e.localJsxFactory,Si,bd),e.localJsxFactory)return e.localJsxNamespace=SE(e.localJsxFactory).escapedText}}function Si(e){return Gx(e,-1,-1),fG(e,Si,void 0)}function Ti(e,n,t,...r){const o=Ai(n,t,...r);return o.skippedOn=e,o}function xi(e,n,...t){return e?d_(e,n,...t):sT(n,...t)}function Ai(e,n,...t){const r=xi(e,n,...t);return si.add(r),r}function Ri(e,n){e?si.add(n):li.add({...n,category:2})}function Ii(e,n,t,...r){if(n.pos<0||n.end<0){if(!e)return;const o=$f(n);Ri(e,"message"in t?iT(o,0,0,t,...r):g_(o,t))}else Ri(e,"message"in t?d_(n,t,...r):f_($f(n),n,t))}function Ni(e,n,t,...r){const o=Ai(e,t,...r);if(n){xx(o,d_(e,Oa.Did_you_forget_to_use_await))}return o}function Di(e,n){const t=Array.isArray(e)?E(e,uc):uc(e);return t&&xx(n,d_(t,Oa.The_declaration_was_marked_as_deprecated_here)),li.add(n),n}function Ci(e){const n=ms(e);return n&&b(e.declarations)>1?64&n.flags?oe(e.declarations,Mi):N(e.declarations,Mi):!!e.valueDeclaration&&Mi(e.valueDeclaration)||b(e.declarations)&&N(e.declarations,Mi)}function Mi(e){return!!(536870912&CB(e))}function Pi(e,n,t){return Di(n,d_(e,Oa._0_is_deprecated,t))}function Li(e,n,t){m++;const r=new d(33554432|e,n);return r.links=new Gz,r.links.checkFlags=t||0,r}function ki(e,n){const t=Li(1,e);return t.links.type=n,t}function wi(e,n){const t=Li(4,e);return t.links.type=n,t}function Oi(e){let n=0;return 2&e&&(n|=111551),1&e&&(n|=111550),4&e&&(n|=0),8&e&&(n|=900095),16&e&&(n|=110991),32&e&&(n|=899503),64&e&&(n|=788872),256&e&&(n|=899327),128&e&&(n|=899967),512&e&&(n|=110735),8192&e&&(n|=103359),32768&e&&(n|=46015),65536&e&&(n|=78783),262144&e&&(n|=526824),524288&e&&(n|=788968),2097152&e&&(n|=2097152),n}function Fi(e,n){n.mergeId||(n.mergeId=Pz,Pz++),Uo[n.mergeId]=e}function Wi(e){const n=Li(e.flags,e.escapedName);return n.declarations=e.declarations?e.declarations.slice():[],n.parent=e.parent,e.valueDeclaration&&(n.valueDeclaration=e.valueDeclaration),e.constEnumOnlyModule&&(n.constEnumOnlyModule=!0),e.members&&(n.members=new Map(e.members)),e.exports&&(n.exports=new Map(e.exports)),Fi(n,e),n}function zi(e,n,t=!1){if(!(e.flags&Oi(n.flags))||67108864&(n.flags|e.flags)){if(n===e)return e;if(!(33554432&e.flags)){const t=Fa(e);if(t===vn)return n;e=Wi(t)}512&n.flags&&512&e.flags&&e.constEnumOnlyModule&&!n.constEnumOnlyModule&&(e.constEnumOnlyModule=!1),e.flags|=n.flags,n.valueDeclaration&&wg(e,n.valueDeclaration),Ee(e.declarations,n.declarations),n.members&&(e.members||(e.members=Mf()),ji(e.members,n.members,t)),n.exports&&(e.exports||(e.exports=Mf()),ji(e.exports,n.exports,t)),t||Fi(e,n)}else if(1024&e.flags)e!==_e&&Ai(n.declarations&&jl(n.declarations[0]),Oa.Cannot_augment_module_0_with_value_exports_because_it_resolves_to_a_non_module_entity,rl(e));else{const t=!!(384&e.flags||384&n.flags),o=!!(2&e.flags||2&n.flags),i=t?Oa.Enum_declarations_can_only_merge_with_namespace_or_other_enum_declarations:o?Oa.Cannot_redeclare_block_scoped_variable_0:Oa.Duplicate_identifier_0,a=n.declarations&&$f(n.declarations[0]),s=e.declarations&&$f(e.declarations[0]),l=Zf(a,A.checkJs),c=Zf(s,A.checkJs),d=rl(n);if(a&&s&&Kt&&!t&&a!==s){const t=-1===Ra(a.path,s.path)?a:s,i=t===a?s:a,u=Z(Kt,`${t.path}|${i.path}`,(()=>({firstFile:t,secondFile:i,conflictingSymbols:new Map}))),p=Z(u.conflictingSymbols,d,(()=>({isBlockScoped:o,firstFileLocations:[],secondFileLocations:[]})));l||r(p.firstFileLocations,n),c||r(p.secondFileLocations,e)}else l||Gi(n,i,d,e),c||Gi(e,i,d,n)}return e;function r(e,n){if(n.declarations)for(const t of n.declarations)Se(e,t)}}function Gi(e,n,t,r){E(e.declarations,(e=>{Bi(e,n,t,r.declarations)}))}function Bi(e,n,t,r){const i=(fg(e,!1)?_g(e):jl(e))||e,a=function(e,n,...t){const r=e?d_(e,n,...t):sT(n,...t);return si.lookup(r)||(si.add(r),r)}(i,n,t);for(const e of r||o){const n=(fg(e,!1)?_g(e):jl(e))||e;if(n===i)continue;a.relatedInformation=a.relatedInformation||[];const r=d_(n,Oa._0_was_also_declared_here,t),o=d_(n,Oa.and_here);b(a.relatedInformation)>=5||oe(a.relatedInformation,(e=>0===pT(e,o)||0===pT(e,r)))||xx(a,b(a.relatedInformation)?o:r)}}function ji(e,n,t=!1){n.forEach(((n,r)=>{const o=e.get(r);e.set(r,o?zi(o,n,t):us(n))}))}function Vi(e){var n,t,r;const o=e.parent;if((null==(n=o.symbol.declarations)?void 0:n[0])===o)if(Gm(o))ji(fe,o.symbol.exports);else{let n=Ya(e,e,33554432&e.parent.parent.flags?void 0:Oa.Invalid_module_name_in_augmentation_module_0_cannot_be_found,!0);if(!n)return;if(n=Za(n),1920&n.flags)if(oe(Jt,(e=>n===e.symbol))){const t=zi(o.symbol,n,!0);Xt||(Xt=new Map),Xt.set(e.text,t)}else{if((null==(t=n.exports)?void 0:t.get("__export"))&&(null==(r=o.symbol.exports)?void 0:r.size)){const e=Cu(n,"resolvedExports");for(const[t,r]of Je(o.symbol.exports.entries()))e.has(t)&&!n.exports.has(t)&&zi(e.get(t),r)}zi(n,o.symbol)}else Ai(e,Oa.Cannot_augment_module_0_because_it_resolves_to_a_non_module_entity,e.text)}else Tt.assert(o.symbol.declarations.length>1)}function Ui(e){if(33554432&e.flags)return e.links;const n=Kz(e);return Ho[n]??(Ho[n]=new Gz)}function Hi(e){const n=Hz(e);return Ko[n]||(Ko[n]=new Uz)}function Ki(e){return 312===e.kind&&!T_(e)}function qi(e,n,t){if(t){const r=us(e.get(n));if(r){if(Tt.assert(!(1&mS(r)),"Should never get an instantiated symbol here."),r.flags&t)return r;if(2097152&r.flags){if(za(r)&t)return r}}}}function Xi(n,t){const r=$f(n),o=$f(t),i=t_(n);if(r!==o){if(I&&(r.externalModuleIndicator||o.externalModuleIndicator)||!ob(A)||Eb(t)||33554432&n.flags)return!0;if(a(t,n))return!0;const i=e.getSourceFiles();return i.indexOf(r)<=i.indexOf(o)}if(16777216&t.flags||Eb(t)||YR(t))return!0;if(n.pos<=t.pos&&(!TN(n)||!Ih(t.parent)||n.initializer||n.exclamationToken)){if(208===n.kind){const e=jy(t,208);return e?Nl(e,iD)!==Nl(n,iD)||n.pos<e.pos:Xi(jy(n,260),t)}return 260===n.kind?!function(e,n){switch(e.parent.parent.kind){case 243:case 248:case 250:if(fa(n,e,i))return!0}const t=e.parent.parent;return vu(t)&&fa(n,t.expression,i)}(n,t):Md(n)?!Nl(t,(e=>yN(e)&&e.parent.parent===n)):TN(n)?!s(n,t,!1):!gl(n,n.parent)||!(z&&_h(n)===_h(t)&&a(t,n))}return!!(281===t.parent.kind||277===t.parent.kind&&t.parent.isExportEquals)||(!(277!==t.kind||!t.isExportEquals)||!!a(t,n)&&(!z||!_h(n)||!TN(n)&&!gl(n,n.parent)||!s(n,t,!0)));function a(e,n){return!!Nl(e,(t=>{if(t===i)return"quit";if(Td(t))return!0;if(RN(t))return n.pos<e.pos;const r=hn(t.parent,TN);if(r){if(r.initializer===t)if(jb(t.parent)){if(174===n.kind)return!0;if(TN(n)&&_h(e)===_h(n)){const e=n.name;if(tN(e)||rN(e)){if(function(e,n,t,r,o){for(const i of t)if(i.pos>=r&&i.pos<=o){const t=UA.createPropertyAccessExpression(UA.createThis(),e);Vx(t.expression,t),Vx(t,i),t.flowNode=i.returnFlowNode;if(!vT(fN(t,n,LA(n))))return!0}return!1}(e,sd(ps(n)),W(n.parent.members,RN),n.parent.pos,t.pos))return!0}}}else{if(!(172===n.kind&&!jb(n))||_h(e)!==_h(n))return!0}}return!1}))}function s(e,n,t){if(n.end>e.end)return!1;return void 0===Nl(n,(n=>{if(n===e)return"quit";switch(n.kind){case 219:return!0;case 172:return!t||!(TN(e)&&n.parent===e.parent||gl(e,e.parent)&&n.parent===e.parent.parent)||"quit";case 241:switch(n.parent.kind){case 177:case 174:case 178:return!0;default:return!1}default:return!1}}))}}function Zi(e,n,t){const r=jp(A),o=n;if(bN(t)&&o.body&&e.valueDeclaration&&e.valueDeclaration.pos>=o.body.pos&&e.valueDeclaration.end<=o.body.end&&r>=2){const e=Hi(o);return void 0===e.declarationRequiresScopeChange&&(e.declarationRequiresScopeChange=E(o.parameters,(function(e){return i(e.name)||!!e.initializer&&i(e.initializer)}))||!1),!e.declarationRequiresScopeChange}return!1;function i(e){switch(e.kind){case 219:case 218:case 262:case 176:return!1;case 174:case 177:case 178:case 303:return i(e.name);case 172:return Vb(e)?!z:i(e.name);default:return zc(e)||wc(e)?r<7:iD(e)&&e.dotDotDotToken&&rD(e.parent)?r<4:!Bd(e)&&(ok(e,i)||!1)}}}function ea(e){return pu(e)&&Gc(e.type)||zM(e)&&Gc(e.typeExpression)}function na(e,n,t,r,o,i,a=!1,s=!0){return ta(e,n,t,r,o,i,a,s,qi)}function ta(e,n,t,r,o,i,a,s,c){var d,u,p;const f=e;let m,_,h,g,y,v=!1;const E=e;let T,x=!1;e:for(;e;){if("const"===n&&ea(e))return;if(Iu(e)&&_&&e.name===_&&(_=e,e=e.parent),Du(e)&&e.locals&&!Ki(e)&&(m=c(e.locals,n,t))){let n=!0;if(Td(e)&&_&&_!==e.body?(t&m.flags&788968&&327!==_.kind&&(n=!!(262144&m.flags)&&(_===e.type||169===_.kind||348===_.kind||349===_.kind||168===_.kind)),t&m.flags&3&&(Zi(m,e,_)?n=!1:1&m.flags&&(n=169===_.kind||_===e.type&&!!Nl(m.valueDeclaration,bN)))):194===e.kind&&(n=_===e.trueType),n)break e;m=void 0}switch(v=v||ia(e,_),e.kind){case 312:if(!T_(e))break;x=!0;case 267:const o=(null==(d=ps(e))?void 0:d.exports)||S;if(312===e.kind||pC(e)&&33554432&e.flags&&!Gm(e)){if(m=o.get("default")){const e=kE(m);if(e&&m.flags&t&&e.escapedName===n)break e;m=void 0}const e=o.get(n);if(e&&2097152===e.flags&&(Df(e,281)||Df(e,280)))break}if("default"!==n&&(m=c(o,n,2623475&t))){if(!rM(e)||!e.commonJsModuleIndicator||(null==(u=m.declarations)?void 0:u.some(Kg)))break e;m=void 0}break;case 266:if(m=c((null==(p=ps(e))?void 0:p.exports)||S,n,8&t)){!r||!Kp(A)||33554432&e.flags||$f(e)===$f(m.valueDeclaration)||Ai(E,Oa.Cannot_access_0_from_another_file_without_qualification_when_1_is_enabled_Use_2_instead,Pl(n),Re,`${Pl(fs(e).escapedName)}.${Pl(n)}`);break e}break;case 172:if(!jb(e)){const r=As(e.parent);r&&r.locals&&c(r.locals,n,111551&t)&&(Tt.assertNode(e,TN),g=e)}break;case 263:case 231:case 264:if(m=c(ps(e).members||S,n,788968&t)){if(!la(m,e)){m=void 0;break}if(_&&jb(_))return void(r&&Ai(E,Oa.Static_members_cannot_reference_class_type_parameters));break e}if(ND(e)&&32&t){const t=e.name;if(t&&n===t.escapedText){m=e.symbol;break e}}break;case 233:if(_===e.expression&&96===e.parent.token){const o=e.parent.parent;if(Md(o)&&(m=c(ps(o).members,n,788968&t)))return void(r&&Ai(E,Oa.Base_class_expressions_cannot_reference_class_type_parameters))}break;case 167:if(T=e.parent.parent,(Md(T)||264===T.kind)&&(m=c(ps(T).members,n,788968&t)))return void(r&&Ai(E,Oa.A_computed_property_name_cannot_reference_a_type_parameter_from_its_containing_type));break;case 219:if(jp(A)>=2)break;case 174:case 176:case 177:case 178:case 262:if(3&t&&"arguments"===n){m=xe;break e}break;case 218:if(3&t&&"arguments"===n){m=xe;break e}if(16&t){const t=e.name;if(t&&n===t.escapedText){m=e.symbol;break e}}break;case 170:e.parent&&169===e.parent.kind&&(e=e.parent),e.parent&&(Cd(e.parent)||263===e.parent.kind)&&(e=e.parent);break;case 353:case 345:case 347:const i=cy(e);i&&(e=i.parent);break;case 169:_&&(_===e.initializer||_===e.name&&Vd(_))&&(y||(y=e));break;case 208:_&&(_===e.initializer||_===e.name&&Vd(_))&&vv(e)&&!y&&(y=e);break;case 195:if(262144&t){const t=e.typeParameter.name;if(t&&n===t.escapedText){m=e.typeParameter.symbol;break e}}break;case 281:_&&_===e.propertyName&&e.parent.parent.moduleSpecifier&&(e=e.parent.parent.parent)}aa(e)&&(h=e),_=e,e=GM(e)?oy(e)||e.parent:(OM(e)||FM(e))&&ay(e)||e.parent}if(!i||!m||h&&m===h.symbol||(m.isReferenced|=t),!m){if(_&&(Tt.assertNode(_,rM),_.commonJsModuleIndicator&&"exports"===n&&t&_.symbol.flags))return _.symbol;a||(m=c(fe,n,t))}if(!m&&f&&Yh(f)&&f.parent&&ng(f.parent,!1))return Ae;function R(){return!(!g||z)&&(Ai(E,E&&g.type&&nl(g.type,E.pos)?Oa.Type_of_instance_member_variable_0_cannot_reference_identifier_1_declared_in_the_constructor:Oa.Initializer_of_instance_member_variable_0_cannot_reference_identifier_1_declared_in_the_constructor,o_(g.name),sa(o)),!0)}if(m){if(!r||!R())return r&&l((()=>{var e;if(E&&(2&t||(32&t||384&t)&&!(111551&~t))){const e=Ss(m);(2&e.flags||32&e.flags||384&e.flags)&&function(e,n){var t;if(Tt.assert(!!(2&e.flags||32&e.flags||384&e.flags)),67108881&e.flags&&32&e.flags)return;const r=null==(t=e.declarations)?void 0:t.find((e=>Pm(e)||Md(e)||266===e.kind));if(void 0===r)return Tt.fail("checkResolvedBlockScopedVariable could not find block-scoped declaration");if(!(33554432&r.flags||Xi(r,n))){let t;const o=o_(jl(r));2&e.flags?t=Ai(n,Oa.Block_scoped_variable_0_used_before_its_declaration,o):32&e.flags?t=Ai(n,Oa.Class_0_used_before_its_declaration,o):256&e.flags?t=Ai(n,Oa.Enum_0_used_before_its_declaration,o):(Tt.assert(!!(128&e.flags)),Kp(A)&&(t=Ai(n,Oa.Enum_0_used_before_its_declaration,o))),t&&xx(t,d_(r,Oa._0_is_declared_here,o))}}(e,E)}if(m&&x&&!(111551&~t)&&!(16777216&f.flags)){const e=us(m);b(e.declarations)&&N(e.declarations,(e=>_C(e)||rM(e)&&!!e.symbol.globalExports))&&Ii(!A.allowUmdGlobalAccess,E,Oa._0_refers_to_a_UMD_global_but_the_current_file_is_a_module_Consider_adding_an_import_instead,Pl(n))}if(m&&y&&!v&&!(111551&~t)){const e=us(Lu(m)),n=bv(y);e===ps(y)?Ai(E,Oa.Parameter_0_cannot_reference_itself,o_(y.name)):e.valueDeclaration&&e.valueDeclaration.pos>y.pos&&n.parent.locals&&c(n.parent.locals,e.escapedName,t)===e&&Ai(E,Oa.Parameter_0_cannot_reference_identifier_1_declared_after_it,o_(y.name),o_(E))}if(m&&E&&111551&t&&2097152&m.flags&&!(111551&m.flags)&&!wx(E)){const e=ja(m,111551);if(e){const t=281===e.kind||278===e.kind||280===e.kind?Oa._0_cannot_be_used_as_a_value_because_it_was_exported_using_export_type:Oa._0_cannot_be_used_as_a_value_because_it_was_imported_using_import_type,r=Pl(n);oa(Ai(E,t,r),e,r)}}if(A.isolatedModules&&m&&x&&!(111551&~t)){const r=c(fe,n,t)===m&&rM(_)&&_.locals&&c(_.locals,n,-111552);if(r){const t=null==(e=r.declarations)?void 0:e.find((e=>276===e.kind||273===e.kind||274===e.kind||271===e.kind));t&&!ad(t)&&Ai(t,Oa.Import_0_conflicts_with_global_value_used_in_this_file_so_must_be_declared_with_a_type_only_import_when_isolatedModules_is_enabled,Pl(n))}}})),m}else r&&l((()=>{if(!(E&&(331===E.parent.kind||function(e,n,t){if(!tN(e)||e.escapedText!==n||Cz(e)||Eb(e))return!1;const r=vh(e,!1,!1);let o=r;for(;o;){if(Md(o.parent)){const i=ps(o.parent);if(!i)break;if(Lf(sd(i),n))return Ai(e,Oa.Cannot_find_name_0_Did_you_mean_the_static_member_1_0,sa(t),rl(i)),!0;if(o===r&&!jb(o)){if(Lf(ou(i).thisType,n))return Ai(e,Oa.Cannot_find_name_0_Did_you_mean_the_instance_member_this_0,sa(t)),!0}}o=o.parent}return!1}(E,n,o)||R()||ca(E)||function(e,n,t){const r=1920|(Yh(e)?111551:0);if(t===r){const t=Fa(na(e,n,788968&~r,void 0,void 0,!1)),o=e.parent;if(t){if(gN(o)){Tt.assert(o.left===e,"Should only be resolving left side of qualified name as a namespace");const r=o.right.escapedText;if(Lf(ou(t),r))return Ai(o,Oa.Cannot_access_0_1_because_0_is_a_type_but_not_a_namespace_Did_you_mean_to_retrieve_the_type_of_the_property_1_in_0_with_0_1,Pl(n),Pl(r)),!0}return Ai(e,Oa._0_only_refers_to_a_type_but_is_being_used_as_a_namespace_here,Pl(n)),!0}}return!1}(E,n,t)||function(e,n){if(pa(n)&&281===e.parent.kind)return Ai(e,Oa.Cannot_export_0_Only_local_declarations_can_be_exported_from_a_module,n),!0;return!1}(E,n)||function(e,n,t){if(111127&t){if(Fa(na(e,n,1024,void 0,void 0,!1)))return Ai(e,Oa.Cannot_use_namespace_0_as_a_value,Pl(n)),!0}else if(788544&t){if(Fa(na(e,n,1536,void 0,void 0,!1)))return Ai(e,Oa.Cannot_use_namespace_0_as_a_type,Pl(n)),!0}return!1}(E,n,t)||function(e,n,t){if(111551&t){if(pa(n)){const t=e.parent.parent;if(t&&t.parent&&YC(t)){const r=t.token,o=t.parent.kind;264===o&&96===r?Ai(e,Oa.An_interface_cannot_extend_a_primitive_type_like_0_It_can_only_extend_other_named_object_types,Pl(n)):263===o&&96===r?Ai(e,Oa.A_class_cannot_extend_a_primitive_type_like_0_Classes_can_only_extend_constructable_values,Pl(n)):263===o&&119===r&&Ai(e,Oa.A_class_cannot_implement_a_primitive_type_like_0_It_can_only_implement_other_named_object_types,Pl(n))}else Ai(e,Oa._0_only_refers_to_a_type_but_is_being_used_as_a_value_here,Pl(n));return!0}const t=Fa(na(e,n,788544,void 0,void 0,!1)),r=t&&za(t);if(t&&void 0!==r&&!(111551&r)){const r=Pl(n);return!function(e){switch(e){case"Promise":case"Symbol":case"Map":case"WeakMap":case"Set":case"WeakSet":return!0}return!1}(n)?!function(e,n){const t=Nl(e.parent,(e=>!yN(e)&&!SN(e)&&(WN(e)||"quit")));if(t&&1===t.members.length){const e=ou(n);return!!(1048576&e.flags)&&Gw(e,384,!0)}return!1}(e,t)?Ai(e,Oa._0_only_refers_to_a_type_but_is_being_used_as_a_value_here,r):Ai(e,Oa._0_only_refers_to_a_type_but_is_being_used_as_a_value_here_Did_you_mean_to_use_1_in_0,r,"K"===r?"P":"K"):Ai(e,Oa._0_only_refers_to_a_type_but_is_being_used_as_a_value_here_Do_you_need_to_change_your_target_library_Try_changing_the_lib_compiler_option_to_es2015_or_later,r),!0}}return!1}(E,n,t)||function(e,n,t){if(788584&t){const t=Fa(na(e,n,111127,void 0,void 0,!1));if(t&&!(1920&t.flags))return Ai(e,Oa._0_refers_to_a_value_but_is_being_used_as_a_type_here_Did_you_mean_typeof_0,Pl(n)),!0}return!1}(E,n,t)))){let e,i;if(o&&(i=function(e){const n=sa(e),t=fp().get(n);return t&&Pe(t.keys())}(o),i&&Ai(E,r,sa(o),i)),!i&&s&&jo<Vo){e=iL(f,n,t);if((null==e?void 0:e.valueDeclaration)&&km(e.valueDeclaration)&&Gm(e.valueDeclaration)&&(e=void 0),e){const n=rl(e),r=JP(f,e,!1),i=1920===t||o&&"string"!=typeof o&&Sv(o)?Oa.Cannot_find_namespace_0_Did_you_mean_1:r?Oa.Could_not_find_name_0_Did_you_mean_1:Oa.Cannot_find_name_0_Did_you_mean_1,a=xi(E,i,sa(o),n);Ri(!r,a),e.valueDeclaration&&xx(a,d_(e.valueDeclaration,Oa._0_is_declared_here,n))}}e||i||!o||Ai(E,r,sa(o)),jo++}}))}function oa(e,n,t){return n?xx(e,d_(n,281===n.kind||278===n.kind||280===n.kind?Oa._0_was_exported_here:Oa._0_was_imported_here,t)):e}function ia(e,n){return 219!==e.kind&&218!==e.kind?FN(e)||(Ad(e)||172===e.kind&&!jb(e))&&(!n||n!==e.name):(!n||n!==e.name)&&(!(!e.asteriskToken&&!Bb(e,1024))||!xh(e))}function aa(e){switch(e.kind){case 262:case 263:case 264:case 266:case 265:case 267:return!0;default:return!1}}function sa(e){return mn(e)?Pl(e):o_(e)}function la(e,n){if(e.declarations)for(const t of e.declarations)if(168===t.kind){if((GM(t.parent)?ly(t.parent):t.parent)===n)return!(GM(t.parent)&&D(t.parent.parent.tags,Kg))}return!1}function ca(e){const n=da(e);return!(!n||!qa(n,64,!0))&&(Ai(e,Oa.Cannot_extend_an_interface_0_Did_you_mean_implements,xm(n)),!0)}function da(e){switch(e.kind){case 80:case 211:return e.parent?da(e.parent):void 0;case 233:if(EE(e.expression))return e.expression;default:return}}function pa(e){return"any"===e||"string"===e||"number"===e||"boolean"===e||"never"===e||"unknown"===e}function fa(e,n,t){return!!n&&!!Nl(e,(e=>e===n||!!(e===t||Td(e)&&(!xh(e)||3&Zy(e)))&&"quit"))}function _a(e){switch(e.kind){case 271:return e;case 273:return e.parent;case 274:return e.parent.parent;case 276:return e.parent.parent.parent;default:return}}function ha(e){return e.declarations&&C(e.declarations,ga)}function ga(e){return 271===e.kind||270===e.kind||273===e.kind&&!!e.name||274===e.kind||280===e.kind||276===e.kind||281===e.kind||277===e.kind&&Ly(e)||TD(e)&&2===Eg(e)&&Ly(e)||wS(e)&&TD(e.parent)&&e.parent.left===e&&64===e.parent.operatorToken.kind&&ya(e.parent.right)||304===e.kind||303===e.kind&&ya(e.initializer)||260===e.kind&&rg(e)||208===e.kind&&rg(e.parent.parent)}function ya(e){return Py(e)||_D(e)&&gk(e)}function va(e,n){const t=Ma(e);if(t){const e=zS(t.expression).arguments[0];return tN(t.name)?Fa(Lf(hm(e),t.name.escapedText)):void 0}if(iC(e)||283===e.moduleReference.kind){const n=Xa(e,Kh(e)||Hh(e)),t=Za(n);return Ga(e,n,t,!1),t}const r=Ha(e.moduleReference,n);return function(e,n){if(Ga(e,void 0,n,!1)&&!e.isTypeOnly){const n=ja(ps(e)),t=281===n.kind||278===n.kind,r=t?Oa.An_import_alias_cannot_reference_a_declaration_that_was_exported_using_export_type:Oa.An_import_alias_cannot_reference_a_declaration_that_was_imported_using_import_type,o=t?Oa._0_was_exported_here:Oa._0_was_imported_here,i=278===n.kind?"*":Pl(n.name.escapedText);xx(Ai(e.moduleReference,r),d_(n,o,i))}}(e,r),r}function ba(e,n,t,r){const o=e.exports.get("export="),i=o?Lf(sd(o),n,!0):e.exports.get(n),a=Fa(i,r);return Ga(t,i,a,!1),a}function Ea(e){return NC(e)&&!e.isExportEquals||Bb(e,2048)||MC(e)||AC(e)}function Sa(n){return tp(n)?e.getModeForUsageLocation($f(n),n):void 0}function Ta(e,n){return 99===e&&1===n}function xa(e){return 99===Sa(e)&&Xn(e.text,".json")}function Aa(e,n,t,r){const o=e&&Sa(r);if(e&&void 0!==o&&100<=I&&I<=199){const n=Ta(o,e.impliedNodeFormat);if(99===o||n)return n}if(!j)return!1;if(!e||e.isDeclarationFile){const e=ba(n,"default",void 0,!0);return(!e||!oe(e.declarations,Ea))&&!ba(n,Ml("__esModule"),void 0,t)}return Jh(e)?"object"!=typeof e.externalModuleIndicator&&!ba(n,Ml("__esModule"),void 0,t):ts(n)}function Ia(e,n,t){var r;let o;o=Wm(e)?e:ba(e,"default",n,t);const i=null==(r=e.declarations)?void 0:r.find(rM),a=Na(n);if(!a)return o;const s=xa(a),l=Aa(i,e,t,a);if(o||l||s){if(l||s){const r=Za(e,t)||Fa(e,t);return Ga(n,e,r,!1),r}}else if(ts(e)&&!j){const t=I>=5?"allowSyntheticDefaultImports":"esModuleInterop",r=e.exports.get("export=").valueDeclaration,o=Ai(n.name,Oa.Module_0_can_only_be_default_imported_using_the_1_flag,rl(e),t);r&&xx(o,d_(r,Oa.This_module_is_declared_with_export_and_can_only_be_used_with_a_default_import_when_using_the_0_flag,t))}else yC(n)?function(e,n){var t,r,o;if(null==(t=e.exports)?void 0:t.has(n.symbol.escapedName))Ai(n.name,Oa.Module_0_has_no_default_export_Did_you_mean_to_use_import_1_from_0_instead,rl(e),rl(n.symbol));else{const t=Ai(n.name,Oa.Module_0_has_no_default_export,rl(e)),i=null==(r=e.exports)?void 0:r.get("__export");if(i){const e=null==(o=i.declarations)?void 0:o.find((e=>{var n,t;return!!(DC(e)&&e.moduleSpecifier&&(null==(t=null==(n=Xa(e,e.moduleSpecifier))?void 0:n.exports)?void 0:t.has("default")))}));e&&xx(t,d_(e,Oa.export_Asterisk_does_not_re_export_a_default))}}}(e,n):Ca(e,e,n,id(n)&&n.propertyName||n.name);return Ga(n,o,void 0,!1),o}function Na(e){switch(e.kind){case 273:return e.parent.moduleSpecifier;case 271:return wC(e.moduleReference)?e.moduleReference.expression:void 0;case 274:case 281:return e.parent.parent.moduleSpecifier;case 276:return e.parent.parent.parent.moduleSpecifier;default:return Tt.assertNever(e)}}function Da(e,n,t=!1){var r;const o=Kh(e)||e.moduleSpecifier,i=Xa(e,o),a=!lD(n)&&n.propertyName||n.name;if(!tN(a))return;const s=es(i,o,!1,"default"===a.escapedText&&j);if(s&&a.escapedText){if(Wm(i))return i;let l;l=i&&i.exports&&i.exports.get("export=")?Lf(sd(s),a.escapedText,!0):function(e,n){if(3&e.flags){const t=e.valueDeclaration.type;if(t)return Fa(Lf(JE(t),n))}}(s,a.escapedText),l=Fa(l,t);let c=function(e,n,t,r){var o;if(1536&e.flags){const i=ss(e).get(n.escapedText),a=Fa(i,r);return Ga(t,i,a,!1,null==(o=Ui(e).typeOnlyExportStarMap)?void 0:o.get(n.escapedText),n.escapedText),a}}(s,a,n,t);if(void 0===c&&"default"===a.escapedText){const e=null==(r=i.declarations)?void 0:r.find(rM);(xa(o)||Aa(e,i,t,o))&&(c=Za(i,t)||Fa(i,t))}const d=c&&l&&c!==l?function(e,n){if(e===vn&&n===vn)return vn;if(790504&e.flags)return e;const t=Li(e.flags|n.flags,e.escapedName);return Tt.assert(e.declarations||n.declarations),t.declarations=ce(ae(e.declarations,n.declarations),Mn),t.parent=e.parent||n.parent,e.valueDeclaration&&(t.valueDeclaration=e.valueDeclaration),n.members&&(t.members=new Map(n.members)),e.exports&&(t.exports=new Map(e.exports)),t}(l,c):c||l;return d||Ca(i,s,e,a),d}}function Ca(e,n,t,r){var o;const i=Ka(e,t),a=o_(r),s=aL(r,n);if(void 0!==s){const e=rl(s),n=Ai(r,Oa._0_has_no_exported_member_named_1_Did_you_mean_2,i,a,e);s.valueDeclaration&&xx(n,d_(s.valueDeclaration,Oa._0_is_declared_here,e))}else(null==(o=e.exports)?void 0:o.has("default"))?Ai(r,Oa.Module_0_has_no_exported_member_1_Did_you_mean_to_use_import_1_from_0_instead,i,a):function(e,n,t,r,o){var i,a;const s=null==(a=null==(i=hn(r.valueDeclaration,Du))?void 0:i.locals)?void 0:a.get(n.escapedText),l=r.exports;if(s){const r=null==l?void 0:l.get("export=");if(r)Es(r,s)?function(e,n,t,r){if(I>=5){Ai(n,qp(A)?Oa._0_can_only_be_imported_by_using_a_default_import:Oa._0_can_only_be_imported_by_turning_on_the_esModuleInterop_flag_and_using_a_default_import,t)}else if(Yh(e)){Ai(n,qp(A)?Oa._0_can_only_be_imported_by_using_a_require_call_or_by_using_a_default_import:Oa._0_can_only_be_imported_by_using_a_require_call_or_by_turning_on_the_esModuleInterop_flag_and_using_a_default_import,t)}else{Ai(n,qp(A)?Oa._0_can_only_be_imported_by_using_import_1_require_2_or_a_default_import:Oa._0_can_only_be_imported_by_using_import_1_require_2_or_by_turning_on_the_esModuleInterop_flag_and_using_a_default_import,t,t,r)}}(e,n,t,o):Ai(n,Oa.Module_0_has_no_exported_member_1,o,t);else{const e=l?D(om(l),(e=>!!Es(e,s))):void 0,r=e?Ai(n,Oa.Module_0_declares_1_locally_but_it_is_exported_as_2,o,t,rl(e)):Ai(n,Oa.Module_0_declares_1_locally_but_it_is_not_exported,o,t);s.declarations&&xx(r,...B(s.declarations,((e,n)=>d_(e,0===n?Oa._0_is_declared_here:Oa.and_here,t))))}}else Ai(n,Oa.Module_0_has_no_exported_member_1,o,t)}(t,r,a,e,i)}function Ma(e){if(iC(e)&&e.initializer&&lD(e.initializer))return e.initializer}function Pa(e,n,t){if("default"===Ll(e.propertyName||e.name)){const n=Na(e),r=n&&Xa(e,n);if(r)return Ia(r,e,!!t)}const r=e.parent.parent.moduleSpecifier?Da(e.parent.parent,e,t):qa(e.propertyName||e.name,n,!1,t);return Ga(e,void 0,r,!1),r}function La(e,n){if(ND(e))return nO(e).symbol;if(!bd(e)&&!EE(e))return;const t=qa(e,901119,!0,n);return t||(nO(e),Hi(e).resolvedSymbol)}function ka(e,n=!1){switch(e.kind){case 271:case 260:return va(e,n);case 273:return function(e,n){const t=Xa(e,e.parent.moduleSpecifier);if(t)return Ia(t,e,n)}(e,n);case 274:return function(e,n){const t=e.parent.parent.moduleSpecifier,r=Xa(e,t),o=es(r,t,n,!1);return Ga(e,r,o,!1),o}(e,n);case 280:return function(e,n){const t=e.parent.moduleSpecifier,r=t&&Xa(e,t),o=t&&es(r,t,n,!1);return Ga(e,r,o,!1),o}(e,n);case 276:case 208:return function(e,n){if(IC(e)&&"default"===Ll(e.propertyName||e.name)){const t=Na(e),r=t&&Xa(e,t);if(r)return Ia(r,e,n)}const t=iD(e)?bv(e):e.parent.parent.parent,r=Ma(t),o=Da(t,r||e,n),i=e.propertyName||e.name;return r&&o&&tN(i)?Fa(Lf(sd(o),i.escapedText),n):(Ga(e,void 0,o,!1),o)}(e,n);case 281:return Pa(e,901119,n);case 277:case 226:return function(e,n){const t=La(NC(e)?e.expression:e.right,n);return Ga(e,void 0,t,!1),t}(e,n);case 270:return function(e,n){if(Nu(e.parent)){const t=Za(e.parent.symbol,n);return Ga(e,void 0,t,!1),t}}(e,n);case 304:return qa(e.name,901119,!0,n);case 303:return La(e.initializer,n);case 212:case 211:return function(e,n){if(TD(e.parent)&&e.parent.left===e&&64===e.parent.operatorToken.kind)return La(e.parent.right,n)}(e,n);default:return Tt.fail()}}function wa(e,n=901119){return!!e&&(2097152==(e.flags&(2097152|n))||!!(2097152&e.flags&&67108864&e.flags))}function Fa(e,n){return!n&&wa(e)?Wa(e):e}function Wa(e){Tt.assert(!!(2097152&e.flags),"Should only get Alias here.");const n=Ui(e);if(n.aliasTarget)n.aliasTarget===bn&&(n.aliasTarget=vn);else{n.aliasTarget=bn;const t=ha(e);if(!t)return Tt.fail();const r=ka(t);n.aliasTarget===bn?n.aliasTarget=r||vn:Ai(t,Oa.Circular_definition_of_import_alias_0,rl(e))}return n.aliasTarget}function za(e,n,t){const r=n&&ja(e),o=r&&DC(r),i=r&&(o?Xa(r.moduleSpecifier,r.moduleSpecifier,!0):Wa(r.symbol)),a=o&&i?ls(i):void 0;let s,l=t?0:e.flags;for(;2097152&e.flags;){const n=Ss(Wa(e));if(!o&&n===i||(null==a?void 0:a.get(n.escapedName))===n)break;if(n===vn)return-1;if(n===e||(null==s?void 0:s.has(n)))break;2097152&n.flags&&(s?s.add(n):s=new Set([e,n])),l|=n.flags,e=n}return l}function Ga(e,n,t,r,o,i){if(!e||lD(e))return!1;const a=ps(e);if(ld(e)){return Ui(a).typeOnlyDeclaration=e,!0}if(o){const e=Ui(a);return e.typeOnlyDeclaration=o,a.escapedName!==i&&(e.typeOnlyExportStarName=i),!0}const s=Ui(a);return Ba(s,n,r)||Ba(s,t,r)}function Ba(e,n,t){var r;if(n&&(void 0===e.typeOnlyDeclaration||t&&!1===e.typeOnlyDeclaration)){const t=(null==(r=n.exports)?void 0:r.get("export="))??n,o=t.declarations&&D(t.declarations,ld);e.typeOnlyDeclaration=o??Ui(t).typeOnlyDeclaration??!1}return!!e.typeOnlyDeclaration}function ja(e,n){if(!(2097152&e.flags))return;const t=Ui(e);if(void 0===n)return t.typeOnlyDeclaration||void 0;if(t.typeOnlyDeclaration){return za(278===t.typeOnlyDeclaration.kind?Fa(ls(t.typeOnlyDeclaration.symbol.parent).get(t.typeOnlyExportStarName||e.escapedName)):Wa(t.typeOnlyDeclaration.symbol))&n?t.typeOnlyDeclaration:void 0}}function Va(e){if(!Ie)return;const n=ps(e),t=Wa(n);if(t){(t===vn||111551&za(n,!0)&&!EG(t))&&Ua(n)}}function Ua(e){Tt.assert(Ie);const n=Ui(e);if(!n.referenced){n.referenced=!0;const t=ha(e);if(!t)return Tt.fail();qh(t)&&111551&za(Fa(e))&&nO(t.moduleReference)}}function Ha(e,n){return 80===e.kind&&IE(e)&&(e=e.parent),80===e.kind||166===e.parent.kind?qa(e,1920,!1,n):(Tt.assert(271===e.parent.kind),qa(e,901119,!1,n))}function Ka(e,n){return e.parent?Ka(e.parent,n)+"."+rl(e):rl(e,n,void 0,36)}function qa(e,n,t,r,o){if(im(e))return;const i=1920|(Yh(e)?111551&n:0);let a;if(80===e.kind){const r=n===i||Sv(e)?Oa.Cannot_find_namespace_0:qR(SE(e)),s=Yh(e)&&!Sv(e)?function(e,n){if(dh(e.parent)){const t=function(e){if(Nl(e,(e=>Uu(e)||16777216&e.flags?Kg(e):"quit")))return;const n=ly(e);if(n&&VD(n)&&Lg(n.expression)){const e=ps(n.expression.left);if(e)return Ja(e)}if(n&&_D(n)&&Lg(n.parent)&&VD(n.parent.parent)){const e=ps(n.parent.left);if(e)return Ja(e)}if(n&&(oh(n)||QC(n))&&TD(n.parent.parent)&&6===Eg(n.parent.parent)){const e=ps(n.parent.parent.left);if(e)return Ja(e)}const t=sy(e);if(t&&Td(t)){const e=ps(t);return e&&e.valueDeclaration}}(e.parent);if(t)return na(t,e.escapedText,n,void 0,e,!0)}}(e,n):void 0;if(a=us(na(o||e,e.escapedText,n,t||s?void 0:r,e,!0,!1)),!a)return us(s)}else if(166===e.kind||211===e.kind){const r=166===e.kind?e.left:e.expression,s=166===e.kind?e.right:e.name;let l=qa(r,i,t,!1,o);if(!l||im(s))return;if(l===vn)return l;if(l.valueDeclaration&&Yh(l.valueDeclaration)&&100!==Up(A)&&iC(l.valueDeclaration)&&l.valueDeclaration.initializer&&Ik(l.valueDeclaration.initializer)){const e=l.valueDeclaration.initializer.arguments[0],n=Xa(e,e);if(n){const e=Za(n);e&&(l=e)}}if(a=us(qi(ss(l),s.escapedText,n)),!a&&2097152&l.flags&&(a=us(qi(ss(Wa(l)),s.escapedText,n))),!a){if(!t){const t=Ka(l),r=o_(s),o=aL(s,l);if(o)return void Ai(s,Oa._0_has_no_exported_member_named_1_Did_you_mean_2,t,r,rl(o));const i=gN(e)&&function(e){for(;gN(e.parent);)e=e.parent;return e}(e),a=Yt&&788968&n&&i&&!yD(i.parent)&&function(e){let n=SE(e),t=na(n,n.escapedText,111551,void 0,n,!0);if(t){for(;gN(n.parent);){if(t=Lf(sd(t),n.parent.right.escapedText),!t)return;n=n.parent}return t}}(i);if(a)return void Ai(i,Oa._0_refers_to_a_value_but_is_being_used_as_a_type_here_Did_you_mean_typeof_0,c_(i));if(1920&n&&gN(e.parent)){const n=us(qi(ss(l),s.escapedText,788968));if(n)return void Ai(e.parent.right,Oa.Cannot_access_0_1_because_0_is_a_type_but_not_a_namespace_Did_you_mean_to_retrieve_the_type_of_the_property_1_in_0_with_0_1,rl(n),Pl(e.parent.right.escapedText))}Ai(s,Oa.Namespace_0_has_no_exported_member_1,t,r)}return}}else Tt.assertNever(e,"Unknown entity name kind.");return Tt.assert(!(1&mS(a)),"Should never get an instantiated symbol here."),!Sv(e)&&bd(e)&&(2097152&a.flags||277===e.parent.kind)&&Ga(My(e),a,void 0,!0),a.flags&n||r?a:Wa(a)}function Ja(e){const n=e.parent.valueDeclaration;if(!n)return;return(cg(n)?pg(n):Qu(n)?ug(n):void 0)||n}function Xa(e,n,t){const r=1===Up(A)?Oa.Cannot_find_module_0_Did_you_mean_to_set_the_moduleResolution_option_to_nodenext_or_to_add_aliases_to_the_paths_option:Oa.Cannot_find_module_0_or_its_corresponding_type_declarations;return Ya(e,n,t?void 0:r)}function Ya(e,n,t,r=!1){return tp(n)?$a(e,n.text,t,n,r):void 0}function $a(n,t,r,o,i=!1){var a,s,l,c,d,u,p,f,m,_,h;if(st(t,"@types/")){Ai(o,Oa.Cannot_import_type_declaration_files_Consider_importing_0_instead_of_1,lt(t,"@types/"),t)}const g=sm(t,!0);if(g)return g;const y=$f(n),v=tp(n)?n:(null==(a=pC(n)?n:n.parent&&pC(n.parent)&&n.parent.name===n?n.parent:void 0)?void 0:a.name)||(null==(s=k_(n)?n:void 0)?void 0:s.argument.literal)||(iC(n)&&n.initializer&&ng(n.initializer,!0)?n.initializer.arguments[0]:void 0)||(null==(l=Nl(n,P_))?void 0:l.arguments[0])||(null==(c=Nl(n,gC))?void 0:c.moduleSpecifier)||(null==(d=Nl(n,Uh))?void 0:d.moduleReference.expression)||(null==(u=Nl(n,DC))?void 0:u.moduleSpecifier),b=v&&tp(v)?e.getModeForUsageLocation(y,v):y.impliedNodeFormat,E=Up(A),S=null==(p=e.getResolvedModule(y,t,b))?void 0:p.resolvedModule,T=S&&_H(A,S,y),x=S&&(!T||T===Oa.Module_0_was_resolved_to_1_but_jsx_is_not_set)&&e.getSourceFile(S.resolvedFileName);if(x){if(T&&Ai(o,T,t,S.resolvedFileName),S.resolvedUsingTsExtension&&_k(t)){const e=(null==(f=Nl(n,gC))?void 0:f.importClause)||Nl(n,pt(hC,DC));(e&&!e.isTypeOnly||Nl(n,P_))&&Ai(o,Oa.A_declaration_file_cannot_be_imported_without_import_type_Did_you_mean_to_import_an_implementation_file_0_instead,function(e){const n=ux(t,e);if(bT(I)||99===b){const r=_k(t)&&CW(A);return n+(".mts"===e||".d.mts"===e?r?".mts":".mjs":".cts"===e||".d.mts"===e?r?".cts":".cjs":r?".ts":".js")}return n}(Tt.checkDefined(wE(t))))}else if(S.resolvedUsingTsExtension&&!CW(A,y.fileName)){const e=(null==(m=Nl(n,gC))?void 0:m.importClause)||Nl(n,pt(hC,DC));if(!(null==e?void 0:e.isTypeOnly)&&!Nl(n,eD)){const e=Tt.checkDefined(wE(t));Ai(o,Oa.An_import_path_can_only_end_with_a_0_extension_when_allowImportingTsExtensions_is_enabled,e)}}if(x.symbol){if(S.isExternalLibraryImport&&!gx(S.extension)&&Qa(!1,o,y,b,S,t),3===E||99===E){const e=1===y.impliedNodeFormat&&!Nl(n,P_)||!!Nl(n,hC),r=Nl(n,(e=>eD(e)||DC(e)||gC(e)));if(e&&99===x.impliedNodeFormat&&!IA(r))if(Nl(n,hC))Ai(o,Oa.Module_0_cannot_be_imported_using_this_construct_The_specifier_only_resolves_to_an_ES_module_which_cannot_be_imported_with_require_Use_an_ECMAScript_import_instead,t);else{let e;const n=bx(y.fileName);if(".ts"===n||".js"===n||".tsx"===n||".jsx"===n){const t=y.packageJsonScope,r=".ts"===n?".mts":".js"===n?".mjs":void 0;e=t&&!t.contents.packageJsonContent.type?r?cT(void 0,Oa.To_convert_this_file_to_an_ECMAScript_module_change_its_file_extension_to_0_or_add_the_field_type_Colon_module_to_1,r,ua(t.packageDirectory,"package.json")):cT(void 0,Oa.To_convert_this_file_to_an_ECMAScript_module_add_the_field_type_Colon_module_to_0,ua(t.packageDirectory,"package.json")):r?cT(void 0,Oa.To_convert_this_file_to_an_ECMAScript_module_change_its_file_extension_to_0_or_create_a_local_package_json_file_with_type_Colon_module,r):cT(void 0,Oa.To_convert_this_file_to_an_ECMAScript_module_create_a_local_package_json_file_with_type_Colon_module)}si.add(f_($f(o),o,cT(e,Oa.The_current_file_is_a_CommonJS_module_whose_imports_will_produce_require_calls_however_the_referenced_file_is_an_ECMAScript_module_and_cannot_be_imported_with_require_Consider_writing_a_dynamic_import_0_call_instead,t)))}}return us(x.symbol)}r&&Ai(o,Oa.File_0_is_not_a_module,x.fileName)}else{if(Jt){const e=at(Jt,(e=>e.pattern),t);if(e){const n=Xt&&Xt.get(t);return us(n?n:e.symbol)}}if((!S||gx(S.extension)||void 0!==T)&&T!==Oa.Could_not_find_a_declaration_file_for_module_0_1_implicitly_has_an_any_type){if(r){if(S){const n=e.getProjectReferenceRedirect(S.resolvedFileName);if(n)return void Ai(o,Oa.Output_file_0_has_not_been_built_from_source_file_1,n,S.resolvedFileName)}if(T)Ai(o,T,t,S.resolvedFileName);else{const n=Ji(t)&&!Yi(t),i=3===E||99===E;if(!$p(A)&&$i(t,".json")&&1!==E&&ET(A))Ai(o,Oa.Cannot_find_module_0_Consider_using_resolveJsonModule_to_import_module_with_json_extension,t);else if(99===b&&i&&n){const n=ma(t,ra(y.path)),r=null==(_=gi.find((([t,r])=>e.fileExists(n+t))))?void 0:_[1];r?Ai(o,Oa.Relative_import_paths_need_explicit_file_extensions_in_ECMAScript_imports_when_moduleResolution_is_node16_or_nodenext_Did_you_mean_0,t+r):Ai(o,Oa.Relative_import_paths_need_explicit_file_extensions_in_ECMAScript_imports_when_moduleResolution_is_node16_or_nodenext_Consider_adding_an_extension_to_the_import_path)}else if(null==(h=e.getResolvedModule(y,t,b))?void 0:h.alternateResult){Ii(!0,o,cT(Hf(y,e,t,b,t),r,t))}else Ai(o,r,t)}}return}if(i){Ai(o,Oa.Invalid_module_name_in_augmentation_Module_0_resolves_to_an_untyped_module_at_1_which_cannot_be_augmented,t,S.resolvedFileName)}else Qa($&&!!r,o,y,b,S,t)}}function Qa(n,t,r,o,{packageId:i,resolvedFileName:a},s){let l;!Xs(s)&&i&&(l=Hf(r,e,s,o,i.name)),Ii(n,t,cT(l,Oa.Could_not_find_a_declaration_file_for_module_0_1_implicitly_has_an_any_type,s,a))}function Za(e,n){if(null==e?void 0:e.exports){const t=function(e,n){if(!e||e===vn||e===n||1===n.exports.size||2097152&e.flags)return e;const t=Ui(e);if(t.cjsExportMerged)return t.cjsExportMerged;const r=33554432&e.flags?e:Wi(e);r.flags=512|r.flags,void 0===r.exports&&(r.exports=Mf());n.exports.forEach(((e,n)=>{"export="!==n&&r.exports.set(n,r.exports.has(n)?zi(r.exports.get(n),e):e)})),r===e&&(Ui(r).resolvedExports=void 0,Ui(r).resolvedMembers=void 0);return Ui(r).cjsExportMerged=r,t.cjsExportMerged=r}(us(Fa(e.exports.get("export="),n)),us(e));return us(t)||e}}function es(e,n,t,r){var o;const i=Za(e,t);if(!t&&i){if(!(r||1539&i.flags||Df(i,312))){const e=I>=5?"allowSyntheticDefaultImports":"esModuleInterop";return Ai(n,Oa.This_module_can_only_be_referenced_with_ECMAScript_imports_Slashexports_by_turning_on_the_0_flag_and_referencing_its_default_export,e),i}const t=n.parent;if(gC(t)&&Bg(t)||P_(t)){const n=P_(t)?t.arguments[0]:t.moduleSpecifier,r=sd(i),a=Ak(r,i,e,n);if(a)return ns(i,a,t);const s=null==(o=null==e?void 0:e.declarations)?void 0:o.find(rM),l=s&&Ta(Sa(n),s.impliedNodeFormat);if(qp(A)||l){let o=kf(r,0);if(o&&o.length||(o=kf(r,1)),o&&o.length||Lf(r,"default",!0)||l){return ns(i,3670016&r.flags?Rk(r,i,e,n):xk(i,i.parent),t)}}}}return i}function ns(e,n,t){const r=Li(e.flags,e.escapedName);r.declarations=e.declarations?e.declarations.slice():[],r.parent=e.parent,r.links.target=e,r.links.originatingImport=t,e.valueDeclaration&&(r.valueDeclaration=e.valueDeclaration),e.constEnumOnlyModule&&(r.constEnumOnlyModule=!0),e.members&&(r.members=new Map(e.members)),e.exports&&(r.exports=new Map(e.exports));const i=Fp(n);return r.links.type=Os(r,i.members,o,o,i.indexInfos),r}function ts(e){return void 0!==e.exports.get("export=")}function rs(e){return om(ls(e))}function os(e,n){const t=ls(n);if(t)return t.get(e)}function is(e){return!(402784252&e.flags||1&IS(e)||cx(e)||nA(e))}function ss(e){return 6256&e.flags?Cu(e,"resolvedExports"):1536&e.flags?ls(e):e.exports||S}function ls(e){const n=Ui(e);if(!n.resolvedExports){const{exports:t,typeOnlyExportStarMap:r}=ds(e);n.resolvedExports=t,n.typeOnlyExportStarMap=r}return n.resolvedExports}function cs(e,n,t,r){n&&n.forEach(((n,o)=>{if("default"===o)return;const i=e.get(o);if(i){if(t&&r&&i&&Fa(i)!==Fa(n)){const e=t.get(o);e.exportsWithDuplicate?e.exportsWithDuplicate.push(r):e.exportsWithDuplicate=[r]}}else e.set(o,n),t&&r&&t.set(o,{specifierText:xm(r.moduleSpecifier)})}))}function ds(e){const n=[];let t;const r=new Set,o=function e(o,i,a){!a&&(null==o?void 0:o.exports)&&o.exports.forEach(((e,n)=>r.add(n)));if(!(o&&o.exports&&Se(n,o)))return;const s=new Map(o.exports),l=o.exports.get("__export");if(l){const n=Mf(),t=new Map;if(l.declarations)for(const r of l.declarations){const o=Xa(r,r.moduleSpecifier);cs(n,e(o,r,a||r.isTypeOnly),t,r)}t.forEach((({exportsWithDuplicate:e},n)=>{if("export="!==n&&e&&e.length&&!s.has(n))for(const r of e)si.add(d_(r,Oa.Module_0_has_already_exported_a_member_named_1_Consider_explicitly_re_exporting_to_resolve_the_ambiguity,t.get(n).specifierText,Pl(n)))})),cs(s,n)}(null==i?void 0:i.isTypeOnly)&&(t??(t=new Map),s.forEach(((e,n)=>t.set(n,i))));return s}(e=Za(e))||S;return t&&r.forEach((e=>t.delete(e))),{exports:o,typeOnlyExportStarMap:t}}function us(e){let n;return e&&e.mergeId&&(n=Uo[e.mergeId])?n:e}function ps(e){return us(e.symbol&&Lu(e.symbol))}function fs(e){return Nu(e)?ps(e):void 0}function ms(e){return us(e.parent&&Lu(e.parent))}function hs(e){var n,t;return(219===(null==(n=e.valueDeclaration)?void 0:n.kind)||218===(null==(t=e.valueDeclaration)?void 0:t.kind))&&fs(e.valueDeclaration.parent)||e}function gs(n,t,r){const i=ms(n);if(i&&!(262144&n.flags))return d(i);const a=Y(n.declarations,(e=>{if(!km(e)&&e.parent){if(Ys(e.parent))return ps(e.parent);if(fC(e.parent)&&e.parent.parent&&Za(ps(e.parent.parent))===n)return ps(e.parent.parent)}if(ND(e)&&TD(e.parent)&&64===e.parent.operatorToken.kind&&wS(e.parent.left)&&EE(e.parent.left.expression))return bg(e.parent.left)||yg(e.parent.left.expression)?ps($f(e)):(nO(e.parent.left.expression),Hi(e.parent.left.expression).resolvedSymbol)}));if(!b(a))return;const s=Y(a,(e=>bs(e,n)?e:void 0));let l=[],c=[];for(const e of s){const[n,...t]=d(e);l=ye(l,n),c=Ee(c,t)}return ae(l,c);function d(i){const a=Y(i.declarations,u),s=t&&function(n,t){const r=$f(t),i=Hz(r),a=Ui(n);let s;if(a.extendedContainersByFile&&(s=a.extendedContainersByFile.get(i)))return s;if(r&&r.imports){for(const e of r.imports){if(Sv(e))continue;const r=Xa(t,e,!0);r&&(bs(r,n)&&(s=ye(s,r)))}if(b(s))return(a.extendedContainersByFile||(a.extendedContainersByFile=new Map)).set(i,s),s}if(a.extendedContainers)return a.extendedContainers;const l=e.getSourceFiles();for(const e of l){if(!uk(e))continue;const t=ps(e);bs(t,n)&&(s=ye(s,t))}return a.extendedContainers=s||o}(n,t),l=function(e,n){const t=!!b(e.declarations)&&Me(e.declarations);if(111551&n&&t&&t.parent&&iC(t.parent)&&(sD(t)&&t===t.parent.initializer||WN(t)&&t===t.parent.type))return ps(t.parent)}(i,r);if(t&&i.flags&Ws(r)&&Gs(i,t,1920,!1))return ye(ae(ae([i],a),s),l);const c=!(i.flags&Ws(r))&&788968&i.flags&&524288&ou(i).flags&&111551===r?Fs(t,(e=>Wf(e,(e=>{if(e.flags&Ws(r)&&sd(e)===ou(i))return e})))):void 0;let d=c?[c,...a,i]:[...a,i];return d=ye(d,l),d=Ee(d,s),d}function u(e){return i&&vs(e,i)}}function vs(e,n){const t=qs(e),r=t&&t.exports&&t.exports.get("export=");return r&&Es(r,n)?t:void 0}function bs(e,n){if(e===ms(n))return n;const t=e.exports&&e.exports.get("export=");if(t&&Es(t,n))return e;const r=ss(e),o=r.get(n.escapedName);return o&&Es(o,n)?o:Wf(r,(e=>{if(Es(e,n))return e}))}function Es(e,n){if(us(Fa(us(e)))===us(Fa(us(n))))return e}function Ss(e){return us(e&&!!(1048576&e.flags)&&e.exportSymbol||e)}function xs(e,n){return!!(111551&e.flags||2097152&e.flags&&111551&za(e,!n))}function As(e){const n=e.members;for(const e of n)if(176===e.kind&&am(e.body))return e}function Rs(e){var n;const t=new u(Fe,e);return f++,t.id=f,null==(n=Cr)||n.recordType(t),t}function Is(e,n){const t=Rs(e);return t.symbol=n,t}function Ns(e){return new u(Fe,e)}function Ds(e,n,t=0,r){!function(e,n){const t=`${e},${n??""}`;Tn.has(t)&&Tt.fail(`Duplicate intrinsic type name ${e}${n?` (${n})`:""}; you may need to pass a name to createIntrinsicType.`);Tn.add(t)}(n,r);const o=Rs(e);return o.intrinsicName=n,o.debugIntrinsicName=r,o.objectFlags=52953088|t,o}function Cs(e,n){const t=Is(524288,n);return t.objectFlags=e,t.members=void 0,t.properties=void 0,t.callSignatures=void 0,t.constructSignatures=void 0,t.indexInfos=void 0,t}function Ms(e){return Is(262144,e)}function Ps(e){return 95===e.charCodeAt(0)&&95===e.charCodeAt(1)&&95!==e.charCodeAt(2)&&64!==e.charCodeAt(2)&&35!==e.charCodeAt(2)}function Ls(e){let n;return e.forEach(((e,t)=>{ks(e,t)&&(n||(n=[])).push(e)})),n||o}function ks(e,n){return!Ps(n)&&xs(e)}function ws(e,n,t,r,i){const a=e;return a.members=n,a.properties=o,a.callSignatures=t,a.constructSignatures=r,a.indexInfos=i,n!==S&&(a.properties=Ls(n)),a}function Os(e,n,t,r,o){return ws(Cs(16,e),n,t,r,o)}function Fs(e,n){let t;for(let r=e;r;r=r.parent){if(Du(r)&&r.locals&&!Ki(r)&&(t=n(r.locals,void 0,!0,r)))return t;switch(r.kind){case 312:if(!T_(r))break;case 267:const e=ps(r);if(t=n((null==e?void 0:e.exports)||S,void 0,!0,r))return t;break;case 263:case 231:case 264:let o;if((ps(r).members||S).forEach(((e,n)=>{788968&e.flags&&(o||(o=Mf())).set(n,e)})),o&&(t=n(o,void 0,!1,r)))return t}}return n(fe,void 0,!0)}function Ws(e){return 111551===e?111551:1920}function Gs(e,n,t,r,o=new Map){if(!e||function(e){if(e.declarations&&e.declarations.length){for(const n of e.declarations)switch(n.kind){case 172:case 174:case 177:case 178:continue;default:return!1}return!0}return!1}(e))return;const i=Ui(e),a=i.accessibleChainCache||(i.accessibleChainCache=new Map),s=Fs(n,((e,n,t,r)=>r)),l=`${r?0:1}|${s&&Hz(s)}|${t}`;if(a.has(l))return a.get(l);const c=Kz(e);let d=o.get(c);d||o.set(c,d=[]);const u=Fs(n,p);return a.set(l,u),u;function p(t,o,i){if(!Se(d,t))return;const a=function(t,o,i){if(m(t.get(e.escapedName),void 0,o))return[e];const a=Wf(t,(t=>{if(2097152&t.flags&&"export="!==t.escapedName&&"default"!==t.escapedName&&!(DS(t)&&n&&uk($f(n)))&&(!r||oe(t.declarations,Uh))&&(!i||!oe(t.declarations,Vh))&&(o||!Df(t,281))){const e=_(t,Wa(t),o);if(e)return e}if(t.escapedName===e.escapedName&&t.exportSymbol&&m(us(t.exportSymbol),void 0,o))return[e]}));return a||(t===fe?_(_e,_e,o):void 0)}(t,o,i);return d.pop(),a}function f(e,t){return!Bs(e,n,t)||!!Gs(e.parent,n,Ws(t),r,o)}function m(n,r,o){return(e===(r||n)||us(e)===us(r||n))&&!oe(n.declarations,Ys)&&(o||f(us(n),t))}function _(e,n,r){if(m(e,n,r))return[e];const o=ss(n),i=o&&p(o,!0);return i&&f(e,Ws(t))?[e].concat(i):void 0}}function Bs(e,n,t){let r=!1;return Fs(n,(n=>{let o=us(n.get(e.escapedName));if(!o)return!1;if(o===e)return!0;const i=2097152&o.flags&&!Df(o,281);o=i?Wa(o):o;return!!((i?za(o):o.flags)&t)&&(r=!0,!0)})),r}function js(e,n){return 0===Ks(e,n,111551,!1,!0).accessibility}function Vs(e,n,t){return 0===Ks(e,n,t,!1,!1).accessibility}function Us(e,n,t,r,o,i){if(!b(e))return;let a,s=!1;for(const l of e){const e=Gs(l,n,r,!1);if(e){a=l;const n=$s(e[0],o);if(n)return n}if(i&&oe(l.declarations,Ys)){if(o){s=!0;continue}return{accessibility:0}}const c=Us(gs(l,n,r),n,t,t===l?Ws(r):r,o,i);if(c)return c}return s?{accessibility:0}:a?{accessibility:1,errorSymbolName:rl(t,n,r),errorModuleName:a!==t?rl(a,n,1920):void 0}:void 0}function Hs(e,n,t,r){return Ks(e,n,t,r,!0)}function Ks(e,n,t,r,o){if(e&&n){const i=Us([e],n,e,t,r,o);if(i)return i;const a=E(e.declarations,qs);if(a){if(a!==qs(n))return{accessibility:2,errorSymbolName:rl(e,n,t),errorModuleName:rl(a),errorNode:Yh(n)?n:void 0}}return{accessibility:1,errorSymbolName:rl(e,n,t)}}return{accessibility:0}}function qs(e){const n=Nl(e,Js);return n&&ps(n)}function Js(e){return km(e)||312===e.kind&&T_(e)}function Ys(e){return wm(e)||312===e.kind&&T_(e)}function $s(e,n){let t;if(N(W(e.declarations,(e=>80!==e.kind)),(function(n){var t,o;if(!yl(n)){const i=_a(n);if(i&&!Bb(i,32)&&yl(i.parent))return r(n,i);if(iC(n)&&BD(n.parent.parent)&&!Bb(n.parent.parent,32)&&yl(n.parent.parent.parent))return r(n,n.parent.parent);if(Qm(n)&&!Bb(n,32)&&yl(n.parent))return r(n,n);if(iD(n)){if(2097152&e.flags&&Yh(n)&&(null==(t=n.parent)?void 0:t.parent)&&iC(n.parent.parent)&&(null==(o=n.parent.parent.parent)?void 0:o.parent)&&BD(n.parent.parent.parent.parent)&&!Bb(n.parent.parent.parent.parent,32)&&n.parent.parent.parent.parent.parent&&yl(n.parent.parent.parent.parent.parent))return r(n,n.parent.parent.parent.parent);if(2&e.flags){const e=Nl(n,BD);return!!Bb(e,32)||!!yl(e.parent)&&r(n,e)}}return!1}return!0})))return{accessibility:0,aliasesToMakeVisible:t};function r(e,r){return n&&(Hi(e).isVisible=!0,t=Te(t,r)),!0}}function Zs(e){let n;return n=186===e.parent.kind||233===e.parent.kind&&!j_(e.parent)||167===e.parent.kind?1160127:166===e.kind||211===e.kind||271===e.parent.kind||166===e.parent.kind&&e.parent.left===e||211===e.parent.kind&&e.parent.expression===e||212===e.parent.kind&&e.parent.expression===e?1920:788968,n}function tl(e,n){const t=Zs(e),r=SE(e),o=na(n,r.escapedText,t,void 0,void 0,!1);return o&&262144&o.flags&&788968&t||!o&&bb(r)&&0===Hs(ps(vh(r,!1,!1)),r,t,!1).accessibility?{accessibility:0}:o&&$s(o,!0)||{accessibility:1,errorSymbolName:xm(r),errorNode:r}}function rl(e,n,t,r=4,o){let i=70221824;2&r&&(i|=128),1&r&&(i|=512),8&r&&(i|=16384),32&r&&(i|=134217728),16&r&&(i|=1073741824);const a=4&r?pe.symbolToNode:pe.symbolToEntityName;return o?s(o).getText():Bf(s);function s(r){const o=a(e,t,n,i),s=312===(null==n?void 0:n.kind)?gV():hV(),l=n&&$f(n);return s.writeNode(4,o,l,r),r}}function ol(e,n,t=0,r,o){return o?i(o).getText():Bf(i);function i(o){let i;i=262144&t?1===r?185:184:1===r?180:179;const a=pe.signatureToSignatureDeclaration(e,i,n,70222336|cl(t)),s=yV(),l=n&&$f(n);return s.writeNode(4,a,l,Kv(o)),o}}function il(e,n,t=1064960,r=Hv("")){const o=A.noErrorTruncation||1&t,i=pe.typeToTypeNode(e,n,70221824|cl(t)|(o?1:0));if(void 0===i)return Tt.fail("should always get typenode");const a=e!==Dn?hV():_V(),s=n&&$f(n);a.writeNode(4,i,s,r);const l=r.getText(),c=o?2*up:2*dp;return c&&l&&l.length>=c?l.substr(0,c-3)+"...":l}function al(e,n){let t=ll(e.symbol)?il(e,e.symbol.valueDeclaration):il(e),r=ll(n.symbol)?il(n,n.symbol.valueDeclaration):il(n);return t===r&&(t=sl(e),r=sl(n)),[t,r]}function sl(e){return il(e,void 0,64)}function ll(e){return e&&!!e.valueDeclaration&&uu(e.valueDeclaration)&&!LS(e.valueDeclaration)}function cl(e=0){return 848330095&e}function dl(e){return!!(e.symbol&&32&e.symbol.flags&&(e===qd(e.symbol)||524288&e.flags&&16777216&IS(e)))}function ul(e,n,t=16384,r){return r?o(r).getText():Bf(o);function o(r){const o=UA.createTypePredicateNode(2===e.kind||3===e.kind?UA.createToken(131):void 0,1===e.kind||3===e.kind?UA.createIdentifier(e.parameterName):UA.createThisTypeNode(),e.type&&pe.typeToTypeNode(e.type,n,70222336|cl(t))),i=hV(),a=n&&$f(n);return i.writeNode(4,o,a,r),r}}function pl(e){return 2===e?"private":4===e?"protected":"public"}function fl(e){return e&&e.parent&&268===e.parent.kind&&Bm(e.parent.parent)}function ml(e){return 312===e.kind||km(e)}function _l(e,n){const t=Ui(e).nameType;if(t){if(384&t.flags){const e=""+t.value;return zs(e,jp(A))||tA(e)?tA(e)&&st(e,"-")?`[${e}]`:e:`"${Fv(e,34)}"`}if(8192&t.flags)return`[${hl(t.symbol,n)}]`}}function hl(e,n){var t;if((null==(t=null==n?void 0:n.remappedSymbolReferences)?void 0:t.has(Kz(e)))&&(e=n.remappedSymbolReferences.get(Kz(e))),n&&"default"===e.escapedName&&!(16384&n.flags)&&(!(16777216&n.flags)||!e.declarations||n.enclosingDeclaration&&Nl(e.declarations[0],ml)!==Nl(n.enclosingDeclaration,ml)))return"default";if(e.declarations&&e.declarations.length){let t=T(e.declarations,(e=>jl(e)?e:void 0));const r=t&&jl(t);if(t&&r){if(dD(t)&&Sg(t))return wl(e);if(yN(r)&&!(4096&mS(e))){const t=Ui(e).nameType;if(t&&384&t.flags){const t=_l(e,n);if(void 0!==t)return t}}return o_(r)}if(t||(t=e.declarations[0]),t.parent&&260===t.parent.kind)return o_(t.parent.name);switch(t.kind){case 231:case 218:case 219:return!n||n.encounteredError||131072&n.flags||(n.encounteredError=!0),231===t.kind?"(Anonymous class)":"(Anonymous function)"}}const r=_l(e,n);return void 0!==r?r:wl(e)}function yl(e){if(e){const n=Hi(e);return void 0===n.isVisible&&(n.isVisible=!!function(){switch(e.kind){case 345:case 353:case 347:return!!(e.parent&&e.parent.parent&&e.parent.parent.parent&&rM(e.parent.parent.parent));case 208:return yl(e.parent.parent);case 260:if(Vd(e.name)&&!e.name.elements.length)return!1;case 267:case 263:case 264:case 265:case 262:case 266:case 271:if(Bm(e))return!0;const n=Dl(e);return 32&DB(e)||271!==e.kind&&312!==n.kind&&33554432&n.flags?yl(n):Ki(n);case 172:case 171:case 177:case 178:case 174:case 173:if(Gb(e,6))return!1;case 176:case 180:case 179:case 181:case 169:case 268:case 184:case 185:case 187:case 183:case 188:case 189:case 192:case 193:case 196:case 202:return yl(e.parent);case 273:case 274:case 276:return!1;case 168:case 312:case 270:return!0;default:return!1}}()),n.isVisible}return!1}function vl(e,n){let t,r,o;return e.parent&&277===e.parent.kind?t=na(e,e.escapedText,2998271,void 0,e,!1):281===e.parent.kind&&(t=Pa(e.parent,2998271)),t&&(o=new Set,o.add(Kz(t)),function e(t){E(t,(t=>{const i=_a(t)||t;if(n?Hi(t).isVisible=!0:(r=r||[],Se(r,i)),qh(t)){const n=na(t,SE(t.moduleReference).escapedText,901119,void 0,void 0,!1);n&&o&&ee(o,Kz(n))&&e(n.declarations)}}))}(t.declarations)),r}function El(e,n){const t=Tl(e,n);if(t>=0){const{length:e}=Fo;for(let n=t;n<e;n++)Wo[n]=!1;return!1}return Fo.push(e),Wo.push(!0),zo.push(n),!0}function Tl(e,n){for(let t=Fo.length-1;t>=Go;t--){if(Al(Fo[t],zo[t]))return-1;if(Fo[t]===e&&zo[t]===n)return t}return-1}function Al(e,n){switch(n){case 0:return!!Ui(e).type;case 5:return!!Hi(e).resolvedEnumType;case 2:return!!Ui(e).declaredType;case 1:return!!e.resolvedBaseConstructorType;case 3:return!!e.resolvedReturnType;case 4:return!!e.immediateBaseConstraint;case 6:return!!e.resolvedTypeArguments;case 7:return!!e.baseTypesResolved;case 8:return!!Ui(e).writeType;case 9:return void 0!==Hi(e).parameterInitializerContainsUndefined}return Tt.assertNever(n)}function Rl(){return Fo.pop(),zo.pop(),Wo.pop()}function Dl(e){return Nl(bv(e),(e=>{switch(e.kind){case 260:case 261:case 276:case 275:case 274:case 273:return!1;default:return!0}})).parent}function Ol(e,n){const t=Lf(e,n);return t?sd(t):void 0}function Fl(e,n){var t;let r;return Ol(e,n)||(r=null==(t=tm(e,n))?void 0:t.type)&&ac(r,!0,!0)}function zl(e){return e&&!!(1&e.flags)}function Bl(e){return e===Nn||!!(1&e.flags&&e.aliasSymbol)}function Vl(e,n){if(0!==n)return sc(e,!1,n);const t=ps(e);return t&&Ui(t).type||sc(e,!1,n)}function Kl(e,n,t){if(131072&(e=GI(e,(e=>!(98304&e.flags)))).flags)return Ct;if(1048576&e.flags)return VI(e,(e=>Kl(e,n,t)));let r=mv(B(n,zv));const i=[],a=[];for(const n of Hp(e)){const e=Gv(n,8576);KS(e,r)||6&_S(n)||!PE(n)?a.push(e):i.push(n)}if(pb(e)||fb(r)){if(a.length&&(r=mv([r,...a])),131072&r.flags)return e;const n=(Gr||(Gr=Xh("Omit",2,!0)||vn),Gr===vn?void 0:Gr);return n?w_(n,[e,r]):Nn}const s=Mf();for(const e of i)s.set(e.escapedName,LE(e,!1));const l=Os(t,s,o,o,Kf(e));return l.objectFlags|=4194304,l}function Jl(e){return!!(465829888&e.flags)&&Ww(lf(e)||Ln,32768)}function Xl(e){return hI(OI(e,Jl)?VI(e,(e=>465829888&e.flags?cf(e):e)):e,524288)}function Yl(e,n){const t=$l(e);return t?fN(t,n):n}function $l(e){const n=function(e){const n=e.parent.parent;switch(n.kind){case 208:case 303:return $l(n);case 209:return $l(e.parent);case 260:return n.initializer;case 226:return n.right}}(e);if(n&&Qg(n)&&n.flowNode){const t=Zl(e);if(t){const r=yL(IL.createStringLiteral(t),e),o=iu(n)?n:IL.createParenthesizedExpression(n),i=yL(IL.createElementAccessExpression(o,r),e);return Vx(r,i),Vx(i,e),o!==n&&Vx(o,i),i.flowNode=n.flowNode,i}}}function Zl(e){const n=e.parent;return 208===e.kind&&206===n.kind?ec(e.propertyName||e.name):303===e.kind||304===e.kind?ec(e.name):""+n.elements.indexOf(e)}function ec(e){const n=zv(e);return 384&n.flags?""+n.value:void 0}function tc(e){const n=e.dotDotDotToken?32:0,t=Vl(e.parent.parent,n);return t&&rc(e,t,!1)}function rc(e,n,t){if(zl(n))return n;const r=e.parent;let o;if(K&&33554432&e.flags&&vv(e)?n=kA(n):K&&r.parent.initializer&&!mI(II(r.parent.initializer),65536)&&(n=hI(n,524288)),206===r.kind)if(e.dotDotDotToken){if(2&(n=Tf(n)).flags||!KM(n))return Ai(e,Oa.Rest_types_may_only_be_created_from_object_types),Nn;const t=[];for(const e of r.elements)e.dotDotDotToken||t.push(e.propertyName||e.name);o=Kl(n,t,e.symbol)}else{const t=e.propertyName||e.name;o=Yl(e,Mb(n,zv(t),32,t))}else{const i=YF(65|(e.dotDotDotToken?0:128),n,On,r),a=r.elements.indexOf(e);if(e.dotDotDotToken){const e=VI(n,(e=>58982400&e.flags?cf(e):e));o=WI(e,nA)?VI(e,(e=>Vy(e,a))):ey(i)}else if(_x(n)){o=Yl(e,Lb(n,BE(a),32|(t||IM(e)?16:0),e.name)||Nn)}else o=i}return e.initializer?Ab(bl(e))?K&&!mI(rO(e,0),16777216)?Xl(o):o:oO(e,mv([Xl(o),rO(e,0)],2)):o}function oc(e){const n=vc(e);if(n)return JE(n)}function ic(e){const n=Ty(e,!0);return 209===n.kind&&0===n.elements.length}function ac(e,n=!1,t=!0){return K&&t?LA(e,n):e}function sc(e,n,t){if(iC(e)&&249===e.parent.parent.kind){const n=Jv(MP(bO(e.parent.parent.expression,t)));return 4456448&n.flags?Yv(n):Vn}if(iC(e)&&250===e.parent.parent.kind){return XF(e.parent.parent)||xn}if(Vd(e.parent))return tc(e);const r=TN(e)&&!qb(e)||SN(e)||VM(e),o=n&&fA(e),i=Vc(e);if(Lm(e))return i?zl(i)||i===Ln?i:Nn:ne?Ln:xn;if(i)return ac(i,r,o);if(($||Yh(e))&&iC(e)&&!Vd(e.name)&&!(32&DB(e))&&!(33554432&e.flags)){if(!(6&CB(e))&&(!e.initializer||function(e){const n=Ty(e,!0);return 106===n.kind||80===n.kind&&JR(n)===me}(e.initializer)))return An;if(e.initializer&&ic(e.initializer))return lr}if(bN(e)){const n=e.parent;if(178===n.kind&&Au(n)){const t=Df(ps(e.parent),177);if(t){const r=pm(t),o=dB(n);return o&&e===o?(Tt.assert(!o.type),sd(r.thisParameter)):bm(r)}}const t=function(e,n){const t=fm(e);if(!t)return;const r=e.parameters.indexOf(n);return n.dotDotDotToken?qk(t,r):Hk(t,r)}(n,e);if(t)return t;const r="this"===e.symbol.escapedName?$D(n):QD(e);if(r)return ac(r,!1,o)}if(Qu(e)&&e.initializer){if(Yh(e)&&!bN(e)){const n=gc(e,ps(e),ug(e));if(n)return n}return ac(oO(e,rO(e,t)),r,o)}if(TN(e)&&($||Yh(e))){if(Vb(e)){const n=W(e.parent.members,RN),t=n.length?function(e,n){const t=st(e.escapedName,"__#")?UA.createPrivateIdentifier(e.escapedName.split("@")[1]):Pl(e.escapedName);for(const r of n){const n=UA.createPropertyAccessExpression(UA.createThis(),t);Vx(n.expression,n),Vx(n,r),n.flowNode=r.returnFlowNode;const o=_c(n,e);if(!$||o!==An&&o!==lr||Ai(e.valueDeclaration,Oa.Member_0_implicitly_has_an_1_type,rl(e),il(o)),!WI(o,CP))return FF(o)}}(e.symbol,n):128&Zb(e)?ZT(e.symbol):void 0;return t&&ac(t,!0,o)}{const n=As(e.parent),t=n?pc(e.symbol,n):128&Zb(e)?ZT(e.symbol):void 0;return t&&ac(t,!0,o)}}return VC(e)?Yn:Vd(e.name)?Rc(e.name,!1,!0):void 0}function lc(e){if(e.valueDeclaration&&TD(e.valueDeclaration)){const n=Ui(e);return void 0===n.isConstructorDeclaredProperty&&(n.isConstructorDeclaredProperty=!1,n.isConstructorDeclaredProperty=!!dc(e)&&N(e.declarations,(n=>TD(n)&&vC(n)&&(212!==n.left.kind||nv(n.left.argumentExpression))&&!bc(void 0,n,e,n)))),n.isConstructorDeclaredProperty}return!1}function cc(e){const n=e.valueDeclaration;return n&&TN(n)&&!Ab(n)&&!n.initializer&&($||Yh(n))}function dc(e){if(e.declarations)for(const n of e.declarations){const e=vh(n,!1,!1);if(e&&(176===e.kind||gk(e)))return e}}function pc(e,n){const t=st(e.escapedName,"__#")?UA.createPrivateIdentifier(e.escapedName.split("@")[1]):Pl(e.escapedName),r=UA.createPropertyAccessExpression(UA.createThis(),t);Vx(r.expression,r),Vx(r,n),r.flowNode=n.returnFlowNode;const o=_c(r,e);return!$||o!==An&&o!==lr||Ai(e.valueDeclaration,Oa.Member_0_implicitly_has_an_1_type,rl(e),il(o)),WI(o,CP)?void 0:FF(o)}function _c(e,n){const t=(null==n?void 0:n.valueDeclaration)&&(!cc(n)||128&Zb(n.valueDeclaration))&&ZT(n)||On;return fN(e,An,t)}function hc(e,n){const t=pg(e.valueDeclaration);if(t){const n=Yh(t)?yc(t):void 0;if(n&&n.typeExpression)return JE(n.typeExpression);return e.valueDeclaration&&gc(e.valueDeclaration,e,t)||Kx(nO(t))}let r,o=!1,i=!1;if(lc(e)&&(r=pc(e,dc(e))),!r){let t;if(e.declarations){let a;for(const r of e.declarations){const s=TD(r)||dD(r)?r:wS(r)?TD(r.parent)?r.parent:r:void 0;if(!s)continue;const l=wS(s)?Mg(s):Eg(s);(4===l||TD(s)&&vC(s,l))&&(Tc(s)?o=!0:i=!0),dD(s)||(a=bc(a,s,e,r)),a||(t||(t=[])).push(TD(s)||dD(s)?Ec(e,n,s,l):ot)}r=a}if(!r){if(!b(t))return Nn;let n=o&&e.declarations?function(e,n){return Tt.assert(e.length===n.length),e.filter(((e,t)=>{const r=n[t],o=TD(r)?r:TD(r.parent)?r.parent:void 0;return o&&Tc(o)}))}(t,e.declarations):void 0;if(i){const t=ZT(e);t&&((n||(n=[])).push(t),o=!0)}r=mv(oe(n,(e=>!!(-98305&e.flags)))?n:t)}}const a=$A(ac(r,!1,i&&!o));return e.valueDeclaration&&Yh(e.valueDeclaration)&&GI(a,(e=>!!(-98305&e.flags)))===ot?(eR(e.valueDeclaration,xn),xn):a}function gc(e,n,t){var r,i;if(!Yh(e)||!t||!sD(t)||t.properties.length)return;const a=Mf();for(;TD(e)||lD(e);){const n=fs(e);(null==(r=null==n?void 0:n.exports)?void 0:r.size)&&ji(a,n.exports),e=TD(e)?e.parent:e.parent.parent}const s=fs(e);(null==(i=null==s?void 0:s.exports)?void 0:i.size)&&ji(a,s.exports);const l=Os(n,a,o,o,o);return l.objectFlags|=4096,l}function bc(e,n,t,r){var o;const i=Ab(n.parent);if(i){const n=$A(JE(i));if(!e)return n;Bl(e)||Bl(n)||GS(e,n)||zF(void 0,e,r,n)}if(null==(o=t.parent)?void 0:o.valueDeclaration){const e=hs(t.parent);if(e.valueDeclaration){const n=Ab(e.valueDeclaration);if(n){const e=Lf(JE(n),t.escapedName);if(e)return cd(e)}}}return e}function Ec(e,n,t,r){if(dD(t)){if(n)return sd(n);const e=nO(t.arguments[2]),r=Ol(e,"value");if(r)return r;const o=Ol(e,"get");if(o){const e=CL(o);if(e)return bm(e)}const i=Ol(e,"set");if(i){const e=CL(i);if(e)return ew(e)}return xn}if(function(e,n){return lD(e)&&110===e.expression.kind&&ik(n,(n=>QR(e,n)))}(t.left,t.right))return xn;const o=1===r&&(lD(t.left)||cD(t.left))&&(bg(t.left.expression)||tN(t.left.expression)&&yg(t.left.expression)),i=n?sd(n):o?WE(nO(t.right)):Kx(nO(t.right));if(524288&i.flags&&2===r&&"export="===e.escapedName){const t=Fp(i),r=Mf();Gf(t.members,r);const o=r.size;n&&!n.exports&&(n.exports=Mf()),(n||e).exports.forEach(((e,n)=>{var t;const o=r.get(n);if(!o||o===e||2097152&e.flags)r.set(n,e);else if(111551&e.flags&&111551&o.flags){if(e.valueDeclaration&&o.valueDeclaration&&$f(e.valueDeclaration)!==$f(o.valueDeclaration)){const n=Pl(e.escapedName),r=(null==(t=hn(o.valueDeclaration,Gl))?void 0:t.name)||o.valueDeclaration;xx(Ai(e.valueDeclaration,Oa.Duplicate_identifier_0,n),d_(r,Oa._0_was_also_declared_here,n)),xx(Ai(r,Oa.Duplicate_identifier_0,n),d_(e.valueDeclaration,Oa._0_was_also_declared_here,n))}const i=Li(e.flags|o.flags,n);i.links.type=mv([sd(e),sd(o)]),i.valueDeclaration=o.valueDeclaration,i.declarations=ae(o.declarations,e.declarations),r.set(n,i)}else r.set(n,zi(e,o))}));const a=Os(o!==r.size?void 0:t.symbol,r,t.callSignatures,t.constructSignatures,t.indexInfos);if(o===r.size&&(i.aliasSymbol&&(a.aliasSymbol=i.aliasSymbol,a.aliasTypeArguments=i.aliasTypeArguments),4&IS(i))){a.aliasSymbol=i.symbol;const e=D_(i);a.aliasTypeArguments=b(e)?e:void 0}return a.objectFlags|=4096&IS(i),a.symbol&&32&a.symbol.flags&&i===qd(a.symbol)&&(a.objectFlags|=16777216),a}return Sx(i)?(eR(t,sr),sr):i}function Tc(e){const n=vh(e,!1,!1);return 176===n.kind||262===n.kind||218===n.kind&&!Lg(n.parent)}function xc(e,n,t){if(e.initializer){return ac(oO(e,rO(e,t?0:1,Vd(e.name)?Rc(e.name,!0,!1):Ln)))}return Vd(e.name)?Rc(e.name,n,t):(t&&!jc(e)&&eR(e,xn),n?Cn:xn)}function Rc(e,n=!1,t=!1){return 206===e.kind?function(e,n,t){const r=Mf();let i,a=131200;E(e.elements,(e=>{const o=e.propertyName||e.name;if(e.dotDotDotToken)return void(i=Hm(Vn,xn,!1));const s=zv(o);if(!xA(s))return void(a|=512);const l=AA(s),c=Li(4|(e.initializer?16777216:0),l);c.links.type=xc(e,n,t),c.links.bindingElement=e,r.set(c.escapedName,c)}));const s=Os(void 0,r,o,o,i?[i]:o);return s.objectFlags|=a,n&&(s.pattern=e,s.objectFlags|=131072),s}(e,n,t):function(e,n,t){const r=e.elements,o=Le(r),i=o&&208===o.kind&&o.dotDotDotToken?o:void 0;if(0===r.length||1===r.length&&i)return R>=2?$g(xn):sr;const a=B(r,(e=>DD(e)?xn:xc(e,n,t))),s=P(r,(e=>!(e===i||DD(e)||IM(e))),r.length-1)+1;let l=Dy(a,B(r,((e,n)=>e===i?4:n>=s?2:1)));return n&&(l=I_(l),l.pattern=e,l.objectFlags|=131072),l}(e,n,t)}function Cc(e,n){return Bc(sc(e,!0,0),e,n)}function Pc(e){const n=Hi(e);if(!n.resolvedType){const t=Li(4096,"__importAttributes"),r=Mf();E(e.elements,(e=>{const n=Li(4,DA(e));n.parent=t,n.links.type=function(e){return WE(nO(e.value))}(e),n.links.target=n,r.set(n.escapedName,n)}));const i=Os(t,r,o,o,o);i.objectFlags|=262272,n.resolvedType=i}return n.resolvedType}function Lc(e){const n=fs(e),t=(r=!1,pr||(pr=Wh("SymbolConstructor",r)));var r;return t&&n&&n===t}function Bc(e,n,t){return e?(4096&e.flags&&Lc(n.parent)&&(e=UE(n)),t&&nR(n,e),8192&e.flags&&(iD(n)||!n.type)&&e.symbol!==ps(n)&&(e=nt),$A(e)):(e=bN(n)&&n.dotDotDotToken?sr:xn,t&&(jc(n)||eR(n,e)),e)}function jc(e){const n=bv(e);return jO(169===n.kind?n.parent:n)}function Vc(e){const n=Ab(e);if(n)return JE(n)}function Uc(e,n){const t=Ui(e);if(!t.type){const r=function(e,n){if(4194304&e.flags)return function(e){const n=ou(ms(e));return n.typeParameters?v_(n,B(n.typeParameters,(e=>xn))):n}(e);if(e===Ae)return xn;if(134217728&e.flags&&e.valueDeclaration){const n=ps($f(e.valueDeclaration)),t=Li(n.flags,"exports");t.declarations=n.declarations?n.declarations.slice():[],t.parent=e,t.links.target=n,n.valueDeclaration&&(t.valueDeclaration=n.valueDeclaration),n.members&&(t.members=new Map(n.members)),n.exports&&(t.exports=new Map(n.exports));const r=Mf();return r.set("exports",t),Os(e,r,o,o,o)}Tt.assertIsDefined(e.valueDeclaration);const t=e.valueDeclaration;if(rM(t)&&x_(t))return t.statements.length?$A(Kx(bO(t.statements[0].expression))):Ct;if(Pd(t))return Jc(e);if(!El(e,0))return 512&e.flags&&!(67108864&e.flags)?$c(e):iD(t)&&1===n?Nn:td(e);let r;if(277===t.kind)r=Bc(Vc(t)||nO(t.expression),t);else if(TD(t)||Yh(t)&&(dD(t)||(lD(t)||Rg(t))&&TD(t.parent)))r=hc(e);else if(lD(t)||cD(t)||tN(t)||tp(t)||FI(t)||lC(t)||sC(t)||AN(t)&&!oh(t)||xN(t)||rM(t)){if(9136&e.flags)return $c(e);r=TD(t.parent)?hc(e):Vc(t)||xn}else if(QC(t))r=Vc(t)||lO(t);else if(VC(t))r=Vc(t)||XM(t);else if(ZC(t))r=Vc(t)||sO(t.name,0);else if(oh(t))r=Vc(t)||cO(t,0);else if(bN(t)||TN(t)||SN(t)||iC(t)||iD(t)||qc(t))r=Cc(t,!0);else if(uC(t))r=$c(e);else{if(!nM(t))return Tt.fail("Unhandled declaration kind! "+Tt.formatSyntaxKind(t.kind)+" for "+Tt.formatSymbol(e));r=Qc(e)}if(!Rl())return 512&e.flags&&!(67108864&e.flags)?$c(e):iD(t)&&1===n?r:td(e);return r}(e,n);return t.type||function(e){let n=e.valueDeclaration;return!!n&&(iD(n)&&(n=bl(n)),!!bN(n)&&FS(n.parent))}(e)||n||(t.type=r),r}return t.type}function Hc(e){if(e)switch(e.kind){case 177:return Ib(e);case 178:return Db(e);case 172:Tt.assert(qb(e));return Ab(e)}}function Kc(e){const n=Hc(e);return n&&JE(n)}function Jc(e){const n=Ui(e);if(!n.type){if(!El(e,0))return Nn;const t=Df(e,177),r=Df(e,178),o=hn(Df(e,172),Ld);let i=t&&Yh(t)&&oc(t)||Kc(t)||Kc(r)||Kc(o)||t&&t.body&&bw(t)||o&&o.initializer&&Cc(o,!0);i||(r&&!jO(r)?Ii($,r,Oa.Property_0_implicitly_has_type_any_because_its_set_accessor_lacks_a_parameter_type_annotation,rl(e)):t&&!jO(t)?Ii($,t,Oa.Property_0_implicitly_has_type_any_because_its_get_accessor_lacks_a_return_type_annotation,rl(e)):o&&!jO(o)&&Ii($,o,Oa.Member_0_implicitly_has_an_1_type,rl(e),"any"),i=xn),Rl()||(Hc(t)?Ai(t,Oa._0_is_referenced_directly_or_indirectly_in_its_own_type_annotation,rl(e)):Hc(r)||Hc(o)?Ai(r,Oa._0_is_referenced_directly_or_indirectly_in_its_own_type_annotation,rl(e)):t&&$&&Ai(t,Oa._0_implicitly_has_return_type_any_because_it_does_not_have_a_return_type_annotation_and_is_referenced_directly_or_indirectly_in_one_of_its_return_expressions,rl(e)),i=xn),n.type=i}return n.type}function Xc(e){const n=Ui(e);if(!n.writeType){if(!El(e,8))return Nn;const t=Df(e,178)??hn(Df(e,172),Ld);let r=Kc(t);Rl()||(Hc(t)&&Ai(t,Oa._0_is_referenced_directly_or_indirectly_in_its_own_type_annotation,rl(e)),r=xn),n.writeType=r||Jc(e)}return n.writeType}function Yc(e){const n=Wd(qd(e));return 8650752&n.flags?n:2097152&n.flags?D(n.types,(e=>!!(8650752&e.flags))):void 0}function $c(e){let n=Ui(e);const t=n;if(!n.type){const r=e.valueDeclaration&&vk(e.valueDeclaration,!1);if(r){const t=yk(e,r);t&&(e=t,n=t.links)}t.type=n.type=function(e){const n=e.valueDeclaration;if(1536&e.flags&&Wm(e))return xn;if(n&&(226===n.kind||wS(n)&&226===n.parent.kind))return hc(e);if(512&e.flags&&n&&rM(n)&&n.commonJsModuleIndicator){const n=Za(e);if(n!==e){if(!El(e,0))return Nn;const t=us(e.exports.get("export=")),r=hc(t,t===n?void 0:n);return Rl()?r:td(e)}}const t=Cs(16,e);if(32&e.flags){const n=Yc(e);return n?Nv([t,n]):t}return K&&16777216&e.flags?LA(t,!0):t}(e)}return n.type}function Qc(e){const n=Ui(e);return n.type||(n.type=Qd(e))}function Zc(e){const n=Ui(e);if(!n.type){if(!El(e,0))return Nn;const t=Wa(e),r=e.declarations&&ka(ha(e),!0),o=T(null==r?void 0:r.declarations,(e=>NC(e)?Vc(e):void 0));if(n.type=(null==r?void 0:r.declarations)&&hz(r.declarations)&&e.declarations.length?function(e){const n=$f(e.declarations[0]),t=Pl(e.escapedName),r=e.declarations.every((e=>Yh(e)&&wS(e)&&bg(e.expression))),o=r?UA.createPropertyAccessExpression(UA.createPropertyAccessExpression(UA.createIdentifier("module"),UA.createIdentifier("exports")),t):UA.createPropertyAccessExpression(UA.createIdentifier("exports"),t);return r&&Vx(o.expression.expression,o.expression),Vx(o.expression,o),Vx(o,n),o.flowNode=n.endFlowNode,fN(o,An,On)}(r):hz(e.declarations)?An:o||(111551&za(t)?sd(t):Nn),!Rl())return td(r??e),n.type=Nn}return n.type}function td(e){const n=e.valueDeclaration;if(n){if(Ab(n))return Ai(e.valueDeclaration,Oa._0_is_referenced_directly_or_indirectly_in_its_own_type_annotation,rl(e)),Nn;$&&(169!==n.kind||n.initializer)&&Ai(e.valueDeclaration,Oa._0_implicitly_has_type_any_because_it_does_not_have_a_type_annotation_and_is_referenced_directly_or_indirectly_in_its_own_initializer,rl(e))}else if(2097152&e.flags){const n=ha(e);n&&Ai(n,Oa.Circular_definition_of_import_alias_0,rl(e))}return xn}function rd(e){const n=Ui(e);return n.type||(Tt.assertIsDefined(n.deferralParent),Tt.assertIsDefined(n.deferralConstituents),n.type=1048576&n.deferralParent.flags?mv(n.deferralConstituents):Nv(n.deferralConstituents)),n.type}function od(e){const n=mS(e);return 4&e.flags?2&n?65536&n?function(e){const n=Ui(e);return!n.writeType&&n.deferralWriteConstituents&&(Tt.assertIsDefined(n.deferralParent),Tt.assertIsDefined(n.deferralConstituents),n.writeType=1048576&n.deferralParent.flags?mv(n.deferralWriteConstituents):Nv(n.deferralWriteConstituents)),n.writeType}(e)||rd(e):e.links.writeType||e.links.type:zA(sd(e),!!(16777216&e.flags)):98304&e.flags?1&n?function(e){const n=Ui(e);return n.writeType||(n.writeType=AS(od(n.target),n.mapper))}(e):Xc(e):sd(e)}function sd(e,n){const t=mS(e);return 65536&t?rd(e):1&t?function(e){const n=Ui(e);return n.type||(n.type=AS(sd(n.target),n.mapper))}(e):262144&t?function(e){if(!e.links.type){const n=e.links.mappedType;if(!El(e,0))return n.containsError=!0,Nn;const t=AS(Np(n.target||n),cS(n.mapper,Ap(n),e.links.keyType));let r=K&&16777216&e.flags&&!Ww(t,49152)?LA(t,!0):524288&e.links.checkFlags?BA(t):t;Rl()||(Ai(i,Oa.Type_of_property_0_circularly_references_itself_in_mapped_type_1,rl(e),il(n)),r=Nn),e.links.type=r}return e.links.type}(e):8192&t?function(e){const n=Ui(e);n.type||(n.type=yR(e.links.propertyType,e.links.mappedType,e.links.constraintType));return n.type}(e):7&e.flags?Uc(e,n):9136&e.flags?$c(e):8&e.flags?Qc(e):98304&e.flags?Jc(e):2097152&e.flags?Zc(e):Nn}function cd(e){return zA(sd(e),!!(16777216&e.flags))}function dd(e,n){return void 0!==e&&void 0!==n&&!!(4&IS(e))&&e.target===n}function pd(e){return 4&IS(e)?e.target:e}function fd(e,n){return function e(t){if(7&IS(t)){const r=pd(t);return r===n||oe(jd(r),e)}if(2097152&t.flags)return oe(t.types,e);return!1}(e)}function hd(e,n){for(const t of n)e=Te(e,eu(ps(t)));return e}function gd(e,n){for(;;){if((e=e.parent)&&TD(e)){const n=Eg(e);if(6===n||3===n){const n=ps(e.left);n&&n.parent&&!Nl(n.parent.valueDeclaration,(n=>e===n))&&(e=n.parent.valueDeclaration)}}if(!e)return;switch(e.kind){case 263:case 231:case 264:case 179:case 180:case 173:case 184:case 185:case 324:case 262:case 174:case 218:case 219:case 265:case 352:case 353:case 347:case 345:case 200:case 194:{const t=gd(e,n);if(200===e.kind)return ye(t,eu(ps(e.typeParameter)));if(194===e.kind)return ae(t,tE(e));const r=hd(t,Nc(e)),o=n&&(263===e.kind||231===e.kind||264===e.kind||gk(e))&&qd(ps(e)).thisType;return o?ye(r,o):r}case 348:const t=ry(e);t&&(e=t.valueDeclaration);break;case 327:{const t=gd(e,n);return e.tags?hd(t,H(e.tags,(e=>GM(e)?e.typeParameters:void 0))):t}}}}function yd(e){var n;const t=32&e.flags||16&e.flags?e.valueDeclaration:null==(n=e.declarations)?void 0:n.find((e=>{if(264===e.kind)return!0;if(260!==e.kind)return!1;const n=e.initializer;return!!n&&(218===n.kind||219===n.kind)}));return Tt.assert(!!t,"Class was missing valueDeclaration -OR- non-class had no interface declarations"),gd(t)}function Sd(e){if(!e.declarations)return;let n;for(const t of e.declarations)if(264===t.kind||263===t.kind||231===t.kind||gk(t)||qg(t)){n=hd(n,Nc(t))}return n}function Id(e){const n=wf(e,1);if(1===n.length){const e=n[0];if(!e.typeParameters&&1===e.parameters.length&&Zz(e)){const n=zk(e.parameters[0]);return zl(n)||mx(n)===xn}}return!1}function Nd(e){if(wf(e,1).length>0)return!0;if(8650752&e.flags){const n=lf(e);return!!n&&Id(n)}return!1}function wd(e){const n=RS(e.symbol);return n&&Oy(n)}function Od(e,n,t){const r=b(n),o=Yh(t);return W(wf(e,1),(e=>(o||r>=dm(e.typeParameters))&&r<=b(e.typeParameters)))}function Fd(e,n,t){const r=Od(e,n,t),o=B(n,JE);return V(r,(e=>oe(e.typeParameters)?Am(e,o,Yh(t)):e))}function Wd(e){if(!e.resolvedBaseConstructorType){const n=RS(e.symbol),t=n&&Oy(n),r=wd(e);if(!r)return e.resolvedBaseConstructorType=On;if(!El(e,1))return Nn;const o=bO(r.expression);if(t&&r!==t&&(Tt.assert(!t.typeArguments),bO(t.expression)),2621440&o.flags&&Fp(o),!Rl())return Ai(e.symbol.valueDeclaration,Oa._0_is_referenced_directly_or_indirectly_in_its_own_base_expression,rl(e.symbol)),e.resolvedBaseConstructorType=Nn;if(!(1&o.flags||o===jn||Nd(o))){const n=Ai(r.expression,Oa.Type_0_is_not_a_constructor_function_type,il(o));if(262144&o.flags){const e=$m(o);let t=Ln;if(e){const n=wf(e,1);n[0]&&(t=bm(n[0]))}o.symbol.declarations&&xx(n,d_(o.symbol.declarations[0],Oa.Did_you_mean_for_0_to_be_constrained_to_type_new_args_Colon_any_1,rl(o.symbol),il(t)))}return e.resolvedBaseConstructorType=Nn}e.resolvedBaseConstructorType=o}return e.resolvedBaseConstructorType}function zd(e,n){Ai(e,Oa.Type_0_recursively_references_itself_as_a_base_type,il(n,void 0,2))}function jd(e){if(!e.baseTypesResolved){if(El(e,7)&&(8&e.objectFlags?e.resolvedBaseTypes=[Hd(e)]:96&e.symbol.flags?(32&e.symbol.flags&&function(e){e.resolvedBaseTypes=lp;const n=yf(Wd(e));if(!(2621441&n.flags))return e.resolvedBaseTypes=o;const t=wd(e);let r;const i=n.symbol?ou(n.symbol):void 0;if(n.symbol&&32&n.symbol.flags&&function(e){const n=e.outerTypeParameters;if(n){const t=n.length-1,r=D_(e);return n[t].symbol!==r[t].symbol}return!0}(i))r=L_(t,n.symbol);else if(1&n.flags)r=n;else{const i=Fd(n,t.typeArguments,t);if(!i.length)return Ai(t.expression,Oa.No_base_constructor_has_the_specified_number_of_type_arguments),e.resolvedBaseTypes=o;r=bm(i[0])}if(Bl(r))return e.resolvedBaseTypes=o;const a=Tf(r);if(!Kd(a)){const n=cT(Nf(void 0,r),Oa.Base_constructor_return_type_0_is_not_an_object_type_or_intersection_of_object_types_with_statically_known_members,il(a));return si.add(f_($f(t.expression),t.expression,n)),e.resolvedBaseTypes=o}if(e===a||fd(a,e))return Ai(e.symbol.valueDeclaration,Oa.Type_0_recursively_references_itself_as_a_base_type,il(e,void 0,2)),e.resolvedBaseTypes=o;e.resolvedBaseTypes===lp&&(e.members=void 0);e.resolvedBaseTypes=[a]}(e),64&e.symbol.flags&&function(e){if(e.resolvedBaseTypes=e.resolvedBaseTypes||o,e.symbol.declarations)for(const n of e.symbol.declarations)if(264===n.kind&&Gy(n))for(const t of Gy(n)){const r=Tf(JE(t));Bl(r)||(Kd(r)?e===r||fd(r,e)?zd(n,e):e.resolvedBaseTypes===o?e.resolvedBaseTypes=[r]:e.resolvedBaseTypes.push(r):Ai(t,Oa.An_interface_can_only_extend_an_object_type_or_intersection_of_object_types_with_statically_known_members))}}(e)):Tt.fail("type must be class or interface"),!Rl()&&e.symbol.declarations))for(const n of e.symbol.declarations)263!==n.kind&&264!==n.kind||zd(n,e);e.baseTypesResolved=!0}return e.resolvedBaseTypes}function Hd(e){return ey(mv(V(e.typeParameters,((n,t)=>8&e.elementFlags[t]?Mb(n,Un):n))||o),e.readonly)}function Kd(e){if(262144&e.flags){const n=lf(e);if(n)return Kd(n)}return!!(67633153&e.flags&&!wp(e)||2097152&e.flags&&N(e.types,Kd))}function qd(e){let n=Ui(e);const t=n;if(!n.declaredType){const r=32&e.flags?1:2,o=yk(e,e.valueDeclaration&&function(e){var n;const t=e&&vk(e,!0),r=null==(n=null==t?void 0:t.exports)?void 0:n.get("prototype"),o=(null==r?void 0:r.valueDeclaration)&&function(e){if(!e.parent)return!1;let n=e.parent;for(;n&&211===n.kind;)n=n.parent;if(n&&TD(n)&&RE(n.left)&&64===n.operatorToken.kind){const e=Pg(n);return sD(e)&&e}}(r.valueDeclaration);return o?ps(o):void 0}(e.valueDeclaration));o&&(e=o,n=o.links);const i=t.declaredType=n.declaredType=Cs(r,e),a=yd(e),s=Sd(e);(a||s||1===r||!function(e){if(!e.declarations)return!0;for(const n of e.declarations)if(264===n.kind){if(256&n.flags)return!1;const e=Gy(n);if(e)for(const n of e)if(EE(n.expression)){const e=qa(n.expression,788968,!0);if(!e||!(64&e.flags)||qd(e).thisType)return!1}}return!0}(e))&&(i.objectFlags|=4,i.typeParameters=ae(a,s),i.outerTypeParameters=a,i.localTypeParameters=s,i.instantiations=new Map,i.instantiations.set(s_(i.typeParameters),i),i.target=i,i.resolvedTypeArguments=i.typeParameters,i.thisType=Ms(e),i.thisType.isThisType=!0,i.thisType.constraint=i)}return n.declaredType}function Jd(e){var n;const t=Ui(e);if(!t.declaredType){if(!El(e,2))return Nn;const r=Tt.checkDefined(null==(n=e.declarations)?void 0:n.find(qg),"Type alias symbol with no valid declaration found"),o=Kg(r)?r.typeExpression:r.type;let i=o?JE(o):Nn;if(Rl()){const n=Sd(e);n&&(t.typeParameters=n,t.instantiations=new Map,t.instantiations.set(s_(n),i))}else i=Nn,347===r.kind?Ai(r.typeExpression.type,Oa.Type_alias_0_circularly_references_itself,rl(e)):Ai(Gl(r)&&r.name||r,Oa.Type_alias_0_circularly_references_itself,rl(e));t.declaredType=i}return t.declaredType}function Xd(e){return 1056&e.flags&&8&e.symbol.flags?ou(ms(e.symbol)):e}function Yd(e){const n=Ui(e);if(!n.declaredType){const t=[];if(e.declarations)for(const n of e.declarations)if(266===n.kind)for(const r of n.members)if(Au(r)){const n=ps(r),o=DG(r),i=FE(void 0!==o?VE(o,Kz(e),n):$d(n));Ui(n).declaredType=i,t.push(WE(i))}const r=t.length?mv(t,1,e,void 0):$d(e);1048576&r.flags&&(r.flags|=1024,r.symbol=e),n.declaredType=r}return n.declaredType}function $d(e){const n=Is(32,e),t=Is(32,e);return n.regularType=n,n.freshType=t,t.regularType=n,t.freshType=t,n}function Qd(e){const n=Ui(e);if(!n.declaredType){const t=Yd(ms(e));n.declaredType||(n.declaredType=t)}return n.declaredType}function eu(e){const n=Ui(e);return n.declaredType||(n.declaredType=Ms(e))}function ou(e){return au(e)||Nn}function au(e){return 96&e.flags?qd(e):524288&e.flags?Jd(e):262144&e.flags?eu(e):384&e.flags?Yd(e):8&e.flags?Qd(e):2097152&e.flags?function(e){const n=Ui(e);return n.declaredType||(n.declaredType=ou(Wa(e)))}(e):void 0}function su(e){switch(e.kind){case 133:case 159:case 154:case 150:case 163:case 136:case 155:case 151:case 116:case 157:case 146:case 201:return!0;case 188:return su(e.elementType);case 183:return!e.typeArguments||e.typeArguments.every(su)}return!1}function lu(e){const n=Dc(e);return!n||su(n)}function cu(e){const n=Ab(e);return n?su(n):!$u(e)}function du(e){if(e.declarations&&1===e.declarations.length){const n=e.declarations[0];if(n)switch(n.kind){case 172:case 171:return cu(n);case 174:case 173:case 176:case 177:case 178:return function(e){const n=Ib(e),t=Nc(e);return(176===e.kind||!!n&&su(n))&&e.parameters.every(cu)&&t.every(lu)}(n)}}return!1}function fu(e,n,t){const r=Mf();for(const o of e)r.set(o.escapedName,t&&du(o)?o:pS(o,n));return r}function _u(e,n){for(const t of n){if(bu(t))continue;const n=e.get(t.escapedName);(!n||n.valueDeclaration&&TD(n.valueDeclaration)&&!lc(n)&&!hh(n.valueDeclaration))&&(e.set(t.escapedName,t),e.set(t.escapedName,t))}}function bu(e){return!!e.valueDeclaration&&md(e.valueDeclaration)&&jb(e.valueDeclaration)}function Eu(e){if(!e.declaredProperties){const n=e.symbol,t=Mu(n);e.declaredProperties=Ls(t),e.declaredCallSignatures=o,e.declaredConstructSignatures=o,e.declaredIndexInfos=o,e.declaredCallSignatures=_m(t.get("__call")),e.declaredConstructSignatures=_m(t.get("__new")),e.declaredIndexInfos=Km(n)}return e}function Su(e){if(!yN(e)&&!cD(e))return!1;const n=yN(e)?e.expression:e.argumentExpression;return EE(n)&&xA(yN(e)?MM(e):nO(n))}function Tu(e){return 95===e.charCodeAt(0)&&95===e.charCodeAt(1)&&64===e.charCodeAt(2)}function xu(e){const n=jl(e);return!!n&&Su(n)}function Au(e){return!rv(e)||xu(e)}function Ru(e,n,t,r){Tt.assert(!!r.symbol,"The member is expected to have a symbol.");const o=Hi(r);if(!o.resolvedSymbol){o.resolvedSymbol=r.symbol;const i=TD(r)?r.left:r.name,a=cD(i)?nO(i.argumentExpression):MM(i);if(xA(a)){const s=AA(a),l=r.symbol.flags;let c=t.get(s);c||t.set(s,c=Li(0,s,4096));const d=n&&n.get(s);if(!(32&e.flags)&&(c.flags&Oi(l)||d)){const e=d?ae(d.declarations,c.declarations):c.declarations,n=!(8192&a.flags)&&Pl(s)||o_(i);E(e,(e=>Ai(jl(e)||e,Oa.Property_0_was_also_declared_here,n))),Ai(i||r,Oa.Duplicate_property_0,n),c=Li(0,s,4096)}return c.links.nameType=a,function(e,n,t){Tt.assert(!!(4096&mS(e)),"Expected a late-bound symbol."),e.flags|=t,Ui(n.symbol).lateSymbol=e,e.declarations?n.symbol.isReplaceableByMethod||e.declarations.push(n):e.declarations=[n],111551&t&&(e.valueDeclaration&&e.valueDeclaration.kind===n.kind||(e.valueDeclaration=n))}(c,r,l),c.parent?Tt.assert(c.parent===e,"Existing symbol parent should match new one"):c.parent=e,o.resolvedSymbol=c}}return o.resolvedSymbol}function Cu(e,n){const t=Ui(e);if(!t[n]){const r="resolvedExports"===n,i=r?1536&e.flags?ds(e).exports:e.exports:e.members;t[n]=i||S;const a=Mf();for(const n of e.declarations||o){const t=J_(n);if(t)for(const n of t)r===Vb(n)&&xu(n)&&Ru(e,i,a,n)}const s=hs(e).assignmentDeclarationMembers;if(s){const n=Je(s.values());for(const t of n){const n=Eg(t);r===!(3===n||TD(t)&&vC(t,n)||9===n||6===n)&&xu(t)&&Ru(e,i,a,t)}}let l=function(e,n){if(!(null==e?void 0:e.size))return n;if(!(null==n?void 0:n.size))return e;const t=Mf();return ji(t,e),ji(t,n),t}(i,a);if(33554432&e.flags&&t.cjsExportMerged&&e.declarations)for(const t of e.declarations){const e=Ui(t.symbol)[n];l?e&&e.forEach(((e,n)=>{const t=l.get(n);if(t){if(t===e)return;l.set(n,zi(t,e))}else l.set(n,e)})):l=e}t[n]=l||S}return t[n]}function Mu(e){return 6256&e.flags?Cu(e,"resolvedMembers"):e.members||S}function Lu(e){if(106500&e.flags&&"__computed"===e.escapedName){const n=Ui(e);if(!n.lateSymbol&&oe(e.declarations,xu)){const n=us(e.parent);oe(e.declarations,Vb)?ss(n):Mu(n)}return n.lateSymbol||(n.lateSymbol=e)}return e}function ku(e,n,t){if(4&IS(e)){const t=e.target,r=D_(e);return b(t.typeParameters)===b(r)?v_(t,ae(r,[n||t.thisType])):e}if(2097152&e.flags){const r=V(e.types,(e=>ku(e,n,t)));return r!==e.types?Nv(r):e}return t?yf(e):e}function Ou(e,n,t,r){let o,i,a,s,l;Ne(t,r,0,t.length)?(i=n.symbol?Mu(n.symbol):Mf(n.declaredProperties),a=n.declaredCallSignatures,s=n.declaredConstructSignatures,l=n.declaredIndexInfos):(o=eS(t,r),i=fu(n.declaredProperties,o,1===t.length),a=QE(n.declaredCallSignatures,o),s=QE(n.declaredConstructSignatures,o),l=ZE(n.declaredIndexInfos,o));const c=jd(n);if(c.length){if(n.symbol&&i===Mu(n.symbol)){const e=Mf(n.declaredProperties),t=Fm(n.symbol);t&&e.set("__index",t),i=e}ws(e,i,a,s,l);const t=Le(r);for(const e of c){const n=t?ku(AS(e,o),t):e;_u(i,Hp(n)),a=ae(a,wf(n,0)),s=ae(s,wf(n,1));const r=n!==xn?Kf(n):[Hm(Vn,xn,!1)];l=ae(l,W(r,(e=>!Ff(l,e.keyType))))}}ws(e,i,a,s,l)}function Fu(e,n,t,r,o,i,a,s){const l=new p(Fe,s);return l.declaration=e,l.typeParameters=n,l.parameters=r,l.thisParameter=t,l.resolvedReturnType=o,l.resolvedTypePredicate=i,l.minArgumentCount=a,l.resolvedMinArgumentCount=void 0,l.target=void 0,l.mapper=void 0,l.compositeSignatures=void 0,l.compositeKind=void 0,l}function Wu(e){const n=Fu(e.declaration,e.typeParameters,e.thisParameter,e.parameters,void 0,void 0,e.minArgumentCount,167&e.flags);return n.target=e.target,n.mapper=e.mapper,n.compositeSignatures=e.compositeSignatures,n.compositeKind=e.compositeKind,n}function zu(e,n){const t=Wu(e);return t.compositeSignatures=n,t.compositeKind=1048576,t.target=void 0,t.mapper=void 0,t}function Bu(e,n){if((24&e.flags)===n)return e;e.optionalCallSignatureCache||(e.optionalCallSignatureCache={});const t=8===n?"inner":"outer";return e.optionalCallSignatureCache[t]||(e.optionalCallSignatureCache[t]=function(e,n){Tt.assert(8===n||16===n,"An optional call signature can either be for an inner call chain or an outer call chain, but not both.");const t=Wu(e);return t.flags|=n,t}(e,n))}function Vu(e,n){if(Zz(e)){const r=e.parameters.length-1,o=e.parameters[r].escapedName,i=sd(e.parameters[r]);if(nA(i))return[t(i,r,o)];if(!n&&1048576&i.flags&&N(i.types,nA))return B(i.types,(e=>t(e,r,o)))}return[e.parameters];function t(n,t,r){const o=D_(n),i=function(e,n){const t=new Map;return B(e.target.labeledElementDeclarations,((e,r)=>{const o=Gk(e,r,n),i=t.get(o);return void 0===i?(t.set(o,1),o):(t.set(o,i+1),`${o}_${i}`)}))}(n,r),a=B(o,((r,o)=>{const a=i&&i[o]?i[o]:Bk(e,t+o,n),s=n.target.elementFlags[o],l=Li(1,a,12&s?32768:2&s?16384:0);return l.links.type=4&s?ey(r):r,l}));return ae(e.parameters.slice(0,t),a)}}function Hu(e,n,t,r,o){for(const i of e)if(ax(i,n,t,r,o,t?VS:BS))return i}function Ku(e,n,t){if(n.typeParameters){if(t>0)return;for(let t=1;t<e.length;t++)if(!Hu(e[t],n,!1,!1,!1))return;return[n]}let r;for(let o=0;o<e.length;o++){const i=o===t?n:Hu(e[o],n,!1,!1,!0)||Hu(e[o],n,!0,!1,!0);if(!i)return;r=Te(r,i)}return r}function Zu(e){let n,t;for(let r=0;r<e.length;r++){if(0===e[r].length)return o;e[r].length>1&&(t=void 0===t?r:-1);for(const t of e[r])if(!n||!Hu(n,t,!1,!1,!0)){const o=Ku(e,t,r);if(o){let e=t;if(o.length>1){let n=t.thisParameter;const r=E(o,(e=>e.thisParameter));if(r){n=VA(r,Nv(Y(o,(e=>e.thisParameter&&sd(e.thisParameter)))))}e=zu(t,o),e.thisParameter=n}(n||(n=[])).push(e)}}}if(!b(n)&&-1!==t){const r=e[void 0!==t?t:0];let o=r.slice();for(const n of e)if(n!==r){const e=n[0];if(Tt.assert(!!e,"getUnionSignatures bails early on empty signature lists and should not have empty lists on second pass"),o=e.typeParameters&&oe(o,(n=>!!n.typeParameters&&!np(e.typeParameters,n.typeParameters)))?void 0:B(o,(n=>ap(n,e))),!o)break}n=o}return n||o}function np(e,n){if(b(e)!==b(n))return!1;if(!e||!n)return!0;const t=eS(n,e);for(let r=0;r<e.length;r++){const o=e[r],i=n[r];if(o!==i&&!GS($m(o)||Ln,AS($m(i)||Ln,t)))return!1}return!0}function ap(e,n){const t=e.typeParameters||n.typeParameters;let r;e.typeParameters&&n.typeParameters&&(r=eS(n.typeParameters,e.typeParameters));const o=e.declaration,i=function(e,n,t){const r=Xk(e),o=Xk(n),i=r>=o?e:n,a=i===e?n:e,s=i===e?r:o,l=$k(e)||$k(n),c=l&&!$k(i),d=new Array(s+(c?1:0));for(let u=0;u<s;u++){let p=Kk(i,u);i===n&&(p=AS(p,t));let f=Kk(a,u)||Ln;a===n&&(f=AS(f,t));const m=Nv([p,f]),_=l&&!c&&u===s-1,h=u>=Yk(i)&&u>=Yk(a),g=u>=r?void 0:Bk(e,u),y=u>=o?void 0:Bk(n,u),v=Li(1|(h&&!_?16777216:0),(g===y?g:g?y?void 0:g:y)||`arg${u}`,_?32768:h?16384:0);v.links.type=_?ey(m):m,d[u]=v}if(c){const e=Li(1,"args",32768);e.links.type=ey(Hk(a,s)),a===n&&(e.links.type=AS(e.links.type,t)),d[s]=e}return d}(e,n,r),a=function(e,n,t){return e&&n?VA(e,Nv([sd(e),AS(sd(n),t)])):e||n}(e.thisParameter,n.thisParameter,r),s=Fu(o,t,a,i,void 0,void 0,Math.max(e.minArgumentCount,n.minArgumentCount),167&(e.flags|n.flags));return s.compositeKind=1048576,s.compositeSignatures=ae(2097152!==e.compositeKind&&e.compositeSignatures||[e],[n]),r?s.mapper=2097152!==e.compositeKind&&e.mapper&&e.compositeSignatures?sS(e.mapper,r):r:2097152!==e.compositeKind&&e.mapper&&e.compositeSignatures&&(s.mapper=e.mapper),s}function sp(e){const n=Kf(e[0]);if(n){const t=[];for(const r of n){const n=r.keyType;N(e,(e=>!!qf(e,n)))&&t.push(Hm(n,mv(B(e,(e=>Jf(e,n)))),oe(e,(e=>qf(e,n).isReadonly))))}return t}return o}function pp(e,n){return e?n?Nv([e,n]):e:n}function mp(e){const n=F(e,(e=>wf(e,1).length>0)),t=B(e,Id);if(n>0&&n===F(t,(e=>e))){const e=t.indexOf(!0);t[e]=!1}return t}function _p(e,n,t,r){const o=[];for(let i=0;i<n.length;i++)i===r?o.push(e):t[i]&&o.push(bm(wf(n[i],1)[0]));return Nv(o)}function hp(e,n){for(const t of n)e&&!N(e,(e=>!ax(e,t,!1,!1,!1,BS)))||(e=ye(e,t));return e}function gp(e,n,t){if(e)for(let r=0;r<e.length;r++){const o=e[r];if(o.keyType===n.keyType)return e[r]=Hm(o.keyType,t?mv([o.type,n.type]):Nv([o.type,n.type]),t?o.isReadonly||n.isReadonly:o.isReadonly&&n.isReadonly),e}return ye(e,n)}function yp(e){if(e.target){ws(e,S,o,o,o);return void ws(e,fu(zp(e.target),e.mapper,!1),QE(wf(e.target,0),e.mapper),QE(wf(e.target,1),e.mapper),ZE(Kf(e.target),e.mapper))}const n=us(e.symbol);if(2048&n.flags){ws(e,S,o,o,o);const t=Mu(n),r=_m(t.get("__call")),i=_m(t.get("__new"));return void ws(e,t,r,i,Km(n))}let t,r,i=ss(n);if(n===_e){const e=new Map;i.forEach((n=>{var t;418&n.flags||512&n.flags&&(null==(t=n.declarations)?void 0:t.length)&&N(n.declarations,km)||e.set(n.escapedName,n)})),i=e}if(ws(e,i,o,o,o),32&n.flags){const e=Wd(qd(n));11272192&e.flags?(i=Mf(function(e){const n=Ls(e),t=jm(e);return t?ae(n,[t]):n}(i)),_u(i,Hp(e))):e===xn&&(r=Hm(Vn,xn,!1))}const a=jm(i);if(a?t=qm(a):(r&&(t=ye(t,r)),384&n.flags&&(32&ou(n).flags||oe(e.properties,(e=>!!(296&sd(e).flags))))&&(t=ye(t,co))),ws(e,i,o,o,t||o),8208&n.flags&&(e.callSignatures=_m(n)),32&n.flags){const t=qd(n);let r=n.members?_m(n.members.get("__constructor")):o;16&n.flags&&(r=Ee(r.slice(),Y(e.callSignatures,(e=>gk(e.declaration)?Fu(e.declaration,e.typeParameters,e.thisParameter,e.parameters,t,void 0,e.minArgumentCount,167&e.flags):void 0)))),r.length||(r=function(e){const n=wf(Wd(e),1),t=RS(e.symbol),r=!!t&&Bb(t,64);if(0===n.length)return[Fu(void 0,e.localTypeParameters,void 0,o,e,void 0,0,r?4:0)];const i=wd(e),a=Yh(i),s=Ah(i),l=b(s),c=[];for(const t of n){const n=dm(t.typeParameters),o=b(t.typeParameters);if(a||l>=n&&l<=o){const i=o?Nm(t,um(s,t.typeParameters,n,a)):Wu(t);i.typeParameters=e.localTypeParameters,i.resolvedReturnType=e,i.flags=r?4|i.flags:-5&i.flags,c.push(i)}}return c}(t)),e.constructSignatures=r}}function vp(e,n,t){return AS(e,eS([n.indexType,n.objectType],[BE(0),Dy([t])]))}function bp(e){const n=qf(e.source,Vn),t=Pp(e.mappedType),r=!(1&t),i=4&t?0:16777216,a=n?[Hm(Vn,yR(n.type,e.mappedType,e.constraintType),r&&n.isReadonly)]:o,s=Mf(),l=function(e){const n=Rp(e.mappedType);if(!(1048576&n.flags||2097152&n.flags))return;const t=1048576&n.flags?n.origin:n;if(!(t&&2097152&t.flags))return;const r=Nv(t.types.filter((n=>n!==e.constraintType)));return r!==ot?r:void 0}(e);for(const n of Hp(e.source)){if(l){if(!KS(Gv(n,8576),l))continue}const t=8192|(r&&Mw(n)?8:0),o=Li(4|n.flags&i,n.escapedName,t);if(o.declarations=n.declarations,o.links.nameType=Ui(n).nameType,o.links.propertyType=sd(n),8388608&e.constraintType.type.flags&&262144&e.constraintType.type.objectType.flags&&262144&e.constraintType.type.indexType.flags){const n=e.constraintType.type.objectType,t=vp(e.mappedType,e.constraintType.type,n);o.links.mappedType=t,o.links.constraintType=Jv(n)}else o.links.mappedType=e.mappedType,o.links.constraintType=e.constraintType;s.set(n.escapedName,o)}ws(e,s,o,o,a)}function Ep(e){if(4194304&e.flags){const n=yf(e.type);return iA(n)?Uy(n):Jv(n)}if(16777216&e.flags){if(e.root.isDistributive){const n=e.checkType,t=Ep(n);if(t!==n)return xS(e,lS(e.root.checkType,t,e.mapper),!1)}return e}if(1048576&e.flags)return VI(e,Ep,!0);if(2097152&e.flags){const n=e.types;return 2===n.length&&76&n[0].flags&&n[1]===Lt?e:Nv(V(e.types,Ep))}return e}function Sp(e){return 4096&mS(e)}function Tp(e,n,t,r){for(const t of Hp(e))r(Gv(t,n));if(1&e.flags)r(Vn);else for(const n of Kf(e))(!t||134217732&n.keyType.flags)&&r(n.keyType)}function xp(e){const n=Mf();let t;ws(e,S,o,o,o);const r=Ap(e),i=Rp(e),a=e.target||e,s=Ip(a),l=2!==Op(a),c=Np(a),d=yf(Mp(e)),u=Pp(e),p=te?128:8576;function f(o){wI(s?AS(s,cS(e.mapper,r,o)):o,(i=>function(o,i){if(xA(i)){const t=AA(i),r=n.get(t);if(r)r.links.nameType=mv([r.links.nameType,i]),r.links.keyType=mv([r.links.keyType,o]);else{const r=xA(o)?Lf(d,AA(o)):void 0,a=!!(4&u||!(8&u)&&r&&16777216&r.flags),s=!!(1&u||!(2&u)&&r&&Mw(r)),c=K&&!a&&r&&16777216&r.flags,p=Li(4|(a?16777216:0),t,262144|(r?Sp(r):0)|(s?8:0)|(c?524288:0));p.links.mappedType=e,p.links.nameType=i,p.links.keyType=o,r&&(p.links.syntheticOrigin=r,p.declarations=l?r.declarations:void 0),n.set(t,p)}}else if(Jm(i)||33&i.flags){const n=5&i.flags?Vn:40&i.flags?Un:i,a=AS(c,cS(e.mapper,r,o)),s=nm(d,i),l=Hm(n,a,!!(1&u||!(2&u)&&(null==s?void 0:s.isReadonly)));t=gp(t,l,!0)}}(o,i)))}Cp(e)?Tp(d,p,te,f):wI(Ep(i),f),ws(e,n,o,o,t||o)}function Ap(e){return e.typeParameter||(e.typeParameter=eu(ps(e.declaration.typeParameter)))}function Rp(e){return e.constraintType||(e.constraintType=Yp(Ap(e))||Nn)}function Ip(e){return e.declaration.nameType?e.nameType||(e.nameType=AS(JE(e.declaration.nameType),e.mapper)):void 0}function Np(e){return e.templateType||(e.templateType=e.declaration.type?AS(ac(JE(e.declaration.type),!0,!!(4&Pp(e))),e.mapper):Nn)}function Dp(e){return Dc(e.declaration.typeParameter)}function Cp(e){const n=Dp(e);return 198===n.kind&&143===n.operator}function Mp(e){if(!e.modifiersType)if(Cp(e))e.modifiersType=AS(JE(Dp(e).type),e.mapper);else{const n=Rp(wb(e.declaration)),t=n&&262144&n.flags?Yp(n):n;e.modifiersType=t&&4194304&t.flags?AS(t.type,e.mapper):Ln}return e.modifiersType}function Pp(e){const n=e.declaration;return(n.readonlyToken?41===n.readonlyToken.kind?2:1:0)|(n.questionToken?41===n.questionToken.kind?8:4:0)}function Lp(e){const n=Pp(e);return 8&n?-1:4&n?1:0}function kp(e){const n=Lp(e),t=Mp(e);return n||(wp(t)?Lp(t):0)}function wp(e){if(32&IS(e)){const n=Rp(e);if(fb(n))return!0;const t=Ip(e);if(t&&fb(AS(t,tS(Ap(e),n))))return!0}return!1}function Op(e){const n=Ip(e);return n?KS(n,Ap(e))?1:2:0}function Fp(e){return e.members||(524288&e.flags?4&e.objectFlags?function(e){const n=Eu(e.target),t=ae(n.typeParameters,[n.thisType]),r=D_(e);Ou(e,n,t,r.length===t.length?r:ae(r,[e]))}(e):3&e.objectFlags?function(e){Ou(e,Eu(e),o,o)}(e):1024&e.objectFlags?bp(e):16&e.objectFlags?yp(e):32&e.objectFlags?xp(e):Tt.fail("Unhandled object type "+Tt.formatObjectFlags(e.objectFlags)):1048576&e.flags?function(e){const n=Zu(B(e.types,(e=>e===$t?[ao]:wf(e,0)))),t=Zu(B(e.types,(e=>wf(e,1)))),r=sp(e.types);ws(e,S,n,t,r)}(e):2097152&e.flags?function(e){let n,t,r;const i=e.types,a=mp(i),s=F(a,(e=>e));for(let o=0;o<i.length;o++){const l=e.types[o];if(!a[o]){let e=wf(l,1);e.length&&s>0&&(e=B(e,(e=>{const n=Wu(e);return n.resolvedReturnType=_p(bm(e),i,a,o),n}))),t=hp(t,e)}n=hp(n,wf(l,0)),r=Be(Kf(l),((e,n)=>gp(e,n,!1)),r)}ws(e,S,n||o,t||o,r||o)}(e):Tt.fail("Unhandled type "+Tt.formatTypeFlags(e.flags))),e}function zp(e){return 524288&e.flags?Fp(e).properties:o}function Gp(e,n){if(524288&e.flags){const t=Fp(e).members.get(n);if(t&&xs(t))return t}}function Bp(e){if(!e.resolvedProperties){const n=Mf();for(const t of e.types){for(const r of Hp(t))if(!n.has(r.escapedName)){const t=Sf(e,r.escapedName,!!(2097152&e.flags));t&&n.set(r.escapedName,t)}if(1048576&e.flags&&0===Kf(t).length)break}e.resolvedProperties=Ls(n)}return e.resolvedProperties}function Hp(e){return 3145728&(e=vf(e)).flags?Bp(e):zp(e)}function Xp(e){return 262144&e.flags?Yp(e):8388608&e.flags?function(e){return df(e)?function(e){if(gf(e))return Cb(e.objectType,e.indexType);const n=nf(e.indexType);if(n&&n!==e.indexType){const t=Lb(e.objectType,n,e.accessFlags);if(t)return t}const t=nf(e.objectType);if(t&&t!==e.objectType)return Lb(t,e.indexType,e.accessFlags);return}(e):void 0}(e):16777216&e.flags?sf(e):lf(e)}function Yp(e){return df(e)?$m(e):void 0}function ef(e,n=0){var t;return n<5&&!(!e||!(262144&e.flags&&oe(null==(t=e.symbol)?void 0:t.declarations,(e=>Bb(e,4096)))||3145728&e.flags&&oe(e.types,(e=>ef(e,n)))||8388608&e.flags&&ef(e.objectType,n+1)||16777216&e.flags&&ef(sf(e),n+1)||33554432&e.flags&&ef(e.baseType,n)||32&IS(e)&&function(e,n){const t=bS(e);return!!t&&ef(t,n)}(e,n)||iA(e)&&M(qy(e),((t,r)=>!!(8&e.target.elementFlags[r])&&ef(t,n)))>=0))}function nf(e){const n=gb(e,!1);return n!==e?n:Xp(e)}function tf(e){if(!e.resolvedDefaultConstraint){const n=function(e){return e.resolvedInferredTrueType||(e.resolvedInferredTrueType=e.combinedMapper?AS(JE(e.root.node.trueType),e.combinedMapper):eE(e))}(e),t=nE(e);e.resolvedDefaultConstraint=zl(n)?t:zl(t)?n:mv([n,t])}return e.resolvedDefaultConstraint}function of(e){if(void 0!==e.resolvedConstraintOfDistributive)return e.resolvedConstraintOfDistributive||void 0;if(e.root.isDistributive&&e.restrictiveInstantiation!==e){const n=gb(e.checkType,!1),t=n===e.checkType?Xp(n):n;if(t&&t!==e.checkType){const n=xS(e,lS(e.root.checkType,t,e.mapper),!0);if(!(131072&n.flags))return e.resolvedConstraintOfDistributive=n,n}}e.resolvedConstraintOfDistributive=!1}function af(e){return of(e)||tf(e)}function sf(e){return df(e)?af(e):void 0}function lf(e){if(464781312&e.flags||iA(e)){const n=uf(e);return n!==Wt&&n!==zt?n:void 0}return 4194304&e.flags?vt:void 0}function cf(e){return lf(e)||e}function df(e){return uf(e)!==zt}function uf(e){if(e.resolvedBaseConstraint)return e.resolvedBaseConstraint;const n=[];return e.resolvedBaseConstraint=t(e);function t(e){if(!e.immediateBaseConstraint){if(!El(e,4))return zt;let t;const o=ox(e);if((n.length<10||n.length<50&&!k(n,o))&&(n.push(o),t=function(e){if(262144&e.flags){const n=$m(e);return e.isThisType||!n?n:r(n)}if(3145728&e.flags){const n=e.types,t=[];let o=!1;for(const e of n){const n=r(e);n?(n!==e&&(o=!0),t.push(n)):o=!0}return o?1048576&e.flags&&t.length===n.length?mv(t):2097152&e.flags&&t.length?Nv(t):void 0:e}if(4194304&e.flags)return vt;if(134217728&e.flags){const n=e.types,t=Y(n,r);return t.length===n.length?$v(e.texts,t):Vn}if(268435456&e.flags){const n=r(e.type);return n&&n!==e.type?Zv(e.symbol,n):Vn}if(8388608&e.flags){if(gf(e))return r(Cb(e.objectType,e.indexType));const n=r(e.objectType),t=r(e.indexType),o=n&&t&&Lb(n,t,e.accessFlags);return o&&r(o)}if(16777216&e.flags){const n=af(e);return n&&r(n)}if(33554432&e.flags)return r(sh(e));if(iA(e)){return Dy(B(qy(e),((n,t)=>{const o=262144&n.flags&&8&e.target.elementFlags[t]&&r(n)||n;return o!==n&&WI(o,(e=>px(e)&&!iA(e)))?o:n})),e.target.elementFlags,e.target.readonly,e.target.labeledElementDeclarations)}return e}(gb(e,!1)),n.pop()),!Rl()){if(262144&e.flags){const n=Xm(e);if(n){const t=Ai(n,Oa.Type_parameter_0_has_a_circular_constraint,il(e));!i||Ay(n,i)||Ay(i,n)||xx(t,d_(i,Oa.Circularity_originates_in_type_at_this_location))}}t=zt}e.immediateBaseConstraint=t||Wt}return e.immediateBaseConstraint}function r(e){const n=t(e);return n!==Wt&&n!==zt?n:void 0}}function pf(e){if(e.default)e.default===Gt&&(e.default=zt);else if(e.target){const n=pf(e.target);e.default=n?AS(n,e.mapper):Wt}else{e.default=Gt;const n=e.symbol&&E(e.symbol.declarations,(e=>vN(e)&&e.default)),t=n?JE(n):Wt;e.default===Gt&&(e.default=t)}return e.default}function ff(e){const n=pf(e);return n!==Wt&&n!==zt?n:void 0}function mf(e){return!(!e.symbol||!E(e.symbol.declarations,(e=>vN(e)&&e.default)))}function _f(e){return e.resolvedApparentType||(e.resolvedApparentType=function(e){const n=e.target??e,t=bS(n);if(t&&!n.declaration.nameType){const r=Mp(e),o=wp(r)?_f(r):lf(r);if(o&&WI(o,(e=>px(e)||hf(e))))return AS(n,lS(t,o,e.mapper))}return e}(e))}function hf(e){return!!(2097152&e.flags)&&N(e.types,px)}function gf(e){let n;return!(!(8388608&e.flags&&32&IS(n=e.objectType)&&!wp(n)&&fb(e.indexType))||8&Pp(n)||n.declaration.nameType)}function yf(e){const n=465829888&e.flags?lf(e)||Ln:e,t=IS(n);return 32&t?_f(n):4&t&&n!==e?ku(n,e):2097152&n.flags?function(e,n){return e.resolvedApparentType||(e.resolvedApparentType=ku(e,n,!0))}(n,e):402653316&n.flags?tr:296&n.flags?rr:2112&n.flags?jr||(jr=tg("BigInt",0,!1))||Ct:528&n.flags?or:12288&n.flags?xg():67108864&n.flags?Ct:4194304&n.flags?vt:2&n.flags&&!K?Ct:n}function vf(e){return Tf(yf(Tf(e)))}function bf(e,n,t){var r,o,i;let a,s,l;const c=1048576&e.flags;let d,u=4,p=c?0:8,f=!1;for(const r of e.types){const e=yf(r);if(!(Bl(e)||131072&e.flags)){const r=Lf(e,n,t),o=r?_S(r):0;if(r){if(106500&r.flags&&(d??(d=c?0:16777216),c?d|=16777216&r.flags:d&=r.flags),a){if(r!==a){if((GW(r)||r)===(GW(a)||a)&&-1===ix(a,r,((e,n)=>e===n?-1:0)))f=!!a.parent&&!!b(Sd(a.parent));else{s||(s=new Map,s.set(Kz(a),a));const e=Kz(r);s.has(e)||s.set(e,r)}}}else a=r;c&&Mw(r)?p|=8:c||Mw(r)||(p&=-9),p|=(6&o?0:256)|(4&o?512:0)|(2&o?1024:0)|(256&o?2048:0),AP(r)||(u=2)}else if(c){const t=!Tu(n)&&tm(e,n);t?(p|=32|(t.isReadonly?8:0),l=ye(l,nA(e)?uA(e)||On:t.type)):!WR(e)||2097152&IS(e)?p|=16:(p|=32,l=ye(l,On))}}}if(!a||c&&(s||48&p)&&1536&p&&(!s||!function(e){let n;for(const t of e){if(!t.declarations)return;if(n){if(n.forEach((e=>{k(t.declarations,e)||n.delete(e)})),0===n.size)return}else n=new Set(t.declarations)}return n}(s.values())))return;if(!(s||16&p||l)){if(f){const n=null==(r=hn(a,Pf))?void 0:r.links,t=VA(a,null==n?void 0:n.type);return t.parent=null==(i=null==(o=a.valueDeclaration)?void 0:o.symbol)?void 0:i.parent,t.links.containingType=e,t.links.mapper=null==n?void 0:n.mapper,t.links.writeType=od(a),t}return a}const m=s?Je(s.values()):[a];let _,h,g;const y=[];let v,E,S=!1;for(const e of m){E?e.valueDeclaration&&e.valueDeclaration!==E&&(S=!0):E=e.valueDeclaration,_=Ee(_,e.declarations);const n=sd(e);h||(h=n,g=Ui(e).nameType);const t=od(e);(v||t!==n)&&(v=ye(v||y.slice(),t)),n!==h&&(p|=64),(Bx(n)||cb(n))&&(p|=128),131072&n.flags&&n!==Rt&&(p|=131072),y.push(n)}Ee(y,l);const T=Li(4|(d??0),n,u|p);return T.links.containingType=e,!S&&E&&(T.valueDeclaration=E,E.symbol.parent&&(T.parent=E.symbol.parent)),T.declarations=_,T.links.nameType=g,y.length>2?(T.links.checkFlags|=65536,T.links.deferralParent=e,T.links.deferralConstituents=y,T.links.deferralWriteConstituents=v):(T.links.type=c?mv(y):Nv(y),v&&(T.links.writeType=c?mv(v):Nv(v))),T}function Ef(e,n,t){var r,o,i;let a=t?null==(r=e.propertyCacheWithoutObjectFunctionPropertyAugment)?void 0:r.get(n):null==(o=e.propertyCache)?void 0:o.get(n);if(!a&&(a=bf(e,n,t),a)){if((t?e.propertyCacheWithoutObjectFunctionPropertyAugment||(e.propertyCacheWithoutObjectFunctionPropertyAugment=Mf()):e.propertyCache||(e.propertyCache=Mf())).set(n,a),t&&!(48&mS(a))&&!(null==(i=e.propertyCache)?void 0:i.get(n))){(e.propertyCache||(e.propertyCache=Mf())).set(n,a)}}return a}function Sf(e,n,t){const r=Ef(e,n,t);return!r||16&mS(r)?void 0:r}function Tf(e){return 1048576&e.flags&&16777216&e.objectFlags?e.resolvedReducedType||(e.resolvedReducedType=function(e){const n=V(e.types,Tf);if(n===e.types)return e;const t=mv(n);1048576&t.flags&&(t.resolvedReducedType=t);return t}(e)):2097152&e.flags?(16777216&e.objectFlags||(e.objectFlags|=16777216|(oe(Bp(e),xf)?33554432:0)),33554432&e.objectFlags?ot:e):e}function xf(e){return Af(e)||Rf(e)}function Af(e){return!(16777216&e.flags||192!=(131264&mS(e))||!(131072&sd(e).flags))}function Rf(e){return!e.valueDeclaration&&!!(1024&mS(e))}function If(e){return!!(1048576&e.flags&&16777216&e.objectFlags&&oe(e.types,If)||2097152&e.flags&&function(e){const n=e.uniqueLiteralFilledInstantiation||(e.uniqueLiteralFilledInstantiation=AS(e,It));return Tf(n)!==n}(e))}function Nf(e,n){if(2097152&n.flags&&33554432&IS(n)){const t=D(Bp(n),Af);if(t)return cT(e,Oa.The_intersection_0_was_reduced_to_never_because_property_1_has_conflicting_types_in_some_constituents,il(n,void 0,536870912),rl(t));const r=D(Bp(n),Rf);if(r)return cT(e,Oa.The_intersection_0_was_reduced_to_never_because_property_1_exists_in_multiple_constituents_and_is_private_in_some,il(n,void 0,536870912),rl(r))}return e}function Lf(e,n,t,r){var o,i;if(524288&(e=vf(e)).flags){const a=Fp(e),s=a.members.get(n);if(s&&!r&&512&(null==(o=e.symbol)?void 0:o.flags)&&(null==(i=Ui(e.symbol).typeOnlyExportStarMap)?void 0:i.has(n)))return;if(s&&xs(s,r))return s;if(t)return;const l=a===Ft?$t:a.callSignatures.length?Qt:a.constructSignatures.length?Zt:void 0;if(l){const e=Gp(l,n);if(e)return e}return Gp(Yt,n)}if(2097152&e.flags){const r=Sf(e,n,!0);return r||(t?void 0:Sf(e,n,t))}if(1048576&e.flags)return Sf(e,n,t)}function kf(e,n){if(3670016&e.flags){const t=Fp(e);return 0===n?t.callSignatures:t.constructSignatures}return o}function wf(e,n){const t=kf(vf(e),n);if(0===n&&!b(t)&&1048576&e.flags){if(e.arrayFallbackSignatures)return e.arrayFallbackSignatures;let r;if(WI(e,(e=>{var n;return!!(null==(n=e.symbol)?void 0:n.parent)&&function(e){if(!e||!er.symbol||!nr.symbol)return!1;return!!Es(e,er.symbol)||!!Es(e,nr.symbol)}(e.symbol.parent)&&(r?r===e.symbol.escapedName:(r=e.symbol.escapedName,!0))}))){const t=ey(VI(e,(e=>nS((Of(e.symbol.parent)?nr:er).typeParameters[0],e.mapper))),OI(e,(e=>Of(e.symbol.parent))));return e.arrayFallbackSignatures=wf(Ol(t,r),n)}e.arrayFallbackSignatures=t}return t}function Of(e){return!(!e||!nr.symbol)&&!!Es(e,nr.symbol)}function Ff(e,n){return D(e,(e=>e.keyType===n))}function jf(e,n){let t,r,o;for(const i of e)i.keyType===Vn?t=i:Vf(n,i.keyType)&&(r?(o||(o=[r])).push(i):r=i);return o?Hm(Ln,Nv(B(o,(e=>e.type))),Be(o,((e,n)=>e&&n.isReadonly),!0)):r||(t&&Vf(n,Vn)?t:void 0)}function Vf(e,n){return KS(e,n)||n===Vn&&KS(e,Un)||n===Un&&(e===St||!!(128&e.flags)&&tA(e.value))}function Uf(e){if(3670016&e.flags){return Fp(e).indexInfos}return o}function Kf(e){return Uf(vf(e))}function qf(e,n){return Ff(Kf(e),n)}function Jf(e,n){var t;return null==(t=qf(e,n))?void 0:t.type}function Xf(e,n){return Kf(e).filter((e=>Vf(n,e.keyType)))}function nm(e,n){return jf(Kf(e),n)}function tm(e,n){return nm(e,Tu(n)?nt:GE(Pl(n)))}function rm(e){var n;let t;for(const n of Nc(e))t=Te(t,eu(n.symbol));return(null==t?void 0:t.length)?t:sC(e)?null==(n=fm(e))?void 0:n.typeParameters:void 0}function om(e){const n=[];return e.forEach(((e,t)=>{Ps(t)||n.push(e)})),n}function sm(e,n){if(Xs(e))return;const t=qi(fe,'"'+e+'"',512);return t&&n?us(t):t}function lm(e){if(Ug(e)||cA(e)||pA(e))return!0;if(e.initializer){const n=pm(e.parent),t=e.parent.parameters.indexOf(e);return Tt.assert(t>=0),t>=Yk(n,3)}const n=xh(e.parent);return!!n&&(!e.type&&!e.dotDotDotToken&&e.parent.parameters.indexOf(e)>=UL(n).length)}function cm(e,n,t,r){return{kind:e,parameterName:n,parameterIndex:t,type:r}}function dm(e){let n=0;if(e)for(let t=0;t<e.length;t++)mf(e[t])||(n=t+1);return n}function um(e,n,t,r){const o=b(n);if(!o)return[];const i=b(e);if(r||i>=t&&i<=o){const t=e?e.slice():[];for(let e=i;e<o;e++)t[e]=Nn;const a=VR(r);for(let e=i;e<o;e++){let o=ff(n[e]);r&&o&&(GS(o,Ln)||GS(o,Ct))&&(o=xn),t[e]=o?AS(o,eS(n,t)):a}return t.length=n.length,t}return e&&e.slice()}function pm(e){const n=Hi(e);if(!n.resolvedSignature){const t=[];let r,o=0,i=0,a=Yh(e)?mc(e):void 0,s=!1;const l=xh(e),c=Hg(e);!l&&Yh(e)&&gy(e)&&!Ql(e)&&!vc(e)&&(o|=32);for(let n=c?1:0;n<e.parameters.length;n++){const c=e.parameters[n];if(Yh(c)&&WM(c)){a=c;continue}let d=c.symbol;const u=OM(c)?c.typeExpression&&c.typeExpression.type:c.type;if(d&&4&d.flags&&!Vd(c.name)){d=na(c,d.escapedName,111551,void 0,void 0,!1)}0===n&&"this"===d.escapedName?(s=!0,r=c.symbol):t.push(d),u&&201===u.kind&&(o|=2);cA(c)||c.initializer||c.questionToken||ip(c)||l&&t.length>l.arguments.length&&!u||pA(c)||(i=t.length)}if((177===e.kind||178===e.kind)&&Au(e)&&(!s||!r)){const n=177===e.kind?178:177,t=Df(ps(e),n);t&&(r=function(e){const n=dB(e);return n&&n.symbol}(t))}a&&a.typeExpression&&(r=VA(Li(1,"this"),JE(a.typeExpression)));const d=SM(e)?sy(e):e,u=d&&IN(d)?qd(us(d.parent.symbol)):void 0,p=u?u.localTypeParameters:rm(e);(op(e)||Yh(e)&&function(e,n){if(SM(e)||!mm(e))return!1;const t=Le(e.parameters),r=t?ql(t):Sc(e).filter(OM),o=T(r,(e=>e.typeExpression&&yM(e.typeExpression.type)?e.typeExpression.type:void 0)),i=Li(3,"args",32768);o?i.links.type=ey(JE(o.type)):(i.links.checkFlags|=65536,i.links.deferralParent=ot,i.links.deferralConstituents=[sr],i.links.deferralWriteConstituents=[sr]);o&&n.pop();return n.push(i),!0}(e,t))&&(o|=1),(ON(e)&&Bb(e,64)||IN(e)&&Bb(e.parent,64))&&(o|=4),n.resolvedSignature=Fu(e,p,r,t,void 0,void 0,i,o)}return n.resolvedSignature}function fm(e){if(!Yh(e)||!Ad(e))return;const n=yc(e);return(null==n?void 0:n.typeExpression)&&CL(JE(n.typeExpression))}function mm(e){const n=Hi(e);return void 0===n.containsArgumentsReference&&(512&n.flags?n.containsArgumentsReference=!0:n.containsArgumentsReference=function e(n){if(!n)return!1;switch(n.kind){case 80:return n.escapedText===xe.escapedName&&WG(n)===xe;case 172:case 174:case 177:case 178:return 167===n.name.kind&&e(n.name);case 211:case 212:return e(n.expression);case 303:return e(n.initializer);default:return!Ev(n)&&!j_(n)&&!!ok(n,e)}}(e.body)),n.containsArgumentsReference}function _m(e){if(!e||!e.declarations)return o;const n=[];for(let t=0;t<e.declarations.length;t++){const r=e.declarations[t];if(Td(r)){if(t>0&&r.body){const n=e.declarations[t-1];if(r.parent===n.parent&&r.kind===n.kind&&r.pos===n.end)continue}if(Yh(r)&&r.jsDoc){const e=iy(r);if(b(e)){for(const t of e){const e=t.typeExpression;void 0!==e.type||IN(r)||eR(e,xn),n.push(pm(e))}continue}}n.push(!eA(r)&&!oh(r)&&fm(r)||pm(r))}}return n}function hm(e){const n=Xa(e,e);if(n){const e=Za(n);if(e)return sd(e)}return xn}function gm(e){if(e.thisParameter)return sd(e.thisParameter)}function ym(e){if(!e.resolvedTypePredicate){if(e.target){const r=ym(e.target);e.resolvedTypePredicate=r?(n=r,t=e.mapper,cm(n.kind,n.parameterName,n.parameterIndex,AS(n.type,t))):oo}else if(e.compositeSignatures)e.resolvedTypePredicate=function(e,n){let t;const r=[];for(const o of e){const e=ym(o);if(e){if(0!==e.kind&&1!==e.kind||t&&!gv(t,e))return;t=e,r.push(e.type)}else{const e=2097152!==n?bm(o):void 0;if(e!==Kn&&e!==Jn)return}}if(!t)return;const o=vm(r,n);return cm(t.kind,t.parameterName,t.parameterIndex,o)}(e.compositeSignatures,e.compositeKind)||oo;else{const n=e.declaration&&Ib(e.declaration);let t;if(!n){const n=fm(e.declaration);n&&e!==n&&(t=ym(n))}e.resolvedTypePredicate=n&&LN(n)?function(e,n){const t=e.parameterName,r=e.type&&JE(e.type);return 197===t.kind?cm(e.assertsModifier?2:0,void 0,void 0,r):cm(e.assertsModifier?3:1,t.escapedText,M(n.parameters,(e=>e.escapedName===t.escapedText)),r)}(n,e):t||oo}Tt.assert(!!e.resolvedTypePredicate)}var n,t;return e.resolvedTypePredicate===oo?void 0:e.resolvedTypePredicate}function vm(e,n,t){return 2097152!==n?mv(e,t):Nv(e)}function bm(e){if(!e.resolvedReturnType){if(!El(e,3))return Nn;let n=e.target?AS(bm(e.target),e.mapper):e.compositeSignatures?AS(vm(B(e.compositeSignatures,bm),e.compositeKind,2),e.mapper):Em(e.declaration)||(im(e.declaration.body)?xn:bw(e.declaration));if(8&e.flags?n=wA(n):16&e.flags&&(n=LA(n)),!Rl()){if(e.declaration){const n=Ib(e.declaration);if(n)Ai(n,Oa.Return_type_annotation_circularly_references_itself);else if($){const n=e.declaration,t=jl(n);t?Ai(t,Oa._0_implicitly_has_return_type_any_because_it_does_not_have_a_return_type_annotation_and_is_referenced_directly_or_indirectly_in_one_of_its_return_expressions,o_(t)):Ai(n,Oa.Function_implicitly_has_return_type_any_because_it_does_not_have_a_return_type_annotation_and_is_referenced_directly_or_indirectly_in_one_of_its_return_expressions)}}n=xn}e.resolvedReturnType=n}return e.resolvedReturnType}function Em(e){if(176===e.kind)return qd(us(e.parent.symbol));const n=Ib(e);if(SM(e)){const t=cy(e);if(t&&IN(t.parent)&&!n)return qd(us(t.parent.parent.symbol))}if(Hg(e))return JE(e.parameters[0].type);if(n)return JE(n);if(177===e.kind&&Au(e)){const n=Yh(e)&&oc(e);if(n)return n;const t=Kc(Df(ps(e),178));if(t)return t}return function(e){const n=fm(e);return n&&bm(n)}(e)}function Sm(e){return e.compositeSignatures&&oe(e.compositeSignatures,Sm)||!e.resolvedReturnType&&Tl(e,3)>=0}function Tm(e){if(Zz(e)){const n=sd(e.parameters[e.parameters.length-1]),t=nA(n)?uA(n):n;return t&&Jf(t,Un)}}function Am(e,n,t,r){const o=Im(e,um(n,e.typeParameters,dm(e.typeParameters),t));if(r){const e=ML(bm(o));if(e){const n=Wu(e);n.typeParameters=r;const t=Wu(o);return t.resolvedReturnType=Om(n),t}}return o}function Im(e,n){const t=e.instantiations||(e.instantiations=new Map),r=s_(n);let o=t.get(r);return o||t.set(r,o=Nm(e,n)),o}function Nm(e,n){return uS(e,function(e,n){return eS(e.typeParameters,n)}(e,n),!0)}function Dm(e){return e.typeParameters?e.erasedSignatureCache||(e.erasedSignatureCache=function(e){return uS(e,aS(e.typeParameters),!0)}(e)):e}function Cm(e){return e.typeParameters?e.canonicalSignatureCache||(e.canonicalSignatureCache=function(e){return Am(e,B(e.typeParameters,(e=>e.target&&!Yp(e.target)?e.target:e)),Yh(e.declaration))}(e)):e}function Mm(e){const n=e.typeParameters;if(n){if(e.baseSignatureCache)return e.baseSignatureCache;const t=aS(n),r=eS(n,B(n,(e=>Yp(e)||Ln)));let o=B(n,(e=>AS(e,r)||Ln));for(let e=0;e<n.length-1;e++)o=$E(o,r);return o=$E(o,t),e.baseSignatureCache=uS(e,eS(n,o),!0)}return e}function Om(e){var n;if(!e.isolatedSignatureType){const t=null==(n=e.declaration)?void 0:n.kind,r=void 0===t||176===t||180===t||185===t,i=Cs(16);i.members=S,i.properties=o,i.callSignatures=r?o:[e],i.constructSignatures=r?[e]:o,i.indexInfos=o,e.isolatedSignatureType=i}return e.isolatedSignatureType}function Fm(e){return e.members?jm(e.members):void 0}function jm(e){return e.get("__index")}function Hm(e,n,t,r){return{keyType:e,type:n,isReadonly:t,declaration:r}}function Km(e){const n=Fm(e);return n?qm(n):o}function qm(e){if(e.declarations){const n=[];for(const t of e.declarations)if(1===t.parameters.length){const e=t.parameters[0];e.type&&wI(JE(e.type),(e=>{Jm(e)&&!Ff(n,e)&&n.push(Hm(e,t.type?JE(t.type):xn,Gb(t,8),t))}))}return n}return o}function Jm(e){return!!(4108&e.flags)||cb(e)||!!(2097152&e.flags)&&!ub(e)&&oe(e.types,Jm)}function Xm(e){return Y(W(e.symbol&&e.symbol.declarations,vN),Dc)[0]}function Ym(e,n){var t;let r;if(null==(t=e.symbol)?void 0:t.declarations)for(const t of e.symbol.declarations)if(195===t.parent.kind){const[o=t.parent,i]=Ey(t.parent.parent);if(183!==i.kind||n){if(169===i.kind&&i.dotDotDotToken||191===i.kind||202===i.kind&&i.dotDotDotToken)r=ye(r,ey(Ln));else if(204===i.kind)r=ye(r,Vn);else if(168===i.kind&&200===i.parent.kind)r=ye(r,vt);else if(200===i.kind&&i.type&&Ty(i.type)===t.parent&&194===i.parent.kind&&i.parent.extendsType===i&&200===i.parent.checkType.kind&&i.parent.checkType.type){const e=i.parent.checkType;r=ye(r,AS(JE(e.type),tS(eu(ps(e.typeParameter)),e.typeParameter.constraint?JE(e.typeParameter.constraint):vt)))}}else{const n=i,t=OO(n);if(t){const i=n.typeArguments.indexOf(o);if(i<t.length){const o=Yp(t[i]);if(o){const i=AS(o,oS(t,t.map(((e,r)=>()=>LO(n,t,r)))));i!==e&&(r=ye(r,i))}}}}}return r&&Nv(r)}function $m(e){if(!e.constraint)if(e.target){const n=Yp(e.target);e.constraint=n?AS(n,e.mapper):Wt}else{const n=Xm(e);if(n){let t=JE(n);1&t.flags&&!Bl(t)&&(t=200===n.parent.parent.kind?vt:Ln),e.constraint=t}else e.constraint=Ym(e)||Wt}return e.constraint===Wt?void 0:e.constraint}function e_(e){const n=Df(e.symbol,168),t=GM(n.parent)?oy(n.parent):n.parent;return t&&fs(t)}function s_(e){let n="";if(e){const t=e.length;let r=0;for(;r<t;){const o=e[r].id;let i=1;for(;r+i<t&&e[r+i].id===o+i;)i++;n.length&&(n+=","),n+=o,i>1&&(n+=":"+i),r+=i}}return n}function p_(e,n){return e?`@${Kz(e)}`+(n?`:${s_(n)}`:""):""}function __(e,n){let t=0;for(const r of e)void 0!==n&&r.flags&n||(t|=IS(r));return 458752&t}function h_(e,n){return oe(n)&&e===Ot?Ln:v_(e,n)}function v_(e,n){const t=s_(n);let r=e.instantiations.get(t);return r||(r=Cs(4,e.symbol),e.instantiations.set(t,r),r.objectFlags|=n?__(n):0,r.target=e,r.resolvedTypeArguments=n),r}function I_(e){const n=Is(e.flags,e.symbol);return n.objectFlags=e.objectFlags,n.target=e.target,n.resolvedTypeArguments=e.resolvedTypeArguments,n}function N_(e,n,t,r,o){if(!r){const e=dE(r=cE(n));o=t?$E(e,t):e}const i=Cs(4,e.symbol);return i.target=e,i.node=n,i.mapper=t,i.aliasSymbol=r,i.aliasTypeArguments=o,i}function D_(e){var n,t;if(!e.resolvedTypeArguments){if(!El(e,6))return(null==(n=e.target.localTypeParameters)?void 0:n.map((()=>Nn)))||o;const r=e.node,a=r?183===r.kind?ae(e.target.outerTypeParameters,kO(r,e.target.localTypeParameters)):188===r.kind?[JE(r.elementType)]:B(r.elements,JE):o;Rl()?e.resolvedTypeArguments=e.mapper?$E(a,e.mapper):a:(e.resolvedTypeArguments=(null==(t=e.target.localTypeParameters)?void 0:t.map((()=>Nn)))||o,Ai(e.node||i,e.target.symbol?Oa.Type_arguments_for_0_circularly_reference_themselves:Oa.Tuple_type_arguments_circularly_reference_themselves,e.target.symbol&&rl(e.target.symbol)))}return e.resolvedTypeArguments}function C_(e){return b(e.target.typeParameters)}function L_(e,n){const t=ou(us(n)),r=t.localTypeParameters;if(r){const n=b(e.typeArguments),o=dm(r),i=Yh(e);if(!(!$&&i)&&(n<o||n>r.length)){const n=i&&CD(e)&&!TM(e.parent);if(Ai(e,o===r.length?n?Oa.Expected_0_type_arguments_provide_these_with_an_extends_tag:Oa.Generic_type_0_requires_1_type_argument_s:n?Oa.Expected_0_1_type_arguments_provide_these_with_an_extends_tag:Oa.Generic_type_0_requires_between_1_and_2_type_arguments,il(t,void 0,2),o,r.length),!i)return Nn}if(183===e.kind&&hy(e,b(e.typeArguments)!==r.length))return N_(t,e,void 0);return v_(t,ae(t.outerTypeParameters,um(Ah(e),r,o,i)))}return uh(e,n)?t:Nn}function w_(e,n,t,r){const o=ou(e);if(o===Pn){const t=zz.get(e.escapedName);if(void 0!==t&&n&&1===n.length)return 4===t?B_(n[0]):Zv(e,n[0])}const i=Ui(e),a=i.typeParameters,s=s_(n)+p_(t,r);let l=i.instantiations.get(s);return l||i.instantiations.set(s,l=NS(o,eS(a,um(n,a,dm(a),Yh(e.valueDeclaration))),t,r)),l}function O_(e){var n;const t=null==(n=e.declarations)?void 0:n.find(qg);return!(!t||!fh(t))}function F_(e){return e.parent?`${F_(e.parent)}.${e.escapedName}`:e.escapedName}function W_(e){const n=(166===e.kind?e.right:211===e.kind?e.name:e).escapedText;if(n){const t=166===e.kind?W_(e.left):211===e.kind?W_(e.expression):void 0,r=t?`${F_(t)}.${n}`:n;let o=En.get(r);return o||(En.set(r,o=Li(524288,n,1048576)),o.parent=t,o.links.declaredType=Dn),o}return vn}function z_(e,n,t){const r=function(e){switch(e.kind){case 183:return e.typeName;case 233:const n=e.expression;if(EE(n))return n}}(e);if(!r)return vn;const o=qa(r,n,t);return o&&o!==vn?o:t?vn:W_(r)}function G_(e,n){if(n===vn)return Nn;if(96&(n=function(e){const n=e.valueDeclaration;if(!n||!Yh(n)||524288&e.flags||fg(n,!1))return;const t=iC(n)?ug(n):pg(n);if(t){const n=fs(t);if(n)return yk(n,e)}}(n)||n).flags)return L_(e,n);if(524288&n.flags)return function(e,n){if(1048576&mS(n)){const t=Ah(e),r=p_(n,t);let o=Sn.get(r);return o||(o=Ds(1,"error",void 0,`alias ${r}`),o.aliasSymbol=n,o.aliasTypeArguments=t,Sn.set(r,o)),o}const t=ou(n),r=Ui(n).typeParameters;if(r){const t=b(e.typeArguments),o=dm(r);if(t<o||t>r.length)return Ai(e,o===r.length?Oa.Generic_type_0_requires_1_type_argument_s:Oa.Generic_type_0_requires_between_1_and_2_type_arguments,rl(n),o,r.length),Nn;const i=cE(e);let a,s=!i||!O_(n)&&O_(i)?void 0:i;if(s)a=dE(s);else if(ep(e)){const n=z_(e,2097152,!0);if(n&&n!==vn){const t=Wa(n);t&&524288&t.flags&&(s=t,a=Ah(e)||(r?[]:void 0))}}return w_(n,Ah(e),s,a)}return uh(e,n)?t:Nn}(e,n);const t=au(n);if(t)return uh(e,n)?WE(t):Nn;if(111551&n.flags&&dh(e)){const t=function(e,n){const t=Hi(e);if(!t.resolvedJSDocType){const r=sd(n);let o=r;if(n.valueDeclaration){const t=205===e.kind&&e.qualifier;r.symbol&&r.symbol!==n&&t&&(o=G_(e,r.symbol))}t.resolvedJSDocType=o}return t.resolvedJSDocType}(e,n);return t||(z_(e,788968),sd(n))}return Nn}function B_(e){return V_(e)?rh(e,Ln):e}function V_(e){return!!(3145728&e.flags&&oe(e.types,V_)||33554432&e.flags&&!U_(e)&&V_(e.baseType)||524288&e.flags&&!yT(e)||432275456&e.flags&&!cb(e))}function U_(e){return!!(33554432&e.flags&&2&e.constraint.flags)}function th(e,n){return 3&n.flags||n===e||1&e.flags?e:rh(e,n)}function rh(e,n){const t=`${Jy(e)}>${Jy(n)}`,r=ln.get(t);if(r)return r;const o=Rs(33554432);return o.baseType=e,o.constraint=n,ln.set(t,o),o}function sh(e){return U_(e)?e.baseType:Nv([e.constraint,e.baseType])}function lh(e){return 189===e.kind&&1===e.elements.length}function ch(e,n,t){return lh(n)&&lh(t)?ch(e,n.elements[0],t.elements[0]):Ob(JE(n))===Ob(e)?JE(t):void 0}function dh(e){return!!(16777216&e.flags)&&(183===e.kind||205===e.kind)}function uh(e,n){return!e.typeArguments||(Ai(e,Oa.Type_0_is_not_generic,n?rl(n):e.typeName?o_(e.typeName):Dz),!1)}function ph(e){if(tN(e.typeName)){const n=e.typeArguments;switch(e.typeName.escapedText){case"String":return uh(e),Vn;case"Number":return uh(e),Un;case"Boolean":return uh(e),Zn;case"Void":return uh(e),tt;case"Undefined":return uh(e),On;case"Null":return uh(e),Bn;case"Function":case"function":return uh(e),$t;case"array":return n&&n.length||$?void 0:sr;case"promise":return n&&n.length||$?void 0:gw(xn);case"Object":if(n&&2===n.length){if(eg(e)){const e=JE(n[0]),t=JE(n[1]),r=e===Vn||e===Un?[Hm(e,t,!1)]:o;return Os(void 0,S,o,o,r)}return xn}return uh(e),$?void 0:xn}}}function mh(e){const n=Hi(e);if(!n.resolvedType){if(Gc(e)&&pu(e.parent))return n.resolvedSymbol=vn,n.resolvedType=nO(e.parent.expression);let t,r;const o=788968;dh(e)&&(r=ph(e),r||(t=z_(e,o,!0),t===vn?t=z_(e,111551|o):z_(e,o),r=G_(e,t))),r||(t=z_(e,o),r=G_(e,t)),n.resolvedSymbol=t,n.resolvedType=r}return n.resolvedType}function Ah(e){return B(e.typeArguments,JE)}function Lh(e){const n=Hi(e);if(!n.resolvedType){const t=Lk(e);n.resolvedType=WE($A(t))}return n.resolvedType}function kh(e,n){function t(e){const n=e.declarations;if(n)for(const e of n)switch(e.kind){case 263:case 264:case 266:return e}}if(!e)return n?Ot:Ct;const r=ou(e);return 524288&r.flags?b(r.typeParameters)!==n?(Ai(t(e),Oa.Global_type_0_must_have_1_type_parameter_s,wl(e),n),n?Ot:Ct):r:(Ai(t(e),Oa.Global_type_0_must_be_a_class_or_interface_type,wl(e)),n?Ot:Ct)}function wh(e,n){return Qh(e,111551,n?Oa.Cannot_find_global_value_0:void 0)}function Wh(e,n){return Qh(e,788968,n?Oa.Cannot_find_global_type_0:void 0)}function Xh(e,n,t){const r=Qh(e,788968,t?Oa.Cannot_find_global_type_0:void 0);if(!r||(ou(r),b(Ui(r).typeParameters)===n))return r;Ai(r.declarations&&D(r.declarations,dC),Oa.Global_type_0_must_have_1_type_parameter_s,wl(r),n)}function Qh(e,n,t){return na(void 0,e,n,t,e,!1,!1,!1)}function tg(e,n,t){const r=Wh(e,t);return r||t?kh(r,n):void 0}function ig(){return Lr||(Lr=tg("ImportMeta",0,!0)||Ct)}function ag(){if(!kr){const e=Li(0,"ImportMetaExpression"),n=ig(),t=Li(4,"meta",8);t.parent=e,t.links.type=n;const r=Mf([t]);e.members=r,kr=Os(e,r,o,o,o)}return kr}function lg(e){return wr||(wr=tg("ImportCallOptions",0,e))||Ct}function gg(e){return Or||(Or=tg("ImportAttributes",0,e))||Ct}function Tg(e){return ur||(ur=wh("Symbol",e))}function xg(){return fr||(fr=tg("Symbol",0,!1))||Ct}function Ag(e){return _r||(_r=tg("Promise",1,e))||Ot}function Ng(e){return hr||(hr=tg("PromiseLike",1,e))||Ot}function Dg(e){return vr||(vr=wh("Promise",e))}function kg(e){return Ir||(Ir=tg("AsyncIterable",1,e))||Ot}function Og(e){return Er||(Er=tg("Iterable",1,e))||Ot}function Wg(e){return Fr||(Fr=tg("Disposable",0,e))||Ct}function zg(e,n=0){const t=Qh(e,788968,void 0);return t&&kh(t,n)}function jg(e){return Br||(Br=Xh("Awaited",1,e)||(e?vn:void 0)),Br===vn?void 0:Br}function Jg(e,n){return e!==Ot?v_(e,n):Ct}function Xg(e){return Jg(mr||(mr=tg("TypedPropertyDescriptor",1,!0)||Ot),[e])}function $g(e){return Jg(Og(!0),[e])}function ey(e,n){return Jg(n?nr:er,[e])}function ny(e){switch(e.kind){case 190:return 2;case 191:return ty(e);case 202:return e.questionToken?2:e.dotDotDotToken?ty(e):1;default:return 1}}function ty(e){return qE(e.type)?4:8}function uy(e){const n=function(e){return YN(e)&&148===e.operator}(e.parent);if(qE(e))return n?nr:er;return Cy(B(e.elements,ny),n,B(e.elements,py))}function py(e){return BN(e)||bN(e)?e:void 0}function hy(e,n){return!!cE(e)||yy(e)&&(188===e.kind?Iy(e.elementType):189===e.kind?oe(e.elements,Iy):n||oe(e.typeArguments,Iy))}function yy(e){const n=e.parent;switch(n.kind){case 196:case 202:case 183:case 192:case 193:case 199:case 194:case 198:case 188:case 189:return yy(n);case 265:return!0}return!1}function Iy(e){switch(e.kind){case 183:return dh(e)||!!(524288&z_(e,788968).flags);case 186:return!0;case 198:return 158!==e.operator&&Iy(e.type);case 196:case 190:case 202:case 323:case 321:case 322:case 316:return Iy(e.type);case 191:return 188!==e.type.kind||Iy(e.type.elementType);case 192:case 193:return oe(e.types,Iy);case 199:return Iy(e.objectType)||Iy(e.indexType);case 194:return Iy(e.checkType)||Iy(e.extendsType)||Iy(e.trueType)||Iy(e.falseType)}return!1}function Dy(e,n,t=!1,r=[]){const o=Cy(n||B(e,(e=>1)),t,r);return o===Ot?Ct:e.length?zy(o,e):o}function Cy(e,n,t){if(1===e.length&&4&e[0])return n?nr:er;const r=B(e,(e=>1&e?"#":2&e?"?":4&e?".":"*")).join()+(n?"R":"")+(oe(t,(e=>!!e))?","+B(t,(e=>e?Hz(e):"_")).join(","):"");let i=Ue.get(r);return i||Ue.set(r,i=function(e,n,t){const r=e.length,i=F(e,(e=>!!(9&e)));let a;const s=[];let l=0;if(r){a=new Array(r);for(let o=0;o<r;o++){const r=a[o]=Ms(),i=e[o];if(l|=i,!(12&l)){const e=Li(4|(2&i?16777216:0),""+o,n?8:0);e.links.tupleLabelDeclaration=null==t?void 0:t[o],e.links.type=r,s.push(e)}}}const c=s.length,d=Li(4,"length",n?8:0);if(12&l)d.links.type=Un;else{const e=[];for(let n=i;n<=r;n++)e.push(BE(n));d.links.type=mv(e)}s.push(d);const u=Cs(12);return u.typeParameters=a,u.outerTypeParameters=void 0,u.localTypeParameters=a,u.instantiations=new Map,u.instantiations.set(s_(u.typeParameters),u),u.target=u,u.resolvedTypeArguments=u.typeParameters,u.thisType=Ms(),u.thisType.isThisType=!0,u.thisType.constraint=u,u.declaredProperties=s,u.declaredCallSignatures=o,u.declaredConstructSignatures=o,u.declaredIndexInfos=o,u.elementFlags=e,u.minLength=i,u.fixedLength=c,u.hasRestElement=!!(12&l),u.combinedFlags=l,u.readonly=n,u.labeledElementDeclarations=t,u}(e,n,t)),i}function zy(e,n){return 8&e.objectFlags?By(e,n):v_(e,n)}function By(e,n){var t,r,o,a;if(!(14&e.combinedFlags))return v_(e,n);if(8&e.combinedFlags){const t=M(n,((n,t)=>!!(8&e.elementFlags[t]&&1179648&n.flags)));if(t>=0)return Pv(B(n,((n,t)=>8&e.elementFlags[t]?n:Ln)))?VI(n[t],(r=>By(e,We(n,t,r)))):Nn}const s=[],l=[],c=[];let d=-1,u=-1,p=-1;for(let l=0;l<n.length;l++){const c=n[l],d=e.elementFlags[l];if(8&d)if(1&c.flags)m(c,4,null==(t=e.labeledElementDeclarations)?void 0:t[l]);else if(58982400&c.flags||wp(c))m(c,8,null==(r=e.labeledElementDeclarations)?void 0:r[l]);else if(nA(c)){const e=qy(c);if(e.length+s.length>=1e4)return Ai(i,j_(i)?Oa.Type_produces_a_tuple_type_that_is_too_large_to_represent:Oa.Expression_produces_a_tuple_type_that_is_too_large_to_represent),Nn;E(e,((e,n)=>{var t;return m(e,c.target.elementFlags[n],null==(t=c.target.labeledElementDeclarations)?void 0:t[n])}))}else m(_x(c)&&Jf(c,Un)||Nn,4,null==(o=e.labeledElementDeclarations)?void 0:o[l]);else m(c,d,null==(a=e.labeledElementDeclarations)?void 0:a[l])}for(let e=0;e<d;e++)2&l[e]&&(l[e]=1);u>=0&&u<p&&(s[u]=mv(V(s.slice(u,p+1),((e,n)=>8&l[u+n]?Mb(e,Un):e))),s.splice(u+1,p-u),l.splice(u+1,p-u),c.splice(u+1,p-u));const f=Cy(l,e.readonly,c);return f===Ot?Ct:l.length?v_(f,s):f;function m(e,n,t){1&n&&(d=l.length),4&n&&u<0&&(u=l.length),6&n&&(p=l.length),s.push(2&n?ac(e,!0):e),l.push(n),c.push(t)}}function Vy(e,n,t=0){const r=e.target,i=C_(e)-t;return n>r.fixedLength?function(e){const n=uA(e);return n&&ey(n)}(e)||Dy(o):Dy(D_(e).slice(n,i),r.elementFlags.slice(n,i),!1,r.labeledElementDeclarations&&r.labeledElementDeclarations.slice(n,i))}function Uy(e){return mv(ye(qe(e.target.fixedLength,(e=>GE(""+e))),Jv(e.target.readonly?nr:er)))}function Hy(e,n){return e.elementFlags.length-P(e.elementFlags,(e=>!(e&n)))-1}function Ky(e){return e.fixedLength+Hy(e,3)}function qy(e){const n=D_(e),t=C_(e);return n.length===t?n:n.slice(0,t)}function Jy(e){return e.id}function Yy(e,n){return ze(e,n,Jy,wn)>=0}function $y(e,n){const t=ze(e,n,Jy,wn);return t<0&&(e.splice(~t,0,n),!0)}function Qy(e,n,t){const r=t.flags;if(!(131072&r))if(n|=473694207&r,465829888&r&&(n|=33554432),2097152&r&&67108864&IS(t)&&(n|=536870912),t===Rn&&(n|=8388608),!K&&98304&r)65536&IS(t)||(n|=4194304);else{const n=e.length,r=n&&t.id>e[n-1].id?~n:ze(e,t,Jy,wn);r<0&&e.splice(~r,0,t)}return n}function ev(e,n,t){let r;for(const o of t)o!==r&&(n=1048576&o.flags?ev(e,n|(cv(o)?1048576:0),o.types):Qy(e,n,o),r=o);return n}function tv(e,n){return 134217728&n.flags?PR(e,n):DR(e,n)}function cv(e){return!!(1048576&e.flags&&(e.aliasSymbol||e.origin))}function pv(e,n){for(const t of n)if(1048576&t.flags){const n=t.origin;t.aliasSymbol||n&&!(1048576&n.flags)?Se(e,t):n&&1048576&n.flags&&pv(e,n.types)}}function fv(e,n){const t=Ns(e);return t.types=n,t}function mv(e,n=1,t,r,o){if(0===e.length)return ot;if(1===e.length)return e[0];if(2===e.length&&!o&&(1048576&e[0].flags||1048576&e[1].flags)){const o=0===n?"N":2===n?"S":"L",i=e[0].id<e[1].id?0:1,a=e[i].id+o+e[1-i].id+p_(t,r);let s=Ke.get(a);return s||(s=_v(e,n,t,r,void 0),Ke.set(a,s)),s}return _v(e,n,t,r,o)}function _v(e,n,t,r,o){let a=[];const s=ev(a,0,e);if(0!==n){if(3&s)return 1&s?8388608&s?Rn:xn:65536&s||Yy(a,Ln)?Ln:kn;if(32768&s&&a.length>=2&&a[0]===On&&a[1]===Wn&&et(a,1),(402664352&s||16384&s&&32768&s)&&function(e,n,t){let r=e.length;for(;r>0;){r--;const o=e[r],i=o.flags;(402653312&i&&4&n||256&i&&8&n||2048&i&&64&n||8192&i&&4096&n||t&&32768&i&&16384&n||zE(o)&&Yy(e,o.regularType))&&et(e,r)}}(a,s,!!(2&n)),128&s&&402653184&s&&function(e){const n=W(e,cb);if(n.length){let t=e.length;for(;t>0;){t--;const r=e[t];128&r.flags&&oe(n,(e=>tv(r,e)))&&et(e,t)}}}(a),536870912&s&&function(e){const n=[];for(const t of e)if(2097152&t.flags&&67108864&IS(t)){const e=8650752&t.types[0].flags?0:1;Se(n,t.types[e])}for(const t of n){const n=[];for(const r of e)if(2097152&r.flags&&67108864&IS(r)){const e=8650752&r.types[0].flags?0:1;r.types[e]===t&&$y(n,r.types[1-e])}if(WI(lf(t),(e=>Yy(n,e)))){let r=e.length;for(;r>0;){r--;const o=e[r];if(2097152&o.flags&&67108864&IS(o)){const i=8650752&o.types[0].flags?0:1;o.types[i]===t&&Yy(n,o.types[1-i])&&et(e,r)}}$y(e,t)}}}(a),2===n&&(a=function(e,n){var t;if(e.length<2)return e;const r=s_(e),o=cn.get(r);if(o)return o;const a=n&&oe(e,(e=>!!(524288&e.flags)&&!wp(e)&&hT(Fp(e)))),s=e.length;let l=s,c=0;for(;l>0;){l--;const n=e[l];if(a||469499904&n.flags){if(262144&n.flags&&1048576&cf(n).flags){AT(n,mv(B(e,(e=>e===n?ot:e))),ui)&&et(e,l);continue}const r=61603840&n.flags?D(Hp(n),(e=>Wx(sd(e)))):void 0,o=r&&WE(sd(r));for(const a of e)if(n!==a){if(1e5===c&&c/(s-l)*s>1e6)return null==(t=Cr)||t.instant(Cr.Phase.CheckTypes,"removeSubtypes_DepthLimit",{typeIds:e.map((e=>e.id))}),void Ai(i,Oa.Expression_produces_a_union_type_that_is_too_complex_to_represent);if(c++,r&&61603840&a.flags){const e=Ol(a,r.escapedName);if(e&&Wx(e)&&WE(e)!==o)continue}if(AT(n,a,ui)&&(!(1&IS(pd(n)))||!(1&IS(pd(a)))||qS(n,a))){et(e,l);break}}}}return cn.set(r,e),e}(a,!!(524288&s)),!a))return Nn;if(0===a.length)return 65536&s?4194304&s?Bn:jn:32768&s?4194304&s?On:Fn:ot}if(!o&&1048576&s){const n=[];pv(n,e);const r=[];for(const e of a)oe(n,(n=>Yy(n.types,e)))||r.push(e);if(!t&&1===n.length&&0===r.length)return n[0];if(Be(n,((e,n)=>e+n.types.length),0)+r.length===a.length){for(const e of n)$y(r,e);o=fv(1048576,r)}}return Tv(a,(36323331&s?0:32768)|(2097152&s?16777216:0),t,r,o)}function gv(e,n){return e.kind===n.kind&&e.parameterIndex===n.parameterIndex}function Tv(e,n,t,r,o){if(0===e.length)return ot;if(1===e.length)return e[0];const i=(o?1048576&o.flags?`|${s_(o.types)}`:2097152&o.flags?`&${s_(o.types)}`:`#${o.type.id}|${s_(e)}`:s_(e))+p_(t,r);let a=He.get(i);return a||(a=Rs(1048576),a.objectFlags=n|__(e,98304),a.types=e,a.origin=o,a.aliasSymbol=t,a.aliasTypeArguments=r,2===e.length&&512&e[0].flags&&512&e[1].flags&&(a.flags|=16,a.intrinsicName="boolean"),He.set(i,a)),a}function xv(e,n,t){const r=t.flags;return 2097152&r?Av(e,n,t.types):(yT(t)?16777216&n||(n|=16777216,e.set(t.id.toString(),t)):(3&r?t===Rn&&(n|=8388608):!K&&98304&r||(t===Wn&&(n|=262144,t=On),e.has(t.id.toString())||(109472&t.flags&&109472&n&&(n|=67108864),e.set(t.id.toString(),t))),n|=473694207&r),n)}function Av(e,n,t){for(const r of t)n=xv(e,n,WE(r));return n}function Rv(e,n){for(const t of e)if(!Yy(t.types,n)){const e=128&n.flags?Vn:288&n.flags?Un:2048&n.flags?Hn:8192&n.flags?nt:void 0;if(!e||!Yy(t.types,e))return!1}return!0}function Iv(e,n){for(let t=0;t<e.length;t++)e[t]=GI(e[t],(e=>!(e.flags&n)))}function Nv(e,n,t,r){const o=new Map,i=Av(o,0,e),a=Je(o.values());let s=0;if(131072&i)return k(a,it)?it:ot;if(K&&98304&i&&84410368&i||67108864&i&&402783228&i||402653316&i&&67238776&i||296&i&&469891796&i||2112&i&&469889980&i||12288&i&&469879804&i||49152&i&&469842940&i)return ot;if(402653184&i&&128&i&&function(e){let n=e.length;const t=W(e,(e=>!!(128&e.flags)));for(;n>0;){n--;const r=e[n];if(402653184&r.flags)for(const o of t){if(US(o,r)){et(e,n);break}if(cb(r))return!0}}return!1}(a))return ot;if(1&i)return 8388608&i?Rn:xn;if(!K&&98304&i)return 16777216&i?ot:32768&i?On:Bn;if((4&i&&402653312&i||8&i&&256&i||64&i&&2048&i||4096&i&&8192&i||16384&i&&32768&i||16777216&i&&470302716&i)&&(r||function(e,n){let t=e.length;for(;t>0;){t--;const r=e[t];(4&r.flags&&402653312&n||8&r.flags&&256&n||64&r.flags&&2048&n||4096&r.flags&&8192&n||16384&r.flags&&32768&n||yT(r)&&470302716&n)&&et(e,t)}}(a,i)),262144&i&&(a[a.indexOf(On)]=Wn),0===a.length)return Ln;if(1===a.length)return a[0];if(2===a.length){const e=8650752&a[0].flags?0:1,n=a[e],t=a[1-e];if(8650752&n.flags&&(469893116&t.flags&&!db(t)||16777216&i)){const e=lf(n);if(e&&WI(e,(e=>!!(469893116&e.flags)||yT(e)))){if(HS(e,t))return n;if(!(1048576&e.flags&&OI(e,(e=>HS(e,t)))||HS(t,e)))return ot;s=67108864}}}const l=s_(a)+p_(n,t);let c=Xe.get(l);if(!c){if(1048576&i)if(function(e){let n;const t=M(e,(e=>!!(32768&IS(e))));if(t<0)return!1;let r=t+1;for(;r<e.length;){const o=e[r];32768&IS(o)?((n||(n=[e[t]])).push(o),et(e,r)):r++}if(!n)return!1;const o=[],i=[];for(const e of n)for(const t of e.types)$y(o,t)&&Rv(n,t)&&$y(i,t);return e[t]=Tv(i,32768),!0}(a))c=Nv(a,n,t);else if(N(a,(e=>!!(1048576&e.flags&&32768&e.types[0].flags)))){const e=oe(a,GA)?Wn:On;Iv(a,32768),c=mv([Nv(a),e],1,n,t)}else if(N(a,(e=>!!(1048576&e.flags&&(65536&e.types[0].flags||65536&e.types[1].flags)))))Iv(a,65536),c=mv([Nv(a),Bn],1,n,t);else if(a.length>=4){const e=Math.floor(a.length/2);c=Nv([Nv(a.slice(0,e)),Nv(a.slice(e))],n,t)}else{if(!Pv(a))return Nn;const e=function(e){const n=Dv(e),t=[];for(let r=0;r<n;r++){const n=e.slice();let o=r;for(let t=e.length-1;t>=0;t--)if(1048576&e[t].flags){const r=e[t].types,i=r.length;n[t]=r[o%i],o=Math.floor(o/i)}const i=Nv(n);131072&i.flags||t.push(i)}return t}(a);c=mv(e,1,n,t,oe(e,(e=>!!(2097152&e.flags)))&&kv(e)>kv(a)?fv(2097152,a):void 0)}else c=function(e,n,t,r){const o=Rs(2097152);return o.objectFlags=n|__(e,98304),o.types=e,o.aliasSymbol=t,o.aliasTypeArguments=r,o}(a,s,n,t);Xe.set(l,c)}return c}function Dv(e){return Be(e,((e,n)=>1048576&n.flags?e*n.types.length:131072&n.flags?0:e),1)}function Pv(e){var n;const t=Dv(e);return!(t>=1e5)||(null==(n=Cr)||n.instant(Cr.Phase.CheckTypes,"checkCrossProductUnion_DepthLimit",{typeIds:e.map((e=>e.id)),size:t}),Ai(i,Oa.Expression_produces_a_union_type_that_is_too_complex_to_represent),!1)}function Lv(e){return 3145728&e.flags&&!e.aliasSymbol?1048576&e.flags&&e.origin?Lv(e.origin):kv(e.types):1}function kv(e){return Be(e,((e,n)=>e+Lv(n)),0)}function wv(e,n){const t=Rs(4194304);return t.type=e,t.indexFlags=n,t}function Ov(e,n){return 1&n?e.resolvedStringIndexType||(e.resolvedStringIndexType=wv(e,1)):e.resolvedIndexType||(e.resolvedIndexType=wv(e,0))}function Wv(e,n){const t=Ap(e),r=Rp(e),o=Ip(e.target||e);if(!(o||2&n))return r;const i=[];if(fb(r)){if(Cp(e))return Ov(e,n);wI(r,s)}else if(Cp(e)){Tp(yf(Mp(e)),8576,!!(1&n),s)}else wI(Ep(r),s);const a=2&n?GI(mv(i),(e=>!(5&e.flags))):mv(i);return 1048576&a.flags&&1048576&r.flags&&s_(a.types)===s_(r.types)?r:a;function s(n){const r=o?AS(o,cS(e.mapper,t,n)):n;i.push(r===Vn?ht:r)}}function zv(e){if(rN(e))return ot;if(FI(e))return WE(bO(e));if(yN(e))return WE(MM(e));const n=iv(e);return void 0!==n?GE(Pl(n)):uu(e)?WE(bO(e)):ot}function Gv(e,n,t){if(t||!(6&_S(e))){let t=Ui(Lu(e)).nameType;if(!t){const n=jl(e.valueDeclaration);t="default"===e.escapedName?GE("default"):n&&zv(n)||(uv(e)?void 0:GE(wl(e)))}if(t&&t.flags&n)return t}return ot}function Vv(e,n){return!!(e.flags&n||2097152&e.flags&&oe(e.types,(e=>Vv(e,n))))}function Uv(e,n,t){const r=t&&(7&IS(e)||e.aliasSymbol)?function(e){const n=Ns(4194304);return n.type=e,n}(e):void 0;return mv(ae(B(Hp(e),(e=>Gv(e,n))),B(Kf(e),(e=>e!==co&&Vv(e.keyType,n)?e.keyType===Vn&&8&n?ht:e.keyType:ot))),1,void 0,void 0,r)}function qv(e,n=0){return!!(58982400&e.flags||iA(e)||wp(e)&&(!function(e){const n=Ap(e);return function e(t){return!!(470810623&t.flags)||(16777216&t.flags?t.root.isDistributive&&t.checkType===n:137363456&t.flags?N(t.types,e):8388608&t.flags?e(t.objectType)&&e(t.indexType):33554432&t.flags?e(t.baseType)&&e(t.constraint):!!(268435456&t.flags)&&e(t.type))}(Ip(e)||n)}(e)||2===Op(e))||1048576&e.flags&&!(4&n)&&If(e)||2097152&e.flags&&Ww(e,465829888)&&oe(e.types,yT))}function Jv(e,n=re){return U_(e=Tf(e))?B_(Jv(e.baseType,n)):qv(e,n)?Ov(e,n):1048576&e.flags?Nv(B(e.types,(e=>Jv(e,n)))):2097152&e.flags?mv(B(e.types,(e=>Jv(e,n)))):32&IS(e)?Wv(e,n):e===Rn?Rn:2&e.flags?ot:131073&e.flags?vt:Uv(e,(2&n?128:402653316)|(1&n?0:12584),n===re)}function Yv(e){if(te)return e;const n=(zr||(zr=Xh("Extract",2,!0)||vn),zr===vn?void 0:zr);return n?w_(n,[e,Vn]):Vn}function $v(e,n){const t=M(n,(e=>!!(1179648&e.flags)));if(t>=0)return Pv(n)?VI(n[t],(r=>$v(e,We(n,t,r)))):Nn;if(k(n,Rn))return Rn;const r=[],o=[];let i=e[0];if(!function e(n,t){for(let a=0;a<t.length;a++){const s=t[a];if(101248&s.flags)i+=Qv(s)||"",i+=n[a+1];else if(134217728&s.flags){if(i+=s.texts[0],!e(s.texts,s.types))return!1;i+=n[a+1]}else{if(!fb(s)&&!lb(s))return!1;r.push(s),o.push(i),i=n[a+1]}}return!0}(e,n))return Vn;if(0===r.length)return GE(i);if(o.push(i),N(o,(e=>""===e))){if(N(r,(e=>!!(4&e.flags))))return Vn;if(1===r.length&&cb(r[0]))return r[0]}const a=`${s_(r)}|${B(o,(e=>e.length)).join(",")}|${o.join("")}`;let s=rn.get(a);return s||rn.set(a,s=function(e,n){const t=Rs(134217728);return t.texts=e,t.types=n,t}(o,r)),s}function Qv(e){return 128&e.flags?e.value:256&e.flags?""+e.value:2048&e.flags?Mx(e.value):98816&e.flags?e.intrinsicName:void 0}function Zv(e,n){return 1179648&n.flags?VI(n,(n=>Zv(e,n))):128&n.flags?GE(eb(e,n.value)):134217728&n.flags?$v(...function(e,n,t){switch(zz.get(e.escapedName)){case 0:return[n.map((e=>e.toUpperCase())),t.map((n=>Zv(e,n)))];case 1:return[n.map((e=>e.toLowerCase())),t.map((n=>Zv(e,n)))];case 2:return[""===n[0]?n:[n[0].charAt(0).toUpperCase()+n[0].slice(1),...n.slice(1)],""===n[0]?[Zv(e,t[0]),...t.slice(1)]:t];case 3:return[""===n[0]?n:[n[0].charAt(0).toLowerCase()+n[0].slice(1),...n.slice(1)],""===n[0]?[Zv(e,t[0]),...t.slice(1)]:t]}return[n,t]}(e,n.texts,n.types)):268435456&n.flags&&e===n.symbol?n:268435461&n.flags||fb(n)?nb(e,n):lb(n)?nb(e,$v(["",""],[n])):n}function eb(e,n){switch(zz.get(e.escapedName)){case 0:return n.toUpperCase();case 1:return n.toLowerCase();case 2:return n.charAt(0).toUpperCase()+n.slice(1);case 3:return n.charAt(0).toLowerCase()+n.slice(1)}return n}function nb(e,n){const t=`${Kz(e)},${Jy(n)}`;let r=on.get(t);return r||on.set(t,r=function(e,n){const t=Is(268435456,e);return t.type=n,t}(e,n)),r}function tb(e){if($)return!1;if(4096&IS(e))return!0;if(1048576&e.flags)return N(e.types,tb);if(2097152&e.flags)return oe(e.types,tb);if(465829888&e.flags){const n=uf(e);return n!==e&&tb(n)}return!1}function rb(e,n){return xA(e)?AA(e):n&&Ed(n)?iv(n):void 0}function ib(e,n){if(8208&n.flags){const t=Nl(e.parent,(e=>!wS(e)))||e.parent;return tu(t)?ru(t)&&tN(e)&&cI(t,e):N(n.declarations,(e=>!Td(e)||Mi(e)))}return!0}function ab(e,n,t,r,o,i){const a=o&&212===o.kind?o:void 0,s=o&&rN(o)?void 0:rb(t,o);if(void 0!==s){if(256&i)return EC(n,s)||xn;const e=Lf(n,s);if(e){if(64&i&&o&&e.declarations&&Ci(e)&&ib(o,e)){Pi((null==a?void 0:a.argumentExpression)??($N(o)?o.indexType:o),e.declarations,s)}if(a){if(lL(e,a,cL(a.expression,n.symbol)),Pw(a,e,fy(a)))return void Ai(a.argumentExpression,Oa.Cannot_assign_to_0_because_it_is_a_read_only_property,rl(e));if(8&i&&(Hi(o).resolvedSymbol=e),KP(a,e))return An}const t=4&i?od(e):sd(e);return a&&1!==fy(a)?fN(a,t):o&&$N(o)&&GA(t)?mv([t,On]):t}if(WI(n,nA)&&tA(s)){const e=+s;if(o&&WI(n,(e=>!e.target.hasRestElement))&&!(16&i)){const t=sb(o);if(nA(n)){if(e<0)return Ai(t,Oa.A_tuple_type_cannot_be_indexed_with_a_negative_value),On;Ai(t,Oa.Tuple_type_0_of_length_1_has_no_element_at_index_2,il(n),C_(n),Pl(s))}else Ai(t,Oa.Property_0_does_not_exist_on_type_1,Pl(s),il(n))}if(e>=0)return l(qf(n,Un)),bA(n,e,1&i?Wn:void 0)}}if(!(98304&t.flags)&&zw(t,402665900)){if(131073&n.flags)return n;const c=nm(n,t)||qf(n,Vn);if(c){if(2&i&&c.keyType!==Un)return void(a&&(4&i?Ai(a,Oa.Type_0_is_generic_and_can_only_be_indexed_for_reading,il(e)):Ai(a,Oa.Type_0_cannot_be_used_to_index_type_1,il(t),il(e))));if(o&&c.keyType===Vn&&!zw(t,12)){return Ai(sb(o),Oa.Type_0_cannot_be_used_as_an_index_type,il(t)),1&i?mv([c.type,Wn]):c.type}return l(c),1&i&&!(n.symbol&&384&n.symbol.flags&&t.symbol&&1024&t.flags&&ms(t.symbol)===n.symbol)?mv([c.type,Wn]):c.type}if(131072&t.flags)return ot;if(tb(n))return xn;if(a&&!Bw(n)){if(WR(n)){if($&&384&t.flags)return si.add(d_(a,Oa.Property_0_does_not_exist_on_type_1,t.value,il(n))),On;if(12&t.flags){return mv(ye(B(n.properties,(e=>sd(e))),On))}}if(n.symbol===_e&&void 0!==s&&_e.exports.has(s)&&418&_e.exports.get(s).flags)Ai(a,Oa.Property_0_does_not_exist_on_type_1,Pl(s),il(n));else if($&&!A.suppressImplicitAnyIndexErrors&&!(128&i))if(void 0!==s&&ZP(s,n)){const e=il(n);Ai(a,Oa.Property_0_does_not_exist_on_type_1_Did_you_mean_to_access_the_static_member_2_instead,s,e,e+"["+xm(a.argumentExpression)+"]")}else if(Jf(n,Un))Ai(a.argumentExpression,Oa.Element_implicitly_has_an_any_type_because_index_expression_is_not_of_type_number);else{let e;if(void 0!==s&&(e=oL(s,n)))void 0!==e&&Ai(a.argumentExpression,Oa.Property_0_does_not_exist_on_type_1_Did_you_mean_2,s,il(n),e);else{const e=function(e,n,t){function r(n){const r=Gp(e,n);if(r){const e=CL(sd(r));return!!e&&Yk(e)>=1&&KS(t,Hk(e,0))}return!1}const o=my(n)?"set":"get";if(!r(o))return;let i=AE(n.expression);void 0===i?i=o:i+="."+o;return i}(n,a,t);if(void 0!==e)Ai(a,Oa.Element_implicitly_has_an_any_type_because_type_0_has_no_index_signature_Did_you_mean_to_call_1,il(n),e);else{let e;if(1024&t.flags)e=cT(void 0,Oa.Property_0_does_not_exist_on_type_1,"["+il(t)+"]",il(n));else if(8192&t.flags){const r=Ka(t.symbol,a);e=cT(void 0,Oa.Property_0_does_not_exist_on_type_1,"["+r+"]",il(n))}else 128&t.flags||256&t.flags?e=cT(void 0,Oa.Property_0_does_not_exist_on_type_1,t.value,il(n)):12&t.flags&&(e=cT(void 0,Oa.No_index_signature_with_a_parameter_of_type_0_was_found_on_type_1,il(t),il(n)));e=cT(e,Oa.Element_implicitly_has_an_any_type_because_expression_of_type_0_can_t_be_used_to_index_type_1,il(r),il(n)),si.add(f_($f(a),a,e))}}}return}}if(tb(n))return xn;if(o){const e=sb(o);384&t.flags?Ai(e,Oa.Property_0_does_not_exist_on_type_1,""+t.value,il(n)):12&t.flags?Ai(e,Oa.Type_0_has_no_matching_index_signature_for_type_1,il(n),il(t)):Ai(e,Oa.Type_0_cannot_be_used_as_an_index_type,il(t))}return zl(t)?t:void 0;function l(e){e&&e.isReadonly&&a&&(my(a)||xy(a))&&Ai(a,Oa.Index_signature_in_type_0_only_permits_reading,il(n))}}function sb(e){return 212===e.kind?e.argumentExpression:199===e.kind?e.indexType:167===e.kind?e.expression:e}function lb(e){if(2097152&e.flags){let n=!1;for(const t of e.types)if(101248&t.flags||lb(t))n=!0;else if(!(524288&t.flags))return!1;return n}return!!(77&e.flags)||cb(e)}function cb(e){return!!(134217728&e.flags)&&N(e.types,lb)||!!(268435456&e.flags)&&lb(e.type)}function db(e){return!!(402653184&e.flags)&&!cb(e)}function ub(e){return!!mb(e)}function pb(e){return!!(4194304&mb(e))}function fb(e){return!!(8388608&mb(e))}function mb(e){return 3145728&e.flags?(2097152&e.objectFlags||(e.objectFlags|=2097152|Be(e.types,((e,n)=>e|mb(n)),0)),12582912&e.objectFlags):33554432&e.flags?(2097152&e.objectFlags||(e.objectFlags|=2097152|mb(e.baseType)|mb(e.constraint)),12582912&e.objectFlags):(58982400&e.flags||wp(e)||iA(e)?4194304:0)|(63176704&e.flags||db(e)?8388608:0)}function gb(e,n){return 8388608&e.flags?function(e,n){const t=n?"simplifiedForWriting":"simplifiedForReading";if(e[t])return e[t]===zt?e:e[t];e[t]=zt;const r=gb(e.objectType,n),o=gb(e.indexType,n),i=function(e,n,t){if(1048576&n.flags){const r=B(n.types,(n=>gb(Mb(e,n),t)));return t?Nv(r):mv(r)}}(r,o,n);if(i)return e[t]=i;if(!(465829888&o.flags)){const i=Tb(r,o,n);if(i)return e[t]=i}if(iA(r)&&296&o.flags){const i=SA(r,8&o.flags?0:r.target.fixedLength,0,n);if(i)return e[t]=i}if(wp(r)&&2!==Op(r))return e[t]=VI(Cb(r,e.indexType),(e=>gb(e,n)));return e[t]=e}(e,n):16777216&e.flags?function(e,n){const t=e.checkType,r=e.extendsType,o=eE(e),i=nE(e);if(131072&i.flags&&Ob(o)===Ob(t)){if(1&t.flags||KS(MS(t),MS(r)))return gb(o,n);if(Rb(t,r))return ot}else if(131072&o.flags&&Ob(i)===Ob(t)){if(!(1&t.flags)&&KS(MS(t),MS(r)))return ot;if(1&t.flags||Rb(t,r))return gb(i,n)}return e}(e,n):e}function Tb(e,n,t){if(1048576&e.flags||2097152&e.flags&&!qv(e)){const r=B(e.types,(e=>gb(Mb(e,n),t)));return 2097152&e.flags||t?Nv(r):mv(r)}}function Rb(e,n){return!!(131072&mv([pp(e,n),ot]).flags)}function Cb(e,n){const t=eS([Ap(e)],[n]),r=sS(e.mapper,t);return AS(Np(e.target||e),r)}function Mb(e,n,t=0,r,o,i){return Lb(e,n,t,r,o,i)||(r?Nn:Ln)}function Pb(e,n){return WI(e,(e=>{if(384&e.flags){const t=AA(e);if(tA(t)){const e=+t;return e>=0&&e<n}}return!1}))}function Lb(e,n,t=0,r,o,i){if(e===Rn||n===Rn)return Rn;if(!ST(e=Tf(e))||98304&n.flags||!zw(n,12)||(n=Vn),A.noUncheckedIndexedAccess&&32&t&&(t|=1),fb(n)||(r&&199!==r.kind?iA(e)&&!Pb(n,Ky(e.target)):pb(e)&&(!nA(e)||!Pb(n,Ky(e.target)))||If(e))){if(3&e.flags)return e;const r=1&t,a=e.id+","+n.id+","+r+p_(o,i);let s=tn.get(a);return s||tn.set(a,s=function(e,n,t,r,o){const i=Rs(8388608);return i.objectType=e,i.indexType=n,i.accessFlags=t,i.aliasSymbol=r,i.aliasTypeArguments=o,i}(e,n,r,o,i)),s}const a=vf(e);if(1048576&n.flags&&!(16&n.flags)){const s=[];let l=!1;for(const o of n.types){const i=ab(e,a,o,n,r,t|(l?128:0));if(i)s.push(i);else{if(!r)return;l=!0}}if(l)return;return 4&t?Nv(s,o,i):mv(s,1,o,i)}return ab(e,a,n,n,r,72|t)}function kb(e){const n=Hi(e);if(!n.resolvedType){const t=JE(e.objectType),r=JE(e.indexType),o=cE(e);n.resolvedType=Mb(t,r,0,e,o,dE(o))}return n.resolvedType}function wb(e){const n=Hi(e);if(!n.resolvedType){const t=Cs(32,e.symbol);t.declaration=e,t.aliasSymbol=cE(e),t.aliasTypeArguments=dE(t.aliasSymbol),n.resolvedType=t,Rp(t)}return n.resolvedType}function Ob(e){return 33554432&e.flags?Ob(e.baseType):8388608&e.flags&&(33554432&e.objectType.flags||33554432&e.indexType.flags)?Mb(Ob(e.objectType),Ob(e.indexType)):e}function Fb(e){return GN(e)&&b(e.elements)>0&&!oe(e.elements,(e=>jN(e)||VN(e)||BN(e)&&!(!e.questionToken&&!e.dotDotDotToken)))}function $b(e,n){return ub(e)||n&&nA(e)&&oe(qy(e),ub)}function Qb(e,n,t,r,o){let a,s,l=0;for(;;){if(1e3===l)return Ai(i,Oa.Type_instantiation_is_excessively_deep_and_possibly_infinite),Nn;const d=AS(Ob(e.checkType),n),u=AS(e.extendsType,n);if(d===Nn||u===Nn)return Nn;if(d===Rn||u===Rn)return Rn;const p=Sy(e.node.checkType),f=Sy(e.node.extendsType),m=Fb(p)&&Fb(f)&&b(p.elements)===b(f.elements),_=$b(d,m);let h;if(e.inferTypeParameters){const t=oR(e.inferTypeParameters,void 0,0);n&&(t.nonFixingMapper=sS(t.nonFixingMapper,n)),_||wR(t.inferences,d,u,1536),h=n?sS(t.mapper,n):t.mapper}const g=h?AS(e.extendsType,h):u;if(!_&&!$b(g,m)){if(!(3&g.flags)&&(1&d.flags||!KS(CS(d),CS(g)))){(1&d.flags||t&&!(131072&g.flags)&&OI(CS(g),(e=>KS(e,CS(d)))))&&(s||(s=[])).push(AS(JE(e.node.trueType),h||n));const r=JE(e.node.falseType);if(16777216&r.flags){const t=r.root;if(t.node.parent===e.node&&(!t.isDistributive||t.checkType===e.checkType)){e=t;continue}if(c(r,n))continue}a=AS(r,n);break}if(3&g.flags||KS(MS(d),MS(g))){const t=JE(e.node.trueType),r=h||n;if(c(t,r))continue;a=AS(t,r);break}}a=Rs(16777216),a.root=e,a.checkType=AS(e.checkType,n),a.extendsType=AS(e.extendsType,n),a.mapper=n,a.combinedMapper=h,a.aliasSymbol=r||e.aliasSymbol,a.aliasTypeArguments=r?o:$E(e.aliasTypeArguments,n);break}return s?mv(ye(s,a)):a;function c(t,i){if(16777216&t.flags&&i){const a=t.root;if(a.outerTypeParameters){const s=sS(t.mapper,i),c=B(a.outerTypeParameters,(e=>nS(e,s))),d=eS(a.outerTypeParameters,c),u=a.isDistributive?nS(a.checkType,d):void 0;if(!(u&&u!==a.checkType&&1179648&u.flags))return e=a,n=d,r=void 0,o=void 0,a.aliasSymbol&&l++,!0}}return!1}}function eE(e){return e.resolvedTrueType||(e.resolvedTrueType=AS(JE(e.root.node.trueType),e.mapper))}function nE(e){return e.resolvedFalseType||(e.resolvedFalseType=AS(JE(e.root.node.falseType),e.mapper))}function tE(e){let n;return e.locals&&e.locals.forEach((e=>{262144&e.flags&&(n=ye(n,ou(e)))})),n}function rE(e){return tN(e)?[e]:ye(rE(e.left),e.right)}function oE(e){var n;const t=Hi(e);if(!t.resolvedType){if(!k_(e))return Ai(e.argument,Oa.String_literal_expected),t.resolvedSymbol=vn,t.resolvedType=Nn;const r=e.isTypeOf?111551:16777216&e.flags?900095:788968,o=Xa(e,e.argument.literal);if(!o)return t.resolvedSymbol=vn,t.resolvedType=Nn;const i=!!(null==(n=o.exports)?void 0:n.get("export=")),a=Za(o,!1);if(im(e.qualifier))if(a.flags&r)t.resolvedType=iE(e,t,a,r);else{Ai(e,111551===r?Oa.Module_0_does_not_refer_to_a_value_but_is_used_as_a_value_here:Oa.Module_0_does_not_refer_to_a_type_but_is_used_as_a_type_here_Did_you_mean_typeof_import_0,e.argument.literal.text),t.resolvedSymbol=vn,t.resolvedType=Nn}else{const n=rE(e.qualifier);let o,s=a;for(;o=n.shift();){const a=n.length?1920:r,l=us(Fa(s)),c=e.isTypeOf||Yh(e)&&i?Lf(sd(l),o.escapedText,!1,!0):void 0,d=(e.isTypeOf?void 0:qi(ss(l),o.escapedText,a))??c;if(!d)return Ai(o,Oa.Namespace_0_has_no_exported_member_1,Ka(s),o_(o)),t.resolvedType=Nn;Hi(o).resolvedSymbol=d,Hi(o.parent).resolvedSymbol=d,s=d}t.resolvedType=iE(e,t,s,r)}}return t.resolvedType}function iE(e,n,t,r){const o=Fa(t);return n.resolvedSymbol=o,111551===r?kk(sd(t),e):G_(e,o)}function lE(e){const n=Hi(e);if(!n.resolvedType){const t=cE(e);if(0!==Mu(e.symbol).size||t){let r=Cs(16,e.symbol);r.aliasSymbol=t,r.aliasTypeArguments=dE(t),EM(e)&&e.isArrayType&&(r=ey(r)),n.resolvedType=r}else n.resolvedType=Lt}return n.resolvedType}function cE(e){let n=e.parent;for(;JN(n)||aM(n)||YN(n)&&148===n.operator;)n=n.parent;return qg(n)?ps(n):void 0}function dE(e){return e?Sd(e):void 0}function uE(e){return!!(524288&e.flags)&&!wp(e)}function _E(e){return gT(e)||!!(474058748&e.flags)}function yE(e,n){if(!(1048576&e.flags))return e;if(N(e.types,_E))return D(e.types,gT)||Ct;const t=D(e.types,(e=>!_E(e)));if(!t)return e;return D(e.types,(e=>e!==t&&!_E(e)))?e:function(e){const t=Mf();for(const r of Hp(e))if(6&_S(r));else if(PE(r)){const e=65536&r.flags&&!(32768&r.flags),o=Li(16777220,r.escapedName,Sp(r)|(n?8:0));o.links.type=e?On:ac(sd(r),!0),o.declarations=r.declarations,o.links.nameType=Ui(r).nameType,o.links.syntheticOrigin=r,t.set(r.escapedName,o)}const r=Os(e.symbol,t,o,o,Kf(e));return r.objectFlags|=131200,r}(t)}function vE(e,n,t,r,i){if(1&e.flags||1&n.flags)return xn;if(2&e.flags||2&n.flags)return Ln;if(131072&e.flags)return n;if(131072&n.flags)return e;if(1048576&(e=yE(e,i)).flags)return Pv([e,n])?VI(e,(e=>vE(e,n,t,r,i))):Nn;if(1048576&(n=yE(n,i)).flags)return Pv([e,n])?VI(n,(n=>vE(e,n,t,r,i))):Nn;if(473960444&n.flags)return e;if(pb(e)||pb(n)){if(gT(e))return n;if(2097152&e.flags){const o=e.types,a=o[o.length-1];if(uE(a)&&uE(n))return Nv(ae(o.slice(0,o.length-1),[vE(a,n,t,r,i)]))}return Nv([e,n])}const a=Mf(),s=new Set,l=e===Ct?Kf(n):sp([e,n]);for(const e of Hp(n))6&_S(e)?s.add(e.escapedName):PE(e)&&a.set(e.escapedName,LE(e,i));for(const n of Hp(e))if(!s.has(n.escapedName)&&PE(n))if(a.has(n.escapedName)){const e=a.get(n.escapedName),t=sd(e);if(16777216&e.flags){const r=ae(n.declarations,e.declarations),o=Li(4|16777216&n.flags,n.escapedName),i=sd(n),s=BA(i),l=BA(t);o.links.type=s===l?i:mv([i,l],2),o.links.leftSpread=n,o.links.rightSpread=e,o.declarations=r,o.links.nameType=Ui(n).nameType,a.set(n.escapedName,o)}}else a.set(n.escapedName,LE(n,i));const c=Os(t,a,o,o,V(l,(e=>function(e,n){return e.isReadonly!==n?Hm(e.keyType,e.type,n,e.declaration):e}(e,i))));return c.objectFlags|=2228352|r,c}function PE(e){var n;return!(oe(e.declarations,md)||106496&e.flags&&(null==(n=e.declarations)?void 0:n.some((e=>Md(e.parent)))))}function LE(e,n){const t=65536&e.flags&&!(32768&e.flags);if(!t&&n===Mw(e))return e;const r=Li(4|16777216&e.flags,e.escapedName,Sp(e)|(n?8:0));return r.links.type=t?On:sd(e),r.declarations=e.declarations,r.links.nameType=Ui(e).nameType,r.links.syntheticOrigin=e,r}function OE(e,n,t,r){const o=Is(e,t);return o.value=n,o.regularType=r||o,o}function FE(e){if(2976&e.flags){if(!e.freshType){const n=OE(e.flags,e.value,e.symbol,e);n.freshType=n,e.freshType=n}return e.freshType}return e}function WE(e){return 2976&e.flags?e.regularType:1048576&e.flags?e.regularType||(e.regularType=VI(e,WE)):e}function zE(e){return!!(2976&e.flags)&&e.freshType===e}function GE(e){let n;return Ye.get(e)||(Ye.set(e,n=OE(128,e)),n)}function BE(e){let n;return $e.get(e)||($e.set(e,n=OE(256,e)),n)}function jE(e){let n;const t=Mx(e);return Qe.get(t)||(Qe.set(t,n=OE(2048,e)),n)}function VE(e,n,t){let r;const o=`${n}${"string"==typeof e?"@":"#"}${e}`,i=1024|("string"==typeof e?128:256);return nn.get(o)||(nn.set(o,r=OE(i,e,t)),r)}function UE(e){if(Yh(e)&&aM(e)){const n=ly(e);n&&(e=Yg(n)||n)}if(eh(e)){const n=Z_(e)?fs(e.left):fs(e);if(n){const e=Ui(n);return e.uniqueESSymbolType||(e.uniqueESSymbolType=function(e){const n=Is(8192,e);return n.escapedName=`__@${n.symbol.escapedName}@${Kz(n.symbol)}`,n}(n))}}return nt}function HE(e){const n=Hi(e);return n.resolvedType||(n.resolvedType=function(e){const n=vh(e,!1,!1),t=n&&n.parent;if(t&&(Md(t)||264===t.kind)&&!jb(n)&&(!IN(n)||Ay(e,n.body)))return qd(ps(t)).thisType;if(t&&sD(t)&&TD(t.parent)&&6===Eg(t.parent))return qd(fs(t.parent.left).parent).thisType;const r=16777216&e.flags?ay(e):void 0;return r&&_D(r)&&TD(r.parent)&&3===Eg(r.parent)?qd(fs(r.parent.left).parent).thisType:gk(n)&&Ay(e,n.body)?qd(ps(n)).thisType:(Ai(e,Oa.A_this_type_is_available_only_in_a_non_static_member_of_a_class_or_interface),Nn)}(e)),n.resolvedType}function KE(e){return JE(qE(e.type)||e.type)}function qE(e){switch(e.kind){case 196:return qE(e.type);case 189:if(1===e.elements.length&&(191===(e=e.elements[0]).kind||202===e.kind&&e.dotDotDotToken))return qE(e.type);break;case 188:return e.elementType}}function JE(e){return function(e,n){let t,r=!0;for(;n&&!wu(n)&&327!==n.kind;){const o=n.parent;if(169===o.kind&&(r=!r),(r||8650752&e.flags)&&194===o.kind&&n===o.trueType){const n=ch(e,o.checkType,o.extendsType);n&&(t=ye(t,n))}else if(262144&e.flags&&200===o.kind&&!o.nameType&&n===o.type){const n=JE(o);if(Ap(n)===Ob(e)){const e=bS(n);if(e){const n=Yp(e);n&&WI(n,px)&&(t=ye(t,mv([Un,St])))}}}n=o}return t?th(e,Nv(t)):e}(XE(e),e)}function XE(e){switch(e.kind){case 133:case 319:case 320:return xn;case 159:return Ln;case 154:return Vn;case 150:return Un;case 163:return Hn;case 136:return Zn;case 155:return nt;case 116:return tt;case 157:return On;case 106:return Bn;case 146:return ot;case 151:return 524288&e.flags&&!$?xn:mt;case 141:return Pn;case 197:case 110:return HE(e);case 201:return function(e){if(106===e.literal.kind)return Bn;const n=Hi(e);return n.resolvedType||(n.resolvedType=WE(bO(e.literal))),n.resolvedType}(e);case 183:case 233:return mh(e);case 182:return e.assertsModifier?tt:Zn;case 186:return Lh(e);case 188:case 189:return function(e){const n=Hi(e);if(!n.resolvedType){const t=uy(e);if(t===Ot)n.resolvedType=Ct;else if(189===e.kind&&oe(e.elements,(e=>!!(8&ny(e))))||!hy(e)){const r=188===e.kind?[JE(e.elementType)]:B(e.elements,JE);n.resolvedType=zy(t,r)}else n.resolvedType=189===e.kind&&0===e.elements.length?t:N_(t,e,void 0)}return n.resolvedType}(e);case 190:return function(e){return ac(JE(e.type),!0)}(e);case 192:return function(e){const n=Hi(e);if(!n.resolvedType){const t=cE(e);n.resolvedType=mv(B(e.types,JE),1,t,dE(t))}return n.resolvedType}(e);case 193:return function(e){const n=Hi(e);if(!n.resolvedType){const t=cE(e),r=B(e.types,JE),o=2===r.length?r.indexOf(Lt):-1,i=o>=0?r[1-o]:Ln,a=!!(76&i.flags||134217728&i.flags&&cb(i));n.resolvedType=Nv(r,t,dE(t),a)}return n.resolvedType}(e);case 321:return function(e){const n=JE(e.type);return K?PA(n,65536):n}(e);case 323:return ac(JE(e.type));case 202:return function(e){const n=Hi(e);return n.resolvedType||(n.resolvedType=e.dotDotDotToken?KE(e):ac(JE(e.type),!0,!!e.questionToken))}(e);case 196:case 322:case 316:return JE(e.type);case 191:return KE(e);case 325:return function(e){const n=JE(e.type),{parent:t}=e,r=e.parent.parent;if(aM(e.parent)&&OM(r)){const e=ay(r),t=RM(r.parent.parent);if(e||t){const o=Le(t?r.parent.parent.typeExpression.parameters:e.parameters),i=ry(r);if(!o||i&&o.symbol===i&&ip(o))return ey(n)}}if(bN(t)&&gM(t.parent))return ey(n);return ac(n)}(e);case 184:case 185:case 187:case 329:case 324:case 330:return lE(e);case 198:return function(e){const n=Hi(e);if(!n.resolvedType)switch(e.operator){case 143:n.resolvedType=Jv(JE(e.type));break;case 158:n.resolvedType=155===e.type.kind?UE(vy(e.parent)):Nn;break;case 148:n.resolvedType=JE(e.type);break;default:Tt.assertNever(e.operator)}return n.resolvedType}(e);case 199:return kb(e);case 200:return wb(e);case 194:return function(e){const n=Hi(e);if(!n.resolvedType){const t=JE(e.checkType),r=cE(e),o=dE(r),i=gd(e,!0),a=o?i:W(i,(n=>hS(n,e))),s={node:e,checkType:t,extendsType:JE(e.extendsType),isDistributive:!!(262144&t.flags),inferTypeParameters:tE(e),outerTypeParameters:a,instantiations:void 0,aliasSymbol:r,aliasTypeArguments:o};n.resolvedType=Qb(s,void 0,!1),a&&(s.instantiations=new Map,s.instantiations.set(s_(a),n.resolvedType))}return n.resolvedType}(e);case 195:return function(e){const n=Hi(e);return n.resolvedType||(n.resolvedType=eu(ps(e.typeParameter))),n.resolvedType}(e);case 203:return function(e){const n=Hi(e);return n.resolvedType||(n.resolvedType=$v([e.head.text,...B(e.templateSpans,(e=>e.literal.text))],B(e.templateSpans,(e=>JE(e.type))))),n.resolvedType}(e);case 205:return oE(e);case 80:case 166:case 211:const n=Xz(e);return n?ou(n):Nn;default:return Nn}}function YE(e,n,t){if(e&&e.length)for(let r=0;r<e.length;r++){const o=e[r],i=t(o,n);if(o!==i){const o=0===r?[]:e.slice(0,r);for(o.push(i),r++;r<e.length;r++)o.push(t(e[r],n));return o}}return e}function $E(e,n){return YE(e,n,AS)}function QE(e,n){return YE(e,n,uS)}function ZE(e,n){return YE(e,n,PS)}function eS(e,n){return 1===e.length?tS(e[0],n?n[0]:xn):function(e,n){return Tt.attachDebugPrototypeIfDebug({kind:1,sources:e,targets:n})}(e,n)}function nS(e,n){switch(n.kind){case 0:return e===n.source?n.target:e;case 1:{const t=n.sources,r=n.targets;for(let n=0;n<t.length;n++)if(e===t[n])return r?r[n]:xn;return e}case 2:{const t=n.sources,r=n.targets;for(let n=0;n<t.length;n++)if(e===t[n])return r[n]();return e}case 3:return n.func(e);case 4:case 5:const t=nS(e,n.mapper1);return t!==e&&4===n.kind?AS(t,n.mapper2):nS(t,n.mapper2)}}function tS(e,n){return Tt.attachDebugPrototypeIfDebug({kind:0,source:e,target:n})}function rS(e,n){return Tt.attachDebugPrototypeIfDebug({kind:3,func:e,debugInfo:Tt.isDebugging?n:void 0})}function oS(e,n){return Tt.attachDebugPrototypeIfDebug({kind:2,sources:e,targets:n})}function iS(e,n,t){return Tt.attachDebugPrototypeIfDebug({kind:e,mapper1:n,mapper2:t})}function aS(e){return eS(e,void 0)}function sS(e,n){return e?iS(4,e,n):n}function lS(e,n,t){return t?iS(5,tS(e,n),t):tS(e,n)}function cS(e,n,t){return e?iS(5,e,tS(n,t)):tS(n,t)}function dS(e){const n=Ms(e.symbol);return n.target=e,n}function uS(e,n,t){let r;if(e.typeParameters&&!t){r=B(e.typeParameters,dS),n=sS(eS(e.typeParameters,r),n);for(const e of r)e.mapper=n}const o=Fu(e.declaration,r,e.thisParameter&&pS(e.thisParameter,n),YE(e.parameters,n,pS),void 0,void 0,e.minArgumentCount,167&e.flags);return o.target=e,o.mapper=n,o}function pS(e,n){const t=Ui(e);if(t.type&&!pR(t.type)){if(!(65536&e.flags))return e;if(t.writeType&&!pR(t.writeType))return e}1&mS(e)&&(e=t.target,n=sS(t.mapper,n));const r=Li(e.flags,e.escapedName,1|53256&mS(e));return r.declarations=e.declarations,r.parent=e.parent,r.links.target=e,r.links.mapper=n,e.valueDeclaration&&(r.valueDeclaration=e.valueDeclaration),t.nameType&&(r.links.nameType=t.nameType),r}function fS(e,n,t,r){const i=4&e.objectFlags||8388608&e.objectFlags?e.node:e.symbol.declarations[0],a=Hi(i),s=4&e.objectFlags?a.resolvedType:64&e.objectFlags?e.target:e;let l=a.outerTypeParameters;if(!l){let n=gd(i,!0);if(gk(i)){n=Ee(n,rm(i))}l=n||o;const t=8388612&e.objectFlags?[i]:e.symbol.declarations;l=(8388612&s.objectFlags||8192&s.symbol.flags||2048&s.symbol.flags)&&!s.aliasTypeArguments?W(l,(e=>oe(t,(n=>hS(e,n))))):l,a.outerTypeParameters=l}if(l.length){const o=sS(e.mapper,n),i=B(l,(e=>nS(e,o))),a=t||e.aliasSymbol,c=t?r:$E(e.aliasTypeArguments,n),d=s_(i)+p_(a,c);s.instantiations||(s.instantiations=new Map,s.instantiations.set(s_(l)+p_(s.aliasSymbol,s.aliasTypeArguments),s));let u=s.instantiations.get(d);if(!u){const n=eS(l,i);u=4&s.objectFlags?N_(e.target,e.node,n,a,c):32&s.objectFlags?function(e,n,t,r){const o=bS(e);if(o){const e=AS(o,n);if(o!==e)return UI(Tf(e),i,t,r)}return AS(Rp(e),n)===Rn?Rn:TS(e,n,t,r);function i(t){if(61603843&t.flags&&t!==Rn&&!Bl(t)){if(!e.declaration.nameType){let r;if(cx(t)||1&t.flags&&Tl(o,4)<0&&(r=Yp(o))&&WI(r,px))return function(e,n,t){const r=SS(n,Un,!0,t);return Bl(r)?Nn:ey(r,ES(dx(e),Pp(n)))}(t,e,lS(o,t,n));if(nA(t))return function(e,n,t,r){const o=e.target.elementFlags,i=e.target.fixedLength,a=i?lS(t,e,r):r,s=B(qy(e),((e,s)=>{const l=o[s];return s<i?SS(n,GE(""+s),!!(2&l),a):8&l?AS(n,lS(t,e,r)):mx(AS(n,lS(t,ey(e),r)))??Ln})),l=Pp(n),c=4&l?B(o,(e=>1&e?2:e)):8&l?B(o,(e=>2&e?1:e)):o,d=ES(e.target.readonly,Pp(n));return k(s,Nn)?Nn:Dy(s,c,d,e.target.labeledElementDeclarations)}(t,e,o,n);if(hf(t))return Nv(B(t.types,i))}return TS(e,lS(o,t,n))}return t}}(s,n,a,c):TS(s,n,a,c),s.instantiations.set(d,u);const t=IS(u);if(3899393&u.flags&&!(524288&t)){const e=oe(i,pR);524288&IS(u)||(u.objectFlags|=52&t?524288|(e?1048576:0):e?0:524288)}}return u}return e}function hS(e,n){if(e.symbol&&e.symbol.declarations&&1===e.symbol.declarations.length){const r=e.symbol.declarations[0].parent;for(let e=n;e!==r;e=e.parent)if(!e||241===e.kind||194===e.kind&&ok(e.extendsType,t))return!0;return t(n)}return!0;function t(n){switch(n.kind){case 197:return!!e.isThisType;case 80:return!e.isThisType&&j_(n)&&function(e){return!(183===e.parent.kind&&e.parent.typeArguments&&e===e.parent.typeName||205===e.parent.kind&&e.parent.typeArguments&&e===e.parent.qualifier)}(n)&&XE(n)===e;case 186:const r=SE(n.exprName);if(!bb(r)){const o=JR(r),i=e.symbol.declarations[0],a=168===i.kind?i.parent:e.isThisType?i:void 0;if(o.declarations&&a)return oe(o.declarations,(e=>Ay(e,a)))||oe(n.typeArguments,t)}return!0;case 174:case 173:return!n.type&&!!n.body||oe(n.typeParameters,t)||oe(n.parameters,t)||!!n.type&&t(n.type)}return!!ok(n,t)}}function bS(e){const n=Rp(e);if(4194304&n.flags){const e=Ob(n.type);if(262144&e.flags)return e}}function ES(e,n){return!!(1&n)||!(2&n)&&e}function SS(e,n,t,r){const o=cS(r,Ap(e),n),i=AS(Np(e.target||e),o),a=Pp(e);return K&&4&a&&!Ww(i,49152)?LA(i,!0):K&&8&a&&t?hI(i,524288):i}function TS(e,n,t,r){Tt.assert(e.symbol,"anonymous type must have symbol to be instantiated");const o=Cs(-1572865&e.objectFlags|64,e.symbol);if(32&e.objectFlags){o.declaration=e.declaration;const t=Ap(e),r=dS(t);o.typeParameter=r,n=sS(tS(t,r),n),r.mapper=n}return 8388608&e.objectFlags&&(o.node=e.node),o.target=e,o.mapper=n,o.aliasSymbol=t||e.aliasSymbol,o.aliasTypeArguments=t?r:$E(e.aliasTypeArguments,n),o.objectFlags|=o.aliasTypeArguments?__(o.aliasTypeArguments):0,o}function xS(e,n,t,r,o){const i=e.root;if(i.outerTypeParameters){const e=B(i.outerTypeParameters,(e=>nS(e,n))),a=(t?"C":"")+s_(e)+p_(r,o);let s=i.instantiations.get(a);if(!s){const n=eS(i.outerTypeParameters,e),l=i.checkType,c=i.isDistributive?Tf(nS(l,n)):void 0;s=c&&l!==c&&1179648&c.flags?UI(c,(e=>Qb(i,lS(l,e,n),t)),r,o):Qb(i,n,t,r,o),i.instantiations.set(a,s)}return s}return e}function AS(e,n){return e&&n?NS(e,n,void 0,void 0):e}function NS(e,n,t,r){var o;if(!pR(e))return e;if(100===g||h>=5e6)return null==(o=Cr)||o.instant(Cr.Phase.CheckTypes,"instantiateType_DepthLimit",{typeId:e.id,instantiationDepth:g,instantiationCount:h}),Ai(i,Oa.Type_instantiation_is_excessively_deep_and_possibly_infinite),Nn;_++,h++,g++;const a=function(e,n,t,r){const o=e.flags;if(262144&o)return nS(e,n);if(524288&o){const o=e.objectFlags;if(52&o){if(4&o&&!e.node){const t=e.resolvedTypeArguments,r=$E(t,n);return r!==t?zy(e.target,r):e}return 1024&o?function(e,n){const t=AS(e.mappedType,n);if(!(32&IS(t)))return e;const r=AS(e.constraintType,n);if(!(4194304&r.flags))return e;const o=hR(AS(e.source,n),t,r);if(o)return o;return e}(e,n):fS(e,n,t,r)}return e}if(3145728&o){const i=1048576&e.flags?e.origin:void 0,a=i&&3145728&i.flags?i.types:e.types,s=$E(a,n);if(s===a&&t===e.aliasSymbol)return e;const l=t||e.aliasSymbol,c=t?r:$E(e.aliasTypeArguments,n);return 2097152&o||i&&2097152&i.flags?Nv(s,l,c):mv(s,1,l,c)}if(4194304&o)return Jv(AS(e.type,n));if(134217728&o)return $v(e.texts,$E(e.types,n));if(268435456&o)return Zv(e.symbol,AS(e.type,n));if(8388608&o){const o=t||e.aliasSymbol,i=t?r:$E(e.aliasTypeArguments,n);return Mb(AS(e.objectType,n),AS(e.indexType,n),e.accessFlags,void 0,o,i)}if(16777216&o)return xS(e,sS(e.mapper,n),!1,t,r);if(33554432&o){const t=AS(e.baseType,n);if(U_(e))return B_(t);const r=AS(e.constraint,n);return 8650752&t.flags&&ub(r)?th(t,r):3&r.flags||KS(MS(t),MS(r))?t:8650752&t.flags?th(t,r):Nv([r,t])}return e}(e,n,t,r);return g--,a}function CS(e){return 402915327&e.flags?e:e.permissiveInstantiation||(e.permissiveInstantiation=AS(e,At))}function MS(e){return 402915327&e.flags?e:(e.restrictiveInstantiation||(e.restrictiveInstantiation=AS(e,xt),e.restrictiveInstantiation.restrictiveInstantiation=e.restrictiveInstantiation),e.restrictiveInstantiation)}function PS(e,n){return Hm(e.keyType,AS(e.type,n),e.isReadonly,e.declaration)}function LS(e){switch(Tt.assert(174!==e.kind||oh(e)),e.kind){case 218:case 219:case 174:case 262:return OS(e);case 210:return oe(e.properties,LS);case 209:return oe(e.elements,LS);case 227:return LS(e.whenTrue)||LS(e.whenFalse);case 226:return(57===e.operatorToken.kind||61===e.operatorToken.kind)&&(LS(e.left)||LS(e.right));case 303:return LS(e.initializer);case 217:return LS(e.expression);case 292:return oe(e.properties,LS)||WC(e.parent)&&oe(e.parent.parent.children,LS);case 291:{const{initializer:n}=e;return!!n&&LS(n)}case 294:{const{expression:n}=e;return!!n&&LS(n)}}return!1}function OS(e){return $x(e)||function(e){if(e.typeParameters||Ib(e)||!e.body)return!1;if(241!==e.body.kind)return LS(e.body);return!!H_(e.body,(e=>!!e.expression&&LS(e.expression)))}(e)}function FS(e){return(eA(e)||oh(e))&&OS(e)}function WS(e){if(524288&e.flags){const n=Fp(e);if(n.constructSignatures.length||n.callSignatures.length){const t=Cs(16,e.symbol);return t.members=n.members,t.properties=n.properties,t.callSignatures=o,t.constructSignatures=o,t.indexInfos=o,t}}else if(2097152&e.flags)return Nv(B(e.types,WS));return e}function GS(e,n){return AT(e,n,mi)}function BS(e,n){return AT(e,n,mi)?-1:0}function jS(e,n){return AT(e,n,pi)?-1:0}function VS(e,n){return AT(e,n,di)?-1:0}function US(e,n){return AT(e,n,di)}function HS(e,n){return AT(e,n,ui)}function KS(e,n){return AT(e,n,pi)}function qS(e,n){return 1048576&e.flags?N(e.types,(e=>qS(e,n))):1048576&n.flags?oe(n.types,(n=>qS(e,n))):2097152&e.flags?oe(e.types,(e=>qS(e,n))):58982400&e.flags?qS(lf(e)||Ln,n):yT(n)?!!(67633152&e.flags):n===Yt?!!(67633152&e.flags)&&!yT(e):n===$t?!!(524288&e.flags)&&pI(e):fd(e,pd(n))||cx(n)&&!dx(n)&&qS(e,nr)}function JS(e,n){return AT(e,n,fi)}function XS(e,n){return JS(e,n)||JS(n,e)}function YS(e,n,t,r,o,i){return wT(e,n,pi,t,r,o,i)}function $S(e,n,t,r,o,i){return QS(e,n,pi,t,r,o,i,void 0)}function QS(e,n,t,r,o,i,a,s){return!!AT(e,n,t)||(!r||!eT(o,e,n,t,i,a,s))&&wT(e,n,t,r,i,a,s)}function ZS(e){return!!(16777216&e.flags||2097152&e.flags&&oe(e.types,ZS))}function eT(e,n,t,r,o,i,a){if(!e||ZS(t))return!1;if(!wT(n,t,r,void 0)&&function(e,n,t,r,o,i,a){const s=wf(n,0),l=wf(n,1);for(const c of[l,s])if(oe(c,(e=>{const n=bm(e);return!(131073&n.flags)&&wT(n,t,r,void 0)}))){const r=a||{};YS(n,t,e,o,i,r);return xx(r.errors[r.errors.length-1],d_(e,c===l?Oa.Did_you_mean_to_use_new_with_this_expression:Oa.Did_you_mean_to_call_this_expression)),!0}return!1}(e,n,t,r,o,i,a))return!0;switch(e.kind){case 234:if(!ea(e))break;case 294:case 217:return eT(e.expression,n,t,r,o,i,a);case 226:switch(e.operatorToken.kind){case 64:case 28:return eT(e.right,n,t,r,o,i,a)}break;case 210:return function(e,n,t,r,o,i){return!(402915324&t.flags)&&rT(function*(e){if(!b(e.properties))return;for(const n of e.properties){if(eM(n))continue;const e=Gv(ps(n),8576);if(e&&!(131072&e.flags))switch(n.kind){case 178:case 177:case 174:case 304:yield{errorNode:n.name,innerExpression:void 0,nameType:e};break;case 303:yield{errorNode:n.name,innerExpression:n.initializer,nameType:e,errorMessage:a_(n.name)?Oa.Type_of_computed_property_s_value_is_0_which_is_not_assignable_to_type_1:void 0};break;default:Tt.assertNever(n)}}}(e),n,t,r,o,i)}(e,n,t,r,i,a);case 209:return function(e,n,t,r,o,i){if(402915324&t.flags)return!1;if(Tx(n))return rT(lT(e,t),n,t,r,o,i);tM(e,t,!1);const a=NM(e,1,!0);if(oM(),Tx(a))return rT(lT(e,t),a,t,r,o,i);return!1}(e,n,t,r,i,a);case 292:return function(e,n,t,r,o,i){let a,s=rT(function*(e){if(!b(e.properties))return;for(const n of e.properties)HC(n)||qM(vA(n.name))||(yield{errorNode:n.name,innerExpression:n.initializer,nameType:GE(vA(n.name))})}(e),n,t,r,o,i);if(WC(e.parent)&&OC(e.parent.parent)){const a=e.parent.parent,c=iP(rP(e)),d=void 0===c?"children":Pl(c),u=GE(d),p=Mb(t,u),f=Cv(a.children);if(!b(f))return s;const m=b(f)>1;let _,h;if(Og(!1)!==Ot){const e=$g(xn);_=GI(p,(n=>KS(n,e))),h=GI(p,(n=>!KS(n,e)))}else _=GI(p,Dx),h=GI(p,(e=>!Dx(e)));if(m){if(_!==ot){const e=Dy(YM(a,0)),n=function*(e,n){if(!b(e.children))return;let t=0;for(let r=0;r<e.children.length;r++){const o=oT(e.children[r],BE(r-t),n);o?yield o:t++}}(a,l);s=function(e,n,t,r,o,i){const a=GI(t,Dx),s=GI(t,(e=>!Dx(e))),l=s!==ot?QF(13,0,s,void 0):void 0;let c=!1;for(let t=e.next();!t.done;t=e.next()){const{errorNode:e,innerExpression:s,nameType:d,errorMessage:u}=t.value;let p=l;const f=a!==ot?nT(n,a,d):void 0;if(!f||8388608&f.flags||(p=l?mv([l,f]):f),!p)continue;let m=Lb(n,d);if(!m)continue;const _=rb(d,void 0);if(!wT(m,p,r,void 0)){if(c=!0,!(s&&eT(s,m,p,r,void 0,o,i))){const t=i||{},l=s?tT(s,m):m;if(se&&WT(l,p)){const n=d_(e,Oa.Type_0_is_not_assignable_to_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_type_of_the_target,il(l),il(p));si.add(n),t.errors=[n]}else{const i=!!(_&&16777216&(Lf(a,_)||vn).flags),s=!!(_&&16777216&(Lf(n,_)||vn).flags);p=zA(p,i),m=zA(m,i&&s);wT(l,p,r,e,u,o,t)&&l!==m&&wT(m,p,r,e,u,o,t)}}}}return c}(n,e,_,r,o,i)||s}else if(!AT(Mb(n,u),p,r)){s=!0;const e=Ai(a.openingElement.tagName,Oa.This_JSX_tag_s_0_prop_expects_a_single_child_of_type_1_but_multiple_children_were_provided,d,il(p));i&&i.skipLogging&&(i.errors||(i.errors=[])).push(e)}}else if(h!==ot){const e=oT(f[0],u,l);e&&(s=rT(function*(){yield e}(),n,t,r,o,i)||s)}else if(!AT(Mb(n,u),p,r)){s=!0;const e=Ai(a.openingElement.tagName,Oa.This_JSX_tag_s_0_prop_expects_type_1_which_requires_multiple_children_but_only_a_single_child_was_provided,d,il(p));i&&i.skipLogging&&(i.errors||(i.errors=[])).push(e)}}return s;function l(){if(!a){const n=xm(e.parent.tagName),r=iP(rP(e)),o=void 0===r?"children":Pl(r),i=Mb(t,GE(o)),s=Oa._0_components_don_t_accept_text_as_child_elements_Text_in_JSX_has_the_type_string_but_the_expected_type_of_1_is_2;a={...s,key:"!!ALREADY FORMATTED!!",message:aT(s,n,o,il(i))}}return a}}(e,n,t,r,i,a);case 219:return function(e,n,t,r,o,i){if(GD(e.body))return!1;if(oe(e.parameters,Yu))return!1;const a=CL(n);if(!a)return!1;const s=wf(t,0);if(!b(s))return!1;const l=e.body,c=bm(a),d=mv(B(s,bm));if(!wT(c,d,r,void 0)){const n=l&&eT(l,c,d,r,void 0,o,i);if(n)return n;const a=i||{};if(wT(c,d,r,l,void 0,o,a),a.errors)return t.symbol&&b(t.symbol.declarations)&&xx(a.errors[a.errors.length-1],d_(t.symbol.declarations[0],Oa.The_expected_type_comes_from_the_return_type_of_this_signature)),2&Zy(e)||Ol(c,"then")||!wT(gw(c),d,r,void 0)||xx(a.errors[a.errors.length-1],d_(e,Oa.Did_you_mean_to_mark_this_function_as_async)),!0}return!1}(e,n,t,r,i,a)}return!1}function nT(e,n,t){const r=Lb(n,t);if(r)return r;if(1048576&n.flags){const r=zT(e,n);if(r)return Lb(r,t)}}function tT(e,n){tM(e,n,!1);const t=sO(e,1);return oM(),t}function rT(e,n,t,r,o,i){let a=!1;for(const s of e){const{errorNode:e,innerExpression:l,nameType:c,errorMessage:d}=s;let u=nT(n,t,c);if(!u||8388608&u.flags)continue;let p=Lb(n,c);if(!p)continue;const f=rb(c,void 0);if(!wT(p,u,r,void 0)){if(a=!0,!(l&&eT(l,p,u,r,void 0,o,i))){const a=i||{},s=l?tT(l,p):p;if(se&&WT(s,u)){const n=d_(e,Oa.Type_0_is_not_assignable_to_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_type_of_the_target,il(s),il(u));si.add(n),a.errors=[n]}else{const i=!!(f&&16777216&(Lf(t,f)||vn).flags),l=!!(f&&16777216&(Lf(n,f)||vn).flags);u=zA(u,i),p=zA(p,i&&l);wT(s,u,r,e,d,o,a)&&s!==p&&wT(p,u,r,e,d,o,a)}if(a.errors){const e=a.errors[a.errors.length-1],n=xA(c)?AA(c):void 0,r=void 0!==n?Lf(t,n):void 0;let o=!1;if(!r){const n=nm(t,c);n&&n.declaration&&!$f(n.declaration).hasNoDefaultLib&&(o=!0,xx(e,d_(n.declaration,Oa.The_expected_type_comes_from_this_index_signature)))}if(!o&&(r&&b(r.declarations)||t.symbol&&b(t.symbol.declarations))){const o=r&&b(r.declarations)?r.declarations[0]:t.symbol.declarations[0];$f(o).hasNoDefaultLib||xx(e,d_(o,Oa.The_expected_type_comes_from_property_0_which_is_declared_here_on_type_1,!n||8192&c.flags?il(c):Pl(n),il(t)))}}}}}return a}function oT(e,n,t){switch(e.kind){case 294:return{errorNode:e,innerExpression:e.expression,nameType:n};case 12:if(e.containsOnlyTriviaWhiteSpaces)break;return{errorNode:e,innerExpression:void 0,nameType:n,errorMessage:t()};case 284:case 285:case 288:return{errorNode:e,innerExpression:e,nameType:n};default:return Tt.assertNever(e,"Found invalid jsx child")}}function*lT(e,n){const t=b(e.elements);if(t)for(let r=0;r<t;r++){if(Tx(n)&&!Lf(n,""+r))continue;const t=e.elements[r];if(DD(t))continue;const o=BE(r),i=GL(t);yield{errorNode:i,innerExpression:i,nameType:o}}}function uT(e,n,t,r,o){return wT(e,n,fi,t,r,o)}function fT(e){if(!e.typeParameters&&(!e.thisParameter||zl(zk(e.thisParameter)))&&1===e.parameters.length&&Zz(e)){const n=zk(e.parameters[0]);return!!(131073&(cx(n)?D_(n)[0]:n).flags&&3&bm(e).flags)}return!1}function mT(e,n,t,r,o,i,a,s){if(e===n)return-1;if(!(16&t&&fT(e))&&fT(n))return-1;if(16&t&&fT(e)&&!fT(n))return 0;const l=Xk(n);if(!$k(n)&&(8&t?$k(e)||Xk(e)>l:Yk(e)>l))return!r||8&t||o(Oa.Target_signature_provides_too_few_arguments_Expected_0_or_more_but_got_1,Yk(e),l),0;e.typeParameters&&e.typeParameters!==n.typeParameters&&(e=LL(e,n=Cm(n),void 0,a));const c=Xk(e),d=Zk(e),u=Zk(n);(d||u)&&AS(d||u,s);const p=n.declaration?n.declaration.kind:0,f=!(3&t)&&q&&174!==p&&173!==p&&176!==p;let m=-1;const _=gm(e);if(_&&_!==tt){const e=gm(n);if(e){const n=!f&&a(_,e,!1)||a(e,_,r);if(!n)return r&&o(Oa.The_this_types_of_each_signature_are_incompatible),0;m&=n}}const h=d||u?Math.min(c,l):Math.max(c,l),g=d||u?h-1:-1;for(let l=0;l<h;l++){const c=l===g?Jk(e,l):Kk(e,l),d=l===g?Jk(n,l):Kk(n,l);if(c&&d){const u=3&t||DL(e,l)?void 0:CL(kA(c)),p=3&t||DL(n,l)?void 0:CL(kA(d));let _=u&&p&&!ym(u)&&!ym(p)&&fI(c,50331648)===fI(d,50331648)?mT(p,u,8&t|(f?2:1),r,o,i,a,s):!(3&t)&&!f&&a(c,d,!1)||a(d,c,r);if(_&&8&t&&l>=Yk(e)&&l<Yk(n)&&a(c,d,!1)&&(_=0),!_)return r&&o(Oa.Types_of_parameters_0_and_1_are_incompatible,Pl(Bk(e,l)),Pl(Bk(n,l))),0;m&=_}}if(!(4&t)){const s=Sm(n)?xn:n.declaration&&gk(n.declaration)?qd(us(n.declaration.symbol)):bm(n);if(s===tt||s===xn)return m;const l=Sm(e)?xn:e.declaration&&gk(e.declaration)?qd(us(e.declaration.symbol)):bm(e),c=ym(n);if(c){const n=ym(e);if(n)m&=function(e,n,t,r,o){if(e.kind!==n.kind)return t&&(r(Oa.A_this_based_type_guard_is_not_compatible_with_a_parameter_based_type_guard),r(Oa.Type_predicate_0_is_not_assignable_to_1,ul(e),ul(n))),0;if((1===e.kind||3===e.kind)&&e.parameterIndex!==n.parameterIndex)return t&&(r(Oa.Parameter_0_is_not_in_the_same_position_as_parameter_1,e.parameterName,n.parameterName),r(Oa.Type_predicate_0_is_not_assignable_to_1,ul(e),ul(n))),0;const i=e.type===n.type?-1:e.type&&n.type?o(e.type,n.type,t):0;0===i&&t&&r(Oa.Type_predicate_0_is_not_assignable_to_1,ul(e),ul(n));return i}(n,c,r,o,a);else if(ah(c))return r&&o(Oa.Signature_0_must_be_a_type_predicate,ol(e)),0}else m&=1&t&&a(s,l,!1)||a(l,s,r),!m&&r&&i&&i(l,s)}return m}function _T(e,n){const t=Dm(e),r=Dm(n),o=bm(t),i=bm(r);return!(i!==tt&&!AT(i,o,pi)&&!AT(o,i,pi))&&0!==mT(t,r,!0?4:0,!1,void 0,void 0,jS,void 0)}function hT(e){return e!==Ft&&0===e.properties.length&&0===e.callSignatures.length&&0===e.constructSignatures.length&&0===e.indexInfos.length}function gT(e){return 524288&e.flags?!wp(e)&&hT(Fp(e)):!!(67108864&e.flags)||(1048576&e.flags?oe(e.types,gT):!!(2097152&e.flags)&&N(e.types,gT))}function yT(e){return!!(16&IS(e)&&(e.members&&hT(e)||e.symbol&&2048&e.symbol.flags&&0===Mu(e.symbol).size))}function vT(e){return!!(32768&(1048576&e.flags?e.types[0]:e).flags)}function ST(e){return 524288&e.flags&&!wp(e)&&0===Hp(e).length&&1===Kf(e).length&&!!qf(e,Vn)||3145728&e.flags&&N(e.types,ST)||!1}function TT(e,n,t){const r=8&e.flags?ms(e):e,o=8&n.flags?ms(n):n;if(r===o)return!0;if(!(r.escapedName===o.escapedName&&256&r.flags&&256&o.flags))return!1;const i=Kz(r)+","+Kz(o),a=_i.get(i);if(void 0!==a&&(4&a||!(2&a)||!t))return!!(1&a);const s=sd(o);for(const e of Hp(sd(r)))if(8&e.flags){const n=Lf(s,e.escapedName);if(!(n&&8&n.flags))return t?(t(Oa.Property_0_is_missing_in_type_1,wl(e),il(ou(o),void 0,64)),_i.set(i,6)):_i.set(i,2),!1;const r=DG(Df(e,306)),a=DG(Df(n,306));if(r!==a){const e="string"==typeof r,s="string"==typeof a;if(void 0!==r&&void 0!==a){if(t){const l=e?`"${Fv(r)}"`:r,c=s?`"${Fv(a)}"`:a;t(Oa.Each_declaration_of_0_1_differs_in_its_value_where_2_was_expected_but_3_was_given,wl(o),wl(n),c,l),_i.set(i,6)}else _i.set(i,2);return!1}if(e||s){if(t){const e=r??a;Tt.assert("string"==typeof e);const s=`"${Fv(e)}"`;t(Oa.One_value_of_0_1_is_the_string_2_and_the_other_is_assumed_to_be_an_unknown_numeric_value,wl(o),wl(n),s),_i.set(i,6)}else _i.set(i,2);return!1}}}return _i.set(i,1),!0}function xT(e,n,t,r){const o=e.flags,i=n.flags;if(1&i||131072&o||e===Rn)return!0;if(2&i&&!(t===ui&&1&o))return!0;if(131072&i)return!1;if(402653316&o&&4&i)return!0;if(128&o&&1024&o&&128&i&&!(1024&i)&&e.value===n.value)return!0;if(296&o&&8&i)return!0;if(256&o&&1024&o&&256&i&&!(1024&i)&&e.value===n.value)return!0;if(2112&o&&64&i)return!0;if(528&o&&16&i)return!0;if(12288&o&&4096&i)return!0;if(32&o&&32&i&&e.symbol.escapedName===n.symbol.escapedName&&TT(e.symbol,n.symbol,r))return!0;if(1024&o&&1024&i){if(1048576&o&&1048576&i&&TT(e.symbol,n.symbol,r))return!0;if(2944&o&&2944&i&&e.value===n.value&&TT(e.symbol,n.symbol,r))return!0}if(32768&o&&(!K&&!(3145728&i)||49152&i))return!0;if(65536&o&&(!K&&!(3145728&i)||65536&i))return!0;if(524288&o&&67108864&i&&(t!==ui||!yT(e)||8192&IS(e)))return!0;if(t===pi||t===fi){if(1&o)return!0;if(8&o&&(32&i||256&i&&1024&i))return!0;if(256&o&&!(1024&o)&&(32&i||256&i&&1024&i&&e.value===n.value))return!0;if(function(e){if(K&&1048576&e.flags){if(!(33554432&e.objectFlags)){const n=e.types;e.objectFlags|=33554432|(n.length>=3&&32768&n[0].flags&&65536&n[1].flags&&oe(n,yT)?67108864:0)}return!!(67108864&e.objectFlags)}return!1}(n))return!0}return!1}function AT(e,n,t){if(zE(e)&&(e=e.regularType),zE(n)&&(n=n.regularType),e===n)return!0;if(t!==mi){if(t===fi&&!(131072&n.flags)&&xT(n,e,t)||xT(e,n,t))return!0}else if(!(61865984&(e.flags|n.flags))){if(e.flags!==n.flags)return!1;if(67358815&e.flags)return!0}if(524288&e.flags&&524288&n.flags){const r=t.get(YT(e,n,0,t,!1));if(void 0!==r)return!!(1&r)}return!!(469499904&e.flags||469499904&n.flags)&&wT(e,n,t,void 0)}function NT(e,n){return 2048&IS(e)&&qM(n.escapedName)}function DT(e,n){for(;;){const t=zE(e)?e.regularType:iA(e)?MT(e,n):4&IS(e)?e.node?v_(e.target,D_(e)):yx(e)||e:3145728&e.flags?CT(e,n):33554432&e.flags?n?e.baseType:sh(e):25165824&e.flags?gb(e,n):e;if(t===e)return t;e=t}}function CT(e,n){const t=Tf(e);if(t!==e)return t;if(2097152&e.flags&&oe(e.types,yT)){const t=V(e.types,(e=>DT(e,n)));if(t!==e.types)return Nv(t)}return e}function MT(e,n){const t=qy(e),r=V(t,(e=>25165824&e.flags?gb(e,n):e));return t!==r?By(e.target,r):e}function wT(e,n,t,r,a,s,l){var c;let d,u,p,f,m,_,h,g,y=0,v=0,E=0,S=0,T=!1,x=0,R=0,I=16e6-t.size>>3;Tt.assert(t!==mi||!r,"no error reporting in identity checking");const N=j(e,n,3,!!r,a);if(g&&L(),T){const o=YT(e,n,0,t,!1);t.set(o,6),null==(c=Cr)||c.instant(Cr.Phase.CheckTypes,"checkTypeRelatedTo_DepthLimit",{sourceId:e.id,targetId:n.id,depth:v,targetDepth:E});const a=I<=0?Oa.Excessive_complexity_comparing_types_0_and_1:Oa.Excessive_stack_depth_comparing_types_0_and_1,s=Ai(r||i,a,il(e),il(n));l&&(l.errors||(l.errors=[])).push(s)}else if(d){if(s){const e=s();e&&(dT(e,d),d=e)}let o;if(a&&r&&!N&&e.symbol){const r=Ui(e.symbol);if(r.originatingImport&&!P_(r.originatingImport)){if(wT(sd(r.target),n,t,void 0)){o=ye(o,d_(r.originatingImport,Oa.Type_originates_at_this_import_A_namespace_style_import_cannot_be_called_or_constructed_and_will_cause_a_failure_at_runtime_Consider_using_a_default_import_or_import_require_here_instead))}}}const i=f_($f(r),r,d,o);u&&xx(i,...u),l&&(l.errors||(l.errors=[])).push(i),l&&l.skipLogging||si.add(i)}return r&&l&&l.skipLogging&&0===N&&Tt.assert(!!l.errors,"missed opportunity to interact with error."),0!==N;function D(e){d=e.errorInfo,h=e.lastSkippedInfo,g=e.incompatibleStack,x=e.overrideNextErrorInfo,R=e.skipParentCounter,u=e.relatedInfo}function C(){return{errorInfo:d,lastSkippedInfo:h,incompatibleStack:null==g?void 0:g.slice(),overrideNextErrorInfo:x,skipParentCounter:R,relatedInfo:null==u?void 0:u.slice()}}function P(e,...n){x++,h=void 0,(g||(g=[])).push([e,...n])}function L(){const e=g||[];g=void 0;const n=h;if(h=void 0,1===e.length)return w(...e[0]),void(n&&W(void 0,...n));let t="";const r=[];for(;e.length;){const[n,...o]=e.pop();switch(n.code){case Oa.Types_of_property_0_are_incompatible.code:{0===t.indexOf("new ")&&(t=`(${t})`);const e=""+o[0];t=0===t.length?`${e}`:zs(e,jp(A))?`${t}.${e}`:"["===e[0]&&"]"===e[e.length-1]?`${t}${e}`:`${t}[${e}]`;break}case Oa.Call_signature_return_types_0_and_1_are_incompatible.code:case Oa.Construct_signature_return_types_0_and_1_are_incompatible.code:case Oa.Call_signatures_with_no_arguments_have_incompatible_return_types_0_and_1.code:case Oa.Construct_signatures_with_no_arguments_have_incompatible_return_types_0_and_1.code:if(0===t.length){let e=n;n.code===Oa.Call_signatures_with_no_arguments_have_incompatible_return_types_0_and_1.code?e=Oa.Call_signature_return_types_0_and_1_are_incompatible:n.code===Oa.Construct_signatures_with_no_arguments_have_incompatible_return_types_0_and_1.code&&(e=Oa.Construct_signature_return_types_0_and_1_are_incompatible),r.unshift([e,o[0],o[1]])}else{t=`${n.code===Oa.Construct_signature_return_types_0_and_1_are_incompatible.code||n.code===Oa.Construct_signatures_with_no_arguments_have_incompatible_return_types_0_and_1.code?"new ":""}${t}(${n.code===Oa.Call_signatures_with_no_arguments_have_incompatible_return_types_0_and_1.code||n.code===Oa.Construct_signatures_with_no_arguments_have_incompatible_return_types_0_and_1.code?"":"..."})`}break;case Oa.Type_at_position_0_in_source_is_not_compatible_with_type_at_position_1_in_target.code:r.unshift([Oa.Type_at_position_0_in_source_is_not_compatible_with_type_at_position_1_in_target,o[0],o[1]]);break;case Oa.Type_at_positions_0_through_1_in_source_is_not_compatible_with_type_at_position_2_in_target.code:r.unshift([Oa.Type_at_positions_0_through_1_in_source_is_not_compatible_with_type_at_position_2_in_target,o[0],o[1],o[2]]);break;default:return Tt.fail(`Unhandled Diagnostic: ${n.code}`)}}t?w(")"===t[t.length-1]?Oa.The_types_returned_by_0_are_incompatible_between_these_types:Oa.The_types_of_0_are_incompatible_between_these_types,t):r.shift();for(const[e,...n]of r){const t=e.elidedInCompatabilityPyramid;e.elidedInCompatabilityPyramid=!1,w(e,...n),e.elidedInCompatabilityPyramid=t}n&&W(void 0,...n)}function w(e,...n){Tt.assert(!!r),g&&L(),e.elidedInCompatabilityPyramid||(0===R?d=cT(d,e,...n):R--)}function O(e,...n){w(e,...n),R++}function F(e){Tt.assert(!!d),u?u.push(e):u=[e]}function W(e,n,r){g&&L();const[o,i]=al(n,r);let a=n,s=o;Bx(n)&&!OT(r)&&(a=Ux(n),Tt.assert(!KS(a,r),"generalized source shouldn't be assignable"),s=sl(a));if(262144&(8388608&r.flags&&!(8388608&n.flags)?r.objectType.flags:r.flags)&&r!==Ut&&r!==Ht){const e=lf(r);let t;e&&(KS(a,e)||(t=KS(n,e)))?w(Oa._0_is_assignable_to_the_constraint_of_type_1_but_1_could_be_instantiated_with_a_different_subtype_of_constraint_2,t?o:s,i,il(e)):(d=void 0,w(Oa._0_could_be_instantiated_with_an_arbitrary_type_which_could_be_unrelated_to_1,i,s))}if(e)e===Oa.Argument_of_type_0_is_not_assignable_to_parameter_of_type_1&&se&&FT(n,r).length&&(e=Oa.Argument_of_type_0_is_not_assignable_to_parameter_of_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_types_of_the_target_s_properties);else if(t===fi)e=Oa.Type_0_is_not_comparable_to_type_1;else if(o===i)e=Oa.Type_0_is_not_assignable_to_type_1_Two_different_types_with_this_name_exist_but_they_are_unrelated;else if(se&&FT(n,r).length)e=Oa.Type_0_is_not_assignable_to_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_types_of_the_target_s_properties;else{if(128&n.flags&&1048576&r.flags){const e=function(e,n){const t=n.types.filter((e=>!!(128&e.flags)));return qn(e.value,t,(e=>e.value))}(n,r);if(e)return void w(Oa.Type_0_is_not_assignable_to_type_1_Did_you_mean_2,s,i,il(e))}e=Oa.Type_0_is_not_assignable_to_type_1}w(e,s,i)}function z(e,n,t){return nA(e)?e.target.readonly&&fx(n)?(t&&w(Oa.The_type_0_is_readonly_and_cannot_be_assigned_to_the_mutable_type_1,il(e),il(n)),!1):px(n):dx(e)&&fx(n)?(t&&w(Oa.The_type_0_is_readonly_and_cannot_be_assigned_to_the_mutable_type_1,il(e),il(n)),!1):!nA(n)||cx(e)}function G(e,n,t){return j(e,n,3,t)}function j(e,n,o=3,i=!1,a,s=0){if(e===n)return-1;if(524288&e.flags&&402784252&n.flags)return t===fi&&!(131072&n.flags)&&xT(n,e,t)||xT(e,n,t,i?w:void 0)?-1:(i&&U(e,n,e,n,a),0);const l=DT(e,!1);let c=DT(n,!0);if(l===c)return-1;if(t===mi)return l.flags!==c.flags?0:67358815&l.flags?-1:(H(l,c),ee(l,c,!1,0,o));if(262144&l.flags&&Xp(l)===c)return-1;if(470302716&l.flags&&1048576&c.flags){const e=c.types,n=2===e.length&&98304&e[0].flags?e[1]:3===e.length&&98304&e[0].flags&&98304&e[1].flags?e[2]:void 0;if(n&&!(98304&n.flags)&&(c=DT(n,!0),l===c))return-1}if(t===fi&&!(131072&c.flags)&&xT(c,l,t)||xT(l,c,t,i?w:void 0))return-1;if(469499904&l.flags||469499904&c.flags){if(!(2&s)&&WR(l)&&8192&IS(l)&&function(e,n,o){var i;if(!bP(n)||!$&&4096&IS(n))return!1;const a=!!(2048&IS(e));if((t===pi||t===fi)&&(kI(Yt,n)||!a&&gT(n)))return!1;let s,l=n;1048576&n.flags&&(l=IB(e,n,j)||function(e){if(Ww(e,67108864)){const n=GI(e,(e=>!(402784252&e.flags)));if(!(131072&n.flags))return n}return e}(n),s=1048576&l.flags?l.types:[l]);for(const n of Hp(e))if(J(n,e.symbol)&&!NT(e,n)){if(!hP(l,n.escapedName,a)){if(o){const t=GI(l,bP);if(!r)return Tt.fail();if(UC(r)||ju(r)||ju(r.parent)){n.valueDeclaration&&VC(n.valueDeclaration)&&$f(r)===$f(n.valueDeclaration.name)&&(r=n.valueDeclaration.name);const e=rl(n),o=rL(e,t),i=o?rl(o):void 0;i?w(Oa.Property_0_does_not_exist_on_type_1_Did_you_mean_2,e,il(t),i):w(Oa.Property_0_does_not_exist_on_type_1,e,il(t))}else{const o=(null==(i=e.symbol)?void 0:i.declarations)&&De(e.symbol.declarations);let a;if(n.valueDeclaration&&Nl(n.valueDeclaration,(e=>e===o))&&$f(o)===$f(r)){const e=n.valueDeclaration;Tt.assertNode(e,Gd);const o=e.name;r=o,tN(o)&&(a=oL(o,t))}void 0!==a?O(Oa.Object_literal_may_only_specify_known_properties_but_0_does_not_exist_in_type_1_Did_you_mean_to_write_2,rl(n),il(t),a):O(Oa.Object_literal_may_only_specify_known_properties_and_0_does_not_exist_in_type_1,rl(n),il(t))}}return!0}if(s&&!j(sd(n),q(s,n.escapedName),3,o))return o&&P(Oa.Types_of_property_0_are_incompatible,rl(n)),!0}return!1}(l,c,i))return i&&W(a,l,n.aliasSymbol?n:c),0;const d=(t!==fi||Wx(l))&&!(2&s)&&405405692&l.flags&&l!==Yt&&2621440&c.flags&&BT(c)&&(Hp(l).length>0||cG(l)),u=!!(2048&IS(l));if(d&&!function(e,n,t){for(const r of Hp(e))if(hP(n,r.escapedName,t))return!0;return!1}(l,c,u)){if(i){const t=il(e.aliasSymbol?e:l),r=il(n.aliasSymbol?n:c),o=wf(l,0),i=wf(l,1);o.length>0&&j(bm(o[0]),c,1,!1)||i.length>0&&j(bm(i[0]),c,1,!1)?w(Oa.Value_of_type_0_has_no_properties_in_common_with_type_1_Did_you_mean_to_call_it,t,r):w(Oa.Type_0_has_no_properties_in_common_with_type_1,t,r)}return 0}H(l,c);const p=1048576&l.flags&&l.types.length<4&&!(1048576&c.flags)||1048576&c.flags&&c.types.length<4&&!(469499904&l.flags)?X(l,c,i,s):ee(l,c,i,s,o);if(p)return p}return i&&U(e,n,l,c,a),0}function U(e,n,t,o,i){var a,s;const l=!!yx(e),c=!!yx(n);t=e.aliasSymbol||l?e:t,o=n.aliasSymbol||c?n:o;let u=x>0;if(u&&x--,524288&t.flags&&524288&o.flags){const e=d;z(t,o,!0),d!==e&&(u=!!d)}if(524288&t.flags&&402784252&o.flags)!function(e,n){const t=ll(e.symbol)?il(e,e.symbol.valueDeclaration):il(e),r=ll(n.symbol)?il(n,n.symbol.valueDeclaration):il(n);(tr===e&&Vn===n||rr===e&&Un===n||or===e&&Zn===n||xg()===e&&nt===n)&&w(Oa._0_is_a_primitive_but_1_is_a_wrapper_object_Prefer_using_0_when_possible,r,t)}(t,o);else if(t.symbol&&524288&t.flags&&Yt===t)w(Oa.The_Object_type_is_assignable_to_very_few_other_types_Did_you_mean_to_use_the_any_type_instead);else if(2048&IS(t)&&2097152&o.flags){const e=o.types,n=eP(Bz.IntrinsicAttributes,r),t=eP(Bz.IntrinsicClassAttributes,r);if(!Bl(n)&&!Bl(t)&&(k(e,n)||k(e,t)))return}else d=Nf(d,n);if(i||!u){if(W(i,t,o),262144&t.flags&&(null==(s=null==(a=t.symbol)?void 0:a.declarations)?void 0:s[0])&&!Xp(t)){const e=dS(t);if(e.constraint=AS(o,tS(t,e)),df(e)){const e=il(o,t.symbol.declarations[0]);F(d_(t.symbol.declarations[0],Oa.This_type_parameter_might_need_an_extends_0_constraint,e))}}}else h=[t,o]}function H(e,n){if(Cr&&3145728&e.flags&&3145728&n.flags){const t=e,o=n;if(t.objectFlags&o.objectFlags&32768)return;const i=t.types.length,a=o.types.length;i*a>1e6&&Cr.instant(Cr.Phase.CheckTypes,"traceUnionsOrIntersectionsTooLarge_DepthLimit",{sourceId:e.id,sourceSize:i,targetId:n.id,targetSize:a,pos:null==r?void 0:r.pos,end:null==r?void 0:r.end})}}function q(e,n){return mv(Be(e,((e,t)=>{var r;const o=3145728&(t=yf(t)).flags?Sf(t,n):Gp(t,n);return ye(e,o&&sd(o)||(null==(r=tm(t,n))?void 0:r.type)||On)}),void 0)||o)}function J(e,n){return e.valueDeclaration&&n.valueDeclaration&&e.valueDeclaration.parent===n.valueDeclaration}function X(e,n,r,o){if(1048576&e.flags){if(1048576&n.flags){const t=e.origin;if(t&&2097152&t.flags&&n.aliasSymbol&&k(t.types,n))return-1;const r=n.origin;if(r&&1048576&r.flags&&e.aliasSymbol&&k(r.types,e))return-1}return t===fi?Z(e,n,r&&!(402784252&e.flags),o):function(e,n,t,r){let o=-1;const i=e.types,a=function(e,n){if(1048576&e.flags&&1048576&n.flags&&!(32768&e.types[0].flags)&&32768&n.types[0].flags)return HI(n,-32769);return n}(e,n);for(let e=0;e<i.length;e++){const s=i[e];if(1048576&a.flags&&i.length>=a.types.length&&i.length%a.types.length==0){const n=j(s,a.types[e%a.types.length],3,!1,void 0,r);if(n){o&=n;continue}}const l=j(s,n,1,t,void 0,r);if(!l)return 0;o&=l}return o}(e,n,r&&!(402784252&e.flags),o)}if(1048576&n.flags)return Q(HA(e),n,r&&!(402784252&e.flags)&&!(402784252&n.flags),o);if(2097152&n.flags)return function(e,n,t,r){let o=-1;const i=n.types;for(const n of i){const i=j(e,n,2,t,void 0,r);if(!i)return 0;o&=i}return o}(e,n,r,2);if(t===fi&&402784252&n.flags){const t=V(e.types,(e=>465829888&e.flags?lf(e)||Ln:e));if(t!==e.types){if(131072&(e=Nv(t)).flags)return 0;if(!(2097152&e.flags))return j(e,n,1,!1)||j(n,e,1,!1)}}return Z(e,n,!1,1)}function Y(e,n){let t=-1;const r=e.types;for(const e of r){const r=Q(e,n,!1,0);if(!r)return 0;t&=r}return t}function Q(e,n,r,o){const i=n.types;if(1048576&n.flags){if(Yy(i,e))return-1;if(t!==fi&&32768&IS(n)&&!(1024&e.flags)&&(2688&e.flags||(t===di||t===ui)&&256&e.flags)){const n=e===e.regularType?e.freshType:e.regularType,t=128&e.flags?Vn:256&e.flags?Un:2048&e.flags?Hn:void 0;return t&&Yy(i,t)||n&&Yy(i,n)?-1:0}const r=sI(n,e);if(r){const n=j(e,r,2,!1,void 0,o);if(n)return n}}for(const n of i){const t=j(e,n,2,!1,void 0,o);if(t)return t}if(r){const t=zT(e,n,j);t&&j(e,t,2,!0,void 0,o)}return 0}function Z(e,n,t,r){const o=e.types;if(1048576&e.flags&&Yy(o,n))return-1;const i=o.length;for(let e=0;e<i;e++){const a=j(o[e],n,1,t&&e===i-1,void 0,r);if(a)return a}return 0}function ee(e,n,r,i,a){var s,l,c;if(T)return 0;const u=YT(e,n,i,t,!1),h=t.get(u);if(void 0!==h&&(!(r&&2&h)||4&h)){if(Qn){const n=24&h;8&n&&AS(e,Dt),16&n&&AS(e,Nt)}return 1&h?-1:0}if(I<=0)return T=!0,0;if(p){if(f.has(u))return 3;const r=u.startsWith("*")?YT(e,n,i,t,!0):void 0;if(r&&f.has(r))return 3;if(100===v||100===E)return T=!0,0}else p=[],f=new Set,m=[],_=[];const g=y;p[y]=u,f.add(u),y++;const b=S;let x;1&a&&(m[v]=e,v++,1&S||!nx(e,m,v)||(S|=1)),2&a&&(_[E]=n,E++,2&S||!nx(n,_,E)||(S|=2));let A,R=0;return Qn&&(x=Qn,Qn=e=>(R|=e?16:8,x(e))),3===S?(null==(s=Cr)||s.instant(Cr.Phase.CheckTypes,"recursiveTypeRelatedTo_DepthLimit",{sourceId:e.id,sourceIdStack:m.map((e=>e.id)),targetId:n.id,targetIdStack:_.map((e=>e.id)),depth:v,targetDepth:E}),A=3):(null==(l=Cr)||l.push(Cr.Phase.CheckTypes,"structuredTypeRelatedTo",{sourceId:e.id,targetId:n.id}),A=function(e,n,r,i){const a=C();let s=function(e,n,r,i,a){let s,l,c=!1,u=e.flags;const p=n.flags;if(t===mi){if(3145728&u){let t=Y(e,n);return t&&(t&=Y(n,e)),t}if(4194304&u)return j(e.type,n.type,3,!1);if(8388608&u&&(s=j(e.objectType,n.objectType,3,!1))&&(s&=j(e.indexType,n.indexType,3,!1)))return s;if(16777216&u&&e.root.isDistributive===n.root.isDistributive&&(s=j(e.checkType,n.checkType,3,!1))&&(s&=j(e.extendsType,n.extendsType,3,!1))&&(s&=j(eE(e),eE(n),3,!1))&&(s&=j(nE(e),nE(n),3,!1)))return s;if(33554432&u&&(s=j(e.baseType,n.baseType,3,!1))&&(s&=j(e.constraint,n.constraint,3,!1)))return s;if(!(524288&u))return 0}else if(3145728&u||3145728&p){if(s=X(e,n,r,i))return s;if(!(465829888&u||524288&u&&1048576&p||2097152&u&&467402752&p))return 0}if(17301504&u&&e.aliasSymbol&&e.aliasTypeArguments&&e.aliasSymbol===n.aliasSymbol&&!KT(e)&&!KT(n)){const t=VT(e.aliasSymbol);if(t===o)return 1;const r=Ui(e.aliasSymbol).typeParameters,a=dm(r),s=y(um(e.aliasTypeArguments,r,a,Yh(e.aliasSymbol.valueDeclaration)),um(n.aliasTypeArguments,r,a,Yh(e.aliasSymbol.valueDeclaration)),t,i);if(void 0!==s)return s}if(aA(e)&&!e.target.readonly&&(s=j(D_(e)[0],n,1))||aA(n)&&(n.target.readonly||fx(lf(e)||e))&&(s=j(e,D_(n)[0],2)))return s;if(262144&p){if(32&IS(e)&&!e.declaration.nameType&&j(Jv(n),Rp(e),3)&&!(4&Pp(e))){const t=Np(e),o=Mb(n,Ap(e));if(s=j(t,o,3,r))return s}if(t===fi&&262144&u){let t=Yp(e);if(t)for(;t&&OI(t,(e=>!!(262144&e.flags)));){if(s=j(t,n,1,!1))return s;t=Yp(t)}return 0}}else if(4194304&p){const t=n.type;if(4194304&u&&(s=j(t,e.type,3,!1)))return s;if(nA(t)){if(s=j(e,Uy(t),2,r))return s}else{const o=nf(t);if(o){if(-1===j(e,Jv(o,4|n.indexFlags),2,r))return-1}else if(wp(t)){const n=Ip(t),o=Rp(t);let i;if(n&&Cp(t)){i=mv([ne(n,t),n])}else i=n||o;if(-1===j(e,i,2,r))return-1}}}else if(8388608&p){if(8388608&u){if((s=j(e.objectType,n.objectType,3,r))&&(s&=j(e.indexType,n.indexType,3,r)),s)return s;r&&(l=d)}if(t===pi||t===fi){const t=n.objectType,o=n.indexType,c=lf(t)||t,u=lf(o)||o;if(!pb(c)&&!fb(u)){const n=Lb(c,u,4|(c!==t?2:0));if(n){if(r&&l&&D(a),s=j(e,n,2,r,void 0,i))return s;r&&l&&d&&(d=g([l])<=g([d])?l:d)}}}r&&(l=void 0)}else if(wp(n)&&t!==mi){const t=!!n.declaration.nameType,o=Np(n),i=Pp(n);if(!(8&i)){if(!t&&8388608&o.flags&&o.objectType===e&&o.indexType===Ap(n))return-1;if(!wp(e)){const o=t?Ip(n):Rp(n),c=Jv(e,2),u=4&i,p=u?pp(o,c):void 0;if(u?!(131072&p.flags):j(o,c,3)){const i=Np(n),a=Ap(n),l=HI(i,-98305);if(!t&&8388608&l.flags&&l.indexType===a){if(s=j(e,l.objectType,2,r))return s}else{const n=Mb(e,t?p||o:p?Nv([p,a]):a);if(s=j(n,i,3,r))return s}}l=d,D(a)}}}else if(16777216&p){if(nx(n,_,E,10))return 3;const t=n;if(!(t.root.inferTypeParameters||(f=t.root,f.isDistributive&&(hS(f.checkType,f.node.trueType)||hS(f.checkType,f.node.falseType)))||16777216&e.flags&&e.root===t.root)){const n=!KS(CS(t.checkType),CS(t.extendsType)),r=!n&&KS(MS(t.checkType),MS(t.extendsType));if((s=n?-1:j(e,eE(t),2,!1,void 0,i))&&(s&=r?-1:j(e,nE(t),2,!1,void 0,i),s))return s}}else if(134217728&p){if(134217728&u){if(t===fi)return function(e,n){const t=e.texts[0],r=n.texts[0],o=e.texts[e.texts.length-1],i=n.texts[n.texts.length-1],a=Math.min(t.length,r.length),s=Math.min(o.length,i.length);return t.slice(0,a)!==r.slice(0,a)||o.slice(o.length-s)!==i.slice(i.length-s)}(e,n)?0:-1;AS(e,Nt)}if(PR(e,n))return-1}else if(268435456&n.flags&&!(268435456&e.flags)&&DR(e,n))return-1;var f;if(8650752&u){if(!(8388608&u&&8388608&p)){const t=Xp(e)||Ln;if(s=j(t,n,1,!1,void 0,i))return s;if(s=j(ku(t,e),n,1,r&&t!==Ln&&!(p&u&262144),void 0,i))return s;if(gf(e)){const t=Xp(e.indexType);if(t&&(s=j(Mb(e.objectType,t),n,1,r)))return s}}}else if(4194304&u){const t=qv(e.type,e.indexFlags)&&32&IS(e.type);if(s=j(vt,n,1,r&&!t))return s;if(t){const t=e.type,o=Ip(t),i=o&&Cp(t)?ne(o,t):o||Rp(t);if(s=j(i,n,1,r))return s}}else if(134217728&u&&!(524288&p)){if(!(134217728&p)){const t=lf(e);if(t&&t!==e&&(s=j(t,n,1,r)))return s}}else if(268435456&u)if(268435456&p){if(e.symbol!==n.symbol)return 0;if(s=j(e.type,n.type,3,r))return s}else{const t=lf(e);if(t&&(s=j(t,n,1,r)))return s}else if(16777216&u){if(nx(e,m,v,10))return 3;if(16777216&p){const t=e.root.inferTypeParameters;let o,i=e.extendsType;if(t){const e=oR(t,void 0,0,G);wR(e.inferences,n.extendsType,i,1536),i=AS(i,e.mapper),o=e.mapper}if(GS(i,n.extendsType)&&(j(e.checkType,n.checkType,3)||j(n.checkType,e.checkType,3))&&((s=j(AS(eE(e),o),eE(n),3,r))&&(s&=j(nE(e),nE(n),3,r)),s))return s}const t=tf(e);if(t&&(s=j(t,n,1,r)))return s;const o=16777216&p||!df(e)?void 0:of(e);if(o&&(D(a),s=j(o,n,1,r)))return s}else{if(t!==di&&t!==ui&&(32&IS(h=n)&&4&Pp(h))&&gT(e))return-1;if(wp(n))return wp(e)&&(s=function(e,n,r){const o=t===fi||(t===mi?Pp(e)===Pp(n):kp(e)<=kp(n));if(o){let t;if(t=j(Rp(n),AS(Rp(e),kp(e)<0?Dt:Nt),3,r)){const o=eS([Ap(e)],[Ap(n)]);if(AS(Ip(e),o)===AS(Ip(n),o))return t&j(AS(Np(e),o),Np(n),3,r)}}return 0}(e,n,r))?s:0;const f=!!(402784252&u);if(t!==mi)u=(e=yf(e)).flags;else if(wp(e))return 0;if(4&IS(e)&&4&IS(n)&&e.target===n.target&&!nA(e)&&!KT(e)&&!KT(n)){if(Sx(e))return-1;const t=jT(e.target);if(t===o)return 1;const r=y(D_(e),D_(n),t,i);if(void 0!==r)return r}else{if(dx(n)?WI(e,px):cx(n)&&WI(e,(e=>nA(e)&&!e.target.readonly)))return t!==mi?j(Jf(e,Un)||xn,Jf(n,Un)||xn,3,r):0;if(iA(e)&&nA(n)&&!iA(n)){const t=cf(e);if(t!==e)return j(t,n,1,r)}else if((t===di||t===ui)&&gT(n)&&8192&IS(n)&&!gT(e))return 0}if(2621440&u&&524288&p){const t=r&&d===a.errorInfo&&!f;if(s=ie(e,n,t,void 0,!1,i),s&&(s&=ae(e,n,0,t,i),s&&(s&=ae(e,n,1,t,i),s&&(s&=pe(e,n,f,t,i)))),c&&s)d=l||d||a.errorInfo;else if(s)return s}if(2621440&u&&1048576&p){const r=HI(n,36175872);if(1048576&r.flags){const n=function(e,n){var r;const o=Hp(e),i=oI(o,n);if(!i)return 0;let a=1;for(const t of i)if(a*=jI(cd(t)),a>25)return null==(r=Cr)||r.instant(Cr.Phase.CheckTypes,"typeRelatedToDiscriminatedType_DepthLimit",{sourceId:e.id,targetId:n.id,numCombinations:a}),0;const s=new Array(i.length),l=new Set;for(let e=0;e<i.length;e++){const n=i[e],t=cd(n);s[e]=1048576&t.flags?t.types:[t],l.add(n.escapedName)}const c=gt(s),d=[];for(const r of c){let o=!1;e:for(const a of n.types){for(let o=0;o<i.length;o++){const s=i[o],l=Lf(a,s.escapedName);if(!l)continue e;if(s===l)continue;if(!re(e,n,s,l,(e=>r[o]),!1,0,K||t===fi))continue e}Se(d,a,Mn),o=!0}if(!o)return 0}let u=-1;for(const n of d)if(u&=ie(e,n,!1,l,!1,0),u&&(u&=ae(e,n,0,!1,0),u&&(u&=ae(e,n,1,!1,0),!u||nA(e)&&nA(n)||(u&=pe(e,n,!1,!1,0)))),!u)return u;return u}(e,r);if(n)return n}}}var h;return 0;function g(e){return e?Be(e,((e,n)=>e+1+g(n.next)),0):0}function y(e,n,i,u){if(s=function(e=o,n=o,r=o,i,a){if(e.length!==n.length&&t===mi)return 0;const s=e.length<=n.length?e.length:n.length;let l=-1;for(let o=0;o<s;o++){const s=o<r.length?r[o]:1,c=7&s;if(4!==c){const r=e[o],d=n[o];let u=-1;if(8&s?u=t===mi?j(r,d,3,!1):BS(r,d):1===c?u=j(r,d,3,i,void 0,a):2===c?u=j(d,r,3,i,void 0,a):3===c?(u=j(d,r,3,!1),u||(u=j(r,d,3,i,void 0,a))):(u=j(r,d,3,i,void 0,a),u&&(u&=j(d,r,3,i,void 0,a))),!u)return 0;l&=u}}return l}(e,n,i,r,u))return s;if(oe(i,(e=>!!(24&e))))return l=void 0,void D(a);const p=n&&function(e,n){for(let t=0;t<n.length;t++)if(1==(7&n[t])&&16384&e[t].flags)return!0;return!1}(n,i);if(c=!p,i!==o&&!p){if(c&&(!r||!oe(i,(e=>!(7&e)))))return 0;l=d,D(a)}}}(e,n,r,i,a);if(t!==mi){if(!s&&(2097152&e.flags||262144&e.flags&&1048576&n.flags)){const t=function(e,n){let t,r=!1;for(const o of e)if(465829888&o.flags){let e=Xp(o);for(;e&&21233664&e.flags;)e=Xp(e);e&&(t=ye(t,e),n&&(t=ye(t,o)))}else(469892092&o.flags||yT(o))&&(r=!0);if(t&&(n||r)){if(r)for(const n of e)(469892092&n.flags||yT(n))&&(t=ye(t,n));return DT(Nv(t),!1)}}(2097152&e.flags?e.types:[e],!!(1048576&n.flags));t&&WI(t,(n=>n!==e))&&(s=j(t,n,1,!1,void 0,i))}s&&!(2&i)&&2097152&n.flags&&!pb(n)&&2621440&e.flags?(s&=ie(e,n,r,void 0,!1,0),s&&WR(e)&&8192&IS(e)&&(s&=pe(e,n,!1,r,0))):s&&uE(n)&&!px(n)&&2097152&e.flags&&3670016&yf(e).flags&&!oe(e.types,(e=>e===n||!!(262144&IS(e))))&&(s&=ie(e,n,r,void 0,!0,i))}s&&D(a);return s}(e,n,r,i),null==(c=Cr)||c.pop()),Qn&&(Qn=x),1&a&&v--,2&a&&E--,S=b,A?(-1===A||0===v&&0===E)&&N(-1===A||3===A):(t.set(u,2|(r?4:0)|R),I--,N(!1)),A;function N(e){for(let n=g;n<y;n++)f.delete(p[n]),e&&(t.set(p[n],1|R),I--);y=g}}function ne(e,n){const t=yf(Mp(n)),r=[];return Tp(t,8576,!1,(t=>{r.push(AS(e,cS(n.mapper,Ap(n),t)))})),mv(r)}function te(e,n){if(!n||0===e.length)return e;let t;for(let r=0;r<e.length;r++)n.has(e[r].escapedName)?t||(t=e.slice(0,r)):t&&t.push(e[r]);return t||e}function re(e,n,r,o,i,a,s,l){const c=_S(r),d=_S(o);if(2&c||2&d){if(r.valueDeclaration!==o.valueDeclaration)return a&&(2&c&&2&d?w(Oa.Types_have_separate_declarations_of_a_private_property_0,rl(o)):w(Oa.Property_0_is_private_in_type_1_but_not_in_type_2,rl(o),il(2&c?e:n),il(2&c?n:e))),0}else if(4&d){if(!function(e,n){return!$T(n,(n=>{return!!(4&_S(n))&&(t=e,r=QT(n),!$T(t,(e=>{const n=QT(e);return!!n&&fd(n,r)})));var t,r}))}(r,o))return a&&w(Oa.Property_0_is_protected_but_type_1_is_not_a_class_derived_from_2,rl(o),il(QT(r)||e),il(QT(o)||n)),0}else if(4&c)return a&&w(Oa.Property_0_is_protected_in_type_1_but_public_in_type_2,rl(o),il(e),il(n)),0;if(t===ui&&Mw(r)&&!Mw(o))return 0;const u=function(e,n,t,r,o){const i=K&&!!(48&mS(n)),a=ac(cd(n),!1,i);return j(t(e),a,3,r,void 0,o)}(r,o,i,a,s);return u?!l&&16777216&r.flags&&106500&o.flags&&!(16777216&o.flags)?(a&&w(Oa.Property_0_is_optional_in_type_1_but_required_in_type_2,rl(o),il(e),il(n)),0):u:(a&&P(Oa.Types_of_property_0_are_incompatible,rl(o)),0)}function ie(e,n,r,o,i,s){if(t===mi)return function(e,n,t){if(!(524288&e.flags&&524288&n.flags))return 0;const r=te(zp(e),t),o=te(zp(n),t);if(r.length!==o.length)return 0;let i=-1;for(const e of r){const t=Gp(n,e.escapedName);if(!t)return 0;const r=ix(e,t,j);if(!r)return 0;i&=r}return i}(e,n,o);let l=-1;if(nA(n)){if(px(e)){if(!n.target.readonly&&(dx(e)||nA(e)&&e.target.readonly))return 0;const t=C_(e),i=C_(n),a=nA(e)?4&e.target.combinedFlags:4,c=4&n.target.combinedFlags,d=nA(e)?e.target.minLength:0,u=n.target.minLength;if(!a&&t<u)return r&&w(Oa.Source_has_0_element_s_but_target_requires_1,t,u),0;if(!c&&i<d)return r&&w(Oa.Source_has_0_element_s_but_target_allows_only_1,d,i),0;if(!c&&(a||i<t))return r&&(d<u?w(Oa.Target_requires_0_element_s_but_source_may_have_fewer,u):w(Oa.Target_allows_only_0_element_s_but_source_may_have_more,i)),0;const p=D_(e),f=D_(n),m=function(e,n){const t=M(e.elementFlags,(e=>!(e&n)));return t>=0?t:e.elementFlags.length}(n.target,11),_=Hy(n.target,11),h=n.target.hasRestElement;let g=!!o;for(let a=0;a<t;a++){const c=nA(e)?e.target.elementFlags[a]:4,d=t-1-a,u=h&&a>=m?i-1-Math.min(d,_):a,y=n.target.elementFlags[u];if(8&y&&!(8&c))return r&&w(Oa.Source_provides_no_match_for_variadic_element_at_position_0_in_target,u),0;if(8&c&&!(12&y))return r&&w(Oa.Variadic_element_at_position_0_in_source_does_not_match_element_at_position_1_in_target,a,u),0;if(1&y&&!(1&c))return r&&w(Oa.Source_provides_no_match_for_required_element_at_position_0_in_target,u),0;if(g&&((12&c||12&y)&&(g=!1),g&&(null==o?void 0:o.has(""+a))))continue;const v=zA(p[a],!!(c&y&2)),b=f[u],E=j(v,8&c&&4&y?ey(b):zA(b,!!(2&y)),3,r,void 0,s);if(!E)return r&&(i>1||t>1)&&(h&&a>=m&&d>=_&&m!==t-_-1?P(Oa.Type_at_positions_0_through_1_in_source_is_not_compatible_with_type_at_position_2_in_target,m,t-_-1,u):P(Oa.Type_at_position_0_in_source_is_not_compatible_with_type_at_position_1_in_target,a,u)),0;l&=E}return l}if(12&n.target.combinedFlags)return 0}const c=!(t!==di&&t!==ui||WR(e)||Sx(e)||nA(e)),u=bR(e,n,c,!1);if(u)return r&&function(e,n){const t=kf(e,0),r=kf(e,1),o=zp(e);if((t.length||r.length)&&!o.length)return!!(wf(n,0).length&&t.length||wf(n,1).length&&r.length);return!0}(e,n)&&function(e,n,t,r){let o=!1;if(t.valueDeclaration&&Gl(t.valueDeclaration)&&rN(t.valueDeclaration.name)&&e.symbol&&32&e.symbol.flags){const r=t.valueDeclaration.name.escapedText,o=dv(e.symbol,r);if(o&&Lf(e,o)){const t=UA.getDeclarationName(e.symbol.valueDeclaration),o=UA.getDeclarationName(n.symbol.valueDeclaration);return void w(Oa.Property_0_in_type_1_refers_to_a_different_member_that_cannot_be_accessed_from_within_type_2,sa(r),sa(""===t.escapedText?Dz:t),sa(""===o.escapedText?Dz:o))}}const i=Je(vR(e,n,r,!1));if((!a||a.code!==Oa.Class_0_incorrectly_implements_interface_1.code&&a.code!==Oa.Class_0_incorrectly_implements_class_1_Did_you_mean_to_extend_1_and_inherit_its_members_as_a_subclass.code)&&(o=!0),1===i.length){const r=rl(t,void 0,0,20);w(Oa.Property_0_is_missing_in_type_1_but_required_in_type_2,r,...al(e,n)),b(t.declarations)&&F(d_(t.declarations[0],Oa._0_is_declared_here,r)),o&&d&&x++}else z(e,n,!1)&&(i.length>5?w(Oa.Type_0_is_missing_the_following_properties_from_type_1_Colon_2_and_3_more,il(e),il(n),B(i.slice(0,4),(e=>rl(e))).join(", "),i.length-4):w(Oa.Type_0_is_missing_the_following_properties_from_type_1_Colon_2,il(e),il(n),B(i,(e=>rl(e))).join(", ")),o&&d&&x++)}(e,n,u,c),0;if(WR(n))for(const t of te(Hp(e),o))if(!Gp(n,t.escapedName)){if(!(32768&sd(t).flags))return r&&w(Oa.Property_0_does_not_exist_on_type_1,rl(t),il(n)),0}const p=Hp(n),f=nA(e)&&nA(n);for(const a of te(p,o)){const o=a.escapedName;if(!(4194304&a.flags)&&(!f||tA(o)||"length"===o)&&(!i||16777216&a.flags)){const i=Lf(e,o);if(i&&i!==a){const o=re(e,n,i,a,cd,r,s,t===fi);if(!o)return 0;l&=o}}}return l}function ae(e,n,r,o,i){var a,s;if(t===mi)return function(e,n,t){const r=wf(e,t),o=wf(n,t);if(r.length!==o.length)return 0;let i=-1;for(let e=0;e<r.length;e++){const n=ax(r[e],o[e],!1,!1,!1,j);if(!n)return 0;i&=n}return i}(e,n,r);if(n===Ft||e===Ft)return-1;const l=e.symbol&&gk(e.symbol.valueDeclaration),c=n.symbol&&gk(n.symbol.valueDeclaration),d=wf(e,l&&1===r?0:r),u=wf(n,c&&1===r?0:r);if(1===r&&d.length&&u.length){const e=!!(4&d[0].flags),n=!!(4&u[0].flags);if(e&&!n)return o&&w(Oa.Cannot_assign_an_abstract_constructor_type_to_a_non_abstract_constructor_type),0;if(!function(e,n,t){if(!e.declaration||!n.declaration)return!0;const r=Yb(e.declaration,6),o=Yb(n.declaration,6);if(2===o)return!0;if(4===o&&2!==r)return!0;if(4!==o&&!r)return!0;t&&w(Oa.Cannot_assign_a_0_constructor_type_to_a_1_constructor_type,pl(r),pl(o));return!1}(d[0],u[0],o))return 0}let p=-1;const f=1===r?ce:le,m=IS(e),_=IS(n);if(64&m&&64&_&&e.symbol===n.symbol||4&m&&4&_&&e.target===n.target){Tt.assertEqual(d.length,u.length);for(let e=0;e<u.length;e++){const n=de(d[e],u[e],!0,o,i,f(d[e],u[e]));if(!n)return 0;p&=n}}else if(1===d.length&&1===u.length){const e=t===fi||!!A.noStrictGenericChecks,n=Me(d),l=Me(u);if(p=de(n,l,e,o,i,f(n,l)),!p&&o&&1===r&&m&_&&(176===(null==(a=l.declaration)?void 0:a.kind)||176===(null==(s=n.declaration)?void 0:s.kind))){const e=e=>ol(e,void 0,262144,r);return w(Oa.Type_0_is_not_assignable_to_type_1,e(n),e(l)),w(Oa.Types_of_construct_signatures_are_incompatible),p}}else e:for(const n of u){const t=C();let a=o;for(const e of d){const r=de(e,n,!0,a,i,f(e,n));if(r){p&=r,D(t);continue e}a=!1}return a&&w(Oa.Type_0_provides_no_match_for_the_signature_1,il(e),ol(n,void 0,void 0,r)),0}return p}function le(e,n){return 0===e.parameters.length&&0===n.parameters.length?(e,n)=>P(Oa.Call_signatures_with_no_arguments_have_incompatible_return_types_0_and_1,il(e),il(n)):(e,n)=>P(Oa.Call_signature_return_types_0_and_1_are_incompatible,il(e),il(n))}function ce(e,n){return 0===e.parameters.length&&0===n.parameters.length?(e,n)=>P(Oa.Construct_signatures_with_no_arguments_have_incompatible_return_types_0_and_1,il(e),il(n)):(e,n)=>P(Oa.Construct_signature_return_types_0_and_1_are_incompatible,il(e),il(n))}function de(e,n,r,o,i,a){const s=t===di?16:t===ui?24:0;return mT(r?Dm(e):e,r?Dm(n):n,s,o,w,a,(function(e,n,t){return j(e,n,3,t,void 0,i)}),Nt)}function ue(e,n,t,r){const o=j(e.type,n.type,3,t,void 0,r);return!o&&t&&(e.keyType===n.keyType?w(Oa._0_index_signatures_are_incompatible,il(e.keyType)):w(Oa._0_and_1_index_signatures_are_incompatible,il(e.keyType),il(n.keyType))),o}function pe(e,n,r,o,i){if(t===mi)return function(e,n){const t=Kf(e),r=Kf(n);if(t.length!==r.length)return 0;for(const n of r){const t=qf(e,n.keyType);if(!t||!j(t.type,n.type,3)||t.isReadonly!==n.isReadonly)return 0}return-1}(e,n);const a=Kf(n),s=oe(a,(e=>e.keyType===Vn));let l=-1;for(const n of a){const a=t!==ui&&!r&&s&&1&n.type.flags?-1:wp(e)&&s?j(Np(e),n.type,3,o):fe(e,n,o,i);if(!a)return 0;l&=a}return l}function fe(e,n,r,o){const i=nm(e,n.keyType);return i?ue(i,n,r,o):1&o||!(t!==ui||8192&IS(e))||!jA(e)?(r&&w(Oa.Index_signature_for_type_0_is_missing_in_type_1,il(n.keyType),il(e)),0):function(e,n,t,r){let o=-1;const i=n.keyType,a=2097152&e.flags?Bp(e):zp(e);for(const s of a)if(!NT(e,s)&&Vf(Gv(s,8576),i)){const e=cd(s),a=j(se||32768&e.flags||i===Un||!(16777216&s.flags)?e:hI(e,524288),n.type,3,t,void 0,r);if(!a)return t&&w(Oa.Property_0_is_incompatible_with_index_signature,rl(s)),0;o&=a}for(const a of Kf(e))if(Vf(a.keyType,i)){const e=ue(a,n,t,r);if(!e)return 0;o&=e}return o}(e,n,r,o)}}function OT(e){if(16&e.flags)return!1;if(3145728&e.flags)return!!E(e.types,OT);if(465829888&e.flags){const n=Xp(e);if(n&&n!==e)return OT(n)}return Wx(e)||!!(134217728&e.flags)||!!(268435456&e.flags)}function FT(e,n){return nA(e)&&nA(n)?o:Hp(n).filter((n=>WT(Ol(e,n.escapedName),sd(n))))}function WT(e,n){return!!e&&!!n&&Ww(e,32768)&&!!GA(n)}function zT(e,n,t=jS){return IB(e,n,t)||function(e,n){const t=IS(e);if(20&t&&1048576&n.flags)return D(n.types,(n=>{if(524288&n.flags){const r=t&IS(n);if(4&r)return e.target===n.target;if(16&r)return!!e.aliasSymbol&&e.aliasSymbol===n.aliasSymbol}return!1}))}(e,n)||function(e,n){if(128&IS(e)&&OI(n,_x))return D(n.types,(e=>!_x(e)))}(e,n)||function(e,n){let t=0;const r=wf(e,t).length>0||(t=1,wf(e,t).length>0);if(r)return D(n.types,(e=>wf(e,t).length>0))}(e,n)||function(e,n){let t;if(!(406978556&e.flags)){let r=0;for(const o of n.types)if(!(406978556&o.flags)){const n=Nv([Jv(e),Jv(o)]);if(4194304&n.flags)return o;if(Wx(n)||1048576&n.flags){const e=1048576&n.flags?F(n.types,Wx):1;e>=r&&(t=o,r=e)}}}return t}(e,n)}function GT(e,n,t){const r=e.types,o=r.map((e=>402784252&e.flags?0:-1));for(const[e,i]of n){let n=!1;for(let a=0;a<r.length;a++)if(o[a]){const s=Fl(r[a],i);s&&t(e(),s)?n=!0:o[a]=3}for(let e=0;e<r.length;e++)3===o[e]&&(o[e]=n?0:-1)}const i=k(o,0)?mv(r.filter(((e,n)=>o[n])),0):e;return 131072&i.flags?e:i}function BT(e){if(524288&e.flags){const n=Fp(e);return 0===n.callSignatures.length&&0===n.constructSignatures.length&&0===n.indexInfos.length&&n.properties.length>0&&N(n.properties,(e=>!!(16777216&e.flags)))}return!!(2097152&e.flags)&&N(e.types,BT)}function jT(e){return e===er||e===nr||8&e.objectFlags?x:UT(e.symbol,e.typeParameters)}function VT(e){return UT(e,Ui(e).typeParameters)}function UT(e,n=o){var t,r;const i=Ui(e);if(!i.variances){null==(t=Cr)||t.push(Cr.Phase.CheckTypes,"getVariancesWorker",{arity:n.length,id:Jy(ou(e))});const a=Bo;Bo||(Bo=!0,Go=Fo.length),i.variances=o;const s=[];for(const t of n){const n=qT(t);let r=16384&n?8192&n?0:1:8192&n?2:void 0;if(void 0===r){let n=!1,o=!1;const i=Qn;Qn=e=>e?o=!0:n=!0;const a=HT(e,t,Bt),s=HT(e,t,jt);r=(KS(s,a)?1:0)|(KS(a,s)?2:0),3===r&&KS(HT(e,t,Vt),a)&&(r=4),Qn=i,(n||o)&&(n&&(r|=8),o&&(r|=16))}s.push(r)}a||(Bo=!1,Go=0),i.variances=s,null==(r=Cr)||r.pop({variances:s.map(Tt.formatVariance)})}return i.variances}function HT(e,n,t){const r=tS(n,t),o=ou(e);if(Bl(o))return o;const i=524288&e.flags?w_(e,$E(Ui(e).typeParameters,r)):v_(o,$E(o.typeParameters,r));return yn.add(Jy(i)),i}function KT(e){return yn.has(Jy(e))}function qT(e){var n;return 28672&Be(null==(n=e.symbol)?void 0:n.declarations,((e,n)=>e|Zb(n)),0)}function JT(e){return 262144&e.flags&&!Yp(e)}function XT(e){return function(e){return!!(4&IS(e))&&!e.node}(e)&&oe(D_(e),(e=>!!(262144&e.flags)||XT(e)))}function YT(e,n,t,r,o){if(r===mi&&e.id>n.id){const t=e;e=n,n=t}const i=t?":"+t:"";return XT(e)&&XT(n)?function(e,n,t,r){const o=[];let i="";const a=l(e,0),s=l(n,0);return`${i}${a},${s}${t}`;function l(e,n=0){let t=""+e.target.id;for(const a of D_(e)){if(262144&a.flags){if(r||JT(a)){let e=o.indexOf(a);e<0&&(e=o.length,o.push(a)),t+="="+e;continue}i="*"}else if(n<4&&XT(a)){t+="<"+l(a,n+1)+">";continue}t+="-"+a.id}return t}}(e,n,i,o):`${e.id},${n.id}${i}`}function $T(e,n){if(!(6&mS(e)))return n(e);for(const t of e.links.containingType.types){const r=Lf(t,e.escapedName),o=r&&$T(r,n);if(o)return o}}function QT(e){return e.parent&&32&e.parent.flags?ou(ms(e)):void 0}function ZT(e){const n=QT(e),t=n&&jd(n)[0];return t&&Ol(t,e.escapedName)}function ex(e,n,t){return $T(n,(n=>!!(4&_S(n,t))&&!fd(e,QT(n))))?void 0:e}function nx(e,n,t,r=3){if(t>=r){if(96&~IS(e)||(e=tx(e)),2097152&e.flags)return oe(e.types,(e=>nx(e,n,t,r)));const o=ox(e);let i=0,a=0;for(let e=0;e<t;e++){const t=n[e];if(rx(t,o)){if(t.id>=a&&(i++,i>=r))return!0;a=t.id}}}return!1}function tx(e){let n;for(;!(96&~IS(e))&&(n=Mp(e))&&(n.symbol||2097152&n.flags&&oe(n.types,(e=>!!e.symbol)));)e=n;return e}function rx(e,n){return 96&~IS(e)||(e=tx(e)),2097152&e.flags?oe(e.types,(e=>rx(e,n))):ox(e)===n}function ox(e){if(524288&e.flags&&!zR(e)){if(4&IS(e)&&e.node)return e.node;if(e.symbol&&!(16&IS(e)&&32&e.symbol.flags))return e.symbol;if(nA(e))return e.target}if(262144&e.flags)return e.symbol;if(8388608&e.flags){do{e=e.objectType}while(8388608&e.flags);return e}return 16777216&e.flags?e.root:e}function ix(e,n,t){if(e===n)return-1;const r=6&_S(e);if(r!==(6&_S(n)))return 0;if(r){if(GW(e)!==GW(n))return 0}else if((16777216&e.flags)!=(16777216&n.flags))return 0;return Mw(e)!==Mw(n)?0:t(sd(e),sd(n))}function ax(e,n,t,r,o,i){if(e===n)return-1;if(!function(e,n,t){const r=Xk(e),o=Xk(n),i=Yk(e),a=Yk(n),s=$k(e),l=$k(n);return r===o&&i===a&&s===l||!!(t&&i<=a)}(e,n,t))return 0;if(b(e.typeParameters)!==b(n.typeParameters))return 0;if(n.typeParameters){const t=eS(e.typeParameters,n.typeParameters);for(let r=0;r<n.typeParameters.length;r++){const o=e.typeParameters[r],a=n.typeParameters[r];if(!(o===a||i(AS($m(o),t)||Ln,$m(a)||Ln)&&i(AS(ff(o),t)||Ln,ff(a)||Ln)))return 0}e=uS(e,t,!0)}let a=-1;if(!r){const t=gm(e);if(t){const e=gm(n);if(e){const n=i(t,e);if(!n)return 0;a&=n}}}const s=Xk(n);for(let t=0;t<s;t++){const r=Hk(e,t),o=i(Hk(n,t),r);if(!o)return 0;a&=o}if(!o){const t=ym(e),r=ym(n);a&=t||r?function(e,n,t){return e&&n&&gv(e,n)?e.type===n.type?-1:e.type&&n.type?t(e.type,n.type):0:0}(t,r,i):i(bm(e),bm(n))}return a}function sx(e){return Be(e,((e,n)=>e|(1048576&n.flags?sx(n.types):n.flags)),0)}function lx(e){if(1===e.length)return e[0];const n=K?V(e,(e=>GI(e,(e=>!(98304&e.flags))))):e,t=function(e){let n;for(const t of e)if(!(131072&t.flags)){const e=Ux(t);if(n??(n=e),e===t||e!==n)return!1}return!0}(n)?mv(n):Be(n,((e,n)=>US(e,n)?n:e));return n===e?t:PA(t,98304&sx(e))}function cx(e){return!!(4&IS(e))&&(e.target===er||e.target===nr)}function dx(e){return!!(4&IS(e))&&e.target===nr}function px(e){return cx(e)||nA(e)}function fx(e){return cx(e)&&!dx(e)||nA(e)&&!e.target.readonly}function mx(e){return cx(e)?D_(e)[0]:void 0}function _x(e){return cx(e)||!(98304&e.flags)&&KS(e,cr)}function hx(e){return fx(e)||!(98305&e.flags)&&KS(e,sr)}function yx(e){if(!(4&IS(e)&&3&IS(e.target)))return;if(33554432&IS(e))return 67108864&IS(e)?e.cachedEquivalentBaseType:void 0;e.objectFlags|=33554432;const n=e.target;if(1&IS(n)){const e=wd(n);if(e&&80!==e.expression.kind&&211!==e.expression.kind)return}const t=jd(n);if(1!==t.length)return;if(Mu(e.symbol).size)return;let r=b(n.typeParameters)?AS(t[0],eS(n.typeParameters,D_(e).slice(0,n.typeParameters.length))):t[0];return b(D_(e))>b(n.typeParameters)&&(r=ku(r,ke(D_(e)))),e.objectFlags|=67108864,e.cachedEquivalentBaseType=r}function vx(e){return K?e===ct:e===Fn}function Sx(e){const n=mx(e);return!!n&&vx(n)}function Tx(e){let n;return nA(e)||!!Lf(e,"0")||_x(e)&&!!(n=Ol(e,"length"))&&WI(n,(e=>!!(256&e.flags)))}function Dx(e){return _x(e)||Tx(e)}function Px(e){return!(240544&e.flags)}function Wx(e){return!!(109472&e.flags)}function zx(e){const n=cf(e);return 2097152&n.flags?oe(n.types,Wx):Wx(n)}function Bx(e){return!!(16&e.flags)||(1048576&e.flags?!!(1024&e.flags)||N(e.types,Wx):Wx(e))}function Ux(e){return 1056&e.flags?Xd(e):402653312&e.flags?Vn:256&e.flags?Un:2048&e.flags?Hn:512&e.flags?Zn:1048576&e.flags?function(e){const n=`B${Jy(e)}`;return yi(n)??vi(n,VI(e,Ux))}(e):e}function Hx(e){return 402653312&e.flags?Vn:288&e.flags?Un:2048&e.flags?Hn:512&e.flags?Zn:1048576&e.flags?VI(e,Hx):e}function Kx(e){return 1056&e.flags&&zE(e)?Xd(e):128&e.flags&&zE(e)?Vn:256&e.flags&&zE(e)?Un:2048&e.flags&&zE(e)?Hn:512&e.flags&&zE(e)?Zn:1048576&e.flags?VI(e,Kx):e}function qx(e){return 8192&e.flags?nt:1048576&e.flags?VI(e,qx):e}function Xx(e,n){return iO(e,n)||(e=qx(Kx(e))),WE(e)}function Yx(e,n,t,r){if(e&&Wx(e)){e=Xx(e,n?bW(t,n,r):void 0)}return e}function nA(e){return!!(4&IS(e)&&8&e.target.objectFlags)}function iA(e){return nA(e)&&!!(8&e.target.combinedFlags)}function aA(e){return iA(e)&&1===e.target.elementFlags.length}function uA(e){return SA(e,e.target.fixedLength)}function bA(e,n,t){return VI(e,(e=>{const r=e,o=uA(r);return o?t&&n>=Ky(r.target)?mv([o,t]):o:On}))}function SA(e,n,t=0,r=!1,o=!1){const i=C_(e)-t;if(n<i){const t=D_(e),a=[];for(let r=n;r<i;r++){const n=t[r];a.push(8&e.target.elementFlags[r]?Mb(n,Un):n)}return r?Nv(a):mv(a,o?0:1)}}function NA({value:e}){return"0"===e.base10Value}function CA(e){return GI(e,(e=>mI(e,4194304)))}function MA(e){return 4&e.flags?ko:8&e.flags?wo:64&e.flags?Oo:e===Jn||e===Kn||114691&e.flags||128&e.flags&&""===e.value||256&e.flags&&0===e.value||2048&e.flags&&NA(e)?e:ot}function PA(e,n){const t=n&~e.flags&98304;return 0===t?e:mv(32768===t?[e,On]:65536===t?[e,Bn]:[e,On,Bn])}function LA(e,n=!1){Tt.assert(K);const t=n?zn:On;return e===t||1048576&e.flags&&e.types[0]===t?e:mv([e,t])}function kA(e){return K?gI(e,2097152):e}function wA(e){return K?mv([e,Gn]):e}function OA(e){return K?BI(e,Gn):e}function FA(e,n,t){return t?Wc(n)?LA(e):wA(e):e}function WA(e,n){return Fc(n)?kA(e):wc(n)?OA(e):e}function zA(e,n){return se&&n?BI(e,Wn):e}function GA(e){return e===Wn||!!(1048576&e.flags)&&e.types[0]===Wn}function BA(e){return se?BI(e,Wn):hI(e,524288)}function jA(e){const n=IS(e);return 2097152&e.flags?N(e.types,jA):!(!(e.symbol&&7040&e.symbol.flags)||32&e.symbol.flags||cG(e))||!!(4194304&n)||!!(1024&n&&jA(e.source))}function VA(e,n){const t=Li(e.flags,e.escapedName,8&mS(e));t.declarations=e.declarations,t.parent=e.parent,t.links.type=n,t.links.target=e,e.valueDeclaration&&(t.valueDeclaration=e.valueDeclaration);const r=Ui(e).nameType;return r&&(t.links.nameType=r),t}function HA(e){if(!(WR(e)&&8192&IS(e)))return e;const n=e.regularType;if(n)return n;const t=e,r=function(e,n){const t=Mf();for(const r of zp(e)){const e=sd(r),o=n(e);t.set(r.escapedName,o===e?r:VA(r,o))}return t}(e,HA),o=Os(t.symbol,r,t.callSignatures,t.constructSignatures,t.indexInfos);return o.flags=t.flags,o.objectFlags|=-8193&t.objectFlags,e.regularType=o,o}function KA(e,n,t){return{parent:e,propertyName:n,siblings:t,resolvedProperties:void 0}}function qA(e){if(!e.siblings){const n=[];for(const t of qA(e.parent))if(WR(t)){const r=Gp(t,e.propertyName);r&&wI(sd(r),(e=>{n.push(e)}))}e.siblings=n}return e.siblings}function JA(e){if(!e.resolvedProperties){const n=new Map;for(const t of qA(e))if(WR(t)&&!(2097152&IS(t)))for(const e of Hp(t))n.set(e.escapedName,e);e.resolvedProperties=Je(n.values())}return e.resolvedProperties}function XA(e,n){if(!(4&e.flags))return e;const t=sd(e),r=QA(t,n&&KA(n,e.escapedName,void 0));return r===t?e:VA(e,r)}function YA(e){const n=_n.get(e.escapedName);if(n)return n;const t=VA(e,zn);return t.flags|=16777216,_n.set(e.escapedName,t),t}function $A(e){return QA(e,void 0)}function QA(e,n){if(196608&IS(e)){if(void 0===n&&e.widened)return e.widened;let t;if(98305&e.flags)t=xn;else if(WR(e))t=function(e,n){const t=Mf();for(const r of zp(e))t.set(r.escapedName,XA(r,n));if(n)for(const e of JA(n))t.has(e.escapedName)||t.set(e.escapedName,YA(e));const r=Os(e.symbol,t,o,o,V(Kf(e),(e=>Hm(e.keyType,$A(e.type),e.isReadonly))));return r.objectFlags|=266240&IS(e),r}(e,n);else if(1048576&e.flags){const r=n||KA(void 0,void 0,e.types),o=V(e.types,(e=>98304&e.flags?e:QA(e,r)));t=mv(o,oe(o,gT)?2:1)}else 2097152&e.flags?t=Nv(V(e.types,$A)):px(e)&&(t=v_(e.target,V(D_(e),$A)));return t&&void 0===n&&(e.widened=t),t||e}return e}function ZA(e){let n=!1;if(65536&IS(e)){if(1048576&e.flags)if(oe(e.types,gT))n=!0;else for(const t of e.types)ZA(t)&&(n=!0);if(px(e))for(const t of D_(e))ZA(t)&&(n=!0);if(WR(e))for(const t of zp(e)){const e=sd(t);65536&IS(e)&&(ZA(e)||Ai(t.valueDeclaration,Oa.Object_literal_s_property_0_implicitly_has_an_1_type,rl(t),il($A(e))),n=!0)}}return n}function eR(e,n,t){const r=il($A(n));if(Yh(e)&&!Ex($f(e),A))return;let o;switch(e.kind){case 226:case 172:case 171:o=$?Oa.Member_0_implicitly_has_an_1_type:Oa.Member_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage;break;case 169:const n=e;if(tN(n.name)){const t=kl(n.name);if((CN(n.parent)||xN(n.parent)||wN(n.parent))&&n.parent.parameters.includes(n)&&(na(n,n.name.escapedText,788968,void 0,n.name.escapedText,!0)||t&&kS(t))){const t="arg"+n.parent.parameters.indexOf(n),r=o_(n.name)+(n.dotDotDotToken?"[]":"");return void Ii($,e,Oa.Parameter_has_a_name_but_no_type_Did_you_mean_0_Colon_1,t,r)}}o=e.dotDotDotToken?$?Oa.Rest_parameter_0_implicitly_has_an_any_type:Oa.Rest_parameter_0_implicitly_has_an_any_type_but_a_better_type_may_be_inferred_from_usage:$?Oa.Parameter_0_implicitly_has_an_1_type:Oa.Parameter_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage;break;case 208:if(o=Oa.Binding_element_0_implicitly_has_an_1_type,!$)return;break;case 324:return void Ai(e,Oa.Function_type_which_lacks_return_type_annotation_implicitly_has_an_0_return_type,r);case 330:return void($&&PM(e.parent)&&Ai(e.parent.tagName,Oa.This_overload_implicitly_returns_the_type_0_because_it_lacks_a_return_type_annotation,r));case 262:case 174:case 173:case 177:case 178:case 218:case 219:if($&&!e.name)return void Ai(e,3===t?Oa.Generator_implicitly_has_yield_type_0_because_it_does_not_yield_any_values_Consider_supplying_a_return_type_annotation:Oa.Function_expression_which_lacks_return_type_annotation_implicitly_has_an_0_return_type,r);o=$?3===t?Oa._0_which_lacks_return_type_annotation_implicitly_has_an_1_yield_type:Oa._0_which_lacks_return_type_annotation_implicitly_has_an_1_return_type:Oa._0_implicitly_has_an_1_return_type_but_a_better_type_may_be_inferred_from_usage;break;case 200:return void($&&Ai(e,Oa.Mapped_object_type_implicitly_has_an_any_template_type));default:o=$?Oa.Variable_0_implicitly_has_an_1_type:Oa.Variable_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage}Ii($,e,o,o_(jl(e)),r)}function nR(e,n,t){l((()=>{!($&&65536&IS(n))||t&&xM(e)||ZA(n)||eR(e,n,t)}))}function tR(e,n,t){const r=Xk(e),o=Xk(n),i=Qk(e),a=Qk(n),s=a?o-1:o,l=i?s:Math.min(r,s),c=gm(e);if(c){const e=gm(n);e&&t(c,e)}for(let r=0;r<l;r++)t(Hk(e,r),Hk(n,r));a&&t(qk(e,l,ef(a)&&!OI(a,hx)),a)}function rR(e,n,t){const r=ym(e),o=ym(n);r&&o&&gv(r,o)&&r.type&&o.type?t(r.type,o.type):t(bm(e),bm(n))}function oR(e,n,t,r){return iR(e.map(cR),n,t,r||jS)}function iR(e,n,t,r){const o={inferences:e,signature:n,flags:t,compareTypes:r,mapper:Dt,nonFixingMapper:Dt};return o.mapper=function(e){return oS(B(e.inferences,(e=>e.typeParameter)),B(e.inferences,((n,t)=>()=>(n.isFixed||(!function(e){if(e.intraExpressionInferenceSites){for(const{node:n,type:t}of e.intraExpressionInferenceSites){const r=174===n.kind?TC(n,2):JC(n,2);r&&wR(e.inferences,t,r)}e.intraExpressionInferenceSites=void 0}}(e),aR(e.inferences),n.isFixed=!0),jR(e,t)))))}(o),o.nonFixingMapper=function(e){return oS(B(e.inferences,(e=>e.typeParameter)),B(e.inferences,((n,t)=>()=>jR(e,t))))}(o),o}function aR(e){for(const n of e)n.isFixed||(n.inferredType=void 0)}function sR(e,n,t){(e.intraExpressionInferenceSites??(e.intraExpressionInferenceSites=[])).push({node:n,type:t})}function cR(e){return{typeParameter:e,candidates:void 0,contraCandidates:void 0,inferredType:void 0,priority:void 0,topLevel:!0,isFixed:!1,impliedArity:void 0}}function dR(e){return{typeParameter:e.typeParameter,candidates:e.candidates&&e.candidates.slice(),contraCandidates:e.contraCandidates&&e.contraCandidates.slice(),inferredType:e.inferredType,priority:e.priority,topLevel:e.topLevel,isFixed:e.isFixed,impliedArity:e.impliedArity}}function uR(e){return e&&e.mapper}function pR(e){const n=IS(e);if(524288&n)return!!(1048576&n);const t=!!(465829888&e.flags||524288&e.flags&&!mR(e)&&(4&n&&(e.node||oe(D_(e),pR))||16&n&&e.symbol&&14384&e.symbol.flags&&e.symbol.declarations||12583968&n)||3145728&e.flags&&!(1024&e.flags)&&!mR(e)&&oe(e.types,pR));return 3899393&e.flags&&(e.objectFlags|=524288|(t?1048576:0)),t}function mR(e){if(e.aliasSymbol&&!e.aliasTypeArguments){const n=Df(e.aliasSymbol,265);return!(!n||!Nl(n.parent,(e=>312===e.kind||267!==e.kind&&"quit")))}return!1}function _R(e,n,t=0){return!!(e===n||3145728&e.flags&&oe(e.types,(e=>_R(e,n,t)))||t<3&&16777216&e.flags&&(_R(eE(e),n,t+1)||_R(nE(e),n,t+1)))}function hR(e,n,t){const r=e.id+","+n.id+","+t.id;if(yo.has(r))return yo.get(r);const o=e.id+","+(n.target||n).id;if(k(vo,o))return;vo.push(o);const i=function(e,n,t){if(!(qf(e,Vn)||0!==Hp(e).length&&gR(e)))return;if(cx(e))return ey(yR(D_(e)[0],n,t),dx(e));if(nA(e)){return Dy(B(qy(e),(e=>yR(e,n,t))),4&Pp(n)?V(e.target.elementFlags,(e=>2&e?1:e)):e.target.elementFlags,e.target.readonly,e.target.labeledElementDeclarations)}const r=Cs(1040,void 0);return r.source=e,r.mappedType=n,r.constraintType=t,r}(e,n,t);return vo.pop(),yo.set(r,i),i}function gR(e){return!(262144&IS(e))||WR(e)&&oe(Hp(e),(e=>gR(sd(e))))||nA(e)&&oe(qy(e),gR)}function yR(e,n,t){const r=Mb(t.type,Ap(n)),o=Np(n),i=cR(r);return wR([i],e,o),ER(i)||Ln}function*vR(e,n,t,r){const o=Hp(n);for(const n of o)if(!bu(n)&&(t||!(16777216&n.flags||48&mS(n)))){const t=Lf(e,n.escapedName);if(t){if(r){const e=sd(n);if(109472&e.flags){const r=sd(t);1&r.flags||WE(r)===WE(e)||(yield n)}}}else yield n}}function bR(e,n,t,r){return Ce(vR(e,n,t,r))}function ER(e){return e.candidates?mv(e.candidates,2):e.contraCandidates?Nv(e.contraCandidates):void 0}function SR(e){return!!Hi(e).skipDirectInference}function TR(e){return!(!e.symbol||!oe(e.symbol.declarations,SR))}function AR(e,n){if(""===e)return!1;const t=+e;return isFinite(t)&&(!n||""+t===e)}function NR(e){return jE(Lx(e))}function DR(e,n){if(1&n.flags)return!0;if(134217732&n.flags)return KS(e,n);if(268435456&n.flags){const t=[];for(;268435456&n.flags;)t.unshift(n.symbol),n=n.type;return Be(t,((e,n)=>Zv(n,e)),e)===e&&DR(e,n)}return!1}function CR(e,n){if(2097152&n.flags)return N(n.types,(n=>n===Lt||CR(e,n)));if(4&n.flags||KS(e,n))return!0;if(128&e.flags){const t=e.value;return!!(8&n.flags&&AR(t,!1)||64&n.flags&&kx(t,!1)||98816&n.flags&&t===n.intrinsicName||268435456&n.flags&&DR(GE(t),n)||134217728&n.flags&&PR(e,n))}if(134217728&e.flags){const t=e.texts;return 2===t.length&&""===t[0]&&""===t[1]&&KS(e.types[0],n)}return!1}function MR(e,n){return 128&e.flags?kR([e.value],o,n):134217728&e.flags?w(e.texts,n.texts)?B(e.types,LR):kR(e.texts,e.types,n):void 0}function PR(e,n){const t=MR(e,n);return!!t&&N(t,((e,t)=>CR(e,n.types[t])))}function LR(e){return 402653317&e.flags?e:$v(["",""],[e])}function kR(e,n,t){const r=e.length-1,o=e[0],i=e[r],a=t.texts,s=a.length-1,l=a[0],c=a[s];if(0===r&&o.length<l.length+c.length||!o.startsWith(l)||!i.endsWith(c))return;const d=i.slice(0,i.length-c.length),u=[];let p=0,f=l.length;for(let n=1;n<s;n++){const t=a[n];if(t.length>0){let n=p,r=f;for(;r=m(n).indexOf(t,r),!(r>=0);){if(n++,n===e.length)return;r=0}_(n,r),f+=t.length}else if(f<m(p).length)_(p,f+1);else{if(!(p<r))return;_(p+1,0)}}return _(r,m(r).length),u;function m(n){return n<r?e[n]:d}function _(t,r){const o=t===p?GE(m(t).slice(f,r)):$v([e[p].slice(f),...e.slice(p+1,t),m(t).slice(0,r)],n.slice(p,t));u.push(o),p=t,f=r}}function wR(e,n,t,r=0,i=!1){let a,s,l,c,d=!1,u=2048,p=0;function f(n,s){if(pR(s)&&!U_(s)){if(n===Rn||n===In){const e=a;return a=n,f(s,s),void(a=e)}if(n.aliasSymbol&&n.aliasSymbol===s.aliasSymbol){if(n.aliasTypeArguments){const e=Ui(n.aliasSymbol).typeParameters,t=dm(e);g(um(n.aliasTypeArguments,e,t,Yh(n.aliasSymbol.valueDeclaration)),um(s.aliasTypeArguments,e,t,Yh(n.aliasSymbol.valueDeclaration)),VT(n.aliasSymbol))}}else if(n===s&&3145728&n.flags)for(const e of n.types)f(e,e);else{if(1048576&s.flags){const[e,t]=h(1048576&n.flags?n.types:[n],s.types,OR),[r,o]=h(e,t,FR);if(0===o.length)return;if(s=mv(o),0===r.length)return void m(n,s,1);n=mv(r)}else if(2097152&s.flags&&!N(s.types,uE)&&!(1048576&n.flags)){const[e,t]=h(2097152&n.flags?n.types:[n],s.types,GS);if(0===e.length||0===t.length)return;n=Nv(e),s=Nv(t)}if(41943040&s.flags){if(U_(s))return;s=Ob(s)}if(8650752&s.flags){if(TR(n))return;const o=b(s);if(o){if(262144&IS(n)||n===Cn)return;if(!o.isFixed){const l=a||n;if(l===In)return;(void 0===o.priority||r<o.priority)&&(o.candidates=void 0,o.contraCandidates=void 0,o.topLevel=!0,o.priority=r),r===o.priority&&(i&&!d?k(o.contraCandidates,l)||(o.contraCandidates=ye(o.contraCandidates,l),aR(e)):k(o.candidates,l)||(o.candidates=ye(o.candidates,l),aR(e))),!(128&r)&&262144&s.flags&&o.topLevel&&!_R(t,s)&&(o.topLevel=!1,aR(e))}return void(u=Math.min(u,r))}const l=gb(s,!1);if(l!==s)f(n,l);else if(8388608&s.flags){const e=gb(s.indexType,!1);if(465829888&e.flags){const t=Tb(gb(s.objectType,!1),e,!1);t&&t!==s&&f(n,t)}}}if(!(4&IS(n)&&4&IS(s)&&(n.target===s.target||cx(n)&&cx(s)))||n.node&&s.node)if(4194304&n.flags&&4194304&s.flags)y(n.type,s.type);else if((Bx(n)||4&n.flags)&&4194304&s.flags){!function(e,n,t){const o=r;r|=t,y(e,n),r=o}(function(e){const n=Mf();wI(e,(e=>{if(!(128&e.flags))return;const t=Ml(e.value),r=Li(4,t);r.links.type=xn,e.symbol&&(r.declarations=e.symbol.declarations,r.valueDeclaration=e.symbol.valueDeclaration),n.set(t,r)}));const t=4&e.flags?[Hm(Vn,Ct,!1)]:o;return Os(void 0,n,o,o,t)}(n),s.type,256)}else if(8388608&n.flags&&8388608&s.flags)f(n.objectType,s.objectType),f(n.indexType,s.indexType);else if(268435456&n.flags&&268435456&s.flags)n.symbol===s.symbol&&f(n.type,s.type);else if(33554432&n.flags)f(n.baseType,s),m(sh(n),s,4);else if(16777216&s.flags)_(n,s,T);else if(3145728&s.flags)E(n,s.types,s.flags);else if(1048576&n.flags){const e=n.types;for(const n of e)f(n,s)}else if(134217728&s.flags)!function(e,n){const t=MR(e,n),r=n.types;if(t||N(n.texts,(e=>0===e.length)))for(let e=0;e<r.length;e++){const n=t?t[e]:ot,o=r[e];if(128&n.flags&&8650752&o.flags){const e=b(o),t=e?lf(e.typeParameter):void 0;if(t&&!zl(t)){const e=1048576&t.flags?t.types:[t];let r=Be(e,((e,n)=>e|n.flags),0);if(!(4&r)){const t=n.value;296&r&&!AR(t,!0)&&(r&=-297),2112&r&&!kx(t,!0)&&(r&=-2113);const i=Be(e,((e,o)=>o.flags&r?4&e.flags?e:4&o.flags?n:134217728&e.flags?e:134217728&o.flags&&PR(n,o)?n:268435456&e.flags?e:268435456&o.flags&&t===eb(o.symbol,t)?n:128&e.flags?e:128&o.flags&&o.value===t?o:8&e.flags?e:8&o.flags?BE(+t):32&e.flags?e:32&o.flags?BE(+t):256&e.flags?e:256&o.flags&&o.value===+t?o:64&e.flags?e:64&o.flags?NR(t):2048&e.flags?e:2048&o.flags&&Mx(o.value)===t?o:16&e.flags?e:16&o.flags?"true"===t?Yn:"false"===t?Kn:Zn:512&e.flags?e:512&o.flags&&o.intrinsicName===t?o:32768&e.flags?e:32768&o.flags&&o.intrinsicName===t?o:65536&e.flags?e:65536&o.flags&&o.intrinsicName===t?o:e:e),ot);if(!(131072&i.flags)){f(i,o);continue}}}}f(n,o)}}(n,s);else{if(wp(n=Tf(n))&&wp(s)&&_(n,s,x),!(512&r&&467927040&n.flags)){const e=yf(n);if(e!==n&&!(2621440&e.flags))return f(e,s);n=e}2621440&n.flags&&_(n,s,A)}else g(D_(n),D_(s),jT(n.target))}}}function m(e,n,t){const o=r;r|=t,f(e,n),r=o}function _(e,n,t){const r=e.id+","+n.id,o=s&&s.get(r);if(void 0!==o)return void(u=Math.min(u,o));(s||(s=new Map)).set(r,-1);const i=u;u=2048;const a=p;(l??(l=[])).push(e),(c??(c=[])).push(n),nx(e,l,l.length,2)&&(p|=1),nx(n,c,c.length,2)&&(p|=2),3!==p?t(e,n):u=-1,c.pop(),l.pop(),p=a,s.set(r,u),u=Math.min(u,i)}function h(e,n,t){let r,o;for(const i of n)for(const n of e)t(n,i)&&(f(n,i),r=Te(r,n),o=Te(o,i));return[r?W(e,(e=>!k(r,e))):e,o?W(n,(e=>!k(o,e))):n]}function g(e,n,t){const r=e.length<n.length?e.length:n.length;for(let o=0;o<r;o++)o<t.length&&2==(7&t[o])?y(e[o],n[o]):f(e[o],n[o])}function y(e,n){i=!i,f(e,n),i=!i}function v(e,n){q||1024&r?y(e,n):f(e,n)}function b(n){if(8650752&n.flags)for(const t of e)if(n===t.typeParameter)return t}function E(e,n,t){let o=0;if(1048576&t){let t;const i=1048576&e.flags?e.types:[e],a=new Array(i.length);let s=!1;for(const e of n)if(b(e))t=e,o++;else for(let n=0;n<i.length;n++){const t=u;u=2048,f(i[n],e),u===r&&(a[n]=!0),s=s||-1===u,u=Math.min(u,t)}if(0===o){const t=function(e){let n;for(const t of e){const e=2097152&t.flags&&D(t.types,(e=>!!b(e)));if(!e||n&&e!==n)return;n=e}return n}(n);return void(t&&m(e,t,1))}if(1===o&&!s){const e=H(i,((e,n)=>a[n]?void 0:e));if(e.length)return void f(mv(e),t)}}else for(const t of n)b(t)?o++:f(e,t);if(2097152&t?1===o:o>0)for(const t of n)b(t)&&m(e,t,1)}function S(e,n,t){if(1048576&t.flags||2097152&t.flags){let r=!1;for(const o of t.types)r=S(e,n,o)||r;return r}if(4194304&t.flags){const r=b(t.type);if(r&&!r.isFixed&&!TR(e)){const o=hR(e,n,t);o&&m(o,r.typeParameter,262144&IS(e)?16:8)}return!0}if(262144&t.flags){m(Jv(e,e.pattern?2:0),t,32);const r=Xp(t);if(r&&S(e,n,r))return!0;return f(mv(ae(B(Hp(e),sd),B(Kf(e),(e=>e!==co?e.type:ot)))),Np(n)),!0}return!1}function T(e,n){if(16777216&e.flags)f(e.checkType,n.checkType),f(e.extendsType,n.extendsType),f(eE(e),eE(n)),f(nE(e),nE(n));else{!function(e,n,t,o){const i=r;r|=o,E(e,n,t),r=i}(e,[eE(n),nE(n)],n.flags,i?64:0)}}function x(e,n){f(Rp(e),Rp(n)),f(Np(e),Np(n));const t=Ip(e),r=Ip(n);t&&r&&f(t,r)}function A(e,n){var t,r;if(4&IS(e)&&4&IS(n)&&(e.target===n.target||cx(e)&&cx(n)))g(D_(e),D_(n),jT(e.target));else{if(wp(e)&&wp(n)&&x(e,n),32&IS(n)&&!n.declaration.nameType){if(S(e,n,Rp(n)))return}if(!function(e,n){return nA(e)&&nA(n)?function(e,n){return!(8&n.target.combinedFlags)&&n.target.minLength>e.target.minLength||!n.target.hasRestElement&&(e.target.hasRestElement||n.target.fixedLength<e.target.fixedLength)}(e,n):!!bR(e,n,!1,!0)&&!!bR(n,e,!1,!1)}(e,n)){if(px(e)){if(nA(n)){const a=C_(e),s=C_(n),l=D_(n),c=n.target.elementFlags;if(nA(e)&&(i=n,C_(o=e)===C_(i)&&N(o.target.elementFlags,((e,n)=>(12&e)==(12&i.target.elementFlags[n]))))){for(let n=0;n<s;n++)f(D_(e)[n],l[n]);return}const d=nA(e)?Math.min(e.target.fixedLength,n.target.fixedLength):0,u=Math.min(nA(e)?Hy(e.target,3):0,n.target.hasRestElement?Hy(n.target,3):0);for(let n=0;n<d;n++)f(D_(e)[n],l[n]);if(!nA(e)||a-d-u==1&&4&e.target.elementFlags[d]){const n=D_(e)[d];for(let e=d;e<s-u;e++)f(8&c[e]?ey(n):n,l[e])}else{const o=s-d-u;if(2===o){if(c[d]&c[d+1]&8){const n=b(l[d]);n&&void 0!==n.impliedArity&&(f(Vy(e,d,u+a-n.impliedArity),l[d]),f(Vy(e,d+n.impliedArity,u),l[d+1]))}else if(8&c[d]&&4&c[d+1]){const n=null==(t=b(l[d]))?void 0:t.typeParameter,r=n&&lf(n);if(r&&nA(r)&&!r.target.hasRestElement){const n=r.target.fixedLength;f(Vy(e,d,a-(d+n)),l[d]),f(SA(e,d+n,u),l[d+1])}}else if(4&c[d]&&8&c[d+1]){const t=null==(r=b(l[d+1]))?void 0:r.typeParameter,o=t&&lf(t);if(o&&nA(o)&&!o.target.hasRestElement){const t=o.target.fixedLength,r=a-Hy(n.target,3),i=r-t,s=Dy(D_(e).slice(i,r),e.target.elementFlags.slice(i,r),!1,e.target.labeledElementDeclarations&&e.target.labeledElementDeclarations.slice(i,r));f(SA(e,d,u+t),l[d]),f(s,l[d+1])}}}else if(1===o&&8&c[d]){const t=2&n.target.elementFlags[s-1];m(Vy(e,d,u),l[d],t?2:0)}else if(1===o&&4&c[d]){const n=SA(e,d,u);n&&f(n,l[d])}}for(let n=0;n<u;n++)f(D_(e)[a-n-1],l[s-n-1]);return}if(cx(n))return void C(e,n)}!function(e,n){const t=zp(n);for(const n of t){const t=Lf(e,n.escapedName);t&&!oe(t.declarations,SR)&&f(sd(t),sd(n))}}(e,n),R(e,n,0),R(e,n,1),C(e,n)}var o,i}}function R(e,n,t){const r=wf(e,t),o=r.length;if(o>0){const e=wf(n,t),i=e.length;for(let n=0;n<i;n++){I(Mm(r[Math.max(o-i+n,0)]),Dm(e[n]))}}}function I(e,n){if(!(64&e.flags)){const t=d,r=n.declaration?n.declaration.kind:0;d=d||174===r||173===r||176===r,tR(e,n,v),d=t}rR(e,n,f)}function C(e,n){const t=IS(e)&IS(n)&32?8:0,r=Kf(n);if(jA(e))for(const n of r){const r=[];for(const t of Hp(e))if(Vf(Gv(t,8576),n.keyType)){const e=sd(t);r.push(16777216&t.flags?BA(e):e)}for(const t of Kf(e))Vf(t.keyType,n.keyType)&&r.push(t.type);r.length&&m(mv(r),n.type,t)}for(const n of r){const r=nm(e,n.keyType);r&&m(r.type,n.type,t)}}f(n,t)}function OR(e,n){return n===Wn?e===n:GS(e,n)||!!(4&n.flags&&128&e.flags||8&n.flags&&256&e.flags)}function FR(e,n){return!!(524288&e.flags&&524288&n.flags&&e.symbol&&e.symbol===n.symbol||e.aliasSymbol&&e.aliasTypeArguments&&e.aliasSymbol===n.aliasSymbol)}function WR(e){return!!(128&IS(e))}function zR(e){return!!(16512&IS(e))}function GR(e){return 416&e.priority?Nv(e.contraCandidates):Be(e.contraCandidates,((e,n)=>US(n,e)?n:e))}function BR(e,n){const t=function(e){if(e.length>1){const n=W(e,zR);if(n.length){const t=mv(n,2);return ae(W(e,(e=>!zR(e))),[t])}}return e}(e.candidates),r=function(e){const n=Yp(e);return!!n&&Ww(16777216&n.flags?tf(n):n,406978556)}(e.typeParameter)||ef(e.typeParameter),o=!r&&e.topLevel&&(e.isFixed||!function(e,n){const t=ym(e);return t?!!t.type&&_R(t.type,n):_R(bm(e),n)}(n,e.typeParameter)),i=r?V(t,WE):o?V(t,Kx):t;return $A(416&e.priority?mv(i,2):lx(i))}function jR(e,n){const t=e.inferences[n];if(!t.inferredType){let i,a;if(e.signature){const s=t.candidates?BR(t,e.signature):void 0,l=t.contraCandidates?GR(t):void 0;if(s||l){const n=s&&(!l||!(131072&s.flags)&&oe(t.contraCandidates,(e=>US(s,e)))&&N(e.inferences,(e=>e!==t&&Yp(e.typeParameter)!==t.typeParameter||N(e.candidates,(e=>US(e,s))))));i=n?s:l,a=n?l:s}else if(1&e.flags)i=it;else{const a=ff(t.typeParameter);a&&(i=AS(a,(r=function(e,n){const t=e.inferences.slice(n);return eS(B(t,(e=>e.typeParameter)),B(t,(()=>Ln)))}(e,n),o=e.nonFixingMapper,r?iS(5,r,o):o)))}}else i=ER(t);t.inferredType=i||VR(!!(2&e.flags));const s=Yp(t.typeParameter);if(s){const n=AS(s,e.nonFixingMapper);i&&e.compareTypes(i,ku(n,i))||(t.inferredType=a&&e.compareTypes(a,ku(n,a))?a:n)}}var r,o;return t.inferredType}function VR(e){return e?xn:Ln}function KR(e){const n=[];for(let t=0;t<e.inferences.length;t++)n.push(jR(e,t));return n}function qR(e){switch(e.escapedText){case"document":case"console":return Oa.Cannot_find_name_0_Do_you_need_to_change_your_target_library_Try_changing_the_lib_compiler_option_to_include_dom;case"$":return A.types?Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_jQuery_Try_npm_i_save_dev_types_Slashjquery_and_then_add_jquery_to_the_types_field_in_your_tsconfig:Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_jQuery_Try_npm_i_save_dev_types_Slashjquery;case"describe":case"suite":case"it":case"test":return A.types?Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_a_test_runner_Try_npm_i_save_dev_types_Slashjest_or_npm_i_save_dev_types_Slashmocha_and_then_add_jest_or_mocha_to_the_types_field_in_your_tsconfig:Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_a_test_runner_Try_npm_i_save_dev_types_Slashjest_or_npm_i_save_dev_types_Slashmocha;case"process":case"require":case"Buffer":case"module":return A.types?Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_node_Try_npm_i_save_dev_types_Slashnode_and_then_add_node_to_the_types_field_in_your_tsconfig:Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_node_Try_npm_i_save_dev_types_Slashnode;case"Bun":return A.types?Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_Bun_Try_npm_i_save_dev_types_Slashbun_and_then_add_bun_to_the_types_field_in_your_tsconfig:Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_Bun_Try_npm_i_save_dev_types_Slashbun;case"Map":case"Set":case"Promise":case"Symbol":case"WeakMap":case"WeakSet":case"Iterator":case"AsyncIterator":case"SharedArrayBuffer":case"Atomics":case"AsyncIterable":case"AsyncIterableIterator":case"AsyncGenerator":case"AsyncGeneratorFunction":case"BigInt":case"Reflect":case"BigInt64Array":case"BigUint64Array":return Oa.Cannot_find_name_0_Do_you_need_to_change_your_target_library_Try_changing_the_lib_compiler_option_to_1_or_later;case"await":if(dD(e.parent))return Oa.Cannot_find_name_0_Did_you_mean_to_write_this_in_an_async_function;default:return 304===e.parent.kind?Oa.No_value_exists_in_scope_for_the_shorthand_property_0_Either_declare_one_or_provide_an_initializer:Oa.Cannot_find_name_0}}function JR(e){const n=Hi(e);return n.resolvedSymbol||(n.resolvedSymbol=!im(e)&&na(e,e.escapedText,1160127,qR(e),e,!yS(e),!1)||vn),n.resolvedSymbol}function YR(e){return!!(33554432&e.flags||Nl(e,(e=>cC(e)||dC(e)||WN(e))))}function $R(e,n,t,r){switch(e.kind){case 80:if(!Sb(e)){const o=JR(e);return o!==vn?`${r?Hz(r):"-1"}|${Jy(n)}|${Jy(t)}|${Kz(o)}`:void 0}case 110:return`0|${r?Hz(r):"-1"}|${Jy(n)}|${Jy(t)}`;case 235:case 217:return $R(e.expression,n,t,r);case 166:const o=$R(e.left,n,t,r);return o&&o+"."+e.right.escapedText;case 211:case 212:const i=ZR(e);if(void 0!==i){const o=$R(e.expression,n,t,r);return o&&o+"."+i}break;case 206:case 207:case 262:case 218:case 219:case 174:return`${Hz(e)}#${Jy(n)}`}}function QR(e,n){switch(n.kind){case 217:case 235:return QR(e,n.expression);case 226:return gE(n)&&QR(e,n.left)||TD(n)&&28===n.operatorToken.kind&&QR(e,n.right)}switch(e.kind){case 236:return 236===n.kind&&e.keywordToken===n.keywordToken&&e.name.escapedText===n.name.escapedText;case 80:case 81:return Sb(e)?110===n.kind:80===n.kind&&JR(e)===JR(n)||(iC(n)||iD(n))&&Ss(JR(e))===ps(n);case 110:return 110===n.kind;case 108:return 108===n.kind;case 235:case 217:return QR(e.expression,n);case 211:case 212:const t=ZR(e),r=wS(n)?ZR(n):void 0;return void 0!==t&&void 0!==r&&r===t&&QR(e.expression,n.expression);case 166:return wS(n)&&e.right.escapedText===ZR(n)&&QR(e.left,n.expression);case 226:return TD(e)&&28===e.operatorToken.kind&&QR(e.right,n)}return!1}function ZR(e){if(lD(e))return e.name.escapedText;if(cD(e))return nv((n=e).argumentExpression)?Ml(n.argumentExpression.text):EE(n.argumentExpression)?function(e){const n=qa(e,111551,!0);if(!n||!(qN(n)||8&n.flags))return;const t=n.valueDeclaration;if(void 0===t)return;const r=Vc(t);if(r){const e=eI(r);if(void 0!==e)return e}if(Qu(t)&&Xi(t,e)){const e=dg(t);if(e){const n=Vd(t.parent)?tc(t):gO(e);return n&&eI(n)}if(nM(t))return l_(t.name)}}(n.argumentExpression):void 0;var n;if(iD(e)){const n=Zl(e);return n?Ml(n):void 0}return bN(e)?""+e.parent.parameters.indexOf(e):void 0}function eI(e){return 8192&e.flags?e.escapedName:384&e.flags?Ml(""+e.value):void 0}function nI(e,n){for(;wS(e);)if(QR(e=e.expression,n))return!0;return!1}function tI(e,n){for(;wc(e);)if(QR(e=e.expression,n))return!0;return!1}function rI(e,n){if(e&&1048576&e.flags){const t=Ef(e,n);if(t&&2&mS(t))return void 0===t.links.isDiscriminantProperty&&(t.links.isDiscriminantProperty=!(192&~t.links.checkFlags||ub(sd(t)))),!!t.links.isDiscriminantProperty}return!1}function oI(e,n){let t;for(const r of e)if(rI(n,r.escapedName)){if(t){t.push(r);continue}t=[r]}return t}function iI(e){const n=e.types;if(!(n.length<10||32768&IS(e)||F(n,(e=>!!(59506688&e.flags)))<10)){if(void 0===e.keyPropertyName){const t=E(n,(e=>59506688&e.flags?E(Hp(e),(e=>Wx(sd(e))?e.escapedName:void 0)):void 0)),r=t&&function(e,n){const t=new Map;let r=0;for(const o of e)if(61603840&o.flags){const e=Ol(o,n);if(e){if(!Bx(e))return;let n=!1;wI(e,(e=>{const r=Jy(WE(e)),i=t.get(r);i?i!==Ln&&(t.set(r,Ln),n=!0):t.set(r,o)})),n||r++}}return r>=10&&2*r>=e.length?t:void 0}(n,t);e.keyPropertyName=r?t:"",e.constituentMap=r}return e.keyPropertyName.length?e.keyPropertyName:void 0}}function aI(e,n){var t;const r=null==(t=e.constituentMap)?void 0:t.get(Jy(WE(n)));return r!==Ln?r:void 0}function sI(e,n){const t=iI(e),r=t&&Ol(n,t);return r&&aI(e,r)}function lI(e,n){return QR(e,n)||nI(e,n)}function cI(e,n){if(e.arguments)for(const t of e.arguments)if(lI(n,t)||tI(t,n))return!0;return!(211!==e.expression.kind||!lI(n,e.expression.expression))}function dI(e){return(!e.id||e.id<0)&&(e.id=Lz,Lz++),e.id}function uI(e,n){if(e===n)return e;if(131072&n.flags)return n;const t=`A${Jy(e)},${Jy(n)}`;return yi(t)??vi(t,function(e,n){const t=GI(e,(e=>function(e,n){if(!(1048576&e.flags))return KS(e,n);for(const t of e.types)if(KS(t,n))return!0;return!1}(n,e))),r=512&n.flags&&zE(n)?VI(t,FE):t;return KS(n,r)?r:e}(e,n))}function pI(e){const n=Fp(e);return!!(n.callSignatures.length||n.constructSignatures.length||n.members.get("bind")&&US(e,$t))}function fI(e,n){return _I(e,n)&n}function mI(e,n){return 0!==fI(e,n)}function _I(e,n){467927040&e.flags&&(e=lf(e)||Ln);const t=e.flags;if(268435460&t)return K?16317953:16776705;if(134217856&t){const n=128&t&&""===e.value;return K?n?12123649:7929345:n?12582401:16776705}if(40&t)return K?16317698:16776450;if(256&t){const n=0===e.value;return K?n?12123394:7929090:n?12582146:16776450}if(64&t)return K?16317188:16775940;if(2048&t){const n=NA(e);return K?n?12122884:7928580:n?12581636:16775940}if(16&t)return K?16316168:16774920;if(528&t)return K?e===Kn||e===Jn?12121864:7927560:e===Kn||e===Jn?12580616:16774920;if(524288&t){return n&(K?83427327:83886079)?16&IS(e)&&gT(e)?K?83427327:83886079:pI(e)?K?7880640:16728e3:K?7888800:16736160:0}return 16384&t?9830144:32768&t?26607360:65536&t?42917664:12288&t?K?7925520:16772880:67108864&t?K?7888800:16736160:131072&t?0:1048576&t?Be(e.types,((e,t)=>e|_I(t,n)),0):2097152&t?function(e,n){const t=Ww(e,402784252);let r=0,o=134217727;for(const i of e.types)if(!(t&&524288&i.flags)){const e=_I(i,n);r|=e,o&=e}return 8256&r|134209471&o}(e,n):83886079}function hI(e,n){return GI(e,(e=>mI(e,n)))}function gI(e,n){const t=yI(hI(K&&2&e.flags?wt:e,n));if(K)switch(n){case 524288:return VI(t,(e=>mI(e,65536)?Nv([e,mI(e,131072)&&!Ww(t,65536)?mv([Ct,Bn]):Ct]):e));case 1048576:return VI(t,(e=>mI(e,131072)?Nv([e,mI(e,65536)&&!Ww(t,32768)?mv([Ct,On]):Ct]):e));case 2097152:case 4194304:return VI(t,(e=>mI(e,262144)?function(e){return dr||(dr=Qh("NonNullable",524288,void 0)||vn),dr!==vn?w_(dr,[e]):Nv([e,Ct])}(e):e))}return t}function yI(e){return e===wt?Ln:e}function vI(e,n){return n?mv([Xl(e),gO(n)]):e}function bI(e,n){var t;const r=zv(n);if(!xA(r))return Nn;const o=AA(r);return Ol(e,o)||SI(null==(t=tm(e,o))?void 0:t.type)||Nn}function EI(e,n){return WI(e,Tx)&&function(e,n){const t=Ol(e,""+n);return t||(WI(e,nA)?bA(e,n,A.noUncheckedIndexedAccess?On:void 0):void 0)}(e,n)||SI(YF(65,e,On,void 0))||Nn}function SI(e){return e&&A.noUncheckedIndexedAccess?mv([e,Wn]):e}function TI(e){return ey(YF(65,e,On,void 0)||Nn)}function xI(e){return 226===e.parent.kind&&e.parent.left===e||250===e.parent.kind&&e.parent.initializer===e}function AI(e){return bI(RI(e.parent),e.name)}function RI(e){const{parent:n}=e;switch(n.kind){case 249:return Vn;case 250:return XF(n)||Nn;case 226:return function(e){return 209===e.parent.kind&&xI(e.parent)||303===e.parent.kind&&xI(e.parent.parent)?vI(RI(e),e.right):gO(e.right)}(n);case 220:return On;case 209:return function(e,n){return EI(RI(e),e.elements.indexOf(n))}(n,e);case 230:return function(e){return TI(RI(e.parent))}(n);case 303:return AI(n);case 304:return function(e){return vI(AI(e),e.objectAssignmentInitializer)}(n)}return Nn}function II(e){return Hi(e).resolvedType||gO(e)}function NI(e){return 260===e.kind?function(e){return e.initializer?II(e.initializer):249===e.parent.parent.kind?Vn:250===e.parent.parent.kind&&XF(e.parent.parent)||Nn}(e):function(e){const n=e.parent,t=NI(n.parent);return vI(206===n.kind?bI(t,e.propertyName||e.name):e.dotDotDotToken?TI(t):EI(t,n.elements.indexOf(e)),e.initializer)}(e)}function DI(e){switch(e.kind){case 217:return DI(e.expression);case 226:switch(e.operatorToken.kind){case 64:case 76:case 77:case 78:return DI(e.left);case 28:return DI(e.right)}}return e}function CI(e){const{parent:n}=e;return 217===n.kind||226===n.kind&&64===n.operatorToken.kind&&n.left===e||226===n.kind&&28===n.operatorToken.kind&&n.right===e?CI(n):e}function MI(e){return 296===e.kind?WE(gO(e.expression)):ot}function PI(e){const n=Hi(e);if(!n.switchTypes){n.switchTypes=[];for(const t of e.caseBlock.clauses)n.switchTypes.push(MI(t))}return n.switchTypes}function LI(e){if(oe(e.caseBlock.clauses,(e=>296===e.kind&&!tp(e.expression))))return;const n=[];for(const t of e.caseBlock.clauses){const e=296===t.kind?t.expression.text:void 0;n.push(e&&!k(n,e)?e:void 0)}return n}function kI(e,n){return!!(e===n||131072&e.flags||1048576&n.flags&&function(e,n){if(1048576&e.flags){for(const t of e.types)if(!Yy(n.types,t))return!1;return!0}if(1056&e.flags&&Xd(e)===n)return!0;return Yy(n.types,e)}(e,n))}function wI(e,n){return 1048576&e.flags?E(e.types,n):n(e)}function OI(e,n){return 1048576&e.flags?oe(e.types,n):n(e)}function WI(e,n){return 1048576&e.flags?N(e.types,n):n(e)}function GI(e,n){if(1048576&e.flags){const t=e.types,r=W(t,n);if(r===t)return e;const o=e.origin;let i;if(o&&1048576&o.flags){const e=o.types,a=W(e,(e=>!!(1048576&e.flags)||n(e)));if(e.length-a.length==t.length-r.length){if(1===a.length)return a[0];i=fv(1048576,a)}}return Tv(r,16809984&e.objectFlags,void 0,void 0,i)}return 131072&e.flags||n(e)?e:ot}function BI(e,n){return GI(e,(e=>e!==n))}function jI(e){return 1048576&e.flags?e.types.length:1}function VI(e,n,t){if(131072&e.flags)return e;if(!(1048576&e.flags))return n(e);const r=e.origin,o=r&&1048576&r.flags?r.types:e.types;let i,a=!1;for(const e of o){const r=1048576&e.flags?VI(e,n,t):n(e);a||(a=e!==r),r&&(i?i.push(r):i=[r])}return a?i&&mv(i,t?0:1):e}function UI(e,n,t,r){return 1048576&e.flags&&t?mv(B(e.types,n),1,t,r):VI(e,n)}function HI(e,n){return GI(e,(e=>!!(e.flags&n)))}function KI(e,n){return Ww(e,134217804)&&Ww(n,402655616)?VI(e,(e=>4&e.flags?HI(n,402653316):cb(e)&&!Ww(n,402653188)?HI(n,128):8&e.flags?HI(n,264):64&e.flags?HI(n,2112):e)):e}function qI(e){return 0===e.flags}function JI(e){return 0===e.flags?e.type:e}function XI(e,n){return n?{flags:0,type:131072&e.flags?it:e}:e}function YI(e){return fn[e.id]||(fn[e.id]=function(e){const n=Cs(256);return n.elementType=e,n}(e))}function $I(e,n){const t=HA(Ux(vO(n)));return kI(t,e.elementType)?e:YI(mv([e.elementType,t]))}function QI(e){return e.finalArrayType||(e.finalArrayType=131072&(n=e.elementType).flags?lr:ey(1048576&n.flags?mv(n.types,2):n));var n}function ZI(e){return 256&IS(e)?QI(e):e}function eN(e){return 256&IS(e)?e.elementType:ot}function nN(e){const n=CI(e),t=n.parent,r=lD(t)&&("length"===t.name.escapedText||213===t.parent.kind&&tN(t.name)&&yv(t.name)),o=212===t.kind&&t.expression===n&&226===t.parent.kind&&64===t.parent.operatorToken.kind&&t.parent.left===t&&!my(t.parent)&&zw(gO(t.argumentExpression),296);return r||o}function oN(e,n){if(8752&(e=Fa(e)).flags)return sd(e);if(7&e.flags){if(262144&mS(e)){const n=e.links.syntheticOrigin;if(n&&oN(n))return sd(e)}const r=e.valueDeclaration;if(r){if((iC(t=r)||TN(t)||SN(t)||bN(t))&&(Ab(t)||Yh(t)&&$u(t)&&t.initializer&&eA(t.initializer)&&Ib(t.initializer)))return sd(e);if(iC(r)&&250===r.parent.parent.kind){const e=r.parent.parent,n=iN(e.expression,void 0);if(n){return YF(e.awaitModifier?15:13,n,On,void 0)}}n&&xx(n,d_(r,Oa._0_needs_an_explicit_type_annotation,rl(e)))}}var t}function iN(e,n){if(!(67108864&e.flags))switch(e.kind){case 80:return oN(Ss(JR(e)),n);case 110:return function(e){const n=vh(e,!1,!1);if(Td(n)){const e=pm(n);if(e.thisParameter)return oN(e.thisParameter)}if(Md(n.parent)){const e=ps(n.parent);return jb(n)?sd(e):ou(e).thisType}}(e);case 108:return zD(e);case 211:{const t=iN(e.expression,n);if(t){const r=e.name;let o;if(rN(r)){if(!t.symbol)return;o=Lf(t,dv(t.symbol,r.escapedText))}else o=Lf(t,r.escapedText);return o&&oN(o,n)}return}case 217:return iN(e.expression,n)}}function aN(e){const n=Hi(e);let t=n.effectsSignature;if(void 0===t){let r;if(TD(e)){r=Vw(DP(e.right))}else 244===e.parent.kind?r=iN(e.expression,void 0):108!==e.expression.kind&&(r=wc(e)?wP(WA(bO(e.expression),e.expression),e.expression):DP(e.expression));const o=wf(r&&yf(r)||Ln,0),i=1!==o.length||o[0].typeParameters?oe(o,sN)?hk(e):void 0:o[0];t=n.effectsSignature=i&&sN(i)?i:ao}return t===ao?void 0:t}function sN(e){return!!(ym(e)||e.declaration&&131072&(Em(e.declaration)||Ln).flags)}function lN(e){const n=dN(e,!1);return Zr=e,eo=n,n}function cN(e){const n=Ty(e,!0);return 97===n.kind||226===n.kind&&(56===n.operatorToken.kind&&(cN(n.left)||cN(n.right))||57===n.operatorToken.kind&&cN(n.left)&&cN(n.right))}function dN(e,n){for(;;){if(e===Zr)return eo;const t=e.flags;if(4096&t){if(!n){const n=dI(e),t=Zo[n];return void 0!==t?t:Zo[n]=dN(e,!0)}n=!1}if(368&t)e=e.antecedent;else if(512&t){const n=aN(e.node);if(n){const t=ym(n);if(t&&3===t.kind&&!t.type){const n=e.node.arguments[t.parameterIndex];if(n&&cN(n))return!1}if(131072&bm(n).flags)return!1}e=e.antecedent}else{if(4&t)return oe(e.antecedents,(e=>dN(e,!1)));if(8&t){const n=e.antecedents;if(void 0===n||0===n.length)return!1;e=n[0]}else{if(!(128&t)){if(1024&t){Zr=void 0;const n=e.target,t=n.antecedents;n.antecedents=e.antecedents;const r=dN(e.antecedent,!1);return n.antecedents=t,r}return!(1&t)}if(e.clauseStart===e.clauseEnd&&xw(e.switchStatement))return!1;e=e.antecedent}}}}function uN(e,n){for(;;){const t=e.flags;if(4096&t){if(!n){const n=dI(e),t=ei[n];return void 0!==t?t:ei[n]=uN(e,!0)}n=!1}if(496&t)e=e.antecedent;else if(512&t){if(108===e.node.expression.kind)return!0;e=e.antecedent}else{if(4&t)return N(e.antecedents,(e=>uN(e,!1)));if(!(8&t)){if(1024&t){const n=e.target,t=n.antecedents;n.antecedents=e.antecedents;const r=uN(e.antecedent,!1);return n.antecedents=t,r}return!!(1&t)}e=e.antecedents[0]}}}function pN(e){switch(e.kind){case 110:return!0;case 80:if(!Sb(e)){const n=JR(e);return qN(n)||XN(n)&&!hN(n)}break;case 211:case 212:return pN(e.expression)&&Mw(Hi(e).resolvedSymbol||vn);case 206:case 207:const n=bv(e.parent);return bN(n)||Zx(n)?!zN(n):iC(n)&&MB(n)}return!1}function fN(e,n,t=n,r,o=(n=>null==(n=hn(e,Qg))?void 0:n.flowNode)()){let i,a=!1,s=0;if(xo)return Nn;if(!o)return n;Ao++;const l=To,c=JI(p(o));To=l;const d=256&IS(c)&&nN(e)?lr:ZI(c);return d===dt||e.parent&&235===e.parent.kind&&!(131072&d.flags)&&131072&hI(d,2097152).flags?n:d===kn?Ln:d;function u(){return a?i:(a=!0,i=$R(e,n,t,r))}function p(o){var i;if(2e3===s)return null==(i=Cr)||i.instant(Cr.Phase.CheckTypes,"getTypeAtFlowNode_DepthLimit",{flowId:o.id}),xo=!0,function(e){const n=Nl(e,Dd),t=$f(e),r=b_(t,n.statements.pos);si.add(iT(t,r.start,r.length,Oa.The_containing_function_or_module_body_is_too_large_for_control_flow_analysis))}(e),Nn;let a;for(s++;;){const i=o.flags;if(4096&i){for(let e=l;e<To;e++)if($o[e]===o)return s--,Qo[e];a=o}let c;if(16&i){if(c=m(o),!c){o=o.antecedent;continue}}else if(512&i){if(c=h(o),!c){o=o.antecedent;continue}}else if(96&i)c=v(o);else if(128&i)c=b(o);else if(12&i){if(1===o.antecedents.length){o=o.antecedents[0];continue}c=4&i?E(o):S(o)}else if(256&i){if(c=g(o),!c){o=o.antecedent;continue}}else if(1024&i){const e=o.target,n=e.antecedents;e.antecedents=o.antecedents,c=p(o.antecedent),e.antecedents=n}else if(2&i){const n=o.node;if(n&&n!==r&&211!==e.kind&&212!==e.kind&&(110!==e.kind||219===n.kind)){o=n.flowNode;continue}c=t}else c=FF(n);return a&&($o[To]=a,Qo[To]=c,To++),s--,c}}function f(n){const t=n.node;return fD(260===t.kind||208===t.kind?NI(t):RI(t),e)}function m(t){const r=t.node;if(QR(e,r)){if(!lN(t))return dt;if(2===fy(r)){const e=p(t.antecedent);return XI(Ux(JI(e)),qI(e))}if(n===An||n===lr){if(function(e){return 260===e.kind&&e.initializer&&ic(e.initializer)||208!==e.kind&&226===e.parent.kind&&ic(e.parent.right)}(r))return YI(ot);const e=Kx(f(t));return KS(e,n)?e:sr}const e=_y(r)?Ux(n):n;return 1048576&e.flags?uI(e,f(t)):e}if(nI(e,r)){if(!lN(t))return dt;if(iC(r)&&(Yh(r)||MB(r))){const e=ug(r);if(e&&(218===e.kind||219===e.kind))return p(t.antecedent)}return n}if(iC(r)&&249===r.parent.parent.kind&&(QR(e,r.parent.parent.expression)||tI(r.parent.parent.expression,e)))return MP(ZI(JI(p(t.antecedent))))}function _(e,n){const t=Ty(n,!0);if(97===t.kind)return dt;if(226===t.kind){if(56===t.operatorToken.kind)return _(_(e,t.left),t.right);if(57===t.operatorToken.kind)return mv([_(e,t.left),_(e,t.right)])}return Z(e,t,!0)}function h(e){const n=aN(e.node);if(n){const t=ym(n);if(t&&(2===t.kind||3===t.kind)){const n=p(e.antecedent),r=ZI(JI(n)),o=t.type?Q(r,t,e.node,!0):3===t.kind&&t.parameterIndex>=0&&t.parameterIndex<e.node.arguments.length?_(r,e.node.arguments[t.parameterIndex]):r;return o===r?n:XI(o,qI(n))}if(131072&bm(n).flags)return dt}}function g(t){if(n===An||n===lr){const n=t.node,r=213===n.kind?n.expression.expression:n.left.expression;if(QR(e,DI(r))){const e=p(t.antecedent),r=JI(e);if(256&IS(r)){let t=r;if(213===n.kind)for(const e of n.arguments)t=$I(t,e);else{zw(vO(n.left.argumentExpression),296)&&(t=$I(t,n.right))}return t===r?e:XI(t,qI(e))}return e}}}function v(e){const n=p(e.antecedent),t=JI(n);if(131072&t.flags)return n;const r=!!(32&e.flags),o=ZI(t),i=Z(o,e.node,r);return i===o?n:XI(i,qI(n))}function b(n){const t=Ty(n.switchStatement.expression),r=p(n.antecedent);let o=JI(r);if(QR(e,t))o=U(o,n.switchStatement,n.clauseStart,n.clauseEnd);else if(221===t.kind&&QR(e,t.expression))o=function(e,n,t,r){const o=LI(n);if(!o)return e;const i=M(n.caseBlock.clauses,(e=>297===e.kind));if(t===r||i>=t&&i<r){const n=Tw(t,r,o);return GI(e,(e=>fI(e,n)===n))}return mv(B(o.slice(t,r),(n=>n?H(e,n):ot)))}(o,n.switchStatement,n.clauseStart,n.clauseEnd);else if(112===t.kind)o=function(e,n,t,r){const o=M(n.caseBlock.clauses,(e=>297===e.kind)),i=t===r||o>=t&&o<r;for(let r=0;r<t;r++){const t=n.caseBlock.clauses[r];296===t.kind&&(e=Z(e,t.expression,!1))}if(i){for(let t=r;t<n.caseBlock.clauses.length;t++){const r=n.caseBlock.clauses[t];296===r.kind&&(e=Z(e,r.expression,!1))}return e}return mv(B(n.caseBlock.clauses.slice(t,r),(n=>296===n.kind?Z(e,n.expression,!0):ot)))}(o,n.switchStatement,n.clauseStart,n.clauseEnd);else{K&&(tI(t,e)?o=j(o,n.switchStatement,n.clauseStart,n.clauseEnd,(e=>!(163840&e.flags))):221===t.kind&&tI(t.expression,e)&&(o=j(o,n.switchStatement,n.clauseStart,n.clauseEnd,(e=>!(131072&e.flags||128&e.flags&&"undefined"===e.value)))));const r=x(t,o);r&&(o=function(e,n,t,r,o){if(r<o&&1048576&e.flags&&iI(e)===ZR(n)){const n=mv(B(PI(t).slice(r,o),(n=>aI(e,n)||Ln)));if(n!==Ln)return n}return A(e,n,(e=>U(e,t,r,o)))}(o,r,n.switchStatement,n.clauseStart,n.clauseEnd))}return XI(o,qI(r))}function E(e){const r=[];let o,i=!1,a=!1;for(const s of e.antecedents){if(!o&&128&s.flags&&s.clauseStart===s.clauseEnd){o=s;continue}const e=p(s),l=JI(e);if(l===n&&n===t)return l;Se(r,l),kI(l,t)||(i=!0),qI(e)&&(a=!0)}if(o){const e=p(o),s=JI(e);if(!(131072&s.flags||k(r,s)||xw(o.switchStatement))){if(s===n&&n===t)return s;r.push(s),kI(s,t)||(i=!0),qI(e)&&(a=!0)}}return XI(T(r,i?2:1),a)}function S(e){const r=dI(e),o=qo[r]||(qo[r]=new Map),i=u();if(!i)return n;const a=o.get(i);if(a)return a;for(let n=Eo;n<So;n++)if(Jo[n]===e&&Xo[n]===i&&Yo[n].length)return XI(T(Yo[n],1),!0);const s=[];let l,c=!1;for(const r of e.antecedents){let a;if(l){Jo[So]=e,Xo[So]=i,Yo[So]=s,So++;const n=no;no=void 0,a=p(r),no=n,So--;const t=o.get(i);if(t)return t}else a=l=p(r);const d=JI(a);if(Se(s,d),kI(d,t)||(c=!0),d===n)break}const d=T(s,c?2:1);return qI(l)?XI(d,!0):(o.set(i,d),d)}function T(e,t){if(function(e){let n=!1;for(const t of e)if(!(131072&t.flags)){if(!(256&IS(t)))return!1;n=!0}return n}(e))return YI(mv(B(e,eN)));const r=yI(mv(V(e,ZI),t));return r!==n&&r.flags&n.flags&1048576&&w(r.types,n.types)?n:r}function x(t,r){if(1048576&n.flags||1048576&r.flags){const o=function(n){if(Vd(e)||eA(e)||oh(e)){if(tN(n)){const t=JR(n).valueDeclaration;if(t&&(iD(t)||bN(t))&&e===t.parent&&!t.initializer&&!t.dotDotDotToken)return t}}else if(wS(n)){if(QR(e,n.expression))return n}else if(tN(n)){const t=JR(n);if(qN(t)){const n=t.valueDeclaration;if(iC(n)&&!n.type&&n.initializer&&wS(n.initializer)&&QR(e,n.initializer.expression))return n.initializer;if(iD(n)&&!n.initializer){const t=n.parent.parent;if(iC(t)&&!t.type&&t.initializer&&(tN(t.initializer)||wS(t.initializer))&&QR(e,t.initializer))return n}}}}(t);if(o){const e=ZR(o);if(e){if(rI(1048576&n.flags&&kI(r,n)?n:r,e))return o}}}}function A(e,n,t){const r=ZR(n);if(void 0===r)return e;const o=wc(n),i=K&&(o||mA(n))&&Ww(e,98304);let a=Ol(i?hI(e,2097152):e,r);if(!a)return e;a=i&&o?LA(a):a;const s=t(a);return GI(e,(e=>{const n=Fl(e,r)||Ln;return!(131072&n.flags)&&!(131072&s.flags)&&XS(s,n)}))}function R(e,n,t,r,o){if((37===t||38===t)&&1048576&e.flags){const i=iI(e);if(i&&i===ZR(n)){const n=aI(e,gO(r));if(n)return t===(o?37:38)?n:Wx(Ol(n,i)||Ln)?BI(e,n):e}}return A(e,n,(e=>W(e,t,r,o)))}function I(n,t,r){if(QR(e,t))return gI(n,r?4194304:8388608);K&&r&&tI(t,e)&&(n=gI(n,2097152));const o=x(t,n);return o?A(n,o,(e=>hI(e,r?4194304:8388608))):n}function C(e,n,t){const r=Lf(e,n);return r?!!(16777216&r.flags||48&mS(r))||t:!!tm(e,n)||!t}function P(e,n,t){const r=AA(n);if(OI(e,(e=>C(e,r,!0))))return GI(e,(e=>C(e,r,t)));if(t){const t=(Ur||(Ur=Xh("Record",2,!0)||vn),Ur===vn?void 0:Ur);if(t)return Nv([e,w_(t,[n,Ln])])}return e}function L(e,n,t,r,o){return Z(e,n,o=o!==(112===t.kind)!=(38!==r&&36!==r))}function O(n,t,r){switch(t.operatorToken.kind){case 64:case 76:case 77:case 78:return I(Z(n,t.right,r),t.left,r);case 35:case 36:case 37:case 38:const o=t.operatorToken.kind,i=DI(t.left),a=DI(t.right);if(221===i.kind&&tp(a))return z(n,i,o,a,r);if(221===a.kind&&tp(i))return z(n,a,o,i,r);if(QR(e,i))return W(n,o,a,r);if(QR(e,a))return W(n,o,i,r);K&&(tI(i,e)?n=F(n,o,a,r):tI(a,e)&&(n=F(n,o,i,r)));const s=x(i,n);if(s)return R(n,s,o,a,r);const l=x(a,n);if(l)return R(n,l,o,i,r);if(J(i))return X(n,o,a,r);if(J(a))return X(n,o,i,r);if(Rd(a)&&!wS(i))return L(n,i,a,o,r);if(Rd(i)&&!wS(a))return L(n,a,i,o,r);break;case 104:return function(n,t,r){const o=DI(t.left);if(!QR(e,o))return r&&K&&tI(o,e)?gI(n,2097152):n;const i=t.right,a=gO(i);if(!qS(a,Yt))return n;const s=aN(t),l=s&&ym(s);if(l&&1===l.kind&&0===l.parameterIndex)return $(n,l.type,r,!0);if(!qS(a,$t))return n;const c=VI(a,Y);if(zl(n)&&(c===Yt||c===$t)||!r&&(!(524288&c.flags)||yT(c)))return n;return $(n,c,r,!0)}(n,t,r);case 103:if(rN(t.left))return function(n,t,r){const o=DI(t.right);if(!QR(e,o))return n;Tt.assertNode(t.left,rN);const i=UP(t.left);if(void 0===i)return n;const a=i.parent,s=Vb(Tt.checkDefined(i.valueDeclaration,"should always have a declaration"))?sd(a):ou(a);return $(n,s,r,!0)}(n,t,r);const c=DI(t.right);if(GA(n)&&wS(e)&&QR(e.expression,c)){const o=gO(t.left);if(xA(o)&&ZR(e)===AA(o))return hI(n,r?524288:65536)}if(QR(e,c)){const e=gO(t.left);if(xA(e))return P(n,e,r)}break;case 28:return Z(n,t.right,r);case 56:return r?Z(Z(n,t.left,!0),t.right,!0):mv([Z(n,t.left,!1),Z(n,t.right,!1)]);case 57:return r?mv([Z(n,t.left,!0),Z(n,t.right,!0)]):Z(Z(n,t.left,!1),t.right,!1)}return n}function F(e,n,t,r){const o=35===n||37===n,i=35===n||36===n?98304:32768,a=gO(t);return o!==r&&WI(a,(e=>!!(e.flags&i)))||o===r&&WI(a,(e=>!(e.flags&(3|i))))?gI(e,2097152):e}function W(e,n,t,r){if(1&e.flags)return e;36!==n&&38!==n||(r=!r);const o=gO(t),i=35===n||36===n;if(98304&o.flags){if(!K)return e;return gI(e,i?r?262144:2097152:65536&o.flags?r?131072:1048576:r?65536:524288)}if(r){if(!i&&(2&e.flags||OI(e,yT))){if(469893116&o.flags||yT(o))return o;if(524288&o.flags)return mt}return KI(GI(e,(e=>{return XS(e,o)||i&&(n=o,!!(524&e.flags)&&!!(28&n.flags));var n})),o)}return Wx(o)?GI(e,(e=>!(zx(e)&&XS(e,o)))):e}function z(n,t,r,o,i){36!==r&&38!==r||(i=!i);const a=DI(t.expression);if(!QR(e,a)){K&&tI(a,e)&&i===("undefined"!==o.text)&&(n=gI(n,2097152));const t=x(a,n);return t?A(n,t,(e=>G(e,o,i))):n}return G(n,o,i)}function G(e,n,t){return t?H(e,n.text):gI(e,wz.get(n.text)||32768)}function j(e,n,t,r,o){return t!==r&&N(PI(n).slice(t,r),o)?hI(e,2097152):e}function U(e,n,t,r){const o=PI(n);if(!o.length)return e;const i=o.slice(t,r),a=t===r||k(i,ot);if(2&e.flags&&!a){let n;for(let t=0;t<i.length;t+=1){const r=i[t];if(469893116&r.flags)void 0!==n&&n.push(r);else{if(!(524288&r.flags))return e;void 0===n&&(n=i.slice(0,t)),n.push(mt)}}return mv(void 0===n?i:n)}const s=mv(i),l=131072&s.flags?ot:KI(GI(e,(e=>XS(s,e))),s);if(!a)return l;const c=GI(e,(e=>!(zx(e)&&k(o,WE(function(e){return 2097152&e.flags&&D(e.types,Wx)||e}(e))))));return 131072&l.flags?c:mv([l,c])}function H(e,n){switch(n){case"string":return q(e,Vn,1);case"number":return q(e,Un,2);case"bigint":return q(e,Hn,4);case"boolean":return q(e,Zn,8);case"symbol":return q(e,nt,16);case"object":return 1&e.flags?e:mv([q(e,mt,32),q(e,Bn,131072)]);case"function":return 1&e.flags?e:q(e,$t,64);case"undefined":return q(e,On,65536)}return q(e,mt,128)}function q(e,n,t){return VI(e,(e=>AT(e,n,ui)?mI(e,t)?e:ot:US(n,e)?n:mI(e,t)?Nv([e,n]):ot))}function J(n){return(lD(n)&&"constructor"===Ll(n.name)||cD(n)&&tp(n.argumentExpression)&&"constructor"===n.argumentExpression.text)&&QR(e,n.expression)}function X(e,n,t,r){if(r?35!==n&&37!==n:36!==n&&38!==n)return e;const o=gO(t);if(!PG(o)&&!Nd(o))return e;const i=Lf(o,"prototype");if(!i)return e;const a=sd(i),s=zl(a)?void 0:a;return s&&s!==Yt&&s!==$t?zl(e)?s:GI(e,(e=>function(e,n){if(524288&e.flags&&1&IS(e)||524288&n.flags&&1&IS(n))return e.symbol===n.symbol;return US(e,n)}(e,s))):e}function Y(e){const n=Ol(e,"prototype");if(n&&!zl(n))return n;const t=wf(e,1);return t.length?mv(B(t,(e=>bm(Dm(e))))):Ct}function $(e,n,t,r){const o=1048576&e.flags?`N${Jy(e)},${Jy(n)},${(t?1:0)|(r?2:0)}`:void 0;return yi(o)??vi(o,function(e,n,t,r){if(!t){if(e===n)return ot;if(r)return GI(e,(e=>!qS(e,n)));const t=$(e,n,!0,!1);return GI(e,(e=>!kI(e,t)))}if(3&e.flags)return n;if(e===n)return n;const o=r?qS:US,i=1048576&e.flags?iI(e):void 0,a=VI(n,(n=>{const t=i&&Ol(n,i),a=VI(t&&aI(e,t)||e,r?e=>qS(e,n)?e:qS(n,e)?n:ot:e=>HS(e,n)?e:HS(n,e)?n:US(e,n)?e:US(n,e)?n:ot);return 131072&a.flags?VI(e,(e=>Ww(e,465829888)&&o(n,lf(e)||Ln)?Nv([e,n]):ot)):a}));return 131072&a.flags?US(n,e)?n:KS(e,n)?e:KS(n,e)?n:Nv([e,n]):a}(e,n,t,r))}function Q(n,t,r,o){if(t.type&&(!zl(n)||t.type!==Yt&&t.type!==$t)){const i=function(e,n){if(1===e.kind||3===e.kind)return n.arguments[e.parameterIndex];const t=Ty(n.expression);return wS(t)?Ty(t.expression):void 0}(t,r);if(i){if(QR(e,i))return $(n,t.type,o,!1);K&&tI(i,e)&&(o&&!mI(t.type,65536)||!o&&WI(t.type,CP))&&(n=gI(n,2097152));const r=x(i,n);if(r)return A(n,r,(e=>$(e,t.type,o,!1)))}}return n}function Z(n,t,r){if(Fc(t)||TD(t.parent)&&(61===t.parent.operatorToken.kind||78===t.parent.operatorToken.kind)&&t.parent.left===t)return function(n,t,r){if(QR(e,t))return gI(n,r?2097152:262144);const o=x(t,n);if(o)return A(n,o,(e=>hI(e,r?2097152:262144)));return n}(n,t,r);switch(t.kind){case 80:if(!QR(e,t)&&y<5){const o=JR(t);if(qN(o)){const t=o.valueDeclaration;if(t&&iC(t)&&!t.type&&t.initializer&&pN(e)){y++;const e=Z(n,t.initializer,r);return y--,e}}}case 110:case 108:case 211:case 212:return I(n,t,r);case 213:return function(n,t,r){if(cI(t,e)){const e=r||!kc(t)?aN(t):void 0,o=e&&ym(e);if(o&&(0===o.kind||1===o.kind))return Q(n,o,t,r)}if(GA(n)&&wS(e)&&lD(t.expression)){const o=t.expression;if(QR(e.expression,DI(o.expression))&&tN(o.name)&&"hasOwnProperty"===o.name.escapedText&&1===t.arguments.length){const o=t.arguments[0];if(tp(o)&&ZR(e)===Ml(o.text))return hI(n,r?524288:65536)}}return n}(n,t,r);case 217:case 235:return Z(n,t.expression,r);case 226:return O(n,t,r);case 224:if(54===t.operator)return Z(n,t.operand,!r)}return n}}function mN(e){return Nl(e.parent,(e=>Td(e)&&!xh(e)||268===e.kind||312===e.kind||172===e.kind))}function hN(e){return!PN(e,void 0)}function PN(e,n){const t=Nl(e.valueDeclaration,HN);if(!t)return!1;const r=Hi(t);return 131072&r.flags||(r.flags|=131072,Nl(t.parent,(e=>HN(e)&&!!(131072&Hi(e).flags)))||KN(t)),!e.lastAssignmentPos||n&&e.lastAssignmentPos<n.pos}function zN(e){return Tt.assert(iC(e)||bN(e)),UN(e.name)}function UN(e){return 80===e.kind?hN(ps(e.parent)):oe(e.elements,(e=>232!==e.kind&&UN(e.name)))}function HN(e){return Ad(e)||rM(e)}function KN(e){switch(e.kind){case 80:if(my(e)){const n=JR(e);if(XN(n)&&n.lastAssignmentPos!==Number.MAX_VALUE){const t=Nl(e,HN),r=Nl(n.valueDeclaration,HN);n.lastAssignmentPos=t===r?function(e,n){let t=e.pos;for(;e&&e.pos>n.pos;){switch(e.kind){case 243:case 244:case 245:case 246:case 247:case 248:case 249:case 250:case 254:case 255:case 258:case 263:t=e.end}e=e.parent}return t}(e,n.valueDeclaration):Number.MAX_VALUE}}return;case 281:const n=e.parent.parent;if(!e.isTypeOnly&&!n.isTypeOnly&&!n.moduleSpecifier){const n=qa(e.propertyName||e.name,111551,!0,!0);n&&XN(n)&&(n.lastAssignmentPos=Number.MAX_VALUE)}return;case 264:case 265:case 266:return}Bd(e)||ok(e,KN)}function qN(e){return 3&e.flags&&!!(6&xP(e))}function XN(e){const n=e.valueDeclaration&&bv(e.valueDeclaration);return!!n&&(bN(n)||iC(n)&&($C(n.parent)||function(e){return!!(1&e.parent.flags)&&!(32&Sl(e)||243===e.parent.parent.kind&&Ki(e.parent.parent.parent))}(n)))}function QN(e,n){const t=K&&169===n.kind&&n.initializer&&mI(e,16777216)&&!function(e){const n=Hi(e);if(void 0===n.parameterInitializerContainsUndefined){if(!El(e,9))return td(e.symbol),!0;const t=!!mI(rO(e,0),16777216);if(!Rl())return td(e.symbol),!0;n.parameterInitializerContainsUndefined=t}return n.parameterInitializerContainsUndefined}(n);return t?hI(e,524288):e}function nD(e){return 2097152&e.flags?oe(e.types,nD):!!(465829888&e.flags&&1146880&cf(e).flags)}function tD(e){return 2097152&e.flags?oe(e.types,tD):!(!(465829888&e.flags)||Ww(cf(e),98304))}function fD(e,n,t){const r=!(t&&2&t)&&OI(e,nD)&&(function(e,n){const t=n.parent;return 211===t.kind||166===t.kind||213===t.kind&&t.expression===n||212===t.kind&&t.expression===n&&!(OI(e,tD)&&fb(gO(t.argumentExpression)))}(e,n)||function(e,n){const t=(tN(e)||lD(e)||cD(e))&&!((WC(e.parent)||FC(e.parent))&&e.parent.tagName===e)&&JC(e,n&&32&n?8:void 0);return t&&!ub(t)}(n,t));return r?VI(e,cf):e}function gD(e){return!!Nl(e,(e=>{const n=e.parent;return void 0===n?"quit":NC(n)?n.expression===e&&EE(e):!!MC(n)&&(n.name===e||n.propertyName===e)}))}function vD(e,n){if(Ie&&wa(e,111551)&&!Eb(n)){const t=Wa(e);1160127&za(e,!0)&&(Kp(A)||Zp(A)&&gD(n)||!EG(Ss(t))?Ua(e):function(e){const n=Ui(e);n.constEnumReferenced||(n.constEnumReferenced=!0)}(e))}}function SD(e,n){if(Sb(e))return wD(e);const t=JR(e);if(t===vn)return Nn;if(t===xe){if(YP(e))return Ai(e,Oa.arguments_cannot_be_referenced_in_property_initializers),Nn;let n=fh(e);if(n)for(R<2&&(219===n.kind?Ai(e,Oa.The_arguments_object_cannot_be_referenced_in_an_arrow_function_in_ES3_and_ES5_Consider_using_a_standard_function_expression):Bb(n,1024)&&Ai(e,Oa.The_arguments_object_cannot_be_referenced_in_an_async_function_or_method_in_ES3_and_ES5_Consider_using_a_standard_function_or_method)),Hi(n).flags|=512;n&&hD(n);)n=fh(n),n&&(Hi(n).flags|=512);return sd(t)}(function(e){var n;const t=e.parent;if(t){if(lD(t)&&t.expression===e)return!1;if(MC(t)&&t.isTypeOnly)return!1;const r=null==(n=t.parent)?void 0:n.parent;if(r&&DC(r)&&r.isTypeOnly)return!1}return!0})(e)&&vD(t,e);const r=Ss(t),o=oz(r,e);Ci(o)&&ib(e,o)&&o.declarations&&Pi(e,o.declarations,e.escapedText);let i=r.valueDeclaration;if(i&&32&r.flags&&Md(i)&&i.name!==e){let n=vh(e,!1,!1);for(;312!==n.kind&&n.parent!==i;)n=vh(n,!1,!1);312!==n.kind&&(Hi(i).flags|=262144,Hi(n).flags|=262144,Hi(e).flags|=536870912)}!function(e,n){if(R>=2||!(34&n.flags)||!n.valueDeclaration||rM(n.valueDeclaration)||299===n.valueDeclaration.parent.kind)return;const t=t_(n.valueDeclaration),r=function(e,n){return!!Nl(e,(e=>e===n?"quit":Td(e)||e.parent&&TN(e.parent)&&!Vb(e.parent)&&e.parent.initializer===e))}(e,t),o=xD(t);if(o){if(r){let r=!0;if(qD(t)){const o=jy(n.valueDeclaration,261);if(o&&o.parent===t){const o=function(e,n){return Nl(e,(e=>e===n?"quit":e===n.initializer||e===n.condition||e===n.incrementor||e===n.statement))}(e.parent,t);if(o){const e=Hi(o);e.flags|=8192;Se(e.capturedBlockScopeBindings||(e.capturedBlockScopeBindings=[]),n),o===t.initializer&&(r=!1)}}}r&&(Hi(o).flags|=4096)}if(qD(t)){const r=jy(n.valueDeclaration,261);r&&r.parent===t&&function(e,n){let t=e;for(;217===t.parent.kind;)t=t.parent;let r=!1;if(my(t))r=!0;else if(224===t.parent.kind||225===t.parent.kind){const e=t.parent;r=46===e.operator||47===e.operator}if(!r)return!1;return!!Nl(t,(e=>e===n?"quit":e===n.statement))}(e,t)&&(Hi(n.valueDeclaration).flags|=65536)}Hi(n.valueDeclaration).flags|=32768}r&&(Hi(n.valueDeclaration).flags|=16384)}(e,t);let a=function(e,n,t){var r;const o=sd(e,t),i=e.valueDeclaration;if(i){if(iD(i)&&!i.initializer&&!i.dotDotDotToken&&i.parent.elements.length>=2){const e=i.parent.parent,t=bv(e);if(260===t.kind&&6&CB(t)||169===t.kind){const r=Hi(e);if(!(4194304&r.flags)){r.flags|=4194304;const o=Vl(e,0),a=o&&VI(o,cf);if(r.flags&=-4194305,a&&1048576&a.flags&&(169!==t.kind||!zN(t))){const e=fN(i.parent,a,a,void 0,n.flowNode);return 131072&e.flags?ot:rc(i,e,!0)}}}}if(bN(i)&&!i.type&&!i.initializer&&!i.dotDotDotToken){const e=i.parent;if(e.parameters.length>=2&&FS(e)){const t=AM(e);if(t&&1===t.parameters.length&&Zz(t)){const o=vf(AS(sd(t.parameters[0]),null==(r=cM(e))?void 0:r.nonFixingMapper));if(1048576&o.flags&&WI(o,nA)&&!oe(e.parameters,zN))return Mb(fN(e,o,o,void 0,n.flowNode),BE(e.parameters.indexOf(i)-(yb(e)?1:0)))}}}}return o}(r,e,n);const s=fy(e);if(s){if(!(3&r.flags||Yh(e)&&512&r.flags)){return Ai(e,384&r.flags?Oa.Cannot_assign_to_0_because_it_is_an_enum:32&r.flags?Oa.Cannot_assign_to_0_because_it_is_a_class:1536&r.flags?Oa.Cannot_assign_to_0_because_it_is_a_namespace:16&r.flags?Oa.Cannot_assign_to_0_because_it_is_a_function:2097152&r.flags?Oa.Cannot_assign_to_0_because_it_is_an_import:Oa.Cannot_assign_to_0_because_it_is_not_a_variable,rl(t)),Nn}if(Mw(r))return 3&r.flags?Ai(e,Oa.Cannot_assign_to_0_because_it_is_a_constant,rl(t)):Ai(e,Oa.Cannot_assign_to_0_because_it_is_a_read_only_property,rl(t)),Nn}const l=2097152&r.flags;if(3&r.flags){if(1===s)return _y(e)?Ux(a):a}else{if(!l)return a;i=ha(t)}if(!i)return a;a=fD(a,e,n);const c=169===bv(i).kind,d=mN(i);let u=mN(e);const p=u!==d,f=e.parent&&e.parent.parent&&eM(e.parent)&&xI(e.parent.parent),m=134217728&t.flags,_=a===An||a===lr,h=_&&235===e.parent.kind;for(;u!==d&&(218===u.kind||219===u.kind||ih(u))&&(qN(r)&&a!==lr||XN(r)&&PN(r,e));)u=mN(u);const g=c||l||p||f||m||function(e,n){if(iD(n)){const t=Nl(e,iD);return t&&bv(t)===bv(n)}}(e,i)||a!==An&&a!==lr&&(!K||!!(16387&a.flags)||Eb(e)||YR(e)||281===e.parent.kind)||235===e.parent.kind||260===i.kind&&i.exclamationToken||33554432&i.flags,y=h?On:g?c?QN(a,i):a:_?On:LA(a),v=h?kA(fN(e,a,y,u)):fN(e,a,y,u);if(nN(e)||a!==An&&a!==lr){if(!g&&!vT(a)&&vT(v))return Ai(e,Oa.Variable_0_is_used_before_being_assigned,rl(t)),a}else if(v===An||v===lr)return $&&(Ai(jl(i),Oa.Variable_0_implicitly_has_type_1_in_some_locations_where_its_type_cannot_be_determined,rl(t),il(v)),Ai(e,Oa.Variable_0_implicitly_has_an_1_type,rl(t),il(v))),FF(v);return s?Ux(v):v}function xD(e){return Nl(e,(e=>!e||Ev(e)?"quit":mu(e,!1)))}function AD(e,n){if(Hi(e).flags|=2,172===n.kind||176===n.kind){Hi(n.parent).flags|=4}else Hi(n).flags|=4}function RD(e){return M_(e)?e:Td(e)?void 0:ok(e,RD)}function MD(e){return Wd(ou(ps(e)))===jn}function LD(e,n,t){const r=n.parent;Fy(r)&&!MD(r)&&Qg(e)&&e.flowNode&&!uN(e.flowNode,!1)&&Ai(e,t)}function wD(e){const n=Eb(e);let t=vh(e,!0,!0),r=!1,o=!1;for(176===t.kind&&LD(e,t,Oa.super_must_be_called_before_accessing_this_in_the_constructor_of_a_derived_class);219===t.kind&&(t=vh(t,!1,!o),r=!0),167===t.kind;)t=vh(t,!r,!1),o=!0;if(function(e,n){TN(n)&&Vb(n)&&L&&n.initializer&&nl(n.initializer,e.pos)&&Xb(n.parent)&&Ai(e,Oa.Cannot_use_this_in_a_static_property_initializer_of_a_decorated_class)}(e,t),o)Ai(e,Oa.this_cannot_be_referenced_in_a_computed_property_name);else switch(t.kind){case 267:Ai(e,Oa.this_cannot_be_referenced_in_a_module_or_namespace_body);break;case 266:Ai(e,Oa.this_cannot_be_referenced_in_current_location);break;case 176:FD(e,t)&&Ai(e,Oa.this_cannot_be_referenced_in_constructor_arguments)}!n&&r&&R<2&&AD(e,t);const i=OD(e,!0,t);if(Q){const n=sd(_e);if(i===n&&r)Ai(e,Oa.The_containing_arrow_function_captures_the_global_value_of_this);else if(!i){const r=Ai(e,Oa.this_implicitly_has_type_any_because_it_does_not_have_a_type_annotation);if(!rM(t)){const e=OD(t);e&&e!==n&&xx(r,d_(t,Oa.An_outer_value_of_this_is_shadowed_by_this_container))}}}return i||xn}function OD(e,n=!0,t=vh(e,!1,!1)){const r=Yh(e);if(Td(t)&&(!eC(e)||yb(t))){let n=gm(pm(t))||r&&function(e){const n=mc(e);if(n&&n.typeExpression)return JE(n.typeExpression);const t=fm(e);if(t)return gm(t)}(t);if(!n){const e=function(e){if(218===e.kind&&TD(e.parent)&&3===Eg(e.parent))return e.parent.left.expression.expression;if(174===e.kind&&210===e.parent.kind&&TD(e.parent.parent)&&6===Eg(e.parent.parent))return e.parent.parent.left.expression;if(218===e.kind&&303===e.parent.kind&&210===e.parent.parent.kind&&TD(e.parent.parent.parent)&&6===Eg(e.parent.parent.parent))return e.parent.parent.parent.left.expression;if(218===e.kind&&QC(e.parent)&&tN(e.parent.name)&&("value"===e.parent.name.escapedText||"get"===e.parent.name.escapedText||"set"===e.parent.name.escapedText)&&sD(e.parent.parent)&&dD(e.parent.parent.parent)&&e.parent.parent.parent.arguments[2]===e.parent.parent&&9===Eg(e.parent.parent.parent))return e.parent.parent.parent.arguments[0].expression;if(AN(e)&&tN(e.name)&&("value"===e.name.escapedText||"get"===e.name.escapedText||"set"===e.name.escapedText)&&sD(e.parent)&&dD(e.parent.parent)&&e.parent.parent.arguments[2]===e.parent&&9===Eg(e.parent.parent))return e.parent.parent.arguments[0].expression}(t);if(r&&e){const t=bO(e).symbol;t&&t.members&&16&t.flags&&(n=ou(t).thisType)}else gk(t)&&(n=ou(us(t.symbol)).thisType);n||(n=$D(t))}if(n)return fN(e,n)}if(Md(t.parent)){const n=ps(t.parent);return fN(e,jb(t)?sd(n):ou(n).thisType)}if(rM(t)){if(t.commonJsModuleIndicator){const e=ps(t);return e&&sd(e)}if(t.externalModuleIndicator)return On;if(n)return sd(_e)}}function FD(e,n){return!!Nl(e,(e=>Ad(e)?"quit":169===e.kind&&e.parent===n))}function zD(e){const n=213===e.parent.kind&&e.parent.expression===e,t=Th(e,!0);let r=t,o=!1,i=!1;if(!n){for(;r&&219===r.kind;)Bb(r,1024)&&(i=!0),r=Th(r,!0),o=R<2;r&&Bb(r,1024)&&(i=!0)}let a=0;if(!r||!function(e){if(n)return 176===e.kind;if(Md(e.parent)||210===e.parent.kind)return jb(e)?174===e.kind||173===e.kind||177===e.kind||178===e.kind||172===e.kind||175===e.kind:174===e.kind||173===e.kind||177===e.kind||178===e.kind||172===e.kind||171===e.kind||176===e.kind;return!1}(r)){const t=Nl(e,(e=>e===r?"quit":167===e.kind));return t&&167===t.kind?Ai(e,Oa.super_cannot_be_referenced_in_a_computed_property_name):n?Ai(e,Oa.Super_calls_are_not_permitted_outside_constructors_or_in_nested_functions_inside_constructors):r&&r.parent&&(Md(r.parent)||210===r.parent.kind)?Ai(e,Oa.super_property_access_is_permitted_only_in_a_constructor_member_function_or_member_accessor_of_a_derived_class):Ai(e,Oa.super_can_only_be_referenced_in_members_of_derived_classes_or_object_literal_expressions),Nn}if(n||176!==t.kind||LD(e,r,Oa.super_must_be_called_before_accessing_a_property_of_super_in_the_constructor_of_a_derived_class),jb(r)||n?(a=32,!n&&R>=2&&R<=8&&(TN(r)||RN(r))&&r_(e.parent,(e=>{rM(e)&&!T_(e)||(Hi(e).flags|=2097152)}))):a=16,Hi(e).flags|=a,174===r.kind&&i&&(Rh(e.parent)&&my(e.parent)?Hi(r).flags|=256:Hi(r).flags|=128),o&&AD(e.parent,r),210===r.parent.kind)return R<2?(Ai(e,Oa.super_is_only_allowed_in_members_of_object_literal_expressions_when_option_target_is_ES2015_or_higher),Nn):xn;const s=r.parent;if(!Fy(s))return Ai(e,Oa.super_can_only_be_referenced_in_a_derived_class),Nn;if(MD(s))return n?Nn:jn;const l=ou(ps(s)),c=l&&jd(l)[0];return c?176===r.kind&&FD(e,r)?(Ai(e,Oa.super_cannot_be_referenced_in_constructor_arguments),Nn):32===a?Wd(l):ku(c,l.thisType):Nn}function jD(e){return 174!==e.kind&&177!==e.kind&&178!==e.kind||210!==e.parent.kind?218===e.kind&&303===e.parent.kind?e.parent.parent:void 0:e.parent}function HD(e){return 4&IS(e)&&e.target===ar?D_(e)[0]:void 0}function KD(e){return VI(e,(e=>2097152&e.flags?E(e.types,HD):HD(e)))}function YD(e,n){let t=e,r=n;for(;r;){const e=KD(r);if(e)return e;if(303!==t.parent.kind)break;t=t.parent.parent,r=GC(t,void 0)}}function $D(e){if(219===e.kind)return;if(FS(e)){const n=AM(e);if(n){const e=n.thisParameter;if(e)return sd(e)}}const n=Yh(e);if(Q||n){const t=jD(e);if(t){const e=GC(t,void 0),n=YD(t,e);return n?AS(n,uR(cM(t))):$A(e?kA(e):nO(t))}const r=by(e.parent);if(gE(r)){const e=r.left;if(wS(e)){const{expression:t}=e;if(n&&tN(t)){const e=$f(r);if(e.commonJsModuleIndicator&&JR(t)===e.symbol)return}return $A(nO(t))}}}}function QD(e){const n=e.parent;if(!FS(n))return;const t=xh(n);if(t&&t.arguments){const r=UL(t),o=n.parameters.indexOf(e);if(e.dotDotDotToken)return FL(r,o,r.length,xn,void 0,0);const i=Hi(t),a=i.resolvedSignature;i.resolvedSignature=io;const s=o<r.length?Kx(bO(r[o])):e.initializer?void 0:Fn;return i.resolvedSignature=a,s}const r=AM(n);if(r){const t=n.parameters.indexOf(e)-(yb(n)?1:0);return e.dotDotDotToken&&Le(n.parameters)===e?qk(r,t):Kk(r,t)}}function ZD(e,n){const t=Ab(e)||(Yh(e)?gA(e):void 0);if(t)return JE(t);switch(e.kind){case 169:return QD(e);case 208:return function(e,n){const t=e.parent.parent,r=e.propertyName||e.name,o=ZD(t,n)||208!==t.kind&&t.initializer&&rO(t,e.dotDotDotToken?32:0);if(!o||Vd(r)||a_(r))return;if(207===t.name.kind){const n=Rm(e.parent.elements,e);if(n<0)return;return RC(o,n)}const i=zv(r);if(xA(i)){return Ol(o,AA(i))}}(e,n);case 172:if(jb(e))return function(e,n){const t=uu(e.parent)&&JC(e.parent,n);return t?EC(t,ps(e).escapedName):void 0}(e,n)}}function eC(e){let n=!1;for(;e.parent&&!Td(e.parent);){if(bN(e.parent)&&(n||e.parent.initializer===e))return!0;iD(e.parent)&&e.parent.initializer===e&&(n=!0),e=e.parent}return!1}function nC(e,n){const t=!!(2&Zy(n)),r=tC(n,void 0);if(r)return bW(e,r,t)||void 0}function tC(e,n){const t=Em(e);if(t)return t;const r=xM(e);if(r&&!Sm(r)){const n=bm(r),t=Zy(e);return 1&t?GI(n,(e=>!!(58998787&e.flags)||AO(e,t,void 0))):2&t?GI(n,(e=>!!(58998787&e.flags)||!!KO(e))):n}const o=xh(e);return o?JC(o,n):void 0}function rC(e,n){const t=UL(e).indexOf(n);return-1===t?void 0:oC(e,t)}function oC(e,n){if(P_(e))return 0===n?Vn:1===n?lg(!1):xn;const t=Hi(e).resolvedSignature===so?so:hk(e);if(ju(e)&&0===n)return dM(t,e);const r=t.parameters.length-1;return Zz(t)&&n>=r?Mb(sd(t.parameters[r]),BE(n-r),256):Hk(t,n)}function mC(e,n){const t=e.parent,{left:r,operatorToken:o,right:i}=t;switch(o.kind){case 64:case 77:case 76:case 78:return e===i?function(e){var n,t;const r=Eg(e);switch(r){case 0:case 4:const o=function(e){if(Nu(e)&&e.symbol)return e.symbol;if(tN(e))return JR(e);if(lD(e)){const t=gO(e.expression);return rN(e.name)?n(t,e.name):Lf(t,e.name.escapedText)}if(cD(e)){const n=nO(e.argumentExpression);if(!xA(n))return;return Lf(gO(e.expression),AA(n))}return;function n(e,n){const t=GP(n.escapedText,n);return t&&HP(e,t)}}(e.left),i=o&&o.valueDeclaration;if(i&&(TN(i)||SN(i))){const n=Ab(i);return n&&AS(JE(n),Ui(o).mapper)||(TN(i)?i.initializer&&gO(e.left):void 0)}return 0===r?gO(e.left):bC(e);case 5:if(vC(e,r))return bC(e);if(Nu(e.left)&&e.left.symbol){const n=e.left.symbol.valueDeclaration;if(!n)return;const t=gn(e.left,wS),r=Ab(n);if(r)return JE(r);if(tN(t.expression)){const e=t.expression,n=na(e,e.escapedText,111551,void 0,e.escapedText,!0);if(n){const e=n.valueDeclaration&&Ab(n.valueDeclaration);if(e){const n=Cg(t);if(void 0!==n)return EC(JE(e),n)}return}}return Yh(n)||n===e.left?void 0:gO(e.left)}return gO(e.left);case 1:case 6:case 3:case 2:let a;2!==r&&(a=Nu(e.left)?null==(n=e.left.symbol)?void 0:n.valueDeclaration:void 0),a||(a=null==(t=e.symbol)?void 0:t.valueDeclaration);const s=a&&Ab(a);return s?JE(s):void 0;case 7:case 8:case 9:return Tt.fail("Does not apply");default:return Tt.assertNever(r)}}(t):void 0;case 57:case 61:const o=JC(t,n);return e===i&&(o&&o.pattern||!o&&!mg(t))?gO(r):o;case 56:case 28:return e===i?JC(t,n):void 0;default:return}}function vC(e,n=Eg(e)){if(4===n)return!0;if(!Yh(e)||5!==n||!tN(e.left.expression))return!1;const t=e.left.expression.escapedText,r=na(e.left,t,111551,void 0,void 0,!0,!0);return Nh(null==r?void 0:r.valueDeclaration)}function bC(e){if(!e.symbol)return gO(e.left);if(e.symbol.valueDeclaration){const n=Ab(e.symbol.valueDeclaration);if(n){const e=JE(n);if(e)return e}}const n=gn(e.left,wS);if(!oh(vh(n.expression,!1,!1)))return;const t=wD(n.expression),r=Cg(n);return void 0!==r&&EC(t,r)||void 0}function EC(e,n,t){return VI(e,(e=>{var r,o;if(wp(e)&&!e.declaration.nameType){const r=Rp(e),o=lf(r)||r,i=t||GE(Pl(n));if(KS(i,o))return Cb(e,i)}else if(3670016&e.flags){const i=Lf(e,n);if(i)return 262144&mS(o=i)&&!o.links.type&&Tl(o,0)>=0?void 0:zA(sd(i),!!(i&&16777216&i.flags));if(nA(e)&&tA(n)&&+n>=0){const n=SA(e,e.target.fixedLength,0,!1,!0);if(n)return n}return null==(r=jf(Uf(e),t||GE(Pl(n))))?void 0:r.type}}),!0)}function TC(e,n){if(Tt.assert(oh(e)),!(67108864&e.flags))return xC(e,n)}function xC(e,n){const t=e.parent,r=QC(e)&&ZD(e,n);if(r)return r;const o=GC(t,n);if(o){if(Au(e)){const n=ps(e);return EC(o,n.escapedName,Ui(n).nameType)}if(rv(e)){const n=jl(e);if(n&&yN(n)){const e=bO(n.expression),t=xA(e)&&EC(o,AA(e));if(t)return t}}if(e.name){const n=zv(e.name);return VI(o,(e=>{var t;return null==(t=jf(Uf(e),n))?void 0:t.type}),!0)}}}function RC(e,n,t,r,o){return e&&VI(e,(e=>{if(nA(e)){if((void 0===r||n<r)&&n<e.target.fixedLength)return zA(D_(e)[n],!!e.target.elementFlags[n]);const i=void 0!==t&&(void 0===o||n>o)?t-n:0,a=i>0&&e.target.hasRestElement?Hy(e.target,3):0;return i>0&&i<=a?D_(e)[C_(e)-i]:SA(e,void 0===r?e.target.fixedLength:Math.min(e.target.fixedLength,r),void 0===t||void 0===o?a:Math.min(a,t-o),!1,!0)}return(!r||n<r)&&EC(e,""+n)||$F(1,e,On,void 0,!1)}),!0)}function PC(e,n){const t=e.parent;return Gu(t)?JC(e,n):OC(t)?function(e,n,t){const r=GC(e.openingElement.attributes,t),o=iP(rP(e));if(!r||zl(r)||!o||""===o)return;const i=Cv(e.children),a=i.indexOf(n),s=EC(r,o);return s&&(1===i.length?s:VI(s,(e=>_x(e)?Mb(e,BE(a)):e),!0))}(t,e,n):void 0}function LC(e,n){if(VC(e)){const t=GC(e.parent,n);if(!t||zl(t))return;return EC(t,yA(e.name))}return JC(e.parent,n)}function kC(e){switch(e.kind){case 11:case 9:case 10:case 15:case 228:case 112:case 97:case 106:case 80:case 157:return!0;case 211:case 217:return kC(e.expression);case 294:return!e.expression||kC(e.expression)}return!1}function zC(e,n){return function(e,n){const t=iI(e),r=t&&D(n.properties,(e=>e.symbol&&303===e.kind&&e.symbol.escapedName===t&&kC(e.initializer))),o=r&&vO(r.initializer);return o&&aI(e,o)}(n,e)||GT(n,ae(B(W(e.properties,(e=>!!e.symbol&&(303===e.kind?kC(e.initializer)&&rI(n,e.symbol.escapedName):304===e.kind&&rI(n,e.symbol.escapedName)))),(e=>[()=>vO(303===e.kind?e.initializer:e.name),e.symbol.escapedName])),B(W(Hp(n),(t=>{var r;return!!(16777216&t.flags)&&!!(null==(r=null==e?void 0:e.symbol)?void 0:r.members)&&!e.symbol.members.has(t.escapedName)&&rI(n,t.escapedName)})),(e=>[()=>On,e.escapedName]))),KS)}function GC(e,n){const t=jC(oh(e)?TC(e,n):JC(e,n),e,n);if(t&&!(n&&2&n&&8650752&t.flags)){const n=VI(t,(e=>32&IS(e)?e:yf(e)),!0);return 1048576&n.flags&&sD(e)?zC(e,n):1048576&n.flags&&UC(e)?function(e,n){const t=iP(rP(e));return GT(n,ae(B(W(e.properties,(e=>!!e.symbol&&291===e.kind&&rI(n,e.symbol.escapedName)&&(!e.initializer||kC(e.initializer)))),(e=>[e.initializer?()=>vO(e.initializer):()=>Yn,e.symbol.escapedName])),B(W(Hp(n),(r=>{var o;if(!(16777216&r.flags&&(null==(o=null==e?void 0:e.symbol)?void 0:o.members)))return!1;const i=e.parent.parent;return(r.escapedName!==t||!OC(i)||!Cv(i.children).length)&&!e.symbol.members.has(r.escapedName)&&rI(n,r.escapedName)})),(e=>[()=>On,e.escapedName]))),KS)}(e,n):n}}function jC(e,n,t){if(e&&Ww(e,465829888)){const r=cM(n);if(r&&1&t&&oe(r.inferences,fO))return KC(e,r.nonFixingMapper);if(null==r?void 0:r.returnMapper){const n=KC(e,r.returnMapper);return 1048576&n.flags&&Yy(n.types,Jn)&&Yy(n.types,$n)?GI(n,(e=>e!==Jn&&e!==$n)):n}}return e}function KC(e,n){return 465829888&e.flags?AS(e,n):1048576&e.flags?mv(B(e.types,(e=>KC(e,n))),0):2097152&e.flags?Nv(B(e.types,(e=>KC(e,n)))):e}function JC(e,n){var t;if(67108864&e.flags)return;const r=iM(e,!n);if(r>=0)return Io[r];const{parent:o}=e;switch(o.kind){case 260:case 169:case 172:case 171:case 208:return function(e,n){const t=e.parent;if($u(t)&&e===t.initializer){const e=ZD(t,n);if(e)return e;if(!(8&n)&&Vd(t.name)&&t.name.elements.length>0)return Rc(t.name,!0,!1)}}(e,n);case 219:case 253:return function(e,n){const t=fh(e);if(t){let e=tC(t,n);if(e){const n=Zy(t);if(1&n){const t=!!(2&n);1048576&e.flags&&(e=GI(e,(e=>!!bW(1,e,t))));const r=bW(1,e,!!(2&n));if(!r)return;e=r}if(2&n){const n=VI(e,nF);return n&&mv([n,yw(n)])}return e}}}(e,n);case 229:return function(e,n){const t=fh(e);if(t){const r=Zy(t);let o=tC(t,n);if(o){const n=!!(2&r);return!e.asteriskToken&&1048576&o.flags&&(o=GI(o,(e=>!!bW(1,e,n)))),e.asteriskToken?o:bW(0,o,n)}}}(o,n);case 223:return function(e,n){const t=JC(e,n);if(t){const e=nF(t);return e&&mv([e,yw(e)])}}(o,n);case 213:case 214:return rC(o,e);case 170:return function(e){const n=hw(e);return n?Om(n):void 0}(o);case 216:case 234:return Gc(o.type)?JC(o,n):JE(o.type);case 226:return mC(e,n);case 303:case 304:return xC(o,n);case 305:return JC(o.parent,n);case 209:{const r=o,i=GC(r,n),a=Rm(r.elements,e),s=(t=Hi(r)).spreadIndices??(t.spreadIndices=function(e){let n,t;for(let r=0;r<e.length;r++)ID(e[r])&&(n??(n=r),t=r);return{first:n,last:t}}(r.elements));return RC(i,a,r.elements.length,s.first,s.last)}case 227:return function(e,n){const t=e.parent;return e===t.whenTrue||e===t.whenFalse?JC(t,n):void 0}(e,n);case 239:return Tt.assert(228===o.parent.kind),function(e,n){if(215===e.parent.kind)return rC(e.parent,n)}(o.parent,e);case 217:if(Yh(o)){if(_A(o))return JE(hA(o));const e=yc(o);if(e&&!Gc(e.typeExpression.type))return JE(e.typeExpression.type)}return JC(o,n);case 235:return JC(o,n);case 238:return JE(o.type);case 277:return Vc(o);case 294:return PC(o,n);case 291:case 293:return LC(o,n);case 286:case 285:return function(e,n){if(WC(e)&&4!==n){const t=iM(e.parent,!n);if(t>=0)return Io[t]}return oC(e,0)}(o,n);case 301:return function(e){return EC(gg(!1),DA(e))}(o)}}function XC(e){tM(e,JC(e,void 0),!0)}function tM(e,n,t){Ro[Do]=e,Io[Do]=n,No[Do]=t,Do++}function oM(){Do--}function iM(e,n){for(let t=Do-1;t>=0;t--)if(e===Ro[t]&&(n||!No[t]))return t;return-1}function cM(e){for(let n=Lo-1;n>=0;n--)if(Ay(e,Co[n]))return Mo[n]}function dM(e,n){return 0!==zL(n)?function(e,n){let t=nw(e,Ln);t=uM(n,rP(n),t);const r=eP(Bz.IntrinsicAttributes,n);Bl(r)||(t=pp(r,t));return t}(e,n):function(e,n){const t=rP(n),r=(o=t,oP(Bz.ElementAttributesPropertyNameContainer,o));var o;let i=void 0===r?nw(e,Ln):""===r?bm(e):function(e,n){if(e.compositeSignatures){const t=[];for(const r of e.compositeSignatures){const e=bm(r);if(zl(e))return e;const o=Ol(e,n);if(!o)return;t.push(o)}return Nv(t)}const t=bm(e);return zl(t)?t:Ol(t,n)}(e,r);if(!i)return r&&b(n.attributes.properties)&&Ai(n,Oa.JSX_element_class_does_not_support_attributes_because_it_does_not_have_a_0_property,Pl(r)),Ln;if(i=uM(n,t,i),zl(i))return i;{let t=i;const r=eP(Bz.IntrinsicClassAttributes,n);if(!Bl(r)){const o=Sd(r.symbol),i=bm(e);let a;if(o){a=AS(r,eS(o,um([i],o,dm(o),Yh(n))))}else a=r;t=pp(a,t)}const o=eP(Bz.IntrinsicAttributes,n);return Bl(o)||(t=pp(o,t)),t}}(e,n)}function uM(e,n,t){const r=(o=n)&&qi(o.exports,Bz.LibraryManagedAttributes,788968);var o;if(r){const n=function(e){if(JM(e.tagName))return Om(pk(e,lP(e)));const n=nO(e.tagName);if(128&n.flags){const t=sP(n,e);return t?Om(pk(e,t)):Nn}return n}(e),o=fP(r,Yh(e),n,t);if(o)return o}return t}function vM(e){return RT(A,"noImplicitAny")?Be(e,((e,n)=>e!==n&&e?np(e.typeParameters,n.typeParameters)?function(e,n){const t=e.typeParameters||n.typeParameters;let r;e.typeParameters&&n.typeParameters&&(r=eS(n.typeParameters,e.typeParameters));const o=e.declaration,i=function(e,n,t){const r=Xk(e),o=Xk(n),i=r>=o?e:n,a=i===e?n:e,s=i===e?r:o,l=$k(e)||$k(n),c=l&&!$k(i),d=new Array(s+(c?1:0));for(let u=0;u<s;u++){let p=Kk(i,u);i===n&&(p=AS(p,t));let f=Kk(a,u)||Ln;a===n&&(f=AS(f,t));const m=mv([p,f]),_=l&&!c&&u===s-1,h=u>=Yk(i)&&u>=Yk(a),g=u>=r?void 0:Bk(e,u),y=u>=o?void 0:Bk(n,u),v=Li(1|(h&&!_?16777216:0),(g===y?g:g?y?void 0:g:y)||`arg${u}`);v.links.type=_?ey(m):m,d[u]=v}if(c){const e=Li(1,"args");e.links.type=ey(Hk(a,s)),a===n&&(e.links.type=AS(e.links.type,t)),d[s]=e}return d}(e,n,r),a=function(e,n,t){if(!e||!n)return e||n;const r=mv([sd(e),AS(sd(n),t)]);return VA(e,r)}(e.thisParameter,n.thisParameter,r),s=Math.max(e.minArgumentCount,n.minArgumentCount),l=Fu(o,t,a,i,void 0,void 0,s,167&(e.flags|n.flags));l.compositeKind=2097152,l.compositeSignatures=ae(2097152===e.compositeKind&&e.compositeSignatures||[e],[n]),r&&(l.mapper=2097152===e.compositeKind&&e.mapper&&e.compositeSignatures?sS(e.mapper,r):r);return l}(e,n):void 0:e)):void 0}function bM(e,n){const t=W(wf(e,0),(e=>!function(e,n){let t=0;for(;t<n.parameters.length;t++){const e=n.parameters[t];if(e.initializer||e.questionToken||e.dotDotDotToken||pA(e))break}n.parameters.length&&vb(n.parameters[0])&&t--;return!$k(e)&&Xk(e)<t}(e,n)));return 1===t.length?t[0]:vM(t)}function xM(e){return eA(e)||oh(e)?AM(e):void 0}function AM(e){Tt.assert(174!==e.kind||oh(e));const n=fm(e);if(n)return n;const t=GC(e,1);if(!t)return;if(!(1048576&t.flags))return bM(t,e);let r;const o=t.types;for(const n of o){const t=bM(n,e);if(t)if(r){if(!ax(r[0],t,!1,!0,!0,BS))return;r.push(t)}else r=[t]}return r?1===r.length?r[0]:zu(r[0],r):void 0}function IM(e){return 208===e.kind&&!!e.initializer||226===e.kind&&64===e.operatorToken.kind}function NM(e,n,t){const r=e.elements,o=r.length,i=[],a=[];XC(e);const s=my(e),l=aO(e),c=GC(e,void 0),d=function(e){const n=by(e.parent);return ID(n)&&ru(n.parent)}(e)||!!c&&OI(c,(e=>Tx(e)||wp(e)&&!e.nameType&&!!bS(e.target||e)));let u=!1;for(let l=0;l<o;l++){const o=r[l];if(230===o.kind){R<2&&KG(o,A.downlevelIteration?1536:1024);const e=bO(o.expression,n,t);if(_x(e))i.push(e),a.push(8);else if(s){const n=Jf(e,Un)||$F(65,e,On,void 0,!1)||Ln;i.push(n),a.push(4)}else i.push(YF(33,e,On,o.expression)),a.push(4)}else if(se&&232===o.kind)u=!0,i.push(zn),a.push(2);else{const r=sO(o,n,t);if(i.push(ac(r,!0,u)),a.push(u?2:1),d&&n&&2&n&&!(4&n)&&LS(o)){const n=cM(e);Tt.assert(n),sR(n,o,r)}}}return oM(),s?Dy(i,a):DM(t||l||d?Dy(i,a,l&&!(c&&OI(c,hx))):ey(i.length?mv(V(i,((e,n)=>8&a[n]?Lb(e,Un)||xn:e)),2):K?ct:Fn,l))}function DM(e){if(!(4&IS(e)))return e;let n=e.literalType;return n||(n=e.literalType=I_(e),n.objectFlags|=147456),n}function CM(e){switch(e.kind){case 167:return function(e){return zw(MM(e),296)}(e);case 80:return tA(e.escapedText);case 9:case 11:return tA(e.text);default:return!1}}function MM(e){const n=Hi(e.expression);if(!n.resolvedType){if((WN(e.parent.parent)||Md(e.parent.parent)||cC(e.parent.parent))&&TD(e.expression)&&103===e.expression.operatorToken.kind&&177!==e.parent.kind&&178!==e.parent.kind)return n.resolvedType=Nn;if(n.resolvedType=bO(e.expression),TN(e.parent)&&!Vb(e.parent)&&ND(e.parent.parent)){const n=xD(t_(e.parent.parent));n&&(Hi(n).flags|=4096,Hi(e).flags|=32768,Hi(e.parent.parent).flags|=32768)}(98304&n.resolvedType.flags||!zw(n.resolvedType,402665900)&&!KS(n.resolvedType,yt))&&Ai(e,Oa.A_computed_property_name_must_be_of_type_string_number_symbol_or_any)}return n.resolvedType}function LM(e){var n;const t=null==(n=e.declarations)?void 0:n[0];return tA(e.escapedName)||t&&Gl(t)&&CM(t.name)}function kM(e){var n;const t=null==(n=e.declarations)?void 0:n[0];return uv(e)||t&&Gl(t)&&yN(t.name)&&zw(MM(t.name),4096)}function wM(e,n,t,r){const o=[];for(let e=n;e<t.length;e++){const n=t[e];(r===Vn&&!kM(n)||r===Un&&LM(n)||r===nt&&kM(n))&&o.push(sd(t[e]))}return Hm(r,o.length?mv(o,2):On,aO(e))}function jM(e){Tt.assert(!!(2097152&e.flags),"Should only get Alias here.");const n=Ui(e);if(!n.immediateTarget){const t=ha(e);if(!t)return Tt.fail();n.immediateTarget=ka(t,!0)}return n.immediateTarget}function UM(e,n=0){var t;const r=my(e);!function(e,n){const t=new Map;for(const r of e.properties){if(305===r.kind){if(n){const e=Ty(r.expression);if(aD(e)||sD(e))return SB(r.expression,Oa.A_rest_element_cannot_contain_a_binding_pattern)}continue}const e=r.name;if(167===e.kind&&iB(e),304===r.kind&&!n&&r.objectAssignmentInitializer&&SB(r.equalsToken,Oa.Did_you_mean_to_use_a_Colon_An_can_only_follow_a_property_name_when_the_containing_object_literal_is_part_of_a_destructuring_pattern),81===e.kind&&SB(e,Oa.Private_identifiers_are_not_allowed_outside_class_bodies),vL(r)&&r.modifiers)for(const e of r.modifiers)!vd(e)||134===e.kind&&174===r.kind||SB(e,Oa._0_modifier_cannot_be_used_here,xm(e));else if(VP(r)&&r.modifiers)for(const e of r.modifiers)vd(e)&&SB(e,Oa._0_modifier_cannot_be_used_here,xm(e));let o;switch(r.kind){case 304:case 303:lB(r.exclamationToken,Oa.A_definite_assignment_assertion_is_not_permitted_in_this_context),sB(r.questionToken,Oa.An_object_member_cannot_be_declared_optional),9===e.kind&&AB(e),o=4;break;case 174:o=8;break;case 177:o=1;break;case 178:o=2;break;default:Tt.assertNever(r,"Unexpected syntax kind:"+r.kind)}if(!n){const n=NB(e);if(void 0===n)continue;const r=t.get(n);if(r)if(8&o&&8&r)SB(e,Oa.Duplicate_identifier_0,xm(e));else if(4&o&&4&r)SB(e,Oa.An_object_literal_cannot_have_multiple_properties_with_the_same_name,xm(e));else{if(!(3&o&&3&r))return SB(e,Oa.An_object_literal_cannot_have_property_and_accessor_with_the_same_name);if(3===r||o===r)return SB(e,Oa.An_object_literal_cannot_have_multiple_get_Slashset_accessors_with_the_same_name);t.set(n,o|r)}else t.set(n,o)}}}(e,r);const i=K?Mf():void 0;let a=Mf(),s=[],l=Ct;XC(e);const c=GC(e,void 0),d=c&&c.pattern&&(206===c.pattern.kind||210===c.pattern.kind),u=aO(e),p=u?8:0,f=Yh(e)&&!$h(e),m=f?fc(e):void 0,_=!c&&f&&!m;let h=ie,g=!1,y=!1,v=!1,b=!1;for(const n of e.properties)n.name&&yN(n.name)&&MM(n.name);let E=0;for(const t of e.properties){let o=ps(t);const _=t.name&&167===t.name.kind?MM(t.name):void 0;if(303===t.kind||304===t.kind||oh(t)){let a=303===t.kind?lO(t,n):304===t.kind?sO(!r&&t.objectAssignmentInitializer?t.objectAssignmentInitializer:t.name,n):cO(t,n);if(f){const e=oc(t);e?(YS(a,e,t),a=e):m&&m.typeExpression&&YS(a,JE(m.typeExpression),t)}h|=458752&IS(a);const s=_&&xA(_)?_:void 0,l=s?Li(4|o.flags,AA(s),4096|p):Li(4|o.flags,o.escapedName,p);if(s&&(l.links.nameType=s),r){(303===t.kind&&IM(t.initializer)||304===t.kind&&t.objectAssignmentInitializer)&&(l.flags|=16777216)}else if(d&&!(512&IS(c))){const e=Lf(c,o.escapedName);e?l.flags|=16777216&e.flags:A.suppressExcessPropertyErrors||qf(c,Vn)||Ai(t.name,Oa.Object_literal_may_only_specify_known_properties_and_0_does_not_exist_in_type_1,rl(o),il(c))}if(l.declarations=o.declarations,l.parent=o.parent,o.valueDeclaration&&(l.valueDeclaration=o.valueDeclaration),l.links.type=a,l.links.target=o,o=l,null==i||i.set(l.escapedName,l),c&&2&n&&!(4&n)&&(303===t.kind||174===t.kind)&&LS(t)){const n=cM(e);Tt.assert(n);sR(n,303===t.kind?t.initializer:t,a)}}else{if(305===t.kind){R<2&&KG(t,2),s.length>0&&(l=vE(l,S(),e.symbol,h,u),s=[],a=Mf(),y=!1,v=!1,b=!1);const r=Tf(bO(t.expression,2&n));if(KM(r)){const n=yE(r,u);if(i&&QM(n,i,t),E=s.length,Bl(l))continue;l=vE(l,n,e.symbol,h,u)}else Ai(t,Oa.Spread_types_may_only_be_created_from_object_types),l=Nn;continue}Tt.assert(177===t.kind||178===t.kind),bz(t)}!_||8576&_.flags?a.set(o.escapedName,o):KS(_,yt)&&(KS(_,Un)?v=!0:KS(_,nt)?b=!0:y=!0,r&&(g=!0)),s.push(o)}if(oM(),d){const n=Nl(c.pattern.parent,(e=>260===e.kind||226===e.kind||169===e.kind));if(305!==Nl(e,(e=>e===n||305===e.kind)).kind)for(const e of Hp(c))a.get(e.escapedName)||Lf(l,e.escapedName)||(16777216&e.flags||Ai(e.valueDeclaration||(null==(t=hn(e,Pf))?void 0:t.links.bindingElement),Oa.Initializer_provides_no_value_for_this_binding_element_and_the_binding_element_has_no_default_value),a.set(e.escapedName,e),s.push(e))}return Bl(l)?Nn:l!==Ct?(s.length>0&&(l=vE(l,S(),e.symbol,h,u),s=[],a=Mf(),y=!1,v=!1),VI(l,(e=>e===Ct?S():e))):S();function S(){const n=[];y&&n.push(wM(e,E,s,Vn)),v&&n.push(wM(e,E,s,Un)),b&&n.push(wM(e,E,s,nt));const t=Os(e.symbol,a,o,o,n);return t.objectFlags|=131200|h,_&&(t.objectFlags|=4096),g&&(t.objectFlags|=512),r&&(t.pattern=e),t}}function KM(e){const n=CA(VI(e,cf));return!!(126615553&n.flags||3145728&n.flags&&N(n.types,KM))}function qM(e){return e.includes("-")}function JM(e){return tN(e)&&jv(e.escapedText)||qC(e)}function XM(e,n){return e.initializer?sO(e.initializer,n):Yn}function YM(e,n){const t=[];for(const r of e.children)if(12===r.kind)r.containsOnlyTriviaWhiteSpaces||t.push(Vn);else{if(294===r.kind&&!r.expression)continue;t.push(sO(r,n))}return t}function QM(e,n,t){for(const r of Hp(e))if(!(16777216&r.flags)){const e=n.get(r.escapedName);if(e){xx(Ai(e.valueDeclaration,Oa._0_is_specified_more_than_once_so_this_usage_will_be_overwritten,Pl(e.escapedName)),d_(t,Oa.This_spread_always_overwrites_this_property))}}}function ZM(e,n){return function(e,n=0){const t=e.attributes,r=JC(t,0),i=K?Mf():void 0;let a,s=Mf(),l=Mt,c=!1,d=!1,u=2048;const p=iP(rP(e));for(const e of t.properties){const o=e.symbol;if(VC(e)){const a=XM(e,n);u|=458752&IS(a);const l=Li(4|o.flags,o.escapedName);if(l.declarations=o.declarations,l.parent=o.parent,o.valueDeclaration&&(l.valueDeclaration=o.valueDeclaration),l.links.type=a,l.links.target=o,s.set(l.escapedName,l),null==i||i.set(l.escapedName,l),yA(e.name)===p&&(d=!0),r){const n=Lf(r,o.escapedName);n&&n.declarations&&Ci(n)&&tN(e.name)&&Pi(e.name,n.declarations,e.name.escapedText)}if(r&&2&n&&!(4&n)&&LS(e)){const n=cM(t);Tt.assert(n),sR(n,e.initializer.expression,a)}}else{Tt.assert(293===e.kind),s.size>0&&(l=vE(l,m(),t.symbol,u,!1),s=Mf());const r=Tf(bO(e.expression,2&n));zl(r)&&(c=!0),KM(r)?(l=vE(l,r,t.symbol,u,!1),i&&QM(r,i,e)):(Ai(e.expression,Oa.Spread_types_may_only_be_created_from_object_types),a=a?Nv([a,r]):r)}}c||s.size>0&&(l=vE(l,m(),t.symbol,u,!1));const f=284===e.parent.kind?e.parent:void 0;if(f&&f.openingElement===e&&Cv(f.children).length>0){const r=YM(f,n);if(!c&&p&&""!==p){d&&Ai(t,Oa._0_are_specified_twice_The_attribute_named_0_will_be_overwritten,Pl(p));const n=GC(e.attributes,void 0),i=n&&EC(n,p),a=Li(4,p);a.links.type=1===r.length?r[0]:i&&OI(i,Tx)?Dy(r):ey(mv(r)),a.valueDeclaration=UA.createPropertySignature(void 0,Pl(p),void 0,void 0),Vx(a.valueDeclaration,t),a.valueDeclaration.symbol=a;const s=Mf();s.set(p,a),l=vE(l,Os(t.symbol,s,o,o,o),t.symbol,u,!1)}}return c?xn:a&&l!==Mt?Nv([a,l]):a||(l===Mt?m():l);function m(){u|=ie;const e=Os(t.symbol,s,o,o,o);return e.objectFlags|=131200|u,e}}(e.parent,n)}function eP(e,n){const t=rP(n),r=t&&ss(t),o=r&&qi(r,e,788968);return o?ou(o):Nn}function nP(e){const n=Hi(e);if(!n.resolvedSymbol){const t=eP(Bz.IntrinsicElements,e);if(Bl(t))return $&&Ai(e,Oa.JSX_element_implicitly_has_type_any_because_no_interface_JSX_0_exists,Pl(Bz.IntrinsicElements)),n.resolvedSymbol=vn;{if(!tN(e.tagName)&&!qC(e.tagName))return Tt.fail();const r=qC(e.tagName)?EA(e.tagName):e.tagName.escapedText,o=Lf(t,r);if(o)return n.jsxFlags|=1,n.resolvedSymbol=o;const i=Vz(t,GE(Pl(r)));return i?(n.jsxFlags|=2,n.resolvedSymbol=i):Fl(t,r)?(n.jsxFlags|=2,n.resolvedSymbol=t.symbol):(Ai(e,Oa.Property_0_does_not_exist_on_type_1,TA(e.tagName),"JSX."+Bz.IntrinsicElements),n.resolvedSymbol=vn)}}return n.resolvedSymbol}function tP(e){const n=e&&$f(e),t=n&&Hi(n);if(t&&!1===t.jsxImplicitImportContainer)return;if(t&&t.jsxImplicitImportContainer)return t.jsxImplicitImportContainer;const r=kT(LT(A,n),A);if(!r)return;const o=1===Up(A)?Oa.Cannot_find_module_0_Did_you_mean_to_set_the_moduleResolution_option_to_nodenext_or_to_add_aliases_to_the_paths_option:Oa.Cannot_find_module_0_or_its_corresponding_type_declarations,i=A.importHelpers?1:0,a=null==n?void 0:n.imports[i];a&&Tt.assert(Sv(a)&&a.text===r,`Expected sourceFile.imports[${i}] to be the synthesized JSX runtime import`);const s=$a(a||e,r,o,e),l=s&&s!==vn?us(Fa(s)):void 0;return t&&(t.jsxImplicitImportContainer=l||!1),l}function rP(e){const n=e&&Hi(e);if(n&&n.jsxNamespace)return n.jsxNamespace;if(!n||!1!==n.jsxNamespace){let t=tP(e);if(!t||t===vn){const n=bi(e);t=na(e,n,1920,void 0,n,!1)}if(t){const e=Fa(qi(ss(Fa(t)),Bz.JSX,1920));if(e&&e!==vn)return n&&(n.jsxNamespace=e),e}n&&(n.jsxNamespace=!1)}const t=Fa(Qh(Bz.JSX,1920,void 0));return t!==vn?t:void 0}function oP(e,n){const t=n&&qi(n.exports,e,788968),r=t&&ou(t),o=r&&Hp(r);if(o){if(0===o.length)return"";if(1===o.length)return o[0].escapedName;o.length>1&&t.declarations&&Ai(t.declarations[0],Oa.The_global_type_JSX_0_may_not_have_more_than_one_property,Pl(e))}}function iP(e){return oP(Bz.ElementChildrenAttributeNameContainer,e)}function aP(e,n){if(4&e.flags)return[io];if(128&e.flags){const t=sP(e,n);if(t){return[pk(n,t)]}return Ai(n,Oa.Property_0_does_not_exist_on_type_1,e.value,"JSX."+Bz.IntrinsicElements),o}const t=yf(e);let r=wf(t,1);return 0===r.length&&(r=wf(t,0)),0===r.length&&1048576&t.flags&&(r=Zu(B(t.types,(e=>aP(e,n))))),r}function sP(e,n){const t=eP(Bz.IntrinsicElements,n);if(!Bl(t)){const n=Lf(t,Ml(e.value));if(n)return sd(n);const r=Jf(t,Vn);return r||void 0}return xn}function lP(e){var n;Tt.assert(JM(e.tagName));const t=Hi(e);if(!t.resolvedJsxElementAttributesType){const r=nP(e);if(1&t.jsxFlags)return t.resolvedJsxElementAttributesType=sd(r)||Nn;if(2&t.jsxFlags){const r=qC(e.tagName)?EA(e.tagName):e.tagName.escapedText;return t.resolvedJsxElementAttributesType=(null==(n=tm(eP(Bz.IntrinsicElements,e),r))?void 0:n.type)||Nn}return t.resolvedJsxElementAttributesType=Nn}return t.resolvedJsxElementAttributesType}function cP(e){const n=eP(Bz.ElementClass,e);if(!Bl(n))return n}function dP(e){return eP(Bz.Element,e)}function uP(e){const n=dP(e);if(n)return mv([n,Bn])}function pP(e){const n=rP(e);if(!n)return;const t=(r=n)&&qi(r.exports,Bz.ElementType,788968);var r;if(!t)return;const o=fP(t,Yh(e));return o&&!Bl(o)?o:void 0}function fP(e,n,...t){const r=ou(e);if(524288&e.flags){const o=Ui(e).typeParameters;if(b(o)>=t.length){const i=um(t,o,t.length,n);return 0===b(i)?r:w_(e,i)}}if(b(r.typeParameters)>=t.length){return v_(r,um(t,r.typeParameters,t.length,n))}}function _P(e){const n=ju(e);var t;if(n&&function(e){(function(e){if(lD(e)&&qC(e.expression))return SB(e.expression,Oa.JSX_property_access_expressions_cannot_include_JSX_namespace_names);if(qC(e)&&PT(A)&&!jv(e.namespace.escapedText))SB(e,Oa.React_components_cannot_include_JSX_namespace_names)})(e.tagName),nB(e,e.typeArguments);const n=new Map;for(const t of e.attributes.properties){if(293===t.kind)continue;const{name:e,initializer:r}=t,o=yA(e);if(n.get(o))return SB(e,Oa.JSX_elements_cannot_have_multiple_attributes_with_the_same_name);if(n.set(o,!0),r&&294===r.kind&&!r.expression)return SB(r,Oa.JSX_attributes_must_only_be_assigned_a_non_empty_expression)}}(e),t=e,0===(A.jsx||0)&&Ai(t,Oa.Cannot_use_JSX_unless_the_jsx_flag_is_provided),void 0===dP(t)&&$&&Ai(t,Oa.JSX_element_implicitly_has_type_any_because_the_global_type_JSX_Element_does_not_exist),!tP(e)){const t=si&&2===A.jsx?Oa.Cannot_find_name_0:void 0,r=bi(e),o=n?e.tagName:e;let i;if(BC(e)&&"null"===r||(i=na(o,r,111551,t,r,!0)),i&&(i.isReferenced=-1,Ie&&2097152&i.flags&&!ja(i)&&Ua(i)),BC(e)){const n=Ei($f(e));n&&na(o,n,111551,t,n,!0)}}if(n){const n=e,t=hk(n);bk(t,e);const r=pP(n);if(void 0!==r){const e=n.tagName;wT(JM(e)?GE(TA(e)):bO(e),r,pi,e,Oa.Its_type_0_is_not_a_valid_JSX_element_type,(()=>{const n=xm(e);return cT(void 0,Oa._0_cannot_be_used_as_a_JSX_component,n)}))}else!function(e,n,t){if(1===e){const e=uP(t);e&&wT(n,e,pi,t.tagName,Oa.Its_return_type_0_is_not_a_valid_JSX_element,r)}else if(0===e){const e=cP(t);e&&wT(n,e,pi,t.tagName,Oa.Its_instance_type_0_is_not_a_valid_JSX_element,r)}else{const e=uP(t),o=cP(t);if(!e||!o)return;wT(n,mv([e,o]),pi,t.tagName,Oa.Its_element_type_0_is_not_a_valid_JSX_element,r)}function r(){const e=xm(t.tagName);return cT(void 0,Oa._0_cannot_be_used_as_a_JSX_component,e)}}(zL(n),bm(t),n)}}function hP(e,n,t){if(524288&e.flags){if(Gp(e,n)||tm(e,n)||Tu(n)&&qf(e,Vn)||t&&qM(n))return!0}else if(3145728&e.flags&&bP(e))for(const r of e.types)if(hP(r,n,t))return!0;return!1}function bP(e){return!!(524288&e.flags&&!(512&IS(e))||67108864&e.flags||1048576&e.flags&&oe(e.types,bP)||2097152&e.flags&&N(e.types,bP))}function TP(e,n){if(function(e){if(e.expression&&gP(e.expression))SB(e.expression,Oa.JSX_expressions_may_not_use_the_comma_operator_Did_you_mean_to_write_an_array)}(e),e.expression){const t=bO(e.expression,n);return e.dotDotDotToken&&t!==xn&&!cx(t)&&Ai(e,Oa.JSX_spread_child_must_be_an_array_type),t}return Nn}function xP(e){return e.valueDeclaration?CB(e.valueDeclaration):0}function AP(e){if(8192&e.flags||4&mS(e))return!0;if(Yh(e.valueDeclaration)){const n=e.valueDeclaration.parent;return n&&TD(n)&&3===Eg(n)}}function RP(e,n,t,r,o,i=!0){return IP(e,n,t,r,o,i?166===e.kind?e.right:205===e.kind?e:208===e.kind&&e.propertyName?e.propertyName:e.name:void 0)}function IP(e,n,t,r,o,i){var a;const s=_S(o,t);if(n){if(R<2&&NP(o))return i&&Ai(i,Oa.Only_public_and_protected_methods_of_the_base_class_are_accessible_via_the_super_keyword),!1;if(64&s)return i&&Ai(i,Oa.Abstract_method_0_in_class_1_cannot_be_accessed_via_super_expression,rl(o),il(QT(o))),!1;if(!(256&s)&&(null==(a=o.declarations)?void 0:a.some(kd)))return i&&Ai(i,Oa.Class_field_0_defined_by_the_parent_class_is_not_accessible_in_the_child_class_via_super,rl(o)),!1}if(64&s&&NP(o)&&(Ih(e)||Dh(e)||rD(e.parent)&&Nh(e.parent.parent))){const n=RS(ms(o));if(n&&Nl(e,(e=>!!(IN(e)&&am(e.body)||TN(e))||!(!Md(e)&&!Ad(e))&&"quit")))return i&&Ai(i,Oa.Abstract_property_0_in_class_1_cannot_be_accessed_in_the_constructor,rl(o),sv(n.name)),!1}if(!(6&s))return!0;if(2&s){return!!kz(e,RS(ms(o)))||(i&&Ai(i,Oa.Property_0_is_private_and_only_accessible_within_class_1,rl(o),il(QT(o))),!1)}if(n)return!0;let l=Mz(e,(e=>ex(ou(ps(e)),o,t)));return!l&&(l=function(e){const n=function(e){const n=vh(e,!1,!1);return n&&Td(n)?yb(n):void 0}(e);let t=(null==n?void 0:n.type)&&JE(n.type);t&&262144&t.flags&&(t=Yp(t));if(t&&7&IS(t))return pd(t);return}(e),l=l&&ex(l,o,t),256&s||!l)?(i&&Ai(i,Oa.Property_0_is_protected_and_only_accessible_within_class_1_and_its_subclasses,rl(o),il(QT(o)||r)),!1):!!(256&s)||(262144&r.flags&&(r=r.isThisType?Yp(r):lf(r)),!(!r||!fd(r,l))||(i&&Ai(i,Oa.Property_0_is_protected_and_only_accessible_through_an_instance_of_class_1_This_is_an_instance_of_class_2,rl(o),il(l),il(r)),!1))}function NP(e){return!!$T(e,(e=>!(8192&e.flags)))}function DP(e){return wP(bO(e),e)}function CP(e){return mI(e,50331648)}function MP(e){return CP(e)?kA(e):e}function PP(e,n){const t=EE(e)?c_(e):void 0;if(106!==e.kind)if(void 0!==t&&t.length<100){if(tN(e)&&"undefined"===t)return void Ai(e,Oa.The_value_0_cannot_be_used_here,"undefined");Ai(e,16777216&n?33554432&n?Oa._0_is_possibly_null_or_undefined:Oa._0_is_possibly_undefined:Oa._0_is_possibly_null,t)}else Ai(e,16777216&n?33554432&n?Oa.Object_is_possibly_null_or_undefined:Oa.Object_is_possibly_undefined:Oa.Object_is_possibly_null);else Ai(e,Oa.The_value_0_cannot_be_used_here,"null")}function LP(e,n){Ai(e,16777216&n?33554432&n?Oa.Cannot_invoke_an_object_which_is_possibly_null_or_undefined:Oa.Cannot_invoke_an_object_which_is_possibly_undefined:Oa.Cannot_invoke_an_object_which_is_possibly_null)}function kP(e,n,t){if(K&&2&e.flags){if(EE(n)){const e=c_(n);if(e.length<100)return Ai(n,Oa._0_is_of_type_unknown,e),Nn}return Ai(n,Oa.Object_is_of_type_unknown),Nn}const r=fI(e,50331648);if(50331648&r){t(n,r);const o=kA(e);return 229376&o.flags?Nn:o}return e}function wP(e,n){return kP(e,n,PP)}function OP(e,n){const t=wP(e,n);if(16384&t.flags){if(EE(n)){const e=c_(n);if(tN(n)&&"undefined"===e)return Ai(n,Oa.The_value_0_cannot_be_used_here,e),t;if(e.length<100)return Ai(n,Oa._0_is_possibly_undefined,e),t}Ai(n,Oa.Object_is_possibly_undefined)}return t}function FP(e,n,t){return 64&e.flags?function(e,n){const t=bO(e.expression),r=WA(t,e.expression);return FA(qP(e,e.expression,wP(r,e.expression),e.name,n),e,r!==t)}(e,n):qP(e,e.expression,DP(e.expression),e.name,n,t)}function WP(e,n){const t=jh(e)&&bb(e.left)?wP(wD(e.left),e.left):DP(e.left);return qP(e,e.left,t,e.right,n)}function zP(e){for(;217===e.parent.kind;)e=e.parent;return ru(e.parent)&&e.parent.expression===e}function GP(e,n){for(let t=yh(n);t;t=_h(t)){const{symbol:n}=t,r=dv(n,e),o=n.members&&n.members.get(r)||n.exports&&n.exports.get(r);if(o)return o}}function BP(e){!function(e){if(!_h(e))return SB(e,Oa.Private_identifiers_are_not_allowed_outside_class_bodies);if(!JD(e.parent)){if(!Gh(e))return SB(e,Oa.Private_identifiers_are_only_allowed_in_class_bodies_and_may_only_be_used_as_part_of_a_class_member_declaration_property_access_or_on_the_left_hand_side_of_an_in_expression);const n=TD(e.parent)&&103===e.parent.operatorToken.kind;if(!UP(e)&&!n)return SB(e,Oa.Cannot_find_name_0,Ll(e))}}(e);const n=UP(e);return n&&lL(n,void 0,!1),xn}function UP(e){if(!Gh(e))return;const n=Hi(e);return void 0===n.resolvedSymbol&&(n.resolvedSymbol=GP(e.escapedText,e)),n.resolvedSymbol}function HP(e,n){return Lf(e,n.escapedName)}function KP(e,n){return(lc(n)||Ih(e)&&cc(n))&&vh(e,!0,!1)===dc(n)}function qP(e,n,t,r,o,i){const a=Hi(n).resolvedSymbol,s=fy(e),l=yf(0!==s||zP(e)?$A(t):t),c=zl(l)||l===it;let d,u;if(rN(r)){R<99&&(0!==s&&KG(e,1048576),1!==s&&KG(e,524288));const n=GP(r.escapedText,r);if(s&&n&&n.valueDeclaration&&AN(n.valueDeclaration)&&SB(r,Oa.Cannot_assign_to_private_method_0_Private_methods_are_not_writable,Ll(r)),c){if(n)return Bl(l)?Nn:l;if(void 0===yh(r))return SB(r,Oa.Private_identifiers_are_not_allowed_outside_class_bodies),xn}if(d=n&&HP(t,n),void 0===d){if(function(e,n,t){let r;const o=Hp(e);o&&E(o,(e=>{const t=e.valueDeclaration;if(t&&Gl(t)&&rN(t.name)&&t.name.escapedText===n.escapedText)return r=e,!0}));const i=sa(n);if(r){const o=Tt.checkDefined(r.valueDeclaration),a=Tt.checkDefined(_h(o));if(null==t?void 0:t.valueDeclaration){const r=t.valueDeclaration,s=_h(r);if(Tt.assert(!!s),Nl(s,(e=>a===e)))return xx(Ai(n,Oa.The_property_0_cannot_be_accessed_on_type_1_within_this_class_because_it_is_shadowed_by_another_private_identifier_with_the_same_spelling,i,il(e)),d_(r,Oa.The_shadowing_declaration_of_0_is_defined_here,i),d_(o,Oa.The_declaration_of_0_that_you_probably_intended_to_use_is_defined_here,i)),!0}return Ai(n,Oa.Property_0_is_not_accessible_outside_class_1_because_it_has_a_private_identifier,i,sa(a.name||Dz)),!0}return!1}(t,r,n))return Nn;const e=yh(r);e&&Zf($f(e),A.checkJs)&&SB(r,Oa.Private_field_0_must_be_declared_in_an_enclosing_class,Ll(r))}else{65536&d.flags&&!(32768&d.flags)&&1!==s&&Ai(e,Oa.Private_accessor_was_defined_without_a_getter)}}else{if(c)return tN(n)&&a&&vD(a,e),Bl(l)?Nn:l;d=Lf(l,r.escapedText,Bw(l),166===e.kind)}if(tN(n)&&a&&(Kp(A)||!d||!(EG(d)||8&d.flags&&306===e.parent.kind)||Zp(A)&&gD(e))&&vD(a,e),d){const t=oz(d,r);if(Ci(t)&&ib(e,t)&&t.declarations&&Pi(r,t.declarations,r.escapedText),function(e,n,t){const{valueDeclaration:r}=e;if(!r||$f(n).isDeclarationFile)return;let o;const i=Ll(t);!YP(n)||function(e){return TN(e)&&!qb(e)&&e.questionToken}(r)||wS(n)&&wS(n.expression)||Xi(r,t)||AN(r)&&256&DB(r)||!O&&function(e){if(!(32&e.parent.flags))return!1;let n=sd(e.parent);for(;;){if(n=n.symbol&&$P(n),!n)return!1;const t=Lf(n,e.escapedName);if(t&&t.valueDeclaration)return!0}}(e)?263!==r.kind||183===n.parent.kind||33554432&r.flags||Xi(r,t)||(o=Ai(t,Oa.Class_0_used_before_its_declaration,i)):o=Ai(t,Oa.Property_0_is_used_before_its_initialization,i);o&&xx(o,d_(r,Oa._0_is_declared_here,i))}(d,e,r),lL(d,e,cL(n,a)),Hi(e).resolvedSymbol=d,RP(e,108===n.kind,vS(e),l,d),Pw(e,d,s))return Ai(r,Oa.Cannot_assign_to_0_because_it_is_a_read_only_property,Ll(r)),Nn;u=KP(e,d)?An:i||yS(e)?od(d):sd(d)}else{const n=rN(r)||0!==s&&pb(t)&&!oA(t)?void 0:tm(l,r.escapedText);if(!n||!n.type){const n=JP(e,t.symbol,!0);return!n&&tb(t)?xn:t.symbol===_e?(_e.exports.has(r.escapedText)&&418&_e.exports.get(r.escapedText).flags?Ai(r,Oa.Property_0_does_not_exist_on_type_1,Pl(r.escapedText),il(t)):$&&Ai(r,Oa.Element_implicitly_has_an_any_type_because_type_0_has_no_index_signature,il(t)),xn):(r.escapedText&&!ca(e)&&QP(r,oA(t)?l:t,n),Nn)}n.isReadonly&&(my(e)||xy(e))&&Ai(e,Oa.Index_signature_in_type_0_only_permits_reading,il(l)),u=A.noUncheckedIndexedAccess&&!my(e)?mv([n.type,Wn]):n.type,A.noPropertyAccessFromIndexSignature&&lD(e)&&Ai(r,Oa.Property_0_comes_from_an_index_signature_so_it_must_be_accessed_with_0,Pl(r.escapedText)),n.declaration&&Mi(n.declaration)&&Pi(r,[n.declaration],r.escapedText)}return XP(e,d,u,r,o)}function JP(e,n,t){var r;const o=$f(e);if(o&&void 0===A.checkJs&&void 0===o.checkJsDirective&&(1===o.scriptKind||2===o.scriptKind)){const i=E(null==n?void 0:n.declarations,$f),a=!(null==n?void 0:n.valueDeclaration)||!Md(n.valueDeclaration)||(null==(r=n.valueDeclaration.heritageClauses)?void 0:r.length)||Oh(!1,n.valueDeclaration);return!(o!==i&&i&&Ki(i)||t&&n&&32&n.flags&&a||e&&t&&lD(e)&&110===e.expression.kind&&a)}return!1}function XP(e,n,t,r,o){const i=fy(e);if(1===i)return zA(t,!!(n&&16777216&n.flags));if(n&&!(98311&n.flags)&&!(8192&n.flags&&1048576&t.flags)&&!hz(n.declarations))return t;if(t===An)return _c(e,n);t=fD(t,e,o);let a=!1;if(K&&X&&wS(e)&&110===e.expression.kind){const t=n&&n.valueDeclaration;if(t&&jW(t)&&!jb(t)){const n=mN(e);176!==n.kind||n.parent!==t.parent||33554432&t.flags||(a=!0)}}else K&&n&&n.valueDeclaration&&lD(n.valueDeclaration)&&Mg(n.valueDeclaration)&&mN(e)===mN(n.valueDeclaration)&&(a=!0);const s=fN(e,t,a?LA(t):t);return a&&!vT(t)&&vT(s)?(Ai(r,Oa.Property_0_is_used_before_being_assigned,rl(n)),t):i?Ux(s):s}function YP(e){return!!Nl(e,(e=>{switch(e.kind){case 172:return!0;case 303:case 174:case 177:case 178:case 305:case 167:case 239:case 294:case 291:case 292:case 293:case 286:case 233:case 298:return!1;case 219:case 244:return!(!GD(e.parent)||!RN(e.parent.parent))||"quit";default:return!Gh(e)&&"quit"}}))}function $P(e){const n=jd(e);if(0!==n.length)return Nv(n)}function QP(e,n,t){let r,o;if(!rN(e)&&1048576&n.flags&&!(402784252&n.flags))for(const t of n.types)if(!Lf(t,e.escapedText)&&!tm(t,e.escapedText)){r=cT(r,Oa.Property_0_does_not_exist_on_type_1,o_(e),il(t));break}if(ZP(e.escapedText,n)){const t=o_(e),o=il(n);r=cT(r,Oa.Property_0_does_not_exist_on_type_1_Did_you_mean_to_access_the_static_member_2_instead,t,o,o+"."+t)}else{const i=qO(n);if(i&&Lf(i,e.escapedText))r=cT(r,Oa.Property_0_does_not_exist_on_type_1,o_(e),il(n)),o=d_(e,Oa.Did_you_forget_to_use_await);else{const i=o_(e),a=il(n),s=function(e,n){const t=yf(n).symbol;if(!t)return;const r=wl(t),o=fp().get(r);if(o)for(const[n,t]of o)if(k(t,e))return n}(i,n);if(void 0!==s)r=cT(r,Oa.Property_0_does_not_exist_on_type_1_Do_you_need_to_change_your_target_library_Try_changing_the_lib_compiler_option_to_2_or_later,i,a,s);else{const s=tL(e,n);if(void 0!==s){const e=wl(s);r=cT(r,t?Oa.Property_0_may_not_exist_on_type_1_Did_you_mean_2:Oa.Property_0_does_not_exist_on_type_1_Did_you_mean_2,i,a,e),o=s.valueDeclaration&&d_(s.valueDeclaration,Oa._0_is_declared_here,e)}else{const e=function(e){return A.lib&&!A.lib.includes("dom")&&(n=e,t=e=>e.symbol&&/^(EventTarget|Node|((HTML[a-zA-Z]*)?Element))$/.test(Pl(e.symbol.escapedName)),3145728&n.flags?N(n.types,t):t(n))&&gT(e);var n,t}(n)?Oa.Property_0_does_not_exist_on_type_1_Try_changing_the_lib_compiler_option_to_include_dom:Oa.Property_0_does_not_exist_on_type_1;r=cT(Nf(r,n),e,i,a)}}}}const i=f_($f(e),e,r);o&&xx(i,o),Ri(!t||r.code!==Oa.Property_0_may_not_exist_on_type_1_Did_you_mean_2.code,i)}function ZP(e,n){const t=n.symbol&&Lf(sd(n.symbol),e);return void 0!==t&&!!t.valueDeclaration&&jb(t.valueDeclaration)}function eL(e,n){return sL(e,Hp(n),106500)}function tL(e,n){let t=Hp(n);if("string"!=typeof e){const r=e.parent;lD(r)&&(t=W(t,(e=>dL(r,n,e)))),e=Ll(e)}return sL(e,t,111551)}function rL(e,n){const t=mn(e)?e:Ll(e),r=Hp(n);return("for"===t?D(r,(e=>"htmlFor"===wl(e))):"class"===t?D(r,(e=>"className"===wl(e))):void 0)??sL(t,r,111551)}function oL(e,n){const t=tL(e,n);return t&&wl(t)}function iL(e,n,t){Tt.assert(void 0!==n,"outername should always be defined");return ta(e,n,t,void 0,n,!1,!1,!0,((e,t,r)=>{Tt.assertEqual(n,t,"name should equal outerName");const o=qi(e,t,r);if(o)return o;let i;if(e===fe){i=Y(["string","number","boolean","object","bigint","symbol"],(n=>e.has(n.charAt(0).toUpperCase()+n.slice(1))?Li(524288,n):void 0)).concat(Je(e.values()))}else i=Je(e.values());return sL(Pl(t),i,r)}))}function aL(e,n){return n.exports&&sL(Ll(e),rs(n),2623475)}function sL(e,n,t){return qn(e,n,(function(e){const n=wl(e);if(st(n,'"'))return;if(e.flags&t)return n;if(2097152&e.flags){const r=function(e){if(Ui(e).aliasTarget!==bn)return Wa(e)}(e);if(r&&r.flags&t)return n}return}))}function lL(e,n,t){const r=e&&106500&e.flags&&e.valueDeclaration;if(!r)return;const o=Gb(r,2),i=e.valueDeclaration&&Gl(e.valueDeclaration)&&rN(e.valueDeclaration.name);if((o||i)&&(!n||!yS(n)||65536&e.flags)){if(t){const t=Nl(n,Ad);if(t&&t.symbol===e)return}(1&mS(e)?Ui(e).target:e).isReferenced=-1}}function cL(e,n){return 110===e.kind||!!n&&EE(e)&&n===JR(SE(e))}function dL(e,n,t){return pL(e,211===e.kind&&108===e.expression.kind,!1,n,t)}function uL(e,n,t,r){if(zl(r))return!0;const o=Lf(r,t);return!!o&&pL(e,n,!1,r,o)}function pL(e,n,t,r,o){if(zl(r))return!0;if(o.valueDeclaration&&md(o.valueDeclaration)){const n=_h(o.valueDeclaration);return!wc(e)&&!!Nl(e,(e=>e===n))}return IP(e,n,t,r,o)}function fL(e){const n=e.initializer;if(261===n.kind){const e=n.declarations[0];if(e&&!Vd(e.name))return ps(e)}else if(80===n.kind)return JR(n)}function mL(e,n){return 64&e.flags?function(e,n){const t=bO(e.expression),r=WA(t,e.expression);return FA(_L(e,wP(r,e.expression),n),e,r!==t)}(e,n):_L(e,DP(e.expression),n)}function _L(e,n,t){const r=0!==fy(e)||zP(e)?$A(n):n,o=e.argumentExpression,i=bO(o);if(Bl(r)||r===it)return r;if(Bw(r)&&!tp(o))return Ai(o,Oa.A_const_enum_member_can_only_be_accessed_using_a_string_literal),Nn;const a=function(e){const n=Ty(e);if(80===n.kind){const r=JR(n);if(3&r.flags){let n=e,o=e.parent;for(;o;){if(249===o.kind&&n===o.statement&&fL(o)===r&&1===Kf(t=gO(o.expression)).length&&qf(t,Un))return!0;n=o,o=o.parent}}}var t;return!1}(o)?Un:i,s=Lb(r,a,my(e)?4|(pb(r)&&!oA(r)?2:0):32,e)||Nn;return zO(XP(e,Hi(e).resolvedSymbol,s,o,t),e)}function hL(e){return ru(e)||pD(e)||ju(e)}function gL(e){return hL(e)&&E(e.typeArguments,gz),215===e.kind?bO(e.template):ju(e)?bO(e.attributes):TD(e)?bO(e.left):ru(e)&&E(e.arguments,(e=>{bO(e)})),io}function EL(e){return gL(e),ao}function SL(e){return!!e&&(230===e.kind||237===e.kind&&e.isSpread)}function TL(e){return M(e,SL)}function xL(e){return!!(16384&e.flags)}function AL(e){return!!(49155&e.flags)}function RL(e,n,t,r=!1){let o,i=!1,a=Xk(t),s=Yk(t);if(215===e.kind)if(o=n.length,228===e.template.kind){const n=ke(e.template.templateSpans);i=im(n.literal)||!!n.literal.isUnterminated}else{const n=e.template;Tt.assert(15===n.kind),i=!!n.isUnterminated}else if(170===e.kind)o=HL(e,t);else if(226===e.kind)o=1;else if(ju(e)){if(i=e.attributes.end===e.end,i)return!0;o=0===s?n.length:1,a=0===n.length?a:1,s=Math.min(s,1)}else{if(!e.arguments)return Tt.assert(214===e.kind),0===Yk(t);{o=r?n.length+1:n.length,i=e.arguments.end===e.end;const a=TL(n);if(a>=0)return a>=Yk(t)&&($k(t)||a<Xk(t))}}if(!$k(t)&&o>a)return!1;if(i||o>=s)return!0;for(let n=o;n<s;n++){if(131072&GI(Hk(t,n),Yh(e)&&!K?AL:xL).flags)return!1}return!0}function NL(e,n){const t=b(e.typeParameters),r=dm(e.typeParameters);return!oe(n)||n.length>=r&&n.length<=t}function DL(e,n){let t;return!!(e.target&&(t=Kk(e.target,n))&&ub(t))}function CL(e){return PL(e,0,!1)}function ML(e){return PL(e,0,!1)||PL(e,1,!1)}function PL(e,n,t){if(524288&e.flags){const r=Fp(e);if(t||0===r.properties.length&&0===r.indexInfos.length){if(0===n&&1===r.callSignatures.length&&0===r.constructSignatures.length)return r.callSignatures[0];if(1===n&&1===r.constructSignatures.length&&0===r.callSignatures.length)return r.constructSignatures[0]}}}function LL(e,n,t,r){const o=oR(e.typeParameters,e,0,r),i=Qk(n),a=t&&(i&&262144&i.flags?t.nonFixingMapper:t.mapper);return tR(a?uS(n,a):n,e,((e,n)=>{wR(o.inferences,e,n)})),t||rR(n,e,((e,n)=>{wR(o.inferences,e,n,128)})),Am(e,KR(o),Yh(n.declaration))}function kL(e){if(!e)return tt;const n=bO(e);return ME(e)?n:Oc(e.parent)?kA(n):wc(e.parent)?OA(n):n}function wL(e,n,t,r,o){if(ju(e))return function(e,n,t,r){const o=dM(n,e),i=eO(e.attributes,o,r,t);return wR(r.inferences,i,o),KR(r)}(e,n,r,o);if(170!==e.kind&&226!==e.kind){const t=N(n.typeParameters,(e=>!!ff(e))),r=JC(e,t?8:0);if(r){const i=bm(n);if(pR(i)){const a=cM(e);if(!(!t&&JC(e,8)!==r)){const e=uR(function(e,n=0){return e&&iR(B(e.inferences,dR),e.signature,e.flags|n,e.compareTypes)}(a,1)),n=AS(r,e),t=CL(n),s=t&&t.typeParameters?Om(Im(t,t.typeParameters)):n;wR(o.inferences,s,i,128)}const s=oR(n.typeParameters,n,o.flags),l=AS(r,a&&a.returnMapper);wR(s.inferences,l,i),o.returnMapper=oe(s.inferences,pO)?uR(function(e){const n=W(e.inferences,pO);return n.length?iR(B(n,dR),e.signature,e.flags,e.compareTypes):void 0}(s)):void 0}}}const i=Zk(n),a=i?Math.min(Xk(n)-1,t.length):t.length;if(i&&262144&i.flags){const e=D(o.inferences,(e=>e.typeParameter===i));e&&(e.impliedArity=M(t,SL,a)<0?t.length-a:void 0)}const s=gm(n);if(s&&pR(s)){const n=jL(e);wR(o.inferences,kL(n),s)}for(let e=0;e<a;e++){const i=t[e];if(232!==i.kind){const t=Hk(n,e);if(pR(t)){const e=eO(i,t,o,r);wR(o.inferences,e,t)}}}if(i&&pR(i)){const e=FL(t,a,t.length,i,o,r);wR(o.inferences,e,i)}return KR(o)}function OL(e){return 1048576&e.flags?VI(e,OL):1&e.flags||fx(lf(e)||e)?e:nA(e)?Dy(qy(e),e.target.elementFlags,!1,e.target.labeledElementDeclarations):Dy([e],[8])}function FL(e,n,t,r,o,i){const a=ef(r);if(n>=t-1){const n=e[t-1];if(SL(n)){const e=237===n.kind?n.type:eO(n.expression,r,o,i);return _x(e)?OL(e):ey(YF(33,e,On,230===n.kind?n.expression:n),a)}}const s=[],l=[],c=[];for(let d=n;d<t;d++){const u=e[d];if(SL(u)){const e=237===u.kind?u.type:bO(u.expression);_x(e)?(s.push(e),l.push(8)):(s.push(YF(33,e,On,230===u.kind?u.expression:u)),l.push(4))}else{const e=nA(r)?RC(r,d-n,t-n)||Ln:Mb(r,BE(d-n),256),c=eO(u,e,o,i),p=a||Ww(e,406978556);s.push(p?WE(c):Kx(c)),l.push(1)}237===u.kind&&u.tupleNameSource?c.push(u.tupleNameSource):c.push(void 0)}return Dy(s,l,a&&!OI(r,hx),c)}function WL(e,n,t,r){const o=Yh(e.declaration),i=e.typeParameters,a=um(B(n,JE),i,dm(i),o);let s;for(let e=0;e<n.length;e++){Tt.assert(void 0!==i[e],"Should not call checkTypeArguments with too many type arguments");const o=Yp(i[e]);if(o){const l=t&&r?()=>cT(void 0,Oa.Type_0_does_not_satisfy_the_constraint_1):void 0,c=r||Oa.Type_0_does_not_satisfy_the_constraint_1;s||(s=eS(i,a));const d=a[e];if(!YS(d,ku(AS(o,s),d),t?n[e]:void 0,c,l))return}}return a}function zL(e){if(JM(e.tagName))return 2;const n=yf(bO(e.tagName));return b(wf(n,1))?0:b(wf(n,0))?1:2}function GL(e){return PD(e=Ty(e))?Ty(e.expression):e}function BL(e,n,t,r,i,a,s){const l={errors:void 0,skipLogging:!0};if(ju(e))return function(e,n,t,r,o,i,a){const s=dM(n,e),l=eO(e.attributes,s,void 0,r),c=4&r?HA(l):l;return function(){var n;if(tP(e))return!0;const t=!WC(e)&&!FC(e)||JM(e.tagName)||qC(e.tagName)?void 0:bO(e.tagName);if(!t)return!0;const r=wf(t,0);if(!b(r))return!0;const i=VG(e);if(!i)return!0;const s=qa(i,111551,!0,!1,e);if(!s)return!0;const l=wf(sd(s),0);if(!b(l))return!0;let c=!1,d=0;for(const e of l){const n=wf(Hk(e,0),0);if(b(n))for(const e of n){if(c=!0,$k(e))return!0;const n=Xk(e);n>d&&(d=n)}}if(!c)return!0;let u=1/0;for(const e of r){const n=Yk(e);n<u&&(u=n)}if(u<=d)return!0;if(o){const t=d_(e.tagName,Oa.Tag_0_expects_at_least_1_arguments_but_the_JSX_factory_2_provides_at_most_3,c_(e.tagName),u,c_(i),d),r=null==(n=Xz(e.tagName))?void 0:n.valueDeclaration;r&&xx(t,d_(r,Oa._0_is_declared_here,c_(e.tagName))),a&&a.skipLogging&&(a.errors||(a.errors=[])).push(t),a.skipLogging||si.add(t)}return!1}()&&QS(c,s,t,o?e.tagName:void 0,e.attributes,void 0,i,a)}(e,t,r,i,a,s,l)?void 0:(Tt.assert(!a||!!l.errors,"jsx should have errors when reporting errors"),l.errors||o);const c=gm(t);if(c&&c!==tt&&!(uD(e)||dD(e)&&Rh(e.expression))){const n=jL(e),t=kL(n),i=a?n||e:void 0,d=Oa.The_this_context_of_type_0_is_not_assignable_to_method_s_this_of_type_1;if(!wT(t,c,r,i,d,s,l))return Tt.assert(!a||!!l.errors,"this parameter should have errors when reporting errors"),l.errors||o}const d=Oa.Argument_of_type_0_is_not_assignable_to_parameter_of_type_1,u=Zk(t),p=u?Math.min(Xk(t)-1,n.length):n.length;for(let e=0;e<p;e++){const c=n[e];if(232!==c.kind){const n=Hk(t,e),u=eO(c,n,void 0,i),p=4&i?HA(u):u,m=GL(c);if(!QS(p,n,r,a?m:void 0,m,d,s,l))return Tt.assert(!a||!!l.errors,"parameter should have errors when reporting errors"),f(c,p,n),l.errors||o}}if(u){const t=FL(n,p,n.length,u,void 0,i),s=n.length-p,c=a?0===s?e:1===s?GL(n[p]):Gx(VL(e,t),n[p].pos,n[n.length-1].end):void 0;if(!wT(t,u,r,c,d,void 0,l))return Tt.assert(!a||!!l.errors,"rest parameter should have errors when reporting errors"),f(c,t,u),l.errors||o}return;function f(e,n,t){if(e&&a&&l.errors&&l.errors.length){if(KO(t))return;const o=KO(n);o&&AT(o,t,r)&&xx(l.errors[0],d_(e,Oa.Did_you_forget_to_use_await))}}}function jL(e){if(226===e.kind)return e.right;const n=213===e.kind?e.expression:215===e.kind?e.tag:170!==e.kind||L?void 0:e.expression;if(n){const e=EP(n);if(wS(e))return e.expression}}function VL(e,n,t,r){const o=IL.createSyntheticExpression(n,t,r);return yL(o,e),Vx(o,e),o}function UL(e){if(215===e.kind){const n=e.template,t=[VL(n,Pr||(Pr=tg("TemplateStringsArray",0,!0)||Ct))];return 228===n.kind&&E(n.templateSpans,(e=>{t.push(e.expression)})),t}if(170===e.kind)return function(e){const n=e.expression,t=hw(e);if(t){const e=[];for(const r of t.parameters){const t=sd(r);e.push(VL(n,t))}return e}return Tt.fail()}(e);if(226===e.kind)return[e.left];if(ju(e))return e.attributes.properties.length>0||WC(e)&&e.parent.children.length>0?[e.attributes]:o;const n=e.arguments||o,t=TL(n);if(t>=0){const e=n.slice(0,t);for(let r=t;r<n.length;r++){const t=n[r],o=230===t.kind&&(So?bO(t.expression):nO(t.expression));o&&nA(o)?E(qy(o),((n,r)=>{var i;const a=o.target.elementFlags[r],s=VL(t,4&a?ey(n):n,!!(12&a),null==(i=o.target.labeledElementDeclarations)?void 0:i[r]);e.push(s)})):e.push(t)}return e}return n}function HL(e,n){return A.experimentalDecorators?function(e,n){switch(e.parent.kind){case 263:case 231:return 1;case 172:return qb(e.parent)?3:2;case 174:case 177:case 178:return 0===R||n.parameters.length<=2?2:3;case 169:return 3;default:return Tt.fail()}}(e,n):2}function KL(e){const n=$f(e),{start:t,length:r}=S_(n,lD(e.expression)?e.expression.name:e.expression);return{start:t,length:r,sourceFile:n}}function qL(e,n,...t){if(dD(e)){const{sourceFile:r,start:o,length:i}=KL(e);return"message"in n?iT(r,o,i,n,...t):g_(r,n)}return"message"in n?d_(e,n,...t):f_($f(e),e,n)}function JL(e,n,t,r){var o;const i=TL(t);if(i>-1)return d_(t[i],Oa.A_spread_argument_must_either_have_a_tuple_type_or_be_passed_to_a_rest_parameter);let a,s=Number.POSITIVE_INFINITY,l=Number.NEGATIVE_INFINITY,c=Number.NEGATIVE_INFINITY,d=Number.POSITIVE_INFINITY;for(const e of n){const n=Yk(e),r=Xk(e);n<s&&(s=n,a=e),l=Math.max(l,r),n<t.length&&n>c&&(c=n),t.length<r&&r<d&&(d=r)}const u=oe(n,$k),p=u?s:s<l?s+"-"+l:s,f=!u&&1===p&&0===t.length&&function(e){if(!dD(e)||!tN(e.expression))return!1;const n=na(e.expression,e.expression.escapedText,111551,void 0,void 0,!1),t=null==n?void 0:n.valueDeclaration;if(!(t&&bN(t)&&eA(t.parent)&&uD(t.parent.parent)&&tN(t.parent.parent.expression)))return!1;const r=Dg(!1);return!!r&&Xz(t.parent.parent.expression,!0)===r}(e);if(f&&Yh(e))return qL(e,Oa.Expected_1_argument_but_got_0_new_Promise_needs_a_JSDoc_hint_to_produce_a_resolve_that_can_be_called_without_arguments);const m=EN(e)?u?Oa.The_runtime_will_invoke_the_decorator_with_1_arguments_but_the_decorator_expects_at_least_0:Oa.The_runtime_will_invoke_the_decorator_with_1_arguments_but_the_decorator_expects_0:u?Oa.Expected_at_least_0_arguments_but_got_1:f?Oa.Expected_0_arguments_but_got_1_Did_you_forget_to_include_void_in_your_type_argument_to_Promise:Oa.Expected_0_arguments_but_got_1;if(s<t.length&&t.length<l){if(r){let n=cT(void 0,Oa.No_overload_expects_0_arguments_but_overloads_do_exist_that_expect_either_1_or_2_arguments,t.length,c,d);return n=cT(n,r),qL(e,n)}return qL(e,Oa.No_overload_expects_0_arguments_but_overloads_do_exist_that_expect_either_1_or_2_arguments,t.length,c,d)}if(t.length<s){let n;if(r){let o=cT(void 0,m,p,t.length);o=cT(o,r),n=qL(e,o)}else n=qL(e,m,p,t.length);const i=null==(o=null==a?void 0:a.declaration)?void 0:o.parameters[a.thisParameter?t.length+1:t.length];if(i){return xx(n,d_(i,...Vd(i.name)?[Oa.An_argument_matching_this_binding_pattern_was_not_provided]:ip(i)?[Oa.Arguments_for_the_rest_parameter_0_were_not_provided,Ll(SE(i.name))]:[Oa.An_argument_for_0_was_not_provided,i.name?Ll(SE(i.name)):t.length]))}return n}{const n=UA.createNodeArray(t.slice(l)),o=Me(n).pos;let i=ke(n).end;if(i===o&&i++,Gx(n,o,i),r){let o=cT(void 0,m,p,t.length);return o=cT(o,r),m_($f(e),n,o)}return u_($f(e),n,m,p,t.length)}}function XL(e,n,t,r,i,a){const s=215===e.kind,l=170===e.kind,c=ju(e),d=226===e.kind,u=!v&&!t;let p;l||d||M_(e)||(p=e.typeArguments,(s||c||108!==e.expression.kind)&&E(p,gz));const f=t||[];!function(e,n,t){let r,o,i,a,s=0,l=-1;Tt.assert(!n.length);for(const c of e){const e=c.declaration&&ps(c.declaration),d=c.declaration&&c.declaration.parent;o&&e!==o?(i=s=n.length,r=d):r&&d===r?i+=1:(r=d,i=s),o=e,eG(c)?(l++,a=l,s++):a=i,n.splice(a,0,t?Bu(c,t):c)}}(n,f,i),Tt.assert(f.length,"Revert #54442 and add a testcase with whatever triggered this");const m=UL(e),_=1===f.length&&!f[0].typeParameters;let h,g,y,S,T=l||_||!oe(m,LS)?0:4;const x=!!(16&r)&&213===e.kind&&e.arguments.hasTrailingComma;if(f.length>1&&(S=I(f,di,_,x)),S||(S=I(f,pi,_,x)),S)return S;if(S=function(e,n,t,r,o){return Tt.assert(n.length>0),bz(e),r||1===n.length||n.some((e=>!!e.typeParameters))?function(e,n,t,r){const o=function(e,n){let t=-1,r=-1;for(let o=0;o<e.length;o++){const i=e[o],a=Xk(i);if($k(i)||a>=n)return o;a>r&&(r=a,t=o)}return t}(n,void 0===he?t.length:he),i=n[o],{typeParameters:a}=i;if(!a)return i;const s=hL(e)?e.typeArguments:void 0,l=s?Nm(i,function(e,n,t){const r=e.map(nG);for(;r.length>n.length;)r.pop();for(;r.length<n.length;)r.push(ff(n[r.length])||Yp(n[r.length])||VR(t));return r}(s,a,Yh(e))):function(e,n,t,r,o){const i=oR(n,t,Yh(e)?2:0),a=wL(e,t,r,12|o,i);return Nm(t,a)}(e,a,i,t,r);return n[o]=l,l}(e,n,t,o):function(e){const n=Y(e,(e=>e.thisParameter));let t;n.length&&(t=$L(n,n.map(zk)));const{min:r,max:o}=Ax(e,YL),i=[];for(let n=0;n<o;n++){const t=Y(e,(e=>Zz(e)?n<e.parameters.length-1?e.parameters[n]:ke(e.parameters):n<e.parameters.length?e.parameters[n]:void 0));Tt.assert(0!==t.length),i.push($L(t,Y(e,(e=>Kk(e,n)))))}const a=Y(e,(e=>Zz(e)?ke(e.parameters):void 0));let s=128;if(0!==a.length){const n=ey(mv(Y(e,Tm),2));i.push(QL(a,n)),s|=1}e.some(eG)&&(s|=2);return Fu(e[0].declaration,void 0,t,i,Nv(e.map(bm)),void 0,r,s)}(n)}(e,f,m,!!t,r),Hi(e).resolvedSignature=S,u)if(!a&&d&&(a=Oa.The_left_hand_side_of_an_instanceof_expression_must_be_assignable_to_the_first_argument_of_the_right_hand_side_s_Symbol_hasInstance_method),h)if(1===h.length||h.length>3){const n=h[h.length-1];let t;h.length>3&&(t=cT(t,Oa.The_last_overload_gave_the_following_error),t=cT(t,Oa.No_overload_matches_this_call)),a&&(t=cT(t,a));const r=BL(e,m,n,pi,0,!0,(()=>t));if(r)for(const e of r)n.declaration&&h.length>3&&xx(e,d_(n.declaration,Oa.The_last_overload_is_declared_here)),R(n,e),si.add(e);else Tt.fail("No error for last overload signature")}else{const n=[];let t=0,r=Number.MAX_VALUE,o=0,i=0;for(const a of h){const s=BL(e,m,a,pi,0,!0,(()=>cT(void 0,Oa.Overload_0_of_1_2_gave_the_following_error,i+1,f.length,ol(a))));s?(s.length<=r&&(r=s.length,o=i),t=Math.max(t,s.length),n.push(s)):Tt.fail("No error for 3 or fewer overload signatures"),i++}const s=t>1?n[o]:U(n);Tt.assert(s.length>0,"No errors reported for 3 or fewer overload signatures");let l=cT(B(s,y_),Oa.No_overload_matches_this_call);a&&(l=cT(l,a));const c=[...H(s,(e=>e.relatedInformation))];let d;if(N(s,(e=>e.start===s[0].start&&e.length===s[0].length&&e.file===s[0].file))){const{file:e,start:n,length:t}=s[0];d={file:e,start:n,length:t,code:l.code,category:l.category,messageText:l,relatedInformation:c}}else d=f_($f(e),ru(A=e)?lD(A.expression)?A.expression.name:A.expression:pD(A)?lD(A.tag)?A.tag.name:A.tag:ju(A)?A.tagName:A,l,c);R(h[0],d),si.add(d)}else if(g)si.add(JL(e,[g],m,a));else if(y)WL(y,e.typeArguments,!0,a);else{const t=W(n,(e=>NL(e,p)));0===t.length?si.add(function(e,n,t,r){const o=t.length;if(1===n.length){const i=n[0],a=dm(i.typeParameters),s=b(i.typeParameters);if(r){let n=cT(void 0,Oa.Expected_0_type_arguments_but_got_1,a<s?a+"-"+s:a,o);return n=cT(n,r),m_($f(e),t,n)}return u_($f(e),t,Oa.Expected_0_type_arguments_but_got_1,a<s?a+"-"+s:a,o)}let i=-1/0,a=1/0;for(const e of n){const n=dm(e.typeParameters),t=b(e.typeParameters);n>o?a=Math.min(a,n):t<o&&(i=Math.max(i,t))}if(i!==-1/0&&a!==1/0){if(r){let n=cT(void 0,Oa.No_overload_expects_0_type_arguments_but_overloads_do_exist_that_expect_either_1_or_2_type_arguments,o,i,a);return n=cT(n,r),m_($f(e),t,n)}return u_($f(e),t,Oa.No_overload_expects_0_type_arguments_but_overloads_do_exist_that_expect_either_1_or_2_type_arguments,o,i,a)}if(r){let n=cT(void 0,Oa.Expected_0_type_arguments_but_got_1,i===-1/0?a:i,o);return n=cT(n,r),m_($f(e),t,n)}return u_($f(e),t,Oa.Expected_0_type_arguments_but_got_1,i===-1/0?a:i,o)}(e,n,p,a)):si.add(JL(e,t,m,a))}var A;return S;function R(e,n){var t,r;const i=h,a=g,s=y,l=(null==(r=null==(t=e.declaration)?void 0:t.symbol)?void 0:r.declarations)||o,c=l.length>1?D(l,(e=>Ad(e)&&am(e.body))):void 0;if(c){const e=pm(c),t=!e.typeParameters;I([e],pi,t)&&xx(n,d_(c,Oa.The_call_would_have_succeeded_against_this_implementation_but_implementation_signatures_of_overloads_are_not_externally_visible))}h=i,g=a,y=s}function I(n,t,r,o=!1){if(h=void 0,g=void 0,y=void 0,r){const r=n[0];if(oe(p)||!RL(e,m,r,o))return;return BL(e,m,r,t,0,!1,void 0)?void(h=[r]):r}for(let r=0;r<n.length;r++){const i=n[r];if(!NL(i,p)||!RL(e,m,i,o))continue;let a,s;if(i.typeParameters){let n;if(oe(p)){if(n=WL(i,p,!1),!n){y=i;continue}}else s=oR(i.typeParameters,i,Yh(e)?2:0),n=wL(e,i,m,8|T,s),T|=4&s.flags?8:0;if(a=Am(i,n,Yh(i.declaration),s&&s.inferredTypeParameters),Zk(i)&&!RL(e,m,a,o)){g=a;continue}}else a=i;if(!BL(e,m,a,t,T,!1,void 0)){if(T){if(T=0,s){if(a=Am(i,wL(e,i,m,T,s),Yh(i.declaration),s.inferredTypeParameters),Zk(i)&&!RL(e,m,a,o)){g=a;continue}}if(BL(e,m,a,t,T,!1,void 0)){(h||(h=[])).push(a);continue}}return n[r]=a,a}(h||(h=[])).push(a)}}}function YL(e){const n=e.parameters.length;return Zz(e)?n-1:n}function $L(e,n){return QL(e,mv(n,2))}function QL(e,n){return VA(Me(e),n)}function ZL(e){return!(!e.typeParameters||!PG(bm(e)))}function ek(e,n,t,r){return zl(e)||zl(n)&&!!(262144&e.flags)||!t&&!r&&!(1048576&n.flags)&&!(131072&Tf(n).flags)&&KS(e,$t)}function nk(e,n,t){if(e.arguments&&R<1){const n=TL(e.arguments);n>=0&&Ai(e.arguments[n],Oa.Spread_operator_in_new_expressions_is_only_available_when_targeting_ECMAScript_5_and_higher)}let r=DP(e.expression);if(r===it)return lo;if(r=yf(r),Bl(r))return EL(e);if(zl(r))return e.typeArguments&&Ai(e,Oa.Untyped_function_calls_may_not_accept_type_arguments),gL(e);const o=wf(r,1);if(o.length){if(!function(e,n){if(!n||!n.declaration)return!0;const t=n.declaration,r=Yb(t,6);if(!r||176!==t.kind)return!0;const o=RS(t.parent.symbol),i=ou(t.parent.symbol);if(!kz(e,o)){const n=_h(e);if(n&&4&r){const e=nG(n);if(rk(t.parent.symbol,e))return!0}return 2&r&&Ai(e,Oa.Constructor_of_class_0_is_private_and_only_accessible_within_the_class_declaration,il(i)),4&r&&Ai(e,Oa.Constructor_of_class_0_is_protected_and_only_accessible_within_the_class_declaration,il(i)),!1}return!0}(e,o[0]))return EL(e);if(tk(o,(e=>!!(4&e.flags))))return Ai(e,Oa.Cannot_create_an_instance_of_an_abstract_class),EL(e);const i=r.symbol&&RS(r.symbol);return i&&Bb(i,64)?(Ai(e,Oa.Cannot_create_an_instance_of_an_abstract_class),EL(e)):XL(e,o,n,t,0)}const i=wf(r,0);if(i.length){const r=XL(e,i,n,t,0);return $||(r.declaration&&!gk(r.declaration)&&bm(r)!==tt&&Ai(e,Oa.Only_a_void_function_can_be_called_with_the_new_keyword),gm(r)===tt&&Ai(e,Oa.A_function_that_is_called_with_the_new_keyword_cannot_have_a_this_type_that_is_void)),r}return sk(e.expression,r,1),EL(e)}function tk(e,n){return pn(e)?oe(e,(e=>tk(e,n))):1048576===e.compositeKind?oe(e.compositeSignatures,n):n(e)}function rk(e,n){const t=jd(n);if(!b(t))return!1;const r=t[0];if(2097152&r.flags){const n=mp(r.types);let t=0;for(const o of r.types){if(!n[t]&&3&IS(o)){if(o.symbol===e)return!0;if(rk(e,o))return!0}t++}return!1}return r.symbol===e||rk(e,r)}function ak(e,n,t){let r;const o=0===t,i=eF(n),a=i&&wf(i,t).length>0;if(1048576&n.flags){const e=n.types;let i=!1;for(const a of e){if(0!==wf(a,t).length){if(i=!0,r)break}else if(r||(r=cT(r,o?Oa.Type_0_has_no_call_signatures:Oa.Type_0_has_no_construct_signatures,il(a)),r=cT(r,o?Oa.Not_all_constituents_of_type_0_are_callable:Oa.Not_all_constituents_of_type_0_are_constructable,il(n))),i)break}i||(r=cT(void 0,o?Oa.No_constituent_of_type_0_is_callable:Oa.No_constituent_of_type_0_is_constructable,il(n))),r||(r=cT(r,o?Oa.Each_member_of_the_union_type_0_has_signatures_but_none_of_those_signatures_are_compatible_with_each_other:Oa.Each_member_of_the_union_type_0_has_construct_signatures_but_none_of_those_signatures_are_compatible_with_each_other,il(n)))}else r=cT(r,o?Oa.Type_0_has_no_call_signatures:Oa.Type_0_has_no_construct_signatures,il(n));let s=o?Oa.This_expression_is_not_callable:Oa.This_expression_is_not_constructable;if(dD(e.parent)&&0===e.parent.arguments.length){const{resolvedSymbol:n}=Hi(e);n&&32768&n.flags&&(s=Oa.This_expression_is_not_callable_because_it_is_a_get_accessor_Did_you_mean_to_use_it_without)}return{messageChain:cT(r,s),relatedMessage:a?Oa.Did_you_forget_to_use_await:void 0}}function sk(e,n,t,r){const{messageChain:o,relatedMessage:i}=ak(e,n,t),a=f_($f(e),e,o);if(i&&xx(a,d_(e,i)),dD(e.parent)){const{start:n,length:t}=KL(e.parent);a.start=n,a.length=t}si.add(a),lk(n,t,r?xx(a,r):a)}function lk(e,n,t){if(!e.symbol)return;const r=Ui(e.symbol).originatingImport;if(r&&!P_(r)){const o=wf(sd(Ui(e.symbol).target),n);if(!o||!o.length)return;xx(t,d_(r,Oa.Type_originates_at_this_import_A_namespace_style_import_cannot_be_called_or_constructed_and_will_cause_a_failure_at_runtime_Consider_using_a_default_import_or_import_require_here_instead))}}function dk(e,n,t){const r=bO(e.expression),o=yf(r);if(Bl(o))return EL(e);const i=wf(o,0),a=wf(o,1).length;if(ek(r,o,i.length,a))return gL(e);if(s=e,(l=i).length&&N(l,(e=>0===e.minArgumentCount&&!Zz(e)&&e.parameters.length<HL(s,e)))&&!mD(e.expression)){const n=xm(e.expression,!1);return Ai(e,Oa._0_accepts_too_few_arguments_to_be_used_as_a_decorator_here_Did_you_mean_to_call_it_first_and_write_0,n),EL(e)}var s,l;const c=function(e){switch(e.parent.kind){case 263:case 231:return Oa.Unable_to_resolve_signature_of_class_decorator_when_called_as_an_expression;case 169:return Oa.Unable_to_resolve_signature_of_parameter_decorator_when_called_as_an_expression;case 172:return Oa.Unable_to_resolve_signature_of_property_decorator_when_called_as_an_expression;case 174:case 177:case 178:return Oa.Unable_to_resolve_signature_of_method_decorator_when_called_as_an_expression;default:return Tt.fail()}}(e);if(!i.length){const n=ak(e.expression,o,0),t=cT(n.messageChain,c),r=f_($f(e.expression),e.expression,t);return n.relatedMessage&&xx(r,d_(e.expression,n.relatedMessage)),si.add(r),lk(o,0,r),EL(e)}return XL(e,i,n,t,0,c)}function pk(e,n){const t=rP(e),r=t&&ss(t),o=r&&qi(r,Bz.Element,788968),i=o&&pe.symbolToEntityName(o,788968,e),a=UA.createFunctionTypeNode(void 0,[UA.createParameterDeclaration(void 0,void 0,"props",void 0,pe.typeToTypeNode(n,e))],i?UA.createTypeReferenceNode(i,void 0):UA.createKeywordTypeNode(133)),s=Li(1,"props");return s.links.type=n,Fu(a,void 0,void 0,[s],o?ou(o):Nn,void 0,1,0)}function fk(e,n,t){if(JM(e.tagName)){const n=lP(e),t=pk(e,n);return $S(eO(e.attributes,dM(t,e),void 0,0),n,e.tagName,e.attributes),b(e.typeArguments)&&(E(e.typeArguments,gz),si.add(u_($f(e),e.typeArguments,Oa.Expected_0_type_arguments_but_got_1,0,b(e.typeArguments)))),t}const r=bO(e.tagName),o=yf(r);if(Bl(o))return EL(e);const i=aP(r,e);return ek(r,o,i.length,0)?gL(e):0===i.length?(Ai(e.tagName,Oa.JSX_element_type_0_does_not_have_any_construct_or_call_signatures,xm(e.tagName)),EL(e)):XL(e,i,n,t,0)}function mk(e,n,t){switch(e.kind){case 213:return function(e,n,t){if(108===e.expression.kind){const r=zD(e.expression);if(zl(r)){for(const n of e.arguments)bO(n);return io}if(!Bl(r)){const o=Oy(_h(e));if(o)return XL(e,Fd(r,o.typeArguments,o),n,t,0)}return gL(e)}let r,o=bO(e.expression);if(kc(e)){const n=WA(o,e.expression);r=n===o?0:Wc(e)?16:8,o=n}else r=0;if(o=kP(o,e.expression,LP),o===it)return lo;const i=yf(o);if(Bl(i))return EL(e);const a=wf(i,0),s=wf(i,1).length;if(ek(o,i,a.length,s))return!Bl(o)&&e.typeArguments&&Ai(e,Oa.Untyped_function_calls_may_not_accept_type_arguments),gL(e);if(!a.length){if(s)Ai(e,Oa.Value_of_type_0_is_not_callable_Did_you_mean_to_include_new,il(o));else{let n;if(1===e.arguments.length){const t=$f(e).text;ys(t.charCodeAt(Ts(t,e.expression.end,!0)-1))&&(n=d_(e.expression,Oa.Are_you_missing_a_semicolon))}sk(e.expression,i,0,n)}return EL(e)}return 8&t&&!e.typeArguments&&a.some(ZL)?(uO(e,t),so):a.some((e=>Yh(e.declaration)&&!!nc(e.declaration)))?(Ai(e,Oa.Value_of_type_0_is_not_callable_Did_you_mean_to_include_new,il(o)),EL(e)):XL(e,a,n,t,r)}(e,n,t);case 214:return nk(e,n,t);case 215:return function(e,n,t){const r=bO(e.tag),o=yf(r);if(Bl(o))return EL(e);const i=wf(o,0),a=wf(o,1).length;if(ek(r,o,i.length,a))return gL(e);if(!i.length){if(aD(e.parent)){const n=d_(e.tag,Oa.It_is_likely_that_you_are_missing_a_comma_to_separate_these_two_template_expressions_They_form_a_tagged_template_expression_which_cannot_be_invoked);return si.add(n),EL(e)}return sk(e.tag,o,0),EL(e)}return XL(e,i,n,t,0)}(e,n,t);case 170:return dk(e,n,t);case 286:case 285:return fk(e,n,t);case 226:return function(e,n,t){const r=bO(e.right);if(!zl(r)){const o=Vw(r);if(o){const r=yf(o);if(Bl(r))return EL(e);const i=wf(r,0),a=wf(r,1);if(ek(o,r,i.length,a.length))return gL(e);if(i.length)return XL(e,i,n,t,0)}else if(!cG(r)&&!US(r,$t))return Ai(e.right,Oa.The_right_hand_side_of_an_instanceof_expression_must_be_either_of_type_any_a_class_function_or_other_type_assignable_to_the_Function_interface_type_or_an_object_type_with_a_Symbol_hasInstance_method),EL(e)}return io}(e,n,t)}Tt.assertNever(e,"Branch in 'resolveSignature' should be unreachable.")}function hk(e,n,t){const r=Hi(e),o=r.resolvedSignature;if(o&&o!==so&&!n)return o;r.resolvedSignature=so;let i=mk(e,n,t||0);return i!==so&&(r.resolvedSignature!==so&&(i=r.resolvedSignature),r.resolvedSignature=Eo===So?i:o),i}function gk(e){var n;if(!e||!Yh(e))return!1;const t=sC(e)||_D(e)?e:(iC(e)||QC(e))&&e.initializer&&_D(e.initializer)?e.initializer:void 0;if(t){if(nc(e))return!0;if(QC(by(t.parent)))return!1;const r=ps(t);return!!(null==(n=null==r?void 0:r.members)?void 0:n.size)}return!1}function yk(e,n){var t,r;if(n){const o=Ui(n);if(!o.inferredClassSymbol||!o.inferredClassSymbol.has(Kz(e))){const i=Pf(e)?e:Wi(e);return i.exports=i.exports||Mf(),i.members=i.members||Mf(),i.flags|=32&n.flags,(null==(t=n.exports)?void 0:t.size)&&ji(i.exports,n.exports),(null==(r=n.members)?void 0:r.size)&&ji(i.members,n.members),(o.inferredClassSymbol||(o.inferredClassSymbol=new Map)).set(Kz(i),i),i}return o.inferredClassSymbol.get(Kz(e))}}function vk(e,n){if(!e.parent)return;let t,r;if(iC(e.parent)&&e.parent.initializer===e){if(!(Yh(e)||MB(e.parent)&&Ad(e)))return;t=e.parent.name,r=e.parent}else if(TD(e.parent)){const o=e.parent,i=e.parent.operatorToken.kind;if(64!==i||!n&&o.right!==e){if(!(57!==i&&61!==i||(iC(o.parent)&&o.parent.initializer===o?(t=o.parent.name,r=o.parent):TD(o.parent)&&64===o.parent.operatorToken.kind&&(n||o.parent.right===o)&&(t=o.parent.left,r=t),t&&Ig(t)&&hg(t,o.left))))return}else t=o.left,r=t}else n&&sC(e)&&(t=e.name,r=e);return r&&t&&(n||fg(e,RE(t)))?fs(r):void 0}function bk(e,n){var t,r,o,i;if(!(128&e.flags)&&(e.declaration&&536870912&e.declaration.flags)){const a=Ek(n),s=AE(Mh(n));t=a,r=e.declaration,o=s,i=ol(e),Di(r,o?d_(t,Oa.The_signature_0_of_1_is_deprecated,i,o):d_(t,Oa._0_is_deprecated,i))}}function Ek(e){switch((e=Ty(e)).kind){case 213:case 170:case 214:return Ek(e.expression);case 215:return Ek(e.tag);case 286:case 285:return Ek(e.tagName);case 212:return e.argumentExpression;case 211:return e.name;case 183:const n=e;return gN(n.typeName)?n.typeName.right:n;default:return e}}function Sk(e){if(!dD(e))return!1;let n=e.expression;if(lD(n)&&"for"===n.name.escapedText&&(n=n.expression),!tN(n)||"Symbol"!==n.escapedText)return!1;const t=Tg(!1);return!!t&&t===na(n,"Symbol",111551,void 0,void 0,!1)}function Tk(e){if(function(e){if(A.verbatimModuleSyntax&&1===I)return SB(e,Oa.ESM_syntax_is_not_allowed_in_a_CommonJS_module_when_verbatimModuleSyntax_is_enabled);if(5===I)return SB(e,Oa.Dynamic_imports_are_only_supported_when_the_module_flag_is_set_to_es2020_es2022_esnext_commonjs_amd_system_umd_node16_or_nodenext);if(e.typeArguments)return SB(e,Oa.This_use_of_import_is_invalid_import_calls_can_be_written_but_they_must_have_parentheses_and_cannot_have_type_arguments);const n=e.arguments;if(99!==I&&199!==I&&100!==I&&($G(n),n.length>1)){return SB(n[1],Oa.Dynamic_imports_only_support_a_second_argument_when_the_module_option_is_set_to_esnext_node16_or_nodenext)}if(0===n.length||n.length>2)return SB(e,Oa.Dynamic_imports_can_only_accept_a_module_specifier_and_an_optional_set_of_attributes_as_arguments);const t=D(n,ID);if(t)return SB(t,Oa.Argument_of_dynamic_import_cannot_be_spread_element)}(e),0===e.arguments.length)return vw(e,xn);const n=e.arguments[0],t=nO(n),r=e.arguments.length>1?nO(e.arguments[1]):void 0;for(let n=2;n<e.arguments.length;++n)nO(e.arguments[n]);if((32768&t.flags||65536&t.flags||!KS(t,Vn))&&Ai(n,Oa.Dynamic_import_s_specifier_must_be_of_type_string_but_here_has_type_0,il(t)),r){const n=lg(!0);n!==Ct&&YS(r,PA(n,32768),e.arguments[1])}const o=Xa(e,n);if(o){const t=es(o,n,!0,!1);if(t)return vw(e,Ak(sd(t),t,o,n)||Rk(sd(t),t,o,n))}return vw(e,xn)}function xk(e,n,t){const r=Mf(),i=Li(2097152,"default");return i.parent=n,i.links.nameType=GE("default"),i.links.aliasTarget=Fa(e),r.set("default",i),Os(t,r,o,o,o)}function Ak(e,n,t,r){if(xa(r)&&e&&!Bl(e)){const r=e;if(!r.defaultOnlyType){const e=xk(n,t);r.defaultOnlyType=e}return r.defaultOnlyType}}function Rk(e,n,t,r){var o;if(j&&e&&!Bl(e)){const i=e;if(!i.syntheticType){if(Aa(null==(o=t.declarations)?void 0:o.find(rM),t,!1,r)){const r=Li(2048,"__type"),o=xk(n,t,r);r.links.type=o,i.syntheticType=KM(e)?vE(e,o,r,0,!1):o}else i.syntheticType=e}return i.syntheticType}return e}function Ik(e){if(!ng(e,!0))return!1;if(!tN(e.expression))return Tt.fail();const n=na(e.expression,e.expression.escapedText,111551,void 0,void 0,!0);if(n===Ae)return!0;if(2097152&n.flags)return!1;const t=16&n.flags?262:3&n.flags?260:0;if(0!==t){const e=Df(n,t);return!!e&&!!(33554432&e.flags)}return!1}function Nk(e){(function(e){if(e.questionDotToken||64&e.flags)return SB(e.template,Oa.Tagged_template_expressions_are_not_permitted_in_an_optional_chain);return!1})(e)||nB(e,e.typeArguments),R<2&&KG(e,262144);const n=hk(e);return bk(n,e),bm(n)}function Dk(e){switch(e.kind){case 11:case 15:case 9:case 10:case 112:case 97:case 209:case 210:case 228:return!0;case 217:return Dk(e.expression);case 224:const n=e.operator,t=e.operand;return 41===n&&(9===t.kind||10===t.kind)||40===n&&9===t.kind;case 211:case 212:const r=Ty(e.expression),o=EE(r)?qa(r,111551,!0):void 0;return!!(o&&384&o.flags)}return!1}function Ck(e,n){const{type:t,expression:r}=Mk(e),o=bO(r,n);if(Gc(t))return Dk(r)||Ai(r,Oa.A_const_assertions_can_only_be_applied_to_references_to_enum_members_or_string_number_boolean_array_or_object_literals),WE(o);return Hi(e).assertionExpressionType=o,gz(t),bz(e),JE(t)}function Mk(e){let n,t;switch(e.kind){case 234:case 216:n=e.type,t=e.expression;break;case 217:n=vP(e),t=e.expression}return{type:n,expression:t}}function Pk(e){return 64&e.flags?function(e){const n=bO(e.expression),t=WA(n,e.expression);return FA(kA(t),e,t!==n)}(e):kA(bO(e.expression))}function Lk(e){if(rB(e),E(e.typeArguments,gz),233===e.kind){const n=by(e.parent);226===n.kind&&104===n.operatorToken.kind&&Ay(e,n.right)&&Ai(e,Oa.The_right_hand_side_of_an_instanceof_expression_must_not_be_an_instantiation_expression)}return kk(233===e.kind?bO(e.expression):bb(e.exprName)?wD(e.exprName):bO(e.exprName),e)}function kk(e,n){const t=n.typeArguments;if(e===it||Bl(e)||!oe(t))return e;let r,o=!1;const i=function e(t){let i=!1,a=!1;const l=c(t);o||(o=a),i&&!a&&(r??(r=t));return l;function c(t){if(524288&t.flags){const e=Fp(t),r=s(e.callSignatures),o=s(e.constructSignatures);if(i||(i=0!==e.callSignatures.length||0!==e.constructSignatures.length),a||(a=0!==r.length||0!==o.length),r!==e.callSignatures||o!==e.constructSignatures){const t=Os(Li(0,"__instantiationExpression"),e.members,r,o,e.indexInfos);return t.objectFlags|=8388608,t.node=n,t}}else if(58982400&t.flags){const e=lf(t);if(e){const n=c(e);if(n!==e)return n}}else{if(1048576&t.flags)return VI(t,e);if(2097152&t.flags)return Nv(V(t.types,c))}return t}}(e),a=o?r:e;return a&&si.add(u_($f(n),t,Oa.Type_0_has_no_signatures_for_which_the_type_argument_list_is_applicable,il(a))),i;function s(e){return V(W(e,(e=>!!e.typeParameters&&NL(e,t))),(e=>{const n=WL(e,t,!0);return n?Am(e,n,Yh(e.declaration)):e}))}}function wk(e,n,t){const r=bO(e,t),o=JE(n);if(Bl(o))return o;return $S(r,o,Nl(n.parent,(e=>238===e.kind||357===e.kind)),e,Oa.Type_0_does_not_satisfy_the_expected_type_1),r}function Ok(e){return function(e){const n=e.name.escapedText;switch(e.keywordToken){case 105:if("target"!==n)return SB(e.name,Oa._0_is_not_a_valid_meta_property_for_keyword_1_Did_you_mean_2,Pl(e.name.escapedText),as(e.keywordToken),"target");break;case 102:if("meta"!==n)SB(e.name,Oa._0_is_not_a_valid_meta_property_for_keyword_1_Did_you_mean_2,Pl(e.name.escapedText),as(e.keywordToken),"meta")}}(e),105===e.keywordToken?Wk(e):102===e.keywordToken?function(e){100===I||199===I?99!==$f(e).impliedNodeFormat&&Ai(e,Oa.The_import_meta_meta_property_is_not_allowed_in_files_which_will_build_into_CommonJS_output):I<6&&4!==I&&Ai(e,Oa.The_import_meta_meta_property_is_only_allowed_when_the_module_option_is_es2020_es2022_esnext_system_node16_or_nodenext);const n=$f(e);return Tt.assert(!!(8388608&n.flags),"Containing file is missing import meta node flag."),"meta"===e.name.escapedText?ig():Nn}(e):Tt.assertNever(e.keywordToken)}function Fk(e){switch(e.keywordToken){case 102:return ag();case 105:const n=Wk(e);return Bl(n)?Nn:function(e){const n=Li(0,"NewTargetExpression"),t=Li(4,"target",8);t.parent=n,t.links.type=e;const r=Mf([t]);return n.members=r,Os(n,r,o,o,o)}(n);default:Tt.assertNever(e.keywordToken)}}function Wk(e){const n=Sh(e);if(n){if(176===n.kind){return sd(ps(n.parent))}return sd(ps(n))}return Ai(e,Oa.Meta_property_0_is_only_allowed_in_the_body_of_a_function_declaration_function_expression_or_constructor,"new.target"),Nn}function zk(e){const n=e.valueDeclaration;return ac(sd(e),!1,!!n&&($u(n)||fA(n)))}function Gk(e,n,t="arg"){return e?(Tt.assert(tN(e.name)),e.name.escapedText):`${t}_${n}`}function Bk(e,n,t){const r=e.parameters.length-(Zz(e)?1:0);if(n<r)return e.parameters[n].escapedName;const o=e.parameters[r]||vn,i=t||sd(o);if(nA(i)){const e=i.target.labeledElementDeclarations,t=n-r;return Gk(null==e?void 0:e[t],t,o.escapedName)}return o.escapedName}function jk(e){return e.valueDeclaration&&bN(e.valueDeclaration)&&tN(e.valueDeclaration.name)&&e.valueDeclaration.name}function Vk(e){return 202===e.kind||bN(e)&&e.name&&tN(e.name)}function Uk(e,n){const t=e.parameters.length-(Zz(e)?1:0);if(n<t){const t=e.parameters[n].valueDeclaration;return t&&Vk(t)?t:void 0}const r=e.parameters[t]||vn,o=sd(r);if(nA(o)){const e=o.target.labeledElementDeclarations;return e&&e[n-t]}return r.valueDeclaration&&Vk(r.valueDeclaration)?r.valueDeclaration:void 0}function Hk(e,n){return Kk(e,n)||xn}function Kk(e,n){const t=e.parameters.length-(Zz(e)?1:0);if(n<t)return zk(e.parameters[n]);if(Zz(e)){const r=sd(e.parameters[t]),o=n-t;if(!nA(r)||r.target.hasRestElement||o<r.target.fixedLength)return Mb(r,BE(o))}}function qk(e,n,t){const r=Xk(e),o=Yk(e),i=Qk(e);if(i&&n>=r-1)return n===r-1?i:ey(Mb(i,Un));const a=[],s=[],l=[];for(let t=n;t<r;t++)!i||t<r-1?(a.push(Hk(e,t)),s.push(t<o?1:2)):(a.push(i),s.push(8)),l.push(Uk(e,t));return Dy(a,s,t,l)}function Jk(e,n){const t=qk(e,n),r=t&&mx(t);return r&&zl(r)?xn:t}function Xk(e){const n=e.parameters.length;if(Zz(e)){const t=sd(e.parameters[n-1]);if(nA(t))return n+t.target.fixedLength-(t.target.hasRestElement?0:1)}return n}function Yk(e,n){const t=1&n,r=2&n;if(r||void 0===e.resolvedMinArgumentCount){let n;if(Zz(e)){const t=sd(e.parameters[e.parameters.length-1]);if(nA(t)){const r=M(t.target.elementFlags,(e=>!(1&e))),o=r<0?t.target.fixedLength:r;o>0&&(n=e.parameters.length-1+o)}}if(void 0===n){if(!t&&32&e.flags)return 0;n=e.minArgumentCount}if(r)return n;for(let t=n-1;t>=0;t--){if(131072&GI(Hk(e,t),xL).flags)break;n=t}e.resolvedMinArgumentCount=n}return e.resolvedMinArgumentCount}function $k(e){if(Zz(e)){const n=sd(e.parameters[e.parameters.length-1]);return!nA(n)||n.target.hasRestElement}return!1}function Qk(e){if(Zz(e)){const n=sd(e.parameters[e.parameters.length-1]);if(!nA(n))return zl(n)?sr:n;if(n.target.hasRestElement)return Vy(n,n.target.fixedLength)}}function Zk(e){const n=Qk(e);return!n||cx(n)||zl(n)?void 0:n}function ew(e){return nw(e,ot)}function nw(e,n){return e.parameters.length>0?Hk(e,0):n}function tw(e,n,t){const r=e.parameters.length-(Zz(e)?1:0);for(let o=0;o<r;o++){const r=e.parameters[o].valueDeclaration,i=Ab(r);if(i){const e=ac(JE(i),!1,fA(r)),a=Hk(n,o);wR(t.inferences,e,a)}}}function rw(e,n){const t=Ui(e);if(t.type)n&&Tt.assertEqual(t.type,n,"Parameter symbol already has a cached type which differs from newly assigned type");else{const r=e.valueDeclaration;t.type=ac(n||(r?Cc(r,!0):sd(e)),!1,!!r&&!r.initializer&&fA(r)),r&&80!==r.name.kind&&(t.type===Ln&&(t.type=Rc(r.name)),ow(r.name,t.type))}}function ow(e,n){for(const t of e.elements)if(!DD(t)){const e=rc(t,n,!1);80===t.name.kind?Ui(ps(t)).type=e:ow(t.name,e)}}function iw(e){return h_((n=!0,Hr??(Hr=tg("ClassDecoratorContext",1,n))??Ot),[e]);var n}function aw(e,n){return h_((t=!0,Kr??(Kr=tg("ClassMethodDecoratorContext",2,t))??Ot),[e,n]);var t}function sw(e,n){return h_((t=!0,qr??(qr=tg("ClassGetterDecoratorContext",2,t))??Ot),[e,n]);var t}function lw(e,n){return h_((t=!0,Jr??(Jr=tg("ClassSetterDecoratorContext",2,t))??Ot),[e,n]);var t}function cw(e,n){return h_((t=!0,Xr??(Xr=tg("ClassAccessorDecoratorContext",2,t))??Ot),[e,n]);var t}function dw(e,n){return h_((t=!0,Qr??(Qr=tg("ClassFieldDecoratorContext",2,t))??Ot),[e,n]);var t}function uw(e,n,t){const r=Vb(e),i=rN(e.name),a=i?GE(Ll(e.name)):zv(e.name),s=AN(e)?aw(n,t):NN(e)?sw(n,t):DN(e)?lw(n,t):Ld(e)?cw(n,t):TN(e)?dw(n,t):Tt.failBadSyntaxKind(e),l=function(e,n,t){const r=`${n?"p":"P"}${t?"s":"S"}${e.id}`;let i=dn.get(r);if(!i){const a=Mf();a.set("name",wi("name",e)),a.set("private",wi("private",n?Yn:Kn)),a.set("static",wi("static",t?Yn:Kn)),i=Os(void 0,a,o,o,o),dn.set(r,i)}return i}(a,i,r);return Nv([s,l])}function pw(e,n){return h_((t=!0,Yr??(Yr=tg("ClassAccessorDecoratorTarget",2,t))??Ot),[e,n]);var t}function fw(e,n){return h_((t=!0,$r??($r=tg("ClassAccessorDecoratorResult",2,t))??Ot),[e,n]);var t}function mw(e,n,t){return rF(void 0,void 0,[ki("target",e),ki("context",n)],mv([t,tt]))}function _w(e){const{parent:n}=e,t=Hi(n);if(!t.decoratorSignature)switch(t.decoratorSignature=io,n.kind){case 263:case 231:{const e=sd(ps(n)),r=iw(e);t.decoratorSignature=mw(e,r,e);break}case 174:case 177:case 178:{const e=n;if(!Md(e.parent))break;const r=AN(e)?Om(pm(e)):nG(e),o=Vb(e)?sd(ps(e.parent)):qd(ps(e.parent)),i=NN(e)?iF(r):DN(e)?aF(r):r,a=uw(e,o,r),s=NN(e)?iF(r):DN(e)?aF(r):r;t.decoratorSignature=mw(i,a,s);break}case 172:{const e=n;if(!Md(e.parent))break;const r=nG(e),o=Vb(e)?sd(ps(e.parent)):qd(ps(e.parent)),i=qb(e)?pw(o,r):On,a=uw(e,o,r),s=qb(e)?fw(o,r):function(e,n){return oF(void 0,ki("this",e),[ki("value",n)],n,void 0,1)}(o,r);t.decoratorSignature=mw(i,a,s);break}}return t.decoratorSignature===io?void 0:t.decoratorSignature}function hw(e){return L?function(e){const{parent:n}=e,t=Hi(n);if(!t.decoratorSignature)switch(t.decoratorSignature=io,n.kind){case 263:case 231:{const e=sd(ps(n)),r=ki("target",e);t.decoratorSignature=rF(void 0,void 0,[r],mv([e,tt]));break}case 169:{const e=n;if(!IN(e.parent)&&!(AN(e.parent)||DN(e.parent)&&Md(e.parent.parent)))break;if(yb(e.parent)===e)break;const r=yb(e.parent)?e.parent.parameters.indexOf(e)-1:e.parent.parameters.indexOf(e);Tt.assert(r>=0);const o=IN(e.parent)?sd(ps(e.parent.parent)):aG(e.parent),i=IN(e.parent)?On:sG(e.parent),a=BE(r),s=ki("target",o),l=ki("propertyKey",i),c=ki("parameterIndex",a);t.decoratorSignature=rF(void 0,void 0,[s,l,c],tt);break}case 174:case 177:case 178:case 172:{const e=n;if(!Md(e.parent))break;const r=ki("target",aG(e)),o=ki("propertyKey",sG(e)),i=TN(e)?tt:Xg(nG(e));if(0===R||TN(n)&&!qb(n))t.decoratorSignature=rF(void 0,void 0,[r,o],mv([i,tt]));else{const n=ki("descriptor",Xg(nG(e)));t.decoratorSignature=rF(void 0,void 0,[r,o,n],mv([i,tt]))}break}}return t.decoratorSignature===io?void 0:t.decoratorSignature}(e):_w(e)}function gw(e){const n=Ag(!0);return n!==Ot?v_(n,[e=nF($O(e))||Ln]):Ln}function yw(e){const n=Ng(!0);return n!==Ot?v_(n,[e=nF($O(e))||Ln]):Ln}function vw(e,n){const t=gw(n);return t===Ln?(Ai(e,P_(e)?Oa.A_dynamic_import_call_returns_a_Promise_Make_sure_you_have_a_declaration_for_Promise_or_include_ES2015_in_your_lib_option:Oa.An_async_function_or_method_must_return_a_Promise_Make_sure_you_have_a_declaration_for_Promise_or_include_ES2015_in_your_lib_option),Nn):(Dg(!0)||Ai(e,P_(e)?Oa.A_dynamic_import_call_in_ES5_SlashES3_requires_the_Promise_constructor_Make_sure_you_have_a_declaration_for_the_Promise_constructor_or_include_ES2015_in_your_lib_option:Oa.An_async_function_or_method_in_ES5_SlashES3_requires_the_Promise_constructor_Make_sure_you_have_a_declaration_for_the_Promise_constructor_or_include_ES2015_in_your_lib_option),t)}function bw(e,n){if(!e.body)return Nn;const t=Zy(e),r=!!(2&t),o=!!(1&t);let i,a,s,l=tt;if(241!==e.body.kind)i=nO(e.body,n&&-9&n),r&&(i=$O(JO(i,!1,e,Oa.The_return_type_of_an_async_function_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member)));else if(o){const t=Rw(e,n);t?t.length>0&&(i=mv(t,2)):l=ot;const{yieldTypes:r,nextTypes:o}=function(e,n){const t=[],r=[],o=!!(2&Zy(e));return K_(e.body,(e=>{const i=e.expression?bO(e.expression,n):Fn;let a;if(Se(t,Sw(e,i,xn,o)),e.asteriskToken){const n=rW(i,o?19:17,e.expression);a=n&&n.nextType}else a=JC(e,void 0);a&&Se(r,a)})),{yieldTypes:t,nextTypes:r}}(e,n);a=oe(r)?mv(r,2):void 0,s=oe(o)?Nv(o):void 0}else{const r=Rw(e,n);if(!r)return 2&t?vw(e,ot):ot;if(0===r.length){const n=tC(e,void 0),r=n&&32768&(TW(n,t)||tt).flags?On:tt;return 2&t?vw(e,r):r}i=mv(r,2)}if(i||a||s){if(a&&nR(e,a,3),i&&nR(e,i,1),s&&nR(e,s,2),i&&Wx(i)||a&&Wx(a)||s&&Wx(s)){const n=xM(e),t=n?n===pm(e)?o?void 0:i:jC(bm(n),e,void 0):void 0;o?(a=Yx(a,t,0,r),i=Yx(i,t,1,r),s=Yx(s,t,2,r)):i=function(e,n,t){e&&Wx(e)&&(e=Xx(e,n?t?qO(n):n:void 0));return e}(i,t,r)}a&&(a=$A(a)),i&&(i=$A(i)),s&&(s=$A(s))}return o?Ew(a||ot,i||l,s||nC(2,e)||Ln,r):r?gw(i||l):i||l}function Ew(e,n,t,r){const o=r?ho:go,i=o.getGlobalGeneratorType(!1);if(e=o.resolveIterationType(e,void 0)||Ln,n=o.resolveIterationType(n,void 0)||Ln,t=o.resolveIterationType(t,void 0)||Ln,i===Ot){const r=o.getGlobalIterableIteratorType(!1),i=r!==Ot?sW(r,o):void 0,a=i?i.returnType:xn,s=i?i.nextType:On;return KS(n,a)&&KS(s,t)?r!==Ot?Jg(r,[e]):(o.getGlobalIterableIteratorType(!0),Ct):(o.getGlobalGeneratorType(!0),Ct)}return Jg(i,[e,n,t])}function Sw(e,n,t,r){const o=e.expression||e,i=e.asteriskToken?YF(r?19:17,n,t,o):n;return r?eF(i,o,e.asteriskToken?Oa.Type_of_iterated_elements_of_a_yield_Asterisk_operand_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member:Oa.Type_of_yield_operand_in_an_async_generator_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member):i}function Tw(e,n,t){let r=0;for(let o=0;o<t.length;o++){const i=o<e||o>=n?t[o]:void 0;r|=void 0!==i?wz.get(i)||32768:0}return r}function xw(e){const n=Hi(e);if(void 0===n.isExhaustive){n.isExhaustive=0;const t=function(e){if(221===e.expression.kind){const n=LI(e);if(!n)return!1;const t=cf(nO(e.expression.expression)),r=Tw(0,0,n);return 3&t.flags?!(556800&~r):!OI(t,(e=>fI(e,r)===r))}const n=nO(e.expression);if(!Bx(n))return!1;const t=PI(e);if(!t.length||oe(t,Px))return!1;return r=VI(n,WE),o=t,1048576&r.flags?!E(r.types,(e=>!k(o,e))):k(o,r);var r,o}(e);0===n.isExhaustive&&(n.isExhaustive=t)}else 0===n.isExhaustive&&(n.isExhaustive=!1);return n.isExhaustive}function Aw(e){return e.endFlowNode&&lN(e.endFlowNode)}function Rw(e,n){const t=Zy(e),r=[];let o=Aw(e),i=!1;if(H_(e.body,(a=>{let s=a.expression;if(s){if(s=Ty(s,!0),2&t&&223===s.kind&&(s=Ty(s.expression,!0)),213===s.kind&&80===s.expression.kind&&nO(s.expression).symbol===e.symbol)return void(i=!0);let o=nO(s,n&&-9&n);2&t&&(o=$O(JO(o,!1,e,Oa.The_return_type_of_an_async_function_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member))),131072&o.flags&&(i=!0),Se(r,o)}else o=!0})),0!==r.length||o||!i&&!function(e){switch(e.kind){case 218:case 219:return!0;case 174:return 210===e.parent.kind;default:return!1}}(e))return!(K&&r.length&&o)||gk(e)&&r.some((n=>n.symbol===e.symbol))||Se(r,On),r}function Iw(e,n){return void l((function(){const t=Zy(e),r=n&&TW(n,t);if(r&&(Ww(r,16384)||32769&r.flags))return;if(173===e.kind||im(e.body)||241!==e.body.kind||!Aw(e))return;const o=1024&e.flags,i=Ib(e)||e;if(r&&131072&r.flags)Ai(i,Oa.A_function_returning_never_cannot_have_a_reachable_end_point);else if(r&&!o)Ai(i,Oa.A_function_whose_declared_type_is_neither_undefined_void_nor_any_must_return_a_value);else if(r&&K&&!KS(On,r))Ai(i,Oa.Function_lacks_ending_return_statement_and_return_type_does_not_include_undefined);else if(A.noImplicitReturns){if(!r){if(!o)return;const n=bm(pm(e));if(xW(e,n))return}Ai(i,Oa.Not_all_code_paths_return_a_value)}}))}function Nw(e,n){if(Tt.assert(174!==e.kind||oh(e)),bz(e),_D(e)&&OF(e,e.name),n&&4&n&&LS(e)){if(!Ib(e)&&!$x(e)){const t=AM(e);if(t&&pR(bm(t))){const t=Hi(e);if(t.contextFreeType)return t.contextFreeType;const r=bw(e,n),i=Fu(void 0,void 0,void 0,o,r,void 0,0,64),a=Os(e.symbol,S,[i],o,o);return a.objectFlags|=262144,t.contextFreeType=a}}return Ft}return eB(e)||218!==e.kind||aB(e),function(e,n){const t=Hi(e);if(!(64&t.flags)){const r=AM(e);if(!(64&t.flags)){t.flags|=64;const o=De(wf(sd(ps(e)),0));if(!o)return;if(LS(e))if(r){const t=cM(e);let i;if(n&&2&n){tw(o,r,t);const e=Qk(r);e&&262144&e.flags&&(i=uS(r,t.nonFixingMapper))}i||(i=t?uS(r,t.mapper):r),function(e,n){if(n.typeParameters){if(e.typeParameters)return;e.typeParameters=n.typeParameters}if(n.thisParameter){const t=e.thisParameter;(!t||t.valueDeclaration&&!t.valueDeclaration.type)&&(t||(e.thisParameter=VA(n.thisParameter,void 0)),rw(e.thisParameter,sd(n.thisParameter)))}const t=e.parameters.length-(Zz(e)?1:0);for(let r=0;r<t;r++){const t=e.parameters[r],o=t.valueDeclaration;if(!Ab(o)){let e=Kk(n,r);if(e&&o.initializer){let n=rO(o,0);!KS(n,e)&&KS(e,n=oO(o,n))&&(e=n)}rw(t,e)}}if(Zz(e)){const r=ke(e.parameters);(r.valueDeclaration?!Ab(r.valueDeclaration):65536&mS(r))&&rw(r,qk(n,t))}}(o,i)}else!function(e){e.thisParameter&&rw(e.thisParameter);for(const n of e.parameters)rw(n)}(o);else if(r&&!e.typeParameters&&r.parameters.length>e.parameters.length){const t=cM(e);n&&2&n&&tw(o,r,t)}if(r&&!Em(e)&&!o.resolvedReturnType){const t=bw(e,n);o.resolvedReturnType||(o.resolvedReturnType=t)}xO(e)}}}(e,n),sd(ps(e))}function Dw(e,n,t,r=!1){if(!KS(n,bt)){const o=r&&KO(n);return Ni(e,!!o&&KS(o,bt),t),!1}return!0}function Cw(e){if(!dD(e))return!1;if(!Sg(e))return!1;const n=nO(e.arguments[2]);if(Ol(n,"value")){const e=Lf(n,"writable"),t=e&&sd(e);if(!t||t===Kn||t===Jn)return!0;if(e&&e.valueDeclaration&&QC(e.valueDeclaration)){const n=bO(e.valueDeclaration.initializer);if(n===Kn||n===Jn)return!0}return!1}return!Lf(n,"set")}function Mw(e){return!!(8&mS(e)||4&e.flags&&8&_S(e)||3&e.flags&&6&xP(e)||98304&e.flags&&!(65536&e.flags)||8&e.flags||oe(e.declarations,Cw))}function Pw(e,n,t){var r,o;if(0===t)return!1;if(Mw(n)){if(4&n.flags&&wS(e)&&110===e.expression.kind){const t=fh(e);if(!t||176!==t.kind&&!gk(t))return!0;if(n.valueDeclaration){const e=TD(n.valueDeclaration),i=t.parent===n.valueDeclaration.parent,a=t===n.valueDeclaration.parent,s=e&&(null==(r=n.parent)?void 0:r.valueDeclaration)===t.parent,l=e&&(null==(o=n.parent)?void 0:o.valueDeclaration)===t;return!(i||a||s||l)}}return!0}if(wS(e)){const n=Ty(e.expression);if(80===n.kind){const e=Hi(n).resolvedSymbol;if(2097152&e.flags){const n=ha(e);return!!n&&274===n.kind}}}return!1}function Lw(e,n,t){const r=EP(e,7);return 80===r.kind||wS(r)?!(64&r.flags)||(Ai(e,t),!1):(Ai(e,n),!1)}function kw(e){bO(e.expression);const n=Ty(e.expression);if(!wS(n))return Ai(n,Oa.The_operand_of_a_delete_operator_must_be_a_property_reference),Zn;lD(n)&&rN(n.name)&&Ai(n,Oa.The_operand_of_a_delete_operator_cannot_be_a_private_identifier);const t=Ss(Hi(n).resolvedSymbol);return t&&(Mw(t)?Ai(n,Oa.The_operand_of_a_delete_operator_cannot_be_a_read_only_property):function(e,n){const t=sd(n);!K||131075&t.flags||(se?16777216&n.flags:mI(t,16777216))||Ai(e,Oa.The_operand_of_a_delete_operator_must_be_optional)}(n,t)),Zn}function ww(e){let n=!1;const t=gh(e);if(t&&RN(t)){Ai(e,bD(e)?Oa.await_expression_cannot_be_used_inside_a_class_static_block:Oa.await_using_statements_cannot_be_used_inside_a_class_static_block),n=!0}else if(!(65536&e.flags))if(Eh(e)){const t=$f(e);if(!vB(t)){let r;if(!Um(t,A)){r??(r=b_(t,e.pos));const o=bD(e)?Oa.await_expressions_are_only_allowed_at_the_top_level_of_a_file_when_that_file_is_a_module_but_this_file_has_no_imports_or_exports_Consider_adding_an_empty_export_to_make_this_file_a_module:Oa.await_using_statements_are_only_allowed_at_the_top_level_of_a_file_when_that_file_is_a_module_but_this_file_has_no_imports_or_exports_Consider_adding_an_empty_export_to_make_this_file_a_module,i=iT(t,r.start,r.length,o);si.add(i),n=!0}switch(I){case 100:case 199:if(1===t.impliedNodeFormat){r??(r=b_(t,e.pos)),si.add(iT(t,r.start,r.length,Oa.The_current_file_is_a_CommonJS_module_and_cannot_use_await_at_the_top_level)),n=!0;break}case 7:case 99:case 200:case 4:if(R>=4)break;default:r??(r=b_(t,e.pos));const o=bD(e)?Oa.Top_level_await_expressions_are_only_allowed_when_the_module_option_is_set_to_es2022_esnext_system_node16_nodenext_or_preserve_and_the_target_option_is_set_to_es2017_or_higher:Oa.Top_level_await_using_statements_are_only_allowed_when_the_module_option_is_set_to_es2022_esnext_system_node16_nodenext_or_preserve_and_the_target_option_is_set_to_es2017_or_higher;si.add(iT(t,r.start,r.length,o)),n=!0}}}else{const r=$f(e);if(!vB(r)){const o=b_(r,e.pos),i=bD(e)?Oa.await_expressions_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules:Oa.await_using_statements_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules,a=iT(r,o.start,o.length,i);if(t&&176!==t.kind&&!(2&Zy(t))){xx(a,d_(t,Oa.Did_you_mean_to_mark_this_function_as_async))}si.add(a),n=!0}}return bD(e)&&eC(e)&&(Ai(e,Oa.await_expressions_cannot_be_used_in_a_parameter_initializer),n=!0),n}function Ow(e){return Ww(e,2112)?zw(e,3)||Ww(e,296)?bt:Hn:Un}function Fw(e,n){if(Ww(e,n))return!0;const t=cf(e);return!!t&&Ww(t,n)}function Ww(e,n){if(e.flags&n)return!0;if(3145728&e.flags){const t=e.types;for(const e of t)if(Ww(e,n))return!0}return!1}function zw(e,n,t){return!!(e.flags&n)||!(t&&114691&e.flags)&&(!!(296&n)&&KS(e,Un)||!!(2112&n)&&KS(e,Hn)||!!(402653316&n)&&KS(e,Vn)||!!(528&n)&&KS(e,Zn)||!!(16384&n)&&KS(e,tt)||!!(131072&n)&&KS(e,ot)||!!(65536&n)&&KS(e,Bn)||!!(32768&n)&&KS(e,On)||!!(4096&n)&&KS(e,nt)||!!(67108864&n)&&KS(e,mt))}function Gw(e,n,t){return 1048576&e.flags?N(e.types,(e=>Gw(e,n,t))):zw(e,n,t)}function Bw(e){return!!(16&IS(e))&&!!e.symbol&&jw(e.symbol)}function jw(e){return!!(128&e.flags)}function Vw(e){const n=Gp(e,cW("hasInstance"));if(n){const e=sd(n);if(e&&0!==wf(e,0).length)return e}}function Uw(e,n,t,r){if(t===it||r===it)return it;if(rN(e)){if(R<99&&KG(e,2097152),!Hi(e).resolvedSymbol&&_h(e)){QP(e,r,JP(e,r.symbol,!0))}}else YS(wP(t,e),yt,e);return YS(wP(r,n),mt,n)&&OI(r,(e=>e===kt||!!(2097152&e.flags)&&yT(cf(e))))&&Ai(n,Oa.Type_0_may_represent_a_primitive_value_which_is_not_permitted_as_the_right_operand_of_the_in_operator,il(r)),Zn}function Hw(e,n,t,r,o=!1){const i=e.properties,a=i[t];if(303===a.kind||304===a.kind){const e=a.name,t=zv(e);if(xA(t)){const e=Lf(n,AA(t));e&&(lL(e,a,o),RP(a,!1,!0,n,e))}const r=Yl(a,Mb(n,t,32,e));return qw(304===a.kind?a:a.initializer,r)}if(305===a.kind){if(!(t<i.length-1)){R<99&&KG(a,4);const e=[];if(r)for(const n of r)eM(n)||e.push(n.name);const t=Kl(n,e,n.symbol);return $G(r,Oa.A_rest_parameter_or_binding_pattern_may_not_have_a_trailing_comma),qw(a.expression,t)}Ai(a,Oa.A_rest_element_must_be_last_in_a_destructuring_pattern)}else Ai(a,Oa.Property_assignment_expected)}function Kw(e,n,t,r,o){const i=e.elements,a=i[t];if(232!==a.kind){if(230!==a.kind){const e=BE(t);if(_x(n)){const t=Lb(n,e,32|(IM(a)?16:0),VL(a,e))||Nn;return qw(a,Yl(a,IM(a)?hI(t,524288):t),o)}return qw(a,r,o)}if(t<i.length-1)Ai(a,Oa.A_rest_element_must_be_last_in_a_destructuring_pattern);else{const i=a.expression;if(226!==i.kind||64!==i.operatorToken.kind){$G(e.elements,Oa.A_rest_parameter_or_binding_pattern_may_not_have_a_trailing_comma);return qw(i,WI(n,nA)?VI(n,(e=>Vy(e,t))):ey(r),o)}Ai(i.operatorToken,Oa.A_rest_element_cannot_have_an_initializer)}}}function qw(e,n,t,r){let o;if(304===e.kind){const r=e;r.objectAssignmentInitializer&&(K&&!mI(bO(r.objectAssignmentInitializer),16777216)&&(n=hI(n,524288)),function(e,n,t,r,o){const i=n.kind;if(64===i&&(210===e.kind||209===e.kind))return qw(e,bO(t,r),r,110===t.kind);let a;a=pE(i)?qF(e,r):bO(e,r);const s=bO(t,r);Yw(e,n,t,a,s,r,o)}(r.name,r.equalsToken,r.objectAssignmentInitializer,t)),o=e.name}else o=e;return 226===o.kind&&64===o.operatorToken.kind&&(de(o,t),o=o.left,K&&(n=hI(n,524288))),210===o.kind?function(e,n,t){const r=e.properties;if(K&&0===r.length)return wP(n,e);for(let o=0;o<r.length;o++)Hw(e,n,o,r,t);return n}(o,n,r):209===o.kind?function(e,n,t){const r=e.elements;R<2&&A.downlevelIteration&&KG(e,512);const o=YF(193,n,On,e)||Nn;let i=A.noUncheckedIndexedAccess?void 0:o;for(let a=0;a<r.length;a++){let r=o;230===e.elements[a].kind&&(r=i=i??(YF(65,n,On,e)||Nn)),Kw(e,n,a,r,t)}return n}(o,n,t):function(e,n,t){const r=bO(e,t),o=305===e.parent.kind?Oa.The_target_of_an_object_rest_assignment_must_be_a_variable_or_a_property_access:Oa.The_left_hand_side_of_an_assignment_expression_must_be_a_variable_or_a_property_access,i=305===e.parent.kind?Oa.The_target_of_an_object_rest_assignment_may_not_be_an_optional_property_access:Oa.The_left_hand_side_of_an_assignment_expression_may_not_be_an_optional_property_access;Lw(e,o,i)&&$S(n,r,e,e);_d(e)&&KG(e.parent,1048576);return n}(o,n,t)}function Jw(e){switch((e=Ty(e)).kind){case 80:case 11:case 14:case 215:case 228:case 15:case 9:case 10:case 112:case 97:case 106:case 157:case 218:case 231:case 219:case 209:case 210:case 221:case 235:case 285:case 284:return!0;case 227:return Jw(e.whenTrue)&&Jw(e.whenFalse);case 226:return!mE(e.operatorToken.kind)&&(Jw(e.left)&&Jw(e.right));case 224:case 225:switch(e.operator){case 54:case 40:case 41:case 55:return!0}return!1;default:return!1}}function Xw(e,n){return!!(98304&n.flags)||JS(e,n)}function Yw(e,n,t,r,o,i,a){const s=n.kind;switch(s){case 42:case 43:case 67:case 68:case 44:case 69:case 45:case 70:case 41:case 66:case 48:case 71:case 49:case 72:case 50:case 73:case 52:case 75:case 53:case 79:case 51:case 74:if(r===it||o===it)return it;let l;if(r=wP(r,e),o=wP(o,t),528&r.flags&&528&o.flags&&void 0!==(l=function(e){switch(e){case 52:case 75:return 57;case 53:case 79:return 38;case 51:case 74:return 56;default:return}}(n.kind)))return Ai(a||n,Oa.The_0_operator_is_not_allowed_for_boolean_types_Consider_using_1_instead,as(n.kind),as(l)),Un;{const n=Dw(e,r,Oa.The_left_hand_side_of_an_arithmetic_operation_must_be_of_type_any_number_bigint_or_an_enum_type,!0),i=Dw(t,o,Oa.The_right_hand_side_of_an_arithmetic_operation_must_be_of_type_any_number_bigint_or_an_enum_type,!0);let l;if(zw(r,3)&&zw(o,3)||!Ww(r,2112)&&!Ww(o,2112))l=Un;else if(u(r,o)){switch(s){case 50:case 73:_();break;case 43:case 68:R<3&&Ai(a,Oa.Exponentiation_cannot_be_performed_on_bigint_values_unless_the_target_option_is_set_to_es2016_or_later)}l=Hn}else _(u),l=Nn;return n&&i&&f(l),l}case 40:case 65:if(r===it||o===it)return it;let g;if(zw(r,402653316)||zw(o,402653316)||(r=wP(r,e),o=wP(o,t)),zw(r,296,!0)&&zw(o,296,!0)?g=Un:zw(r,2112,!0)&&zw(o,2112,!0)?g=Hn:zw(r,402653316,!0)||zw(o,402653316,!0)?g=Vn:(zl(r)||zl(o))&&(g=Bl(r)||Bl(o)?Nn:xn),g&&!p(s))return g;if(!g){const e=402655727;return _(((n,t)=>zw(n,e)&&zw(t,e))),xn}return 65===s&&f(g),g;case 30:case 32:case 33:case 34:return p(s)&&(r=Hx(wP(r,e)),o=Hx(wP(o,t)),m(((e,n)=>{if(zl(e)||zl(n))return!0;const t=KS(e,bt),r=KS(n,bt);return t&&r||!t&&!r&&XS(e,n)}))),Zn;case 35:case 36:case 37:case 38:if(!(i&&64&i)){if((nd(e)||nd(t))&&(!Yh(e)||37===s||38===s)){const e=35===s||37===s;Ai(a,Oa.This_condition_will_always_return_0_since_JavaScript_compares_objects_by_reference_not_value,e?"false":"true")}!function(e,n,t,r){const o=h(Ty(t)),i=h(Ty(r));if(o||i){const a=Ai(e,Oa.This_condition_will_always_return_0,as(37===n||35===n?97:112));if(o&&i)return;const s=38===n||36===n?as(54):"",l=o?r:t,c=Ty(l);xx(a,d_(l,Oa.Did_you_mean_0,`${s}Number.isNaN(${EE(c)?c_(c):"..."})`))}}(a,s,e,t),m(((e,n)=>Xw(e,n)||Xw(n,e)))}return Zn;case 104:return function(e,n,t,r,o){if(t===it||r===it)return it;!zl(t)&&Gw(t,402784252)&&Ai(e,Oa.The_left_hand_side_of_an_instanceof_expression_must_be_of_type_any_an_object_type_or_a_type_parameter),Tt.assert(CE(e.parent));const i=hk(e.parent,void 0,o);return i===so?it:(YS(bm(i),Zn,n,Oa.An_object_s_Symbol_hasInstance_method_must_return_a_boolean_value_for_it_to_be_used_on_the_right_hand_side_of_an_instanceof_expression),Zn)}(e,t,r,o,i);case 103:return Uw(e,t,r,o);case 56:case 77:{const e=mI(r,4194304)?mv([(d=K?r:Ux(o),VI(d,MA)),o]):r;return 77===s&&f(o),e}case 57:case 76:{const e=mI(r,8388608)?mv([kA(CA(r)),o],2):r;return 76===s&&f(o),e}case 61:case 78:{const e=mI(r,262144)?mv([kA(r),o],2):r;return 78===s&&f(o),e}case 64:const y=TD(e.parent)?Eg(e.parent):0;return function(e,n){if(2===e)for(const e of zp(n)){const n=sd(e);if(n.symbol&&32&n.symbol.flags){const n=e.escapedName,t=na(e.valueDeclaration,n,788968,void 0,n,!1);(null==t?void 0:t.declarations)&&t.declarations.some(BM)&&(Gi(t,Oa.Duplicate_identifier_0,Pl(n),e),Gi(e,Oa.Duplicate_identifier_0,Pl(n),t))}}}(y,o),function(n){var r;switch(n){case 2:return!0;case 1:case 5:case 6:case 3:case 4:const n=fs(e),o=pg(t);return!!o&&sD(o)&&!!(null==(r=null==n?void 0:n.exports)?void 0:r.size);default:return!1}}(y)?(524288&o.flags&&(2===y||6===y||gT(o)||pI(o)||1&IS(o))||f(o),r):(f(o),o);case 28:if(!A.allowUnreachableCode&&Jw(e)&&!(217===(c=e.parent).parent.kind&&FI(c.left)&&"0"===c.left.text&&(dD(c.parent.parent)&&c.parent.parent.expression===c.parent||215===c.parent.parent.kind)&&(wS(c.right)||tN(c.right)&&"eval"===c.right.escapedText))){const n=$f(e),t=Ts(n.text,e.pos);n.parseDiagnostics.some((e=>e.code===Oa.JSX_expressions_must_have_one_parent_element.code&&el(e,t)))||Ai(e,Oa.Left_side_of_comma_operator_is_unused_and_has_no_side_effects)}return o;default:return Tt.fail()}var c,d;function u(e,n){return zw(e,2112)&&zw(n,2112)}function p(n){const i=Fw(r,12288)?e:Fw(o,12288)?t:void 0;return!i||(Ai(i,Oa.The_0_operator_cannot_be_applied_to_type_symbol,as(n)),!1)}function f(o){mE(s)&&l((function(){let i=r;YG(n.kind)&&211===e.kind&&(i=FP(e,void 0,!0));if(Lw(e,Oa.The_left_hand_side_of_an_assignment_expression_must_be_a_variable_or_a_property_access,Oa.The_left_hand_side_of_an_assignment_expression_may_not_be_an_optional_property_access)){let n;if(se&&lD(e)&&Ww(o,32768)){const t=Ol(gO(e.expression),e.name.escapedText);WT(o,t)&&(n=Oa.Type_0_is_not_assignable_to_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_type_of_the_target)}$S(o,i,e,t,n)}}))}function m(e){return!e(r,o)&&(_(e),!0)}function _(e){let t=!1;const i=a||n;if(e){const n=nF(r),i=nF(o);t=!(n===r&&i===o)&&!(!n||!i)&&e(n,i)}let s=r,l=o;!t&&e&&([s,l]=function(e,n,t){let r=e,o=n;const i=Ux(e),a=Ux(n);t(i,a)||(r=i,o=a);return[r,o]}(r,o,e));const[c,d]=al(s,l);(function(e,t,r,o){switch(n.kind){case 37:case 35:case 38:case 36:return Ni(e,t,Oa.This_comparison_appears_to_be_unintentional_because_the_types_0_and_1_have_no_overlap,r,o);default:return}})(i,t,c,d)||Ni(i,t,Oa.Operator_0_cannot_be_applied_to_types_1_and_2,as(n.kind),c,d)}function h(e){if(tN(e)&&"NaN"===e.escapedText){const n=Vr||(Vr=wh("NaN",!1));return!!n&&n===JR(e)}return!1}}function $w(e){const n=e.parent;return mD(n)&&$w(n)||cD(n)&&n.argumentExpression===e}function Qw(e){const n=[e.head.text],t=[];for(const r of e.templateSpans){const e=bO(r.expression);Fw(e,12288)&&Ai(r.expression,Oa.Implicit_conversion_of_a_symbol_to_a_string_will_fail_at_runtime_Consider_wrapping_this_expression_in_String),n.push(r.literal.text),t.push(KS(e,Et)?e:Vn)}if(aO(e)||$w(e)||OI(JC(e,void 0)||Ln,Zw))return $v(n,t);const r=215!==e.parent.kind&&$W(e);return r?FE(GE(r)):Vn}function Zw(e){return!!(134217856&e.flags||58982400&e.flags&&Ww(lf(e)||Ln,402653316))}function eO(e,n,t,r){const o=function(e){return UC(e)&&!FC(e.parent)?e.parent.parent:e}(e);tM(o,n,!1),function(e,n){Co[Lo]=e,Mo[Lo]=n,Lo++}(o,t);const i=bO(e,1|r|(t?2:0));t&&t.intraExpressionInferenceSites&&(t.intraExpressionInferenceSites=void 0);const a=Ww(i,2944)&&iO(i,jC(n,e,void 0))?WE(i):i;return Lo--,oM(),a}function nO(e,n){if(n)return bO(e,n);const t=Hi(e);if(!t.resolvedType){const r=Eo,o=no;Eo=So,no=void 0,t.resolvedType=bO(e,n),no=o,Eo=r}return t.resolvedType}function tO(e){return 216===(e=Ty(e,!0)).kind||234===e.kind||yP(e)}function rO(e,n,t){const r=dg(e);if(Yh(e)){const t=gA(e);if(t)return wk(r,t,n)}const o=yO(r)||(t?eO(r,t,void 0,n||0):nO(r,n));return bN(e)&&207===e.name.kind&&nA(o)&&!o.target.hasRestElement&&C_(o)<e.name.elements.length?function(e,n){const t=n.elements,r=qy(e).slice(),o=e.target.elementFlags.slice();for(let n=C_(e);n<t.length;n++){const e=t[n];(n<t.length-1||208!==e.kind||!e.dotDotDotToken)&&(r.push(!DD(e)&&IM(e)?xc(e,!1,!1):xn),o.push(2),DD(e)||IM(e)||eR(e,xn))}return Dy(r,o,e.target.readonly)}(o,e.name):o}function oO(e,n){const t=6&CB(e)||R_(e)?n:Kx(n);if(Yh(e)){if(vx(t))return eR(e,xn),xn;if(Sx(t))return eR(e,sr),sr}return t}function iO(e,n){if(n){if(3145728&n.flags){return oe(n.types,(n=>iO(e,n)))}if(58982400&n.flags){const t=lf(n)||Ln;return Ww(t,4)&&Ww(e,128)||Ww(t,8)&&Ww(e,256)||Ww(t,64)&&Ww(e,2048)||Ww(t,4096)&&Ww(e,8192)||iO(e,t)}return!!(406847616&n.flags&&Ww(e,128)||256&n.flags&&Ww(e,256)||2048&n.flags&&Ww(e,2048)||512&n.flags&&Ww(e,512)||8192&n.flags&&Ww(e,8192))}return!1}function aO(e){const n=e.parent;return pu(n)&&Gc(n.type)||yP(n)&&Gc(vP(n))||Dk(e)&&ef(JC(e,0))||(mD(n)||aD(n)||ID(n))&&aO(n)||(QC(n)||ZC(n)||WD(n))&&aO(n.parent)}function sO(e,n,t){const r=bO(e,n,t);return aO(e)||Q_(e)?WE(r):tO(e)?r:Xx(r,jC(JC(e,void 0),e,void 0))}function lO(e,n){return 167===e.name.kind&&MM(e.name),sO(e.initializer,n)}function cO(e,n){pB(e),167===e.name.kind&&MM(e.name);return dO(e,Nw(e,n),n)}function dO(e,n,t){if(t&&10&t){const r=PL(n,0,!0),o=PL(n,1,!0),i=r||o;if(i&&i.typeParameters){const n=GC(e,2);if(n){const o=PL(kA(n),r?0:1,!1);if(o&&!o.typeParameters){if(8&t)return uO(e,t),Ft;const n=cM(e),r=n.signature&&bm(n.signature),a=r&&ML(r);if(a&&!a.typeParameters&&!N(n.inferences,pO)){const e=function(e,n){const t=[];let r,o;for(const i of n){const n=i.symbol.escapedName;if(mO(e.inferredTypeParameters,n)||mO(t,n)){const a=Ms(Li(262144,_O(ae(e.inferredTypeParameters,t),n)));a.target=i,r=ye(r,i),o=ye(o,a),t.push(a)}else t.push(i)}if(o){const e=eS(r,o);for(const n of o)n.mapper=e}return t}(n,i.typeParameters),t=Im(i,e),r=B(n.inferences,(e=>cR(e.typeParameter)));if(tR(t,o,((e,n)=>{wR(r,e,n,0,!0)})),oe(r,pO)&&(rR(t,o,((e,n)=>{wR(r,e,n)})),!function(e,n){for(let t=0;t<e.length;t++)if(pO(e[t])&&pO(n[t]))return!0;return!1}(n.inferences,r)))return function(e,n){for(let t=0;t<e.length;t++)!pO(e[t])&&pO(n[t])&&(e[t]=n[t])}(n.inferences,r),n.inferredTypeParameters=ae(n.inferredTypeParameters,e),Om(t)}return Om(LL(i,o,n))}}}}return n}function uO(e,n){if(2&n){cM(e).flags|=4}}function pO(e){return!(!e.candidates&&!e.contraCandidates)}function fO(e){return!!(e.candidates||e.contraCandidates||mf(e.typeParameter))}function mO(e,n){return oe(e,(e=>e.symbol.escapedName===n))}function _O(e,n){let t=n.length;for(;t>1&&n.charCodeAt(t-1)>=48&&n.charCodeAt(t-1)<=57;)t--;const r=n.slice(0,t);for(let n=1;;n++){const t=r+n;if(!mO(e,t))return t}}function hO(e){const n=CL(e);if(n&&!n.typeParameters)return bm(n)}function gO(e){const n=yO(e);if(n)return n;if(268435456&e.flags&&no){const n=no[Hz(e)];if(n)return n}const t=Ao,r=bO(e,64);if(Ao!==t){(no||(no=[]))[Hz(e)]=r,jx(e,268435456|e.flags)}return r}function yO(e){let n=Ty(e,!0);if(yP(n)){const e=vP(n);if(!Gc(e))return JE(e)}if(n=Ty(e),bD(n)){const e=yO(n.expression);return e?eF(e):void 0}return!dD(n)||108===n.expression.kind||ng(n,!0)||Sk(n)?pu(n)&&!Gc(n.type)?JE(n.type):ed(e)||Rd(e)?bO(e):void 0:kc(n)?function(e){const n=bO(e.expression),t=WA(n,e.expression),r=hO(n);return r&&FA(r,e,t!==n)}(n):hO(DP(n.expression))}function vO(e){const n=Hi(e);if(n.contextFreeType)return n.contextFreeType;tM(e,xn,!1);const t=n.contextFreeType=bO(e,4);return oM(),t}function bO(e,t,r){var a,s;null==(a=Cr)||a.push(Cr.Phase.Check,"checkExpression",{kind:e.kind,pos:e.pos,end:e.end,path:e.tracingPath});const c=i;i=e,h=0;const d=function(e,t,r){const i=e.kind;if(n)switch(i){case 231:case 218:case 219:n.throwIfCancellationRequested()}switch(i){case 80:return SD(e,t);case 81:return BP(e);case 110:return wD(e);case 108:return zD(e);case 106:return jn;case 15:case 11:return SR(e)?In:FE(GE(e.text));case 9:return AB(e),FE(BE(+e.text));case 10:return function(e){const n=ZN(e.parent)||ED(e.parent)&&ZN(e.parent.parent);if(!n&&R<7&&SB(e,Oa.BigInt_literals_are_not_available_when_targeting_lower_than_ES2020))return!0}(e),FE(jE({negative:!1,base10Value:Cx(e.text)}));case 112:return Yn;case 97:return Kn;case 228:return Qw(e);case 14:return ir;case 209:return NM(e,t,r);case 210:return UM(e,t);case 211:return FP(e,t);case 166:return WP(e,t);case 212:return mL(e,t);case 213:if(102===e.expression.kind)return Tk(e);case 214:return function(e,n){var t,r,i;nB(e,e.typeArguments);const a=hk(e,void 0,n);if(a===so)return it;if(bk(a,e),108===e.expression.kind)return tt;if(214===e.kind){const n=a.declaration;if(n&&176!==n.kind&&180!==n.kind&&185!==n.kind&&(!SM(n)||176!==(null==(r=null==(t=cy(n))?void 0:t.parent)?void 0:r.kind))&&!Hg(n)&&!gk(n))return $&&Ai(e,Oa.new_expression_whose_target_lacks_a_construct_signature_implicitly_has_an_any_type),xn}if(Yh(e)&&Ik(e))return hm(e.arguments[0]);const s=bm(a);if(12288&s.flags&&Sk(e))return UE(by(e.parent));if(213===e.kind&&!e.questionDotToken&&244===e.parent.kind&&16384&s.flags&&ym(a))if(TE(e.expression)){if(!aN(e)){const n=Ai(e.expression,Oa.Assertions_require_every_name_in_the_call_target_to_be_declared_with_an_explicit_type_annotation);iN(e.expression,n)}}else Ai(e.expression,Oa.Assertions_require_the_call_target_to_be_an_identifier_or_qualified_name);if(Yh(e)){const n=vk(e,!1);if(null==(i=null==n?void 0:n.exports)?void 0:i.size){const e=Os(n,n.exports,o,o,o);return e.objectFlags|=4096,Nv([s,e])}}return s}(e,t);case 215:return Nk(e);case 217:return function(e,n){if(Xu(e)){if(_A(e))return wk(e.expression,hA(e),n);if(yP(e))return Ck(e,n)}return bO(e.expression,n)}(e,t);case 231:return function(e){return wW(e),bz(e),function(e){if(e.name)return;const n=SP(e);if(!hv(n))return;let t;t=!L&&R<99&&Oh(!1,e)?De(Ul(e))??e:kW(e);t&&(KG(t,8388608),(QC(n)||TN(n)||iD(n))&&yN(n.name)&&KG(t,16777216))}(e),sd(ps(e))}(e);case 218:case 219:return Nw(e,t);case 221:return function(e){return bO(e.expression),ci}(e);case 216:case 234:return function(e,n){if(216===e.kind){const n=$f(e);n&&Qi(n.fileName,[".cts",".mts"])&&SB(e,Oa.This_syntax_is_reserved_in_files_with_the_mts_or_cts_extension_Use_an_as_expression_instead)}return Ck(e,n)}(e,t);case 235:return Pk(e);case 233:return Lk(e);case 238:return function(e){return gz(e.type),wk(e.expression,e.type)}(e);case 236:return Ok(e);case 220:return kw(e);case 222:return function(e){return bz(e),Fn}(e);case 223:return function(e){l((()=>ww(e)));const n=bO(e.expression),t=JO(n,!0,e,Oa.Type_of_await_operand_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member);return t!==n||Bl(t)||3&n.flags||Ri(!1,d_(e,Oa.await_has_no_effect_on_the_type_of_this_expression)),t}(e);case 224:return function(e){const n=bO(e.operand);if(n===it)return it;switch(e.operand.kind){case 9:switch(e.operator){case 41:return FE(BE(-e.operand.text));case 40:return FE(BE(+e.operand.text))}break;case 10:if(41===e.operator)return FE(jE({negative:!0,base10Value:Cx(e.operand.text)}))}switch(e.operator){case 40:case 41:case 55:return wP(n,e.operand),Fw(n,12288)&&Ai(e.operand,Oa.The_0_operator_cannot_be_applied_to_type_symbol,as(e.operator)),40===e.operator?(Fw(n,2112)&&Ai(e.operand,Oa.Operator_0_cannot_be_applied_to_type_1,as(e.operator),il(Ux(n))),Un):Ow(n);case 54:KF(n,e.operand);const t=fI(n,12582912);return 4194304===t?Kn:8388608===t?Yn:Zn;case 46:case 47:return Dw(e.operand,wP(n,e.operand),Oa.An_arithmetic_operand_must_be_of_type_any_number_bigint_or_an_enum_type)&&Lw(e.operand,Oa.The_operand_of_an_increment_or_decrement_operator_must_be_a_variable_or_a_property_access,Oa.The_operand_of_an_increment_or_decrement_operator_may_not_be_an_optional_property_access),Ow(n)}return Nn}(e);case 225:return function(e){const n=bO(e.operand);return n===it?it:(Dw(e.operand,wP(n,e.operand),Oa.An_arithmetic_operand_must_be_of_type_any_number_bigint_or_an_enum_type)&&Lw(e.operand,Oa.The_operand_of_an_increment_or_decrement_operator_must_be_a_variable_or_a_property_access,Oa.The_operand_of_an_increment_or_decrement_operator_may_not_be_an_optional_property_access),Ow(n))}(e);case 226:return de(e,t);case 227:return function(e,n){const t=qF(e.condition,n);return HF(e.condition,t,e.whenTrue),mv([bO(e.whenTrue,n),bO(e.whenFalse,n)],2)}(e,t);case 230:return function(e,n){return R<2&&KG(e,A.downlevelIteration?1536:1024),YF(33,bO(e.expression,n),On,e.expression)}(e,t);case 232:return Fn;case 229:return function(e){l((function(){16384&e.flags||bB(e,Oa.A_yield_expression_is_only_allowed_in_a_generator_body),eC(e)&&Ai(e,Oa.yield_expressions_cannot_be_used_in_a_parameter_initializer)}));const n=fh(e);if(!n)return xn;const t=Zy(n);if(!(1&t))return xn;const r=!!(2&t);e.asteriskToken&&(r&&R<99&&KG(e,26624),!r&&R<2&&A.downlevelIteration&&KG(e,256));let o=Em(n);o&&1048576&o.flags&&(o=GI(o,(e=>AO(e,t,void 0))));const i=o&&EW(o,r),a=i&&i.yieldType||xn,s=i&&i.nextType||xn,c=r?eF(s)||xn:s,d=e.expression?bO(e.expression):Fn,u=Sw(e,d,c,r);if(o&&u&&$S(u,a,e.expression||e,e.expression),e.asteriskToken)return QF(r?19:17,1,d,e.expression)||xn;if(o)return bW(2,o,r)||xn;let p=nC(2,n);return p||(p=xn,l((()=>{if($&&!Jx(e)){const n=JC(e,void 0);n&&!zl(n)||Ai(e,Oa.yield_expression_implicitly_results_in_an_any_type_because_its_containing_generator_lacks_a_return_type_annotation)}}))),p}(e);case 237:return function(e){return e.isSpread?Mb(e.type,Un):e.type}(e);case 294:return TP(e,t);case 284:case 285:return function(e){return bz(e),dP(e)||xn}(e);case 288:return function(e){_P(e.openingFragment);const n=$f(e);return!PT(A)||!A.jsxFactory&&!n.pragmas.has("jsx")||A.jsxFragmentFactory||n.pragmas.has("jsxfrag")||Ai(e,A.jsxFactory?Oa.The_jsxFragmentFactory_compiler_option_must_be_provided_to_use_JSX_fragments_with_the_jsxFactory_compiler_option:Oa.An_jsxFrag_pragma_is_required_when_using_an_jsx_pragma_with_JSX_fragments),YM(e),dP(e)||xn}(e);case 292:return ZM(e,t);case 286:Tt.fail("Shouldn't ever directly check a JsxOpeningElement")}return Nn}(e,t,r),u=dO(e,d,t);return Bw(u)&&function(e,n){const t=211===e.parent.kind&&e.parent.expression===e||212===e.parent.kind&&e.parent.expression===e||(80===e.kind||166===e.kind)&&Oz(e)||186===e.parent.kind&&e.parent.exprName===e||281===e.parent.kind;t||Ai(e,Oa.const_enums_can_only_be_used_in_property_or_index_access_expressions_or_the_right_hand_side_of_an_import_declaration_or_export_assignment_or_type_query);if(Kp(A)){Tt.assert(!!(128&n.symbol.flags));33554432&n.symbol.valueDeclaration.flags&&!wx(e)&&Ai(e,Oa.Cannot_access_ambient_const_enums_when_0_is_enabled,Re)}}(e,u),i=c,null==(s=Cr)||s.pop(),u}function EO(e){JG(e),e.expression&&bB(e.expression,Oa.Type_expected),gz(e.constraint),gz(e.default);const n=eu(ps(e));lf(n),function(e){return pf(e)!==zt}(n)||Ai(e.default,Oa.Type_parameter_0_has_a_circular_default,il(n));const t=Yp(n),r=ff(n);t&&r&&YS(r,ku(AS(t,tS(n,r)),r),e.default,Oa.Type_0_does_not_satisfy_the_constraint_1),bz(e),l((()=>DW(e.name,Oa.Type_parameter_name_cannot_be_0)))}function SO(e){JG(e),WF(e);const n=fh(e);Bb(e,31)&&(176===n.kind&&am(n.body)||Ai(e,Oa.A_parameter_property_is_only_allowed_in_a_constructor_implementation),176===n.kind&&tN(e.name)&&"constructor"===e.name.escapedText&&Ai(e.name,Oa.constructor_cannot_be_used_as_a_parameter_property_name)),!e.initializer&&fA(e)&&Vd(e.name)&&n.body&&Ai(e,Oa.A_binding_pattern_parameter_cannot_be_optional_in_an_implementation_signature),e.name&&tN(e.name)&&("this"===e.name.escapedText||"new"===e.name.escapedText)&&(0!==n.parameters.indexOf(e)&&Ai(e,Oa.A_0_parameter_must_be_the_first_parameter,e.name.escapedText),176!==n.kind&&180!==n.kind&&185!==n.kind||Ai(e,Oa.A_constructor_cannot_have_a_this_parameter),219===n.kind&&Ai(e,Oa.An_arrow_function_cannot_have_a_this_parameter),177!==n.kind&&178!==n.kind||Ai(e,Oa.get_and_set_accessors_cannot_declare_this_parameters)),!e.dotDotDotToken||Vd(e.name)||KS(Tf(sd(e.symbol)),cr)||Ai(e,Oa.A_rest_parameter_must_be_of_an_array_type)}function TO(e,n,t){for(const r of e.elements){if(DD(r))continue;const e=r.name;if(80===e.kind&&e.escapedText===t)return Ai(n,Oa.A_type_predicate_cannot_reference_element_0_in_a_binding_pattern,t),!0;if((207===e.kind||206===e.kind)&&TO(e,n,t))return!0}}function xO(e){181===e.kind?function(e){JG(e)||function(e){const n=e.parameters[0];if(1!==e.parameters.length)return SB(n?n.name:e,Oa.An_index_signature_must_have_exactly_one_parameter);if($G(e.parameters,Oa.An_index_signature_cannot_have_a_trailing_comma),n.dotDotDotToken)return SB(n.dotDotDotToken,Oa.An_index_signature_cannot_have_a_rest_parameter);if(Wb(n))return SB(n.name,Oa.An_index_signature_parameter_cannot_have_an_accessibility_modifier);if(n.questionToken)return SB(n.questionToken,Oa.An_index_signature_parameter_cannot_have_a_question_mark);if(n.initializer)return SB(n.name,Oa.An_index_signature_parameter_cannot_have_an_initializer);if(!n.type)return SB(n.name,Oa.An_index_signature_parameter_must_have_a_type_annotation);const t=JE(n.type);if(OI(t,(e=>!!(8576&e.flags)))||ub(t))return SB(n.name,Oa.An_index_signature_parameter_type_cannot_be_a_literal_type_or_generic_type_Consider_using_a_mapped_object_type_instead);if(!WI(t,Jm))return SB(n.name,Oa.An_index_signature_parameter_type_must_be_string_number_symbol_or_a_template_literal_type);if(!e.type)return SB(e,Oa.An_index_signature_must_have_a_type_annotation)}(e)}(e):184!==e.kind&&262!==e.kind&&185!==e.kind&&179!==e.kind&&176!==e.kind&&180!==e.kind||eB(e);const n=Zy(e);4&n||(!(3&~n)&&R<99&&KG(e,6144),2==(3&n)&&R<4&&KG(e,64),3&n&&R<2&&KG(e,128)),MW(Nc(e)),function(e){const n=W(Sc(e),OM);if(!b(n))return;const t=Yh(e),r=new Set,o=new Set;E(e.parameters,(({name:e},n)=>{tN(e)&&r.add(e.escapedText),Vd(e)&&o.add(n)}));const i=mm(e);if(i){const e=n.length-1,i=n[e];t&&i&&tN(i.name)&&i.typeExpression&&i.typeExpression.type&&!r.has(i.name.escapedText)&&!o.has(e)&&!cx(JE(i.typeExpression.type))&&Ai(i.name,Oa.JSDoc_param_tag_has_name_0_but_there_is_no_parameter_with_that_name_It_would_match_arguments_if_it_had_an_array_type,Ll(i.name))}else E(n,(({name:e,isNameFirst:n},i)=>{o.has(i)||tN(e)&&r.has(e.escapedText)||(gN(e)?t&&Ai(e,Oa.Qualified_name_0_is_not_allowed_without_a_leading_param_object_1,c_(e),c_(e.left)):n||Ii(t,e,Oa.JSDoc_param_tag_has_name_0_but_there_is_no_parameter_with_that_name,Ll(e)))}))}(e),E(e.parameters,SO),e.type&&gz(e.type),l((function(){!function(e){if(R>=2||!op(e)||33554432&e.flags||im(e.body))return;E(e.parameters,(e=>{e.name&&!Vd(e.name)&&e.name.escapedText===xe.escapedName&&Ti("noEmit",e,Oa.Duplicate_identifier_arguments_Compiler_uses_arguments_to_initialize_rest_parameters)}))}(e);let n=Ib(e),t=n;if(Yh(e)){const r=yc(e);if(r&&r.typeExpression&&kN(r.typeExpression.type)){const e=CL(JE(r.typeExpression));e&&e.declaration&&(n=Ib(e.declaration),t=r.typeExpression.type)}}if($&&!n)switch(e.kind){case 180:Ai(e,Oa.Construct_signature_which_lacks_return_type_annotation_implicitly_has_an_any_return_type);break;case 179:Ai(e,Oa.Call_signature_which_lacks_return_type_annotation_implicitly_has_an_any_return_type)}if(n&&t){const r=Zy(e);if(1==(5&r)){const e=JE(n);e===tt?Ai(t,Oa.A_generator_cannot_have_a_void_type_annotation):AO(e,r,t)}else 2==(3&r)&&function(e,n,t){const r=JE(n);if(R>=2){if(Bl(r))return;const e=Ag(!0);if(e!==Ot&&!dd(r,e))return void i(Oa.The_return_type_of_an_async_function_or_method_must_be_the_global_Promise_T_type_Did_you_mean_to_write_Promise_0,n,t,il(nF(r)||tt))}else{if(function(e){sF(e&&Ch(e),!1)}(n),Bl(r))return;const a=Ch(n);if(void 0===a)return void i(Oa.Type_0_is_not_a_valid_async_function_return_type_in_ES5_SlashES3_because_it_does_not_refer_to_a_Promise_compatible_constructor_value,n,t,il(r));const s=qa(a,111551,!0),l=s?sd(s):Nn;if(Bl(l))return void(80===a.kind&&"Promise"===a.escapedText&&pd(r)===Ag(!1)?Ai(t,Oa.An_async_function_or_method_in_ES5_SlashES3_requires_the_Promise_constructor_Make_sure_you_have_a_declaration_for_the_Promise_constructor_or_include_ES2015_in_your_lib_option):i(Oa.Type_0_is_not_a_valid_async_function_return_type_in_ES5_SlashES3_because_it_does_not_refer_to_a_Promise_compatible_constructor_value,n,t,c_(a)));const c=(o=!0,br||(br=tg("PromiseConstructorLike",0,o))||Ct);if(c===Ct)return void i(Oa.Type_0_is_not_a_valid_async_function_return_type_in_ES5_SlashES3_because_it_does_not_refer_to_a_Promise_compatible_constructor_value,n,t,c_(a));const d=Oa.Type_0_is_not_a_valid_async_function_return_type_in_ES5_SlashES3_because_it_does_not_refer_to_a_Promise_compatible_constructor_value;if(!YS(l,c,t,d,(()=>n===t?void 0:cT(void 0,Oa.The_return_type_of_an_async_function_or_method_must_be_the_global_Promise_T_type))))return;const u=a&&SE(a),p=qi(e.locals,u.escapedText,111551);if(p)return void Ai(p.valueDeclaration,Oa.Duplicate_identifier_0_Compiler_uses_declaration_1_to_support_async_functions,Ll(u),c_(a))}var o;function i(e,n,t,r){if(n===t)Ai(t,e,r);else{xx(Ai(t,Oa.The_return_type_of_an_async_function_or_method_must_be_the_global_Promise_T_type),d_(n,e,r))}}JO(r,!1,e,Oa.The_return_type_of_an_async_function_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member)}(e,n,t)}181!==e.kind&&324!==e.kind&&_F(e)}))}function AO(e,n,t){const r=bW(0,e,!!(2&n))||xn;return YS(Ew(r,bW(1,e,!!(2&n))||r,bW(2,e,!!(2&n))||Ln,!!(2&n)),e,t)}function RO(e){const n=new Map;for(const t of e.members)if(171===t.kind){let e;const r=t.name;switch(r.kind){case 11:case 9:e=r.text;break;case 80:e=Ll(r);break;default:continue}n.get(e)?(Ai(jl(t.symbol.valueDeclaration),Oa.Duplicate_identifier_0,e),Ai(t.name,Oa.Duplicate_identifier_0,e)):n.set(e,!0)}}function IO(e){if(264===e.kind){const n=ps(e);if(n.declarations&&n.declarations.length>0&&n.declarations[0]!==e)return}const n=Fm(ps(e));if(null==n?void 0:n.declarations){const e=new Map;for(const t of n.declarations)1===t.parameters.length&&t.parameters[0].type&&wI(JE(t.parameters[0].type),(n=>{const r=e.get(Jy(n));r?r.declarations.push(t):e.set(Jy(n),{type:n,declarations:[t]})}));e.forEach((e=>{if(e.declarations.length>1)for(const n of e.declarations)Ai(n,Oa.Duplicate_index_signature_for_type_0,il(e.type))}))}}function NO(e){JG(e)||function(e){if(yN(e.name)&&TD(e.name.expression)&&103===e.name.expression.operatorToken.kind)return SB(e.parent.members[0],Oa.A_mapped_type_may_not_declare_properties_or_methods);if(Md(e.parent)){if(zI(e.name)&&"constructor"===e.name.text)return SB(e.name,Oa.Classes_may_not_have_a_field_named_constructor);if(uB(e.name,Oa.A_computed_property_name_in_a_class_property_declaration_must_have_a_simple_literal_type_or_a_unique_symbol_type))return!0;if(R<2&&rN(e.name))return SB(e.name,Oa.Private_identifiers_are_only_available_when_targeting_ECMAScript_2015_and_higher);if(R<2&&Ld(e))return SB(e.name,Oa.Properties_with_the_accessor_modifier_are_only_available_when_targeting_ECMAScript_2015_and_higher);if(Ld(e)&&sB(e.questionToken,Oa.An_accessor_property_cannot_be_declared_optional))return!0}else if(264===e.parent.kind){if(uB(e.name,Oa.A_computed_property_name_in_an_interface_must_refer_to_an_expression_whose_type_is_a_literal_type_or_a_unique_symbol_type))return!0;if(Tt.assertNode(e,SN),e.initializer)return SB(e.initializer,Oa.An_interface_property_cannot_have_an_initializer)}else if(WN(e.parent)){if(uB(e.name,Oa.A_computed_property_name_in_a_type_literal_must_refer_to_an_expression_whose_type_is_a_literal_type_or_a_unique_symbol_type))return!0;if(Tt.assertNode(e,SN),e.initializer)return SB(e.initializer,Oa.A_type_literal_property_cannot_have_an_initializer)}33554432&e.flags&&mB(e);if(TN(e)&&e.exclamationToken&&(!Md(e.parent)||!e.type||e.initializer||33554432&e.flags||jb(e)||Hb(e))){const n=e.initializer?Oa.Declarations_with_initializers_cannot_also_have_definite_assignment_assertions:e.type?Oa.A_definite_assignment_assertion_is_not_permitted_in_this_context:Oa.Declarations_with_definite_assignment_assertions_must_also_have_type_annotations;return SB(e.exclamationToken,n)}}(e)||iB(e.name),WF(e),DO(e),Bb(e,64)&&172===e.kind&&e.initializer&&Ai(e,Oa.Property_0_cannot_have_an_initializer_because_it_is_marked_abstract,o_(e.name))}function DO(e){if(rN(e.name)&&R<99){for(let n=t_(e);n;n=t_(n))Hi(n).flags|=1048576;if(ND(e.parent)){const n=xD(e.parent);n&&(Hi(e.name).flags|=32768,Hi(n).flags|=4096)}}}function CO(e){xO(e),function(e){const n=Yh(e)?Nb(e):void 0,t=e.typeParameters||n&&De(n);if(t){const n=t.pos===t.end?t.pos:Ts($f(e).text,t.pos);return EB(e,n,t.end-n,Oa.Type_parameters_cannot_appear_on_a_constructor_declaration)}}(e)||function(e){const n=e.type||Ib(e);if(n)SB(n,Oa.Type_annotation_cannot_appear_on_a_constructor_declaration)}(e),gz(e.body);const n=ps(e),t=Df(n,e.kind);function r(e){return!!md(e)||172===e.kind&&!jb(e)&&!!e.initializer}e===t&&UO(n),im(e.body)||l((function(){const n=e.parent;if(Fy(n)){AD(e.parent,n);const t=MD(n),o=RD(e.body);if(o){t&&Ai(o,Oa.A_constructor_cannot_contain_a_super_call_when_its_class_extends_null);if(!z&&(oe(e.parent.members,r)||oe(e.parameters,(e=>Bb(e,31)))))if(function(e,n){const t=by(e.parent);return VD(t)&&t.parent===n}(o,e.body)){let n;for(const t of e.body.statements){if(VD(t)&&M_(EP(t.expression))){n=t;break}if(MO(t))break}void 0===n&&Ai(e,Oa.A_super_call_must_be_the_first_statement_in_the_constructor_to_refer_to_super_or_this_when_a_derived_class_contains_initialized_properties_parameter_properties_or_private_identifiers)}else Ai(o,Oa.A_super_call_must_be_a_root_level_statement_within_a_constructor_of_a_derived_class_that_contains_initialized_properties_parameter_properties_or_private_identifiers)}else t||Ai(e,Oa.Constructors_for_derived_classes_must_contain_a_super_call)}}))}function MO(e){return 108===e.kind||110===e.kind||!bh(e)&&!!ok(e,MO)}function PO(e){tN(e.name)&&"constructor"===Ll(e.name)&&Md(e.parent)&&Ai(e.name,Oa.Class_constructor_may_not_be_an_accessor),l((function(){eB(e)||function(e){if(!(33554432&e.flags)&&187!==e.parent.kind&&264!==e.parent.kind){if(R<1)return SB(e.name,Oa.Accessors_are_only_available_when_targeting_ECMAScript_5_and_higher);if(R<2&&rN(e.name))return SB(e.name,Oa.Private_identifiers_are_only_available_when_targeting_ECMAScript_2015_and_higher);if(void 0===e.body&&!Bb(e,64))return EB(e,e.end-1,1,Oa._0_expected,"{")}if(e.body){if(Bb(e,64))return SB(e,Oa.An_abstract_accessor_cannot_have_an_implementation);if(187===e.parent.kind||264===e.parent.kind)return SB(e.body,Oa.An_implementation_cannot_be_declared_in_ambient_contexts)}if(e.typeParameters)return SB(e.name,Oa.An_accessor_cannot_have_type_parameters);if(!function(e){return dB(e)||e.parameters.length===(177===e.kind?0:1)}(e))return SB(e.name,177===e.kind?Oa.A_get_accessor_cannot_have_parameters:Oa.A_set_accessor_must_have_exactly_one_parameter);if(178===e.kind){if(e.type)return SB(e.name,Oa.A_set_accessor_cannot_have_a_return_type_annotation);const n=Tt.checkDefined(hb(e),"Return value does not match parameter count assertion.");if(n.dotDotDotToken)return SB(n.dotDotDotToken,Oa.A_set_accessor_cannot_have_rest_parameter);if(n.questionToken)return SB(n.questionToken,Oa.A_set_accessor_cannot_have_an_optional_parameter);if(n.initializer)return SB(e.name,Oa.A_set_accessor_parameter_cannot_have_an_initializer)}return!1}(e)||iB(e.name);pF(e),xO(e),177===e.kind&&!(33554432&e.flags)&&am(e.body)&&512&e.flags&&(1024&e.flags||Ai(e.name,Oa.A_get_accessor_must_return_a_value));167===e.name.kind&&MM(e.name);if(Au(e)){const n=ps(e),t=Df(n,177),r=Df(n,178);if(t&&r&&!(1&NG(t))){Hi(t).flags|=1;const e=Zb(t),n=Zb(r);(64&e)!=(64&n)&&(Ai(t.name,Oa.Accessors_must_both_be_abstract_or_non_abstract),Ai(r.name,Oa.Accessors_must_both_be_abstract_or_non_abstract)),(4&e&&!(6&n)||2&e&&!(2&n))&&(Ai(t.name,Oa.A_get_accessor_must_be_at_least_as_accessible_as_the_setter),Ai(r.name,Oa.A_get_accessor_must_be_at_least_as_accessible_as_the_setter))}}const n=Jc(ps(e));177===e.kind&&Iw(e,n)})),gz(e.body),DO(e)}function LO(e,n,t){return e.typeArguments&&t<e.typeArguments.length?JE(e.typeArguments[t]):kO(e,n)[t]}function kO(e,n){return um(B(e.typeArguments,JE),n,dm(n),Yh(e))}function wO(e,n){let t,r,o=!0;for(let i=0;i<n.length;i++){const a=Yp(n[i]);a&&(t||(t=kO(e,n),r=eS(n,t)),o=o&&YS(t[i],AS(a,r),e.typeArguments[i],Oa.Type_0_does_not_satisfy_the_constraint_1))}return o}function OO(e){const n=JE(e);if(!Bl(n)){const t=Hi(e).resolvedSymbol;if(t)return function(e,n){if(!Bl(e))return 524288&n.flags&&Ui(n).typeParameters||(4&IS(e)?e.target.localTypeParameters:void 0)}(n,t)}}function FO(e){if(nB(e,e.typeArguments),183===e.kind&&!Yh(e)&&!Zh(e)&&e.typeArguments&&e.typeName.end!==e.typeArguments.pos){const n=$f(e);25===E_(n,e.typeName.end)&&EB(e,Ts(n.text,e.typeName.end),1,Oa.JSDoc_types_can_only_be_used_inside_documentation_comments)}E(e.typeArguments,gz),WO(e)}function WO(e){if(!Bl(JE(e))){e.typeArguments&&l((()=>{const n=OO(e);n&&wO(e,n)}));const n=Hi(e).resolvedSymbol;n&&oe(n.declarations,(e=>sA(e)&&!!(536870912&e.flags)))&&Pi(Ek(e),n.declarations,n.escapedName)}}function zO(e,n){if(!(8388608&e.flags))return e;const t=e.objectType,r=e.indexType,o=wp(t)&&2===Op(t)?Wv(t,0):Jv(t,0),i=!!qf(t,Un);if(WI(r,(e=>KS(e,o)||i&&Vf(e,Un))))return 212===n.kind&&my(n)&&32&IS(t)&&1&Pp(t)&&Ai(n,Oa.Index_signature_in_type_0_only_permits_reading,il(t)),e;if(pb(t)){const e=rb(r,n);if(e){const r=wI(yf(t),(n=>Lf(n,e)));if(r&&6&_S(r))return Ai(n,Oa.Private_or_protected_member_0_cannot_be_accessed_on_a_type_parameter,Pl(e)),Nn}}return Ai(n,Oa.Type_0_cannot_be_used_to_index_type_1,il(r),il(t)),Nn}function GO(e){!function(e){var n;if(null==(n=e.members)?void 0:n.length)SB(e.members[0],Oa.A_mapped_type_may_not_declare_properties_or_methods)}(e),gz(e.typeParameter),gz(e.nameType),gz(e.type),e.type||eR(e,xn);const n=wb(e),t=Ip(n);if(t)YS(t,vt,e.nameType);else{YS(Rp(n),vt,Dc(e.typeParameter))}}function BO(e){!function(e){if(158===e.operator){if(155!==e.type.kind)return SB(e.type,Oa._0_expected,as(155));let n=vy(e.parent);if(Yh(n)&&aM(n)){const e=ly(n);e&&(n=Yg(e)||e)}switch(n.kind){case 260:const t=n;if(80!==t.name.kind)return SB(e,Oa.unique_symbol_types_may_not_be_used_on_a_variable_declaration_with_a_binding_name);if(!$_(t))return SB(e,Oa.unique_symbol_types_are_only_allowed_on_variables_in_a_variable_statement);if(!(2&t.parent.flags))return SB(n.name,Oa.A_variable_whose_type_is_a_unique_symbol_type_must_be_const);break;case 172:if(!jb(n)||!Jb(n))return SB(n.name,Oa.A_property_of_a_class_whose_type_is_a_unique_symbol_type_must_be_both_static_and_readonly);break;case 171:if(!Bb(n,8))return SB(n.name,Oa.A_property_of_an_interface_or_type_literal_whose_type_is_a_unique_symbol_type_must_be_readonly);break;default:SB(e,Oa.unique_symbol_types_are_not_allowed_here)}}else if(148===e.operator&&188!==e.type.kind&&189!==e.type.kind)bB(e,Oa.readonly_type_modifier_is_only_permitted_on_array_and_tuple_literal_types,as(155))}(e),gz(e.type)}function jO(e){return(Gb(e,2)||md(e))&&!!(33554432&e.flags)}function VO(e,n){let t=DB(e);if(264!==e.parent.kind&&263!==e.parent.kind&&231!==e.parent.kind&&33554432&e.flags){const n=n_(e);!(n&&128&n.flags)||128&t||fC(e.parent)&&pC(e.parent.parent)&&Gm(e.parent.parent)||(t|=32),t|=128}return t&n}function UO(e){l((()=>function(e){function n(e,n){return void 0!==n&&n.parent===e[0].parent?n:e[0]}function t(e,t,r,o,i){if(0!==(o^i)){const o=VO(n(e,t),r);E(e,(e=>{const n=VO(e,r)^o;32&n?Ai(jl(e),Oa.Overload_signatures_must_all_be_exported_or_non_exported):128&n?Ai(jl(e),Oa.Overload_signatures_must_all_be_ambient_or_non_ambient):6&n?Ai(jl(e)||e,Oa.Overload_signatures_must_all_be_public_private_or_protected):64&n&&Ai(jl(e),Oa.Overload_signatures_must_all_be_abstract_or_non_abstract)}))}}function r(e,t,r,o){if(r!==o){const r=Ug(n(e,t));E(e,(e=>{Ug(e)!==r&&Ai(jl(e),Oa.Overload_signatures_must_all_be_optional_or_required)}))}}const o=230;let i,a,s,l=0,c=o,d=!1,u=!0,p=!1;const f=e.declarations,m=!!(16384&e.flags);function _(e){if(e.name&&im(e.name))return;let n=!1;const t=ok(e.parent,(t=>{if(n)return t;n=t===e}));if(t&&t.pos===e.end&&t.kind===e.kind){const n=t.name||t,r=t.name;if(e.name&&r&&(rN(e.name)&&rN(r)&&e.name.escapedText===r.escapedText||yN(e.name)&&yN(r)&&GS(MM(e.name),MM(r))||av(e.name)&&av(r)&&lv(e.name)===lv(r))){if((174===e.kind||173===e.kind)&&jb(e)!==jb(t)){Ai(n,jb(e)?Oa.Function_overload_must_be_static:Oa.Function_overload_must_not_be_static)}return}if(am(t.body))return void Ai(n,Oa.Function_implementation_name_must_be_0,o_(e.name))}const r=e.name||e;m?Ai(r,Oa.Constructor_implementation_is_missing):Bb(e,64)?Ai(r,Oa.All_declarations_of_an_abstract_method_must_be_consecutive):Ai(r,Oa.Function_implementation_is_missing_or_not_immediately_following_the_declaration)}let h=!1,g=!1,y=!1;const v=[];if(f)for(const e of f){const n=e,t=33554432&n.flags,r=n.parent&&(264===n.parent.kind||187===n.parent.kind)||t;if(r&&(s=void 0),263!==n.kind&&231!==n.kind||t||(y=!0),262===n.kind||174===n.kind||173===n.kind||176===n.kind){v.push(n);const e=VO(n,o);l|=e,c&=e,d=d||Ug(n),u=u&&Ug(n);const t=am(n.body);t&&i?m?g=!0:h=!0:(null==s?void 0:s.parent)===n.parent&&s.end!==n.pos&&_(s),t?i||(i=n):p=!0,s=n,r||(a=n)}Yh(e)&&Td(e)&&e.jsDoc&&(p=b(iy(e))>0)}g&&E(v,(e=>{Ai(e,Oa.Multiple_constructor_implementations_are_not_allowed)}));h&&E(v,(e=>{Ai(jl(e)||e,Oa.Duplicate_function_implementation)}));if(y&&!m&&16&e.flags&&f){const n=W(f,(e=>263===e.kind)).map((e=>d_(e,Oa.Consider_adding_a_declare_modifier_to_this_class)));E(f,(t=>{const r=263===t.kind?Oa.Class_declaration_cannot_implement_overload_list_for_0:262===t.kind?Oa.Function_with_bodies_can_only_merge_with_classes_that_are_ambient:void 0;r&&xx(Ai(jl(t)||t,r,wl(e)),...n)}))}!a||a.body||Bb(a,64)||a.questionToken||_(a);if(p&&(f&&(t(f,i,o,l,c),r(f,i,d,u)),i)){const n=_m(e),t=pm(i);for(const e of n)if(!_T(t,e)){xx(Ai(e.declaration&&SM(e.declaration)?e.declaration.parent.tagName:e.declaration,Oa.This_overload_signature_is_not_compatible_with_its_implementation_signature),d_(i,Oa.The_implementation_signature_is_declared_here));break}}}(e)))}function HO(e){l((()=>function(e){let n=e.localSymbol;if(!n&&(n=ps(e),!n.exportSymbol))return;if(Df(n,e.kind)!==e)return;let t=0,r=0,o=0;for(const e of n.declarations){const n=s(e),i=VO(e,2080);32&i?2048&i?o|=n:t|=n:r|=n}const i=t&r,a=o&(t|r);if(i||a)for(const e of n.declarations){const n=s(e),t=jl(e);n&a?Ai(t,Oa.Merged_declaration_0_cannot_include_a_default_export_declaration_Consider_adding_a_separate_export_default_0_declaration_instead,o_(t)):n&i&&Ai(t,Oa.Individual_declarations_in_merged_declaration_0_must_be_all_exported_or_all_local,o_(t))}function s(e){let n=e;switch(n.kind){case 264:case 265:case 353:case 345:case 347:return 2;case 267:return km(n)||0!==zW(n)?5:4;case 263:case 266:case 306:return 3;case 312:return 7;case 277:case 226:const e=n,t=NC(e)?e.expression:e.right;if(!EE(t))return 1;n=t;case 271:case 274:case 273:let r=0;return E(Wa(ps(n)).declarations,(e=>{r|=s(e)})),r;case 260:case 208:case 262:case 276:case 80:return 1;case 173:case 171:return 2;default:return Tt.failBadSyntaxKind(n)}}}(e)))}function KO(e,n,t,...r){const o=qO(e,n);return o&&eF(o,n,t,...r)}function qO(e,n,t){if(zl(e))return;const r=e;if(r.promisedTypeOfPromise)return r.promisedTypeOfPromise;if(dd(e,Ag(!1)))return r.promisedTypeOfPromise=D_(e)[0];if(Gw(cf(e),402915324))return;const i=Ol(e,"then");if(zl(i))return;const a=i?wf(i,0):o;if(0===a.length)return void(n&&Ai(n,Oa.A_promise_must_have_a_then_method));let s,l;for(const n of a){const t=gm(n);t&&t!==tt&&!AT(e,t,di)?s=t:l=ye(l,n)}if(!l)return Tt.assertIsDefined(s),t&&(t.value=s),void(n&&Ai(n,Oa.The_this_context_of_type_0_is_not_assignable_to_method_s_this_of_type_1,il(e),il(s)));const c=hI(mv(B(l,ew)),2097152);if(zl(c))return;const d=wf(c,0);if(0!==d.length)return r.promisedTypeOfPromise=mv(B(d,ew),2);n&&Ai(n,Oa.The_first_parameter_of_the_then_method_of_a_promise_must_be_a_callback)}function JO(e,n,t,r,...o){return(n?eF(e,t,r,...o):nF(e,t,r,...o))||Nn}function XO(e){if(Gw(cf(e),402915324))return!1;const n=Ol(e,"then");return!!n&&wf(hI(n,2097152),0).length>0}function YO(e){var n;if(16777216&e.flags){const t=jg(!1);return!!t&&e.aliasSymbol===t&&1===(null==(n=e.aliasTypeArguments)?void 0:n.length)}return!1}function $O(e){return 1048576&e.flags?VI(e,$O):YO(e)?e.aliasTypeArguments[0]:e}function QO(e){if(zl(e)||YO(e))return!1;if(pb(e)){const n=lf(e);if(n?3&n.flags||gT(n)||OI(n,XO):Ww(e,8650752))return!0}return!1}function ZO(e){if(QO(e)){const n=function(e){const n=jg(!0);if(n)return w_(n,[$O(e)])}(e);if(n)return n}return Tt.assert(YO(e)||void 0===qO(e),"type provided should not be a non-generic 'promise'-like."),e}function eF(e,n,t,...r){const o=nF(e,n,t,...r);return o&&ZO(o)}function nF(e,n,t,...r){if(zl(e))return e;if(YO(e))return e;const o=e;if(o.awaitedTypeOfType)return o.awaitedTypeOfType;if(1048576&e.flags){if(ai.lastIndexOf(e.id)>=0)return void(n&&Ai(n,Oa.Type_is_referenced_directly_or_indirectly_in_the_fulfillment_callback_of_its_own_then_method));const i=n?e=>nF(e,n,t,...r):nF;ai.push(e.id);const a=VI(e,i);return ai.pop(),o.awaitedTypeOfType=a}if(QO(e))return o.awaitedTypeOfType=e;const i={value:void 0},a=qO(e,void 0,i);if(a){if(e.id===a.id||ai.lastIndexOf(a.id)>=0)return void(n&&Ai(n,Oa.Type_is_referenced_directly_or_indirectly_in_the_fulfillment_callback_of_its_own_then_method));ai.push(e.id);const i=nF(a,n,t,...r);if(ai.pop(),!i)return;return o.awaitedTypeOfType=i}if(!XO(e))return o.awaitedTypeOfType=e;if(n){let o;Tt.assertIsDefined(t),i.value&&(o=cT(o,Oa.The_this_context_of_type_0_is_not_assignable_to_method_s_this_of_type_1,il(e),il(i.value))),o=cT(o,t,...r),si.add(f_($f(n),n,o))}}function tF(e){const n=hk(e);bk(n,e);const t=bm(n);if(1&t.flags)return;const r=hw(e);if(!(null==r?void 0:r.resolvedReturnType))return;let o;const i=r.resolvedReturnType;switch(e.parent.kind){case 263:case 231:o=Oa.Decorator_function_return_type_0_is_not_assignable_to_type_1;break;case 172:if(!L){o=Oa.Decorator_function_return_type_0_is_not_assignable_to_type_1;break}case 169:o=Oa.Decorator_function_return_type_is_0_but_is_expected_to_be_void_or_any;break;case 174:case 177:case 178:o=Oa.Decorator_function_return_type_0_is_not_assignable_to_type_1;break;default:return Tt.failBadSyntaxKind(e.parent)}YS(t,i,e.expression,o)}function rF(e,n,t,r,i,a=t.length,s=0){return Fu(UA.createFunctionTypeNode(void 0,o,UA.createKeywordTypeNode(133)),e,n,t,r,i,a,s)}function oF(e,n,t,r,o,i,a){return Om(rF(e,n,t,r,o,i,a))}function iF(e){return oF(void 0,void 0,o,e)}function aF(e){return oF(void 0,void 0,[ki("value",e)],tt)}function sF(e,n){if(!e)return;const t=SE(e),r=2097152|(80===e.kind?788968:1920),i=na(t,t.escapedText,r,void 0,void 0,!0);if(i&&2097152&i.flags)if(Ie&&xs(i)&&!EG(Wa(i))&&!ja(i))Ua(i);else if(n&&Kp(A)&&Vp(A)>=5&&!xs(i)&&!oe(i.declarations,ld)){const n=Ai(e,Oa.A_type_referenced_in_a_decorated_signature_must_be_imported_with_import_type_or_a_namespace_import_when_isolatedModules_and_emitDecoratorMetadata_are_enabled),r=D(i.declarations||o,ga);r&&xx(n,d_(r,Oa._0_was_imported_here,Ll(t)))}}function lF(e){const n=cF(e);n&&bd(n)&&sF(n,!0)}function cF(e){if(e)switch(e.kind){case 193:case 192:return dF(e.types);case 194:return dF([e.trueType,e.falseType]);case 196:case 202:return cF(e.type);case 183:return e.typeName}}function dF(e){let n;for(let t of e){for(;196===t.kind||202===t.kind;)t=t.type;if(146===t.kind)continue;if(!K&&(201===t.kind&&106===t.literal.kind||157===t.kind))continue;const e=cF(t);if(!e)return;if(n){if(!tN(n)||!tN(e)||n.escapedText!==e.escapedText)return}else n=e}return n}function uF(e){const n=Ab(e);return ip(e)?q_(n):n}function pF(e){if(!(bL(e)&&Xb(e)&&e.modifiers&&Ph(L,e,e.parent,e.parent.parent)))return;const n=D(e.modifiers,EN);if(n){if(L)KG(n,8),169===e.kind&&KG(n,32);else if(R<99)if(KG(n,8),lC(e))if(e.name){kW(e)&&KG(n,8388608)}else KG(n,8388608);else ND(e)||(rN(e.name)&&(AN(e)||Pd(e)||Ld(e))&&KG(n,8388608),yN(e.name)&&KG(n,16777216));if(A.emitDecoratorMetadata)switch(KG(n,16),e.kind){case 263:const n=_b(e);if(n)for(const e of n.parameters)lF(uF(e));break;case 177:case 178:const t=177===e.kind?178:177,r=Df(ps(e),t);lF(Hc(e)||r&&Hc(r));break;case 174:for(const n of e.parameters)lF(uF(n));lF(Ib(e));break;case 172:lF(Ab(e));break;case 169:lF(uF(e));const o=e.parent;for(const e of o.parameters)lF(uF(e));lF(Ib(o))}for(const n of e.modifiers)EN(n)&&tF(n)}}function fF(e){switch(e.kind){case 80:return e;case 211:return e.name;default:return}}function mF(e){var n;pF(e),xO(e);const t=Zy(e);if(e.name&&167===e.name.kind&&MM(e.name),Au(e)){const t=ps(e),r=e.localSymbol||t,o=null==(n=r.declarations)?void 0:n.find((n=>n.kind===e.kind&&!(524288&n.flags)));e===o&&UO(r),t.parent&&UO(t)}const r=173===e.kind?void 0:e.body;if(gz(r),Iw(e,Em(e)),l((function(){Ib(e)||(im(r)&&!jO(e)&&eR(e,xn),1&t&&am(r)&&bm(pm(e)))})),Yh(e)){const n=yc(e);n&&n.typeExpression&&!bM(JE(n.typeExpression),e)&&Ai(n.typeExpression.type,Oa.The_type_of_a_function_declaration_must_match_the_function_s_signature)}}function _F(e){l((function(){const n=$f(e);let t=bo.get(n.path);t||(t=[],bo.set(n.path,t));t.push(e)}))}function hF(e,n){for(const t of e)switch(t.kind){case 263:case 231:vF(t,n),EF(t,n);break;case 312:case 267:case 241:case 269:case 248:case 249:case 250:IF(t,n);break;case 176:case 218:case 262:case 219:case 174:case 177:case 178:t.body&&IF(t,n),EF(t,n);break;case 173:case 179:case 180:case 184:case 185:case 265:case 264:EF(t,n);break;case 195:bF(t,n);break;default:Tt.assertNever(t,"Node should not have been registered for unused identifiers check")}}function gF(e,n,t){t(e,0,d_(jl(e)||e,sA(e)?Oa._0_is_declared_but_never_used:Oa._0_is_declared_but_its_value_is_never_read,n))}function yF(e){return tN(e)&&95===Ll(e).charCodeAt(0)}function vF(e,n){for(const t of e.members)switch(t.kind){case 174:case 172:case 177:case 178:if(178===t.kind&&32768&t.symbol.flags)break;const e=ps(t);e.isReferenced||!(Gb(t,2)||Gl(t)&&rN(t.name))||33554432&t.flags||n(t,0,d_(t.name,Oa._0_is_declared_but_its_value_is_never_read,rl(e)));break;case 176:for(const e of t.parameters)!e.symbol.isReferenced&&Bb(e,2)&&n(e,0,d_(e.name,Oa.Property_0_is_declared_but_its_value_is_never_read,wl(e.symbol)));break;case 181:case 240:case 175:break;default:Tt.fail("Unexpected class member")}}function bF(e,n){const{typeParameter:t}=e;SF(t)&&n(e,1,d_(e,Oa._0_is_declared_but_its_value_is_never_read,Ll(t.name)))}function EF(e,n){const t=ps(e).declarations;if(!t||ke(t)!==e)return;const r=Nc(e),o=new Set;for(const e of r){if(!SF(e))continue;const t=Ll(e.name),{parent:r}=e;if(195!==r.kind&&r.typeParameters.every(SF)){if(ee(o,r)){const o=$f(r),i=GM(r)?Rx(r):Ix(o,r.typeParameters),a=1===r.typeParameters.length?[Oa._0_is_declared_but_its_value_is_never_read,t]:[Oa.All_type_parameters_are_unused];n(e,1,iT(o,i.pos,i.end-i.pos,...a))}}else n(e,1,d_(e,Oa._0_is_declared_but_its_value_is_never_read,t))}}function SF(e){return!(262144&us(e.symbol).isReferenced||yF(e.name))}function TF(e,n,t,r){const o=String(r(n)),i=e.get(o);i?i[1].push(t):e.set(o,[n,[t]])}function AF(e){return hn(bv(e),bN)}function RF(e){return iD(e)?rD(e.parent)?!(!e.propertyName||!yF(e.name)):yF(e.name):km(e)||(iC(e)&&vu(e.parent.parent)||DF(e))&&yF(e.name)}function IF(e,n){const t=new Map,r=new Map,o=new Map;e.locals.forEach((e=>{var i;if(!(262144&e.flags?!(3&e.flags)||3&e.isReferenced:e.isReferenced||e.exportSymbol)&&e.declarations)for(const a of e.declarations)if(!RF(a))if(DF(a))TF(t,273===(i=a).kind?i:274===i.kind?i.parent:i.parent.parent,a,Hz);else if(iD(a)&&rD(a.parent)){a!==ke(a.parent.elements)&&ke(a.parent.elements).dotDotDotToken||TF(r,a.parent,a,Hz)}else if(iC(a)){const e=7&CB(a),n=jl(a);(4===e||6===e)&&n&&yF(n)||TF(o,a.parent,a,Hz)}else{const t=e.valueDeclaration&&AF(e.valueDeclaration),o=e.valueDeclaration&&jl(e.valueDeclaration);t&&o?gl(t,t.parent)||vb(t)||yF(o)||(iD(a)&&oD(a.parent)?TF(r,a.parent,a,Hz):n(t,1,d_(o,Oa._0_is_declared_but_its_value_is_never_read,wl(e)))):gF(a,wl(e),n)}})),t.forEach((([e,t])=>{const r=e.parent;if((e.name?1:0)+(e.namedBindings?274===e.namedBindings.kind?1:e.namedBindings.elements.length:0)===t.length)n(r,0,1===t.length?d_(r,Oa._0_is_declared_but_its_value_is_never_read,Ll(Me(t).name)):d_(r,Oa.All_imports_in_import_declaration_are_unused));else for(const e of t)gF(e,Ll(e.name),n)})),r.forEach((([e,t])=>{const r=AF(e.parent)?1:0;if(e.elements.length===t.length)1===t.length&&260===e.parent.kind&&261===e.parent.parent.kind?TF(o,e.parent.parent,e.parent,Hz):n(e,r,1===t.length?d_(e,Oa._0_is_declared_but_its_value_is_never_read,NF(Me(t).name)):d_(e,Oa.All_destructured_elements_are_unused));else for(const e of t)n(e,r,d_(e,Oa._0_is_declared_but_its_value_is_never_read,NF(e.name)))})),o.forEach((([e,t])=>{if(e.declarations.length===t.length)n(e,0,1===t.length?d_(Me(t).name,Oa._0_is_declared_but_its_value_is_never_read,NF(Me(t).name)):d_(243===e.parent.kind?e.parent:e,Oa.All_variables_are_unused));else for(const e of t)n(e,0,d_(e,Oa._0_is_declared_but_its_value_is_never_read,NF(e.name)))}))}function NF(e){switch(e.kind){case 80:return Ll(e);case 207:case 206:return NF(gn(Me(e.elements),iD).name);default:return Tt.assertNever(e)}}function DF(e){return 273===e.kind||276===e.kind||274===e.kind}function CF(e){if(241===e.kind&&xB(e),Dd(e)){const n=xo;E(e.statements,gz),xo=n}else E(e.statements,gz);e.locals&&_F(e)}function MF(e,n,t){if((null==n?void 0:n.escapedText)!==t)return!1;if(172===e.kind||171===e.kind||174===e.kind||173===e.kind||177===e.kind||178===e.kind||303===e.kind)return!1;if(33554432&e.flags)return!1;if((yC(e)||hC(e)||IC(e))&&ld(e))return!1;const r=bv(e);return!bN(r)||!im(r.parent.body)}function PF(e){Nl(e,(n=>{if(4&NG(n)){return 80!==e.kind?Ai(jl(e),Oa.Duplicate_identifier_this_Compiler_uses_variable_declaration_this_to_capture_this_reference):Ai(e,Oa.Expression_resolves_to_variable_declaration_this_that_compiler_uses_to_capture_this_reference),!0}return!1}))}function LF(e){Nl(e,(n=>{if(8&NG(n)){return 80!==e.kind?Ai(jl(e),Oa.Duplicate_identifier_newTarget_Compiler_uses_variable_declaration_newTarget_to_capture_new_target_meta_property_reference):Ai(e,Oa.Expression_resolves_to_variable_declaration_newTarget_that_compiler_uses_to_capture_new_target_meta_property_reference),!0}return!1}))}function kF(e){1048576&NG(t_(e))&&(Tt.assert(Gl(e)&&tN(e.name)&&"string"==typeof e.name.escapedText,"The target of a WeakMap/WeakSet collision check should be an identifier"),Ti("noEmit",e,Oa.Compiler_reserves_name_0_when_emitting_private_identifier_downlevel,e.name.escapedText))}function wF(e){let n=!1;if(ND(e)){for(const t of e.members)if(2097152&NG(t)){n=!0;break}}else if(_D(e))2097152&NG(e)&&(n=!0);else{const t=t_(e);t&&2097152&NG(t)&&(n=!0)}n&&(Tt.assert(Gl(e)&&tN(e.name),"The target of a Reflect collision check should be an identifier"),Ti("noEmit",e,Oa.Duplicate_identifier_0_Compiler_reserves_name_1_when_emitting_super_references_in_static_initializers,o_(e.name),"Reflect"))}function OF(e,n){n&&(function(e,n){if(I>=5&&!(I>=100&&1===$f(e).impliedNodeFormat))return;if(!n||!MF(e,n,"require")&&!MF(e,n,"exports"))return;if(pC(e)&&1!==zW(e))return;const t=Dl(e);312===t.kind&&T_(t)&&Ti("noEmit",n,Oa.Duplicate_identifier_0_Compiler_reserves_name_1_in_top_level_scope_of_a_module,o_(n),o_(n))}(e,n),function(e,n){if(!n||R>=4||!MF(e,n,"Promise"))return;if(pC(e)&&1!==zW(e))return;const t=Dl(e);312===t.kind&&T_(t)&&4096&t.flags&&Ti("noEmit",n,Oa.Duplicate_identifier_0_Compiler_reserves_name_1_in_top_level_scope_of_a_module_containing_async_functions,o_(n),o_(n))}(e,n),function(e,n){R<=8&&(MF(e,n,"WeakMap")||MF(e,n,"WeakSet"))&&ri.push(e)}(e,n),function(e,n){n&&R>=2&&R<=8&&MF(e,n,"Reflect")&&oi.push(e)}(e,n),Md(e)?(DW(n,Oa.Class_name_cannot_be_0),33554432&e.flags||function(e){R>=1&&"Object"===e.escapedText&&(I<5||1===$f(e).impliedNodeFormat)&&Ai(e,Oa.Class_name_cannot_be_Object_when_targeting_ES5_with_module_0,Po[I])}(n)):uC(e)&&DW(n,Oa.Enum_name_cannot_be_0))}function FF(e){return e===An?xn:e===lr?sr:e}function WF(e){var n;if(pF(e),iD(e)||gz(e.type),!e.name)return;if(167===e.name.kind&&(MM(e.name),Qu(e)&&e.initializer&&nO(e.initializer)),iD(e)){if(e.propertyName&&tN(e.name)&&vv(e)&&im(fh(e).body))return void ii.push(e);rD(e.parent)&&e.dotDotDotToken&&R<5&&KG(e,4),e.propertyName&&167===e.propertyName.kind&&MM(e.propertyName);const n=e.parent.parent,t=Vl(n,e.dotDotDotToken?32:0),r=e.propertyName||e.name;if(t&&!Vd(r)){const o=zv(r);if(xA(o)){const r=Lf(t,AA(o));r&&(lL(r,void 0,!1),RP(e,!!n.initializer&&108===n.initializer.kind,!1,t,r))}}}if(Vd(e.name)&&(207===e.name.kind&&R<2&&A.downlevelIteration&&KG(e,512),E(e.name.elements,gz)),e.initializer&&vv(e)&&im(fh(e).body))return void Ai(e,Oa.A_parameter_initializer_is_only_allowed_in_a_function_or_constructor_implementation);if(Vd(e.name)){if(YR(e))return;const n=Qu(e)&&e.initializer&&249!==e.parent.parent.kind,t=!oe(e.name.elements,ft(DD));if(n||t){const r=Cc(e);if(n){const n=nO(e.initializer);K&&t?OP(n,e):$S(n,Cc(e),e,e.initializer)}t&&(oD(e.name)?YF(65,r,On,e):K&&OP(r,e))}return}const t=ps(e);if(2097152&t.flags&&(rg(e)||og(e)))return void rz(e);const r=FF(sd(t));if(e===t.valueDeclaration){const i=Qu(e)&&dg(e);if(i){if(!(Yh(e)&&sD(i)&&(0===i.properties.length||RE(e.name))&&!!(null==(n=t.exports)?void 0:n.size))&&249!==e.parent.parent.kind){const n=nO(i);$S(n,r,e,i,void 0);const t=7&CB(e);if(6===t){const e=(o=!0,Wr||(Wr=tg("AsyncDisposable",0,o))||Ct),t=Wg(!0);if(e!==Ct&&t!==Ct){YS(n,mv([e,t,Bn,On]),i,Oa.The_initializer_of_an_await_using_declaration_must_be_either_an_object_with_a_Symbol_asyncDispose_or_Symbol_dispose_method_or_be_null_or_undefined)}}else if(4===t){const e=Wg(!0);if(e!==Ct){YS(n,mv([e,Bn,On]),i,Oa.The_initializer_of_a_using_declaration_must_be_either_an_object_with_a_Symbol_dispose_method_or_be_null_or_undefined)}}}}t.declarations&&t.declarations.length>1&&oe(t.declarations,(n=>n!==e&&X_(n)&&!GF(n,e)))&&Ai(e.name,Oa.All_declarations_of_0_must_have_identical_modifiers,o_(e.name))}else{const n=FF(Cc(e));Bl(r)||Bl(n)||GS(r,n)||67108864&t.flags||zF(t.valueDeclaration,r,e,n),Qu(e)&&e.initializer&&$S(nO(e.initializer),n,e,e.initializer,void 0),t.valueDeclaration&&!GF(e,t.valueDeclaration)&&Ai(e.name,Oa.All_declarations_of_0_must_have_identical_modifiers,o_(e.name))}var o;172!==e.kind&&171!==e.kind&&(HO(e),260!==e.kind&&208!==e.kind||function(e){if(7&CB(e)||vv(e))return;const n=ps(e);if(1&n.flags){if(!tN(e.name))return Tt.fail();const t=na(e,e.name.escapedText,3,void 0,void 0,!1);if(t&&t!==n&&2&t.flags&&7&xP(t)){const n=jy(t.valueDeclaration,261),r=243===n.parent.kind&&n.parent.parent?n.parent.parent:void 0;if(!r||!(241===r.kind&&Td(r.parent)||268===r.kind||267===r.kind||312===r.kind)){const n=rl(t);Ai(e,Oa.Cannot_initialize_outer_scoped_variable_0_in_the_same_scope_as_block_scoped_declaration_1,n,n)}}}}(e),OF(e,e.name))}function zF(e,n,t,r){const o=jl(t),i=172===t.kind||171===t.kind?Oa.Subsequent_property_declarations_must_have_the_same_type_Property_0_must_be_of_type_1_but_here_has_type_2:Oa.Subsequent_variable_declarations_must_have_the_same_type_Variable_0_must_be_of_type_1_but_here_has_type_2,a=o_(o),s=Ai(o,i,a,il(n),il(r));e&&xx(s,d_(e,Oa._0_was_also_declared_here,a))}function GF(e,n){if(169===e.kind&&260===n.kind||260===e.kind&&169===n.kind)return!0;if(Ug(e)!==Ug(n))return!1;return Yb(e,1358)===Yb(n,1358)}function BF(e){var n,t;null==(n=Cr)||n.push(Cr.Phase.Check,"checkVariableDeclaration",{kind:e.kind,pos:e.pos,end:e.end,path:e.tracingPath}),function(e){const n=CB(e),t=7&n;if(Vd(e.name))switch(t){case 6:return SB(e,Oa._0_declarations_may_not_have_binding_patterns,"await using");case 4:return SB(e,Oa._0_declarations_may_not_have_binding_patterns,"using")}if(249!==e.parent.parent.kind&&250!==e.parent.parent.kind)if(33554432&n)mB(e);else if(!e.initializer){if(Vd(e.name)&&!Vd(e.parent))return SB(e,Oa.A_destructuring_declaration_must_have_an_initializer);switch(t){case 6:return SB(e,Oa._0_declarations_must_be_initialized,"await using");case 4:return SB(e,Oa._0_declarations_must_be_initialized,"using");case 2:return SB(e,Oa._0_declarations_must_be_initialized,"const")}}if(e.exclamationToken&&(243!==e.parent.parent.kind||!e.type||e.initializer||33554432&n)){const n=e.initializer?Oa.Declarations_with_initializers_cannot_also_have_definite_assignment_assertions:e.type?Oa.A_definite_assignment_assertion_is_not_permitted_in_this_context:Oa.Declarations_with_definite_assignment_assertions_must_also_have_type_annotations;return SB(e.exclamationToken,n)}!(I<5||1===$f(e).impliedNodeFormat)||4===I||33554432&e.parent.parent.flags||!Bb(e.parent.parent,32)||_B(e.name);!!t&&hB(e.name)}(e),WF(e),null==(t=Cr)||t.pop()}function jF(e){return function(e){if(e.dotDotDotToken){const n=e.parent.elements;if(e!==ke(n))return SB(e,Oa.A_rest_element_must_be_last_in_a_destructuring_pattern);if($G(n,Oa.A_rest_parameter_or_binding_pattern_may_not_have_a_trailing_comma),e.propertyName)return SB(e.name,Oa.A_rest_element_cannot_have_a_property_name)}if(e.dotDotDotToken&&e.initializer)EB(e,e.initializer.pos-1,1,Oa.A_rest_element_cannot_have_an_initializer)}(e),WF(e)}function VF(e){const n=7&xl(e);4!==n&&6!==n||KG(e,33554432),E(e.declarations,gz)}function UF(e){JG(e)||gB(e.declarationList)||function(e){if(!yB(e.parent)){const n=7&CB(e.declarationList);if(n){const t=1===n?"let":2===n?"const":4===n?"using":6===n?"await using":Tt.fail("Unknown BlockScope flag");SB(e,Oa._0_declarations_can_only_be_declared_inside_a_block,t)}}}(e),VF(e.declarationList)}function HF(e,n,t){function r(e,n){for(o(e=Ty(e),n);TD(e)&&(57===e.operatorToken.kind||61===e.operatorToken.kind);)o(e=Ty(e.left),n)}function o(e,t){const o=fE(e)?Ty(e.right):e;if(bg(o))return;if(fE(o))return void r(o,t);const i=o===e?n:qF(o),a=lD(o)&&tO(o.expression);if(!mI(i,4194304)||a)return;const s=wf(i,0),l=!!KO(i);if(0===s.length&&!l)return;const c=tN(o)?o:lD(o)?o.name:void 0,d=c&&Xz(c);if(!d&&!l)return;const u=d&&TD(e.parent)&&function(e,n){for(;TD(e)&&56===e.operatorToken.kind;){if(ok(e.right,(function e(t){if(tN(t)){const e=Xz(t);if(e&&e===n)return!0}return ok(t,e)})))return!0;e=e.parent}return!1}(e.parent,d)||d&&t&&function(e,n,t,r){return!!ok(n,(function n(o){if(tN(o)){const n=Xz(o);if(n&&n===r){if(tN(e)||tN(t)&&TD(t.parent))return!0;let n=t.parent,r=o.parent;for(;n&&r;){if(tN(n)&&tN(r)||110===n.kind&&110===r.kind)return Xz(n)===Xz(r);if(lD(n)&&lD(r)){if(Xz(n.name)!==Xz(r.name))return!1;r=r.expression,n=n.expression}else{if(!dD(n)||!dD(r))return!1;r=r.expression,n=n.expression}}}}return ok(o,n)}))}(e,t,c,d);u||(l?Ni(o,!0,Oa.This_condition_will_always_return_true_since_this_0_is_always_defined,sl(i)):Ai(o,Oa.This_condition_will_always_return_true_since_this_function_is_always_defined_Did_you_mean_to_call_it_instead))}K&&r(e,t)}function KF(e,n){return 16384&e.flags&&Ai(n,Oa.An_expression_of_type_void_cannot_be_tested_for_truthiness),e}function qF(e,n){return KF(bO(e,n),e)}function JF(e){cB(e);const n=MP(bO(e.expression));if(261===e.initializer.kind){const n=e.initializer.declarations[0];n&&Vd(n.name)&&Ai(n.name,Oa.The_left_hand_side_of_a_for_in_statement_cannot_be_a_destructuring_pattern),VF(e.initializer)}else{const t=e.initializer,r=bO(t);209===t.kind||210===t.kind?Ai(t,Oa.The_left_hand_side_of_a_for_in_statement_cannot_be_a_destructuring_pattern):KS(function(e){const n=Yv(Jv(e));return 131072&n.flags?Vn:n}(n),r)?Lw(t,Oa.The_left_hand_side_of_a_for_in_statement_must_be_a_variable_or_a_property_access,Oa.The_left_hand_side_of_a_for_in_statement_may_not_be_an_optional_property_access):Ai(t,Oa.The_left_hand_side_of_a_for_in_statement_must_be_of_type_string_or_any)}n!==ot&&zw(n,126091264)||Ai(e.expression,Oa.The_right_hand_side_of_a_for_in_statement_must_be_of_type_any_an_object_type_or_a_type_parameter_but_here_has_type_0,il(n)),gz(e.statement),e.locals&&_F(e)}function XF(e){return YF(e.awaitModifier?15:13,DP(e.expression),On,e.expression)}function YF(e,n,t,r){return zl(n)?n:$F(e,n,t,r,!0)||xn}function $F(e,n,t,r,o){const i=!!(2&e);if(n===ot)return void uW(r,n,i);const a=R>=2,s=!a&&A.downlevelIteration,l=A.noUncheckedIndexedAccess&&!!(128&e);if(a||s||i){const i=rW(n,e,a?r:void 0);if(o&&i){const n=8&e?Oa.Cannot_iterate_value_because_the_next_method_of_its_iterator_expects_type_1_but_for_of_will_always_send_0:32&e?Oa.Cannot_iterate_value_because_the_next_method_of_its_iterator_expects_type_1_but_array_spread_will_always_send_0:64&e?Oa.Cannot_iterate_value_because_the_next_method_of_its_iterator_expects_type_1_but_array_destructuring_will_always_send_0:16&e?Oa.Cannot_delegate_iteration_to_value_because_the_next_method_of_its_iterator_expects_type_1_but_the_containing_generator_will_always_send_0:void 0;n&&YS(t,i.nextType,r,n)}if(i||a)return l?SI(i&&i.yieldType):i&&i.yieldType}let c=n,d=!1,u=!1;if(4&e){if(1048576&c.flags){const e=n.types,t=W(e,(e=>!(402653316&e.flags)));t!==e&&(c=mv(t,2))}else 402653316&c.flags&&(c=ot);if(u=c!==n,u&&(R<1&&r&&(Ai(r,Oa.Using_a_string_in_a_for_of_statement_is_only_supported_in_ECMAScript_5_and_higher),d=!0),131072&c.flags))return l?SI(Vn):Vn}if(!_x(c)){if(r&&!d){const t=!!(4&e)&&!u,[o,i]=function(t,r){var o;if(r)return t?[Oa.Type_0_is_not_an_array_type_or_a_string_type_or_does_not_have_a_Symbol_iterator_method_that_returns_an_iterator,!0]:[Oa.Type_0_is_not_an_array_type_or_does_not_have_a_Symbol_iterator_method_that_returns_an_iterator,!0];if(QF(e,0,n,void 0))return[Oa.Type_0_can_only_be_iterated_through_when_using_the_downlevelIteration_flag_or_with_a_target_of_es2015_or_higher,!1];if(function(e){switch(e){case"Float32Array":case"Float64Array":case"Int16Array":case"Int32Array":case"Int8Array":case"NodeList":case"Uint16Array":case"Uint32Array":case"Uint8Array":case"Uint8ClampedArray":return!0}return!1}(null==(o=n.symbol)?void 0:o.escapedName))return[Oa.Type_0_can_only_be_iterated_through_when_using_the_downlevelIteration_flag_or_with_a_target_of_es2015_or_higher,!0];return t?[Oa.Type_0_is_not_an_array_type_or_a_string_type,!0]:[Oa.Type_0_is_not_an_array_type,!0]}(t,s);Ni(r,i&&!!KO(c),o,il(c))}return u?l?SI(Vn):Vn:void 0}const p=Jf(c,Un);return u&&p?402653316&p.flags&&!A.noUncheckedIndexedAccess?Vn:mv(l?[p,Vn,On]:[p,Vn],2):128&e?SI(p):p}function QF(e,n,t,r){if(zl(t))return;const o=rW(t,e,r);return o&&o[Qz(n)]}function ZF(e=ot,n=ot,t=Ln){if(67359327&e.flags&&180227&n.flags&&180227&t.flags){const r=s_([e,n,t]);let o=uo.get(r);return o||(o={yieldType:e,returnType:n,nextType:t},uo.set(r,o)),o}return{yieldType:e,returnType:n,nextType:t}}function eW(e){let n,t,r;for(const o of e)if(void 0!==o&&o!==po){if(o===fo)return fo;n=ye(n,o.yieldType),t=ye(t,o.returnType),r=ye(r,o.nextType)}return n||t||r?ZF(n&&mv(n),t&&mv(t),r&&Nv(r)):po}function nW(e,n){return e[n]}function tW(e,n,t){return e[n]=t}function rW(e,n,t){var r,o;if(zl(e))return fo;if(!(1048576&e.flags)){const o=t?{errors:void 0}:void 0,i=iW(e,n,t,o);if(i===po){if(t){const r=uW(t,e,!!(2&n));(null==o?void 0:o.errors)&&xx(r,...o.errors)}return}if(null==(r=null==o?void 0:o.errors)?void 0:r.length)for(const e of o.errors)si.add(e);return i}const i=2&n?"iterationTypesOfAsyncIterable":"iterationTypesOfIterable",a=nW(e,i);if(a)return a===po?void 0:a;let s;for(const r of e.types){const a=t?{errors:void 0}:void 0,l=iW(r,n,t,a);if(l===po){if(t){const r=uW(t,e,!!(2&n));(null==a?void 0:a.errors)&&xx(r,...a.errors)}return void tW(e,i,po)}if(null==(o=null==a?void 0:a.errors)?void 0:o.length)for(const e of a.errors)si.add(e);s=ye(s,l)}const l=s?eW(s):po;return tW(e,i,l),l===po?void 0:l}function oW(e,n){if(e===po)return po;if(e===fo)return fo;const{yieldType:t,returnType:r,nextType:o}=e;return n&&jg(!0),ZF(eF(t,n)||xn,eF(r,n)||xn,o)}function iW(e,n,t,r){if(zl(e))return fo;let o=!1;if(2&n){const r=aW(e,ho)||lW(e,ho);if(r){if(r!==po||!t)return 8&n?oW(r,t):r;o=!0}}if(1&n){let r=aW(e,go)||lW(e,go);if(r)if(r===po&&t)o=!0;else{if(!(2&n))return r;if(r!==po)return r=oW(r,t),o?r:tW(e,"iterationTypesOfAsyncIterable",r)}}if(2&n){const n=dW(e,ho,t,r,o);if(n!==po)return n}if(1&n){let i=dW(e,go,t,r,o);if(i!==po)return 2&n?(i=oW(i,t),o?i:tW(e,"iterationTypesOfAsyncIterable",i)):i}return po}function aW(e,n){return nW(e,n.iterableCacheKey)}function sW(e,n){const t=aW(e,n)||dW(e,n,void 0,void 0,!1);return t===po?_o:t}function lW(e,n){let t;if(dd(e,t=n.getGlobalIterableType(!1))||dd(e,t=n.getGlobalIterableIteratorType(!1))){const[r]=D_(e),{returnType:o,nextType:i}=sW(t,n);return tW(e,n.iterableCacheKey,ZF(n.resolveIterationType(r,void 0)||r,n.resolveIterationType(o,void 0)||o,i))}if(dd(e,n.getGlobalGeneratorType(!1))){const[t,r,o]=D_(e);return tW(e,n.iterableCacheKey,ZF(n.resolveIterationType(t,void 0)||t,n.resolveIterationType(r,void 0)||r,o))}}function cW(e){const n=Tg(!1),t=n&&Ol(sd(n),Ml(e));return t&&xA(t)?AA(t):`__@${e}`}function dW(e,n,t,r,o){const i=Lf(e,cW(n.iteratorSymbolName)),a=!i||16777216&i.flags?void 0:sd(i);if(zl(a))return o?fo:tW(e,n.iterableCacheKey,fo);const s=a?wf(a,0):void 0;if(!oe(s))return o?po:tW(e,n.iterableCacheKey,po);const l=pW(Nv(B(s,bm)),n,t,r,o)??po;return o?l:tW(e,n.iterableCacheKey,l)}function uW(e,n,t){const r=t?Oa.Type_0_must_have_a_Symbol_asyncIterator_method_that_returns_an_async_iterator:Oa.Type_0_must_have_a_Symbol_iterator_method_that_returns_an_iterator;return Ni(e,!!KO(n)||!t&&XD(e.parent)&&e.parent.expression===e&&kg(!1)!==Ot&&KS(n,kg(!1)),r,il(n))}function pW(e,n,t,r,o){if(zl(e))return fo;let i=fW(e,n)||function(e,n){const t=n.getGlobalIterableIteratorType(!1);if(dd(e,t)){const[r]=D_(e),o=fW(t,n)||vW(t,n,void 0,void 0,!1),{returnType:i,nextType:a}=o===po?_o:o;return tW(e,n.iteratorCacheKey,ZF(r,i,a))}if(dd(e,n.getGlobalIteratorType(!1))||dd(e,n.getGlobalGeneratorType(!1))){const[t,r,o]=D_(e);return tW(e,n.iteratorCacheKey,ZF(t,r,o))}}(e,n);return i===po&&t&&(i=void 0,o=!0),i??(i=vW(e,n,t,r,o)),i===po?void 0:i}function fW(e,n){return nW(e,n.iteratorCacheKey)}function mW(e,n){const t=Ol(e,"done")||Kn;return KS(0===n?Kn:Yn,t)}function _W(e){return mW(e,0)}function hW(e){return mW(e,1)}function gW(e){if(zl(e))return fo;const n=nW(e,"iterationTypesOfIteratorResult");if(n)return n;if(dd(e,(t=!1,Ar||(Ar=tg("IteratorYieldResult",1,t))||Ot))){return tW(e,"iterationTypesOfIteratorResult",ZF(D_(e)[0],void 0,void 0))}var t;if(dd(e,function(e){return Rr||(Rr=tg("IteratorReturnResult",1,e))||Ot}(!1))){return tW(e,"iterationTypesOfIteratorResult",ZF(void 0,D_(e)[0],void 0))}const r=GI(e,_W),o=r!==ot?Ol(r,"value"):void 0,i=GI(e,hW),a=i!==ot?Ol(i,"value"):void 0;return tW(e,"iterationTypesOfIteratorResult",o||a?ZF(o,a||tt,void 0):po)}function yW(e,n,t,r,i){var a,s,l,c;const d=Lf(e,t);if(!d&&"next"!==t)return;const u=!d||"next"===t&&16777216&d.flags?void 0:"next"===t?sd(d):hI(sd(d),2097152);if(zl(u))return"next"===t?fo:mo;const p=u?wf(u,0):o;if(0===p.length){if(r){const e="next"===t?n.mustHaveANextMethodDiagnostic:n.mustBeAMethodDiagnostic;i?(i.errors??(i.errors=[]),i.errors.push(d_(r,e,t))):Ai(r,e,t)}return"next"===t?po:void 0}if((null==u?void 0:u.symbol)&&1===p.length){const e=n.getGlobalGeneratorType(!1),r=n.getGlobalIteratorType(!1),o=(null==(s=null==(a=e.symbol)?void 0:a.members)?void 0:s.get(t))===u.symbol,i=!o&&(null==(c=null==(l=r.symbol)?void 0:l.members)?void 0:c.get(t))===u.symbol;if(o||i){const n=o?e:r,{mapper:i}=u;return ZF(nS(n.typeParameters[0],i),nS(n.typeParameters[1],i),"next"===t?nS(n.typeParameters[2],i):void 0)}}let f,m,_,h,g;for(const e of p)"throw"!==t&&oe(e.parameters)&&(f=ye(f,Hk(e,0))),m=ye(m,bm(e));if("throw"!==t){const e=f?mv(f):Ln;if("next"===t)h=e;else if("return"===t){_=ye(_,n.resolveIterationType(e,r)||xn)}}const y=m?Nv(m):ot,v=gW(n.resolveIterationType(y,r)||xn);return v===po?(r&&(i?(i.errors??(i.errors=[]),i.errors.push(d_(r,n.mustHaveAValueDiagnostic,t))):Ai(r,n.mustHaveAValueDiagnostic,t)),g=xn,_=ye(_,xn)):(g=v.yieldType,_=ye(_,v.returnType)),ZF(g,mv(_),h)}function vW(e,n,t,r,o){const i=eW([yW(e,n,"next",t,r),yW(e,n,"return",t,r),yW(e,n,"throw",t,r)]);return o?i:tW(e,n.iteratorCacheKey,i)}function bW(e,n,t){if(zl(n))return;const r=EW(n,t);return r&&r[Qz(e)]}function EW(e,n){if(zl(e))return fo;const t=n?ho:go;return rW(e,n?2:1,void 0)||function(e,n,t,r){return pW(e,n,t,r,!1)}(e,t,void 0,void 0)}function SW(e){xB(e)||function(e){let n=e;for(;n;){if(xd(n))return SB(e,Oa.Jump_target_cannot_cross_function_boundary);switch(n.kind){case 256:if(e.label&&n.label.escapedText===e.label.escapedText){return!!(251===e.kind&&!mu(n.statement,!0))&&SB(e,Oa.A_continue_statement_can_only_jump_to_a_label_of_an_enclosing_iteration_statement)}break;case 255:if(252===e.kind&&!e.label)return!1;break;default:if(mu(n,!1)&&!e.label)return!1}n=n.parent}if(e.label){return SB(e,252===e.kind?Oa.A_break_statement_can_only_jump_to_a_label_of_an_enclosing_statement:Oa.A_continue_statement_can_only_jump_to_a_label_of_an_enclosing_iteration_statement)}SB(e,252===e.kind?Oa.A_break_statement_can_only_be_used_within_an_enclosing_iteration_or_switch_statement:Oa.A_continue_statement_can_only_be_used_within_an_enclosing_iteration_statement)}(e)}function TW(e,n){const t=!!(2&n);if(!!(1&n)){const n=bW(1,e,t);return n?t?nF($O(n)):n:Nn}return t?nF(e)||Nn:e}function xW(e,n){const t=TW(n,Zy(e));return!(!t||!(Ww(t,16384)||32769&t.flags))}function AW(e){xB(e)||tN(e.expression)&&!e.expression.escapedText&&function(e,n,...t){const r=$f(e);if(!vB(r)){const o=b_(r,e.pos);return si.add(iT(r,Qs(o),0,n,...t)),!0}}(e,Oa.Line_break_not_permitted_here),e.expression&&bO(e.expression)}function RW(e,n,t){const r=Kf(e);if(0===r.length)return;for(const n of zp(e))t&&4194304&n.flags||IW(e,n,Gv(n,8576,!0),cd(n));const o=n.valueDeclaration;if(o&&Md(o))for(const n of o.members)if(!jb(n)&&!Au(n)){const t=ps(n);IW(e,t,gO(n.name.expression),cd(t))}if(r.length>1)for(const n of r)NW(e,n)}function IW(e,n,t,r){const o=n.valueDeclaration,i=jl(o);if(i&&rN(i))return;const a=Xf(e,t),s=2&IS(e)?Df(e.symbol,264):void 0,l=o&&226===o.kind||i&&167===i.kind?o:void 0,c=ms(n)===e.symbol?o:void 0;for(const t of a){const o=t.declaration&&ms(ps(t.declaration))===e.symbol?t.declaration:void 0,i=c||o||(s&&!oe(jd(e),(e=>!!Gp(e,n.escapedName)&&!!Jf(e,t.keyType)))?s:void 0);if(i&&!KS(r,t.type)){const e=xi(i,Oa.Property_0_of_type_1_is_not_assignable_to_2_index_type_3,rl(n),il(r),il(t.keyType),il(t.type));l&&i!==l&&xx(e,d_(l,Oa._0_is_declared_here,rl(n))),si.add(e)}}}function NW(e,n){const t=n.declaration,r=Xf(e,n.keyType),o=2&IS(e)?Df(e.symbol,264):void 0,i=t&&ms(ps(t))===e.symbol?t:void 0;for(const t of r){if(t===n)continue;const r=t.declaration&&ms(ps(t.declaration))===e.symbol?t.declaration:void 0,a=i||r||(o&&!oe(jd(e),(e=>!!qf(e,n.keyType)&&!!Jf(e,t.keyType)))?o:void 0);a&&!KS(n.type,t.type)&&Ai(a,Oa._0_index_type_1_is_not_assignable_to_2_index_type_3,il(n.keyType),il(n.type),il(t.keyType),il(t.type))}}function DW(e,n){switch(e.escapedText){case"any":case"unknown":case"never":case"number":case"bigint":case"boolean":case"string":case"symbol":case"void":case"object":Ai(e,n,e.escapedText)}}function MW(e){let n=!1;if(e)for(let n=0;n<e.length;n++){const r=e[n];EO(r),l(t(r,n))}function t(t,r){return()=>{t.default?(n=!0,function(e,n,t){function r(e){if(183===e.kind){const r=mh(e);if(262144&r.flags)for(let o=t;o<n.length;o++)r.symbol===ps(n[o])&&Ai(e,Oa.Type_parameter_defaults_can_only_reference_previously_declared_type_parameters)}ok(e,r)}r(e)}(t.default,e,r)):n&&Ai(t,Oa.Required_type_parameters_may_not_follow_optional_type_parameters);for(let n=0;n<r;n++)e[n].symbol===t.symbol&&Ai(t.name,Oa.Duplicate_identifier_0,o_(t.name))}}}function PW(e){if(e.declarations&&1===e.declarations.length)return;const n=Ui(e);if(!n.typeParametersChecked){n.typeParametersChecked=!0;const t=function(e){return W(e.declarations,(e=>263===e.kind||264===e.kind))}(e);if(!t||t.length<=1)return;if(!LW(t,ou(e).localTypeParameters,Nc)){const n=rl(e);for(const e of t)Ai(e.name,Oa.All_declarations_of_0_must_have_identical_type_parameters,n)}}}function LW(e,n,t){const r=b(n),o=dm(n);for(const i of e){const e=t(i),a=e.length;if(a<o||a>r)return!1;for(let t=0;t<a;t++){const r=e[t],o=n[t];if(r.name.escapedText!==o.symbol.escapedName)return!1;const i=Dc(r),a=i&&JE(i),s=Yp(o);if(a&&s&&!GS(a,s))return!1;const l=r.default&&JE(r.default),c=ff(o);if(l&&c&&!GS(l,c))return!1}}return!0}function kW(e){const n=!L&&R<99&&Oh(!1,e),t=R<=9,r=!z;if(n||t)for(const o of e.members){if(n&&Fh(!1,o,e))return De(Ul(e))??e;if(t){if(RN(o))return o;if(jb(o)&&(md(o)||r&&oB(o)))return o}}}function wW(e){!function(e){const n=$f(e);(function(e){let n=!1,t=!1;if(!JG(e)&&e.heritageClauses)for(const r of e.heritageClauses){if(96===r.token){if(n)return bB(r,Oa.extends_clause_already_seen);if(t)return bB(r,Oa.extends_clause_must_precede_implements_clause);if(r.types.length>1)return bB(r.types[1],Oa.Classes_can_only_extend_a_single_class);n=!0}else{if(Tt.assert(119===r.token),t)return bB(r,Oa.implements_clause_already_seen);t=!0}tB(r)}})(e)||QG(e.typeParameters,n)}(e),pF(e),OF(e,e.name),MW(Nc(e)),HO(e);const n=ps(e),t=ou(n),r=ku(t),o=sd(n);PW(n),UO(n),function(e){const n=new Map,t=new Map,r=new Map;for(const i of e.members)if(176===i.kind)for(const e of i.parameters)gl(e,i)&&!Vd(e.name)&&o(n,e.name,e.name.escapedText,3);else{const e=jb(i),a=i.name;if(!a)continue;const s=rN(a),l=s&&e?16:0,c=s?r:e?t:n,d=a&&NB(a);if(d)switch(i.kind){case 177:o(c,a,d,1|l);break;case 178:o(c,a,d,2|l);break;case 172:o(c,a,d,3|l);break;case 174:o(c,a,d,8|l)}}function o(e,n,t,r){const o=e.get(t);if(o)if((16&o)!=(16&r))Ai(n,Oa.Duplicate_identifier_0_Static_and_instance_elements_cannot_share_the_same_private_name,xm(n));else{const i=!!(8&o),a=!!(8&r);i||a?i!==a&&Ai(n,Oa.Duplicate_identifier_0,xm(n)):o&r&-17?Ai(n,Oa.Duplicate_identifier_0,xm(n)):e.set(t,o|r)}else e.set(t,r)}}(e);!!(33554432&e.flags)||function(e){for(const n of e.members){const t=n.name;if(jb(n)&&t){const n=NB(t);switch(n){case"name":case"length":case"caller":case"arguments":if(O)break;case"prototype":Ai(t,Oa.Static_property_0_conflicts_with_built_in_property_Function_0_of_constructor_function_1,n,hl(ps(e)))}}}}(e);const i=Oy(e);if(i){E(i.typeArguments,gz),R<2&&KG(i.parent,1);const n=Fy(e);n&&n!==i&&bO(n.expression);const a=jd(t);a.length&&l((()=>{const n=a[0],s=Wd(t),l=yf(s);if(function(e,n){const t=wf(e,1);if(t.length){const r=t[0].declaration;if(r&&Gb(r,2)){kz(n,RS(e.symbol))||Ai(n,Oa.Cannot_extend_a_class_0_Class_constructor_is_marked_as_private,Ka(e.symbol))}}}(l,i),gz(i.expression),oe(i.typeArguments)){E(i.typeArguments,gz);for(const e of Od(l,i.typeArguments,i))if(!wO(i,e.typeParameters))break}const c=ku(n,t.thisType);if(YS(r,c,void 0)?YS(o,WS(l),e.name||e,Oa.Class_static_side_0_incorrectly_extends_base_class_static_side_1):WW(e,r,c,Oa.Class_0_incorrectly_extends_base_class_1),8650752&s.flags)if(Id(o)){wf(s,1).some((e=>4&e.flags))&&!Bb(e,64)&&Ai(e.name||e,Oa.A_mixin_class_that_extends_from_a_type_variable_containing_an_abstract_construct_signature_must_also_be_declared_abstract)}else Ai(e.name||e,Oa.A_mixin_class_must_have_a_constructor_with_a_single_rest_parameter_of_type_any);if(!(l.symbol&&32&l.symbol.flags||8650752&s.flags)){E(Fd(l,i.typeArguments,i),(e=>!gk(e.declaration)&&!GS(bm(e),n)))&&Ai(i.expression,Oa.Base_constructors_must_all_have_the_same_return_type)}!function(e,n){var t,r,o,i;const a=Hp(n);let s;e:for(const l of a){const a=GW(l);if(4194304&a.flags)continue;const c=Gp(e,a.escapedName);if(!c)continue;const d=GW(c),u=_S(a);if(Tt.assert(!!d,"derived should point to something, even if it is the base class' declaration."),d===a){const t=RS(e.symbol);if(64&u&&(!t||!Bb(t,64))){for(const t of jd(e)){if(t===n)continue;const e=Gp(t,a.escapedName),r=e&&GW(e);if(r&&r!==a)continue e}s||(s=Ai(t,Oa.Non_abstract_class_0_does_not_implement_all_abstract_members_of_1,il(e),il(n))),231===t.kind?xx(s,d_(l.valueDeclaration??(l.declarations&&Me(l.declarations))??t,Oa.Non_abstract_class_expression_does_not_implement_inherited_abstract_member_0_from_class_1,rl(l),il(n))):xx(s,d_(l.valueDeclaration??(l.declarations&&Me(l.declarations))??t,Oa.Non_abstract_class_0_does_not_implement_inherited_abstract_member_1_from_class_2,il(e),rl(l),il(n)))}}else{const s=_S(d);if(2&u||2&s)continue;let l;const c=98308&a.flags,p=98308&d.flags;if(c&&p){if((6&mS(a)?null==(t=a.declarations)?void 0:t.some((e=>BW(e,u))):null==(r=a.declarations)?void 0:r.every((e=>BW(e,u))))||262144&mS(a)||d.valueDeclaration&&TD(d.valueDeclaration))continue;const l=4!==c&&4===p;if(l||4===c&&4!==p){const t=l?Oa._0_is_defined_as_an_accessor_in_class_1_but_is_overridden_here_in_2_as_an_instance_property:Oa._0_is_defined_as_a_property_in_class_1_but_is_overridden_here_in_2_as_an_accessor;Ai(jl(d.valueDeclaration)||d.valueDeclaration,t,rl(a),il(n),il(e))}else if(O){const t=null==(o=d.declarations)?void 0:o.find((e=>172===e.kind&&!e.initializer));if(t&&!(33554432&d.flags)&&!(64&u)&&!(64&s)&&!(null==(i=d.declarations)?void 0:i.some((e=>!!(33554432&e.flags))))){const r=As(RS(e.symbol)),o=t.name;if(t.exclamationToken||!r||!tN(o)||!K||!UW(o,e,r)){const e=Oa.Property_0_will_overwrite_the_base_property_in_1_If_this_is_intentional_add_an_initializer_Otherwise_add_a_declare_modifier_or_remove_the_redundant_declaration;Ai(jl(d.valueDeclaration)||d.valueDeclaration,e,rl(a),il(n))}}}continue}if(AP(a)){if(AP(d)||4&d.flags)continue;Tt.assert(!!(98304&d.flags)),l=Oa.Class_0_defines_instance_member_function_1_but_extended_class_2_defines_it_as_instance_member_accessor}else l=98304&a.flags?Oa.Class_0_defines_instance_member_accessor_1_but_extended_class_2_defines_it_as_instance_member_function:Oa.Class_0_defines_instance_member_property_1_but_extended_class_2_defines_it_as_instance_member_function;Ai(jl(d.valueDeclaration)||d.valueDeclaration,l,il(n),rl(a),il(e))}}}(t,n)}))}!function(e,n,t,r){const o=Oy(e),i=o&&jd(n),a=(null==i?void 0:i.length)?ku(Me(i),n.thisType):void 0,s=Wd(n);for(const o of e.members)Kb(o)||(IN(o)&&E(o.parameters,(i=>{gl(i,o)&&OW(e,r,s,a,n,t,i,!0)})),OW(e,r,s,a,n,t,o,!1))}(e,t,r,o);const a=Wy(e);if(a)for(const e of a)EE(e.expression)&&!wc(e.expression)||Ai(e.expression,Oa.A_class_can_only_implement_an_identifier_Slashqualified_name_with_optional_type_arguments),FO(e),l(s(e));function s(n){return()=>{const o=Tf(JE(n));if(!Bl(o))if(Kd(o)){const n=o.symbol&&32&o.symbol.flags?Oa.Class_0_incorrectly_implements_class_1_Did_you_mean_to_extend_1_and_inherit_its_members_as_a_subclass:Oa.Class_0_incorrectly_implements_interface_1,i=ku(o,t.thisType);YS(r,i,void 0)||WW(e,r,i,n)}else Ai(n,Oa.A_class_can_only_implement_an_object_type_or_intersection_of_object_types_with_statically_known_members)}}l((()=>{RW(t,n),RW(o,n,!0),IO(e),function(e){if(!K||!X||33554432&e.flags)return;const n=As(e);for(const t of e.members)if(!(128&Zb(t))&&!jb(t)&&jW(t)){const e=t.name;if(tN(e)||rN(e)||yN(e)){const r=sd(ps(t));3&r.flags||vT(r)||n&&UW(e,r,n)||Ai(t.name,Oa.Property_0_has_no_initializer_and_is_not_definitely_assigned_in_the_constructor,o_(e))}}}(e)}))}function OW(e,n,t,r,o,i,a,s,l=!0){const c=a.name&&Xz(a.name)||Xz(a);return c?FW(e,n,t,r,o,i,Ub(a),Hb(a),jb(a),s,wl(c),l?a:void 0):0}function FW(e,n,t,r,o,i,a,s,l,c,d,u){const p=Yh(e),f=!!(33554432&e.flags);if(r&&(a||A.noImplicitOverride)){const e=Ml(d),o=l?t:r,m=Lf(l?n:i,e),_=Lf(o,e),h=il(r);if(m&&!_&&a){if(u){const e=eL(d,o);e?Ai(u,p?Oa.This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_it_is_not_declared_in_the_base_class_0_Did_you_mean_1:Oa.This_member_cannot_have_an_override_modifier_because_it_is_not_declared_in_the_base_class_0_Did_you_mean_1,h,rl(e)):Ai(u,p?Oa.This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_it_is_not_declared_in_the_base_class_0:Oa.This_member_cannot_have_an_override_modifier_because_it_is_not_declared_in_the_base_class_0,h)}return 2}if(m&&(null==_?void 0:_.declarations)&&A.noImplicitOverride&&!f){const e=oe(_.declarations,Hb);if(a)return 0;if(!e){if(u){Ai(u,c?p?Oa.This_parameter_property_must_have_a_JSDoc_comment_with_an_override_tag_because_it_overrides_a_member_in_the_base_class_0:Oa.This_parameter_property_must_have_an_override_modifier_because_it_overrides_a_member_in_base_class_0:p?Oa.This_member_must_have_a_JSDoc_comment_with_an_override_tag_because_it_overrides_a_member_in_the_base_class_0:Oa.This_member_must_have_an_override_modifier_because_it_overrides_a_member_in_the_base_class_0,h)}return 1}if(s&&e)return u&&Ai(u,Oa.This_member_must_have_an_override_modifier_because_it_overrides_an_abstract_method_that_is_declared_in_the_base_class_0,h),1}}else if(a){if(u){const e=il(o);Ai(u,p?Oa.This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_its_containing_class_0_does_not_extend_another_class:Oa.This_member_cannot_have_an_override_modifier_because_its_containing_class_0_does_not_extend_another_class,e)}return 2}return 0}function WW(e,n,t,r){let o=!1;for(const r of e.members){if(jb(r))continue;const e=r.name&&Xz(r.name)||Xz(r);if(e){const i=Lf(n,e.escapedName),a=Lf(t,e.escapedName);if(i&&a){const s=()=>cT(void 0,Oa.Property_0_in_type_1_is_not_assignable_to_the_same_property_in_base_type_2,rl(e),il(n),il(t));YS(sd(i),sd(a),r.name||r,void 0,s)||(o=!0)}}}o||YS(n,t,e.name||e,r)}function GW(e){return 1&mS(e)?e.links.target:e}function BW(e,n){return 64&n&&(!TN(e)||!e.initializer)||cC(e.parent)}function jW(e){return 172===e.kind&&!Hb(e)&&!e.exclamationToken&&!e.initializer}function UW(e,n,t){const r=yN(e)?UA.createElementAccessExpression(UA.createThis(),e.expression):UA.createPropertyAccessExpression(UA.createThis(),e);Vx(r.expression,r),Vx(r,t),r.flowNode=t.returnFlowNode;return!vT(fN(r,n,LA(n)))}function HW(e){JG(e)||function(e){let n=!1;if(e.heritageClauses)for(const t of e.heritageClauses){if(96!==t.token)return Tt.assert(119===t.token),bB(t,Oa.Interface_declaration_cannot_have_implements_clause);if(n)return bB(t,Oa.extends_clause_already_seen);n=!0,tB(t)}}(e),MW(e.typeParameters),l((()=>{DW(e.name,Oa.Interface_name_cannot_be_0),HO(e);const n=ps(e);PW(n);const t=Df(n,264);if(e===t){const t=ou(n),r=ku(t);if(function(e,n){const t=jd(e);if(t.length<2)return!0;const r=new Map;E(Eu(e).declaredProperties,(n=>{r.set(n.escapedName,{prop:n,containingType:e})}));let o=!0;for(const i of t){const t=Hp(ku(i,e.thisType));for(const a of t){const t=r.get(a.escapedName);if(t){if(t.containingType!==e&&0===ix(t.prop,a,BS)){o=!1;const r=il(t.containingType),s=il(i);let l=cT(void 0,Oa.Named_property_0_of_types_1_and_2_are_not_identical,rl(a),r,s);l=cT(l,Oa.Interface_0_cannot_simultaneously_extend_types_1_and_2,il(e),r,s),si.add(f_($f(n),n,l))}}else r.set(a.escapedName,{prop:a,containingType:i})}}return o}(t,e.name)){for(const n of jd(t))YS(r,ku(n,t.thisType),e.name,Oa.Interface_0_incorrectly_extends_interface_1);RW(t,n)}}RO(e)})),E(Gy(e),(e=>{EE(e.expression)&&!wc(e.expression)||Ai(e.expression,Oa.An_interface_can_only_extend_an_identifier_Slashqualified_name_with_optional_type_arguments),FO(e)})),E(e.members,gz),l((()=>{IO(e),_F(e)}))}function KW(e){const n=Hi(e);if(!(1024&n.flags)){n.flags|=1024;let t=0;for(const n of e.members){const e=qW(n,t);Hi(n).enumMemberValue=e,t="number"==typeof e?e+1:void 0}}}function qW(e,n){if(a_(e.name))Ai(e.name,Oa.Computed_property_names_are_not_allowed_in_enums);else{const n=l_(e.name);tA(n)&&!Qx(n)&&Ai(e.name,Oa.An_enum_member_cannot_have_a_numeric_name)}return e.initializer?function(e){const n=A_(e.parent),t=e.initializer,r=JW(t,e);void 0!==r?n&&"number"==typeof r&&!isFinite(r)&&Ai(t,isNaN(r)?Oa.const_enum_member_initializer_was_evaluated_to_disallowed_value_NaN:Oa.const_enum_member_initializer_was_evaluated_to_a_non_finite_value):n?Ai(t,Oa.const_enum_member_initializers_must_be_constant_expressions):33554432&e.parent.flags?Ai(t,Oa.In_ambient_enum_declarations_member_initializer_must_be_constant_expression):YS(bO(t),Un,t,Oa.Type_0_is_not_assignable_to_type_1_as_required_for_computed_enum_member_values);return r}(e):33554432&e.parent.flags&&!A_(e.parent)?void 0:void 0!==n?n:void Ai(e.name,Oa.Enum_member_must_have_initializer)}function JW(e,n){switch(e.kind){case 224:const t=JW(e.operand,n);if("number"==typeof t)switch(e.operator){case 40:return t;case 41:return-t;case 55:return~t}break;case 226:const r=JW(e.left,n),o=JW(e.right,n);if("number"==typeof r&&"number"==typeof o)switch(e.operatorToken.kind){case 52:return r|o;case 51:return r&o;case 49:return r>>o;case 50:return r>>>o;case 48:return r<<o;case 53:return r^o;case 42:return r*o;case 44:return r/o;case 40:return r+o;case 41:return r-o;case 45:return r%o;case 43:return r**o}else if(!("string"!=typeof r&&"number"!=typeof r||"string"!=typeof o&&"number"!=typeof o||40!==e.operatorToken.kind))return""+r+o;break;case 11:case 15:return e.text;case 228:return $W(e,n);case 9:return AB(e),+e.text;case 217:return JW(e.expression,n);case 80:{const n=e;if(Qx(n.escapedText)&&qa(n,111551,!0)===Qh(n.escapedText,111551,void 0))return+n.escapedText}case 211:if(EE(e)){const t=qa(e,111551,!0);if(t){if(8&t.flags)return n?XW(e,t,n):DG(t.valueDeclaration);if(qN(t)){const e=t.valueDeclaration;if(e&&iC(e)&&!e.type&&e.initializer&&(!n||e!==n&&Xi(e,n)))return JW(e.initializer,e)}}}break;case 212:const i=e.expression;if(EE(i)&&tp(e.argumentExpression)){const t=qa(i,111551,!0);if(t&&384&t.flags){const r=Ml(e.argumentExpression.text),o=t.exports.get(r);if(o)return n?XW(e,o,n):DG(o.valueDeclaration)}}}}function XW(e,n,t){const r=n.valueDeclaration;if(r&&r!==t)return Xi(r,t)?DG(r):(Ai(e,Oa.A_member_initializer_in_a_enum_declaration_cannot_reference_members_declared_after_it_including_members_defined_in_other_enums),0);Ai(e,Oa.Property_0_is_used_before_being_assigned,rl(n))}function $W(e,n){let t=e.head.text;for(const r of e.templateSpans){const e=JW(r.expression,n);if(void 0===e)return;t+=e,t+=r.literal.text}return t}function QW(e){l((()=>function(e){JG(e),OF(e,e.name),HO(e),e.members.forEach(ZW),KW(e);const n=ps(e),t=Df(n,e.kind);if(e===t){if(n.declarations&&n.declarations.length>1){const t=A_(e);E(n.declarations,(e=>{uC(e)&&A_(e)!==t&&Ai(jl(e),Oa.Enum_declarations_must_all_be_const_or_non_const)}))}let t=!1;E(n.declarations,(e=>{if(266!==e.kind)return!1;const n=e;if(!n.members.length)return!1;const r=n.members[0];r.initializer||(t?Ai(r.name,Oa.In_an_enum_with_multiple_declarations_only_one_declaration_can_omit_an_initializer_for_its_first_enum_element):t=!0)}))}}(e)))}function ZW(e){rN(e.name)&&Ai(e,Oa.An_enum_member_cannot_be_named_with_a_private_identifier),e.initializer&&bO(e.initializer)}function ez(e){e.body&&(gz(e.body),Gm(e)||_F(e)),l((function(){var n,t;const r=Gm(e),o=33554432&e.flags;r&&!o&&Ai(e.name,Oa.Augmentations_for_the_global_scope_should_have_declare_modifier_unless_they_appear_in_already_ambient_context);const i=km(e),a=i?Oa.An_ambient_module_declaration_is_only_allowed_at_the_top_level_in_a_file:Oa.A_namespace_declaration_is_only_allowed_at_the_top_level_of_a_namespace_or_module;if(uz(e,a))return;JG(e)||o||11!==e.name.kind||SB(e.name,Oa.Only_ambient_modules_can_use_quoted_names);tN(e.name)&&OF(e,e.name);HO(e);const s=ps(e);if(512&s.flags&&!o&&qz(e,Zp(A))){if(Kp(A)&&!$f(e).externalModuleIndicator&&Ai(e.name,Oa.Namespaces_are_not_allowed_in_global_script_files_when_0_is_enabled_If_this_file_is_not_intended_to_be_a_global_script_set_moduleDetection_to_force_or_add_an_empty_export_statement,Re),(null==(n=s.declarations)?void 0:n.length)>1){const n=function(e){const n=e.declarations;if(n)for(const e of n)if((263===e.kind||262===e.kind&&am(e.body))&&!(33554432&e.flags))return e}(s);n&&($f(e)!==$f(n)?Ai(e.name,Oa.A_namespace_declaration_cannot_be_in_a_different_file_from_a_class_or_function_with_which_it_is_merged):e.pos<n.pos&&Ai(e.name,Oa.A_namespace_declaration_cannot_be_located_prior_to_a_class_or_function_with_which_it_is_merged));const t=Df(s,263);t&&function(e,n){const t=t_(e),r=t_(n);return Ki(t)?Ki(r):!Ki(r)&&t===r}(e,t)&&(Hi(e).flags|=2048)}if(A.verbatimModuleSyntax&&312===e.parent.kind&&(1===I||1===e.parent.impliedNodeFormat)){const n=null==(t=e.modifiers)?void 0:t.find((e=>95===e.kind));n&&Ai(n,Oa.A_top_level_export_modifier_cannot_be_used_on_value_declarations_in_a_CommonJS_module_when_verbatimModuleSyntax_is_enabled)}}if(i)if(Bm(e)){if((r||33554432&ps(e).flags)&&e.body)for(const n of e.body.statements)nz(n,r)}else Ki(e.parent)?r?Ai(e.name,Oa.Augmentations_for_the_global_scope_can_only_be_directly_nested_in_external_modules_or_ambient_module_declarations):Xs(sv(e.name))&&Ai(e.name,Oa.Ambient_module_declaration_cannot_specify_relative_module_name):Ai(e.name,r?Oa.Augmentations_for_the_global_scope_can_only_be_directly_nested_in_external_modules_or_ambient_module_declarations:Oa.Ambient_modules_cannot_be_nested_in_other_modules_or_namespaces)}))}function nz(e,n){switch(e.kind){case 243:for(const t of e.declarationList.declarations)nz(t,n);break;case 277:case 278:bB(e,Oa.Exports_and_export_assignments_are_not_permitted_in_module_augmentations);break;case 271:case 272:bB(e,Oa.Imports_are_not_permitted_in_module_augmentations_Consider_moving_them_to_the_enclosing_external_module);break;case 208:case 260:const t=e.name;if(Vd(t)){for(const e of t.elements)nz(e,n);break}case 263:case 266:case 262:case 264:case 267:case 265:if(n)return}}function tz(e){const n=Gg(e);if(!n||im(n))return!1;if(!zI(n))return Ai(n,Oa.String_literal_expected),!1;const t=268===e.parent.kind&&km(e.parent.parent);if(312!==e.parent.kind&&!t)return Ai(n,278===e.kind?Oa.Export_declarations_are_not_permitted_in_a_namespace:Oa.Import_declarations_in_a_namespace_cannot_reference_a_module),!1;if(t&&Xs(n.text)&&!fl(e))return Ai(e,Oa.Import_or_export_declaration_in_an_ambient_module_declaration_cannot_reference_module_through_relative_module_name),!1;if(!hC(e)&&e.attributes){const n=118===e.attributes.token?Oa.Import_attribute_values_must_be_string_literal_expressions:Oa.Import_assertion_values_must_be_string_literal_expressions;let t=!1;for(const r of e.attributes.elements)zI(r.value)||(t=!0,Ai(r.value,n));return!t}return!0}function rz(e){var n,t,r,o;let i=ps(e);const a=Wa(i);if(a!==vn){if(i=us(i.exportSymbol||i),Yh(e)&&!(111551&a.flags)&&!ld(e)){const s=id(e)?e.propertyName||e.name:Gl(e)?e.name:e;if(Tt.assert(280!==e.kind),281===e.kind){const o=Ai(s,Oa.Types_cannot_appear_in_export_declarations_in_JavaScript_files),i=null==(t=null==(n=$f(e).symbol)?void 0:n.exports)?void 0:t.get((e.propertyName||e.name).escapedText);if(i===a){const e=null==(r=i.declarations)?void 0:r.find(Uu);e&&xx(o,d_(e,Oa._0_is_automatically_exported_here,Pl(i.escapedName)))}}else{Tt.assert(260!==e.kind);const n=Nl(e,pt(gC,hC)),t=(n&&(null==(o=Fg(n))?void 0:o.text))??"...",r=Pl(tN(s)?s.escapedText:i.escapedName);Ai(s,Oa._0_is_a_type_and_cannot_be_imported_in_JavaScript_files_Use_1_in_a_JSDoc_type_annotation,r,`import("${t}").${r}`)}return}const s=za(a);if(s&((1160127&i.flags?111551:0)|(788968&i.flags?788968:0)|(1920&i.flags?1920:0))){Ai(e,281===e.kind?Oa.Export_declaration_conflicts_with_exported_declaration_of_0:Oa.Import_declaration_conflicts_with_local_declaration_of_0,rl(i))}else if(281!==e.kind){A.isolatedModules&&!Nl(e,ld)&&1160127&i.flags&&Ai(e,Oa.Import_0_conflicts_with_local_value_so_must_be_declared_with_a_type_only_import_when_isolatedModules_is_enabled,rl(i),Re)}if(Kp(A)&&!ld(e)&&!(33554432&e.flags)){const n=ja(i),t=!(111551&s);if(t||n)switch(e.kind){case 273:case 276:case 271:if(A.preserveValueImports||A.verbatimModuleSyntax){Tt.assertIsDefined(e.name,"An ImportClause with a symbol should have a name");const r=A.verbatimModuleSyntax&&qh(e)?Oa.An_import_alias_cannot_resolve_to_a_type_or_type_only_declaration_when_verbatimModuleSyntax_is_enabled:t?A.verbatimModuleSyntax?Oa._0_is_a_type_and_must_be_imported_using_a_type_only_import_when_verbatimModuleSyntax_is_enabled:Oa._0_is_a_type_and_must_be_imported_using_a_type_only_import_when_preserveValueImports_and_isolatedModules_are_both_enabled:A.verbatimModuleSyntax?Oa._0_resolves_to_a_type_only_declaration_and_must_be_imported_using_a_type_only_import_when_verbatimModuleSyntax_is_enabled:Oa._0_resolves_to_a_type_only_declaration_and_must_be_imported_using_a_type_only_import_when_preserveValueImports_and_isolatedModules_are_both_enabled,o=Ll(276===e.kind&&e.propertyName||e.name);oa(Ai(e,r,o),t?void 0:n,o)}t&&271===e.kind&&Gb(e,32)&&Ai(e,Oa.Cannot_use_export_import_on_a_type_or_type_only_namespace_when_0_is_enabled,Re);break;case 281:if(A.verbatimModuleSyntax||$f(n)!==$f(e)){const r=Ll(e.propertyName||e.name);oa(t?Ai(e,Oa.Re_exporting_a_type_when_0_is_enabled_requires_using_export_type,Re):Ai(e,Oa._0_resolves_to_a_type_only_declaration_and_must_be_re_exported_using_a_type_only_re_export_when_1_is_enabled,r,Re),t?void 0:n,r);break}}!A.verbatimModuleSyntax||271===e.kind||Yh(e)||1!==I&&1!==$f(e).impliedNodeFormat||Ai(e,Oa.ESM_syntax_is_not_allowed_in_a_CommonJS_module_when_verbatimModuleSyntax_is_enabled)}if(IC(e)){const n=oz(i,e);Ci(n)&&n.declarations&&Pi(e,n.declarations,n.escapedName)}}}function oz(e,n){if(!(2097152&e.flags)||Ci(e)||!ha(e))return e;const t=Wa(e);if(t===vn)return t;for(;2097152&e.flags;){const r=jM(e);if(!r)break;if(r===t)break;if(r.declarations&&b(r.declarations)){if(Ci(r)){Pi(n,r.declarations,r.escapedName);break}if(e===t)break;e=r}}return t}function iz(e){OF(e,e.name),rz(e),276===e.kind&&"default"===Ll(e.propertyName||e.name)&&qp(A)&&4!==I&&(I<5||1===$f(e).impliedNodeFormat)&&KG(e,131072)}function sz(e){var n;const t=e.attributes;if(t){const r=gg(!0);r!==Ct&&YS(Pc(t),PA(r,32768),t);const o=jU(e),i=HU(t,o?SB:void 0),a=118===e.attributes.token;if(o&&i)return;if(99!==(199===I&&e.moduleSpecifier&&Sa(e.moduleSpecifier))&&99!==I&&200!==I){return SB(t,a?199===I?Oa.Import_attributes_are_not_allowed_on_statements_that_compile_to_CommonJS_require_calls:Oa.Import_attributes_are_only_supported_when_the_module_option_is_set_to_esnext_nodenext_or_preserve:199===I?Oa.Import_assertions_are_not_allowed_on_statements_that_compile_to_CommonJS_require_calls:Oa.Import_assertions_are_only_supported_when_the_module_option_is_set_to_esnext_nodenext_or_preserve)}if(gC(e)?null==(n=e.importClause)?void 0:n.isTypeOnly:e.isTypeOnly)return SB(t,a?Oa.Import_attributes_cannot_be_used_with_type_only_imports_or_exports:Oa.Import_assertions_cannot_be_used_with_type_only_imports_or_exports);if(i)return SB(t,Oa.resolution_mode_can_only_be_set_for_type_only_imports)}}function lz(e){if(!uz(e,Yh(e)?Oa.An_import_declaration_can_only_be_used_at_the_top_level_of_a_module:Oa.An_import_declaration_can_only_be_used_at_the_top_level_of_a_namespace_or_module)){if(!JG(e)&&Wb(e)&&bB(e,Oa.An_import_declaration_cannot_have_modifiers),tz(e)){const n=e.importClause;if(n&&!function(e){var n;if(e.isTypeOnly&&e.name&&e.namedBindings)return SB(e,Oa.A_type_only_import_can_specify_a_default_import_or_named_bindings_but_not_both);if(e.isTypeOnly&&275===(null==(n=e.namedBindings)?void 0:n.kind))return RB(e.namedBindings);return!1}(n)&&(n.name&&iz(n),n.namedBindings))if(274===n.namedBindings.kind)iz(n.namedBindings),4!==I&&(I<5||1===$f(e).impliedNodeFormat)&&qp(A)&&KG(e,65536);else{Xa(e,e.moduleSpecifier)&&E(n.namedBindings.elements,iz)}}sz(e)}}function cz(e){if(!uz(e,Yh(e)?Oa.An_export_declaration_can_only_be_used_at_the_top_level_of_a_module:Oa.An_export_declaration_can_only_be_used_at_the_top_level_of_a_namespace_or_module)){if(!JG(e)&&zb(e)&&bB(e,Oa.An_export_declaration_cannot_have_modifiers),e.moduleSpecifier&&e.exportClause&&CC(e.exportClause)&&b(e.exportClause.elements)&&0===R&&KG(e,4194304),function(e){var n;if(e.isTypeOnly&&279===(null==(n=e.exportClause)?void 0:n.kind))return RB(e.exportClause)}(e),!e.moduleSpecifier||tz(e))if(e.exportClause&&!AC(e.exportClause)){E(e.exportClause.elements,mz);const n=268===e.parent.kind&&km(e.parent.parent),t=!n&&268===e.parent.kind&&!e.moduleSpecifier&&33554432&e.flags;312===e.parent.kind||n||t||Ai(e,Oa.Export_declarations_are_not_permitted_in_a_namespace)}else{const n=Xa(e,e.moduleSpecifier);n&&ts(n)?Ai(e.moduleSpecifier,Oa.Module_0_uses_export_and_cannot_be_used_with_export_Asterisk,rl(n)):e.exportClause&&rz(e.exportClause),4!==I&&(I<5||1===$f(e).impliedNodeFormat)&&(e.exportClause?qp(A)&&KG(e,65536):KG(e,32768))}sz(e)}}function uz(e,n){const t=312===e.parent.kind||268===e.parent.kind||267===e.parent.kind;return t||bB(e,n),!t}function pz(e){return gC(e)&&e.importClause&&!e.importClause.isTypeOnly&&Vg(e.importClause,(e=>!!ps(e).isReferenced))&&!SG(e.importClause,!0)&&!function(e){return Vg(e,(e=>!!Ui(ps(e)).constEnumReferenced))}(e.importClause)}function fz(e){return hC(e)&&wC(e.moduleReference)&&!e.isTypeOnly&&ps(e).isReferenced&&!SG(e,!1)&&!Ui(ps(e)).constEnumReferenced}function mz(e){if(rz(e),Qp(A)&&vl(e.propertyName||e.name,!0),e.parent.parent.moduleSpecifier)qp(A)&&4!==I&&(I<5||1===$f(e).impliedNodeFormat)&&"default"===Ll(e.propertyName||e.name)&&KG(e,131072);else{const n=e.propertyName||e.name,t=na(n,n.escapedText,2998271,void 0,void 0,!0);if(t&&(t===me||t===_e||t.declarations&&Ki(Dl(t.declarations[0]))))Ai(n,Oa.Cannot_export_0_Only_local_declarations_can_be_exported_from_a_module,Ll(n));else{e.isTypeOnly||e.parent.parent.isTypeOnly||Va(e);const n=t&&(2097152&t.flags?Wa(t):t);(!n||111551&za(n))&&nO(e.propertyName||e.name)}}}function _z(e){const n=ps(e),t=Ui(n);if(!t.exportsChecked){const e=n.exports.get("export=");if(e&&function(e){return Wf(e.exports,((e,n)=>"export="!==n))}(n)){const n=ha(e)||e.valueDeclaration;!n||fl(n)||Yh(n)||Ai(n,Oa.An_export_assignment_cannot_be_used_in_a_module_with_other_exported_elements)}const r=ls(n);r&&r.forEach((({declarations:e,flags:n},t)=>{if("__export"===t)return;if(1920&n)return;const r=F(e,ut(Wz,ft(cC)));if(!(524288&n&&r<=2)&&r>1&&!hz(e))for(const n of e)Yz(n)&&si.add(d_(n,Oa.Cannot_redeclare_exported_variable_0,Pl(t)))})),t.exportsChecked=!0}}function hz(e){return e&&e.length>1&&e.every((e=>Yh(e)&&wS(e)&&(yg(e.expression)||bg(e.expression))))}function gz(e){if(e){const t=i;i=e,h=0,function(e){Zg(e)&&E(e.jsDoc,(({comment:n,tags:t})=>{yz(n),E(t,(n=>{yz(n.comment),Yh(e)&&gz(n)}))}));const t=e.kind;if(n)switch(t){case 267:case 263:case 264:case 262:n.throwIfCancellationRequested()}t>=243&&t<=259&&Qg(e)&&e.flowNode&&!lN(e.flowNode)&&Ii(!1===A.allowUnreachableCode,e,Oa.Unreachable_code_detected);switch(t){case 168:return EO(e);case 169:return SO(e);case 172:return NO(e);case 171:return function(e){return rN(e.name)&&Ai(e,Oa.Private_identifiers_are_not_allowed_outside_class_bodies),NO(e)}(e);case 185:case 184:case 179:case 180:case 181:return xO(e);case 174:case 173:return function(e){pB(e)||iB(e.name),AN(e)&&e.asteriskToken&&tN(e.name)&&"constructor"===Ll(e.name)&&Ai(e.name,Oa.Class_constructor_may_not_be_a_generator),mF(e),Bb(e,64)&&174===e.kind&&e.body&&Ai(e,Oa.Method_0_cannot_have_an_implementation_because_it_is_marked_abstract,o_(e.name)),rN(e.name)&&!_h(e)&&Ai(e,Oa.Private_identifiers_are_not_allowed_outside_class_bodies),DO(e)}(e);case 175:return function(e){JG(e),ok(e,gz)}(e);case 176:return CO(e);case 177:case 178:return PO(e);case 183:return FO(e);case 182:return function(e){const n=function(e){switch(e.parent.kind){case 219:case 179:case 262:case 218:case 184:case 174:case 173:const n=e.parent;if(e===n.type)return n}}(e);if(!n)return void Ai(e,Oa.A_type_predicate_is_only_allowed_in_return_type_position_for_functions_and_methods);const t=pm(n),r=ym(t);if(!r)return;gz(e.type);const{parameterName:o}=e;if(0===r.kind||2===r.kind)HE(o);else if(r.parameterIndex>=0){if(Zz(t)&&r.parameterIndex===t.parameters.length-1)Ai(o,Oa.A_type_predicate_cannot_reference_a_rest_parameter);else if(r.type){const n=()=>cT(void 0,Oa.A_type_predicate_s_type_must_be_assignable_to_its_parameter_s_type);YS(r.type,sd(t.parameters[r.parameterIndex]),e.type,void 0,n)}}else if(o){let t=!1;for(const{name:e}of n.parameters)if(Vd(e)&&TO(e,o,r.parameterName)){t=!0;break}t||Ai(e.parameterName,Oa.Cannot_find_parameter_0,r.parameterName)}}(e);case 186:return function(e){Lh(e)}(e);case 187:return function(e){E(e.members,gz),l((function(){const n=lE(e);RW(n,n.symbol),IO(e),RO(e)}))}(e);case 188:return function(e){gz(e.elementType)}(e);case 189:return function(e){let n=!1,t=!1;for(const r of e.elements){let e=ny(r);if(8&e){const n=JE(r.type);if(!_x(n)){Ai(r,Oa.A_rest_element_type_must_be_an_array_type);break}(cx(n)||nA(n)&&4&n.target.combinedFlags)&&(e|=4)}if(4&e){if(t){SB(r,Oa.A_rest_element_cannot_follow_another_rest_element);break}t=!0}else if(2&e){if(t){SB(r,Oa.An_optional_element_cannot_follow_a_rest_element);break}n=!0}else if(1&e&&n){SB(r,Oa.A_required_element_cannot_follow_an_optional_element);break}}E(e.elements,gz),JE(e)}(e);case 192:case 193:return function(e){E(e.types,gz),JE(e)}(e);case 196:case 190:case 191:return gz(e.type);case 197:return function(e){HE(e)}(e);case 198:return BO(e);case 194:return function(e){ok(e,gz)}(e);case 195:return function(e){Nl(e,(e=>e.parent&&194===e.parent.kind&&e.parent.extendsType===e))||SB(e,Oa.infer_declarations_are_only_permitted_in_the_extends_clause_of_a_conditional_type),gz(e.typeParameter);const n=ps(e.typeParameter);if(n.declarations&&n.declarations.length>1){const e=Ui(n);if(!e.typeParametersChecked){e.typeParametersChecked=!0;const t=eu(n),r=Cf(n,168);if(!LW(r,[t],(e=>[e]))){const e=rl(n);for(const n of r)Ai(n.name,Oa.All_declarations_of_0_must_have_identical_constraints,e)}}}_F(e)}(e);case 203:return function(e){for(const n of e.templateSpans)gz(n.type),YS(JE(n.type),Et,n.type);JE(e)}(e);case 205:return function(e){gz(e.argument),e.attributes&&HU(e.attributes,SB),WO(e)}(e);case 202:return function(e){e.dotDotDotToken&&e.questionToken&&SB(e,Oa.A_tuple_member_cannot_be_both_optional_and_rest),190===e.type.kind&&SB(e.type,Oa.A_labeled_tuple_element_is_declared_as_optional_with_a_question_mark_after_the_name_and_before_the_colon_rather_than_after_the_type),191===e.type.kind&&SB(e.type,Oa.A_labeled_tuple_element_is_declared_as_rest_with_a_before_the_name_rather_than_before_the_type),gz(e.type),JE(e)}(e);case 335:return function(e){const n=sy(e);if(!n||!lC(n)&&!ND(n))return void Ai(n,Oa.JSDoc_0_is_not_attached_to_a_class,Ll(e.tagName));const t=Sc(n).filter(TM);Tt.assert(t.length>0),t.length>1&&Ai(t[1],Oa.Class_declarations_cannot_have_more_than_one_augments_or_extends_tag);const r=fF(e.class.expression),o=Fy(n);if(o){const n=fF(o.expression);n&&r.escapedText!==n.escapedText&&Ai(r,Oa.JSDoc_0_1_does_not_match_the_extends_2_clause,Ll(e.tagName),Ll(r),Ll(n))}}(e);case 336:return function(e){const n=sy(e);n&&(lC(n)||ND(n))||Ai(n,Oa.JSDoc_0_is_not_attached_to_a_class,Ll(e.tagName))}(e);case 353:case 345:case 347:return function(e){e.typeExpression||Ai(e.name,Oa.JSDoc_typedef_tag_should_either_have_a_type_annotation_or_be_followed_by_property_or_member_tags),e.name&&DW(e.name,Oa.Type_alias_name_cannot_be_0),gz(e.typeExpression),MW(Nc(e))}(e);case 352:return function(e){gz(e.constraint);for(const n of e.typeParameters)gz(n)}(e);case 351:return function(e){gz(e.typeExpression)}(e);case 331:case 332:case 333:return function(e){e.name&&Jz(e.name,!0)}(e);case 348:case 355:return function(e){gz(e.typeExpression)}(e);case 324:!function(e){l((function(){e.type||Hg(e)||eR(e,xn)})),xO(e)}(e);case 322:case 321:case 319:case 320:case 329:return vz(e),void ok(e,gz);case 325:return void function(e){vz(e),gz(e.type);const{parent:n}=e;if(bN(n)&&gM(n.parent))return void(ke(n.parent.parameters)!==n&&Ai(e,Oa.A_rest_parameter_must_be_last_in_a_parameter_list));aM(n)||Ai(e,Oa.JSDoc_may_only_appear_in_the_last_parameter_of_a_signature);const t=e.parent.parent;if(!OM(t))return void Ai(e,Oa.JSDoc_may_only_appear_in_the_last_parameter_of_a_signature);const r=ry(t);if(!r)return;const o=ay(t);o&&ke(o.parameters).symbol===r||Ai(e,Oa.A_rest_parameter_must_be_last_in_a_parameter_list)}(e);case 316:return gz(e.type);case 340:case 342:case 341:return function(e){const n=ly(e);n&&md(n)&&Ai(e,Oa.An_accessibility_modifier_cannot_be_used_with_a_private_identifier)}(e);case 357:return function(e){gz(e.typeExpression);const n=sy(e);if(n){const e=Ac(n,HM);if(b(e)>1)for(let n=1;n<b(e);n++){const t=e[n].tagName;Ai(t,Oa._0_tag_already_specified,Ll(t))}}}(e);case 350:return function(e){const n=sy(e);n&&hD(n)&&Ai(e.tagName,Oa.An_arrow_function_cannot_have_a_this_parameter)}(e);case 199:return function(e){gz(e.objectType),gz(e.indexType),zO(kb(e),e)}(e);case 200:return GO(e);case 262:return function(e){l((function(){mF(e),aB(e),OF(e,e.name)}))}(e);case 241:case 268:return CF(e);case 243:return UF(e);case 244:return function(e){xB(e),bO(e.expression)}(e);case 245:return function(e){xB(e);const n=qF(e.expression);HF(e.expression,n,e.thenStatement),gz(e.thenStatement),242===e.thenStatement.kind&&Ai(e.thenStatement,Oa.The_body_of_an_if_statement_cannot_be_the_empty_statement),gz(e.elseStatement)}(e);case 246:return function(e){xB(e),gz(e.statement),qF(e.expression)}(e);case 247:return function(e){xB(e),qF(e.expression),gz(e.statement)}(e);case 248:return function(e){xB(e)||e.initializer&&261===e.initializer.kind&&gB(e.initializer),e.initializer&&(261===e.initializer.kind?VF(e.initializer):bO(e.initializer)),e.condition&&qF(e.condition),e.incrementor&&bO(e.incrementor),gz(e.statement),e.locals&&_F(e)}(e);case 249:return JF(e);case 250:return function(e){cB(e);const n=gh(e);e.awaitModifier?n&&RN(n)?SB(e.awaitModifier,Oa.for_await_loops_cannot_be_used_inside_a_class_static_block):2==(6&Zy(n))&&R<99&&KG(e,16384):A.downlevelIteration&&R<2&&KG(e,256);if(261===e.initializer.kind)VF(e.initializer);else{const n=e.initializer,t=XF(e);if(209===n.kind||210===n.kind)qw(n,t||Nn);else{const r=bO(n);Lw(n,Oa.The_left_hand_side_of_a_for_of_statement_must_be_a_variable_or_a_property_access,Oa.The_left_hand_side_of_a_for_of_statement_may_not_be_an_optional_property_access),t&&$S(t,r,n,e.expression)}}gz(e.statement),e.locals&&_F(e)}(e);case 251:case 252:return SW(e);case 253:return function(e){if(xB(e))return;const n=gh(e);if(n&&RN(n))return void bB(e,Oa.A_return_statement_cannot_be_used_inside_a_class_static_block);if(!n)return void bB(e,Oa.A_return_statement_can_only_be_used_within_a_function_body);const t=bm(pm(n)),r=Zy(n);if(K||e.expression||131072&t.flags){const o=e.expression?nO(e.expression):On;if(178===n.kind)e.expression&&Ai(e,Oa.Setters_cannot_return_a_value);else if(176===n.kind)e.expression&&!$S(o,t,e,e.expression)&&Ai(e,Oa.Return_type_of_constructor_signature_must_be_assignable_to_the_instance_type_of_the_class);else if(Em(n)){const n=TW(t,r)??t,i=2&r?JO(o,!1,e,Oa.The_return_type_of_an_async_function_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member):o;n&&$S(i,n,e,e.expression)}}else 176!==n.kind&&A.noImplicitReturns&&!xW(n,t)&&Ai(e,Oa.Not_all_code_paths_return_a_value)}(e);case 254:return function(e){xB(e)||65536&e.flags&&bB(e,Oa.with_statements_are_not_allowed_in_an_async_function_block),bO(e.expression);const n=$f(e);if(!vB(n)){const t=b_(n,e.pos).start;EB(n,t,e.statement.pos-t,Oa.The_with_statement_is_not_supported_All_symbols_in_a_with_block_will_have_type_any)}}(e);case 255:return function(e){let n;xB(e);let t=!1;const r=bO(e.expression);E(e.caseBlock.clauses,(e=>{var o;297!==e.kind||t||(void 0===n?n=e:(SB(e,Oa.A_default_clause_cannot_appear_more_than_once_in_a_switch_statement),t=!0)),296===e.kind&&l((o=e,()=>{const e=bO(o.expression);Xw(r,e)||uT(e,r,o.expression,void 0)})),E(e.statements,gz),A.noFallthroughCasesInSwitch&&e.fallthroughFlowNode&&lN(e.fallthroughFlowNode)&&Ai(e,Oa.Fallthrough_case_in_switch)})),e.caseBlock.locals&&_F(e.caseBlock)}(e);case 256:return function(e){xB(e)||Nl(e.parent,(n=>Td(n)?"quit":256===n.kind&&n.label.escapedText===e.label.escapedText&&(SB(e.label,Oa.Duplicate_label_0,xm(e.label)),!0))),gz(e.statement)}(e);case 257:return AW(e);case 258:return function(e){xB(e),CF(e.tryBlock);const n=e.catchClause;if(n){if(n.variableDeclaration){const e=n.variableDeclaration;WF(e);const t=Ab(e);if(t){const e=JE(t);!e||3&e.flags||bB(t,Oa.Catch_clause_variable_type_annotation_must_be_any_or_unknown_if_specified)}else if(e.initializer)bB(e.initializer,Oa.Catch_clause_variable_cannot_have_an_initializer);else{const e=n.block.locals;e&&zf(n.locals,(n=>{const t=e.get(n);(null==t?void 0:t.valueDeclaration)&&2&t.flags&&SB(t.valueDeclaration,Oa.Cannot_redeclare_identifier_0_in_catch_clause,Pl(n))}))}}CF(n.block)}e.finallyBlock&&CF(e.finallyBlock)}(e);case 260:return BF(e);case 208:return jF(e);case 263:return function(e){const n=D(e.modifiers,EN);L&&n&&oe(e.members,(e=>Vb(e)&&md(e)))&&SB(n,Oa.Class_decorators_can_t_be_used_with_static_private_identifier_Consider_removing_the_experimental_decorator),e.name||Bb(e,2048)||bB(e,Oa.A_class_declaration_without_the_default_modifier_must_have_a_name),wW(e),E(e.members,gz),_F(e)}(e);case 264:return HW(e);case 265:return function(e){JG(e),DW(e.name,Oa.Type_alias_name_cannot_be_0),HO(e),MW(e.typeParameters),141===e.type.kind?zz.has(e.name.escapedText)&&1===b(e.typeParameters)||Ai(e.type,Oa.The_intrinsic_keyword_can_only_be_used_to_declare_compiler_provided_intrinsic_types):(gz(e.type),_F(e))}(e);case 266:return QW(e);case 267:return ez(e);case 272:return lz(e);case 271:return function(e){if(!uz(e,Yh(e)?Oa.An_import_declaration_can_only_be_used_at_the_top_level_of_a_module:Oa.An_import_declaration_can_only_be_used_at_the_top_level_of_a_namespace_or_module)&&(JG(e),qh(e)||tz(e)))if(iz(e),Bb(e,32)&&Va(e),283!==e.moduleReference.kind){const n=Wa(ps(e));if(n!==vn){const t=za(n);if(111551&t){const n=SE(e.moduleReference);1920&qa(n,112575).flags||Ai(n,Oa.Module_0_is_hidden_by_a_local_declaration_with_the_same_name,o_(n))}788968&t&&DW(e.name,Oa.Import_name_cannot_be_0)}e.isTypeOnly&&SB(e,Oa.An_import_alias_cannot_use_import_type)}else!(I>=5&&200!==I&&void 0===$f(e).impliedNodeFormat)||e.isTypeOnly||33554432&e.flags||SB(e,Oa.Import_assignment_cannot_be_used_when_targeting_ECMAScript_modules_Consider_using_import_Asterisk_as_ns_from_mod_import_a_from_mod_import_d_from_mod_or_another_module_format_instead)}(e);case 278:return cz(e);case 277:return function(e){if(uz(e,e.isExportEquals?Oa.An_export_assignment_must_be_at_the_top_level_of_a_file_or_module_declaration:Oa.A_default_export_must_be_at_the_top_level_of_a_file_or_module_declaration))return;const n=312===e.parent.kind?e.parent:e.parent.parent;if(267===n.kind&&!km(n))return void(e.isExportEquals?Ai(e,Oa.An_export_assignment_cannot_be_used_in_a_namespace):Ai(e,Oa.A_default_export_can_only_be_used_in_an_ECMAScript_style_module));!JG(e)&&Wb(e)&&bB(e,Oa.An_export_assignment_cannot_have_modifiers);const t=Ab(e);t&&YS(nO(e.expression),JE(t),e.expression);const r=!e.isExportEquals&&!(33554432&e.flags)&&A.verbatimModuleSyntax&&(1===I||1===$f(e).impliedNodeFormat);if(80===e.expression.kind){const n=e.expression,t=Ss(qa(n,-1,!0,!0,e));if(t){const o=ja(t,111551);if(vD(t,n),111551&za(t)?(nO(n),r||33554432&e.flags||!A.verbatimModuleSyntax||!o||Ai(n,e.isExportEquals?Oa.An_export_declaration_must_reference_a_real_value_when_verbatimModuleSyntax_is_enabled_but_0_resolves_to_a_type_only_declaration:Oa.An_export_default_must_reference_a_real_value_when_verbatimModuleSyntax_is_enabled_but_0_resolves_to_a_type_only_declaration,Ll(n))):r||33554432&e.flags||!A.verbatimModuleSyntax||Ai(n,e.isExportEquals?Oa.An_export_declaration_must_reference_a_value_when_verbatimModuleSyntax_is_enabled_but_0_only_refers_to_a_type:Oa.An_export_default_must_reference_a_value_when_verbatimModuleSyntax_is_enabled_but_0_only_refers_to_a_type,Ll(n)),!r&&!(33554432&e.flags)&&Kp(A)&&!(111551&t.flags)){const r=za(t,!1,!0);!(2097152&t.flags&&788968&r)||111551&r||o&&$f(o)===$f(e)?o&&$f(o)!==$f(e)&&oa(Ai(n,e.isExportEquals?Oa._0_resolves_to_a_type_only_declaration_and_must_be_marked_type_only_in_this_file_before_re_exporting_when_1_is_enabled_Consider_using_import_type_where_0_is_imported:Oa._0_resolves_to_a_type_only_declaration_and_must_be_marked_type_only_in_this_file_before_re_exporting_when_1_is_enabled_Consider_using_export_type_0_as_default,Ll(n),Re),o,Ll(n)):Ai(n,e.isExportEquals?Oa._0_resolves_to_a_type_and_must_be_marked_type_only_in_this_file_before_re_exporting_when_1_is_enabled_Consider_using_import_type_where_0_is_imported:Oa._0_resolves_to_a_type_and_must_be_marked_type_only_in_this_file_before_re_exporting_when_1_is_enabled_Consider_using_export_type_0_as_default,Ll(n),Re)}}else nO(n);Qp(A)&&vl(n,!0)}else nO(e.expression);r&&Ai(e,Oa.ESM_syntax_is_not_allowed_in_a_CommonJS_module_when_verbatimModuleSyntax_is_enabled),_z(n),33554432&e.flags&&!EE(e.expression)&&SB(e.expression,Oa.The_expression_of_an_export_assignment_must_be_an_identifier_or_qualified_name_in_an_ambient_context),e.isExportEquals&&(I>=5&&200!==I&&(33554432&e.flags&&99===$f(e).impliedNodeFormat||!(33554432&e.flags)&&1!==$f(e).impliedNodeFormat)?SB(e,Oa.Export_assignment_cannot_be_used_when_targeting_ECMAScript_modules_Consider_using_export_default_or_another_module_format_instead):4!==I||33554432&e.flags||SB(e,Oa.Export_assignment_is_not_supported_when_module_flag_is_system))}(e);case 242:case 259:return void xB(e);case 282:(function(e){pF(e)})(e)}}(e),i=t}}function yz(e){pn(e)&&E(e,(e=>{rp(e)&&gz(e)}))}function vz(e){if(!Yh(e))if(_M(e)||mM(e)){const n=as(_M(e)?54:58),t=e.postfix?Oa._0_at_the_end_of_a_type_is_not_valid_TypeScript_syntax_Did_you_mean_to_write_1:Oa._0_at_the_start_of_a_type_is_not_valid_TypeScript_syntax_Did_you_mean_to_write_1,r=JE(e.type);SB(e,t,n,il(mM(e)&&r!==ot&&r!==tt?mv(ye([r,On],e.postfix?void 0:Bn)):r))}else SB(e,Oa.JSDoc_types_can_only_be_used_inside_documentation_comments)}function bz(e){const n=Hi($f(e));1&n.flags?Tt.assert(!n.deferredNodes,"A type-checked file should have no deferred nodes."):(n.deferredNodes||(n.deferredNodes=new Set),n.deferredNodes.add(e))}function Ez(e){var n,t;null==(n=Cr)||n.push(Cr.Phase.Check,"checkDeferredNode",{kind:e.kind,pos:e.pos,end:e.end,path:e.tracingPath});const r=i;switch(i=e,h=0,e.kind){case 213:case 214:case 215:case 170:case 286:gL(e);break;case 218:case 219:case 174:case 173:!function(e){Tt.assert(174!==e.kind||oh(e));const n=Zy(e),t=Em(e);if(Iw(e,t),e.body)if(Ib(e)||bm(pm(e)),241===e.body.kind)gz(e.body);else{const r=bO(e.body),o=t&&TW(t,n);if(o){const t=GL(e.body);$S(2==(3&n)?JO(r,!1,t,Oa.The_return_type_of_an_async_function_must_either_be_a_valid_promise_or_must_not_contain_a_callable_then_member):r,o,t,t)}}}(e);break;case 177:case 178:PO(e);break;case 231:!function(e){E(e.members,gz),_F(e)}(e);break;case 168:!function(e){var n,t;if(cC(e.parent)||Md(e.parent)||dC(e.parent)){const r=eu(ps(e)),o=24576&qT(r);if(o){const i=ps(e.parent);if(!dC(e.parent)||52&IS(ou(i))){if(8192===o||16384===o){null==(n=Cr)||n.push(Cr.Phase.CheckTypes,"checkTypeParameterDeferred",{parent:Jy(ou(i)),id:Jy(r)});const s=HT(i,r,16384===o?Ht:Ut),l=HT(i,r,16384===o?Ut:Ht),c=r;a=r,YS(s,l,e,Oa.Type_0_is_not_assignable_to_type_1_as_implied_by_variance_annotation),a=c,null==(t=Cr)||t.pop()}}else Ai(e,Oa.Variance_annotations_are_only_supported_in_type_aliases_for_object_function_constructor_and_mapped_types)}}}(e);break;case 285:!function(e){_P(e)}(e);break;case 284:!function(e){_P(e.openingElement),JM(e.closingElement.tagName)?nP(e.closingElement):bO(e.closingElement.tagName),YM(e)}(e);break;case 216:case 234:case 217:!function(e){const{type:n}=Mk(e),t=mD(e)?n:e,r=Hi(e);Tt.assertIsDefined(r.assertionExpressionType);const o=HA(Ux(r.assertionExpressionType)),i=JE(n);Bl(i)||l((()=>{const e=$A(o);JS(i,e)||uT(o,i,t,Oa.Conversion_of_type_0_to_type_1_may_be_a_mistake_because_neither_type_sufficiently_overlaps_with_the_other_If_this_was_intentional_convert_the_expression_to_unknown_first)}))}(e);break;case 222:bO(e.expression);break;case 226:CE(e)&&gL(e)}i=r,null==(t=Cr)||t.pop()}function Sz(n){var t,r;null==(t=Cr)||t.push(Cr.Phase.Check,"checkSourceFile",{path:n.path},!0),gr("beforeCheck"),function(n){const t=Hi(n);if(!(1&t.flags)){if(Nx(n,A,e))return;!function(e){!!(33554432&e.flags)&&function(e){for(const n of e.statements)if((Pu(n)||243===n.kind)&&TB(n))return!0}(e)}(n),G(ni),G(ti),G(ri),G(oi),G(ii),E(n.statements,gz),gz(n.endOfFileToken),function(e){const n=Hi(e);n.deferredNodes&&n.deferredNodes.forEach(Ez),n.deferredNodes=void 0}(n),T_(n)&&_F(n),l((()=>{n.isDeclarationFile||!A.noUnusedLocals&&!A.noUnusedParameters||hF(xz(n),((e,n,t)=>{!Yf(e)&&Tz(n,!!(33554432&e.flags))&&si.add(t)})),n.isDeclarationFile||function(){var e;for(const n of ii)if(!(null==(e=ps(n))?void 0:e.isReferenced)){const e=bl(n);Tt.assert(vv(e),"Only parameter declaration should be checked here");const t=d_(n.name,Oa._0_is_an_unused_renaming_of_1_Did_you_intend_to_use_it_as_a_type_annotation,o_(n.name),o_(n.propertyName));e.type||xx(t,iT($f(e),e.end,1,Oa.We_can_only_write_a_type_for_0_by_adding_a_type_for_the_entire_parameter_here,o_(n.propertyName))),si.add(t)}}()})),2===A.importsNotUsedAsValues&&!n.isDeclarationFile&&uk(n)&&function(e){if(Ie)for(const n of e.statements)(pz(n)||fz(n))&&Ai(n,Oa.This_import_is_never_used_as_a_value_and_must_use_import_type_because_importsNotUsedAsValues_is_set_to_error)}(n),T_(n)&&_z(n),ni.length&&(E(ni,PF),G(ni)),ti.length&&(E(ti,LF),G(ti)),ri.length&&(E(ri,kF),G(ri)),oi.length&&(E(oi,wF),G(oi)),t.flags|=1}}(n),gr("afterCheck"),yr("Check","beforeCheck","afterCheck"),null==(r=Cr)||r.pop()}function Tz(e,n){if(n)return!1;switch(e){case 0:return!!A.noUnusedLocals;case 1:return!!A.noUnusedParameters;default:return Tt.assertNever(e)}}function xz(e){return bo.get(e.path)||o}function Az(t,r){try{return n=r,function(n){if(n){Rz();const e=si.getGlobalDiagnostics(),t=e.length;Iz(n);const r=si.getDiagnostics(n.fileName),o=si.getGlobalDiagnostics();if(o!==e){return ae(ge(e,o,pT),r)}return 0===t&&o.length>0?ae(o,r):r}return E(e.getSourceFiles(),Iz),si.getDiagnostics()}(t)}finally{n=void 0}}function Rz(){for(const e of s)e();s=[]}function Iz(e){Rz();const n=l;l=e=>e(),Sz(e),l=n}function Cz(e){for(;166===e.parent.kind;)e=e.parent;return 183===e.parent.kind}function Mz(e,n){let t,r=_h(e);for(;r&&!(t=n(r));)r=_h(r);return t}function kz(e,n){return!!Mz(e,(e=>e===n))}function Oz(e){return void 0!==function(e){for(;166===e.parent.kind;)e=e.parent;return 271===e.parent.kind?e.parent.moduleReference===e?e.parent:void 0:277===e.parent.kind&&e.parent.expression===e?e.parent:void 0}(e)}function Fz(e){if(Ry(e))return fs(e.parent);if(Yh(e)&&211===e.parent.kind&&e.parent===e.parent.parent.left&&!rN(e)&&!lM(e)&&!function(e){if(110===e.expression.kind){const n=vh(e,!1,!1);if(Td(n)){const e=jD(n);if(e){const n=YD(e,GC(e,void 0));return n&&!zl(n)}}}}(e.parent)){const n=function(e){switch(Eg(e.parent.parent)){case 1:case 3:return fs(e.parent);case 5:if(lD(e.parent)&&zS(e.parent)===e)return;case 4:case 2:return ps(e.parent.parent)}}(e);if(n)return n}if(277===e.parent.kind&&EE(e)){const n=qa(e,2998271,!0);if(n&&n!==vn)return n}else if(bd(e)&&Oz(e)){const n=jy(e,271);return Tt.assert(void 0!==n),Ha(e,!0)}if(bd(e)){const n=function(e){let n=e.parent;for(;gN(n);)e=n,n=n.parent;if(n&&205===n.kind&&n.qualifier===e)return n}(e);if(n){JE(n);const t=Hi(e).resolvedSymbol;return t===vn?void 0:t}}for(;DE(e);)e=e.parent;if(function(e){for(;211===e.parent.kind;)e=e.parent;return 233===e.parent.kind}(e)){let n=0;233===e.parent.kind?(n=j_(e)?788968:111551,bE(e.parent)&&(n|=111551)):n=1920,n|=2097152;const t=EE(e)?qa(e,n,!0):void 0;if(t)return t}if(348===e.parent.kind)return ry(e.parent);if(168===e.parent.kind&&352===e.parent.parent.kind){Tt.assert(!Yh(e));const n=dy(e.parent);return n&&n.symbol}if(Gh(e)){if(im(e))return;const n=Nl(e,pt(rp,sM,lM)),t=n?901119:111551;if(80===e.kind){if(zh(e)&&JM(e)){const n=nP(e.parent);return n===vn?void 0:n}const r=qa(e,t,!0,!0,ay(e));if(!r&&n){const n=Nl(e,pt(Md,cC));if(n)return Jz(e,!0,ps(n))}if(r&&n){const n=ly(e);if(n&&nM(n)&&n===r.valueDeclaration)return qa(e,t,!0,!0,$f(n))||r}return r}if(rN(e))return UP(e);if(211===e.kind||166===e.kind){const t=Hi(e);return t.resolvedSymbol?t.resolvedSymbol:(211===e.kind?(FP(e,0),t.resolvedSymbol||(t.resolvedSymbol=Vz(nO(e.expression),zv(e.name)))):WP(e,0),!t.resolvedSymbol&&n&&gN(e)?Jz(e):t.resolvedSymbol)}if(lM(e))return Jz(e)}else if(Cz(e)){const n=qa(e,183===e.parent.kind?788968:1920,!1,!0);return n&&n!==vn?n:W_(e)}return 182===e.parent.kind?qa(e,1):void 0}function Vz(e,n){const t=Xf(e,n);if(t.length&&e.members){const n=jm(Fp(e).members);if(t===Kf(e))return n;if(n){const r=Ui(n),o=B(Y(t,(e=>e.declaration)),Hz).join(",");if(r.filteredIndexSymbolCache||(r.filteredIndexSymbolCache=new Map),r.filteredIndexSymbolCache.has(o))return r.filteredIndexSymbolCache.get(o);{const n=Li(131072,"__index");return n.declarations=Y(t,(e=>e.declaration)),n.parent=e.aliasSymbol?e.aliasSymbol:e.symbol?e.symbol:Xz(n.declarations[0].parent),r.filteredIndexSymbolCache.set(o,n),n}}}}function Jz(e,n,t){if(bd(e)){const r=901119;let o=qa(e,r,n,!0,ay(e));if(!o&&tN(e)&&t&&(o=us(qi(ss(t),e.escapedText,r))),o)return o}const r=tN(e)?t:Jz(e.left,n,t),o=tN(e)?e.escapedText:e.right.escapedText;if(r){const e=111551&r.flags&&Lf(sd(r),"prototype");return Lf(e?sd(e):ou(r),o)}}function Xz(e,n){if(rM(e))return uk(e)?us(e.symbol):void 0;const{parent:t}=e,r=t.parent;if(!(67108864&e.flags)){if($z(e)){const n=ps(t);return id(e.parent)&&e.parent.propertyName===e?jM(n):n}if(Ny(e))return ps(t.parent);if(80===e.kind){if(Oz(e))return Fz(e);if(208===t.kind&&206===r.kind&&e===t.propertyName){const n=Lf(nG(r),e.escapedText);if(n)return n}else if(kD(t)&&t.name===e)return 105===t.keywordToken&&"target"===Ll(e)?Wk(t).symbol:102===t.keywordToken&&"meta"===Ll(e)?ag().members.get("meta"):void 0}switch(e.kind){case 80:case 81:case 211:case 166:if(!Sb(e))return Fz(e);case 110:const o=vh(e,!1,!1);if(Td(o)){const e=pm(o);if(e.thisParameter)return e.thisParameter}if(Bh(e))return bO(e).symbol;case 197:return HE(e).symbol;case 108:return bO(e).symbol;case 137:const i=e.parent;return i&&176===i.kind?i.parent.symbol:void 0;case 11:case 15:if(Uh(e.parent.parent)&&Hh(e.parent.parent)===e||(272===e.parent.kind||278===e.parent.kind)&&e.parent.moduleSpecifier===e||Yh(e)&&ng(e.parent,!1)||P_(e.parent)||ZN(e.parent)&&k_(e.parent.parent)&&e.parent.parent.argument===e.parent)return Xa(e,e,n);if(dD(t)&&Sg(t)&&t.arguments[1]===e)return ps(t);case 9:const a=cD(t)?t.argumentExpression===e?gO(t.expression):void 0:ZN(t)&&$N(r)?JE(r.objectType):void 0;return a&&Lf(a,Ml(e.text));case 90:case 100:case 39:case 86:return fs(e.parent);case 205:return k_(e)?Xz(e.argument.literal,n):void 0;case 95:return NC(e.parent)?Tt.checkDefined(e.parent.symbol):void 0;case 102:case 105:return kD(e.parent)?Fk(e.parent).symbol:void 0;case 104:if(TD(e.parent)){const n=gO(e.parent.right),t=Vw(n);return(null==t?void 0:t.symbol)??n.symbol}return;case 236:return bO(e).symbol;case 295:if(zh(e)&&JM(e)){const n=nP(e.parent);return n===vn?void 0:n}default:return}}}function nG(e){if(rM(e)&&!uk(e))return Nn;if(67108864&e.flags)return Nn;const n=hE(e),t=n&&qd(ps(n.class));if(j_(e)){const n=JE(e);return t?ku(n,t.thisType):n}if(Gh(e))return iG(e);if(t&&!n.isImplements){const e=De(jd(t));return e?ku(e,t.thisType):Nn}if(sA(e)){return ou(ps(e))}if(80===(r=e).kind&&sA(r.parent)&&jl(r.parent)===r){const n=Xz(e);return n?ou(n):Nn}var r;if(iD(e))return sc(e,!0,0)||Nn;if(Pu(e)){const n=ps(e);return n?sd(n):Nn}if($z(e)){const n=Xz(e);return n?sd(n):Nn}if(Vd(e))return sc(e.parent,!0,0)||Nn;if(Oz(e)){const n=Xz(e);if(n){const e=ou(n);return Bl(e)?sd(n):e}}return kD(e.parent)&&e.parent.keywordToken===e.kind?Fk(e.parent):SC(e)?gg(!1):Nn}function tG(e){if(Tt.assert(210===e.kind||209===e.kind),250===e.parent.kind){return qw(e,XF(e.parent)||Nn)}if(226===e.parent.kind){return qw(e,gO(e.parent.right)||Nn)}if(303===e.parent.kind){const n=gn(e.parent.parent,sD);return Hw(n,tG(n)||Nn,Rm(n.properties,e.parent))}const n=gn(e.parent,aD),t=tG(n)||Nn,r=YF(65,t,On,e.parent)||Nn;return Kw(n,t,n.elements.indexOf(e),r)}function iG(e){return IE(e)&&(e=e.parent),WE(gO(e))}function aG(e){const n=fs(e.parent);return jb(e)?sd(n):ou(n)}function sG(e){const n=e.name;switch(n.kind){case 80:return GE(Ll(n));case 9:case 11:return GE(n.text);case 167:const e=MM(n);return zw(e,12288)?e:Vn;default:return Tt.fail("Unsupported property name.")}}function lG(e){const n=Mf(Hp(e=yf(e))),t=wf(e,0).length?Qt:wf(e,1).length?Zt:void 0;return t&&E(Hp(t),(e=>{n.has(e.escapedName)||n.set(e.escapedName,e)})),Ls(n)}function cG(e){return 0!==wf(e,0).length||0!==wf(e,1).length}function dG(e){if(ud(e))return!1;const n=Cl(e,tN);if(!n)return!1;const t=n.parent;if(!t)return!1;return!((lD(t)||QC(t))&&t.name===n)&&WG(n)===xe}function uG(e){let n=Xa(e.parent,e);if(!n||Wm(n))return!0;const t=ts(n);n=Za(n);const r=Ui(n);return void 0===r.exportsSomeValue&&(r.exportsSomeValue=t?!!(111551&n.flags):Wf(ls(n),(function(e){return(e=Fa(e))&&!!(111551&za(e))}))),r.exportsSomeValue}function pG(e,n){var t;const r=Cl(e,tN);if(r){let e=WG(r,function(e){return Iu(e.parent)&&e===e.parent.name}(r));if(e){if(1048576&e.flags){const t=us(e.exportSymbol);if(!n&&944&t.flags&&!(3&t.flags))return;e=t}const o=ms(e);if(o){if(512&o.flags&&312===(null==(t=o.valueDeclaration)?void 0:t.kind)){const e=o.valueDeclaration;return e!==$f(r)?void 0:e}return Nl(r.parent,(e=>Iu(e)&&ps(e)===o))}}}}function mG(e){const n=XR(e);if(n)return n;const t=Cl(e,tN);if(t){const e=function(e){const n=Hi(e).resolvedSymbol;if(n&&n!==vn)return n;return na(e,e.escapedText,3257279,void 0,void 0,!0,void 0,void 0)}(t);if(wa(e,111551)&&!ja(e,111551))return ha(e)}}function _G(e){if(418&e.flags&&e.valueDeclaration&&!rM(e.valueDeclaration)){const n=Ui(e);if(void 0===n.isDeclarationWithCollidingName){const t=t_(e.valueDeclaration);if(em(t)||function(e){return e.valueDeclaration&&iD(e.valueDeclaration)&&299===bl(e.valueDeclaration).parent.kind}(e)){const r=Hi(e.valueDeclaration);if(na(t.parent,e.escapedName,111551,void 0,void 0,!1))n.isDeclarationWithCollidingName=!0;else if(16384&r.flags){const e=32768&r.flags,o=mu(t,!1),i=241===t.kind&&mu(t.parent,!1);n.isDeclarationWithCollidingName=!(zm(t)||e&&(o||i))}else n.isDeclarationWithCollidingName=!1}}return n.isDeclarationWithCollidingName}return!1}function hG(e){if(!ud(e)){const n=Cl(e,tN);if(n){const e=WG(n);if(e&&_G(e))return e.valueDeclaration}}}function gG(e){const n=Cl(e,Pu);if(n){const e=ps(n);if(e)return _G(e)}return!1}function yG(e){switch(Tt.assert(Ie),e.kind){case 271:return bG(ps(e));case 273:case 274:case 276:case 281:const n=ps(e);return!!n&&bG(n,!0);case 278:const t=e.exportClause;return!!t&&(AC(t)||oe(t.elements,yG));case 277:return!e.expression||80!==e.expression.kind||bG(ps(e),!0)}return!1}function vG(e){const n=Cl(e,hC);if(void 0===n||312!==n.parent.kind||!qh(n))return!1;return bG(ps(n))&&n.moduleReference&&!im(n.moduleReference)}function bG(e,n){if(!e)return!1;const t=Ss(Wa(e));return t===vn?!n||!ja(e):!!(111551&za(e,n,!0))&&(Zp(A)||!EG(t))}function EG(e){return jw(e)||!!e.constEnumOnlyModule}function SG(e,n){if(Tt.assert(Ie),ga(e)){const n=ps(e),t=n&&Ui(n);if(null==t?void 0:t.referenced)return!0;const r=Ui(n).aliasTarget;if(r&&32&Zb(e)&&111551&za(r)&&(Zp(A)||!EG(r)))return!0}return!!n&&!!ok(e,(e=>SG(e,n)))}function TG(e){if(am(e.body)){if(Ju(e)||qu(e))return!1;const n=_m(ps(e));return n.length>1||1===n.length&&n[0].declaration!==e}return!1}function xG(e){return!(!K||lm(e)||OM(e)||!e.initializer||Bb(e,31))}function AG(e){return K&&lm(e)&&!e.initializer&&Bb(e,31)}function RG(e){const n=Cl(e,sC);if(!n)return!1;const t=ps(n);return!!(t&&16&t.flags)&&!!Wf(ss(t),(e=>111551&e.flags&&RA(e.valueDeclaration)))}function IG(e){const n=Cl(e,sC);if(!n)return o;const t=ps(n);return t&&Hp(sd(t))||o}function NG(e){var n;const t=e.id||0;return t<0||t>=Ko.length?0:(null==(n=Ko[t])?void 0:n.flags)||0}function DG(e){return KW(e.parent),Hi(e).enumMemberValue}function CG(e){switch(e.kind){case 306:case 211:case 212:return!0}return!1}function MG(e){if(306===e.kind)return DG(e);const n=Hi(e).resolvedSymbol;if(n&&8&n.flags){const e=n.valueDeclaration;if(A_(e.parent))return DG(e)}}function PG(e){return!!(524288&e.flags)&&wf(e,0).length>0}function LG(e,n){var t;const r=Cl(e,bd);if(!r)return 0;if(n&&!(n=Cl(n)))return 0;let o=!1;if(gN(r)){const e=qa(SE(r),111551,!0,!0,n);o=!!(null==(t=null==e?void 0:e.declarations)?void 0:t.every(ld))}const i=qa(r,111551,!0,!0,n),a=i&&2097152&i.flags?Wa(i):i;o||(o=!(!i||!ja(i,111551)));const s=qa(r,788968,!0,!0,n),l=s&&2097152&s.flags?Wa(s):s;if(i||o||(o=!(!s||!ja(s,788968))),a&&a===l){const e=Dg(!1);if(e&&a===e)return 9;const n=sd(a);if(n&&Nd(n))return o?10:1}if(!l)return o?11:0;const c=ou(l);return Bl(c)?o?11:0:3&c.flags?11:zw(c,245760)?2:zw(c,528)?6:zw(c,296)?3:zw(c,2112)?4:zw(c,402653316)?5:nA(c)?7:zw(c,12288)?8:PG(c)?10:cx(c)?7:11}function kG(e,n,t,r,o){const i=Cl(e,Y_);if(!i)return UA.createToken(133);const a=ps(i);let s=!a||133120&a.flags?Nn:Kx(sd(a));return 8192&s.flags&&s.symbol===a&&(t|=1048576),o&&(s=LA(s)),pe.typeToTypeNode(s,n,1024|t,r)}function wG(e,n,t,r){const o=Cl(e,Td);if(!o)return UA.createToken(133);const i=pm(o);return pe.typeToTypeNode(bm(i),n,1024|t,r)}function OG(e,n,t,r){const o=Cl(e,uu);if(!o)return UA.createToken(133);const i=$A(iG(o));return pe.typeToTypeNode(i,n,1024|t,r)}function FG(e){return fe.has(Ml(e))}function WG(e,n){const t=Hi(e).resolvedSymbol;if(t)return t;let r=e;if(n){const n=e.parent;Pu(n)&&e===n.name&&(r=Dl(n))}return na(r,e.escapedText,3257279,void 0,void 0,!0)}function zG(e){if(!ud(e)){const n=Cl(e,tN);if(n){const e=WG(n);if(e)return Ss(e).valueDeclaration}}}function GG(e){if(!ud(e)){const n=Cl(e,tN);if(n){const e=WG(n);if(e)return W(Ss(e).declarations,(e=>{switch(e.kind){case 260:case 169:case 208:case 172:case 303:case 304:case 306:case 210:case 262:case 218:case 219:case 263:case 231:case 266:case 174:case 177:case 178:case 267:return!0}return!1}))}}}function BG(e){return!!(R_(e)||iC(e)&&MB(e))&&zE(sd(ps(e)))}function jG(e,n){return function(e,n,t){const r=1056&e.flags?pe.symbolToExpression(e.symbol,111551,n,void 0,t):e===Yn?UA.createTrue():e===Kn&&UA.createFalse();if(r)return r;const o=e.value;return"object"==typeof o?UA.createBigIntLiteral(o):"string"==typeof o?UA.createStringLiteral(o):o<0?UA.createPrefixUnaryExpression(41,UA.createNumericLiteral(-o)):UA.createNumericLiteral(o)}(sd(ps(e)),e,n)}function VG(e){return e?(bi(e),$f(e).localJsxFactory||ro):ro}function UG(e){if(e){const n=$f(e);if(n){if(n.localJsxFragmentFactory)return n.localJsxFragmentFactory;const e=n.pragmas.get("jsxfrag"),t=pn(e)?e[0]:e;if(t)return n.localJsxFragmentFactory=ck(t.arguments.factory,R),n.localJsxFragmentFactory}}if(A.jsxFragmentFactory)return ck(A.jsxFragmentFactory,R)}function HG(e){const n=267===e.kind?hn(e.name,zI):Gg(e),t=Ya(n,n,void 0);if(t)return Df(t,312)}function KG(e,n){if((t&n)!==n&&A.importHelpers){const o=$f(e);if(Um(o,A)&&!(33554432&e.flags)){const i=function(e,n){r||(r=$a(e,cp,Oa.This_syntax_requires_an_imported_helper_but_module_0_cannot_be_found,n)||vn);return r}(o,e);if(i!==vn){const r=n&~t;for(let n=1;n<=33554432;n<<=1)if(r&n)for(const t of qG(n)){if(c.has(t))continue;c.add(t);const r=Fa(qi(ls(i),Ml(t),111551));r?524288&n?oe(_m(r),(e=>Xk(e)>3))||Ai(e,Oa.This_syntax_requires_an_imported_helper_named_1_with_2_parameters_which_is_not_compatible_with_the_one_in_0_Consider_upgrading_your_version_of_0,cp,t,4):1048576&n?oe(_m(r),(e=>Xk(e)>4))||Ai(e,Oa.This_syntax_requires_an_imported_helper_named_1_with_2_parameters_which_is_not_compatible_with_the_one_in_0_Consider_upgrading_your_version_of_0,cp,t,5):1024&n&&(oe(_m(r),(e=>Xk(e)>2))||Ai(e,Oa.This_syntax_requires_an_imported_helper_named_1_with_2_parameters_which_is_not_compatible_with_the_one_in_0_Consider_upgrading_your_version_of_0,cp,t,3)):Ai(e,Oa.This_syntax_requires_an_imported_helper_named_1_which_does_not_exist_in_0_Consider_upgrading_your_version_of_0,cp,t)}}t|=n}}}function qG(e){switch(e){case 1:return["__extends"];case 2:return["__assign"];case 4:return["__rest"];case 8:return L?["__decorate"]:["__esDecorate","__runInitializers"];case 16:return["__metadata"];case 32:return["__param"];case 64:return["__awaiter"];case 128:return["__generator"];case 256:return["__values"];case 512:return["__read"];case 1024:return["__spreadArray"];case 2048:return["__await"];case 4096:return["__asyncGenerator"];case 8192:return["__asyncDelegator"];case 16384:return["__asyncValues"];case 32768:return["__exportStar"];case 65536:return["__importStar"];case 131072:return["__importDefault"];case 262144:return["__makeTemplateObject"];case 524288:return["__classPrivateFieldGet"];case 1048576:return["__classPrivateFieldSet"];case 2097152:return["__classPrivateFieldIn"];case 4194304:return["__createBinding"];case 8388608:return["__setFunctionName"];case 16777216:return["__propKey"];case 33554432:return["__addDisposableResource","__disposeResources"];default:return Tt.fail("Unrecognized helper")}}function JG(e){var n;const t=function(e){const n=function(e){return jP(e)?D(e.modifiers,EN):void 0}(e);return n&&bB(n,Oa.Decorators_are_not_valid_here)}(e)||function(e){if(!e.modifiers)return!1;const n=function(e){switch(e.kind){case 177:case 178:case 176:case 172:case 171:case 174:case 173:case 181:case 267:case 272:case 271:case 278:case 277:case 218:case 219:case 169:case 168:return;case 175:case 303:case 304:case 270:case 282:return D(e.modifiers,vd);default:if(268===e.parent.kind||312===e.parent.kind)return;switch(e.kind){case 262:return XG(e,134);case 263:case 185:return XG(e,128);case 231:case 264:case 265:return D(e.modifiers,vd);case 243:return 4&e.declarationList.flags?XG(e,135):D(e.modifiers,vd);case 266:return XG(e,87);default:Tt.assertNever(e)}}}(e);return n&&bB(n,Oa.Modifiers_cannot_appear_here)}(e);if(void 0!==t)return t;if(bN(e)&&vb(e))return bB(e,Oa.Neither_decorators_nor_modifiers_may_be_applied_to_this_parameters);const r=BD(e)?7&e.declarationList.flags:0;let o,i,a,s,l,c=0,d=!1,u=!1;for(const t of e.modifiers)if(EN(t)){if(!Ph(L,e,e.parent,e.parent.parent))return 174!==e.kind||am(e.body)?bB(e,Oa.Decorators_are_not_valid_here):bB(e,Oa.A_decorator_can_only_decorate_a_method_implementation_not_an_overload);if(L&&(177===e.kind||178===e.kind)){const n=xb(e.parent.members,e);if(Xb(n.firstAccessor)&&e===n.secondAccessor)return bB(e,Oa.Decorators_cannot_be_applied_to_multiple_get_Slashset_accessors_of_the_same_name)}if(-34849&c)return SB(t,Oa.Decorators_are_not_valid_here);if(u&&98303&c){Tt.assertIsDefined(l);return!vB($f(t))&&(xx(Ai(t,Oa.Decorators_may_not_appear_after_export_or_export_default_if_they_also_appear_before_export),d_(l,Oa.Decorator_used_before_export_here)),!0)}c|=32768,98303&c?32&c&&(d=!0):u=!0,l??(l=t)}else{if(148!==t.kind){if(171===e.kind||173===e.kind)return SB(t,Oa._0_modifier_cannot_appear_on_a_type_member,as(t.kind));if(181===e.kind&&(126!==t.kind||!Md(e.parent)))return SB(t,Oa._0_modifier_cannot_appear_on_an_index_signature,as(t.kind))}if(103!==t.kind&&147!==t.kind&&87!==t.kind&&168===e.kind)return SB(t,Oa._0_modifier_cannot_appear_on_a_type_parameter,as(t.kind));switch(t.kind){case 87:{if(266!==e.kind&&168!==e.kind)return SB(e,Oa.A_class_member_cannot_have_the_0_keyword,as(87));const n=GM(e.parent)&&sy(e.parent)||e.parent;if(168===e.kind&&!(Ad(n)||Md(n)||wN(n)||ON(n)||CN(n)||MN(n)||xN(n)))return SB(t,Oa._0_modifier_can_only_appear_on_a_type_parameter_of_a_function_method_or_class,as(t.kind));break}case 164:if(16&c)return SB(t,Oa._0_modifier_already_seen,"override");if(128&c)return SB(t,Oa._0_modifier_cannot_be_used_with_1_modifier,"override","declare");if(8&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"override","readonly");if(512&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"override","accessor");if(1024&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"override","async");c|=16,s=t;break;case 125:case 124:case 123:const u=pl(sE(t.kind));if(7&c)return SB(t,Oa.Accessibility_modifier_already_seen);if(16&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,u,"override");if(256&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,u,"static");if(512&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,u,"accessor");if(8&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,u,"readonly");if(1024&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,u,"async");if(268===e.parent.kind||312===e.parent.kind)return SB(t,Oa._0_modifier_cannot_appear_on_a_module_or_namespace_element,u);if(64&c)return 123===t.kind?SB(t,Oa._0_modifier_cannot_be_used_with_1_modifier,u,"abstract"):SB(t,Oa._0_modifier_must_precede_1_modifier,u,"abstract");if(md(e))return SB(t,Oa.An_accessibility_modifier_cannot_be_used_with_a_private_identifier);c|=sE(t.kind);break;case 126:if(256&c)return SB(t,Oa._0_modifier_already_seen,"static");if(8&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"static","readonly");if(1024&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"static","async");if(512&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"static","accessor");if(268===e.parent.kind||312===e.parent.kind)return SB(t,Oa._0_modifier_cannot_appear_on_a_module_or_namespace_element,"static");if(169===e.kind)return SB(t,Oa._0_modifier_cannot_appear_on_a_parameter,"static");if(64&c)return SB(t,Oa._0_modifier_cannot_be_used_with_1_modifier,"static","abstract");if(16&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"static","override");c|=256,o=t;break;case 129:if(512&c)return SB(t,Oa._0_modifier_already_seen,"accessor");if(8&c)return SB(t,Oa._0_modifier_cannot_be_used_with_1_modifier,"accessor","readonly");if(128&c)return SB(t,Oa._0_modifier_cannot_be_used_with_1_modifier,"accessor","declare");if(172!==e.kind)return SB(t,Oa.accessor_modifier_can_only_appear_on_a_property_declaration);c|=512;break;case 148:if(8&c)return SB(t,Oa._0_modifier_already_seen,"readonly");if(172!==e.kind&&171!==e.kind&&181!==e.kind&&169!==e.kind)return SB(t,Oa.readonly_modifier_can_only_appear_on_a_property_declaration_or_index_signature);if(512&c)return SB(t,Oa._0_modifier_cannot_be_used_with_1_modifier,"readonly","accessor");c|=8;break;case 95:if(A.verbatimModuleSyntax&&!(33554432&e.flags)&&265!==e.kind&&264!==e.kind&&267!==e.kind&&312===e.parent.kind&&(1===I||1===$f(e).impliedNodeFormat))return SB(t,Oa.A_top_level_export_modifier_cannot_be_used_on_value_declarations_in_a_CommonJS_module_when_verbatimModuleSyntax_is_enabled);if(32&c)return SB(t,Oa._0_modifier_already_seen,"export");if(128&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"export","declare");if(64&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"export","abstract");if(1024&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"export","async");if(Md(e.parent))return SB(t,Oa._0_modifier_cannot_appear_on_class_elements_of_this_kind,"export");if(169===e.kind)return SB(t,Oa._0_modifier_cannot_appear_on_a_parameter,"export");if(4===r)return SB(t,Oa._0_modifier_cannot_appear_on_a_using_declaration,"export");if(6===r)return SB(t,Oa._0_modifier_cannot_appear_on_an_await_using_declaration,"export");c|=32;break;case 90:const p=312===e.parent.kind?e.parent:e.parent.parent;if(267===p.kind&&!km(p))return SB(t,Oa.A_default_export_can_only_be_used_in_an_ECMAScript_style_module);if(4===r)return SB(t,Oa._0_modifier_cannot_appear_on_a_using_declaration,"default");if(6===r)return SB(t,Oa._0_modifier_cannot_appear_on_an_await_using_declaration,"default");if(!(32&c))return SB(t,Oa._0_modifier_must_precede_1_modifier,"export","default");if(d)return SB(l,Oa.Decorators_are_not_valid_here);c|=2048;break;case 138:if(128&c)return SB(t,Oa._0_modifier_already_seen,"declare");if(1024&c)return SB(t,Oa._0_modifier_cannot_be_used_in_an_ambient_context,"async");if(16&c)return SB(t,Oa._0_modifier_cannot_be_used_in_an_ambient_context,"override");if(Md(e.parent)&&!TN(e))return SB(t,Oa._0_modifier_cannot_appear_on_class_elements_of_this_kind,"declare");if(169===e.kind)return SB(t,Oa._0_modifier_cannot_appear_on_a_parameter,"declare");if(4===r)return SB(t,Oa._0_modifier_cannot_appear_on_a_using_declaration,"declare");if(6===r)return SB(t,Oa._0_modifier_cannot_appear_on_an_await_using_declaration,"declare");if(33554432&e.parent.flags&&268===e.parent.kind)return SB(t,Oa.A_declare_modifier_cannot_be_used_in_an_already_ambient_context);if(md(e))return SB(t,Oa._0_modifier_cannot_be_used_with_a_private_identifier,"declare");if(512&c)return SB(t,Oa._0_modifier_cannot_be_used_with_1_modifier,"declare","accessor");c|=128,i=t;break;case 128:if(64&c)return SB(t,Oa._0_modifier_already_seen,"abstract");if(263!==e.kind&&185!==e.kind){if(174!==e.kind&&172!==e.kind&&177!==e.kind&&178!==e.kind)return SB(t,Oa.abstract_modifier_can_only_appear_on_a_class_method_or_property_declaration);if(263!==e.parent.kind||!Bb(e.parent,64)){return SB(t,172===e.kind?Oa.Abstract_properties_can_only_appear_within_an_abstract_class:Oa.Abstract_methods_can_only_appear_within_an_abstract_class)}if(256&c)return SB(t,Oa._0_modifier_cannot_be_used_with_1_modifier,"static","abstract");if(2&c)return SB(t,Oa._0_modifier_cannot_be_used_with_1_modifier,"private","abstract");if(1024&c&&a)return SB(a,Oa._0_modifier_cannot_be_used_with_1_modifier,"async","abstract");if(16&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"abstract","override");if(512&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"abstract","accessor")}if(Gl(e)&&81===e.name.kind)return SB(t,Oa._0_modifier_cannot_be_used_with_a_private_identifier,"abstract");c|=64;break;case 134:if(1024&c)return SB(t,Oa._0_modifier_already_seen,"async");if(128&c||33554432&e.parent.flags)return SB(t,Oa._0_modifier_cannot_be_used_in_an_ambient_context,"async");if(169===e.kind)return SB(t,Oa._0_modifier_cannot_appear_on_a_parameter,"async");if(64&c)return SB(t,Oa._0_modifier_cannot_be_used_with_1_modifier,"async","abstract");c|=1024,a=t;break;case 103:case 147:{const r=103===t.kind?8192:16384,o=103===t.kind?"in":"out",i=GM(e.parent)&&(sy(e.parent)||D(null==(n=cy(e.parent))?void 0:n.tags,BM))||e.parent;if(168!==e.kind||i&&!(cC(i)||Md(i)||dC(i)||BM(i)))return SB(t,Oa._0_modifier_can_only_appear_on_a_type_parameter_of_a_class_interface_or_type_alias,o);if(c&r)return SB(t,Oa._0_modifier_already_seen,o);if(8192&r&&16384&c)return SB(t,Oa._0_modifier_must_precede_1_modifier,"in","out");c|=r;break}}}return 176===e.kind?256&c?SB(o,Oa._0_modifier_cannot_appear_on_a_constructor_declaration,"static"):16&c?SB(s,Oa._0_modifier_cannot_appear_on_a_constructor_declaration,"override"):!!(1024&c)&&SB(a,Oa._0_modifier_cannot_appear_on_a_constructor_declaration,"async"):(272===e.kind||271===e.kind)&&128&c?SB(i,Oa.A_0_modifier_cannot_be_used_with_an_import_declaration,"declare"):169===e.kind&&31&c&&Vd(e.name)?SB(e,Oa.A_parameter_property_may_not_be_declared_using_a_binding_pattern):169===e.kind&&31&c&&e.dotDotDotToken?SB(e,Oa.A_parameter_property_cannot_be_declared_using_a_rest_parameter):!!(1024&c)&&function(e,n){switch(e.kind){case 174:case 262:case 218:case 219:return!1}return SB(n,Oa._0_modifier_cannot_be_used_here,"async")}(e,a)}function XG(e,n){const t=D(e.modifiers,vd);return t&&t.kind!==n?t:void 0}function $G(e,n=Oa.Trailing_comma_not_allowed){return!(!e||!e.hasTrailingComma)&&EB(e[0],e.end-1,1,n)}function QG(e,n){if(e&&0===e.length){const t=e.pos-1;return EB(n,t,Ts(n.text,e.end)+1-t,Oa.Type_parameter_list_cannot_be_empty)}return!1}function ZG(e){if(R>=3){const n=e.body&&GD(e.body)&&mP(e.body.statements);if(n){const t=W(e.parameters,(e=>!!e.initializer||Vd(e.name)||ip(e)));if(b(t)){E(t,(e=>{xx(Ai(e,Oa.This_parameter_is_not_allowed_with_use_strict_directive),d_(n,Oa.use_strict_directive_used_here))}));const e=t.map(((e,n)=>d_(e,0===n?Oa.Non_simple_parameter_declared_here:Oa.and_here)));return xx(Ai(n,Oa.use_strict_directive_cannot_be_used_with_non_simple_parameter_list),...e),!0}}}return!1}function eB(e){const n=$f(e);return JG(e)||QG(e.typeParameters,n)||function(e){let n=!1;const t=e.length;for(let r=0;r<t;r++){const o=e[r];if(o.dotDotDotToken){if(r!==t-1)return SB(o.dotDotDotToken,Oa.A_rest_parameter_must_be_last_in_a_parameter_list);if(33554432&o.flags||$G(e,Oa.A_rest_parameter_or_binding_pattern_may_not_have_a_trailing_comma),o.questionToken)return SB(o.questionToken,Oa.A_rest_parameter_cannot_be_optional);if(o.initializer)return SB(o.name,Oa.A_rest_parameter_cannot_have_an_initializer)}else if(lm(o)){if(n=!0,o.questionToken&&o.initializer)return SB(o.name,Oa.Parameter_cannot_have_question_mark_and_initializer)}else if(n&&!o.initializer)return SB(o.name,Oa.A_required_parameter_cannot_follow_an_optional_parameter)}}(e.parameters)||function(e,n){if(!hD(e))return!1;e.typeParameters&&!(b(e.typeParameters)>1||e.typeParameters.hasTrailingComma||e.typeParameters[0].constraint)&&n&&Qi(n.fileName,[".mts",".cts"])&&SB(e.typeParameters[0],Oa.This_syntax_is_reserved_in_files_with_the_mts_or_cts_extension_Add_a_trailing_comma_or_explicit_constraint);const{equalsGreaterThanToken:t}=e,r=_s(n,t.pos).line,o=_s(n,t.end).line;return r!==o&&SB(t,Oa.Line_terminator_not_permitted_before_arrow)}(e,n)||Ad(e)&&ZG(e)}function nB(e,n){return $G(n)||function(e,n){if(n&&0===n.length){const t=$f(e),r=n.pos-1;return EB(t,r,Ts(t.text,n.end)+1-r,Oa.Type_argument_list_cannot_be_empty)}return!1}(e,n)}function tB(e){const n=e.types;if($G(n))return!0;if(n&&0===n.length){const t=as(e.token);return EB(e,n.pos,0,Oa._0_list_cannot_be_empty,t)}return oe(n,rB)}function rB(e){return CD(e)&&_N(e.expression)&&e.typeArguments?SB(e,Oa.This_use_of_import_is_invalid_import_calls_can_be_written_but_they_must_have_parentheses_and_cannot_have_type_arguments):nB(e,e.typeArguments)}function iB(e){if(167!==e.kind)return!1;const n=e;return 226===n.expression.kind&&28===n.expression.operatorToken.kind&&SB(n.expression,Oa.A_comma_expression_is_not_allowed_in_a_computed_property_name)}function aB(e){if(e.asteriskToken){if(Tt.assert(262===e.kind||218===e.kind||174===e.kind),33554432&e.flags)return SB(e.asteriskToken,Oa.Generators_are_not_allowed_in_an_ambient_context);if(!e.body)return SB(e.asteriskToken,Oa.An_overload_signature_cannot_be_declared_as_a_generator)}}function sB(e,n){return!!e&&SB(e,n)}function lB(e,n){return!!e&&SB(e,n)}function cB(e){if(xB(e))return!0;if(250===e.kind&&e.awaitModifier&&!(65536&e.flags)){const n=$f(e);if(Eh(e)){if(!vB(n))switch(Um(n,A)||si.add(d_(e.awaitModifier,Oa.for_await_loops_are_only_allowed_at_the_top_level_of_a_file_when_that_file_is_a_module_but_this_file_has_no_imports_or_exports_Consider_adding_an_empty_export_to_make_this_file_a_module)),I){case 100:case 199:if(1===n.impliedNodeFormat){si.add(d_(e.awaitModifier,Oa.The_current_file_is_a_CommonJS_module_and_cannot_use_await_at_the_top_level));break}case 7:case 99:case 4:if(R>=4)break;default:si.add(d_(e.awaitModifier,Oa.Top_level_for_await_loops_are_only_allowed_when_the_module_option_is_set_to_es2022_esnext_system_node16_nodenext_or_preserve_and_the_target_option_is_set_to_es2017_or_higher))}}else if(!vB(n)){const n=d_(e.awaitModifier,Oa.for_await_loops_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules),t=fh(e);if(t&&176!==t.kind){Tt.assert(!(2&Zy(t)),"Enclosing function should never be an async function.");xx(n,d_(t,Oa.Did_you_mean_to_mark_this_function_as_async))}return si.add(n),!0}return!1}if(XD(e)&&!(65536&e.flags)&&tN(e.initializer)&&"async"===e.initializer.escapedText)return SB(e.initializer,Oa.The_left_hand_side_of_a_for_of_statement_may_not_be_async),!1;if(261===e.initializer.kind){const n=e.initializer;if(!gB(n)){const t=n.declarations;if(!t.length)return!1;if(t.length>1){const t=249===e.kind?Oa.Only_a_single_variable_declaration_is_allowed_in_a_for_in_statement:Oa.Only_a_single_variable_declaration_is_allowed_in_a_for_of_statement;return bB(n.declarations[1],t)}const r=t[0];if(r.initializer){const n=249===e.kind?Oa.The_variable_declaration_of_a_for_in_statement_cannot_have_an_initializer:Oa.The_variable_declaration_of_a_for_of_statement_cannot_have_an_initializer;return SB(r.name,n)}if(r.type){return SB(r,249===e.kind?Oa.The_left_hand_side_of_a_for_in_statement_cannot_use_a_type_annotation:Oa.The_left_hand_side_of_a_for_of_statement_cannot_use_a_type_annotation)}}}return!1}function dB(e){if(e.parameters.length===(177===e.kind?1:2))return yb(e)}function uB(e,n){if(function(e){return ov(e)&&!Su(e)}(e))return SB(e,n)}function pB(e){if(eB(e))return!0;if(174===e.kind){if(210===e.parent.kind){if(e.modifiers&&(1!==e.modifiers.length||134!==Me(e.modifiers).kind))return bB(e,Oa.Modifiers_cannot_appear_here);if(sB(e.questionToken,Oa.An_object_member_cannot_be_declared_optional))return!0;if(lB(e.exclamationToken,Oa.A_definite_assignment_assertion_is_not_permitted_in_this_context))return!0;if(void 0===e.body)return EB(e,e.end-1,1,Oa._0_expected,"{")}if(aB(e))return!0}if(Md(e.parent)){if(R<2&&rN(e.name))return SB(e.name,Oa.Private_identifiers_are_only_available_when_targeting_ECMAScript_2015_and_higher);if(33554432&e.flags)return uB(e.name,Oa.A_computed_property_name_in_an_ambient_context_must_refer_to_an_expression_whose_type_is_a_literal_type_or_a_unique_symbol_type);if(174===e.kind&&!e.body)return uB(e.name,Oa.A_computed_property_name_in_a_method_overload_must_refer_to_an_expression_whose_type_is_a_literal_type_or_a_unique_symbol_type)}else{if(264===e.parent.kind)return uB(e.name,Oa.A_computed_property_name_in_an_interface_must_refer_to_an_expression_whose_type_is_a_literal_type_or_a_unique_symbol_type);if(187===e.parent.kind)return uB(e.name,Oa.A_computed_property_name_in_a_type_literal_must_refer_to_an_expression_whose_type_is_a_literal_type_or_a_unique_symbol_type)}}function fB(e){return nv(e)||224===e.kind&&41===e.operator&&9===e.operand.kind}function mB(e){const n=e.initializer;if(n){const r=!(fB(n)||function(e){if((lD(e)||cD(e)&&fB(e.argumentExpression))&&EE(e.expression))return!!(1056&nO(e).flags)}(n)||112===n.kind||97===n.kind||(t=n,10===t.kind||224===t.kind&&41===t.operator&&10===t.operand.kind));if(!(R_(e)||iC(e)&&MB(e))||e.type)return SB(n,Oa.Initializers_are_not_allowed_in_ambient_contexts);if(r)return SB(n,Oa.A_const_initializer_in_an_ambient_context_must_be_a_string_or_numeric_literal_or_literal_enum_reference)}var t}function _B(e){if(80===e.kind){if("__esModule"===Ll(e))return function(e,n,t,...r){if(!vB($f(n)))return Ti(e,n,t,...r),!0;return!1}("noEmit",e,Oa.Identifier_expected_esModule_is_reserved_as_an_exported_marker_when_transforming_ECMAScript_modules)}else{const n=e.elements;for(const e of n)if(!DD(e))return _B(e.name)}return!1}function hB(e){if(80===e.kind){if("let"===e.escapedText)return SB(e,Oa.let_is_not_allowed_to_be_used_as_a_name_in_let_or_const_declarations)}else{const n=e.elements;for(const e of n)DD(e)||hB(e.name)}return!1}function gB(e){const n=e.declarations;if($G(e.declarations))return!0;if(!e.declarations.length)return EB(e,n.pos,n.end-n.pos,Oa.Variable_declaration_list_cannot_be_empty);const t=7&e.flags;return 4!==t&&6!==t||!JD(e.parent)?6===t&&ww(e):SB(e,4===t?Oa.The_left_hand_side_of_a_for_in_statement_cannot_be_a_using_declaration:Oa.The_left_hand_side_of_a_for_in_statement_cannot_be_an_await_using_declaration)}function yB(e){switch(e.kind){case 245:case 246:case 247:case 254:case 248:case 249:case 250:return!1;case 256:return yB(e.parent)}return!0}function vB(e){return e.parseDiagnostics.length>0}function bB(e,n,...t){const r=$f(e);if(!vB(r)){const o=b_(r,e.pos);return si.add(iT(r,o.start,o.length,n,...t)),!0}return!1}function EB(e,n,t,r,...o){const i=$f(e);return!vB(i)&&(si.add(iT(i,n,t,r,...o)),!0)}function SB(e,n,...t){return!vB($f(e))&&(si.add(d_(e,n,...t)),!0)}function TB(e){return 264!==e.kind&&265!==e.kind&&272!==e.kind&&271!==e.kind&&278!==e.kind&&277!==e.kind&&270!==e.kind&&!Bb(e,2208)&&bB(e,Oa.Top_level_declarations_in_d_ts_files_must_start_with_either_a_declare_or_export_modifier)}function xB(e){if(33554432&e.flags){if(!Hi(e).hasReportedStatementInAmbientContext&&(Td(e.parent)||Pd(e.parent)))return Hi(e).hasReportedStatementInAmbientContext=bB(e,Oa.An_implementation_cannot_be_declared_in_ambient_contexts);if(241===e.parent.kind||268===e.parent.kind||312===e.parent.kind){const n=Hi(e.parent);if(!n.hasReportedStatementInAmbientContext)return n.hasReportedStatementInAmbientContext=bB(e,Oa.Statements_are_not_allowed_in_ambient_contexts)}}return!1}function AB(e){const n=xm(e).includes("."),t=16&e.numericLiteralFlags;if(n||t)return;+e.text<=2**53-1||Ri(!1,d_(e,Oa.Numeric_literals_with_absolute_values_equal_to_2_53_or_greater_are_too_large_to_be_represented_accurately_as_integers))}function RB(e){return!!E(e.elements,(e=>{if(e.isTypeOnly)return bB(e,276===e.kind?Oa.The_type_modifier_cannot_be_used_on_a_named_import_when_import_type_is_used_on_its_import_statement:Oa.The_type_modifier_cannot_be_used_on_a_named_export_when_export_type_is_used_on_its_export_statement)}))}function IB(e,n,t){if(1048576&n.flags&&2621440&e.flags){const r=sI(n,e);if(r)return r;const o=Hp(e);if(o){const e=oI(o,n);if(e){const r=GT(n,B(e,(e=>[()=>sd(e),e.escapedName])),t);if(r!==n)return r}}}}function NB(e){const n=iv(e);return n||(yN(e)?eI(gO(e.expression)):void 0)}function DB(e){return be===e?Oe:(be=e,Oe=Sl(e))}function CB(e){return ve===e?we:(ve=e,we=xl(e))}function MB(e){const n=7&CB(e);return 2===n||4===n||6===n}}function Xz(e){return!Pd(e)}function Yz(e){return 262!==e.kind&&174!==e.kind||!!e.body}function $z(e){switch(e.parent.kind){case 276:case 281:return tN(e);default:return Ry(e)}}function Qz(e){switch(e){case 0:return"yieldType";case 1:return"returnType";case 2:return"nextType"}}function Zz(e){return!!(1&e.flags)}function eG(e){return!!(2&e.flags)}var nG,tG=g({"src/compiler/checker.ts"(){var e;JJ(),Vz(),ni(),Nz=/^".+"$/,Dz="(anonymous)",Cz=1,Mz=1,Pz=1,Lz=1,kz=(e=>(e[e.None=0]="None",e[e.TypeofEQString=1]="TypeofEQString",e[e.TypeofEQNumber=2]="TypeofEQNumber",e[e.TypeofEQBigInt=4]="TypeofEQBigInt",e[e.TypeofEQBoolean=8]="TypeofEQBoolean",e[e.TypeofEQSymbol=16]="TypeofEQSymbol",e[e.TypeofEQObject=32]="TypeofEQObject",e[e.TypeofEQFunction=64]="TypeofEQFunction",e[e.TypeofEQHostObject=128]="TypeofEQHostObject",e[e.TypeofNEString=256]="TypeofNEString",e[e.TypeofNENumber=512]="TypeofNENumber",e[e.TypeofNEBigInt=1024]="TypeofNEBigInt",e[e.TypeofNEBoolean=2048]="TypeofNEBoolean",e[e.TypeofNESymbol=4096]="TypeofNESymbol",e[e.TypeofNEObject=8192]="TypeofNEObject",e[e.TypeofNEFunction=16384]="TypeofNEFunction",e[e.TypeofNEHostObject=32768]="TypeofNEHostObject",e[e.EQUndefined=65536]="EQUndefined",e[e.EQNull=131072]="EQNull",e[e.EQUndefinedOrNull=262144]="EQUndefinedOrNull",e[e.NEUndefined=524288]="NEUndefined",e[e.NENull=1048576]="NENull",e[e.NEUndefinedOrNull=2097152]="NEUndefinedOrNull",e[e.Truthy=4194304]="Truthy",e[e.Falsy=8388608]="Falsy",e[e.IsUndefined=16777216]="IsUndefined",e[e.IsNull=33554432]="IsNull",e[e.IsUndefinedOrNull=50331648]="IsUndefinedOrNull",e[e.All=134217727]="All",e[e.BaseStringStrictFacts=3735041]="BaseStringStrictFacts",e[e.BaseStringFacts=12582401]="BaseStringFacts",e[e.StringStrictFacts=16317953]="StringStrictFacts",e[e.StringFacts=16776705]="StringFacts",e[e.EmptyStringStrictFacts=12123649]="EmptyStringStrictFacts",e[e.EmptyStringFacts=12582401]="EmptyStringFacts",e[e.NonEmptyStringStrictFacts=7929345]="NonEmptyStringStrictFacts",e[e.NonEmptyStringFacts=16776705]="NonEmptyStringFacts",e[e.BaseNumberStrictFacts=3734786]="BaseNumberStrictFacts",e[e.BaseNumberFacts=12582146]="BaseNumberFacts",e[e.NumberStrictFacts=16317698]="NumberStrictFacts",e[e.NumberFacts=16776450]="NumberFacts",e[e.ZeroNumberStrictFacts=12123394]="ZeroNumberStrictFacts",e[e.ZeroNumberFacts=12582146]="ZeroNumberFacts",e[e.NonZeroNumberStrictFacts=7929090]="NonZeroNumberStrictFacts",e[e.NonZeroNumberFacts=16776450]="NonZeroNumberFacts",e[e.BaseBigIntStrictFacts=3734276]="BaseBigIntStrictFacts",e[e.BaseBigIntFacts=12581636]="BaseBigIntFacts",e[e.BigIntStrictFacts=16317188]="BigIntStrictFacts",e[e.BigIntFacts=16775940]="BigIntFacts",e[e.ZeroBigIntStrictFacts=12122884]="ZeroBigIntStrictFacts",e[e.ZeroBigIntFacts=12581636]="ZeroBigIntFacts",e[e.NonZeroBigIntStrictFacts=7928580]="NonZeroBigIntStrictFacts",e[e.NonZeroBigIntFacts=16775940]="NonZeroBigIntFacts",e[e.BaseBooleanStrictFacts=3733256]="BaseBooleanStrictFacts",e[e.BaseBooleanFacts=12580616]="BaseBooleanFacts",e[e.BooleanStrictFacts=16316168]="BooleanStrictFacts",e[e.BooleanFacts=16774920]="BooleanFacts",e[e.FalseStrictFacts=12121864]="FalseStrictFacts",e[e.FalseFacts=12580616]="FalseFacts",e[e.TrueStrictFacts=7927560]="TrueStrictFacts",e[e.TrueFacts=16774920]="TrueFacts",e[e.SymbolStrictFacts=7925520]="SymbolStrictFacts",e[e.SymbolFacts=16772880]="SymbolFacts",e[e.ObjectStrictFacts=7888800]="ObjectStrictFacts",e[e.ObjectFacts=16736160]="ObjectFacts",e[e.FunctionStrictFacts=7880640]="FunctionStrictFacts",e[e.FunctionFacts=16728e3]="FunctionFacts",e[e.VoidFacts=9830144]="VoidFacts",e[e.UndefinedFacts=26607360]="UndefinedFacts",e[e.NullFacts=42917664]="NullFacts",e[e.EmptyObjectStrictFacts=83427327]="EmptyObjectStrictFacts",e[e.EmptyObjectFacts=83886079]="EmptyObjectFacts",e[e.UnknownFacts=83886079]="UnknownFacts",e[e.AllTypeofNE=556800]="AllTypeofNE",e[e.OrFactsMask=8256]="OrFactsMask",e[e.AndFactsMask=134209471]="AndFactsMask",e))(kz||{}),wz=new Map(Object.entries({string:256,number:512,bigint:1024,boolean:2048,symbol:4096,undefined:524288,object:8192,function:16384})),Oz=(e=>(e[e.Normal=0]="Normal",e[e.Contextual=1]="Contextual",e[e.Inferential=2]="Inferential",e[e.SkipContextSensitive=4]="SkipContextSensitive",e[e.SkipGenericFunctions=8]="SkipGenericFunctions",e[e.IsForSignatureHelp=16]="IsForSignatureHelp",e[e.RestBindingElement=32]="RestBindingElement",e[e.TypeOnly=64]="TypeOnly",e))(Oz||{}),Fz=(e=>(e[e.None=0]="None",e[e.BivariantCallback=1]="BivariantCallback",e[e.StrictCallback=2]="StrictCallback",e[e.IgnoreReturnTypes=4]="IgnoreReturnTypes",e[e.StrictArity=8]="StrictArity",e[e.StrictTopSignature=16]="StrictTopSignature",e[e.Callback=3]="Callback",e))(Fz||{}),Wz=ut(Yz,Xz),zz=new Map(Object.entries({Uppercase:0,Lowercase:1,Capitalize:2,Uncapitalize:3,NoInfer:4})),Gz=class{},(e=Bz||(Bz={})).JSX="JSX",e.IntrinsicElements="IntrinsicElements",e.ElementClass="ElementClass",e.ElementAttributesPropertyNameContainer="ElementAttributesProperty",e.ElementChildrenAttributeNameContainer="ElementChildrenAttribute",e.Element="Element",e.ElementType="ElementType",e.IntrinsicAttributes="IntrinsicAttributes",e.IntrinsicClassAttributes="IntrinsicClassAttributes",e.LibraryManagedAttributes="LibraryManagedAttributes",jz=class e{constructor(n,t,r){var o;for(this.moduleResolverHost=void 0,this.inner=void 0,this.disableTrackSymbol=!1;t instanceof e;)t=t.inner;this.inner=t,this.moduleResolverHost=r,this.context=n,this.canTrackSymbol=!!(null==(o=this.inner)?void 0:o.trackSymbol)}trackSymbol(e,n,t){var r,o;if((null==(r=this.inner)?void 0:r.trackSymbol)&&!this.disableTrackSymbol){if(this.inner.trackSymbol(e,n,t))return this.onDiagnosticReported(),!0;262144&e.flags||((o=this.context).trackedSymbols??(o.trackedSymbols=[])).push([e,n,t])}return!1}reportInaccessibleThisError(){var e;(null==(e=this.inner)?void 0:e.reportInaccessibleThisError)&&(this.onDiagnosticReported(),this.inner.reportInaccessibleThisError())}reportPrivateInBaseOfClassExpression(e){var n;(null==(n=this.inner)?void 0:n.reportPrivateInBaseOfClassExpression)&&(this.onDiagnosticReported(),this.inner.reportPrivateInBaseOfClassExpression(e))}reportInaccessibleUniqueSymbolError(){var e;(null==(e=this.inner)?void 0:e.reportInaccessibleUniqueSymbolError)&&(this.onDiagnosticReported(),this.inner.reportInaccessibleUniqueSymbolError())}reportCyclicStructureError(){var e;(null==(e=this.inner)?void 0:e.reportCyclicStructureError)&&(this.onDiagnosticReported(),this.inner.reportCyclicStructureError())}reportLikelyUnsafeImportRequiredError(e){var n;(null==(n=this.inner)?void 0:n.reportLikelyUnsafeImportRequiredError)&&(this.onDiagnosticReported(),this.inner.reportLikelyUnsafeImportRequiredError(e))}reportTruncationError(){var e;(null==(e=this.inner)?void 0:e.reportTruncationError)&&(this.onDiagnosticReported(),this.inner.reportTruncationError())}trackReferencedAmbientModule(e,n){var t;(null==(t=this.inner)?void 0:t.trackReferencedAmbientModule)&&(this.onDiagnosticReported(),this.inner.trackReferencedAmbientModule(e,n))}trackExternalModuleSymbolOfImportTypeNode(e){var n;(null==(n=this.inner)?void 0:n.trackExternalModuleSymbolOfImportTypeNode)&&(this.onDiagnosticReported(),this.inner.trackExternalModuleSymbolOfImportTypeNode(e))}reportNonlocalAugmentation(e,n,t){var r;(null==(r=this.inner)?void 0:r.reportNonlocalAugmentation)&&(this.onDiagnosticReported(),this.inner.reportNonlocalAugmentation(e,n,t))}reportNonSerializableProperty(e){var n;(null==(n=this.inner)?void 0:n.reportNonSerializableProperty)&&(this.onDiagnosticReported(),this.inner.reportNonSerializableProperty(e))}onDiagnosticReported(){this.context.reportedDiagnostic=!0}}}});function rG(e,n,t,r){if(void 0===e)return e;const o=n(e);let i;return void 0!==o?(i=pn(o)?(r||mG)(o):o,Tt.assertNode(i,t),i):void 0}function oG(e,n,t,r,o){if(void 0===e)return e;const i=e.length;let a;(void 0===r||r<0)&&(r=0),(void 0===o||o>i-r)&&(o=i-r);let s=-1,l=-1;r>0||o<i?a=e.hasTrailingComma&&r+o===i:(s=e.pos,l=e.end,a=e.hasTrailingComma);const c=aG(e,n,t,r,o);if(c!==e){const e=UA.createNodeArray(c,a);return Gx(e,s,l),e}return e}function iG(e,n,t,r,o){if(void 0===e)return e;const i=e.length;return(void 0===r||r<0)&&(r=0),(void 0===o||o>i-r)&&(o=i-r),aG(e,n,t,r,o)}function aG(e,n,t,r,o){let i;const a=e.length;(r>0||o<a)&&(i=[]);for(let a=0;a<o;a++){const o=e[a+r],s=void 0!==o?n?n(o):o:void 0;if((void 0!==i||void 0===s||s!==o)&&(void 0===i&&(i=e.slice(0,a),Tt.assertEachNode(i,t)),s))if(pn(s))for(const e of s)Tt.assertNode(e,t),i.push(e);else Tt.assertNode(s,t),i.push(s)}return i||(Tt.assertEachNode(e,t),e)}function sG(e,n,t,r,o,i=oG){return t.startLexicalEnvironment(),e=i(e,n,wu,r),o&&(e=t.factory.ensureUseStrict(e)),UA.mergeLexicalEnvironment(e,t.endLexicalEnvironment())}function lG(e,n,t,r=oG){let o;return t.startLexicalEnvironment(),e&&(t.setLexicalEnvironmentFlags(1,!0),o=r(e,n,bN),2&t.getLexicalEnvironmentFlags()&&jp(t.getCompilerOptions())>=2&&(o=function(e,n){let t;for(let r=0;r<e.length;r++){const o=e[r],i=cG(o,n);(t||i!==o)&&(t||(t=e.slice(0,r)),t[r]=i)}if(t)return yL(n.factory.createNodeArray(t,e.hasTrailingComma),e);return e}(o,t)),t.setLexicalEnvironmentFlags(1,!1)),t.suspendLexicalEnvironment(),o}function cG(e,n){return e.dotDotDotToken?e:Vd(e.name)?function(e,n){const{factory:t}=n;return n.addInitializationStatement(t.createVariableStatement(void 0,t.createVariableDeclarationList([t.createVariableDeclaration(e.name,void 0,e.type,e.initializer?t.createConditionalExpression(t.createStrictEquality(t.getGeneratedNameForNode(e),t.createVoidZero()),void 0,e.initializer,void 0,t.getGeneratedNameForNode(e)):t.getGeneratedNameForNode(e))]))),t.updateParameterDeclaration(e,e.modifiers,e.dotDotDotToken,t.getGeneratedNameForNode(e),e.questionToken,e.type,void 0)}(e,n):e.initializer?function(e,n,t,r){const o=r.factory;return r.addInitializationStatement(o.createIfStatement(o.createTypeCheck(o.cloneNode(n),"undefined"),fR(yL(o.createBlock([o.createExpressionStatement(fR(yL(o.createAssignment(fR(o.cloneNode(n),96),fR(t,3168|Im(t))),e),3072))]),e),3905))),o.updateParameterDeclaration(e,e.modifiers,e.dotDotDotToken,e.name,e.questionToken,e.type,void 0)}(e,e.name,e.initializer,n):e}function dG(e,n,t,r=rG){t.resumeLexicalEnvironment();const o=r(e,n,bu),i=t.endLexicalEnvironment();if(oe(i)){if(!o)return t.factory.createBlock(i);const e=t.factory.converters.convertToFunctionBlock(o),n=UA.mergeLexicalEnvironment(e.statements,i);return t.factory.updateBlock(e,n)}return o}function uG(e,n,t,r=rG){t.startBlockScope();const o=r(e,n,wu,t.factory.liftToBlock);Tt.assert(o);const i=t.endBlockScope();return oe(i)?GD(o)?(i.push(...o.statements),t.factory.updateBlock(o,i)):(i.push(o),t.factory.createBlock(i)):o}function pG(e,n,t=n){if(t===n||e.length<=1)return oG(e,n,uu);let r=0;const o=e.length;return oG(e,(e=>{const i=r<o-1;return r++,i?t(e):n(e)}),uu)}function fG(e,n,t=tV,r=oG,o,i=rG){if(void 0===e)return;const a=nG[e.kind];return void 0===a?e:a(e,n,t,r,i,o)}function mG(e){return Tt.assert(e.length<=1,"Too many nodes written to output."),we(e)}var _G,hG,gG,yG,vG=g({"src/compiler/visitorPublic.ts"(){JJ(),nG={166:function(e,n,t,r,o,i){return t.factory.updateQualifiedName(e,Tt.checkDefined(o(e.left,n,bd)),Tt.checkDefined(o(e.right,n,tN)))},167:function(e,n,t,r,o,i){return t.factory.updateComputedPropertyName(e,Tt.checkDefined(o(e.expression,n,uu)))},168:function(e,n,t,r,o,i){return t.factory.updateTypeParameterDeclaration(e,r(e.modifiers,n,vd),Tt.checkDefined(o(e.name,n,tN)),o(e.constraint,n,Bd),o(e.default,n,Bd))},169:function(e,n,t,r,o,i){return t.factory.updateParameterDeclaration(e,r(e.modifiers,n,Fd),i?o(e.dotDotDotToken,i,KI):e.dotDotDotToken,Tt.checkDefined(o(e.name,n,Sd)),i?o(e.questionToken,i,QI):e.questionToken,o(e.type,n,Bd),o(e.initializer,n,uu))},170:function(e,n,t,r,o,i){return t.factory.updateDecorator(e,Tt.checkDefined(o(e.expression,n,uu)))},171:function(e,n,t,r,o,i){return t.factory.updatePropertySignature(e,r(e.modifiers,n,vd),Tt.checkDefined(o(e.name,n,Ed)),i?o(e.questionToken,i,QI):e.questionToken,o(e.type,n,Bd))},172:function(e,n,t,r,o,i){return t.factory.updatePropertyDeclaration(e,r(e.modifiers,n,Fd),Tt.checkDefined(o(e.name,n,Ed)),i?o(e.questionToken??e.exclamationToken,i,UP):e.questionToken??e.exclamationToken,o(e.type,n,Bd),o(e.initializer,n,uu))},173:function(e,n,t,r,o,i){return t.factory.updateMethodSignature(e,r(e.modifiers,n,vd),Tt.checkDefined(o(e.name,n,Ed)),i?o(e.questionToken,i,QI):e.questionToken,r(e.typeParameters,n,vN),r(e.parameters,n,bN),o(e.type,n,Bd))},174:function(e,n,t,r,o,i){return t.factory.updateMethodDeclaration(e,r(e.modifiers,n,Fd),i?o(e.asteriskToken,i,YI):e.asteriskToken,Tt.checkDefined(o(e.name,n,Ed)),i?o(e.questionToken,i,QI):e.questionToken,r(e.typeParameters,n,vN),lG(e.parameters,n,t,r),o(e.type,n,Bd),dG(e.body,n,t,o))},176:function(e,n,t,r,o,i){return t.factory.updateConstructorDeclaration(e,r(e.modifiers,n,Fd),lG(e.parameters,n,t,r),dG(e.body,n,t,o))},177:function(e,n,t,r,o,i){return t.factory.updateGetAccessorDeclaration(e,r(e.modifiers,n,Fd),Tt.checkDefined(o(e.name,n,Ed)),lG(e.parameters,n,t,r),o(e.type,n,Bd),dG(e.body,n,t,o))},178:function(e,n,t,r,o,i){return t.factory.updateSetAccessorDeclaration(e,r(e.modifiers,n,Fd),Tt.checkDefined(o(e.name,n,Ed)),lG(e.parameters,n,t,r),dG(e.body,n,t,o))},175:function(e,n,t,r,o,i){return t.startLexicalEnvironment(),t.suspendLexicalEnvironment(),t.factory.updateClassStaticBlockDeclaration(e,dG(e.body,n,t,o))},179:function(e,n,t,r,o,i){return t.factory.updateCallSignature(e,r(e.typeParameters,n,vN),r(e.parameters,n,bN),o(e.type,n,Bd))},180:function(e,n,t,r,o,i){return t.factory.updateConstructSignature(e,r(e.typeParameters,n,vN),r(e.parameters,n,bN),o(e.type,n,Bd))},181:function(e,n,t,r,o,i){return t.factory.updateIndexSignature(e,r(e.modifiers,n,Fd),r(e.parameters,n,bN),Tt.checkDefined(o(e.type,n,Bd)))},182:function(e,n,t,r,o,i){return t.factory.updateTypePredicateNode(e,o(e.assertsModifier,n,sN),Tt.checkDefined(o(e.parameterName,n,HP)),o(e.type,n,Bd))},183:function(e,n,t,r,o,i){return t.factory.updateTypeReferenceNode(e,Tt.checkDefined(o(e.typeName,n,bd)),r(e.typeArguments,n,Bd))},184:function(e,n,t,r,o,i){return t.factory.updateFunctionTypeNode(e,r(e.typeParameters,n,vN),r(e.parameters,n,bN),Tt.checkDefined(o(e.type,n,Bd)))},185:function(e,n,t,r,o,i){return t.factory.updateConstructorTypeNode(e,r(e.modifiers,n,vd),r(e.typeParameters,n,vN),r(e.parameters,n,bN),Tt.checkDefined(o(e.type,n,Bd)))},186:function(e,n,t,r,o,i){return t.factory.updateTypeQueryNode(e,Tt.checkDefined(o(e.exprName,n,bd)),r(e.typeArguments,n,Bd))},187:function(e,n,t,r,o,i){return t.factory.updateTypeLiteralNode(e,r(e.members,n,Wd))},188:function(e,n,t,r,o,i){return t.factory.updateArrayTypeNode(e,Tt.checkDefined(o(e.elementType,n,Bd)))},189:function(e,n,t,r,o,i){return t.factory.updateTupleTypeNode(e,r(e.elements,n,Bd))},190:function(e,n,t,r,o,i){return t.factory.updateOptionalTypeNode(e,Tt.checkDefined(o(e.type,n,Bd)))},191:function(e,n,t,r,o,i){return t.factory.updateRestTypeNode(e,Tt.checkDefined(o(e.type,n,Bd)))},192:function(e,n,t,r,o,i){return t.factory.updateUnionTypeNode(e,r(e.types,n,Bd))},193:function(e,n,t,r,o,i){return t.factory.updateIntersectionTypeNode(e,r(e.types,n,Bd))},194:function(e,n,t,r,o,i){return t.factory.updateConditionalTypeNode(e,Tt.checkDefined(o(e.checkType,n,Bd)),Tt.checkDefined(o(e.extendsType,n,Bd)),Tt.checkDefined(o(e.trueType,n,Bd)),Tt.checkDefined(o(e.falseType,n,Bd)))},195:function(e,n,t,r,o,i){return t.factory.updateInferTypeNode(e,Tt.checkDefined(o(e.typeParameter,n,vN)))},205:function(e,n,t,r,o,i){return t.factory.updateImportTypeNode(e,Tt.checkDefined(o(e.argument,n,Bd)),o(e.attributes,n,SC),o(e.qualifier,n,bd),r(e.typeArguments,n,Bd),e.isTypeOf)},302:function(e,n,t,r,o,i){return t.factory.updateImportTypeAssertionContainer(e,Tt.checkDefined(o(e.assertClause,n,bC)),e.multiLine)},202:function(e,n,t,r,o,i){return t.factory.updateNamedTupleMember(e,i?o(e.dotDotDotToken,i,KI):e.dotDotDotToken,Tt.checkDefined(o(e.name,n,tN)),i?o(e.questionToken,i,QI):e.questionToken,Tt.checkDefined(o(e.type,n,Bd)))},196:function(e,n,t,r,o,i){return t.factory.updateParenthesizedType(e,Tt.checkDefined(o(e.type,n,Bd)))},198:function(e,n,t,r,o,i){return t.factory.updateTypeOperatorNode(e,Tt.checkDefined(o(e.type,n,Bd)))},199:function(e,n,t,r,o,i){return t.factory.updateIndexedAccessTypeNode(e,Tt.checkDefined(o(e.objectType,n,Bd)),Tt.checkDefined(o(e.indexType,n,Bd)))},200:function(e,n,t,r,o,i){return t.factory.updateMappedTypeNode(e,i?o(e.readonlyToken,i,KP):e.readonlyToken,Tt.checkDefined(o(e.typeParameter,n,vN)),o(e.nameType,n,Bd),i?o(e.questionToken,i,qP):e.questionToken,o(e.type,n,Bd),r(e.members,n,Wd))},201:function(e,n,t,r,o,i){return t.factory.updateLiteralTypeNode(e,Tt.checkDefined(o(e.literal,n,du)))},203:function(e,n,t,r,o,i){return t.factory.updateTemplateLiteralType(e,Tt.checkDefined(o(e.head,n,VI)),r(e.templateSpans,n,nD))},204:function(e,n,t,r,o,i){return t.factory.updateTemplateLiteralTypeSpan(e,Tt.checkDefined(o(e.type,n,Bd)),Tt.checkDefined(o(e.literal,n,od)))},206:function(e,n,t,r,o,i){return t.factory.updateObjectBindingPattern(e,r(e.elements,n,iD))},207:function(e,n,t,r,o,i){return t.factory.updateArrayBindingPattern(e,r(e.elements,n,Hd))},208:function(e,n,t,r,o,i){return t.factory.updateBindingElement(e,i?o(e.dotDotDotToken,i,KI):e.dotDotDotToken,o(e.propertyName,n,Ed),Tt.checkDefined(o(e.name,n,Sd)),o(e.initializer,n,uu))},209:function(e,n,t,r,o,i){return t.factory.updateArrayLiteralExpression(e,r(e.elements,n,uu))},210:function(e,n,t,r,o,i){return t.factory.updateObjectLiteralExpression(e,r(e.properties,n,Gd))},211:function(e,n,t,r,o,i){return Pc(e)?t.factory.updatePropertyAccessChain(e,Tt.checkDefined(o(e.expression,n,uu)),i?o(e.questionDotToken,i,eN):e.questionDotToken,Tt.checkDefined(o(e.name,n,Cc))):t.factory.updatePropertyAccessExpression(e,Tt.checkDefined(o(e.expression,n,uu)),Tt.checkDefined(o(e.name,n,Cc)))},212:function(e,n,t,r,o,i){return Lc(e)?t.factory.updateElementAccessChain(e,Tt.checkDefined(o(e.expression,n,uu)),i?o(e.questionDotToken,i,eN):e.questionDotToken,Tt.checkDefined(o(e.argumentExpression,n,uu))):t.factory.updateElementAccessExpression(e,Tt.checkDefined(o(e.expression,n,uu)),Tt.checkDefined(o(e.argumentExpression,n,uu)))},213:function(e,n,t,r,o,i){return kc(e)?t.factory.updateCallChain(e,Tt.checkDefined(o(e.expression,n,uu)),i?o(e.questionDotToken,i,eN):e.questionDotToken,r(e.typeArguments,n,Bd),r(e.arguments,n,uu)):t.factory.updateCallExpression(e,Tt.checkDefined(o(e.expression,n,uu)),r(e.typeArguments,n,Bd),r(e.arguments,n,uu))},214:function(e,n,t,r,o,i){return t.factory.updateNewExpression(e,Tt.checkDefined(o(e.expression,n,uu)),r(e.typeArguments,n,Bd),r(e.arguments,n,uu))},215:function(e,n,t,r,o,i){return t.factory.updateTaggedTemplateExpression(e,Tt.checkDefined(o(e.tag,n,uu)),r(e.typeArguments,n,Bd),Tt.checkDefined(o(e.template,n,ou)))},216:function(e,n,t,r,o,i){return t.factory.updateTypeAssertion(e,Tt.checkDefined(o(e.type,n,Bd)),Tt.checkDefined(o(e.expression,n,uu)))},217:function(e,n,t,r,o,i){return t.factory.updateParenthesizedExpression(e,Tt.checkDefined(o(e.expression,n,uu)))},218:function(e,n,t,r,o,i){return t.factory.updateFunctionExpression(e,r(e.modifiers,n,vd),i?o(e.asteriskToken,i,YI):e.asteriskToken,o(e.name,n,tN),r(e.typeParameters,n,vN),lG(e.parameters,n,t,r),o(e.type,n,Bd),dG(e.body,n,t,o))},219:function(e,n,t,r,o,i){return t.factory.updateArrowFunction(e,r(e.modifiers,n,vd),r(e.typeParameters,n,vN),lG(e.parameters,n,t,r),o(e.type,n,Bd),i?Tt.checkDefined(o(e.equalsGreaterThanToken,i,nN)):e.equalsGreaterThanToken,dG(e.body,n,t,o))},220:function(e,n,t,r,o,i){return t.factory.updateDeleteExpression(e,Tt.checkDefined(o(e.expression,n,uu)))},221:function(e,n,t,r,o,i){return t.factory.updateTypeOfExpression(e,Tt.checkDefined(o(e.expression,n,uu)))},222:function(e,n,t,r,o,i){return t.factory.updateVoidExpression(e,Tt.checkDefined(o(e.expression,n,uu)))},223:function(e,n,t,r,o,i){return t.factory.updateAwaitExpression(e,Tt.checkDefined(o(e.expression,n,uu)))},224:function(e,n,t,r,o,i){return t.factory.updatePrefixUnaryExpression(e,Tt.checkDefined(o(e.operand,n,uu)))},225:function(e,n,t,r,o,i){return t.factory.updatePostfixUnaryExpression(e,Tt.checkDefined(o(e.operand,n,uu)))},226:function(e,n,t,r,o,i){return t.factory.updateBinaryExpression(e,Tt.checkDefined(o(e.left,n,uu)),i?Tt.checkDefined(o(e.operatorToken,i,eL)):e.operatorToken,Tt.checkDefined(o(e.right,n,uu)))},227:function(e,n,t,r,o,i){return t.factory.updateConditionalExpression(e,Tt.checkDefined(o(e.condition,n,uu)),i?Tt.checkDefined(o(e.questionToken,i,QI)):e.questionToken,Tt.checkDefined(o(e.whenTrue,n,uu)),i?Tt.checkDefined(o(e.colonToken,i,ZI)):e.colonToken,Tt.checkDefined(o(e.whenFalse,n,uu)))},228:function(e,n,t,r,o,i){return t.factory.updateTemplateExpression(e,Tt.checkDefined(o(e.head,n,VI)),r(e.templateSpans,n,WD))},229:function(e,n,t,r,o,i){return t.factory.updateYieldExpression(e,i?o(e.asteriskToken,i,YI):e.asteriskToken,o(e.expression,n,uu))},230:function(e,n,t,r,o,i){return t.factory.updateSpreadElement(e,Tt.checkDefined(o(e.expression,n,uu)))},231:function(e,n,t,r,o,i){return t.factory.updateClassExpression(e,r(e.modifiers,n,Fd),o(e.name,n,tN),r(e.typeParameters,n,vN),r(e.heritageClauses,n,YC),r(e.members,n,Cd))},233:function(e,n,t,r,o,i){return t.factory.updateExpressionWithTypeArguments(e,Tt.checkDefined(o(e.expression,n,uu)),r(e.typeArguments,n,Bd))},234:function(e,n,t,r,o,i){return t.factory.updateAsExpression(e,Tt.checkDefined(o(e.expression,n,uu)),Tt.checkDefined(o(e.type,n,Bd)))},238:function(e,n,t,r,o,i){return t.factory.updateSatisfiesExpression(e,Tt.checkDefined(o(e.expression,n,uu)),Tt.checkDefined(o(e.type,n,Bd)))},235:function(e,n,t,r,o,i){return wc(e)?t.factory.updateNonNullChain(e,Tt.checkDefined(o(e.expression,n,uu))):t.factory.updateNonNullExpression(e,Tt.checkDefined(o(e.expression,n,uu)))},236:function(e,n,t,r,o,i){return t.factory.updateMetaProperty(e,Tt.checkDefined(o(e.name,n,tN)))},239:function(e,n,t,r,o,i){return t.factory.updateTemplateSpan(e,Tt.checkDefined(o(e.expression,n,uu)),Tt.checkDefined(o(e.literal,n,od)))},241:function(e,n,t,r,o,i){return t.factory.updateBlock(e,r(e.statements,n,wu))},243:function(e,n,t,r,o,i){return t.factory.updateVariableStatement(e,r(e.modifiers,n,Fd),Tt.checkDefined(o(e.declarationList,n,aC)))},244:function(e,n,t,r,o,i){return t.factory.updateExpressionStatement(e,Tt.checkDefined(o(e.expression,n,uu)))},245:function(e,n,t,r,o,i){return t.factory.updateIfStatement(e,Tt.checkDefined(o(e.expression,n,uu)),Tt.checkDefined(o(e.thenStatement,n,wu,t.factory.liftToBlock)),o(e.elseStatement,n,wu,t.factory.liftToBlock))},246:function(e,n,t,r,o,i){return t.factory.updateDoStatement(e,uG(e.statement,n,t,o),Tt.checkDefined(o(e.expression,n,uu)))},247:function(e,n,t,r,o,i){return t.factory.updateWhileStatement(e,Tt.checkDefined(o(e.expression,n,uu)),uG(e.statement,n,t,o))},248:function(e,n,t,r,o,i){return t.factory.updateForStatement(e,o(e.initializer,n,Su),o(e.condition,n,uu),o(e.incrementor,n,uu),uG(e.statement,n,t,o))},249:function(e,n,t,r,o,i){return t.factory.updateForInStatement(e,Tt.checkDefined(o(e.initializer,n,Su)),Tt.checkDefined(o(e.expression,n,uu)),uG(e.statement,n,t,o))},250:function(e,n,t,r,o,i){return t.factory.updateForOfStatement(e,i?o(e.awaitModifier,i,lN):e.awaitModifier,Tt.checkDefined(o(e.initializer,n,Su)),Tt.checkDefined(o(e.expression,n,uu)),uG(e.statement,n,t,o))},251:function(e,n,t,r,o,i){return t.factory.updateContinueStatement(e,o(e.label,n,tN))},252:function(e,n,t,r,o,i){return t.factory.updateBreakStatement(e,o(e.label,n,tN))},253:function(e,n,t,r,o,i){return t.factory.updateReturnStatement(e,o(e.expression,n,uu))},254:function(e,n,t,r,o,i){return t.factory.updateWithStatement(e,Tt.checkDefined(o(e.expression,n,uu)),Tt.checkDefined(o(e.statement,n,wu,t.factory.liftToBlock)))},255:function(e,n,t,r,o,i){return t.factory.updateSwitchStatement(e,Tt.checkDefined(o(e.expression,n,uu)),Tt.checkDefined(o(e.caseBlock,n,mC)))},256:function(e,n,t,r,o,i){return t.factory.updateLabeledStatement(e,Tt.checkDefined(o(e.label,n,tN)),Tt.checkDefined(o(e.statement,n,wu,t.factory.liftToBlock)))},257:function(e,n,t,r,o,i){return t.factory.updateThrowStatement(e,Tt.checkDefined(o(e.expression,n,uu)))},258:function(e,n,t,r,o,i){return t.factory.updateTryStatement(e,Tt.checkDefined(o(e.tryBlock,n,GD)),o(e.catchClause,n,$C),o(e.finallyBlock,n,GD))},260:function(e,n,t,r,o,i){return t.factory.updateVariableDeclaration(e,Tt.checkDefined(o(e.name,n,Sd)),i?o(e.exclamationToken,i,$I):e.exclamationToken,o(e.type,n,Bd),o(e.initializer,n,uu))},261:function(e,n,t,r,o,i){return t.factory.updateVariableDeclarationList(e,r(e.declarations,n,iC))},262:function(e,n,t,r,o,i){return t.factory.updateFunctionDeclaration(e,r(e.modifiers,n,vd),i?o(e.asteriskToken,i,YI):e.asteriskToken,o(e.name,n,tN),r(e.typeParameters,n,vN),lG(e.parameters,n,t,r),o(e.type,n,Bd),dG(e.body,n,t,o))},263:function(e,n,t,r,o,i){return t.factory.updateClassDeclaration(e,r(e.modifiers,n,Fd),o(e.name,n,tN),r(e.typeParameters,n,vN),r(e.heritageClauses,n,YC),r(e.members,n,Cd))},264:function(e,n,t,r,o,i){return t.factory.updateInterfaceDeclaration(e,r(e.modifiers,n,Fd),Tt.checkDefined(o(e.name,n,tN)),r(e.typeParameters,n,vN),r(e.heritageClauses,n,YC),r(e.members,n,Wd))},265:function(e,n,t,r,o,i){return t.factory.updateTypeAliasDeclaration(e,r(e.modifiers,n,Fd),Tt.checkDefined(o(e.name,n,tN)),r(e.typeParameters,n,vN),Tt.checkDefined(o(e.type,n,Bd)))},266:function(e,n,t,r,o,i){return t.factory.updateEnumDeclaration(e,r(e.modifiers,n,Fd),Tt.checkDefined(o(e.name,n,tN)),r(e.members,n,nM))},267:function(e,n,t,r,o,i){return t.factory.updateModuleDeclaration(e,r(e.modifiers,n,Fd),Tt.checkDefined(o(e.name,n,JP)),o(e.body,n,Tu))},268:function(e,n,t,r,o,i){return t.factory.updateModuleBlock(e,r(e.statements,n,wu))},269:function(e,n,t,r,o,i){return t.factory.updateCaseBlock(e,r(e.clauses,n,Vu))},270:function(e,n,t,r,o,i){return t.factory.updateNamespaceExportDeclaration(e,Tt.checkDefined(o(e.name,n,tN)))},271:function(e,n,t,r,o,i){return t.factory.updateImportEqualsDeclaration(e,r(e.modifiers,n,Fd),e.isTypeOnly,Tt.checkDefined(o(e.name,n,tN)),Tt.checkDefined(o(e.moduleReference,n,Fu)))},272:function(e,n,t,r,o,i){return t.factory.updateImportDeclaration(e,r(e.modifiers,n,Fd),o(e.importClause,n,yC),Tt.checkDefined(o(e.moduleSpecifier,n,uu)),o(e.attributes,n,SC))},300:function(e,n,t,r,o,i){return t.factory.updateImportAttributes(e,r(e.elements,n,TC),e.multiLine)},301:function(e,n,t,r,o,i){return t.factory.updateImportAttribute(e,Tt.checkDefined(o(e.name,n,dd)),Tt.checkDefined(o(e.value,n,uu)))},273:function(e,n,t,r,o,i){return t.factory.updateImportClause(e,e.isTypeOnly,o(e.name,n,tN),o(e.namedBindings,n,Ru))},274:function(e,n,t,r,o,i){return t.factory.updateNamespaceImport(e,Tt.checkDefined(o(e.name,n,tN)))},280:function(e,n,t,r,o,i){return t.factory.updateNamespaceExport(e,Tt.checkDefined(o(e.name,n,tN)))},275:function(e,n,t,r,o,i){return t.factory.updateNamedImports(e,r(e.elements,n,IC))},276:function(e,n,t,r,o,i){return t.factory.updateImportSpecifier(e,e.isTypeOnly,o(e.propertyName,n,tN),Tt.checkDefined(o(e.name,n,tN)))},277:function(e,n,t,r,o,i){return t.factory.updateExportAssignment(e,r(e.modifiers,n,Fd),Tt.checkDefined(o(e.expression,n,uu)))},278:function(e,n,t,r,o,i){return t.factory.updateExportDeclaration(e,r(e.modifiers,n,Fd),e.isTypeOnly,o(e.exportClause,n,Uc),o(e.moduleSpecifier,n,uu),o(e.attributes,n,SC))},279:function(e,n,t,r,o,i){return t.factory.updateNamedExports(e,r(e.elements,n,MC))},281:function(e,n,t,r,o,i){return t.factory.updateExportSpecifier(e,e.isTypeOnly,o(e.propertyName,n,tN),Tt.checkDefined(o(e.name,n,tN)))},283:function(e,n,t,r,o,i){return t.factory.updateExternalModuleReference(e,Tt.checkDefined(o(e.expression,n,uu)))},284:function(e,n,t,r,o,i){return t.factory.updateJsxElement(e,Tt.checkDefined(o(e.openingElement,n,WC)),r(e.children,n,zu),Tt.checkDefined(o(e.closingElement,n,zC)))},285:function(e,n,t,r,o,i){return t.factory.updateJsxSelfClosingElement(e,Tt.checkDefined(o(e.tagName,n,Wu)),r(e.typeArguments,n,Bd),Tt.checkDefined(o(e.attributes,n,UC)))},286:function(e,n,t,r,o,i){return t.factory.updateJsxOpeningElement(e,Tt.checkDefined(o(e.tagName,n,Wu)),r(e.typeArguments,n,Bd),Tt.checkDefined(o(e.attributes,n,UC)))},287:function(e,n,t,r,o,i){return t.factory.updateJsxClosingElement(e,Tt.checkDefined(o(e.tagName,n,Wu)))},295:function(e,n,t,r,o,i){return t.factory.updateJsxNamespacedName(e,Tt.checkDefined(o(e.namespace,n,tN)),Tt.checkDefined(o(e.name,n,tN)))},288:function(e,n,t,r,o,i){return t.factory.updateJsxFragment(e,Tt.checkDefined(o(e.openingFragment,n,BC)),r(e.children,n,zu),Tt.checkDefined(o(e.closingFragment,n,jC)))},291:function(e,n,t,r,o,i){return t.factory.updateJsxAttribute(e,Tt.checkDefined(o(e.name,n,bA)),o(e.initializer,n,Bu))},292:function(e,n,t,r,o,i){return t.factory.updateJsxAttributes(e,r(e.properties,n,Gu))},293:function(e,n,t,r,o,i){return t.factory.updateJsxSpreadAttribute(e,Tt.checkDefined(o(e.expression,n,uu)))},294:function(e,n,t,r,o,i){return t.factory.updateJsxExpression(e,o(e.expression,n,uu))},296:function(e,n,t,r,o,i){return t.factory.updateCaseClause(e,Tt.checkDefined(o(e.expression,n,uu)),r(e.statements,n,wu))},297:function(e,n,t,r,o,i){return t.factory.updateDefaultClause(e,r(e.statements,n,wu))},298:function(e,n,t,r,o,i){return t.factory.updateHeritageClause(e,r(e.types,n,CD))},299:function(e,n,t,r,o,i){return t.factory.updateCatchClause(e,o(e.variableDeclaration,n,iC),Tt.checkDefined(o(e.block,n,GD)))},303:function(e,n,t,r,o,i){return t.factory.updatePropertyAssignment(e,Tt.checkDefined(o(e.name,n,Ed)),Tt.checkDefined(o(e.initializer,n,uu)))},304:function(e,n,t,r,o,i){return t.factory.updateShorthandPropertyAssignment(e,Tt.checkDefined(o(e.name,n,tN)),o(e.objectAssignmentInitializer,n,uu))},305:function(e,n,t,r,o,i){return t.factory.updateSpreadAssignment(e,Tt.checkDefined(o(e.expression,n,uu)))},306:function(e,n,t,r,o,i){return t.factory.updateEnumMember(e,Tt.checkDefined(o(e.name,n,Ed)),o(e.initializer,n,uu))},312:function(e,n,t,r,o,i){return t.factory.updateSourceFile(e,sG(e.statements,n,t))},360:function(e,n,t,r,o,i){return t.factory.updatePartiallyEmittedExpression(e,Tt.checkDefined(o(e.expression,n,uu)))},361:function(e,n,t,r,o,i){return t.factory.updateCommaListExpression(e,r(e.elements,n,uu))}}}});function bG(e,n,t,r,o){var i,a,{enter:s,exit:l}=o.extendedDiagnostics?hr("Source Map","beforeSourcemap","afterSourcemap"):sr,c=[],d=[],u=new Map,p=[],f=[],m="",_=0,h=0,g=0,y=0,v=0,b=0,E=!1,S=0,T=0,x=0,A=0,R=0,I=0,N=!1,D=!1,C=!1;return{getSources:()=>c,addSource:M,setSourceContent:P,addName:L,addMapping:k,appendSourceMap:function(e,n,t,r,o,i){Tt.assert(e>=S,"generatedLine cannot backtrack"),Tt.assert(n>=0,"generatedCharacter cannot be negative"),s();const a=[];let c;const d=RG(t.mappings);for(const s of d){if(i&&(s.generatedLine>i.line||s.generatedLine===i.line&&s.generatedCharacter>i.character))break;if(o&&(s.generatedLine<o.line||o.line===s.generatedLine&&s.generatedCharacter<o.character))continue;let l,d,u,p;if(void 0!==s.sourceIndex){if(l=a[s.sourceIndex],void 0===l){const e=t.sources[s.sourceIndex],n=t.sourceRoot?ua(t.sourceRoot,e):e,o=ua(ra(r),n);a[s.sourceIndex]=l=M(o),t.sourcesContent&&"string"==typeof t.sourcesContent[s.sourceIndex]&&P(l,t.sourcesContent[s.sourceIndex])}d=s.sourceLine,u=s.sourceCharacter,t.names&&void 0!==s.nameIndex&&(c||(c=[]),p=c[s.nameIndex],void 0===p&&(c[s.nameIndex]=p=L(t.names[s.nameIndex])))}const f=s.generatedLine-(o?o.line:0),m=f+e,_=o&&o.line===s.generatedLine?s.generatedCharacter-o.character:s.generatedCharacter;k(m,0===f?_+n:_,l,d,u,p)}l()},toJSON:W,toString:()=>JSON.stringify(W())};function M(n){s();const t=La(r,n,e.getCurrentDirectory(),e.getCanonicalFileName,!0);let o=u.get(t);return void 0===o&&(o=d.length,d.push(t),c.push(n),u.set(t,o)),l(),o}function P(e,n){if(s(),null!==n){for(i||(i=[]);i.length<e;)i.push(null);i[e]=n}l()}function L(e){s(),a||(a=new Map);let n=a.get(e);return void 0===n&&(n=p.length,p.push(e),a.set(e,n)),l(),n}function k(e,n,t,r,o,i){Tt.assert(e>=S,"generatedLine cannot backtrack"),Tt.assert(n>=0,"generatedCharacter cannot be negative"),Tt.assert(void 0===t||t>=0,"sourceIndex cannot be negative"),Tt.assert(void 0===r||r>=0,"sourceLine cannot be negative"),Tt.assert(void 0===o||o>=0,"sourceCharacter cannot be negative"),s(),(function(e,n){return!N||S!==e||T!==n}(e,n)||function(e,n,t){return void 0!==e&&void 0!==n&&void 0!==t&&x===e&&(A>n||A===n&&R>t)}(t,r,o))&&(O(),S=e,T=n,D=!1,C=!1,N=!0),void 0!==t&&void 0!==r&&void 0!==o&&(x=t,A=r,R=o,D=!0,void 0!==i&&(I=i,C=!0)),l()}function w(e){f.push(e),f.length>=1024&&F()}function O(){if(N&&(!E||_!==S||h!==T||g!==x||y!==A||v!==R||b!==I)){if(s(),_<S){do{w(59),_++}while(_<S);h=0}else Tt.assertEqual(_,S,"generatedLine cannot backtrack"),E&&w(44);z(T-h),h=T,D&&(z(x-g),g=x,z(A-y),y=A,z(R-v),v=R,C&&(z(I-b),b=I)),E=!0,l()}}function F(){f.length>0&&(m+=String.fromCharCode.apply(void 0,f),f.length=0)}function W(){return O(),F(),{version:3,file:n,sourceRoot:t,sources:d,names:p,mappings:m,sourcesContent:i}}function z(e){e<0?e=1+(-e<<1):e<<=1;do{let t=31&e;(e>>=5)>0&&(t|=32),w((n=t)>=0&&n<26?65+n:n>=26&&n<52?97+n-26:n>=52&&n<62?48+n-52:62===n?43:63===n?47:Tt.fail(`${n}: not a base64 value`))}while(e>0);var n}}function EG(e,n){return{getLineCount:()=>n.length,getLineText:t=>e.substring(n[t],n[t+1])}}function SG(e){for(let n=e.getLineCount()-1;n>=0;n--){const t=e.getLineText(n),r=hG.exec(t);if(r)return r[1].trimEnd();if(!t.match(gG))break}}function TG(e){return"string"==typeof e||null===e}function xG(e){return null!==e&&"object"==typeof e&&3===e.version&&"string"==typeof e.file&&"string"==typeof e.mappings&&pn(e.sources)&&N(e.sources,mn)&&(void 0===e.sourceRoot||null===e.sourceRoot||"string"==typeof e.sourceRoot)&&(void 0===e.sourcesContent||null===e.sourcesContent||pn(e.sourcesContent)&&N(e.sourcesContent,TG))&&(void 0===e.names||null===e.names||pn(e.names)&&N(e.names,mn))}function AG(e){try{const n=JSON.parse(e);if(xG(n))return n}catch{}}function RG(e){let n,t=!1,r=0,o=0,i=0,a=0,s=0,l=0,c=0;return{get pos(){return r},get error(){return n},get state(){return d(!0,!0)},next(){for(;!t&&r<e.length;){const n=e.charCodeAt(r);if(59===n){o++,i=0,r++;continue}if(44===n){r++;continue}let p=!1,g=!1;if(i+=h(),m())return u();if(i<0)return f("Invalid generatedCharacter found");if(!_()){if(p=!0,a+=h(),m())return u();if(a<0)return f("Invalid sourceIndex found");if(_())return f("Unsupported Format: No entries after sourceIndex");if(s+=h(),m())return u();if(s<0)return f("Invalid sourceLine found");if(_())return f("Unsupported Format: No entries after sourceLine");if(l+=h(),m())return u();if(l<0)return f("Invalid sourceCharacter found");if(!_()){if(g=!0,c+=h(),m())return u();if(c<0)return f("Invalid nameIndex found");if(!_())return f("Unsupported Error Format: Entries after nameIndex")}}return{value:d(p,g),done:t}}return u()},[Symbol.iterator](){return this}};function d(e,n){return{generatedLine:o,generatedCharacter:i,sourceIndex:e?a:void 0,sourceLine:e?s:void 0,sourceCharacter:e?l:void 0,nameIndex:n?c:void 0}}function u(){return t=!0,{value:void 0,done:!0}}function p(e){void 0===n&&(n=e)}function f(e){return p(e),u()}function m(){return void 0!==n}function _(){return r===e.length||44===e.charCodeAt(r)||59===e.charCodeAt(r)}function h(){let n=!0,t=0,o=0;for(;n;r++){if(r>=e.length)return p("Error in decoding base64VLQFormatDecode, past the mapping string"),-1;const a=(i=e.charCodeAt(r))>=65&&i<=90?i-65:i>=97&&i<=122?i-97+26:i>=48&&i<=57?i-48+52:43===i?62:47===i?63:-1;if(-1===a)return p("Invalid character in VLQ"),-1;n=!!(32&a),o|=(31&a)<<t,t+=5}var i;return 1&o?(o>>=1,o=-o):o>>=1,o}}function IG(e,n){return e===n||e.generatedLine===n.generatedLine&&e.generatedCharacter===n.generatedCharacter&&e.sourceIndex===n.sourceIndex&&e.sourceLine===n.sourceLine&&e.sourceCharacter===n.sourceCharacter&&e.nameIndex===n.nameIndex}function NG(e){return void 0!==e.sourceIndex&&void 0!==e.sourceLine&&void 0!==e.sourceCharacter}function DG(e){return void 0!==e.sourceIndex&&void 0!==e.sourcePosition}function CG(e,n){return e.generatedPosition===n.generatedPosition&&e.sourceIndex===n.sourceIndex&&e.sourcePosition===n.sourcePosition}function MG(e,n){return Tt.assert(e.sourceIndex===n.sourceIndex),wn(e.sourcePosition,n.sourcePosition)}function PG(e,n){return wn(e.generatedPosition,n.generatedPosition)}function LG(e){return e.sourcePosition}function kG(e){return e.generatedPosition}function wG(e,n,t){const r=ra(t),i=n.sourceRoot?ma(n.sourceRoot,r):r,a=ma(n.file,r),s=e.getSourceFileLike(a),l=n.sources.map((e=>ma(e,i))),c=new Map(l.map(((n,t)=>[e.getCanonicalFileName(n),t])));let d,u,p;return{getSourcePosition:function(e){const n=function(){if(void 0===u){const e=[];for(const n of m())e.push(n);u=pe(e,PG,CG)}return u}();if(!oe(n))return e;let t=Ge(n,e.pos,kG,wn);t<0&&(t=~t);const r=n[t];if(void 0===r||!DG(r))return e;return{fileName:l[r.sourceIndex],pos:r.sourcePosition}},getGeneratedPosition:function(n){const t=c.get(e.getCanonicalFileName(n.fileName));if(void 0===t)return n;const r=function(e){if(void 0===p){const e=[];for(const n of m()){if(!DG(n))continue;let t=e[n.sourceIndex];t||(e[n.sourceIndex]=t=[]),t.push(n)}p=e.map((e=>pe(e,MG,CG)))}return p[e]}(t);if(!oe(r))return n;let o=Ge(r,n.pos,LG,wn);o<0&&(o=~o);const i=r[o];if(void 0===i||i.sourceIndex!==t)return n;return{fileName:a,pos:i.generatedPosition}}};function f(t){const r=void 0!==s?cs(s,t.generatedLine,t.generatedCharacter,!0):-1;let o,i;if(NG(t)){const r=e.getSourceFileLike(l[t.sourceIndex]);o=n.sources[t.sourceIndex],i=void 0!==r?cs(r,t.sourceLine,t.sourceCharacter,!0):-1}return{generatedPosition:r,source:o,sourceIndex:t.sourceIndex,sourcePosition:i,nameIndex:t.nameIndex}}function m(){if(void 0===d){const t=RG(n.mappings),r=Je(t,f);void 0!==t.error?(e.log&&e.log(`Encountered error while decoding sourcemap: ${t.error}`),d=o):d=r}return d}}var OG,FG,WG=g({"src/compiler/sourcemap.ts"(){JJ(),ni(),_G=/\/\/[@#] source[M]appingURL=(.+)\r?\n?$/,hG=/^\/\/[@#] source[M]appingURL=(.+)\r?\n?$/,gG=/^\s*(\/\/[@#] .*)?$/,yG={getSourcePosition:Sn,getGeneratedPosition:Sn}}});function zG(e){return(e=Il(e))?Hz(e):0}function GG(e){return void 0!==e.propertyName&&"default"===e.propertyName.escapedText}function BG(e,n){return function(t){return 312===t.kind?n(t):function(t){return e.factory.createBundle(B(t.sourceFiles,n),t.prepends)}(t)}}function jG(e){return!!Bg(e)}function VG(e){if(Bg(e))return!0;const n=e.importClause&&e.importClause.namedBindings;if(!n)return!1;if(!RC(n))return!1;let t=0;for(const e of n.elements)GG(e)&&t++;return t>0&&t!==n.elements.length||!!(n.elements.length-t)&&jg(e)}function UG(e){return!VG(e)&&(jg(e)||!!e.importClause&&RC(e.importClause.namedBindings)&&function(e){return!!e&&!!RC(e)&&oe(e.elements,GG)}(e.importClause.namedBindings))}function HG(e,n){const t=e.getEmitResolver(),r=e.getCompilerOptions(),o=[],i=new FG,a=[],s=new Map;let l,c,d=!1,u=!1,p=!1,f=!1;for(const t of n.statements)switch(t.kind){case 272:o.push(t),!p&&VG(t)&&(p=!0),!f&&UG(t)&&(f=!0);break;case 271:283===t.moduleReference.kind&&o.push(t);break;case 278:if(t.moduleSpecifier)if(t.exportClause)if(o.push(t),CC(t.exportClause))_(t);else{const e=t.exportClause.name;s.get(Ll(e))||(qG(a,zG(t),e),s.set(Ll(e),!0),l=ye(l,e)),p=!0}else o.push(t),u=!0;else _(t);break;case 277:t.isExportEquals&&!c&&(c=t);break;case 243:if(Bb(t,32))for(const e of t.declarationList.declarations)l=KG(e,s,l,a);break;case 262:if(Bb(t,32))if(Bb(t,2048))d||(qG(a,zG(t),e.factory.getDeclarationName(t)),d=!0);else{const e=t.name;s.get(Ll(e))||(qG(a,zG(t),e),s.set(Ll(e),!0),l=ye(l,e))}break;case 263:if(Bb(t,32))if(Bb(t,2048))d||(qG(a,zG(t),e.factory.getDeclarationName(t)),d=!0);else{const e=t.name;e&&!s.get(Ll(e))&&(qG(a,zG(t),e),s.set(Ll(e),!0),l=ye(l,e))}}const m=IP(e.factory,e.getEmitHelperFactory(),n,r,u,p,f);return m&&o.unshift(m),{externalImports:o,exportSpecifiers:i,exportEquals:c,hasExportStarsToExportValues:u,exportedBindings:a,exportedNames:l,externalHelpersImportDeclaration:m};function _(e){for(const n of gn(e.exportClause,CC).elements)if(!s.get(Ll(n.name))){const r=n.propertyName||n.name;e.moduleSpecifier||i.add(r,n);const o=t.getReferencedImportDeclaration(r)||t.getReferencedValueDeclaration(r);o&&qG(a,zG(o),n.name),s.set(Ll(n.name),!0),l=ye(l,n.name)}}}function KG(e,n,t,r){if(Vd(e.name))for(const o of e.name.elements)DD(o)||(t=KG(o,n,t,r));else if(!ud(e.name)){const o=Ll(e.name);n.get(o)||(n.set(o,!0),t=ye(t,e.name),uP(e.name)&&qG(r,zG(e),e.name))}return t}function qG(e,n,t){let r=e[n];return r?r.push(t):e[n]=r=[t],r}function JG(e){return tp(e)||9===e.kind||Vy(e.kind)||tN(e)}function XG(e){return!tN(e)&&JG(e)}function YG(e){return e>=65&&e<=79}function $G(e){switch(e){case 65:return 40;case 66:return 41;case 67:return 42;case 68:return 43;case 69:return 44;case 70:return 45;case 71:return 48;case 72:return 49;case 73:return 50;case 74:return 51;case 75:return 52;case 79:return 53;case 76:return 57;case 77:return 56;case 78:return 61}}function QG(e){if(!VD(e))return;const n=Ty(e.expression);return M_(n)?n:void 0}function ZG(e,n,t){for(let r=n;r<e.length;r+=1){const n=e[r];if(QG(n))return t.unshift(r),!0;if(rC(n)&&ZG(n.tryBlock.statements,0,t))return t.unshift(r),!0}return!1}function eB(e,n){const t=[];return ZG(e,n,t),t}function nB(e,n,t){return W(e.members,(e=>function(e,n,t){return TN(e)&&(!!e.initializer||!n)&&Vb(e)===t}(e,n,t)))}function tB(e){return TN(n=e)&&Vb(n)||RN(e);var n}function rB(e){return W(e.members,tB)}function oB(e){return 172===e.kind&&void 0!==e.initializer}function iB(e){return!jb(e)&&(wd(e)||Ld(e))&&rN(e.name)}function aB(e){let n;if(e){const t=e.parameters,r=t.length>0&&vb(t[0]),o=r?1:0,i=r?t.length-1:t.length;for(let e=0;e<i;e++){const r=t[e+o];(n||Xb(r))&&(n||(n=new Array(i)),n[e]=Ul(r))}}return n}function sB(e){const n=Ul(e),t=aB(_b(e));if(oe(n)||oe(t))return{decorators:n,parameters:t}}function lB(e,n,t){switch(e.kind){case 177:case 178:return t?function(e,n){if(!e.body)return;const{firstAccessor:t,secondAccessor:r,getAccessor:o,setAccessor:i}=xb(n.members,e),a=Xb(t)?t:r&&Xb(r)?r:void 0;if(!a||e!==a)return;const s=Ul(a),l=aB(i);if(!oe(s)&&!oe(l))return;return{decorators:s,parameters:l,getDecorators:o&&Ul(o),setDecorators:i&&Ul(i)}}(e,n):cB(e);case 174:return cB(e);case 172:return function(e){const n=Ul(e);if(!oe(n))return;return{decorators:n}}(e);default:return}}function cB(e){if(!e.body)return;const n=Ul(e),t=aB(e);return oe(n)||oe(t)?{decorators:n,parameters:t}:void 0}function dB(e,n){for(;e;){const t=n(e);if(void 0!==t)return t;e=e.previous}}function uB(e){return{data:e}}function pB(e,n){var t,r;return pd(n)?null==(t=null==e?void 0:e.generatedIdentifiers)?void 0:t.get(aL(n)):null==(r=null==e?void 0:e.identifiers)?void 0:r.get(n.escapedText)}function fB(e,n,t){pd(n)?(e.generatedIdentifiers??(e.generatedIdentifiers=new Map),e.generatedIdentifiers.set(aL(n),t)):(e.identifiers??(e.identifiers=new Map),e.identifiers.set(n.escapedText,t))}function mB(e,n){return dB(e,(e=>pB(e.privateEnv,n)))}function _B(e){return!e.initializer&&tN(e.name)}function hB(e){return N(e,_B)}var gB,yB=g({"src/compiler/transformers/utilities.ts"(){JJ(),OG=class e{constructor(){this._map=new Map}get size(){return this._map.size}has(n){return this._map.has(e.toKey(n))}get(n){return this._map.get(e.toKey(n))}set(n,t){return this._map.set(e.toKey(n),t),this}delete(n){var t;return(null==(t=this._map)?void 0:t.delete(e.toKey(n)))??!1}clear(){this._map.clear()}values(){return this._map.values()}static toKey(n){if(pd(n)||ud(n)){const t=n.emitNode.autoGenerate;if(4==(7&t.flags)){const r=aL(n),o=Cc(r)&&r!==n?e.toKey(r):`(generated@${Hz(r)})`;return cL(!1,t.prefix,o,t.suffix,e.toKey)}{const n=`(auto@${t.id})`;return cL(!1,t.prefix,n,t.suffix,e.toKey)}}return rN(n)?Ll(n).slice(1):Ll(n)}},FG=class extends OG{add(e,n){let t=this.get(e);return t?t.push(n):this.set(e,t=[n]),t}remove(e,n){const t=this.get(e);t&&(tt(t,n),t.length||this.delete(e))}}}});function vB(e,n,t,r,o,i){let a,s,l=e;if(vE(e))for(a=e.right;LE(e.left)||PE(e.left);){if(!vE(a))return Tt.checkDefined(rG(a,n,uu));l=e=a,a=e.right}const c={context:t,level:r,downlevelIteration:!!t.getCompilerOptions().downlevelIteration,hoistTempVariables:!0,emitExpression:d,emitBindingOrAssignment:function(e,r,o,a){Tt.assertNode(e,i?tN:uu);const s=i?i(e,r,o):yL(t.factory.createAssignment(Tt.checkDefined(rG(e,n,uu)),r),o);s.original=a,d(s)},createArrayBindingOrAssignmentPattern:e=>function(e,n){return Tt.assertEachNode(n,Qd),e.createArrayLiteralExpression(B(n,e.converters.convertToArrayAssignmentElement))}(t.factory,e),createObjectBindingOrAssignmentPattern:e=>function(e,n){return Tt.assertEachNode(n,Yd),e.createObjectLiteralExpression(B(n,e.converters.convertToObjectAssignmentElement))}(t.factory,e),createArrayBindingOrAssignmentElement:IB,visitor:n};if(a&&(a=rG(a,n,uu),Tt.assert(a),tN(a)&&bB(e,a.escapedText)||EB(e)?a=RB(c,a,!1,l):o?a=RB(c,a,!0,l):Sv(e)&&(l=a)),TB(c,e,a,l,vE(e)),a&&o){if(!oe(s))return a;s.push(a)}return t.factory.inlineExpressions(s)||t.factory.createOmittedExpression();function d(e){s=ye(s,e)}}function bB(e,n){const t=LP(e);return Jd(t)?function(e,n){const t=WP(e);for(const e of t)if(bB(e,n))return!0;return!1}(t,n):!!tN(t)&&t.escapedText===n}function EB(e){const n=OP(e);if(n&&yN(n)&&!ed(n.expression))return!0;const t=LP(e);return!!t&&Jd(t)&&!!E(WP(t),EB)}function SB(e,n,t,r,o,i=!1,a){let s;const l=[],c=[],d={context:t,level:r,downlevelIteration:!!t.getCompilerOptions().downlevelIteration,hoistTempVariables:i,emitExpression:function(e){s=ye(s,e)},emitBindingOrAssignment:u,createArrayBindingOrAssignmentPattern:e=>function(e,n){return Tt.assertEachNode(n,Hd),e.createArrayBindingPattern(n)}(t.factory,e),createObjectBindingOrAssignmentPattern:e=>function(e,n){return Tt.assertEachNode(n,iD),e.createObjectBindingPattern(n)}(t.factory,e),createArrayBindingOrAssignmentElement:e=>function(e,n){return e.createBindingElement(void 0,void 0,n)}(t.factory,e),visitor:n};if(iC(e)){let n=PP(e);n&&(tN(n)&&bB(e,n.escapedText)||EB(e))&&(n=RB(d,Tt.checkDefined(rG(n,d.visitor,uu)),!1,n),e=t.factory.updateVariableDeclaration(e,e.name,void 0,void 0,n))}if(TB(d,e,o,e,a),s){const e=t.factory.createTempVariable(void 0);if(i){const n=t.factory.inlineExpressions(s);s=void 0,u(e,n,void 0,void 0)}else{t.hoistVariableDeclaration(e);const n=ke(l);n.pendingExpressions=ye(n.pendingExpressions,t.factory.createAssignment(e,n.value)),Ee(n.pendingExpressions,s),n.value=e}}for(const{pendingExpressions:e,name:n,value:r,location:o,original:i}of l){const a=t.factory.createVariableDeclaration(n,void 0,void 0,e?t.factory.inlineExpressions(ye(e,r)):r);a.original=i,yL(a,o),c.push(a)}return c;function u(e,n,r,o){Tt.assertNode(e,Sd),s&&(n=t.factory.inlineExpressions(ye(s,n)),s=void 0),l.push({pendingExpressions:s,name:e,value:n,location:r,original:o})}}function TB(e,n,t,r,o){const i=LP(n);if(!o){const o=rG(PP(n),e.visitor,uu);o?t?(t=function(e,n,t,r){return n=RB(e,n,!0,r),e.context.factory.createConditionalExpression(e.context.factory.createTypeCheck(n,"undefined"),void 0,t,void 0,n)}(e,t,o,r),!XG(o)&&Jd(i)&&(t=RB(e,t,!0,r))):t=o:t||(t=e.context.factory.createVoidZero())}Xd(i)?function(e,n,t,r,o){const i=WP(t),a=i.length;if(1!==a){r=RB(e,r,!Kd(n)||0!==a,o)}let s,l;for(let n=0;n<a;n++){const c=i[n];if(kP(c)){if(n===a-1){s&&(e.emitBindingOrAssignment(e.createObjectBindingOrAssignmentPattern(s),r,o,t),s=void 0);const n=e.context.getEmitHelperFactory().createRestHelper(r,i,l,t);TB(e,c,n,c)}}else{const n=wP(c);if(!(e.level>=1)||98304&c.transformFlags||98304&LP(c).transformFlags||yN(n)){s&&(e.emitBindingOrAssignment(e.createObjectBindingOrAssignmentPattern(s),r,o,t),s=void 0);const i=AB(e,r,n);yN(n)&&(l=ye(l,i.argumentExpression)),TB(e,c,i,c)}else s=ye(s,rG(c,e.visitor,qd))}}s&&e.emitBindingOrAssignment(e.createObjectBindingOrAssignmentPattern(s),r,o,t)}(e,n,i,t,r):$d(i)?function(e,n,t,r,o){const i=WP(t),a=i.length;if(e.level<1&&e.downlevelIteration)r=RB(e,yL(e.context.getEmitHelperFactory().createReadHelper(r,a>0&&kP(i[a-1])?void 0:a),o),!1,o);else if(1!==a&&(e.level<1||0===a)||N(i,DD)){r=RB(e,r,!Kd(n)||0!==a,o)}let s,l;for(let n=0;n<a;n++){const t=i[n];if(e.level>=1)if(65536&t.transformFlags||e.hasTransformedPriorElement&&!xB(t)){e.hasTransformedPriorElement=!0;const n=e.context.factory.createTempVariable(void 0);e.hoistTempVariables&&e.context.hoistVariableDeclaration(n),l=ye(l,[n,t]),s=ye(s,e.createArrayBindingOrAssignmentElement(n))}else s=ye(s,t);else{if(DD(t))continue;if(kP(t)){if(n===a-1){const o=e.context.factory.createArraySliceCall(r,n);TB(e,t,o,t)}}else{const o=e.context.factory.createElementAccessExpression(r,n);TB(e,t,o,t)}}}s&&e.emitBindingOrAssignment(e.createArrayBindingOrAssignmentPattern(s),r,o,t);if(l)for(const[n,t]of l)TB(e,t,n,t)}(e,n,i,t,r):e.emitBindingOrAssignment(i,t,r,n)}function xB(e){const n=LP(e);if(!n||DD(n))return!0;const t=OP(e);if(t&&!av(t))return!1;const r=PP(e);return!(r&&!XG(r))&&(Jd(n)?N(WP(n),xB):tN(n))}function AB(e,n,t){const{factory:r}=e.context;if(yN(t)){const r=RB(e,Tt.checkDefined(rG(t.expression,e.visitor,uu)),!1,t);return e.context.factory.createElementAccessExpression(n,r)}if(nv(t)){const o=r.cloneNode(t);return e.context.factory.createElementAccessExpression(n,o)}{const r=e.context.factory.createIdentifier(Ll(t));return e.context.factory.createPropertyAccessExpression(n,r)}}function RB(e,n,t,r){if(tN(n)&&t)return n;{const t=e.context.factory.createTempVariable(void 0);return e.hoistTempVariables?(e.context.hoistVariableDeclaration(t),e.emitExpression(yL(e.context.factory.createAssignment(t,n),r))):e.emitBindingOrAssignment(t,n,r,void 0),t}}function IB(e){return e}var NB=g({"src/compiler/transformers/destructuring.ts"(){JJ(),gB=(e=>(e[e.All=0]="All",e[e.ObjectRest=1]="ObjectRest",e))(gB||{})}});function DB(e,n,t=e.createThis()){const r=e.createAssignment(n,t),o=e.createExpressionStatement(r),i=e.createBlock([o],!1),a=e.createClassStaticBlockDeclaration(i);return dR(a).classThis=n,a}function CB(e){var n;if(!RN(e)||1!==e.body.statements.length)return!1;const t=e.body.statements[0];return VD(t)&&gE(t.expression,!0)&&tN(t.expression.left)&&(null==(n=e.emitNode)?void 0:n.classThis)===t.expression.left&&110===t.expression.right.kind}function MB(e){var n;return!!(null==(n=e.emitNode)?void 0:n.classThis)&&oe(e.members,CB)}function PB(e,n,t,r){if(MB(n))return n;const o=DB(e,t,r);n.name&&yR(o.body.statements[0],n.name);const i=e.createNodeArray([o,...n.members]);yL(i,n.members);const a=lC(n)?e.updateClassDeclaration(n,n.modifiers,n.name,n.typeParameters,n.heritageClauses,i):e.updateClassExpression(n,n.modifiers,n.name,n.typeParameters,n.heritageClauses,i);return dR(a).classThis=t,a}var LB=g({"src/compiler/transformers/classThis.ts"(){JJ()}});function kB(e,n,t){const r=Il(EP(t));return(lC(r)||sC(r))&&!r.name&&Bb(r,2048)?e.createStringLiteral("default"):e.createStringLiteralFromNode(n)}function wB(e,n,t){const{factory:r}=e;if(void 0!==t){return{assignedName:r.createStringLiteral(t),name:n}}if(av(n)||rN(n)){return{assignedName:r.createStringLiteralFromNode(n),name:n}}if(av(n.expression)&&!tN(n.expression)){return{assignedName:r.createStringLiteralFromNode(n.expression),name:n}}const o=r.getGeneratedNameForNode(n);e.hoistVariableDeclaration(o);const i=e.getEmitHelperFactory().createPropKeyHelper(n.expression),a=r.createAssignment(o,i);return{assignedName:o,name:r.updateComputedPropertyName(n,a)}}function OB(e,n,t=e.factory.createThis()){const{factory:r}=e,o=e.getEmitHelperFactory().createSetFunctionNameHelper(t,n),i=r.createExpressionStatement(o),a=r.createBlock([i],!1),s=r.createClassStaticBlockDeclaration(a);return dR(s).assignedName=n,s}function FB(e){var n;if(!RN(e)||1!==e.body.statements.length)return!1;const t=e.body.statements[0];return VD(t)&&wI(t.expression,"___setFunctionName")&&t.expression.arguments.length>=2&&t.expression.arguments[1]===(null==(n=e.emitNode)?void 0:n.assignedName)}function WB(e){var n;return!!(null==(n=e.emitNode)?void 0:n.assignedName)&&oe(e.members,FB)}function zB(e){return!!e.name||WB(e)}function GB(e,n,t,r){if(WB(n))return n;const{factory:o}=e,i=OB(e,t,r);n.name&&yR(i.body.statements[0],n.name);const a=M(n.members,CB)+1,s=n.members.slice(0,a),l=n.members.slice(a),c=o.createNodeArray([...s,i,...l]);return yL(c,n.members),dR(n=lC(n)?o.updateClassDeclaration(n,n.modifiers,n.name,n.typeParameters,n.heritageClauses,c):o.updateClassExpression(n,n.modifiers,n.name,n.typeParameters,n.heritageClauses,c)).assignedName=t,n}function BB(e,n,t,r){if(r&&zI(t)&&Wh(t))return n;const{factory:o}=e,i=EP(n),a=ND(i)?gn(GB(e,i,t),ND):e.getEmitHelperFactory().createSetFunctionNameHelper(i,t);return o.restoreOuterExpressions(n,a)}function jB(e,n,t,r){switch(n.kind){case 303:return function(e,n,t,r){const{factory:o}=e,{assignedName:i,name:a}=wB(e,n.name,r),s=BB(e,n.initializer,i,t);return o.updatePropertyAssignment(n,a,s)}(e,n,t,r);case 304:return function(e,n,t,r){const{factory:o}=e,i=void 0!==r?o.createStringLiteral(r):kB(o,n.name,n.objectAssignmentInitializer),a=BB(e,n.objectAssignmentInitializer,i,t);return o.updateShorthandPropertyAssignment(n,n.name,a)}(e,n,t,r);case 260:return function(e,n,t,r){const{factory:o}=e,i=void 0!==r?o.createStringLiteral(r):kB(o,n.name,n.initializer),a=BB(e,n.initializer,i,t);return o.updateVariableDeclaration(n,n.name,n.exclamationToken,n.type,a)}(e,n,t,r);case 169:return function(e,n,t,r){const{factory:o}=e,i=void 0!==r?o.createStringLiteral(r):kB(o,n.name,n.initializer),a=BB(e,n.initializer,i,t);return o.updateParameterDeclaration(n,n.modifiers,n.dotDotDotToken,n.name,n.questionToken,n.type,a)}(e,n,t,r);case 208:return function(e,n,t,r){const{factory:o}=e,i=void 0!==r?o.createStringLiteral(r):kB(o,n.name,n.initializer),a=BB(e,n.initializer,i,t);return o.updateBindingElement(n,n.dotDotDotToken,n.propertyName,n.name,a)}(e,n,t,r);case 172:return function(e,n,t,r){const{factory:o}=e,{assignedName:i,name:a}=wB(e,n.name,r),s=BB(e,n.initializer,i,t);return o.updatePropertyDeclaration(n,n.modifiers,a,n.questionToken??n.exclamationToken,n.type,s)}(e,n,t,r);case 226:return function(e,n,t,r){const{factory:o}=e,i=void 0!==r?o.createStringLiteral(r):kB(o,n.left,n.right),a=BB(e,n.right,i,t);return o.updateBinaryExpression(n,n.left,n.operatorToken,a)}(e,n,t,r);case 277:return function(e,n,t,r){const{factory:o}=e,i=void 0!==r?o.createStringLiteral(r):o.createStringLiteral(n.isExportEquals?"":"default"),a=BB(e,n.expression,i,t);return o.updateExportAssignment(n,n.modifiers,a)}(e,n,t,r)}}var VB,UB=g({"src/compiler/transformers/namedEvaluation.ts"(){JJ()}});function HB(e,n,t,r,o,i){const a=rG(n.tag,t,uu);Tt.assert(a);const s=[void 0],l=[],c=[],d=n.template;if(0===i&&!kv(d))return fG(n,t,e);const{factory:u}=e;if(jI(d))l.push(KB(u,d)),c.push(qB(u,d,r));else{l.push(KB(u,d.head)),c.push(qB(u,d.head,r));for(const e of d.templateSpans)l.push(KB(u,e.literal)),c.push(qB(u,e.literal,r)),s.push(Tt.checkDefined(rG(e.expression,t,uu)))}const p=e.getEmitHelperFactory().createTemplateObjectHelper(u.createArrayLiteralExpression(l),u.createArrayLiteralExpression(c));if(uk(r)){const e=u.createUniqueName("templateObject");o(e),s[0]=u.createLogicalOr(e,u.createAssignment(e,p))}else s[0]=p;return u.createCallExpression(a,void 0,s)}function KB(e,n){return 26656&n.templateFlags?e.createVoidZero():e.createStringLiteral(n.text)}function qB(e,n,t){let r=n.rawText;if(void 0===r){Tt.assertIsDefined(t,"Template literal node is missing 'rawText' and does not have a source file. Possibly bad transform."),r=Em(t,n);const e=15===n.kind||18===n.kind;r=r.substring(1,r.length-(e?1:2))}return r=r.replace(/\r\n?/g,"\n"),yL(e.createStringLiteral(r),n)}var JB,XB=g({"src/compiler/transformers/taggedTemplate.ts"(){JJ(),VB=(e=>(e[e.LiftRestriction=0]="LiftRestriction",e[e.All=1]="All",e))(VB||{})}});function YB(e){const{factory:n,getEmitHelperFactory:t,startLexicalEnvironment:r,resumeLexicalEnvironment:o,endLexicalEnvironment:i,hoistVariableDeclaration:a}=e,s=e.getEmitResolver(),l=e.getCompilerOptions(),c=jp(l),d=Vp(l),u=!!l.experimentalDecorators,p=l.emitDecoratorMetadata?nj(e):void 0,f=e.onEmitNode,m=e.onSubstituteNode;let _,h,g,y,v,b,E,S;return e.onEmitNode=function(e,n,t){const r=S,o=_;rM(n)&&(_=n);2&E&&function(e){return 267===Il(e).kind}(n)&&(S|=2);8&E&&function(e){return 266===Il(e).kind}(n)&&(S|=8);f(e,n,t),S=r,_=o},e.onSubstituteNode=function(e,t){if(t=m(e,t),1===e)return function(e){switch(e.kind){case 80:return function(e){return Ie(e)||e}(e);case 211:case 212:return function(e){return Ne(e)}(e)}return e}(t);if(ZC(t))return function(e){if(2&E){const t=e.name,r=Ie(t);if(r){if(e.objectAssignmentInitializer){const o=n.createAssignment(r,e.objectAssignmentInitializer);return yL(n.createPropertyAssignment(t,o),e)}return yL(n.createPropertyAssignment(t,r),e)}}return e}(t);return t},e.enableSubstitution(211),e.enableSubstitution(212),function(e){if(313===e.kind)return function(e){return n.createBundle(e.sourceFiles.map(T),Y(e.prepends,(e=>315===e.kind?rR(e,"js"):e)))}(e);return T(e)};function T(n){if(n.isDeclarationFile)return n;_=n;const t=x(n,F);return wR(t,e.readEmitHelpers()),_=void 0,t}function x(e,n){const t=y,r=v,o=b;!function(e){switch(e.kind){case 312:case 269:case 268:case 241:y=e,v=void 0;break;case 263:case 262:if(Bb(e,128))break;e.name?se(e):Tt.assert(263===e.kind||Bb(e,2048))}}(e);const i=n(e);return y!==t&&(v=r),y=t,b=o,i}function A(e){return x(e,R)}function R(e){return 1&e.transformFlags?O(e):e}function I(e){return x(e,N)}function N(t){switch(t.kind){case 272:case 271:case 277:case 278:return function(t){if(function(e){const n=Cl(e);if(n===e||NC(e))return!1;if(!n||n.kind!==e.kind)return!0;switch(e.kind){case 272:if(Tt.assertNode(n,gC),e.importClause!==n.importClause)return!0;if(e.attributes!==n.attributes)return!0;break;case 271:if(Tt.assertNode(n,hC),e.name!==n.name)return!0;if(e.isTypeOnly!==n.isTypeOnly)return!0;if(e.moduleReference!==n.moduleReference&&(bd(e.moduleReference)||bd(n.moduleReference)))return!0;break;case 278:if(Tt.assertNode(n,DC),e.exportClause!==n.exportClause)return!0;if(e.attributes!==n.attributes)return!0}return!1}(t))return 1&t.transformFlags?fG(t,A,e):t;switch(t.kind){case 272:return function(e){if(!e.importClause)return e;if(e.importClause.isTypeOnly)return;const t=rG(e.importClause,pe,yC);return t||1===l.importsNotUsedAsValues||2===l.importsNotUsedAsValues?n.updateImportDeclaration(e,void 0,t,e.moduleSpecifier,e.attributes):void 0}(t);case 271:return he(t);case 277:return function(n){return l.verbatimModuleSyntax||s.isValueAliasDeclaration(n)?fG(n,A,e):void 0}(t);case 278:return function(e){if(e.isTypeOnly)return;if(!e.exportClause||AC(e.exportClause))return e;const t=l.verbatimModuleSyntax||!!e.moduleSpecifier&&(1===l.importsNotUsedAsValues||2===l.importsNotUsedAsValues),r=rG(e.exportClause,(e=>function(e,t){return AC(e)?function(e){return n.updateNamespaceExport(e,Tt.checkDefined(rG(e.name,A,tN)))}(e):function(e,t){const r=oG(e.elements,_e,MC);return t||oe(r)?n.updateNamedExports(e,r):void 0}(e,t)}(e,t)),Uc);return r?n.updateExportDeclaration(e,void 0,e.isTypeOnly,r,e.moduleSpecifier,e.attributes):void 0}(t);default:Tt.fail("Unhandled ellided statement")}}(t);default:return R(t)}}function D(e){return x(e,C)}function C(e){if(278!==e.kind&&272!==e.kind&&273!==e.kind&&(271!==e.kind||283!==e.moduleReference.kind))return 1&e.transformFlags||Bb(e,32)?O(e):e}function M(t){return r=>x(r,(r=>function(t,r){switch(t.kind){case 176:return function(t){if(!X(t))return;return n.updateConstructorDeclaration(t,void 0,lG(t.parameters,A,e),function(t,r){const a=r&&W(r.parameters,(e=>gl(e,r)));if(!oe(a))return dG(t,A,e);let s=[];o();const l=n.copyPrologue(t.statements,s,!1,A),c=eB(t.statements,l),d=Y(a,Q);c.length?$(s,t.statements,l,c,0,d):(Ee(s,d),Ee(s,oG(t.statements,A,wu,l)));s=n.mergeLexicalEnvironment(s,i());const u=n.createBlock(yL(n.createNodeArray(s),t.statements),!0);return yL(u,t),lR(u,t),u}(t.body,t))}(t);case 172:return function(e,t){const r=33554432&e.flags||Bb(e,64);if(r&&(!u||!Xb(e)))return;let o=Md(t)?oG(e.modifiers,r?k:A,Fd):oG(e.modifiers,L,Fd);if(o=V(o,e,t),r)return n.updatePropertyDeclaration(e,ae(o,n.createModifiersFromModifierFlags(128)),Tt.checkDefined(rG(e.name,A,Ed)),void 0,void 0,void 0);return n.updatePropertyDeclaration(e,o,J(e),void 0,void 0,rG(e.initializer,A,uu))}(t,r);case 177:return ne(t,r);case 178:return te(t,r);case 174:return Z(t,r);case 175:return fG(t,A,e);case 240:return t;case 181:return;default:return Tt.failBadSyntaxKind(t)}}(r,t)))}function P(e){return n=>x(n,(n=>function(e,n){switch(e.kind){case 303:case 304:case 305:return A(e);case 177:return ne(e,n);case 178:return te(e,n);case 174:return Z(e,n);default:return Tt.failBadSyntaxKind(e)}}(n,e)))}function L(e){return EN(e)?void 0:A(e)}function k(e){return vd(e)?void 0:A(e)}function w(e){if(!EN(e)&&!(28895&sE(e.kind)||h&&95===e.kind))return e}function O(t){if(wu(t)&&Bb(t,128))return n.createNotEmittedStatement(t);switch(t.kind){case 95:case 90:return h?void 0:t;case 125:case 123:case 124:case 128:case 164:case 87:case 138:case 148:case 103:case 147:case 188:case 189:case 190:case 191:case 187:case 182:case 168:case 133:case 159:case 136:case 154:case 150:case 146:case 116:case 155:case 185:case 184:case 186:case 183:case 192:case 193:case 194:case 196:case 197:case 198:case 199:case 200:case 201:case 181:case 270:return;case 265:case 264:return n.createNotEmittedStatement(t);case 263:return function(t){const r=function(e){let n=0;oe(nB(e,!0,!0))&&(n|=1);const t=Oy(e);t&&106!==EP(t.expression).kind&&(n|=64);Oh(u,e)&&(n|=2);wh(u,e)&&(n|=4);ge(e)?n|=8:!function(e){return ve(e)&&Bb(e,2048)}(e)?be(e)&&(n|=16):n|=32;return n}(t),o=c<=1&&!!(7&r);if(!function(e){return Xb(e)||oe(e.typeParameters)||oe(e.heritageClauses,z)||oe(e.members,z)}(t)&&!Oh(u,t)&&!ge(t))return n.updateClassDeclaration(t,oG(t.modifiers,w,vd),t.name,void 0,oG(t.heritageClauses,A,YC),oG(t.members,M(t),Cd));o&&e.startLexicalEnvironment();const i=o||8&r;let a=oG(t.modifiers,i?k:A,Fd);2&r&&(a=j(a,t));const s=i&&!t.name||4&r||1&r,l=s?t.name??n.getGeneratedNameForNode(t):t.name,d=n.updateClassDeclaration(t,a,l,void 0,oG(t.heritageClauses,A,YC),G(t));let p,f=Im(t);1&r&&(f|=64);if(fR(d,f),o){const r=[d],o=YE(Ts(_.text,t.members.end),20),i=n.getInternalName(t),a=n.createPartiallyEmittedExpression(i);zx(a,o.end),fR(a,3072);const s=n.createReturnStatement(a);Wx(s,o.pos),fR(s,3840),r.push(s),pm(r,e.endLexicalEnvironment());const l=n.createImmediatelyInvokedArrowFunction(r);_R(l,1);const c=n.createVariableDeclaration(n.getLocalName(t,!1,!1),void 0,void 0,l);lR(c,t);const u=n.createVariableStatement(void 0,n.createVariableDeclarationList([c],1));lR(u,t),xR(u,t),yR(u,qE(t)),xP(u),p=u}else p=d;if(i){if(8&r)return[p,Se(t)];if(32&r)return[p,n.createExportDefault(n.getLocalName(t,!1,!0))];if(16&r)return[p,n.createExternalModuleExport(n.getDeclarationName(t,!1,!0))]}return p}(t);case 231:return function(e){let t=oG(e.modifiers,k,Fd);Oh(u,e)&&(t=j(t,e));return n.updateClassExpression(e,t,e.name,void 0,oG(e.heritageClauses,A,YC),G(e))}(t);case 298:return function(n){if(119===n.token)return;return fG(n,A,e)}(t);case 233:return function(e){return n.updateExpressionWithTypeArguments(e,Tt.checkDefined(rG(e.expression,A,iu)),void 0)}(t);case 210:return function(e){return n.updateObjectLiteralExpression(e,oG(e.properties,P(e),Gd))}(t);case 176:case 172:case 174:case 177:case 178:case 175:return Tt.fail("Class and object literal elements must be visited with their respective visitors");case 262:return function(t){if(!X(t))return n.createNotEmittedStatement(t);const r=n.updateFunctionDeclaration(t,oG(t.modifiers,w,vd),t.asteriskToken,t.name,void 0,lG(t.parameters,A,e),void 0,dG(t.body,A,e)||n.createBlock([]));if(ge(t)){const e=[r];return function(e,n){e.push(Se(n))}(e,t),e}return r}(t);case 218:return function(t){if(!X(t))return n.createOmittedExpression();const r=n.updateFunctionExpression(t,oG(t.modifiers,w,vd),t.asteriskToken,t.name,void 0,lG(t.parameters,A,e),void 0,dG(t.body,A,e)||n.createBlock([]));return r}(t);case 219:return function(t){const r=n.updateArrowFunction(t,oG(t.modifiers,w,vd),void 0,lG(t.parameters,A,e),void 0,t.equalsGreaterThanToken,dG(t.body,A,e));return r}(t);case 169:return function(e){if(vb(e))return;const t=n.updateParameterDeclaration(e,oG(e.modifiers,(e=>EN(e)?A(e):void 0),Fd),e.dotDotDotToken,Tt.checkDefined(rG(e.name,A,Sd)),void 0,void 0,rG(e.initializer,A,uu));t!==e&&(xR(t,e),yL(t,JE(e)),yR(t,JE(e)),fR(t.name,64));return t}(t);case 217:return function(t){const r=EP(t.expression,-7);if(pu(r)){const e=rG(t.expression,A,uu);return Tt.assert(e),n.createPartiallyEmittedExpression(e,t)}return fG(t,A,e)}(t);case 216:case 234:return function(e){const t=rG(e.expression,A,uu);return Tt.assert(t),n.createPartiallyEmittedExpression(t,e)}(t);case 238:return function(e){const t=rG(e.expression,A,uu);return Tt.assert(t),n.createPartiallyEmittedExpression(t,e)}(t);case 213:return function(e){return n.updateCallExpression(e,Tt.checkDefined(rG(e.expression,A,uu)),void 0,oG(e.arguments,A,uu))}(t);case 214:return function(e){return n.updateNewExpression(e,Tt.checkDefined(rG(e.expression,A,uu)),void 0,oG(e.arguments,A,uu))}(t);case 215:return function(e){return n.updateTaggedTemplateExpression(e,Tt.checkDefined(rG(e.tag,A,uu)),void 0,Tt.checkDefined(rG(e.template,A,ou)))}(t);case 235:return function(e){const t=rG(e.expression,A,iu);return Tt.assert(t),n.createPartiallyEmittedExpression(t,e)}(t);case 266:return function(e){if(!function(e){return!A_(e)||Zp(l)}(e))return n.createNotEmittedStatement(e);const t=[];let o=4;const a=ce(t,e);a&&(4===d&&y===_||(o|=1024));const s=Ae(e),c=Re(e),u=ge(e)?n.getExternalModuleOrNamespaceExportName(g,e,!1,!0):n.getDeclarationName(e,!1,!0);let p=n.createLogicalOr(u,n.createAssignment(u,n.createObjectLiteralExpression()));if(ge(e)){const t=n.getLocalName(e,!1,!0);p=n.createAssignment(t,p)}const f=n.createExpressionStatement(n.createCallExpression(n.createFunctionExpression(void 0,void 0,void 0,void 0,[n.createParameterDeclaration(void 0,void 0,s)],void 0,function(e,t){const o=g;g=t;const a=[];r();const s=B(e.members,ie);return pm(a,i()),Ee(a,s),g=o,n.createBlock(yL(n.createNodeArray(a),e.members),!0)}(e,c)),void 0,[p]));lR(f,e),a&&(RR(f,void 0),DR(f,void 0));return yL(f,e),mR(f,o),t.push(f),t}(t);case 243:return function(t){if(ge(t)){const e=dS(t.declarationList);if(0===e.length)return;return yL(n.createExpressionStatement(n.inlineExpressions(B(e,re))),t)}return fG(t,A,e)}(t);case 260:return function(e){const t=n.updateVariableDeclaration(e,Tt.checkDefined(rG(e.name,A,Sd)),void 0,void 0,rG(e.initializer,A,uu));e.type&&jR(t.name,e.type);return t}(t);case 267:return de(t);case 271:return he(t);case 285:return function(e){return n.updateJsxSelfClosingElement(e,Tt.checkDefined(rG(e.tagName,A,Wu)),void 0,Tt.checkDefined(rG(e.attributes,A,UC)))}(t);case 286:return function(e){return n.updateJsxOpeningElement(e,Tt.checkDefined(rG(e.tagName,A,Wu)),void 0,Tt.checkDefined(rG(e.attributes,A,UC)))}(t);default:return fG(t,A,e)}}function F(t){const r=RT(l,"alwaysStrict")&&!(uk(t)&&d>=5)&&!x_(t);return n.updateSourceFile(t,sG(t.statements,I,e,0,r))}function z(e){return!!(8192&e.transformFlags)}function G(e){const t=oG(e.members,M(e),Cd);let r;const o=_b(e),i=o&&W(o.parameters,(e=>gl(e,o)));if(i)for(const e of i){const t=n.createPropertyDeclaration(void 0,e.name,void 0,void 0,void 0);lR(t,e),r=ye(r,t)}return r?(r=Ee(r,t),yL(n.createNodeArray(r),e.members)):t}function j(e,t){const r=U(t,t);if(oe(r)){const t=[];Ee(t,vt(e,rL)),Ee(t,W(e,EN)),Ee(t,r),Ee(t,W(bt(e,rL),vd)),e=yL(n.createNodeArray(t),e)}return e}function V(e,t,r){if(Md(r)&&Fh(u,t,r)){const o=U(t,r);if(oe(o)){const t=[];Ee(t,W(e,EN)),Ee(t,o),Ee(t,W(e,vd)),e=yL(n.createNodeArray(t),e)}}return e}function U(e,r){if(u)return JB?function(e,r){if(p){let o;if(H(e)){o=ye(o,n.createPropertyAssignment("type",n.createArrowFunction(void 0,void 0,[],void 0,n.createToken(39),p.serializeTypeOfNode({currentLexicalScope:y,currentNameScope:r},e))))}if(q(e)){o=ye(o,n.createPropertyAssignment("paramTypes",n.createArrowFunction(void 0,void 0,[],void 0,n.createToken(39),p.serializeParameterTypesOfNode({currentLexicalScope:y,currentNameScope:r},e,r))))}if(K(e)){o=ye(o,n.createPropertyAssignment("returnType",n.createArrowFunction(void 0,void 0,[],void 0,n.createToken(39),p.serializeReturnTypeOfNode({currentLexicalScope:y,currentNameScope:r},e))))}if(o){const e=t().createMetadataHelper("design:typeinfo",n.createObjectLiteralExpression(o,!0));return[n.createDecorator(e)]}}}(e,r):function(e,r){if(p){let o;if(H(e)){const i=t().createMetadataHelper("design:type",p.serializeTypeOfNode({currentLexicalScope:y,currentNameScope:r},e));o=ye(o,n.createDecorator(i))}if(q(e)){const i=t().createMetadataHelper("design:paramtypes",p.serializeParameterTypesOfNode({currentLexicalScope:y,currentNameScope:r},e,r));o=ye(o,n.createDecorator(i))}if(K(e)){const i=t().createMetadataHelper("design:returntype",p.serializeReturnTypeOfNode({currentLexicalScope:y,currentNameScope:r},e));o=ye(o,n.createDecorator(i))}return o}}(e,r)}function H(e){const n=e.kind;return 174===n||177===n||178===n||172===n}function K(e){return 174===e.kind}function q(e){switch(e.kind){case 263:case 231:return void 0!==_b(e);case 174:case 177:case 178:return!0}return!1}function J(e){const t=e.name;if(yN(t)&&(!Vb(e)&&b||Xb(e)&&u)){const e=rG(t.expression,A,uu);Tt.assert(e);if(!XG(Bc(e))){const r=n.getGeneratedNameForNode(t);return a(r),n.updateComputedPropertyName(t,n.createAssignment(r,e))}}return Tt.checkDefined(rG(t,A,Ed))}function X(e){return!im(e.body)}function $(e,t,r,o,i,a){const s=o[i],l=t[s];if(Ee(e,oG(t,A,wu,r,s-r)),rC(l)){const t=[];$(t,l.tryBlock.statements,0,o,i+1,a);yL(n.createNodeArray(t),l.tryBlock.statements),e.push(n.updateTryStatement(l,n.updateBlock(l.tryBlock,t),rG(l.catchClause,A,$C),rG(l.finallyBlock,A,GD)))}else Ee(e,oG(t,A,wu,s,1)),Ee(e,a);Ee(e,oG(t,A,wu,s+1))}function Q(e){const t=e.name;if(!tN(t))return;const r=Vx(yL(n.cloneNode(t),t),t.parent);fR(r,3168);const o=Vx(yL(n.cloneNode(t),t),t.parent);return fR(o,3072),xP(pR(yL(lR(n.createExpressionStatement(n.createAssignment(yL(n.createPropertyAccessExpression(n.createThis(),r),e.name),o)),e),KE(e,-1))))}function Z(t,r){if(!(1&t.transformFlags))return t;if(!X(t))return;let o=Md(r)?oG(t.modifiers,A,Fd):oG(t.modifiers,L,Fd);return o=V(o,t,r),n.updateMethodDeclaration(t,o,t.asteriskToken,J(t),void 0,void 0,lG(t.parameters,A,e),void 0,dG(t.body,A,e))}function ee(e){return!(im(e.body)&&Bb(e,64))}function ne(t,r){if(!(1&t.transformFlags))return t;if(!ee(t))return;let o=Md(r)?oG(t.modifiers,A,Fd):oG(t.modifiers,L,Fd);return o=V(o,t,r),n.updateGetAccessorDeclaration(t,o,J(t),lG(t.parameters,A,e),void 0,dG(t.body,A,e)||n.createBlock([]))}function te(t,r){if(!(1&t.transformFlags))return t;if(!ee(t))return;let o=Md(r)?oG(t.modifiers,A,Fd):oG(t.modifiers,L,Fd);return o=V(o,t,r),n.updateSetAccessorDeclaration(t,o,J(t),lG(t.parameters,A,e),dG(t.body,A,e)||n.createBlock([]))}function re(t){const r=t.name;return Vd(r)?vB(t,A,e,0,!1,Te):yL(n.createAssignment(xe(r),Tt.checkDefined(rG(t.initializer,A,uu))),t)}function ie(t){const r=function(e,t){const r=e.name;return rN(r)?n.createIdentifier(""):yN(r)?t&&!XG(r.expression)?n.getGeneratedNameForNode(r):r.expression:tN(r)?n.createStringLiteral(Ll(r)):n.cloneNode(r)}(t,!1),o=function(t){const r=s.getConstantValue(t);return void 0!==r?"string"==typeof r?n.createStringLiteral(r):r<0?n.createPrefixUnaryExpression(41,n.createNumericLiteral(-r)):n.createNumericLiteral(r):(8&E||(E|=8,e.enableSubstitution(80)),t.initializer?Tt.checkDefined(rG(t.initializer,A,uu)):n.createVoidZero())}(t),i=n.createAssignment(n.createElementAccessExpression(g,r),o),a=11===o.kind?i:n.createAssignment(n.createElementAccessExpression(g,i),r);return yL(n.createExpressionStatement(yL(a,t)),t)}function se(e){v||(v=new Map);const n=le(e);v.has(n)||v.set(n,e)}function le(e){return Tt.assertNode(e.name,tN),e.name.escapedText}function ce(e,t){const r=n.createVariableDeclaration(n.getLocalName(t,!1,!0)),o=312===y.kind?0:1,i=n.createVariableStatement(oG(t.modifiers,w,vd),n.createVariableDeclarationList([r],o));return lR(r,t),RR(r,void 0),DR(r,void 0),lR(i,t),se(t),!!function(e){if(v){const n=le(e);return v.get(n)===e}return!0}(t)&&(266===t.kind?yR(i.declarationList,t):yR(i,t),xR(i,t),mR(i,2048),e.push(i),!0)}function de(t){if(!function(e){const n=Cl(e,pC);return!n||qz(n,Zp(l))}(t))return n.createNotEmittedStatement(t);Tt.assertNode(t.name,tN,"A TypeScript namespace should have an Identifier name."),2&E||(E|=2,e.enableSubstitution(80),e.enableSubstitution(304),e.enableEmitNotification(267));const o=[];let a=4;const s=ce(o,t);s&&(4===d&&y===_||(a|=1024));const c=Ae(t),u=Re(t),p=ge(t)?n.getExternalModuleOrNamespaceExportName(g,t,!1,!0):n.getDeclarationName(t,!1,!0);let f=n.createLogicalOr(p,n.createAssignment(p,n.createObjectLiteralExpression()));if(ge(t)){const e=n.getLocalName(t,!1,!0);f=n.createAssignment(e,f)}const m=n.createExpressionStatement(n.createCallExpression(n.createFunctionExpression(void 0,void 0,void 0,void 0,[n.createParameterDeclaration(void 0,void 0,c)],void 0,function(e,t){const o=g,a=h,s=v;g=t,h=e,v=void 0;const l=[];let c,d;if(r(),e.body)if(268===e.body.kind)x(e.body,(e=>Ee(l,oG(e.statements,D,wu)))),c=e.body.statements,d=e.body;else{const n=de(e.body);n&&(pn(n)?Ee(l,n):l.push(n));c=KE(ue(e).body.statements,-1)}pm(l,i()),g=o,h=a,v=s;const u=n.createBlock(yL(n.createNodeArray(l),c),!0);yL(u,d),e.body&&268===e.body.kind||fR(u,3072|Im(u));return u}(t,u)),void 0,[f]));return lR(m,t),s&&(RR(m,void 0),DR(m,void 0)),yL(m,t),mR(m,a),o.push(m),o}function ue(e){if(267===e.body.kind){return ue(e.body)||e.body}}function pe(e){Tt.assert(!e.isTypeOnly);const t=De(e)?e.name:void 0,r=rG(e.namedBindings,fe,Ru);return t||r?n.updateImportClause(e,!1,t,r):void 0}function fe(e){if(274===e.kind)return De(e)?e:void 0;{const t=l.verbatimModuleSyntax||l.preserveValueImports&&(1===l.importsNotUsedAsValues||2===l.importsNotUsedAsValues),r=oG(e.elements,me,IC);return t||oe(r)?n.updateNamedImports(e,r):void 0}}function me(e){return!e.isTypeOnly&&De(e)?e:void 0}function _e(e){return e.isTypeOnly||!l.verbatimModuleSyntax&&!s.isValueAliasDeclaration(e)?void 0:e}function he(t){if(t.isTypeOnly)return;if(Uh(t)){const r=De(t);return r||1!==l.importsNotUsedAsValues?r?fG(t,A,e):void 0:lR(yL(n.createImportDeclaration(void 0,void 0,t.moduleReference.expression,void 0),t),t)}if(!function(e){return De(e)||!uk(_)&&s.isTopLevelValueImportEqualsWithEntityName(e)}(t))return;const r=aP(n,t.moduleReference);return fR(r,7168),be(t)||!ge(t)?lR(yL(n.createVariableStatement(oG(t.modifiers,w,vd),n.createVariableDeclarationList([lR(n.createVariableDeclaration(t.name,void 0,void 0,r),t)])),t),t):lR((o=t.name,i=r,a=t,yL(n.createExpressionStatement(n.createAssignment(n.getNamespaceMemberName(g,o,!1,!0),i)),a)),t);var o,i,a}function ge(e){return void 0!==h&&Bb(e,32)}function ve(e){return void 0===h&&Bb(e,32)}function be(e){return ve(e)&&!Bb(e,2048)}function Se(e){const t=n.createAssignment(n.getExternalModuleOrNamespaceExportName(g,e,!1,!0),n.getLocalName(e));yR(t,UE(e.name?e.name.pos:e.pos,e.end));const r=n.createExpressionStatement(t);return yR(r,UE(-1,e.end)),r}function Te(e,t,r){return yL(n.createAssignment(xe(e),t),r)}function xe(e){return n.getNamespaceMemberName(g,e,!1,!0)}function Ae(e){const t=n.getGeneratedNameForNode(e);return yR(t,e.name),t}function Re(e){return n.getGeneratedNameForNode(e)}function Ie(e){if(E&S&&!ud(e)&&!uP(e)){const t=s.getReferencedExportContainer(e,!1);if(t&&312!==t.kind){if(2&S&&267===t.kind||8&S&&266===t.kind)return yL(n.createPropertyAccessExpression(n.getGeneratedNameForNode(t),e),e)}}}function Ne(e){const t=function(e){if(Kp(l))return;return lD(e)||cD(e)?s.getConstantValue(e):void 0}(e);if(void 0!==t){LR(e,t);const o="string"==typeof t?n.createStringLiteral(t):t<0?n.createPrefixUnaryExpression(41,n.createNumericLiteral(-t)):n.createNumericLiteral(t);if(!l.removeComments){const n=Il(e,wS);CR(o,3,` ${r=xm(n),r.replace(/\*\//g,"*_/")} `)}return o}var r;return e}function De(e){return l.verbatimModuleSyntax||Yh(e)||(l.preserveValueImports?s.isValueAliasDeclaration(e):s.isReferencedAliasDeclaration(e))}}var $B=g({"src/compiler/transformers/ts.ts"(){JJ(),JB=!1}});function QB(e){const{factory:n,getEmitHelperFactory:t,hoistVariableDeclaration:r,endLexicalEnvironment:o,startLexicalEnvironment:i,resumeLexicalEnvironment:a,addBlockScopedVariable:s}=e,l=e.getEmitResolver(),c=e.getCompilerOptions(),d=jp(c),u=rf(c),p=!!c.experimentalDecorators,f=!u,m=u&&d<9,_=f||m,h=d<9,g=d<99?-1:u?0:3,y=d<9,v=y&&d>=2,b=_||h||-1===g,E=e.onSubstituteNode;e.onSubstituteNode=function(e,t){if(t=E(e,t),1===e)return function(e){switch(e.kind){case 80:return function(e){return function(e){if(1&T&&536870912&l.getNodeCheckFlags(e)){const t=l.getReferencedValueDeclaration(e);if(t){const r=x[t.id];if(r){const t=n.cloneNode(r);return yR(t,e),xR(t,e),t}}}return}(e)||e}(e);case 110:return function(e){if(2&T&&(null==I?void 0:I.data)&&!M.has(e)){const{facts:t,classConstructor:r,classThis:o}=I.data,i=k?o??r:r;if(i)return yL(lR(n.cloneNode(i),e),e);if(1&t&&p)return n.createParenthesizedExpression(n.createVoidZero())}return e}(e)}return e}(t);return t};const S=e.onEmitNode;e.onEmitNode=function(e,n,t){const r=Il(n),o=C.get(r);if(o){const i=I,a=w;return I=o,w=k,k=!(RN(r)&&32&Nm(r)),S(e,n,t),k=w,w=a,void(I=i)}switch(n.kind){case 218:if(hD(r)||524288&Im(n))break;case 262:case 176:case 177:case 178:case 174:case 172:{const r=I,o=w;return I=void 0,w=k,k=!1,S(e,n,t),k=w,w=o,void(I=r)}case 167:{const r=I,o=k;return I=null==I?void 0:I.previous,k=w,S(e,n,t),k=o,void(I=r)}}S(e,n,t)};let T,x,A,R,I,N=!1;const C=new Map,M=new Set;let P,L,k=!1,w=!1;return BG(e,(function(n){if(n.isDeclarationFile)return n;if(I=void 0,N=!!(32&Nm(n)),!b&&!N)return n;const t=fG(n,F,e);return wR(t,e.readEmitHelpers()),t}));function O(e){return 129===e.kind?ne()?void 0:e:hn(e,vd)}function F(t){if(!(16777216&t.transformFlags||134234112&t.transformFlags))return t;switch(t.kind){case 129:return Tt.fail("Use `modifierVisitor` instead.");case 263:return function(e){return _e(e,ge)}(t);case 231:return function(e){return _e(e,ve)}(t);case 175:case 172:return Tt.fail("Use `classElementVisitor` instead.");case 303:case 260:case 169:case 208:return function(n){gv(n,de)&&(n=jB(e,n));return fG(n,F,e)}(t);case 243:return function(n){const t=R;R=[];const r=fG(n,F,e),o=oe(R)?[r,...R]:r;return R=t,o}(t);case 277:return function(n){gv(n,de)&&(n=jB(e,n,!0,n.isExportEquals?"":"default"));return fG(n,F,e)}(t);case 81:return function(e){if(!h)return e;if(wu(e.parent))return e;return lR(n.createIdentifier(""),e)}(t);case 211:return function(t){if(rN(t.name)){const e=We(t.name);if(e)return yL(lR(ie(e,t.expression),t),t)}if(v&&L&&Rh(t)&&tN(t.name)&&ZB(L)&&(null==I?void 0:I.data)){const{classConstructor:e,superClassReference:r,facts:o}=I.data;if(1&o)return De(t);if(e&&r){const o=n.createReflectGetCall(r,n.createStringLiteralFromNode(t.name),e);return lR(o,t.expression),yL(o,t.expression),o}}return fG(t,F,e)}(t);case 212:return function(t){if(v&&L&&Rh(t)&&ZB(L)&&(null==I?void 0:I.data)){const{classConstructor:e,superClassReference:r,facts:o}=I.data;if(1&o)return De(t);if(e&&r){const o=n.createReflectGetCall(r,rG(t.argumentExpression,F,uu),e);return lR(o,t.expression),yL(o,t.expression),o}}return fG(t,F,e)}(t);case 224:case 225:return se(t,!1);case 226:return ue(t,!1);case 217:return pe(t,!1);case 213:return function(t){var o;if(_d(t.expression)&&We(t.expression.name)){const{thisArg:e,target:o}=n.createCallBinding(t.expression,r,d);return kc(t)?n.updateCallChain(t,n.createPropertyAccessChain(rG(o,F,uu),t.questionDotToken,"call"),void 0,void 0,[rG(e,F,uu),...oG(t.arguments,F,uu)]):n.updateCallExpression(t,n.createPropertyAccessExpression(rG(o,F,uu),"call"),void 0,[rG(e,F,uu),...oG(t.arguments,F,uu)])}if(v&&L&&Rh(t.expression)&&ZB(L)&&(null==(o=null==I?void 0:I.data)?void 0:o.classConstructor)){const e=n.createFunctionCallCall(rG(t.expression,F,uu),I.data.classConstructor,oG(t.arguments,F,uu));return lR(e,t),yL(e,t),e}return fG(t,F,e)}(t);case 244:return function(e){return n.updateExpressionStatement(e,rG(e.expression,G,uu))}(t);case 215:return function(t){var o;if(_d(t.tag)&&We(t.tag.name)){const{thisArg:e,target:o}=n.createCallBinding(t.tag,r,d);return n.updateTaggedTemplateExpression(t,n.createCallExpression(n.createPropertyAccessExpression(rG(o,F,uu),"bind"),void 0,[rG(e,F,uu)]),void 0,rG(t.template,F,ou))}if(v&&L&&Rh(t.tag)&&ZB(L)&&(null==(o=null==I?void 0:I.data)?void 0:o.classConstructor)){const e=n.createFunctionBindCall(rG(t.tag,F,uu),I.data.classConstructor,[]);return lR(e,t),yL(e,t),n.updateTaggedTemplateExpression(t,e,void 0,rG(t.template,F,ou))}return fG(t,F,e)}(t);case 248:return function(t){return n.updateForStatement(t,rG(t.initializer,G,Su),rG(t.condition,F,uu),rG(t.incrementor,G,uu),uG(t.statement,F,e))}(t);case 110:return function(e){if(y&&L&&RN(L)&&(null==I?void 0:I.data)){const{classThis:n,classConstructor:t}=I.data;return n??t??e}return e}(t);case 262:case 218:return $(void 0,z,t);case 176:case 174:case 177:case 178:return $(t,z,t);default:return z(t)}}function z(n){return fG(n,F,e)}function G(e){switch(e.kind){case 224:case 225:return se(e,!0);case 226:return ue(e,!0);case 361:return function(e,t){const r=t?pG(e.elements,G):pG(e.elements,F,G);return n.updateCommaListExpression(e,r)}(e,!0);case 217:return pe(e,!0);default:return F(e)}}function j(t){switch(t.kind){case 298:return fG(t,j,e);case 233:return function(t){var o;const i=(null==(o=null==I?void 0:I.data)?void 0:o.facts)||0;if(4&i){const e=n.createTempVariable(r,!0);return Ce().superClassReference=e,n.updateExpressionWithTypeArguments(t,n.createAssignment(e,rG(t.expression,F,uu)),void 0)}return fG(t,F,e)}(t);default:return F(t)}}function V(e){switch(e.kind){case 210:case 209:return Ve(e);default:return F(e)}}function U(e){switch(e.kind){case 176:return $(e,J,e);case 177:case 178:case 174:return $(e,Y,e);case 172:return $(e,te,e);case 175:return $(e,be,e);case 167:return q(e);case 240:return e;default:return Fd(e)?O(e):F(e)}}function H(e){return 167===e.kind?q(e):F(e)}function K(e){switch(e.kind){case 172:return ee(e);case 177:case 178:return U(e);default:Tt.assertMissingNode(e,"Expected node to either be a PropertyDeclaration, GetAccessorDeclaration, or SetAccessorDeclaration")}}function q(e){const t=rG(e.expression,F,uu);return n.updateComputedPropertyName(e,function(e){return oe(A)&&(mD(e)?(A.push(e.expression),e=n.updateParenthesizedExpression(e,n.inlineExpressions(A))):(A.push(e),e=n.inlineExpressions(A)),A=void 0),e}(t))}function J(e){return P?Te(e,P):z(e)}function X(e){return!!h||!!(Vb(e)&&32&Nm(e))}function Y(t){if(Tt.assert(!Xb(t)),!md(t)||!X(t))return fG(t,U,e);const r=We(t.name);if(Tt.assert(r,"Undeclared private name for property declaration."),!r.isValid)return t;const o=function(e){Tt.assert(rN(e.name));const n=We(e.name);if(Tt.assert(n,"Undeclared private name for property declaration."),"m"===n.kind)return n.methodName;if("a"===n.kind){if(Ju(e))return n.getterName;if(qu(e))return n.setterName}}(t);o&&Pe().push(n.createAssignment(o,n.createFunctionExpression(W(t.modifiers,(e=>vd(e)&&!dN(e)&&!fN(e))),t.asteriskToken,o,void 0,lG(t.parameters,F,e),void 0,dG(t.body,F,e))))}function $(e,n,t){if(e!==L){const r=L;L=e;const o=n(t);return L=r,o}return n(t)}function Q(e){const t=TR(e),o=gR(e),i=e.name;let a=i,s=i;if(yN(i)&&!XG(i.expression)){const e=fL(i);if(e)a=n.updateComputedPropertyName(i,rG(i.expression,F,uu)),s=n.updateComputedPropertyName(i,e.left);else{const e=n.createTempVariable(r);yR(e,i.expression);const t=rG(i.expression,F,uu),o=n.createAssignment(e,t);yR(o,i.expression),a=n.updateComputedPropertyName(i,o),s=n.updateComputedPropertyName(i,e)}}const l=oG(e.modifiers,O,vd),c=dL(n,e,l,e.initializer);lR(c,e),fR(c,3072),yR(c,o);const d=jb(e)?function(){const e=Ce(),n=e.classThis??e.classConstructor??(null==P?void 0:P.name);return Tt.checkDefined(n)}():n.createThis(),u=uL(n,e,l,a,d);lR(u,e),xR(u,t),yR(u,o);const p=n.createModifiersFromModifierFlags(aE(l)),f=pL(n,e,p,s,d);return lR(f,e),fR(f,3072),yR(f,o),iG([c,u,f],K,Cd)}function Z(e){if(!_||Ld(e))return n.updatePropertyDeclaration(e,oG(e.modifiers,O,vd),rG(e.name,H,Ed),void 0,void 0,rG(e.initializer,F,uu));{const t=function(e,t){if(yN(e)){const o=fL(e),i=rG(e.expression,F,uu),a=Bc(i),c=XG(a);if(!(!!o||gE(a)&&ud(a.left))&&!c&&t){const t=n.getGeneratedNameForNode(e);return 32768&l.getNodeCheckFlags(e)?s(t):r(t),n.createAssignment(t,i)}return c||tN(a)?void 0:i}}(e.name,!!e.initializer||u);if(t&&Pe().push(..._L(t)),jb(e)&&!h){const t=Re(e,n.createThis());if(t){const r=n.createClassStaticBlockDeclaration(n.createBlock([t]));return lR(r,e),xR(r,e),xR(t,{pos:-1,end:-1}),RR(t,void 0),DR(t,void 0),r}}}}function ee(t){return Tt.assert(!Xb(t),"Decorators should already have been transformed and elided."),md(t)?function(t){if(!X(t))return f&&!jb(t)&&(null==I?void 0:I.data)&&16&I.data.facts?n.updatePropertyDeclaration(t,oG(t.modifiers,F,Fd),t.name,void 0,void 0,void 0):(gv(t,de)&&(t=jB(e,t)),n.updatePropertyDeclaration(t,oG(t.modifiers,O,vd),rG(t.name,H,Ed),void 0,void 0,rG(t.initializer,F,uu)));{const e=We(t.name);if(Tt.assert(e,"Undeclared private name for property declaration."),!e.isValid)return t;if(e.isStatic&&!h){const e=Re(t,n.createThis());if(e)return n.createClassStaticBlockDeclaration(n.createBlock([e],!0))}}}(t):Z(t)}function ne(){return-1===g||3===g&&!!(null==I?void 0:I.data)&&!!(16&I.data.facts)}function te(e){return Ld(e)&&(ne()||Vb(e)&&32&Nm(e))?Q(e):ee(e)}function re(e){if(L&&Vb(L)&&Pd(L)&&Ld(Il(L))){const n=EP(e);110===n.kind&&M.add(n)}}function ie(e,n){return re(n=rG(n,F,uu)),ae(e,n)}function ae(e,n){switch(xR(n,KE(n,-1)),e.kind){case"a":return t().createClassPrivateFieldGetHelper(n,e.brandCheckIdentifier,e.kind,e.getterName);case"m":return t().createClassPrivateFieldGetHelper(n,e.brandCheckIdentifier,e.kind,e.methodName);case"f":return t().createClassPrivateFieldGetHelper(n,e.brandCheckIdentifier,e.kind,e.isStatic?e.variableName:void 0);case"untransformed":return Tt.fail("Access helpers should not be created for untransformed private elements");default:Tt.assertNever(e,"Unknown private element type")}}function se(t,o){if(46===t.operator||47===t.operator){const e=Ty(t.operand);if(_d(e)){let i;if(i=We(e.name)){const a=rG(e.expression,F,uu);re(a);const{readExpression:s,initializeExpression:l}=le(a);let c=ie(i,s);const d=ED(t)||o?void 0:n.createTempVariable(r);return c=cP(n,t,c,r,d),c=fe(i,l||s,c,64),lR(c,t),yL(c,t),d&&(c=n.createComma(c,d),yL(c,t)),c}}else if(v&&L&&Rh(e)&&ZB(L)&&(null==I?void 0:I.data)){const{classConstructor:i,superClassReference:a,facts:s}=I.data;if(1&s){const r=De(e);return ED(t)?n.updatePrefixUnaryExpression(t,r):n.updatePostfixUnaryExpression(t,r)}if(i&&a){let s,l;if(lD(e)?tN(e.name)&&(l=s=n.createStringLiteralFromNode(e.name)):XG(e.argumentExpression)?l=s=e.argumentExpression:(l=n.createTempVariable(r),s=n.createAssignment(l,rG(e.argumentExpression,F,uu))),s&&l){let c=n.createReflectGetCall(a,l,i);yL(c,e);const d=o?void 0:n.createTempVariable(r);return c=cP(n,t,c,r,d),c=n.createReflectSetCall(a,s,c,i),lR(c,t),yL(c,t),d&&(c=n.createComma(c,d),yL(c,t)),c}}}}return fG(t,F,e)}function le(e){const t=Sv(e)?e:n.cloneNode(e);if(110===e.kind&&M.has(e)&&M.add(t),XG(e))return{readExpression:t,initializeExpression:void 0};const o=n.createTempVariable(r);return{readExpression:o,initializeExpression:n.createAssignment(o,t)}}function ce(e){if(I&&C.set(Il(e),I),h){if(CB(e)){const n=rG(e.body.statements[0].expression,F,uu);if(gE(n,!0)&&n.left===n.right)return;return n}if(FB(e))return rG(e.body.statements[0].expression,F,uu);i();let t=$(e,(e=>oG(e,F,wu)),e.body.statements);t=n.mergeLexicalEnvironment(t,o());const r=n.createImmediatelyInvokedArrowFunction(t);return lR(Ty(r.expression),e),mR(Ty(r.expression),4),lR(r,e),yL(r,e),r}}function de(e){if(ND(e)&&!e.name){const n=rB(e);if(oe(n,FB))return!1;return(h||!!Nm(e))&&oe(n,(e=>RN(e)||md(e)||_&&oB(e)))}return!1}function ue(o,i){if(vE(o)){const e=A;A=void 0,o=n.updateBinaryExpression(o,rG(o.left,V,uu),o.operatorToken,rG(o.right,F,uu));const t=oe(A)?n.inlineExpressions(he([...A,o])):o;return A=e,t}if(gE(o)){gv(o,de)&&(o=jB(e,o),Tt.assertNode(o,gE));const t=EP(o.left,9);if(_d(t)){const e=We(t.name);if(e)return yL(lR(fe(e,t.expression,o.right,o.operatorToken.kind),o),o)}else if(v&&L&&Rh(o.left)&&ZB(L)&&(null==I?void 0:I.data)){const{classConstructor:e,superClassReference:t,facts:a}=I.data;if(1&a)return n.updateBinaryExpression(o,De(o.left),o.operatorToken,rG(o.right,F,uu));if(e&&t){let a=cD(o.left)?rG(o.left.argumentExpression,F,uu):tN(o.left.name)?n.createStringLiteralFromNode(o.left.name):void 0;if(a){let s=rG(o.right,F,uu);if(YG(o.operatorToken.kind)){let i=a;XG(a)||(i=n.createTempVariable(r),a=n.createAssignment(i,a));const l=n.createReflectGetCall(t,i,e);lR(l,o.left),yL(l,o.left),s=n.createBinaryExpression(l,$G(o.operatorToken.kind),s),yL(s,o)}const l=i?void 0:n.createTempVariable(r);return l&&(s=n.createAssignment(l,s),yL(l,o)),s=n.createReflectSetCall(t,a,s,e),lR(s,o),yL(s,o),l&&(s=n.createComma(s,l),yL(s,o)),s}}}}return function(e){return rN(e.left)&&103===e.operatorToken.kind}(o)?function(n){const r=We(n.left);if(r){const e=rG(n.right,F,uu);return lR(t().createClassPrivateFieldInHelper(r.brandCheckIdentifier,e),n)}return fG(n,F,e)}(o):fG(o,F,e)}function pe(e,t){const r=t?G:F,o=rG(e.expression,r,uu);return n.updateParenthesizedExpression(e,o)}function fe(e,r,o,i){if(r=rG(r,F,uu),o=rG(o,F,uu),re(r),YG(i)){const{readExpression:t,initializeExpression:a}=le(r);r=a||t,o=n.createBinaryExpression(ae(e,t),$G(i),o)}switch(xR(r,KE(r,-1)),e.kind){case"a":return t().createClassPrivateFieldSetHelper(r,e.brandCheckIdentifier,o,e.kind,e.setterName);case"m":return t().createClassPrivateFieldSetHelper(r,e.brandCheckIdentifier,o,e.kind,void 0);case"f":return t().createClassPrivateFieldSetHelper(r,e.brandCheckIdentifier,o,e.kind,e.isStatic?e.variableName:void 0);case"untransformed":return Tt.fail("Access helpers should not be created for untransformed private elements");default:Tt.assertNever(e,"Unknown private element type")}}function me(e){return W(e.members,iB)}function _e(t,r){var o;const i=P,a=A,s=I;P=t,A=void 0,I={previous:I,data:void 0};const c=32&Nm(t);if(h||c){const e=jl(t);if(e&&tN(e))Me().data.className=e;else if((null==(o=t.emitNode)?void 0:o.assignedName)&&zI(t.emitNode.assignedName))if(t.emitNode.assignedName.textSourceNode&&tN(t.emitNode.assignedName.textSourceNode))Me().data.className=t.emitNode.assignedName.textSourceNode;else if(zs(t.emitNode.assignedName.text,d)){const e=n.createIdentifier(t.emitNode.assignedName.text);Me().data.className=e}}if(h){const e=me(t);oe(e)&&(Me().data.weakSetName=Oe("instances",e[0].name))}const u=function(e){var n;let t=0;const r=Il(e);lC(r)&&Oh(p,r)&&(t|=1),h&&(MB(e)||WB(e))&&(t|=2);let o=!1,i=!1,a=!1,s=!1;for(const r of e.members)jb(r)?(r.name&&(rN(r.name)||Ld(r))&&h?t|=2:!Ld(r)||-1!==g||e.name||(null==(n=e.emitNode)?void 0:n.classThis)||(t|=2),(TN(r)||RN(r))&&(y&&16384&r.transformFlags&&(t|=8,1&t||(t|=2)),v&&134217728&r.transformFlags&&(1&t||(t|=6)))):Hb(Il(r))||(Ld(r)?(s=!0,a||(a=md(r))):md(r)?(a=!0,262144&l.getNodeCheckFlags(r)&&(t|=2)):TN(r)&&(o=!0,i||(i=!!r.initializer)));return(m&&o||f&&i||h&&a||h&&s&&-1===g)&&(t|=16),t}(t);u&&(Ce().facts=u),8&u&&(2&T||(T|=2,e.enableSubstitution(110),e.enableEmitNotification(262),e.enableEmitNotification(218),e.enableEmitNotification(176),e.enableEmitNotification(177),e.enableEmitNotification(178),e.enableEmitNotification(174),e.enableEmitNotification(172),e.enableEmitNotification(167)));const _=r(t,u);return I=null==I?void 0:I.previous,Tt.assert(I===s),P=i,A=a,_}function ge(e,t){var o,i;let a;if(2&t)if(h&&(null==(o=e.emitNode)?void 0:o.classThis))Ce().classConstructor=e.emitNode.classThis,a=n.createAssignment(e.emitNode.classThis,n.getInternalName(e));else{const t=n.createTempVariable(r,!0);Ce().classConstructor=n.cloneNode(t),a=n.createAssignment(t,n.getInternalName(e))}(null==(i=e.emitNode)?void 0:i.classThis)&&(Ce().classThis=e.emitNode.classThis);const s=262144&l.getNodeCheckFlags(e),c=Bb(e,32),d=Bb(e,2048);let u=oG(e.modifiers,O,vd);const p=oG(e.heritageClauses,j,YC),{members:m,prologue:_}=Se(e),g=[];if(a&&Pe().unshift(a),oe(A)&&g.push(n.createExpressionStatement(n.inlineExpressions(A))),f||h||32&Nm(e)){const t=rB(e);oe(t)&&Ae(g,t,n.getInternalName(e))}g.length>0&&c&&d&&(u=oG(u,(e=>rL(e)?void 0:e),vd),g.push(n.createExportAssignment(void 0,!1,n.getLocalName(e,!1,!0))));const y=Ce().classConstructor;s&&y&&(Ne(),x[zG(e)]=y);const v=n.updateClassDeclaration(e,u,e.name,void 0,p,m);return g.unshift(v),_&&g.unshift(n.createExpressionStatement(_)),g}function ve(e,t){var o,i,a;const c=!!(1&t),d=rB(e),u=l.getNodeCheckFlags(e),p=262144&u;let f;function m(){var t;if(h&&(null==(t=e.emitNode)?void 0:t.classThis))return Ce().classConstructor=e.emitNode.classThis;const o=32768&u,i=n.createTempVariable(o?s:r,!0);return Ce().classConstructor=n.cloneNode(i),i}(null==(o=e.emitNode)?void 0:o.classThis)&&(Ce().classThis=e.emitNode.classThis),2&t&&(f??(f=m()));const g=oG(e.modifiers,O,vd),y=oG(e.heritageClauses,j,YC),{members:v,prologue:b}=Se(e),E=n.updateClassExpression(e,g,e.name,void 0,y,v),S=[];b&&S.push(b);if((h||32&Nm(e))&&oe(d,(e=>RN(e)||md(e)||_&&oB(e)))||oe(A))if(c)Tt.assertIsDefined(R,"Decorated classes transformed by TypeScript are expected to be within a variable declaration."),oe(A)&&Ee(R,B(A,n.createExpressionStatement)),oe(d)&&Ae(R,d,(null==(i=e.emitNode)?void 0:i.classThis)??n.getInternalName(e)),f?S.push(n.createAssignment(f,E)):h&&(null==(a=e.emitNode)?void 0:a.classThis)?S.push(n.createAssignment(e.emitNode.classThis,E)):S.push(E);else{if(f??(f=m()),p){Ne();const t=n.cloneNode(f);t.emitNode.autoGenerate.flags&=-9,x[zG(e)]=t}S.push(n.createAssignment(f,E)),Ee(S,A),Ee(S,function(e,n){const t=[];for(const r of e){const e=RN(r)?$(r,ce,r):$(r,(()=>Ie(r,n)),void 0);e&&(xP(e),lR(e,r),mR(e,3072&Im(r)),yR(e,JE(r)),xR(e,r),t.push(e))}return t}(d,f)),S.push(n.cloneNode(f))}else S.push(E);return S.length>1&&(mR(E,131072),S.forEach(xP)),n.inlineExpressions(S)}function be(n){if(!h)return fG(n,F,e)}function Se(e){const t=!!(32&Nm(e));if(h||N){for(const n of e.members)if(md(n))if(X(n))we(n,n.name,Le);else{fB(Me(),n.name,{kind:"untransformed"})}if(h&&oe(me(e))&&function(){const{weakSetName:e}=Me().data;Tt.assert(e,"weakSetName should be set in private identifier environment"),Pe().push(n.createAssignment(e,n.createNewExpression(n.createIdentifier("WeakSet"),void 0,[])))}(),ne())for(const r of e.members)if(Ld(r)){const e=n.getGeneratedPrivateNameForNode(r.name,void 0,"_accessor_storage");if(h||t&&Vb(r))we(r,e,ke);else{fB(Me(),e,{kind:"untransformed"})}}}let o,i,a,s=oG(e.members,U,Cd);if(oe(s,IN)||(o=Te(void 0,e)),!h&&oe(A)){let e=n.createExpressionStatement(n.inlineExpressions(A));if(134234112&e.transformFlags){const t=n.createTempVariable(r),o=n.createArrowFunction(void 0,void 0,[],void 0,void 0,n.createBlock([e]));i=n.createAssignment(t,o),e=n.createExpressionStatement(n.createCallExpression(t,void 0,[]))}const t=n.createBlock([e]);a=n.createClassStaticBlockDeclaration(t),A=void 0}if(o||a){let t;const r=D(s,CB),i=D(s,FB);t=ye(t,r),t=ye(t,i),t=ye(t,o),t=ye(t,a);t=Ee(t,r||i?W(s,(e=>e!==r&&e!==i)):s),s=yL(n.createNodeArray(t),e.members)}return{members:s,prologue:i}}function Te(t,r){if(t=rG(t,F,IN),!((null==I?void 0:I.data)&&16&I.data.facts))return t;const i=Oy(r),s=!(!i||106===EP(i.expression).kind),l=lG(t?t.parameters:void 0,F,e),c=function(t,r,i){const s=nB(t,!1,!1);let l=s;u||(l=W(l,(e=>!!e.initializer||rN(e.name)||qb(e))));const c=me(t),d=oe(l)||oe(c);if(!r&&!d)return dG(void 0,F,e);a();const p=!r&&i;let f=0,m=[];const _=[],g=n.createThis();if(function(e,t,r){if(!h||!oe(t))return;const{weakSetName:o}=Me().data;Tt.assert(o,"weakSetName should be set in private identifier environment"),e.push(n.createExpressionStatement(function(e,n,t){return e.createCallExpression(e.createPropertyAccessExpression(t,"add"),void 0,[n])}(n,r,o)))}(_,c,g),r){const e=W(s,(e=>gl(Il(e),r))),n=W(l,(e=>!gl(Il(e),r)));Ae(_,e,g),Ae(_,n,g)}else Ae(_,l,g);if(null==r?void 0:r.body){f=n.copyPrologue(r.body.statements,m,!1,F);const e=eB(r.body.statements,f);if(e.length)xe(m,r.body.statements,f,e,0,_,r);else{for(;f<r.body.statements.length;){if(!gl(Il(r.body.statements[f]),r))break;f++}Ee(m,_),Ee(m,oG(r.body.statements,F,wu,f))}}else p&&m.push(n.createExpressionStatement(n.createCallExpression(n.createSuper(),void 0,[n.createSpreadElement(n.createIdentifier("arguments"))]))),Ee(m,_);if(m=n.mergeLexicalEnvironment(m,o()),0===m.length&&!r)return;const y=(null==r?void 0:r.body)&&r.body.statements.length>=m.length?r.body.multiLine??m.length>0:m.length>0;return yL(n.createBlock(yL(n.createNodeArray(m),r?r.body.statements:t.members),y),r?r.body:void 0)}(r,t,s);return c?t?(Tt.assert(l),n.updateConstructorDeclaration(t,void 0,l,c)):xP(lR(yL(n.createConstructorDeclaration(void 0,l??[],c),t||r),t)):t}function xe(e,t,r,o,i,a,s){const l=o[i],c=t[l];if(Ee(e,oG(t,F,wu,r,l-r)),r=l+1,rC(c)){const t=[];xe(t,c.tryBlock.statements,0,o,i+1,a,s);yL(n.createNodeArray(t),c.tryBlock.statements),e.push(n.updateTryStatement(c,n.updateBlock(c.tryBlock,t),rG(c.catchClause,F,$C),rG(c.finallyBlock,F,GD)))}else{for(Ee(e,oG(t,F,wu,l,1));r<t.length;){if(!gl(Il(t[r]),s))break;r++}Ee(e,a)}Ee(e,oG(t,F,wu,r))}function Ae(e,n,t){for(const r of n){if(jb(r)&&!h)continue;const n=Re(r,t);n&&e.push(n)}}function Re(e,t){const r=RN(e)?$(e,ce,e):Ie(e,t);if(!r)return;const o=n.createExpressionStatement(r);lR(o,e),mR(o,3072&Im(e)),xR(o,e);const i=Il(e);return bN(i)?(yR(o,i),pR(o)):yR(o,JE(e)),RR(r,void 0),DR(r,void 0),qb(i)&&mR(o,3072),o}function Ie(t,r){var o;const i=L,a=function(t,r){const o=!u;gv(t,de)&&(t=jB(e,t));const i=qb(t)?n.getGeneratedPrivateNameForNode(t.name):yN(t.name)&&!XG(t.name.expression)?n.updateComputedPropertyName(t.name,n.getGeneratedNameForNode(t.name)):t.name;Vb(t)&&(L=t);if(rN(i)&&X(t)){const e=We(i);if(e)return"f"===e.kind?e.isStatic?function(e,n,t){return e.createAssignment(n,e.createObjectLiteralExpression([e.createPropertyAssignment("value",t||e.createVoidZero())]))}(n,e.variableName,rG(t.initializer,F,uu)):function(e,n,t,r){return e.createCallExpression(e.createPropertyAccessExpression(r,"set"),void 0,[n,t||e.createVoidZero()])}(n,r,rG(t.initializer,F,uu),e.brandCheckIdentifier):void 0;Tt.fail("Undeclared private name for property declaration.")}if((rN(i)||Vb(t))&&!t.initializer)return;const a=Il(t);if(Bb(a,64))return;let s=rG(t.initializer,F,uu);if(gl(a,a.parent)&&tN(i)){const e=n.cloneNode(i);s?(mD(s)&&hP(s.expression)&&wI(s.expression.left,"___runInitializers")&&vD(s.expression.right)&&FI(s.expression.right.expression)&&(s=s.expression.left),s=n.inlineExpressions([s,e])):s=e,fR(i,3168),yR(e,a.name),fR(e,3072)}else s??(s=n.createVoidZero());if(o||rN(i)){const e=QM(n,r,i,i);mR(e,1024);return n.createAssignment(e,s)}{const e=yN(i)?i.expression:tN(i)?n.createStringLiteral(Pl(i.escapedText)):i,t=n.createPropertyDescriptor({value:s,configurable:!0,writable:!0,enumerable:!0});return n.createObjectDefinePropertyCall(r,e,t)}}(t,r);return a&&Vb(t)&&(null==(o=null==I?void 0:I.data)?void 0:o.facts)&&(lR(a,t),mR(a,4),yR(a,gR(t.name)),C.set(Il(t),I)),L=i,a}function Ne(){1&T||(T|=1,e.enableSubstitution(80),x=[])}function De(e){return lD(e)?n.updatePropertyAccessExpression(e,n.createVoidZero(),e.name):n.updateElementAccessExpression(e,n.createVoidZero(),rG(e.argumentExpression,F,uu))}function Ce(){return Tt.assert(I),I.data??(I.data={facts:0,classConstructor:void 0,classThis:void 0,superClassReference:void 0})}function Me(){return Tt.assert(I),I.privateEnv??(I.privateEnv=uB({className:void 0,weakSetName:void 0}))}function Pe(){return A??(A=[])}function Le(e,n,t,r,o,i,a){Ld(e)?function(e,n,t,r,o,i){const a=Fe(n,"_get"),s=Fe(n,"_set"),l=o?Tt.checkDefined(t.classThis??t.classConstructor,"classConstructor should be set in private identifier environment"):Tt.checkDefined(r.data.weakSetName,"weakSetName should be set in private identifier environment");fB(r,n,{kind:"a",getterName:a,setterName:s,brandCheckIdentifier:l,isStatic:o,isValid:i})}(0,n,t,r,o,i):TN(e)?ke(e,n,t,r,o,i,a):AN(e)?function(e,n,t,r,o,i){const a=Fe(n),s=o?Tt.checkDefined(t.classThis??t.classConstructor,"classConstructor should be set in private identifier environment"):Tt.checkDefined(r.data.weakSetName,"weakSetName should be set in private identifier environment");fB(r,n,{kind:"m",methodName:a,brandCheckIdentifier:s,isStatic:o,isValid:i})}(0,n,t,r,o,i):NN(e)?function(e,n,t,r,o,i,a){const s=Fe(n,"_get"),l=o?Tt.checkDefined(t.classThis??t.classConstructor,"classConstructor should be set in private identifier environment"):Tt.checkDefined(r.data.weakSetName,"weakSetName should be set in private identifier environment");"a"!==(null==a?void 0:a.kind)||a.isStatic!==o||a.getterName?fB(r,n,{kind:"a",getterName:s,setterName:void 0,brandCheckIdentifier:l,isStatic:o,isValid:i}):a.getterName=s}(0,n,t,r,o,i,a):DN(e)&&function(e,n,t,r,o,i,a){const s=Fe(n,"_set"),l=o?Tt.checkDefined(t.classThis??t.classConstructor,"classConstructor should be set in private identifier environment"):Tt.checkDefined(r.data.weakSetName,"weakSetName should be set in private identifier environment");"a"!==(null==a?void 0:a.kind)||a.isStatic!==o||a.setterName?fB(r,n,{kind:"a",getterName:void 0,setterName:s,brandCheckIdentifier:l,isStatic:o,isValid:i}):a.setterName=s}(0,n,t,r,o,i,a)}function ke(e,t,r,o,i,a,s){if(i){fB(o,t,{kind:"f",isStatic:!0,brandCheckIdentifier:Tt.checkDefined(r.classThis??r.classConstructor,"classConstructor should be set in private identifier environment"),variableName:Fe(t),isValid:a})}else{const e=Fe(t);fB(o,t,{kind:"f",isStatic:!1,brandCheckIdentifier:e,isValid:a}),Pe().push(n.createAssignment(e,n.createNewExpression(n.createIdentifier("WeakMap"),void 0,[])))}}function we(e,n,t){const r=Ce(),o=Me(),i=pB(o,n),a=Vb(e),s=!function(e){return!pd(e)&&"#constructor"===e.escapedText}(n)&&void 0===i;t(e,n,r,o,a,s,i)}function Oe(e,t,o){const{className:i}=Me().data,a=i?{prefix:"_",node:i,suffix:"_"}:"_",c="object"==typeof e?n.getGeneratedNameForNode(e,24,a,o):"string"==typeof e?n.createUniqueName(e,16,a,o):n.createTempVariable(void 0,!0,a,o);return 32768&l.getNodeCheckFlags(t)?s(c):r(c),c}function Fe(e,n){const t=s_(e);return Oe((null==t?void 0:t.substring(1))??e,e,n)}function We(e){const n=mB(I,e);return"untransformed"===(null==n?void 0:n.kind)?void 0:n}function ze(t){if(sD(t)||aD(t))return Ve(t);if(_d(t))return function(t){const o=n.getGeneratedNameForNode(t),i=We(t.name);if(!i)return fG(t,F,e);let a=t.expression;return(Ih(t)||Rh(t)||!JG(t.expression))&&(a=n.createTempVariable(r,!0),Pe().push(n.createBinaryExpression(a,64,rG(t.expression,F,uu)))),n.createAssignmentTargetWrapper(o,fe(i,a,o,64))}(t);if(v&&L&&Rh(t)&&ZB(L)&&(null==I?void 0:I.data)){const{classConstructor:e,superClassReference:r,facts:o}=I.data;if(1&o)return De(t);if(e&&r){const o=cD(t)?rG(t.argumentExpression,F,uu):tN(t.name)?n.createStringLiteralFromNode(t.name):void 0;if(o){const t=n.createTempVariable(void 0);return n.createAssignmentTargetWrapper(t,n.createReflectSetCall(r,o,t,e))}}}return fG(t,F,e)}function Ge(t){if(gv(t,de)&&(t=jB(e,t)),gE(t,!0)){const e=ze(t.left),r=rG(t.right,F,uu);return n.updateBinaryExpression(t,e,t.operatorToken,r)}return ze(t)}function Be(t){if(Qd(t)){if(ID(t))return function(t){if(iu(t.expression)){const e=ze(t.expression);return n.updateSpreadElement(t,e)}return fG(t,F,e)}(t);if(!DD(t))return Ge(t)}return fG(t,F,e)}function je(t){return Tt.assertNode(t,Yd),eM(t)?function(t){if(iu(t.expression)){const e=ze(t.expression);return n.updateSpreadAssignment(t,e)}return fG(t,F,e)}(t):ZC(t)?function(n){return gv(n,de)&&(n=jB(e,n)),fG(n,F,e)}(t):QC(t)?function(t){const r=rG(t.name,F,Ed);if(gE(t.initializer,!0)){const e=Ge(t.initializer);return n.updatePropertyAssignment(t,r,e)}if(iu(t.initializer)){const e=ze(t.initializer);return n.updatePropertyAssignment(t,r,e)}return fG(t,F,e)}(t):fG(t,F,e)}function Ve(e){return aD(e)?n.updateArrayLiteralExpression(e,oG(e.elements,Be,uu)):n.updateObjectLiteralExpression(e,oG(e.properties,je,Gd))}}function ZB(e){return RN(e)||function(e){return TN(e)&&Vb(e)}(e)}var ej=g({"src/compiler/transformers/classFields.ts"(){JJ()}});function nj(e){const{factory:n,hoistVariableDeclaration:t}=e,r=e.getEmitResolver(),o=e.getCompilerOptions(),i=jp(o),a=RT(o,"strictNullChecks");let s,l;return{serializeTypeNode:(e,n)=>c(e,f,n),serializeTypeOfNode:(e,n)=>c(e,d,n),serializeParameterTypesOfNode:(e,n,t)=>c(e,u,n,t),serializeReturnTypeOfNode:(e,n)=>c(e,p,n)};function c(e,n,t,r){const o=s,i=l;s=e.currentLexicalScope,l=e.currentNameScope;const a=void 0===r?n(t):n(t,r);return s=o,l=i,a}function d(e){switch(e.kind){case 172:case 169:return f(e.type);case 178:case 177:return f(function(e){const n=r.getAllAccessorDeclarations(e);return n.setAccessor&&gb(n.setAccessor)||n.getAccessor&&Ib(n.getAccessor)}(e));case 263:case 231:case 174:return n.createIdentifier("Function");default:return n.createVoidZero()}}function u(e,t){const r=Md(e)?_b(e):Td(e)&&am(e.body)?e:void 0,o=[];if(r){const e=function(e,n){if(n&&177===e.kind){const{setAccessor:t}=xb(n.members,e);if(t)return t.parameters}return e.parameters}(r,t),n=e.length;for(let t=0;t<n;t++){const n=e[t];0===t&&tN(n.name)&&"this"===n.name.escapedText||(n.dotDotDotToken?o.push(f(q_(n.type))):o.push(d(n)))}}return n.createArrayLiteralExpression(o)}function p(e){return Td(e)&&e.type?f(e.type):ev(e)?n.createIdentifier("Promise"):n.createVoidZero()}function f(e){if(void 0===e)return n.createIdentifier("Object");switch((e=Sy(e)).kind){case 116:case 157:case 146:return n.createVoidZero();case 184:case 185:return n.createIdentifier("Function");case 188:case 189:return n.createIdentifier("Array");case 182:return e.assertsModifier?n.createVoidZero():n.createIdentifier("Boolean");case 136:return n.createIdentifier("Boolean");case 203:case 154:return n.createIdentifier("String");case 151:return n.createIdentifier("Object");case 201:return m(e.literal);case 150:return n.createIdentifier("Number");case 163:return b("BigInt",7);case 155:return b("Symbol",2);case 183:return function(e){const o=r.getTypeReferenceSerializationKind(e.typeName,l??s);switch(o){case 0:if(Nl(e,(e=>e.parent&&KN(e.parent)&&(e.parent.trueType===e||e.parent.falseType===e))))return n.createIdentifier("Object");const r=y(e.typeName),i=n.createTempVariable(t);return n.createConditionalExpression(n.createTypeCheck(n.createAssignment(i,r),"function"),void 0,i,void 0,n.createIdentifier("Object"));case 1:return v(e.typeName);case 2:return n.createVoidZero();case 4:return b("BigInt",7);case 6:return n.createIdentifier("Boolean");case 3:return n.createIdentifier("Number");case 5:return n.createIdentifier("String");case 7:return n.createIdentifier("Array");case 8:return b("Symbol",2);case 10:return n.createIdentifier("Function");case 9:return n.createIdentifier("Promise");case 11:return n.createIdentifier("Object");default:return Tt.assertNever(o)}}(e);case 193:return _(e.types,!0);case 192:return _(e.types,!1);case 194:return _([e.trueType,e.falseType],!1);case 198:if(148===e.operator)return f(e.type);break;case 186:case 199:case 200:case 187:case 133:case 159:case 197:case 205:case 319:case 320:case 324:case 325:case 326:break;case 321:case 322:case 323:return f(e.type);default:return Tt.failBadSyntaxKind(e)}return n.createIdentifier("Object")}function m(e){switch(e.kind){case 11:case 15:return n.createIdentifier("String");case 224:{const n=e.operand;switch(n.kind){case 9:case 10:return m(n);default:return Tt.failBadSyntaxKind(n)}}case 9:return n.createIdentifier("Number");case 10:return b("BigInt",7);case 112:case 97:return n.createIdentifier("Boolean");case 106:return n.createVoidZero();default:return Tt.failBadSyntaxKind(e)}}function _(e,t){let r;for(let o of e){if(o=Sy(o),146===o.kind){if(t)return n.createVoidZero();continue}if(159===o.kind){if(!t)return n.createIdentifier("Object");continue}if(133===o.kind)return n.createIdentifier("Object");if(!a&&(ZN(o)&&106===o.literal.kind||157===o.kind))continue;const e=f(o);if(tN(e)&&"Object"===e.escapedText)return e;if(r){if(!h(r,e))return n.createIdentifier("Object")}else r=e}return r??n.createVoidZero()}function h(e,n){return ud(e)?ud(n):tN(e)?tN(n)&&e.escapedText===n.escapedText:lD(e)?lD(n)&&h(e.expression,n.expression)&&h(e.name,n.name):vD(e)?vD(n)&&FI(e.expression)&&"0"===e.expression.text&&FI(n.expression)&&"0"===n.expression.text:zI(e)?zI(n)&&e.text===n.text:yD(e)?yD(n)&&h(e.expression,n.expression):mD(e)?mD(n)&&h(e.expression,n.expression):xD(e)?xD(n)&&h(e.condition,n.condition)&&h(e.whenTrue,n.whenTrue)&&h(e.whenFalse,n.whenFalse):!!TD(e)&&(TD(n)&&e.operatorToken.kind===n.operatorToken.kind&&h(e.left,n.left)&&h(e.right,n.right))}function g(e,t){return n.createLogicalAnd(n.createStrictInequality(n.createTypeOfExpression(e),n.createStringLiteral("undefined")),t)}function y(e){if(80===e.kind){const n=v(e);return g(n,n)}if(80===e.left.kind)return g(v(e.left),v(e));const r=y(e.left),o=n.createTempVariable(t);return n.createLogicalAnd(n.createLogicalAnd(r.left,n.createStrictInequality(n.createAssignment(o,r.right),n.createVoidZero())),n.createPropertyAccessExpression(o,e.right))}function v(e){switch(e.kind){case 80:const t=Vx(yL(IL.cloneNode(e),e),e.parent);return t.original=void 0,Vx(t,Cl(s)),t;case 166:return function(e){return n.createPropertyAccessExpression(v(e.left),e.right)}(e)}}function b(e,t){return i<t?function(e){return n.createConditionalExpression(n.createTypeCheck(n.createIdentifier(e),"function"),void 0,n.createIdentifier(e),void 0,n.createIdentifier("Object"))}(e):n.createIdentifier(e)}}var tj=g({"src/compiler/transformers/typeSerializer.ts"(){JJ()}});function rj(e){const{factory:n,getEmitHelperFactory:t,hoistVariableDeclaration:r}=e,o=e.getEmitResolver(),i=e.getCompilerOptions(),a=jp(i),s=e.onSubstituteNode;let l;return e.onSubstituteNode=function(e,t){if(t=s(e,t),1===e)return function(e){if(80===e.kind)return function(e){return function(e){if(l&&536870912&o.getNodeCheckFlags(e)){const t=o.getReferencedValueDeclaration(e);if(t){const r=l[t.id];if(r){const t=n.cloneNode(r);return yR(t,e),xR(t,e),t}}}return}(e)??e}(e);return e}(t);return t},BG(e,(function(n){const t=fG(n,d,e);return wR(t,e.readEmitHelpers()),t}));function c(e){return EN(e)?void 0:e}function d(i){if(!(33554432&i.transformFlags))return i;switch(i.kind){case 170:return;case 263:return function(i){if(!Oh(!0,i)&&!wh(!0,i))return fG(i,d,e);const s=Oh(!0,i)?function(i,s){const c=Bb(i,32),u=Bb(i,2048),p=oG(i.modifiers,(e=>rL(e)||EN(e)?void 0:e),Fd),m=JE(i),_=function(t){if(262144&o.getNodeCheckFlags(t)){l||(e.enableSubstitution(80),l=[]);const o=n.createUniqueName(t.name&&!ud(t.name)?Ll(t.name):"default");return l[zG(t)]=o,r(o),o}}(i),g=a<2?n.getInternalName(i,!1,!0):n.getLocalName(i,!1,!0),y=oG(i.heritageClauses,d,YC);let v=oG(i.members,d,Cd),b=[];({members:v,decorationStatements:b}=f(i,v));const E=a>=9&&!!_&&oe(v,(e=>TN(e)&&Bb(e,256)||RN(e)));E&&(v=yL(n.createNodeArray([n.createClassStaticBlockDeclaration(n.createBlock([n.createExpressionStatement(n.createAssignment(_,n.createThis()))])),...v]),v));const S=n.createClassExpression(p,s&&ud(s)?void 0:s,void 0,y,v);lR(S,i),yL(S,m);const T=_&&!E?n.createAssignment(_,S):S,x=n.createVariableDeclaration(g,void 0,void 0,T);lR(x,i);const A=n.createVariableDeclarationList([x],1),R=n.createVariableStatement(void 0,A);lR(R,i),yL(R,m),xR(R,i);const I=[R];if(Ee(I,b),function(e,r){const o=function(e){const r=sB(e),o=h(r);if(!o)return;const i=l&&l[zG(e)],s=a<2?n.getInternalName(e,!1,!0):n.getDeclarationName(e,!1,!0),c=t().createDecorateHelper(o,s),d=n.createAssignment(s,i?n.createAssignment(i,c):c);return fR(d,3072),yR(d,JE(e)),d}(r);o&&e.push(lR(n.createExpressionStatement(o),r))}(I,i),c)if(u){const e=n.createExportDefault(g);I.push(e)}else{const e=n.createExternalModuleExport(n.getDeclarationName(i));I.push(e)}return I}(i,i.name):function(e,t){const r=oG(e.modifiers,c,vd),o=oG(e.heritageClauses,d,YC);let i=oG(e.members,d,Cd),a=[];({members:i,decorationStatements:a}=f(e,i));const s=n.updateClassDeclaration(e,r,t,void 0,o,i);return Ee([s],a)}(i,i.name);return Fe(s)}(i);case 231:return function(e){return n.updateClassExpression(e,oG(e.modifiers,c,vd),e.name,void 0,oG(e.heritageClauses,d,YC),oG(e.members,d,Cd))}(i);case 176:return function(e){return n.updateConstructorDeclaration(e,oG(e.modifiers,c,vd),oG(e.parameters,d,bN),rG(e.body,d,GD))}(i);case 174:return function(e){return m(n.updateMethodDeclaration(e,oG(e.modifiers,c,vd),e.asteriskToken,Tt.checkDefined(rG(e.name,d,Ed)),void 0,void 0,oG(e.parameters,d,bN),void 0,rG(e.body,d,GD)),e)}(i);case 178:return function(e){return m(n.updateSetAccessorDeclaration(e,oG(e.modifiers,c,vd),Tt.checkDefined(rG(e.name,d,Ed)),oG(e.parameters,d,bN),rG(e.body,d,GD)),e)}(i);case 177:return function(e){return m(n.updateGetAccessorDeclaration(e,oG(e.modifiers,c,vd),Tt.checkDefined(rG(e.name,d,Ed)),oG(e.parameters,d,bN),void 0,rG(e.body,d,GD)),e)}(i);case 172:return function(e){if(33554432&e.flags||Bb(e,128))return;return m(n.updatePropertyDeclaration(e,oG(e.modifiers,c,vd),Tt.checkDefined(rG(e.name,d,Ed)),void 0,void 0,rG(e.initializer,d,uu)),e)}(i);case 169:return function(e){const t=n.updateParameterDeclaration(e,iL(n,e.modifiers),e.dotDotDotToken,Tt.checkDefined(rG(e.name,d,Sd)),void 0,void 0,rG(e.initializer,d,uu));t!==e&&(xR(t,e),yL(t,JE(e)),yR(t,JE(e)),fR(t.name,64));return t}(i);default:return fG(i,d,e)}}function u(e){return!!(536870912&e.transformFlags)}function p(e){return oe(e,u)}function f(e,t){let r=[];return g(r,e,!1),g(r,e,!0),function(e){for(const n of e.members){if(!bL(n))continue;const t=lB(n,e,!0);if(oe(null==t?void 0:t.decorators,u))return!0;if(oe(null==t?void 0:t.parameters,p))return!0}return!1}(e)&&(t=yL(n.createNodeArray([...t,n.createClassStaticBlockDeclaration(n.createBlock(r,!0))]),t),r=void 0),{decorationStatements:r,members:t}}function m(e,n){return e!==n&&(xR(e,n),yR(e,JE(n))),e}function _(e){return wI(e.expression,"___metadata")}function h(e){if(!e)return;const{false:n,true:t}=nn(e.decorators,_),r=[];return Ee(r,B(n,v)),Ee(r,H(e.parameters,b)),Ee(r,B(t,v)),r}function g(e,t,r){Ee(e,B(function(e,n){const t=function(e,n){return W(e.members,(t=>{return o=n,kh(!0,r=t,e)&&o===jb(r);var r,o}))}(e,n);let r;for(const n of t)r=ye(r,y(e,n));return r}(t,r),(e=>n.createExpressionStatement(e))))}function y(e,r){const o=h(lB(r,e,!0));if(!o)return;const i=function(e,t){return jb(t)?n.getDeclarationName(e):function(e){return n.createPropertyAccessExpression(n.getDeclarationName(e),"prototype")}(e)}(e,r),s=function(e,t){const r=e.name;return rN(r)?n.createIdentifier(""):yN(r)?t&&!XG(r.expression)?n.getGeneratedNameForNode(r):r.expression:tN(r)?n.createStringLiteral(Ll(r)):n.cloneNode(r)}(r,!Bb(r,128)),l=a>0?TN(r)&&!qb(r)?n.createVoidZero():n.createNull():void 0,c=t().createDecorateHelper(o,i,s,l);return fR(c,3072),yR(c,JE(r)),c}function v(e){return Tt.checkDefined(rG(e.expression,d,uu))}function b(e,n){let r;if(e){r=[];for(const o of e){const e=t().createParamHelper(v(o),n);yL(e,o.expression),fR(e,3072),r.push(e)}}return r}}var oj=g({"src/compiler/transformers/legacyDecorators.ts"(){JJ()}});function ij(e){const{factory:n,getEmitHelperFactory:t,startLexicalEnvironment:r,endLexicalEnvironment:o,hoistVariableDeclaration:i}=e,a=jp(e.getCompilerOptions());let s,l,c,d,u,p;return BG(e,(function(n){s=void 0,p=!1;const t=fG(n,b,e);wR(t,e.readEmitHelpers()),p&&(hR(t,32),p=!1);return t}));function f(){switch(l=void 0,c=void 0,d=void 0,null==s?void 0:s.kind){case"class":l=s.classInfo;break;case"class-element":l=s.next.classInfo,c=s.classThis,d=s.classSuper;break;case"name":const e=s.next.next.next;"class-element"===(null==e?void 0:e.kind)&&(l=e.next.classInfo,c=e.classThis,d=e.classSuper)}}function m(e){s={kind:"class",next:s,classInfo:e,savedPendingExpressions:u},u=void 0,f()}function _(){Tt.assert("class"===(null==s?void 0:s.kind),"Incorrect value for top.kind.",(()=>`Expected top.kind to be 'class' but got '${null==s?void 0:s.kind}' instead.`)),u=s.savedPendingExpressions,s=s.next,f()}function h(e){var n,t;Tt.assert("class"===(null==s?void 0:s.kind),"Incorrect value for top.kind.",(()=>`Expected top.kind to be 'class' but got '${null==s?void 0:s.kind}' instead.`)),s={kind:"class-element",next:s},(RN(e)||TN(e)&&Vb(e))&&(s.classThis=null==(n=s.next.classInfo)?void 0:n.classThis,s.classSuper=null==(t=s.next.classInfo)?void 0:t.classSuper),f()}function g(){var e;Tt.assert("class-element"===(null==s?void 0:s.kind),"Incorrect value for top.kind.",(()=>`Expected top.kind to be 'class-element' but got '${null==s?void 0:s.kind}' instead.`)),Tt.assert("class"===(null==(e=s.next)?void 0:e.kind),"Incorrect value for top.next.kind.",(()=>{var e;return`Expected top.next.kind to be 'class' but got '${null==(e=s.next)?void 0:e.kind}' instead.`})),s=s.next,f()}function y(){Tt.assert("class-element"===(null==s?void 0:s.kind),"Incorrect value for top.kind.",(()=>`Expected top.kind to be 'class-element' but got '${null==s?void 0:s.kind}' instead.`)),s={kind:"name",next:s},f()}function v(){Tt.assert("name"===(null==s?void 0:s.kind),"Incorrect value for top.kind.",(()=>`Expected top.kind to be 'name' but got '${null==s?void 0:s.kind}' instead.`)),s=s.next,f()}function b(t){if(!function(e){return!!(33554432&e.transformFlags)||!!c&&!!(16384&e.transformFlags)||!!c&&!!d&&!!(134217728&e.transformFlags)}(t))return t;switch(t.kind){case 170:return Tt.fail("Use `modifierVisitor` instead.");case 263:return function(t){if(N(t)){const r=[],o=Il(t,Md)??t,i=o.name?n.createStringLiteralFromNode(o.name):n.createStringLiteral("default"),a=Bb(t,32),s=Bb(t,2048);if(t.name||(t=GB(e,t,i)),a&&s){const e=I(t);if(t.name){const o=n.createVariableDeclaration(n.getLocalName(t),void 0,void 0,e);lR(o,t);const i=n.createVariableDeclarationList([o],1),a=n.createVariableStatement(void 0,i);r.push(a);const s=n.createExportDefault(n.getDeclarationName(t));lR(s,t),xR(s,TR(t)),yR(s,qE(t)),r.push(s)}else{const o=n.createExportDefault(e);lR(o,t),xR(o,TR(t)),yR(o,qE(t)),r.push(o)}}else{Tt.assertIsDefined(t.name,"A class declaration that is not a default export must have a name.");const e=I(t),o=a?e=>oN(e)?void 0:S(e):S,i=oG(t.modifiers,o,vd),s=n.getLocalName(t,!1,!0),l=n.createVariableDeclaration(s,void 0,void 0,e);lR(l,t);const c=n.createVariableDeclarationList([l],1),d=n.createVariableStatement(i,c);if(lR(d,t),xR(d,TR(t)),r.push(d),a){const e=n.createExternalModuleExport(s);lR(e,t),r.push(e)}}return Fe(r)}{const e=oG(t.modifiers,S,vd),r=oG(t.heritageClauses,b,YC);m(void 0);const o=oG(t.members,T,Cd);return _(),n.updateClassDeclaration(t,e,t.name,void 0,r,o)}}(t);case 231:return function(e){if(N(e)){const n=I(e);return lR(n,e),n}{const t=oG(e.modifiers,S,vd),r=oG(e.heritageClauses,b,YC);m(void 0);const o=oG(e.members,T,Cd);return _(),n.updateClassExpression(e,t,e.name,void 0,r,o)}}(t);case 176:case 172:case 175:return Tt.fail("Not supported outside of a class. Use 'classElementVisitor' instead.");case 169:return function(t){gv(t,L)&&(t=jB(e,t,k(t.initializer)));const r=n.updateParameterDeclaration(t,void 0,t.dotDotDotToken,rG(t.name,b,Sd),void 0,void 0,rG(t.initializer,b,uu));r!==t&&(xR(r,t),yL(r,JE(t)),yR(r,JE(t)),fR(r.name,64));return r}(t);case 226:return w(t,!1);case 303:case 260:case 208:return function(n){gv(n,L)&&(n=jB(e,n,k(n.initializer)));return fG(n,b,e)}(t);case 277:return function(n){gv(n,L)&&(n=jB(e,n,k(n.expression)));return fG(n,b,e)}(t);case 110:return function(e){return c??e}(t);case 248:return function(t){return n.updateForStatement(t,rG(t.initializer,x,Su),rG(t.condition,b,uu),rG(t.incrementor,x,uu),uG(t.statement,b,e))}(t);case 244:return function(n){return fG(n,x,e)}(t);case 361:return F(t,!1);case 217:return K(t,!1);case 360:return function(e,t){const r=t?x:b,o=rG(e.expression,r,uu);return n.updatePartiallyEmittedExpression(e,o)}(t,!1);case 213:return function(t){if(Rh(t.expression)&&c){const e=rG(t.expression,b,uu),r=oG(t.arguments,b,uu),o=n.createFunctionCallCall(e,c,r);return lR(o,t),yL(o,t),o}return fG(t,b,e)}(t);case 215:return function(t){if(Rh(t.tag)&&c){const e=rG(t.tag,b,uu),r=n.createFunctionBindCall(e,c,[]);lR(r,t),yL(r,t);const o=rG(t.template,b,ou);return n.updateTaggedTemplateExpression(t,r,void 0,o)}return fG(t,b,e)}(t);case 224:case 225:return O(t,!1);case 211:return function(t){if(Rh(t)&&tN(t.name)&&c&&d){const e=n.createStringLiteralFromNode(t.name),r=n.createReflectGetCall(d,e,c);return lR(r,t.expression),yL(r,t.expression),r}return fG(t,b,e)}(t);case 212:return function(t){if(Rh(t)&&c&&d){const e=rG(t.argumentExpression,b,uu),r=n.createReflectGetCall(d,e,c);return lR(r,t.expression),yL(r,t.expression),r}return fG(t,b,e)}(t);case 167:return z(t);case 174:case 178:case 177:case 218:case 262:{"other"===(null==s?void 0:s.kind)?(Tt.assert(!u),s.depth++):(s={kind:"other",next:s,depth:0,savedPendingExpressions:u},u=void 0,f());const n=fG(t,E,e);return Tt.assert("other"===(null==s?void 0:s.kind),"Incorrect value for top.kind.",(()=>`Expected top.kind to be 'other' but got '${null==s?void 0:s.kind}' instead.`)),s.depth>0?(Tt.assert(!u),s.depth--):(u=s.savedPendingExpressions,s=s.next,f()),n}default:return fG(t,E,e)}}function E(e){if(170!==e.kind)return b(e)}function S(e){if(170!==e.kind)return e}function T(a){switch(a.kind){case 176:return function(e){h(e);const t=oG(e.modifiers,S,vd),r=oG(e.parameters,b,bN);let o;if(e.body&&l){const t=D(l.class,l);if(t){const r=[],i=n.copyPrologue(e.body.statements,r,!1,b),a=eB(e.body.statements,i);a.length>0?C(r,e.body.statements,i,a,0,t):(Ee(r,t),Ee(r,oG(e.body.statements,b,wu))),o=n.createBlock(r,!0),lR(o,e.body),yL(o,e.body)}}return o??(o=rG(e.body,b,GD)),g(),n.updateConstructorDeclaration(e,t,r,o)}(a);case 174:return function(e){h(e);const{modifiers:t,name:r,descriptorName:o}=P(e,l,Z);if(o)return g(),M(function(e,t,r){return e=oG(e,(e=>dN(e)?e:void 0),vd),n.createGetAccessorDeclaration(e,t,[],void 0,n.createBlock([n.createReturnStatement(n.createPropertyAccessExpression(r,n.createIdentifier("value")))]))}(t,r,o),e);{const o=oG(e.parameters,b,bN),i=rG(e.body,b,GD);return g(),M(n.updateMethodDeclaration(e,t,e.asteriskToken,r,void 0,void 0,o,void 0,i),e)}}(a);case 177:return function(e){h(e);const{modifiers:t,name:r,descriptorName:o}=P(e,l,ee);if(o)return g(),M(re(t,r,o),e);{const o=oG(e.parameters,b,bN),i=rG(e.body,b,GD);return g(),M(n.updateGetAccessorDeclaration(e,t,r,o,void 0,i),e)}}(a);case 178:return function(e){h(e);const{modifiers:t,name:r,descriptorName:o}=P(e,l,ne);if(o)return g(),M(ie(t,r,o),e);{const o=oG(e.parameters,b,bN),i=rG(e.body,b,GD);return g(),M(n.updateSetAccessorDeclaration(e,t,r,o,i),e)}}(a);case 172:return function(a){gv(a,L)&&(a=jB(e,a,k(a.initializer)));h(a),Tt.assert(!Km(a),"Not yet implemented.");const{modifiers:s,name:c,initializersName:d,extraInitializersName:u,descriptorName:p,thisArg:f}=P(a,l,qb(a)?te:void 0);r();let m=rG(a.initializer,b,uu);d&&(m=t().createRunInitializersHelper(f??n.createThis(),d,m??n.createVoidZero()));jb(a)&&l&&m&&(l.hasStaticInitializers=!0);const _=o();oe(_)&&(m=n.createImmediatelyInvokedArrowFunction([..._,n.createReturnStatement(m)]));l&&(jb(a)?(m=X(l,!0,m),u&&(l.pendingStaticInitializers??(l.pendingStaticInitializers=[]),l.pendingStaticInitializers.push(t().createRunInitializersHelper(l.classThis??n.createThis(),u)))):(m=X(l,!1,m),u&&(l.pendingInstanceInitializers??(l.pendingInstanceInitializers=[]),l.pendingInstanceInitializers.push(t().createRunInitializersHelper(n.createThis(),u)))));if(g(),qb(a)&&p){const e=TR(a),t=gR(a),r=a.name;let o=r,l=r;if(yN(r)&&!XG(r.expression)){const e=fL(r);if(e)o=n.updateComputedPropertyName(r,rG(r.expression,b,uu)),l=n.updateComputedPropertyName(r,e.left);else{const e=n.createTempVariable(i);yR(e,r.expression);const t=rG(r.expression,b,uu),a=n.createAssignment(e,t);yR(a,r.expression),o=n.updateComputedPropertyName(r,a),l=n.updateComputedPropertyName(r,e)}}const c=oG(s,(e=>129!==e.kind?e:void 0),vd),d=dL(n,a,c,m);lR(d,a),fR(d,3072),yR(d,t),yR(d.name,a.name);const u=re(c,o,p);lR(u,a),xR(u,e),yR(u,t);const f=ie(c,l,p);return lR(f,a),fR(f,3072),yR(f,t),[d,u,f]}return M(n.updatePropertyDeclaration(a,s,c,void 0,void 0,m),a)}(a);case 175:return function(t){let r;if(h(t),FB(t))r=fG(t,b,e);else if(CB(t)){const n=c;c=void 0,r=fG(t,b,e),c=n}else if(r=t=fG(t,b,e),l&&(l.hasStaticInitializers=!0,oe(l.pendingStaticInitializers))){const e=[];for(const t of l.pendingStaticInitializers){const r=n.createExpressionStatement(t);yR(r,gR(t)),e.push(r)}const t=n.createBlock(e,!0);r=[n.createClassStaticBlockDeclaration(t),r],l.pendingStaticInitializers=void 0}return g(),r}(a);default:return b(a)}}function x(e){switch(e.kind){case 224:case 225:return O(e,!0);case 226:return w(e,!0);case 361:return F(e,!0);case 217:return K(e,!0);default:return b(e)}}function A(e,t){return n.createUniqueName(`${function(e){let n=e.name&&tN(e.name)&&!ud(e.name)?Ll(e.name):e.name&&rN(e.name)&&!ud(e.name)?Ll(e.name).slice(1):e.name&&zI(e.name)&&zs(e.name.text,99)?e.name.text:Md(e)?"class":"member";return Ju(e)&&(n=`get_${n}`),qu(e)&&(n=`set_${n}`),e.name&&rN(e.name)&&(n=`private_${n}`),jb(e)&&(n=`static_${n}`),"_"+n}(e)}_${t}`,24)}function R(e,t){return n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(e,void 0,void 0,t)],1))}function I(i){r(),!zB(i)&&Oh(!1,i)&&(i=GB(e,i,n.createStringLiteral("")));const a=n.getLocalName(i,!1,!1,!0),s=function(e){const r=n.createUniqueName("_metadata",48);let o,i,a,s,l,c=!1,d=!1,u=!1;if(Lh(!1,e)){const t=oe(e.members,(e=>(md(e)||Ld(e))&&Vb(e)));a=n.createUniqueName("_classThis",t?24:48)}for(const r of e.members){if(wd(r)&&kh(!1,r,e))if(Vb(r)){if(!i){i=n.createUniqueName("_staticExtraInitializers",48);const r=t().createRunInitializersHelper(a??n.createThis(),i);yR(r,e.name??qE(e)),s??(s=[]),s.push(r)}}else{if(!o){o=n.createUniqueName("_instanceExtraInitializers",48);const r=t().createRunInitializersHelper(n.createThis(),o);yR(r,e.name??qE(e)),l??(l=[]),l.push(r)}o??(o=n.createUniqueName("_instanceExtraInitializers",48))}if(RN(r)?FB(r)||(c=!0):TN(r)&&(Vb(r)?c||(c=!!r.initializer||Xb(r)):d||(d=!Km(r))),(md(r)||Ld(r))&&Vb(r)&&(u=!0),i&&o&&c&&d&&u)break}return{class:e,classThis:a,metadataReference:r,instanceMethodExtraInitializersName:o,staticMethodExtraInitializersName:i,hasStaticInitializers:c,hasNonAmbientInstanceFields:d,hasStaticPrivateClassElements:u,pendingStaticInitializers:s,pendingInstanceInitializers:l}}(i),l=[];let c,d,f,h,g=!1;const y=Y(sB(i));y&&(s.classDecoratorsName=n.createUniqueName("_classDecorators",48),s.classDescriptorName=n.createUniqueName("_classDescriptor",48),s.classExtraInitializersName=n.createUniqueName("_classExtraInitializers",48),Tt.assertIsDefined(s.classThis),l.push(R(s.classDecoratorsName,n.createArrayLiteralExpression(y)),R(s.classDescriptorName),R(s.classExtraInitializersName,n.createArrayLiteralExpression()),R(s.classThis)),s.hasStaticPrivateClassElements&&(g=!0,p=!0));const v=By(i.heritageClauses,96),E=v&&De(v.types),S=E&&rG(E.expression,b,uu);if(S){s.classSuper=n.createUniqueName("_classSuper",48);const e=EP(S),t=ND(e)&&!e.name||_D(e)&&!e.name||hD(e)?n.createComma(n.createNumericLiteral(0),S):S;l.push(R(s.classSuper,t));const r=n.updateExpressionWithTypeArguments(E,s.classSuper,void 0),o=n.updateHeritageClause(v,[r]);h=n.createNodeArray([o])}const x=s.classThis??n.createThis();m(s),c=ye(c,function(e,t){const r=n.createVariableDeclaration(e,void 0,void 0,n.createConditionalExpression(n.createLogicalAnd(n.createTypeCheck(n.createIdentifier("Symbol"),"function"),n.createPropertyAccessExpression(n.createIdentifier("Symbol"),"metadata")),n.createToken(58),n.createCallExpression(n.createPropertyAccessExpression(n.createIdentifier("Object"),"create"),void 0,[t?ae(t):n.createNull()]),n.createToken(59),n.createVoidZero()));return n.createVariableStatement(void 0,n.createVariableDeclarationList([r],2))}(s.metadataReference,s.classSuper));let A=i.members;if(A=oG(A,(e=>IN(e)?e:T(e)),Cd),A=oG(A,(e=>IN(e)?T(e):e),Cd),u){let t;for(let r of u){r=rG(r,(function r(o){return 16384&o.transformFlags?110===o.kind?(t||(t=n.createUniqueName("_outerThis",16),l.unshift(R(t,n.createThis()))),t):fG(o,r,e):o}),uu);c=ye(c,n.createExpressionStatement(r))}u=void 0}if(_(),oe(s.pendingInstanceInitializers)&&!_b(i)){const e=D(i,s);if(e){const t=Oy(i),r=[];if(!(!t||106===EP(t.expression).kind)){const e=n.createSpreadElement(n.createIdentifier("arguments")),t=n.createCallExpression(n.createSuper(),void 0,[e]);r.push(n.createExpressionStatement(t))}Ee(r,e);const o=n.createBlock(r,!0);f=n.createConstructorDeclaration(void 0,[],o)}}if(s.staticMethodExtraInitializersName&&l.push(R(s.staticMethodExtraInitializersName,n.createArrayLiteralExpression())),s.instanceMethodExtraInitializersName&&l.push(R(s.instanceMethodExtraInitializersName,n.createArrayLiteralExpression())),s.memberInfos&&Wf(s.memberInfos,((e,t)=>{jb(t)&&(l.push(R(e.memberDecoratorsName)),e.memberInitializersName&&l.push(R(e.memberInitializersName,n.createArrayLiteralExpression())),e.memberExtraInitializersName&&l.push(R(e.memberExtraInitializersName,n.createArrayLiteralExpression())),e.memberDescriptorName&&l.push(R(e.memberDescriptorName)))})),s.memberInfos&&Wf(s.memberInfos,((e,t)=>{jb(t)||(l.push(R(e.memberDecoratorsName)),e.memberInitializersName&&l.push(R(e.memberInitializersName,n.createArrayLiteralExpression())),e.memberExtraInitializersName&&l.push(R(e.memberExtraInitializersName,n.createArrayLiteralExpression())),e.memberDescriptorName&&l.push(R(e.memberDescriptorName)))})),c=Ee(c,s.staticNonFieldDecorationStatements),c=Ee(c,s.nonStaticNonFieldDecorationStatements),c=Ee(c,s.staticFieldDecorationStatements),c=Ee(c,s.nonStaticFieldDecorationStatements),s.classDescriptorName&&s.classDecoratorsName&&s.classExtraInitializersName&&s.classThis){c??(c=[]);const e=n.createPropertyAssignment("value",x),r=n.createObjectLiteralExpression([e]),o=n.createAssignment(s.classDescriptorName,r),l=n.createPropertyAccessExpression(x,"name"),d=t().createESDecorateHelper(n.createNull(),o,s.classDecoratorsName,{kind:"class",name:l,metadata:s.metadataReference},n.createNull(),s.classExtraInitializersName),u=n.createExpressionStatement(d);yR(u,qE(i)),c.push(u);const p=n.createPropertyAccessExpression(s.classDescriptorName,"value"),f=n.createAssignment(s.classThis,p),m=n.createAssignment(a,f);c.push(n.createExpressionStatement(m))}if(c.push(function(e,t){const r=n.createObjectDefinePropertyCall(e,n.createPropertyAccessExpression(n.createIdentifier("Symbol"),"metadata"),n.createPropertyDescriptor({configurable:!0,writable:!0,enumerable:!0,value:t},!0));return fR(n.createIfStatement(t,n.createExpressionStatement(r)),1)}(x,s.metadataReference)),oe(s.pendingStaticInitializers)){for(const e of s.pendingStaticInitializers){const t=n.createExpressionStatement(e);yR(t,gR(e)),d=ye(d,t)}s.pendingStaticInitializers=void 0}if(s.classExtraInitializersName){const e=t().createRunInitializersHelper(x,s.classExtraInitializersName),r=n.createExpressionStatement(e);yR(r,i.name??qE(i)),d=ye(d,r)}c&&d&&!s.hasStaticInitializers&&(Ee(c,d),d=void 0);const I=c&&n.createClassStaticBlockDeclaration(n.createBlock(c,!0));I&&g&&_R(I,32);const N=d&&n.createClassStaticBlockDeclaration(n.createBlock(d,!0));if(I||f||N){const e=[],t=A.findIndex(FB);I?(Ee(e,A,0,t+1),e.push(I),Ee(e,A,t+1)):Ee(e,A),f&&e.push(f),N&&e.push(N),A=yL(n.createNodeArray(e),A)}const C=o();let M;if(y){M=n.createClassExpression(void 0,void 0,void 0,h,A),s.classThis&&(M=PB(n,M,s.classThis));const e=n.createVariableDeclaration(a,void 0,void 0,M),t=n.createVariableDeclarationList([e]),r=s.classThis?n.createAssignment(a,s.classThis):a;l.push(n.createVariableStatement(void 0,t),n.createReturnStatement(r))}else M=n.createClassExpression(void 0,i.name,void 0,h,A),l.push(n.createReturnStatement(M));if(g){hR(M,32);for(const e of M.members)(md(e)||Ld(e))&&Vb(e)&&hR(e,32)}return lR(M,i),n.createImmediatelyInvokedArrowFunction(n.mergeLexicalEnvironment(l,C))}function N(e){return Oh(!1,e)||wh(!1,e)}function D(e,t){if(oe(t.pendingInstanceInitializers)){const e=[];return e.push(n.createExpressionStatement(n.inlineExpressions(t.pendingInstanceInitializers))),t.pendingInstanceInitializers=void 0,e}}function C(e,t,r,o,i,a){const s=o[i],l=t[s];if(Ee(e,oG(t,b,wu,r,s-r)),rC(l)){const t=[];C(t,l.tryBlock.statements,0,o,i+1,a);yL(n.createNodeArray(t),l.tryBlock.statements),e.push(n.updateTryStatement(l,n.updateBlock(l.tryBlock,t),rG(l.catchClause,b,$C),rG(l.finallyBlock,b,GD)))}else Ee(e,oG(t,b,wu,s,1)),Ee(e,a);Ee(e,oG(t,b,wu,s+1))}function M(e,n){return e!==n&&(xR(e,n),yR(e,qE(n))),e}function P(e,r,o){let a,s,l,c,d,p;if(!r){const n=oG(e.modifiers,S,vd);return y(),s=W(e.name),v(),{modifiers:n,referencedName:a,name:s,initializersName:l,descriptorName:p,thisArg:d}}const f=Y(lB(e,r.class,!1)),m=oG(e.modifiers,S,vd);if(f){const _=A(e,"decorators"),h=n.createArrayLiteralExpression(f),g=n.createAssignment(_,h),E={memberDecoratorsName:_};r.memberInfos??(r.memberInfos=new Map),r.memberInfos.set(e,E),u??(u=[]),u.push(g);const S=wd(e)||Ld(e)?jb(e)?r.staticNonFieldDecorationStatements??(r.staticNonFieldDecorationStatements=[]):r.nonStaticNonFieldDecorationStatements??(r.nonStaticNonFieldDecorationStatements=[]):TN(e)&&!Ld(e)?jb(e)?r.staticFieldDecorationStatements??(r.staticFieldDecorationStatements=[]):r.nonStaticFieldDecorationStatements??(r.nonStaticFieldDecorationStatements=[]):Tt.fail(),T=NN(e)?"getter":DN(e)?"setter":AN(e)?"method":Ld(e)?"accessor":TN(e)?"field":Tt.fail();let x;if(tN(e.name)||rN(e.name))x={computed:!1,name:e.name};else if(av(e.name))x={computed:!0,name:n.createStringLiteralFromNode(e.name)};else{const r=e.name.expression;av(r)&&!tN(r)?x={computed:!0,name:n.createStringLiteralFromNode(r)}:(y(),({referencedName:a,name:s}=function(e){if(av(e)||rN(e)){return{referencedName:n.createStringLiteralFromNode(e),name:rG(e,b,Ed)}}if(av(e.expression)&&!tN(e.expression)){return{referencedName:n.createStringLiteralFromNode(e.expression),name:rG(e,b,Ed)}}const r=n.getGeneratedNameForNode(e);i(r);const o=t().createPropKeyHelper(rG(e.expression,b,uu)),a=n.createAssignment(r,o),s=n.updateComputedPropertyName(e,J(a));return{referencedName:r,name:s}}(e.name)),x={computed:!0,name:a},v())}const R={kind:T,name:x,static:jb(e),private:rN(e.name),access:{get:TN(e)||NN(e)||AN(e),set:TN(e)||DN(e)},metadata:r.metadataReference};if(wd(e)){const i=jb(e)?r.staticMethodExtraInitializersName:r.instanceMethodExtraInitializersName;let a;Tt.assertIsDefined(i),md(e)&&o&&(a=o(e,oG(m,(e=>hn(e,aN)),vd)),E.memberDescriptorName=p=A(e,"descriptor"),a=n.createAssignment(p,a));const s=t().createESDecorateHelper(n.createThis(),a??n.createNull(),_,R,n.createNull(),i),l=n.createExpressionStatement(s);yR(l,qE(e)),S.push(l)}else if(TN(e)){let i;l=E.memberInitializersName??(E.memberInitializersName=A(e,"initializers")),c=E.memberExtraInitializersName??(E.memberExtraInitializersName=A(e,"extraInitializers")),jb(e)&&(d=r.classThis),md(e)&&qb(e)&&o&&(i=o(e,void 0),E.memberDescriptorName=p=A(e,"descriptor"),i=n.createAssignment(p,i));const a=t().createESDecorateHelper(Ld(e)?n.createThis():n.createNull(),i??n.createNull(),_,R,l,c),s=n.createExpressionStatement(a);yR(s,qE(e)),S.push(s)}}return void 0===s&&(y(),s=W(e.name),v()),oe(m)||!AN(e)&&!TN(e)||fR(s,1024),{modifiers:m,referencedName:a,name:s,initializersName:l,extraInitializersName:c,descriptorName:p,thisArg:d}}function L(e){return ND(e)&&!e.name&&N(e)}function k(e){const n=EP(e);return ND(n)&&!n.name&&!Oh(!1,n)}function w(t,r){if(vE(t)){const e=H(t.left),r=rG(t.right,b,uu);return n.updateBinaryExpression(t,e,t.operatorToken,r)}if(gE(t)){if(gv(t,L))return fG(t=jB(e,t,k(t.right)),b,e);if(Rh(t.left)&&c&&d){let e=cD(t.left)?rG(t.left.argumentExpression,b,uu):tN(t.left.name)?n.createStringLiteralFromNode(t.left.name):void 0;if(e){let o=rG(t.right,b,uu);if(YG(t.operatorToken.kind)){let r=e;XG(e)||(r=n.createTempVariable(i),e=n.createAssignment(r,e));const a=n.createReflectGetCall(d,r,c);lR(a,t.left),yL(a,t.left),o=n.createBinaryExpression(a,$G(t.operatorToken.kind),o),yL(o,t)}const a=r?void 0:n.createTempVariable(i);return a&&(o=n.createAssignment(a,o),yL(a,t)),o=n.createReflectSetCall(d,e,o,c),lR(o,t),yL(o,t),a&&(o=n.createComma(o,a),yL(o,t)),o}}}if(28===t.operatorToken.kind){const e=rG(t.left,x,uu),o=rG(t.right,r?x:b,uu);return n.updateBinaryExpression(t,e,t.operatorToken,o)}return fG(t,b,e)}function O(t,r){if(46===t.operator||47===t.operator){const e=Ty(t.operand);if(Rh(e)&&c&&d){let o=cD(e)?rG(e.argumentExpression,b,uu):tN(e.name)?n.createStringLiteralFromNode(e.name):void 0;if(o){let e=o;XG(o)||(e=n.createTempVariable(i),o=n.createAssignment(e,o));let a=n.createReflectGetCall(d,e,c);lR(a,t),yL(a,t);const s=r?void 0:n.createTempVariable(i);return a=cP(n,t,a,i,s),a=n.createReflectSetCall(d,o,a,c),lR(a,t),yL(a,t),s&&(a=n.createComma(a,s),yL(a,t)),a}}}return fG(t,b,e)}function F(e,t){const r=t?pG(e.elements,x):pG(e.elements,b,x);return n.updateCommaListExpression(e,r)}function W(e){return yN(e)?z(e):rG(e,b,Ed)}function z(e){let t=rG(e.expression,b,uu);return XG(t)||(t=J(t)),n.updateComputedPropertyName(e,t)}function G(t){if(sD(t)||aD(t))return H(t);if(Rh(t)&&c&&d){const e=cD(t)?rG(t.argumentExpression,b,uu):tN(t.name)?n.createStringLiteralFromNode(t.name):void 0;if(e){const r=n.createTempVariable(void 0),o=n.createAssignmentTargetWrapper(r,n.createReflectSetCall(d,e,r,c));return lR(o,t),yL(o,t),o}}return fG(t,b,e)}function j(t){if(gE(t,!0)){gv(t,L)&&(t=jB(e,t,k(t.right)));const r=G(t.left),o=rG(t.right,b,uu);return n.updateBinaryExpression(t,r,t.operatorToken,o)}return G(t)}function V(t){return Tt.assertNode(t,Qd),ID(t)?function(t){if(iu(t.expression)){const e=G(t.expression);return n.updateSpreadElement(t,e)}return fG(t,b,e)}(t):DD(t)?fG(t,b,e):j(t)}function U(t){return Tt.assertNode(t,Yd),eM(t)?function(t){if(iu(t.expression)){const e=G(t.expression);return n.updateSpreadAssignment(t,e)}return fG(t,b,e)}(t):ZC(t)?function(n){return gv(n,L)&&(n=jB(e,n,k(n.objectAssignmentInitializer))),fG(n,b,e)}(t):QC(t)?function(t){const r=rG(t.name,b,Ed);if(gE(t.initializer,!0)){const e=j(t.initializer);return n.updatePropertyAssignment(t,r,e)}if(iu(t.initializer)){const e=G(t.initializer);return n.updatePropertyAssignment(t,r,e)}return fG(t,b,e)}(t):fG(t,b,e)}function H(e){if(aD(e)){const t=oG(e.elements,V,uu);return n.updateArrayLiteralExpression(e,t)}{const t=oG(e.properties,U,Gd);return n.updateObjectLiteralExpression(e,t)}}function K(e,t){const r=t?x:b,o=rG(e.expression,r,uu);return n.updateParenthesizedExpression(e,o)}function q(e,t){return oe(e)&&(t?mD(t)?(e.push(t.expression),t=n.updateParenthesizedExpression(t,n.inlineExpressions(e))):(e.push(t),t=n.inlineExpressions(e)):t=n.inlineExpressions(e)),t}function J(e){const n=q(u,e);return Tt.assertIsDefined(n),n!==e&&(u=void 0),n}function X(e,n,t){const r=q(n?e.pendingStaticInitializers:e.pendingInstanceInitializers,t);return r!==t&&(n?e.pendingStaticInitializers=void 0:e.pendingInstanceInitializers=void 0),r}function Y(e){if(!e)return;const n=[];return Ee(n,B(e.decorators,$)),n}function $(e){const t=rG(e.expression,b,uu);fR(t,3072);if(wS(EP(t))){const{target:e,thisArg:r}=n.createCallBinding(t,i,a,!0);return n.restoreOuterExpressions(t,n.createFunctionBindCall(e,r,[]))}return t}function Q(e,r,o,i,a,s,l){const c=n.createFunctionExpression(o,i,void 0,void 0,s,void 0,l??n.createBlock([]));lR(c,e),yR(c,qE(e)),fR(c,3072);const d="get"===a||"set"===a?a:void 0,u=n.createStringLiteralFromNode(r,void 0),p=t().createSetFunctionNameHelper(c,u,d),f=n.createPropertyAssignment(n.createIdentifier(a),p);return lR(f,e),yR(f,qE(e)),fR(f,3072),f}function Z(e,t){return n.createObjectLiteralExpression([Q(e,e.name,t,e.asteriskToken,"value",oG(e.parameters,b,bN),rG(e.body,b,GD))])}function ee(e,t){return n.createObjectLiteralExpression([Q(e,e.name,t,void 0,"get",[],rG(e.body,b,GD))])}function ne(e,t){return n.createObjectLiteralExpression([Q(e,e.name,t,void 0,"set",oG(e.parameters,b,bN),rG(e.body,b,GD))])}function te(e,t){return n.createObjectLiteralExpression([Q(e,e.name,t,void 0,"get",[],n.createBlock([n.createReturnStatement(n.createPropertyAccessExpression(n.createThis(),n.getGeneratedPrivateNameForNode(e.name)))])),Q(e,e.name,t,void 0,"set",[n.createParameterDeclaration(void 0,void 0,"value")],n.createBlock([n.createExpressionStatement(n.createAssignment(n.createPropertyAccessExpression(n.createThis(),n.getGeneratedPrivateNameForNode(e.name)),n.createIdentifier("value")))]))])}function re(e,t,r){return e=oG(e,(e=>dN(e)?e:void 0),vd),n.createGetAccessorDeclaration(e,t,[],void 0,n.createBlock([n.createReturnStatement(n.createFunctionCallCall(n.createPropertyAccessExpression(r,n.createIdentifier("get")),n.createThis(),[]))]))}function ie(e,t,r){return e=oG(e,(e=>dN(e)?e:void 0),vd),n.createSetAccessorDeclaration(e,t,[n.createParameterDeclaration(void 0,void 0,"value")],n.createBlock([n.createReturnStatement(n.createFunctionCallCall(n.createPropertyAccessExpression(r,n.createIdentifier("set")),n.createThis(),[n.createIdentifier("value")]))]))}function ae(e){return n.createBinaryExpression(n.createElementAccessExpression(e,n.createPropertyAccessExpression(n.createIdentifier("Symbol"),"metadata")),61,n.createNull())}}var aj=g({"src/compiler/transformers/esDecorators.ts"(){JJ()}});function sj(e){const{factory:n,getEmitHelperFactory:t,resumeLexicalEnvironment:r,endLexicalEnvironment:o,hoistVariableDeclaration:i}=e,a=e.getEmitResolver(),s=e.getCompilerOptions(),l=jp(s);let c,d,u,p,f,m=0;const _=[];let h=0;const g=e.onEmitNode,y=e.onSubstituteNode;return e.onEmitNode=function(e,n,t){if(1&c&&function(e){const n=e.kind;return 263===n||176===n||174===n||177===n||178===n}(n)){const r=384&a.getNodeCheckFlags(n);if(r!==m){const o=m;return m=r,g(e,n,t),void(m=o)}}else if(c&&_[Hz(n)]){const r=m;return m=0,g(e,n,t),void(m=r)}g(e,n,t)},e.onSubstituteNode=function(e,t){if(t=y(e,t),1===e&&m)return function(e){switch(e.kind){case 211:return K(e);case 212:return q(e);case 213:return function(e){const t=e.expression;if(Rh(t)){const r=lD(t)?K(t):q(t);return n.createCallExpression(n.createPropertyAccessExpression(r,"call"),void 0,[n.createThis(),...e.arguments])}return e}(e)}return e}(t);return t},BG(e,(function(n){if(n.isDeclarationFile)return n;v(1,!1),v(2,!Hm(n,s));const t=fG(n,A,e);return wR(t,e.readEmitHelpers()),t}));function v(e,n){h=n?h|e:h&~e}function b(e){return!!(h&e)}function S(e,n,t){const r=e&~h;if(r){v(r,!0);const e=n(t);return v(r,!1),e}return n(t)}function T(n){return fG(n,A,e)}function x(n){switch(n.kind){case 218:case 262:case 174:case 177:case 178:case 176:return n;case 169:case 208:case 260:break;case 80:if(f&&a.isArgumentsLocalBinding(n))return f}return fG(n,x,e)}function A(t){if(!(256&t.transformFlags))return f?x(t):t;switch(t.kind){case 134:return;case 223:return function(t){if(!b(1))return fG(t,A,e);return lR(yL(n.createYieldExpression(void 0,rG(t.expression,A,uu)),t),t)}(t);case 174:return S(3,N,t);case 262:return S(3,M,t);case 218:return S(3,P,t);case 219:return S(1,L,t);case 211:return u&&lD(t)&&108===t.expression.kind&&u.add(t.name.escapedText),fG(t,A,e);case 212:return u&&108===t.expression.kind&&(p=!0),fG(t,A,e);case 177:return S(3,D,t);case 178:return S(3,C,t);case 176:return S(3,I,t);case 263:case 231:return S(3,T,t);default:return fG(t,A,e)}}function R(t){if(hy(t))switch(t.kind){case 243:return function(t){if(w(t.declarationList)){const e=O(t.declarationList,!1);return e?n.createExpressionStatement(e):void 0}return fG(t,A,e)}(t);case 248:return function(t){const r=t.initializer;return n.updateForStatement(t,w(r)?O(r,!1):rG(t.initializer,A,Su),rG(t.condition,A,uu),rG(t.incrementor,A,uu),uG(t.statement,R,e))}(t);case 249:return function(t){return n.updateForInStatement(t,w(t.initializer)?O(t.initializer,!0):Tt.checkDefined(rG(t.initializer,A,Su)),Tt.checkDefined(rG(t.expression,A,uu)),uG(t.statement,R,e))}(t);case 250:return function(t){return n.updateForOfStatement(t,rG(t.awaitModifier,A,lN),w(t.initializer)?O(t.initializer,!0):Tt.checkDefined(rG(t.initializer,A,Su)),Tt.checkDefined(rG(t.expression,A,uu)),uG(t.statement,R,e))}(t);case 299:return function(n){const t=new Set;let r;if(k(n.variableDeclaration,t),t.forEach(((e,n)=>{d.has(n)&&(r||(r=new Set(d)),r.delete(n))})),r){const t=d;d=r;const o=fG(n,R,e);return d=t,o}return fG(n,R,e)}(t);case 241:case 255:case 269:case 296:case 297:case 258:case 246:case 247:case 245:case 254:case 256:return fG(t,R,e);default:return Tt.assertNever(t,"Unhandled node.")}return A(t)}function I(t){const r=f;f=void 0;const o=n.updateConstructorDeclaration(t,oG(t.modifiers,A,vd),lG(t.parameters,A,e),G(t));return f=r,o}function N(t){let r;const o=Zy(t),i=f;f=void 0;const a=n.updateMethodDeclaration(t,oG(t.modifiers,A,Fd),t.asteriskToken,t.name,void 0,void 0,r=2&o?V(t):lG(t.parameters,A,e),void 0,2&o?U(t,r):G(t));return f=i,a}function D(t){const r=f;f=void 0;const o=n.updateGetAccessorDeclaration(t,oG(t.modifiers,A,Fd),t.name,lG(t.parameters,A,e),void 0,G(t));return f=r,o}function C(t){const r=f;f=void 0;const o=n.updateSetAccessorDeclaration(t,oG(t.modifiers,A,Fd),t.name,lG(t.parameters,A,e),G(t));return f=r,o}function M(t){let r;const o=f;f=void 0;const i=Zy(t),a=n.updateFunctionDeclaration(t,oG(t.modifiers,A,Fd),t.asteriskToken,t.name,void 0,r=2&i?V(t):lG(t.parameters,A,e),void 0,2&i?U(t,r):dG(t.body,A,e));return f=o,a}function P(t){let r;const o=f;f=void 0;const i=Zy(t),a=n.updateFunctionExpression(t,oG(t.modifiers,A,vd),t.asteriskToken,t.name,void 0,r=2&i?V(t):lG(t.parameters,A,e),void 0,2&i?U(t,r):dG(t.body,A,e));return f=o,a}function L(t){let r;const o=Zy(t);return n.updateArrowFunction(t,oG(t.modifiers,A,vd),void 0,r=2&o?V(t):lG(t.parameters,A,e),void 0,t.equalsGreaterThanToken,2&o?U(t,r):dG(t.body,A,e))}function k({name:e},n){if(tN(e))n.add(e.escapedText);else for(const t of e.elements)DD(t)||k(t,n)}function w(e){return!!e&&aC(e)&&!(7&e.flags)&&e.declarations.some(z)}function O(e,t){!function(e){E(e.declarations,F)}(e);const r=dS(e);return 0===r.length?t?rG(n.converters.convertToAssignmentElementTarget(e.declarations[0].name),A,uu):void 0:n.inlineExpressions(B(r,W))}function F({name:e}){if(tN(e))i(e);else for(const n of e.elements)DD(n)||F(n)}function W(e){const t=yR(n.createAssignment(n.converters.convertToAssignmentElementTarget(e.name),e.initializer),e);return Tt.checkDefined(rG(t,A,uu))}function z({name:e}){if(tN(e))return d.has(e.escapedText);for(const n of e.elements)if(!DD(n)&&z(n))return!0;return!1}function G(t){Tt.assertIsDefined(t.body);const r=u,o=p;u=new Set,p=!1;let i=dG(t.body,A,e);const s=Il(t,Ad);if(l>=2&&384&a.getNodeCheckFlags(t)&&!!(3&~Zy(s))){if(H(),u.size){const e=lj(n,a,t,u);_[Hz(e)]=!0;const r=i.statements.slice();pm(r,[e]),i=n.updateBlock(i,r)}p&&(256&a.getNodeCheckFlags(t)?kR(i,DI):128&a.getNodeCheckFlags(t)&&kR(i,NI))}return u=r,p=o,i}function j(){Tt.assert(f);const e=n.createVariableDeclaration(f,void 0,void 0,n.createIdentifier("arguments")),t=n.createVariableStatement(void 0,[e]);return xP(t),mR(t,2097152),t}function V(t){if(hB(t.parameters))return lG(t.parameters,A,e);const r=[];for(const e of t.parameters){if(e.initializer||e.dotDotDotToken){if(219===t.kind){const e=n.createParameterDeclaration(void 0,n.createToken(26),n.createUniqueName("args",8));r.push(e)}break}const o=n.createParameterDeclaration(void 0,void 0,n.getGeneratedNameForNode(e.name,8));r.push(o)}const o=n.createNodeArray(r);return yL(o,t.parameters),o}function U(i,s){const c=hB(i.parameters)?void 0:lG(i.parameters,A,e);r();const m=Il(i,Td).type,h=l<2?function(e){const n=e&&Ch(e);if(n&&bd(n)){const e=a.getTypeReferenceSerializationKind(n);if(1===e||0===e)return n}return}(m):void 0,g=219===i.kind,y=f,v=!!(512&a.getNodeCheckFlags(i))&&!f;let E;if(v&&(f=n.createUniqueName("arguments")),c)if(g){const e=[];Tt.assert(s.length<=i.parameters.length);for(let t=0;t<i.parameters.length;t++){Tt.assert(t<s.length);const r=i.parameters[t],o=s[t];if(Tt.assertNode(o.name,tN),r.initializer||r.dotDotDotToken){Tt.assert(t===s.length-1),e.push(n.createSpreadElement(o.name));break}e.push(o.name)}E=n.createArrayLiteralExpression(e)}else E=n.createIdentifier("arguments");const S=d;d=new Set;for(const e of i.parameters)k(e,d);const T=u,x=p;g||(u=new Set,p=!1);const I=b(2);let N=GD(D=i.body)?n.updateBlock(D,oG(D.statements,R,wu,C)):n.converters.convertToFunctionBlock(Tt.checkDefined(rG(D,R,bu)));var D,C;let M;if(N=n.updateBlock(N,n.mergeLexicalEnvironment(N.statements,o())),g){if(M=t().createAwaiterHelper(I,E,h,c,N),v){const e=n.converters.convertToFunctionBlock(M);M=n.updateBlock(e,n.mergeLexicalEnvironment(e.statements,[j()]))}}else{const e=[];e.push(n.createReturnStatement(t().createAwaiterHelper(I,E,h,c,N)));const r=l>=2&&384&a.getNodeCheckFlags(i);if(r&&(H(),u.size)){const t=lj(n,a,i,u);_[Hz(t)]=!0,pm(e,[t])}v&&pm(e,[j()]);const o=n.createBlock(e,!0);yL(o,i.body),r&&p&&(256&a.getNodeCheckFlags(i)?kR(o,DI):128&a.getNodeCheckFlags(i)&&kR(o,NI)),M=o}return d=S,g||(u=T,p=x,f=y),M}function H(){1&c||(c|=1,e.enableSubstitution(213),e.enableSubstitution(211),e.enableSubstitution(212),e.enableEmitNotification(263),e.enableEmitNotification(174),e.enableEmitNotification(177),e.enableEmitNotification(178),e.enableEmitNotification(176),e.enableEmitNotification(243))}function K(e){return 108===e.expression.kind?yL(n.createPropertyAccessExpression(n.createUniqueName("_super",48),e.name),e):e}function q(e){return 108===e.expression.kind?(t=e.argumentExpression,r=e,yL(256&m?n.createPropertyAccessExpression(n.createCallExpression(n.createUniqueName("_superIndex",48),void 0,[t]),"value"):n.createCallExpression(n.createUniqueName("_superIndex",48),void 0,[t]),r)):e;var t,r}}function lj(e,n,t,r){const o=!!(256&n.getNodeCheckFlags(t)),i=[];return r.forEach(((n,t)=>{const r=Pl(t),a=[];a.push(e.createPropertyAssignment("get",e.createArrowFunction(void 0,void 0,[],void 0,void 0,fR(e.createPropertyAccessExpression(fR(e.createSuper(),8),r),8)))),o&&a.push(e.createPropertyAssignment("set",e.createArrowFunction(void 0,void 0,[e.createParameterDeclaration(void 0,void 0,"v",void 0,void 0,void 0)],void 0,void 0,e.createAssignment(fR(e.createPropertyAccessExpression(fR(e.createSuper(),8),r),8),e.createIdentifier("v"))))),i.push(e.createPropertyAssignment(r,e.createObjectLiteralExpression(a)))})),e.createVariableStatement(void 0,e.createVariableDeclarationList([e.createVariableDeclaration(e.createUniqueName("_super",48),void 0,void 0,e.createCallExpression(e.createPropertyAccessExpression(e.createIdentifier("Object"),"create"),void 0,[e.createNull(),e.createObjectLiteralExpression(i,!0)]))],2))}var cj=g({"src/compiler/transformers/es2017.ts"(){JJ()}});function dj(e){const{factory:n,getEmitHelperFactory:t,resumeLexicalEnvironment:r,endLexicalEnvironment:o,hoistVariableDeclaration:i}=e,a=e.getEmitResolver(),s=e.getCompilerOptions(),l=jp(s),c=e.onEmitNode;e.onEmitNode=function(e,n,t){if(1&u&&function(e){const n=e.kind;return 263===n||176===n||174===n||177===n||178===n}(n)){const r=384&a.getNodeCheckFlags(n);if(r!==v){const o=v;return v=r,c(e,n,t),void(v=o)}}else if(u&&E[Hz(n)]){const r=v;return v=0,c(e,n,t),void(v=r)}c(e,n,t)};const d=e.onSubstituteNode;e.onSubstituteNode=function(e,t){if(t=d(e,t),1===e&&v)return function(e){switch(e.kind){case 211:return X(e);case 212:return Y(e);case 213:return function(e){const t=e.expression;if(Rh(t)){const r=lD(t)?X(t):Y(t);return n.createCallExpression(n.createPropertyAccessExpression(r,"call"),void 0,[n.createThis(),...e.arguments])}return e}(e)}return e}(t);return t};let u,p,f,m,_,h,g,y=!1,v=0,b=0;const E=[];return BG(e,(function(t){if(t.isDeclarationFile)return t;m=t;const r=function(t){const r=S(2,Hm(t,s)?0:1);y=!1;const o=fG(t,A,e),i=ae(o.statements,_&&[n.createVariableStatement(void 0,n.createVariableDeclarationList(_))]),a=n.updateSourceFile(o,yL(n.createNodeArray(i),t.statements));return T(r),a}(t);return wR(r,e.readEmitHelpers()),m=void 0,_=void 0,r}));function S(e,n){const t=b;return b=3&(b&~e|n),t}function T(e){b=e}function x(e){_=ye(_,n.createVariableDeclaration(e))}function A(e){return C(e,!1)}function R(e){return C(e,!0)}function I(e){if(134!==e.kind)return e}function N(e,n,t,r){if(function(e,n){return b!==(b&~e|n)}(t,r)){const o=S(t,r),i=e(n);return T(o),i}return e(n)}function D(n){return fG(n,A,e)}function C(r,o){if(!(128&r.transformFlags))return r;switch(r.kind){case 223:return function(r){if(2&p&&1&p)return lR(yL(n.createYieldExpression(void 0,t().createAwaitHelper(rG(r.expression,A,uu))),r),r);return fG(r,A,e)}(r);case 229:return function(r){if(2&p&&1&p){if(r.asteriskToken){const e=rG(Tt.checkDefined(r.expression),A,uu);return lR(yL(n.createYieldExpression(void 0,t().createAwaitHelper(n.updateYieldExpression(r,r.asteriskToken,yL(t().createAsyncDelegatorHelper(yL(t().createAsyncValuesHelper(e),e)),e)))),r),r)}return lR(yL(n.createYieldExpression(void 0,k(r.expression?rG(r.expression,A,uu):n.createVoidZero())),r),r)}return fG(r,A,e)}(r);case 253:return function(t){if(2&p&&1&p)return n.updateReturnStatement(t,k(t.expression?rG(t.expression,A,uu):n.createVoidZero()));return fG(t,A,e)}(r);case 256:return function(t){if(2&p){const e=th(t);return 250===e.kind&&e.awaitModifier?L(e,t):n.restoreEnclosingLabel(rG(e,A,wu,n.liftToBlock),t)}return fG(t,A,e)}(r);case 210:return function(r){if(65536&r.transformFlags){const e=function(e){let t;const r=[];for(const o of e)if(305===o.kind){t&&(r.push(n.createObjectLiteralExpression(t)),t=void 0);const e=o.expression;r.push(rG(e,A,uu))}else t=ye(t,303===o.kind?n.createPropertyAssignment(o.name,rG(o.initializer,A,uu)):rG(o,A,Gd));t&&r.push(n.createObjectLiteralExpression(t));return r}(r.properties);e.length&&210!==e[0].kind&&e.unshift(n.createObjectLiteralExpression());let o=e[0];if(e.length>1){for(let n=1;n<e.length;n++)o=t().createAssignHelper([o,e[n]]);return o}return t().createAssignHelper(e)}return fG(r,A,e)}(r);case 226:return function(t,r){if(vE(t)&&hL(t.left))return vB(t,A,e,1,!r);if(28===t.operatorToken.kind)return n.updateBinaryExpression(t,rG(t.left,R,uu),t.operatorToken,rG(t.right,r?R:A,uu));return fG(t,A,e)}(r,o);case 361:return function(t,r){if(r)return fG(t,R,e);let o;for(let e=0;e<t.elements.length;e++){const n=t.elements[e],r=rG(n,e<t.elements.length-1?R:A,uu);(o||r!==n)&&(o||(o=t.elements.slice(0,e)),o.push(r))}const i=o?yL(n.createNodeArray(o),t.elements):t.elements;return n.updateCommaListExpression(t,i)}(r,o);case 299:return function(t){if(t.variableDeclaration&&Vd(t.variableDeclaration.name)&&65536&t.variableDeclaration.name.transformFlags){const r=n.getGeneratedNameForNode(t.variableDeclaration.name),o=SB(n.updateVariableDeclaration(t.variableDeclaration,t.variableDeclaration.name,void 0,void 0,r),A,e,1);let i=rG(t.block,A,GD);return oe(o)&&(i=n.updateBlock(i,[n.createVariableStatement(void 0,o),...i.statements])),n.updateCatchClause(t,n.updateVariableDeclaration(t.variableDeclaration,r,void 0,void 0,void 0),i)}return fG(t,A,e)}(r);case 243:return function(n){if(Bb(n,32)){const t=y;y=!0;const r=fG(n,A,e);return y=t,r}return fG(n,A,e)}(r);case 260:return function(e){if(y){const n=y;y=!1;const t=M(e,!0);return y=n,t}return M(e,!1)}(r);case 246:case 247:case 249:return N(D,r,0,2);case 250:return L(r,void 0);case 248:return N(P,r,0,2);case 222:case 244:return function(n){return fG(n,R,e)}(r);case 176:return N(W,r,2,1);case 174:return N(B,r,2,1);case 177:return N(z,r,2,1);case 178:return N(G,r,2,1);case 262:return N(j,r,2,1);case 218:return N(U,r,2,1);case 219:return N(V,r,2,0);case 169:return O(r);case 217:return function(n,t){return fG(n,t?R:A,e)}(r,o);case 215:return function(n){return HB(e,n,A,m,x,0)}(r);case 211:return h&&lD(r)&&108===r.expression.kind&&h.add(r.name.escapedText),fG(r,A,e);case 212:return h&&108===r.expression.kind&&(g=!0),fG(r,A,e);case 263:case 231:return N(D,r,2,1);default:return fG(r,A,e)}}function M(n,t){return Vd(n.name)&&65536&n.name.transformFlags?SB(n,A,e,1,void 0,t):fG(n,A,e)}function P(t){return n.updateForStatement(t,rG(t.initializer,R,Su),rG(t.condition,A,uu),rG(t.incrementor,R,uu),uG(t.statement,A,e))}function L(r,o){const a=S(0,2);(65536&r.initializer.transformFlags||Ud(r.initializer)&&hL(r.initializer))&&(r=function(e){const t=Ty(e.initializer);if(aC(t)||Ud(t)){let r,o;const i=n.createTempVariable(void 0),a=[oP(n,t,i)];return GD(e.statement)?(Ee(a,e.statement.statements),r=e.statement,o=e.statement.statements):e.statement&&(ye(a,e.statement),r=e.statement,o=e.statement),n.updateForOfStatement(e,e.awaitModifier,yL(n.createVariableDeclarationList([yL(n.createVariableDeclaration(i),e.initializer)],1),e.initializer),e.expression,yL(n.createBlock(yL(n.createNodeArray(a),o),!0),r))}return e}(r));const s=r.awaitModifier?function(r,o,a){const s=rG(r.expression,A,uu),l=tN(s)?n.getGeneratedNameForNode(s):n.createTempVariable(void 0),c=tN(s)?n.getGeneratedNameForNode(l):n.createTempVariable(void 0),d=n.createTempVariable(void 0),u=n.createTempVariable(i),p=n.createUniqueName("e"),f=n.getGeneratedNameForNode(p),m=n.createTempVariable(void 0),_=yL(t().createAsyncValuesHelper(s),r.expression),h=n.createCallExpression(n.createPropertyAccessExpression(l,"next"),void 0,[]),g=n.createPropertyAccessExpression(c,"done"),y=n.createPropertyAccessExpression(c,"value"),v=n.createFunctionCallCall(m,l,[]);i(p),i(m);const b=2&a?n.inlineExpressions([n.createAssignment(p,n.createVoidZero()),_]):_,E=fR(yL(n.createForStatement(fR(yL(n.createVariableDeclarationList([n.createVariableDeclaration(d,void 0,void 0,n.createTrue()),yL(n.createVariableDeclaration(l,void 0,void 0,b),r.expression),n.createVariableDeclaration(c)]),r.expression),4194304),n.inlineExpressions([n.createAssignment(c,k(h)),n.createAssignment(u,g),n.createLogicalNot(u)]),n.createAssignment(d,n.createTrue()),function(t,r,o){const a=n.createTempVariable(i),s=n.createAssignment(a,r),l=n.createExpressionStatement(s);yR(l,t.expression);const c=n.createAssignment(o,n.createFalse()),d=n.createExpressionStatement(c);yR(d,t.expression);const u=[l,d],p=oP(n,t.initializer,a);let f,m;u.push(rG(p,A,wu));const _=uG(t.statement,A,e);GD(_)?(Ee(u,_.statements),f=_,m=_.statements):u.push(_);return yL(n.createBlock(yL(n.createNodeArray(u),m),!0),f)}(r,y,d)),r),512);return lR(E,r),n.createTryStatement(n.createBlock([n.restoreEnclosingLabel(E,o)]),n.createCatchClause(n.createVariableDeclaration(f),fR(n.createBlock([n.createExpressionStatement(n.createAssignment(p,n.createObjectLiteralExpression([n.createPropertyAssignment("error",f)])))]),1)),n.createBlock([n.createTryStatement(n.createBlock([fR(n.createIfStatement(n.createLogicalAnd(n.createLogicalAnd(n.createLogicalNot(d),n.createLogicalNot(u)),n.createAssignment(m,n.createPropertyAccessExpression(l,"return"))),n.createExpressionStatement(k(v))),1)]),void 0,fR(n.createBlock([fR(n.createIfStatement(p,n.createThrowStatement(n.createPropertyAccessExpression(p,"error"))),1)]),1))]))}(r,o,a):n.restoreEnclosingLabel(fG(r,A,e),o);return T(a),s}function k(e){return 1&p?n.createYieldExpression(void 0,t().createAwaitHelper(e)):n.createAwaitExpression(e)}function w(e){return Tt.assertNode(e,bN),O(e)}function O(t){return(null==f?void 0:f.has(t))?n.updateParameterDeclaration(t,void 0,t.dotDotDotToken,Vd(t.name)?n.getGeneratedNameForNode(t):t.name,void 0,void 0,void 0):65536&t.transformFlags?n.updateParameterDeclaration(t,void 0,t.dotDotDotToken,n.getGeneratedNameForNode(t),void 0,void 0,rG(t.initializer,A,uu)):fG(t,A,e)}function F(e){let n;for(const t of e.parameters)n?n.add(t):65536&t.transformFlags&&(n=new Set);return n}function W(t){const r=p,o=f;p=Zy(t),f=F(t);const i=n.updateConstructorDeclaration(t,t.modifiers,lG(t.parameters,w,e),q(t));return p=r,f=o,i}function z(t){const r=p,o=f;p=Zy(t),f=F(t);const i=n.updateGetAccessorDeclaration(t,t.modifiers,rG(t.name,A,Ed),lG(t.parameters,w,e),void 0,q(t));return p=r,f=o,i}function G(t){const r=p,o=f;p=Zy(t),f=F(t);const i=n.updateSetAccessorDeclaration(t,t.modifiers,rG(t.name,A,Ed),lG(t.parameters,w,e),q(t));return p=r,f=o,i}function B(t){const r=p,o=f;p=Zy(t),f=F(t);const i=n.updateMethodDeclaration(t,1&p?oG(t.modifiers,I,Fd):t.modifiers,2&p?void 0:t.asteriskToken,rG(t.name,A,Ed),rG(void 0,A,QI),void 0,2&p&&1&p?H(t):lG(t.parameters,w,e),void 0,2&p&&1&p?K(t):q(t));return p=r,f=o,i}function j(t){const r=p,o=f;p=Zy(t),f=F(t);const i=n.updateFunctionDeclaration(t,1&p?oG(t.modifiers,I,vd):t.modifiers,2&p?void 0:t.asteriskToken,t.name,void 0,2&p&&1&p?H(t):lG(t.parameters,w,e),void 0,2&p&&1&p?K(t):q(t));return p=r,f=o,i}function V(t){const r=p,o=f;p=Zy(t),f=F(t);const i=n.updateArrowFunction(t,t.modifiers,void 0,lG(t.parameters,w,e),void 0,t.equalsGreaterThanToken,q(t));return p=r,f=o,i}function U(t){const r=p,o=f;p=Zy(t),f=F(t);const i=n.updateFunctionExpression(t,1&p?oG(t.modifiers,I,vd):t.modifiers,2&p?void 0:t.asteriskToken,t.name,void 0,2&p&&1&p?H(t):lG(t.parameters,w,e),void 0,2&p&&1&p?K(t):q(t));return p=r,f=o,i}function H(t){if(hB(t.parameters))return lG(t.parameters,A,e);const r=[];for(const e of t.parameters){if(e.initializer||e.dotDotDotToken)break;const t=n.createParameterDeclaration(void 0,void 0,n.getGeneratedNameForNode(e.name,8));r.push(t)}const o=n.createNodeArray(r);return yL(o,t.parameters),o}function K(i){const s=hB(i.parameters)?void 0:lG(i.parameters,A,e);r();const c=h,d=g;h=new Set,g=!1;const p=[];let f=n.updateBlock(i.body,oG(i.body.statements,A,wu));f=n.updateBlock(f,n.mergeLexicalEnvironment(f.statements,J(o(),i)));const m=n.createReturnStatement(t().createAsyncGeneratorHelper(n.createFunctionExpression(void 0,n.createToken(42),i.name&&n.getGeneratedNameForNode(i.name),void 0,s??[],void 0,f),!!(1&b))),_=l>=2&&384&a.getNodeCheckFlags(i);if(_){1&u||(u|=1,e.enableSubstitution(213),e.enableSubstitution(211),e.enableSubstitution(212),e.enableEmitNotification(263),e.enableEmitNotification(174),e.enableEmitNotification(177),e.enableEmitNotification(178),e.enableEmitNotification(176),e.enableEmitNotification(243));const t=lj(n,a,i,h);E[Hz(t)]=!0,pm(p,[t])}p.push(m);const y=n.updateBlock(i.body,p);return _&&g&&(256&a.getNodeCheckFlags(i)?kR(y,DI):128&a.getNodeCheckFlags(i)&&kR(y,NI)),h=c,g=d,y}function q(e){r();let t=0;const i=[],a=rG(e.body,A,bu)??n.createBlock([]);GD(a)&&(t=n.copyPrologue(a.statements,i,!1,A)),Ee(i,J(void 0,e));const s=o();if(t>0||oe(i)||oe(s)){const e=n.converters.convertToFunctionBlock(a,!0);return pm(i,s),Ee(i,e.statements.slice(t)),n.updateBlock(e,yL(n.createNodeArray(i),e.statements))}return a}function J(t,r){let o=!1;for(const i of r.parameters)if(o){if(Vd(i.name)){if(i.name.elements.length>0){const r=SB(i,A,e,0,n.getGeneratedNameForNode(i));if(oe(r)){const e=n.createVariableDeclarationList(r),o=n.createVariableStatement(void 0,e);fR(o,2097152),t=ye(t,o)}}else if(i.initializer){const e=n.getGeneratedNameForNode(i),r=rG(i.initializer,A,uu),o=n.createAssignment(e,r),a=n.createExpressionStatement(o);fR(a,2097152),t=ye(t,a)}}else if(i.initializer){const e=n.cloneNode(i.name);yL(e,i.name),fR(e,96);const r=rG(i.initializer,A,uu);mR(r,3168);const o=n.createAssignment(e,r);yL(o,i),fR(o,3072);const a=n.createBlock([n.createExpressionStatement(o)]);yL(a,i),fR(a,3905);const s=n.createTypeCheck(n.cloneNode(i.name),"undefined"),l=n.createIfStatement(s,a);xP(l),yL(l,i),fR(l,2101056),t=ye(t,l)}}else if(65536&i.transformFlags){o=!0;const r=SB(i,A,e,1,n.getGeneratedNameForNode(i),!1,!0);if(oe(r)){const e=n.createVariableDeclarationList(r),o=n.createVariableStatement(void 0,e);fR(o,2097152),t=ye(t,o)}}return t}function X(e){return 108===e.expression.kind?yL(n.createPropertyAccessExpression(n.createUniqueName("_super",48),e.name),e):e}function Y(e){return 108===e.expression.kind?(t=e.argumentExpression,r=e,yL(256&v?n.createPropertyAccessExpression(n.createCallExpression(n.createIdentifier("_superIndex"),void 0,[t]),"value"):n.createCallExpression(n.createIdentifier("_superIndex"),void 0,[t]),r)):e;var t,r}}var uj=g({"src/compiler/transformers/es2018.ts"(){JJ()}});function pj(e){const n=e.factory;return BG(e,(function(n){if(n.isDeclarationFile)return n;return fG(n,t,e)}));function t(r){return 64&r.transformFlags?299===r.kind?function(r){if(!r.variableDeclaration)return n.updateCatchClause(r,n.createVariableDeclaration(n.createTempVariable(void 0)),rG(r.block,t,GD));return fG(r,t,e)}(r):fG(r,t,e):r}}var fj=g({"src/compiler/transformers/es2019.ts"(){JJ()}});function mj(e){const{factory:n,hoistVariableDeclaration:t}=e;return BG(e,(function(n){if(n.isDeclarationFile)return n;return fG(n,r,e)}));function r(o){if(!(32&o.transformFlags))return o;switch(o.kind){case 213:{const e=i(o,!1);return Tt.assertNotNode(e,kC),e}case 211:case 212:if(wc(o)){const e=s(o,!1,!1);return Tt.assertNotNode(e,kC),e}return fG(o,r,e);case 226:return 61===o.operatorToken.kind?function(e){let o=rG(e.left,r,uu),i=o;JG(o)||(i=n.createTempVariable(t),o=n.createAssignment(i,o));return yL(n.createConditionalExpression(l(o,i),void 0,i,void 0,rG(e.right,r,uu)),e)}(o):fG(o,r,e);case 220:return function(e){return wc(Ty(e.expression))?lR(a(e.expression,!1,!0),e):n.updateDeleteExpression(e,rG(e.expression,r,uu))}(o);default:return fG(o,r,e)}}function o(e,t,r){const o=a(e.expression,t,r);return kC(o)?n.createSyntheticReferenceExpression(n.updateParenthesizedExpression(e,o.expression),o.thisArg):n.updateParenthesizedExpression(e,o)}function i(t,i){if(wc(t))return s(t,i,!1);if(mD(t.expression)&&wc(Ty(t.expression))){const e=o(t.expression,!0,!1),i=oG(t.arguments,r,uu);return kC(e)?yL(n.createFunctionCallCall(e.expression,e.thisArg,i),t):n.updateCallExpression(t,e,void 0,i)}return fG(t,r,e)}function a(e,a,l){switch(e.kind){case 217:return o(e,a,l);case 211:case 212:return function(e,o,i){if(wc(e))return s(e,o,i);let a,l=rG(e.expression,r,uu);return Tt.assertNotNode(l,kC),o&&(JG(l)?a=l:(a=n.createTempVariable(t),l=n.createAssignment(a,l))),l=211===e.kind?n.updatePropertyAccessExpression(e,l,rG(e.name,r,tN)):n.updateElementAccessExpression(e,l,rG(e.argumentExpression,r,uu)),a?n.createSyntheticReferenceExpression(l,a):l}(e,a,l);case 213:return i(e,a);default:return rG(e,r,uu)}}function s(e,o,i){const{expression:s,chain:c}=function(e){Tt.assertNotNode(e,jc);const n=[e];for(;!e.questionDotToken&&!pD(e);)e=gn(Bc(e.expression),wc),Tt.assertNotNode(e,jc),n.unshift(e);return{expression:e.expression,chain:n}}(e),d=a(Bc(s),kc(c[0]),!1);let u=kC(d)?d.thisArg:void 0,p=kC(d)?d.expression:d,f=n.restoreOuterExpressions(s,p,8);JG(p)||(p=n.createTempVariable(t),f=n.createAssignment(p,f));let m,_=p;for(let e=0;e<c.length;e++){const i=c[e];switch(i.kind){case 211:case 212:e===c.length-1&&o&&(JG(_)?m=_:(m=n.createTempVariable(t),_=n.createAssignment(m,_))),_=211===i.kind?n.createPropertyAccessExpression(_,rG(i.name,r,tN)):n.createElementAccessExpression(_,rG(i.argumentExpression,r,uu));break;case 213:0===e&&u?(ud(u)||(u=n.cloneNode(u),mR(u,3072)),_=n.createFunctionCallCall(_,108===u.kind?n.createThis():u,oG(i.arguments,r,uu))):_=n.createCallExpression(_,void 0,oG(i.arguments,r,uu))}lR(_,i)}const h=i?n.createConditionalExpression(l(f,p,!0),void 0,n.createTrue(),void 0,n.createDeleteExpression(_)):n.createConditionalExpression(l(f,p,!0),void 0,n.createVoidZero(),void 0,_);return yL(h,e),m?n.createSyntheticReferenceExpression(h,m):h}function l(e,t,r){return n.createBinaryExpression(n.createBinaryExpression(e,n.createToken(r?37:38),n.createNull()),n.createToken(r?57:56),n.createBinaryExpression(t,n.createToken(r?37:38),n.createVoidZero()))}}var _j=g({"src/compiler/transformers/es2020.ts"(){JJ()}});function hj(e){const{hoistVariableDeclaration:n,factory:t}=e;return BG(e,(function(n){if(n.isDeclarationFile)return n;return fG(n,r,e)}));function r(o){return 16&o.transformFlags?uE(o)?function(e){const o=$G(e.operatorToken.kind);let i=Ty(rG(e.left,r,iu)),a=i;const s=Ty(rG(e.right,r,uu));if(wS(i)){const e=JG(i.expression),r=e?i.expression:t.createTempVariable(n),o=e?i.expression:t.createAssignment(r,i.expression);if(lD(i))a=t.createPropertyAccessExpression(r,i.name),i=t.createPropertyAccessExpression(o,i.name);else{const e=JG(i.argumentExpression),s=e?i.argumentExpression:t.createTempVariable(n);a=t.createElementAccessExpression(r,s),i=t.createElementAccessExpression(o,e?i.argumentExpression:t.createAssignment(s,i.argumentExpression))}}return t.createBinaryExpression(i,o,t.createParenthesizedExpression(t.createAssignment(a,s)))}(o):fG(o,r,e):o}}var gj=g({"src/compiler/transformers/es2021.ts"(){JJ()}});function yj(e){const{factory:n,getEmitHelperFactory:t,hoistVariableDeclaration:r,startLexicalEnvironment:o,endLexicalEnvironment:i}=e;let a,s,l,c;return BG(e,(function(n){if(n.isDeclarationFile)return n;const t=rG(n,d,rM);return wR(t,e.readEmitHelpers()),s=void 0,a=void 0,l=void 0,t}));function d(t){if(!(4&t.transformFlags))return t;switch(t.kind){case 312:return function(t){const r=Tj(t.statements);if(r){o(),a=new OG,s=[];const e=vj(t.statements),l=[];Ee(l,iG(t.statements,d,wu,0,e));let p=e;for(;p<t.statements.length;){if(0!==Sj(t.statements[p])){p>e&&Ee(l,oG(t.statements,d,wu,e,p-e));break}p++}Tt.assert(p<t.statements.length,"Should have encountered at least one 'using' statement.");const f=_(),m=u(t.statements,p,t.statements.length,f,l);return a.size&&ye(l,n.createExportDeclaration(void 0,!1,n.createNamedExports(Je(a.values())))),Ee(l,i()),s.length&&l.push(n.createVariableStatement(n.createModifiersFromModifierFlags(32),n.createVariableDeclarationList(s,1))),Ee(l,h(m,f,2===r)),c&&l.push(n.createExportAssignment(void 0,!0,c)),n.updateSourceFile(t,l)}return fG(t,d,e)}(t);case 241:return function(t){const r=Tj(t.statements);if(r){const e=vj(t.statements),o=_();return n.updateBlock(t,[...iG(t.statements,d,wu,0,e),...h(u(t.statements,e,t.statements.length,o,void 0),o,2===r)])}return fG(t,d,e)}(t);case 248:return function(t){if(t.initializer&&bj(t.initializer))return rG(n.createBlock([n.createVariableStatement(void 0,t.initializer),n.updateForStatement(t,void 0,t.condition,t.incrementor,t.statement)]),d,wu);return fG(t,d,e)}(t);case 250:return function(t){if(bj(t.initializer)){const e=t.initializer;Tt.assertNode(e,bj),Tt.assert(1===e.declarations.length,"ForInitializer may only have one declaration");const r=e.declarations[0];Tt.assert(!r.initializer,"ForInitializer may not have an initializer");const o=2===Ej(e),i=n.getGeneratedNameForNode(r.name),a=n.updateVariableDeclaration(r,r.name,void 0,void 0,i),s=n.createVariableDeclarationList([a],o?6:4),l=n.createVariableStatement(void 0,s);return rG(n.updateForOfStatement(t,t.awaitModifier,n.createVariableDeclarationList([n.createVariableDeclaration(i)],2),t.expression,GD(t.statement)?n.updateBlock(t.statement,[l,...t.statement.statements]):n.createBlock([l,t.statement],!0)),d,wu)}return fG(t,d,e)}(t);case 255:return function(t){const r=function(e){let n=0;for(const t of e){const e=Tj(t.statements);if(2===e)return 2;e>n&&(n=e)}return n}(t.caseBlock.clauses);if(r){const o=_();return h([n.updateSwitchStatement(t,rG(t.expression,d,uu),n.updateCaseBlock(t.caseBlock,t.caseBlock.clauses.map((t=>function(t,r){if(0!==Tj(t.statements))return JC(t)?n.updateCaseClause(t,rG(t.expression,d,uu),u(t.statements,0,t.statements.length,r,void 0)):n.updateDefaultClause(t,u(t.statements,0,t.statements.length,r,void 0));return fG(t,d,e)}(t,o)))))],o,2===r)}return fG(t,d,e)}(t);default:return fG(t,d,e)}}function u(o,i,a,s,u){const _=[];for(let r=i;r<a;r++){const i=o[r],a=Sj(i);if(a){Tt.assertNode(i,BD);const r=[];for(let o of i.declarationList.declarations){if(!tN(o.name)){r.length=0;break}gv(o)&&(o=jB(e,o));const i=rG(o.initializer,d,uu)??n.createVoidZero();r.push(n.updateVariableDeclaration(o,o.name,void 0,void 0,t().createAddDisposableResourceHelper(s,i,2===a)))}if(r.length){const e=n.createVariableDeclarationList(r,2);lR(e,i.declarationList),yL(e,i.declarationList),h(n.updateVariableStatement(i,void 0,e));continue}}const l=d(i);pn(l)?l.forEach(h):l&&h(l)}return _;function h(t){Tt.assertNode(t,wu),ye(_,function(t){if(!u)return t;switch(t.kind){case 272:case 271:case 278:case 262:return function(e,n){return void n.push(e)}(t,u);case 277:return function(t){return t.isExportEquals?function(e){if(c)return e;c=n.createUniqueName("_default",56),r(c);const t=n.createAssignment(c,e.expression);return n.createExpressionStatement(t)}(t):function(t){if(l)return t;l=n.createUniqueName("_default",56),m(l,!0,"default",t);let r=t.expression,o=EP(r);gv(o)&&(o=jB(e,o,!1,"default"),r=n.restoreOuterExpressions(r,o));const i=n.createAssignment(l,r);return n.createExpressionStatement(i)}(t)}(t);case 263:return function(t){if(!t.name&&l)return t;const r=Bb(t,32),o=Bb(t,2048);let i=n.converters.convertToClassExpression(t);t.name&&(m(n.getLocalName(t),r&&!o,void 0,t),i=n.createAssignment(n.getDeclarationName(t),i),gv(i)&&(i=jB(e,i,!1)),lR(i,t),yR(i,t),xR(i,t));o&&!l&&(l=n.createUniqueName("_default",56),m(l,!0,"default",t),i=n.createAssignment(l,i),gv(i)&&(i=jB(e,i,!1,"default")),lR(i,t));return n.createExpressionStatement(i)}(t);case 243:return function(e){let t;const r=Bb(e,32);for(const n of e.declarationList.declarations)f(n,r,n),n.initializer&&(t=ye(t,p(n)));if(t){const r=n.createExpressionStatement(n.inlineExpressions(t));return lR(r,e),xR(r,e),yR(r,e),r}return}(t)}return t}(t))}}function p(e){let t;Tt.assertIsDefined(e.initializer),tN(e.name)?(t=n.cloneNode(e.name),fR(t,-114689&Im(t))):t=n.converters.convertToAssignmentPattern(e.name);const r=n.createAssignment(t,e.initializer);return lR(r,e),xR(r,e),yR(r,e),r}function f(e,n,t){if(Vd(e.name))for(const r of e.name.elements)DD(r)||f(r,n,t);else m(e.name,n,void 0,t)}function m(e,t,o,i){const l=ud(e)?e:n.cloneNode(e);if(t){if(void 0===o&&!uP(l)){const e=n.createVariableDeclaration(l);return i&&lR(e,i),void s.push(e)}const e=void 0!==o?l:void 0,t=void 0!==o?o:l,r=n.createExportSpecifier(!1,e,t);i&&lR(r,i),a.set(l,r)}r(l)}function _(){return n.createUniqueName("env")}function h(e,r,o){const i=[],a=n.createObjectLiteralExpression([n.createPropertyAssignment("stack",n.createArrayLiteralExpression()),n.createPropertyAssignment("error",n.createVoidZero()),n.createPropertyAssignment("hasError",n.createFalse())]),s=n.createVariableDeclaration(r,void 0,void 0,a),l=n.createVariableDeclarationList([s],2),c=n.createVariableStatement(void 0,l);i.push(c);const d=n.createBlock(e,!0),u=n.createUniqueName("e"),p=n.createCatchClause(u,n.createBlock([n.createExpressionStatement(n.createAssignment(n.createPropertyAccessExpression(r,"error"),u)),n.createExpressionStatement(n.createAssignment(n.createPropertyAccessExpression(r,"hasError"),n.createTrue()))],!0));let f;if(o){const e=n.createUniqueName("result");f=n.createBlock([n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(e,void 0,void 0,t().createDisposeResourcesHelper(r))],2)),n.createIfStatement(e,n.createExpressionStatement(n.createAwaitExpression(e)))],!0)}else f=n.createBlock([n.createExpressionStatement(t().createDisposeResourcesHelper(r))],!0);const m=n.createTryStatement(d,p,f);return i.push(m),i}}function vj(e){for(let n=0;n<e.length;n++)if(!w_(e[n])&&!O_(e[n]))return n;return 0}function bj(e){return aC(e)&&0!==Ej(e)}function Ej(e){return 6==(7&e.flags)?2:4==(7&e.flags)?1:0}function Sj(e){return BD(e)?Ej(e.declarationList):0}function Tj(e){let n=0;for(const t of e){const e=Sj(t);if(2===e)return 2;e>n&&(n=e)}return n}var xj,Aj=g({"src/compiler/transformers/esnext.ts"(){JJ()}});function Rj(e){const{factory:n,getEmitHelperFactory:t}=e,r=e.getCompilerOptions();let i,a;return BG(e,(function(t){if(t.isDeclarationFile)return t;i=t,a={},a.importSpecifier=LT(r,t);let o=fG(t,d,e);wR(o,e.readEmitHelpers());let s=o.statements;a.filenameDeclaration&&(s=_m(s.slice(),n.createVariableStatement(void 0,n.createVariableDeclarationList([a.filenameDeclaration],2))));if(a.utilizedImplicitRuntimeImports)for(const[e,r]of Je(a.utilizedImplicitRuntimeImports.entries()))if(uk(t)){const t=n.createImportDeclaration(void 0,n.createImportClause(!1,void 0,n.createNamedImports(Je(r.values()))),n.createStringLiteral(e),void 0);Hx(t,!1),s=_m(s.slice(),t)}else if(T_(t)){const t=n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(n.createObjectBindingPattern(Je(r.values(),(e=>n.createBindingElement(void 0,e.propertyName,e.name)))),void 0,void 0,n.createCallExpression(n.createIdentifier("require"),void 0,[n.createStringLiteral(e)]))],2));Hx(t,!1),s=_m(s.slice(),t)}s!==o.statements&&(o=n.updateSourceFile(o,s));return a=void 0,o}));function s(){if(a.filenameDeclaration)return a.filenameDeclaration.name;const e=n.createVariableDeclaration(n.createUniqueName("_jsxFileName",48),void 0,void 0,n.createStringLiteral(i.fileName));return a.filenameDeclaration=e,a.filenameDeclaration.name}function l(e){const n=function(e){return 5===r.jsx?"jsxDEV":e?"jsxs":"jsx"}(e);return c(n)}function c(e){var t,o;const i="createElement"===e?a.importSpecifier:kT(a.importSpecifier,r),s=null==(o=null==(t=a.utilizedImplicitRuntimeImports)?void 0:t.get(i))?void 0:o.get(e);if(s)return s.name;a.utilizedImplicitRuntimeImports||(a.utilizedImplicitRuntimeImports=new Map);let l=a.utilizedImplicitRuntimeImports.get(i);l||(l=new Map,a.utilizedImplicitRuntimeImports.set(i,l));const c=n.createUniqueName(`_${e}`,112),d=n.createImportSpecifier(!1,n.createIdentifier(e),c);return JR(c,d),l.set(e,d),c}function d(n){return 2&n.transformFlags?function(n){switch(n.kind){case 284:return m(n,!1);case 285:return _(n,!1);case 288:return h(n,!1);case 294:return M(n);default:return fG(n,d,e)}}(n):n}function u(e){switch(e.kind){case 12:return function(e){const t=function(e){let n,t=0,r=-1;for(let o=0;o<e.length;o++){const i=e.charCodeAt(o);ys(i)?(-1!==t&&-1!==r&&(n=I(n,e.substr(t,r-t+1))),t=-1):gs(i)||(r=o,-1===t&&(t=o))}return-1!==t?I(n,e.substr(t)):n}(e.text);return void 0===t?void 0:n.createStringLiteral(t)}(e);case 294:return M(e);case 284:return m(e,!0);case 285:return _(e,!0);case 288:return h(e,!0);default:return Tt.failBadSyntaxKind(e)}}function p(e){return e.properties.some((e=>QC(e)&&(tN(e.name)&&"__proto__"===Ll(e.name)||zI(e.name)&&"__proto__"===e.name.text)))}function f(e){return void 0===a.importSpecifier||function(e){let n=!1;for(const t of e.attributes.properties)if(!HC(t)||sD(t.expression)&&!t.expression.properties.some(eM)){if(n&&VC(t)&&tN(t.name)&&"key"===t.name.escapedText)return!0}else n=!0;return!1}(e)}function m(e,n){return(f(e.openingElement)?E:y)(e.openingElement,e.children,n,e)}function _(e,n){return(f(e)?E:y)(e,void 0,n,e)}function h(e,n){return(void 0===a.importSpecifier?T:S)(e.openingFragment,e.children,n,e)}function g(e){const t=Cv(e);if(1===b(t)&&!t[0].dotDotDotToken){const e=u(t[0]);return e&&n.createPropertyAssignment("children",e)}const r=Y(e,u);return b(r)?n.createPropertyAssignment("children",n.createArrayLiteralExpression(r)):void 0}function y(e,t,r,i){const a=C(e),s=t&&t.length?g(t):void 0,l=D(e.attributes.properties,(e=>!!e.name&&tN(e.name)&&"key"===e.name.escapedText)),c=l?W(e.attributes.properties,(e=>e!==l)):e.attributes.properties;return v(a,b(c)?x(c,s):n.createObjectLiteralExpression(s?[s]:o),l,t||o,r,i)}function v(e,t,o,a,c,d){var u;const p=Cv(a),f=b(p)>1||!!(null==(u=p[0])?void 0:u.dotDotDotToken),m=[e,t];if(o&&m.push(R(o.initializer)),5===r.jsx){const e=Il(i);if(e&&rM(e)){void 0===o&&m.push(n.createVoidZero()),m.push(f?n.createTrue():n.createFalse());const t=_s(e,d.pos);m.push(n.createObjectLiteralExpression([n.createPropertyAssignment("fileName",s()),n.createPropertyAssignment("lineNumber",n.createNumericLiteral(t.line+1)),n.createPropertyAssignment("columnNumber",n.createNumericLiteral(t.character+1))])),m.push(n.createThis())}}const _=yL(n.createCallExpression(l(f),void 0,m),d);return c&&xP(_),_}function E(t,o,s,l){const d=C(t),p=t.attributes.properties,f=b(p)?x(p):n.createNull(),m=void 0===a.importSpecifier?nP(n,e.getEmitResolver().getJsxFactoryEntity(i),r.reactNamespace,t):c("createElement"),_=tP(n,m,d,f,Y(o,u),l);return s&&xP(_),_}function S(e,t,r,o){let i;if(t&&t.length){const e=function(e){const t=g(e);return t&&n.createObjectLiteralExpression([t])}(t);e&&(i=e)}return v(c("Fragment"),i||n.createObjectLiteralExpression([]),void 0,t,r,o)}function T(t,o,a,s){const l=rP(n,e.getEmitResolver().getJsxFactoryEntity(i),e.getEmitResolver().getJsxFragmentFactoryEntity(i),r.reactNamespace,Y(o,u),t,s);return a&&xP(l),l}function x(e,o){const i=jp(r);return i&&i>=5?n.createObjectLiteralExpression(function(e,t){const r=U(te(e,HC,((e,t)=>U(B(e,(e=>{return t?sD((r=e).expression)&&!p(r.expression)?V(r.expression.properties,(e=>Tt.checkDefined(rG(e,d,Gd)))):n.createSpreadAssignment(Tt.checkDefined(rG(r.expression,d,uu))):A(e);var r}))))));t&&r.push(t);return r}(e,o)):function(e,r){const o=[];let i=[];for(const n of e)if(HC(n)){if(sD(n.expression)&&!p(n.expression)){for(const e of n.expression.properties)eM(e)?(a(),o.push(Tt.checkDefined(rG(e.expression,d,uu)))):i.push(Tt.checkDefined(rG(e,d)));continue}a(),o.push(Tt.checkDefined(rG(n.expression,d,uu)))}else i.push(A(n));r&&i.push(r);a(),o.length&&!sD(o[0])&&o.unshift(n.createObjectLiteralExpression());return we(o)||t().createAssignHelper(o);function a(){i.length&&(o.push(n.createObjectLiteralExpression(i)),i=[])}}(e,o)}function A(e){const t=function(e){const t=e.name;if(tN(t)){const e=Ll(t);return/^[A-Za-z_]\w*$/.test(e)?t:n.createStringLiteral(e)}return n.createStringLiteral(Ll(t.namespace)+":"+Ll(t.name))}(e),r=R(e.initializer);return n.createPropertyAssignment(t,r)}function R(e){if(void 0===e)return n.createTrue();if(11===e.kind){const t=void 0!==e.singleQuote?e.singleQuote:!lg(e,i);return yL(n.createStringLiteral(function(e){const n=N(e);return n===e?void 0:n}(e.text)||e.text,t),e)}return 294===e.kind?void 0===e.expression?n.createTrue():Tt.checkDefined(rG(e.expression,d,uu)):OC(e)?m(e,!1):FC(e)?_(e,!1):GC(e)?h(e,!1):Tt.failBadSyntaxKind(e)}function I(e,n){const t=N(n);return void 0===e?t:e+" "+t}function N(e){return e.replace(/&((#((\d+)|x([\da-fA-F]+)))|(\w+));/g,((e,n,t,r,o,i,a)=>{if(o)return Us(parseInt(o,10));if(i)return Us(parseInt(i,16));{const n=xj.get(a);return n?Us(n):e}}))}function C(e){if(284===e.kind)return C(e.openingElement);{const t=e.tagName;return tN(t)&&jv(t.escapedText)?n.createStringLiteral(Ll(t)):qC(t)?n.createStringLiteral(Ll(t.namespace)+":"+Ll(t.name)):aP(n,t)}}function M(e){const t=rG(e.expression,d,uu);return e.dotDotDotToken?n.createSpreadElement(t):t}}var Ij=g({"src/compiler/transformers/jsx.ts"(){JJ(),xj=new Map(Object.entries({quot:34,amp:38,apos:39,lt:60,gt:62,nbsp:160,iexcl:161,cent:162,pound:163,curren:164,yen:165,brvbar:166,sect:167,uml:168,copy:169,ordf:170,laquo:171,not:172,shy:173,reg:174,macr:175,deg:176,plusmn:177,sup2:178,sup3:179,acute:180,micro:181,para:182,middot:183,cedil:184,sup1:185,ordm:186,raquo:187,frac14:188,frac12:189,frac34:190,iquest:191,Agrave:192,Aacute:193,Acirc:194,Atilde:195,Auml:196,Aring:197,AElig:198,Ccedil:199,Egrave:200,Eacute:201,Ecirc:202,Euml:203,Igrave:204,Iacute:205,Icirc:206,Iuml:207,ETH:208,Ntilde:209,Ograve:210,Oacute:211,Ocirc:212,Otilde:213,Ouml:214,times:215,Oslash:216,Ugrave:217,Uacute:218,Ucirc:219,Uuml:220,Yacute:221,THORN:222,szlig:223,agrave:224,aacute:225,acirc:226,atilde:227,auml:228,aring:229,aelig:230,ccedil:231,egrave:232,eacute:233,ecirc:234,euml:235,igrave:236,iacute:237,icirc:238,iuml:239,eth:240,ntilde:241,ograve:242,oacute:243,ocirc:244,otilde:245,ouml:246,divide:247,oslash:248,ugrave:249,uacute:250,ucirc:251,uuml:252,yacute:253,thorn:254,yuml:255,OElig:338,oelig:339,Scaron:352,scaron:353,Yuml:376,fnof:402,circ:710,tilde:732,Alpha:913,Beta:914,Gamma:915,Delta:916,Epsilon:917,Zeta:918,Eta:919,Theta:920,Iota:921,Kappa:922,Lambda:923,Mu:924,Nu:925,Xi:926,Omicron:927,Pi:928,Rho:929,Sigma:931,Tau:932,Upsilon:933,Phi:934,Chi:935,Psi:936,Omega:937,alpha:945,beta:946,gamma:947,delta:948,epsilon:949,zeta:950,eta:951,theta:952,iota:953,kappa:954,lambda:955,mu:956,nu:957,xi:958,omicron:959,pi:960,rho:961,sigmaf:962,sigma:963,tau:964,upsilon:965,phi:966,chi:967,psi:968,omega:969,thetasym:977,upsih:978,piv:982,ensp:8194,emsp:8195,thinsp:8201,zwnj:8204,zwj:8205,lrm:8206,rlm:8207,ndash:8211,mdash:8212,lsquo:8216,rsquo:8217,sbquo:8218,ldquo:8220,rdquo:8221,bdquo:8222,dagger:8224,Dagger:8225,bull:8226,hellip:8230,permil:8240,prime:8242,Prime:8243,lsaquo:8249,rsaquo:8250,oline:8254,frasl:8260,euro:8364,image:8465,weierp:8472,real:8476,trade:8482,alefsym:8501,larr:8592,uarr:8593,rarr:8594,darr:8595,harr:8596,crarr:8629,lArr:8656,uArr:8657,rArr:8658,dArr:8659,hArr:8660,forall:8704,part:8706,exist:8707,empty:8709,nabla:8711,isin:8712,notin:8713,ni:8715,prod:8719,sum:8721,minus:8722,lowast:8727,radic:8730,prop:8733,infin:8734,ang:8736,and:8743,or:8744,cap:8745,cup:8746,int:8747,there4:8756,sim:8764,cong:8773,asymp:8776,ne:8800,equiv:8801,le:8804,ge:8805,sub:8834,sup:8835,nsub:8836,sube:8838,supe:8839,oplus:8853,otimes:8855,perp:8869,sdot:8901,lceil:8968,rceil:8969,lfloor:8970,rfloor:8971,lang:9001,rang:9002,loz:9674,spades:9824,clubs:9827,hearts:9829,diams:9830}))}});function Nj(e){const{factory:n,hoistVariableDeclaration:t}=e;return BG(e,(function(n){if(n.isDeclarationFile)return n;return fG(n,r,e)}));function r(o){return 512&o.transformFlags?226===o.kind?function(o){switch(o.operatorToken.kind){case 68:return function(e){let o,i;const a=rG(e.left,r,uu),s=rG(e.right,r,uu);if(cD(a)){const e=n.createTempVariable(t),r=n.createTempVariable(t);o=yL(n.createElementAccessExpression(yL(n.createAssignment(e,a.expression),a.expression),yL(n.createAssignment(r,a.argumentExpression),a.argumentExpression)),a),i=yL(n.createElementAccessExpression(e,r),a)}else if(lD(a)){const e=n.createTempVariable(t);o=yL(n.createPropertyAccessExpression(yL(n.createAssignment(e,a.expression),a.expression),a.name),a),i=yL(n.createPropertyAccessExpression(e,a.name),a)}else o=a,i=a;return yL(n.createAssignment(o,yL(n.createGlobalMethodCall("Math","pow",[i,s]),e)),e)}(o);case 43:return function(e){const t=rG(e.left,r,uu),o=rG(e.right,r,uu);return yL(n.createGlobalMethodCall("Math","pow",[t,o]),e)}(o);default:return fG(o,r,e)}}(o):fG(o,r,e):o}}var Dj=g({"src/compiler/transformers/es2016.ts"(){JJ()}});function Cj(e,n){return{kind:e,expression:n}}function Mj(e){const{factory:n,getEmitHelperFactory:t,startLexicalEnvironment:r,resumeLexicalEnvironment:o,endLexicalEnvironment:i,hoistVariableDeclaration:a}=e,s=e.getCompilerOptions(),c=e.getEmitResolver(),d=e.onSubstituteNode,u=e.onEmitNode;let p,f,m,_,h,g;function y(e){_=ye(_,n.createVariableDeclaration(e))}return e.onEmitNode=function(e,n,t){if(1&g&&Td(n)){const r=v(32670,16&Im(n)?81:65);return u(e,n,t),void b(r,0,0)}u(e,n,t)},e.onSubstituteNode=function(e,t){if(t=d(e,t),1===e)return function(e){switch(e.kind){case 80:return function(e){if(2&g&&!dP(e)){const t=c.getReferencedDeclarationWithCollidingName(e);if(t&&(!Md(t)||!function(e,n){let t=Cl(n);if(!t||t===e||t.end<=e.pos||t.pos>=e.end)return!1;const r=t_(e);for(;t;){if(t===r||t===e)return!1;if(Cd(t)&&t.parent===e)return!0;t=t.parent}return!1}(t,e)))return yL(n.getGeneratedNameForNode(jl(t)),e)}return e}(e);case 110:return function(e){if(1&g&&16&m)return yL(C(),e);return e}(e)}return e}(t);if(tN(t))return function(e){if(2&g&&!dP(e)){const t=Cl(e,tN);if(t&&function(e){switch(e.parent.kind){case 208:case 263:case 266:case 260:return e.parent.name===e&&c.isDeclarationWithCollidingName(e.parent)}return!1}(t))return yL(n.getGeneratedNameForNode(t),e)}return e}(t);return t},BG(e,(function(t){if(t.isDeclarationFile)return t;p=t,f=t.text;const o=function(e){const t=v(8064,64),o=[],a=[];r();const s=n.copyPrologue(e.statements,o,!1,T);Ee(a,oG(e.statements,T,wu,s)),_&&a.push(n.createVariableStatement(void 0,n.createVariableDeclarationList(_)));return n.mergeLexicalEnvironment(o,i()),ie(o,e),b(t,0,0),n.updateSourceFile(e,yL(n.createNodeArray(ae(o,a)),e.statements))}(t);return wR(o,e.readEmitHelpers()),p=void 0,f=void 0,_=void 0,m=0,o}));function v(e,n){const t=m;return m=32767&(m&~e|n),t}function b(e,n,t){m=-32768&(m&~n|t)|e}function E(e){return!!(8192&m)&&253===e.kind&&!e.expression}function S(e){return!!(1024&e.transformFlags)||void 0!==h||8192&m&&function(e){return 4194304&e.transformFlags&&(QD(e)||UD(e)||ZD(e)||eC(e)||mC(e)||JC(e)||XC(e)||rC(e)||$C(e)||nC(e)||mu(e,!1)||GD(e))}(e)||mu(e,!1)&&je(e)||!!(1&Nm(e))}function T(e){return S(e)?I(e,!1):e}function x(e){return S(e)?I(e,!0):e}function A(e){if(S(e)){const n=Il(e);if(TN(n)&&Vb(n)){const n=v(32670,16449),t=I(e,!1);return b(n,229376,0),t}return I(e,!1)}return e}function R(e){return 108===e.kind?ln(e,!0):T(e)}function I(t,r){switch(t.kind){case 126:return;case 263:return function(e){const t=n.createVariableDeclaration(n.getLocalName(e,!0),void 0,void 0,P(e));lR(t,e);const r=[],o=n.createVariableStatement(void 0,n.createVariableDeclarationList([t]));if(lR(o,e),yL(o,e),xP(o),r.push(o),Bb(e,32)){const t=Bb(e,2048)?n.createExportDefault(n.getLocalName(e)):n.createExternalModuleExport(n.getLocalName(e));lR(t,o),r.push(t)}return Fe(r)}(t);case 231:return function(e){return P(e)}(t);case 169:return function(e){return e.dotDotDotToken?void 0:Vd(e.name)?lR(yL(n.createParameterDeclaration(void 0,void 0,n.getGeneratedNameForNode(e),void 0,void 0,void 0),e),e):e.initializer?lR(yL(n.createParameterDeclaration(void 0,void 0,e.name,void 0,void 0,void 0),e),e):e}(t);case 262:return function(t){const r=h;h=void 0;const o=v(32670,65),i=lG(t.parameters,T,e),a=me(t),s=32768&m?n.getLocalName(t):t.name;return b(o,229376,0),h=r,n.updateFunctionDeclaration(t,oG(t.modifiers,T,vd),t.asteriskToken,s,void 0,i,void 0,a)}(t);case 219:return function(t){16384&t.transformFlags&&!(16384&m)&&(m|=131072);const r=h;h=void 0;const o=v(15232,66),i=n.createFunctionExpression(void 0,void 0,void 0,void 0,lG(t.parameters,T,e),void 0,me(t));return yL(i,t),lR(i,t),fR(i,16),b(o,0,0),h=r,i}(t);case 218:return function(t){const r=524288&Im(t)?v(32662,69):v(32670,65),o=h;h=void 0;const i=lG(t.parameters,T,e),a=me(t),s=32768&m?n.getLocalName(t):t.name;return b(r,229376,0),h=o,n.updateFunctionExpression(t,void 0,t.asteriskToken,s,void 0,i,void 0,a)}(t);case 260:return ve(t);case 80:return M(t);case 261:return function(t){if(7&t.flags||524288&t.transformFlags){7&t.flags&&cn();const e=oG(t.declarations,1&t.flags?ge:ve,iC),r=n.createVariableDeclarationList(e);return lR(r,t),yL(r,t),xR(r,t),524288&t.transformFlags&&(Vd(t.declarations[0].name)||Vd(ke(t.declarations).name))&&yR(r,function(e){let n=-1,t=-1;for(const r of e)n=-1===n?r.pos:-1===r.pos?n:Math.min(n,r.pos),t=Math.max(t,r.end);return UE(n,t)}(e)),r}return fG(t,T,e)}(t);case 255:return function(n){if(void 0!==h){const t=h.allowedNonLabeledJumps;h.allowedNonLabeledJumps|=2;const r=fG(n,T,e);return h.allowedNonLabeledJumps=t,r}return fG(n,T,e)}(t);case 269:return function(n){const t=v(7104,0),r=fG(n,T,e);return b(t,0,0),r}(t);case 241:return function(n,t){if(t)return fG(n,T,e);const r=256&m?v(7104,512):v(6976,128),o=fG(n,T,e);return b(r,0,0),o}(t,!1);case 252:case 251:return function(t){if(h){const e=252===t.kind?2:4;if(!(t.label&&h.labels&&h.labels.get(Ll(t.label))||!t.label&&h.allowedNonLabeledJumps&e)){let e;const r=t.label;r?252===t.kind?(e=`break-${r.escapedText}`,Xe(h,!0,Ll(r),e)):(e=`continue-${r.escapedText}`,Xe(h,!1,Ll(r),e)):252===t.kind?(h.nonLocalJumps|=2,e="break"):(h.nonLocalJumps|=4,e="continue");let o=n.createStringLiteral(e);if(h.loopOutParameters.length){const e=h.loopOutParameters;let t;for(let r=0;r<e.length;r++){const o=qe(e[r],1);t=0===r?o:n.createBinaryExpression(t,28,o)}o=n.createBinaryExpression(t,28,o)}return n.createReturnStatement(o)}}return fG(t,T,e)}(t);case 256:return function(e){h&&!h.labels&&(h.labels=new Map);const t=th(e,h&&be);return mu(t,!1)?function(e,n){switch(e.kind){case 246:case 247:return xe(e,n);case 248:return Ae(e,n);case 249:return Re(e,n);case 250:return Ie(e,n)}}(t,e):n.restoreEnclosingLabel(Tt.checkDefined(rG(t,T,wu,n.liftToBlock)),e,h&&Se)}(t);case 246:case 247:return xe(t,void 0);case 248:return Ae(t,void 0);case 249:return Re(t,void 0);case 250:return Ie(t,void 0);case 244:case 222:return function(n){return fG(n,x,e)}(t);case 210:return function(t){const r=t.properties;let o=-1,i=!1;for(let e=0;e<r.length;e++){const n=r[e];if(1048576&n.transformFlags&&4&m||(i=167===Tt.checkDefined(n.name).kind)){o=e;break}}if(o<0)return fG(t,T,e);const s=n.createTempVariable(a),l=[],c=n.createAssignment(s,fR(n.createObjectLiteralExpression(oG(r,T,Gd,0,o),t.multiLine),i?131072:0));t.multiLine&&xP(c);return l.push(c),function(e,n,t,r){const o=n.properties,i=o.length;for(let a=r;a<i;a++){const r=o[a];switch(r.kind){case 177:case 178:const o=xb(n.properties,r);r===o.firstAccessor&&e.push(pe(t,o,n,!!n.multiLine));break;case 174:e.push(en(r,t,n,n.multiLine));break;case 303:e.push(Qe(r,t,n.multiLine));break;case 304:e.push(Ze(r,t,n.multiLine));break;default:Tt.failBadSyntaxKind(n)}}}(l,t,s,o),l.push(t.multiLine?xP(Vx(yL(n.cloneNode(s),s),s.parent)):s),n.inlineExpressions(l)}(t);case 299:return function(t){const r=v(7104,0);let o;if(Tt.assert(!!t.variableDeclaration,"Catch clause variable should always be present when downleveling ES2015."),Vd(t.variableDeclaration.name)){const r=n.createTempVariable(void 0),i=n.createVariableDeclaration(r);yL(i,t.variableDeclaration);const a=SB(t.variableDeclaration,T,e,0,r),s=n.createVariableDeclarationList(a);yL(s,t.variableDeclaration);const l=n.createVariableStatement(void 0,s);o=n.updateCatchClause(t,i,function(e,t){const r=oG(e.statements,T,wu);return n.updateBlock(e,[t,...r])}(t.block,l))}else o=fG(t,T,e);return b(r,0,0),o}(t);case 304:return function(e){return yL(n.createPropertyAssignment(e.name,M(n.cloneNode(e.name))),e)}(t);case 167:case 229:return function(n){return fG(n,T,e)}(t);case 209:return function(n){if(oe(n.elements,ID))return nn(n.elements,!1,!!n.multiLine,!!n.elements.hasTrailingComma);return fG(n,T,e)}(t);case 213:return function(t){if(1&Nm(t))return function(e){const t=gn(gn(EP(e.expression),hD).body,GD),r=e=>BD(e)&&!!Me(e.declarationList.declarations).initializer,o=h;h=void 0;const i=oG(t.statements,A,wu);h=o;const a=W(i,r),s=W(i,(e=>!r(e))),c=gn(Me(a),BD).declarationList.declarations[0],d=EP(c.initializer);let u=hn(d,gE);!u&&TD(d)&&28===d.operatorToken.kind&&(u=hn(d.left,gE));const p=gn(u?EP(u.right):d,dD),f=gn(EP(p.expression),_D),m=f.body.statements;let _=0,g=-1;const y=[];if(u){const e=hn(m[_],VD);e&&(y.push(e),_++),y.push(m[_]),_++,y.push(n.createExpressionStatement(n.createAssignment(u.left,gn(c.name,tN))))}for(;!QD(l(m,g));)g--;Ee(y,m,_,g),g<-1&&Ee(y,m,g+1);const v=hn(l(m,g),QD);for(const e of s)QD(e)&&(null==v?void 0:v.expression)&&!tN(v.expression)?y.push(v):y.push(e);return Ee(y,a,1),n.restoreOuterExpressions(e.expression,n.restoreOuterExpressions(c.initializer,n.restoreOuterExpressions(u&&u.right,n.updateCallExpression(p,n.restoreOuterExpressions(p.expression,n.updateFunctionExpression(f,void 0,void 0,void 0,void 0,f.parameters,void 0,n.updateBlock(f.body,y))),void 0,p.arguments))))}(t);const r=EP(t.expression);if(108===r.kind||Rh(r)||oe(t.arguments,ID))return function(t,r){if(32768&t.transformFlags||108===t.expression.kind||Rh(EP(t.expression))){const{target:e,thisArg:o}=n.createCallBinding(t.expression,a);let i;if(108===t.expression.kind&&fR(o,8),i=32768&t.transformFlags?n.createFunctionApplyCall(Tt.checkDefined(rG(e,R,uu)),108===t.expression.kind?o:Tt.checkDefined(rG(o,T,uu)),nn(t.arguments,!0,!1,!1)):yL(n.createFunctionCallCall(Tt.checkDefined(rG(e,R,uu)),108===t.expression.kind?o:Tt.checkDefined(rG(o,T,uu)),oG(t.arguments,T,uu)),t),108===t.expression.kind){const e=n.createLogicalOr(i,$());i=r?n.createAssignment(C(),e):e}return lR(i,t)}M_(t)&&(m|=131072);return fG(t,T,e)}(t,!0);return n.updateCallExpression(t,Tt.checkDefined(rG(t.expression,R,uu)),void 0,oG(t.arguments,T,uu))}(t);case 214:return function(t){if(oe(t.arguments,ID)){const{target:e,thisArg:r}=n.createCallBinding(n.createPropertyAccessExpression(t.expression,"bind"),a);return n.createNewExpression(n.createFunctionApplyCall(Tt.checkDefined(rG(e,T,uu)),r,nn(n.createNodeArray([n.createVoidZero(),...t.arguments]),!0,!1,!1)),void 0,[])}return fG(t,T,e)}(t);case 217:return function(n,t){return fG(n,t?x:T,e)}(t,r);case 226:return he(t,r);case 361:return function(t,r){if(r)return fG(t,x,e);let o;for(let e=0;e<t.elements.length;e++){const n=t.elements[e],r=rG(n,e<t.elements.length-1?x:T,uu);(o||r!==n)&&(o||(o=t.elements.slice(0,e)),Tt.assert(r),o.push(r))}const i=o?yL(n.createNodeArray(o),t.elements):t.elements;return n.updateCommaListExpression(t,i)}(t,r);case 15:case 16:case 17:case 18:return function(e){return yL(n.createStringLiteral(e.text),e)}(t);case 11:return function(e){if(e.hasExtendedUnicodeEscape)return yL(n.createStringLiteral(e.text),e);return e}(t);case 9:return function(e){if(384&e.numericLiteralFlags)return yL(n.createNumericLiteral(e.text),e);return e}(t);case 215:return function(n){return HB(e,n,T,p,y,1)}(t);case 228:return function(e){let t=n.createStringLiteral(e.head.text);for(const r of e.templateSpans){const e=[Tt.checkDefined(rG(r.expression,T,uu))];r.literal.text.length>0&&e.push(n.createStringLiteral(r.literal.text)),t=n.createCallExpression(n.createPropertyAccessExpression(t,"concat"),void 0,e)}return yL(t,e)}(t);case 230:return function(e){return rG(e.expression,T,uu)}(t);case 108:return ln(t,!1);case 110:return function(e){m|=65536,2&m&&!(16384&m)&&(m|=131072);if(h)return 2&m?(h.containsLexicalThis=!0,e):h.thisName||(h.thisName=n.createUniqueName("this"));return e}(t);case 236:return function(e){if(105===e.keywordToken&&"target"===e.name.escapedText)return m|=32768,n.createUniqueName("_newTarget",48);return e}(t);case 174:return function(e){Tt.assert(!yN(e.name));const t=fe(e,KE(e,-1),void 0,void 0);return fR(t,1024|Im(t)),yL(n.createPropertyAssignment(e.name,t),e)}(t);case 177:case 178:return function(t){Tt.assert(!yN(t.name));const r=h;h=void 0;const o=v(32670,65);let i;const a=lG(t.parameters,T,e),s=me(t);i=177===t.kind?n.updateGetAccessorDeclaration(t,t.modifiers,t.name,a,t.type,s):n.updateSetAccessorDeclaration(t,t.modifiers,t.name,a,s);return b(o,229376,0),h=r,i}(t);case 243:return function(t){const r=v(0,Bb(t,32)?32:0);let o;if(!h||7&t.declarationList.flags||function(e){return 1===e.declarationList.declarations.length&&!!e.declarationList.declarations[0].initializer&&!!(1&Nm(e.declarationList.declarations[0].initializer))}(t))o=fG(t,T,e);else{let r;for(const o of t.declarationList.declarations)if(Ue(h,o),o.initializer){let t;Vd(o.name)?t=vB(o,T,e,0):(t=n.createBinaryExpression(o.name,64,Tt.checkDefined(rG(o.initializer,T,uu))),yL(t,o)),r=ye(r,t)}o=r?yL(n.createExpressionStatement(n.inlineExpressions(r)),t):void 0}return b(r,0,0),o}(t);case 253:return function(t){if(h)return h.nonLocalJumps|=8,E(t)&&(t=D(t)),n.createReturnStatement(n.createObjectLiteralExpression([n.createPropertyAssignment(n.createIdentifier("value"),t.expression?Tt.checkDefined(rG(t.expression,T,uu)):n.createVoidZero())]));if(E(t))return D(t);return fG(t,T,e)}(t);default:return fG(t,T,e)}}function D(e){return lR(n.createReturnStatement(C()),e)}function C(){return n.createUniqueName("_this",48)}function M(e){return h&&c.isArgumentsLocalBinding(e)?h.argumentsName||(h.argumentsName=n.createUniqueName("arguments")):256&e.flags?lR(yL(n.createIdentifier(Pl(e.escapedText)),e),e):e}function P(a){a.name&&cn();const s=Fy(a),l=n.createFunctionExpression(void 0,void 0,void 0,void 0,s?[n.createParameterDeclaration(void 0,void 0,sn())]:[],void 0,function(a,s){const l=[],c=n.getInternalName(a),d=$y(c)?n.getGeneratedNameForNode(c):c;r(),function(e,r,o){o&&e.push(yL(n.createExpressionStatement(t().createExtendsHelper(n.getInternalName(r))),o))}(l,a,s),function(t,r,a,s){const l=h;h=void 0;const c=v(32662,73),d=_b(r),u=function(e,n){if(!e||!n)return!1;if(oe(e.parameters))return!1;const t=De(e.body.statements);if(!t||!Sv(t)||244!==t.kind)return!1;const r=t.expression;if(!Sv(r)||213!==r.kind)return!1;const o=r.expression;if(!Sv(o)||108!==o.kind)return!1;const i=we(r.arguments);if(!i||!Sv(i)||230!==i.kind)return!1;const a=i.expression;return tN(a)&&"arguments"===a.escapedText}(d,void 0!==s),p=n.createFunctionDeclaration(void 0,void 0,a,void 0,function(n,t){return lG(n&&!t?n.parameters:void 0,T,e)||[]}(d,u),void 0,function(e,t,r,a){const s=!!r&&106!==EP(r.expression).kind;if(!e)return function(e,t){const r=[];o(),n.mergeLexicalEnvironment(r,i()),t&&r.push(n.createReturnStatement(n.createLogicalOr(n.createLogicalAnd(n.createStrictInequality(sn(),n.createNull()),n.createFunctionApplyCall(sn(),$(),n.createIdentifier("arguments"))),$())));const a=n.createNodeArray(r);yL(a,e.members);const s=n.createBlock(a,!0);return yL(s,e),fR(s,3072),s}(t,s);const l=[],c=[];o();const d=n.copyStandardPrologue(e.body.statements,l,0);(a||k(e.body))&&(m|=8192);Ee(c,oG(e.body.statements,T,wu,d));const u=s||8192&m;Z(l,e),re(l,e,a),le(l,e),u?se(l,e,$()):ie(l,e);n.mergeLexicalEnvironment(l,i()),u&&!Y(e.body)&&c.push(n.createReturnStatement(C()));const p=n.createBlock(yL(n.createNodeArray([...l,...c]),e.body.statements),!0);return yL(p,e.body),function(e,t,r){const o=e;e=function(e){for(let t=0;t<e.statements.length-1;t++){const r=e.statements[t];if(!F(r))continue;const o=r.declarationList.declarations[0];if(110!==o.initializer.kind)continue;const i=t;let a=t+1;for(;a<e.statements.length;){const n=e.statements[a];if(VD(n)&&q(EP(n.expression)))break;if(!L(n))return e;a++}const s=e.statements[a];let l=s.expression;z(l)&&(l=l.right);const c=n.updateVariableDeclaration(o,o.name,void 0,void 0,l),d=n.updateVariableDeclarationList(r.declarationList,[c]),u=n.createVariableStatement(r.modifiers,d);lR(u,s),yL(u,s);const p=n.createNodeArray([...e.statements.slice(0,i),...e.statements.slice(i+1,a),u,...e.statements.slice(a+1)]);return yL(p,e.statements),n.updateBlock(e,p)}return e}(e),e=function(e,t){for(const n of t.statements)if(134217728&n.transformFlags&&!QG(n))return e;const r=!(16384&t.transformFlags||65536&m||131072&m);for(let t=e.statements.length-1;t>0;t--){const o=e.statements[t];if(QD(o)&&o.expression&&w(o.expression)){const o=e.statements[t-1];let i;if(VD(o)&&K(EP(o.expression)))i=o.expression;else if(r&&F(o)){const e=o.declarationList.declarations[0];q(EP(e.initializer))&&(i=n.createAssignment(C(),e.initializer))}if(!i)break;const a=n.createReturnStatement(i);lR(a,o),yL(a,o);const s=n.createNodeArray([...e.statements.slice(0,t-1),a,...e.statements.slice(t+1)]);return yL(s,e.statements),n.updateBlock(e,s)}}return e}(e,t),e!==o&&(e=function(e,t){if(16384&t.transformFlags||65536&m||131072&m)return e;for(const n of t.statements)if(134217728&n.transformFlags&&!QG(n))return e;return n.updateBlock(e,oG(e.statements,J,wu))}(e,t));r&&(e=function(e){return n.updateBlock(e,oG(e.statements,X,wu))}(e));return e}(p,e.body,a)}(d,r,s,u));yL(p,d||r),s&&fR(p,16);t.push(p),b(c,229376,0),h=l}(l,a,d,s),function(e,n){for(const t of n.members)switch(t.kind){case 240:e.push(ce(t));break;case 174:e.push(de(dn(n,t),t,n));break;case 177:case 178:const r=xb(n.members,t);t===r.firstAccessor&&e.push(ue(dn(n,t),r,n));break;case 176:case 175:break;default:Tt.failBadSyntaxKind(t,p&&p.fileName)}}(l,a);const u=YE(Ts(f,a.members.end),20),_=n.createPartiallyEmittedExpression(d);zx(_,u.end),fR(_,3072);const g=n.createReturnStatement(_);Wx(g,u.pos),fR(g,3840),l.push(g),pm(l,i());const y=n.createBlock(yL(n.createNodeArray(l),a.members),!0);return fR(y,3072),y}(a,s));fR(l,131072&Im(a)|1048576);const c=n.createPartiallyEmittedExpression(l);zx(c,a.end),fR(c,3072);const d=n.createPartiallyEmittedExpression(c);zx(d,Ts(f,a.pos)),fR(d,3072);const u=n.createParenthesizedExpression(n.createCallExpression(d,void 0,s?[Tt.checkDefined(rG(s.expression,T,uu))]:[]));return IR(u,3,"* @class "),u}function L(e){return BD(e)&&N(e.declarationList.declarations,(e=>tN(e.name)&&!e.initializer))}function k(e){if(M_(e))return!0;if(!(134217728&e.transformFlags))return!1;switch(e.kind){case 219:case 218:case 262:case 176:case 175:return!1;case 177:case 178:case 174:case 172:{const n=e;return!!yN(n.name)&&!!ok(n.name,k)}}return!!ok(e,k)}function w(e){return ud(e)&&"_this"===Ll(e)}function O(e){return ud(e)&&"_super"===Ll(e)}function F(e){return BD(e)&&1===e.declarationList.declarations.length&&function(e){return iC(e)&&w(e.name)&&!!e.initializer}(e.declarationList.declarations[0])}function z(e){return gE(e,!0)&&w(e.left)}function G(e){return dD(e)&&lD(e.expression)&&O(e.expression.expression)&&tN(e.expression.name)&&("call"===Ll(e.expression.name)||"apply"===Ll(e.expression.name))&&e.arguments.length>=1&&110===e.arguments[0].kind}function j(e){return TD(e)&&57===e.operatorToken.kind&&110===e.right.kind&&G(e.left)}function V(e){return TD(e)&&56===e.operatorToken.kind&&TD(e.left)&&38===e.left.operatorToken.kind&&O(e.left.left)&&106===e.left.right.kind&&G(e.right)&&"apply"===Ll(e.right.expression.name)}function H(e){return TD(e)&&57===e.operatorToken.kind&&110===e.right.kind&&V(e.left)}function K(e){return z(e)&&j(e.right)}function q(e){return G(e)||j(e)||K(e)||V(e)||H(e)||function(e){return z(e)&&H(e.right)}(e)}function J(e){if(F(e)){if(110===e.declarationList.declarations[0].initializer.kind)return}else if(z(e))return n.createPartiallyEmittedExpression(e.right,e);switch(e.kind){case 219:case 218:case 262:case 176:case 175:return e;case 177:case 178:case 174:case 172:{const t=e;return yN(t.name)?n.replacePropertyName(t,fG(t.name,J,void 0)):e}}return fG(e,J,void 0)}function X(e){if(G(e)&&2===e.arguments.length&&tN(e.arguments[1])&&"arguments"===Ll(e.arguments[1]))return n.createLogicalAnd(n.createStrictInequality(sn(),n.createNull()),e);switch(e.kind){case 219:case 218:case 262:case 176:case 175:return e;case 177:case 178:case 174:case 172:{const t=e;return yN(t.name)?n.replacePropertyName(t,fG(t.name,X,void 0)):e}}return fG(e,X,void 0)}function Y(e){if(253===e.kind)return!0;if(245===e.kind){const n=e;if(n.elseStatement)return Y(n.thenStatement)&&Y(n.elseStatement)}else if(241===e.kind){const n=Le(e.statements);if(n&&Y(n))return!0}return!1}function $(){return fR(n.createThis(),8)}function Q(e){return void 0!==e.initializer||Vd(e.name)}function Z(e,n){if(!oe(n.parameters,Q))return!1;let t=!1;for(const r of n.parameters){const{name:n,initializer:o,dotDotDotToken:i}=r;i||(Vd(n)?t=ee(e,r,n,o)||t:o&&(ne(e,r,n,o),t=!0))}return t}function ee(t,r,o,i){return o.elements.length>0?(_m(t,fR(n.createVariableStatement(void 0,n.createVariableDeclarationList(SB(r,T,e,0,n.getGeneratedNameForNode(r)))),2097152)),!0):!!i&&(_m(t,fR(n.createExpressionStatement(n.createAssignment(n.getGeneratedNameForNode(r),Tt.checkDefined(rG(i,T,uu)))),2097152)),!0)}function ne(e,t,r,o){o=Tt.checkDefined(rG(o,T,uu));const i=n.createIfStatement(n.createTypeCheck(n.cloneNode(r),"undefined"),fR(yL(n.createBlock([n.createExpressionStatement(fR(yL(n.createAssignment(fR(Vx(yL(n.cloneNode(r),r),r.parent),96),fR(o,3168|Im(o))),t),3072))]),t),3905));xP(i),yL(i,t),fR(i,2101056),_m(e,i)}function re(t,r,o){const i=[],a=Le(r.parameters);if(!function(e,n){return!(!e||!e.dotDotDotToken||n)}(a,o))return!1;const s=80===a.name.kind?Vx(yL(n.cloneNode(a.name),a.name),a.name.parent):n.createTempVariable(void 0);fR(s,96);const l=80===a.name.kind?n.cloneNode(a.name):s,c=r.parameters.length-1,d=n.createLoopVariable();i.push(fR(yL(n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(s,void 0,void 0,n.createArrayLiteralExpression([]))])),a),2097152));const u=n.createForStatement(yL(n.createVariableDeclarationList([n.createVariableDeclaration(d,void 0,void 0,n.createNumericLiteral(c))]),a),yL(n.createLessThan(d,n.createPropertyAccessExpression(n.createIdentifier("arguments"),"length")),a),yL(n.createPostfixIncrement(d),a),n.createBlock([xP(yL(n.createExpressionStatement(n.createAssignment(n.createElementAccessExpression(l,0===c?d:n.createSubtract(d,n.createNumericLiteral(c))),n.createElementAccessExpression(n.createIdentifier("arguments"),d))),a))]));return fR(u,2097152),xP(u),i.push(u),80!==a.name.kind&&i.push(fR(yL(n.createVariableStatement(void 0,n.createVariableDeclarationList(SB(a,T,e,0,l))),a),2097152)),fm(t,i),!0}function ie(e,t){return!!(131072&m&&219!==t.kind)&&(se(e,t,n.createThis()),!0)}function se(t,r,o){1&g||(g|=1,e.enableSubstitution(110),e.enableEmitNotification(176),e.enableEmitNotification(174),e.enableEmitNotification(177),e.enableEmitNotification(178),e.enableEmitNotification(219),e.enableEmitNotification(218),e.enableEmitNotification(262));const i=n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(C(),void 0,void 0,o)]));fR(i,2100224),yR(i,r),_m(t,i)}function le(e,t){if(32768&m){let r;switch(t.kind){case 219:return e;case 174:case 177:case 178:r=n.createVoidZero();break;case 176:r=n.createPropertyAccessExpression(fR(n.createThis(),8),"constructor");break;case 262:case 218:r=n.createConditionalExpression(n.createLogicalAnd(fR(n.createThis(),8),n.createBinaryExpression(fR(n.createThis(),8),104,n.getLocalName(t))),void 0,n.createPropertyAccessExpression(fR(n.createThis(),8),"constructor"),void 0,n.createVoidZero());break;default:return Tt.failBadSyntaxKind(t)}const o=n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(n.createUniqueName("_newTarget",48),void 0,void 0,r)]));fR(o,2100224),_m(e,o)}return e}function ce(e){return yL(n.createEmptyStatement(),e)}function de(t,r,o){const i=TR(r),a=gR(r),s=fe(r,r,void 0,o),l=rG(r.name,T,Ed);let c;if(Tt.assert(l),!rN(l)&&rf(e.getCompilerOptions())){const e=yN(l)?l.expression:tN(l)?n.createStringLiteral(Pl(l.escapedText)):l;c=n.createObjectDefinePropertyCall(t,e,n.createPropertyDescriptor({value:s,enumerable:!1,writable:!0,configurable:!0}))}else{const e=QM(n,t,l,r.name);c=n.createAssignment(e,s)}fR(s,3072),yR(s,a);const d=yL(n.createExpressionStatement(c),r);return lR(d,r),xR(d,i),fR(d,96),d}function ue(e,t,r){const o=n.createExpressionStatement(pe(e,t,r,!1));return fR(o,3072),yR(o,gR(t.firstAccessor)),o}function pe(e,{firstAccessor:t,getAccessor:r,setAccessor:o},i,a){const s=Vx(yL(n.cloneNode(e),e),e.parent);fR(s,3136),yR(s,t.name);const l=rG(t.name,T,Ed);if(Tt.assert(l),rN(l))return Tt.failBadSyntaxKind(l,"Encountered unhandled private identifier while transforming ES2015.");const c=sP(n,l);fR(c,3104),yR(c,t.name);const d=[];if(r){const e=fe(r,void 0,void 0,i);yR(e,gR(r)),fR(e,1024);const t=n.createPropertyAssignment("get",e);xR(t,TR(r)),d.push(t)}if(o){const e=fe(o,void 0,void 0,i);yR(e,gR(o)),fR(e,1024);const t=n.createPropertyAssignment("set",e);xR(t,TR(o)),d.push(t)}d.push(n.createPropertyAssignment("enumerable",r||o?n.createFalse():n.createTrue()),n.createPropertyAssignment("configurable",n.createTrue()));const u=n.createCallExpression(n.createPropertyAccessExpression(n.createIdentifier("Object"),"defineProperty"),void 0,[s,c,n.createObjectLiteralExpression(d,!0)]);return a&&xP(u),u}function fe(t,r,o,i){const a=h;h=void 0;const s=i&&Md(i)&&!jb(t)?v(32670,73):v(32670,65),l=lG(t.parameters,T,e),c=me(t);return 32768&m&&!o&&(262===t.kind||218===t.kind)&&(o=n.getGeneratedNameForNode(t)),b(s,229376,0),h=a,lR(yL(n.createFunctionExpression(void 0,t.asteriskToken,o,void 0,l,void 0,c),r),t)}function me(e){let t,r,a=!1,s=!1;const l=[],c=[],d=e.body;let u;if(o(),GD(d)&&(u=n.copyStandardPrologue(d.statements,l,0,!1),u=n.copyCustomPrologue(d.statements,c,u,T,F_),u=n.copyCustomPrologue(d.statements,c,u,T,z_)),a=Z(c,e)||a,a=re(c,e,!1)||a,GD(d))u=n.copyCustomPrologue(d.statements,c,u,T),t=d.statements,Ee(c,oG(d.statements,T,wu,u)),!a&&d.multiLine&&(a=!0);else{Tt.assert(219===e.kind),t=HE(d,-1);const o=e.equalsGreaterThanToken;Sv(o)||Sv(d)||(nS(o,d,p)?s=!0:a=!0);const i=rG(d,T,uu),l=n.createReturnStatement(i);yL(l,d),MR(l,d),fR(l,2880),c.push(l),r=d}if(n.mergeLexicalEnvironment(l,i()),le(l,e),ie(l,e),oe(l)&&(a=!0),c.unshift(...l),GD(d)&&_e(c,d.statements))return d;const f=n.createBlock(yL(n.createNodeArray(c),t),a);return yL(f,e.body),!a&&s&&fR(f,1),r&&bR(f,20,r),lR(f,e.body),f}function he(t,r){return vE(t)?vB(t,T,e,0,!r):28===t.operatorToken.kind?n.updateBinaryExpression(t,Tt.checkDefined(rG(t.left,x,uu)),t.operatorToken,Tt.checkDefined(rG(t.right,r?x:T,uu))):fG(t,T,e)}function ge(t){return Vd(t.name)?ve(t):!t.initializer&&function(e){const n=c.getNodeCheckFlags(e),t=16384&n,r=32768&n;return!(64&m||t&&r&&512&m)&&!(4096&m)&&(!c.isDeclarationWithCollidingName(e)||r&&!t&&!(6144&m))}(t)?n.updateVariableDeclaration(t,t.name,void 0,void 0,n.createVoidZero()):fG(t,T,e)}function ve(n){const t=v(32,0);let r;return r=Vd(n.name)?SB(n,T,e,0,void 0,!!(32&t)):fG(n,T,e),b(t,0,0),r}function be(e){h.labels.set(Ll(e.label),!0)}function Se(e){h.labels.set(Ll(e.label),!1)}function Te(t,o,a,s,l){const c=v(t,o),d=function(t,o,a,s){if(!je(t)){let r;h&&(r=h.allowedNonLabeledJumps,h.allowedNonLabeledJumps=6);const i=s?s(t,o,void 0,a):n.restoreEnclosingLabel(qD(t)?function(e){return n.updateForStatement(e,rG(e.initializer,x,Su),rG(e.condition,T,uu),rG(e.incrementor,x,uu),Tt.checkDefined(rG(e.statement,T,wu,n.liftToBlock)))}(t):fG(t,T,e),o,h&&Se);return h&&(h.allowedNonLabeledJumps=r),i}const l=function(e){let n;switch(e.kind){case 248:case 249:case 250:const t=e.initializer;t&&261===t.kind&&(n=t)}const t=[],r=[];if(n&&7&xl(n)){const o=ze(e)||Ge(e)||Be(e);for(const i of n.declarations)$e(e,i,t,r,o)}const o={loopParameters:t,loopOutParameters:r};h&&(h.argumentsName&&(o.argumentsName=h.argumentsName),h.thisName&&(o.thisName=h.thisName),h.hoistedLocalVariables&&(o.hoistedLocalVariables=h.hoistedLocalVariables));return o}(t),c=[],d=h;h=l;const u=ze(t)?function(e,t){const r=n.createUniqueName("_loop_init"),o=!!(1048576&e.initializer.transformFlags);let i=0;t.containsLexicalThis&&(i|=16);o&&4&m&&(i|=524288);const a=[];a.push(n.createVariableStatement(void 0,e.initializer)),Je(t.loopOutParameters,2,1,a);const s=n.createVariableStatement(void 0,fR(n.createVariableDeclarationList([n.createVariableDeclaration(r,void 0,void 0,fR(n.createFunctionExpression(void 0,o?n.createToken(42):void 0,void 0,void 0,void 0,void 0,Tt.checkDefined(rG(n.createBlock(a,!0),T,GD))),i))]),4194304)),l=n.createVariableDeclarationList(B(t.loopOutParameters,Ke));return{functionName:r,containsYield:o,functionDeclaration:s,part:l}}(t,l):void 0,p=Ve(t)?function(e,t,o){const a=n.createUniqueName("_loop");r();const s=rG(e.statement,T,wu,n.liftToBlock),l=i(),c=[];(Ge(e)||Be(e))&&(t.conditionVariable=n.createUniqueName("inc"),e.incrementor?c.push(n.createIfStatement(t.conditionVariable,n.createExpressionStatement(Tt.checkDefined(rG(e.incrementor,T,uu))),n.createExpressionStatement(n.createAssignment(t.conditionVariable,n.createTrue())))):c.push(n.createIfStatement(n.createLogicalNot(t.conditionVariable),n.createExpressionStatement(n.createAssignment(t.conditionVariable,n.createTrue())))),Ge(e)&&c.push(n.createIfStatement(n.createPrefixUnaryExpression(54,Tt.checkDefined(rG(e.condition,T,uu))),Tt.checkDefined(rG(n.createBreakStatement(),T,wu)))));Tt.assert(s),GD(s)?Ee(c,s.statements):c.push(s);Je(t.loopOutParameters,1,1,c),pm(c,l);const d=n.createBlock(c,!0);GD(s)&&lR(d,s);const u=!!(1048576&e.statement.transformFlags);let p=1048576;t.containsLexicalThis&&(p|=16);u&&4&m&&(p|=524288);const f=n.createVariableStatement(void 0,fR(n.createVariableDeclarationList([n.createVariableDeclaration(a,void 0,void 0,fR(n.createFunctionExpression(void 0,u?n.createToken(42):void 0,void 0,void 0,t.loopParameters,void 0,d),p))]),4194304)),_=function(e,t,r,o){const i=[],a=!(-5&t.nonLocalJumps||t.labeledNonLocalBreaks||t.labeledNonLocalContinues),s=n.createCallExpression(e,void 0,B(t.loopParameters,(e=>e.name))),l=o?n.createYieldExpression(n.createToken(42),fR(s,8388608)):s;if(a)i.push(n.createExpressionStatement(l)),Je(t.loopOutParameters,1,0,i);else{const e=n.createUniqueName("state"),o=n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(e,void 0,void 0,l)]));if(i.push(o),Je(t.loopOutParameters,1,0,i),8&t.nonLocalJumps){let t;r?(r.nonLocalJumps|=8,t=n.createReturnStatement(e)):t=n.createReturnStatement(n.createPropertyAccessExpression(e,"value")),i.push(n.createIfStatement(n.createTypeCheck(e,"object"),t))}if(2&t.nonLocalJumps&&i.push(n.createIfStatement(n.createStrictEquality(e,n.createStringLiteral("break")),n.createBreakStatement())),t.labeledNonLocalBreaks||t.labeledNonLocalContinues){const o=[];Ye(t.labeledNonLocalBreaks,!0,e,r,o),Ye(t.labeledNonLocalContinues,!1,e,r,o),i.push(n.createSwitchStatement(e,n.createCaseBlock(o)))}}return i}(a,t,o,u);return{functionName:a,containsYield:u,functionDeclaration:f,part:_}}(t,l,d):void 0;h=d,u&&c.push(u.functionDeclaration);p&&c.push(p.functionDeclaration);(function(e,t,r){let o;t.argumentsName&&(r?r.argumentsName=t.argumentsName:(o||(o=[])).push(n.createVariableDeclaration(t.argumentsName,void 0,void 0,n.createIdentifier("arguments"))));t.thisName&&(r?r.thisName=t.thisName:(o||(o=[])).push(n.createVariableDeclaration(t.thisName,void 0,void 0,n.createIdentifier("this"))));if(t.hoistedLocalVariables)if(r)r.hoistedLocalVariables=t.hoistedLocalVariables;else{o||(o=[]);for(const e of t.hoistedLocalVariables)o.push(n.createVariableDeclaration(e))}if(t.loopOutParameters.length){o||(o=[]);for(const e of t.loopOutParameters)o.push(n.createVariableDeclaration(e.outParamName))}t.conditionVariable&&(o||(o=[]),o.push(n.createVariableDeclaration(t.conditionVariable,void 0,void 0,n.createFalse())));o&&e.push(n.createVariableStatement(void 0,n.createVariableDeclarationList(o)))})(c,l,d),u&&c.push(function(e,t){const r=n.createCallExpression(e,void 0,[]),o=t?n.createYieldExpression(n.createToken(42),fR(r,8388608)):r;return n.createExpressionStatement(o)}(u.functionName,u.containsYield));let f;if(p)if(s)f=s(t,o,p.part,a);else{const e=He(t,u,n.createBlock(p.part,!0));f=n.restoreEnclosingLabel(e,o,h&&Se)}else{const e=He(t,u,Tt.checkDefined(rG(t.statement,T,wu,n.liftToBlock)));f=n.restoreEnclosingLabel(e,o,h&&Se)}return c.push(f),c}(a,s,c,l);return b(c,0,0),d}function xe(e,n){return Te(0,1280,e,n)}function Ae(e,n){return Te(5056,3328,e,n)}function Re(e,n){return Te(3008,5376,e,n)}function Ie(e,n){return Te(3008,5376,e,n,s.downlevelIteration?Oe:Pe)}function Ne(t,r,o){const i=[],a=t.initializer;if(aC(a)){7&t.initializer.flags&&cn();const o=De(a.declarations);if(o&&Vd(o.name)){const a=SB(o,T,e,0,r),s=yL(n.createVariableDeclarationList(a),t.initializer);lR(s,t.initializer),yR(s,UE(a[0].pos,ke(a).end)),i.push(n.createVariableStatement(void 0,s))}else i.push(yL(n.createVariableStatement(void 0,lR(yL(n.createVariableDeclarationList([n.createVariableDeclaration(o?o.name:n.createTempVariable(void 0),void 0,void 0,r)]),KE(a,-1)),a)),HE(a,-1)))}else{const e=n.createAssignment(a,r);vE(e)?i.push(n.createExpressionStatement(he(e,!0))):(zx(e,a.end),i.push(yL(n.createExpressionStatement(Tt.checkDefined(rG(e,T,uu))),HE(a,-1))))}if(o)return Ce(Ee(i,o));{const e=rG(t.statement,T,wu,n.liftToBlock);return Tt.assert(e),GD(e)?n.updateBlock(e,yL(n.createNodeArray(ae(i,e.statements)),e.statements)):(i.push(e),Ce(i))}}function Ce(e){return fR(n.createBlock(n.createNodeArray(e),!0),864)}function Pe(e,t,r){const o=rG(e.expression,T,uu);Tt.assert(o);const i=n.createLoopVariable(),a=tN(o)?n.getGeneratedNameForNode(o):n.createTempVariable(void 0);fR(o,96|Im(o));const s=yL(n.createForStatement(fR(yL(n.createVariableDeclarationList([yL(n.createVariableDeclaration(i,void 0,void 0,n.createNumericLiteral(0)),KE(e.expression,-1)),yL(n.createVariableDeclaration(a,void 0,void 0,o),e.expression)]),e.expression),4194304),yL(n.createLessThan(i,n.createPropertyAccessExpression(a,"length")),e.expression),yL(n.createPostfixIncrement(i),e.expression),Ne(e,n.createElementAccessExpression(a,i),r)),e);return fR(s,512),yL(s,e),n.restoreEnclosingLabel(s,t,h&&Se)}function Oe(e,r,o,i){const s=rG(e.expression,T,uu);Tt.assert(s);const l=tN(s)?n.getGeneratedNameForNode(s):n.createTempVariable(void 0),c=tN(s)?n.getGeneratedNameForNode(l):n.createTempVariable(void 0),d=n.createUniqueName("e"),u=n.getGeneratedNameForNode(d),p=n.createTempVariable(void 0),f=yL(t().createValuesHelper(s),e.expression),m=n.createCallExpression(n.createPropertyAccessExpression(l,"next"),void 0,[]);a(d),a(p);const _=1024&i?n.inlineExpressions([n.createAssignment(d,n.createVoidZero()),f]):f,g=fR(yL(n.createForStatement(fR(yL(n.createVariableDeclarationList([yL(n.createVariableDeclaration(l,void 0,void 0,_),e.expression),n.createVariableDeclaration(c,void 0,void 0,m)]),e.expression),4194304),n.createLogicalNot(n.createPropertyAccessExpression(c,"done")),n.createAssignment(c,m),Ne(e,n.createPropertyAccessExpression(c,"value"),o)),e),512);return n.createTryStatement(n.createBlock([n.restoreEnclosingLabel(g,r,h&&Se)]),n.createCatchClause(n.createVariableDeclaration(u),fR(n.createBlock([n.createExpressionStatement(n.createAssignment(d,n.createObjectLiteralExpression([n.createPropertyAssignment("error",u)])))]),1)),n.createBlock([n.createTryStatement(n.createBlock([fR(n.createIfStatement(n.createLogicalAnd(n.createLogicalAnd(c,n.createLogicalNot(n.createPropertyAccessExpression(c,"done"))),n.createAssignment(p,n.createPropertyAccessExpression(l,"return"))),n.createExpressionStatement(n.createFunctionCallCall(p,l,[]))),1)]),void 0,fR(n.createBlock([fR(n.createIfStatement(d,n.createThrowStatement(n.createPropertyAccessExpression(d,"error"))),1)]),1))]))}function We(e){return!!(8192&c.getNodeCheckFlags(e))}function ze(e){return qD(e)&&!!e.initializer&&We(e.initializer)}function Ge(e){return qD(e)&&!!e.condition&&We(e.condition)}function Be(e){return qD(e)&&!!e.incrementor&&We(e.incrementor)}function je(e){return Ve(e)||ze(e)}function Ve(e){return!!(4096&c.getNodeCheckFlags(e))}function Ue(e,n){e.hoistedLocalVariables||(e.hoistedLocalVariables=[]),function n(t){if(80===t.kind)e.hoistedLocalVariables.push(t);else for(const e of t.elements)DD(e)||n(e.name)}(n.name)}function He(e,t,r){switch(e.kind){case 248:return function(e,t,r){const o=e.condition&&We(e.condition),i=o||e.incrementor&&We(e.incrementor);return n.updateForStatement(e,rG(t?t.part:e.initializer,x,Su),rG(o?void 0:e.condition,T,uu),rG(i?void 0:e.incrementor,x,uu),r)}(e,t,r);case 249:return function(e,t){return n.updateForInStatement(e,Tt.checkDefined(rG(e.initializer,T,Su)),Tt.checkDefined(rG(e.expression,T,uu)),t)}(e,r);case 250:return function(e,t){return n.updateForOfStatement(e,void 0,Tt.checkDefined(rG(e.initializer,T,Su)),Tt.checkDefined(rG(e.expression,T,uu)),t)}(e,r);case 246:return function(e,t){return n.updateDoStatement(e,t,Tt.checkDefined(rG(e.expression,T,uu)))}(e,r);case 247:return function(e,t){return n.updateWhileStatement(e,Tt.checkDefined(rG(e.expression,T,uu)),t)}(e,r);default:return Tt.failBadSyntaxKind(e,"IterationStatement expected")}}function Ke(e){return n.createVariableDeclaration(e.originalName,void 0,void 0,e.outParamName)}function qe(e,t){const r=0===t?e.outParamName:e.originalName,o=0===t?e.originalName:e.outParamName;return n.createBinaryExpression(o,64,r)}function Je(e,t,r,o){for(const i of e)i.flags&t&&o.push(n.createExpressionStatement(qe(i,r)))}function Xe(e,n,t,r){n?(e.labeledNonLocalBreaks||(e.labeledNonLocalBreaks=new Map),e.labeledNonLocalBreaks.set(t,r)):(e.labeledNonLocalContinues||(e.labeledNonLocalContinues=new Map),e.labeledNonLocalContinues.set(t,r))}function Ye(e,t,r,o,i){e&&e.forEach(((e,a)=>{const s=[];if(!o||o.labels&&o.labels.get(a)){const e=n.createIdentifier(a);s.push(t?n.createBreakStatement(e):n.createContinueStatement(e))}else Xe(o,t,a,e),s.push(n.createReturnStatement(r));i.push(n.createCaseClause(n.createStringLiteral(e),s))}))}function $e(e,t,r,o,i){const a=t.name;if(Vd(a))for(const n of a.elements)DD(n)||$e(e,n,r,o,i);else{r.push(n.createParameterDeclaration(void 0,void 0,a));const s=c.getNodeCheckFlags(t);if(65536&s||i){const r=n.createUniqueName("out_"+Ll(a));let i=0;65536&s&&(i|=1),qD(e)&&(e.initializer&&c.isBindingCapturedByNode(e.initializer,t)&&(i|=2),(e.condition&&c.isBindingCapturedByNode(e.condition,t)||e.incrementor&&c.isBindingCapturedByNode(e.incrementor,t))&&(i|=1)),o.push({flags:i,originalName:a,outParamName:r})}}}function Qe(e,t,r){const o=n.createAssignment(QM(n,t,Tt.checkDefined(rG(e.name,T,Ed))),Tt.checkDefined(rG(e.initializer,T,uu)));return yL(o,e),r&&xP(o),o}function Ze(e,t,r){const o=n.createAssignment(QM(n,t,Tt.checkDefined(rG(e.name,T,Ed))),n.cloneNode(e.name));return yL(o,e),r&&xP(o),o}function en(e,t,r,o){const i=n.createAssignment(QM(n,t,Tt.checkDefined(rG(e.name,T,Ed))),fe(e,e,void 0,r));return yL(i,e),o&&xP(i),i}function nn(e,r,o,i){const a=e.length,l=U(te(e,tn,((e,n,t,r)=>n(e,o,i&&r===a))));if(1===l.length){const e=l[0];if(r&&!s.downlevelIteration||qx(e.expression)||wI(e.expression,"___spreadArray"))return e.expression}const c=t(),d=0!==l[0].kind;let u=d?n.createArrayLiteralExpression():l[0].expression;for(let e=d?0:1;e<l.length;e++){const n=l[e];u=c.createSpreadArrayHelper(u,n.expression,1===n.kind&&!r)}return u}function tn(e){return ID(e)?rn:an}function rn(e){return B(e,on)}function on(e){Tt.assertNode(e,ID);let n=rG(e.expression,T,uu);Tt.assert(n);const r=wI(n,"___read");let o=r||qx(n)?2:1;return!s.downlevelIteration||1!==o||aD(n)||r||(n=t().createReadHelper(n,void 0),o=2),Cj(o,n)}function an(e,t,r){return Cj(0,n.createArrayLiteralExpression(oG(n.createNodeArray(e,r),T,uu),t))}function sn(){return n.createUniqueName("_super",48)}function ln(e,t){const r=8&m&&!t?n.createPropertyAccessExpression(lR(sn(),e),"prototype"):sn();return lR(r,e),xR(r,e),yR(r,e),r}function cn(){2&g||(g|=2,e.enableSubstitution(80))}function dn(e,t){return jb(t)?n.getInternalName(e):n.createPropertyAccessExpression(n.getInternalName(e),"prototype")}}var Pj=g({"src/compiler/transformers/es2015.ts"(){JJ()}});function Lj(e){const{factory:n}=e,t=e.getCompilerOptions();let r,o;1!==t.jsx&&3!==t.jsx||(r=e.onEmitNode,e.onEmitNode=function(e,n,t){switch(n.kind){case 286:case 287:case 285:const e=n.tagName;o[zG(e)]=!0}r(e,n,t)},e.enableEmitNotification(286),e.enableEmitNotification(287),e.enableEmitNotification(285),o=[]);const i=e.onSubstituteNode;return e.onSubstituteNode=function(e,t){if(t.id&&o&&o[t.id])return i(e,t);if(lD(t=i(e,t)))return function(e){if(rN(e.name))return e;const t=a(e.name);if(t)return yL(n.createElementAccessExpression(e.expression,t),e);return e}(t);if(QC(t))return function(e){const t=tN(e.name)&&a(e.name);if(t)return n.updatePropertyAssignment(e,t,e.initializer);return e}(t);return t},e.enableSubstitution(211),e.enableSubstitution(303),BG(e,(function(e){return e}));function a(e){const t=kl(e);if(void 0!==t&&t>=83&&t<=118)return yL(n.createStringLiteralFromNode(e),e)}}var kj=g({"src/compiler/transformers/es5.ts"(){JJ()}});function wj(e){const{factory:n,getEmitHelperFactory:t,resumeLexicalEnvironment:r,endLexicalEnvironment:o,hoistFunctionDeclaration:i,hoistVariableDeclaration:a}=e,s=e.getCompilerOptions(),l=jp(s),c=e.getEmitResolver(),d=e.onSubstituteNode;let u,p,f,m,_,h,g,y,v,b;e.onSubstituteNode=function(e,t){if(t=d(e,t),1===e)return function(e){if(tN(e))return function(e){if(!ud(e)&&u&&u.has(Ll(e))){const t=Il(e);if(tN(t)&&t.parent){const r=c.getReferencedValueDeclaration(t);if(r){const t=p[zG(r)];if(t){const r=Vx(yL(n.cloneNode(t),t),t.parent);return yR(r,e),xR(r,e),r}}}}return e}(e);return e}(t);return t};let S,T,x,A,R,I,N,D,C,M,P,L,k=1,w=0,O=0;return BG(e,(function(n){if(n.isDeclarationFile||!(2048&n.transformFlags))return n;const t=fG(n,F,e);return wR(t,e.readEmitHelpers()),t}));function F(n){const t=n.transformFlags;return m?function(n){switch(n.kind){case 246:case 247:return function(n){return m?(ae(),n=fG(n,F,e),le(),n):fG(n,F,e)}(n);case 255:return function(n){m&&te({kind:2,isScript:!0,breakLabel:-1});n=fG(n,F,e),m&&ce();return n}(n);case 256:return function(n){m&&te({kind:4,isScript:!0,labelText:Ll(n.label),breakLabel:-1});n=fG(n,F,e),m&&de();return n}(n);default:return W(n)}}(n):f?W(n):Ad(n)&&n.asteriskToken?function(e){switch(e.kind){case 262:return z(e);case 218:return G(e);default:return Tt.failBadSyntaxKind(e)}}(n):2048&t?fG(n,F,e):n}function W(r){switch(r.kind){case 262:return z(r);case 218:return G(r);case 177:case 178:return function(n){const t=f,r=m;return f=!1,m=!1,n=fG(n,F,e),f=t,m=r,n}(r);case 243:return function(e){if(1048576&e.transformFlags)return void J(e.declarationList);{if(2097152&Im(e))return e;for(const n of e.declarationList.declarations)a(n.name);const t=dS(e.declarationList);if(0===t.length)return;return yR(n.createExpressionStatement(n.inlineExpressions(B(t,X))),e)}}(r);case 248:return function(t){m&&ae();const r=t.initializer;if(r&&aC(r)){for(const e of r.declarations)a(e.name);const o=dS(r);t=n.updateForStatement(t,o.length>0?n.inlineExpressions(B(o,X)):void 0,rG(t.condition,F,uu),rG(t.incrementor,F,uu),uG(t.statement,F,e))}else t=fG(t,F,e);m&&le();return t}(r);case 249:return function(t){m&&ae();const r=t.initializer;if(aC(r)){for(const e of r.declarations)a(e.name);t=n.updateForInStatement(t,r.declarations[0].name,Tt.checkDefined(rG(t.expression,F,uu)),Tt.checkDefined(rG(t.statement,F,wu,n.liftToBlock)))}else t=fG(t,F,e);m&&le();return t}(r);case 252:return function(n){if(m){const e=_e(n.label&&Ll(n.label));if(e>0)return ve(e,n)}return fG(n,F,e)}(r);case 251:return function(n){if(m){const e=he(n.label&&Ll(n.label));if(e>0)return ve(e,n)}return fG(n,F,e)}(r);case 253:return function(e){return t=rG(e.expression,F,uu),r=e,yL(n.createReturnStatement(n.createArrayLiteralExpression(t?[ye(2),t]:[ye(2)])),r);var t,r}(r);default:return 1048576&r.transformFlags?function(r){switch(r.kind){case 226:return function(t){const r=xv(t);switch(r){case 0:return function(t){if(Y(t.right))return cE(t.operatorToken.kind)?function(e){const n=ee(),t=Z();Se(t,Tt.checkDefined(rG(e.left,F,uu)),e.left),56===e.operatorToken.kind?Ae(n,t,e.left):xe(n,t,e.left);return Se(t,Tt.checkDefined(rG(e.right,F,uu)),e.right),ne(n),t}(t):28===t.operatorToken.kind?V(t):n.updateBinaryExpression(t,Q(Tt.checkDefined(rG(t.left,F,uu))),t.operatorToken,Tt.checkDefined(rG(t.right,F,uu)));return fG(t,F,e)}(t);case 1:return function(t){const{left:r,right:o}=t;if(Y(o)){let e;switch(r.kind){case 211:e=n.updatePropertyAccessExpression(r,Q(Tt.checkDefined(rG(r.expression,F,iu))),r.name);break;case 212:e=n.updateElementAccessExpression(r,Q(Tt.checkDefined(rG(r.expression,F,iu))),Q(Tt.checkDefined(rG(r.argumentExpression,F,uu))));break;default:e=Tt.checkDefined(rG(r,F,uu))}const i=t.operatorToken.kind;return YG(i)?yL(n.createAssignment(e,yL(n.createBinaryExpression(Q(e),$G(i),Tt.checkDefined(rG(o,F,uu))),t)),t):n.updateBinaryExpression(t,e,t.operatorToken,Tt.checkDefined(rG(o,F,uu)))}return fG(t,F,e)}(t);default:return Tt.assertNever(r)}}(r);case 361:return function(e){let t=[];for(const r of e.elements)TD(r)&&28===r.operatorToken.kind?t.push(V(r)):(Y(r)&&t.length>0&&(Re(1,[n.createExpressionStatement(n.inlineExpressions(t))]),t=[]),t.push(Tt.checkDefined(rG(r,F,uu))));return n.inlineExpressions(t)}(r);case 227:return function(n){if(Y(n.whenTrue)||Y(n.whenFalse)){const e=ee(),t=ee(),r=Z();return Ae(e,Tt.checkDefined(rG(n.condition,F,uu)),n.condition),Se(r,Tt.checkDefined(rG(n.whenTrue,F,uu)),n.whenTrue),Te(t),ne(e),Se(r,Tt.checkDefined(rG(n.whenFalse,F,uu)),n.whenFalse),ne(t),r}return fG(n,F,e)}(r);case 229:return function(e){const r=ee(),o=rG(e.expression,F,uu);if(e.asteriskToken){!function(e,n){Re(7,[e],n)}(8388608&Im(e.expression)?o:yL(t().createValuesHelper(o),e),e)}else!function(e,n){Re(6,[e],n)}(o,e);return ne(r),function(e){return yL(n.createCallExpression(n.createPropertyAccessExpression(A,"sent"),void 0,[]),e)}(e)}(r);case 209:return function(e){return U(e.elements,void 0,void 0,e.multiLine)}(r);case 210:return function(e){const t=e.properties,r=e.multiLine,o=$(t),i=Z();Se(i,n.createObjectLiteralExpression(oG(t,F,Gd,0,o),r));const a=Be(t,s,[],o);return a.push(r?xP(Vx(yL(n.cloneNode(i),i),i.parent)):i),n.inlineExpressions(a);function s(t,o){Y(o)&&t.length>0&&(Ee(n.createExpressionStatement(n.inlineExpressions(t))),t=[]);const a=rG(lP(n,e,o,i),F,uu);return a&&(r&&xP(a),t.push(a)),t}}(r);case 212:return function(t){if(Y(t.argumentExpression))return n.updateElementAccessExpression(t,Q(Tt.checkDefined(rG(t.expression,F,iu))),Tt.checkDefined(rG(t.argumentExpression,F,uu)));return fG(t,F,e)}(r);case 213:return function(t){if(!P_(t)&&E(t.arguments,Y)){const{target:e,thisArg:r}=n.createCallBinding(t.expression,a,l,!0);return lR(yL(n.createFunctionApplyCall(Q(Tt.checkDefined(rG(e,F,iu))),r,U(t.arguments)),t),t)}return fG(t,F,e)}(r);case 214:return function(t){if(E(t.arguments,Y)){const{target:e,thisArg:r}=n.createCallBinding(n.createPropertyAccessExpression(t.expression,"bind"),a);return lR(yL(n.createNewExpression(n.createFunctionApplyCall(Q(Tt.checkDefined(rG(e,F,uu))),r,U(t.arguments,n.createVoidZero())),void 0,[]),t),t)}return fG(t,F,e)}(r);default:return fG(r,F,e)}}(r):4196352&r.transformFlags?fG(r,F,e):r}}function z(t){if(t.asteriskToken)t=lR(yL(n.createFunctionDeclaration(t.modifiers,void 0,t.name,void 0,lG(t.parameters,F,e),void 0,j(t.body)),t),t);else{const n=f,r=m;f=!1,m=!1,t=fG(t,F,e),f=n,m=r}return f?void i(t):t}function G(t){if(t.asteriskToken)t=lR(yL(n.createFunctionExpression(void 0,void 0,t.name,void 0,lG(t.parameters,F,e),void 0,j(t.body)),t),t);else{const n=f,r=m;f=!1,m=!1,t=fG(t,F,e),f=n,m=r}return t}function j(e){const i=[],a=f,s=m,l=_,c=h,d=g,u=y,p=v,E=b,W=k,z=S,G=T,B=x,j=A;f=!0,m=!1,_=void 0,h=void 0,g=void 0,y=void 0,v=void 0,b=void 0,k=1,S=void 0,T=void 0,x=void 0,A=n.createTempVariable(void 0),r();const V=n.copyPrologue(e.statements,i,!1,F);H(e.statements,V);const U=function(){w=0,O=0,R=void 0,I=!1,N=!1,D=void 0,C=void 0,M=void 0,P=void 0,L=void 0;const e=function(){if(S){for(let e=0;e<S.length;e++)Ce(e);Ie(S.length)}else Ie(0);if(D){const e=n.createPropertyAccessExpression(A,"label");return[xP(n.createSwitchStatement(e,n.createCaseBlock(D)))]}if(C)return C;return[]}();return t().createGeneratorHelper(fR(n.createFunctionExpression(void 0,void 0,void 0,void 0,[n.createParameterDeclaration(void 0,void 0,A)],void 0,n.createBlock(e,e.length>0)),1048576))}();return pm(i,o()),i.push(n.createReturnStatement(U)),f=a,m=s,_=l,h=c,g=d,y=u,v=p,b=E,k=W,S=z,T=G,x=B,A=j,yL(n.createBlock(i,e.multiLine),e)}function V(e){let t=[];return r(e.left),r(e.right),n.inlineExpressions(t);function r(e){TD(e)&&28===e.operatorToken.kind?(r(e.left),r(e.right)):(Y(e)&&t.length>0&&(Re(1,[n.createExpressionStatement(n.inlineExpressions(t))]),t=[]),t.push(Tt.checkDefined(rG(e,F,uu))))}}function U(e,t,r,o){const i=$(e);let a;if(i>0){a=Z();const r=oG(e,F,uu,0,i);Se(a,n.createArrayLiteralExpression(t?[t,...r]:r)),t=void 0}const s=Be(e,(function(e,r){if(Y(r)&&e.length>0){const r=void 0!==a;a||(a=Z()),Se(a,r?n.createArrayConcatCall(a,[n.createArrayLiteralExpression(e,o)]):n.createArrayLiteralExpression(t?[t,...e]:e,o)),t=void 0,e=[]}return e.push(Tt.checkDefined(rG(r,F,uu))),e}),[],i);return a?n.createArrayConcatCall(a,[n.createArrayLiteralExpression(s,o)]):yL(n.createArrayLiteralExpression(t?[t,...s]:s,o),r)}function H(e,n=0){const t=e.length;for(let r=n;r<t;r++)q(e[r])}function K(e){GD(e)?H(e.statements):q(e)}function q(t){const r=m;m||(m=Y(t)),function(t){switch(t.kind){case 241:return function(e){Y(e)?H(e.statements):Ee(rG(e,F,wu))}(t);case 244:return function(e){Ee(rG(e,F,wu))}(t);case 245:return function(e){if(Y(e))if(Y(e.thenStatement)||Y(e.elseStatement)){const n=ee(),t=e.elseStatement?ee():void 0;Ae(e.elseStatement?t:n,Tt.checkDefined(rG(e.expression,F,uu)),e.expression),K(e.thenStatement),e.elseStatement&&(Te(n),ne(t),K(e.elseStatement)),ne(n)}else Ee(rG(e,F,wu));else Ee(rG(e,F,wu))}(t);case 246:return function(e){if(Y(e)){const n=ee(),t=ee();se(n),ne(t),K(e.statement),ne(n),xe(t,Tt.checkDefined(rG(e.expression,F,uu))),le()}else Ee(rG(e,F,wu))}(t);case 247:return function(e){if(Y(e)){const n=ee(),t=se(n);ne(n),Ae(t,Tt.checkDefined(rG(e.expression,F,uu))),K(e.statement),Te(n),le()}else Ee(rG(e,F,wu))}(t);case 248:return function(e){if(Y(e)){const t=ee(),r=ee(),o=se(r);if(e.initializer){const t=e.initializer;aC(t)?J(t):Ee(yL(n.createExpressionStatement(Tt.checkDefined(rG(t,F,uu))),t))}ne(t),e.condition&&Ae(o,Tt.checkDefined(rG(e.condition,F,uu))),K(e.statement),ne(r),e.incrementor&&Ee(yL(n.createExpressionStatement(Tt.checkDefined(rG(e.incrementor,F,uu))),e.incrementor)),Te(t),le()}else Ee(rG(e,F,wu))}(t);case 249:return function(e){if(Y(e)){const t=Z(),r=Z(),o=Z(),i=n.createLoopVariable(),s=e.initializer;a(i),Se(t,Tt.checkDefined(rG(e.expression,F,uu))),Se(r,n.createArrayLiteralExpression()),Ee(n.createForInStatement(o,t,n.createExpressionStatement(n.createCallExpression(n.createPropertyAccessExpression(r,"push"),void 0,[o])))),Se(i,n.createNumericLiteral(0));const l=ee(),c=ee(),d=se(c);let u;if(ne(l),Ae(d,n.createLessThan(i,n.createPropertyAccessExpression(r,"length"))),Se(o,n.createElementAccessExpression(r,i)),Ae(c,n.createBinaryExpression(o,103,t)),aC(s)){for(const e of s.declarations)a(e.name);u=n.cloneNode(s.declarations[0].name)}else u=Tt.checkDefined(rG(s,F,uu)),Tt.assert(iu(u));Se(u,o),K(e.statement),ne(c),Ee(n.createExpressionStatement(n.createPostfixIncrement(i))),Te(l),le()}else Ee(rG(e,F,wu))}(t);case 251:return function(e){const n=he(e.label?Ll(e.label):void 0);n>0?Te(n,e):Ee(e)}(t);case 252:return function(e){const n=_e(e.label?Ll(e.label):void 0);n>0?Te(n,e):Ee(e)}(t);case 253:return function(e){n=rG(e.expression,F,uu),t=e,Re(8,[n],t);var n,t}(t);case 254:return function(e){Y(e)?(function(e){const n=ee(),t=ee();ne(n),te({kind:1,expression:e,startLabel:n,endLabel:t})}(Q(Tt.checkDefined(rG(e.expression,F,uu)))),K(e.statement),function(){Tt.assert(1===ie());ne(re().endLabel)}()):Ee(rG(e,F,wu))}(t);case 255:return function(e){if(Y(e.caseBlock)){const t=e.caseBlock,r=t.clauses.length,o=function(){const e=ee();return te({kind:2,isScript:!1,breakLabel:e}),e}(),i=Q(Tt.checkDefined(rG(e.expression,F,uu))),a=[];let s=-1;for(let e=0;e<r;e++){const n=t.clauses[e];a.push(ee()),297===n.kind&&-1===s&&(s=e)}let l=0,c=[];for(;l<r;){let e=0;for(let o=l;o<r;o++){const r=t.clauses[o];if(296===r.kind){if(Y(r.expression)&&c.length>0)break;c.push(n.createCaseClause(Tt.checkDefined(rG(r.expression,F,uu)),[ve(a[o],r.expression)]))}else e++}c.length&&(Ee(n.createSwitchStatement(i,n.createCaseBlock(c))),l+=c.length,c=[]),e>0&&(l+=e,e=0)}Te(s>=0?a[s]:o);for(let e=0;e<r;e++)ne(a[e]),H(t.clauses[e].statements);ce()}else Ee(rG(e,F,wu))}(t);case 256:return function(e){Y(e)?(!function(e){const n=ee();te({kind:4,isScript:!1,labelText:e,breakLabel:n})}(Ll(e.label)),K(e.statement),de()):Ee(rG(e,F,wu))}(t);case 257:return function(e){t=Tt.checkDefined(rG(e.expression??n.createVoidZero(),F,uu)),r=e,Re(9,[t],r);var t,r}(t);case 258:return function(t){Y(t)?(function(){const e=ee(),n=ee();ne(e),te({kind:0,state:0,startLabel:e,endLabel:n}),be()}(),K(t.tryBlock),t.catchClause&&(!function(t){let r;if(Tt.assert(0===ie()),ud(t.name))r=t.name,a(t.name);else{const n=Ll(t.name);r=Z(n),u||(u=new Map,p=[],e.enableSubstitution(80)),u.set(n,!0),p[zG(t)]=r}const o=oe();Tt.assert(o.state<1);Te(o.endLabel);const i=ee();ne(i),o.state=1,o.catchVariable=r,o.catchLabel=i,Se(r,n.createCallExpression(n.createPropertyAccessExpression(A,"sent"),void 0,[])),be()}(t.catchClause.variableDeclaration),K(t.catchClause.block)),t.finallyBlock&&(!function(){Tt.assert(0===ie());const e=oe();Tt.assert(e.state<2);Te(e.endLabel);const n=ee();ne(n),e.state=2,e.finallyLabel=n}(),K(t.finallyBlock)),function(){Tt.assert(0===ie());const e=re();e.state<2?Te(e.endLabel):Re(10);ne(e.endLabel),be(),e.state=3}()):Ee(fG(t,F,e))}(t);default:Ee(rG(t,F,wu))}}(t),m=r}function J(e){for(const t of e.declarations){const e=n.cloneNode(t.name);xR(e,t.name),a(e)}const t=dS(e),r=t.length;let o=0,i=[];for(;o<r;){for(let e=o;e<r;e++){const n=t[e];if(Y(n.initializer)&&i.length>0)break;i.push(X(n))}i.length&&(Ee(n.createExpressionStatement(n.inlineExpressions(i))),o+=i.length,i=[])}}function X(e){return yR(n.createAssignment(yR(n.cloneNode(e.name),e.name),Tt.checkDefined(rG(e.initializer,F,uu))),e)}function Y(e){return!!e&&!!(1048576&e.transformFlags)}function $(e){const n=e.length;for(let t=0;t<n;t++)if(Y(e[t]))return t;return-1}function Q(e){if(ud(e)||8192&Im(e))return e;const t=n.createTempVariable(a);return Se(t,e,e),t}function Z(e){const t=e?n.createUniqueName(e):n.createTempVariable(void 0);return a(t),t}function ee(){v||(v=[]);const e=k;return k++,v[e]=-1,e}function ne(e){Tt.assert(void 0!==v,"No labels were defined."),v[e]=S?S.length:0}function te(e){_||(_=[],g=[],h=[],y=[]);const n=g.length;return g[n]=0,h[n]=S?S.length:0,_[n]=e,y.push(e),n}function re(){const e=oe();if(void 0===e)return Tt.fail("beginBlock was never called.");const n=g.length;return g[n]=1,h[n]=S?S.length:0,_[n]=e,y.pop(),e}function oe(){return Le(y)}function ie(){const e=oe();return e&&e.kind}function ae(){te({kind:3,isScript:!0,breakLabel:-1,continueLabel:-1})}function se(e){const n=ee();return te({kind:3,isScript:!1,breakLabel:n,continueLabel:e}),n}function le(){Tt.assert(3===ie());const e=re(),n=e.breakLabel;e.isScript||ne(n)}function ce(){Tt.assert(2===ie());const e=re(),n=e.breakLabel;e.isScript||ne(n)}function de(){Tt.assert(4===ie());const e=re();e.isScript||ne(e.breakLabel)}function ue(e){return 2===e.kind||3===e.kind}function pe(e){return 4===e.kind}function fe(e){return 3===e.kind}function me(e,n){for(let t=n;t>=0;t--){const n=y[t];if(!pe(n))break;if(n.labelText===e)return!0}return!1}function _e(e){if(y)if(e)for(let n=y.length-1;n>=0;n--){const t=y[n];if(pe(t)&&t.labelText===e)return t.breakLabel;if(ue(t)&&me(e,n-1))return t.breakLabel}else for(let e=y.length-1;e>=0;e--){const n=y[e];if(ue(n))return n.breakLabel}return 0}function he(e){if(y)if(e)for(let n=y.length-1;n>=0;n--){const t=y[n];if(fe(t)&&me(e,n-1))return t.continueLabel}else for(let e=y.length-1;e>=0;e--){const n=y[e];if(fe(n))return n.continueLabel}return 0}function ge(e){if(void 0!==e&&e>0){void 0===b&&(b=[]);const t=n.createNumericLiteral(Number.MAX_SAFE_INTEGER);return void 0===b[e]?b[e]=[t]:b[e].push(t),t}return n.createOmittedExpression()}function ye(e){const t=n.createNumericLiteral(e);return CR(t,3,function(e){switch(e){case 2:return"return";case 3:return"break";case 4:return"yield";case 5:return"yield*";case 7:return"endfinally";default:return}}(e)),t}function ve(e,t){return Tt.assertLessThan(0,e,"Invalid label"),yL(n.createReturnStatement(n.createArrayLiteralExpression([ye(3),ge(e)])),t)}function be(){Re(0)}function Ee(e){e?Re(1,[e]):be()}function Se(e,n,t){Re(2,[e,n],t)}function Te(e,n){Re(3,[e],n)}function xe(e,n,t){Re(4,[e,n],t)}function Ae(e,n,t){Re(5,[e,n],t)}function Re(e,n,t){void 0===S&&(S=[],T=[],x=[]),void 0===v&&ne(ee());const r=S.length;S[r]=e,T[r]=n,x[r]=t}function Ie(e){(function(e){if(!N)return!0;if(!v||!b)return!1;for(let n=0;n<v.length;n++)if(v[n]===e&&b[n])return!0;return!1})(e)&&(De(e),L=void 0,Pe(void 0,void 0)),C&&D&&Ne(!1),function(){if(void 0!==b&&void 0!==R)for(let e=0;e<R.length;e++){const n=R[e];if(void 0!==n)for(const t of n){const n=b[t];if(void 0!==n)for(const t of n)t.text=String(e)}}}()}function Ne(e){if(D||(D=[]),C){if(L)for(let e=L.length-1;e>=0;e--){const t=L[e];C=[n.createWithStatement(t.expression,n.createBlock(C))]}if(P){const{startLabel:e,catchLabel:t,finallyLabel:r,endLabel:o}=P;C.unshift(n.createExpressionStatement(n.createCallExpression(n.createPropertyAccessExpression(n.createPropertyAccessExpression(A,"trys"),"push"),void 0,[n.createArrayLiteralExpression([ge(e),ge(t),ge(r),ge(o)])]))),P=void 0}e&&C.push(n.createExpressionStatement(n.createAssignment(n.createPropertyAccessExpression(A,"label"),n.createNumericLiteral(O+1))))}D.push(n.createCaseClause(n.createNumericLiteral(O),C||[])),C=void 0}function De(e){if(v)for(let n=0;n<v.length;n++)v[n]===e&&(C&&(Ne(!I),I=!1,N=!1,O++),void 0===R&&(R=[]),void 0===R[O]?R[O]=[n]:R[O].push(n))}function Ce(e){if(De(e),function(e){if(_)for(;w<g.length&&h[w]<=e;w++){const e=_[w],n=g[w];switch(e.kind){case 0:0===n?(M||(M=[]),C||(C=[]),M.push(P),P=e):1===n&&(P=M.pop());break;case 1:0===n?(L||(L=[]),L.push(e)):1===n&&L.pop()}}}(e),I)return;I=!1,N=!1;const t=S[e];if(0===t)return;if(10===t)return I=!0,void Me(n.createReturnStatement(n.createArrayLiteralExpression([ye(7)])));const r=T[e];if(1===t)return Me(r[0]);const o=x[e];switch(t){case 2:return i=r[0],a=r[1],s=o,void Me(yL(n.createExpressionStatement(n.createAssignment(i,a)),s));case 3:return function(e,t){I=!0,Me(fR(yL(n.createReturnStatement(n.createArrayLiteralExpression([ye(3),ge(e)])),t),768))}(r[0],o);case 4:return function(e,t,r){Me(fR(n.createIfStatement(t,fR(yL(n.createReturnStatement(n.createArrayLiteralExpression([ye(3),ge(e)])),r),768)),1))}(r[0],r[1],o);case 5:return function(e,t,r){Me(fR(n.createIfStatement(n.createLogicalNot(t),fR(yL(n.createReturnStatement(n.createArrayLiteralExpression([ye(3),ge(e)])),r),768)),1))}(r[0],r[1],o);case 6:return function(e,t){I=!0,Me(fR(yL(n.createReturnStatement(n.createArrayLiteralExpression(e?[ye(4),e]:[ye(4)])),t),768))}(r[0],o);case 7:return function(e,t){I=!0,Me(fR(yL(n.createReturnStatement(n.createArrayLiteralExpression([ye(5),e])),t),768))}(r[0],o);case 8:return Pe(r[0],o);case 9:return function(e,t){I=!0,N=!0,Me(yL(n.createThrowStatement(e),t))}(r[0],o)}var i,a,s}function Me(e){e&&(C?C.push(e):C=[e])}function Pe(e,t){I=!0,N=!0,Me(fR(yL(n.createReturnStatement(n.createArrayLiteralExpression(e?[ye(2),e]:[ye(2)])),t),768))}}var Oj,Fj=g({"src/compiler/transformers/generators.ts"(){JJ()}});function Wj(e){const{factory:n,getEmitHelperFactory:t,startLexicalEnvironment:r,endLexicalEnvironment:i,hoistVariableDeclaration:a}=e,s=e.getCompilerOptions(),l=e.getEmitResolver(),c=e.getEmitHost(),d=jp(s),u=Vp(s),p=e.onSubstituteNode,f=e.onEmitNode;e.onSubstituteNode=function(e,t){if((t=p(e,t)).id&&g[t.id])return t;if(1===e)return function(e){switch(e.kind){case 80:return $(e);case 213:return function(e){if(tN(e.expression)){const t=$(e.expression);if(g[Hz(t)]=!0,!(tN(t)||8192&Im(e.expression)))return hR(n.updateCallExpression(e,t,void 0,e.arguments),16)}return e}(e);case 215:return function(e){if(tN(e.tag)){const t=$(e.tag);if(g[Hz(t)]=!0,!(tN(t)||8192&Im(e.tag)))return hR(n.updateTaggedTemplateExpression(e,t,void 0,e.template),16)}return e}(e);case 226:return function(e){if(mE(e.operatorToken.kind)&&tN(e.left)&&(!ud(e.left)||fd(e.left))&&!uP(e.left)){const n=Q(e.left);if(n){let t=e;for(const r of n)g[Hz(t)]=!0,t=J(r,t,e);return t}}return e}(e)}return e}(t);if(ZC(t))return function(e){const t=e.name,r=$(t);if(r!==t){if(e.objectAssignmentInitializer){const o=n.createAssignment(r,e.objectAssignmentInitializer);return yL(n.createPropertyAssignment(t,o),e)}return yL(n.createPropertyAssignment(t,r),e)}return e}(t);return t},e.onEmitNode=function(e,n,t){312===n.kind?(_=n,h=m[zG(_)],f(e,n,t),_=void 0,h=void 0):f(e,n,t)},e.enableSubstitution(213),e.enableSubstitution(215),e.enableSubstitution(80),e.enableSubstitution(226),e.enableSubstitution(304),e.enableEmitNotification(312);const m=[];let _,h;const g=[];let y;return BG(e,(function(n){if(n.isDeclarationFile||!(Um(n,s)||8388608&n.transformFlags||x_(n)&&ET(s)&&ob(s)))return n;_=n,h=HG(e,n),m[zG(n)]=h;const t=function(e){switch(e){case 2:return S;case 3:return T;default:return E}}(u)(n);return _=void 0,h=void 0,y=!1,t}));function v(){return!(h.exportEquals||!uk(_))}function E(t){r();const o=[],a=RT(s,"alwaysStrict")||!s.noImplicitUseStrict&&uk(_),l=n.copyPrologue(t.statements,o,a&&!x_(t),N);if(v()&&ye(o,K()),b(h.exportedNames)){const e=50;for(let t=0;t<h.exportedNames.length;t+=e)ye(o,n.createExpressionStatement(Be(h.exportedNames.slice(t,t+e),((e,t)=>n.createAssignment(n.createPropertyAccessExpression(n.createIdentifier("exports"),n.createIdentifier(Ll(t))),e)),n.createVoidZero())))}ye(o,rG(h.externalHelpersImportDeclaration,N,wu)),Ee(o,oG(t.statements,N,wu,l)),I(o,!1),pm(o,i());const c=n.updateSourceFile(t,yL(n.createNodeArray(o),t.statements));return wR(c,e.readEmitHelpers()),c}function S(t){const r=n.createIdentifier("define"),i=MP(n,t,c,s),a=x_(t)&&t,{aliasedModuleNames:l,unaliasedModuleNames:d,importAliasNames:u}=x(t,!0),p=n.updateSourceFile(t,yL(n.createNodeArray([n.createExpressionStatement(n.createCallExpression(r,void 0,[...i?[i]:[],n.createArrayLiteralExpression(a?o:[n.createStringLiteral("require"),n.createStringLiteral("exports"),...l,...d]),a?a.statements.length?a.statements[0].expression:n.createObjectLiteralExpression():n.createFunctionExpression(void 0,void 0,void 0,void 0,[n.createParameterDeclaration(void 0,void 0,"require"),n.createParameterDeclaration(void 0,void 0,"exports"),...u],void 0,R(t))]))]),t.statements));return wR(p,e.readEmitHelpers()),p}function T(t){const{aliasedModuleNames:r,unaliasedModuleNames:o,importAliasNames:i}=x(t,!1),a=MP(n,t,c,s),l=n.createFunctionExpression(void 0,void 0,void 0,void 0,[n.createParameterDeclaration(void 0,void 0,"factory")],void 0,yL(n.createBlock([n.createIfStatement(n.createLogicalAnd(n.createTypeCheck(n.createIdentifier("module"),"object"),n.createTypeCheck(n.createPropertyAccessExpression(n.createIdentifier("module"),"exports"),"object")),n.createBlock([n.createVariableStatement(void 0,[n.createVariableDeclaration("v",void 0,void 0,n.createCallExpression(n.createIdentifier("factory"),void 0,[n.createIdentifier("require"),n.createIdentifier("exports")]))]),fR(n.createIfStatement(n.createStrictInequality(n.createIdentifier("v"),n.createIdentifier("undefined")),n.createExpressionStatement(n.createAssignment(n.createPropertyAccessExpression(n.createIdentifier("module"),"exports"),n.createIdentifier("v")))),1)]),n.createIfStatement(n.createLogicalAnd(n.createTypeCheck(n.createIdentifier("define"),"function"),n.createPropertyAccessExpression(n.createIdentifier("define"),"amd")),n.createBlock([n.createExpressionStatement(n.createCallExpression(n.createIdentifier("define"),void 0,[...a?[a]:[],n.createArrayLiteralExpression([n.createStringLiteral("require"),n.createStringLiteral("exports"),...r,...o]),n.createIdentifier("factory")]))])))],!0),void 0)),d=n.updateSourceFile(t,yL(n.createNodeArray([n.createExpressionStatement(n.createCallExpression(l,void 0,[n.createFunctionExpression(void 0,void 0,void 0,void 0,[n.createParameterDeclaration(void 0,void 0,"require"),n.createParameterDeclaration(void 0,void 0,"exports"),...i],void 0,R(t))]))]),t.statements));return wR(d,e.readEmitHelpers()),d}function x(e,t){const r=[],o=[],i=[];for(const t of e.amdDependencies)t.name?(r.push(n.createStringLiteral(t.path)),i.push(n.createParameterDeclaration(void 0,void 0,t.name))):o.push(n.createStringLiteral(t.path));for(const e of h.externalImports){const a=CP(n,e,_,c,l,s),d=DP(n,e,_);a&&(t&&d?(fR(d,8),r.push(a),i.push(n.createParameterDeclaration(void 0,void 0,d))):o.push(a))}return{aliasedModuleNames:r,unaliasedModuleNames:o,importAliasNames:i}}function A(e){if(hC(e)||DC(e)||!CP(n,e,_,c,l,s))return;const t=DP(n,e,_),r=F(e,t);return r!==t?n.createExpressionStatement(n.createAssignment(t,r)):void 0}function R(e){r();const t=[],o=n.copyPrologue(e.statements,t,!s.noImplicitUseStrict,N);v()&&ye(t,K()),b(h.exportedNames)&&ye(t,n.createExpressionStatement(Be(h.exportedNames,((e,t)=>n.createAssignment(n.createPropertyAccessExpression(n.createIdentifier("exports"),n.createIdentifier(Ll(t))),e)),n.createVoidZero()))),ye(t,rG(h.externalHelpersImportDeclaration,N,wu)),2===u&&Ee(t,Y(h.externalImports,A)),Ee(t,oG(e.statements,N,wu,o)),I(t,!0),pm(t,i());const a=n.createBlock(t,!0);return y&&kR(a,Oj),a}function I(e,t){if(h.exportEquals){const r=rG(h.exportEquals.expression,M,uu);if(r)if(t){const t=n.createReturnStatement(r);yL(t,h.exportEquals),fR(t,3840),e.push(t)}else{const t=n.createExpressionStatement(n.createAssignment(n.createPropertyAccessExpression(n.createIdentifier("module"),"exports"),r));yL(t,h.exportEquals),fR(t,3072),e.push(t)}}}function N(e){switch(e.kind){case 272:return function(e){let t;const r=Bg(e);if(2!==u){if(!e.importClause)return lR(yL(n.createExpressionStatement(W(e)),e),e);{const o=[];r&&!jg(e)?o.push(n.createVariableDeclaration(n.cloneNode(r.name),void 0,void 0,F(e,W(e)))):(o.push(n.createVariableDeclaration(n.getGeneratedNameForNode(e),void 0,void 0,F(e,W(e)))),r&&jg(e)&&o.push(n.createVariableDeclaration(n.cloneNode(r.name),void 0,void 0,n.getGeneratedNameForNode(e)))),t=ye(t,lR(yL(n.createVariableStatement(void 0,n.createVariableDeclarationList(o,d>=2?2:0)),e),e))}}else r&&jg(e)&&(t=ye(t,n.createVariableStatement(void 0,n.createVariableDeclarationList([lR(yL(n.createVariableDeclaration(n.cloneNode(r.name),void 0,void 0,n.getGeneratedNameForNode(e)),e),e)],d>=2?2:0))));return t=function(e,n){if(h.exportEquals)return e;const t=n.importClause;if(!t)return e;const r=new OG;t.name&&(e=U(e,r,t));const o=t.namedBindings;if(o)switch(o.kind){case 274:e=U(e,r,o);break;case 275:for(const n of o.elements)e=U(e,r,n,!0)}return e}(t,e),Fe(t)}(e);case 271:return function(e){let t;Tt.assert(Uh(e),"import= for internal module references should be handled in an earlier transformer."),2!==u?t=Bb(e,32)?ye(t,lR(yL(n.createExpressionStatement(J(e.name,W(e))),e),e)):ye(t,lR(yL(n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(n.cloneNode(e.name),void 0,void 0,W(e))],d>=2?2:0)),e),e)):Bb(e,32)&&(t=ye(t,lR(yL(n.createExpressionStatement(J(n.getExportName(e),n.getLocalName(e))),e),e)));return t=function(e,n){if(h.exportEquals)return e;return U(e,new OG,n)}(t,e),Fe(t)}(e);case 278:return function(e){if(!e.moduleSpecifier)return;const r=n.getGeneratedNameForNode(e);if(e.exportClause&&CC(e.exportClause)){const o=[];2!==u&&o.push(lR(yL(n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(r,void 0,void 0,W(e))])),e),e));for(const i of e.exportClause.elements)if(0===d)o.push(lR(yL(n.createExpressionStatement(t().createCreateBindingHelper(r,n.createStringLiteralFromNode(i.propertyName||i.name),i.propertyName?n.createStringLiteralFromNode(i.name):void 0)),i),i));else{const a=!(!qp(s)||2&Nm(e)||"default"!==Ll(i.propertyName||i.name)),l=n.createPropertyAccessExpression(a?t().createImportDefaultHelper(r):r,i.propertyName||i.name);o.push(lR(yL(n.createExpressionStatement(J(n.getExportName(i),l,void 0,!0)),i),i))}return Fe(o)}if(e.exportClause){const o=[];return o.push(lR(yL(n.createExpressionStatement(J(n.cloneNode(e.exportClause.name),function(e,n){if(!qp(s)||2&Nm(e))return n;if(jG(e))return t().createImportStarHelper(n);return n}(e,2!==u?W(e):Sm(e)?r:n.createIdentifier(Ll(e.exportClause.name))))),e),e)),Fe(o)}return lR(yL(n.createExpressionStatement(t().createExportStarHelper(2!==u?W(e):r)),e),e)}(e);case 277:return function(e){if(e.isExportEquals)return;return q(n.createIdentifier("default"),rG(e.expression,M,uu),e,!0)}(e);default:return D(e)}}function D(t){switch(t.kind){case 243:return function(t){let r,o,i;if(Bb(t,32)){let e,a=!1;for(const r of t.declarationList.declarations)if(tN(r.name)&&uP(r.name))if(e||(e=oG(t.modifiers,X,vd)),r.initializer){o=ye(o,n.updateVariableDeclaration(r,r.name,void 0,void 0,J(r.name,rG(r.initializer,M,uu))))}else o=ye(o,r);else if(r.initializer)if(!Vd(r.name)&&(hD(r.initializer)||_D(r.initializer)||ND(r.initializer))){const e=n.createAssignment(yL(n.createPropertyAccessExpression(n.createIdentifier("exports"),r.name),r.name),n.createIdentifier(sv(r.name)));o=ye(o,n.createVariableDeclaration(r.name,r.exclamationToken,r.type,rG(r.initializer,M,uu))),i=ye(i,e),a=!0}else i=ye(i,G(r));if(o&&(r=ye(r,n.updateVariableStatement(t,e,n.updateVariableDeclarationList(t.declarationList,o)))),i){const e=lR(yL(n.createExpressionStatement(n.inlineExpressions(i)),t),t);a&&pR(e),r=ye(r,e)}}else r=ye(r,fG(t,M,e));return r=function(e,n){return B(e,n.declarationList,!1)}(r,t),Fe(r)}(t);case 262:return function(t){let r;r=Bb(t,32)?ye(r,lR(yL(n.createFunctionDeclaration(oG(t.modifiers,X,vd),t.asteriskToken,n.getDeclarationName(t,!0,!0),void 0,oG(t.parameters,M,bN),void 0,fG(t.body,M,e)),t),t)):ye(r,fG(t,M,e));return r=V(r,t),Fe(r)}(t);case 263:return function(t){let r;r=Bb(t,32)?ye(r,lR(yL(n.createClassDeclaration(oG(t.modifiers,X,Fd),n.getDeclarationName(t,!0,!0),void 0,oG(t.heritageClauses,M,YC),oG(t.members,M,Cd)),t),t)):ye(r,fG(t,M,e));return r=V(r,t),Fe(r)}(t);case 248:return k(t,!0);case 249:return function(t){if(aC(t.initializer)&&!(7&t.initializer.flags)){const r=B(void 0,t.initializer,!0);if(oe(r)){const o=rG(t.initializer,P,Su),i=rG(t.expression,M,uu),a=uG(t.statement,D,e),s=GD(a)?n.updateBlock(a,[...r,...a.statements]):n.createBlock([...r,a],!0);return n.updateForInStatement(t,o,i,s)}}return n.updateForInStatement(t,rG(t.initializer,P,Su),rG(t.expression,M,uu),uG(t.statement,D,e))}(t);case 250:return function(t){if(aC(t.initializer)&&!(7&t.initializer.flags)){const r=B(void 0,t.initializer,!0),o=rG(t.initializer,P,Su),i=rG(t.expression,M,uu);let a=uG(t.statement,D,e);return oe(r)&&(a=GD(a)?n.updateBlock(a,[...r,...a.statements]):n.createBlock([...r,a],!0)),n.updateForOfStatement(t,t.awaitModifier,o,i,a)}return n.updateForOfStatement(t,t.awaitModifier,rG(t.initializer,P,Su),rG(t.expression,M,uu),uG(t.statement,D,e))}(t);case 246:return function(t){return n.updateDoStatement(t,uG(t.statement,D,e),rG(t.expression,M,uu))}(t);case 247:return function(t){return n.updateWhileStatement(t,rG(t.expression,M,uu),uG(t.statement,D,e))}(t);case 256:return function(e){return n.updateLabeledStatement(e,e.label,Tt.checkDefined(rG(e.statement,D,wu,n.liftToBlock)))}(t);case 254:return function(e){return n.updateWithStatement(e,rG(e.expression,M,uu),Tt.checkDefined(rG(e.statement,D,wu,n.liftToBlock)))}(t);case 245:return function(e){return n.updateIfStatement(e,rG(e.expression,M,uu),Tt.checkDefined(rG(e.thenStatement,D,wu,n.liftToBlock)),rG(e.elseStatement,D,wu,n.liftToBlock))}(t);case 255:return function(e){return n.updateSwitchStatement(e,rG(e.expression,M,uu),Tt.checkDefined(rG(e.caseBlock,D,mC)))}(t);case 269:return function(e){return n.updateCaseBlock(e,oG(e.clauses,D,Vu))}(t);case 296:return function(e){return n.updateCaseClause(e,rG(e.expression,M,uu),oG(e.statements,D,wu))}(t);case 297:case 258:return function(n){return fG(n,D,e)}(t);case 299:return function(e){return n.updateCatchClause(e,e.variableDeclaration,Tt.checkDefined(rG(e.block,D,GD)))}(t);case 241:return function(n){return n=fG(n,D,e),n}(t);default:return M(t)}}function C(t,r){if(!(276828160&t.transformFlags))return t;switch(t.kind){case 248:return k(t,!1);case 244:return function(e){return n.updateExpressionStatement(e,rG(e.expression,P,uu))}(t);case 217:return function(e,t){return n.updateParenthesizedExpression(e,rG(e.expression,t?P:M,uu))}(t,r);case 360:return function(e,t){return n.updatePartiallyEmittedExpression(e,rG(e.expression,t?P:M,uu))}(t,r);case 213:if(P_(t)&&void 0===_.impliedNodeFormat)return function(t){if(0===u&&d>=7)return fG(t,M,e);const r=CP(n,t,_,c,l,s),o=rG(De(t.arguments),M,uu),i=!r||o&&zI(o)&&o.text===r.text?o:r,p=!!(16384&t.transformFlags);switch(s.module){case 2:return w(i,p);case 3:return function(e,t){if(y=!0,JG(e)){const r=ud(e)?e:zI(e)?n.createStringLiteralFromNode(e):fR(yL(n.cloneNode(e),e),3072);return n.createConditionalExpression(n.createIdentifier("__syncRequire"),void 0,O(e),void 0,w(r,t))}{const r=n.createTempVariable(a);return n.createComma(n.createAssignment(r,e),n.createConditionalExpression(n.createIdentifier("__syncRequire"),void 0,O(r,!0),void 0,w(r,t)))}}(i??n.createVoidZero(),p);default:return O(i)}}(t);break;case 226:if(vE(t))return function(n,t){if(L(n.left))return vB(n,M,e,0,!t,z);return fG(n,M,e)}(t,r);break;case 224:case 225:return function(t,r){if((46===t.operator||47===t.operator)&&tN(t.operand)&&!ud(t.operand)&&!uP(t.operand)&&!cS(t.operand)){const e=Q(t.operand);if(e){let o,i=rG(t.operand,M,uu);ED(t)?i=n.updatePrefixUnaryExpression(t,i):(i=n.updatePostfixUnaryExpression(t,i),r||(o=n.createTempVariable(a),i=n.createAssignment(o,i),yL(i,t)),i=n.createComma(i,n.cloneNode(t.operand)),yL(i,t));for(const n of e)g[Hz(i)]=!0,i=J(n,i),yL(i,t);return o&&(g[Hz(i)]=!0,i=n.createComma(i,o),yL(i,t)),i}}return fG(t,M,e)}(t,r)}return fG(t,M,e)}function M(e){return C(e,!1)}function P(e){return C(e,!0)}function L(e){if(sD(e))for(const n of e.properties)switch(n.kind){case 303:if(L(n.initializer))return!0;break;case 304:if(L(n.name))return!0;break;case 305:if(L(n.expression))return!0;break;case 174:case 177:case 178:return!1;default:Tt.assertNever(n,"Unhandled object member kind")}else if(aD(e)){for(const n of e.elements)if(ID(n)){if(L(n.expression))return!0}else if(L(n))return!0}else if(tN(e))return b(Q(e))>(pP(e)?1:0);return!1}function k(t,r){if(r&&t.initializer&&aC(t.initializer)&&!(7&t.initializer.flags)){const o=B(void 0,t.initializer,!1);if(o){const i=[],a=rG(t.initializer,P,aC),s=n.createVariableStatement(void 0,a);i.push(s),Ee(i,o);const l=rG(t.condition,M,uu),c=rG(t.incrementor,P,uu),d=uG(t.statement,r?D:M,e);return i.push(n.updateForStatement(t,void 0,l,c,d)),i}}return n.updateForStatement(t,rG(t.initializer,P,Su),rG(t.condition,M,uu),rG(t.incrementor,P,uu),uG(t.statement,r?D:M,e))}function w(e,r){const o=n.createUniqueName("resolve"),i=n.createUniqueName("reject"),a=[n.createParameterDeclaration(void 0,void 0,o),n.createParameterDeclaration(void 0,void 0,i)],l=n.createBlock([n.createExpressionStatement(n.createCallExpression(n.createIdentifier("require"),void 0,[n.createArrayLiteralExpression([e||n.createOmittedExpression()]),o,i]))]);let c;d>=2?c=n.createArrowFunction(void 0,void 0,a,void 0,void 0,l):(c=n.createFunctionExpression(void 0,void 0,void 0,void 0,a,void 0,l),r&&fR(c,16));const u=n.createNewExpression(n.createIdentifier("Promise"),void 0,[c]);return qp(s)?n.createCallExpression(n.createPropertyAccessExpression(u,n.createIdentifier("then")),void 0,[t().createImportStarCallbackHelper()]):u}function O(e,r){const o=e&&!XG(e)&&!r,i=n.createCallExpression(n.createPropertyAccessExpression(n.createIdentifier("Promise"),"resolve"),void 0,o?d>=2?[n.createTemplateExpression(n.createTemplateHead(""),[n.createTemplateSpan(e,n.createTemplateTail(""))])]:[n.createCallExpression(n.createPropertyAccessExpression(n.createStringLiteral(""),"concat"),void 0,[e])]:[]);let a=n.createCallExpression(n.createIdentifier("require"),void 0,o?[n.createIdentifier("s")]:e?[e]:[]);qp(s)&&(a=t().createImportStarHelper(a));const l=o?[n.createParameterDeclaration(void 0,void 0,"s")]:[];let c;c=d>=2?n.createArrowFunction(void 0,void 0,l,void 0,void 0,a):n.createFunctionExpression(void 0,void 0,void 0,void 0,l,void 0,n.createBlock([n.createReturnStatement(a)]));return n.createCallExpression(n.createPropertyAccessExpression(i,"then"),void 0,[c])}function F(e,n){return!qp(s)||2&Nm(e)?n:VG(e)?t().createImportStarHelper(n):UG(e)?t().createImportDefaultHelper(n):n}function W(e){const t=CP(n,e,_,c,l,s),r=[];return t&&r.push(t),n.createCallExpression(n.createIdentifier("require"),void 0,r)}function z(e,t,r){const o=Q(e);if(o){let i=pP(e)?t:n.createAssignment(e,t);for(const e of o)fR(i,8),i=J(e,i,r);return i}return n.createAssignment(e,t)}function G(t){return Vd(t.name)?vB(rG(t,M,uS),M,e,0,!1,z):n.createAssignment(yL(n.createPropertyAccessExpression(n.createIdentifier("exports"),t.name),t.name),t.initializer?rG(t.initializer,M,uu):n.createVoidZero())}function B(e,n,t){if(h.exportEquals)return e;for(const r of n.declarations)e=j(e,r,t);return e}function j(e,n,t){if(h.exportEquals)return e;if(Vd(n.name))for(const r of n.name.elements)DD(r)||(e=j(e,r,t));else ud(n.name)||iC(n)&&!n.initializer&&!t||(e=U(e,new OG,n));return e}function V(e,t){if(h.exportEquals)return e;const r=new OG;if(Bb(t,32)){e=H(e,r,Bb(t,2048)?n.createIdentifier("default"):n.getDeclarationName(t),n.getLocalName(t),t)}return t.name&&(e=U(e,r,t)),e}function U(e,t,r,o){const i=n.getDeclarationName(r),a=h.exportSpecifiers.get(i);if(a)for(const n of a)e=H(e,t,n.name,i,n.name,void 0,o);return e}function H(e,n,t,r,o,i,a){return n.has(t)||(n.set(t,!0),e=ye(e,q(t,r,o,i,a))),e}function K(){let e;return e=0===d?n.createExpressionStatement(J(n.createIdentifier("__esModule"),n.createTrue())):n.createExpressionStatement(n.createCallExpression(n.createPropertyAccessExpression(n.createIdentifier("Object"),"defineProperty"),void 0,[n.createIdentifier("exports"),n.createStringLiteral("__esModule"),n.createObjectLiteralExpression([n.createPropertyAssignment("value",n.createTrue())])])),fR(e,2097152),e}function q(e,t,r,o,i){const a=yL(n.createExpressionStatement(J(e,t,void 0,i)),r);return xP(a),o||fR(a,3072),a}function J(e,t,r,o){return yL(o&&0!==d?n.createCallExpression(n.createPropertyAccessExpression(n.createIdentifier("Object"),"defineProperty"),void 0,[n.createIdentifier("exports"),n.createStringLiteralFromNode(e),n.createObjectLiteralExpression([n.createPropertyAssignment("enumerable",n.createTrue()),n.createPropertyAssignment("get",n.createFunctionExpression(void 0,void 0,void 0,void 0,[],void 0,n.createBlock([n.createReturnStatement(t)])))])]):n.createAssignment(n.createPropertyAccessExpression(n.createIdentifier("exports"),n.cloneNode(e)),t),r)}function X(e){switch(e.kind){case 95:case 90:return}return e}function $(e){var t,r;if(8192&Im(e)){const t=AP(_);return t?n.createPropertyAccessExpression(t,e):e}if((!ud(e)||64&e.emitNode.autoGenerate.flags)&&!uP(e)){const o=l.getReferencedExportContainer(e,pP(e));if(o&&312===o.kind)return yL(n.createPropertyAccessExpression(n.createIdentifier("exports"),n.cloneNode(e)),e);const i=l.getReferencedImportDeclaration(e);if(i){if(yC(i))return yL(n.createPropertyAccessExpression(n.getGeneratedNameForNode(i.parent),n.createIdentifier("default")),e);if(IC(i)){const o=i.propertyName||i.name;return yL(n.createPropertyAccessExpression(n.getGeneratedNameForNode((null==(r=null==(t=i.parent)?void 0:t.parent)?void 0:r.parent)||i),n.cloneNode(o)),e)}}}return e}function Q(e){if(ud(e)){if(fd(e)){const n=null==h?void 0:h.exportSpecifiers.get(e);if(n){const e=[];for(const t of n)e.push(t.name);return e}}}else{const n=l.getReferencedImportDeclaration(e);if(n)return null==h?void 0:h.exportedBindings[zG(n)];const t=new Set,r=l.getReferencedValueDeclarations(e);if(r){for(const e of r){const n=null==h?void 0:h.exportedBindings[zG(e)];if(n)for(const e of n)t.add(e)}if(t.size)return Je(t)}}}}var zj=g({"src/compiler/transformers/module/module.ts"(){JJ(),Oj={name:"typescript:dynamicimport-sync-require",scoped:!0,text:'\n            var __syncRequire = typeof module === "object" && typeof module.exports === "object";'}}});function Gj(e){const{factory:n,startLexicalEnvironment:t,endLexicalEnvironment:r,hoistVariableDeclaration:o}=e,i=e.getCompilerOptions(),a=e.getEmitResolver(),s=e.getEmitHost(),l=e.onSubstituteNode,c=e.onEmitNode;e.onSubstituteNode=function(e,t){if(function(e){return b&&e.id&&b[e.id]}(t=l(e,t)))return t;if(1===e)return function(e){switch(e.kind){case 80:return function(e){var t,r;if(8192&Im(e)){const t=AP(m);return t?n.createPropertyAccessExpression(t,e):e}if(!ud(e)&&!uP(e)){const o=a.getReferencedImportDeclaration(e);if(o){if(yC(o))return yL(n.createPropertyAccessExpression(n.getGeneratedNameForNode(o.parent),n.createIdentifier("default")),e);if(IC(o))return yL(n.createPropertyAccessExpression(n.getGeneratedNameForNode((null==(r=null==(t=o.parent)?void 0:t.parent)?void 0:r.parent)||o),n.cloneNode(o.propertyName||o.name)),e)}}return e}(e);case 226:return function(e){if(mE(e.operatorToken.kind)&&tN(e.left)&&(!ud(e.left)||fd(e.left))&&!uP(e.left)){const n=q(e.left);if(n){let t=e;for(const e of n)t=F(e,J(t));return t}}return e}(e);case 236:return function(e){if(L_(e))return n.createPropertyAccessExpression(g,n.createIdentifier("meta"));return e}(e)}return e}(t);if(4===e)return function(e){if(304===e.kind)return function(e){var t,r;const o=e.name;if(!ud(o)&&!uP(o)){const i=a.getReferencedImportDeclaration(o);if(i){if(yC(i))return yL(n.createPropertyAssignment(n.cloneNode(o),n.createPropertyAccessExpression(n.getGeneratedNameForNode(i.parent),n.createIdentifier("default"))),e);if(IC(i))return yL(n.createPropertyAssignment(n.cloneNode(o),n.createPropertyAccessExpression(n.getGeneratedNameForNode((null==(r=null==(t=i.parent)?void 0:t.parent)?void 0:r.parent)||i),n.cloneNode(i.propertyName||i.name))),e)}}return e}(e);return e}(t);return t},e.onEmitNode=function(e,n,t){if(312===n.kind){const r=zG(n);m=n,_=d[r],h=u[r],b=p[r],g=f[r],b&&delete p[r],c(e,n,t),m=void 0,_=void 0,h=void 0,g=void 0,b=void 0}else c(e,n,t)},e.enableSubstitution(80),e.enableSubstitution(304),e.enableSubstitution(226),e.enableSubstitution(236),e.enableEmitNotification(312);const d=[],u=[],p=[],f=[];let m,_,h,g,y,v,b;return BG(e,(function(o){if(o.isDeclarationFile||!(Um(o,i)||8388608&o.transformFlags))return o;const l=zG(o);m=o,v=o,_=d[l]=HG(e,o),h=n.createUniqueName("exports"),u[l]=h,g=f[l]=n.createUniqueName("context");const c=function(e){const t=new Map,r=[];for(const o of e){const e=CP(n,o,m,s,a,i);if(e){const n=e.text,i=t.get(n);void 0!==i?r[i].externalImports.push(o):(t.set(n,r.length),r.push({name:e,externalImports:[o]}))}}return r}(_.externalImports),E=function(e,o){const a=[];t();const s=RT(i,"alwaysStrict")||!i.noImplicitUseStrict&&uk(m),l=n.copyPrologue(e.statements,a,s,x);a.push(n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration("__moduleName",void 0,void 0,n.createLogicalAnd(g,n.createPropertyAccessExpression(g,"id")))]))),rG(_.externalHelpersImportDeclaration,x,wu);const c=oG(e.statements,x,wu,l);Ee(a,y),pm(a,r());const d=function(e){if(!_.hasExportStarsToExportValues)return;if(!_.exportedNames&&0===_.exportSpecifiers.size){let n=!1;for(const e of _.externalImports)if(278===e.kind&&e.exportClause){n=!0;break}if(!n){const n=S(void 0);return e.push(n),n.name}}const t=[];if(_.exportedNames)for(const e of _.exportedNames)"default"!==e.escapedText&&t.push(n.createPropertyAssignment(n.createStringLiteralFromNode(e),n.createTrue()));const r=n.createUniqueName("exportedNames");e.push(n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(r,void 0,void 0,n.createObjectLiteralExpression(t,!0))])));const o=S(r);return e.push(o),o.name}(a),u=2097152&e.transformFlags?n.createModifiersFromModifierFlags(1024):void 0,p=n.createObjectLiteralExpression([n.createPropertyAssignment("setters",T(d,o)),n.createPropertyAssignment("execute",n.createFunctionExpression(u,void 0,void 0,void 0,[],void 0,n.createBlock(c,!0)))],!0);return a.push(n.createReturnStatement(p)),n.createBlock(a,!0)}(o,c),A=n.createFunctionExpression(void 0,void 0,void 0,void 0,[n.createParameterDeclaration(void 0,void 0,h),n.createParameterDeclaration(void 0,void 0,g)],void 0,E),R=MP(n,o,s,i),I=n.createArrayLiteralExpression(B(c,(e=>e.name))),N=fR(n.updateSourceFile(o,yL(n.createNodeArray([n.createExpressionStatement(n.createCallExpression(n.createPropertyAccessExpression(n.createIdentifier("System"),"register"),void 0,R?[R,I,A]:[I,A]))]),o.statements)),2048);ob(i)||WR(N,E,(e=>!e.scoped));b&&(p[l]=b,b=void 0);return m=void 0,_=void 0,h=void 0,g=void 0,y=void 0,v=void 0,N}));function S(e){const t=n.createUniqueName("exportStar"),r=n.createIdentifier("m"),o=n.createIdentifier("n"),i=n.createIdentifier("exports");let a=n.createStrictInequality(o,n.createStringLiteral("default"));return e&&(a=n.createLogicalAnd(a,n.createLogicalNot(n.createCallExpression(n.createPropertyAccessExpression(e,"hasOwnProperty"),void 0,[o])))),n.createFunctionDeclaration(void 0,void 0,t,void 0,[n.createParameterDeclaration(void 0,void 0,r)],void 0,n.createBlock([n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(i,void 0,void 0,n.createObjectLiteralExpression([]))])),n.createForInStatement(n.createVariableDeclarationList([n.createVariableDeclaration(o)]),r,n.createBlock([fR(n.createIfStatement(a,n.createExpressionStatement(n.createAssignment(n.createElementAccessExpression(i,o),n.createElementAccessExpression(r,o)))),1)])),n.createExpressionStatement(n.createCallExpression(h,void 0,[i]))],!0))}function T(e,t){const r=[];for(const o of t){const t=E(o.externalImports,(e=>DP(n,e,m))),i=t?n.getGeneratedNameForNode(t):n.createUniqueName(""),a=[];for(const t of o.externalImports){const r=DP(n,t,m);switch(t.kind){case 272:if(!t.importClause)break;case 271:Tt.assert(void 0!==r),a.push(n.createExpressionStatement(n.createAssignment(r,i))),Bb(t,32)&&a.push(n.createExpressionStatement(n.createCallExpression(h,void 0,[n.createStringLiteral(Ll(r)),i])));break;case 278:if(Tt.assert(void 0!==r),t.exportClause)if(CC(t.exportClause)){const e=[];for(const r of t.exportClause.elements)e.push(n.createPropertyAssignment(n.createStringLiteral(Ll(r.name)),n.createElementAccessExpression(i,n.createStringLiteral(Ll(r.propertyName||r.name)))));a.push(n.createExpressionStatement(n.createCallExpression(h,void 0,[n.createObjectLiteralExpression(e,!0)])))}else a.push(n.createExpressionStatement(n.createCallExpression(h,void 0,[n.createStringLiteral(Ll(t.exportClause.name)),i])));else a.push(n.createExpressionStatement(n.createCallExpression(e,void 0,[i])))}}r.push(n.createFunctionExpression(void 0,void 0,void 0,void 0,[n.createParameterDeclaration(void 0,void 0,i)],void 0,n.createBlock(a,!0)))}return n.createArrayLiteralExpression(r,!0)}function x(e){switch(e.kind){case 272:return function(e){let t;e.importClause&&o(DP(n,e,m));return Fe(function(e,n){if(_.exportEquals)return e;const t=n.importClause;if(!t)return e;t.name&&(e=k(e,t));const r=t.namedBindings;if(r)switch(r.kind){case 274:e=k(e,r);break;case 275:for(const n of r.elements)e=k(e,n)}return e}(t,e))}(e);case 271:return function(e){let t;return Tt.assert(Uh(e),"import= for internal module references should be handled in an earlier transformer."),o(DP(n,e,m)),Fe(function(e,n){if(_.exportEquals)return e;return k(e,n)}(t,e))}(e);case 278:return function(e){return void Tt.assertIsDefined(e)}(e);case 277:return function(e){if(e.isExportEquals)return;const t=rG(e.expression,V,uu);return O(n.createIdentifier("default"),t,!0)}(e);default:return W(e)}}function A(e){if(!I(e.declarationList))return rG(e,V,wu);let t;if(N_(e.declarationList)||I_(e.declarationList)){const r=oG(e.modifiers,K,Fd),o=[];for(const t of e.declarationList.declarations)o.push(n.updateVariableDeclaration(t,n.getGeneratedNameForNode(t.name),void 0,void 0,N(t,!1)));const i=n.updateVariableDeclarationList(e.declarationList,o);t=ye(t,n.updateVariableStatement(e,r,i))}else{let r;const o=Bb(e,32);for(const n of e.declarationList.declarations)n.initializer?r=ye(r,N(n,o)):R(n);r&&(t=ye(t,yL(n.createExpressionStatement(n.inlineExpressions(r)),e)))}return t=function(e,n,t){if(_.exportEquals)return e;for(const r of n.declarationList.declarations)(r.initializer||t)&&(e=P(e,r,t));return e}(t,e,!1),Fe(t)}function R(e){if(Vd(e.name))for(const n of e.name.elements)DD(n)||R(n);else o(n.cloneNode(e.name))}function I(e){return!(4194304&Im(e)||312!==v.kind&&7&Il(e).flags)}function N(n,t){const r=t?D:C;return Vd(n.name)?vB(n,V,e,0,!1,r):n.initializer?r(n.name,rG(n.initializer,V,uu)):n.name}function D(e,n,t){return M(e,n,t,!0)}function C(e,n,t){return M(e,n,t,!1)}function M(e,t,r,i){return o(n.cloneNode(e)),i?F(e,J(yL(n.createAssignment(e,t),r))):J(yL(n.createAssignment(e,t),r))}function P(e,t,r){if(_.exportEquals)return e;if(Vd(t.name))for(const n of t.name.elements)DD(n)||(e=P(e,n,r));else if(!ud(t.name)){let o;r&&(e=w(e,t.name,n.getLocalName(t)),o=Ll(t.name)),e=k(e,t,o)}return e}function L(e,t){if(_.exportEquals)return e;let r;if(Bb(t,32)){const o=Bb(t,2048)?n.createStringLiteral("default"):t.name;e=w(e,o,n.getLocalName(t)),r=sv(o)}return t.name&&(e=k(e,t,r)),e}function k(e,t,r){if(_.exportEquals)return e;const o=n.getDeclarationName(t),i=_.exportSpecifiers.get(o);if(i)for(const n of i)n.name.escapedText!==r&&(e=w(e,n.name,o));return e}function w(e,n,t,r){return e=ye(e,O(n,t,r))}function O(e,t,r){const o=n.createExpressionStatement(F(e,t));return xP(o),r||fR(o,3072),o}function F(e,t){const r=tN(e)?n.createStringLiteralFromNode(e):e;return fR(t,3072|Im(t)),xR(n.createCallExpression(h,void 0,[r,t]),t)}function W(t){switch(t.kind){case 243:return A(t);case 262:return function(t){y=Bb(t,32)?ye(y,n.updateFunctionDeclaration(t,oG(t.modifiers,K,Fd),t.asteriskToken,n.getDeclarationName(t,!0,!0),void 0,oG(t.parameters,V,bN),void 0,rG(t.body,V,GD))):ye(y,fG(t,V,e)),y=L(y,t)}(t);case 263:return function(e){let t;const r=n.getLocalName(e);return o(r),t=ye(t,yL(n.createExpressionStatement(n.createAssignment(r,yL(n.createClassExpression(oG(e.modifiers,K,Fd),e.name,void 0,oG(e.heritageClauses,V,YC),oG(e.members,V,Cd)),e))),e)),t=L(t,e),Fe(t)}(t);case 248:return z(t,!0);case 249:return function(t){const r=v;return v=t,t=n.updateForInStatement(t,G(t.initializer),rG(t.expression,V,uu),uG(t.statement,W,e)),v=r,t}(t);case 250:return function(t){const r=v;return v=t,t=n.updateForOfStatement(t,t.awaitModifier,G(t.initializer),rG(t.expression,V,uu),uG(t.statement,W,e)),v=r,t}(t);case 246:return function(t){return n.updateDoStatement(t,uG(t.statement,W,e),rG(t.expression,V,uu))}(t);case 247:return function(t){return n.updateWhileStatement(t,rG(t.expression,V,uu),uG(t.statement,W,e))}(t);case 256:return function(e){return n.updateLabeledStatement(e,e.label,Tt.checkDefined(rG(e.statement,W,wu,n.liftToBlock)))}(t);case 254:return function(e){return n.updateWithStatement(e,rG(e.expression,V,uu),Tt.checkDefined(rG(e.statement,W,wu,n.liftToBlock)))}(t);case 245:return function(e){return n.updateIfStatement(e,rG(e.expression,V,uu),Tt.checkDefined(rG(e.thenStatement,W,wu,n.liftToBlock)),rG(e.elseStatement,W,wu,n.liftToBlock))}(t);case 255:return function(e){return n.updateSwitchStatement(e,rG(e.expression,V,uu),Tt.checkDefined(rG(e.caseBlock,W,mC)))}(t);case 269:return function(e){const t=v;return v=e,e=n.updateCaseBlock(e,oG(e.clauses,W,Vu)),v=t,e}(t);case 296:return function(e){return n.updateCaseClause(e,rG(e.expression,V,uu),oG(e.statements,W,wu))}(t);case 297:case 258:return function(n){return fG(n,W,e)}(t);case 299:return function(e){const t=v;return v=e,e=n.updateCatchClause(e,e.variableDeclaration,Tt.checkDefined(rG(e.block,W,GD))),v=t,e}(t);case 241:return function(n){const t=v;return v=n,n=fG(n,W,e),v=t,n}(t);default:return V(t)}}function z(t,r){const o=v;return v=t,t=n.updateForStatement(t,rG(t.initializer,r?G:U,Su),rG(t.condition,V,uu),rG(t.incrementor,U,uu),uG(t.statement,r?W:V,e)),v=o,t}function G(e){if(function(e){return aC(e)&&I(e)}(e)){let t;for(const n of e.declarations)t=ye(t,N(n,!1)),n.initializer||R(n);return t?n.inlineExpressions(t):n.createOmittedExpression()}return rG(e,U,Su)}function j(t,r){if(!(276828160&t.transformFlags))return t;switch(t.kind){case 248:return z(t,!1);case 244:return function(e){return n.updateExpressionStatement(e,rG(e.expression,U,uu))}(t);case 217:return function(e,t){return n.updateParenthesizedExpression(e,rG(e.expression,t?U:V,uu))}(t,r);case 360:return function(e,t){return n.updatePartiallyEmittedExpression(e,rG(e.expression,t?U:V,uu))}(t,r);case 226:if(vE(t))return function(n,t){if(H(n.left))return vB(n,V,e,0,!t);return fG(n,V,e)}(t,r);break;case 213:if(P_(t))return function(e){const t=CP(n,e,m,s,a,i),r=rG(De(e.arguments),V,uu),o=!t||r&&zI(r)&&r.text===t.text?r:t;return n.createCallExpression(n.createPropertyAccessExpression(g,n.createIdentifier("import")),void 0,o?[o]:[])}(t);break;case 224:case 225:return function(t,r){if((46===t.operator||47===t.operator)&&tN(t.operand)&&!ud(t.operand)&&!uP(t.operand)&&!cS(t.operand)){const e=q(t.operand);if(e){let i,a=rG(t.operand,V,uu);ED(t)?a=n.updatePrefixUnaryExpression(t,a):(a=n.updatePostfixUnaryExpression(t,a),r||(i=n.createTempVariable(o),a=n.createAssignment(i,a),yL(a,t)),a=n.createComma(a,n.cloneNode(t.operand)),yL(a,t));for(const n of e)a=F(n,J(a));return i&&(a=n.createComma(a,i),yL(a,t)),a}}return fG(t,V,e)}(t,r)}return fG(t,V,e)}function V(e){return j(e,!1)}function U(e){return j(e,!0)}function H(e){if(gE(e,!0))return H(e.left);if(ID(e))return H(e.expression);if(sD(e))return oe(e.properties,H);if(aD(e))return oe(e.elements,H);if(ZC(e))return H(e.name);if(QC(e))return H(e.initializer);if(tN(e)){const n=a.getReferencedExportContainer(e);return void 0!==n&&312===n.kind}return!1}function K(e){switch(e.kind){case 95:case 90:return}return e}function q(e){let t;const r=function(e){if(!ud(e)){const n=a.getReferencedImportDeclaration(e);if(n)return n;const t=a.getReferencedValueDeclaration(e);if(t&&(null==_?void 0:_.exportedBindings[zG(t)]))return t;const r=a.getReferencedValueDeclarations(e);if(r)for(const e of r)if(e!==t&&(null==_?void 0:_.exportedBindings[zG(e)]))return e;return t}}(e);if(r){const o=a.getReferencedExportContainer(e,!1);o&&312===o.kind&&(t=ye(t,n.getDeclarationName(r))),t=Ee(t,null==_?void 0:_.exportedBindings[zG(r)])}else if(ud(e)&&fd(e)){const n=null==_?void 0:_.exportSpecifiers.get(e);if(n){const e=[];for(const t of n)e.push(t.name);return e}}return t}function J(e){return void 0===b&&(b=[]),b[Hz(e)]=!0,e}}var Bj=g({"src/compiler/transformers/module/system.ts"(){JJ()}});function jj(e){const{factory:n,getEmitHelperFactory:t}=e,r=e.getEmitHost(),o=e.getEmitResolver(),i=e.getCompilerOptions(),a=jp(i),s=e.onEmitNode,l=e.onSubstituteNode;let c,d,u;return e.onEmitNode=function(e,n,t){rM(n)?((uk(n)||Kp(i))&&i.importHelpers&&(c=new Map),s(e,n,t),c=void 0):s(e,n,t)},e.onSubstituteNode=function(e,t){if(t=l(e,t),c&&tN(t)&&8192&Im(t))return function(e){const t=Ll(e);let r=c.get(t);r||c.set(t,r=n.createUniqueName(t,48));return r}(t);return t},e.enableEmitNotification(312),e.enableSubstitution(80),BG(e,(function(r){if(r.isDeclarationFile)return r;if(uk(r)||Kp(i)){d=r,u=void 0;let o=function(r){const o=IP(n,t(),r,i);if(o){const e=[],t=n.copyPrologue(r.statements,e);return ye(e,o),Ee(e,oG(r.statements,p,wu,t)),n.updateSourceFile(r,yL(n.createNodeArray(e),r.statements))}return fG(r,p,e)}(r);return d=void 0,u&&(o=n.updateSourceFile(o,yL(n.createNodeArray(fm(o.statements.slice(),u)),o.statements))),!uk(r)||200===Vp(i)||oe(o.statements,yu)?o:n.updateSourceFile(o,yL(n.createNodeArray([...o.statements,$M(n)]),o.statements))}return r}));function p(e){switch(e.kind){case 271:return Vp(i)>=100?function(e){let t;return Tt.assert(Uh(e),"import= for internal module references should be handled in an earlier transformer."),t=ye(t,lR(yL(n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(n.cloneNode(e.name),void 0,void 0,f(e))],a>=2?2:0)),e),e)),t=function(e,t){Bb(t,32)&&(e=ye(e,n.createExportDeclaration(void 0,t.isTypeOnly,n.createNamedExports([n.createExportSpecifier(!1,void 0,Ll(t.name))]))));return e}(t,e),Fe(t)}(e):void 0;case 277:return function(e){if(e.isExportEquals){if(200===Vp(i)){return lR(n.createExpressionStatement(n.createAssignment(n.createPropertyAccessExpression(n.createIdentifier("module"),"exports"),e.expression)),e)}return}return e}(e);case 278:return function(e){if(void 0!==i.module&&i.module>5)return e;if(!e.exportClause||!AC(e.exportClause)||!e.moduleSpecifier)return e;const t=e.exportClause.name,r=n.getGeneratedNameForNode(t),o=n.createImportDeclaration(void 0,n.createImportClause(!1,void 0,n.createNamespaceImport(r)),e.moduleSpecifier,e.attributes);lR(o,e.exportClause);const a=Sm(e)?n.createExportDefault(r):n.createExportDeclaration(void 0,!1,n.createNamedExports([n.createExportSpecifier(!1,r,t)]));return lR(a,e),[o,a]}(e)}return e}function f(e){const t=CP(n,e,Tt.checkDefined(d),r,o,i),s=[];if(t&&s.push(t),200===Vp(i))return n.createCallExpression(n.createIdentifier("require"),void 0,s);if(!u){const e=n.createUniqueName("_createRequire",48),t=n.createImportDeclaration(void 0,n.createImportClause(!1,void 0,n.createNamedImports([n.createImportSpecifier(!1,n.createIdentifier("createRequire"),e)])),n.createStringLiteral("module"),void 0),r=n.createUniqueName("__require",48),o=n.createVariableStatement(void 0,n.createVariableDeclarationList([n.createVariableDeclaration(r,void 0,void 0,n.createCallExpression(n.cloneNode(e),void 0,[n.createPropertyAccessExpression(n.createMetaProperty(102,n.createIdentifier("meta")),n.createIdentifier("url"))]))],a>=2?2:0));u=[t,o]}const l=u[1].declarationList.declarations[0].name;return Tt.assertNode(l,tN),n.createCallExpression(n.cloneNode(l),void 0,s)}}var Vj=g({"src/compiler/transformers/module/esnextAnd2015.ts"(){JJ()}});function Uj(e){const n=e.onSubstituteNode,t=e.onEmitNode,r=jj(e),o=e.onSubstituteNode,i=e.onEmitNode;e.onSubstituteNode=n,e.onEmitNode=t;const a=Wj(e),s=e.onSubstituteNode,l=e.onEmitNode;let c;return e.onSubstituteNode=function(e,t){return rM(t)?(c=t,n(e,t)):c?99===c.impliedNodeFormat?o(e,t):s(e,t):n(e,t)},e.onEmitNode=function(e,n,r){rM(n)&&(c=n);if(!c)return t(e,n,r);if(99===c.impliedNodeFormat)return i(e,n,r);return l(e,n,r)},e.enableSubstitution(312),e.enableEmitNotification(312),function(n){return 312===n.kind?d(n):function(n){return e.factory.createBundle(B(n.sourceFiles,d),n.prepends)}(n)};function d(e){if(e.isDeclarationFile)return e;c=e;const n=(99===e.impliedNodeFormat?r:a)(e);return c=void 0,Tt.assert(rM(n)),n}}var Hj=g({"src/compiler/transformers/module/node.ts"(){JJ()}});function Kj(e){return iC(e)||TN(e)||SN(e)||iD(e)||qu(e)||Ju(e)||MN(e)||CN(e)||AN(e)||xN(e)||sC(e)||bN(e)||vN(e)||CD(e)||hC(e)||dC(e)||IN(e)||PN(e)||lD(e)||cD(e)||TD(e)||Kg(e)}function qj(e){return qu(e)||Ju(e)?function(n){const t=function(n){return jb(e)?n.errorModuleName?2===n.accessibility?Oa.Public_static_property_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Public_static_property_0_of_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Public_static_property_0_of_exported_class_has_or_is_using_private_name_1:263===e.parent.kind?n.errorModuleName?2===n.accessibility?Oa.Public_property_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Public_property_0_of_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Public_property_0_of_exported_class_has_or_is_using_private_name_1:n.errorModuleName?Oa.Property_0_of_exported_interface_has_or_is_using_name_1_from_private_module_2:Oa.Property_0_of_exported_interface_has_or_is_using_private_name_1}(n);return void 0!==t?{diagnosticMessage:t,errorNode:e,typeName:e.name}:void 0}:xN(e)||AN(e)?function(n){const t=function(n){return jb(e)?n.errorModuleName?2===n.accessibility?Oa.Public_static_method_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Public_static_method_0_of_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Public_static_method_0_of_exported_class_has_or_is_using_private_name_1:263===e.parent.kind?n.errorModuleName?2===n.accessibility?Oa.Public_method_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Public_method_0_of_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Public_method_0_of_exported_class_has_or_is_using_private_name_1:n.errorModuleName?Oa.Method_0_of_exported_interface_has_or_is_using_name_1_from_private_module_2:Oa.Method_0_of_exported_interface_has_or_is_using_private_name_1}(n);return void 0!==t?{diagnosticMessage:t,errorNode:e,typeName:e.name}:void 0}:Jj(e)}function Jj(e){return iC(e)||TN(e)||SN(e)||lD(e)||cD(e)||TD(e)||iD(e)||IN(e)?n:qu(e)||Ju(e)?function(n){let t;t=178===e.kind?jb(e)?n.errorModuleName?Oa.Parameter_type_of_public_static_setter_0_from_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Parameter_type_of_public_static_setter_0_from_exported_class_has_or_is_using_private_name_1:n.errorModuleName?Oa.Parameter_type_of_public_setter_0_from_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Parameter_type_of_public_setter_0_from_exported_class_has_or_is_using_private_name_1:jb(e)?n.errorModuleName?2===n.accessibility?Oa.Return_type_of_public_static_getter_0_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Return_type_of_public_static_getter_0_from_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Return_type_of_public_static_getter_0_from_exported_class_has_or_is_using_private_name_1:n.errorModuleName?2===n.accessibility?Oa.Return_type_of_public_getter_0_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Return_type_of_public_getter_0_from_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Return_type_of_public_getter_0_from_exported_class_has_or_is_using_private_name_1;return{diagnosticMessage:t,errorNode:e.name,typeName:e.name}}:MN(e)||CN(e)||AN(e)||xN(e)||sC(e)||PN(e)?function(n){let t;switch(e.kind){case 180:t=n.errorModuleName?Oa.Return_type_of_constructor_signature_from_exported_interface_has_or_is_using_name_0_from_private_module_1:Oa.Return_type_of_constructor_signature_from_exported_interface_has_or_is_using_private_name_0;break;case 179:t=n.errorModuleName?Oa.Return_type_of_call_signature_from_exported_interface_has_or_is_using_name_0_from_private_module_1:Oa.Return_type_of_call_signature_from_exported_interface_has_or_is_using_private_name_0;break;case 181:t=n.errorModuleName?Oa.Return_type_of_index_signature_from_exported_interface_has_or_is_using_name_0_from_private_module_1:Oa.Return_type_of_index_signature_from_exported_interface_has_or_is_using_private_name_0;break;case 174:case 173:t=jb(e)?n.errorModuleName?2===n.accessibility?Oa.Return_type_of_public_static_method_from_exported_class_has_or_is_using_name_0_from_external_module_1_but_cannot_be_named:Oa.Return_type_of_public_static_method_from_exported_class_has_or_is_using_name_0_from_private_module_1:Oa.Return_type_of_public_static_method_from_exported_class_has_or_is_using_private_name_0:263===e.parent.kind?n.errorModuleName?2===n.accessibility?Oa.Return_type_of_public_method_from_exported_class_has_or_is_using_name_0_from_external_module_1_but_cannot_be_named:Oa.Return_type_of_public_method_from_exported_class_has_or_is_using_name_0_from_private_module_1:Oa.Return_type_of_public_method_from_exported_class_has_or_is_using_private_name_0:n.errorModuleName?Oa.Return_type_of_method_from_exported_interface_has_or_is_using_name_0_from_private_module_1:Oa.Return_type_of_method_from_exported_interface_has_or_is_using_private_name_0;break;case 262:t=n.errorModuleName?2===n.accessibility?Oa.Return_type_of_exported_function_has_or_is_using_name_0_from_external_module_1_but_cannot_be_named:Oa.Return_type_of_exported_function_has_or_is_using_name_0_from_private_module_1:Oa.Return_type_of_exported_function_has_or_is_using_private_name_0;break;default:return Tt.fail("This is unknown kind for signature: "+e.kind)}return{diagnosticMessage:t,errorNode:e.name||e}}:bN(e)?gl(e,e.parent)&&Bb(e.parent,2)?n:function(n){const t=function(n){switch(e.parent.kind){case 176:return n.errorModuleName?2===n.accessibility?Oa.Parameter_0_of_constructor_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Parameter_0_of_constructor_from_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Parameter_0_of_constructor_from_exported_class_has_or_is_using_private_name_1;case 180:case 185:return n.errorModuleName?Oa.Parameter_0_of_constructor_signature_from_exported_interface_has_or_is_using_name_1_from_private_module_2:Oa.Parameter_0_of_constructor_signature_from_exported_interface_has_or_is_using_private_name_1;case 179:return n.errorModuleName?Oa.Parameter_0_of_call_signature_from_exported_interface_has_or_is_using_name_1_from_private_module_2:Oa.Parameter_0_of_call_signature_from_exported_interface_has_or_is_using_private_name_1;case 181:return n.errorModuleName?Oa.Parameter_0_of_index_signature_from_exported_interface_has_or_is_using_name_1_from_private_module_2:Oa.Parameter_0_of_index_signature_from_exported_interface_has_or_is_using_private_name_1;case 174:case 173:return jb(e.parent)?n.errorModuleName?2===n.accessibility?Oa.Parameter_0_of_public_static_method_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Parameter_0_of_public_static_method_from_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Parameter_0_of_public_static_method_from_exported_class_has_or_is_using_private_name_1:263===e.parent.parent.kind?n.errorModuleName?2===n.accessibility?Oa.Parameter_0_of_public_method_from_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Parameter_0_of_public_method_from_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Parameter_0_of_public_method_from_exported_class_has_or_is_using_private_name_1:n.errorModuleName?Oa.Parameter_0_of_method_from_exported_interface_has_or_is_using_name_1_from_private_module_2:Oa.Parameter_0_of_method_from_exported_interface_has_or_is_using_private_name_1;case 262:case 184:return n.errorModuleName?2===n.accessibility?Oa.Parameter_0_of_exported_function_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Parameter_0_of_exported_function_has_or_is_using_name_1_from_private_module_2:Oa.Parameter_0_of_exported_function_has_or_is_using_private_name_1;case 178:case 177:return n.errorModuleName?2===n.accessibility?Oa.Parameter_0_of_accessor_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Parameter_0_of_accessor_has_or_is_using_name_1_from_private_module_2:Oa.Parameter_0_of_accessor_has_or_is_using_private_name_1;default:return Tt.fail(`Unknown parent for parameter: ${Tt.formatSyntaxKind(e.parent.kind)}`)}}(n);return void 0!==t?{diagnosticMessage:t,errorNode:e,typeName:e.name}:void 0}:vN(e)?function(){let n;switch(e.parent.kind){case 263:n=Oa.Type_parameter_0_of_exported_class_has_or_is_using_private_name_1;break;case 264:n=Oa.Type_parameter_0_of_exported_interface_has_or_is_using_private_name_1;break;case 200:n=Oa.Type_parameter_0_of_exported_mapped_object_type_is_using_private_name_1;break;case 185:case 180:n=Oa.Type_parameter_0_of_constructor_signature_from_exported_interface_has_or_is_using_private_name_1;break;case 179:n=Oa.Type_parameter_0_of_call_signature_from_exported_interface_has_or_is_using_private_name_1;break;case 174:case 173:n=jb(e.parent)?Oa.Type_parameter_0_of_public_static_method_from_exported_class_has_or_is_using_private_name_1:263===e.parent.parent.kind?Oa.Type_parameter_0_of_public_method_from_exported_class_has_or_is_using_private_name_1:Oa.Type_parameter_0_of_method_from_exported_interface_has_or_is_using_private_name_1;break;case 184:case 262:n=Oa.Type_parameter_0_of_exported_function_has_or_is_using_private_name_1;break;case 195:n=Oa.Extends_clause_for_inferred_type_0_has_or_is_using_private_name_1;break;case 265:n=Oa.Type_parameter_0_of_exported_type_alias_has_or_is_using_private_name_1;break;default:return Tt.fail("This is unknown parent for type parameter: "+e.parent.kind)}return{diagnosticMessage:n,errorNode:e,typeName:e.name}}:CD(e)?function(){let n;n=lC(e.parent.parent)?YC(e.parent)&&119===e.parent.token?Oa.Implements_clause_of_exported_class_0_has_or_is_using_private_name_1:e.parent.parent.name?Oa.extends_clause_of_exported_class_0_has_or_is_using_private_name_1:Oa.extends_clause_of_exported_class_has_or_is_using_private_name_0:Oa.extends_clause_of_exported_interface_0_has_or_is_using_private_name_1;return{diagnosticMessage:n,errorNode:e,typeName:jl(e.parent.parent)}}:hC(e)?function(){return{diagnosticMessage:Oa.Import_declaration_0_is_using_private_name_1,errorNode:e,typeName:e.name}}:dC(e)||Kg(e)?function(n){return{diagnosticMessage:n.errorModuleName?Oa.Exported_type_alias_0_has_or_is_using_private_name_1_from_module_2:Oa.Exported_type_alias_0_has_or_is_using_private_name_1,errorNode:Kg(e)?Tt.checkDefined(e.typeExpression):e.type,typeName:Kg(e)?jl(e):e.name}}:Tt.assertNever(e,`Attempted to set a declaration diagnostic context for unhandled node kind: ${Tt.formatSyntaxKind(e.kind)}`);function n(n){const t=function(n){return 260===e.kind||208===e.kind?n.errorModuleName?2===n.accessibility?Oa.Exported_variable_0_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Exported_variable_0_has_or_is_using_name_1_from_private_module_2:Oa.Exported_variable_0_has_or_is_using_private_name_1:172===e.kind||211===e.kind||212===e.kind||226===e.kind||171===e.kind||169===e.kind&&Bb(e.parent,2)?jb(e)?n.errorModuleName?2===n.accessibility?Oa.Public_static_property_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Public_static_property_0_of_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Public_static_property_0_of_exported_class_has_or_is_using_private_name_1:263===e.parent.kind||169===e.kind?n.errorModuleName?2===n.accessibility?Oa.Public_property_0_of_exported_class_has_or_is_using_name_1_from_external_module_2_but_cannot_be_named:Oa.Public_property_0_of_exported_class_has_or_is_using_name_1_from_private_module_2:Oa.Public_property_0_of_exported_class_has_or_is_using_private_name_1:n.errorModuleName?Oa.Property_0_of_exported_interface_has_or_is_using_name_1_from_private_module_2:Oa.Property_0_of_exported_interface_has_or_is_using_private_name_1:void 0}(n);return void 0!==t?{diagnosticMessage:t,errorNode:e,typeName:e.name}:void 0}}var Xj,Yj=g({"src/compiler/transformers/declarations/diagnostics.ts"(){JJ()}});function $j(e,n,t){const r=e.getCompilerOptions();return pV(n,e,UA,r,t?[t]:W(e.getSourceFiles(),Qh),[Qj],!1).diagnostics}function Qj(e){const n=()=>Tt.fail("Diagnostic emitted without context");let t,r,i,a,s,l,c=n,d=!0,u=!1,p=!1,f=!1,m=!1;const{factory:_}=e,h=e.getEmitHost(),g={trackSymbol:function(e,n,t){if(262144&e.flags)return!1;const r=L(R.isSymbolAccessible(e,n,t,!0));return C(R.getTypeReferenceDirectivesForSymbol(e,t)),r},reportInaccessibleThisError:function(){(y||v)&&e.addDiagnostic(d_(y||v,Oa.The_inferred_type_of_0_references_an_inaccessible_1_type_A_type_annotation_is_necessary,w(),"this"))},reportInaccessibleUniqueSymbolError:function(){(y||v)&&e.addDiagnostic(d_(y||v,Oa.The_inferred_type_of_0_references_an_inaccessible_1_type_A_type_annotation_is_necessary,w(),"unique symbol"))},reportCyclicStructureError:function(){(y||v)&&e.addDiagnostic(d_(y||v,Oa.The_inferred_type_of_0_references_a_type_with_a_cyclic_structure_which_cannot_be_trivially_serialized_A_type_annotation_is_necessary,w()))},reportPrivateInBaseOfClassExpression:function(n){(y||v)&&e.addDiagnostic(d_(y||v,Oa.Property_0_of_exported_class_expression_may_not_be_private_or_protected,n))},reportLikelyUnsafeImportRequiredError:function(n){(y||v)&&e.addDiagnostic(d_(y||v,Oa.The_inferred_type_of_0_cannot_be_named_without_a_reference_to_1_This_is_likely_not_portable_A_type_annotation_is_necessary,w(),n))},reportTruncationError:function(){(y||v)&&e.addDiagnostic(d_(y||v,Oa.The_inferred_type_of_this_node_exceeds_the_maximum_length_the_compiler_will_serialize_An_explicit_type_annotation_is_needed))},moduleResolverHost:h,trackReferencedAmbientModule:M,trackExternalModuleSymbolOfImportTypeNode:function(e){u||(l||(l=[])).push(e)},reportNonlocalAugmentation:function(n,t,r){var o;const i=null==(o=t.declarations)?void 0:o.find((e=>$f(e)===n)),a=W(r.declarations,(e=>$f(e)!==n));if(i&&a)for(const n of a)e.addDiagnostic(xx(d_(n,Oa.Declaration_augments_declaration_in_another_file_This_cannot_be_serialized),d_(i,Oa.This_is_the_declaration_being_augmented_Consider_moving_the_augmenting_declaration_into_the_same_file)))},reportNonSerializableProperty:function(n){(y||v)&&e.addDiagnostic(d_(y||v,Oa.The_type_of_this_node_cannot_be_serialized_because_its_property_0_cannot_be_serialized,n))}};let y,v,S,T,x,A;const R=e.getEmitResolver(),I=e.getCompilerOptions(),{noResolve:N,stripInternal:D}=I;return function(o){if(312===o.kind&&o.isDeclarationFile)return o;if(313===o.kind){u=!0,T=new Map,x=new Map;let r=!1;const l=_.createBundle(B(o.sourceFiles,(o=>{if(o.isDeclarationFile)return;if(r=r||o.hasNoDefaultLib,S=o,t=o,i=void 0,s=!1,a=new Map,c=n,f=!1,m=!1,F(o,T),z(o,x),T_(o)||x_(o)){p=!1,d=!1;const n=Jh(o)?_.createNodeArray(O(o,!0)):oG(o.statements,ce,wu);return _.updateSourceFile(o,[_.createModuleDeclaration([_.createModifier(138)],_.createStringLiteral(Xv(e.getEmitHost(),o)),_.createModuleBlock(yL(_.createNodeArray(se(n)),o.statements)))],!0,[],[],!1,[])}d=!0;const l=Jh(o)?_.createNodeArray(O(o)):oG(o.statements,ce,wu);return _.updateSourceFile(o,se(l),!0,[],[],!1,[])})),Y(o.prepends,(e=>{if(315===e.kind){const n=rR(e,"dts",D);return r=r||!!n.hasNoDefaultLib,F(n,T),C(B(n.typeReferenceDirectives,(e=>[e.fileName,e.resolutionMode]))),z(n,x),n}return e})));l.syntheticFileReferences=[],l.syntheticTypeReferences=N(),l.syntheticLibReferences=R(),l.hasNoDefaultLib=r;const g=ra(ca(xV(o,h,!0).declarationFilePath)),y=P(l.syntheticFileReferences,g);return T.forEach(y),l}d=!0,f=!1,m=!1,t=o,S=o,c=n,u=!1,p=!1,s=!1,i=void 0,a=new Map,r=void 0,T=F(S,new Map),x=z(S,new Map);const g=[],y=ra(ca(xV(o,h,!0).declarationFilePath)),v=P(g,y);let b;if(Jh(S))b=_.createNodeArray(O(o)),T.forEach(v),A=W(b,Ym);else{const e=oG(o.statements,ce,wu);b=yL(_.createNodeArray(se(e)),o.statements),T.forEach(v),A=W(b,Ym),uk(o)&&(!p||f&&!m)&&(b=yL(_.createNodeArray([...b,$M(_)]),b))}const E=_.updateSourceFile(o,b,!0,g,N(),o.hasNoDefaultLib,R());return E.exportedModulesFromDeclarationEmit=l,E;function R(){return Je(x.keys(),(e=>({fileName:e,pos:-1,end:-1})))}function N(){return r?Y(Je(r.keys()),M):[]}function M([e,n]){if(A)for(const n of A)if(hC(n)&&wC(n.moduleReference)){const t=n.moduleReference.expression;if(tp(t)&&t.text===e)return}else if(gC(n)&&zI(n.moduleSpecifier)&&n.moduleSpecifier.text===e)return;return{fileName:e,pos:-1,end:-1,...n?{resolutionMode:n}:void 0}}function P(e,n){return t=>{if(null==l?void 0:l.includes(t.symbol))return;let r;if(t.isDeclarationFile)r=t.fileName;else{if(u&&k(o.sourceFiles,t))return;const e=xV(t,h,!0);r=e.declarationFilePath||e.jsFilePath||t.fileName}if(r){const t=nz(I,S,ma(n,h.getCurrentDirectory()),ma(r,h.getCurrentDirectory()),h);if(!Ji(t))return void C([[t,void 0]]);let o=La(n,r,h.getCurrentDirectory(),h.getCanonicalFileName,!1);if(st(o,"./")&&Yi(o)&&(o=o.substring(2)),st(o,"node_modules/")||HF(o))return;e.push({pos:-1,end:-1,fileName:o})}}}};function C(e){if(e){r=r||new Set;for(const n of e)r.add(n)}}function M(e,n){const t=R.getTypeReferenceDirectivesForSymbol(n,-1);if(b(t))return C(t);const r=$f(e);T.set(zG(r),r)}function P(e){const n=Fg(e),t=n&&R.tryFindAmbientModule(n);if(null==t?void 0:t.declarations)for(const e of t.declarations)km(e)&&$f(e)!==S&&M(e,t)}function L(n){if(0===n.accessibility){if(n.aliasesToMakeVisible)if(i)for(const e of n.aliasesToMakeVisible)Se(i,e);else i=n.aliasesToMakeVisible}else{const t=c(n);if(t)return t.typeName?e.addDiagnostic(d_(n.errorNode||t.errorNode,t.diagnosticMessage,xm(t.typeName),n.errorSymbolName,n.errorModuleName)):e.addDiagnostic(d_(n.errorNode||t.errorNode,t.diagnosticMessage,n.errorSymbolName,n.errorModuleName)),!0}return!1}function w(){return y?o_(y):v&&jl(v)?o_(jl(v)):v&&NC(v)?v.isExportEquals?"export=":"default":"(Missing)"}function O(e,n){const t=c;c=n=>n.errorNode&&Kj(n.errorNode)?Jj(n.errorNode)(n):{diagnosticMessage:n.errorModuleName?Oa.Declaration_emit_for_this_file_requires_using_private_name_0_from_module_1_An_explicit_type_annotation_may_unblock_declaration_emit:Oa.Declaration_emit_for_this_file_requires_using_private_name_0_An_explicit_type_annotation_may_unblock_declaration_emit,errorNode:n.errorNode||e};const r=R.getDeclarationStatementsForSourceFile(e,Xj,g,n);return c=t,r}function F(e,n){return N||!iM(e)&&Jh(e)||E(e.referencedFiles,(t=>{const r=h.getSourceFileFromReference(e,t);r&&n.set(zG(r),r)})),n}function z(e,n){return E(e.libReferenceDirectives,(e=>{h.getLibFileFromReference(e)&&n.set(xn(e.fileName),!0)})),n}function G(e){return 80===e.kind?e:207===e.kind?_.updateArrayBindingPattern(e,oG(e.elements,n,Hd)):_.updateObjectBindingPattern(e,oG(e.elements,n,iD));function n(e){return 232===e.kind?e:(e.propertyName&&yN(e.propertyName)&&EE(e.propertyName.expression)&&ne(e.propertyName.expression,t),_.updateBindingElement(e,e.dotDotDotToken,e.propertyName,G(e.name),V(e)?e.initializer:void 0))}}function j(e,n,t){let r;s||(r=c,c=Jj(e));const o=_.updateParameterDeclaration(e,function(e,n,t,r){return e.createModifiersFromModifierFlags(Zj(n,t,r))}(_,e,n),e.dotDotDotToken,G(e.name),R.isOptionalParameter(e)?e.questionToken||_.createToken(58):void 0,q(e,t||e.type,!0),K(e));return s||(c=r),o}function V(e){return function(e){switch(e.kind){case 172:case 171:return!Gb(e,2);case 169:case 260:return!0}return!1}(e)&&R.isLiteralConstDeclaration(Cl(e))}function K(e){if(V(e))return R.createLiteralConstValue(Cl(e),g)}function q(e,n,r){if(!r&&Gb(e,2))return;if(V(e))return;const o=169===e.kind&&(R.isRequiredInitializedParameter(e)||R.isOptionalUninitializedParameterProperty(e));if(n&&!o)return rG(n,le,Bd);if(!Cl(e))return n?rG(n,le,Bd):_.createKeywordTypeNode(133);if(178===e.kind)return _.createKeywordTypeNode(133);let i;return y=e.name,s||(i=c,c=Jj(e)),260===e.kind||208===e.kind?a(R.createTypeOfDeclaration(e,t,Xj,g)):169===e.kind||172===e.kind||171===e.kind?SN(e)||!e.initializer?a(R.createTypeOfDeclaration(e,t,Xj,g,o)):a(R.createTypeOfDeclaration(e,t,Xj,g,o)||R.createTypeOfExpression(e.initializer,t,Xj,g)):a(R.createReturnTypeOfSignatureDeclaration(e,t,Xj,g));function a(e){return y=void 0,s||(c=i),e||_.createKeywordTypeNode(133)}}function J(e){switch((e=Cl(e)).kind){case 262:case 267:case 264:case 263:case 265:case 266:return!R.isDeclarationVisible(e);case 260:return!X(e);case 271:case 272:case 278:case 277:return!1;case 175:return!0}return!1}function X(e){return!DD(e)&&(Vd(e.name)?oe(e.name.elements,X):R.isDeclarationVisible(e))}function $(e,n,t){if(Gb(e,2))return _.createNodeArray();const r=B(n,(e=>j(e,t)));return r?_.createNodeArray(r,n.hasTrailingComma):_.createNodeArray()}function Q(e,n){let t;if(!n){const n=yb(e);n&&(t=[j(n)])}if(DN(e)){let r;if(!n){const n=hb(e);if(n){r=j(n,void 0,ve(e,R.getAllAccessorDeclarations(e)))}}r||(r=_.createParameterDeclaration(void 0,void 0,"value")),t=ye(t,r)}return _.createNodeArray(t||o)}function Z(e,n){return Gb(e,2)?void 0:oG(n,le,vN)}function ee(e){return rM(e)||dC(e)||pC(e)||lC(e)||cC(e)||Td(e)||PN(e)||QN(e)}function ne(e,n){L(R.isEntityNameVisible(e,n)),C(R.getTypeReferenceDirectivesForEntityName(e))}function te(e,n){return Xu(e)&&Xu(n)&&(e.jsDoc=n.jsDoc),xR(e,TR(n))}function re(n,t){if(t){if(p=p||267!==n.kind&&205!==n.kind,tp(t))if(u){const t=$v(e.getEmitHost(),R,n);if(t)return _.createStringLiteral(t)}else{const e=R.getSymbolOfExternalModuleSpecifier(t);e&&(l||(l=[])).push(e)}return t}}function ie(e){const n=HU(e);return e&&void 0!==n?e:void 0}function se(e){for(;b(i);){const e=i.shift();if(!Qm(e))return Tt.fail(`Late replaced statement was found which is not handled by the declaration transformer!: ${Tt.formatSyntaxKind(e.kind)}`);const n=d;d=e.parent&&rM(e.parent)&&!(uk(e.parent)&&u);const t=pe(e);d=n,a.set(zG(e),t)}return oG(e,(function(e){if(Qm(e)){const n=zG(e);if(a.has(n)){const t=a.get(n);return a.delete(n),t&&((pn(t)?oe(t,gu):gu(t))&&(f=!0),rM(e.parent)&&(pn(t)?oe(t,yu):yu(t))&&(p=!0)),t}}return e}),wu)}function le(n){if(me(n))return;if(Pu(n)){if(J(n))return;if(rv(n)&&!R.isLateBound(Cl(n)))return}if(Td(n)&&R.isImplementationOfOverload(n))return;if(zD(n))return;let r;ee(n)&&(r=t,t=n);const o=c,i=Kj(n),a=s;let l=(187===n.kind||200===n.kind)&&265!==n.parent.kind;if((AN(n)||xN(n))&&Gb(n,2)){if(n.symbol&&n.symbol.declarations&&n.symbol.declarations[0]!==n)return;return u(_.createPropertyDeclaration(ge(n),n.name,void 0,void 0,void 0))}if(i&&!s&&(c=Jj(n)),FN(n)&&ne(n.exprName,t),l&&(s=!0),function(e){switch(e.kind){case 180:case 176:case 174:case 177:case 178:case 172:case 171:case 173:case 179:case 181:case 260:case 168:case 233:case 183:case 194:case 184:case 185:case 205:return!0}return!1}(n))switch(n.kind){case 233:{(bd(n.expression)||EE(n.expression))&&ne(n.expression,t);const r=fG(n,le,e);return u(_.updateExpressionWithTypeArguments(r,r.expression,r.typeArguments))}case 183:{ne(n.typeName,t);const r=fG(n,le,e);return u(_.updateTypeReferenceNode(r,r.typeName,r.typeArguments))}case 180:return u(_.updateConstructSignature(n,Z(n,n.typeParameters),$(n,n.parameters),q(n,n.type)));case 176:return u(_.createConstructorDeclaration(ge(n),$(n,n.parameters,0),void 0));case 174:if(rN(n.name))return u(void 0);return u(_.createMethodDeclaration(ge(n),void 0,n.name,n.questionToken,Z(n,n.typeParameters),$(n,n.parameters),q(n,n.type),void 0));case 177:{if(rN(n.name))return u(void 0);const e=ve(n,R.getAllAccessorDeclarations(n));return u(_.updateGetAccessorDeclaration(n,ge(n),n.name,Q(n,Gb(n,2)),q(n,e),void 0))}case 178:return rN(n.name)?u(void 0):u(_.updateSetAccessorDeclaration(n,ge(n),n.name,Q(n,Gb(n,2)),void 0));case 172:return rN(n.name)?u(void 0):u(_.updatePropertyDeclaration(n,ge(n),n.name,n.questionToken,q(n,n.type),K(n)));case 171:return rN(n.name)?u(void 0):u(_.updatePropertySignature(n,ge(n),n.name,n.questionToken,q(n,n.type)));case 173:return rN(n.name)?u(void 0):u(_.updateMethodSignature(n,ge(n),n.name,n.questionToken,Z(n,n.typeParameters),$(n,n.parameters),q(n,n.type)));case 179:return u(_.updateCallSignature(n,Z(n,n.typeParameters),$(n,n.parameters),q(n,n.type)));case 181:return u(_.updateIndexSignature(n,ge(n),$(n,n.parameters),rG(n.type,le,Bd)||_.createKeywordTypeNode(133)));case 260:return Vd(n.name)?fe(n.name):(l=!0,s=!0,u(_.updateVariableDeclaration(n,n.name,void 0,q(n,n.type),K(n))));case 168:return 174===(d=n).parent.kind&&Gb(d.parent,2)&&(n.default||n.constraint)?u(_.updateTypeParameterDeclaration(n,n.modifiers,n.name,void 0,void 0)):u(fG(n,le,e));case 194:{const e=rG(n.checkType,le,Bd),r=rG(n.extendsType,le,Bd),o=t;t=n.trueType;const i=rG(n.trueType,le,Bd);t=o;const a=rG(n.falseType,le,Bd);return Tt.assert(e),Tt.assert(r),Tt.assert(i),Tt.assert(a),u(_.updateConditionalTypeNode(n,e,r,i,a))}case 184:return u(_.updateFunctionTypeNode(n,oG(n.typeParameters,le,vN),$(n,n.parameters),Tt.checkDefined(rG(n.type,le,Bd))));case 185:return u(_.updateConstructorTypeNode(n,ge(n),oG(n.typeParameters,le,vN),$(n,n.parameters),Tt.checkDefined(rG(n.type,le,Bd))));case 205:return k_(n)?(P(n),u(_.updateImportTypeNode(n,_.updateLiteralTypeNode(n.argument,re(n,n.argument.literal)),n.attributes,n.qualifier,oG(n.typeArguments,le,Bd),n.isTypeOf))):u(n);default:Tt.assertNever(n,`Attempted to process unhandled node kind: ${Tt.formatSyntaxKind(n.kind)}`)}var d;return GN(n)&&_s(S,n.pos).line===_s(S,n.end).line&&fR(n,1),u(fG(n,le,e));function u(e){return e&&i&&rv(n)&&function(e){let n;s||(n=c,c=qj(e));y=e.name,Tt.assert(R.isLateBound(Cl(e)));const r=e;ne(r.name.expression,t),s||(c=n);y=void 0}(n),ee(n)&&(t=r),i&&!s&&(c=o),l&&(s=a),e===n?e:e&&lR(te(e,n),n)}}function ce(e){if(!function(e){switch(e.kind){case 262:case 267:case 271:case 264:case 263:case 265:case 266:case 243:case 272:case 278:case 277:return!0}return!1}(e))return;if(me(e))return;switch(e.kind){case 278:return rM(e.parent)&&(p=!0),m=!0,P(e),_.updateExportDeclaration(e,e.modifiers,e.isTypeOnly,e.exportClause,re(e,e.moduleSpecifier),ie(e.attributes));case 277:if(rM(e.parent)&&(p=!0),m=!0,80===e.expression.kind)return e;{const n=_.createUniqueName("_default",16);c=()=>({diagnosticMessage:Oa.Default_export_of_the_module_has_or_is_using_private_name_0,errorNode:e}),v=e;const t=_.createVariableDeclaration(n,void 0,R.createTypeOfExpression(e.expression,e,Xj,g),void 0);v=void 0;const r=_.createVariableStatement(d?[_.createModifier(138)]:[],_.createVariableDeclarationList([t],2));return te(r,e),pR(e),[r,_.updateExportAssignment(e,e.modifiers,n)]}}const n=pe(e);return a.set(zG(e),n),e}function de(e){if(hC(e)||Gb(e,2048)||!vL(e))return e;const n=_.createModifiersFromModifierFlags(131039&Zb(e));return _.replaceModifiers(e,n)}function ue(e,n,t,r){const o=_.updateModuleDeclaration(e,n,t,r);if(km(o)||32&o.flags)return o;const i=_.createModuleDeclaration(o.modifiers,o.name,o.body,32|o.flags);return lR(i,o),yL(i,o),i}function pe(e){if(i)for(;Zn(i,e););if(me(e))return;switch(e.kind){case 271:{const n=function(e){if(R.isDeclarationVisible(e)){if(283===e.moduleReference.kind){const n=Hh(e);return _.updateImportEqualsDeclaration(e,e.modifiers,e.isTypeOnly,e.name,_.updateExternalModuleReference(e.moduleReference,re(e,n)))}{const n=c;return c=Jj(e),ne(e.moduleReference,t),c=n,e}}}(e);return n&&P(e),n}case 272:{const n=function(e){if(!e.importClause)return _.updateImportDeclaration(e,e.modifiers,e.importClause,re(e,e.moduleSpecifier),ie(e.attributes));const n=e.importClause&&e.importClause.name&&R.isDeclarationVisible(e.importClause)?e.importClause.name:void 0;if(!e.importClause.namedBindings)return n&&_.updateImportDeclaration(e,e.modifiers,_.updateImportClause(e.importClause,e.importClause.isTypeOnly,n,void 0),re(e,e.moduleSpecifier),ie(e.attributes));if(274===e.importClause.namedBindings.kind){const t=R.isDeclarationVisible(e.importClause.namedBindings)?e.importClause.namedBindings:void 0;return n||t?_.updateImportDeclaration(e,e.modifiers,_.updateImportClause(e.importClause,e.importClause.isTypeOnly,n,t),re(e,e.moduleSpecifier),ie(e.attributes)):void 0}const t=Y(e.importClause.namedBindings.elements,(e=>R.isDeclarationVisible(e)?e:void 0));return t&&t.length||n?_.updateImportDeclaration(e,e.modifiers,_.updateImportClause(e.importClause,e.importClause.isTypeOnly,n,t&&t.length?_.updateNamedImports(e.importClause.namedBindings,t):void 0),re(e,e.moduleSpecifier),ie(e.attributes)):R.isImportRequiredByAugmentation(e)?_.updateImportDeclaration(e,e.modifiers,void 0,re(e,e.moduleSpecifier),ie(e.attributes)):void 0}(e);return n&&P(e),n}}if(Pu(e)&&J(e))return;if(Td(e)&&R.isImplementationOfOverload(e))return;let n;ee(e)&&(n=t,t=e);const r=Kj(e),o=c;r&&(c=Jj(e));const s=d;switch(e.kind){case 265:{d=!1;const n=l(_.updateTypeAliasDeclaration(e,ge(e),e.name,oG(e.typeParameters,le,vN),Tt.checkDefined(rG(e.type,le,Bd))));return d=s,n}case 264:return l(_.updateInterfaceDeclaration(e,ge(e),e.name,Z(e,e.typeParameters),be(e.heritageClauses),oG(e.members,le,Wd)));case 262:{const n=l(_.updateFunctionDeclaration(e,ge(e),void 0,e.name,Z(e,e.typeParameters),$(e,e.parameters),q(e,e.type),void 0));if(n&&R.isExpandoFunctionDeclaration(e)&&function(e){var n;if(e.body)return!0;const t=null==(n=e.symbol.declarations)?void 0:n.filter((e=>sC(e)&&!e.body));return!t||t.indexOf(e)===t.length-1}(e)){const r=R.getPropertiesOfContainerFunction(e),i=IL.createModuleDeclaration(void 0,n.name||_.createIdentifier("_default"),_.createModuleBlock([]),32);Vx(i,t),i.locals=Mf(r),i.symbol=r[0].parent;const a=[];let s=Y(r,(e=>{if(!RA(e.valueDeclaration))return;const n=Pl(e.escapedName);if(!zs(n,99))return;c=Jj(e.valueDeclaration);const t=R.createTypeOfDeclaration(e.valueDeclaration,i,Xj,g);c=o;const r=Xy(n),s=r?_.getGeneratedNameForNode(e.valueDeclaration):_.createIdentifier(n);r&&a.push([s,n]);const l=_.createVariableDeclaration(s,void 0,t,void 0);return _.createVariableStatement(r?void 0:[_.createToken(95)],_.createVariableDeclarationList([l]))}));a.length?s.push(_.createExportDeclaration(void 0,!1,_.createNamedExports(B(a,(([e,n])=>_.createExportSpecifier(!1,e,n)))))):s=Y(s,(e=>_.replaceModifiers(e,0)));const l=_.createModuleDeclaration(ge(e),e.name,_.createModuleBlock(s),32);if(!Gb(n,2048))return[n,l];const d=_.createModifiersFromModifierFlags(-2081&Zb(n)|128),u=_.updateFunctionDeclaration(n,d,void 0,n.name,n.typeParameters,n.parameters,n.type,void 0),f=_.updateModuleDeclaration(l,d,l.name,l.body),h=_.createExportAssignment(void 0,!1,l.name);return rM(e.parent)&&(p=!0),m=!0,[u,f,h]}return n}case 267:{d=!1;const n=e.body;if(n&&268===n.kind){const t=f,r=m;m=!1,f=!1;let o=se(oG(n.statements,ce,wu));33554432&e.flags&&(f=!1),Gm(e)||function(e){return oe(e,_e)}(o)||m||(o=f?_.createNodeArray([...o,$M(_)]):oG(o,de,wu));const i=_.updateModuleBlock(n,o);d=s,f=t,m=r;const a=ge(e);return l(ue(e,a,Bm(e)?re(e,e.name):e.name,i))}{d=s;const t=ge(e);d=!1,rG(n,ce);const r=zG(n),o=a.get(r);return a.delete(r),l(ue(e,t,e.name,o))}}case 263:{y=e.name,v=e;const n=_.createNodeArray(ge(e)),t=Z(e,e.typeParameters),r=_b(e);let o;if(r){const e=c;o=he(H(r.parameters,(e=>{if(Bb(e,31)&&!me(e))return c=Jj(e),80===e.name.kind?te(_.createPropertyDeclaration(ge(e),e.name,e.questionToken,q(e,e.type),K(e)),e):function n(t){let r;for(const o of t.elements)DD(o)||(Vd(o.name)&&(r=ae(r,n(o.name))),r=r||[],r.push(_.createPropertyDeclaration(ge(e),o.name,void 0,q(o,void 0),void 0)));return r}(e.name)}))),c=e}const i=ae(ae(oe(e.members,(e=>!!e.name&&rN(e.name)))?[_.createPropertyDeclaration(void 0,_.createPrivateIdentifier("#private"),void 0,void 0,void 0)]:void 0,o),oG(e.members,le,Cd)),a=_.createNodeArray(i),s=Oy(e);if(s&&!EE(s.expression)&&106!==s.expression.kind){const r=e.name?Pl(e.name.escapedText):"default",o=_.createUniqueName(`${r}_base`,16);c=()=>({diagnosticMessage:Oa.extends_clause_of_exported_class_0_has_or_is_using_private_name_1,errorNode:s,typeName:e.name});const i=_.createVariableDeclaration(o,void 0,R.createTypeOfExpression(s.expression,e,Xj,g),void 0),u=_.createVariableStatement(d?[_.createModifier(138)]:[],_.createVariableDeclarationList([i],2)),p=_.createNodeArray(B(e.heritageClauses,(e=>{if(96===e.token){const n=c;c=Jj(e.types[0]);const t=_.updateHeritageClause(e,B(e.types,(e=>_.updateExpressionWithTypeArguments(e,o,oG(e.typeArguments,le,Bd)))));return c=n,t}return _.updateHeritageClause(e,oG(_.createNodeArray(W(e.types,(e=>EE(e.expression)||106===e.expression.kind))),le,CD))})));return[u,l(_.updateClassDeclaration(e,n,e.name,t,p,a))]}{const r=be(e.heritageClauses);return l(_.updateClassDeclaration(e,n,e.name,t,r,a))}}case 243:return l(function(e){if(!E(e.declarationList.declarations,X))return;const n=oG(e.declarationList.declarations,le,iC);if(!b(n))return;const t=_.createNodeArray(ge(e));let r;N_(e.declarationList)||I_(e.declarationList)?(r=_.createVariableDeclarationList(n,2),lR(r,e.declarationList),yL(r,e.declarationList),xR(r,e.declarationList)):r=_.updateVariableDeclarationList(e.declarationList,n);return _.updateVariableStatement(e,t,r)}(e));case 266:return l(_.updateEnumDeclaration(e,_.createNodeArray(ge(e)),e.name,_.createNodeArray(Y(e.members,(e=>{if(me(e))return;const n=R.getConstantValue(e),t=void 0===n?void 0:"string"==typeof n?_.createStringLiteral(n):n<0?_.createPrefixUnaryExpression(41,_.createNumericLiteral(-n)):_.createNumericLiteral(n);return te(_.updateEnumMember(e,e.name,t),e)})))))}return Tt.assertNever(e,`Unhandled top-level node in declaration emit: ${Tt.formatSyntaxKind(e.kind)}`);function l(i){return ee(e)&&(t=n),r&&(c=o),267===e.kind&&(d=s),i===e?i:(v=void 0,y=void 0,i&&lR(te(i,e),e))}}function fe(e){return U(Y(e.elements,(e=>function(e){if(232===e.kind)return;if(e.name){if(!X(e))return;return Vd(e.name)?fe(e.name):_.createVariableDeclaration(e.name,void 0,q(e,void 0),void 0)}}(e))))}function me(e){return!!D&&!!e&&sp(e,S)}function _e(e){return NC(e)||DC(e)}function ge(e){const n=Zb(e),t=function(e){let n=130030,t=d&&!function(e){if(264===e.kind)return!0;return!1}(e)?128:0;const r=312===e.parent.kind;(!r||u&&r&&uk(e.parent))&&(n^=128,t=0);return Zj(e,n,t)}(e);return n===t?iG(e.modifiers,(e=>hn(e,vd)),vd):_.createModifiersFromModifierFlags(t)}function ve(e,n){let t=eV(e);return t||e===n.firstAccessor||(t=eV(n.firstAccessor),c=Jj(n.firstAccessor)),!t&&n.secondAccessor&&e!==n.secondAccessor&&(t=eV(n.secondAccessor),c=Jj(n.secondAccessor)),t}function be(e){return _.createNodeArray(W(B(e,(e=>_.updateHeritageClause(e,oG(_.createNodeArray(W(e.types,(n=>EE(n.expression)||96===e.token&&106===n.expression.kind))),le,CD)))),(e=>e.types&&!!e.types.length)))}}function Zj(e,n=131070,t=0){let r=Zb(e)&n|t;return 2048&r&&!(32&r)&&(r^=32),2048&r&&128&r&&(r^=128),r}function eV(e){if(e)return 177===e.kind?e.type:e.parameters.length>0?e.parameters[0].type:void 0}var nV,tV,rV=g({"src/compiler/transformers/declarations.ts"(){JJ(),Vz(),Xj=531469}});function oV(e,n,t){return{scriptTransformers:iV(e,n,t),declarationTransformers:aV(n)}}function iV(e,n,t){if(t)return o;const r=jp(e),i=Vp(e),a=rf(e),s=[];return Ee(s,n&&B(n.before,lV)),s.push(YB),e.experimentalDecorators&&s.push(rj),PT(e)&&s.push(Rj),r<99&&s.push(yj),e.experimentalDecorators||!(r<99)&&a||s.push(ij),s.push(QB),r<8&&s.push(hj),r<7&&s.push(mj),r<6&&s.push(pj),r<5&&s.push(dj),r<4&&s.push(sj),r<3&&s.push(Nj),r<2&&(s.push(Mj),s.push(wj)),s.push(function(e){switch(e){case 99:case 7:case 6:case 5:case 200:return jj;case 4:return Gj;case 100:case 199:return Uj;default:return Wj}}(i)),r<1&&s.push(Lj),Ee(s,n&&B(n.after,lV)),s}function aV(e){const n=[];return n.push(Qj),Ee(n,e&&B(e.afterDeclarations,cV)),n}function sV(e,n){return t=>{const r=e(t);return"function"==typeof r?n(t,r):function(e){return n=>oM(n)?e.transformBundle(n):e.transformSourceFile(n)}(r)}}function lV(e){return sV(e,BG)}function cV(e){return sV(e,((e,n)=>n))}function dV(e,n){return n}function uV(e,n,t){t(e,n)}function pV(e,n,t,r,o,i,a){var s,l;const c=new Array(363);let d,u,p,f,m,_=0,h=[],g=[],y=[],v=[],b=0,E=!1,S=[],T=0,x=dV,A=uV,R=0;const I=[],N={factory:t,getCompilerOptions:()=>r,getEmitResolver:()=>e,getEmitHost:()=>n,getEmitHelperFactory:Rn((()=>MI(N))),startLexicalEnvironment:function(){Tt.assert(R>0,"Cannot modify the lexical environment during initialization."),Tt.assert(R<2,"Cannot modify the lexical environment after transformation has completed."),Tt.assert(!E,"Lexical environment is suspended."),h[b]=d,g[b]=u,y[b]=p,v[b]=_,b++,d=void 0,u=void 0,p=void 0,_=0},suspendLexicalEnvironment:function(){Tt.assert(R>0,"Cannot modify the lexical environment during initialization."),Tt.assert(R<2,"Cannot modify the lexical environment after transformation has completed."),Tt.assert(!E,"Lexical environment is already suspended."),E=!0},resumeLexicalEnvironment:function(){Tt.assert(R>0,"Cannot modify the lexical environment during initialization."),Tt.assert(R<2,"Cannot modify the lexical environment after transformation has completed."),Tt.assert(E,"Lexical environment is not suspended."),E=!1},endLexicalEnvironment:function(){let e;if(Tt.assert(R>0,"Cannot modify the lexical environment during initialization."),Tt.assert(R<2,"Cannot modify the lexical environment after transformation has completed."),Tt.assert(!E,"Lexical environment is suspended."),d||u||p){if(u&&(e=[...u]),d){const n=t.createVariableStatement(void 0,t.createVariableDeclarationList(d));fR(n,2097152),e?e.push(n):e=[n]}p&&(e=e?[...e,...p]:[...p])}b--,d=h[b],u=g[b],p=y[b],_=v[b],0===b&&(h=[],g=[],y=[],v=[]);return e},setLexicalEnvironmentFlags:function(e,n){_=n?_|e:_&~e},getLexicalEnvironmentFlags:function(){return _},hoistVariableDeclaration:function(e){Tt.assert(R>0,"Cannot modify the lexical environment during initialization."),Tt.assert(R<2,"Cannot modify the lexical environment after transformation has completed.");const n=fR(t.createVariableDeclaration(e),128);d?d.push(n):d=[n];1&_&&(_|=2)},hoistFunctionDeclaration:function(e){Tt.assert(R>0,"Cannot modify the lexical environment during initialization."),Tt.assert(R<2,"Cannot modify the lexical environment after transformation has completed."),fR(e,2097152),u?u.push(e):u=[e]},addInitializationStatement:function(e){Tt.assert(R>0,"Cannot modify the lexical environment during initialization."),Tt.assert(R<2,"Cannot modify the lexical environment after transformation has completed."),fR(e,2097152),p?p.push(e):p=[e]},startBlockScope:function(){Tt.assert(R>0,"Cannot start a block scope during initialization."),Tt.assert(R<2,"Cannot start a block scope after transformation has completed."),S[T]=f,T++,f=void 0},endBlockScope:function(){Tt.assert(R>0,"Cannot end a block scope during initialization."),Tt.assert(R<2,"Cannot end a block scope after transformation has completed.");const e=oe(f)?[t.createVariableStatement(void 0,t.createVariableDeclarationList(f.map((e=>t.createVariableDeclaration(e))),1))]:void 0;T--,f=S[T],0===T&&(S=[]);return e},addBlockScopedVariable:function(e){Tt.assert(T>0,"Cannot add a block scoped variable outside of an iteration body."),(f||(f=[])).push(e)},requestEmitHelper:function e(n){if(Tt.assert(R>0,"Cannot modify the transformation context during initialization."),Tt.assert(R<2,"Cannot modify the transformation context after transformation has completed."),Tt.assert(!n.scoped,"Cannot request a scoped emit helper."),n.dependencies)for(const t of n.dependencies)e(t);m=ye(m,n)},readEmitHelpers:function(){Tt.assert(R>0,"Cannot modify the transformation context during initialization."),Tt.assert(R<2,"Cannot modify the transformation context after transformation has completed.");const e=m;return m=void 0,e},enableSubstitution:function(e){Tt.assert(R<2,"Cannot modify the transformation context after transformation has completed."),c[e]|=1},enableEmitNotification:function(e){Tt.assert(R<2,"Cannot modify the transformation context after transformation has completed."),c[e]|=2},isSubstitutionEnabled:L,isEmitNotificationEnabled:k,get onSubstituteNode(){return x},set onSubstituteNode(e){Tt.assert(R<1,"Cannot modify transformation hooks after initialization has completed."),Tt.assert(void 0!==e,"Value must not be 'undefined'"),x=e},get onEmitNode(){return A},set onEmitNode(e){Tt.assert(R<1,"Cannot modify transformation hooks after initialization has completed."),Tt.assert(void 0!==e,"Value must not be 'undefined'"),A=e},addDiagnostic(e){I.push(e)}};for(const e of o)uR($f(Cl(e)));gr("beforeTransform");const D=i.map((e=>e(N))),C=e=>{for(const n of D)e=n(e);return e};R=1;const M=[];for(const e of o)null==(s=Cr)||s.push(Cr.Phase.Emit,"transformNodes",312===e.kind?{path:e.path}:{kind:e.kind,pos:e.pos,end:e.end}),M.push((a?C:P)(e)),null==(l=Cr)||l.pop();return R=2,gr("afterTransform"),yr("transformTime","beforeTransform","afterTransform"),{transformed:M,substituteNode:function(e,n){return Tt.assert(R<3,"Cannot substitute a node after the result is disposed."),n&&L(n)&&x(e,n)||n},emitNodeWithNotification:function(e,n,t){Tt.assert(R<3,"Cannot invoke TransformationResult callbacks after the result is disposed."),n&&(k(n)?A(e,n,t):t(e,n))},isEmitNotificationEnabled:k,dispose:function(){if(R<3){for(const e of o)uR($f(Cl(e)));d=void 0,h=void 0,u=void 0,g=void 0,x=void 0,A=void 0,m=void 0,R=3}},diagnostics:I};function P(e){return!e||rM(e)&&e.isDeclarationFile?e:C(e)}function L(e){return!(!(1&c[e.kind])||8&Im(e))}function k(e){return!!(2&c[e.kind])||!!(4&Im(e))}}var fV,mV,_V,hV,gV,yV,vV=g({"src/compiler/transformer.ts"(){JJ(),ni(),nV={scriptTransformers:o,declarationTransformers:o},tV={factory:UA,getCompilerOptions:()=>({}),getEmitResolver:An,getEmitHost:An,getEmitHelperFactory:An,startLexicalEnvironment:yn,resumeLexicalEnvironment:yn,suspendLexicalEnvironment:yn,endLexicalEnvironment:En,setLexicalEnvironmentFlags:yn,getLexicalEnvironmentFlags:()=>0,hoistVariableDeclaration:yn,hoistFunctionDeclaration:yn,addInitializationStatement:yn,startBlockScope:yn,endBlockScope:En,addBlockScopedVariable:yn,requestEmitHelper:yn,readEmitHelpers:An,enableSubstitution:yn,enableEmitNotification:yn,isSubstitutionEnabled:An,isEmitNotificationEnabled:An,onSubstituteNode:dV,onEmitNode:uV,addDiagnostic:yn}}});function bV(e){return $i(e,".tsbuildinfo")}function EV(e,n,t,r=!1,o,i){const a=pn(t)?t:ab(e,t,r),s=e.getCompilerOptions();if(ob(s)){const t=e.getPrependNodes();if(a.length||t.length){const o=UA.createBundle(a,t),i=n(xV(o,e,r),o);if(i)return i}}else{if(!o)for(const t of a){const o=n(xV(t,e,r),t);if(o)return o}if(i){const e=SV(s);if(e)return n({buildInfoPath:e},void 0)}}}function SV(e){const n=e.configFilePath;if(!ef(e))return;if(e.tsBuildInfoFile)return e.tsBuildInfoFile;const t=ob(e);let r;if(t)r=cx(t);else{if(!n)return;const t=cx(n);r=e.outDir?e.rootDir?pa(e.outDir,Ca(e.rootDir,t,!0)):ua(e.outDir,oa(t)):t}return r+".tsbuildinfo"}function TV(e,n){const t=ob(e),r=e.emitDeclarationOnly?void 0:t,o=r&&AV(r,e),i=n||Qp(e)?cx(t)+".d.ts":void 0;return{jsFilePath:r,sourceMapFilePath:o,declarationFilePath:i,declarationMapPath:i&&nf(e)?i+".map":void 0,buildInfoPath:SV(e)}}function xV(e,n,t){const r=n.getCompilerOptions();if(313===e.kind)return TV(r,t);{const o=Zv(e.fileName,n,RV(e.fileName,r)),i=x_(e),a=i&&0===Ra(e.fileName,o,n.getCurrentDirectory(),!n.useCaseSensitiveFileNames()),s=r.emitDeclarationOnly||a?void 0:o,l=!s||x_(e)?void 0:AV(s,r),c=t||Qp(r)&&!i?eb(e.fileName,n):void 0;return{jsFilePath:s,sourceMapFilePath:l,declarationFilePath:c,declarationMapPath:c&&nf(r)?c+".map":void 0,buildInfoPath:void 0}}}function AV(e,n){return n.sourceMap&&!n.inlineSourceMap?e+".map":void 0}function RV(e,n){return $i(e,".json")?".json":1===n.jsx&&Qi(e,[".jsx",".tsx"])?".jsx":Qi(e,[".mts",".mjs"])?".mjs":Qi(e,[".cts",".cjs"])?".cjs":".js"}function IV(e,n,t,r){return t?pa(t,Ca(r(),e,n)):e}function NV(e,n,t,r=()=>OV(n,t)){return DV(e,n.options,t,r)}function DV(e,n,t,r){return px(IV(e,t,n.declarationDir||n.outDir,r),tb(e))}function CV(e,n,t,r=()=>OV(n,t)){if(n.options.emitDeclarationOnly)return;const o=$i(e,".json"),i=MV(e,n.options,t,r);return o&&0===Ra(e,i,Tt.checkDefined(n.options.configFilePath),t)?void 0:i}function MV(e,n,t,r){return px(IV(e,t,n.outDir,r),RV(e,n))}function PV(){let e;return{addOutput:function(n){n&&(e||(e=[])).push(n)},getOutputs:function(){return e||o}}}function LV(e,n){const{jsFilePath:t,sourceMapFilePath:r,declarationFilePath:o,declarationMapPath:i,buildInfoPath:a}=TV(e.options,!1);n(t),n(r),n(o),n(i),n(a)}function kV(e,n,t,r,o){if(_k(n))return;const i=CV(n,e,t,o);if(r(i),!$i(n,".json")&&(i&&e.options.sourceMap&&r(`${i}.map`),Qp(e.options))){const i=NV(n,e,t,o);r(i),e.options.declarationMap&&r(`${i}.map`)}}function wV(e,n,t,r,o){let i;return e.rootDir?(i=ma(e.rootDir,t),null==o||o(e.rootDir)):e.composite&&e.configFilePath?(i=ra(ca(e.configFilePath)),null==o||o(i)):i=AU(n(),t,r),i&&i[i.length-1]!==Fi&&(i+=Fi),i}function OV({options:e,fileNames:n},t){return wV(e,(()=>W(n,(n=>!(e.noEmitForJsFiles&&Qi(n,yf)||_k(n))))),ra(ca(Tt.checkDefined(e.configFilePath))),rt(!t))}function FV(e,n){const{addOutput:t,getOutputs:r}=PV();if(ob(e.options))LV(e,t);else{const r=Rn((()=>OV(e,n)));for(const o of e.fileNames)kV(e,o,n,t,r);t(SV(e.options))}return r()}function WV(e,n,t){n=_a(n),Tt.assert(k(e.fileNames,n),"Expected fileName to be present in command line");const{addOutput:r,getOutputs:o}=PV();return ob(e.options)?LV(e,r):kV(e,n,t,r),o()}function zV(e,n){if(ob(e.options)){const{jsFilePath:n,declarationFilePath:t}=TV(e.options,!1);return Tt.checkDefined(n||t,`project ${e.options.configFilePath} expected to have at least one output`)}const t=Rn((()=>OV(e,n)));for(const r of e.fileNames){if(_k(r))continue;const o=CV(r,e,n,t);if(o)return o;if(!$i(r,".json")&&Qp(e.options))return NV(r,e,n,t)}const r=SV(e.options);return r||Tt.fail(`project ${e.options.configFilePath} expected to have at least one output`)}function GV(e,n,t,{scriptTransformers:r,declarationTransformers:o},i,a,s){var l,c=n.getCompilerOptions(),d=c.sourceMap||c.inlineSourceMap||nf(c)?[]:void 0,u=c.listEmittedFiles?[]:void 0,p=Mv(),f=VE(c),m=Hv(f),{enter:_,exit:h}=hr("printTime","beforePrint","afterPrint"),g=!1;return _(),EV(n,(function({jsFilePath:a,sourceMapFilePath:d,declarationFilePath:f,declarationMapPath:m,buildInfoPath:_},h){var E,S,T,x,A,R;let I;_&&h&&oM(h)&&(I=ra(ma(_,n.getCurrentDirectory())),l={commonSourceDirectory:N(n.getCommonSourceDirectory()),sourceFiles:h.sourceFiles.map((e=>N(ma(e.fileName,n.getCurrentDirectory()))))});function N(e){return ba(Ca(I,e,n.getCanonicalFileName))}null==(E=Cr)||E.push(Cr.Phase.Emit,"emitJsFileOrBundle",{jsFilePath:a}),function(t,o,a,s){if(!t||i||!o)return;if(n.isEmitBlocked(o)||c.noEmit)return void(g=!0);const d=pV(e,n,UA,c,[t],r,!1),p={removeComments:c.removeComments,newLine:c.newLine,noEmitHelpers:c.noEmitHelpers,module:c.module,target:c.target,sourceMap:c.sourceMap,inlineSourceMap:c.inlineSourceMap,inlineSources:c.inlineSources,extendedDiagnostics:c.extendedDiagnostics,writeBundleFileInfo:!!l,relativeToBuildInfo:s},f=HV(p,{hasGlobalName:e.hasGlobalName,onEmitNode:d.emitNodeWithNotification,isEmitNotificationEnabled:d.isEmitNotificationEnabled,substituteNode:d.substituteNode});Tt.assert(1===d.transformed.length,"Should only see one output from the transform"),v(o,a,d,f,c),d.dispose(),l&&(l.js=f.bundleFileInfo);u&&(u.push(o),a&&u.push(a))}(h,a,d,N),null==(S=Cr)||S.pop(),null==(T=Cr)||T.push(Cr.Phase.Emit,"emitDeclarationFileOrBundle",{declarationFilePath:f}),function(t,r,a,d){if(!t||0===i)return;if(!r)return void((i||c.emitDeclarationOnly)&&(g=!0));const f=rM(t)?[t]:t.sourceFiles,m=s?f:W(f,Qh),_=ob(c)?[UA.createBundle(m,rM(t)?void 0:t.prepends)]:m;i&&!Qp(c)&&m.forEach(y);const h=pV(e,n,UA,c,_,o,!1);if(b(h.diagnostics))for(const e of h.diagnostics)p.add(e);const E=!!h.diagnostics&&!!h.diagnostics.length||!!n.isEmitBlocked(r)||!!c.noEmit;if(g=g||E,!E||s){Tt.assert(1===h.transformed.length,"Should only see one output from the decl transform");const n={removeComments:c.removeComments,newLine:c.newLine,noEmitHelpers:!0,module:c.module,target:c.target,sourceMap:!s&&c.declarationMap,inlineSourceMap:c.inlineSourceMap,extendedDiagnostics:c.extendedDiagnostics,onlyPrintJsDocStyle:!0,omitBraceSourceMapPositions:!0,writeBundleFileInfo:!!l,recordInternalSection:!!l,relativeToBuildInfo:d},t=HV(n,{hasGlobalName:e.hasGlobalName,onEmitNode:h.emitNodeWithNotification,isEmitNotificationEnabled:h.isEmitNotificationEnabled,substituteNode:h.substituteNode});v(r,a,h,t,{sourceMap:n.sourceMap,sourceRoot:c.sourceRoot,mapRoot:c.mapRoot,extendedDiagnostics:c.extendedDiagnostics}),u&&(u.push(r),a&&u.push(a)),l&&(l.dts=t.bundleFileInfo)}h.dispose()}(h,f,m,N),null==(x=Cr)||x.pop(),null==(A=Cr)||A.push(Cr.Phase.Emit,"emitBuildInfo",{buildInfoPath:_}),function(e,r){if(!r||t||g)return;if(n.isEmitBlocked(r))return void(g=!0);const o=n.getBuildInfo(e)||BV(void 0,e);db(n,p,r,jV(o),!1,void 0,{buildInfo:o}),null==u||u.push(r)}(l,_),null==(R=Cr)||R.pop()}),ab(n,t,s),s,a,!t),h(),{emitSkipped:g,diagnostics:p.getDiagnostics(),emittedFiles:u,sourceMaps:d};function y(n){NC(n)?80===n.expression.kind&&e.collectLinkedAliases(n.expression,!0):MC(n)?e.collectLinkedAliases(n.propertyName||n.name,!0):ok(n,y)}function v(e,t,r,o,i){const a=r.transformed[0],s=313===a.kind?a:void 0,l=312===a.kind?a:void 0,u=s?s.sourceFiles:[l];let _,h;if(function(e,n){return(e.sourceMap||e.inlineSourceMap)&&(312!==n.kind||!$i(n.fileName,".json"))}(i,a)&&(_=bG(n,oa(ca(e)),function(e){const n=ca(e.sourceRoot||"");return n?va(n):n}(i),function(e,t,r){if(e.sourceRoot)return n.getCommonSourceDirectory();if(e.mapRoot){let t=ca(e.mapRoot);return r&&(t=ra(lb(r.fileName,n,t))),0===ta(t)&&(t=ua(n.getCommonSourceDirectory(),t)),t}return ra(_a(t))}(i,e,l),i)),s?o.writeBundle(s,m,_):o.writeFile(l,m,_),_){d&&d.push({inputSourceFileNames:_.getSources(),sourceMap:_.toJSON()});const r=function(e,t,r,o,i){if(e.inlineSourceMap){const e=t.toString();return`data:application/json;base64,${FE(fi,e)}`}const a=oa(ca(Tt.checkDefined(o)));if(e.mapRoot){let t=ca(e.mapRoot);return i&&(t=ra(lb(i.fileName,n,t))),0===ta(t)?(t=ua(n.getCommonSourceDirectory(),t),encodeURI(La(ra(_a(r)),ua(t,a),n.getCurrentDirectory(),n.getCanonicalFileName,!0))):encodeURI(ua(t,a))}return encodeURI(a)}(i,_,e,t,l);if(r&&(m.isAtStartOfLine()||m.rawWrite(f),h=m.getTextPos(),m.writeComment(`//# sourceMappingURL=${r}`)),t){const e=_.toString();db(n,p,t,e,!1,u),o.bundleFileInfo&&(o.bundleFileInfo.mapHash=XH(e,n))}}else m.writeLine();const g=m.getText();db(n,p,e,g,!!c.emitBOM,u,{sourceMapUrlPos:h,diagnostics:r.diagnostics}),o.bundleFileInfo&&(o.bundleFileInfo.hash=XH(g,n)),m.clear()}}function BV(e,n){return{bundle:n,program:e,version:t}}function jV(e){return JSON.stringify(e)}function VV(e,n){return zE(e,n)}function UV(e,n,t,r){var o,i;null==(o=Cr)||o.push(Cr.Phase.Emit,"emitUsingBuildInfo",{},!0),gr("beforeEmit");const a=function(e,n,t,r){const{buildInfoPath:o,jsFilePath:i,sourceMapFilePath:a,declarationFilePath:s,declarationMapPath:l}=TV(e.options,!1),c=n.getBuildInfo(o,e.options.configFilePath);if(!c)return o;if(!c.bundle||!c.bundle.js||s&&!c.bundle.dts)return o;const d=n.readFile(Tt.checkDefined(i));if(!d)return i;if(XH(d,n)!==c.bundle.js.hash)return i;const u=a&&n.readFile(a);if(a&&!u||e.options.inlineSourceMap)return a||"inline sourcemap decoding";if(a&&XH(u,n)!==c.bundle.js.mapHash)return a;const p=s&&n.readFile(s);if(s&&!p)return s;if(s&&XH(p,n)!==c.bundle.dts.hash)return s;const f=l&&n.readFile(l);if(l&&!f||e.options.inlineSourceMap)return l||"inline sourcemap decoding";if(l&&XH(f,n)!==c.bundle.dts.mapHash)return l;const m=ra(ma(o,n.getCurrentDirectory())),_=aR(i,d,a,u,s,p,l,f,o,c,!0),h=[],g=fH(e.projectReferences,t,(e=>n.readFile(e)),n),y=function(e,n,t){var r;const o=Tt.checkDefined(e.js),i=(null==(r=o.sources)?void 0:r.prologues)&&$e(o.sources.prologues,(e=>e.file));return e.sourceFiles.map(((e,r)=>{const o=null==i?void 0:i.get(r),a=null==o?void 0:o.directives.map((e=>{const n=yL(UA.createStringLiteral(e.expression.text),e.expression),t=yL(UA.createExpressionStatement(n),e);return Vx(n,t),t})),s=UA.createToken(1),l=UA.createSourceFile(a??[],s,0);return l.fileName=Ca(t.getCurrentDirectory(),ma(e,n),!t.useCaseSensitiveFileNames()),l.text=(null==o?void 0:o.text)??"",Bx(l,0,(null==o?void 0:o.text.length)??0),Ux(l.statements,l),Bx(s,l.end,0),Vx(s,l),l}))}(c.bundle,m,n);let v,b;const E={getPrependNodes:Rn((()=>[...g,_])),getCanonicalFileName:n.getCanonicalFileName,getCommonSourceDirectory:()=>ma(c.bundle.commonSourceDirectory,m),getCompilerOptions:()=>e.options,getCurrentDirectory:()=>n.getCurrentDirectory(),getSourceFile:En,getSourceFileByPath:En,getSourceFiles:()=>y,getLibFileFromReference:An,isSourceFileFromExternalLibrary:vn,getResolvedProjectReferenceToRedirect:En,getProjectReferenceRedirect:En,isSourceOfProjectReferenceRedirect:vn,writeFile:(e,n,t,r,c,m)=>{switch(e){case i:if(d===n)return;break;case a:if(u===n)return;break;case o:break;case s:if(p===n)return;v=n,b=m;break;case l:if(f===n)return;break;default:Tt.fail(`Unexpected path: ${e}`)}h.push({name:e,text:n,writeByteOrderMark:t,data:m})},isEmitBlocked:vn,readFile:e=>n.readFile(e),fileExists:e=>n.fileExists(e),useCaseSensitiveFileNames:()=>n.useCaseSensitiveFileNames(),getBuildInfo:t=>{const r=c.program;r&&void 0!==v&&e.options.composite&&(r.outSignature=XH(v,n,b));const{js:o,dts:i,sourceFiles:a}=c.bundle;return t.js.sources=o.sources,i&&(t.dts.sources=i.sources),t.sourceFiles=a,BV(r,t)},getSourceFileFromReference:En,redirectTargetsMap:sn(),getFileIncludeReasons:An,createHash:an(n,n.createHash)};return GV(mV,E,void 0,oV(e.options,r)),h}(e,n,t,r);return gr("afterEmit"),yr("Emit","beforeEmit","afterEmit"),null==(i=Cr)||i.pop(),a}function HV(e={},n={}){var t,r,o,i,a,s,l,c,d,u,p,f,m,_,h,g,y,v,b,S,T,x,A,R,I,D,{hasGlobalName:C,onEmitNode:P=uV,isEmitNotificationEnabled:L,substituteNode:k=dV,onBeforeEmitNode:w,onAfterEmitNode:O,onBeforeEmitNodeArray:F,onAfterEmitNodeArray:W,onBeforeEmitToken:z,onAfterEmitToken:G}=n,B=!!e.extendedDiagnostics,j=!!e.omitBraceSourceMapPositions,V=VE(e),U=Vp(e),H=new Map,K=e.preserveSourceNewlines,q=function(e){y.write(e)},J=e.writeBundleFileInfo?{sections:[]}:void 0,X=J?Tt.checkDefined(e.relativeToBuildInfo):void 0,Y=e.recordInternalSection,$=0,Q="text",Z=!0,ee=-1,ne=-1,te=-1,re=-1,ie=-1,ae=!1,se=!!e.removeComments,{enter:le,exit:ce}=_r(B,"commentTime","beforeComment","afterComment"),de=UA.parenthesizer,ue={select:e=>0===e?de.parenthesizeLeadingTypeArgument:void 0},pe=function(){return nL((function(e,n){if(n){n.stackIndex++,n.preserveSourceNewlinesStack[n.stackIndex]=K,n.containerPosStack[n.stackIndex]=te,n.containerEndStack[n.stackIndex]=re,n.declarationListContainerEndStack[n.stackIndex]=ie;const t=n.shouldEmitCommentsStack[n.stackIndex]=Ve(e),r=n.shouldEmitSourceMapsStack[n.stackIndex]=Ue(e);null==w||w(e),t&&ir(e),r&&Nr(e),Ge(e)}else n={stackIndex:0,preserveSourceNewlinesStack:[void 0],containerPosStack:[-1],containerEndStack:[-1],declarationListContainerEndStack:[-1],shouldEmitCommentsStack:[!1],shouldEmitSourceMapsStack:[!1]};return n}),(function(n,t,r){return e(n,r,"left")}),(function(e,n,t){const r=28!==e.kind,o=Lt(t,t.left,e),i=Lt(t,e,t.right);xt(o,r),yr(e.pos),vt(e,103===e.kind?lt:ct),br(e.end,!0),xt(i,!0)}),(function(n,t,r){return e(n,r,"right")}),(function(e,n){const t=Lt(e,e.left,e.operatorToken),r=Lt(e,e.operatorToken,e.right);if(At(t,r),n.stackIndex>0){const t=n.preserveSourceNewlinesStack[n.stackIndex],r=n.containerPosStack[n.stackIndex],o=n.containerEndStack[n.stackIndex],i=n.declarationListContainerEndStack[n.stackIndex],a=n.shouldEmitCommentsStack[n.stackIndex],s=n.shouldEmitSourceMapsStack[n.stackIndex];Be(t),s&&Dr(e),a&&ar(e,r,o,i),null==O||O(e),n.stackIndex--}}),void 0);function e(e,n,t){const r="left"===t?de.getParenthesizeLeftSideOfBinaryForOperator(n.operatorToken.kind):de.getParenthesizeRightSideOfBinaryForOperator(n.operatorToken.kind);let o=He(0,1,e);if(o===Ye&&(Tt.assertIsDefined(I),o=Ke(1,1,e=r(gn(I,uu))),I=void 0),(o===or||o===Ir||o===Je)&&TD(e))return e;D=r,o(1,e)}}();return Me(),{printNode:function(e,n,t){switch(e){case 0:Tt.assert(rM(n),"Expected a SourceFile node.");break;case 2:Tt.assert(tN(n),"Expected an Identifier node.");break;case 1:Tt.assert(uu(n),"Expected an Expression node.")}switch(n.kind){case 312:return me(n);case 313:return fe(n);case 314:return function(e,n){const t=y;Ce(n,void 0),Re(4,e,void 0),Me(),y=t}(n,xe()),Ae()}return _e(e,n,t,xe()),Ae()},printList:function(e,n,t){return he(e,n,t,xe()),Ae()},printFile:me,printBundle:fe,writeNode:_e,writeList:he,writeFile:Te,writeBundle:Se,bundleFileInfo:J};function fe(e){return Se(e,xe(),void 0),Ae()}function me(e){return Te(e,xe(),void 0),Ae()}function _e(e,n,t,r){const o=y;Ce(r,void 0),Re(e,n,t),Me(),y=o}function he(e,n,t,r){const o=y;Ce(r,void 0),t&&Ne(t),et(void 0,n,e),Me(),y=o}function ge(){return y.getTextPosWithWriteLine?y.getTextPosWithWriteLine():y.getTextPos()}function ye(e,n,t){const r=Le(J.sections);r&&r.kind===t?r.end=n:J.sections.push({pos:e,end:n,kind:t})}function ve(e){if(Y&&J&&t&&(Pu(e)||BD(e))&&sp(e,t)&&"internal"!==Q){const e=Q;return Ee(y.getTextPos()),$=ge(),Q="internal",e}}function be(e){e&&(Ee(y.getTextPos()),$=ge(),Q=e)}function Ee(e){return $<e&&(ye($,e,Q),!0)}function Se(n,t,r){b=!1;const o=y;Ce(t,r),Gn(n),zn(n),$e(n),function(e){wn(!!e.hasNoDefaultLib,e.syntheticFileReferences||[],e.syntheticTypeReferences||[],e.syntheticLibReferences||[]);for(const n of e.prepends)if(iM(n)&&n.syntheticReferences)for(const e of n.syntheticReferences)Oe(e),_t()}(n);for(const e of n.prepends){_t();const n=y.getTextPos(),t=J&&J.sections;if(t&&(J.sections=[]),Re(4,e,void 0),J){const r=J.sections;J.sections=t,e.oldFileOfCurrentEmit?J.sections.push(...r):(r.forEach((e=>Tt.assert(FS(e)))),J.sections.push({pos:n,end:y.getTextPos(),kind:"prepend",data:X(e.fileName),texts:r}))}}$=ge();for(const e of n.sourceFiles)Re(0,e,e);if(J&&n.sourceFiles.length){if(Ee(y.getTextPos())){const t=function(e){const n=new Set;let t;for(let r=0;r<e.sourceFiles.length;r++){const o=e.sourceFiles[r];let i,a=0;for(const e of o.statements){if(!w_(e))break;n.has(e.expression.text)||(n.add(e.expression.text),(i||(i=[])).push({pos:e.pos,end:e.end,expression:{pos:e.expression.pos,end:e.expression.end,text:e.expression.text}}),a=a<e.end?e.end:a)}i&&(t||(t=[])).push({file:r,text:o.text.substring(0,a),directives:i})}return t}(n);t&&(J.sources||(J.sources={}),J.sources.prologues=t);const r=function(n){let t;if(0===U||e.noEmitHelpers)return;const r=new Map;for(const e of n.sourceFiles){const n=void 0!==AP(e),o=Qe(e);if(o)for(const e of o)e.scoped||n||r.get(e.name)||(r.set(e.name,!0),(t||(t=[])).push(e.name))}return t}(n);r&&(J.sources||(J.sources={}),J.sources.helpers=r)}}Me(),y=o}function Te(e,n,t){b=!0;const r=y;Ce(n,t),Gn(e),zn(e),Re(0,e,e),Me(),y=r}function xe(){return v||(v=Hv(V))}function Ae(){const e=v.getText();return v.clear(),e}function Re(e,n,t){t&&Ne(t),je(e,n,void 0)}function Ne(e){t=e,A=void 0,R=void 0,e&&Lr(e)}function Ce(n,t){n&&e.omitTrailingSemicolon&&(n=Kv(n)),S=t,Z=!(y=n)||!S}function Me(){r=[],o=[],i=[],a=new Set,s=[],l=new Map,c=[],d=0,u=[],p=0,f=[],m=void 0,_=[],h=void 0,t=void 0,A=void 0,R=void 0,Ce(void 0,void 0)}function Pe(){return A||(A=us(Tt.checkDefined(t)))}function Oe(e,n){if(void 0===e)return;const t=ve(e);je(4,e,n),be(t)}function Fe(e){void 0!==e&&je(2,e,void 0)}function We(e,n){void 0!==e&&je(1,e,n)}function ze(e){je(zI(e)?6:4,e)}function Ge(e){K&&4&Nm(e)&&(K=!1)}function Be(e){K=e}function je(e,n,t){D=t;He(0,e,n)(e,n),D=void 0}function Ve(e){return!se&&!rM(e)}function Ue(e){return!(Z||rM(e)||$h(e)||iM(e)||tM(e))}function He(e,n,t){switch(e){case 0:if(P!==uV&&(!L||L(t)))return qe;case 1:if(k!==dV&&(I=k(n,t)||t)!==t)return D&&(I=D(I)),Ye;case 2:if(Ve(t))return or;case 3:if(Ue(t))return Ir;case 4:return Je;default:return Tt.assertNever(e)}}function Ke(e,n,t){return He(e+1,n,t)}function qe(e,n){const t=Ke(0,e,n);P(e,n,t)}function Je(e,n){if(null==w||w(n),K){const t=K;Ge(n),Xe(e,n),Be(t)}else Xe(e,n);null==O||O(n),D=void 0}function Xe(e,n,r=!0){if(r){const t=zR(n);if(t)return function(e,n,t){switch(t.kind){case 1:!function(e,n,t){mt(`\${${t.order}:`),Xe(e,n,!1),mt("}")}(e,n,t);break;case 0:!function(e,n,t){Tt.assert(242===n.kind,`A tab stop cannot be attached to a node of kind ${Tt.formatSyntaxKind(n.kind)}.`),Tt.assert(5!==e,"A tab stop cannot be attached to an embedded statement."),mt(`$${t.order}`)}(e,n,t)}}(e,n,t)}if(0===e)return kn(gn(n,rM));if(2===e)return nn(gn(n,tN));if(6===e)return Ze(gn(n,zI),!0);if(3===e)return function(e){Oe(e.name),pt(),lt("in"),pt(),Oe(e.constraint)}(gn(n,vN));if(7===e)return function(e){at("{"),pt(),lt(132===e.token?"assert":"with"),at(":"),pt();const n=e.elements;et(e,n,526226),pt(),at("}")}(gn(n,SC));if(5===e)return Tt.assertNode(n,jD),ln(!0);if(4===e){switch(n.kind){case 16:case 17:case 18:return Ze(n,!1);case 80:return nn(n);case 81:return rn(n);case 166:return function(e){(function(e){80===e.kind?We(e):Oe(e)})(e.left),at("."),Oe(e.right)}(n);case 167:return function(e){const n=d,t=h;jt(),at("["),We(e.expression,de.parenthesizeExpressionOfComputedPropertyName),at("]"),Bt(n,t)}(n);case 168:return function(e){Vn(e,e.modifiers),Oe(e.name),e.constraint&&(pt(),lt("extends"),pt(),Oe(e.constraint));e.default&&(pt(),ct("="),pt(),Oe(e.default))}(n);case 169:return function(e){jn(e,e.modifiers,!0),Oe(e.dotDotDotToken),Bn(e.name,dt),Oe(e.questionToken),e.parent&&324===e.parent.kind&&!e.name?Oe(e.type):Un(e.type);Hn(e.initializer,e.type?e.type.end:e.questionToken?e.questionToken.end:e.name?e.name.end:e.modifiers?e.modifiers.end:e.pos,e,de.parenthesizeExpressionForDisallowedComma)}(n);case 170:return i=n,at("@"),void We(i.expression,de.parenthesizeLeftSideOfAccess);case 171:return function(e){Vn(e,e.modifiers),Bn(e.name,ft),Oe(e.questionToken),Un(e.type),st()}(n);case 172:return function(e){jn(e,e.modifiers,!0),Oe(e.name),Oe(e.questionToken),Oe(e.exclamationToken),Un(e.type),Hn(e.initializer,e.type?e.type.end:e.questionToken?e.questionToken.end:e.name.end,e),st()}(n);case 173:return function(e){Wt(e),Vn(e,e.modifiers),Oe(e.name),Oe(e.questionToken),Yn(e,e.typeParameters),$n(e,e.parameters),Un(e.type),st(),zt(e)}(n);case 174:return function(e){jn(e,e.modifiers,!0),Oe(e.asteriskToken),Oe(e.name),Oe(e.questionToken),vn(e,bn)}(n);case 175:return function(e){lt("static"),En(e.body)}(n);case 176:return function(e){jn(e,e.modifiers,!1),lt("constructor"),vn(e,bn)}(n);case 177:case 178:return function(e){const n=jn(e,e.modifiers,!0),t=177===e.kind?139:153;un(t,n,lt,e),pt(),Oe(e.name),vn(e,bn)}(n);case 179:return function(e){Wt(e),Yn(e,e.typeParameters),$n(e,e.parameters),Un(e.type),st(),zt(e)}(n);case 180:return function(e){Wt(e),lt("new"),pt(),Yn(e,e.typeParameters),$n(e,e.parameters),Un(e.type),st(),zt(e)}(n);case 181:return function(e){jn(e,e.modifiers,!1),n=e,t=e.parameters,et(n,t,8848),Un(e.type),st();var n,t}(n);case 182:return function(e){e.assertsModifier&&(Oe(e.assertsModifier),pt());Oe(e.parameterName),e.type&&(pt(),lt("is"),pt(),Oe(e.type))}(n);case 183:return function(e){Oe(e.typeName),Xn(e,e.typeArguments)}(n);case 184:return function(e){Wt(e),Yn(e,e.typeParameters),Qn(e,e.parameters),pt(),at("=>"),pt(),Oe(e.type),zt(e)}(n);case 185:return function(e){Wt(e),Vn(e,e.modifiers),lt("new"),pt(),Yn(e,e.typeParameters),$n(e,e.parameters),pt(),at("=>"),pt(),Oe(e.type),zt(e)}(n);case 186:return function(e){lt("typeof"),pt(),Oe(e.exprName),Xn(e,e.typeArguments)}(n);case 187:return function(e){Bt(0,void 0),at("{");const n=1&Im(e)?768:32897;et(e,e.members,524288|n),at("}"),jt()}(n);case 188:return function(e){Oe(e.elementType,de.parenthesizeNonArrayTypeOfPostfixType),at("["),at("]")}(n);case 189:return function(e){un(23,e.pos,at,e);const n=1&Im(e)?528:657;et(e,e.elements,524288|n,de.parenthesizeElementTypeOfTupleType),un(24,e.elements.end,at,e)}(n);case 190:return function(e){Oe(e.type,de.parenthesizeTypeOfOptionalType),at("?")}(n);case 192:return function(e){et(e,e.types,516,de.parenthesizeConstituentTypeOfUnionType)}(n);case 193:return function(e){et(e,e.types,520,de.parenthesizeConstituentTypeOfIntersectionType)}(n);case 194:return function(e){Oe(e.checkType,de.parenthesizeCheckTypeOfConditionalType),pt(),lt("extends"),pt(),Oe(e.extendsType,de.parenthesizeExtendsTypeOfConditionalType),pt(),at("?"),pt(),Oe(e.trueType),pt(),at(":"),pt(),Oe(e.falseType)}(n);case 195:return function(e){lt("infer"),pt(),Oe(e.typeParameter)}(n);case 196:return function(e){at("("),Oe(e.type),at(")")}(n);case 233:return an(n);case 197:return void lt("this");case 198:return function(e){bt(e.operator,lt),pt();const n=148===e.operator?de.parenthesizeOperandOfReadonlyTypeOperator:de.parenthesizeOperandOfTypeOperator;Oe(e.type,n)}(n);case 199:return function(e){Oe(e.objectType,de.parenthesizeNonArrayTypeOfPostfixType),at("["),Oe(e.indexType),at("]")}(n);case 200:return function(e){const n=Im(e);at("{"),1&n?pt():(_t(),ht());e.readonlyToken&&(Oe(e.readonlyToken),148!==e.readonlyToken.kind&&lt("readonly"),pt());at("["),je(3,e.typeParameter),e.nameType&&(pt(),lt("as"),pt(),Oe(e.nameType));at("]"),e.questionToken&&(Oe(e.questionToken),58!==e.questionToken.kind&&at("?"));at(":"),pt(),Oe(e.type),st(),1&n?pt():(_t(),gt());et(e,e.members,2),at("}")}(n);case 201:return function(e){We(e.literal)}(n);case 202:return function(e){Oe(e.dotDotDotToken),Oe(e.name),Oe(e.questionToken),un(59,e.name.end,at,e),pt(),Oe(e.type)}(n);case 203:return function(e){Oe(e.head),et(e,e.templateSpans,262144)}(n);case 204:return function(e){Oe(e.type),Oe(e.literal)}(n);case 205:return function(e){e.isTypeOf&&(lt("typeof"),pt());lt("import"),at("("),Oe(e.argument),e.attributes&&(at(","),pt(),je(7,e.attributes));at(")"),e.qualifier&&(at("."),Oe(e.qualifier));Xn(e,e.typeArguments)}(n);case 206:return function(e){at("{"),et(e,e.elements,525136),at("}")}(n);case 207:return function(e){at("["),et(e,e.elements,524880),at("]")}(n);case 208:return function(e){Oe(e.dotDotDotToken),e.propertyName&&(Oe(e.propertyName),at(":"),pt());Oe(e.name),Hn(e.initializer,e.name.end,e,de.parenthesizeExpressionForDisallowedComma)}(n);case 239:return function(e){We(e.expression),Oe(e.literal)}(n);case 240:return void st();case 241:return function(e){sn(e,!e.multiLine&&kt(e))}(n);case 243:return function(e){jn(e,e.modifiers,!1),Oe(e.declarationList),st()}(n);case 242:return ln(!1);case 244:return function(e){We(e.expression,de.parenthesizeExpressionOfExpressionStatement),t&&x_(t)&&!Sv(e.expression)||st()}(n);case 245:return function(e){const n=un(101,e.pos,lt,e);pt(),un(21,n,at,e),We(e.expression),un(22,e.expression.end,at,e),Jn(e,e.thenStatement),e.elseStatement&&(Et(e,e.thenStatement,e.elseStatement),un(93,e.thenStatement.end,lt,e),245===e.elseStatement.kind?(pt(),Oe(e.elseStatement)):Jn(e,e.elseStatement))}(n);case 246:return function(e){un(92,e.pos,lt,e),Jn(e,e.statement),GD(e.statement)&&!K?pt():Et(e,e.statement,e.expression);cn(e,e.statement.end),st()}(n);case 247:return function(e){cn(e,e.pos),Jn(e,e.statement)}(n);case 248:return function(e){const n=un(99,e.pos,lt,e);pt();let t=un(21,n,at,e);dn(e.initializer),t=un(27,e.initializer?e.initializer.end:t,at,e),qn(e.condition),t=un(27,e.condition?e.condition.end:t,at,e),qn(e.incrementor),un(22,e.incrementor?e.incrementor.end:t,at,e),Jn(e,e.statement)}(n);case 249:return function(e){const n=un(99,e.pos,lt,e);pt(),un(21,n,at,e),dn(e.initializer),pt(),un(103,e.initializer.end,lt,e),pt(),We(e.expression),un(22,e.expression.end,at,e),Jn(e,e.statement)}(n);case 250:return function(e){const n=un(99,e.pos,lt,e);pt(),function(e){e&&(Oe(e),pt())}(e.awaitModifier),un(21,n,at,e),dn(e.initializer),pt(),un(165,e.initializer.end,lt,e),pt(),We(e.expression),un(22,e.expression.end,at,e),Jn(e,e.statement)}(n);case 251:return function(e){un(88,e.pos,lt,e),Kn(e.label),st()}(n);case 252:return function(e){un(83,e.pos,lt,e),Kn(e.label),st()}(n);case 253:return function(e){un(107,e.pos,lt,e),qn(e.expression&&mn(e.expression),mn),st()}(n);case 254:return function(e){const n=un(118,e.pos,lt,e);pt(),un(21,n,at,e),We(e.expression),un(22,e.expression.end,at,e),Jn(e,e.statement)}(n);case 255:return function(e){const n=un(109,e.pos,lt,e);pt(),un(21,n,at,e),We(e.expression),un(22,e.expression.end,at,e),pt(),Oe(e.caseBlock)}(n);case 256:return function(e){Oe(e.label),un(59,e.label.end,at,e),pt(),Oe(e.statement)}(n);case 257:return function(e){un(111,e.pos,lt,e),qn(mn(e.expression),mn),st()}(n);case 258:return function(e){un(113,e.pos,lt,e),pt(),Oe(e.tryBlock),e.catchClause&&(Et(e,e.tryBlock,e.catchClause),Oe(e.catchClause));e.finallyBlock&&(Et(e,e.catchClause||e.tryBlock,e.finallyBlock),un(98,(e.catchClause||e.tryBlock).end,lt,e),pt(),Oe(e.finallyBlock))}(n);case 259:return function(e){yt(89,e.pos,lt),st()}(n);case 260:return function(e){var n,t,r;Oe(e.name),Oe(e.exclamationToken),Un(e.type),Hn(e.initializer,(null==(n=e.type)?void 0:n.end)??(null==(r=null==(t=e.name.emitNode)?void 0:t.typeNode)?void 0:r.end)??e.name.end,e,de.parenthesizeExpressionForDisallowedComma)}(n);case 261:return function(e){if(I_(e))lt("await"),pt(),lt("using");else{lt(C_(e)?"let":D_(e)?"const":N_(e)?"using":"var")}pt(),et(e,e.declarations,528)}(n);case 262:return function(e){yn(e)}(n);case 263:return function(e){xn(e)}(n);case 264:return function(e){Bt(0,void 0),jn(e,e.modifiers,!1),lt("interface"),pt(),Oe(e.name),Yn(e,e.typeParameters),et(e,e.heritageClauses,512),pt(),at("{"),et(e,e.members,129),at("}"),jt()}(n);case 265:return function(e){jn(e,e.modifiers,!1),lt("type"),pt(),Oe(e.name),Yn(e,e.typeParameters),pt(),at("="),pt(),Oe(e.type),st()}(n);case 266:return function(e){jn(e,e.modifiers,!1),lt("enum"),pt(),Oe(e.name),pt(),at("{"),et(e,e.members,145),at("}")}(n);case 267:return function(e){jn(e,e.modifiers,!1),2048&~e.flags&&(lt(32&e.flags?"namespace":"module"),pt());Oe(e.name);let n=e.body;if(!n)return st();for(;n&&pC(n);)at("."),Oe(n.name),n=n.body;pt(),Oe(n)}(n);case 268:return function(e){Wt(e),E(e.statements,Ut),sn(e,kt(e)),zt(e)}(n);case 269:return function(e){un(19,e.pos,at,e),et(e,e.clauses,129),un(20,e.clauses.end,at,e,!0)}(n);case 270:return function(e){let n=un(95,e.pos,lt,e);pt(),n=un(130,n,lt,e),pt(),n=un(145,n,lt,e),pt(),Oe(e.name),st()}(n);case 271:return function(e){jn(e,e.modifiers,!1),un(102,e.modifiers?e.modifiers.end:e.pos,lt,e),pt(),e.isTypeOnly&&(un(156,e.pos,lt,e),pt());Oe(e.name),pt(),un(64,e.name.end,at,e),pt(),function(e){80===e.kind?We(e):Oe(e)}(e.moduleReference),st()}(n);case 272:return function(e){jn(e,e.modifiers,!1),un(102,e.modifiers?e.modifiers.end:e.pos,lt,e),pt(),e.importClause&&(Oe(e.importClause),pt(),un(161,e.importClause.end,lt,e),pt());We(e.moduleSpecifier),e.attributes&&Kn(e.attributes);st()}(n);case 273:return function(e){e.isTypeOnly&&(un(156,e.pos,lt,e),pt());Oe(e.name),e.name&&e.namedBindings&&(un(28,e.name.end,at,e),pt());Oe(e.namedBindings)}(n);case 274:return function(e){const n=un(42,e.pos,at,e);pt(),un(130,n,lt,e),pt(),Oe(e.name)}(n);case 280:return function(e){const n=un(42,e.pos,at,e);pt(),un(130,n,lt,e),pt(),Oe(e.name)}(n);case 275:case 279:return function(e){An(e)}(n);case 276:case 281:return function(e){Rn(e)}(n);case 277:return function(e){const n=un(95,e.pos,lt,e);pt(),e.isExportEquals?un(64,n,ct,e):un(90,n,lt,e);pt(),We(e.expression,e.isExportEquals?de.getParenthesizeRightSideOfBinaryForOperator(64):de.parenthesizeExpressionOfExportDefault),st()}(n);case 278:return function(e){jn(e,e.modifiers,!1);let n=un(95,e.pos,lt,e);pt(),e.isTypeOnly&&(n=un(156,n,lt,e),pt());e.exportClause?Oe(e.exportClause):n=un(42,n,at,e);if(e.moduleSpecifier){pt();un(161,e.exportClause?e.exportClause.end:n,lt,e),pt(),We(e.moduleSpecifier)}e.attributes&&Kn(e.attributes);st()}(n);case 300:return function(e){un(e.token,e.pos,lt,e),pt();const n=e.elements;et(e,n,526226)}(n);case 301:return function(e){Oe(e.name),at(":"),pt();const n=e.value;if(!(1024&Im(n))){br(TR(n).pos)}Oe(n)}(n);case 282:case 326:case 337:case 338:case 340:case 341:case 342:case 343:case 359:return;case 283:return function(e){lt("require"),at("("),We(e.expression),at(")")}(n);case 12:return function(e){y.writeLiteral(e.text)}(n);case 286:case 289:return function(e){if(at("<"),WC(e)){const n=Ct(e.tagName,e);In(e.tagName),Xn(e,e.typeArguments),e.attributes.properties&&e.attributes.properties.length>0&&pt(),Oe(e.attributes),Mt(e.attributes,e),At(n)}at(">")}(n);case 287:case 290:return function(e){at("</"),zC(e)&&In(e.tagName);at(">")}(n);case 291:return function(e){Oe(e.name),function(e,n,t,r){t&&(n(e),r(t))}("=",at,e.initializer,ze)}(n);case 292:return function(e){et(e,e.properties,262656)}(n);case 293:return function(e){at("{..."),We(e.expression),at("}")}(n);case 294:return function(e){var n;if(e.expression||!se&&!Sv(e)&&(r=e.pos,function(e){let n=!1;return Cs((null==t?void 0:t.text)||"",e+1,(()=>n=!0)),n}(r)||function(e){let n=!1;return Ds((null==t?void 0:t.text)||"",e+1,(()=>n=!0)),n}(r))){const r=t&&!Sv(e)&&_s(t,e.pos).line!==_s(t,e.end).line;r&&y.increaseIndent();const o=un(19,e.pos,at,e);Oe(e.dotDotDotToken),We(e.expression),un(20,(null==(n=e.expression)?void 0:n.end)||o,at,e),r&&y.decreaseIndent()}var r}(n);case 295:return function(e){Fe(e.namespace),at(":"),Fe(e.name)}(n);case 296:return function(e){un(84,e.pos,lt,e),pt(),We(e.expression,de.parenthesizeExpressionForDisallowedComma),Nn(e,e.statements,e.expression.end)}(n);case 297:return function(e){const n=un(90,e.pos,lt,e);Nn(e,e.statements,n)}(n);case 298:return function(e){pt(),bt(e.token,lt),pt(),et(e,e.types,528)}(n);case 299:return function(e){const n=un(85,e.pos,lt,e);pt(),e.variableDeclaration&&(un(21,n,at,e),Oe(e.variableDeclaration),un(22,e.variableDeclaration.end,at,e),pt());Oe(e.block)}(n);case 303:return function(e){Oe(e.name),at(":"),pt();const n=e.initializer;if(!(1024&Im(n))){br(TR(n).pos)}We(n,de.parenthesizeExpressionForDisallowedComma)}(n);case 304:return function(e){Oe(e.name),e.objectAssignmentInitializer&&(pt(),at("="),pt(),We(e.objectAssignmentInitializer,de.parenthesizeExpressionForDisallowedComma))}(n);case 305:return function(e){e.expression&&(un(26,e.pos,at,e),We(e.expression,de.parenthesizeExpressionForDisallowedComma))}(n);case 306:return function(e){Oe(e.name),Hn(e.initializer,e.name.end,e,de.parenthesizeExpressionForDisallowedComma)}(n);case 307:return en(n);case 314:case 308:return function(e){for(const n of e.texts)_t(),Oe(n)}(n);case 309:case 310:return function(e){const n=ge();en(e),J&&ye(n,y.getTextPos(),309===e.kind?"text":"internal")}(n);case 311:return function(e){const n=ge();if(en(e),J){const t=tn(e.section);t.pos=n,t.end=y.getTextPos(),J.sections.push(t)}}(n);case 312:return kn(n);case 313:return Tt.fail("Bundles should be printed using printBundle");case 315:return Tt.fail("InputFiles should not be printed");case 316:return Ln(n);case 317:return function(e){pt(),at("{"),Oe(e.name),at("}")}(n);case 319:return at("*");case 320:return at("?");case 321:return function(e){at("?"),Oe(e.type)}(n);case 322:return function(e){at("!"),Oe(e.type)}(n);case 323:return function(e){Oe(e.type),at("=")}(n);case 324:return function(e){lt("function"),$n(e,e.parameters),at(":"),Oe(e.type)}(n);case 191:case 325:return function(e){at("..."),Oe(e.type)}(n);case 327:return function(e){if(q("/**"),e.comment){const n=Ic(e.comment);if(n){const e=n.split(/\r\n?|\n/g);for(const n of e)_t(),pt(),at("*"),pt(),q(n)}}e.tags&&(1!==e.tags.length||351!==e.tags[0].kind||e.comment?et(e,e.tags,33):(pt(),Oe(e.tags[0])));pt(),q("*/")}(n);case 329:return Dn(n);case 330:return Cn(n);case 334:case 339:case 344:return Mn((o=n).tagName),void Pn(o.comment);case 335:case 336:return function(e){Mn(e.tagName),pt(),at("{"),Oe(e.class),at("}"),Pn(e.comment)}(n);case 345:return function(e){Mn(e.tagName),e.name&&(pt(),Oe(e.name));Pn(e.comment),Cn(e.typeExpression)}(n);case 346:return function(e){Pn(e.comment),Cn(e.typeExpression)}(n);case 348:case 355:return function(e){Mn(e.tagName),Ln(e.typeExpression),pt(),e.isBracketed&&at("[");Oe(e.name),e.isBracketed&&at("]");Pn(e.comment)}(n);case 347:case 349:case 350:case 351:case 356:case 357:return function(e){Mn(e.tagName),Ln(e.typeExpression),Pn(e.comment)}(n);case 352:return function(e){Mn(e.tagName),Ln(e.constraint),pt(),et(e,e.typeParameters,528),Pn(e.comment)}(n);case 353:return function(e){Mn(e.tagName),e.typeExpression&&(316===e.typeExpression.kind?Ln(e.typeExpression):(pt(),at("{"),q("Object"),e.typeExpression.isArrayType&&(at("["),at("]")),at("}")));e.fullName&&(pt(),Oe(e.fullName));Pn(e.comment),e.typeExpression&&329===e.typeExpression.kind&&Dn(e.typeExpression)}(n);case 354:return function(e){Mn(e.tagName),Oe(e.name),Pn(e.comment)}(n)}if(uu(n)&&(e=1,k!==dV)){const t=k(e,n)||n;t!==n&&(n=t,D&&(n=D(n)))}}var o,i;if(1===e)switch(n.kind){case 9:case 10:return function(e){Ze(e,!1)}(n);case 11:case 14:case 15:return Ze(n,!1);case 80:return nn(n);case 81:return rn(n);case 209:return function(e){const n=e.elements,t=e.multiLine?65536:0;nt(e,n,8914|t,de.parenthesizeExpressionForDisallowedComma)}(n);case 210:return function(e){Bt(0,void 0),E(e.properties,Ht);const n=131072&Im(e);n&&ht();const r=e.multiLine?65536:0,o=t&&t.languageVersion>=1&&!x_(t)?64:0;et(e,e.properties,526226|o|r),n&&gt();jt()}(n);case 211:return function(e){We(e.expression,de.parenthesizeLeftSideOfAccess);const n=e.questionDotToken||Gx(UA.createToken(25),e.expression.end,e.name.pos),t=Lt(e,e.expression,n),r=Lt(e,n,e.name);xt(t,!1);const o=29!==n.kind&&function(e){if(FI(e=Bc(e))){const n=Ft(e,!0,!1);return!(448&e.numericLiteralFlags||n.includes(as(25))||n.includes(String.fromCharCode(69))||n.includes(String.fromCharCode(101)))}if(wS(e)){const n=PR(e);return"number"==typeof n&&isFinite(n)&&n>=0&&Math.floor(n)===n}}(e.expression)&&!y.hasTrailingComment()&&!y.hasTrailingWhitespace();o&&at(".");e.questionDotToken?Oe(n):un(n.kind,e.expression.end,at,e);xt(r,!1),Oe(e.name),At(t,r)}(n);case 212:return function(e){We(e.expression,de.parenthesizeLeftSideOfAccess),Oe(e.questionDotToken),un(23,e.expression.end,at,e),We(e.argumentExpression),un(24,e.argumentExpression.end,at,e)}(n);case 213:return function(e){const n=16&Nm(e);n&&(at("("),ot("0"),at(","),pt());We(e.expression,de.parenthesizeLeftSideOfAccess),n&&at(")");Oe(e.questionDotToken),Xn(e,e.typeArguments),nt(e,e.arguments,2576,de.parenthesizeExpressionForDisallowedComma)}(n);case 214:return function(e){un(105,e.pos,lt,e),pt(),We(e.expression,de.parenthesizeExpressionOfNew),Xn(e,e.typeArguments),nt(e,e.arguments,18960,de.parenthesizeExpressionForDisallowedComma)}(n);case 215:return function(e){const n=16&Nm(e);n&&(at("("),ot("0"),at(","),pt());We(e.tag,de.parenthesizeLeftSideOfAccess),n&&at(")");Xn(e,e.typeArguments),pt(),We(e.template)}(n);case 216:return function(e){at("<"),Oe(e.type),at(">"),We(e.expression,de.parenthesizeOperandOfPrefixUnary)}(n);case 217:return function(e){const n=un(21,e.pos,at,e),t=Ct(e.expression,e);We(e.expression,void 0),Mt(e.expression,e),At(t),un(22,e.expression?e.expression.end:n,at,e)}(n);case 218:return function(e){Kt(e.name),yn(e)}(n);case 219:return function(e){Vn(e,e.modifiers),vn(e,on)}(n);case 220:return function(e){un(91,e.pos,lt,e),pt(),We(e.expression,de.parenthesizeOperandOfPrefixUnary)}(n);case 221:return function(e){un(114,e.pos,lt,e),pt(),We(e.expression,de.parenthesizeOperandOfPrefixUnary)}(n);case 222:return function(e){un(116,e.pos,lt,e),pt(),We(e.expression,de.parenthesizeOperandOfPrefixUnary)}(n);case 223:return function(e){un(135,e.pos,lt,e),pt(),We(e.expression,de.parenthesizeOperandOfPrefixUnary)}(n);case 224:return function(e){bt(e.operator,ct),function(e){const n=e.operand;return 224===n.kind&&(40===e.operator&&(40===n.operator||46===n.operator)||41===e.operator&&(41===n.operator||47===n.operator))}(e)&&pt();We(e.operand,de.parenthesizeOperandOfPrefixUnary)}(n);case 225:return function(e){We(e.operand,de.parenthesizeOperandOfPostfixUnary),bt(e.operator,ct)}(n);case 226:return pe(n);case 227:return function(e){const n=Lt(e,e.condition,e.questionToken),t=Lt(e,e.questionToken,e.whenTrue),r=Lt(e,e.whenTrue,e.colonToken),o=Lt(e,e.colonToken,e.whenFalse);We(e.condition,de.parenthesizeConditionOfConditionalExpression),xt(n,!0),Oe(e.questionToken),xt(t,!0),We(e.whenTrue,de.parenthesizeBranchOfConditionalExpression),At(n,t),xt(r,!0),Oe(e.colonToken),xt(o,!0),We(e.whenFalse,de.parenthesizeBranchOfConditionalExpression),At(r,o)}(n);case 228:return function(e){Oe(e.head),et(e,e.templateSpans,262144)}(n);case 229:return function(e){un(127,e.pos,lt,e),Oe(e.asteriskToken),qn(e.expression&&mn(e.expression),_n)}(n);case 230:return function(e){un(26,e.pos,at,e),We(e.expression,de.parenthesizeExpressionForDisallowedComma)}(n);case 231:return function(e){Kt(e.name),xn(e)}(n);case 232:case 282:case 359:return;case 234:return function(e){We(e.expression,void 0),e.type&&(pt(),lt("as"),pt(),Oe(e.type))}(n);case 235:return function(e){We(e.expression,de.parenthesizeLeftSideOfAccess),ct("!")}(n);case 233:return an(n);case 238:return function(e){We(e.expression,void 0),e.type&&(pt(),lt("satisfies"),pt(),Oe(e.type))}(n);case 236:return function(e){yt(e.keywordToken,e.pos,at),at("."),Oe(e.name)}(n);case 237:return Tt.fail("SyntheticExpression should never be printed.");case 284:return function(e){Oe(e.openingElement),et(e,e.children,262144),Oe(e.closingElement)}(n);case 285:return function(e){at("<"),In(e.tagName),Xn(e,e.typeArguments),pt(),Oe(e.attributes),at("/>")}(n);case 288:return function(e){Oe(e.openingFragment),et(e,e.children,262144),Oe(e.closingFragment)}(n);case 358:return Tt.fail("SyntaxList should not be printed");case 360:return function(e){const n=Im(e);1024&n||e.pos===e.expression.pos||br(e.expression.pos);We(e.expression),2048&n||e.end===e.expression.end||yr(e.expression.end)}(n);case 361:return function(e){nt(e,e.elements,528,void 0)}(n);case 362:return Tt.fail("SyntheticReferenceExpression should not be printed")}return Vy(n.kind)?vt(n,lt):Yc(n.kind)?vt(n,at):void Tt.fail(`Unhandled SyntaxKind: ${Tt.formatSyntaxKind(n.kind)}.`)}function Ye(e,n){const t=Ke(1,e,n);Tt.assertIsDefined(I),n=I,I=void 0,t(e,n)}function $e(n){let r=!1;const o=313===n.kind?n:void 0;if(o&&0===U)return;const i=o?o.prepends.length:0,a=o?o.sourceFiles.length+i:1;for(let s=0;s<a;s++){const a=o?s<i?o.prepends[s]:o.sourceFiles[s-i]:n,l=rM(a)?a:iM(a)?void 0:t,c=e.noEmitHelpers||!!l&&RP(l),d=(rM(a)||iM(a))&&!b,u=iM(a)?a.helpers:Qe(a);if(u)for(const e of u){if(e.scoped){if(o)continue}else{if(c)continue;if(d){if(H.get(e.name))continue;H.set(e.name,!0)}}const n=ge();"string"==typeof e.text?St(e.text):St(e.text(er)),J&&J.sections.push({pos:n,end:y.getTextPos(),kind:"emitHelpers",data:e.name}),r=!0}}return r}function Qe(e){const n=FR(e);return n&&Ie(n,PI)}function Ze(n,t){const r=Ft(n,e.neverAsciiEscape,t);var o;!e.sourceMap&&!e.inlineSourceMap||11!==n.kind&&!td(n.kind)?(o=r,y.writeStringLiteral(o)):ot(r)}function en(e){y.rawWrite(e.parent.text.substring(e.pos,e.end))}function nn(e){(e.symbol?it:q)(Ot(e,!1),e.symbol),et(e,HR(e),53776)}function rn(e){q(Ot(e,!1))}function on(e){Yn(e,e.typeParameters),Qn(e,e.parameters),Un(e.type),pt(),Oe(e.equalsGreaterThanToken)}function an(e){We(e.expression,de.parenthesizeLeftSideOfAccess),Xn(e,e.typeArguments)}function sn(e,n){un(19,e.pos,at,e);const t=n||1&Im(e)?768:129;et(e,e.statements,t),un(20,e.statements.end,at,e,!!(1&t))}function ln(e){e?at(";"):st()}function cn(e,n){const t=un(117,n,lt,e);pt(),un(21,t,at,e),We(e.expression),un(22,e.expression.end,at,e)}function dn(e){void 0!==e&&(261===e.kind?Oe(e):We(e))}function un(e,n,r,o,i){const a=Cl(o),s=a&&a.kind===o.kind,l=n;if(s&&t&&(n=Ts(t.text,n)),s&&o.pos!==l){const e=i&&t&&!iS(l,n,t);e&&ht(),yr(l),e&&gt()}if(n=j||19!==e&&20!==e?bt(e,r,n):yt(e,n,r,o),s&&o.end!==n){const e=294===o.kind;br(n,!e,e)}return n}function pn(e){return 2===e.kind||!!e.hasTrailingNewLine}function fn(e){if(!t)return!1;const n=ks(t.text,e.pos);if(n){const n=Cl(e);if(n&&mD(n.parent))return!0}return!!oe(n,pn)||(!!oe(AR(e),pn)||!!OD(e)&&(!(e.pos===e.expression.pos||!oe(ws(t.text,e.expression.pos),pn))||fn(e.expression)))}function mn(e){if(!se&&OD(e)&&fn(e)){const n=Cl(e);if(n&&mD(n)){const t=UA.createParenthesizedExpression(e.expression);return lR(t,e),yL(t,n),t}return UA.createParenthesizedExpression(e)}return e}function _n(e){return mn(de.parenthesizeExpressionForDisallowedComma(e))}function yn(e){jn(e,e.modifiers,!1),lt("function"),Oe(e.asteriskToken),pt(),Fe(e.name),vn(e,bn)}function vn(e,n){const t=e.body;if(t)if(GD(t)){const r=131072&Im(e);r&&ht(),Wt(e),E(e.parameters,Ut),Ut(e.body),n(e),En(t),zt(e),r&&gt()}else n(e),pt(),We(t,de.parenthesizeConciseBodyOfArrowFunction);else n(e),st()}function bn(e){Yn(e,e.typeParameters),$n(e,e.parameters),Un(e.type)}function En(e){null==w||w(e),pt(),at("{"),ht();const n=function(e){if(1&Im(e))return!0;if(e.multiLine)return!1;if(!Sv(e)&&t&&!$E(e,t))return!1;if(Rt(e,De(e.statements),2)||Nt(e,Le(e.statements),2,e.statements))return!1;let n;for(const t of e.statements){if(It(n,t,2)>0)return!1;n=t}return!0}(e)?Sn:Tn;ur(e,e.statements,n),gt(),yt(20,e.statements.end,at,e),null==O||O(e)}function Sn(e){Tn(e,!0)}function Tn(e,n){const t=Fn(e.statements),r=y.getTextPos();$e(e),0===t&&r===y.getTextPos()&&n?(gt(),et(e,e.statements,768),ht()):et(e,e.statements,1,void 0,t)}function xn(e){Bt(0,void 0),E(e.members,Ht),jn(e,e.modifiers,!0),un(86,JE(e).pos,lt,e),e.name&&(pt(),Fe(e.name));const n=131072&Im(e);n&&ht(),Yn(e,e.typeParameters),et(e,e.heritageClauses,0),pt(),at("{"),et(e,e.members,129),at("}"),n&&gt(),jt()}function An(e){at("{"),et(e,e.elements,525136),at("}")}function Rn(e){e.isTypeOnly&&(lt("type"),pt()),e.propertyName&&(Oe(e.propertyName),pt(),un(130,e.propertyName.end,lt,e),pt()),Oe(e.name)}function In(e){80===e.kind?We(e):Oe(e)}function Nn(e,n,r){let o=163969;1===n.length&&(!t||Sv(e)||Sv(n[0])||QE(e,n[0],t))?(yt(59,r,at,e),pt(),o&=-130):un(59,r,at,e),et(e,n,o)}function Dn(e){et(e,UA.createNodeArray(e.jsDocPropertyTags),33)}function Cn(e){e.typeParameters&&et(e,UA.createNodeArray(e.typeParameters),33),e.parameters&&et(e,UA.createNodeArray(e.parameters),33),e.type&&(_t(),pt(),at("*"),pt(),Oe(e.type))}function Mn(e){at("@"),Oe(e)}function Pn(e){const n=Ic(e);n&&(pt(),q(n))}function Ln(e){e&&(pt(),at("{"),Oe(e.type),at("}"))}function kn(e){_t();const n=e.statements;0===n.length||!w_(n[0])||Sv(n[0])?ur(e,n,On):On(e)}function wn(e,n,r,o){if(e){const e=y.getTextPos();ut('/// <reference no-default-lib="true"/>'),J&&J.sections.push({pos:e,end:y.getTextPos(),kind:"no-default-lib"}),_t()}if(t&&t.moduleName&&(ut(`/// <amd-module name="${t.moduleName}" />`),_t()),t&&t.amdDependencies)for(const e of t.amdDependencies)e.name?ut(`/// <amd-dependency name="${e.name}" path="${e.path}" />`):ut(`/// <amd-dependency path="${e.path}" />`),_t();for(const e of n){const n=y.getTextPos();ut(`/// <reference path="${e.fileName}" />`),J&&J.sections.push({pos:n,end:y.getTextPos(),kind:"reference",data:e.fileName}),_t()}for(const e of r){const n=y.getTextPos(),r=e.resolutionMode&&e.resolutionMode!==(null==t?void 0:t.impliedNodeFormat)?`resolution-mode="${99===e.resolutionMode?"import":"require"}"`:"";ut(`/// <reference types="${e.fileName}" ${r}/>`),J&&J.sections.push({pos:n,end:y.getTextPos(),kind:e.resolutionMode?99===e.resolutionMode?"type-import":"type-require":"type",data:e.fileName}),_t()}for(const e of o){const n=y.getTextPos();ut(`/// <reference lib="${e.fileName}" />`),J&&J.sections.push({pos:n,end:y.getTextPos(),kind:"lib",data:e.fileName}),_t()}}function On(e){const n=e.statements;Wt(e),E(e.statements,Ut),$e(e);const t=M(n,(e=>!w_(e)));!function(e){e.isDeclarationFile&&wn(e.hasNoDefaultLib,e.referencedFiles,e.typeReferenceDirectives,e.libReferenceDirectives)}(e),et(e,n,1,void 0,-1===t?n.length:t),zt(e)}function Fn(e,n,t,r){let o=!!n;for(let i=0;i<e.length;i++){const a=e[i];if(!w_(a))return i;if(!t||!t.has(a.expression.text)){o&&(o=!1,Ne(n)),_t();const e=y.getTextPos();Oe(a),r&&J&&J.sections.push({pos:e,end:y.getTextPos(),kind:"prologue",data:a.expression.text}),t&&t.add(a.expression.text)}}return e.length}function Wn(e,n){for(const t of e)if(!n.has(t.data)){_t();const e=y.getTextPos();Oe(t),J&&J.sections.push({pos:e,end:y.getTextPos(),kind:"prologue",data:t.data}),n&&n.add(t.data)}}function zn(e){if(rM(e))Fn(e.statements,e);else{const n=new Set;for(const t of e.prepends)Wn(t.prologues,n);for(const t of e.sourceFiles)Fn(t.statements,t,n,!0);Ne(void 0)}}function Gn(e){if(rM(e)||iM(e)){const n=Os(e.text);if(n)return ut(n),_t(),!0}else{for(const n of e.prepends)if(Tt.assertNode(n,iM),Gn(n))return!0;for(const n of e.sourceFiles)if(Gn(n))return!0}}function Bn(e,n){if(!e)return;const t=q;q=n,Oe(e),q=t}function jn(e,n,t){if(null==n?void 0:n.length){if(N(n,vd))return Vn(e,n);if(N(n,EN))return t?function(e,n){et(e,n,2146305);const t=Le(n);return t&&!_x(t.end)?t.end:e.pos}(e,n):e.pos;let r,o;null==F||F(n);let i,a=0,s=0;for(;a<n.length;){for(;s<n.length;){if(i=n[s],o=EN(i)?"decorators":"modifiers",void 0===r)r=o;else if(o!==r)break;s++}const l={pos:-1,end:-1};0===a&&(l.pos=n.pos),s===n.length-1&&(l.end=n.end),("modifiers"===r||t)&&rt(Oe,e,n,"modifiers"===r?2359808:2146305,void 0,a,s-a,!1,l),a=s,r=o,s++}if(null==W||W(n),i&&!_x(i.end))return i.end}return e.pos}function Vn(e,n){et(e,n,2359808);const t=Le(n);return t&&!_x(t.end)?t.end:e.pos}function Un(e){e&&(at(":"),pt(),Oe(e))}function Hn(e,n,t,r){e&&(pt(),un(64,n,ct,t),pt(),We(e,r))}function Kn(e){e&&(pt(),Oe(e))}function qn(e,n){e&&(pt(),We(e,n))}function Jn(e,n){GD(n)||1&Im(e)||K&&!Rt(e,n,0)?(pt(),Oe(n)):(_t(),ht(),jD(n)?je(5,n):Oe(n),gt())}function Xn(e,n){et(e,n,53776,ue)}function Yn(e,n){if(Td(e)&&e.typeArguments)return Xn(e,e.typeArguments);et(e,n,53776)}function $n(e,n){et(e,n,2576)}function Qn(e,n){!function(e,n){const t=we(n);return t&&t.pos===e.pos&&hD(e)&&!e.type&&!oe(e.modifiers)&&!oe(e.typeParameters)&&!oe(t.modifiers)&&!t.dotDotDotToken&&!t.questionToken&&!t.type&&!t.initializer&&tN(t.name)}(e,n)?$n(e,n):et(e,n,528)}function Zn(e){switch(60&e){case 0:break;case 16:at(",");break;case 4:pt(),at("|");break;case 32:pt(),at("*"),pt();break;case 8:pt(),at("&")}}function et(e,n,t,r,o,i){tt(Oe,e,n,t|(e&&2&Im(e)?65536:0),r,o,i)}function nt(e,n,t,r,o,i){tt(We,e,n,t,r,o,i)}function tt(e,n,r,o,i,a=0,s=(r?r.length-a:0)){if(void 0===r&&16384&o)return;const l=void 0===r||a>=r.length||0===s;if(l&&32768&o)return null==F||F(r),void(null==W||W(r));15360&o&&(at(function(e){return fV[15360&e][0]}(o)),l&&r&&br(r.pos,!0)),null==F||F(r),l?!(1&o)||K&&(!n||t&&$E(n,t))?256&o&&!(524288&o)&&pt():_t():rt(e,n,r,o,i,a,s,r.hasTrailingComma,r),null==W||W(r),15360&o&&(l&&r&&yr(r.end),at(function(e){return fV[15360&e][1]}(o)))}function rt(e,n,t,r,o,i,a,s,l){const c=!(262144&r);let d=c;const u=Rt(n,t[i],r);u?(_t(u),d=!1):256&r&&pt(),128&r&&ht();const p=function(e,n){return 1===e.length?KV:"object"==typeof n?qV:JV}(e,o);let f,m,_=!1;for(let s=0;s<a;s++){const a=t[i+s];if(32&r)_t(),Zn(r);else if(f){if(60&r&&f.end!==(n?n.end:-1)){2048&Im(f)||yr(f.end)}Zn(r),be(m);const e=It(f,a,r);if(e>0){if(131&r||(ht(),_=!0),d&&60&r&&!_x(a.pos)){br(TR(a).pos,!!(512&r),!0)}_t(e),d=!1}else f&&512&r&&pt()}if(m=ve(a),d){br(TR(a).pos)}else d=c;g=a.pos,p(a,e,o,s),_&&(gt(),_=!1),f=a}const h=f?Im(f):0,y=se||!!(2048&h),v=s&&64&r&&16&r;v&&(f&&!y?un(28,f.end,at,f):at(",")),f&&(n?n.end:-1)!==f.end&&60&r&&!y&&yr(v&&(null==l?void 0:l.end)?l.end:f.end),128&r&&gt(),be(m);const b=Nt(n,t[i+a-1],r,l);b?_t(b):2097408&r&&pt()}function ot(e){y.writeLiteral(e)}function it(e,n){y.writeSymbol(e,n)}function at(e){y.writePunctuation(e)}function st(){y.writeTrailingSemicolon(";")}function lt(e){y.writeKeyword(e)}function ct(e){y.writeOperator(e)}function dt(e){y.writeParameter(e)}function ut(e){y.writeComment(e)}function pt(){y.writeSpace(" ")}function ft(e){y.writeProperty(e)}function mt(e){y.nonEscapingWrite?y.nonEscapingWrite(e):y.write(e)}function _t(e=1){for(let n=0;n<e;n++)y.writeLine(n>0)}function ht(){y.increaseIndent()}function gt(){y.decreaseIndent()}function yt(e,n,t,r){return Z?bt(e,t,n):function(e,n,t,r,o){if(Z||e&&$h(e))return o(n,t,r);const i=e&&e.emitNode,a=i&&i.flags||0,s=i&&i.tokenSourceMapRanges&&i.tokenSourceMapRanges[n],l=s&&s.source||T;r=Cr(l,s?s.pos:r),!(256&a)&&r>=0&&Pr(l,r);r=o(n,t,r),s&&(r=s.end);!(512&a)&&r>=0&&Pr(l,r);return r}(r,e,t,n,bt)}function vt(e,n){z&&z(e),n(as(e.kind)),G&&G(e)}function bt(e,n,t){const r=as(e);return n(r),t<0?t:t+r.length}function Et(e,n,t){if(1&Im(e))pt();else if(K){const r=Lt(e,n,t);r?_t(r):pt()}else _t()}function St(e){const n=e.split(/\r\n?|\n/g),t=np(n);for(const e of n){const n=t?e.slice(t):e;n.length&&(_t(),q(n))}}function xt(e,n){e?(ht(),_t(e)):n&&pt()}function At(e,n){e&&gt(),n&&gt()}function Rt(e,n,r){if(2&r||K){if(65536&r)return 1;if(void 0===n)return!e||t&&$E(e,t)?0:1;if(n.pos===g)return 0;if(12===n.kind)return 0;if(t&&e&&!_x(e.pos)&&!Sv(n)&&(!n.parent||Il(n.parent)===Il(e)))return K?Dt((r=>sS(n.pos,e.pos,t,r))):QE(e,n,t)?0:1;if(Pt(n,r))return 1}return 1&r?1:0}function It(e,n,r){if(2&r||K){if(void 0===e||void 0===n)return 0;if(12===n.kind)return 0;if(t&&!Sv(e)&&!Sv(n))return K&&function(e,n){if(n.pos<e.end)return!1;e=Il(e),n=Il(n);const t=e.parent;if(!t||t!==n.parent)return!1;const r=Yx(e),o=null==r?void 0:r.indexOf(e);return void 0!==o&&o>-1&&r.indexOf(n)===o+1}(e,n)?Dt((r=>tS(e,n,t,r))):!K&&(i=n,(o=Il(o=e)).parent&&o.parent===Il(i).parent)?nS(e,n,t)?0:1:65536&r?1:0;if(Pt(e,r)||Pt(n,r))return 1}else if(ER(n))return 1;var o,i;return 1&r?1:0}function Nt(e,n,r,o){if(2&r||K){if(65536&r)return 1;if(void 0===n)return!e||t&&$E(e,t)?0:1;if(t&&e&&!_x(e.pos)&&!Sv(n)&&(!n.parent||n.parent===e)){if(K){const r=o&&!_x(o.end)?o.end:n.end;return Dt((n=>lS(r,e.end,t,n)))}return ZE(e,n,t)?0:1}if(Pt(n,r))return 1}return 1&r&&!(131072&r)?1:0}function Dt(e){Tt.assert(!!K);const n=e(!0);return 0===n?e(!1):n}function Ct(e,n){const t=K&&Rt(n,e,0);return t&&xt(t,!1),!!t}function Mt(e,n){const t=K&&Nt(n,e,0,void 0);t&&_t(t)}function Pt(e,n){if(Sv(e)){const t=ER(e);return void 0===t?!!(65536&n):t}return!!(65536&n)}function Lt(e,n,r){return 262144&Im(e)?0:(e=wt(e),n=wt(n),ER(r=wt(r))?1:!t||Sv(e)||Sv(n)||Sv(r)?0:K?Dt((e=>tS(n,r,t,e))):nS(n,r,t)?0:1)}function kt(e){return 0===e.statements.length&&(!t||nS(e,e,t))}function wt(e){for(;217===e.kind&&Sv(e);)e=e.expression;return e}function Ot(e,n){if(ud(e)||pd(e))return qt(e);if(zI(e)&&e.textSourceNode)return Ot(e.textSourceNode,n);const r=t,o=!!r&&!!e.parent&&!Sv(e);if(Cc(e)){if(!o||$f(e)!==Il(r))return Ll(e)}else if(qC(e)){if(!o||$f(e)!==Il(r))return SA(e)}else if(Tt.assertNode(e,ed),!o)return e.text;return Em(r,e,n)}function Ft(n,r,o){if(11===n.kind&&n.textSourceNode){const e=n.textSourceNode;if(tN(e)||rN(e)||FI(e)||qC(e)){const t=FI(e)?e.text:Ot(e);return o?`"${Gv(t)}"`:r||16777216&Im(n)?`"${Fv(t)}"`:`"${Wv(t)}"`}return Ft(e,r,o)}const i=(r?1:0)|(o?2:0)|(e.terminateUnterminatedLiterals?4:0)|(e.target&&e.target>=8?8:0);return Dm(n,t,i)}function Wt(e){e&&1048576&Im(e)||(u.push(p),p=0,s.push(l),l=void 0,f.push(m))}function zt(e){e&&1048576&Im(e)||(p=u.pop(),l=s.pop(),m=f.pop())}function Gt(e){m&&m!==Le(f)||(m=new Set),m.add(e)}function Bt(e,n){c.push(d),d=e,_.push(m),h=n}function jt(){d=c.pop(),h=_.pop()}function Vt(e){h&&h!==Le(_)||(h=new Set),h.add(e)}function Ut(e){if(e)switch(e.kind){case 241:case 296:case 297:E(e.statements,Ut);break;case 256:case 254:case 246:case 247:Ut(e.statement);break;case 245:Ut(e.thenStatement),Ut(e.elseStatement);break;case 248:case 250:case 249:Ut(e.initializer),Ut(e.statement);break;case 255:Ut(e.caseBlock);break;case 269:E(e.clauses,Ut);break;case 258:Ut(e.tryBlock),Ut(e.catchClause),Ut(e.finallyBlock);break;case 299:Ut(e.variableDeclaration),Ut(e.block);break;case 243:Ut(e.declarationList);break;case 261:E(e.declarations,Ut);break;case 260:case 169:case 208:case 263:case 274:case 280:Kt(e.name);break;case 262:Kt(e.name),1048576&Im(e)&&(E(e.parameters,Ut),Ut(e.body));break;case 206:case 207:case 275:E(e.elements,Ut);break;case 272:Ut(e.importClause);break;case 273:Kt(e.name),Ut(e.namedBindings);break;case 276:Kt(e.propertyName||e.name)}}function Ht(e){if(e)switch(e.kind){case 303:case 304:case 172:case 174:case 177:case 178:Kt(e.name)}}function Kt(e){e&&(ud(e)||pd(e)?qt(e):Vd(e)&&Ut(e))}function qt(e){const n=e.emitNode.autoGenerate;if(4==(7&n.flags))return Jt(aL(e),rN(e),n.flags,n.prefix,n.suffix);{const t=n.id;return i[t]||(i[t]=function(e){const n=e.emitNode.autoGenerate,t=sL(n.prefix,qt),r=sL(n.suffix);switch(7&n.flags){case 1:return Qt(0,!!(8&n.flags),rN(e),t,r);case 2:return Tt.assertNode(e,tN),Qt(268435456,!!(8&n.flags),!1,t,r);case 3:return Zt(Ll(e),32&n.flags?Yt:Xt,!!(16&n.flags),!!(8&n.flags),rN(e),t,r)}return Tt.fail(`Unsupported GeneratedIdentifierKind: ${Tt.formatEnum(7&n.flags,zr,!0)}.`)}(e))}}function Jt(e,n,t,i,a){const s=Hz(e),l=n?o:r;return l[s]||(l[s]=rr(e,n,t??0,sL(i,qt),sL(a)))}function Xt(e,n){return Yt(e,n)&&!function(e,n){return n?!!(null==h?void 0:h.has(e)):!!(null==m?void 0:m.has(e))}(e,n)&&!a.has(e)}function Yt(e,n){return!t||om(t,e,C)}function $t(e,n){switch(e){case"":p=n;break;case"#":d=n;break;default:l??(l=new Map),l.set(e,n)}}function Qt(e,n,t,r,o){r.length>0&&35===r.charCodeAt(0)&&(r=r.slice(1));const i=cL(t,r,"",o);let a=function(e){switch(e){case"":return p;case"#":return d;default:return(null==l?void 0:l.get(e))??0}}(i);if(e&&!(a&e)){const s=cL(t,r,268435456===e?"_i":"_n",o);if(Xt(s,t))return a|=e,t?Vt(s):n&&Gt(s),$t(i,a),s}for(;;){const e=268435455&a;if(a++,8!==e&&13!==e){const s=cL(t,r,e<26?"_"+String.fromCharCode(97+e):"_"+(e-26),o);if(Xt(s,t))return t?Vt(s):n&&Gt(s),$t(i,a),s}}}function Zt(e,n=Xt,t,r,o,i,s){if(e.length>0&&35===e.charCodeAt(0)&&(e=e.slice(1)),i.length>0&&35===i.charCodeAt(0)&&(i=i.slice(1)),t){const t=cL(o,i,e,s);if(n(t,o))return o?Vt(t):r?Gt(t):a.add(t),t}95!==e.charCodeAt(e.length-1)&&(e+="_");let l=1;for(;;){const t=cL(o,i,e+l,s);if(n(t,o))return o?Vt(t):r?Gt(t):a.add(t),t;l++}}function er(e){return Zt(e,Yt,!0,!1,!1,"","")}function nr(e){const n=Ot(e.name);return function(e,n){for(let t=n;t&&Ay(t,n);t=t.nextContainer)if(Du(t)&&t.locals){const n=t.locals.get(Ml(e));if(n&&3257279&n.flags)return!1}return!0}(n,hn(e,Du))?n:Zt(n,Xt,!1,!1,!1,"","")}function tr(){return Zt("default",Xt,!1,!1,!1,"","")}function rr(e,n,t,r,o){switch(e.kind){case 80:case 81:return Zt(Ot(e),Xt,!!(16&t),!!(8&t),n,r,o);case 267:case 266:return Tt.assert(!r&&!o&&!n),nr(e);case 272:case 278:return Tt.assert(!r&&!o&&!n),function(e){const n=Gg(e);return Zt(zI(n)?Mm(n.text):"module",Xt,!1,!1,!1,"","")}(e);case 262:case 263:{Tt.assert(!r&&!o&&!n);const i=e.name;return i&&!ud(i)?rr(i,!1,t,r,o):tr()}case 277:return Tt.assert(!r&&!o&&!n),tr();case 231:return Tt.assert(!r&&!o&&!n),Zt("class",Xt,!1,!1,!1,"","");case 174:case 177:case 178:return function(e,n,t,r){return tN(e.name)?Jt(e.name,n):Qt(0,!1,n,t,r)}(e,n,r,o);case 167:return Qt(0,!0,n,r,o);default:return Qt(0,!1,n,r,o)}}function or(e,n){const t=Ke(2,e,n),r=te,o=re,i=ie;ir(n),t(e,n),ar(n,r,o,i)}function ir(e){const n=Im(e),t=TR(e);!function(e,n,t,r){le(),ae=!1;const o=t<0||!!(1024&n)||12===e.kind,i=r<0||!!(2048&n)||12===e.kind;(t>0||r>0)&&t!==r&&(o||pr(t,359!==e.kind),(!o||t>=0&&1024&n)&&(te=t),(!i||r>=0&&2048&n)&&(re=r,261===e.kind&&(ie=r)));E(AR(e),lr),ce()}(e,n,t.pos,t.end),4096&n&&(se=!0)}function ar(e,n,t,r){const o=Im(e),i=TR(e);4096&o&&(se=!1),sr(e,o,i.pos,i.end,n,t,r);const a=VR(e);a&&sr(e,o,a.pos,a.end,n,t,r)}function sr(e,n,t,r,o,i,a){le();const s=r<0||!!(2048&n)||12===e.kind;E(NR(e),cr),(t>0||r>0)&&t!==r&&(te=o,re=i,ie=a,s||359===e.kind||function(e){xr(e,vr)}(r)),ce()}function lr(e){(e.hasLeadingNewline||2===e.kind)&&y.writeLine(),dr(e),e.hasTrailingNewLine||2===e.kind?y.writeLine():y.writeSpace(" ")}function cr(e){y.isAtStartOfLine()||y.writeSpace(" "),dr(e),e.hasTrailingNewLine&&y.writeLine()}function dr(e){const n=function(e){return 3===e.kind?`/*${e.text}*/`:`//${e.text}`}(e);wb(n,3===e.kind?ls(n):void 0,y,0,n.length,V)}function ur(e,n,r){le();const{pos:o,end:i}=n,a=Im(e),s=se||i<0||!!(2048&a);o<0||!!(1024&a)||function(e){const n=t&&kb(t.text,Pe(),y,Ar,e,V,se);n&&(R?R.push(n):R=[n])}(n),ce(),4096&a&&!se?(se=!0,r(e),se=!1):r(e),le(),s||(pr(n.end,!0),ae&&!y.isAtStartOfLine()&&y.writeLine()),ce()}function pr(e,n){ae=!1,n?0===e&&(null==t?void 0:t.isDeclarationFile)?Tr(e,mr):Tr(e,gr):0===e&&Tr(e,fr)}function fr(e,n,t,r,o){Rr(e,n)&&gr(e,n,t,r,o)}function mr(e,n,t,r,o){Rr(e,n)||gr(e,n,t,r,o)}function hr(n,t){return!e.onlyPrintJsDocStyle||(FL(n,t)||gm(n,t))}function gr(e,n,r,o,i){t&&hr(t.text,e)&&(ae||(Pb(Pe(),y,i,e),ae=!0),Mr(e),wb(t.text,Pe(),y,e,n,V),Mr(n),o?y.writeLine():3===r&&y.writeSpace(" "))}function yr(e){se||-1===e||pr(e,!0)}function vr(e,n,r,o){t&&hr(t.text,e)&&(y.isAtStartOfLine()||y.writeSpace(" "),Mr(e),wb(t.text,Pe(),y,e,n,V),Mr(n),o&&y.writeLine())}function br(e,n,t){se||(le(),xr(e,n?vr:t?Er:Sr),ce())}function Er(e,n,r){t&&(Mr(e),wb(t.text,Pe(),y,e,n,V),Mr(n),2===r&&y.writeLine())}function Sr(e,n,r,o){t&&(Mr(e),wb(t.text,Pe(),y,e,n,V),Mr(n),o?y.writeLine():y.writeSpace(" "))}function Tr(e,n){!t||-1!==te&&e===te||(function(e){return void 0!==R&&ke(R).nodePos===e}(e)?function(e){if(!t)return;const n=ke(R).detachedCommentEndPos;R.length-1?R.pop():R=void 0;Ds(t.text,n,e,n)}(n):Ds(t.text,e,n,e))}function xr(e,n){t&&(-1===re||e!==re&&e!==ie)&&Cs(t.text,e,n)}function Ar(e,n,r,o,i,a){t&&hr(t.text,o)&&(Mr(o),wb(e,n,r,o,i,a),Mr(i))}function Rr(e,n){return!!t&&hm(t.text,e,n)}function Ir(e,n){const t=Ke(3,e,n);Nr(n),t(e,n),Dr(n)}function Nr(e){const n=Im(e),t=gR(e);if(Kc(e)){Tt.assertIsDefined(e.parent,"UnparsedNodes must have parent pointers");const n=function(e){return void 0===e.parsedSourceMap&&void 0!==e.sourceMapText&&(e.parsedSourceMap=AG(e.sourceMapText)||!1),e.parsedSourceMap||void 0}(e.parent);n&&S&&S.appendSourceMap(y.getLine(),y.getColumn(),n,e.parent.sourceMapPath,e.parent.getLineAndCharacterOfPosition(e.pos),e.parent.getLineAndCharacterOfPosition(e.end))}else{const r=t.source||T;359!==e.kind&&!(32&n)&&t.pos>=0&&Pr(t.source||T,Cr(r,t.pos)),128&n&&(Z=!0)}}function Dr(e){const n=Im(e),t=gR(e);Kc(e)||(128&n&&(Z=!1),359!==e.kind&&!(64&n)&&t.end>=0&&Pr(t.source||T,t.end))}function Cr(e,n){return e.skipTrivia?e.skipTrivia(n):Ts(e.text,n)}function Mr(e){if(Z||_x(e)||kr(T))return;const{line:n,character:t}=_s(T,e);S.addMapping(y.getLine(),y.getColumn(),ee,n,t,void 0)}function Pr(e,n){if(e!==T){const t=T,r=ee;Lr(e),Mr(n),function(e,n){T=e,ee=n}(t,r)}else Mr(n)}function Lr(n){Z||(T=n,n!==x?kr(n)||(ee=S.addSource(n.fileName),e.inlineSources&&S.setSourceContent(ee,n.text),x=n,ne=ee):ee=ne)}function kr(e){return $i(e.fileName,".json")}}function KV(e,n,t,r){n(e)}function qV(e,n,t,r){n(e,t.select(r))}function JV(e,n,t,r){n(e,t)}var XV,YV,$V=g({"src/compiler/emitter.ts"(){JJ(),JJ(),ni(),fV=function(){const e=[];return e[1024]=["{","}"],e[2048]=["(",")"],e[4096]=["<",">"],e[8192]=["[","]"],e}(),mV={hasGlobalName:An,getReferencedExportContainer:An,getReferencedImportDeclaration:An,getReferencedDeclarationWithCollidingName:An,isDeclarationWithCollidingName:An,isValueAliasDeclaration:An,isReferencedAliasDeclaration:An,isTopLevelValueImportEqualsWithEntityName:An,getNodeCheckFlags:An,isDeclarationVisible:An,isLateBound:e=>!1,collectLinkedAliases:An,isImplementationOfOverload:An,isRequiredInitializedParameter:An,isOptionalUninitializedParameterProperty:An,isExpandoFunctionDeclaration:An,getPropertiesOfContainerFunction:An,createTypeOfDeclaration:An,createReturnTypeOfSignatureDeclaration:An,createTypeOfExpression:An,createLiteralConstValue:An,isSymbolAccessible:An,isEntityNameVisible:An,getConstantValue:An,getReferencedValueDeclaration:An,getReferencedValueDeclarations:An,getTypeReferenceSerializationKind:An,isOptionalParameter:An,moduleExportsSomeValue:An,isArgumentsLocalBinding:An,getExternalModuleFileFromDeclaration:An,getTypeReferenceDirectivesForEntityName:An,getTypeReferenceDirectivesForSymbol:An,isLiteralConstDeclaration:An,getJsxFactoryEntity:An,getJsxFragmentFactoryEntity:An,getAllAccessorDeclarations:An,getSymbolOfExternalModuleSpecifier:An,isBindingCapturedByNode:An,getDeclarationStatementsForSourceFile:An,isImportRequiredByAugmentation:An,tryFindAmbientModule:An},_V=Rn((()=>HV({}))),hV=Rn((()=>HV({removeComments:!0}))),gV=Rn((()=>HV({removeComments:!0,neverAsciiEscape:!0}))),yV=Rn((()=>HV({removeComments:!0,omitTrailingSemicolon:!0})))}});function QV(e,n,t){if(!e.getDirectories||!e.readDirectory)return;const r=new Map,i=rt(t);return{useCaseSensitiveFileNames:t,fileExists:function(n){const t=l(a(n));return t&&u(t.sortedAndCanonicalizedFiles,i(c(n)))||e.fileExists(n)},readFile:(n,t)=>e.readFile(n,t),directoryExists:e.directoryExists&&function(n){const t=a(n);return r.has(va(t))||e.directoryExists(n)},getDirectories:function(n){const t=a(n),r=d(n,t);if(r)return r.directories.slice();return e.getDirectories(n)},readDirectory:function(r,i,s,l,u){const f=a(r),m=d(r,f);let _;if(void 0!==m)return XT(r,i,s,l,t,n,u,(function(e){const n=a(e);if(n===f)return m||h(e,n);const t=d(e,n);return void 0!==t?t||h(e,n):Rf}),p);return e.readDirectory(r,i,s,l,u);function h(n,t){if(_&&t===f)return _;const r={files:B(e.readDirectory(n,void 0,void 0,["*.*"]),c)||o,directories:e.getDirectories(n)||o};return t===f&&(_=r),r}},createDirectory:e.createDirectory&&function(n){const t=l(a(n));if(t){const e=c(n),r=i(e);ue(t.sortedAndCanonicalizedDirectories,r,Gn)&&t.directories.push(e)}e.createDirectory(n)},writeFile:e.writeFile&&function(n,t,r){const o=l(a(n));o&&f(o,c(n),!0);return e.writeFile(n,t,r)},addOrDeleteFileOrDirectory:function(n,t){if(void 0!==s(t))return void m();const r=l(t);if(!r)return;if(!e.directoryExists)return void m();const o=c(n),a={fileExists:e.fileExists(n),directoryExists:e.directoryExists(n)};a.directoryExists||u(r.sortedAndCanonicalizedDirectories,i(o))?m():f(r,o,a.fileExists);return a},addOrDeleteFile:function(e,n,t){if(1===t)return;const r=l(n);r&&f(r,c(e),0===t)},clearCache:m,realpath:e.realpath&&p};function a(e){return ga(e,n,i)}function s(e){return r.get(va(e))}function l(e){const n=s(ra(e));return n?(n.sortedAndCanonicalizedFiles||(n.sortedAndCanonicalizedFiles=n.files.map(i).sort(),n.sortedAndCanonicalizedDirectories=n.directories.map(i).sort()),n):n}function c(e){return oa(_a(e))}function d(n,t){const o=s(t=va(t));if(o)return o;try{return function(n,t){var o;if(!e.realpath||va(a(e.realpath(n)))===t){const o={files:B(e.readDirectory(n,void 0,void 0,["*.*"]),c)||[],directories:e.getDirectories(n)||[]};return r.set(va(t),o),o}if(null==(o=e.directoryExists)?void 0:o.call(e,n))return r.set(t,!1),!1}(n,t)}catch(e){return void Tt.assert(!r.has(va(t)))}}function u(e,n){return ze(e,n,Sn,Gn)>=0}function p(n){return e.realpath?e.realpath(n):n}function f(e,n,t){const r=e.sortedAndCanonicalizedFiles,o=i(n);if(t)ue(r,o,Gn)&&e.files.push(n);else{const n=ze(r,o,Sn,Gn);if(n>=0){r.splice(n,1);const t=e.files.findIndex((e=>i(e)===o));e.files.splice(t,1)}}}function m(){r.clear()}}function ZV(e,n,t,r,i){var a;const s=$e((null==(a=null==n?void 0:n.configFile)?void 0:a.extendedSourceFiles)||o,i);t.forEach(((n,t)=>{s.has(t)||(n.projects.delete(e),n.close())})),s.forEach(((n,o)=>{const i=t.get(o);i?i.projects.add(e):t.set(o,{projects:new Set([e]),watcher:r(n,o),close:()=>{const e=t.get(o);e&&0===e.projects.size&&(e.watcher.close(),t.delete(o))}})}))}function eU(e,n){n.forEach((n=>{n.projects.delete(e)&&n.close()}))}function nU(e,n,t){e.delete(n)&&e.forEach((({extendedResult:r},o)=>{var i;(null==(i=r.extendedSourceFiles)?void 0:i.some((e=>t(e)===n)))&&nU(e,o,t)}))}function tU(e,n,t){xS(n,e.getMissingFilePaths(),{createNewValue:t,onDeleteValue:fS})}function rU(e,n,t){function r(e,n){return{watcher:t(e,n),flags:n}}n?xS(e,new Map(Object.entries(n)),{createNewValue:r,onDeleteValue:lU,onExistingValue:function(n,t,o){if(n.flags===t)return;n.watcher.close(),e.set(o,r(o,t))}}):SS(e,lU)}function oU({watchedDirPath:e,fileOrDirectory:n,fileOrDirectoryPath:t,configFileName:r,options:o,program:i,extraFileExtensions:a,currentDirectory:s,useCaseSensitiveFileNames:l,writeLog:c,toPath:d,getScriptKind:u}){const p=cK(t);if(!p)return c(`Project: ${r} Detected ignored path: ${n}`),!0;if((t=p)===e)return!1;if(Yi(t)&&!ax(n,o,a)&&!function(){if(!u)return!1;switch(u(n)){case 3:case 4:case 7:case 5:return!0;case 1:case 2:return tf(o);case 6:return $p(o);case 0:return!1}}())return c(`Project: ${r} Detected file add/remove of non supported extension: ${n}`),!0;if(NO(n,o.configFile.configFileSpecs,ma(ra(r),s),l,s))return c(`Project: ${r} Detected excluded file: ${n}`),!0;if(!i)return!1;if(ob(o)||o.outDir)return!1;if(_k(t)){if(o.declarationDir)return!1}else if(!Qi(t,yf))return!1;const f=cx(t),m=pn(i)?void 0:function(e){return!!e.getState}(i)?i.getProgramOrUndefined():i,_=m||pn(i)?void 0:i;return!(!h(f+".ts")&&!h(f+".tsx"))&&(c(`Project: ${r} Detected output file: ${n}`),!0);function h(e){return m?!!m.getSourceFileByPath(e):_?_.getState().fileInfos.has(e):!!D(i,(n=>d(n)===e))}}function iU(e,n){return!!e&&e.isEmittedFile(n)}function aU(e,n,t,r){Ci(2===n?t:yn);const o={watchFile:(n,t,r,o)=>e.watchFile(n,t,r,o),watchDirectory:(n,t,r,o)=>e.watchDirectory(n,t,!!(1&r),o)},i=0!==n?{watchFile:c("watchFile"),watchDirectory:c("watchDirectory")}:void 0,a=2===n?{watchFile:function(e,n,o,a,s,l){t(`FileWatcher:: Added:: ${d(e,o,a,s,l,r)}`);const c=i.watchFile(e,n,o,a,s,l);return{close:()=>{t(`FileWatcher:: Close:: ${d(e,o,a,s,l,r)}`),c.close()}}},watchDirectory:function(e,n,o,a,s,l){const c=`DirectoryWatcher:: Added:: ${d(e,o,a,s,l,r)}`;t(c);const u=Zt(),p=i.watchDirectory(e,n,o,a,s,l),f=Zt()-u;return t(`Elapsed:: ${f}ms ${c}`),{close:()=>{const n=`DirectoryWatcher:: Close:: ${d(e,o,a,s,l,r)}`;t(n);const i=Zt();p.close();const c=Zt()-i;t(`Elapsed:: ${c}ms ${n}`)}}}}:i||o,s=2===n?function(e,n,o,i,a){return t(`ExcludeWatcher:: Added:: ${d(e,n,o,i,a,r)}`),{close:()=>t(`ExcludeWatcher:: Close:: ${d(e,n,o,i,a,r)}`)}}:DK;return{watchFile:l("watchFile"),watchDirectory:l("watchDirectory")};function l(n){return(t,r,o,i,l,c)=>{var d;return CO(t,"watchFile"===n?null==i?void 0:i.excludeFiles:null==i?void 0:i.excludeDirectories,"boolean"==typeof e.useCaseSensitiveFileNames?e.useCaseSensitiveFileNames:e.useCaseSensitiveFileNames(),(null==(d=e.getCurrentDirectory)?void 0:d.call(e))||"")?s(t,o,i,l,c):a[n].call(void 0,t,r,o,i,l,c)}}function c(e){return(n,i,a,s,l,c)=>o[e].call(void 0,n,((...o)=>{const u=`${"watchFile"===e?"FileWatcher":"DirectoryWatcher"}:: Triggered with ${o[0]} ${void 0!==o[1]?o[1]:""}:: ${d(n,a,s,l,c,r)}`;t(u);const p=Zt();i.call(void 0,...o);const f=Zt()-p;t(`Elapsed:: ${f}ms ${u}`)}),a,s,l,c)}function d(e,n,t,r,o,i){return`WatchInfo: ${e} ${n} ${JSON.stringify(t)} ${i?i(r,o):void 0===o?r:`${r} ${o}`}`}}function sU(e){const n=null==e?void 0:e.fallbackPolling;return{watchFile:void 0!==n?n:1}}function lU(e){e.watcher.close()}var cU,dU,uU,pU,fU,mU,_U,hU,gU,yU,vU,bU,EU,SU=g({"src/compiler/watchUtilities.ts"(){JJ(),XV=(e=>(e[e.Update=0]="Update",e[e.RootNamesAndUpdate=1]="RootNamesAndUpdate",e[e.Full=2]="Full",e))(XV||{}),YV=(e=>(e[e.None=0]="None",e[e.TriggerOnly=1]="TriggerOnly",e[e.Verbose=2]="Verbose",e))(YV||{})}});function TU(e,n,t="tsconfig.json"){return ka(e,(e=>{const r=ua(e,t);return n(r)?r:void 0}))}function xU(e,n){const t=ra(n);return _a(Hi(e)?e:ua(t,e))}function AU(e,n,t){let r;return E(e,(e=>{const o=fa(e,n);if(o.pop(),!r)return void(r=o);const i=Math.min(r.length,o.length);for(let e=0;e<i;e++)if(t(r[e])!==t(o[e])){if(0===e)return!0;r.length=e;break}o.length<r.length&&(r.length=o.length)}))?"":r?la(r):n}function RU(e,n){return DU(e,n)}function IU(e,n,t){return(r,o,i)=>{let a;try{gr("beforeIORead"),a=e(r,n().charset),gr("afterIORead"),yr("I/O Read","beforeIORead","afterIORead")}catch(e){i&&i(e.message),a=""}return void 0!==a?lk(r,a,o,t):void 0}}function NU(e,n,t){return(r,o,i,a)=>{try{gr("beforeIOWrite"),pb(r,o,i,e,n,t),gr("afterIOWrite"),yr("I/O Write","beforeIOWrite","afterIOWrite")}catch(e){a&&a(e.message)}}}function DU(e,n,t=fi){const r=new Map,o=rt(t.useCaseSensitiveFileNames);function i(){return ra(_a(t.getExecutingFilePath()))}const a=VE(e),s=t.realpath&&(e=>t.realpath(e)),l={getSourceFile:IU((e=>l.readFile(e)),(()=>e),n),getDefaultLibLocation:i,getDefaultLibFileName:e=>ua(i(),$s(e)),writeFile:NU(((e,n,r)=>t.writeFile(e,n,r)),(e=>(l.createDirectory||t.createDirectory)(e)),(e=>{return n=e,!!r.has(n)||!!(l.directoryExists||t.directoryExists)(n)&&(r.set(n,!0),!0);var n})),getCurrentDirectory:Rn((()=>t.getCurrentDirectory())),useCaseSensitiveFileNames:()=>t.useCaseSensitiveFileNames,getCanonicalFileName:o,getNewLine:()=>a,fileExists:e=>t.fileExists(e),readFile:e=>t.readFile(e),trace:e=>t.write(e+a),directoryExists:e=>t.directoryExists(e),getEnvironmentVariable:e=>t.getEnvironmentVariable?t.getEnvironmentVariable(e):"",getDirectories:e=>t.getDirectories(e),realpath:s,readDirectory:(e,n,r,o,i)=>t.readDirectory(e,n,r,o,i),createDirectory:e=>t.createDirectory(e),createHash:an(t,t.createHash)};return l}function CU(e,n,t){const r=e.readFile,o=e.fileExists,i=e.directoryExists,a=e.createDirectory,s=e.writeFile,l=new Map,c=new Map,d=new Map,u=new Map,p=(n,t)=>{const o=r.call(e,t);return l.set(n,void 0!==o&&o),o};e.readFile=t=>{const o=n(t),i=l.get(o);return void 0!==i?!1!==i?i:void 0:$i(t,".json")||bV(t)?p(o,t):r.call(e,t)};const f=t?(e,r,o,i)=>{const a=n(e),s="object"==typeof r?r.impliedNodeFormat:void 0,l=u.get(s),c=null==l?void 0:l.get(a);if(c)return c;const d=t(e,r,o,i);return d&&(_k(e)||$i(e,".json"))&&u.set(s,(l||new Map).set(a,d)),d}:void 0;return e.fileExists=t=>{const r=n(t),i=c.get(r);if(void 0!==i)return i;const a=o.call(e,t);return c.set(r,!!a),a},s&&(e.writeFile=(t,r,...o)=>{const i=n(t);c.delete(i);const a=l.get(i);void 0!==a&&a!==r?(l.delete(i),u.forEach((e=>e.delete(i)))):f&&u.forEach((e=>{const n=e.get(i);n&&n.text!==r&&e.delete(i)})),s.call(e,t,r,...o)}),i&&(e.directoryExists=t=>{const r=n(t),o=d.get(r);if(void 0!==o)return o;const a=i.call(e,t);return d.set(r,!!a),a},a&&(e.createDirectory=t=>{const r=n(t);d.delete(r),a.call(e,t)})),{originalReadFile:r,originalFileExists:o,originalDirectoryExists:i,originalCreateDirectory:a,originalWriteFile:s,getSourceFileWithCache:f,readFileWithCache:e=>{const t=n(e),r=l.get(t);return void 0!==r?!1!==r?r:void 0:p(t,e)}}}function MU(e,n,t){let r;return r=Ee(r,e.getConfigFileParsingDiagnostics()),r=Ee(r,e.getOptionsDiagnostics(t)),r=Ee(r,e.getSyntacticDiagnostics(n,t)),r=Ee(r,e.getGlobalDiagnostics(t)),r=Ee(r,e.getSemanticDiagnostics(n,t)),Qp(e.getCompilerOptions())&&(r=Ee(r,e.getDeclarationDiagnostics(n,t))),Ys(r||o)}function PU(e,n){let t="";for(const r of e)t+=LU(r,n);return t}function LU(e,n){const t=`${ri(e)} TS${e.code}: ${zU(e.messageText,n.getNewLine())}${n.getNewLine()}`;if(e.file){const{line:r,character:o}=_s(e.file,e.start);return`${Ma(e.file.fileName,n.getCurrentDirectory(),(e=>n.getCanonicalFileName(e)))}(${r+1},${o+1}): `+t}return t}function kU(e){switch(e){case 1:return"[91m";case 0:return"[93m";case 2:return Tt.fail("Should never get an Info diagnostic on the command line.");case 3:return"[94m"}}function wU(e,n){return n+e+pU}function OU(e,n,t,r,o,i){const{line:a,character:s}=_s(e,n),{line:l,character:c}=_s(e,n+t),d=_s(e,e.text.length).line,u=l-a>=4;let p=(l+1+"").length;u&&(p=Math.max(fU.length,p));let f="";for(let n=a;n<=l;n++){f+=i.getNewLine(),u&&a+1<n&&n<l-1&&(f+=r+wU(fU.padStart(p),dU)+uU+i.getNewLine(),n=l-1);const t=cs(e,n,0),m=n<d?cs(e,n+1,0):e.text.length;let _=e.text.slice(t,m);if(_=_.trimEnd(),_=_.replace(/\t/g," "),f+=r+wU((n+1+"").padStart(p),dU)+uU,f+=_+i.getNewLine(),f+=r+wU("".padStart(p),dU)+uU,f+=o,n===a){const e=n===l?c:void 0;f+=_.slice(0,s).replace(/\S/g," "),f+=_.slice(s,e).replace(/./g,"~")}else f+=n===l?_.slice(0,c).replace(/./g,"~"):_.replace(/./g,"~");f+=pU}return f}function FU(e,n,t,r=wU){const{line:o,character:i}=_s(e,n);let a="";return a+=r(t?Ma(e.fileName,t.getCurrentDirectory(),(e=>t.getCanonicalFileName(e))):e.fileName,"[96m"),a+=":",a+=r(`${o+1}`,"[93m"),a+=":",a+=r(`${i+1}`,"[93m"),a}function WU(e,n){let t="";for(const r of e){if(r.file){const{file:e,start:o}=r;t+=FU(e,o,n),t+=" - "}if(t+=wU(ri(r),kU(r.category)),t+=wU(` TS${r.code}: `,"[90m"),t+=zU(r.messageText,n.getNewLine()),r.file&&r.code!==Oa.File_appears_to_be_binary.code&&(t+=n.getNewLine(),t+=OU(r.file,r.start,r.length,"",kU(r.category),n)),r.relatedInformation){t+=n.getNewLine();for(const{file:e,start:o,length:i,messageText:a}of r.relatedInformation)e&&(t+=n.getNewLine(),t+=mU+FU(e,o,n),t+=OU(e,o,i,_U,"[96m",n)),t+=n.getNewLine(),t+=_U+zU(a,n.getNewLine())}t+=n.getNewLine()}return t}function zU(e,n,t=0){if(mn(e))return e;if(void 0===e)return"";let r="";if(t){r+=n;for(let e=0;e<t;e++)r+="  "}if(r+=e.messageText,t++,e.next)for(const o of e.next)r+=zU(o,n,t);return r}function GU(e,n){return(mn(e)?n:e.resolutionMode)||n}function BU(e,n,t){return UU(e,gH(e,n),t)}function jU(e){var n;return DC(e)?e.isTypeOnly:!!(null==(n=e.importClause)?void 0:n.isTypeOnly)}function VU(e,n,t){return UU(e,n,t)}function UU(e,n,t){var r;if(gC(n.parent)||DC(n.parent)){if(jU(n.parent)){const e=HU(n.parent.attributes);if(e)return e}}if(n.parent.parent&&eD(n.parent.parent)){const e=HU(n.parent.parent.attributes);if(e)return e}if(t&&200===Vp(t))return n.parent.parent&&hC(n.parent.parent)||ng(n.parent,!1)?1:99;if(void 0===e.impliedNodeFormat)return;if(99!==e.impliedNodeFormat)return P_(by(n.parent))?99:1;const o=null==(r=by(n.parent))?void 0:r.parent;return o&&hC(o)?1:99}function HU(e,n){if(!e)return;if(1!==b(e.elements))return void(null==n||n(e,118===e.token?Oa.Type_import_attributes_should_have_exactly_one_key_resolution_mode_with_value_import_or_require:Oa.Type_import_assertions_should_have_exactly_one_key_resolution_mode_with_value_import_or_require));const t=e.elements[0];if(tp(t.name))if("resolution-mode"===t.name.text){if(tp(t.value)){if("import"===t.value.text||"require"===t.value.text)return"import"===t.value.text?99:1;null==n||n(t.value,Oa.resolution_mode_should_be_either_require_or_import)}}else null==n||n(t.name,118===e.token?Oa.resolution_mode_is_the_only_valid_key_for_type_import_attributes:Oa.resolution_mode_is_the_only_valid_key_for_type_import_assertions)}function KU(e){return e.text}function qU(e,n,t,r,o){return{nameAndMode:gU,resolve:(i,a)=>wF(i,e,t,r,o,n,a)}}function JU(e){return mn(e)?e:xn(e.fileName)}function XU(e,n,t,r,o){return{nameAndMode:yU,resolve:(i,a)=>fF(i,e,t,r,n,o,a)}}function YU(e,n,t,r,i,a,s,l){if(0===e.length)return o;const c=[],d=new Map,u=l(n,t,r,a,s);for(const n of e){const e=u.nameAndMode.getName(n),o=u.nameAndMode.getMode(n,i,(null==t?void 0:t.commandLine.options)||r),a=xF(e,o);let s=d.get(a);s||d.set(a,s=u.resolve(e,o)),c.push(s)}return c}function $U(e,n){return QU(void 0,e,((e,t)=>e&&n(e,t)))}function QU(e,n,t,r){let o;return function e(n,i,a){if(r){const e=r(n,a);if(e)return e}return E(i,((n,r)=>{if(n&&(null==o?void 0:o.has(n.sourceFile.path)))return;const i=t(n,a,r);return i||!n?i:((o||(o=new Set)).add(n.sourceFile.path),e(n.commandLine.projectReferences,n.references,n))}))}(e,n,void 0)}function ZU(e,n,t){return ua(e.configFilePath?ra(e.configFilePath):n,`__lib_node_modules_lookup_${t}__.ts`)}function eH(e){const n=e.split(".");let t=n[1],r=2;for(;n[r]&&"d"!==n[r];)t+=(2===r?"/":"-")+n[r],r++;return"@typescript/lib-"+t}function nH(e){const n=xn(e.fileName);return{libName:n,libFileName:Nk.get(n)}}function tH(e){switch(null==e?void 0:e.kind){case 3:case 4:case 5:case 7:return!0;default:return!1}}function rH(e){return void 0!==e.pos}function oH(e,n){var t,r,o,i;const a=Tt.checkDefined(e.getSourceFileByPath(n.file)),{kind:s,index:l}=n;let c,d,u,p;switch(s){case 3:const n=gH(a,l);if(u=null==(r=null==(t=e.getResolvedModule(a,n.text,e.getModeForUsageLocation(a,n)))?void 0:t.resolvedModule)?void 0:r.packageId,-1===n.pos)return{file:a,packageId:u,text:n.text};c=Ts(a.text,n.pos),d=n.end;break;case 4:({pos:c,end:d}=a.referencedFiles[l]);break;case 5:({pos:c,end:d,resolutionMode:p}=a.typeReferenceDirectives[l]),u=null==(i=null==(o=e.getResolvedTypeReferenceDirective(a,xn(a.typeReferenceDirectives[l].fileName),p||a.impliedNodeFormat))?void 0:o.resolvedTypeReferenceDirective)?void 0:i.packageId;break;case 7:({pos:c,end:d}=a.libReferenceDirectives[l]);break;default:return Tt.assertNever(s)}return{file:a,pos:c,end:d,packageId:u}}function iH(e,n,t,r,o,i,a,s,l,c){if(!e||(null==s?void 0:s()))return!1;if(!_e(e.getRootFileNames(),n))return!1;let d;if(!_e(e.getProjectReferences(),c,(function(n,t,r){return Vf(n,t)&&f(e.getResolvedProjectReferences()[r],n)})))return!1;if(e.getSourceFiles().some((function(e){return!function(e){return e.version===r(e.resolvedPath,e.fileName)}(e)||i(e.path)})))return!1;const u=e.getMissingFilePaths();if(u&&Wf(u,o))return!1;const p=e.getCompilerOptions();return!!ES(p,t)&&((!e.resolvedLibReferences||!Wf(e.resolvedLibReferences,((e,n)=>a(n))))&&(!p.configFile||!t.configFile||p.configFile.text===t.configFile.text));function f(e,n){if(e){if(k(d,e))return!0;const t=mH(n),r=l(t);return!!r&&(e.commandLine.options.configFile===r.options.configFile&&(!!_e(e.commandLine.fileNames,r.fileNames)&&((d||(d=[])).push(e),!E(e.references,((n,t)=>!f(n,e.commandLine.projectReferences[t]))))))}const t=mH(n);return!l(t)}}function aH(e){return e.options.configFile?[...e.options.configFile.parseDiagnostics,...e.errors]:e.errors}function sH(e,n,t,r){const o=lH(e,n,t,r);return"object"==typeof o?o.impliedNodeFormat:o}function lH(e,n,t,r){switch(Up(r)){case 3:case 99:return Qi(e,[".d.mts",".mts",".mjs"])?99:Qi(e,[".d.cts",".cts",".cjs"])?1:Qi(e,[".d.ts",".ts",".tsx",".js",".jsx"])?function(){const o=oW(n,t,r),i=[];o.failedLookupLocations=i,o.affectingLocations=i;const a=iW(e,o);return{impliedNodeFormat:"module"===(null==a?void 0:a.contents.packageJsonContent.type)?99:1,packageJsonLocations:i,packageJsonScope:a}}():void 0;default:return}}function cH(e,t,r,i,a){var s,l,c,d,u,p,f,m,_,h,g,y,v,b,S,T;const A=pn(e)?function(e,n,t,r,o,i){return{rootNames:e,options:n,host:t,oldProgram:r,configFileParsingDiagnostics:o,typeScriptVersion:i}}(e,t,r,i,a):e,{rootNames:R,options:I,configFileParsingDiagnostics:N,projectReferences:C,typeScriptVersion:P}=A;let{oldProgram:L}=A;const w=Rn((()=>Vt("ignoreDeprecations",Oa.Invalid_value_for_ignoreDeprecations)));let O,F,z,G,B,j,V;const K=new Map;let q=sn();const J={},X={};let $,Q,Z,ee,ne,te,re,ie,se,le,ce=AF();const de="number"==typeof I.maxNodeModuleJsDepth?I.maxNodeModuleJsDepth:0;let ue=0;const pe=new Map,fe=new Map;null==(s=Cr)||s.push(Cr.Phase.Program,"createProgram",{configFilePath:I.configFilePath,rootDir:I.rootDir},!0),gr("beforeProgram");const me=A.host||RU(I),he=pH(me);let ge=I.noLib;const ve=Rn((()=>me.getDefaultLibFileName(I))),be=me.getDefaultLibLocation?me.getDefaultLibLocation():ra(ve()),Ee=Mv(),Se=me.getCurrentDirectory(),Te=ex(I),xe=nx(I,Te),Ae=new Map;let Re,Ne,De;const Ce=me.hasInvalidatedResolutions||vn;let Me;if(me.resolveModuleNameLiterals?(De=me.resolveModuleNameLiterals.bind(me),Ne=null==(l=me.getModuleResolutionCache)?void 0:l.call(me)):me.resolveModuleNames?(De=(e,n,t,r,o,i)=>me.resolveModuleNames(e.map(KU),n,null==i?void 0:i.map(KU),t,r,o).map((e=>e?void 0!==e.extension?{resolvedModule:e}:{resolvedModule:{...e,extension:yx(e.resolvedFileName)}}:hU)),Ne=null==(c=me.getModuleResolutionCache)?void 0:c.call(me)):(Ne=CF(Se,Dt,I),De=(e,n,t,r,o)=>YU(e,n,t,r,o,me,Ne,qU)),me.resolveTypeReferenceDirectiveReferences)Me=me.resolveTypeReferenceDirectiveReferences.bind(me);else if(me.resolveTypeReferenceDirectives)Me=(e,n,t,r,o)=>me.resolveTypeReferenceDirectives(e.map(JU),n,t,r,null==o?void 0:o.impliedNodeFormat).map((e=>({resolvedTypeReferenceDirective:e})));else{const e=MF(Se,Dt,void 0,null==Ne?void 0:Ne.getPackageJsonInfoCache(),null==Ne?void 0:Ne.optionsToRedirectsKey);Me=(n,t,r,o,i)=>YU(n,t,r,o,i,me,e,XU)}const Pe=me.hasInvalidatedLibResolutions||vn;let Le;if(me.resolveLibrary)Le=me.resolveLibrary.bind(me);else{const e=CF(Se,Dt,I,null==Ne?void 0:Ne.getPackageJsonInfoCache());Le=(n,t,r)=>LF(n,t,r,me,e)}const ke=new Map;let we=new Map,Oe=sn(),Fe=!1;const We=new Map;let ze=new Map;const Ge=me.useCaseSensitiveFileNames()?new Map:void 0;let Be,Ve,Ue,He;const Ke=!!(null==(d=me.useSourceOfProjectReferenceRedirect)?void 0:d.call(me))&&!I.disableSourceOfProjectReferenceRedirect,{onProgramCreateComplete:qe,fileExists:Je,directoryExists:Xe}=function(e){let n;const t=e.compilerHost.fileExists,r=e.compilerHost.directoryExists,o=e.compilerHost.getDirectories,i=e.compilerHost.realpath;if(!e.useSourceOfProjectReferenceRedirect)return{onProgramCreateComplete:yn,fileExists:l};let a;e.compilerHost.fileExists=l,r&&(a=e.compilerHost.directoryExists=t=>r.call(e.compilerHost,t)?(u(t),!0):!!e.getResolvedProjectReferences()&&(n||(n=new Set,e.forEachResolvedProjectReference((t=>{const r=ob(t.commandLine.options);if(r)n.add(ra(e.toPath(r)));else{const r=t.commandLine.options.declarationDir||t.commandLine.options.outDir;r&&n.add(e.toPath(r))}}))),p(t,!1)));o&&(e.compilerHost.getDirectories=n=>!e.getResolvedProjectReferences()||r&&r.call(e.compilerHost,n)?o.call(e.compilerHost,n):[]);i&&(e.compilerHost.realpath=n=>{var t;return(null==(t=e.getSymlinkCache().getSymlinkedFiles())?void 0:t.get(e.toPath(n)))||i.call(e.compilerHost,n)});return{onProgramCreateComplete:s,fileExists:l,directoryExists:a};function s(){e.compilerHost.fileExists=t,e.compilerHost.directoryExists=r,e.compilerHost.getDirectories=o}function l(n){return!!t.call(e.compilerHost,n)||!!e.getResolvedProjectReferences()&&(!!_k(n)&&p(n,!0))}function c(n){const r=e.getSourceOfProjectReferenceRedirect(e.toPath(n));return void 0!==r?!mn(r)||t.call(e.compilerHost,r):void 0}function d(t){const r=e.toPath(t),o=`${r}${Fi}`;return zf(n,(e=>r===e||st(e,o)||st(r,`${e}/`)))}function u(n){var t;if(!e.getResolvedProjectReferences()||Xx(n))return;if(!i||!n.includes(HO))return;const r=e.getSymlinkCache(),o=va(e.toPath(n));if(null==(t=r.getSymlinkedDirectories())?void 0:t.has(o))return;const a=_a(i.call(e.compilerHost,n));let s;a!==n&&(s=va(e.toPath(a)))!==o?r.setSymlinkedDirectory(n,{real:va(a),realPath:s}):r.setSymlinkedDirectory(o,!1)}function p(n,t){var r;const o=t?e=>c(e):e=>d(e),i=o(n);if(void 0!==i)return i;const a=e.getSymlinkCache(),s=a.getSymlinkedDirectories();if(!s)return!1;const l=e.toPath(n);return!!l.includes(HO)&&(!(!t||!(null==(r=a.getSymlinkedFiles())?void 0:r.has(l)))||(x(s.entries(),(([r,i])=>{if(!i||!st(l,r))return;const s=o(l.replace(r,i.realPath));if(t&&s){const t=ma(n,e.compilerHost.getCurrentDirectory());a.setSymlinkedFile(l,`${i.real}${t.replace(new RegExp(r,"i"),"")}`)}return s}))||!1))}}({compilerHost:me,getSymlinkCache:$t,useSourceOfProjectReferenceRedirect:Ke,toPath:gn,getResolvedProjectReferences:Nn,getSourceOfProjectReferenceRedirect:vt,forEachResolvedProjectReference:yt}),Ye=me.readFile.bind(me);null==(u=Cr)||u.push(Cr.Phase.Program,"shouldProgramCreateNewSourceFiles",{hasOldProgram:!!L});const $e=function(e,n){return!!e&&Of(e.getCompilerOptions(),n,zk)}(L,I);let Qe;if(null==(p=Cr)||p.pop(),null==(f=Cr)||f.push(Cr.Phase.Program,"tryReuseStructureFromOldProgram",{}),Qe=function(){var e;if(!L)return 0;const n=L.getCompilerOptions();if(Lf(n,I))return 0;if(!_e(L.getRootFileNames(),R))return 0;if(QU(L.getProjectReferences(),L.getResolvedProjectReferences(),((e,n,t)=>{const r=Pt((n?n.commandLine.projectReferences:C)[t]);return e?!r||r.sourceFile!==e.sourceFile||!_e(e.commandLine.fileNames,r.commandLine.fileNames):void 0!==r}),((e,n)=>!_e(e,n?Et(n.sourceFile.path).commandLine.projectReferences:C,Vf))))return 0;C&&(Be=C.map(Pt));const t=[],r=[];if(Qe=2,Wf(L.getMissingFilePaths(),(e=>me.fileExists(e))))return 0;const o=L.getSourceFiles();let i;a=i||(i={}),a[a.Exists=0]="Exists",a[a.Modified=1]="Modified";var a;const s=new Map;for(const n of o){const o=dt(n.fileName,Ne,me,I);let i,a=me.getSourceFileByPath?me.getSourceFileByPath(n.fileName,n.resolvedPath,o,void 0,$e):me.getSourceFile(n.fileName,o,void 0,$e);if(!a)return 0;if(a.packageJsonLocations=(null==(e=o.packageJsonLocations)?void 0:e.length)?o.packageJsonLocations:void 0,a.packageJsonScope=o.packageJsonScope,Tt.assert(!a.redirectInfo,"Host should not return a redirect source file from `getSourceFile`"),n.redirectInfo){if(a!==n.redirectInfo.unredirected)return 0;i=!1,a=n}else if(L.redirectTargetsMap.has(n.path)){if(a!==n)return 0;i=!1}else i=a!==n;a.path=n.path,a.originalFileName=n.originalFileName,a.resolvedPath=n.resolvedPath,a.fileName=n.fileName;const l=L.sourceFileToPackageName.get(n.path);if(void 0!==l){const e=s.get(l),n=i?1:0;if(void 0!==e&&1===n||1===e)return 0;s.set(l,n)}if(i)n.impliedNodeFormat!==a.impliedNodeFormat?Qe=1:_e(n.libReferenceDirectives,a.libReferenceDirectives,Zn)?n.hasNoDefaultLib!==a.hasNoDefaultLib?Qe=1:_e(n.referencedFiles,a.referencedFiles,Zn)?(tt(a),_e(n.imports,a.imports,et)&&_e(n.moduleAugmentations,a.moduleAugmentations,et)?(12582912&n.flags)!=(12582912&a.flags)?Qe=1:_e(n.typeReferenceDirectives,a.typeReferenceDirectives,Zn)||(Qe=1):Qe=1):Qe=1:Qe=1,r.push(a);else if(Ce(n.path))Qe=1,r.push(a);else for(const e of n.ambientModuleNames)K.set(e,n.fileName);t.push(a)}if(2!==Qe)return Qe;for(const e of r){const n=hH(e),t=En(n,e);(re??(re=new Map)).set(e.path,t);Xf(n,t,(n=>L.getResolvedModule(e,n.text,Qt(e,n))),Uf)&&(Qe=1);const r=e.typeReferenceDirectives,o=Tn(r,e);(se??(se=new Map)).set(e.path,o);Xf(r,o,(n=>L.getResolvedTypeReferenceDirective(e,JU(n),GU(n,e.impliedNodeFormat))),Jf)&&(Qe=1)}if(2!==Qe)return Qe;if(wf(n,I))return 1;if(L.resolvedLibReferences&&Wf(L.resolvedLibReferences,((e,n)=>It(n).actual!==e.actual)))return 1;if(me.hasChangedAutomaticTypeDirectiveNames){if(me.hasChangedAutomaticTypeDirectiveNames())return 1}else if(Q=gF(I,me),!_e(L.getAutomaticTypeDirectiveNames(),Q))return 1;ze=L.getMissingFilePaths(),Tt.assert(t.length===L.getSourceFiles().length);for(const e of t)We.set(e.path,e);return L.getFilesByNameMap().forEach(((e,n)=>{e?e.path!==n?We.set(n,We.get(e.path)):L.isSourceFileFromExternalLibrary(e)&&fe.set(e.path,!0):We.set(n,e)})),z=t,q=L.getFileIncludeReasons(),$=L.getFileProcessingDiagnostics(),ce=L.getResolvedTypeReferenceDirectives(),Q=L.getAutomaticTypeDirectiveNames(),Z=L.getAutomaticTypeDirectiveResolutions(),we=L.sourceFileToPackageName,Oe=L.redirectTargetsMap,Fe=L.usesUriStyleNodeCoreModules,te=L.resolvedModules,ie=L.resolvedTypeReferenceDirectiveNames,ee=L.resolvedLibReferences,le=L.getCurrentPackagesMap(),2}(),null==(m=Cr)||m.pop(),2!==Qe){if(O=[],F=[],C&&(Be||(Be=C.map(Pt)),R.length&&(null==Be||Be.forEach(((e,n)=>{if(!e)return;const t=ob(e.commandLine.options);if(Ke){if(t||0===Vp(e.commandLine.options))for(const t of e.commandLine.fileNames)it(t,{kind:1,index:n})}else if(t)it(px(t,".d.ts"),{kind:2,index:n});else if(0===Vp(e.commandLine.options)){const t=Rn((()=>OV(e.commandLine,!me.useCaseSensitiveFileNames())));for(const r of e.commandLine.fileNames)_k(r)||$i(r,".json")||it(NV(r,e.commandLine,!me.useCaseSensitiveFileNames(),t),{kind:2,index:n})}})))),null==(_=Cr)||_.push(Cr.Phase.Program,"processRootFiles",{count:R.length}),E(R,((e,n)=>Qn(e,!1,!1,{kind:0,index:n}))),null==(h=Cr)||h.pop(),Q??(Q=R.length?gF(I,me):o),Z=AF(),Q.length){null==(g=Cr)||g.push(Cr.Phase.Program,"processTypeReferences",{count:Q.length});const e=ua(I.configFilePath?ra(I.configFilePath):Se,vU),n=Tn(Q,e);for(let e=0;e<Q.length;e++)Z.set(Q[e],void 0,n[e]),At(Q[e],void 0,n[e],{kind:8,typeReference:Q[e],packageId:null==(v=null==(y=n[e])?void 0:y.resolvedTypeReferenceDirective)?void 0:v.packageId});null==(b=Cr)||b.pop()}if(R.length&&!ge){const e=ve();!I.lib&&e?Qn(e,!0,!1,{kind:6}):E(I.lib,((e,n)=>{Qn(Rt(e),!0,!1,{kind:6,index:n})}))}z=Ie(O,(function(e,n){return wn(hn(e),hn(n))})).concat(F),O=void 0,F=void 0}if(L&&me.onReleaseOldSourceFile){const e=L.getSourceFiles();for(const n of e){const e=Fn(n.resolvedPath);($e||!e||e.impliedNodeFormat!==n.impliedNodeFormat||n.resolvedPath===n.path&&e.resolvedPath!==n.path)&&me.onReleaseOldSourceFile(n,L.getCompilerOptions(),!!Fn(n.path))}me.getParsedCommandLine||L.forEachResolvedProjectReference((e=>{Et(e.sourceFile.path)||me.onReleaseOldSourceFile(e.sourceFile,L.getCompilerOptions(),!1)}))}L&&me.onReleaseParsedCommandLine&&QU(L.getProjectReferences(),L.getResolvedProjectReferences(),((e,n,t)=>{const r=mH((null==n?void 0:n.commandLine.projectReferences[t])||L.getProjectReferences()[t]);(null==Ve?void 0:Ve.has(gn(r)))||me.onReleaseParsedCommandLine(r,e,L.getCompilerOptions())})),L=void 0,ne=void 0,re=void 0,se=void 0;const Ze={getRootFileNames:()=>R,getSourceFile:On,getSourceFileByPath:Fn,getSourceFiles:()=>z,getMissingFilePaths:()=>ze,getModuleResolutionCache:()=>Ne,getFilesByNameMap:()=>We,getCompilerOptions:()=>I,getSyntacticDiagnostics:function(e,n){return Wn(e,Gn,n)},getOptionsDiagnostics:function(){return Ys(ae(Ee.getGlobalDiagnostics(),function(){if(!I.configFile)return o;let e=Ee.getDiagnostics(I.configFile.fileName);return yt((n=>{e=ae(e,Ee.getDiagnostics(n.sourceFile.fileName))})),e}()))},getGlobalDiagnostics:function(){return R.length?Ys(Mn().getGlobalDiagnostics().slice()):o},getSemanticDiagnostics:function(e,n){return Wn(e,jn,n)},getCachedSemanticDiagnostics:function(e){var n;return e?null==(n=J.perFile)?void 0:n.get(e.path):J.allDiagnostics},getSuggestionDiagnostics:function(e,n){return Bn((()=>Mn().getSuggestionDiagnostics(e,n)))},getDeclarationDiagnostics:function(e,n){const t=Ze.getCompilerOptions();return!e||ob(t)?Kn(e,n):Wn(e,$n,n)},getBindAndCheckDiagnostics:function(e,n){return Vn(e,n)},getProgramDiagnostics:zn,getTypeChecker:Mn,getClassifiableNames:function(){var e;if(!V){Mn(),V=new Set;for(const n of z)null==(e=n.classifiableNames)||e.forEach((e=>V.add(e)))}return V},getCommonSourceDirectory:bn,emit:function(e,n,t,r,o,i){var a,s;null==(a=Cr)||a.push(Cr.Phase.Emit,"emit",{path:null==e?void 0:e.path},!0);const l=Bn((()=>function(e,n,t,r,o,i,a){if(!a){const o=dH(e,n,t,r);if(o)return o}const s=Mn().getEmitResolver(ob(I)?void 0:n,r);gr("beforeEmit");const l=GV(s,An(t),n,oV(I,i,o),o,!1,a);return gr("afterEmit"),yr("Emit","beforeEmit","afterEmit"),l}(Ze,e,n,t,r,o,i)));return null==(s=Cr)||s.pop(),l},getCurrentDirectory:()=>Se,getNodeCount:()=>Mn().getNodeCount(),getIdentifierCount:()=>Mn().getIdentifierCount(),getSymbolCount:()=>Mn().getSymbolCount(),getTypeCount:()=>Mn().getTypeCount(),getInstantiationCount:()=>Mn().getInstantiationCount(),getRelationCacheSizes:()=>Mn().getRelationCacheSizes(),getFileProcessingDiagnostics:()=>$,getResolvedTypeReferenceDirectives:()=>ce,getAutomaticTypeDirectiveNames:()=>Q,getAutomaticTypeDirectiveResolutions:()=>Z,isSourceFileFromExternalLibrary:Cn,isSourceFileDefaultLibrary:function(e){if(!e.isDeclarationFile)return!1;if(e.hasNoDefaultLib)return!0;if(!I.noLib)return!1;const n=me.useCaseSensitiveFileNames()?Ln:Pn;return I.lib?oe(I.lib,(t=>n(e.fileName,ee.get(t).actual))):n(e.fileName,ve())},getModeForUsageLocation:Qt,getModeForResolutionAtIndex:function(e,n){return Qt(e,gH(e,n))},getSourceFileFromReference:function(e,n){return rt(xU(n.fileName,e.fileName),On)},getLibFileFromReference:function(e){var n;const{libFileName:t}=nH(e),r=t&&(null==(n=null==ee?void 0:ee.get(t))?void 0:n.actual);return void 0!==r?On(r):void 0},sourceFileToPackageName:we,redirectTargetsMap:Oe,usesUriStyleNodeCoreModules:Fe,resolvedModules:te,resolvedTypeReferenceDirectiveNames:ie,resolvedLibReferences:ee,getResolvedModule:en,getResolvedModuleFromModuleSpecifier:function(e){const n=$f(e);return Tt.assertIsDefined(n,"`moduleSpecifier` must have a `SourceFile` ancestor. Use `program.getResolvedModule` instead to provide the containing file and resolution mode."),en(n,e.text,Qt(n,e))},getResolvedTypeReferenceDirective:function(e,n,t){var r;return null==(r=null==ie?void 0:ie.get(e.path))?void 0:r.get(n,t)},forEachResolvedModule:nn,forEachResolvedTypeReferenceDirective:tn,getCurrentPackagesMap:()=>le,typesPackageExists:function(e){return on().has(TW(e))},packageBundlesTypes:function(e){return!!on().get(e)},isEmittedFile:function(e){if(I.noEmit)return!1;const n=gn(e);if(Fn(n))return!1;const t=ob(I);if(t)return Yt(n,t)||Yt(n,cx(t)+".d.ts");if(I.declarationDir&&Ia(I.declarationDir,n,Se,!me.useCaseSensitiveFileNames()))return!0;if(I.outDir)return Ia(I.outDir,n,Se,!me.useCaseSensitiveFileNames());if(Qi(n,yf)||_k(n)){const e=cx(n);return!!Fn(e+".ts")||!!Fn(e+".tsx")}return!1},getConfigFileParsingDiagnostics:function(){return N||o},getProjectReferences:function(){return C},getResolvedProjectReferences:Nn,getProjectReferenceRedirect:mt,getResolvedProjectReferenceToRedirect:gt,getResolvedProjectReferenceByPath:Et,forEachResolvedProjectReference:yt,isSourceOfProjectReferenceRedirect:bt,emitBuildInfo:function(e){var n,t;Tt.assert(!ob(I)),null==(n=Cr)||n.push(Cr.Phase.Emit,"emitBuildInfo",{},!0),gr("beforeEmit");const r=GV(mV,An(e),void 0,nV,!1,!0);return gr("afterEmit"),yr("Emit","beforeEmit","afterEmit"),null==(t=Cr)||t.pop(),r},fileExists:Je,readFile:Ye,directoryExists:Xe,getSymlinkCache:$t,realpath:null==(S=me.realpath)?void 0:S.bind(me),useCaseSensitiveFileNames:()=>me.useCaseSensitiveFileNames(),getCanonicalFileName:Dt,getFileIncludeReasons:()=>q,structureIsReused:Qe,writeFile:In};return qe(),null==$||$.forEach((e=>{switch(e.kind){case 1:return Ee.add(kt(e.file&&Fn(e.file),e.fileProcessingReason,e.diagnostic,e.args||o));case 0:const{file:n,pos:t,end:r}=oH(Ze,e.reason);return Ee.add(iT(n,Tt.checkDefined(t),Tt.checkDefined(r)-t,e.diagnostic,...e.args||o));case 2:return e.diagnostics.forEach((e=>Ee.add(e)));default:Tt.assertNever(e)}})),function(){I.strictPropertyInitialization&&!RT(I,"strictNullChecks")&&jt(Oa.Option_0_cannot_be_specified_without_specifying_option_1,"strictPropertyInitialization","strictNullChecks");I.exactOptionalPropertyTypes&&!RT(I,"strictNullChecks")&&jt(Oa.Option_0_cannot_be_specified_without_specifying_option_1,"exactOptionalPropertyTypes","strictNullChecks");(I.isolatedModules||I.verbatimModuleSyntax)&&(I.out&&jt(Oa.Option_0_cannot_be_specified_with_option_1,"out",I.verbatimModuleSyntax?"verbatimModuleSyntax":"isolatedModules"),I.outFile&&jt(Oa.Option_0_cannot_be_specified_with_option_1,"outFile",I.verbatimModuleSyntax?"verbatimModuleSyntax":"isolatedModules"));I.inlineSourceMap&&(I.sourceMap&&jt(Oa.Option_0_cannot_be_specified_with_option_1,"sourceMap","inlineSourceMap"),I.mapRoot&&jt(Oa.Option_0_cannot_be_specified_with_option_1,"mapRoot","inlineSourceMap"));I.composite&&(!1===I.declaration&&jt(Oa.Composite_projects_may_not_disable_declaration_emit,"declaration"),!1===I.incremental&&jt(Oa.Composite_projects_may_not_disable_incremental_compilation,"declaration"));const e=ob(I);I.tsBuildInfoFile?ef(I)||jt(Oa.Option_0_cannot_be_specified_without_specifying_option_1_or_option_2,"tsBuildInfoFile","incremental","composite"):!I.incremental||e||I.configFilePath||Ee.add(sT(Oa.Option_incremental_can_only_be_specified_using_tsconfig_emitting_to_single_file_or_when_option_tsBuildInfoFile_is_specified));if(function(){Lt("5.0","5.5",(function(e,n,t,r,...o){if(t){const i=cT(void 0,Oa.Use_0_instead,t);Ht(!n,e,void 0,cT(i,r,...o))}else Ht(!n,e,void 0,r,...o)}),(e=>{0===I.target&&e("target","ES3"),I.noImplicitUseStrict&&e("noImplicitUseStrict"),I.keyofStringsOnly&&e("keyofStringsOnly"),I.suppressExcessPropertyErrors&&e("suppressExcessPropertyErrors"),I.suppressImplicitAnyIndexErrors&&e("suppressImplicitAnyIndexErrors"),I.noStrictGenericChecks&&e("noStrictGenericChecks"),I.charset&&e("charset"),I.out&&e("out",void 0,"outFile"),I.importsNotUsedAsValues&&e("importsNotUsedAsValues",void 0,"verbatimModuleSyntax"),I.preserveValueImports&&e("preserveValueImports",void 0,"verbatimModuleSyntax")}))}(),function(){const e=I.suppressOutputPathCheck?void 0:SV(I);QU(C,Be,((n,t,r)=>{const o=(t?t.commandLine.projectReferences:C)[r],i=t&&t.sourceFile;if(function(e,n,t){function r(e,r,o,i,...a){Ut(n,t,i,...a)}Lt("5.0","5.5",r,(n=>{e.prepend&&n("prepend")}))}(o,i,r),!n)return void Ut(i,r,Oa.File_0_not_found,o.path);const a=n.commandLine.options;if(!a.composite||a.noEmit){(t?t.commandLine.fileNames:R).length&&(a.composite||Ut(i,r,Oa.Referenced_project_0_must_have_setting_composite_Colon_true,o.path),a.noEmit&&Ut(i,r,Oa.Referenced_project_0_may_not_disable_emit,o.path))}if(o.prepend){const e=ob(a);e?me.fileExists(e)||Ut(i,r,Oa.Output_file_0_from_project_1_does_not_exist,e,o.path):Ut(i,r,Oa.Cannot_prepend_project_0_because_it_does_not_have_outFile_set,o.path)}!t&&e&&e===SV(a)&&(Ut(i,r,Oa.Cannot_write_file_0_because_it_will_overwrite_tsbuildinfo_file_generated_by_referenced_project_1,e,o.path),Ae.set(gn(e),!0))}))}(),I.composite){const e=new Set(R.map(gn));for(const n of z)sb(n,Ze)&&!e.has(n.path)&&Ot(n,Oa.File_0_is_not_listed_within_the_file_list_of_project_1_Projects_must_list_all_files_or_use_an_include_pattern,[n.fileName,I.configFilePath||""])}if(I.paths)for(const e in I.paths)if(je(I.paths,e))if(wT(e)||Wt(!0,e,Oa.Pattern_0_can_have_at_most_one_Asterisk_character,e),pn(I.paths[e])){const n=I.paths[e].length;0===n&&Wt(!1,e,Oa.Substitutions_for_pattern_0_shouldn_t_be_an_empty_array,e);for(let t=0;t<n;t++){const n=I.paths[e][t],r=typeof n;"string"===r?(wT(n)||Ft(e,t,Oa.Substitution_0_in_pattern_1_can_have_at_most_one_Asterisk_character,n,e),I.baseUrl||Ji(n)||qi(n)||Ft(e,t,Oa.Non_relative_paths_are_not_allowed_when_baseUrl_is_not_set_Did_you_forget_a_leading_Slash)):Ft(e,t,Oa.Substitution_0_for_pattern_1_has_incorrect_type_expected_string_got_2,n,e,r)}}else Wt(!1,e,Oa.Substitutions_for_pattern_0_should_be_an_array,e);I.sourceMap||I.inlineSourceMap||(I.inlineSources&&jt(Oa.Option_0_can_only_be_used_when_either_option_inlineSourceMap_or_option_sourceMap_is_provided,"inlineSources"),I.sourceRoot&&jt(Oa.Option_0_can_only_be_used_when_either_option_inlineSourceMap_or_option_sourceMap_is_provided,"sourceRoot"));I.out&&I.outFile&&jt(Oa.Option_0_cannot_be_specified_with_option_1,"out","outFile");!I.mapRoot||I.sourceMap||I.declarationMap||jt(Oa.Option_0_cannot_be_specified_without_specifying_option_1_or_option_2,"mapRoot","sourceMap","declarationMap");I.declarationDir&&(Qp(I)||jt(Oa.Option_0_cannot_be_specified_without_specifying_option_1_or_option_2,"declarationDir","declaration","composite"),e&&jt(Oa.Option_0_cannot_be_specified_with_option_1,"declarationDir",I.out?"out":"outFile"));I.declarationMap&&!Qp(I)&&jt(Oa.Option_0_cannot_be_specified_without_specifying_option_1_or_option_2,"declarationMap","declaration","composite");I.lib&&I.noLib&&jt(Oa.Option_0_cannot_be_specified_with_option_1,"lib","noLib");I.noImplicitUseStrict&&RT(I,"alwaysStrict")&&jt(Oa.Option_0_cannot_be_specified_with_option_1,"noImplicitUseStrict","alwaysStrict");const n=jp(I),t=D(z,(e=>uk(e)&&!e.isDeclarationFile));if(I.isolatedModules||I.verbatimModuleSyntax)0===I.module&&n<2&&I.isolatedModules&&jt(Oa.Option_isolatedModules_can_only_be_used_when_either_option_module_is_provided_or_option_target_is_ES2015_or_higher,"isolatedModules","target"),!1===I.preserveConstEnums&&jt(Oa.Option_preserveConstEnums_cannot_be_disabled_when_0_is_enabled,I.verbatimModuleSyntax?"verbatimModuleSyntax":"isolatedModules","preserveConstEnums");else if(t&&n<2&&0===I.module){const e=S_(t,"boolean"==typeof t.externalModuleIndicator?t:t.externalModuleIndicator);Ee.add(iT(t,e.start,e.length,Oa.Cannot_use_imports_exports_or_module_augmentations_when_module_is_none))}if(e&&!I.emitDeclarationOnly)if(I.module&&2!==I.module&&4!==I.module)jt(Oa.Only_amd_and_system_modules_are_supported_alongside_0,I.out?"out":"outFile","module");else if(void 0===I.module&&t){const e=S_(t,"boolean"==typeof t.externalModuleIndicator?t:t.externalModuleIndicator);Ee.add(iT(t,e.start,e.length,Oa.Cannot_compile_modules_using_option_0_unless_the_module_flag_is_amd_or_system,I.out?"out":"outFile"))}$p(I)&&(1===Up(I)?jt(Oa.Option_resolveJsonModule_cannot_be_specified_when_moduleResolution_is_set_to_classic,"resolveJsonModule"):ET(I)||jt(Oa.Option_resolveJsonModule_cannot_be_specified_when_module_is_set_to_none_system_or_umd,"resolveJsonModule","module"));if(I.outDir||I.rootDir||I.sourceRoot||I.mapRoot){const e=bn();I.outDir&&""===e&&z.some((e=>ta(e.fileName)>1))&&jt(Oa.Cannot_find_the_common_subdirectory_path_for_the_input_files,"outDir")}I.useDefineForClassFields&&0===n&&jt(Oa.Option_0_cannot_be_specified_when_option_target_is_ES3,"useDefineForClassFields");I.checkJs&&!tf(I)&&Ee.add(sT(Oa.Option_0_cannot_be_specified_without_specifying_option_1,"checkJs","allowJs"));I.emitDeclarationOnly&&(Qp(I)||jt(Oa.Option_0_cannot_be_specified_without_specifying_option_1_or_option_2,"emitDeclarationOnly","declaration","composite"),I.noEmit&&jt(Oa.Option_0_cannot_be_specified_with_option_1,"emitDeclarationOnly","noEmit"));I.emitDecoratorMetadata&&!I.experimentalDecorators&&jt(Oa.Option_0_cannot_be_specified_without_specifying_option_1,"emitDecoratorMetadata","experimentalDecorators");I.jsxFactory?(I.reactNamespace&&jt(Oa.Option_0_cannot_be_specified_with_option_1,"reactNamespace","jsxFactory"),4!==I.jsx&&5!==I.jsx||jt(Oa.Option_0_cannot_be_specified_when_option_jsx_is_1,"jsxFactory",Ak.get(""+I.jsx)),ck(I.jsxFactory,n)||Vt("jsxFactory",Oa.Invalid_value_for_jsxFactory_0_is_not_a_valid_identifier_or_qualified_name,I.jsxFactory)):I.reactNamespace&&!zs(I.reactNamespace,n)&&Vt("reactNamespace",Oa.Invalid_value_for_reactNamespace_0_is_not_a_valid_identifier,I.reactNamespace);I.jsxFragmentFactory&&(I.jsxFactory||jt(Oa.Option_0_cannot_be_specified_without_specifying_option_1,"jsxFragmentFactory","jsxFactory"),4!==I.jsx&&5!==I.jsx||jt(Oa.Option_0_cannot_be_specified_when_option_jsx_is_1,"jsxFragmentFactory",Ak.get(""+I.jsx)),ck(I.jsxFragmentFactory,n)||Vt("jsxFragmentFactory",Oa.Invalid_value_for_jsxFragmentFactory_0_is_not_a_valid_identifier_or_qualified_name,I.jsxFragmentFactory));I.reactNamespace&&(4!==I.jsx&&5!==I.jsx||jt(Oa.Option_0_cannot_be_specified_when_option_jsx_is_1,"reactNamespace",Ak.get(""+I.jsx)));I.jsxImportSource&&2===I.jsx&&jt(Oa.Option_0_cannot_be_specified_when_option_jsx_is_1,"jsxImportSource",Ak.get(""+I.jsx));I.preserveValueImports&&Vp(I)<5&&jt(Oa.Option_0_can_only_be_used_when_module_is_set_to_preserve_or_to_es2015_or_later,"preserveValueImports");const r=Vp(I);I.verbatimModuleSyntax&&(2!==r&&3!==r&&4!==r||jt(Oa.Option_verbatimModuleSyntax_cannot_be_used_when_module_is_set_to_UMD_AMD_or_System,"verbatimModuleSyntax"),I.preserveValueImports&&Jt("preserveValueImports","verbatimModuleSyntax"),I.importsNotUsedAsValues&&Jt("importsNotUsedAsValues","verbatimModuleSyntax"));!I.allowImportingTsExtensions||I.noEmit||I.emitDeclarationOnly||Vt("allowImportingTsExtensions",Oa.Option_allowImportingTsExtensions_can_only_be_used_when_either_noEmit_or_emitDeclarationOnly_is_set);const o=Up(I);I.resolvePackageJsonExports&&!AT(o)&&jt(Oa.Option_0_can_only_be_used_when_moduleResolution_is_set_to_node16_nodenext_or_bundler,"resolvePackageJsonExports");I.resolvePackageJsonImports&&!AT(o)&&jt(Oa.Option_0_can_only_be_used_when_moduleResolution_is_set_to_node16_nodenext_or_bundler,"resolvePackageJsonImports");I.customConditions&&!AT(o)&&jt(Oa.Option_0_can_only_be_used_when_moduleResolution_is_set_to_node16_nodenext_or_bundler,"customConditions");100!==o||bT(r)||200===r||Vt("moduleResolution",Oa.Option_0_can_only_be_used_when_module_is_set_to_preserve_or_to_es2015_or_later,"bundler");if(Po[r]&&100<=r&&r<=199&&!(3<=o&&o<=99)){const e=Po[r];Vt("moduleResolution",Oa.Option_moduleResolution_must_be_set_to_0_or_left_unspecified_when_option_module_is_set_to_1,e,e)}else if(Io[o]&&3<=o&&o<=99&&!(100<=r&&r<=199)){const e=Io[o];Vt("module",Oa.Option_module_must_be_set_to_0_when_option_moduleResolution_is_set_to_1,e,e)}if(!I.noEmit&&!I.suppressOutputPathCheck){const e=An(),n=new Set;EV(e,(e=>{I.emitDeclarationOnly||i(e.jsFilePath,n),i(e.declarationFilePath,n)}))}function i(e,n){if(e){const t=gn(e);if(We.has(t)){let n;I.configFilePath||(n=cT(void 0,Oa.Adding_a_tsconfig_json_file_will_help_organize_projects_that_contain_both_TypeScript_and_JavaScript_files_Learn_more_at_https_Colon_Slash_Slashaka_ms_Slashtsconfig)),n=cT(n,Oa.Cannot_write_file_0_because_it_would_overwrite_input_file,e),Xt(e,lT(n))}const r=me.useCaseSensitiveFileNames()?t:xn(t);n.has(r)?Xt(e,sT(Oa.Cannot_write_file_0_because_it_would_be_overwritten_by_multiple_input_files,e)):n.add(r)}}}(),gr("afterProgram"),yr("Program","beforeProgram","afterProgram"),null==(T=Cr)||T.pop(),Ze;function en(e,n,t){var r;return null==(r=null==te?void 0:te.get(e.path))?void 0:r.get(n,t)}function nn(e,n){rn(te,e,n)}function tn(e,n){rn(ie,e,n)}function rn(e,n,t){var r;t?null==(r=null==e?void 0:e.get(t.path))||r.forEach(((e,r,o)=>n(e,r,o,t.path))):null==e||e.forEach(((e,t)=>e.forEach(((e,r,o)=>n(e,r,o,t)))))}function on(){return le||(le=new Map,nn((({resolvedModule:e})=>{(null==e?void 0:e.packageId)&&le.set(e.packageId.name,".d.ts"===e.extension||!!le.get(e.packageId.name))})),le)}function ln(e){var n;(null==(n=e.resolutionDiagnostics)?void 0:n.length)&&($??($=[])).push({kind:2,diagnostics:e.resolutionDiagnostics})}function cn(e,n,t,r){if(me.resolveModuleNameLiterals||!me.resolveModuleNames)return ln(t);if(!Ne||Xs(n))return;const o=ra(ma(e.originalFileName,Se)),i=fn(e),a=Ne.getFromNonRelativeNameCache(n,r,o,i);a&&ln(a)}function dn(e,n,t){var r,i;if(!e.length)return o;const a=ma(n.originalFileName,Se),s=fn(n);null==(r=Cr)||r.push(Cr.Phase.Program,"resolveModuleNamesWorker",{containingFileName:a}),gr("beforeResolveModule");const l=De(e,a,s,I,n,t);return gr("afterResolveModule"),yr("ResolveModule","beforeResolveModule","afterResolveModule"),null==(i=Cr)||i.pop(),l}function un(e,n,t){var r,o;if(!e.length)return[];const i=mn(n)?void 0:n,a=mn(n)?n:ma(n.originalFileName,Se),s=i&&fn(i);null==(r=Cr)||r.push(Cr.Phase.Program,"resolveTypeReferenceDirectiveNamesWorker",{containingFileName:a}),gr("beforeResolveTypeReference");const l=Me(e,a,s,I,i,t);return gr("afterResolveTypeReference"),yr("ResolveTypeReference","beforeResolveTypeReference","afterResolveTypeReference"),null==(o=Cr)||o.pop(),l}function fn(e){const n=gt(e.originalFileName);if(n||!_k(e.originalFileName))return n;const t=_n(e.path);if(t)return t;if(!me.realpath||!I.preserveSymlinks||!e.originalFileName.includes(HO))return;const r=gn(me.realpath(e.originalFileName));return r===e.path?void 0:_n(r)}function _n(e){const n=vt(e);return mn(n)?gt(n):n?yt((n=>{const t=ob(n.commandLine.options);if(t)return gn(t)===e?n:void 0})):void 0}function hn(e){if(Ia(be,e.fileName,!1)){const n=oa(e.fileName);if("lib.d.ts"===n||"lib.es6.d.ts"===n)return 0;const t=Yn(lt(n,"lib."),".d.ts"),r=Ik.indexOf(t);if(-1!==r)return r+1}return Ik.length+2}function gn(e){return ga(e,Se,Dt)}function bn(){if(void 0===B){const e=W(z,(e=>sb(e,Ze)));B=wV(I,(()=>Y(e,(e=>e.isDeclarationFile?void 0:e.fileName))),Se,Dt,(n=>function(e,n){let t=!0;const r=me.getCanonicalFileName(ma(n,Se));for(const o of e)if(!o.isDeclarationFile){0!==me.getCanonicalFileName(ma(o.fileName,Se)).indexOf(r)&&(Ot(o,Oa.File_0_is_not_under_rootDir_1_rootDir_is_expected_to_contain_all_source_files,[o.fileName,n]),t=!1)}return t}(e,n)))}return B}function En(e,n){if(0===Qe&&!n.ambientModuleNames.length)return dn(e,n,void 0);let t,r,i;const a=hU,s=L&&L.getSourceFile(n.fileName);for(let o=0;o<e.length;o++){const l=e[o];if(n===s&&!Ce(n.path)){const t=null==L?void 0:L.getResolvedModule(n,l.text,Qt(n,l));if(null==t?void 0:t.resolvedModule){XO(I,me)&&JO(me,t.resolvedModule.packageId?Oa.Reusing_resolution_of_module_0_from_1_of_old_program_it_was_successfully_resolved_to_2_with_Package_ID_3:Oa.Reusing_resolution_of_module_0_from_1_of_old_program_it_was_successfully_resolved_to_2,l.text,ma(n.originalFileName,Se),t.resolvedModule.resolvedFileName,t.resolvedModule.packageId&&qf(t.resolvedModule.packageId)),(r??(r=new Array(e.length)))[o]=t,(i??(i=[])).push(l);continue}}let c=!1;k(n.ambientModuleNames,l.text)?(c=!0,XO(I,me)&&JO(me,Oa.Module_0_was_resolved_as_locally_declared_ambient_module_in_file_1,l.text,ma(n.originalFileName,Se))):c=d(l),c?(r||(r=new Array(e.length)))[o]=a:(t??(t=[])).push(l)}const l=t&&t.length?dn(t,n,i):o;if(!r)return Tt.assert(l.length===e.length),l;let c=0;for(let e=0;e<r.length;e++)r[e]||(r[e]=l[c],c++);return Tt.assert(c===l.length),r;function d(e){var t;const r=null==(t=null==L?void 0:L.getResolvedModule(n,e.text,Qt(n,e)))?void 0:t.resolvedModule,o=r&&L.getSourceFile(r.resolvedFileName);if(r&&o)return!1;const i=K.get(e.text);return!!i&&(XO(I,me)&&JO(me,Oa.Module_0_was_resolved_as_ambient_module_declared_in_1_since_this_file_was_not_modified,e.text,i),!0)}}function Tn(e,n){var t;if(0===Qe)return un(e,n,void 0);let r,i,a;const s=mn(n)?void 0:n,l=mn(n)?void 0:L&&L.getSourceFile(n.fileName),c=mn(n)?!Ce(gn(n)):n===l&&!Ce(n.path);for(let o=0;o<e.length;o++){const l=e[o];if(c){const r=JU(l),c=GU(l,null==s?void 0:s.impliedNodeFormat),d=mn(n)?null==(t=null==L?void 0:L.getAutomaticTypeDirectiveResolutions())?void 0:t.get(r,c):null==L?void 0:L.getResolvedTypeReferenceDirective(n,r,c);if(null==d?void 0:d.resolvedTypeReferenceDirective){XO(I,me)&&JO(me,d.resolvedTypeReferenceDirective.packageId?Oa.Reusing_resolution_of_type_reference_directive_0_from_1_of_old_program_it_was_successfully_resolved_to_2_with_Package_ID_3:Oa.Reusing_resolution_of_type_reference_directive_0_from_1_of_old_program_it_was_successfully_resolved_to_2,r,mn(n)?n:ma(n.originalFileName,Se),d.resolvedTypeReferenceDirective.resolvedFileName,d.resolvedTypeReferenceDirective.packageId&&qf(d.resolvedTypeReferenceDirective.packageId)),(i??(i=new Array(e.length)))[o]=d,(a??(a=[])).push(l);continue}}(r??(r=[])).push(l)}if(!r)return i||o;const d=un(r,n,a);if(!i)return Tt.assert(d.length===e.length),d;let u=0;for(let e=0;e<i.length;e++)i[e]||(i[e]=d[u],u++);return Tt.assert(u===d.length),i}function An(e){return{getPrependNodes:Dn,getCanonicalFileName:Dt,getCommonSourceDirectory:Ze.getCommonSourceDirectory,getCompilerOptions:Ze.getCompilerOptions,getCurrentDirectory:()=>Se,getSourceFile:Ze.getSourceFile,getSourceFileByPath:Ze.getSourceFileByPath,getSourceFiles:Ze.getSourceFiles,getLibFileFromReference:Ze.getLibFileFromReference,isSourceFileFromExternalLibrary:Cn,getResolvedProjectReferenceToRedirect:gt,getProjectReferenceRedirect:mt,isSourceOfProjectReferenceRedirect:bt,getSymlinkCache:$t,writeFile:e||In,isEmitBlocked:kn,readFile:e=>me.readFile(e),fileExists:e=>{const n=gn(e);return!!Fn(n)||!ze.has(n)&&me.fileExists(e)},useCaseSensitiveFileNames:()=>me.useCaseSensitiveFileNames(),getBuildInfo:e=>{var n;return null==(n=Ze.getBuildInfo)?void 0:n.call(Ze,e)},getSourceFileFromReference:(e,n)=>Ze.getSourceFileFromReference(e,n),redirectTargetsMap:Oe,getFileIncludeReasons:Ze.getFileIncludeReasons,createHash:an(me,me.createHash)}}function In(e,n,t,r,o,i){me.writeFile(e,n,t,r,o,i)}function Nn(){return Be}function Dn(){return fH(C,((e,n)=>{var t;return null==(t=Be[n])?void 0:t.commandLine}),(e=>{const n=gn(e),t=Fn(n);return t?t.text:We.has(n)?void 0:me.readFile(n)}),me)}function Cn(e){return!!fe.get(e.path)}function Mn(){return j||(j=Jz(Ze))}function kn(e){return Ae.has(gn(e))}function On(e){return Fn(gn(e))}function Fn(e){return We.get(e)||void 0}function Wn(e,n,t){return Ys(e?n(e,t):H(Ze.getSourceFiles(),(e=>(t&&t.throwIfCancellationRequested(),n(e,t)))))}function zn(e){var n;if(Nx(e,I,Ze))return o;const t=Ee.getDiagnostics(e.fileName);return(null==(n=e.commentDirectives)?void 0:n.length)?Hn(e,e.commentDirectives,t).diagnostics:t}function Gn(e){return Jh(e)?(e.additionalSyntacticDiagnostics||(e.additionalSyntacticDiagnostics=function(e){return Bn((()=>{const n=[];return t(e,e),ik(e,t,r),n;function t(e,t){switch(t.kind){case 169:case 172:case 174:if(t.questionToken===e)return n.push(a(e,Oa.The_0_modifier_can_only_be_used_in_TypeScript_files,"?")),"skip";case 173:case 176:case 177:case 178:case 218:case 262:case 219:case 260:if(t.type===e)return n.push(a(e,Oa.Type_annotations_can_only_be_used_in_TypeScript_files)),"skip"}switch(e.kind){case 273:if(e.isTypeOnly)return n.push(a(t,Oa._0_declarations_can_only_be_used_in_TypeScript_files,"import type")),"skip";break;case 278:if(e.isTypeOnly)return n.push(a(e,Oa._0_declarations_can_only_be_used_in_TypeScript_files,"export type")),"skip";break;case 276:case 281:if(e.isTypeOnly)return n.push(a(e,Oa._0_declarations_can_only_be_used_in_TypeScript_files,IC(e)?"import...type":"export...type")),"skip";break;case 271:return n.push(a(e,Oa.import_can_only_be_used_in_TypeScript_files)),"skip";case 277:if(e.isExportEquals)return n.push(a(e,Oa.export_can_only_be_used_in_TypeScript_files)),"skip";break;case 298:if(119===e.token)return n.push(a(e,Oa.implements_clauses_can_only_be_used_in_TypeScript_files)),"skip";break;case 264:const r=as(120);return Tt.assertIsDefined(r),n.push(a(e,Oa._0_declarations_can_only_be_used_in_TypeScript_files,r)),"skip";case 267:const o=32&e.flags?as(145):as(144);return Tt.assertIsDefined(o),n.push(a(e,Oa._0_declarations_can_only_be_used_in_TypeScript_files,o)),"skip";case 265:return n.push(a(e,Oa.Type_aliases_can_only_be_used_in_TypeScript_files)),"skip";case 176:case 174:case 262:return e.body?void 0:(n.push(a(e,Oa.Signature_declarations_can_only_be_used_in_TypeScript_files)),"skip");case 266:const i=Tt.checkDefined(as(94));return n.push(a(e,Oa._0_declarations_can_only_be_used_in_TypeScript_files,i)),"skip";case 235:return n.push(a(e,Oa.Non_null_assertions_can_only_be_used_in_TypeScript_files)),"skip";case 234:return n.push(a(e.type,Oa.Type_assertion_expressions_can_only_be_used_in_TypeScript_files)),"skip";case 238:return n.push(a(e.type,Oa.Type_satisfaction_expressions_can_only_be_used_in_TypeScript_files)),"skip";case 216:Tt.fail()}}function r(e,t){if(jP(t)){const e=D(t.modifiers,EN);e&&n.push(a(e,Oa.Decorators_are_not_valid_here))}else if(bL(t)&&t.modifiers){const e=M(t.modifiers,EN);if(e>=0)if(bN(t)&&!I.experimentalDecorators)n.push(a(t.modifiers[e],Oa.Decorators_are_not_valid_here));else if(lC(t)){const r=M(t.modifiers,oN);if(r>=0){const o=M(t.modifiers,iN);if(e>r&&o>=0&&e<o)n.push(a(t.modifiers[e],Oa.Decorators_are_not_valid_here));else if(r>=0&&e<r){const o=M(t.modifiers,EN,r);o>=0&&n.push(xx(a(t.modifiers[o],Oa.Decorators_may_not_appear_after_export_or_export_default_if_they_also_appear_before_export),a(t.modifiers[e],Oa.Decorator_used_before_export_here)))}}}}switch(t.kind){case 263:case 231:case 174:case 176:case 177:case 178:case 218:case 262:case 219:if(e===t.typeParameters)return n.push(i(e,Oa.Type_parameter_declarations_can_only_be_used_in_TypeScript_files)),"skip";case 243:if(e===t.modifiers)return o(t.modifiers,243===t.kind),"skip";break;case 172:if(e===t.modifiers){for(const t of e)vd(t)&&126!==t.kind&&129!==t.kind&&n.push(a(t,Oa.The_0_modifier_can_only_be_used_in_TypeScript_files,as(t.kind)));return"skip"}break;case 169:if(e===t.modifiers&&oe(e,vd))return n.push(i(e,Oa.Parameter_modifiers_can_only_be_used_in_TypeScript_files)),"skip";break;case 213:case 214:case 233:case 285:case 286:case 215:if(e===t.typeArguments)return n.push(i(e,Oa.Type_arguments_can_only_be_used_in_TypeScript_files)),"skip"}}function o(e,t){for(const r of e)switch(r.kind){case 87:if(t)continue;case 125:case 123:case 124:case 148:case 138:case 128:case 164:case 103:case 147:n.push(a(r,Oa.The_0_modifier_can_only_be_used_in_TypeScript_files,as(r.kind)))}}function i(n,t,...r){const o=n.pos;return iT(e,o,n.end-o,t,...r)}function a(n,t,...r){return p_(e,n,t,...r)}}))}(e)),ae(e.additionalSyntacticDiagnostics,e.parseDiagnostics)):e.parseDiagnostics}function Bn(e){try{return e()}catch(e){throw e instanceof Vr&&(j=void 0),e}}function jn(e,n){return ae(uH(Vn(e,n),I),zn(e))}function Vn(e,n){return Xn(e,n,J,Un)}function Un(e,n){return Bn((()=>{if(Nx(e,I,Ze))return o;const t=Mn();Tt.assert(!!e.bindDiagnostics);const r=(1===e.scriptKind||2===e.scriptKind)&&Ex(e,I),i=Zf(e,I.checkJs),a=!(!!e.checkJsDirective&&!1===e.checkJsDirective.enabled)&&(3===e.scriptKind||4===e.scriptKind||5===e.scriptKind||i||r||7===e.scriptKind);let s=a?e.bindDiagnostics:o,l=a?t.getDiagnostics(e,n):o;return i&&(s=W(s,(e=>bU.has(e.code))),l=W(l,(e=>bU.has(e.code)))),function(e,n,...t){var r;const o=U(t);if(!n||!(null==(r=e.commentDirectives)?void 0:r.length))return o;const{diagnostics:i,directives:a}=Hn(e,e.commentDirectives,o);for(const n of a.getUnusedExpectations())i.push(v_(e,n.range,Oa.Unused_ts_expect_error_directive));return i}(e,a&&!i,s,l,r?e.jsDocDiagnostics:void 0)}))}function Hn(e,n,t){const r=ym(e,n),o=t.filter((e=>-1===function(e,n){const{file:t,start:r}=e;if(!t)return-1;const o=us(t);let i=ps(o,r).line-1;for(;i>=0;){if(n.markUsed(i))return i;const e=t.text.slice(o[i],o[i+1]).trim();if(""!==e&&!/^(\s*)\/\/(.*)$/.test(e))return-1;i--}return-1}(e,r)));return{diagnostics:o,directives:r}}function Kn(e,n){return Xn(e,n,X,Jn)}function Jn(e,n){return Bn((()=>{const t=Mn().getEmitResolver(e,n);return $j(An(yn),t,e)||o}))}function Xn(e,n,t,r){var o;const i=e?null==(o=t.perFile)?void 0:o.get(e.path):t.allDiagnostics;if(i)return i;const a=r(e,n);return e?(t.perFile||(t.perFile=new Map)).set(e.path,a):t.allDiagnostics=a,a}function $n(e,n){return e.isDeclarationFile?[]:Kn(e,n)}function Qn(e,n,t,r){ot(_a(e),n,t,void 0,r)}function Zn(e,n){return e.fileName===n.fileName}function et(e,n){return 80===e.kind?80===n.kind&&e.escapedText===n.escapedText:11===n.kind&&e.text===n.text}function nt(e,n){const t=UA.createStringLiteral(e),r=UA.createImportDeclaration(void 0,void 0,t,void 0);return hR(r,2),Vx(t,r),Vx(r,n),t.flags&=-17,r.flags&=-17,t}function tt(e){if(e.imports)return;const n=Jh(e),t=uk(e);let r,i,a;if((Kp(I)||t)&&!e.isDeclarationFile){I.importHelpers&&(r=[nt(cp,e)]);const n=kT(LT(I,e),I);n&&(r||(r=[])).push(nt(n,e))}for(const n of e.statements)s(n,!1);return(4194304&e.flags||n)&&function(e){const t=/import|require/g;for(;null!==t.exec(e.text);){const o=l(e,t.lastIndex);n&&ng(o,!0)||P_(o)&&o.arguments.length>=1&&tp(o.arguments[0])?(Hx(o,!1),r=ye(r,o.arguments[0])):k_(o)&&(Hx(o,!1),r=ye(r,o.argument.literal))}}(e),e.imports=r||o,e.moduleAugmentations=i||o,void(e.ambientModuleNames=a||o);function s(n,o){if(e_(n)){const t=Gg(n);!(t&&zI(t)&&t.text)||o&&Xs(t.text)||(Hx(n,!1),r=ye(r,t),Fe||0!==ue||e.isDeclarationFile||(Fe=st(t.text,"node:")))}else if(pC(n)&&km(n)&&(o||Bb(n,128)||e.isDeclarationFile)){n.name.parent=n;const r=sv(n.name);if(t||o&&!Xs(r))(i||(i=[])).push(n.name);else if(!o){e.isDeclarationFile&&(a||(a=[])).push(r);const t=n.body;if(t)for(const e of t.statements)s(e,!0)}}}function l(e,t){let r=e;const o=e=>{if(e.pos<=t&&(t<e.end||t===e.end&&1===e.kind))return e};for(;;){const e=n&&Xu(r)&&E(r.jsDoc,o)||ok(r,o);if(!e)return r;r=e}}}function rt(e,n,t,r){if(Yi(e)){const o=me.getCanonicalFileName(e);if(!I.allowNonTsExtensions&&!E(U(xe),(e=>$i(o,e))))return void(t&&(tx(o)?t(Oa.File_0_is_a_JavaScript_file_Did_you_mean_to_enable_the_allowJs_option,e):t(Oa.File_0_has_an_unsupported_extension_The_only_supported_extensions_are_1,e,"'"+U(Te).join("', '")+"'")));const i=n(e);if(t)if(i)tH(r)&&o===me.getCanonicalFileName(Fn(r.file).fileName)&&t(Oa.A_file_cannot_have_a_reference_to_itself);else{const n=mt(e);n?t(Oa.Output_file_0_has_not_been_built_from_source_file_1,n,e):t(Oa.File_0_not_found,e)}return i}{const r=I.allowNonTsExtensions&&n(e);if(r)return r;if(t&&I.allowNonTsExtensions)return void t(Oa.File_0_not_found,e);const o=E(Te[0],(t=>n(e+t)));return t&&!o&&t(Oa.Could_not_resolve_the_path_0_with_the_extensions_Colon_1,e,"'"+U(Te).join("', '")+"'"),o}}function ot(e,n,t,r,o){rt(e,(e=>ct(e,n,t,o,r)),((e,...n)=>wt(void 0,o,e,n)),o)}function it(e,n){return ot(e,!1,!1,void 0,n)}function at(e,n,t){!tH(t)&&oe(q.get(n.path),tH)?wt(n,t,Oa.Already_included_file_name_0_differs_from_file_name_1_only_in_casing,[n.fileName,e]):wt(n,t,Oa.File_name_0_differs_from_already_included_file_name_1_only_in_casing,[e,n.fileName])}function ct(e,n,t,r,o){var i,a;null==(i=Cr)||i.push(Cr.Phase.Program,"findSourceFile",{fileName:e,isDefaultLib:n||void 0,fileIncludeKind:Ur[r.kind]});const s=function(e,n,t,r,o){var i;const a=gn(e);if(Ke){let i=vt(a);if(!i&&me.realpath&&I.preserveSymlinks&&_k(e)&&e.includes(HO)){const n=gn(me.realpath(e));n!==a&&(i=vt(n))}if(i){const s=mn(i)?ct(i,n,t,r,o):void 0;return s&&pt(s,a,e,void 0),s}}const s=e;if(We.has(a)){const t=We.get(a);if(ut(t||void 0,r),t&&!1!==I.forceConsistentCasingInFileNames){const n=t.fileName;gn(n)!==gn(e)&&(e=mt(e)||e);ha(n,Se)!==ha(e,Se)&&at(e,t,r)}return t&&fe.get(t.path)&&0===ue?(fe.set(t.path,!1),I.noResolve||(St(t,n),xt(t)),I.noLib||Nt(t),pe.set(t.path,!1),Ct(t)):t&&pe.get(t.path)&&ue<de&&(pe.set(t.path,!1),Ct(t)),t||void 0}let l;if(tH(r)&&!Ke){const n=_t(e);if(n){if(ob(n.commandLine.options))return;const t=ht(n,e);e=t,l=gn(t)}}const c=dt(e,Ne,me,I),d=me.getSourceFile(e,c,(n=>wt(void 0,r,Oa.Cannot_read_file_0_Colon_1,[e,n])),$e);if(o){const n=qf(o),t=ke.get(n);if(t){const n=function(e,n,t,r,o,i,a){var s;const l=IL.createRedirectedSourceFile({redirectTarget:e,unredirected:n});return l.fileName=t,l.path=r,l.resolvedPath=o,l.originalFileName=i,l.packageJsonLocations=(null==(s=a.packageJsonLocations)?void 0:s.length)?a.packageJsonLocations:void 0,l.packageJsonScope=a.packageJsonScope,fe.set(r,ue>0),l}(t,d,e,a,gn(e),s,c);return Oe.add(t.path,e),pt(n,a,e,l),ut(n,r),we.set(a,Kf(o)),F.push(n),n}d&&(ke.set(n,d),we.set(a,Kf(o)))}if(pt(d,a,e,l),d){if(fe.set(a,ue>0),d.fileName=e,d.path=a,d.resolvedPath=gn(e),d.originalFileName=s,d.packageJsonLocations=(null==(i=c.packageJsonLocations)?void 0:i.length)?c.packageJsonLocations:void 0,d.packageJsonScope=c.packageJsonScope,ut(d,r),me.useCaseSensitiveFileNames()){const n=xn(a),t=Ge.get(n);t?at(e,t,r):Ge.set(n,d)}ge=ge||d.hasNoDefaultLib&&!t,I.noResolve||(St(d,n),xt(d)),I.noLib||Nt(d),Ct(d),n?O.push(d):F.push(d)}return d}(e,n,t,r,o);return null==(a=Cr)||a.pop(),s}function dt(e,n,t,r){const o=lH(ma(e,Se),null==n?void 0:n.getPackageJsonInfoCache(),t,r),i=jp(r),a=vT(r);return"object"==typeof o?{...o,languageVersion:i,setExternalModuleIndicator:a,jsDocParsingMode:t.jsDocParsingMode}:{languageVersion:i,impliedNodeFormat:o,setExternalModuleIndicator:a,jsDocParsingMode:t.jsDocParsingMode}}function ut(e,n){e&&q.add(e.path,n)}function pt(e,n,t,r){r?(ft(t,r,e),ft(t,n,e||!1)):ft(t,n,e)}function ft(e,n,t){We.set(n,t),void 0!==t?ze.delete(n):ze.set(n,e)}function mt(e){const n=_t(e);return n&&ht(n,e)}function _t(e){if(Be&&Be.length&&!_k(e)&&!$i(e,".json"))return gt(e)}function ht(e,n){const t=ob(e.commandLine.options);return t?px(t,".d.ts"):NV(n,e.commandLine,!me.useCaseSensitiveFileNames())}function gt(e){void 0===Ue&&(Ue=new Map,yt((e=>{gn(I.configFilePath)!==e.sourceFile.path&&e.commandLine.fileNames.forEach((n=>Ue.set(gn(n),e.sourceFile.path)))})));const n=Ue.get(gn(e));return n&&Et(n)}function yt(e){return $U(Be,e)}function vt(e){if(_k(e))return void 0===He&&(He=new Map,yt((e=>{const n=ob(e.commandLine.options);if(n){const e=px(n,".d.ts");He.set(gn(e),!0)}else{const n=Rn((()=>OV(e.commandLine,!me.useCaseSensitiveFileNames())));E(e.commandLine.fileNames,(t=>{if(!_k(t)&&!$i(t,".json")){const r=NV(t,e.commandLine,!me.useCaseSensitiveFileNames(),n);He.set(gn(r),t)}}))}}))),He.get(e)}function bt(e){return Ke&&!!gt(e)}function Et(e){if(Ve)return Ve.get(e)||void 0}function St(e,n){E(e.referencedFiles,((t,r)=>{ot(xU(t.fileName,e.fileName),n,!1,void 0,{kind:4,file:e.path,index:r})}))}function xt(e){const n=e.typeReferenceDirectives;if(!n.length)return;const t=(null==se?void 0:se.get(e.path))||Tn(n,e),r=AF();(ie??(ie=new Map)).set(e.path,r);for(let o=0;o<n.length;o++){const n=e.typeReferenceDirectives[o],i=t[o],a=xn(n.fileName);r.set(a,GU(n,e.impliedNodeFormat),i);At(a,n.resolutionMode||e.impliedNodeFormat,i,{kind:5,file:e.path,index:o})}}function At(e,n,t,r){var o,i;null==(o=Cr)||o.push(Cr.Phase.Program,"processTypeReferenceDirective",{directive:e,hasResolved:!!t.resolvedTypeReferenceDirective,refKind:r.kind,refPath:tH(r)?r.file:void 0}),function(e,n,t,r){var o;ln(t);const i=null==(o=ce.get(e,n))?void 0:o.resolvedTypeReferenceDirective;if(i&&i.primary)return;let a=!0;const{resolvedTypeReferenceDirective:s}=t;if(s){if(s.isExternalLibraryImport&&ue++,s.primary)ot(s.resolvedFileName,!1,!1,s.packageId,r);else if(i){if(s.resolvedFileName!==i.resolvedFileName){const n=me.readFile(s.resolvedFileName),t=On(i.resolvedFileName);n!==t.text&&wt(t,r,Oa.Conflicting_definitions_for_0_found_at_1_and_2_Consider_installing_a_specific_version_of_this_library_to_resolve_the_conflict,[e,s.resolvedFileName,i.resolvedFileName])}a=!1}else ot(s.resolvedFileName,!1,!1,s.packageId,r);s.isExternalLibraryImport&&ue--}else wt(void 0,r,Oa.Cannot_find_type_definition_file_for_0,[e]);a&&ce.set(e,n,t)}(e,n,t,r),null==(i=Cr)||i.pop()}function Rt(e){const n=null==ee?void 0:ee.get(e);if(n)return n.actual;const t=It(e);return(ee??(ee=new Map)).set(e,t),t.actual}function It(e){var n,t,r,o,i;const a=null==ne?void 0:ne.get(e);if(a)return a;if(0!==Qe&&L&&!Pe(e)){const o=null==(n=L.resolvedLibReferences)?void 0:n.get(e);if(o){if(o.resolution&&XO(I,me)){const n=eH(e),i=ZU(I,Se,e);JO(me,o.resolution.resolvedModule?o.resolution.resolvedModule.packageId?Oa.Reusing_resolution_of_module_0_from_1_of_old_program_it_was_successfully_resolved_to_2_with_Package_ID_3:Oa.Reusing_resolution_of_module_0_from_1_of_old_program_it_was_successfully_resolved_to_2:Oa.Reusing_resolution_of_module_0_from_1_of_old_program_it_was_not_resolved,n,ma(i,Se),null==(t=o.resolution.resolvedModule)?void 0:t.resolvedFileName,(null==(r=o.resolution.resolvedModule)?void 0:r.packageId)&&qf(o.resolution.resolvedModule.packageId))}return(ne??(ne=new Map)).set(e,o),o}}const s=eH(e),l=ZU(I,Se,e);null==(o=Cr)||o.push(Cr.Phase.Program,"resolveLibrary",{resolveFrom:l}),gr("beforeResolveLibrary");const c=Le(s,l,I,e);gr("afterResolveLibrary"),yr("ResolveLibrary","beforeResolveLibrary","afterResolveLibrary"),null==(i=Cr)||i.pop();const d={resolution:c,actual:c.resolvedModule?c.resolvedModule.resolvedFileName:ua(be,e)};return(ne??(ne=new Map)).set(e,d),d}function Nt(e){E(e.libReferenceDirectives,((n,t)=>{const{libName:r,libFileName:o}=nH(n);if(o)Qn(Rt(o),!0,!0,{kind:7,file:e.path,index:t});else{const n=qn(Yn(lt(r,"lib."),".d.ts"),Ik,Sn),o=n?Oa.Cannot_find_lib_definition_for_0_Did_you_mean_1:Oa.Cannot_find_lib_definition_for_0,i=n?[r,n]:[r];($||($=[])).push({kind:0,reason:{kind:7,file:e.path,index:t},diagnostic:o,args:i})}}))}function Dt(e){return me.getCanonicalFileName(e)}function Ct(e){var n;if(tt(e),e.imports.length||e.moduleAugmentations.length){const t=hH(e),r=(null==re?void 0:re.get(e.path))||En(t,e);Tt.assert(r.length===t.length);const o=(null==(n=fn(e))?void 0:n.commandLine.options)||I,i=AF();(te??(te=new Map)).set(e.path,i);for(let n=0;n<t.length;n++){const a=r[n].resolvedModule,s=t[n].text,l=UU(e,t[n],o);if(i.set(s,l,r[n]),cn(e,s,r[n],l),!a)continue;const c=a.isExternalLibraryImport,d=!gx(a.extension),u=c&&d&&(!a.originalPath||HF(a.resolvedFileName)),p=a.resolvedFileName;c&&ue++;const f=u&&ue>de,m=p&&!_H(o,a,e)&&!o.noResolve&&n<e.imports.length&&!f&&!(d&&!tf(o))&&(Yh(e.imports[n])||!(16777216&e.imports[n].flags));f?pe.set(e.path,!0):m&&ct(p,!1,!1,{kind:3,file:e.path,index:n},a.packageId),c&&ue--}}}function Pt(e){Ve||(Ve=new Map);const n=mH(e),t=gn(n),r=Ve.get(t);if(void 0!==r)return r||void 0;let o,i;if(me.getParsedCommandLine){if(o=me.getParsedCommandLine(n),!o)return pt(void 0,t,n,void 0),void Ve.set(t,!1);i=Tt.checkDefined(o.options.configFile),Tt.assert(!i.path||i.path===t),pt(i,t,n,void 0)}else{const e=ma(ra(n),Se);if(i=me.getSourceFile(n,100),pt(i,t,n,void 0),void 0===i)return void Ve.set(t,!1);o=rO(i,he,e,void 0,n)}i.fileName=n,i.path=t,i.resolvedPath=t,i.originalFileName=n;const a={commandLine:o,sourceFile:i};return Ve.set(t,a),o.projectReferences&&(a.references=o.projectReferences.map(Pt)),a}function Lt(e,t,r,o){const i=new Mt(e),a=new Mt(t),s=new Mt(P||n),l=function(){const e=I.ignoreDeprecations;if(e){if("5.0"===e)return new Mt(e);w()}return Mt.zero}(),c=!(1===a.compareTo(s)),d=!c&&-1===l.compareTo(i);(c||d)&&o(((n,o,i)=>{c?void 0===o?r(n,o,i,Oa.Option_0_has_been_removed_Please_remove_it_from_your_configuration,n):r(n,o,i,Oa.Option_0_1_has_been_removed_Please_remove_it_from_your_configuration,n,o):void 0===o?r(n,o,i,Oa.Option_0_is_deprecated_and_will_stop_functioning_in_TypeScript_1_Specify_compilerOption_ignoreDeprecations_Colon_2_to_silence_this_error,n,t,e):r(n,o,i,Oa.Option_0_1_is_deprecated_and_will_stop_functioning_in_TypeScript_2_Specify_compilerOption_ignoreDeprecations_Colon_3_to_silence_this_error,n,o,t,e)}))}function kt(e,n,t,r){var i;let a,s,l=tH(n)?n:void 0;e&&(null==(i=q.get(e.path))||i.forEach(f)),n&&f(n),l&&1===(null==a?void 0:a.length)&&(a=void 0);const c=l&&oH(Ze,l),d=a&&cT(a,Oa.The_file_is_in_the_program_because_Colon),u=e&&HK(e),p=cT(u?d?[d,...u]:u:d,t,...r||o);return c&&rH(c)?h_(c.file,c.pos,c.end-c.pos,p,s):lT(p,s);function f(e){(a||(a=[])).push(JK(Ze,e)),!l&&tH(e)?l=e:l!==e&&(s=ye(s,function(e){if(tH(e)){const n=oH(Ze,e);let t;switch(e.kind){case 3:t=Oa.File_is_included_via_import_here;break;case 4:t=Oa.File_is_included_via_reference_here;break;case 5:t=Oa.File_is_included_via_type_library_reference_here;break;case 7:t=Oa.File_is_included_via_library_reference_here;break;default:Tt.assertNever(e)}return rH(n)?iT(n.file,n.pos,n.end-n.pos,t):void 0}if(!I.configFile)return;let n,t;switch(e.kind){case 0:if(!I.configFile.configFileSpecs)return;const o=ma(R[e.index],Se),i=KK(Ze,o);if(i){n=uh(I.configFile,"files",i),t=Oa.File_is_matched_by_files_list_specified_here;break}const a=qK(Ze,o);if(!a||!mn(a))return;n=uh(I.configFile,"include",a),t=Oa.File_is_matched_by_include_pattern_specified_here;break;case 1:case 2:const s=Tt.checkDefined(null==Be?void 0:Be[e.index]),l=QU(C,Be,((e,n,t)=>e===s?{sourceFile:(null==n?void 0:n.sourceFile)||I.configFile,index:t}:void 0));if(!l)return;const{sourceFile:c,index:d}=l,u=ph(c,"references",(e=>aD(e.initializer)?e.initializer:void 0));return u&&u.elements.length>d?p_(c,u.elements[d],2===e.kind?Oa.File_is_output_from_referenced_project_specified_here:Oa.File_is_source_from_referenced_project_specified_here):void 0;case 8:if(!I.types)return;n=Bt("types",e.typeReference),t=Oa.File_is_entry_point_of_type_library_specified_here;break;case 6:if(void 0!==e.index){n=Bt("lib",I.lib[e.index]),t=Oa.File_is_library_specified_here;break}const p=Wf(Mk.type,((e,n)=>e===jp(I)?n:void 0));n=p?(r=p,zt("target",(e=>zI(e.initializer)&&e.initializer.text===r?e.initializer:void 0))):void 0,t=Oa.File_is_default_library_for_target_specified_here;break;default:Tt.assertNever(e)}var r;return n&&p_(I.configFile,n,t)}(e))),e===n&&(n=void 0)}}function wt(e,n,t,r){($||($=[])).push({kind:1,file:e&&e.path,fileProcessingReason:n,diagnostic:t,args:r})}function Ot(e,n,t){Ee.add(kt(e,void 0,n,t))}function Ft(e,n,t,...r){let o=!0;Gt((i=>{sD(i.initializer)&&lh(i.initializer,e,(e=>{const i=e.initializer;aD(i)&&i.elements.length>n&&(Ee.add(p_(I.configFile,i.elements[n],t,...r)),o=!1)}))})),o&&Ee.add(sT(t,...r))}function Wt(e,n,t,...r){let o=!0;Gt((i=>{sD(i.initializer)&&qt(i.initializer,e,n,void 0,t,...r)&&(o=!1)})),o&&Ee.add(sT(t,...r))}function zt(e,n){return lh(Kt(),e,n)}function Gt(e){return zt("paths",e)}function Bt(e,n){const t=Kt();return t&&ch(t,e,n)}function jt(e,n,t,r){Ht(!0,n,t,e,n,t,r)}function Vt(e,n,...t){Ht(!1,e,void 0,n,...t)}function Ut(e,n,t,...r){const o=ph(e||I.configFile,"references",(e=>aD(e.initializer)?e.initializer:void 0));o&&o.elements.length>n?Ee.add(p_(e||I.configFile,o.elements[n],t,...r)):Ee.add(sT(t,...r))}function Ht(e,n,t,r,...o){const i=Kt();(!i||!qt(i,e,n,t,r,...o))&&("messageText"in r?Ee.add(lT(r)):Ee.add(sT(r,...o)))}function Kt(){return void 0===Re&&(Re=lh(dh(I.configFile),"compilerOptions",(e=>sD(e.initializer)?e.initializer:void 0))||!1),Re||void 0}function qt(e,n,t,r,o,...i){let a=!1;return lh(e,t,(e=>{"messageText"in o?Ee.add(f_(I.configFile,n?e.name:e.initializer,o)):Ee.add(p_(I.configFile,n?e.name:e.initializer,o,...i)),a=!0}),r),a}function Jt(e,n){const t=Kt();t?qt(t,!0,e,void 0,Oa.Option_0_is_redundant_and_cannot_be_specified_with_option_1,e,n):jt(Oa.Option_0_is_redundant_and_cannot_be_specified_with_option_1,e,n)}function Xt(e,n){Ae.set(gn(e),!0),Ee.add(n)}function Yt(e,n){return 0===Ra(e,n,Se,!me.useCaseSensitiveFileNames())}function $t(){return me.getSymlinkCache?me.getSymlinkCache():(G||(G=OT(Se,Dt)),z&&!G.hasProcessedResolutions()&&G.setSymlinksFromResolutions(nn,tn,Z),G)}function Qt(e,n){var t;return UU(e,n,(null==(t=fn(e))?void 0:t.commandLine.options)||I)}}function dH(e,n,t,r){const o=e.getCompilerOptions();if(o.noEmit)return e.getSemanticDiagnostics(n,r),n||ob(o)?EU:e.emitBuildInfo(t,r);if(!o.noEmitOnError)return;let i,a=[...e.getOptionsDiagnostics(r),...e.getSyntacticDiagnostics(n,r),...e.getGlobalDiagnostics(r),...e.getSemanticDiagnostics(n,r)];if(0===a.length&&Qp(e.getCompilerOptions())&&(a=e.getDeclarationDiagnostics(void 0,r)),a.length){if(!n&&!ob(o)){const n=e.emitBuildInfo(t,r);n.diagnostics&&(a=[...a,...n.diagnostics]),i=n.emittedFiles}return{diagnostics:a,sourceMaps:void 0,emittedFiles:i,emitSkipped:!0}}}function uH(e,n){return W(e,(e=>!e.skippedOn||!n[e.skippedOn]))}function pH(e,n=e){return{fileExists:e=>n.fileExists(e),readDirectory(e,t,r,o,i){return Tt.assertIsDefined(n.readDirectory,"'CompilerHost.readDirectory' must be implemented to correctly process 'projectReferences'"),n.readDirectory(e,t,r,o,i)},readFile:e=>n.readFile(e),directoryExists:an(n,n.directoryExists),getDirectories:an(n,n.getDirectories),realpath:an(n,n.realpath),useCaseSensitiveFileNames:e.useCaseSensitiveFileNames(),getCurrentDirectory:()=>e.getCurrentDirectory(),onUnRecoverableConfigFileDiagnostic:e.onUnRecoverableConfigFileDiagnostic||En,trace:e.trace?n=>e.trace(n):void 0}}function fH(e,n,t,r){if(!e)return o;let i;for(let o=0;o<e.length;o++){const a=e[o],s=n(a,o);if(a.prepend&&s&&s.options){if(!ob(s.options))continue;const{jsFilePath:e,sourceMapFilePath:n,declarationFilePath:o,declarationMapPath:a,buildInfoPath:l}=TV(s.options,!0),c=iR(t,e,n,o,a,l,r,s.options);(i||(i=[])).push(c)}}return i||o}function mH(e){return gq(e.path)}function _H(e,{extension:n},{isDeclarationFile:t}){switch(n){case".ts":case".d.ts":case".mts":case".d.mts":case".cts":case".d.cts":return;case".tsx":return r();case".jsx":return r()||o();case".js":case".mjs":case".cjs":return o();case".json":return $p(e)?void 0:Oa.Module_0_was_resolved_to_1_but_resolveJsonModule_is_not_used;default:return t||e.allowArbitraryExtensions?void 0:Oa.Module_0_was_resolved_to_1_but_allowArbitraryExtensions_is_not_set}function r(){return e.jsx?void 0:Oa.Module_0_was_resolved_to_1_but_jsx_is_not_set}function o(){return tf(e)||!RT(e,"noImplicitAny")?void 0:Oa.Could_not_find_a_declaration_file_for_module_0_1_implicitly_has_an_any_type}}function hH({imports:e,moduleAugmentations:n}){const t=e.map((e=>e));for(const e of n)11===e.kind&&t.push(e);return t}function gH({imports:e,moduleAugmentations:n},t){if(t<e.length)return e[t];let r=e.length;for(const e of n)if(11===e.kind){if(t===r)return e;r++}Tt.fail("should never ask for module name at index higher than possible module name")}var yH,vH=g({"src/compiler/program.ts"(){JJ(),ni(),cU=(e=>(e.Grey="[90m",e.Red="[91m",e.Yellow="[93m",e.Blue="[94m",e.Cyan="[96m",e))(cU||{}),dU="[7m",uU=" ",pU="[0m",fU="...",mU="  ",_U="    ",hU={resolvedModule:void 0,resolvedTypeReferenceDirective:void 0},gU={getName:KU,getMode:(e,n,t)=>VU(n,e,t)},yU={getName:JU,getMode:(e,n)=>GU(e,null==n?void 0:n.impliedNodeFormat)},vU="__inferred type names__.ts",bU=new Set([Oa.Cannot_redeclare_block_scoped_variable_0.code,Oa.A_module_cannot_have_multiple_default_exports.code,Oa.Another_export_default_is_here.code,Oa.The_first_export_default_is_here.code,Oa.Identifier_expected_0_is_a_reserved_word_at_the_top_level_of_a_module.code,Oa.Identifier_expected_0_is_a_reserved_word_in_strict_mode_Modules_are_automatically_in_strict_mode.code,Oa.Identifier_expected_0_is_a_reserved_word_that_cannot_be_used_here.code,Oa.constructor_is_a_reserved_word.code,Oa.delete_cannot_be_called_on_an_identifier_in_strict_mode.code,Oa.Code_contained_in_a_class_is_evaluated_in_JavaScript_s_strict_mode_which_does_not_allow_this_use_of_0_For_more_information_see_https_Colon_Slash_Slashdeveloper_mozilla_org_Slashen_US_Slashdocs_SlashWeb_SlashJavaScript_SlashReference_SlashStrict_mode.code,Oa.Invalid_use_of_0_Modules_are_automatically_in_strict_mode.code,Oa.Invalid_use_of_0_in_strict_mode.code,Oa.A_label_is_not_allowed_here.code,Oa.with_statements_are_not_allowed_in_strict_mode.code,Oa.A_break_statement_can_only_be_used_within_an_enclosing_iteration_or_switch_statement.code,Oa.A_break_statement_can_only_jump_to_a_label_of_an_enclosing_statement.code,Oa.A_class_declaration_without_the_default_modifier_must_have_a_name.code,Oa.A_class_member_cannot_have_the_0_keyword.code,Oa.A_comma_expression_is_not_allowed_in_a_computed_property_name.code,Oa.A_continue_statement_can_only_be_used_within_an_enclosing_iteration_statement.code,Oa.A_continue_statement_can_only_jump_to_a_label_of_an_enclosing_iteration_statement.code,Oa.A_continue_statement_can_only_jump_to_a_label_of_an_enclosing_iteration_statement.code,Oa.A_default_clause_cannot_appear_more_than_once_in_a_switch_statement.code,Oa.A_default_export_must_be_at_the_top_level_of_a_file_or_module_declaration.code,Oa.A_definite_assignment_assertion_is_not_permitted_in_this_context.code,Oa.A_destructuring_declaration_must_have_an_initializer.code,Oa.A_get_accessor_cannot_have_parameters.code,Oa.A_rest_element_cannot_contain_a_binding_pattern.code,Oa.A_rest_element_cannot_have_a_property_name.code,Oa.A_rest_element_cannot_have_an_initializer.code,Oa.A_rest_element_must_be_last_in_a_destructuring_pattern.code,Oa.A_rest_parameter_cannot_have_an_initializer.code,Oa.A_rest_parameter_must_be_last_in_a_parameter_list.code,Oa.A_rest_parameter_or_binding_pattern_may_not_have_a_trailing_comma.code,Oa.A_return_statement_cannot_be_used_inside_a_class_static_block.code,Oa.A_set_accessor_cannot_have_rest_parameter.code,Oa.A_set_accessor_must_have_exactly_one_parameter.code,Oa.An_export_declaration_can_only_be_used_at_the_top_level_of_a_module.code,Oa.An_export_declaration_cannot_have_modifiers.code,Oa.An_import_declaration_can_only_be_used_at_the_top_level_of_a_module.code,Oa.An_import_declaration_cannot_have_modifiers.code,Oa.An_object_member_cannot_be_declared_optional.code,Oa.Argument_of_dynamic_import_cannot_be_spread_element.code,Oa.Cannot_assign_to_private_method_0_Private_methods_are_not_writable.code,Oa.Cannot_redeclare_identifier_0_in_catch_clause.code,Oa.Catch_clause_variable_cannot_have_an_initializer.code,Oa.Class_decorators_can_t_be_used_with_static_private_identifier_Consider_removing_the_experimental_decorator.code,Oa.Classes_can_only_extend_a_single_class.code,Oa.Classes_may_not_have_a_field_named_constructor.code,Oa.Did_you_mean_to_use_a_Colon_An_can_only_follow_a_property_name_when_the_containing_object_literal_is_part_of_a_destructuring_pattern.code,Oa.Duplicate_label_0.code,Oa.Dynamic_imports_can_only_accept_a_module_specifier_and_an_optional_set_of_attributes_as_arguments.code,Oa.for_await_loops_cannot_be_used_inside_a_class_static_block.code,Oa.JSX_attributes_must_only_be_assigned_a_non_empty_expression.code,Oa.JSX_elements_cannot_have_multiple_attributes_with_the_same_name.code,Oa.JSX_expressions_may_not_use_the_comma_operator_Did_you_mean_to_write_an_array.code,Oa.JSX_property_access_expressions_cannot_include_JSX_namespace_names.code,Oa.Jump_target_cannot_cross_function_boundary.code,Oa.Line_terminator_not_permitted_before_arrow.code,Oa.Modifiers_cannot_appear_here.code,Oa.Only_a_single_variable_declaration_is_allowed_in_a_for_in_statement.code,Oa.Only_a_single_variable_declaration_is_allowed_in_a_for_of_statement.code,Oa.Private_identifiers_are_not_allowed_outside_class_bodies.code,Oa.Private_identifiers_are_only_allowed_in_class_bodies_and_may_only_be_used_as_part_of_a_class_member_declaration_property_access_or_on_the_left_hand_side_of_an_in_expression.code,Oa.Property_0_is_not_accessible_outside_class_1_because_it_has_a_private_identifier.code,Oa.Tagged_template_expressions_are_not_permitted_in_an_optional_chain.code,Oa.The_left_hand_side_of_a_for_of_statement_may_not_be_async.code,Oa.The_variable_declaration_of_a_for_in_statement_cannot_have_an_initializer.code,Oa.The_variable_declaration_of_a_for_of_statement_cannot_have_an_initializer.code,Oa.Trailing_comma_not_allowed.code,Oa.Variable_declaration_list_cannot_be_empty.code,Oa._0_and_1_operations_cannot_be_mixed_without_parentheses.code,Oa._0_expected.code,Oa._0_is_not_a_valid_meta_property_for_keyword_1_Did_you_mean_2.code,Oa._0_list_cannot_be_empty.code,Oa._0_modifier_already_seen.code,Oa._0_modifier_cannot_appear_on_a_constructor_declaration.code,Oa._0_modifier_cannot_appear_on_a_module_or_namespace_element.code,Oa._0_modifier_cannot_appear_on_a_parameter.code,Oa._0_modifier_cannot_appear_on_class_elements_of_this_kind.code,Oa._0_modifier_cannot_be_used_here.code,Oa._0_modifier_must_precede_1_modifier.code,Oa._0_declarations_can_only_be_declared_inside_a_block.code,Oa._0_declarations_must_be_initialized.code,Oa.extends_clause_already_seen.code,Oa.let_is_not_allowed_to_be_used_as_a_name_in_let_or_const_declarations.code,Oa.Class_constructor_may_not_be_a_generator.code,Oa.Class_constructor_may_not_be_an_accessor.code,Oa.await_expressions_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules.code,Oa.await_using_statements_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules.code,Oa.Private_field_0_must_be_declared_in_an_enclosing_class.code,Oa.This_condition_will_always_return_0_since_JavaScript_compares_objects_by_reference_not_value.code]),EU={diagnostics:o,sourceMaps:void 0,emittedFiles:void 0,emitSkipped:!0}}}),bH=g({"src/compiler/builderStatePublic.ts"(){}});function EH(e,n,t,r,o,i){const a=[],{emitSkipped:s,diagnostics:l}=e.emit(n,(function(e,n,t){a.push({name:e,writeByteOrderMark:t,text:n})}),r,t,o,i);return{outputFiles:a,emitSkipped:s,diagnostics:l}}var SH,TH,xH=g({"src/compiler/builderState.ts"(){JJ(),(e=>{function n(){return function(e,n,r){const o={getKeys:e=>n.get(e),getValues:n=>e.get(n),keys:()=>e.keys(),deleteKey:o=>{(r||(r=new Set)).add(o);const i=e.get(o);return!!i&&(i.forEach((e=>t(n,e,o))),e.delete(o),!0)},set:(i,a)=>{null==r||r.delete(i);const s=e.get(i);return e.set(i,a),null==s||s.forEach((e=>{a.has(e)||t(n,e,i)})),a.forEach((e=>{(null==s?void 0:s.has(e))||function(e,n,t){let r=e.get(n);r||(r=new Set,e.set(n,r));r.add(t)}(n,e,i)})),o}};return o}(new Map,new Map,void 0)}function t(e,n,t){const r=e.get(n);return!!(null==r?void 0:r.delete(t))&&(r.size||e.delete(n),!0)}function r(e){return Y(e.declarations,(e=>{var n;return null==(n=$f(e))?void 0:n.resolvedPath}))}function i(e,n){const t=e.getSymbolAtLocation(n);return t&&r(t)}function a(e,n,t,r){return ga(e.getProjectReferenceRedirect(n)||n,t,r)}function s(e,n,t){let r;if(n.imports&&n.imports.length>0){const t=e.getTypeChecker();for(const e of n.imports){const n=i(t,e);null==n||n.forEach(l)}}const o=ra(n.resolvedPath);if(n.referencedFiles&&n.referencedFiles.length>0)for(const r of n.referencedFiles){l(a(e,r.fileName,o,t))}if(e.forEachResolvedTypeReferenceDirective((({resolvedTypeReferenceDirective:n})=>{if(!n)return;const r=n.resolvedFileName;l(a(e,r,o,t))}),n),n.moduleAugmentations.length){const t=e.getTypeChecker();for(const e of n.moduleAugmentations){if(!zI(e))continue;const n=t.getSymbolAtLocation(e);n&&s(n)}}for(const n of e.getTypeChecker().getAmbientModules())n.declarations&&n.declarations.length>1&&s(n);return r;function s(e){if(e.declarations)for(const t of e.declarations){const e=$f(t);e&&e!==n&&l(e.resolvedPath)}}function l(e){(r||(r=new Set)).add(e)}}function l(e,n){return n&&!n.referencedMap==!e}function c(e,n,t,r,i){const a=n.getSourceFileByPath(t);return a?u(e,n,a,r,i)?(e.referencedMap?v:y)(e,n,a,r,i):[a]:o}function d(e,n,t,r,o){e.emit(n,((t,i,a,s,l,c)=>{Tt.assert(_k(t),`File extension for signature expected to be dts: Got:: ${t}`),o(JH(e,n,i,r,c),l)}),t,!0,void 0,!0)}function u(e,n,t,r,o,i=e.useFileVersionAsSignature){var a;if(null==(a=e.hasCalledUpdateShapeSignature)?void 0:a.has(t.resolvedPath))return!1;const s=e.fileInfos.get(t.resolvedPath),l=s.signature;let c;if(t.isDeclarationFile||i||d(n,t,r,o,((n,r)=>{c=n,c!==l&&p(e,t,r[0].exportedModulesFromDeclarationEmit)})),void 0===c&&(c=t.version,e.exportedModulesMap&&c!==l)){(e.oldExportedModulesMap||(e.oldExportedModulesMap=new Map)).set(t.resolvedPath,e.exportedModulesMap.getValues(t.resolvedPath)||!1);const n=e.referencedMap?e.referencedMap.getValues(t.resolvedPath):void 0;n?e.exportedModulesMap.set(t.resolvedPath,n):e.exportedModulesMap.deleteKey(t.resolvedPath)}return(e.oldSignatures||(e.oldSignatures=new Map)).set(t.resolvedPath,l||!1),(e.hasCalledUpdateShapeSignature||(e.hasCalledUpdateShapeSignature=new Set)).add(t.resolvedPath),s.signature=c,c!==l}function p(e,n,t){if(!e.exportedModulesMap)return;(e.oldExportedModulesMap||(e.oldExportedModulesMap=new Map)).set(n.resolvedPath,e.exportedModulesMap.getValues(n.resolvedPath)||!1);const r=f(t);r?e.exportedModulesMap.set(n.resolvedPath,r):e.exportedModulesMap.deleteKey(n.resolvedPath)}function f(e){let n;return null==e||e.forEach((e=>r(e).forEach((e=>(n??(n=new Set)).add(e))))),n}function m(e,n){if(!e.allFileNames){const t=n.getSourceFiles();e.allFileNames=t===o?o:t.map((e=>e.fileName))}return e.allFileNames}function _(e,n){const t=e.referencedMap.getKeys(n);return t?Je(t.keys()):[]}function h(e){return function(e){return oe(e.moduleAugmentations,(e=>Gm(e.parent)))}(e)||!T_(e)&&!x_(e)&&!function(e){for(const n of e.statements)if(!wm(n))return!1;return!0}(e)}function g(e,n,t){if(e.allFilesExcludingDefaultLibraryFile)return e.allFilesExcludingDefaultLibraryFile;let r;t&&i(t);for(const e of n.getSourceFiles())e!==t&&i(e);return e.allFilesExcludingDefaultLibraryFile=r||o,e.allFilesExcludingDefaultLibraryFile;function i(e){n.isSourceFileDefaultLibrary(e)||(r||(r=[])).push(e)}}function y(e,n,t){const r=n.getCompilerOptions();return r&&ob(r)?[t]:g(e,n,t)}function v(e,n,t,r,o){if(h(t))return g(e,n,t);const i=n.getCompilerOptions();if(i&&(Kp(i)||ob(i)))return[t];const a=new Map;a.set(t.resolvedPath,t);const s=_(e,t.resolvedPath);for(;s.length>0;){const t=s.pop();if(!a.has(t)){const i=n.getSourceFileByPath(t);a.set(t,i),i&&u(e,n,i,r,o)&&s.push(..._(e,i.resolvedPath))}}return Je($(a.values(),(e=>e)))}e.createManyToManyPathMap=n,e.canReuseOldState=l,e.create=function(e,t,r){var o,i,a;const c=new Map,d=e.getCompilerOptions(),u=ob(d),p=0===d.module||u?void 0:n(),f=p?n():void 0,m=l(p,t);e.getTypeChecker();for(const n of e.getSourceFiles()){const r=Tt.checkDefined(n.version,"Program intended to be used with Builder should have source files with versions set"),l=m?null==(o=t.oldSignatures)?void 0:o.get(n.resolvedPath):void 0,d=void 0===l?m?null==(i=t.fileInfos.get(n.resolvedPath))?void 0:i.signature:void 0:l||void 0;if(p){const r=s(e,n,e.getCanonicalFileName);if(r&&p.set(n.resolvedPath,r),m){const e=null==(a=t.oldExportedModulesMap)?void 0:a.get(n.resolvedPath),r=void 0===e?t.exportedModulesMap.getValues(n.resolvedPath):e||void 0;r&&f.set(n.resolvedPath,r)}}c.set(n.resolvedPath,{version:r,signature:d,affectsGlobalScope:u?void 0:h(n)||void 0,impliedFormat:n.impliedNodeFormat})}return{fileInfos:c,referencedMap:p,exportedModulesMap:f,useFileVersionAsSignature:!r&&!m}},e.releaseCache=function(e){e.allFilesExcludingDefaultLibraryFile=void 0,e.allFileNames=void 0},e.getFilesAffectedBy=function(e,n,t,r,o){var i,a;const s=c(e,n,t,r,o);return null==(i=e.oldSignatures)||i.clear(),null==(a=e.oldExportedModulesMap)||a.clear(),s},e.getFilesAffectedByWithOldState=c,e.updateSignatureOfFile=function(e,n,t){e.fileInfos.get(t).signature=n,(e.hasCalledUpdateShapeSignature||(e.hasCalledUpdateShapeSignature=new Set)).add(t)},e.computeDtsSignature=d,e.updateShapeSignature=u,e.updateExportedModules=p,e.getExportedModules=f,e.getAllDependencies=function(e,n,t){if(ob(n.getCompilerOptions()))return m(e,n);if(!e.referencedMap||h(t))return m(e,n);const r=new Set,o=[t.resolvedPath];for(;o.length;){const n=o.pop();if(!r.has(n)){r.add(n);const t=e.referencedMap.getValues(n);if(t)for(const e of t.keys())o.push(e)}}return Je($(r.keys(),(e=>{var t;return(null==(t=n.getSourceFileByPath(e))?void 0:t.fileName)??e})))},e.getReferencedByPaths=_,e.getAllFilesExcludingDefaultLibraryFile=g})(yH||(yH={}))}});function AH(e){let n=1;return e.sourceMap&&(n|=2),e.inlineSourceMap&&(n|=4),Qp(e)&&(n|=8),e.declarationMap&&(n|=16),e.emitDeclarationOnly&&(n&=24),n}function RH(e,n){const t=n&&(_n(n)?n:AH(n)),r=_n(e)?e:AH(e);if(t===r)return 0;if(!t||!r)return r;const o=t^r;let i=0;return 7&o&&(i=7&r),24&o&&(i|=24&r),i}function IH(e,n){var t,r;const o=yH.create(e,n,!1);o.program=e;const i=e.getCompilerOptions();o.compilerOptions=i;const a=ob(i);a?i.composite&&(null==n?void 0:n.outSignature)&&a===ob(null==n?void 0:n.compilerOptions)&&(o.outSignature=n.outSignature&&DH(i,n.compilerOptions,n.outSignature)):o.semanticDiagnosticsPerFile=new Map,o.changedFilesSet=new Set,o.latestChangedDtsFile=i.composite?null==n?void 0:n.latestChangedDtsFile:void 0;const s=yH.canReuseOldState(o.referencedMap,n),l=s?n.compilerOptions:void 0,c=s&&n.semanticDiagnosticsPerFile&&!!o.semanticDiagnosticsPerFile&&!NT(i,l),d=i.composite&&(null==n?void 0:n.emitSignatures)&&!a&&!CT(i,n.compilerOptions);s?(null==(t=n.changedFilesSet)||t.forEach((e=>o.changedFilesSet.add(e))),!a&&(null==(r=n.affectedFilesPendingEmit)?void 0:r.size)&&(o.affectedFilesPendingEmit=new Map(n.affectedFilesPendingEmit),o.seenAffectedFiles=new Set),o.programEmitPending=n.programEmitPending):o.buildInfoEmitPending=!0;const u=o.referencedMap,p=s?n.referencedMap:void 0,f=c&&!i.skipLibCheck==!l.skipLibCheck,m=f&&!i.skipDefaultLibCheck==!l.skipDefaultLibCheck;if(o.fileInfos.forEach(((t,r)=>{var a;let l,_;if(!s||!(l=n.fileInfos.get(r))||l.version!==t.version||l.impliedFormat!==t.impliedFormat||(h=_=u&&u.getValues(r),g=p&&p.getValues(r),h!==g&&(void 0===h||void 0===g||h.size!==g.size||zf(h,(e=>!g.has(e)))))||_&&zf(_,(e=>!o.fileInfos.has(e)&&n.fileInfos.has(e))))NH(o,r);else{const t=e.getSourceFileByPath(r),i=null==(a=n.emitDiagnosticsPerFile)?void 0:a.get(r);if(i&&(o.emitDiagnosticsPerFile??(o.emitDiagnosticsPerFile=new Map)).set(r,n.hasReusableDiagnostic?LH(i,e):CH(i,e)),c){if(t.isDeclarationFile&&!f)return;if(t.hasNoDefaultLib&&!m)return;const i=n.semanticDiagnosticsPerFile.get(r);i&&(o.semanticDiagnosticsPerFile.set(r,n.hasReusableDiagnostic?LH(i,e):CH(i,e)),(o.semanticDiagnosticsFromOldState??(o.semanticDiagnosticsFromOldState=new Set)).add(r))}}var h,g;if(d){const e=n.emitSignatures.get(r);e&&(o.emitSignatures??(o.emitSignatures=new Map)).set(r,DH(i,n.compilerOptions,e))}})),s&&Wf(n.fileInfos,((e,n)=>!o.fileInfos.has(n)&&(!(!a&&!e.affectsGlobalScope)||(o.buildInfoEmitPending=!0,!1)))))yH.getAllFilesExcludingDefaultLibraryFile(o,e,void 0).forEach((e=>NH(o,e.resolvedPath)));else if(l){const n=DT(i,l)?AH(i):RH(i,l);0!==n&&(a?o.programEmitPending=o.programEmitPending?o.programEmitPending|n:n:(e.getSourceFiles().forEach((e=>{o.changedFilesSet.has(e.resolvedPath)||$H(o,e.resolvedPath,n)})),Tt.assert(!o.seenAffectedFiles||!o.seenAffectedFiles.size),o.seenAffectedFiles=o.seenAffectedFiles||new Set,o.buildInfoEmitPending=!0))}return a&&!o.changedFilesSet.size&&(s&&(o.bundle=n.bundle),oe(e.getProjectReferences(),(e=>!!e.prepend))&&(o.programEmitPending=AH(i))),o}function NH(e,n){e.changedFilesSet.add(n),e.buildInfoEmitPending=!0,e.programEmitPending=void 0}function DH(e,n,t){return!!e.declarationMap==!!n.declarationMap?t:mn(t)?[t]:t[0]}function CH(e,n){return e.length?V(e,(e=>{if(mn(e.messageText))return e;const t=MH(e.messageText,e.file,n,(e=>{var n;return null==(n=e.repopulateInfo)?void 0:n.call(e)}));return t===e.messageText?e:{...e,messageText:t}})):e}function MH(e,n,t,r){const o=r(e);if(o)return{...Hf(n,t,o.moduleReference,o.mode,o.packageName||o.moduleReference),next:PH(e.next,n,t,r)};const i=PH(e.next,n,t,r);return i===e.next?e:{...e,next:i}}function PH(e,n,t,r){return V(e,(e=>MH(e,n,t,r)))}function LH(e,n){if(!e.length)return o;let t;return e.map((e=>{const t=kH(e,n,r);t.reportsUnnecessary=e.reportsUnnecessary,t.reportsDeprecated=e.reportDeprecated,t.source=e.source,t.skippedOn=e.skippedOn;const{relatedInformation:o}=e;return t.relatedInformation=o?o.length?o.map((e=>kH(e,n,r))):[]:void 0,t}));function r(e){return t??(t=ra(ma(SV(n.getCompilerOptions()),n.getCurrentDirectory()))),ga(e,t,n.getCanonicalFileName)}}function kH(e,n,t){const{file:r}=e,o=r?n.getSourceFileByPath(t(r)):void 0;return{...e,file:o,messageText:mn(e.messageText)?e.messageText:MH(e.messageText,o,n,(e=>e.info))}}function wH(e,n){Tt.assert(!n||!e.affectedFiles||e.affectedFiles[e.affectedFilesIndex-1]!==n||!e.semanticDiagnosticsPerFile.has(n.resolvedPath))}function OH(e,n,t){for(var r,o;;){const{affectedFiles:i}=e;if(i){const a=e.seenAffectedFiles;let s=e.affectedFilesIndex;for(;s<i.length;){const r=i[s];if(!a.has(r.resolvedPath))return e.affectedFilesIndex=s,$H(e,r.resolvedPath,AH(e.compilerOptions)),WH(e,r,n,t),r;s++}e.changedFilesSet.delete(e.currentChangedFilePath),e.currentChangedFilePath=void 0,null==(r=e.oldSignatures)||r.clear(),null==(o=e.oldExportedModulesMap)||o.clear(),e.affectedFiles=void 0}const a=e.changedFilesSet.keys().next();if(a.done)return;const s=Tt.checkDefined(e.program);if(ob(s.getCompilerOptions()))return Tt.assert(!e.semanticDiagnosticsPerFile),s;e.affectedFiles=yH.getFilesAffectedByWithOldState(e,s,a.value,n,t),e.currentChangedFilePath=a.value,e.affectedFilesIndex=0,e.seenAffectedFiles||(e.seenAffectedFiles=new Set)}}function FH(e){if(!e.cleanedDiagnosticsOfLibFiles){e.cleanedDiagnosticsOfLibFiles=!0;const n=Tt.checkDefined(e.program),t=n.getCompilerOptions();E(n.getSourceFiles(),(r=>n.isSourceFileDefaultLibrary(r)&&!Nx(r,t,n)&&GH(e,r.resolvedPath)))}}function WH(e,n,t,r){if(GH(e,n.resolvedPath),e.allFilesExcludingDefaultLibraryFile===e.affectedFiles)return FH(e),void yH.updateShapeSignature(e,Tt.checkDefined(e.program),n,t,r);e.compilerOptions.assumeChangesOnlyAffectDirectDependencies||function(e,n,t,r){var o;if(!e.exportedModulesMap||!e.changedFilesSet.has(n.resolvedPath))return;if(!BH(e,n.resolvedPath))return;if(Kp(e.compilerOptions)){const o=new Map;o.set(n.resolvedPath,!0);const i=yH.getReferencedByPaths(e,n.resolvedPath);for(;i.length>0;){const n=i.pop();if(!o.has(n)){if(o.set(n,!0),jH(e,n,t,r))return;if(zH(e,n,t,r),BH(e,n)){const t=Tt.checkDefined(e.program).getSourceFileByPath(n);i.push(...yH.getReferencedByPaths(e,t.resolvedPath))}}}}const i=new Set;null==(o=e.exportedModulesMap.getKeys(n.resolvedPath))||o.forEach((n=>{if(jH(e,n,t,r))return!0;const o=e.referencedMap.getKeys(n);return o&&zf(o,(n=>VH(e,n,i,t,r)))}))}(e,n,t,r)}function zH(e,n,t,r){if(GH(e,n),!e.changedFilesSet.has(n)){const o=Tt.checkDefined(e.program),i=o.getSourceFileByPath(n);i&&(yH.updateShapeSignature(e,o,i,t,r,!0),Qp(e.compilerOptions)&&$H(e,n,e.compilerOptions.declarationMap?24:8))}}function GH(e,n){return!e.semanticDiagnosticsFromOldState||(e.semanticDiagnosticsFromOldState.delete(n),e.semanticDiagnosticsPerFile.delete(n),!e.semanticDiagnosticsFromOldState.size)}function BH(e,n){const t=Tt.checkDefined(e.oldSignatures).get(n)||void 0;return Tt.checkDefined(e.fileInfos.get(n)).signature!==t}function jH(e,n,t,r){var o;return!!(null==(o=e.fileInfos.get(n))?void 0:o.affectsGlobalScope)&&(yH.getAllFilesExcludingDefaultLibraryFile(e,e.program,void 0).forEach((n=>zH(e,n.resolvedPath,t,r))),FH(e),!0)}function VH(e,n,t,r,o){var i,a;if(ee(t,n)){if(jH(e,n,r,o))return!0;zH(e,n,r,o),null==(i=e.exportedModulesMap.getKeys(n))||i.forEach((n=>VH(e,n,t,r,o))),null==(a=e.referencedMap.getKeys(n))||a.forEach((n=>!t.has(n)&&zH(e,n,r,o)))}}function UH(e,n,t){return ae(function(e,n,t){const r=n.resolvedPath;if(e.semanticDiagnosticsPerFile){const n=e.semanticDiagnosticsPerFile.get(r);if(n)return uH(n,e.compilerOptions)}const o=Tt.checkDefined(e.program).getBindAndCheckDiagnostics(n,t);e.semanticDiagnosticsPerFile&&e.semanticDiagnosticsPerFile.set(r,o);return uH(o,e.compilerOptions)}(e,n,t),Tt.checkDefined(e.program).getProgramDiagnostics(n))}function HH(e){return!!ob(e.options||{})}function KH(e,n,t,r,i,a){let s,l,c;return void 0===e?(Tt.assert(void 0===n),s=t,c=r,Tt.assert(!!c),l=c.getProgram()):pn(e)?(c=r,l=cH({rootNames:e,options:n,host:t,oldProgram:c&&c.getProgramOrUndefined(),configFileParsingDiagnostics:i,projectReferences:a}),s=t):(l=e,s=n,c=t,i=r),{host:s,newProgram:l,oldProgram:c,configFileParsingDiagnostics:i||o}}function qH(e,n){return void 0!==(null==n?void 0:n.sourceMapUrlPos)?e.substring(0,n.sourceMapUrlPos):e}function JH(e,n,t,r,o){var i;let a;return t=qH(t,o),(null==(i=null==o?void 0:o.diagnostics)?void 0:i.length)&&(t+=o.diagnostics.map((t=>`${function(t){if(t.file.resolvedPath===n.resolvedPath)return`(${t.start},${t.length})`;void 0===a&&(a=ra(n.resolvedPath));return`${ba(Ca(a,t.file.resolvedPath,e.getCanonicalFileName))}(${t.start},${t.length})`}(t)}${Ro[t.category]}${t.code}: ${s(t.messageText)}`)).join("\n")),(r.createHash??_i)(t);function s(e){return mn(e)?e:void 0===e?"":e.next?e.messageText+e.next.map(s).join("\n"):e.messageText}}function XH(e,n,t){return(n.createHash??_i)(qH(e,t))}function YH(e,{newProgram:n,host:t,oldProgram:r,configFileParsingDiagnostics:i}){let a=r&&r.getState();if(a&&n===a.program&&i===n.getConfigFileParsingDiagnostics())return n=void 0,a=void 0,r;const s=IH(n,a);n.getBuildInfo=e=>function(e,n){var t,r,i;const a=Tt.checkDefined(e.program).getCurrentDirectory(),s=ra(ma(SV(e.compilerOptions),a)),l=e.latestChangedDtsFile?T(e.latestChangedDtsFile):void 0,c=[],d=new Map,u=[];if(ob(e.compilerOptions)){const o=Je(e.fileInfos.entries(),(([e,n])=>(I(e,A(e)),n.impliedFormat?{version:n.version,impliedFormat:n.impliedFormat,signature:void 0,affectsGlobalScope:void 0}:n.version))),i={fileNames:c,fileInfos:o,root:u,options:N(e.compilerOptions),outSignature:e.outSignature,latestChangedDtsFile:l,pendingEmit:e.programEmitPending?e.programEmitPending!==AH(e.compilerOptions)&&e.programEmitPending:void 0},{js:a,dts:s,commonSourceDirectory:d,sourceFiles:p}=n;return e.bundle=n={commonSourceDirectory:d,sourceFiles:p,js:a||(e.compilerOptions.emitDeclarationOnly||null==(t=e.bundle)?void 0:t.js),dts:s||(Qp(e.compilerOptions)?null==(r=e.bundle)?void 0:r.dts:void 0)},BV(i,n)}let p,f,m;const _=Je(e.fileInfos.entries(),(([n,t])=>{var r,i;const a=A(n);I(n,a),Tt.assert(c[a-1]===x(n));const s=null==(r=e.oldSignatures)?void 0:r.get(n),l=void 0!==s?s||void 0:t.signature;if(e.compilerOptions.composite){const t=e.program.getSourceFileByPath(n);if(!x_(t)&&sb(t,e.program)){const t=null==(i=e.emitSignatures)?void 0:i.get(n);t!==l&&(m||(m=[])).push(void 0===t?a:[a,mn(t)||t[0]!==l?t:o])}}return t.version===l?t.affectsGlobalScope||t.impliedFormat?{version:t.version,signature:void 0,affectsGlobalScope:t.affectsGlobalScope,impliedFormat:t.impliedFormat}:t.version:void 0!==l?void 0===s?t:{version:t.version,signature:l,affectsGlobalScope:t.affectsGlobalScope,impliedFormat:t.impliedFormat}:{version:t.version,signature:!1,affectsGlobalScope:t.affectsGlobalScope,impliedFormat:t.impliedFormat}}));let h,g;e.referencedMap&&(h=Je(e.referencedMap.keys()).sort(Gn).map((n=>[A(n),R(e.referencedMap.getValues(n))]))),e.exportedModulesMap&&(g=Y(Je(e.exportedModulesMap.keys()).sort(Gn),(n=>{var t;const r=null==(t=e.oldExportedModulesMap)?void 0:t.get(n);return void 0===r?[A(n),R(e.exportedModulesMap.getValues(n))]:r?[A(n),R(r)]:void 0})));const y=C(e.semanticDiagnosticsPerFile);let v,b;if(null==(i=e.affectedFilesPendingEmit)?void 0:i.size){const n=AH(e.compilerOptions),t=new Set;for(const r of Je(e.affectedFilesPendingEmit.keys()).sort(Gn))if(ee(t,r)){const t=e.program.getSourceFileByPath(r);if(!t||!sb(t,e.program))continue;const o=A(r),i=e.affectedFilesPendingEmit.get(r);(v||(v=[])).push(i===n?o:8===i?[o]:[o,i])}}if(e.changedFilesSet.size)for(const n of Je(e.changedFilesSet.keys()).sort(Gn))(b||(b=[])).push(A(n));const S=C(e.emitDiagnosticsPerFile);return BV({fileNames:c,fileInfos:_,root:u,options:N(e.compilerOptions),fileIdsList:p,referencedMap:h,exportedModulesMap:g,semanticDiagnosticsPerFile:y,emitDiagnosticsPerFile:S,affectedFilesPendingEmit:v,changeFileSet:b,emitSignatures:m,latestChangedDtsFile:l},n);function T(e){return x(ma(e,a))}function x(n){return ba(Ca(s,n,e.program.getCanonicalFileName))}function A(e){let n=d.get(e);return void 0===n&&(c.push(x(e)),d.set(e,n=c.length)),n}function R(e){const n=Je(e.keys(),A).sort(wn),t=n.join();let r=null==f?void 0:f.get(t);return void 0===r&&((p||(p=[])).push(n),(f||(f=new Map)).set(t,r=p.length)),r}function I(n,t){const r=e.program.getSourceFile(n);if(!e.program.getFileIncludeReasons().get(r.path).some((e=>0===e.kind)))return;if(!u.length)return u.push(t);const o=u[u.length-1],i=pn(o);if(i&&o[1]===t-1)return o[1]=t;if(i||1===u.length||o!==t-1)return u.push(t);const a=u[u.length-2];return _n(a)&&a===o-1?(u[u.length-2]=[a,t],u.length=u.length-1):u.push(t)}function N(e){let n;const{optionsNameMap:t}=mw();for(const r of Ue(e).sort(Gn)){const o=t.get(r.toLowerCase());(null==o?void 0:o.affectsBuildInfo)&&((n||(n={}))[r]=D(o,e[r]))}return n}function D(e,n){if(e)if(Tt.assert("listOrElement"!==e.type),"list"===e.type){const t=n;if(e.element.isFilePath&&t.length)return t.map(T)}else if(e.isFilePath)return T(n);return n}function C(e){let n;if(e)for(const t of Je(e.keys()).sort(Gn)){const r=e.get(t);(n||(n=[])).push(r.length?[A(t),M(r)]:A(t))}return n}function M(e){return Tt.assert(!!e.length),e.map((e=>{const n=P(e);n.reportsUnnecessary=e.reportsUnnecessary,n.reportDeprecated=e.reportsDeprecated,n.source=e.source,n.skippedOn=e.skippedOn;const{relatedInformation:t}=e;return n.relatedInformation=t?t.length?t.map((e=>P(e))):[]:void 0,n}))}function P(e){const{file:n}=e;return{...e,file:n?x(n.resolvedPath):void 0,messageText:mn(e.messageText)?e.messageText:L(e.messageText)}}function L(e){if(e.repopulateInfo)return{info:e.repopulateInfo(),next:k(e.next)};const n=k(e.next);return n===e.next?e:{...e,next:n}}function k(e){return e&&E(e,((n,t)=>{const r=L(n);if(n===r)return;const o=t>0?e.slice(0,t-1):[];o.push(r);for(let n=t+1;n<e.length;n++)o.push(L(e[n]));return o}))||e}}(s,e),n=void 0,r=void 0,a=void 0;const l=()=>s,c=rK(l,i);return c.getState=l,c.saveEmitState=()=>function(e){const n=ob(e.compilerOptions);return Tt.assert(!e.changedFilesSet.size||n),{affectedFilesPendingEmit:e.affectedFilesPendingEmit&&new Map(e.affectedFilesPendingEmit),seenEmittedFiles:e.seenEmittedFiles&&new Map(e.seenEmittedFiles),programEmitPending:e.programEmitPending,emitSignatures:e.emitSignatures&&new Map(e.emitSignatures),outSignature:e.outSignature,latestChangedDtsFile:e.latestChangedDtsFile,hasChangedEmitSignature:e.hasChangedEmitSignature,changedFilesSet:n?new Set(e.changedFilesSet):void 0,buildInfoEmitPending:e.buildInfoEmitPending,emitDiagnosticsPerFile:e.emitDiagnosticsPerFile&&new Map(e.emitDiagnosticsPerFile)}}(s),c.restoreEmitState=e=>function(e,n){e.affectedFilesPendingEmit=n.affectedFilesPendingEmit,e.seenEmittedFiles=n.seenEmittedFiles,e.programEmitPending=n.programEmitPending,e.emitSignatures=n.emitSignatures,e.outSignature=n.outSignature,e.latestChangedDtsFile=n.latestChangedDtsFile,e.hasChangedEmitSignature=n.hasChangedEmitSignature,e.buildInfoEmitPending=n.buildInfoEmitPending,e.emitDiagnosticsPerFile=n.emitDiagnosticsPerFile,n.changedFilesSet&&(e.changedFilesSet=n.changedFilesSet)}(s,e),c.hasChangedEmitSignature=()=>!!s.hasChangedEmitSignature,c.getAllDependencies=e=>yH.getAllDependencies(s,Tt.checkDefined(s.program),e),c.getSemanticDiagnostics=function(e,n){wH(s,e);if(ob(Tt.checkDefined(s.program).getCompilerOptions()))return Tt.assert(!s.semanticDiagnosticsPerFile),Tt.checkDefined(s.program).getSemanticDiagnostics(e,n);if(e)return UH(s,e,n);for(;p(n););let t;for(const e of Tt.checkDefined(s.program).getSourceFiles())t=Ee(t,UH(s,e,n));return t||o},c.emit=function(n,t,r,i,a){1===e&&wH(s,n);const l=dH(c,n,t,r);if(l)return l;if(!n){if(1===e){let e,n,s=[],l=!1,c=[];for(;n=d(t,r,i,a);)l=l||n.result.emitSkipped,e=Ee(e,n.result.diagnostics),c=Ee(c,n.result.emittedFiles),s=Ee(s,n.result.sourceMaps);return{emitSkipped:l,diagnostics:e||o,emittedFiles:c,sourceMaps:s}}!function(e,n){var t;if(null==(t=e.affectedFilesPendingEmit)?void 0:t.size)n?e.affectedFilesPendingEmit.forEach(((n,t)=>{const r=7&n;r?e.affectedFilesPendingEmit.set(t,r):e.affectedFilesPendingEmit.delete(t)})):e.affectedFilesPendingEmit=void 0}(s,i)}return Tt.checkDefined(s.program).emit(n,u(t,a),r,i,a)},c.releaseProgram=()=>function(e){yH.releaseCache(e),e.program=void 0}(s),0===e?c.getSemanticDiagnosticsOfNextAffectedFile=p:1===e?(c.getSemanticDiagnosticsOfNextAffectedFile=p,c.emitNextAffectedFile=d,c.emitBuildInfo=function(e,n){if(s.buildInfoEmitPending){const r=Tt.checkDefined(s.program).emitBuildInfo(e||an(t,t.writeFile),n);return s.buildInfoEmitPending=!1,r}return EU}):An(),c;function d(e,n,r,o){var i,a,l;let c=OH(s,n,t);const d=AH(s.compilerOptions);let p,f=r?24&d:d;if(!c)if(ob(s.compilerOptions)){if(!s.programEmitPending)return;if(f=s.programEmitPending,r&&(f&=24),!f)return;c=s.program}else{const o=function(e,n){var t;if(null==(t=e.affectedFilesPendingEmit)?void 0:t.size)return Wf(e.affectedFilesPendingEmit,((t,r)=>{var o;const i=e.program.getSourceFileByPath(r);if(!i||!sb(i,e.program))return void e.affectedFilesPendingEmit.delete(r);let a=RH(t,null==(o=e.seenEmittedFiles)?void 0:o.get(i.resolvedPath));return n&&(a&=24),a?{affectedFile:i,emitKind:a}:void 0}))}(s,r);if(!o){const r=function(e){var n;if(null==(n=e.emitDiagnosticsPerFile)?void 0:n.size)return Wf(e.emitDiagnosticsPerFile,((n,t)=>{var r;const o=e.program.getSourceFileByPath(t);if(!o||!sb(o,e.program))return void e.emitDiagnosticsPerFile.delete(t);const i=(null==(r=e.seenEmittedFiles)?void 0:r.get(o.resolvedPath))||0;return 24&i?void 0:{affectedFile:o,diagnostics:n,seenKind:i}}))}(s);if(r)return(s.seenEmittedFiles??(s.seenEmittedFiles=new Map)).set(r.affectedFile.resolvedPath,24|r.seenKind),{result:{emitSkipped:!0,diagnostics:r.diagnostics},affected:r.affectedFile};if(!s.buildInfoEmitPending)return;const o=s.program,i=o.emitBuildInfo(e||an(t,t.writeFile),n);return s.buildInfoEmitPending=!1,{result:i,affected:o}}({affectedFile:c,emitKind:f}=o)}7&f&&(p=0),24&f&&(p=void 0===p?1:void 0),c===s.program&&(s.programEmitPending=s.changedFilesSet.size?RH(d,f):s.programEmitPending?RH(s.programEmitPending,f):void 0);const m=s.program.emit(c===s.program?void 0:c,u(e,o),n,p,o);if(c!==s.program){const e=c;s.seenAffectedFiles.add(e.resolvedPath),void 0!==s.affectedFilesIndex&&s.affectedFilesIndex++,s.buildInfoEmitPending=!0;const n=(null==(i=s.seenEmittedFiles)?void 0:i.get(e.resolvedPath))||0;(s.seenEmittedFiles??(s.seenEmittedFiles=new Map)).set(e.resolvedPath,f|n);const t=RH((null==(a=s.affectedFilesPendingEmit)?void 0:a.get(e.resolvedPath))||d,f|n);t?(s.affectedFilesPendingEmit??(s.affectedFilesPendingEmit=new Map)).set(e.resolvedPath,t):null==(l=s.affectedFilesPendingEmit)||l.delete(e.resolvedPath),m.diagnostics.length&&(s.emitDiagnosticsPerFile??(s.emitDiagnosticsPerFile=new Map)).set(e.resolvedPath,m.diagnostics)}else s.changedFilesSet.clear();return{result:m,affected:c}}function u(e,n){return Qp(s.compilerOptions)?(r,o,i,a,l,c)=>{var d,u,p,f;if(_k(r))if(ob(s.compilerOptions)){if(s.compilerOptions.composite){const e=m(s.outSignature,void 0);if(!e)return;s.outSignature=e}}else{let e;if(Tt.assert(1===(null==l?void 0:l.length)),!n){const n=l[0],r=s.fileInfos.get(n.resolvedPath);if(r.signature===n.version){const i=JH(s.program,n,o,t,c);if((null==(d=null==c?void 0:c.diagnostics)?void 0:d.length)||(e=i),i!==n.version)if(t.storeFilesChangingSignatureDuringEmit&&(s.filesChangingSignature??(s.filesChangingSignature=new Set)).add(n.resolvedPath),s.exportedModulesMap&&yH.updateExportedModules(s,n,n.exportedModulesFromDeclarationEmit),s.affectedFiles){void 0===(null==(u=s.oldSignatures)?void 0:u.get(n.resolvedPath))&&(s.oldSignatures??(s.oldSignatures=new Map)).set(n.resolvedPath,r.signature||!1),r.signature=i}else r.signature=i,null==(p=s.oldExportedModulesMap)||p.clear()}}if(s.compilerOptions.composite){const n=l[0].resolvedPath;if(e=m(null==(f=s.emitSignatures)?void 0:f.get(n),e),!e)return;(s.emitSignatures??(s.emitSignatures=new Map)).set(n,e)}}function m(e,n){const i=!e||mn(e)?e:e[0];if(n??(n=XH(o,t,c)),n===i){if(e===i)return;c?c.differsOnlyInMap=!0:c={differsOnlyInMap:!0}}else s.hasChangedEmitSignature=!0,s.latestChangedDtsFile=r;return n}e?e(r,o,i,a,l,c):t.writeFile?t.writeFile(r,o,i,a,l,c):s.program.writeFile(r,o,i,a,l,c)}:e||an(t,t.writeFile)}function p(e,n){for(;;){const r=OH(s,e,t);let o;if(!r)return;if(r!==s.program){const t=r;if(n&&n(t)||(o=UH(s,t,e)),s.seenAffectedFiles.add(t.resolvedPath),s.affectedFilesIndex++,s.buildInfoEmitPending=!0,!o)continue}else o=s.program.getSemanticDiagnostics(void 0,e),s.changedFilesSet.clear(),s.programEmitPending=AH(s.compilerOptions);return{result:o,affected:r}}}}function $H(e,n,t){var r,o;const i=(null==(r=e.affectedFilesPendingEmit)?void 0:r.get(n))||0;(e.affectedFilesPendingEmit??(e.affectedFilesPendingEmit=new Map)).set(n,i|t),null==(o=e.emitDiagnosticsPerFile)||o.delete(n)}function QH(e){return mn(e)?{version:e,signature:e,affectsGlobalScope:void 0,impliedFormat:void 0}:mn(e.signature)?e:{version:e.version,signature:!1===e.signature?void 0:e.version,affectsGlobalScope:e.affectsGlobalScope,impliedFormat:e.impliedFormat}}function ZH(e,n){return _n(e)?n:e[1]||8}function eK(e,n){return e||AH(n||{})}function nK(e,n,t){var r,i,a,s;const l=e.program,c=ra(ma(n,t.getCurrentDirectory())),d=rt(t.useCaseSensitiveFileNames());let u;const p=null==(r=l.fileNames)?void 0:r.map((function(e){return ga(e,c,d)}));let f;const m=l.latestChangedDtsFile?_(l.latestChangedDtsFile):void 0;if(HH(l)){const n=new Map;l.fileInfos.forEach(((e,t)=>{const r=h(t+1);n.set(r,mn(e)?{version:e,signature:void 0,affectsGlobalScope:void 0,impliedFormat:void 0}:e)})),u={fileInfos:n,compilerOptions:l.options?eO(l.options,_):{},latestChangedDtsFile:m,outSignature:l.outSignature,programEmitPending:void 0===l.pendingEmit?void 0:eK(l.pendingEmit,l.options),bundle:e.bundle}}else{f=null==(i=l.fileIdsList)?void 0:i.map((e=>new Set(e.map(h))));const e=new Map,n=(null==(a=l.options)?void 0:a.composite)&&!ob(l.options)?new Map:void 0;l.fileInfos.forEach(((t,r)=>{const o=h(r+1),i=QH(t);e.set(o,i),n&&i.signature&&n.set(o,i.signature)})),null==(s=l.emitSignatures)||s.forEach((e=>{if(_n(e))n.delete(h(e));else{const t=h(e[0]);n.set(t,mn(e[1])||e[1].length?e[1]:[n.get(t)])}}));const t=l.affectedFilesPendingEmit?AH(l.options||{}):void 0;u={fileInfos:e,compilerOptions:l.options?eO(l.options,_):{},referencedMap:g(l.referencedMap),exportedModulesMap:g(l.exportedModulesMap),semanticDiagnosticsPerFile:y(l.semanticDiagnosticsPerFile),emitDiagnosticsPerFile:y(l.emitDiagnosticsPerFile),hasReusableDiagnostic:!0,affectedFilesPendingEmit:l.affectedFilesPendingEmit&&$e(l.affectedFilesPendingEmit,(e=>h(_n(e)?e:e[0])),(e=>ZH(e,t))),changedFilesSet:new Set(B(l.changeFileSet,h)),latestChangedDtsFile:m,emitSignatures:(null==n?void 0:n.size)?n:void 0}}return{getState:()=>u,saveEmitState:yn,restoreEmitState:yn,getProgram:An,getProgramOrUndefined:En,releaseProgram:yn,getCompilerOptions:()=>u.compilerOptions,getSourceFile:An,getSourceFiles:An,getOptionsDiagnostics:An,getGlobalDiagnostics:An,getConfigFileParsingDiagnostics:An,getSyntacticDiagnostics:An,getDeclarationDiagnostics:An,getSemanticDiagnostics:An,emit:An,getAllDependencies:An,getCurrentDirectory:An,emitNextAffectedFile:An,getSemanticDiagnosticsOfNextAffectedFile:An,emitBuildInfo:An,close:yn,hasChangedEmitSignature:vn};function _(e){return ma(e,c)}function h(e){return p[e-1]}function g(e){if(!e)return;const n=yH.createManyToManyPathMap();return e.forEach((([e,t])=>n.set(h(e),f[t-1]))),n}function y(e){return e&&$e(e,(e=>h(_n(e)?e:e[0])),(e=>_n(e)?o:e[1]))}}function tK(e,n,t){const r=ra(ma(n,t.getCurrentDirectory())),o=rt(t.useCaseSensitiveFileNames()),i=new Map;let a=0;const s=[];return e.fileInfos.forEach(((n,t)=>{const l=ga(e.fileNames[t],r,o),c=mn(n)?n:n.version;if(i.set(l,c),a<e.root.length){const n=e.root[a],r=t+1;pn(n)?n[0]<=r&&r<=n[1]&&(s.push(l),n[1]===r&&a++):n===r&&(s.push(l),a++)}})),{fileInfos:i,roots:s}}function rK(e,n){return{getState:An,saveEmitState:yn,restoreEmitState:yn,getProgram:t,getProgramOrUndefined:()=>e().program,releaseProgram:()=>e().program=void 0,getCompilerOptions:()=>e().compilerOptions,getSourceFile:e=>t().getSourceFile(e),getSourceFiles:()=>t().getSourceFiles(),getOptionsDiagnostics:e=>t().getOptionsDiagnostics(e),getGlobalDiagnostics:e=>t().getGlobalDiagnostics(e),getConfigFileParsingDiagnostics:()=>n,getSyntacticDiagnostics:(e,n)=>t().getSyntacticDiagnostics(e,n),getDeclarationDiagnostics:(e,n)=>t().getDeclarationDiagnostics(e,n),getSemanticDiagnostics:(e,n)=>t().getSemanticDiagnostics(e,n),emit:(e,n,r,o,i)=>t().emit(e,n,r,o,i),emitBuildInfo:(e,n)=>t().emitBuildInfo(e,n),getAllDependencies:An,getCurrentDirectory:()=>t().getCurrentDirectory(),close:yn};function t(){return Tt.checkDefined(e().program)}}var oK=g({"src/compiler/builder.ts"(){JJ(),SH=(e=>(e[e.None=0]="None",e[e.Js=1]="Js",e[e.JsMap=2]="JsMap",e[e.JsInlineMap=4]="JsInlineMap",e[e.Dts=8]="Dts",e[e.DtsMap=16]="DtsMap",e[e.AllJs=7]="AllJs",e[e.AllDts=24]="AllDts",e[e.All=31]="All",e))(SH||{}),TH=(e=>(e[e.SemanticDiagnosticsBuilderProgram=0]="SemanticDiagnosticsBuilderProgram",e[e.EmitAndSemanticDiagnosticsBuilderProgram=1]="EmitAndSemanticDiagnosticsBuilderProgram",e))(TH||{})}});function iK(e,n,t,r,o,i){return YH(0,KH(e,n,t,r,o,i))}function aK(e,n,t,r,o,i){return YH(1,KH(e,n,t,r,o,i))}function sK(e,n,t,r,o,i){const{newProgram:a,configFileParsingDiagnostics:s}=KH(e,n,t,r,o,i);return rK((()=>({program:a,compilerOptions:a.getCompilerOptions()})),s)}var lK=g({"src/compiler/builderPublic.ts"(){JJ()}});function cK(e){return Xn(e,"/node_modules/.staging")?Yn(e,"/.staging"):oe(di,(n=>e.includes(n)))?void 0:e}function dK(e,n){if(n<=1)return 1;let t=1,r=0===e[0].search(/[a-zA-Z]:/);if(e[0]!==Fi&&!r&&0===e[1].search(/[a-zA-Z]\$$/)){if(2===n)return 2;t=2,r=!0}return r&&!e[t].match(/^users$/i)?t:e[t].match(/^workspaces$/i)?t+1:t+2}function uK(e,n){if(void 0===n&&(n=e.length),n<=2)return!1;return n>dK(e,n)+1}function pK(e){return mK(ra(e))}function fK(e,n){if(n.length<n.length)return!1;for(let t=0;t<e.length;t++)if(n[t]!==e[t])return!1;return!0}function mK(e){return uK(sa(e))}function _K(e){return mK(e)}function hK(e,n,t,r,o,i){const a=sa(n),s=sa(e=Hi(e)?_a(e):ma(e,i())),l=dK(a,a.length);if(a.length<=l+1)return;const c=a.indexOf("node_modules");return-1!==c&&c+1<=l+1?void 0:fK(o,a)?a.length>o.length+1?yK(s,a,Math.max(o.length+1,l+1)):{dir:t,dirPath:r,nonRecursive:!0}:gK(s,a,a.length-1,l,c,o)}function gK(e,n,t,r,o,i){if(-1!==o)return yK(e,n,o+1);let a=!0,s=t;for(let e=0;e<t;e++)if(n[e]!==i[e]){a=!1,s=Math.max(e+1,r+1);break}return yK(e,n,s,a)}function yK(e,n,t,r){return{dir:la(e,t),dirPath:la(n,t),nonRecursive:r}}function vK(e,n,t,r,o,i){const a=sa(n);if(fK(r,a))return t;const s=gK(sa(e=Hi(e)?_a(e):ma(e,o())),a,a.length,dK(a,a.length),a.indexOf("node_modules"),r);return s&&i(s.dirPath)?s.dirPath:void 0}function bK(e,n){const t=ma(e,n());return Ki(t)?t:ya(t)}function EK(e){return e.split(Fi).length-(Zi(e)?1:0)}function SK(e){var n;return(null==(n=e.getCompilerHost)?void 0:n.call(e))||e}function TK(e,n,t,r,o){return{nameAndMode:gU,resolve:(i,a)=>function(e,n,t,r,o,i,a){const s=SK(e),l=wF(t,r,o,s,n,i,a);if(!e.getGlobalCache)return l;const c=e.getGlobalCache();if(!(void 0===c||Xs(t)||l.resolvedModule&&hx(l.resolvedModule.extension))){const{resolvedModule:r,failedLookupLocations:i,affectingLocations:a,resolutionDiagnostics:d}=MW(Tt.checkDefined(e.globalCacheResolutionModuleName)(t),e.projectName,o,s,c,n);if(r)return l.resolvedModule=r,l.failedLookupLocations=oF(l.failedLookupLocations,i),l.affectingLocations=oF(l.affectingLocations,a),l.resolutionDiagnostics=oF(l.resolutionDiagnostics,d),l}return l}(r,o,i,e,t,n,a)}}function xK(e,n,t){let r,i,a;const s=sn(),l=new Set,c=new Set,d=new Map,u=new Map;let p,f,m,_,h,g=!1,y=!1;const v=Rn((()=>e.getCurrentDirectory())),b=e.getCachedDirectoryStructureHost(),E=new Map,S=CF(v(),e.getCanonicalFileName,e.getCompilationSettings()),T=new Map,A=MF(v(),e.getCanonicalFileName,e.getCompilationSettings(),S.getPackageJsonInfoCache(),S.optionsToRedirectsKey),R=new Map,I=CF(v(),e.getCanonicalFileName,PF(e.getCompilationSettings()),S.getPackageJsonInfoCache()),N=new Map,D=new Map,C=bK(n,v),M=e.toPath(C),P=sa(M),L=new Map;return{rootDirForResolution:n,resolvedModuleNames:E,resolvedTypeReferenceDirectives:T,resolvedLibraries:R,resolvedFileToResolution:d,resolutionsWithFailedLookups:l,resolutionsWithOnlyAffectingLocations:c,directoryWatchesOfFailedLookups:N,fileWatchesOfAffectingLocations:D,watchFailedLookupLocationsOfExternalModuleResolutions:B,getModuleResolutionCache:()=>S,startRecordingFilesWithChangedResolutions:function(){r=[]},finishRecordingFilesWithChangedResolutions:function(){const e=r;return r=void 0,e},startCachingPerDirectoryResolution:function(){S.isReadonly=void 0,A.isReadonly=void 0,I.isReadonly=void 0,S.getPackageJsonInfoCache().isReadonly=void 0,S.clearAllExceptPackageJsonInfoCache(),A.clearAllExceptPackageJsonInfoCache(),I.clearAllExceptPackageJsonInfoCache(),s.forEach(q),s.clear()},finishCachingPerDirectoryResolution:function(n,t){a=void 0,y=!1,s.forEach(q),s.clear(),n!==t&&(!function(n){R.forEach(((t,r)=>{var o;(null==(o=null==n?void 0:n.resolvedLibReferences)?void 0:o.has(r))||(Y(t,e.toPath(ZU(e.getCompilationSettings(),v(),r)),k),R.delete(r))}))}(n),null==n||n.getSourceFiles().forEach((e=>{var n;const t=T_(e)?(null==(n=e.packageJsonLocations)?void 0:n.length)??0:0,r=u.get(e.path)??o;for(let n=r.length;n<t;n++)H(e.packageJsonLocations[n],!1);if(r.length>t)for(let e=t;e<r.length;e++)D.get(r[e]).files--;t?u.set(e.path,e.packageJsonLocations):u.delete(e.path)})),u.forEach(((e,t)=>{(null==n?void 0:n.getSourceFileByPath(t))||(e.forEach((e=>D.get(e).files--)),u.delete(t))})));N.forEach(F),D.forEach(W),g=!1,S.isReadonly=!0,A.isReadonly=!0,I.isReadonly=!0,S.getPackageJsonInfoCache().isReadonly=!0},resolveModuleNameLiterals:function(n,r,o,i,a,s){return z({entries:n,containingFile:r,containingSourceFile:a,redirectedReference:o,options:i,reusedNames:s,perFileCache:E,loader:TK(r,o,i,e,S),getResolutionWithResolvedFileName:k,shouldRetryResolution:e=>!e.resolvedModule||!gx(e.resolvedModule.extension),logChanges:t,deferWatchingNonRelativeResolution:!0})},resolveTypeReferenceDirectiveReferences:function(n,t,r,o,i,a){return z({entries:n,containingFile:t,containingSourceFile:i,redirectedReference:r,options:o,reusedNames:a,perFileCache:T,loader:XU(t,r,o,SK(e),A),getResolutionWithResolvedFileName:w,shouldRetryResolution:e=>void 0===e.resolvedTypeReferenceDirective,deferWatchingNonRelativeResolution:!1})},resolveLibrary:function(n,t,r,o){const i=SK(e);let a=null==R?void 0:R.get(o);if(!a||a.isInvalidated){const s=a;a=LF(n,t,r,i,I);const l=e.toPath(t);B(n,a,l,k,!1),R.set(o,a),s&&Y(s,l,k)}else if(XO(r,i)){const e=k(a);JO(i,(null==e?void 0:e.resolvedFileName)?e.packageId?Oa.Reusing_resolution_of_module_0_from_1_of_old_program_it_was_successfully_resolved_to_2_with_Package_ID_3:Oa.Reusing_resolution_of_module_0_from_1_of_old_program_it_was_successfully_resolved_to_2:Oa.Reusing_resolution_of_module_0_from_1_of_old_program_it_was_not_resolved,n,t,null==e?void 0:e.resolvedFileName,(null==e?void 0:e.packageId)&&qf(e.packageId))}return a},resolveSingleModuleNameWithoutWatching:function(n,t){var r,o;const i=e.toPath(t),a=E.get(i),s=null==a?void 0:a.get(n,void 0);if(s&&!s.isInvalidated)return s;const l=null==(r=e.beforeResolveSingleModuleNameWithoutWatching)?void 0:r.call(e,S),c=SK(e),d=wF(n,t,e.getCompilationSettings(),c,S);return null==(o=e.afterResolveSingleModuleNameWithoutWatching)||o.call(e,S,n,t,d,l),d},removeResolutionsFromProjectReferenceRedirects:function(n){if(!$i(n,".json"))return;const t=e.getCurrentProgram();if(!t)return;const r=t.getResolvedProjectReferenceByPath(n);if(!r)return;r.commandLine.fileNames.forEach((n=>ee(e.toPath(n))))},removeResolutionsOfFile:ee,hasChangedAutomaticTypeDirectiveNames:()=>g,invalidateResolutionOfFile:function(n){ee(n);const t=g;ne(d.get(n),bn)&&g&&!t&&e.onChangedAutomaticTypeDirectiveNames()},invalidateResolutionsOfFailedLookupLocations:ie,setFilesWithInvalidatedNonRelativeUnresolvedImports:function(e){Tt.assert(a===e||void 0===a),a=e},createHasInvalidatedResolutions:function(e,n){ie();const t=i;return i=void 0,{hasInvalidatedResolutions:n=>e(n)||y||!!(null==t?void 0:t.has(n))||O(n),hasInvalidatedLibResolutions:e=>{var t;return n(e)||!!(null==(t=null==R?void 0:R.get(e))?void 0:t.isInvalidated)}}},isFileWithInvalidatedNonRelativeUnresolvedImports:O,updateTypeRootsWatch:function(){const n=e.getCompilationSettings();if(n.types)return void ce();const t=dF(n,{getCurrentDirectory:v});t?xS(L,new Set(t),{createNewValue:de,onDeleteValue:fS}):ce()},closeTypeRootsWatch:ce,clear:function(){SS(N,lU),SS(D,lU),s.clear(),ce(),E.clear(),T.clear(),d.clear(),l.clear(),c.clear(),m=void 0,_=void 0,h=void 0,f=void 0,p=void 0,y=!1,S.clear(),A.clear(),S.update(e.getCompilationSettings()),A.update(e.getCompilationSettings()),I.clear(),u.clear(),R.clear(),g=!1},onChangesAffectModuleResolution:function(){y=!0,S.clearAllExceptPackageJsonInfoCache(),A.clearAllExceptPackageJsonInfoCache(),S.update(e.getCompilationSettings()),A.update(e.getCompilationSettings())}};function k(e){return e.resolvedModule}function w(e){return e.resolvedTypeReferenceDirective}function O(e){if(!a)return!1;const n=a.get(e);return!!n&&!!n.length}function F(e,n){0===e.refCount&&(N.delete(n),e.watcher.close())}function W(e,n){var t;0!==e.files||0!==e.resolutions||(null==(t=e.symlinks)?void 0:t.size)||(D.delete(n),e.watcher.close())}function z({entries:n,containingFile:t,containingSourceFile:o,redirectedReference:i,options:a,perFileCache:s,reusedNames:l,loader:c,getResolutionWithResolvedFileName:d,deferWatchingNonRelativeResolution:u,shouldRetryResolution:p,logChanges:f}){const m=e.toPath(t),_=s.get(m)||s.set(m,AF()).get(m),h=[],g=f&&O(m),v=e.getCurrentProgram(),b=v&&v.getResolvedProjectReferenceToRedirect(t),S=b?!i||i.sourceFile.path!==b.sourceFile.path:!!i,T=AF();for(const l of n){const n=c.nameAndMode.getName(l),v=c.nameAndMode.getMode(l,o,(null==i?void 0:i.commandLine.options)||a);let b=_.get(n,v);if(!T.has(n,v)&&(y||S||!b||b.isInvalidated||g&&!Xs(n)&&p(b))){const t=b;b=c.resolve(n,v),e.onDiscoveredSymlink&&AK(b)&&e.onDiscoveredSymlink(),_.set(n,v,b),b!==t&&(B(n,b,m,d,u),t&&Y(t,m,d)),f&&r&&!x(t,b)&&(r.push(m),f=!1)}else{const r=SK(e);if(XO(a,r)&&!T.has(n,v)){const e=d(b);JO(r,s===E?(null==e?void 0:e.resolvedFileName)?e.packageId?Oa.Reusing_resolution_of_module_0_from_1_of_old_program_it_was_successfully_resolved_to_2_with_Package_ID_3:Oa.Reusing_resolution_of_module_0_from_1_of_old_program_it_was_successfully_resolved_to_2:Oa.Reusing_resolution_of_module_0_from_1_of_old_program_it_was_not_resolved:(null==e?void 0:e.resolvedFileName)?e.packageId?Oa.Reusing_resolution_of_type_reference_directive_0_from_1_of_old_program_it_was_successfully_resolved_to_2_with_Package_ID_3:Oa.Reusing_resolution_of_type_reference_directive_0_from_1_of_old_program_it_was_successfully_resolved_to_2:Oa.Reusing_resolution_of_type_reference_directive_0_from_1_of_old_program_it_was_not_resolved,n,t,null==e?void 0:e.resolvedFileName,(null==e?void 0:e.packageId)&&qf(e.packageId))}}Tt.assert(void 0!==b&&!b.isInvalidated),T.set(n,v,!0),h.push(b)}return null==l||l.forEach((e=>T.set(c.nameAndMode.getName(e),c.nameAndMode.getMode(e,o,(null==i?void 0:i.commandLine.options)||a),!0))),_.size()!==T.size()&&_.forEach(((e,n,t)=>{T.has(n,t)||(Y(e,m,d),_.delete(n,t))})),h;function x(e,n){if(e===n)return!0;if(!e||!n)return!1;const t=d(e),r=d(n);return t===r||!(!t||!r)&&t.resolvedFileName===r.resolvedFileName}}function G(e){return Xn(e,"/node_modules/@types")}function B(n,t,r,o,i){var a;if(t.refCount)t.refCount++,Tt.assertIsDefined(t.files);else{t.refCount=1,Tt.assert(!(null==(a=t.files)?void 0:a.size)),!i||Xs(n)?V(t):s.add(n,t);const r=o(t);if(r&&r.resolvedFileName){const n=e.toPath(r.resolvedFileName);let o=d.get(n);o||d.set(n,o=new Set),o.add(t)}}(t.files??(t.files=new Set)).add(r)}function j(n,t){const r=hK(n,e.toPath(n),C,M,P,v);if(r){const{dir:e,dirPath:n,nonRecursive:o}=r;n===M?(Tt.assert(o),t=!0):J(e,n,o)}return t}function V(e){Tt.assert(!!e.refCount);const{failedLookupLocations:n,affectingLocations:t,alternateResult:r}=e;if(!(null==n?void 0:n.length)&&!(null==t?void 0:t.length)&&!r)return;((null==n?void 0:n.length)||r)&&l.add(e);let o=!1;if(n)for(const e of n)o=j(e,o);r&&(o=j(r,o)),o&&J(C,M,!0),U(e,!(null==n?void 0:n.length)&&!r)}function U(e,n){Tt.assert(!!e.refCount);const{affectingLocations:t}=e;if(null==t?void 0:t.length){n&&c.add(e);for(const e of t)H(e,!0)}}function H(n,t){const r=D.get(n);if(r)return void(t?r.resolutions++:r.files++);let o,i=n,a=!1;e.realpath&&(i=e.realpath(n),n!==i&&(a=!0,o=D.get(i)));const s=t?1:0,l=t?0:1;if(!a||!o){const n={watcher:_K(e.toPath(i))?e.watchAffectingFileLocation(i,((n,t)=>{null==b||b.addOrDeleteFile(n,e.toPath(i),t),K(i,S.getPackageJsonInfoCache().getInternalMap()),e.scheduleInvalidateResolutionsOfFailedLookupLocations()})):NK,resolutions:a?0:s,files:a?0:l,symlinks:void 0};D.set(i,n),a&&(o=n)}if(a){Tt.assert(!!o);const e={watcher:{close:()=>{var e;const t=D.get(i);!(null==(e=null==t?void 0:t.symlinks)?void 0:e.delete(n))||t.symlinks.size||t.resolutions||t.files||(D.delete(i),t.watcher.close())}},resolutions:s,files:l,symlinks:void 0};D.set(n,e),(o.symlinks??(o.symlinks=new Set)).add(n)}}function K(n,t){var r;const o=D.get(n);(null==o?void 0:o.resolutions)&&(f??(f=new Set)).add(n),(null==o?void 0:o.files)&&(p??(p=new Set)).add(n),null==(r=null==o?void 0:o.symlinks)||r.forEach((e=>K(e,t))),null==t||t.delete(e.toPath(n))}function q(n,t){const r=e.getCurrentProgram();r&&r.getTypeChecker().tryFindAmbientModuleWithoutAugmentations(t)?n.forEach((e=>U(e,!0))):n.forEach(V)}function J(e,n,t){const r=N.get(n);r?(Tt.assert(!!t==!!r.nonRecursive),r.refCount++):N.set(n,{watcher:Q(e,n,t),refCount:1,nonRecursive:t})}function X(n,t,r){const o=hK(n,e.toPath(n),C,M,P,v);if(o){const{dirPath:e}=o;e===M?t=!0:$(e,r)}return t}function Y(n,t,r,o){if(Tt.checkDefined(n.files).delete(t),n.refCount--,n.refCount)return;const i=r(n);if(i&&i.resolvedFileName){const t=e.toPath(i.resolvedFileName),r=d.get(t);(null==r?void 0:r.delete(n))&&!r.size&&d.delete(t)}const{failedLookupLocations:a,affectingLocations:s,alternateResult:u}=n;if(l.delete(n)){let e=!1;if(a)for(const n of a)e=X(n,e,o);u&&(e=X(u,e,o)),e&&$(M,o)}else(null==s?void 0:s.length)&&c.delete(n);if(s)for(const e of s){const n=D.get(e);n.resolutions--,o&&W(n,e)}}function $(e,n){const t=N.get(e);t.refCount--,n&&F(t,e)}function Q(n,t,r){return e.watchDirectoryOfFailedLookupLocation(n,(n=>{const r=e.toPath(n);b&&b.addOrDeleteFileOrDirectory(n,r),te(r,t===r)}),r?0:1)}function Z(e,n,t,r){const o=e.get(n);o&&(o.forEach((e=>Y(e,n,t,r))),e.delete(n))}function ee(e,n){Z(E,e,k,n),Z(T,e,w,n)}function ne(e,n){if(!e)return!1;let t=!1;return e.forEach((e=>{if(!e.isInvalidated&&n(e)){e.isInvalidated=t=!0;for(const n of Tt.checkDefined(e.files))(i??(i=new Set)).add(n),g=g||Xn(n,vU)}})),t}function te(n,t){if(t)(h||(h=new Set)).add(n);else{const t=cK(n);if(!t)return!1;if(n=t,e.fileIsOpen(n))return!1;const r=ra(n);if(G(n)||wa(n)||G(r)||wa(r))(m||(m=new Set)).add(n),(_||(_=new Set)).add(n);else{if(iU(e.getCurrentProgram(),n))return!1;if($i(n,".map"))return!1;(m||(m=new Set)).add(n);const t=KF(n,!0);t&&(_||(_=new Set)).add(t)}}e.scheduleInvalidateResolutionsOfFailedLookupLocations()}function re(){const e=S.getPackageJsonInfoCache().getInternalMap();e&&(m||_||h)&&e.forEach(((n,t)=>se(t)?e.delete(t):void 0))}function ie(){var n;if(y)return p=void 0,re(),(m||_||h||f)&&ne(R,ae),m=void 0,_=void 0,h=void 0,f=void 0,!0;let t=!1;return p&&(null==(n=e.getCurrentProgram())||n.getSourceFiles().forEach((e=>{oe(e.packageJsonLocations,(e=>p.has(e)))&&((i??(i=new Set)).add(e.path),t=!0)})),p=void 0),m||_||h||f?(t=ne(l,ae)||t,re(),m=void 0,_=void 0,h=void 0,t=ne(c,le)||t,f=void 0,t):t}function ae(n){var t;return!!le(n)||!!(m||_||h)&&((null==(t=n.failedLookupLocations)?void 0:t.some((n=>se(e.toPath(n)))))||!!n.alternateResult&&se(e.toPath(n.alternateResult)))}function se(e){return(null==m?void 0:m.has(e))||x((null==_?void 0:_.keys())||[],(n=>!!st(e,n)||void 0))||x((null==h?void 0:h.keys())||[],(n=>!(!(e.length>n.length&&st(e,n))||!Ki(n)&&e[n.length]!==Fi)||void 0))}function le(e){var n;return!!f&&(null==(n=e.affectingLocations)?void 0:n.some((e=>f.has(e))))}function ce(){SS(L,fS)}function de(n){return function(n){return!!e.getCompilationSettings().typeRoots||pK(e.toPath(n))}(n)?e.watchTypeRootsDirectory(n,(t=>{const r=e.toPath(t);b&&b.addOrDeleteFileOrDirectory(t,r),g=!0,e.onChangedAutomaticTypeDirectiveNames();const o=vK(n,e.toPath(n),M,P,v,(e=>N.has(e)));o&&te(r,o===r)}),1):NK}}function AK(e){var n,t;return!(!(null==(n=e.resolvedModule)?void 0:n.originalPath)&&!(null==(t=e.resolvedTypeReferenceDirective)?void 0:t.originalPath))}var RK,IK,NK,DK,CK,MK=g({"src/compiler/resolutionCache.ts"(){JJ()}});function PK(e,n){const t=e===fi&&RK?RK:{getCurrentDirectory:()=>e.getCurrentDirectory(),getNewLine:()=>e.newLine,getCanonicalFileName:rt(e.useCaseSensitiveFileNames)};if(!n)return n=>e.write(LU(n,t));const r=new Array(1);return n=>{r[0]=n,e.write(WU(r,t)+t.getNewLine()),r[0]=void 0}}function LK(e,n,t){return!(!e.clearScreen||t.preserveWatchOutput||t.extendedDiagnostics||t.diagnostics||!k(IK,n.code))&&(e.clearScreen(),!0)}function kK(e){return e.now?e.now().toLocaleTimeString("en-US",{timeZone:"UTC"}).replace(" "," "):(new Date).toLocaleTimeString()}function wK(e,n){return n?(n,t,r)=>{LK(e,n,r);let o=`[${wU(kK(e),"[90m")}] `;o+=`${zU(n.messageText,e.newLine)}${t+t}`,e.write(o)}:(n,t,r)=>{let o="";LK(e,n,r)||(o+=t),o+=`${kK(e)} - `,o+=`${zU(n.messageText,e.newLine)}${function(e,n){return k(IK,e.code)?n+n:n}(n,t)}`,e.write(o)}}function OK(e,n,t,r,o,i){const a=o;a.onUnRecoverableConfigFileDiagnostic=e=>iq(o,i,e);const s=Dw(e,n,a,t,r);return a.onUnRecoverableConfigFileDiagnostic=void 0,s}function FK(e){return F(e,(e=>1===e.category))}function WK(e){return W(e,(e=>1===e.category)).map((e=>{if(void 0!==e.file)return`${e.file.fileName}`})).map((n=>{if(void 0===n)return;const t=D(e,(e=>void 0!==e.file&&e.file.fileName===n));if(void 0!==t){const{line:e}=_s(t.file,t.start);return{fileName:n,line:e+1}}}))}function zK(e){return 1===e?Oa.Found_1_error_Watching_for_file_changes:Oa.Found_0_errors_Watching_for_file_changes}function GK(e,n){const t=wU(":"+e.line,"[90m");return qi(e.fileName)&&qi(n)?Ca(n,e.fileName,!1)+t:e.fileName+t}function BK(e,n,t,r){if(0===e)return"";const o=n.filter((e=>void 0!==e)),i=o.map((e=>`${e.fileName}:${e.line}`)).filter(((e,n,t)=>t.indexOf(e)===n)),a=o[0]&&GK(o[0],r.getCurrentDirectory());let s;s=1===e?void 0!==n[0]?[Oa.Found_1_error_in_0,a]:[Oa.Found_1_error]:0===i.length?[Oa.Found_0_errors,e]:1===i.length?[Oa.Found_0_errors_in_the_same_file_starting_at_Colon_1,e,a]:[Oa.Found_0_errors_in_1_files,e,i.length];const l=sT(...s),c=i.length>1?function(e,n){const t=e.filter(((e,n,t)=>n===t.findIndex((n=>(null==n?void 0:n.fileName)===(null==e?void 0:e.fileName)))));if(0===t.length)return"";const r=e=>Math.log(e)*Math.LOG10E+1,o=t.map((n=>[n,F(e,(e=>e.fileName===n.fileName))])),i=o.reduce(((e,n)=>Math.max(e,n[1]||0)),0),a=Oa.Errors_Files.message,s=a.split(" ")[0].length,l=Math.max(s,r(i)),c=Math.max(r(i)-s,0);let d="";return d+=" ".repeat(c)+a+"\n",o.forEach((e=>{const[t,r]=e,o=Math.log(r)*Math.LOG10E+1|0,i=o<l?" ".repeat(l-o):"",a=GK(t,n.getCurrentDirectory());d+=`${i}${r}  ${a}\n`})),d}(o,r):"";return`${t}${zU(l.messageText,t)}${t}${t}${c}`}function jK(e){return!!e.getState}function VK(e,n){const t=e.getCompilerOptions();t.explainFiles?UK(jK(e)?e.getProgram():e,n):(t.listFiles||t.listFilesOnly)&&E(e.getSourceFiles(),(e=>{n(e.fileName)}))}function UK(e,n){var t,r;const o=e.getFileIncludeReasons(),i=n=>Ma(n,e.getCurrentDirectory(),e.getCanonicalFileName);for(const a of e.getSourceFiles())n(`${XK(a,i)}`),null==(t=o.get(a.path))||t.forEach((t=>n(`  ${JK(e,t,i).messageText}`))),null==(r=HK(a,i))||r.forEach((e=>n(`  ${e.messageText}`)))}function HK(e,n){var t;let r;if(e.path!==e.resolvedPath&&(r??(r=[])).push(cT(void 0,Oa.File_is_output_of_project_reference_source_0,XK(e.originalFileName,n))),e.redirectInfo&&(r??(r=[])).push(cT(void 0,Oa.File_redirects_to_file_0,XK(e.redirectInfo.redirectTarget,n))),T_(e))switch(e.impliedNodeFormat){case 99:e.packageJsonScope&&(r??(r=[])).push(cT(void 0,Oa.File_is_ECMAScript_module_because_0_has_field_type_with_value_module,XK(ke(e.packageJsonLocations),n)));break;case 1:e.packageJsonScope?(r??(r=[])).push(cT(void 0,e.packageJsonScope.contents.packageJsonContent.type?Oa.File_is_CommonJS_module_because_0_has_field_type_whose_value_is_not_module:Oa.File_is_CommonJS_module_because_0_does_not_have_field_type,XK(ke(e.packageJsonLocations),n))):(null==(t=e.packageJsonLocations)?void 0:t.length)&&(r??(r=[])).push(cT(void 0,Oa.File_is_CommonJS_module_because_package_json_was_not_found))}return r}function KK(e,n){var t;const r=e.getCompilerOptions().configFile;if(!(null==(t=null==r?void 0:r.configFileSpecs)?void 0:t.validatedFilesSpec))return;const o=e.getCanonicalFileName(n),i=ra(ma(r.fileName,e.getCurrentDirectory()));return D(r.configFileSpecs.validatedFilesSpec,(n=>e.getCanonicalFileName(ma(n,i))===o))}function qK(e,n){var t,r;const o=e.getCompilerOptions().configFile;if(!(null==(t=null==o?void 0:o.configFileSpecs)?void 0:t.validatedIncludeSpecs))return;if(o.configFileSpecs.isDefaultIncludeSpec)return!0;const i=$i(n,".json"),a=ra(ma(o.fileName,e.getCurrentDirectory())),s=e.useCaseSensitiveFileNames();return D(null==(r=null==o?void 0:o.configFileSpecs)?void 0:r.validatedIncludeSpecs,(e=>{if(i&&!Xn(e,".json"))return!1;const t=UT(e,a,"files");return!!t&&JT(`(${t})$`,s).test(n)}))}function JK(e,n,t){var r,o;const i=e.getCompilerOptions();if(tH(n)){const r=oH(e,n),o=rH(r)?r.file.text.substring(r.pos,r.end):`"${r.text}"`;let i;switch(Tt.assert(rH(r)||3===n.kind,"Only synthetic references are imports"),n.kind){case 3:i=rH(r)?r.packageId?Oa.Imported_via_0_from_file_1_with_packageId_2:Oa.Imported_via_0_from_file_1:r.text===cp?r.packageId?Oa.Imported_via_0_from_file_1_with_packageId_2_to_import_importHelpers_as_specified_in_compilerOptions:Oa.Imported_via_0_from_file_1_to_import_importHelpers_as_specified_in_compilerOptions:r.packageId?Oa.Imported_via_0_from_file_1_with_packageId_2_to_import_jsx_and_jsxs_factory_functions:Oa.Imported_via_0_from_file_1_to_import_jsx_and_jsxs_factory_functions;break;case 4:Tt.assert(!r.packageId),i=Oa.Referenced_via_0_from_file_1;break;case 5:i=r.packageId?Oa.Type_library_referenced_via_0_from_file_1_with_packageId_2:Oa.Type_library_referenced_via_0_from_file_1;break;case 7:Tt.assert(!r.packageId),i=Oa.Library_referenced_via_0_from_file_1;break;default:Tt.assertNever(n)}return cT(void 0,i,o,XK(r.file,t),r.packageId&&qf(r.packageId))}switch(n.kind){case 0:if(!(null==(r=i.configFile)?void 0:r.configFileSpecs))return cT(void 0,Oa.Root_file_specified_for_compilation);const a=ma(e.getRootFileNames()[n.index],e.getCurrentDirectory());if(KK(e,a))return cT(void 0,Oa.Part_of_files_list_in_tsconfig_json);const s=qK(e,a);return mn(s)?cT(void 0,Oa.Matched_by_include_pattern_0_in_1,s,XK(i.configFile,t)):cT(void 0,s?Oa.Matched_by_default_include_pattern_Asterisk_Asterisk_Slash_Asterisk:Oa.Root_file_specified_for_compilation);case 1:case 2:const l=2===n.kind,c=Tt.checkDefined(null==(o=e.getResolvedProjectReferences())?void 0:o[n.index]);return cT(void 0,ob(i)?l?Oa.Output_from_referenced_project_0_included_because_1_specified:Oa.Source_from_referenced_project_0_included_because_1_specified:l?Oa.Output_from_referenced_project_0_included_because_module_is_specified_as_none:Oa.Source_from_referenced_project_0_included_because_module_is_specified_as_none,XK(c.sourceFile.fileName,t),i.outFile?"--outFile":"--out");case 8:return cT(void 0,...i.types?n.packageId?[Oa.Entry_point_of_type_library_0_specified_in_compilerOptions_with_packageId_1,n.typeReference,qf(n.packageId)]:[Oa.Entry_point_of_type_library_0_specified_in_compilerOptions,n.typeReference]:n.packageId?[Oa.Entry_point_for_implicit_type_library_0_with_packageId_1,n.typeReference,qf(n.packageId)]:[Oa.Entry_point_for_implicit_type_library_0,n.typeReference]);case 6:{if(void 0!==n.index)return cT(void 0,Oa.Library_0_specified_in_compilerOptions,i.lib[n.index]);const e=Wf(Mk.type,((e,n)=>e===jp(i)?n:void 0));return cT(void 0,...e?[Oa.Default_library_for_target_0,e]:[Oa.Default_library])}default:Tt.assertNever(n)}}function XK(e,n){const t=mn(e)?e:e.fileName;return n?n(t):t}function YK(e,n,t,r,i,a,s,l){const c=!!e.getCompilerOptions().listFilesOnly,d=e.getConfigFileParsingDiagnostics().slice(),u=d.length;Ee(d,e.getSyntacticDiagnostics(void 0,a)),d.length===u&&(Ee(d,e.getOptionsDiagnostics(a)),c||(Ee(d,e.getGlobalDiagnostics(a)),d.length===u&&Ee(d,e.getSemanticDiagnostics(void 0,a))));const p=c?{emitSkipped:!0,diagnostics:o}:e.emit(void 0,i,a,s,l),{emittedFiles:f,diagnostics:m}=p;Ee(d,m);const _=Ys(d);if(_.forEach(n),t){const n=e.getCurrentDirectory();E(f,(e=>{const r=ma(e,n);t(`TSFILE: ${r}`)})),VK(e,t)}return r&&r(FK(_),WK(_)),{emitResult:p,diagnostics:_}}function $K(e,n,t,r,o,i,a,s){const{emitResult:l,diagnostics:c}=YK(e,n,t,r,o,i,a,s);return l.emitSkipped&&c.length>0?1:c.length>0?2:0}function QK(e=fi,n){return{onWatchStatusChange:n||wK(e),watchFile:an(e,e.watchFile)||DK,watchDirectory:an(e,e.watchDirectory)||DK,setTimeout:an(e,e.setTimeout)||yn,clearTimeout:an(e,e.clearTimeout)||yn}}function ZK(e,n){const t=e.trace?n.extendedDiagnostics?2:n.diagnostics?1:0:0,r=0!==t?n=>e.trace(n):yn,o=aU(e,t,r);return o.writeLog=r,o}function eq(e,n,t=e){const r=e.useCaseSensitiveFileNames(),o={getSourceFile:IU(((n,t)=>t?e.readFile(n,t):o.readFile(n)),n,void 0),getDefaultLibLocation:an(e,e.getDefaultLibLocation),getDefaultLibFileName:n=>e.getDefaultLibFileName(n),writeFile:NU(((n,t,r)=>e.writeFile(n,t,r)),(n=>e.createDirectory(n)),(n=>e.directoryExists(n))),getCurrentDirectory:Rn((()=>e.getCurrentDirectory())),useCaseSensitiveFileNames:()=>r,getCanonicalFileName:rt(r),getNewLine:()=>VE(n()),fileExists:n=>e.fileExists(n),readFile:n=>e.readFile(n),trace:an(e,e.trace),directoryExists:an(t,t.directoryExists),getDirectories:an(t,t.getDirectories),realpath:an(e,e.realpath),getEnvironmentVariable:an(e,e.getEnvironmentVariable)||(()=>""),createHash:an(e,e.createHash),readDirectory:an(e,e.readDirectory),storeFilesChangingSignatureDuringEmit:e.storeFilesChangingSignatureDuringEmit,jsDocParsingMode:e.jsDocParsingMode};return o}function nq(e,n){if(n.match(_G)){let e=n.length,t=e;for(let r=e-1;r>=0;r--){const o=n.charCodeAt(r);switch(o){case 10:r&&13===n.charCodeAt(r-1)&&r--;case 13:break;default:if(o<127||!ys(o)){t=r;continue}}const i=n.substring(t,e);if(i.match(hG)){n=n.substring(0,t);break}if(!i.match(gG))break;e=t}}return(e.createHash||_i)(n)}function tq(e){const n=e.getSourceFile;e.getSourceFile=(...t)=>{const r=n.call(e,...t);return r&&(r.version=nq(e,r.text)),r}}function rq(e,n){const t=Rn((()=>ra(_a(e.getExecutingFilePath()))));return{useCaseSensitiveFileNames:()=>e.useCaseSensitiveFileNames,getNewLine:()=>e.newLine,getCurrentDirectory:Rn((()=>e.getCurrentDirectory())),getDefaultLibLocation:t,getDefaultLibFileName:e=>ua(t(),$s(e)),fileExists:n=>e.fileExists(n),readFile:(n,t)=>e.readFile(n,t),directoryExists:n=>e.directoryExists(n),getDirectories:n=>e.getDirectories(n),readDirectory:(n,t,r,o,i)=>e.readDirectory(n,t,r,o,i),realpath:an(e,e.realpath),getEnvironmentVariable:an(e,e.getEnvironmentVariable),trace:n=>e.write(n+e.newLine),createDirectory:n=>e.createDirectory(n),writeFile:(n,t,r)=>e.writeFile(n,t,r),createHash:an(e,e.createHash),createProgram:n||aK,storeFilesChangingSignatureDuringEmit:e.storeFilesChangingSignatureDuringEmit,now:an(e,e.now)}}function oq(e=fi,n,t,r){const o=n=>e.write(n+e.newLine),i=rq(e,n);return on(i,QK(e,r)),i.afterProgramCreate=e=>{const n=e.getCompilerOptions(),r=VE(n);YK(e,t,o,(e=>i.onWatchStatusChange(sT(zK(e),e),r,n,e)))},i}function iq(e,n,t){n(t),e.exit(1)}function aq({configFileName:e,optionsToExtend:n,watchOptionsToExtend:t,extraFileExtensions:r,system:o,createProgram:i,reportDiagnostic:a,reportWatchStatus:s}){const l=a||PK(o),c=oq(o,i,l,s);return c.onUnRecoverableConfigFileDiagnostic=e=>iq(o,l,e),c.configFileName=e,c.optionsToExtend=n,c.watchOptionsToExtend=t,c.extraFileExtensions=r,c}function sq({rootFiles:e,options:n,watchOptions:t,projectReferences:r,system:o,createProgram:i,reportDiagnostic:a,reportWatchStatus:s}){const l=oq(o,i,a||PK(o),s);return l.rootFiles=e,l.options=n,l.watchOptions=t,l.projectReferences=r,l}function lq(e){const n=e.system||fi,t=e.host||(e.host=uq(e.options,n)),r=pq(e),o=$K(r,e.reportDiagnostic||PK(n),(e=>t.trace&&t.trace(e)),e.reportErrorSummary||e.options.pretty?(e,r)=>n.write(BK(e,r,n.newLine,t)):void 0);return e.afterProgramEmitAndDiagnostics&&e.afterProgramEmitAndDiagnostics(r),o}var cq=g({"src/compiler/watch.ts"(){JJ(),RK=fi?{getCurrentDirectory:()=>fi.getCurrentDirectory(),getNewLine:()=>fi.newLine,getCanonicalFileName:rt(fi.useCaseSensitiveFileNames)}:void 0,IK=[Oa.Starting_compilation_in_watch_mode.code,Oa.File_change_detected_Starting_incremental_compilation.code],NK={close:yn},DK=()=>NK,CK={ConfigFile:"Config file",ExtendedConfigFile:"Extended config file",SourceFile:"Source file",MissingFile:"Missing file",WildcardDirectory:"Wild card directory",FailedLookupLocations:"Failed Lookup Locations",AffectingFileLocation:"File location affecting resolution",TypeRoots:"Type roots",ConfigFileOfReferencedProject:"Config file of referened project",ExtendedConfigOfReferencedProject:"Extended config file of referenced project",WildcardDirectoryOfReferencedProject:"Wild card directory of referenced project",PackageJson:"package.json file",ClosedScriptInfo:"Closed Script info",ConfigFileForInferredRoot:"Config file for the inferred project root",NodeModules:"node_modules for closed script infos and package.jsons affecting module specifier cache",MissingSourceMapFile:"Missing source map file",NoopConfigFileForInferredRoot:"Noop Config file for the inferred project root",MissingGeneratedFile:"Missing generated file",NodeModulesForModuleSpecifierCache:"node_modules for module specifier cache invalidation",TypingInstallerLocationFile:"File location for typing installer",TypingInstallerLocationDirectory:"Directory location for typing installer"}}});function dq(e,n){const r=SV(e);if(!r)return;let o;if(n.getBuildInfo)o=n.getBuildInfo(r,e.configFilePath);else{const e=n.readFile(r);if(!e)return;o=VV(r,e)}return o&&o.version===t&&o.program?nK(o,r,n):void 0}function uq(e,n=fi){const t=DU(e,void 0,n);return t.createHash=an(n,n.createHash),t.storeFilesChangingSignatureDuringEmit=n.storeFilesChangingSignatureDuringEmit,tq(t),CU(t,(e=>ga(e,t.getCurrentDirectory(),t.getCanonicalFileName))),t}function pq({rootNames:e,options:n,configFileParsingDiagnostics:t,projectReferences:r,host:o,createProgram:i}){return(i=i||aK)(e,n,o=o||uq(n),dq(n,o),t,r)}function fq(e,n,t,r,o,i,a,s){return pn(e)?sq({rootFiles:e,options:n,watchOptions:s,projectReferences:a,system:t,createProgram:r,reportDiagnostic:o,reportWatchStatus:i}):aq({configFileName:e,optionsToExtend:n,watchOptionsToExtend:a,extraFileExtensions:s,system:t,createProgram:r,reportDiagnostic:o,reportWatchStatus:i})}function mq(e){let n,t,r,o,i,a,s,l,c=e.extendedConfigCache,d=!1;const u=new Map;let p,f=!1;const m=e.useCaseSensitiveFileNames(),_=e.getCurrentDirectory(),{configFileName:h,optionsToExtend:g={},watchOptionsToExtend:y,extraFileExtensions:v,createProgram:b}=e;let E,S,{rootFiles:T,options:x,watchOptions:A,projectReferences:R}=e,I=!1,N=!1;const D=void 0===h?void 0:QV(e,_,m),C=D||e,M=pH(e,C);let P=J();h&&e.configFileParsingResult&&(se(e.configFileParsingResult),P=J()),Z(Oa.Starting_compilation_in_watch_mode),h&&!e.configFileParsingResult&&(P=VE(g),Tt.assert(!T),ae(),P=J()),Tt.assert(x),Tt.assert(T);const{watchFile:L,watchDirectory:k,writeLog:w}=ZK(e,x),O=rt(m);let F;w(`Current directory: ${_} CaseSensitiveFileNames: ${m}`),h&&(F=L(h,(function(){Tt.assert(!!h),t=2,re()}),2e3,A,CK.ConfigFile));const W=eq(e,(()=>x),C);tq(W);const z=W.getSourceFile;W.getSourceFile=(e,...n)=>$(e,X(e),...n),W.getSourceFileByPath=$,W.getNewLine=()=>P,W.fileExists=function(e){const n=X(e);if(Y(u.get(n)))return!1;return C.fileExists(e)},W.onReleaseOldSourceFile=function(e,n,t){const r=u.get(e.resolvedPath);void 0!==r&&(Y(r)?(p||(p=[])).push(e.path):r.sourceFile===e&&(r.fileWatcher&&r.fileWatcher.close(),u.delete(e.resolvedPath),t||G.removeResolutionsOfFile(e.path)))},W.onReleaseParsedCommandLine=function(e){var n;const t=X(e),r=null==s?void 0:s.get(t);if(!r)return;s.delete(t),r.watchedDirectories&&SS(r.watchedDirectories,lU);null==(n=r.watcher)||n.close(),eU(t,l)},W.toPath=X,W.getCompilationSettings=()=>x,W.useSourceOfProjectReferenceRedirect=an(e,e.useSourceOfProjectReferenceRedirect),W.watchDirectoryOfFailedLookupLocation=(e,n,t)=>k(e,n,t,A,CK.FailedLookupLocations),W.watchAffectingFileLocation=(e,n)=>L(e,n,2e3,A,CK.AffectingFileLocation),W.watchTypeRootsDirectory=(e,n,t)=>k(e,n,t,A,CK.TypeRoots),W.getCachedDirectoryStructureHost=()=>D,W.scheduleInvalidateResolutionsOfFailedLookupLocations=function(){if(!e.setTimeout||!e.clearTimeout)return G.invalidateResolutionsOfFailedLookupLocations();const n=ne();w("Scheduling invalidateFailedLookup"+(n?", Cancelled earlier one":"")),a=e.setTimeout(te,250,"timerToInvalidateFailedLookupResolutions")},W.onInvalidatedResolution=re,W.onChangedAutomaticTypeDirectiveNames=re,W.fileIsOpen=vn,W.getCurrentProgram=K,W.writeLog=w,W.getParsedCommandLine=le;const G=xK(W,h?ra(ma(h,_)):_,!1);W.resolveModuleNameLiterals=an(e,e.resolveModuleNameLiterals),W.resolveModuleNames=an(e,e.resolveModuleNames),W.resolveModuleNameLiterals||W.resolveModuleNames||(W.resolveModuleNameLiterals=G.resolveModuleNameLiterals.bind(G)),W.resolveTypeReferenceDirectiveReferences=an(e,e.resolveTypeReferenceDirectiveReferences),W.resolveTypeReferenceDirectives=an(e,e.resolveTypeReferenceDirectives),W.resolveTypeReferenceDirectiveReferences||W.resolveTypeReferenceDirectives||(W.resolveTypeReferenceDirectiveReferences=G.resolveTypeReferenceDirectiveReferences.bind(G)),W.resolveLibrary=e.resolveLibrary?e.resolveLibrary.bind(e):G.resolveLibrary.bind(G),W.getModuleResolutionCache=e.resolveModuleNameLiterals||e.resolveModuleNames?an(e,e.getModuleResolutionCache):()=>G.getModuleResolutionCache();const B=!!(e.resolveModuleNameLiterals||e.resolveTypeReferenceDirectiveReferences||e.resolveModuleNames||e.resolveTypeReferenceDirectives)?an(e,e.hasInvalidatedResolutions)||bn:vn,j=e.resolveLibrary?an(e,e.hasInvalidatedLibResolutions)||bn:vn;return n=dq(x,W),q(),me(),h&&he(X(h),x,A,CK.ExtendedConfigFile),h?{getCurrentProgram:H,getProgram:ie,close:V,getResolutionCache:U}:{getCurrentProgram:H,getProgram:ie,updateRootFileNames:function(e){Tt.assert(!h,"Cannot update root file names with config file watch mode"),T=e,re()},close:V,getResolutionCache:U};function V(){ne(),G.clear(),SS(u,(e=>{e&&e.fileWatcher&&(e.fileWatcher.close(),e.fileWatcher=void 0)})),F&&(F.close(),F=void 0),null==c||c.clear(),c=void 0,l&&(SS(l,lU),l=void 0),o&&(SS(o,lU),o=void 0),r&&(SS(r,fS),r=void 0),s&&(SS(s,(e=>{var n;null==(n=e.watcher)||n.close(),e.watcher=void 0,e.watchedDirectories&&SS(e.watchedDirectories,lU),e.watchedDirectories=void 0})),s=void 0)}function U(){return G}function H(){return n}function K(){return n&&n.getProgramOrUndefined()}function q(){w("Synchronizing program"),Tt.assert(x),Tt.assert(T),ne();const t=H();f&&(P=J(),t&&Lf(t.getCompilerOptions(),x)&&G.onChangesAffectModuleResolution());const{hasInvalidatedResolutions:o,hasInvalidatedLibResolutions:i}=G.createHasInvalidatedResolutions(B,j),{originalReadFile:a,originalFileExists:s,originalDirectoryExists:l,originalCreateDirectory:c,originalWriteFile:m,readFileWithCache:_}=CU(W,X);return iH(K(),T,x,(e=>function(e,n){const t=u.get(e);if(!t)return;if(t.version)return t.version;const r=n(e);return void 0!==r?nq(W,r):void 0}(e,_)),(e=>W.fileExists(e)),o,i,ee,le,R)?N&&(d&&Z(Oa.File_change_detected_Starting_incremental_compilation),n=b(void 0,void 0,W,n,S,R),N=!1):(d&&Z(Oa.File_change_detected_Starting_incremental_compilation),function(e,t){w("CreatingProgramWith::"),w(`  roots: ${JSON.stringify(T)}`),w(`  options: ${JSON.stringify(x)}`),R&&w(`  projectReferences: ${JSON.stringify(R)}`);const o=f||!K();f=!1,N=!1,G.startCachingPerDirectoryResolution(),W.hasInvalidatedResolutions=e,W.hasInvalidatedLibResolutions=t,W.hasChangedAutomaticTypeDirectiveNames=ee;const i=K();n=b(T,x,W,n,S,R),G.finishCachingPerDirectoryResolution(n.getProgram(),i),tU(n.getProgram(),r||(r=new Map),pe),o&&G.updateTypeRootsWatch();if(p){for(const e of p)r.has(e)||u.delete(e);p=void 0}}(o,i)),d=!1,e.afterProgramCreate&&t!==n&&e.afterProgramCreate(n),W.readFile=a,W.fileExists=s,W.directoryExists=l,W.createDirectory=c,W.writeFile=m,n}function J(){return VE(x||g)}function X(e){return ga(e,_,O)}function Y(e){return"boolean"==typeof e}function $(e,n,t,r,o){const i=u.get(n);if(Y(i))return;const a="object"==typeof t?t.impliedNodeFormat:void 0;if(void 0===i||o||function(e){return"boolean"==typeof e.version}(i)||i.sourceFile.impliedNodeFormat!==a){const o=z(e,t,r);if(i)o?(i.sourceFile=o,i.version=o.version,i.fileWatcher||(i.fileWatcher=ce(n,e,de,250,A,CK.SourceFile))):(i.fileWatcher&&i.fileWatcher.close(),u.set(n,!1));else if(o){const t=ce(n,e,de,250,A,CK.SourceFile);u.set(n,{sourceFile:o,version:o.version,fileWatcher:t})}else u.set(n,!1);return o}return i.sourceFile}function Q(e){const n=u.get(e);void 0!==n&&(Y(n)?u.set(e,{version:!1}):n.version=!1)}function Z(n){e.onWatchStatusChange&&e.onWatchStatusChange(sT(n),P,x||g)}function ee(){return G.hasChangedAutomaticTypeDirectiveNames()}function ne(){return!!a&&(e.clearTimeout(a),a=void 0,!0)}function te(){a=void 0,G.invalidateResolutionsOfFailedLookupLocations()&&re()}function re(){e.setTimeout&&e.clearTimeout&&(i&&e.clearTimeout(i),w("Scheduling update"),i=e.setTimeout(oe,250,"timerToUpdateProgram"))}function oe(){i=void 0,d=!0,ie()}function ie(){var e,n,r,o;switch(t){case 1:null==(e=or)||e.logStartUpdateProgram("PartialConfigReload"),function(){w("Reloading new file names and options"),Tt.assert(x),Tt.assert(h),t=0,T=IO(x.configFile.configFileSpecs,ma(ra(h),_),x,M,v),uO(T,ma(h,_),x.configFile.configFileSpecs,S,I)&&(N=!0);q()}();break;case 2:null==(n=or)||n.logStartUpdateProgram("FullConfigReload"),function(){Tt.assert(h),w(`Reloading config file: ${h}`),t=0,D&&D.clearCache();ae(),f=!0,q(),me(),he(X(h),x,A,CK.ExtendedConfigFile)}();break;default:null==(r=or)||r.logStartUpdateProgram("SynchronizeProgram"),q()}return null==(o=or)||o.logStopUpdateProgram("Done"),H()}function ae(){Tt.assert(h),se(Dw(h,g,M,c||(c=new Map),y,v))}function se(e){T=e.fileNames,x=e.options,A=e.watchOptions,R=e.projectReferences,E=e.wildcardDirectories,S=aH(e).slice(),I=dO(e.raw),N=!0}function le(n){const t=X(n);let r=null==s?void 0:s.get(t);if(r){if(!r.updateLevel)return r.parsedCommandLine;if(r.parsedCommandLine&&1===r.updateLevel&&!e.getParsedCommandLine){w("Reloading new file names and options"),Tt.assert(x);const e=IO(r.parsedCommandLine.options.configFile.configFileSpecs,ma(ra(n),_),x,M);return r.parsedCommandLine={...r.parsedCommandLine,fileNames:e},r.updateLevel=void 0,r.parsedCommandLine}}w(`Loading config file: ${n}`);const o=e.getParsedCommandLine?e.getParsedCommandLine(n):function(e){const n=M.onUnRecoverableConfigFileDiagnostic;M.onUnRecoverableConfigFileDiagnostic=yn;const t=Dw(e,void 0,M,c||(c=new Map),y);return M.onUnRecoverableConfigFileDiagnostic=n,t}(n);return r?(r.parsedCommandLine=o,r.updateLevel=void 0):(s||(s=new Map)).set(t,r={parsedCommandLine:o}),function(e,n,t){var r,o,i,a;t.watcher||(t.watcher=L(e,((t,r)=>{ue(e,n,r);const o=null==s?void 0:s.get(n);o&&(o.updateLevel=2),G.removeResolutionsFromProjectReferenceRedirects(n),re()}),2e3,(null==(r=t.parsedCommandLine)?void 0:r.watchOptions)||A,CK.ConfigFileOfReferencedProject)),rU(t.watchedDirectories||(t.watchedDirectories=new Map),null==(o=t.parsedCommandLine)?void 0:o.wildcardDirectories,((r,o)=>{var i;return k(r,(t=>{const o=X(t);D&&D.addOrDeleteFileOrDirectory(t,o),Q(o);const i=null==s?void 0:s.get(n);(null==i?void 0:i.parsedCommandLine)&&(oU({watchedDirPath:X(r),fileOrDirectory:t,fileOrDirectoryPath:o,configFileName:e,options:i.parsedCommandLine.options,program:i.parsedCommandLine.fileNames,currentDirectory:_,useCaseSensitiveFileNames:m,writeLog:w,toPath:X})||2!==i.updateLevel&&(i.updateLevel=1,re()))}),o,(null==(i=t.parsedCommandLine)?void 0:i.watchOptions)||A,CK.WildcardDirectoryOfReferencedProject)})),he(n,null==(i=t.parsedCommandLine)?void 0:i.options,(null==(a=t.parsedCommandLine)?void 0:a.watchOptions)||A,CK.ExtendedConfigOfReferencedProject)}(n,t,r),o}function ce(e,n,t,r,o,i){return L(n,((n,r)=>t(n,r,e)),r,o,i)}function de(e,n,t){ue(e,t,n),2===n&&u.has(t)&&G.invalidateResolutionOfFile(t),Q(t),re()}function ue(e,n,t){D&&D.addOrDeleteFile(e,n,t)}function pe(e,n){return(null==s?void 0:s.has(e))?NK:ce(e,n,fe,500,A,CK.MissingFile)}function fe(e,n,t){ue(e,t,n),0===n&&r.has(t)&&(r.get(t).close(),r.delete(t),Q(t),re())}function me(){rU(o||(o=new Map),E,_e)}function _e(e,n){return k(e,(n=>{Tt.assert(h),Tt.assert(x);const r=X(n);D&&D.addOrDeleteFileOrDirectory(n,r),Q(r),oU({watchedDirPath:X(e),fileOrDirectory:n,fileOrDirectoryPath:r,configFileName:h,extraFileExtensions:v,options:x,program:H()||T,currentDirectory:_,useCaseSensitiveFileNames:m,writeLog:w,toPath:X})||2!==t&&(t=1,re())}),n,A,CK.WildcardDirectory)}function he(e,n,r,o){ZV(e,n,l||(l=new Map),((e,n)=>L(e,((r,o)=>{var i;ue(e,n,o),c&&nU(c,n,X);const a=null==(i=l.get(n))?void 0:i.projects;(null==a?void 0:a.size)&&a.forEach((e=>{if(h&&X(h)===e)t=2;else{const n=null==s?void 0:s.get(e);n&&(n.updateLevel=2),G.removeResolutionsFromProjectReferenceRedirects(e)}re()}))}),2e3,r,o)),X)}}var _q,hq=g({"src/compiler/watchPublic.ts"(){JJ()}});function gq(e){return $i(e,".json")?e:ua(e,"tsconfig.json")}var yq,vq,bq,Eq=g({"src/compiler/tsbuild.ts"(){JJ(),_q=(e=>(e[e.Unbuildable=0]="Unbuildable",e[e.UpToDate=1]="UpToDate",e[e.UpToDateWithUpstreamTypes=2]="UpToDateWithUpstreamTypes",e[e.OutOfDateWithPrepend=3]="OutOfDateWithPrepend",e[e.OutputMissing=4]="OutputMissing",e[e.ErrorReadingFile=5]="ErrorReadingFile",e[e.OutOfDateWithSelf=6]="OutOfDateWithSelf",e[e.OutOfDateWithUpstream=7]="OutOfDateWithUpstream",e[e.OutOfDateBuildInfo=8]="OutOfDateBuildInfo",e[e.OutOfDateOptions=9]="OutOfDateOptions",e[e.OutOfDateRoots=10]="OutOfDateRoots",e[e.UpstreamOutOfDate=11]="UpstreamOutOfDate",e[e.UpstreamBlocked=12]="UpstreamBlocked",e[e.ComputingUpstream=13]="ComputingUpstream",e[e.TsVersionOutputOfDate=14]="TsVersionOutputOfDate",e[e.UpToDateWithInputFileText=15]="UpToDateWithInputFileText",e[e.ContainerOnly=16]="ContainerOnly",e[e.ForceBuild=17]="ForceBuild",e))(_q||{})}});function Sq(e,n){return function(e,n,t){const r=e.get(n);let o;return r||(o=t(),e.set(n,o)),r||o}(e,n,(()=>new Map))}function Tq(e){return e.now?e.now():new Date}function xq(e){return!!e&&!!e.buildOrder}function Aq(e){return xq(e)?e.buildOrder:e}function Rq(e,n){return t=>{let r=n?`[${wU(kK(e),"[90m")}] `:`${kK(e)} - `;r+=`${zU(t.messageText,e.newLine)}${e.newLine+e.newLine}`,e.write(r)}}function Iq(e,n,t,r){const o=rq(e,n);return o.getModifiedTime=e.getModifiedTime?n=>e.getModifiedTime(n):En,o.setModifiedTime=e.setModifiedTime?(n,t)=>e.setModifiedTime(n,t):yn,o.deleteFile=e.deleteFile?n=>e.deleteFile(n):yn,o.reportDiagnostic=t||PK(e),o.reportSolutionBuilderStatus=r||Rq(e),o.now=an(e,e.now),o}function Nq(e=fi,n,t,r,o){const i=Iq(e,n,t,r);return i.reportErrorSummary=o,i}function Dq(e=fi,n,t,r,o){const i=Iq(e,n,t,r);return on(i,QK(e,o)),i}function Cq(e,n,t){return IJ(!1,e,n,t)}function Mq(e,n,t,r){return IJ(!0,e,n,t,r)}function Pq(e,n,t,r,o){const i=n,a=n,s=function(e){const n={};return Ck.forEach((t=>{je(e,t.name)&&(n[t.name]=e[t.name])})),n}(r),l=eq(i,(()=>_.projectCompilerOptions));let c,d,u;tq(l),l.getParsedCommandLine=e=>Fq(_,e,kq(_,e)),l.resolveModuleNameLiterals=an(i,i.resolveModuleNameLiterals),l.resolveTypeReferenceDirectiveReferences=an(i,i.resolveTypeReferenceDirectiveReferences),l.resolveLibrary=an(i,i.resolveLibrary),l.resolveModuleNames=an(i,i.resolveModuleNames),l.resolveTypeReferenceDirectives=an(i,i.resolveTypeReferenceDirectives),l.getModuleResolutionCache=an(i,i.getModuleResolutionCache),l.resolveModuleNameLiterals||l.resolveModuleNames||(c=CF(l.getCurrentDirectory(),l.getCanonicalFileName),l.resolveModuleNameLiterals=(e,n,t,r,o)=>YU(e,n,t,r,o,i,c,qU),l.getModuleResolutionCache=()=>c),l.resolveTypeReferenceDirectiveReferences||l.resolveTypeReferenceDirectives||(d=MF(l.getCurrentDirectory(),l.getCanonicalFileName,void 0,null==c?void 0:c.getPackageJsonInfoCache(),null==c?void 0:c.optionsToRedirectsKey),l.resolveTypeReferenceDirectiveReferences=(e,n,t,r,o)=>YU(e,n,t,r,o,i,d,XU)),l.resolveLibrary||(u=CF(l.getCurrentDirectory(),l.getCanonicalFileName,void 0,null==c?void 0:c.getPackageJsonInfoCache()),l.resolveLibrary=(e,n,t)=>LF(e,n,t,i,u)),l.getBuildInfo=(e,n)=>lJ(_,e,kq(_,n),void 0);const{watchFile:p,watchDirectory:f,writeLog:m}=ZK(a,r),_={host:i,hostWithWatch:a,parseConfigFileHost:pH(i),write:an(i,i.trace),options:r,baseCompilerOptions:s,rootNames:t,baseWatchOptions:o,resolvedConfigFilePaths:new Map,configFileCache:new Map,projectStatus:new Map,extendedConfigCache:new Map,buildInfoCache:new Map,outputTimeStamps:new Map,builderPrograms:new Map,diagnostics:new Map,projectPendingBuild:new Map,projectErrorsReported:new Map,compilerHost:l,moduleResolutionCache:c,typeReferenceDirectiveResolutionCache:d,libraryResolutionCache:u,buildOrder:void 0,readFileWithCache:e=>i.readFile(e),projectCompilerOptions:s,cache:void 0,allProjectBuildPending:!0,needsSummary:!0,watchAllProjectsPending:e,watch:e,allWatchedWildcardDirectories:new Map,allWatchedInputFiles:new Map,allWatchedConfigFiles:new Map,allWatchedExtendedConfigFiles:new Map,allWatchedPackageJsonFiles:new Map,filesWatched:new Map,lastCachedPackageJsonLookups:new Map,timerToBuildInvalidatedProject:void 0,reportFileChangeDetected:!1,watchFile:p,watchDirectory:f,writeLog:m};return _}function Lq(e,n){return ga(n,e.compilerHost.getCurrentDirectory(),e.compilerHost.getCanonicalFileName)}function kq(e,n){const{resolvedConfigFilePaths:t}=e,r=t.get(n);if(void 0!==r)return r;const o=Lq(e,n);return t.set(n,o),o}function wq(e){return!!e.options}function Oq(e,n){const t=e.configFileCache.get(n);return t&&wq(t)?t:void 0}function Fq(e,n,t){const{configFileCache:r}=e,o=r.get(t);if(o)return wq(o)?o:void 0;let i;gr("SolutionBuilder::beforeConfigFileParsing");const{parseConfigFileHost:a,baseCompilerOptions:s,baseWatchOptions:l,extendedConfigCache:c,host:d}=e;let u;return d.getParsedCommandLine?(u=d.getParsedCommandLine(n),u||(i=sT(Oa.File_0_not_found,n))):(a.onUnRecoverableConfigFileDiagnostic=e=>i=e,u=Dw(n,s,a,c,l),a.onUnRecoverableConfigFileDiagnostic=yn),r.set(t,u||i),gr("SolutionBuilder::afterConfigFileParsing"),yr("SolutionBuilder::Config file parsing","SolutionBuilder::beforeConfigFileParsing","SolutionBuilder::afterConfigFileParsing"),u}function Wq(e,n){return gq(pa(e.compilerHost.getCurrentDirectory(),n))}function zq(e,n){const t=new Map,r=new Map,i=[];let a,s;for(const e of n)l(e);return s?{buildOrder:a||o,circularDiagnostics:s}:a||o;function l(n,o){const c=kq(e,n);if(r.has(c))return;if(t.has(c))return void(o||(s||(s=[])).push(sT(Oa.Project_references_may_not_form_a_circular_graph_Cycle_detected_Colon_0,i.join("\r\n"))));t.set(c,!0),i.push(n);const d=Fq(e,n,c);if(d&&d.projectReferences)for(const n of d.projectReferences){l(Wq(e,n.path),o||n.circular)}i.pop(),r.set(c,!0),(a||(a=[])).push(n)}}function Gq(e){return e.buildOrder||function(e){const n=zq(e,e.rootNames.map((n=>Wq(e,n))));e.resolvedConfigFilePaths.clear();const t=new Set(Aq(n).map((n=>kq(e,n)))),r={onDeleteValue:yn};TS(e.configFileCache,t,r),TS(e.projectStatus,t,r),TS(e.builderPrograms,t,r),TS(e.diagnostics,t,r),TS(e.projectPendingBuild,t,r),TS(e.projectErrorsReported,t,r),TS(e.buildInfoCache,t,r),TS(e.outputTimeStamps,t,r),TS(e.lastCachedPackageJsonLookups,t,r),e.watch&&(TS(e.allWatchedConfigFiles,t,{onDeleteValue:fS}),e.allWatchedExtendedConfigFiles.forEach((e=>{e.projects.forEach((n=>{t.has(n)||e.projects.delete(n)})),e.close()})),TS(e.allWatchedWildcardDirectories,t,{onDeleteValue:e=>e.forEach(lU)}),TS(e.allWatchedInputFiles,t,{onDeleteValue:e=>e.forEach(fS)}),TS(e.allWatchedPackageJsonFiles,t,{onDeleteValue:e=>e.forEach(fS)}));return e.buildOrder=n}(e)}function Bq(e,n,t){const r=n&&Wq(e,n),o=Gq(e);if(xq(o))return o;if(r){const n=kq(e,r);if(-1===M(o,(t=>kq(e,t)===n)))return}const i=r?zq(e,[r]):o;return Tt.assert(!xq(i)),Tt.assert(!t||void 0!==r),Tt.assert(!t||i[i.length-1]===r),t?i.slice(0,i.length-1):i}function jq(e){e.cache&&Vq(e);const{compilerHost:n,host:t}=e,r=e.readFileWithCache,o=n.getSourceFile,{originalReadFile:i,originalFileExists:a,originalDirectoryExists:s,originalCreateDirectory:l,originalWriteFile:c,getSourceFileWithCache:d,readFileWithCache:u}=CU(t,(n=>Lq(e,n)),((...e)=>o.call(n,...e)));e.readFileWithCache=u,n.getSourceFile=d,e.cache={originalReadFile:i,originalFileExists:a,originalDirectoryExists:s,originalCreateDirectory:l,originalWriteFile:c,originalReadFileWithCache:r,originalGetSourceFile:o}}function Vq(e){if(!e.cache)return;const{cache:n,host:t,compilerHost:r,extendedConfigCache:o,moduleResolutionCache:i,typeReferenceDirectiveResolutionCache:a,libraryResolutionCache:s}=e;t.readFile=n.originalReadFile,t.fileExists=n.originalFileExists,t.directoryExists=n.originalDirectoryExists,t.createDirectory=n.originalCreateDirectory,t.writeFile=n.originalWriteFile,r.getSourceFile=n.originalGetSourceFile,e.readFileWithCache=n.originalReadFileWithCache,o.clear(),null==i||i.clear(),null==a||a.clear(),null==s||s.clear(),e.cache=void 0}function Uq(e,n){e.projectStatus.delete(n),e.diagnostics.delete(n)}function Hq({projectPendingBuild:e},n,t){const r=e.get(n);(void 0===r||r<t)&&e.set(n,t)}function Kq(e,n){if(!e.allProjectBuildPending)return;e.allProjectBuildPending=!1,e.options.watch&&CJ(e,Oa.Starting_compilation_in_watch_mode),jq(e);Aq(Gq(e)).forEach((n=>e.projectPendingBuild.set(kq(e,n),0))),n&&n.throwIfCancellationRequested()}function qq(e,n){return e.projectPendingBuild.delete(n),e.diagnostics.has(n)?1:0}function Jq(e,n,t,r,i,a,s){let l,c,d,u=0===e?0:4;return 0===e?{kind:e,project:t,projectPath:r,buildOrder:s,getCompilerOptions:()=>a.options,getCurrentDirectory:()=>n.compilerHost.getCurrentDirectory(),getBuilderProgram:()=>f(Sn),getProgram:()=>f((e=>e.getProgramOrUndefined())),getSourceFile:e=>f((n=>n.getSourceFile(e))),getSourceFiles:()=>m((e=>e.getSourceFiles())),getOptionsDiagnostics:e=>m((n=>n.getOptionsDiagnostics(e))),getGlobalDiagnostics:e=>m((n=>n.getGlobalDiagnostics(e))),getConfigFileParsingDiagnostics:()=>m((e=>e.getConfigFileParsingDiagnostics())),getSyntacticDiagnostics:(e,n)=>m((t=>t.getSyntacticDiagnostics(e,n))),getAllDependencies:e=>m((n=>n.getAllDependencies(e))),getSemanticDiagnostics:(e,n)=>m((t=>t.getSemanticDiagnostics(e,n))),getSemanticDiagnosticsOfNextAffectedFile:(e,n)=>f((t=>t.getSemanticDiagnosticsOfNextAffectedFile&&t.getSemanticDiagnosticsOfNextAffectedFile(e,n))),emit:(e,r,o,i,a)=>e||i?f((s=>{var l,c;return s.emit(e,r,o,i,a||(null==(c=(l=n.host).getCustomTransformers)?void 0:c.call(l,t)))})):(T(2,o),5===u?b(r,o):3===u?v(r,o,a):void 0),done:p}:{kind:e,project:t,projectPath:r,buildOrder:s,getCompilerOptions:()=>a.options,getCurrentDirectory:()=>n.compilerHost.getCurrentDirectory(),emit:(e,n)=>4!==u?d:S(e,n),done:p};function p(t,o,i){return T(8,t,o,i),gr(0===e?"SolutionBuilder::Projects built":"SolutionBuilder::Bundles updated"),qq(n,r)}function f(e){return T(0),l&&e(l)}function m(e){return f(e)||o}function _(){var e,o,i;if(Tt.assert(void 0===l),n.options.dry)return DJ(n,Oa.A_non_dry_build_would_build_project_0,t),c=1,void(u=7);if(n.options.verbose&&DJ(n,Oa.Building_project_0,t),0===a.fileNames.length)return PJ(n,r,aH(a)),c=0,void(u=7);const{host:s,compilerHost:d}=n;if(n.projectCompilerOptions=a.options,null==(e=n.moduleResolutionCache)||e.update(a.options),null==(o=n.typeReferenceDirectiveResolutionCache)||o.update(a.options),l=s.createProgram(a.fileNames,a.options,d,function({options:e,builderPrograms:n,compilerHost:t},r,o){if(e.force)return;const i=n.get(r);return i||dq(o.options,t)}(n,r,a),aH(a),a.projectReferences),n.watch){const e=null==(i=n.moduleResolutionCache)?void 0:i.getPackageJsonInfoCache().getInternalMap();n.lastCachedPackageJsonLookups.set(r,e&&new Set(Je(e.values(),(e=>n.host.realpath&&(yF(e)||e.directoryExists)?n.host.realpath(ua(e.packageDirectory,"package.json")):ua(e.packageDirectory,"package.json"))))),n.builderPrograms.set(r,l)}u++}function h(e,t,o){e.length?({buildResult:c,step:u}=nJ(n,r,l,a,e,t,o)):u++}function g(e){Tt.assertIsDefined(l),h([...l.getConfigFileParsingDiagnostics(),...l.getOptionsDiagnostics(e),...l.getGlobalDiagnostics(e),...l.getSyntacticDiagnostics(void 0,e)],8,"Syntactic")}function y(e){h(Tt.checkDefined(l).getSemanticDiagnostics(void 0,e),16,"Semantic")}function v(e,o,i){var s,d,p;Tt.assertIsDefined(l),Tt.assert(3===u);const f=l.saveEmitState();let m;const _=[],{emitResult:h}=YK(l,(e=>(m||(m=[])).push(e)),void 0,void 0,((e,n,t,r,o,i)=>_.push({name:e,text:n,writeByteOrderMark:t,data:i})),o,!1,i||(null==(d=(s=n.host).getCustomTransformers)?void 0:d.call(s,t)));if(m)return l.restoreEmitState(f),({buildResult:c,step:u}=nJ(n,r,l,a,m,32,"Declaration file")),{emitSkipped:!0,diagnostics:h.diagnostics};const{host:g,compilerHost:y}=n,v=(null==(p=l.hasChangedEmitSignature)?void 0:p.call(l))?0:2,b=Mv(),S=new Map,T=l.getCompilerOptions(),x=ef(T);let A,R;return _.forEach((({name:t,text:o,writeByteOrderMark:i,data:a})=>{const s=Lq(n,t);S.set(Lq(n,t),t),(null==a?void 0:a.buildInfo)&&aJ(n,a.buildInfo,r,T,v);const l=(null==a?void 0:a.differsOnlyInMap)?yi(n.host,t):void 0;db(e?{writeFile:e}:y,b,t,o,i),(null==a?void 0:a.differsOnlyInMap)?n.host.setModifiedTime(t,l):!x&&n.watch&&(A||(A=iJ(n,r))).set(s,R||(R=Tq(n.host)))})),E(b,S,_.length?_[0].name:zV(a,!g.useCaseSensitiveFileNames()),v),h}function b(e,t){Tt.assertIsDefined(l),Tt.assert(5===u);const o=l.emitBuildInfo(((t,o,i,a,s,c)=>{(null==c?void 0:c.buildInfo)&&aJ(n,c.buildInfo,r,l.getCompilerOptions(),2),e?e(t,o,i,a,s,c):n.compilerHost.writeFile(t,o,i,a,s,c)}),t);return o.diagnostics.length&&(MJ(n,o.diagnostics),n.diagnostics.set(r,[...n.diagnostics.get(r),...o.diagnostics]),c&=64),o.emittedFiles&&n.write&&o.emittedFiles.forEach((e=>Zq(n,a,e))),eJ(n,l,a),u=7,o}function E(e,t,o,i){const s=e.getDiagnostics();return s.length?(({buildResult:c,step:u}=nJ(n,r,l,a,s,64,"Emit")),s):(n.write&&t.forEach((e=>Zq(n,a,e))),pJ(n,a,r,Oa.Updating_unchanged_output_timestamps_of_project_0,t),n.diagnostics.delete(r),n.projectStatus.set(r,{type:1,oldestOutputFileName:o}),eJ(n,l,a),u=7,c=i,s)}function S(o,l){var p,f,m,_;if(Tt.assert(1===e),n.options.dry)return DJ(n,Oa.A_non_dry_build_would_update_output_of_project_0,t),c=1,void(u=7);n.options.verbose&&DJ(n,Oa.Updating_output_of_project_0,t);const{compilerHost:h}=n;n.projectCompilerOptions=a.options,null==(f=(p=n.host).beforeEmitBundle)||f.call(p,a);const g=UV(a,h,(e=>{const t=Wq(n,e.path);return Fq(n,t,kq(n,t))}),l||(null==(_=(m=n.host).getCustomTransformers)?void 0:_.call(m,t)));if(mn(g))return DJ(n,Oa.Cannot_update_output_of_project_0_because_there_was_error_reading_file_1,t,NJ(n,g)),u=6,d=Jq(0,n,t,r,i,a,s);Tt.assert(!!g.length);const y=Mv(),v=new Map;let b=2;const S=n.buildInfoCache.get(r).buildInfo||void 0;g.forEach((({name:e,text:t,writeByteOrderMark:i,data:s})=>{var l,c;v.set(Lq(n,e),e),(null==s?void 0:s.buildInfo)&&((null==(l=s.buildInfo.program)?void 0:l.outSignature)!==(null==(c=null==S?void 0:S.program)?void 0:c.outSignature)&&(b&=-3),aJ(n,s.buildInfo,r,a.options,b)),db(o?{writeFile:o}:h,y,e,t,i)}));return{emitSkipped:!1,diagnostics:E(y,v,g[0].name,b)}}function T(e,o,l,p){for(;u<=e&&u<8;){const e=u;switch(u){case 0:_();break;case 1:g(o);break;case 2:y(o);break;case 3:v(l,o,p);break;case 5:b(l,o);break;case 4:S(l,p);break;case 6:Tt.checkDefined(d).done(o,l,p),u=8;break;case 7:_J(n,t,r,i,a,s,Tt.checkDefined(c)),u++}Tt.assert(u>e)}}}function Xq({options:e},n,t){return!(3===n.type&&!e.force)||(0===t.fileNames.length||!!aH(t).length||!ef(t.options))}function Yq(e,n,t){if(!e.projectPendingBuild.size)return;if(xq(n))return;const{options:r,projectPendingBuild:o}=e;for(let i=0;i<n.length;i++){const a=n[i],s=kq(e,a),l=e.projectPendingBuild.get(s);if(void 0===l)continue;t&&(t=!1,wJ(e,n));const c=Fq(e,a,s);if(!c){LJ(e,s),o.delete(s);continue}2===l?(SJ(e,a,s,c),TJ(e,s,c),xJ(e,a,s,c),AJ(e,a,s,c),RJ(e,a,s,c)):1===l&&(c.fileNames=IO(c.options.configFile.configFileSpecs,ra(a),c.options,e.parseConfigFileHost),uO(c.fileNames,a,c.options.configFile.configFileSpecs,c.errors,dO(c.raw)),AJ(e,a,s,c),RJ(e,a,s,c));const d=uJ(e,c,s);if(!r.force){if(1===d.type){OJ(e,a,d),PJ(e,s,aH(c)),o.delete(s),r.dry&&DJ(e,Oa.Project_0_is_up_to_date,a);continue}if(2===d.type||15===d.type)return PJ(e,s,aH(c)),{kind:2,status:d,project:a,projectPath:s,projectIndex:i,config:c}}if(12!==d.type){if(16!==d.type)return{kind:Xq(e,d,c)?0:1,status:d,project:a,projectPath:s,projectIndex:i,config:c};OJ(e,a,d),PJ(e,s,aH(c)),o.delete(s)}else OJ(e,a,d),PJ(e,s,aH(c)),o.delete(s),r.verbose&&DJ(e,d.upstreamProjectBlocked?Oa.Skipping_build_of_project_0_because_its_dependency_1_was_not_built:Oa.Skipping_build_of_project_0_because_its_dependency_1_has_errors,a,d.upstreamProjectName)}}function $q(e,n,t){return OJ(e,n.project,n.status),2!==n.kind?Jq(n.kind,e,n.project,n.projectPath,n.projectIndex,n.config,t):function(e,n,t,r,o){let i=!0;return{kind:2,project:n,projectPath:t,buildOrder:o,getCompilerOptions:()=>r.options,getCurrentDirectory:()=>e.compilerHost.getCurrentDirectory(),updateOutputFileStatmps:()=>{mJ(e,r,t),i=!1},done:()=>(i&&mJ(e,r,t),gr("SolutionBuilder::Timestamps only updates"),qq(e,t))}}(e,n.project,n.projectPath,n.config,t)}function Qq(e,n,t){const r=Yq(e,n,t);return r?$q(e,r,n):r}function Zq({write:e},n,t){e&&n.options.listEmittedFiles&&e(`TSFILE: ${t}`)}function eJ(e,n,t){n?(e.write&&VK(n,e.write),e.host.afterProgramEmitAndDiagnostics&&e.host.afterProgramEmitAndDiagnostics(n),n.releaseProgram()):e.host.afterEmitBundle&&e.host.afterEmitBundle(t),e.projectCompilerOptions=e.baseCompilerOptions}function nJ(e,n,t,r,o,i,a){const s=t&&!ob(t.getCompilerOptions());return PJ(e,n,o),e.projectStatus.set(n,{type:0,reason:`${a} errors`}),s?{buildResult:i,step:5}:(eJ(e,t,r),{buildResult:i,step:7})}function tJ(e){return!!e.watcher}function rJ(e,n){const t=Lq(e,n),r=e.filesWatched.get(t);if(e.watch&&r){if(!tJ(r))return r;if(r.modifiedTime)return r.modifiedTime}const o=yi(e.host,n);return e.watch&&(r?r.modifiedTime=o:e.filesWatched.set(t,o)),o}function oJ(e,n,t,r,o,i,a){const s=Lq(e,n),l=e.filesWatched.get(s);if(l&&tJ(l))l.callbacks.push(t);else{const c=e.watchFile(n,((n,t,r)=>{const o=Tt.checkDefined(e.filesWatched.get(s));Tt.assert(tJ(o)),o.modifiedTime=r,o.callbacks.forEach((e=>e(n,t,r)))}),r,o,i,a);e.filesWatched.set(s,{callbacks:[t],watcher:c,modifiedTime:l})}return{close:()=>{const n=Tt.checkDefined(e.filesWatched.get(s));Tt.assert(tJ(n)),1===n.callbacks.length?(e.filesWatched.delete(s),lU(n)):tt(n.callbacks,t)}}}function iJ(e,n){if(!e.watch)return;let t=e.outputTimeStamps.get(n);return t||e.outputTimeStamps.set(n,t=new Map),t}function aJ(e,n,t,r,o){const i=SV(r),a=sJ(e,i,t),s=Tq(e.host);a?(a.buildInfo=n,a.modifiedTime=s,2&o||(a.latestChangedDtsTime=s)):e.buildInfoCache.set(t,{path:Lq(e,i),buildInfo:n,modifiedTime:s,latestChangedDtsTime:2&o?void 0:s})}function sJ(e,n,t){const r=Lq(e,n),o=e.buildInfoCache.get(t);return(null==o?void 0:o.path)===r?o:void 0}function lJ(e,n,t,r){const o=Lq(e,n),i=e.buildInfoCache.get(t);if(void 0!==i&&i.path===o)return i.buildInfo||void 0;const a=e.readFileWithCache(n),s=a?VV(n,a):void 0;return e.buildInfoCache.set(t,{path:o,buildInfo:s||!1,modifiedTime:r||ai}),s}function cJ(e,n,t,r){if(t<rJ(e,n))return{type:6,outOfDateOutputFileName:r,newerInputFileName:n}}function dJ(e,n,t){return e.buildInfoCache.get(t).path===n.path}function uJ(e,n,r){if(void 0===n)return{type:0,reason:"File deleted mid-build"};const i=e.projectStatus.get(r);if(void 0!==i)return i;gr("SolutionBuilder::beforeUpToDateCheck");const a=function(e,n,r){var i,a,s;if(!n.fileNames.length&&!dO(n.raw))return{type:16};let l;const c=!!e.options.force;if(n.projectReferences){e.projectStatus.set(r,{type:13});for(const t of n.projectReferences){const n=mH(t),r=kq(e,n),o=Fq(e,n,r),i=uJ(e,o,r);if(13!==i.type&&16!==i.type){if(0===i.type||12===i.type)return{type:12,upstreamProjectName:t.path,upstreamProjectBlocked:12===i.type};if(1!==i.type)return{type:11,upstreamProjectName:t.path};c||(l||(l=[])).push({ref:t,refStatus:i,resolvedRefPath:r,resolvedConfig:o})}}}if(c)return{type:17};const{host:d}=e,u=SV(n.options);let p,f,m,_,h,g=vq;if(u){const o=sJ(e,u,r);if(f=(null==o?void 0:o.modifiedTime)||yi(d,u),f===ai)return o||e.buildInfoCache.set(r,{path:Lq(e,u),buildInfo:!1,modifiedTime:f}),{type:4,missingOutputFileName:u};const l=lJ(e,u,r,f);if(!l)return{type:5,fileName:u};if((l.bundle||l.program)&&l.version!==t)return{type:14,version:l.version};if(l.program){if((null==(i=l.program.changeFileSet)?void 0:i.length)||(n.options.noEmit?oe(l.program.semanticDiagnosticsPerFile,pn):(null==(a=l.program.affectedFilesPendingEmit)?void 0:a.length)||(null==(s=l.program.emitDiagnosticsPerFile)?void 0:s.length)))return{type:8,buildInfoFile:u};if(!n.options.noEmit&&RH(n.options,l.program.options||{}))return{type:9,buildInfoFile:u};m=l.program}g=f,p=u}let y=yq,v=!1;const b=new Set;for(const t of n.fileNames){const n=rJ(e,t);if(n===ai)return{type:0,reason:`${t} does not exist`};if(f&&f<n){let n,r;if(m){_||(_=tK(m,u,d)),n=_.fileInfos.get(Lq(e,t));const o=n?e.readFileWithCache(t):void 0;r=void 0!==o?nq(d,o):void 0,n&&n===r&&(v=!0)}if(!n||n!==r)return{type:6,outOfDateOutputFileName:u,newerInputFileName:t}}n>y&&(h=t,y=n),m&&b.add(Lq(e,t))}if(m){_||(_=tK(m,u,d));for(const e of _.roots)if(!b.has(e))return{type:10,buildInfoFile:u,inputFile:e}}if(!u){const t=FV(n,!d.useCaseSensitiveFileNames()),o=iJ(e,r);for(const n of t){const t=Lq(e,n);let r=null==o?void 0:o.get(t);if(r||(r=yi(e.host,n),null==o||o.set(t,r)),r===ai)return{type:4,missingOutputFileName:n};if(r<y)return{type:6,outOfDateOutputFileName:n,newerInputFileName:h};r<g&&(g=r,p=n)}}const S=e.buildInfoCache.get(r);let T,x=!1,A=!1;if(l)for(const{ref:n,refStatus:t,resolvedConfig:r,resolvedRefPath:o}of l){if(A=A||!!n.prepend,t.newestInputFileTime&&t.newestInputFileTime<=g)continue;if(S&&dJ(e,S,o))return{type:7,outOfDateOutputFileName:u,newerProjectName:n.path};const i=fJ(e,r.options,o);if(!(i&&i<=g))return Tt.assert(void 0!==p,"Should have an oldest output filename here"),{type:7,outOfDateOutputFileName:p,newerProjectName:n.path};x=!0,T=n.path}const R=cJ(e,n.options.configFilePath,g,p);if(R)return R;const I=E(n.options.configFile.extendedSourceFiles||o,(n=>cJ(e,n,g,p)));if(I)return I;const N=e.lastCachedPackageJsonLookups.get(r),D=N&&zf(N,(n=>cJ(e,n,g,p)));return D||(A&&x?{type:3,outOfDateOutputFileName:p,newerProjectName:T}:{type:x?2:v?15:1,newestInputFileTime:y,newestInputFileName:h,oldestOutputFileName:p})}(e,n,r);return gr("SolutionBuilder::afterUpToDateCheck"),yr("SolutionBuilder::Up-to-date check","SolutionBuilder::beforeUpToDateCheck","SolutionBuilder::afterUpToDateCheck"),e.projectStatus.set(r,a),a}function pJ(e,n,t,r,o){if(n.options.noEmit)return;let i;const a=SV(n.options);if(a)return(null==o?void 0:o.has(Lq(e,a)))||(e.options.verbose&&DJ(e,r,n.options.configFilePath),e.host.setModifiedTime(a,i=Tq(e.host)),sJ(e,a,t).modifiedTime=i),void e.outputTimeStamps.delete(t);const{host:s}=e,l=FV(n,!s.useCaseSensitiveFileNames()),c=iJ(e,t),d=c?new Set:void 0;if(!o||l.length!==o.size){let t=!!e.options.verbose;for(const a of l){const l=Lq(e,a);(null==o?void 0:o.has(l))||(t&&(t=!1,DJ(e,r,n.options.configFilePath)),s.setModifiedTime(a,i||(i=Tq(e.host))),c&&(c.set(l,i),d.add(l)))}}null==c||c.forEach(((e,n)=>{(null==o?void 0:o.has(n))||d.has(n)||c.delete(n)}))}function fJ(e,n,t){if(!n.composite)return;const r=Tt.checkDefined(e.buildInfoCache.get(t));if(void 0!==r.latestChangedDtsTime)return r.latestChangedDtsTime||void 0;const o=r.buildInfo&&r.buildInfo.program&&r.buildInfo.program.latestChangedDtsFile?e.host.getModifiedTime(ma(r.buildInfo.program.latestChangedDtsFile,ra(r.path))):void 0;return r.latestChangedDtsTime=o||!1,o}function mJ(e,n,t){if(e.options.dry)return DJ(e,Oa.A_non_dry_build_would_update_timestamps_for_output_of_project_0,n.options.configFilePath);pJ(e,n,t,Oa.Updating_output_timestamps_of_project_0),e.projectStatus.set(t,{type:1,oldestOutputFileName:zV(n,!e.host.useCaseSensitiveFileNames())})}function _J(e,n,t,r,o,i,a){if(!(124&a)&&o.options.composite)for(let o=r+1;o<i.length;o++){const r=i[o],s=kq(e,r);if(e.projectPendingBuild.has(s))continue;const l=Fq(e,r,s);if(l&&l.projectReferences)for(const r of l.projectReferences){if(kq(e,Wq(e,r.path))!==t)continue;const o=e.projectStatus.get(s);if(o)switch(o.type){case 1:if(2&a){r.prepend?e.projectStatus.set(s,{type:3,outOfDateOutputFileName:o.oldestOutputFileName,newerProjectName:n}):o.type=2;break}case 15:case 2:case 3:2&a||e.projectStatus.set(s,{type:7,outOfDateOutputFileName:3===o.type?o.outOfDateOutputFileName:o.oldestOutputFileName,newerProjectName:n});break;case 12:kq(e,Wq(e,o.upstreamProjectName))===t&&Uq(e,s)}Hq(e,s,0);break}}}function hJ(e,n,t,r,o,i){gr("SolutionBuilder::beforeBuild");const a=function(e,n,t,r,o,i){const a=Bq(e,n,i);if(!a)return 3;Kq(e,t);let s=!0,l=0;for(;;){const n=Qq(e,a,s);if(!n)break;s=!1,n.done(t,r,null==o?void 0:o(n.project)),e.diagnostics.has(n.projectPath)||l++}return Vq(e),kJ(e,a),function(e,n){if(!e.watchAllProjectsPending)return;gr("SolutionBuilder::beforeWatcherCreation"),e.watchAllProjectsPending=!1;for(const t of Aq(n)){const n=kq(e,t),r=Fq(e,t,n);SJ(e,t,n,r),TJ(e,n,r),r&&(xJ(e,t,n,r),AJ(e,t,n,r),RJ(e,t,n,r))}gr("SolutionBuilder::afterWatcherCreation"),yr("SolutionBuilder::Watcher creation","SolutionBuilder::beforeWatcherCreation","SolutionBuilder::afterWatcherCreation")}(e,a),xq(a)?4:a.some((n=>e.diagnostics.has(kq(e,n))))?l?2:1:0}(e,n,t,r,o,i);return gr("SolutionBuilder::afterBuild"),yr("SolutionBuilder::Build","SolutionBuilder::beforeBuild","SolutionBuilder::afterBuild"),a}function gJ(e,n,t){gr("SolutionBuilder::beforeClean");const r=function(e,n,t){const r=Bq(e,n,t);if(!r)return 3;if(xq(r))return MJ(e,r.circularDiagnostics),4;const{options:o,host:i}=e,a=o.dry?[]:void 0;for(const n of r){const t=kq(e,n),r=Fq(e,n,t);if(void 0===r){LJ(e,t);continue}const o=FV(r,!i.useCaseSensitiveFileNames());if(!o.length)continue;const s=new Set(r.fileNames.map((n=>Lq(e,n))));for(const n of o)s.has(Lq(e,n))||i.fileExists(n)&&(a?a.push(n):(i.deleteFile(n),yJ(e,t,0)))}a&&DJ(e,Oa.A_non_dry_build_would_delete_the_following_files_Colon_0,a.map((e=>`\r\n * ${e}`)).join(""));return 0}(e,n,t);return gr("SolutionBuilder::afterClean"),yr("SolutionBuilder::Clean","SolutionBuilder::beforeClean","SolutionBuilder::afterClean"),r}function yJ(e,n,t){e.host.getParsedCommandLine&&1===t&&(t=2),2===t&&(e.configFileCache.delete(n),e.buildOrder=void 0),e.needsSummary=!0,Uq(e,n),Hq(e,n,t),jq(e)}function vJ(e,n,t){e.reportFileChangeDetected=!0,yJ(e,n,t),bJ(e,250,!0)}function bJ(e,n,t){const{hostWithWatch:r}=e;r.setTimeout&&r.clearTimeout&&(e.timerToBuildInvalidatedProject&&r.clearTimeout(e.timerToBuildInvalidatedProject),e.timerToBuildInvalidatedProject=r.setTimeout(EJ,n,"timerToBuildInvalidatedProject",e,t))}function EJ(e,n,t){gr("SolutionBuilder::beforeBuild");const r=function(e,n){e.timerToBuildInvalidatedProject=void 0,e.reportFileChangeDetected&&(e.reportFileChangeDetected=!1,e.projectErrorsReported.clear(),CJ(e,Oa.File_change_detected_Starting_incremental_compilation));let t=0;const r=Gq(e),o=Qq(e,r,!1);if(o)for(o.done(),t++;e.projectPendingBuild.size;){if(e.timerToBuildInvalidatedProject)return;const o=Yq(e,r,!1);if(!o)break;if(2!==o.kind&&(n||5===t))return void bJ(e,100,!1);$q(e,o,r).done(),2!==o.kind&&t++}return Vq(e),r}(n,t);gr("SolutionBuilder::afterBuild"),yr("SolutionBuilder::Build","SolutionBuilder::beforeBuild","SolutionBuilder::afterBuild"),r&&kJ(n,r)}function SJ(e,n,t,r){e.watch&&!e.allWatchedConfigFiles.has(t)&&e.allWatchedConfigFiles.set(t,oJ(e,n,(()=>vJ(e,t,2)),2e3,null==r?void 0:r.watchOptions,CK.ConfigFile,n))}function TJ(e,n,t){ZV(n,null==t?void 0:t.options,e.allWatchedExtendedConfigFiles,((n,r)=>oJ(e,n,(()=>{var n;return null==(n=e.allWatchedExtendedConfigFiles.get(r))?void 0:n.projects.forEach((n=>vJ(e,n,2)))}),2e3,null==t?void 0:t.watchOptions,CK.ExtendedConfigFile)),(n=>Lq(e,n)))}function xJ(e,n,t,r){e.watch&&rU(Sq(e.allWatchedWildcardDirectories,t),r.wildcardDirectories,((o,i)=>e.watchDirectory(o,(i=>{var a;oU({watchedDirPath:Lq(e,o),fileOrDirectory:i,fileOrDirectoryPath:Lq(e,i),configFileName:n,currentDirectory:e.compilerHost.getCurrentDirectory(),options:r.options,program:e.builderPrograms.get(t)||(null==(a=Oq(e,t))?void 0:a.fileNames),useCaseSensitiveFileNames:e.parseConfigFileHost.useCaseSensitiveFileNames,writeLog:n=>e.writeLog(n),toPath:n=>Lq(e,n)})||vJ(e,t,1)}),i,null==r?void 0:r.watchOptions,CK.WildcardDirectory,n)))}function AJ(e,n,t,r){e.watch&&xS(Sq(e.allWatchedInputFiles,t),new Set(r.fileNames),{createNewValue:o=>oJ(e,o,(()=>vJ(e,t,0)),250,null==r?void 0:r.watchOptions,CK.SourceFile,n),onDeleteValue:fS})}function RJ(e,n,t,r){e.watch&&e.lastCachedPackageJsonLookups&&xS(Sq(e.allWatchedPackageJsonFiles,t),e.lastCachedPackageJsonLookups.get(t),{createNewValue:o=>oJ(e,o,(()=>vJ(e,t,0)),2e3,null==r?void 0:r.watchOptions,CK.PackageJson,n),onDeleteValue:fS})}function IJ(e,n,t,r,o){const i=Pq(e,n,t,r,o);return{build:(e,n,t,r)=>hJ(i,e,n,t,r),clean:e=>gJ(i,e),buildReferences:(e,n,t,r)=>hJ(i,e,n,t,r,!0),cleanReferences:e=>gJ(i,e,!0),getNextInvalidatedProject:e=>(Kq(i,e),Qq(i,Gq(i),!1)),getBuildOrder:()=>Gq(i),getUpToDateStatusOfProject:e=>{const n=Wq(i,e),t=kq(i,n);return uJ(i,Fq(i,n,t),t)},invalidateProject:(e,n)=>yJ(i,e,n||0),close:()=>function(e){SS(e.allWatchedConfigFiles,fS),SS(e.allWatchedExtendedConfigFiles,lU),SS(e.allWatchedWildcardDirectories,(e=>SS(e,lU))),SS(e.allWatchedInputFiles,(e=>SS(e,fS))),SS(e.allWatchedPackageJsonFiles,(e=>SS(e,fS)))}(i)}}function NJ(e,n){return Ma(n,e.compilerHost.getCurrentDirectory(),e.compilerHost.getCanonicalFileName)}function DJ(e,n,...t){e.host.reportSolutionBuilderStatus(sT(n,...t))}function CJ(e,n,...t){var r,o;null==(o=(r=e.hostWithWatch).onWatchStatusChange)||o.call(r,sT(n,...t),e.host.getNewLine(),e.baseCompilerOptions)}function MJ({host:e},n){n.forEach((n=>e.reportDiagnostic(n)))}function PJ(e,n,t){MJ(e,t),e.projectErrorsReported.set(n,!0),t.length&&e.diagnostics.set(n,t)}function LJ(e,n){PJ(e,n,[e.configFileCache.get(n)])}function kJ(e,n){if(!e.needsSummary)return;e.needsSummary=!1;const t=e.watch||!!e.host.reportErrorSummary,{diagnostics:r}=e;let i=0,a=[];xq(n)?(wJ(e,n.buildOrder),MJ(e,n.circularDiagnostics),t&&(i+=FK(n.circularDiagnostics)),t&&(a=[...a,...WK(n.circularDiagnostics)])):(n.forEach((n=>{const t=kq(e,n);e.projectErrorsReported.has(t)||MJ(e,r.get(t)||o)})),t&&r.forEach((e=>i+=FK(e))),t&&r.forEach((e=>[...a,...WK(e)]))),e.watch?CJ(e,zK(i),i):e.host.reportErrorSummary&&e.host.reportErrorSummary(i,a)}function wJ(e,n){e.options.verbose&&DJ(e,Oa.Projects_in_this_build_Colon_0,n.map((n=>"\r\n    * "+NJ(e,n))).join(""))}function OJ(e,n,r){e.options.verbose&&function(e,n,r){switch(r.type){case 6:return DJ(e,Oa.Project_0_is_out_of_date_because_output_1_is_older_than_input_2,NJ(e,n),NJ(e,r.outOfDateOutputFileName),NJ(e,r.newerInputFileName));case 7:return DJ(e,Oa.Project_0_is_out_of_date_because_output_1_is_older_than_input_2,NJ(e,n),NJ(e,r.outOfDateOutputFileName),NJ(e,r.newerProjectName));case 4:return DJ(e,Oa.Project_0_is_out_of_date_because_output_file_1_does_not_exist,NJ(e,n),NJ(e,r.missingOutputFileName));case 5:return DJ(e,Oa.Project_0_is_out_of_date_because_there_was_error_reading_file_1,NJ(e,n),NJ(e,r.fileName));case 8:return DJ(e,Oa.Project_0_is_out_of_date_because_buildinfo_file_1_indicates_that_some_of_the_changes_were_not_emitted,NJ(e,n),NJ(e,r.buildInfoFile));case 9:return DJ(e,Oa.Project_0_is_out_of_date_because_buildinfo_file_1_indicates_there_is_change_in_compilerOptions,NJ(e,n),NJ(e,r.buildInfoFile));case 10:return DJ(e,Oa.Project_0_is_out_of_date_because_buildinfo_file_1_indicates_that_file_2_was_root_file_of_compilation_but_not_any_more,NJ(e,n),NJ(e,r.buildInfoFile),NJ(e,r.inputFile));case 1:if(void 0!==r.newestInputFileTime)return DJ(e,Oa.Project_0_is_up_to_date_because_newest_input_1_is_older_than_output_2,NJ(e,n),NJ(e,r.newestInputFileName||""),NJ(e,r.oldestOutputFileName||""));break;case 3:return DJ(e,Oa.Project_0_is_out_of_date_because_output_of_its_dependency_1_has_changed,NJ(e,n),NJ(e,r.newerProjectName));case 2:return DJ(e,Oa.Project_0_is_up_to_date_with_d_ts_files_from_its_dependencies,NJ(e,n));case 15:return DJ(e,Oa.Project_0_is_up_to_date_but_needs_to_update_timestamps_of_output_files_that_are_older_than_input_files,NJ(e,n));case 11:return DJ(e,Oa.Project_0_is_out_of_date_because_its_dependency_1_is_out_of_date,NJ(e,n),NJ(e,r.upstreamProjectName));case 12:return DJ(e,r.upstreamProjectBlocked?Oa.Project_0_can_t_be_built_because_its_dependency_1_was_not_built:Oa.Project_0_can_t_be_built_because_its_dependency_1_has_errors,NJ(e,n),NJ(e,r.upstreamProjectName));case 0:return DJ(e,Oa.Failed_to_parse_file_0_Colon_1,NJ(e,n),r.reason);case 14:return DJ(e,Oa.Project_0_is_out_of_date_because_output_for_it_was_generated_with_version_1_that_differs_with_current_version_2,NJ(e,n),r.version,t);case 17:DJ(e,Oa.Project_0_is_being_forcibly_rebuilt,NJ(e,n))}}(e,n,r)}var FJ,WJ,zJ,GJ,BJ,jJ,VJ,UJ,HJ,KJ,qJ=g({"src/compiler/tsbuildPublic.ts"(){JJ(),ni(),yq=new Date(-864e13),vq=new Date(864e13),bq=(e=>(e[e.Build=0]="Build",e[e.UpdateBundle=1]="UpdateBundle",e[e.UpdateOutputFileStamps=2]="UpdateOutputFileStamps",e))(bq||{})}}),JJ=g({"src/compiler/_namespaces/ts.ts"(){v(),Wt(),zt(),er(),fr(),mr(),ti(),mi(),ji(),Fa(),ns(),Js(),Nf(),CA(),LA(),OA(),KA(),cR(),CI(),OI(),YM(),gL(),kL(),pw(),qO(),WW(),XW(),QW(),tG(),vG(),WG(),yB(),NB(),LB(),UB(),XB(),$B(),ej(),tj(),oj(),aj(),cj(),uj(),fj(),_j(),gj(),Aj(),Ij(),Dj(),Pj(),kj(),Fj(),zj(),Bj(),Vj(),Hj(),Yj(),rV(),vV(),$V(),SU(),vH(),bH(),xH(),oK(),lK(),MK(),cq(),hq(),Eq(),qJ(),Vz(),ni()}});function XJ(e){return fi.args.includes(e)}function YJ(e){const n=fi.args.indexOf(e);return n>=0&&n<fi.args.length-1?fi.args[n+1]:void 0}function $J(){const e=new Date;return`${e.getHours().toString().padStart(2,"0")}:${e.getMinutes().toString().padStart(2,"0")}:${e.getSeconds().toString().padStart(2,"0")}.${e.getMilliseconds().toString().padStart(3,"0")}`}function QJ(e){return KJ+e.replace(/\n/g,KJ)}function ZJ(e){return QJ(JSON.stringify(e,void 0,2))}var eX,nX,tX,rX,oX,iX,aX=g({"src/jsTyping/shared.ts"(){var e;UX(),FJ="action::set",WJ="action::invalidate",zJ="action::packageInstalled",GJ="event::typesRegistry",BJ="event::beginInstallTypes",jJ="event::endInstallTypes",VJ="event::initializationFailed",UJ="action::watchTypingLocations",(e=HJ||(HJ={})).GlobalCacheLocation="--globalTypingsCacheLocation",e.LogFile="--logFile",e.EnableTelemetry="--enableTelemetry",e.TypingSafeListLocation="--typingSafeListLocation",e.TypesMapLocation="--typesMapLocation",e.NpmLocation="--npmLocation",e.ValidateDefaultNpmLocation="--validateDefaultNpmLocation",KJ="\n    "}}),sX=g({"src/jsTyping/types.ts"(){}}),lX=g({"src/jsTyping/_namespaces/ts.server.ts"(){aX(),sX()}});function cX(e,t){return new Mt(Ve(t,`ts${n}`)||Ve(t,"latest")).compareTo(e.version)<=0}function dX(e){return rX.has(e)?"node":e}function uX(e,n){const t=Cw(n,(n=>e.readFile(n)));return new Map(Object.entries(t.config))}function pX(e,n){var t;const r=Cw(n,(n=>e.readFile(n)));if(null==(t=r.config)?void 0:t.simpleMap)return new Map(Object.entries(r.config.simpleMap))}function fX(e,n,t,r,o,i,a,s,l,c){if(!a||!a.enable)return{cachedTypingPaths:[],newTypingNames:[],filesToWatch:[]};const d=new Map;t=Y(t,(e=>{const n=_a(e);if(tx(n))return n}));const u=[];a.include&&g(a.include,"Explicitly included types");const p=a.exclude||[];if(!c.types){const e=new Set(t.map(ra));e.add(r),e.forEach((e=>{y(e,"bower.json","bower_components",u),y(e,"package.json","node_modules",u)}))}if(a.disableFilenameBasedTypeAcquisition||function(e){const t=Y(e,(e=>{if(!tx(e))return;const n=Qn(cx(xn(oa(e))));return o.get(n)}));t.length&&g(t,"Inferred typings from file names");oe(e,(e=>$i(e,".jsx")))&&(n&&n("Inferred 'react' typings due to presence of '.jsx' extension"),h("react"))}(t),s){g(ce(s.map(dX),Ln,Gn),"Inferred typings from unresolved imports")}for(const e of p){d.delete(e)&&n&&n(`Typing for ${e} is in exclude list, will be ignored.`)}i.forEach(((e,n)=>{const t=l.get(n);!1===d.get(n)&&void 0!==t&&cX(e,t)&&d.set(n,e.typingLocation)}));const f=[],m=[];d.forEach(((e,n)=>{e?m.push(e):f.push(n)}));const _={cachedTypingPaths:m,newTypingNames:f,filesToWatch:u};return n&&n(`Finished typings discovery:${ZJ(_)}`),_;function h(e){d.has(e)||d.set(e,!1)}function g(e,t){n&&n(`${t}: ${JSON.stringify(e)}`),E(e,h)}function y(t,r,o,i){const a=ua(t,r);let s,l;e.fileExists(a)&&(i.push(a),s=Cw(a,(n=>e.readFile(n))).config,l=H([s.dependencies,s.devDependencies,s.optionalDependencies,s.peerDependencies],Ue),g(l,`Typing names in '${a}' dependencies`));const c=ua(t,o);if(i.push(c),!e.directoryExists(c))return;const u=[],p=l?l.map((e=>ua(c,e,r))):e.readDirectory(c,[".json"],void 0,void 0,3).filter((e=>{if(oa(e)!==r)return!1;const n=sa(_a(e)),t="@"===n[n.length-3][0];return t&&xn(n[n.length-4])===o||!t&&xn(n[n.length-3])===o}));n&&n(`Searching for typing names in ${c}; all files: ${JSON.stringify(p)}`);for(const t of p){const r=_a(t),o=Cw(r,(n=>e.readFile(n))).config;if(!o.name)continue;const i=o.types||o.typings;if(i){const t=ma(i,ra(r));e.fileExists(t)?(n&&n(`    Package '${o.name}' provides its own types.`),d.set(o.name,t)):n&&n(`    Package '${o.name}' provides its own types but they are missing.`)}else u.push(o.name)}g(u,"    Found package names")}}function mX(e){return _X(e,!0)}function _X(e,n){if(!e)return 1;if(e.length>iX)return 2;if(46===e.charCodeAt(0))return 3;if(95===e.charCodeAt(0))return 4;if(n){const n=/^@([^/]+)\/([^/]+)$/.exec(e);if(n){const e=_X(n[1],!1);if(0!==e)return{name:n[1],isScopeName:!0,result:e};const t=_X(n[2],!1);return 0!==t?{name:n[2],isScopeName:!1,result:t}:0}}return encodeURIComponent(e)!==e?5:0}function hX(e,n){return"object"==typeof e?gX(n,e.result,e.name,e.isScopeName):gX(n,e,n,!1)}function gX(e,n,t,r){const o=r?"Scope":"Package";switch(n){case 1:return`'${e}':: ${o} name '${t}' cannot be empty`;case 2:return`'${e}':: ${o} name '${t}' should be less than ${iX} characters`;case 3:return`'${e}':: ${o} name '${t}' cannot start with '.'`;case 4:return`'${e}':: ${o} name '${t}' cannot start with '_'`;case 5:return`'${e}':: ${o} name '${t}' contains non URI safe characters`;case 0:return Tt.fail();default:Tt.assertNever(n)}}var yX=g({"src/jsTyping/jsTyping.ts"(){UX(),lX(),nX=(eX=["assert","assert/strict","async_hooks","buffer","child_process","cluster","console","constants","crypto","dgram","diagnostics_channel","dns","dns/promises","domain","events","fs","fs/promises","http","https","http2","inspector","module","net","os","path","perf_hooks","process","punycode","querystring","readline","repl","stream","stream/promises","string_decoder","timers","timers/promises","tls","trace_events","tty","url","util","util/types","v8","vm","wasi","worker_threads","zlib"]).map((e=>`node:${e}`)),tX=[...eX,...nX],rX=new Set(tX),oX=(e=>(e[e.Ok=0]="Ok",e[e.EmptyName=1]="EmptyName",e[e.NameTooLong=2]="NameTooLong",e[e.NameStartsWithDot=3]="NameStartsWithDot",e[e.NameStartsWithUnderscore=4]="NameStartsWithUnderscore",e[e.NameContainsNonURISafeCharacters=5]="NameContainsNonURISafeCharacters",e))(oX||{}),iX=214}}),vX={};y(vX,{NameValidationResult:()=>oX,discoverTypings:()=>fX,isTypingUpToDate:()=>cX,loadSafeList:()=>uX,loadTypesMap:()=>pX,nodeCoreModuleList:()=>tX,nodeCoreModules:()=>rX,nonRelativeModuleNameForTypingCache:()=>dX,prefixedNodeCoreModuleList:()=>nX,renderPackageNameValidationFailure:()=>hX,validatePackageName:()=>mX});var bX,EX,SX,TX,xX,AX,RX,IX,NX,DX,CX,MX,PX,LX,kX,wX,OX,FX,WX,zX,GX,BX,jX,VX=g({"src/jsTyping/_namespaces/ts.JsTyping.ts"(){yX()}}),UX=g({"src/jsTyping/_namespaces/ts.ts"(){JJ(),VX(),lX()}});function HX(e){return{indentSize:4,tabSize:4,newLineCharacter:e||"\n",convertTabsToSpaces:!0,indentStyle:2,insertSpaceAfterConstructor:!1,insertSpaceAfterCommaDelimiter:!0,insertSpaceAfterSemicolonInForStatements:!0,insertSpaceBeforeAndAfterBinaryOperators:!0,insertSpaceAfterKeywordsInControlFlowStatements:!0,insertSpaceAfterFunctionKeywordForAnonymousFunctions:!1,insertSpaceAfterOpeningAndBeforeClosingNonemptyParenthesis:!1,insertSpaceAfterOpeningAndBeforeClosingNonemptyBrackets:!1,insertSpaceAfterOpeningAndBeforeClosingNonemptyBraces:!0,insertSpaceAfterOpeningAndBeforeClosingTemplateStringBraces:!1,insertSpaceAfterOpeningAndBeforeClosingJsxExpressionBraces:!1,insertSpaceBeforeFunctionParenthesis:!1,placeOpenBraceOnNewLineForFunctions:!1,placeOpenBraceOnNewLineForControlBlocks:!1,semicolons:"ignore",trimTrailingWhitespace:!0,indentSwitchCase:!0}}var KX,qX,JX,XX,YX,$X,QX,ZX,eY,nY=g({"src/services/types.ts"(){(e=>{class n{constructor(e){this.text=e}getText(e,n){return 0===e&&n===this.text.length?this.text:this.text.substring(e,n)}getLength(){return this.text.length}getChangeRange(){}}e.fromString=function(e){return new n(e)}})(bX||(bX={})),EX=(e=>(e[e.Dependencies=1]="Dependencies",e[e.DevDependencies=2]="DevDependencies",e[e.PeerDependencies=4]="PeerDependencies",e[e.OptionalDependencies=8]="OptionalDependencies",e[e.All=15]="All",e))(EX||{}),SX=(e=>(e[e.Off=0]="Off",e[e.On=1]="On",e[e.Auto=2]="Auto",e))(SX||{}),TX=(e=>(e[e.Semantic=0]="Semantic",e[e.PartialSemantic=1]="PartialSemantic",e[e.Syntactic=2]="Syntactic",e))(TX||{}),xX={},AX=(e=>(e.Original="original",e.TwentyTwenty="2020",e))(AX||{}),RX=(e=>(e.All="All",e.SortAndCombine="SortAndCombine",e.RemoveUnused="RemoveUnused",e))(RX||{}),IX=(e=>(e[e.Invoked=1]="Invoked",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.TriggerForIncompleteCompletions=3]="TriggerForIncompleteCompletions",e))(IX||{}),NX=(e=>(e.Type="Type",e.Parameter="Parameter",e.Enum="Enum",e))(NX||{}),DX=(e=>(e.none="none",e.definition="definition",e.reference="reference",e.writtenReference="writtenReference",e))(DX||{}),CX=(e=>(e[e.None=0]="None",e[e.Block=1]="Block",e[e.Smart=2]="Smart",e))(CX||{}),MX=(e=>(e.Ignore="ignore",e.Insert="insert",e.Remove="remove",e))(MX||{}),PX=HX("\n"),LX=(e=>(e[e.aliasName=0]="aliasName",e[e.className=1]="className",e[e.enumName=2]="enumName",e[e.fieldName=3]="fieldName",e[e.interfaceName=4]="interfaceName",e[e.keyword=5]="keyword",e[e.lineBreak=6]="lineBreak",e[e.numericLiteral=7]="numericLiteral",e[e.stringLiteral=8]="stringLiteral",e[e.localName=9]="localName",e[e.methodName=10]="methodName",e[e.moduleName=11]="moduleName",e[e.operator=12]="operator",e[e.parameterName=13]="parameterName",e[e.propertyName=14]="propertyName",e[e.punctuation=15]="punctuation",e[e.space=16]="space",e[e.text=17]="text",e[e.typeParameterName=18]="typeParameterName",e[e.enumMemberName=19]="enumMemberName",e[e.functionName=20]="functionName",e[e.regularExpressionLiteral=21]="regularExpressionLiteral",e[e.link=22]="link",e[e.linkName=23]="linkName",e[e.linkText=24]="linkText",e))(LX||{}),kX=(e=>(e[e.None=0]="None",e[e.MayIncludeAutoImports=1]="MayIncludeAutoImports",e[e.IsImportStatementCompletion=2]="IsImportStatementCompletion",e[e.IsContinuation=4]="IsContinuation",e[e.ResolvedModuleSpecifiers=8]="ResolvedModuleSpecifiers",e[e.ResolvedModuleSpecifiersBeyondLimit=16]="ResolvedModuleSpecifiersBeyondLimit",e[e.MayIncludeMethodSnippets=32]="MayIncludeMethodSnippets",e))(kX||{}),wX=(e=>(e.Comment="comment",e.Region="region",e.Code="code",e.Imports="imports",e))(wX||{}),OX=(e=>(e[e.JavaScript=0]="JavaScript",e[e.SourceMap=1]="SourceMap",e[e.Declaration=2]="Declaration",e))(OX||{}),FX=(e=>(e[e.None=0]="None",e[e.InMultiLineCommentTrivia=1]="InMultiLineCommentTrivia",e[e.InSingleQuoteStringLiteral=2]="InSingleQuoteStringLiteral",e[e.InDoubleQuoteStringLiteral=3]="InDoubleQuoteStringLiteral",e[e.InTemplateHeadOrNoSubstitutionTemplate=4]="InTemplateHeadOrNoSubstitutionTemplate",e[e.InTemplateMiddleOrTail=5]="InTemplateMiddleOrTail",e[e.InTemplateSubstitutionPosition=6]="InTemplateSubstitutionPosition",e))(FX||{}),WX=(e=>(e[e.Punctuation=0]="Punctuation",e[e.Keyword=1]="Keyword",e[e.Operator=2]="Operator",e[e.Comment=3]="Comment",e[e.Whitespace=4]="Whitespace",e[e.Identifier=5]="Identifier",e[e.NumberLiteral=6]="NumberLiteral",e[e.BigIntLiteral=7]="BigIntLiteral",e[e.StringLiteral=8]="StringLiteral",e[e.RegExpLiteral=9]="RegExpLiteral",e))(WX||{}),zX=(e=>(e.unknown="",e.warning="warning",e.keyword="keyword",e.scriptElement="script",e.moduleElement="module",e.classElement="class",e.localClassElement="local class",e.interfaceElement="interface",e.typeElement="type",e.enumElement="enum",e.enumMemberElement="enum member",e.variableElement="var",e.localVariableElement="local var",e.variableUsingElement="using",e.variableAwaitUsingElement="await using",e.functionElement="function",e.localFunctionElement="local function",e.memberFunctionElement="method",e.memberGetAccessorElement="getter",e.memberSetAccessorElement="setter",e.memberVariableElement="property",e.memberAccessorVariableElement="accessor",e.constructorImplementationElement="constructor",e.callSignatureElement="call",e.indexSignatureElement="index",e.constructSignatureElement="construct",e.parameterElement="parameter",e.typeParameterElement="type parameter",e.primitiveType="primitive type",e.label="label",e.alias="alias",e.constElement="const",e.letElement="let",e.directory="directory",e.externalModuleName="external module name",e.jsxAttribute="JSX attribute",e.string="string",e.link="link",e.linkName="link name",e.linkText="link text",e))(zX||{}),GX=(e=>(e.none="",e.publicMemberModifier="public",e.privateMemberModifier="private",e.protectedMemberModifier="protected",e.exportedModifier="export",e.ambientModifier="declare",e.staticModifier="static",e.abstractModifier="abstract",e.optionalModifier="optional",e.deprecatedModifier="deprecated",e.dtsModifier=".d.ts",e.tsModifier=".ts",e.tsxModifier=".tsx",e.jsModifier=".js",e.jsxModifier=".jsx",e.jsonModifier=".json",e.dmtsModifier=".d.mts",e.mtsModifier=".mts",e.mjsModifier=".mjs",e.dctsModifier=".d.cts",e.ctsModifier=".cts",e.cjsModifier=".cjs",e))(GX||{}),BX=(e=>(e.comment="comment",e.identifier="identifier",e.keyword="keyword",e.numericLiteral="number",e.bigintLiteral="bigint",e.operator="operator",e.stringLiteral="string",e.whiteSpace="whitespace",e.text="text",e.punctuation="punctuation",e.className="class name",e.enumName="enum name",e.interfaceName="interface name",e.moduleName="module name",e.typeParameterName="type parameter name",e.typeAliasName="type alias name",e.parameterName="parameter name",e.docCommentTagName="doc comment tag name",e.jsxOpenTagName="jsx open tag name",e.jsxCloseTagName="jsx close tag name",e.jsxSelfClosingTagName="jsx self closing tag name",e.jsxAttribute="jsx attribute",e.jsxText="jsx text",e.jsxAttributeStringLiteralValue="jsx attribute string literal value",e))(BX||{}),jX=(e=>(e[e.comment=1]="comment",e[e.identifier=2]="identifier",e[e.keyword=3]="keyword",e[e.numericLiteral=4]="numericLiteral",e[e.operator=5]="operator",e[e.stringLiteral=6]="stringLiteral",e[e.regularExpressionLiteral=7]="regularExpressionLiteral",e[e.whiteSpace=8]="whiteSpace",e[e.text=9]="text",e[e.punctuation=10]="punctuation",e[e.className=11]="className",e[e.enumName=12]="enumName",e[e.interfaceName=13]="interfaceName",e[e.moduleName=14]="moduleName",e[e.typeParameterName=15]="typeParameterName",e[e.typeAliasName=16]="typeAliasName",e[e.parameterName=17]="parameterName",e[e.docCommentTagName=18]="docCommentTagName",e[e.jsxOpenTagName=19]="jsxOpenTagName",e[e.jsxCloseTagName=20]="jsxCloseTagName",e[e.jsxSelfClosingTagName=21]="jsxSelfClosingTagName",e[e.jsxAttribute=22]="jsxAttribute",e[e.jsxText=23]="jsxText",e[e.jsxAttributeStringLiteralValue=24]="jsxAttributeStringLiteralValue",e[e.bigintLiteral=25]="bigintLiteral",e))(jX||{})}});function tY(e){switch(e.kind){case 260:return Yh(e)&&fc(e)?7:1;case 169:case 208:case 172:case 171:case 303:case 304:case 174:case 173:case 176:case 177:case 178:case 262:case 218:case 219:case 299:case 291:return 1;case 168:case 264:case 265:case 187:return 2;case 353:return void 0===e.name?3:2;case 306:case 263:return 3;case 267:return km(e)||1===zW(e)?5:4;case 266:case 275:case 276:case 271:case 272:case 277:case 278:return 7;case 312:return 5}return 7}function rY(e){const n=(e=o$(e)).parent;return 312===e.kind?1:NC(n)||MC(n)||wC(n)||IC(n)||yC(n)||hC(n)&&e===n.name?7:oY(e)?function(e){const n=166===e.kind?e:gN(e.parent)&&e.parent.right===e?e.parent:void 0;return n&&271===n.parent.kind?7:4}(e):Ry(e)?tY(n):bd(e)&&Nl(e,pt(sM,rp,lM))?7:function(e){IE(e)&&(e=e.parent);switch(e.kind){case 110:return!Gh(e);case 197:return!0}switch(e.parent.kind){case 183:return!0;case 205:return!e.parent.isTypeOf;case 233:return j_(e.parent)}return!1}(e)?2:function(e){return function(e){let n=e,t=!0;if(166===n.parent.kind){for(;n.parent&&166===n.parent.kind;)n=n.parent;t=n.right===e}return 183===n.parent.kind&&!t}(e)||function(e){let n=e,t=!0;if(211===n.parent.kind){for(;n.parent&&211===n.parent.kind;)n=n.parent;t=n.name===e}if(!t&&233===n.parent.kind&&298===n.parent.parent.kind){const e=n.parent.parent.parent;return 263===e.kind&&119===n.parent.parent.token||264===e.kind&&96===n.parent.parent.token}return!1}(e)}(e)?4:vN(n)?(Tt.assert(GM(n.parent)),2):ZN(n)?3:1}function oY(e){for(;166===e.parent.kind;)e=e.parent;return qh(e.parent)&&e.parent.moduleReference===e}function iY(e,n=!1,t=!1){return mY(e,dD,uY,n,t)}function aY(e,n=!1,t=!1){return mY(e,uD,uY,n,t)}function sY(e,n=!1,t=!1){return mY(e,ru,uY,n,t)}function lY(e,n=!1,t=!1){return mY(e,pD,pY,n,t)}function cY(e,n=!1,t=!1){return mY(e,EN,uY,n,t)}function dY(e,n=!1,t=!1){return mY(e,ju,fY,n,t)}function uY(e){return e.expression}function pY(e){return e.tag}function fY(e){return e.tagName}function mY(e,n,t,r,o){let i=r?hY(e):_Y(e);return o&&(i=EP(i)),!!i&&!!i.parent&&n(i.parent)&&t(i.parent)===i}function _Y(e){return xY(e)?e.parent:e}function hY(e){return xY(e)||AY(e)?e.parent:e}function gY(e,n){for(;e;){if(256===e.kind&&e.label.escapedText===n)return e.label;e=e.parent}}function yY(e,n){return!!lD(e.expression)&&e.expression.name.text===n}function vY(e){var n;return tN(e)&&(null==(n=hn(e.parent,Vc))?void 0:n.label)===e}function bY(e){var n;return tN(e)&&(null==(n=hn(e.parent,nC))?void 0:n.label)===e}function EY(e){return bY(e)||vY(e)}function SY(e){var n;return(null==(n=hn(e.parent,Ku))?void 0:n.tagName)===e}function TY(e){var n;return(null==(n=hn(e.parent,gN))?void 0:n.right)===e}function xY(e){var n;return(null==(n=hn(e.parent,lD))?void 0:n.name)===e}function AY(e){var n;return(null==(n=hn(e.parent,cD))?void 0:n.argumentExpression)===e}function RY(e){var n;return(null==(n=hn(e.parent,pC))?void 0:n.name)===e}function IY(e){var n;return tN(e)&&(null==(n=hn(e.parent,Td))?void 0:n.name)===e}function NY(e){switch(e.parent.kind){case 172:case 171:case 303:case 306:case 174:case 173:case 177:case 178:case 267:return jl(e.parent)===e;case 212:return e.parent.argumentExpression===e;case 167:return!0;case 201:return 199===e.parent.parent.kind;default:return!1}}function DY(e){return Uh(e.parent.parent)&&Hh(e.parent.parent)===e}function CY(e){for(Kg(e)&&(e=e.parent.parent);;){if(!(e=e.parent))return;switch(e.kind){case 312:case 174:case 173:case 262:case 218:case 177:case 178:case 263:case 264:case 266:case 267:return e}}}function MY(e){switch(e.kind){case 312:return uk(e)?"module":"script";case 267:return"module";case 263:case 231:return"class";case 264:return"interface";case 265:case 345:case 353:return"type";case 266:return"enum";case 260:return n(e);case 208:return n(bv(e));case 219:case 262:case 218:return"function";case 177:return"getter";case 178:return"setter";case 174:case 173:return"method";case 303:const{initializer:t}=e;return Td(t)?"method":"property";case 172:case 171:case 304:case 305:return"property";case 181:return"index";case 180:return"construct";case 179:return"call";case 176:case 175:return"constructor";case 168:return"type parameter";case 306:return"enum member";case 169:return Bb(e,31)?"property":"parameter";case 271:case 276:case 281:case 274:case 280:return"alias";case 226:const r=Eg(e),{right:o}=e;switch(r){case 7:case 8:case 9:case 0:default:return"";case 1:case 2:const e=MY(o);return""===e?"const":e;case 3:case 5:return _D(o)?"method":"property";case 4:return"property";case 6:return"local class"}case 80:return yC(e.parent)?"alias":"";case 277:const i=MY(e.expression);return""===i?"const":i;default:return""}function n(e){return D_(e)?"const":C_(e)?"let":"var"}}function PY(e){switch(e.kind){case 110:return!0;case 80:return Tb(e)&&169===e.parent.kind;default:return!1}}function LY(e,n){return us(n)[n.getLineAndCharacterOfPosition(e).line]}function kY(e,n){return WY(e.pos,e.end,n)}function wY(e,n){return FY(e,n.pos)&&FY(e,n.end)}function OY(e,n){return e.pos<=n&&n<=e.end}function FY(e,n){return e.pos<n&&n<e.end}function WY(e,n,t){return e<=t.pos&&n>=t.end}function zY(e,n,t){return e.pos<=n&&e.end>=t}function GY(e,n,t){return jY(e.pos,e.end,n,t)}function BY(e,n,t,r){return jY(e.getStart(n),e.end,t,r)}function jY(e,n,t,r){return Math.max(e,t)<Math.min(n,r)}function VY(e,n,t){return Tt.assert(e.pos<=n),n<e.end||!UY(e,t)}function UY(e,n){if(void 0===e||im(e))return!1;switch(e.kind){case 263:case 264:case 266:case 210:case 206:case 187:case 241:case 268:case 269:case 275:case 279:return HY(e,20,n);case 299:return UY(e.block,n);case 214:if(!e.arguments)return!0;case 213:case 217:case 196:return HY(e,22,n);case 184:case 185:return UY(e.type,n);case 176:case 177:case 178:case 262:case 218:case 174:case 173:case 180:case 179:case 219:return e.body?UY(e.body,n):e.type?UY(e.type,n):qY(e,22,n);case 267:return!!e.body&&UY(e.body,n);case 245:return e.elseStatement?UY(e.elseStatement,n):UY(e.thenStatement,n);case 244:return UY(e.expression,n)||qY(e,27,n);case 209:case 207:case 212:case 167:case 189:return HY(e,24,n);case 181:return e.type?UY(e.type,n):qY(e,24,n);case 296:case 297:return!1;case 248:case 249:case 250:case 247:return UY(e.statement,n);case 246:return qY(e,117,n)?HY(e,22,n):UY(e.statement,n);case 186:return UY(e.exprName,n);case 221:case 220:case 222:case 229:case 230:return UY(e.expression,n);case 215:return UY(e.template,n);case 228:return UY(Le(e.templateSpans),n);case 239:return am(e.literal);case 278:case 272:return am(e.moduleSpecifier);case 224:return UY(e.operand,n);case 226:return UY(e.right,n);case 227:return UY(e.whenFalse,n);default:return!0}}function HY(e,n,t){const r=e.getChildren(t);if(r.length){const e=ke(r);if(e.kind===n)return!0;if(27===e.kind&&1!==r.length)return r[r.length-2].kind===n}return!1}function KY(e){const n=XY(e);if(!n)return;return{listItemIndex:Rm(n.getChildren(),e),list:n}}function qY(e,n,t){return!!JY(e,n,t)}function JY(e,n,t){return D(e.getChildren(t),(e=>e.kind===n))}function XY(e){const n=D(e.parent.getChildren(),(n=>qM(n)&&kY(n,e)));return Tt.assert(!n||k(n.getChildren(),e)),n}function YY(e){return 90===e.kind}function $Y(e){return 86===e.kind}function QY(e){return 100===e.kind}function ZY(e,n){if(16777216&e.flags)return;const t=LZ(e,n);if(t)return t;const r=function(e){let n;return Nl(e,(e=>(Bd(e)&&(n=e),!gN(e.parent)&&!Bd(e.parent)&&!Wd(e.parent)))),n}(e);return r&&n.getTypeAtLocation(r)}function e$(e,n){if(!n)switch(e.kind){case 263:case 231:return function(e){if(Gl(e))return e.name;if(lC(e)){const n=e.modifiers&&D(e.modifiers,YY);if(n)return n}if(ND(e)){const n=D(e.getChildren(),$Y);if(n)return n}}(e);case 262:case 218:return function(e){if(Gl(e))return e.name;if(sC(e)){const n=D(e.modifiers,YY);if(n)return n}if(_D(e)){const n=D(e.getChildren(),QY);if(n)return n}}(e);case 176:return e}if(Gl(e))return e.name}function n$(e,n){if(e.importClause){if(e.importClause.name&&e.importClause.namedBindings)return;if(e.importClause.name)return e.importClause.name;if(e.importClause.namedBindings){if(RC(e.importClause.namedBindings)){const n=we(e.importClause.namedBindings.elements);if(!n)return;return n.name}if(xC(e.importClause.namedBindings))return e.importClause.namedBindings.name}}if(!n)return e.moduleSpecifier}function t$(e,n){if(e.exportClause){if(CC(e.exportClause)){if(!we(e.exportClause.elements))return;return e.exportClause.elements[0].name}if(AC(e.exportClause))return e.exportClause.name}if(!n)return e.moduleSpecifier}function r$(e,n){const{parent:t}=e;if(vd(e)&&(n||90!==e.kind)?vL(t)&&k(t.modifiers,e):86===e.kind?lC(t)||ND(e):100===e.kind?sC(t)||_D(e):120===e.kind?cC(t):94===e.kind?uC(t):156===e.kind?dC(t):145===e.kind||144===e.kind?pC(t):102===e.kind?hC(t):139===e.kind?NN(t):153===e.kind&&DN(t)){const e=e$(t,n);if(e)return e}if((115===e.kind||87===e.kind||121===e.kind)&&aC(t)&&1===t.declarations.length){const e=t.declarations[0];if(tN(e.name))return e.name}if(156===e.kind){if(yC(t)&&t.isTypeOnly){const e=n$(t.parent,n);if(e)return e}if(DC(t)&&t.isTypeOnly){const e=t$(t,n);if(e)return e}}if(130===e.kind){if(IC(t)&&t.propertyName||MC(t)&&t.propertyName||xC(t)||AC(t))return t.name;if(DC(t)&&t.exportClause&&AC(t.exportClause))return t.exportClause.name}if(102===e.kind&&gC(t)){const e=n$(t,n);if(e)return e}if(95===e.kind){if(DC(t)){const e=t$(t,n);if(e)return e}if(NC(t))return EP(t.expression)}if(149===e.kind&&wC(t))return t.expression;if(161===e.kind&&(gC(t)||DC(t))&&t.moduleSpecifier)return t.moduleSpecifier;if((96===e.kind||119===e.kind)&&YC(t)&&t.token===e.kind){const e=function(e){if(1===e.types.length)return e.types[0].expression}(t);if(e)return e}if(96===e.kind){if(vN(t)&&t.constraint&&kN(t.constraint))return t.constraint.typeName;if(KN(t)&&kN(t.extendsType))return t.extendsType.typeName}if(140===e.kind&&qN(t))return t.typeParameter.name;if(103===e.kind&&vN(t)&&QN(t.parent))return t.name;if(143===e.kind&&YN(t)&&143===t.operator&&kN(t.type))return t.type.typeName;if(148===e.kind&&YN(t)&&148===t.operator&&zN(t.type)&&kN(t.type.elementType))return t.type.elementType.typeName;if(!n){if((105===e.kind&&uD(t)||116===e.kind&&vD(t)||114===e.kind&&yD(t)||135===e.kind&&bD(t)||127===e.kind&&RD(t)||91===e.kind&&gD(t))&&t.expression)return EP(t.expression);if((103===e.kind||104===e.kind)&&TD(t)&&t.operatorToken===e)return EP(t.right);if(130===e.kind&&MD(t)&&kN(t.type))return t.type.typeName;if(103===e.kind&&JD(t)||165===e.kind&&XD(t))return EP(t.expression)}return e}function o$(e){return r$(e,!1)}function i$(e){return r$(e,!0)}function a$(e,n){return s$(e,n,(e=>av(e)||Vy(e.kind)||rN(e)))}function s$(e,n,t){return c$(e,n,!1,t,!1)}function l$(e,n){return c$(e,n,!0,void 0,!1)}function c$(e,n,t,r,o){let i,a=e;for(;;){const o=a.getChildren(e),l=Ge(o,n,((e,n)=>n),((i,a)=>{const l=o[i].getEnd();if(l<n)return-1;const c=t?o[i].getFullStart():o[i].getStart(e,!0);return c>n?1:s(o[i],c,l)?o[i-1]&&s(o[i-1])?1:0:r&&c===n&&o[i-1]&&o[i-1].getEnd()===n&&s(o[i-1])?1:-1}));if(i)return i;if(!(l>=0&&o[l]))return a;a=o[l]}function s(a,s,l){if(l??(l=a.getEnd()),l<n)return!1;if(s??(s=t?a.getFullStart():a.getStart(e,!0)),s>n)return!1;if(n<l||n===l&&(1===a.kind||o))return!0;if(r&&l===n){const t=f$(n,e,a);if(t&&r(t))return i=t,!0}return!1}}function d$(e,n){let t=l$(e,n);for(;v$(t);){const n=p$(t,t.parent,e);if(!n)return;t=n}return t}function u$(e,n){const t=l$(e,n);return $c(t)&&n>t.getStart(e)&&n<t.getEnd()?t:f$(n,e)}function p$(e,n,t){return function n(r){if($c(r)&&r.pos===e.end)return r;return T(r.getChildren(t),(r=>(r.pos<=e.pos&&r.end>e.end||r.pos===e.end)&&C$(r,t)?n(r):void 0))}(n)}function f$(e,n,t,r){const o=function o(i){if(m$(i)&&1!==i.kind)return i;const a=i.getChildren(n),s=Ge(a,e,((e,n)=>n),((n,t)=>e<a[n].end?!a[n-1]||e>=a[n-1].end?0:1:-1));if(s>=0&&a[s]){const t=a[s];if(e<t.end){if(t.getStart(n,!r)>=e||!C$(t,n)||v$(t)){const e=h$(a,s,n,i.kind);return e?!r&&Hu(e)&&e.getChildren(n).length?o(e):_$(e,n):void 0}return o(t)}}Tt.assert(void 0!==t||312===i.kind||1===i.kind||Hu(i));const l=h$(a,a.length,n,i.kind);return l&&_$(l,n)}(t||n);return Tt.assert(!(o&&v$(o))),o}function m$(e){return $c(e)&&!v$(e)}function _$(e,n){if(m$(e))return e;const t=e.getChildren(n);if(0===t.length)return e;const r=h$(t,t.length,n,e.kind);return r&&_$(r,n)}function h$(e,n,t,r){for(let o=n-1;o>=0;o--){if(v$(e[o]))0!==o||12!==r&&285!==r||Tt.fail("`JsxText` tokens should not be the first child of `JsxElement | JsxSelfClosingElement`");else if(C$(e[o],t))return e[o]}}function g$(e,n,t=f$(n,e)){if(t&&cd(t)){const r=t.getStart(e),o=t.getEnd();if(r<n&&n<o)return!0;if(n===o)return!!t.isUnterminated}return!1}function y$(e,n){const t=l$(e,n);return!!t&&(12===t.kind||(30===t.kind&&12===t.parent.kind||(30===t.kind&&294===t.parent.kind||(!(!t||20!==t.kind||294!==t.parent.kind)||30===t.kind&&287===t.parent.kind))))}function v$(e){return GI(e)&&e.containsOnlyTriviaWhiteSpaces}function b$(e,n){const t=l$(e,n);return td(t.kind)&&n>t.getStart(e)}function E$(e,n){const t=l$(e,n);return!!GI(t)||(!(19!==t.kind||!KC(t.parent)||!OC(t.parent.parent))||!(30!==t.kind||!ju(t.parent)||!OC(t.parent.parent)))}function S$(e,n){return function(t){for(;t;)if(t.kind>=285&&t.kind<=294||12===t.kind||30===t.kind||32===t.kind||80===t.kind||20===t.kind||19===t.kind||44===t.kind)t=t.parent;else{if(284!==t.kind)return!1;if(n>t.getStart(e))return!0;t=t.parent}return!1}(l$(e,n))}function T$(e,n,t){const r=as(e.kind),o=as(n),i=e.getFullStart(),a=t.text.lastIndexOf(o,i);if(-1===a)return;if(t.text.lastIndexOf(r,i-1)<a){const e=f$(a+1,t);if(e&&e.kind===n)return e}const s=e.kind;let l=0;for(;;){const r=f$(e.getFullStart(),t);if(!r)return;if((e=r).kind===n){if(0===l)return e;l--}else e.kind===s&&l++}}function x$(e,n,t){return n?e.getNonNullableType():t?e.getNonOptionalType():e}function A$(e,n,t){const r=I$(e,n);return void 0!==r&&(j_(r.called)||0!==R$(r.called,r.nTypeArguments,t).length||A$(r.called,n,t))}function R$(e,n,t){let r=t.getTypeAtLocation(e);wc(e.parent)&&(r=x$(r,Oc(e.parent),!0));return(uD(e.parent)?r.getConstructSignatures():r.getCallSignatures()).filter((e=>!!e.typeParameters&&e.typeParameters.length>=n))}function I$(e,n){if(-1===n.text.lastIndexOf("<",e?e.pos:n.text.length))return;let t=e,r=0,o=0;for(;t;){switch(t.kind){case 30:if(t=f$(t.getFullStart(),n),t&&29===t.kind&&(t=f$(t.getFullStart(),n)),!t||!tN(t))return;if(!r)return Ry(t)?void 0:{called:t,nTypeArguments:o};r--;break;case 50:r=3;break;case 49:r=2;break;case 32:r++;break;case 20:if(t=T$(t,19,n),!t)return;break;case 22:if(t=T$(t,21,n),!t)return;break;case 24:if(t=T$(t,23,n),!t)return;break;case 28:o++;break;case 39:case 80:case 11:case 9:case 10:case 112:case 97:case 114:case 96:case 143:case 25:case 52:case 58:case 59:break;default:if(Bd(t))break;return}t=f$(t.getFullStart(),n)}}function N$(e,n,t){return vge.getRangeOfEnclosingComment(e,n,void 0,t)}function D$(e,n){return!!Nl(l$(e,n),bM)}function C$(e,n){return 1===e.kind?!!e.jsDoc:0!==e.getWidth(n)}function M$(e,n=0){const t=[],r=Pu(e)?Tl(e)&~n:0;return 2&r&&t.push("private"),4&r&&t.push("protected"),1&r&&t.push("public"),(256&r||RN(e))&&t.push("static"),64&r&&t.push("abstract"),32&r&&t.push("export"),65536&r&&t.push("deprecated"),33554432&e.flags&&t.push("declare"),277===e.kind&&t.push("export"),t.length>0?t.join(","):""}function P$(e){return 183===e.kind||213===e.kind?e.typeArguments:Td(e)||263===e.kind||264===e.kind?e.typeParameters:void 0}function L$(e){return 2===e||3===e}function k$(e){return!(11!==e&&14!==e&&!td(e))}function w$(e,n,t){return!!(4&n.flags)&&e.isEmptyAnonymousObjectType(t)}function O$(e){if(!e.isIntersection())return!1;const{types:n,checker:t}=e;return 2===n.length&&(w$(t,n[0],n[1])||w$(t,n[1],n[0]))}function F$(e,n,t){return td(e.kind)&&e.getStart(t)<n&&n<e.end||!!e.isUnterminated&&n===e.end}function W$(e){switch(e){case 125:case 123:case 124:return!0}return!1}function z$(e){const n=tn(e);return oO(n,e&&e.configFile),n}function G$(e){if(209===e.kind||210===e.kind){if(226===e.parent.kind&&e.parent.left===e&&64===e.parent.operatorToken.kind)return!0;if(250===e.parent.kind&&e.parent.initializer===e)return!0;if(G$(303===e.parent.kind?e.parent.parent:e.parent))return!0}return!1}function B$(e,n){return V$(e,n,!0)}function j$(e,n){return V$(e,n,!1)}function V$(e,n,t){const r=N$(e,n,void 0);return!!r&&t===JX.test(e.text.substring(r.pos,r.end))}function U$(e){if(e)switch(e.kind){case 11:case 15:return K$(e);default:return H$(e)}}function H$(e,n,t){return ul(e.getStart(n),(t||e).getEnd())}function K$(e){if(!e.isUnterminated)return ul(e.getStart()+1,e.getEnd()-1)}function q$(e,n){return UE(e.getStart(n),e.end)}function J$(e){return ul(e.pos,e.end)}function X$(e){return UE(e.start,e.start+e.length)}function Y$(e,n,t){return $$(dl(e,n),t)}function $$(e,n){return{span:e,newText:n}}function Q$(e){return k(XX,e)}function Z$(e){return 156===e.kind}function eQ(e){return Z$(e)||tN(e)&&"type"===e.text}function nQ(e){return!!(1536&e.flags)&&34===e.name.charCodeAt(0)}function tQ(){const e=[];return n=>{const t=Hz(n);return!e[t]&&(e[t]=!0)}}function rQ(e){return e.getText(0,e.getLength())}function oQ(e,n){let t="";for(let r=0;r<n;r++)t+=e;return t}function iQ(e){return e.isTypeParameter()&&e.getConstraint()||e}function aQ(e){return 167===e.kind?nv(e.expression)?e.expression.text:void 0:rN(e)?Ll(e):sv(e)}function sQ(e){return e.getSourceFiles().some((n=>!(n.isDeclarationFile||e.isSourceFileFromExternalLibrary(n)||!n.externalModuleIndicator&&!n.commonJsModuleIndicator)))}function lQ(e){return e.getSourceFiles().some((n=>!n.isDeclarationFile&&!e.isSourceFileFromExternalLibrary(n)&&!!n.externalModuleIndicator))}function cQ(e){return!!e.module||jp(e)>=2||!!e.noEmit}function dQ(e,n){return{fileExists:n=>e.fileExists(n),getCurrentDirectory:()=>n.getCurrentDirectory(),readFile:an(n,n.readFile),useCaseSensitiveFileNames:an(n,n.useCaseSensitiveFileNames),getSymlinkCache:an(n,n.getSymlinkCache)||e.getSymlinkCache,getModuleSpecifierCache:an(n,n.getModuleSpecifierCache),getPackageJsonInfoCache:()=>{var n;return null==(n=e.getModuleResolutionCache())?void 0:n.getPackageJsonInfoCache()},getGlobalTypingsCacheLocation:an(n,n.getGlobalTypingsCacheLocation),redirectTargetsMap:e.redirectTargetsMap,getProjectReferenceRedirect:n=>e.getProjectReferenceRedirect(n),isSourceOfProjectReferenceRedirect:n=>e.isSourceOfProjectReferenceRedirect(n),getNearestAncestorDirectoryWithPackageJson:an(n,n.getNearestAncestorDirectoryWithPackageJson),getFileIncludeReasons:()=>e.getFileIncludeReasons(),getCommonSourceDirectory:()=>e.getCommonSourceDirectory()}}function uQ(e,n){return{...dQ(e,n),getCommonSourceDirectory:()=>e.getCommonSourceDirectory()}}function pQ(e){return 2===e||e>=3&&e<=99||100===e}function fQ(e,n,t,r){return e||n&&n.length?mQ(e,n,t,r):void 0}function mQ(e,n,t,r,o){return UA.createImportDeclaration(void 0,e||n?UA.createImportClause(!!o,e,n&&n.length?UA.createNamedImports(n):void 0):void 0,"string"==typeof t?_Q(t,r):t,void 0)}function _Q(e,n){return UA.createStringLiteral(e,0===n)}function hQ(e,n){return lg(e,n)?1:0}function gQ(e,n){if(n.quotePreference&&"auto"!==n.quotePreference)return"single"===n.quotePreference?0:1;{const n=e.imports&&D(e.imports,(e=>zI(e)&&!Sv(e.parent)));return n?hQ(n,e):1}}function yQ(e){switch(e){case 0:return"'";case 1:return'"';default:return Tt.assertNever(e)}}function vQ(e){const n=bQ(e);return void 0===n?void 0:Pl(n)}function bQ(e){return"default"!==e.escapedName?e.escapedName:T(e.declarations,(e=>{const n=jl(e);return n&&80===n.kind?n.escapedText:void 0}))}function EQ(e){return tp(e)&&(wC(e.parent)||gC(e.parent)||ng(e.parent,!1)&&e.parent.arguments[0]===e||P_(e.parent)&&e.parent.arguments[0]===e)}function SQ(e){return iD(e)&&rD(e.parent)&&tN(e.name)&&!e.propertyName}function TQ(e,n){const t=e.getTypeAtLocation(n.parent);return t&&e.getPropertyOfType(t,n.name.text)}function xQ(e,n,t){if(e)for(;e.parent;){if(rM(e.parent)||!AQ(t,e.parent,n))return e;e=e.parent}}function AQ(e,n,t){return el(e,n.getStart(t))&&n.getEnd()<=Qs(e)}function RQ(e,n){return vL(e)?D(e.modifiers,(e=>e.kind===n)):void 0}function IQ(e,n,t,r,o){const i=243===(pn(t)?t[0]:t).kind?ag:Ym,a=W(n.statements,i);let s=pn(t)?gfe.detectImportDeclarationSorting(t,o):3;const l=gfe.getOrganizeImportsComparer(o,2===s),c=pn(t)?Ie(t,((e,n)=>gfe.compareImportsOrRequireStatements(e,n,l))):[t];if(a.length)if(a&&(s=gfe.detectImportDeclarationSorting(a,o))){const t=gfe.getOrganizeImportsComparer(o,2===s);for(const r of c){const o=gfe.getImportDeclarationInsertionIndex(a,r,t);if(0===o){const t=a[0]===n.statements[0]?{leadingTriviaOption:p_e.LeadingTriviaOption.Exclude}:{};e.insertNodeBefore(n,a[0],r,!1,t)}else{const t=a[o-1];e.insertNodeAfter(n,t,r)}}}else{const t=Le(a);t?e.insertNodesAfter(n,t,c):e.insertNodesAtTopOfFile(n,c,r)}else e.insertNodesAtTopOfFile(n,c,r)}function NQ(e,n){return Tt.assert(e.isTypeOnly),gn(e.getChildAt(0,n),Z$)}function DQ(e,n){return!!e&&!!n&&e.start===n.start&&e.length===n.length}function CQ(e,n,t){return(t?Ln:Pn)(e.fileName,n.fileName)&&DQ(e.textSpan,n.textSpan)}function MQ(e){return(n,t)=>CQ(n,t,e)}function PQ(e,n){if(e)for(let t=0;t<e.length;t++)if(e.indexOf(e[t])===t){const r=n(e[t],t);if(r)return r}}function LQ(e,n,t){for(let r=n;r<t;r++)if(!hs(e.charCodeAt(r)))return!1;return!0}function kQ(e,n,t){const r=n.tryGetSourcePosition(e);return r&&(!t||t(_a(r.fileName))?r:void 0)}function wQ(e,n,t){const{fileName:r,textSpan:o}=e,i=kQ({fileName:r,pos:o.start},n,t);if(!i)return;const a=kQ({fileName:r,pos:o.start+o.length},n,t),s=a?a.pos-i.pos:o.length;return{fileName:i.fileName,textSpan:{start:i.pos,length:s},originalFileName:e.fileName,originalTextSpan:e.textSpan,contextSpan:OQ(e,n,t),originalContextSpan:e.contextSpan}}function OQ(e,n,t){const r=e.contextSpan&&kQ({fileName:e.fileName,pos:e.contextSpan.start},n,t),o=e.contextSpan&&kQ({fileName:e.fileName,pos:e.contextSpan.start+e.contextSpan.length},n,t);return r&&o?{start:r.pos,length:o.pos-r.pos}:void 0}function FQ(e){return!!Nl(e.declarations?De(e.declarations):void 0,(e=>!!bN(e)||!(iD(e)||rD(e)||oD(e))&&"quit"))}function WQ(e,n){return zQ(e,function(e){const n=e.flags;if(3&n)return FQ(e)?13:9;return 4&n||32768&n||65536&n?14:8&n?19:16&n?20:32&n?1:64&n?4:384&n?2:1536&n?11:8192&n?10:262144&n?18:524288&n||2097152&n?0:17}(n))}function zQ(e,n){return{text:e,kind:LX[n]}}function GQ(){return zQ(" ",16)}function BQ(e){return zQ(as(e),5)}function jQ(e){return zQ(as(e),15)}function VQ(e){return zQ(as(e),12)}function UQ(e){return zQ(e,13)}function HQ(e){return zQ(e,14)}function KQ(e){const n=ss(e);return void 0===n?qQ(e):BQ(n)}function qQ(e){return zQ(e,17)}function JQ(e){return zQ(e,0)}function XQ(e){return zQ(e,18)}function YQ(e){return zQ(e,24)}function $Q(e,n){return{text:e,kind:LX[23],target:{fileName:$f(n).fileName,textSpan:H$(n)}}}function QQ(e){return zQ(e,22)}function ZQ(e,n){var t;const r=[QQ(`{@${cM(e)?"link":dM(e)?"linkcode":"linkplain"} `)];if(e.name){const o=null==n?void 0:n.getSymbolAtLocation(e.name),i=o&&n?cZ(o,n):void 0,a=function(e){let n=e.indexOf("://");if(0===n){for(;n<e.length&&124!==e.charCodeAt(n);)n++;return n}if(0===e.indexOf("()"))return 2;if("<"===e.charAt(0)){let n=0,t=0;for(;t<e.length;)if("<"===e[t]&&n++,">"===e[t]&&n--,t++,!n)return t}return 0}(e.text),s=xm(e.name)+e.text.slice(0,a),l=function(e){let n=0;if(124===e.charCodeAt(n++)){for(;n<e.length&&32===e.charCodeAt(n);)n++;return e.slice(n)}return e}(e.text.slice(a)),c=(null==i?void 0:i.valueDeclaration)||(null==(t=null==i?void 0:i.declarations)?void 0:t[0]);if(c)r.push($Q(s,c)),l&&r.push(YQ(l));else{const n=0===a||124===e.text.charCodeAt(a)&&32!==s.charCodeAt(s.length-1)?" ":"";r.push(YQ(s+n+l))}}else e.text&&r.push(YQ(e.text));return r.push(QQ("}")),r}function eZ(e,n){var t;return(null==n?void 0:n.newLineCharacter)||(null==(t=e.getNewLine)?void 0:t.call(e))||QX}function nZ(){return zQ("\n",6)}function tZ(e){try{return e($X),$X.displayParts()}finally{$X.clear()}}function rZ(e,n,t,r=0){return tZ((o=>{e.writeType(n,t,17408|r,o)}))}function oZ(e,n,t,r,o=0){return tZ((i=>{e.writeSymbol(n,t,r,8|o,i)}))}function iZ(e,n,t,r=0){return r|=25632,tZ((o=>{e.writeSignature(n,t,r,void 0,o)}))}function aZ(e,n){const t=n.getSourceFile();return tZ((n=>{yV().writeNode(4,e,t,n)}))}function sZ(e){return!!e.parent&&id(e.parent)&&e.parent.propertyName===e}function lZ(e,n){return QT(e,n.getScriptKind&&n.getScriptKind(e))}function cZ(e,n){let t=e;for(;dZ(t)||Pf(t)&&t.links.target;)t=Pf(t)&&t.links.target?t.links.target:hS(t,n);return t}function dZ(e){return!!(2097152&e.flags)}function uZ(e,n){return Kz(hS(e,n))}function pZ(e,n){for(;hs(e.charCodeAt(n));)n+=1;return n}function fZ(e,n){for(;n>-1&&gs(e.charCodeAt(n));)n-=1;return n+1}function mZ(e,n=!0){const t=e&&hZ(e);return t&&!n&&vZ(t),t}function _Z(e,n,t){let r=t(e);return r?lR(r,e):r=hZ(e,t),r&&!n&&vZ(r),r}function hZ(e,n){const t=n?e=>_Z(e,!0,n):mZ,r=fG(e,t,void 0,n?e=>e&&yZ(e,!0,n):e=>e&&gZ(e),t);if(r===e){return yL(zI(e)?lR(UA.createStringLiteralFromNode(e),e):FI(e)?lR(UA.createNumericLiteral(e.text,e.numericLiteralFlags),e):UA.cloneNode(e),e)}return r.parent=void 0,r}function gZ(e,n=!0){if(e){const t=UA.createNodeArray(e.map((e=>mZ(e,n))),e.hasTrailingComma);return yL(t,e),t}return e}function yZ(e,n,t){return UA.createNodeArray(e.map((e=>_Z(e,n,t))),e.hasTrailingComma)}function vZ(e){bZ(e),EZ(e)}function bZ(e){TZ(e,1024,xZ)}function EZ(e){TZ(e,2048,MS)}function SZ(e,n){const t=e.getSourceFile();!function(e,n){const t=e.getFullStart(),r=e.getStart();for(let e=t;e<r;e++)if(10===n.charCodeAt(e))return!0;return!1}(e,t.text)?DZ(e,n,t):IZ(e,n,t),NZ(e,n,t)}function TZ(e,n,t){mR(e,n);const r=t(e);r&&TZ(r,n,t)}function xZ(e){return e.forEachChild((e=>e))}function AZ(e,n){let t=e;for(let r=1;!om(n,t);r++)t=`${e}_${r}`;return t}function RZ(e,n,t,r){let o=0,i=-1;for(const{fileName:a,textChanges:s}of e){Tt.assert(a===n);for(const e of s){const{span:n,newText:a}=e,s=MZ(a,Fv(t));if(-1!==s&&(i=n.start+o+s,!r))return i;o+=a.length-n.length}}return Tt.assert(r),Tt.assert(i>=0),i}function IZ(e,n,t,r,o){Ds(t.text,e.pos,CZ(n,t,r,o,IR))}function NZ(e,n,t,r,o){Cs(t.text,e.end,CZ(n,t,r,o,CR))}function DZ(e,n,t,r,o){Cs(t.text,e.pos,CZ(n,t,r,o,IR))}function CZ(e,n,t,r,o){return(i,a,s,l)=>{3===s?(i+=2,a-=2):i+=2,o(e,t||s,n.text.slice(i,a),void 0!==r?r:l)}}function MZ(e,n){if(st(e,n))return 0;let t=e.indexOf(" "+n);return-1===t&&(t=e.indexOf("."+n)),-1===t&&(t=e.indexOf('"'+n)),-1===t?-1:t+1}function PZ(e){return TD(e)&&28===e.operatorToken.kind||sD(e)||(MD(e)||PD(e))&&sD(e.expression)}function LZ(e,n,t){const r=by(e.parent);switch(r.kind){case 214:return n.getContextualType(r,t);case 226:{const{left:o,operatorToken:i,right:a}=r;return wZ(i.kind)?n.getTypeAtLocation(e===a?o:a):n.getContextualType(e,t)}case 296:return WZ(r,n);default:return n.getContextualType(e,t)}}function kZ(e,n,t){const r=gQ(e,n),o=JSON.stringify(t);return 0===r?`'${Bv(o).replace(/'/g,(()=>"\\'")).replace(/\\"/g,'"')}'`:o}function wZ(e){switch(e){case 37:case 35:case 38:case 36:return!0;default:return!1}}function OZ(e){switch(e.kind){case 11:case 15:case 228:case 215:return!0;default:return!1}}function FZ(e){return!!e.getStringIndexType()||!!e.getNumberIndexType()}function WZ(e,n){return n.getTypeAtLocation(e.parent.parent.expression)}function zZ(e,n,t,r){const o=t.getTypeChecker();let i=!0;const a=()=>i=!1,s=o.typeToTypeNode(e,n,1,{trackSymbol:(e,n,t)=>(i=i&&0===o.isSymbolAccessible(e,n,t,!1).accessibility,!i),reportInaccessibleThisError:a,reportPrivateInBaseOfClassExpression:a,reportInaccessibleUniqueSymbolError:a,moduleResolverHost:uQ(t,r)});return i?s:void 0}function GZ(e){return 179===e||180===e||181===e||171===e||173===e}function BZ(e){return 262===e||176===e||174===e||177===e||178===e}function jZ(e){return 267===e}function VZ(e){return 243===e||244===e||246===e||251===e||252===e||253===e||257===e||259===e||172===e||265===e||272===e||271===e||278===e||270===e||277===e}function UZ(e,n,t){const r=Nl(n,(n=>n.end!==e?"quit":eY(n.kind)));return!!r&&function(e,n){const t=e.getLastToken(n);if(t&&27===t.kind)return!1;if(GZ(e.kind)){if(t&&28===t.kind)return!1}else if(jZ(e.kind)){const t=ke(e.getChildren(n));if(t&&fC(t))return!1}else if(BZ(e.kind)){const t=ke(e.getChildren(n));if(t&&rh(t))return!1}else if(!VZ(e.kind))return!1;if(246===e.kind)return!0;const r=p$(e,Nl(e,(e=>!e.parent)),n);return!r||20===r.kind||n.getLineAndCharacterOfPosition(e.getEnd()).line!==n.getLineAndCharacterOfPosition(r.getStart(n)).line}(r,t)}function HZ(e){let n=0,t=0;return ok(e,(function r(o){if(VZ(o.kind)){const r=o.getLastToken(e);27===(null==r?void 0:r.kind)?n++:t++}else if(GZ(o.kind)){const r=o.getLastToken(e);if(27===(null==r?void 0:r.kind))n++;else if(r&&28!==r.kind){_s(e,r.getStart(e)).line!==_s(e,b_(e,r.end).start).line&&t++}}return n+t>=5||ok(o,r)})),0===n&&t<=1||n/t>.2}function KZ(e,n){return $Z(e,e.getDirectories,n)||[]}function qZ(e,n,t,r,i){return $Z(e,e.readDirectory,n,t,r,i)||o}function JZ(e,n){return $Z(e,e.fileExists,n)}function XZ(e,n){return YZ((()=>jE(n,e)))||!1}function YZ(e){try{return e()}catch{return}}function $Z(e,n,...t){return YZ((()=>n&&n.apply(e,t)))}function QZ(e,n,t){const r=[];return ka(e,(e=>{if(e===t)return!0;const o=ua(e,"package.json");JZ(n,o)&&r.push(o)})),r}function ZZ(e,n){let t;return ka(e,(e=>"node_modules"===e||(t=TU(e,(e=>JZ(n,e)),"package.json"),!!t||void 0))),t}function e0(e,n){if(!n.fileExists)return[];const t=[];return ka(ra(e),(e=>{const r=ua(e,"package.json");if(n.fileExists(r)){const e=n0(r,n);e&&t.push(e)}})),t}function n0(e,n){if(!n.readFile)return;const t=["dependencies","devDependencies","optionalDependencies","peerDependencies"],r=BE(n.readFile(e)||""),o={};if(r)for(const e of t){const n=r[e];if(!n)continue;const t=new Map;for(const e in n)t.set(e,n[e]);o[e]=t}const i=[[1,o.dependencies],[2,o.devDependencies],[8,o.optionalDependencies],[4,o.peerDependencies]];return{...o,parseable:!!r,fileName:e,get:a,has(e,n){return!!a(e,n)}};function a(e,n=15){for(const[t,r]of i)if(r&&n&t){const n=r.get(e);if(void 0!==n)return n}}}function t0(e,n,t){const r=(t.getPackageJsonsVisibleToFile&&t.getPackageJsonsVisibleToFile(e.fileName)||e0(e.fileName,t)).filter((e=>e.parseable));let o,i,a;return{allowsImportingAmbientModule:function(e,n){if(!r.length||!e.valueDeclaration)return!0;if(i){const n=i.get(e);if(void 0!==n)return n}else i=new Map;const t=Bv(e.getName());if(l(t))return i.set(e,!0),!0;const o=c(e.valueDeclaration.getSourceFile().fileName,n);if(void 0===o)return i.set(e,!0),!0;const a=s(o)||s(t);return i.set(e,a),a},allowsImportingSourceFile:function(e,n){if(!r.length)return!0;if(a){const n=a.get(e);if(void 0!==n)return n}else a=new Map;const t=c(e.fileName,n);if(!t)return a.set(e,!0),!0;const o=s(t);return a.set(e,o),o},allowsImportingSpecifier:function(e){if(!r.length||l(e))return!0;if(Ji(e)||Hi(e))return!0;return s(e)}};function s(e){const n=d(e);for(const e of r)if(e.has(n)||e.has(TW(n)))return!0;return!1}function l(n){return!!(Jh(e)&&vX.nodeCoreModules.has(n)&&(void 0===o&&(o=r0(e)),o))}function c(r,o){if(!r.includes("node_modules"))return;const i=Iz.getNodeModulesPackageName(t.getCompilationSettings(),e,r,o,n);return i?Ji(i)||Hi(i)?void 0:d(i):void 0}function d(e){const n=sa(AW(e)).slice(1);return st(n[0],"@")?`${n[0]}/${n[1]}`:n[0]}}function r0(e){return oe(e.imports,(({text:e})=>vX.nodeCoreModules.has(e)))}function o0(e){return k(sa(e),"node_modules")}function i0(e){return void 0!==e.file&&void 0!==e.start&&void 0!==e.length}function a0(e,n){const t=Ge(n,H$(e),Sn,On);if(t>=0){const r=n[t];return Tt.assertEqual(r.file,e.getSourceFile(),"Diagnostics proided to 'findDiagnosticForNode' must be from a single SourceFile"),gn(r,i0)}}function s0(e,n){var t;let r=Ge(n,e.start,(e=>e.start),wn);for(r<0&&(r=~r);(null==(t=n[r-1])?void 0:t.start)===e.start;)r--;const o=[],i=Qs(e);for(;;){const t=hn(n[r],i0);if(!t||t.start>i)break;tl(e,t)&&o.push(t),r++}return o}function l0({startPosition:e,endPosition:n}){return ul(e,void 0===n?e:n)}function c0(e,n){return Nl(l$(e,n.start),(t=>t.getStart(e)<n.start||t.getEnd()>Qs(n)?"quit":uu(t)&&DQ(n,H$(t,e))))}function d0(e,n,t=Sn){return e?pn(e)?t(B(e,n)):n(e,0):void 0}function u0(e){return pn(e)?Me(e):e}function p0(e,n){if(m0(e)){const t=_0(e);if(t)return t;const r=Qle.moduleSymbolToValidIdentifier(h0(e),n,!1),o=Qle.moduleSymbolToValidIdentifier(h0(e),n,!0);return r===o?r:[r,o]}return e.name}function f0(e,n,t){return m0(e)?_0(e)||Qle.moduleSymbolToValidIdentifier(h0(e),n,!!t):e.name}function m0(e){return!(33554432&e.flags||"export="!==e.escapedName&&"default"!==e.escapedName)}function _0(e){return T(e.declarations,(e=>{var n,t,r;return NC(e)?null==(n=hn(EP(e.expression),tN))?void 0:n.text:MC(e)&&2097152===e.symbol.flags?null==(t=hn(e.propertyName,tN))?void 0:t.text:null==(r=hn(jl(e),tN))?void 0:r.text}))}function h0(e){var n;return Tt.checkDefined(e.parent,`Symbol parent was undefined. Flags: ${Tt.formatSymbolFlags(e.flags)}. Declarations: ${null==(n=e.declarations)?void 0:n.map((e=>{const n=Tt.formatSyntaxKind(e.kind),t=Yh(e),{expression:r}=e;return(t?"[JS]":"")+n+(r?` (expression: ${Tt.formatSyntaxKind(r.kind)})`:"")})).join(", ")}.`)}function g0(e,n,t){const r=n.length;if(r+t>e.length)return!1;for(let o=0;o<r;o++)if(n.charCodeAt(o)!==e.charCodeAt(o+t))return!1;return!0}function y0(e){return 95===e.charCodeAt(0)}function v0(e){return!b0(e)}function b0(e){const n=e.getSourceFile();return!(!n.externalModuleIndicator&&!n.commonJsModuleIndicator)&&(Yh(e)||!Nl(e,(e=>pC(e)&&Gm(e))))}function E0(e){return!!(65536&Tl(e))}function S0(e,n){return T(e.imports,(e=>{if(vX.nodeCoreModules.has(e.text))return st(e.text,"node:")}))??n.usesUriStyleNodeCoreModules}function T0(e){return"\n"===e?1:0}function x0(e){return pn(e)?$S(eT(e[0]),e.slice(1)):eT(e)}function A0({options:e},n){const t=!e.semicolons||"ignore"===e.semicolons,r="remove"===e.semicolons||t&&!HZ(n);return{...e,semicolons:r?"remove":"ignore"}}function R0(e){return 2===e||3===e}function I0(e,n){return e.isSourceFileFromExternalLibrary(n)||e.isSourceFileDefaultLibrary(n)}function N0(e,n){const t=new Set,r=new Set,o=new Set;for(const a of n)if(!XC(a)){const n=Ty(a.expression);if(ed(n))switch(n.kind){case 15:case 11:t.add(n.text);break;case 9:r.add(parseInt(n.text));break;case 10:const e=Px(Xn(n.text,"n")?n.text.slice(0,-1):n.text);e&&o.add(Mx(e))}else{const n=e.getSymbolAtLocation(a.expression);if(n&&n.valueDeclaration&&nM(n.valueDeclaration)){const t=e.getConstantValue(n.valueDeclaration);void 0!==t&&i(t)}}}return{addValue:i,hasValue:function(e){switch(typeof e){case"string":return t.has(e);case"number":return r.has(e);case"object":return o.has(Mx(e))}}};function i(e){switch(typeof e){case"string":t.add(e);break;case"number":r.add(e)}}}function D0(e,n,t,r){var o;if(!tx("string"==typeof e?e:e.fileName))return!1;const i=n.getCompilerOptions(),a=Vp(i),s="string"==typeof e?sH(ga(e,t.getCurrentDirectory(),Jv(t)),null==(o=n.getPackageJsonInfoCache)?void 0:o.call(n),t,i):e.impliedNodeFormat;if(99===s)return!1;if(1===s)return!0;if(i.verbatimModuleSyntax&&1===a)return!0;if(i.verbatimModuleSyntax&&bT(a))return!1;if("object"==typeof e){if(e.commonJsModuleIndicator)return!0;if(e.externalModuleIndicator)return!1}return r}var C0,M0,P0=g({"src/services/utilities.ts"(){Tge(),KX=Gs(99,!0),qX=(e=>(e[e.None=0]="None",e[e.Value=1]="Value",e[e.Type=2]="Type",e[e.Namespace=4]="Namespace",e[e.All=7]="All",e))(qX||{}),JX=/^\/\/\/\s*</,XX=[133,131,163,136,97,140,143,146,106,150,151,148,154,155,114,112,116,157,158,159],YX=(e=>(e[e.Single=0]="Single",e[e.Double=1]="Double",e))(YX||{}),$X=function(){const e=10*dp;let n,t,r,o;l();const i=e=>s(e,17);return{displayParts:()=>{const t=n.length&&n[n.length-1].text;return o>e&&t&&"..."!==t&&(hs(t.charCodeAt(t.length-1))||n.push(zQ(" ",16)),n.push(zQ("...",15))),n},writeKeyword:e=>s(e,5),writeOperator:e=>s(e,12),writePunctuation:e=>s(e,15),writeTrailingSemicolon:e=>s(e,15),writeSpace:e=>s(e,16),writeStringLiteral:e=>s(e,8),writeParameter:e=>s(e,13),writeProperty:e=>s(e,14),writeLiteral:e=>s(e,8),writeSymbol:function(t,r){o>e||(a(),o+=t.length,n.push(WQ(t,r)))},writeLine:function(){o>e||(o+=1,n.push(nZ()),t=!0)},write:i,writeComment:i,getText:()=>"",getTextPos:()=>0,getColumn:()=>0,getLine:()=>0,isAtStartOfLine:()=>!1,hasTrailingWhitespace:()=>!1,hasTrailingComment:()=>!1,rawWrite:An,getIndent:()=>r,increaseIndent:()=>{r++},decreaseIndent:()=>{r--},clear:l};function a(){if(!(o>e)&&t){const e=Vv(r);e&&(o+=e.length,n.push(zQ(e,16))),t=!1}}function s(t,r){o>e||(a(),o+=t.length,n.push(zQ(t,r)))}function l(){n=[],t=!0,r=0,o=0}}(),QX="\n",ZX="anonymous function",eY=pt(GZ,BZ,jZ,VZ)}});function L0(e){let n=1;const t=sn(),r=new Map,i=new Map;let a;const s={isUsableByFile:e=>e===a,isEmpty:()=>!t.size,clear:()=>{t.clear(),r.clear(),a=void 0},add:(e,o,l,c,d,u,p,f)=>{let m;if(e!==a&&(s.clear(),a=e),d){const n=iA(d.fileName);if(n){const{topLevelNodeModulesIndex:t,topLevelPackageNameIndex:r,packageRootIndex:o}=n;if(m=RW(AW(d.fileName.substring(r+1,o))),st(e,d.path.substring(0,t))){const e=i.get(m),n=d.fileName.substring(0,r+1);if(e){t>e.indexOf(HO)&&i.set(m,n)}else i.set(m,n)}}}const _=1===u&&kE(o)||o,h=0===u||nQ(_)?Pl(l):p0(_,void 0),g="string"==typeof h?h:h[0],y="string"==typeof h?void 0:h[1],v=Bv(c.name),b=n++,E=hS(o,f),S=33554432&o.flags?void 0:o,T=33554432&c.flags?void 0:c;S&&T||r.set(b,[o,c]),t.add(function(e,n,t,r){const o=t||"";return`${e.length} ${Kz(hS(n,r))} ${e} ${o}`}(g,o,Xs(v)?void 0:v,f),{id:b,symbolTableKey:l,symbolName:g,capitalizedSymbolName:y,moduleName:v,moduleFile:d,moduleFileName:null==d?void 0:d.fileName,packageName:m,exportKind:u,targetFlags:E.flags,isFromPackageJson:p,symbol:S,moduleSymbol:T})},get:(e,n)=>{if(e!==a)return;const r=t.get(n);return null==r?void 0:r.map(l)},search:(n,r,o,s)=>{if(n===a)return Wf(t,((n,t)=>{const{symbolName:a,ambientModuleName:c}=function(e){const n=e.indexOf(" "),t=e.indexOf(" ",n+1),r=parseInt(e.substring(0,n),10),o=e.substring(t+1),i=o.substring(0,r),a=o.substring(r+1),s=""===a?void 0:a;return{symbolName:i,ambientModuleName:s}}(t),d=r&&n[0].capitalizedSymbolName||a;if(o(d,n[0].targetFlags)){const r=n.map(l).filter(((t,r)=>function(n,t){if(!t||!n.moduleFileName)return!0;const r=e.getGlobalTypingsCacheLocation();if(r&&st(n.moduleFileName,r))return!0;const o=i.get(t);return!o||st(n.moduleFileName,o)}(t,n[r].packageName)));if(r.length){const e=s(r,d,!!c,t);if(void 0!==e)return e}}}))},releaseSymbols:()=>{r.clear()},onFileChanged:(e,n,t)=>(!c(e)||!c(n))&&(a&&a!==n.path||t&&r0(e)!==r0(n)||!_e(e.moduleAugmentations,n.moduleAugmentations)||!function(e,n){if(!_e(e.ambientModuleNames,n.ambientModuleNames))return!1;let t=-1,r=-1;for(const o of n.ambientModuleNames){const i=e=>Om(e)&&e.name.text===o;if(t=M(e.statements,i,t+1),r=M(n.statements,i,r+1),e.statements[t]!==n.statements[r])return!1}return!0}(e,n)?(s.clear(),!0):(a=n.path,!1))};return Tt.isDebugging&&Object.defineProperty(s,"__cache",{value:t}),s;function l(n){if(n.symbol&&n.moduleSymbol)return n;const{id:t,exportKind:i,targetFlags:a,isFromPackageJson:s,moduleFileName:l}=n,[c,d]=r.get(t)||o;if(c&&d)return{symbol:c,moduleSymbol:d,moduleFileName:l,exportKind:i,targetFlags:a,isFromPackageJson:s};const u=(s?e.getPackageJsonAutoImportProvider():e.getCurrentProgram()).getTypeChecker(),p=n.moduleSymbol||d||Tt.checkDefined(n.moduleFile?u.getMergedSymbol(n.moduleFile.symbol):u.tryFindAmbientModule(n.moduleName)),f=n.symbol||c||Tt.checkDefined(2===i?u.resolveExternalModuleSymbol(p):u.tryGetMemberInModuleExportsAndProperties(Pl(n.symbolTableKey),p),`Could not find symbol '${n.symbolName}' by key '${n.symbolTableKey}' in module ${p.name}`);return r.set(t,[f,p]),{symbol:f,moduleSymbol:p,moduleFileName:l,exportKind:i,targetFlags:a,isFromPackageJson:s}}function c(e){return!(e.commonJsModuleIndicator||e.externalModuleIndicator||e.moduleAugmentations||e.ambientModuleNames)}}function k0(e,n,t,r,o,i,a){var s;if(n===t)return!1;const l=null==a?void 0:a.get(n.path,t.path,r,{});if(void 0!==(null==l?void 0:l.isBlockedByPackageJsonDependencies))return!l.isBlockedByPackageJsonDependencies;const c=Jv(i),d=null==(s=i.getGlobalTypingsCacheLocation)?void 0:s.call(i),u=!!Iz.forEachFileNameOfModule(n.fileName,t.fileName,i,!1,(r=>{const o=e.getSourceFile(r);return(o===t||!o)&&function(e,n,t,r){const o=ka(n,(e=>"node_modules"===oa(e)?e:void 0)),i=o&&ra(t(o));return void 0===i||st(t(e),i)||!!r&&st(t(r),i)}(n.fileName,r,c,d)}));if(o){const e=u&&o.allowsImportingSourceFile(t,i);return null==a||a.setBlockedByPackageJsonDependencies(n.path,t.path,r,{},!e),e}return u}function w0(e,n,t,r,o){var i,a;const s=qv(n),l=t.autoImportFileExcludePatterns&&Y(t.autoImportFileExcludePatterns,(e=>{const n=HT(e,"","exclude");return n?JT(n,s):void 0}));O0(e.getTypeChecker(),e.getSourceFiles(),l,n,((n,t)=>o(n,t,e,!1)));const c=r&&(null==(i=n.getPackageJsonAutoImportProvider)?void 0:i.call(n));if(c){const t=Zt(),r=e.getTypeChecker();O0(c.getTypeChecker(),c.getSourceFiles(),l,n,((n,t)=>{(t&&!e.getSourceFile(t.fileName)||!t&&!r.resolveName(n.name,void 0,1536,!1))&&o(n,t,c,!0)})),null==(a=n.log)||a.call(n,"forEachExternalModuleToImportFrom autoImportProvider: "+(Zt()-t))}}function O0(e,n,t,r,o){var i,a;const s=null==(i=r.getSymlinkCache)?void 0:i.call(r).getSymlinkedDirectoriesByRealpath(),l=t&&(({fileName:e,path:n})=>{if(t.some((n=>n.test(e))))return!0;if((null==s?void 0:s.size)&&HF(e)){let r=ra(e);return ka(ra(n),(n=>{const o=s.get(va(n));if(o)return o.some((n=>t.some((t=>t.test(e.replace(r,n))))));r=ra(r)}))??!1}return!1});for(const n of e.getAmbientModules())n.name.includes("*")||t&&(null==(a=n.declarations)?void 0:a.every((e=>l(e.getSourceFile()))))||o(n,void 0);for(const t of n)T_(t)&&!(null==l?void 0:l(t))&&o(e.getMergedSymbol(t.symbol),t)}function F0(e,n,t,r,o){var i,a,s,l,c;const d=Zt();null==(i=n.getPackageJsonAutoImportProvider)||i.call(n);const u=(null==(a=n.getCachedExportInfoMap)?void 0:a.call(n))||L0({getCurrentProgram:()=>t,getPackageJsonAutoImportProvider:()=>{var e;return null==(e=n.getPackageJsonAutoImportProvider)?void 0:e.call(n)},getGlobalTypingsCacheLocation:()=>{var e;return null==(e=n.getGlobalTypingsCacheLocation)?void 0:e.call(n)}});if(u.isUsableByFile(e.path))return null==(s=n.log)||s.call(n,"getExportInfoMap: cache hit"),u;null==(l=n.log)||l.call(n,"getExportInfoMap: cache miss or empty; calculating new results");const p=t.getCompilerOptions();let f=0;try{w0(t,n,r,!0,((n,t,r,i)=>{++f%100==0&&(null==o||o.throwIfCancellationRequested());const a=new Map,s=r.getTypeChecker(),l=W0(n,s,p);l&&z0(l.symbol,s)&&u.add(e.path,l.symbol,1===l.exportKind?"default":"export=",n,t,l.exportKind,i,s),s.forEachExportAndPropertyOfModule(n,((r,o)=>{r!==(null==l?void 0:l.symbol)&&z0(r,s)&&PS(a,o)&&u.add(e.path,r,o,n,t,0,i,s)}))}))}catch(e){throw u.clear(),e}return null==(c=n.log)||c.call(n,`getExportInfoMap: done in ${Zt()-d} ms`),u}function W0(e,n,t){const r=function(e,n){const t=n.resolveExternalModuleSymbol(e);if(t!==e)return{symbol:t,exportKind:2};const r=n.tryGetMemberInModuleExports("default",e);if(r)return{symbol:r,exportKind:1}}(e,n);if(!r)return;const{symbol:o,exportKind:i}=r,a=G0(o,n,t);return a&&{symbol:o,exportKind:i,...a}}function z0(e,n){return!(n.isUndefinedSymbol(e)||n.isUnknownSymbol(e)||uv(e)||pv(e))}function G0(e,n,t){const r=kE(e);if(r)return{resolvedSymbol:r,name:r.name};const o=(i=e).declarations&&T(i.declarations,(e=>{var n;return NC(e)?null==(n=hn(EP(e.expression),tN))?void 0:n.text:MC(e)?(Tt.assert("default"===e.name.text,"Expected the specifier to be a default export"),e.propertyName&&e.propertyName.text):void 0}));var i;if(void 0!==o)return{resolvedSymbol:e,name:o};if(2097152&e.flags){const r=n.getImmediateAliasedSymbol(e);if(r&&r.parent)return G0(r,n,t)}return"default"!==e.escapedName&&"export="!==e.escapedName?{resolvedSymbol:e,name:e.getName()}:{resolvedSymbol:e,name:f0(e,t.target)}}var B0,j0=g({"src/services/exportInfoMap.ts"(){Tge(),C0=(e=>(e[e.Named=0]="Named",e[e.Default=1]="Default",e[e.Namespace=2]="Namespace",e[e.CommonJS=3]="CommonJS",e))(C0||{}),M0=(e=>(e[e.Named=0]="Named",e[e.Default=1]="Default",e[e.ExportEquals=2]="ExportEquals",e[e.UMD=3]="UMD",e))(M0||{})}});function V0(){const e=Gs(99,!1);function n(n,t,r){let o=0,i=0;const a=[],{prefix:s,pushTemplate:l}=function(e){switch(e){case 3:return{prefix:'"\\\n'};case 2:return{prefix:"'\\\n"};case 1:return{prefix:"/*\n"};case 4:return{prefix:"`\n"};case 5:return{prefix:"}\n",pushTemplate:!0};case 6:return{prefix:"",pushTemplate:!0};case 0:return{prefix:""};default:return Tt.assertNever(e)}}(t);n=s+n;const c=s.length;l&&a.push(16),e.setText(n);let d=0;const u=[];let p=0;do{o=e.scan(),Qy(o)||(f(),i=o);const t=e.getTokenEnd();if(H0(e.getTokenStart(),t,c,q0(o),u),t>=n.length){const n=U0(e,o,Le(a));void 0!==n&&(d=n)}}while(1!==o);function f(){switch(o){case 44:case 69:B0[i]||14!==e.reScanSlashToken()||(o=14);break;case 30:80===i&&p++;break;case 32:p>0&&p--;break;case 133:case 154:case 150:case 136:case 155:p>0&&!r&&(o=80);break;case 16:a.push(o);break;case 19:a.length>0&&a.push(o);break;case 20:if(a.length>0){const n=Le(a);16===n?(o=e.reScanTemplateToken(!1),18===o?a.pop():Tt.assertEqual(o,17,"Should have been a template middle.")):(Tt.assertEqual(n,19,"Should have been an open brace"),a.pop())}break;default:if(!Vy(o))break;(25===i||Vy(i)&&Vy(o)&&!function(e,n){if(!W$(e))return!0;switch(n){case 139:case 153:case 137:case 126:case 129:return!0;default:return!1}}(i,o))&&(o=80)}}return{endOfLineState:d,spans:u}}return{getClassificationsForLine:function(e,t,r){return function(e,n){const t=[],r=e.spans;let o=0;for(let e=0;e<r.length;e+=3){const n=r[e],i=r[e+1],a=r[e+2];if(o>=0){const e=n-o;e>0&&t.push({length:e,classification:4})}t.push({length:i,classification:K0(a)}),o=n+i}const i=n.length-o;i>0&&t.push({length:i,classification:4});return{entries:t,finalLexState:e.endOfLineState}}(n(e,t,r),e)},getEncodedLexicalClassifications:n}}function U0(e,n,t){switch(n){case 11:{if(!e.isUnterminated())return;const n=e.getTokenText(),t=n.length-1;let r=0;for(;92===n.charCodeAt(t-r);)r++;if(!(1&r))return;return 34===n.charCodeAt(0)?3:2}case 3:return e.isUnterminated()?1:void 0;default:if(td(n)){if(!e.isUnterminated())return;switch(n){case 18:return 5;case 15:return 4;default:return Tt.fail("Only 'NoSubstitutionTemplateLiteral's and 'TemplateTail's can be unterminated; got SyntaxKind #"+n)}}return 16===t?6:void 0}}function H0(e,n,t,r,o){if(8===r)return;0===e&&t>0&&(e+=t);const i=n-e;i>0&&o.push(e-t,i,r)}function K0(e){switch(e){case 1:return 3;case 3:return 1;case 4:return 6;case 25:return 7;case 5:return 2;case 6:return 8;case 8:return 4;case 10:return 0;case 2:case 11:case 12:case 13:case 14:case 15:case 16:case 9:case 17:return 5;default:return}}function q0(e){if(Vy(e))return 3;if(function(e){switch(e){case 42:case 44:case 45:case 40:case 41:case 48:case 49:case 50:case 30:case 32:case 33:case 34:case 104:case 103:case 130:case 152:case 35:case 36:case 37:case 38:case 51:case 53:case 52:case 56:case 57:case 75:case 74:case 79:case 71:case 72:case 73:case 65:case 66:case 67:case 69:case 70:case 64:case 28:case 61:case 76:case 77:case 78:return!0;default:return!1}}(e)||function(e){switch(e){case 40:case 41:case 55:case 54:case 46:case 47:return!0;default:return!1}}(e))return 5;if(e>=19&&e<=79)return 10;switch(e){case 9:return 4;case 10:return 25;case 11:return 6;case 14:return 7;case 7:case 3:case 2:return 1;case 5:case 4:return 8;default:return td(e)?6:2}}function J0(e,n,t,r,o){return Z0(Y0(e,n,t,r,o))}function X0(e,n){switch(n){case 267:case 263:case 264:case 262:case 231:case 218:case 219:e.throwIfCancellationRequested()}}function Y0(e,n,t,r,o){const i=[];return t.forEachChild((function a(s){if(s&&al(o,s.pos,s.getFullWidth())){if(X0(n,s.kind),tN(s)&&!im(s)&&r.has(s.escapedText)){const n=e.getSymbolAtLocation(s),r=n&&$0(n,rY(s),e);r&&function(e,n,t){const r=n-e;Tt.assert(r>0,`Classification had non-positive length of ${r}`),i.push(e),i.push(r),i.push(t)}(s.getStart(t),s.getEnd(),r)}s.forEachChild(a)}})),{spans:i,endOfLineState:0}}function $0(e,n,t){const r=e.getFlags();return 2885600&r?32&r?11:384&r?12:524288&r?16:1536&r?4&n||1&n&&function(e){return oe(e.declarations,(e=>pC(e)&&1===zW(e)))}(e)?14:void 0:2097152&r?$0(t.getAliasedSymbol(e),n,t):2&n?64&r?13:262144&r?15:void 0:void 0:void 0}function Q0(e){switch(e){case 1:return"comment";case 2:return"identifier";case 3:return"keyword";case 4:return"number";case 25:return"bigint";case 5:return"operator";case 6:return"string";case 8:return"whitespace";case 9:return"text";case 10:return"punctuation";case 11:return"class name";case 12:return"enum name";case 13:return"interface name";case 14:return"module name";case 15:return"type parameter name";case 16:return"type alias name";case 17:return"parameter name";case 18:return"doc comment tag name";case 19:return"jsx open tag name";case 20:return"jsx close tag name";case 21:return"jsx self closing tag name";case 22:return"jsx attribute";case 23:return"jsx text";case 24:return"jsx attribute string literal value";default:return}}function Z0(e){Tt.assert(e.spans.length%3==0);const n=e.spans,t=[];for(let e=0;e<n.length;e+=3)t.push({textSpan:dl(n[e],n[e+1]),classificationType:Q0(n[e+2])});return t}function e1(e,n,t){return Z0(n1(e,n,t))}function n1(e,n,t){const r=t.start,o=t.length,i=Gs(99,!1,n.languageVariant,n.text),a=Gs(99,!1,n.languageVariant,n.text),s=[];return h(n),{spans:s,endOfLineState:0};function l(e,n,t){s.push(e),s.push(n),s.push(t)}function c(e,t,r,o){if(3===t){const t=fk(n.text,r,o);if(t&&t.jsDoc)return Vx(t.jsDoc,e),void function(e){var n,t,r,o,i,a,s,c;let p=e.pos;if(e.tags)for(const m of e.tags){m.pos!==p&&d(p,m.pos-p),l(m.pos,1,10),l(m.tagName.pos,m.tagName.end-m.tagName.pos,18),p=m.tagName.end;let e=m.tagName.end;switch(m.kind){case 348:const l=m;f(l),e=l.isNameFirst&&(null==(n=l.typeExpression)?void 0:n.end)||l.name.end;break;case 355:const d=m;e=d.isNameFirst&&(null==(t=d.typeExpression)?void 0:t.end)||d.name.end;break;case 352:u(m),p=m.end,e=m.typeParameters.end;break;case 353:const _=m;e=316===(null==(r=_.typeExpression)?void 0:r.kind)&&(null==(o=_.fullName)?void 0:o.end)||(null==(i=_.typeExpression)?void 0:i.end)||e;break;case 345:case 350:case 347:e=m.typeExpression.end;break;case 351:h(m.typeExpression),p=m.end,e=m.typeExpression.end;break;case 349:h(m.typeExpression),p=m.end,e=(null==(a=m.typeExpression)?void 0:a.end)||e;break;case 354:e=(null==(s=m.name)?void 0:s.end)||e;break;case 335:case 336:e=m.class.end;break;case 356:h(m.typeExpression),p=m.end,e=(null==(c=m.typeExpression)?void 0:c.end)||e}"object"==typeof m.comment?d(m.comment.pos,m.comment.end-m.comment.pos):"string"==typeof m.comment&&d(e,m.end-e)}p!==e.end&&d(p,e.end-p);return;function f(e){e.isNameFirst&&(d(p,e.name.pos-p),l(e.name.pos,e.name.end-e.name.pos,17),p=e.name.end),e.typeExpression&&(d(p,e.typeExpression.pos-p),h(e.typeExpression),p=e.typeExpression.end),e.isNameFirst||(d(p,e.name.pos-p),l(e.name.pos,e.name.end-e.name.pos,17),p=e.name.end)}}(t.jsDoc)}else if(2===t&&function(e,t){const r=/^(\/\/\/\s*)(<)(?:(\S+)((?:[^/]|\/[^>])*)(\/>)?)?/im,o=/(\s)(\S+)(\s*)(=)(\s*)('[^']+'|"[^"]+")/gim,i=n.text.substr(e,t),a=r.exec(i);if(!a)return!1;if(!a[3]||!(a[3]in Zo))return!1;let s=e;d(s,a[1].length),s+=a[1].length,l(s,a[2].length,10),s+=a[2].length,l(s,a[3].length,21),s+=a[3].length;const c=a[4];let u=s;for(;;){const e=o.exec(c);if(!e)break;const n=s+e.index+e[1].length;n>u&&(d(u,n-u),u=n),l(u,e[2].length,22),u+=e[2].length,e[3].length&&(d(u,e[3].length),u+=e[3].length),l(u,e[4].length,5),u+=e[4].length,e[5].length&&(d(u,e[5].length),u+=e[5].length),l(u,e[6].length,24),u+=e[6].length}s+=a[4].length,s>u&&d(u,s-u);a[5]&&(l(s,a[5].length,10),s+=a[5].length);const p=e+t;s<p&&d(s,p-s);return!0}(r,o))return;d(r,o)}function d(e,n){l(e,n,1)}function u(e){for(const n of e.getChildren())h(n)}function p(e,n,t){let r;for(r=n;r<t&&!ys(e.charCodeAt(r));r++);for(l(n,r-n,1),a.resetTokenState(r);a.getTokenEnd()<t;)f()}function f(){const e=a.getTokenEnd(),n=a.scan(),t=a.getTokenEnd(),r=_(n);r&&l(e,t-e,r)}function m(e){if(bM(e))return!0;if(im(e))return!0;const t=function(e){switch(e.parent&&e.parent.kind){case 286:if(e.parent.tagName===e)return 19;break;case 287:if(e.parent.tagName===e)return 20;break;case 285:if(e.parent.tagName===e)return 21;break;case 291:if(e.parent.name===e)return 22}return}(e);if(!$c(e)&&12!==e.kind&&void 0===t)return!1;const r=12===e.kind?e.pos:function(e){for(i.resetTokenState(e.pos);;){const t=i.getTokenEnd();if(!Ss(n.text,t))return t;const r=i.scan(),o=i.getTokenEnd(),a=o-t;if(!Qy(r))return t;switch(r){case 4:case 5:continue;case 2:case 3:c(e,r,t,a),i.resetTokenState(o);continue;case 7:const s=n.text,d=s.charCodeAt(t);if(60===d||62===d){l(t,a,1);continue}Tt.assert(124===d||61===d),p(s,t,o);break;case 6:break;default:Tt.assertNever(r)}}}(e),o=e.end-r;if(Tt.assert(o>=0),o>0){const n=t||_(e.kind,e);n&&l(r,o,n)}return!0}function _(e,n){if(Vy(e))return 3;if((30===e||32===e)&&n&&P$(n.parent))return 10;if(Uy(e)){if(n){const t=n.parent;if(64===e&&(260===t.kind||172===t.kind||169===t.kind||291===t.kind))return 5;if(226===t.kind||224===t.kind||225===t.kind||227===t.kind)return 5}return 10}if(9===e)return 4;if(10===e)return 25;if(11===e)return n&&291===n.parent.kind?24:6;if(14===e)return 6;if(td(e))return 6;if(12===e)return 23;if(80===e){if(n){switch(n.parent.kind){case 263:return n.parent.name===n?11:void 0;case 168:return n.parent.name===n?15:void 0;case 264:return n.parent.name===n?13:void 0;case 266:return n.parent.name===n?12:void 0;case 267:return n.parent.name===n?14:void 0;case 169:return n.parent.name===n?bb(n)?3:17:void 0}if(Gc(n.parent))return 3}return 2}}function h(t){if(t&&sl(r,o,t.pos,t.getFullWidth())){X0(e,t.kind);for(const e of t.getChildren(n))m(e)||h(e)}}}var t1,r1=g({"src/services/classifier.ts"(){Tge(),B0=Qe([80,11,9,10,14,110,46,47,22,24,20,112,97],(e=>e),(()=>!0))}}),o1=g({"src/services/documentHighlights.ts"(){Tge(),(e=>{function n(e,n){return{fileName:n.fileName,textSpan:H$(e,n),kind:"none"}}function t(e){return tC(e)?[e]:rC(e)?ae(e.catchClause?t(e.catchClause):e.tryBlock&&t(e.tryBlock),e.finallyBlock&&t(e.finallyBlock)):Td(e)?void 0:o(e,t)}function r(e){return Vc(e)?[e]:Td(e)?void 0:o(e,r)}function o(e,n){const t=[];return e.forEachChild((e=>{const r=n(e);void 0!==r&&t.push(...fn(r))})),t}function i(e,n){const t=a(n);return!!t&&t===e}function a(e){return Nl(e,(n=>{switch(n.kind){case 255:if(251===e.kind)return!1;case 248:case 249:case 250:case 247:case 246:return!e.label||function(e,n){return!!Nl(e.parent,(e=>nC(e)?e.label.escapedText===n:"quit"))}(n,e.label.escapedText);default:return Td(n)&&"quit"}}))}function s(e,n,...t){return!(!n||!k(t,n.kind))&&(e.push(n),!0)}function l(e){const n=[];if(s(n,e.getFirstToken(),99,117,92)&&246===e.kind){const t=e.getChildren();for(let e=t.length-1;e>=0&&!s(n,t[e],117);e--);}return E(r(e.statement),(t=>{i(e,t)&&s(n,t.getFirstToken(),83,88)})),n}function c(e){const n=a(e);if(n)switch(n.kind){case 248:case 249:case 250:case 246:case 247:return l(n);case 255:return d(n)}}function d(e){const n=[];return s(n,e.getFirstToken(),109),E(e.caseBlock.clauses,(t=>{s(n,t.getFirstToken(),84,90),E(r(t),(t=>{i(e,t)&&s(n,t.getFirstToken(),83)}))})),n}function u(e,n){const t=[];if(s(t,e.getFirstToken(),113),e.catchClause&&s(t,e.catchClause.getFirstToken(),85),e.finallyBlock){s(t,JY(e,98,n),98)}return t}function p(e,n){const r=function(e){let n=e;for(;n.parent;){const e=n.parent;if(rh(e)||312===e.kind)return e;if(rC(e)&&e.tryBlock===n&&e.catchClause)return n;n=e}}(e);if(!r)return;const o=[];return E(t(r),(e=>{o.push(JY(e,111,n))})),rh(r)&&H_(r,(e=>{o.push(JY(e,107,n))})),o}function f(e,n){const r=fh(e);if(!r)return;const o=[];return H_(gn(r.body,GD),(e=>{o.push(JY(e,107,n))})),E(t(r.body),(e=>{o.push(JY(e,111,n))})),o}function m(e){const n=fh(e);if(!n)return;const t=[];return n.modifiers&&n.modifiers.forEach((e=>{s(t,e,134)})),ok(n,(e=>{_(e,(e=>{bD(e)&&s(t,e.getFirstToken(),135)}))})),t}function _(e,n){n(e),Td(e)||Md(e)||cC(e)||pC(e)||dC(e)||Bd(e)||ok(e,(e=>_(e,n)))}e.getDocumentHighlights=function(e,t,r,o,i){const a=a$(r,o);if(a.parent&&(WC(a.parent)&&a.parent.tagName===a||zC(a.parent))){const{openingElement:e,closingElement:t}=a.parent.parent,o=[e,t].map((({tagName:e})=>n(e,r)));return[{fileName:r.fileName,highlightSpans:o}]}return function(e,n,t,r,o){const i=new Set(o.map((e=>e.fileName))),a=Hue.getReferenceEntriesForNode(e,n,t,o,r,void 0,i);if(!a)return;const s=Ze(a.map(Hue.toHighlightSpan),(e=>e.fileName),(e=>e.span)),l=rt(t.useCaseSensitiveFileNames());return Je($(s.entries(),(([e,n])=>{if(!i.has(e)){if(!t.redirectTargetsMap.has(ga(e,t.getCurrentDirectory(),l)))return;const n=t.getSourceFile(e);e=D(o,(e=>!!e.redirectInfo&&e.redirectInfo.redirectTarget===n)).fileName,Tt.assert(i.has(e))}return{fileName:e,highlightSpans:n}})))}(o,a,e,t,i)||function(e,t){const r=function(e,t){switch(e.kind){case 101:case 93:return UD(e.parent)?function(e,t){const r=function(e,n){const t=[];for(;UD(e.parent)&&e.parent.elseStatement===e;)e=e.parent;for(;;){const r=e.getChildren(n);s(t,r[0],101);for(let e=r.length-1;e>=0&&!s(t,r[e],93);e--);if(!e.elseStatement||!UD(e.elseStatement))break;e=e.elseStatement}return t}(e,t),o=[];for(let e=0;e<r.length;e++){if(93===r[e].kind&&e<r.length-1){const n=r[e],i=r[e+1];let a=!0;for(let e=i.getStart(t)-1;e>=n.end;e--)if(!gs(t.text.charCodeAt(e))){a=!1;break}if(a){o.push({fileName:t.fileName,textSpan:ul(n.getStart(),i.end),kind:"reference"}),e++;continue}}o.push(n(r[e],t))}return o}(e.parent,t):void 0;case 107:return i(e.parent,QD,f);case 111:return i(e.parent,tC,p);case 113:case 85:case 98:return i(85===e.kind?e.parent.parent:e.parent,rC,u);case 109:return i(e.parent,eC,d);case 84:case 90:return XC(e.parent)||JC(e.parent)?i(e.parent.parent.parent,eC,d):void 0;case 83:case 88:return i(e.parent,Vc,c);case 99:case 117:case 92:return i(e.parent,(e=>mu(e,!0)),l);case 137:return o(IN,[137]);case 139:case 153:return o(Pd,[139,153]);case 135:return i(e.parent,bD,m);case 134:return a(m(e));case 127:return a(function(e){const n=fh(e);if(!n)return;const t=[];return ok(n,(e=>{_(e,(e=>{RD(e)&&s(t,e.getFirstToken(),127)}))})),t}(e));case 103:case 147:return;default:return hd(e.kind)&&(Pu(e.parent)||BD(e.parent))?a((r=e.kind,Y(function(e,n){const t=e.parent;switch(t.kind){case 268:case 312:case 241:case 296:case 297:return 64&n&&lC(e)?[...e.members,e]:t.statements;case 176:case 174:case 262:return[...t.parameters,...Md(t.parent)?t.parent.members:[]];case 263:case 231:case 264:case 187:const r=t.members;if(15&n){const e=D(t.members,IN);if(e)return[...r,...e.parameters]}else if(64&n)return[...r,t];return r;case 210:return;default:Tt.assertNever(t,"Invalid container kind.")}}(e.parent,sE(r)),(e=>RQ(e,r))))):void 0}var r;function o(n,r){return i(e.parent,n,(e=>{var o;return Y(null==(o=hn(e,Nu))?void 0:o.symbol.declarations,(e=>n(e)?D(e.getChildren(t),(e=>k(r,e.kind))):void 0))}))}function i(e,n,r){return n(e)?a(r(e,t)):void 0}function a(e){return e&&e.map((e=>n(e,t)))}}(e,t);return r&&[{fileName:t.fileName,highlightSpans:r}]}(a,r)}})(t1||(t1={}))}});function i1(e){return!!e.sourceFile}function a1(e,n,t){return s1(e,n,t)}function s1(e,n="",t,r){const o=new Map,i=rt(!!e);function a(e){return"function"==typeof e.getCompilationSettings?e.getCompilationSettings():e}function s(e,n,t,r,o,i,a,s){return d(e,n,t,r,o,i,!0,a,s)}function l(e,n,t,r,o,i,s,l){return d(e,n,a(t),r,o,i,!1,s,l)}function c(e,n){const t=i1(e)?e:e.get(Tt.checkDefined(n,"If there are more than one scriptKind's for same document the scriptKind should be provided"));return Tt.assert(void 0===n||!t||t.sourceFile.scriptKind===n,`Script kind should match provided ScriptKind:${n} and sourceFile.scriptKind: ${null==t?void 0:t.sourceFile.scriptKind}, !entry: ${!t}`),t}function d(e,n,i,s,l,d,u,p,f){var m,_,h,g;p=QT(e,p);const y=a(i),v=i===y?void 0:i,b=6===p?100:jp(y),E="object"==typeof f?f:{languageVersion:b,impliedNodeFormat:v&&sH(n,null==(g=null==(h=null==(_=null==(m=v.getCompilerHost)?void 0:m.call(v))?void 0:_.getModuleResolutionCache)?void 0:h.call(_))?void 0:g.getPackageJsonInfoCache(),v,y),setExternalModuleIndicator:vT(y),jsDocParsingMode:t};E.languageVersion=b,Tt.assertEqual(t,E.jsDocParsingMode);const S=o.size,T=c1(s,E.impliedNodeFormat),x=Z(o,T,(()=>new Map));if(Cr){o.size>S&&Cr.instant(Cr.Phase.Session,"createdDocumentRegistryBucket",{configFilePath:y.configFilePath,key:T});const e=!_k(n)&&Wf(o,((e,t)=>t!==T&&e.has(n)&&t));e&&Cr.instant(Cr.Phase.Session,"documentRegistryBucketOverlap",{path:n,key1:e,key2:T})}const A=x.get(n);let R=A&&c(A,p);if(!R&&r){const e=r.getDocument(T,n);e&&(Tt.assert(u),R={sourceFile:e,languageServiceRefCount:0},I())}if(R)R.sourceFile.version!==d&&(R.sourceFile=E7(R.sourceFile,l,d,l.getChangeRange(R.sourceFile.scriptSnapshot)),r&&r.setDocument(T,n,R.sourceFile)),u&&R.languageServiceRefCount++;else{const t=b7(e,l,E,d,!1,p);r&&r.setDocument(T,n,t),R={sourceFile:t,languageServiceRefCount:1},I()}return Tt.assert(0!==R.languageServiceRefCount),R.sourceFile;function I(){if(A)if(i1(A)){const e=new Map;e.set(A.sourceFile.scriptKind,A),e.set(p,R),x.set(n,e)}else A.set(p,R);else x.set(n,R)}}function u(e,n,t,r){const i=Tt.checkDefined(o.get(c1(n,r))),a=i.get(e),s=c(a,t);s.languageServiceRefCount--,Tt.assert(s.languageServiceRefCount>=0),0===s.languageServiceRefCount&&(i1(a)?i.delete(e):(a.delete(t),1===a.size&&i.set(e,x(a.values(),Sn))))}return{acquireDocument:function(e,t,r,o,l,c){return s(e,ga(e,n,i),t,l1(a(t)),r,o,l,c)},acquireDocumentWithKey:s,updateDocument:function(e,t,r,o,s,c){return l(e,ga(e,n,i),t,l1(a(t)),r,o,s,c)},updateDocumentWithKey:l,releaseDocument:function(e,t,r,o){return u(ga(e,n,i),l1(t),r,o)},releaseDocumentWithKey:u,getKeyForCompilationSettings:l1,getDocumentRegistryBucketKeyWithMode:c1,reportStats:function(){const e=Je(o.keys()).filter((e=>e&&"_"===e.charAt(0))).map((e=>{const n=o.get(e),t=[];return n.forEach(((e,n)=>{i1(e)?t.push({name:n,scriptKind:e.sourceFile.scriptKind,refCount:e.languageServiceRefCount}):e.forEach(((e,r)=>t.push({name:n,scriptKind:r,refCount:e.languageServiceRefCount})))})),t.sort(((e,n)=>n.refCount-e.refCount)),{bucket:e,sourceFiles:t}}));return JSON.stringify(e,void 0,2)},getBuckets:()=>o}}function l1(e){return EF(e,zk)}function c1(e,n){return n?`${e}|${n}`:e}var d1=g({"src/services/documentRegistry.ts"(){Tge()}});function u1(e,n,t,r,o,i,a){const s=qv(r),l=rt(s),c=p1(n,t,l,a),d=p1(t,n,l,a);return p_e.ChangeTracker.with({host:r,formatContext:o,preferences:i},(o=>{!function(e,n,t,r,o,i,a){const{configFile:s}=e.getCompilerOptions();if(!s)return;const l=ra(s.fileName),c=dh(s);if(!c)return;function d(e){const n=aD(e.initializer)?e.initializer.elements:[e.initializer];let t=!1;for(const e of n)t=u(e)||t;return t}function u(e){if(!zI(e))return!1;const r=f1(l,e.text),o=t(r);return void 0!==o&&(n.replaceRangeWithText(s,g1(e,s),p(o)),!0)}function p(e){return Ca(l,e,!a)}y1(c,((e,t)=>{switch(t){case"files":case"include":case"exclude":{if(d(e)||"include"!==t||!aD(e.initializer))return;const c=Y(e.initializer.elements,(e=>zI(e)?e.text:void 0));if(0===c.length)return;const u=qT(l,[],c,a,i);return void(JT(Tt.checkDefined(u.includeFilePattern),a).test(r)&&!JT(Tt.checkDefined(u.includeFilePattern),a).test(o)&&n.insertNodeAfter(s,ke(e.initializer.elements),UA.createStringLiteral(p(o))))}case"compilerOptions":return void y1(e.initializer,((e,n)=>{const t=xw(n);Tt.assert("listOrElement"!==(null==t?void 0:t.type)),t&&(t.isFilePath||"list"===t.type&&t.element.isFilePath)?d(e):"paths"===n&&y1(e.initializer,(e=>{if(aD(e.initializer))for(const n of e.initializer.elements)u(n)}))}))}}))}(e,o,c,n,t,r.getCurrentDirectory(),s),function(e,n,t,r,o,i){const a=e.getSourceFiles();for(const s of a){const l=t(s.fileName),c=l??s.fileName,d=ra(c),u=r(s.fileName),p=u||s.fileName,f=ra(p),m=void 0!==l||void 0!==u;h1(s,n,(e=>{if(!Ji(e))return;const n=f1(f,e),r=t(n);return void 0===r?void 0:ba(Ca(d,r,i))}),(n=>{const r=e.getTypeChecker().getSymbolAtLocation(n);if((null==r?void 0:r.declarations)&&r.declarations.some((e=>km(e))))return;const i=void 0!==u?_1(n,wF(n.text,p,e.getCompilerOptions(),o),t,a):m1(r,n,s,e,o,t);return void 0!==i&&(i.updated||m&&Ji(n.text))?Iz.updateModuleSpecifier(e.getCompilerOptions(),s,c,i.newFileName,dQ(e,o),n.text):void 0}))}}(e,o,c,d,r,l)}))}function p1(e,n,t,r){const o=t(e);return e=>{const i=r&&r.tryGetSourcePosition({fileName:e,pos:0}),a=function(e){if(t(e)===o)return n;const r=WT(e,o,t);return void 0===r?void 0:n+"/"+r}(i?i.fileName:e);return i?void 0===a?void 0:function(e,n,t,r){const o=Pa(e,n,r);return f1(ra(t),o)}(i.fileName,a,e,t):a}}function f1(e,n){return ba(function(e,n){return _a(ua(e,n))}(e,n))}function m1(e,n,t,r,o,i){if(e){const n=D(e.declarations,rM).fileName,t=i(n);return void 0===t?{newFileName:n,updated:!1}:{newFileName:t,updated:!0}}{const e=r.getModeForUsageLocation(t,n);return _1(n,o.resolveModuleNameLiterals||!o.resolveModuleNames?r.getResolvedModuleFromModuleSpecifier(n):o.getResolvedModuleWithFailedLookupLocationsFromCache&&o.getResolvedModuleWithFailedLookupLocationsFromCache(n.text,t.fileName,e),i,r.getSourceFiles())}}function _1(e,n,t,r){if(!n)return;if(n.resolvedModule){const e=a(n.resolvedModule.resolvedFileName);if(e)return e}const o=E(n.failedLookupLocations,(function(e){const n=t(e);return n&&D(r,(e=>e.fileName===n))?i(e):void 0}))||Ji(e.text)&&E(n.failedLookupLocations,i);return o||n.resolvedModule&&{newFileName:n.resolvedModule.resolvedFileName,updated:!1};function i(e){return Xn(e,"/package.json")?void 0:a(e)}function a(e){const n=t(e);return n&&{newFileName:n,updated:!0}}}function h1(e,n,t,r){for(const r of e.referencedFiles||o){const o=t(r.fileName);void 0!==o&&o!==e.text.slice(r.pos,r.end)&&n.replaceRangeWithText(e,r,o)}for(const t of e.imports){const o=r(t);void 0!==o&&o!==t.text&&n.replaceRangeWithText(e,g1(t,e),o)}}function g1(e,n){return UE(e.getStart(n)+1,e.end-1)}function y1(e,n){if(sD(e))for(const t of e.properties)QC(t)&&zI(t.name)&&n(t,t.name.text)}var v1,b1=g({"src/services/getEditsForFileRename.ts"(){Tge()}});function E1(e,n){return{kind:e,isCaseSensitive:n}}function S1(e){const n=new Map,t=e.trim().split(".").map((e=>{return{totalTextChunk:O1(n=e.trim()),subWordTextChunks:w1(n)};var n}));return 1===t.length&&""===t[0].totalTextChunk.text?{getMatchForLastSegmentOfPattern:()=>E1(2,!0),getFullMatch:()=>E1(2,!0),patternContainsDots:!1}:t.some((e=>!e.subWordTextChunks.length))?void 0:{getFullMatch:(e,r)=>function(e,n,t,r){const o=A1(n,ke(t),r);if(!o)return;if(t.length-1>e.length)return;let i;for(let n=t.length-2,o=e.length-1;n>=0;n-=1,o-=1)i=R1(i,A1(e[o],t[n],r));return i}(e,r,t,n),getMatchForLastSegmentOfPattern:e=>A1(e,ke(t),n),patternContainsDots:t.length>1}}function T1(e,n){let t=n.get(e);return t||n.set(e,t=W1(e)),t}function x1(e,n,t){const r=function(e,n){const t=e.length-n.length;for(let r=0;r<=t;r++)if(H1(n,((n,t)=>P1(e.charCodeAt(t+r))===n)))return r;return-1}(e,n.textLowerCase);if(0===r)return E1(n.text.length===e.length?0:1,st(e,n.text));if(n.isLowerCase){if(-1===r)return;const o=T1(e,t);for(const t of o)if(N1(e,t,n.text,!0))return E1(2,N1(e,t,n.text,!1));if(n.text.length<e.length&&C1(e.charCodeAt(r)))return E1(2,!1)}else{if(e.indexOf(n.text)>0)return E1(2,!0);if(n.characterSpans.length>0){const r=T1(e,t),o=!!D1(e,r,n,!1)||!D1(e,r,n,!0)&&void 0;if(void 0!==o)return E1(3,o)}}}function A1(e,n,t){if(H1(n.totalTextChunk.text,(e=>32!==e&&42!==e))){const r=x1(e,n.totalTextChunk,t);if(r)return r}const r=n.subWordTextChunks;let o;for(const n of r)o=R1(o,x1(e,n,t));return o}function R1(e,n){return Fn([e,n],I1)}function I1(e,n){return void 0===e?1:void 0===n?-1:wn(e.kind,n.kind)||Kn(!e.isCaseSensitive,!n.isCaseSensitive)}function N1(e,n,t,r,o={start:0,length:t.length}){return o.length<=n.length&&U1(0,o.length,(i=>function(e,n,t){return t?P1(e)===P1(n):e===n}(t.charCodeAt(o.start+i),e.charCodeAt(n.start+i),r)))}function D1(e,n,t,r){const o=t.characterSpans;let i,a,s=0,l=0;for(;;){if(l===o.length)return!0;if(s===n.length)return!1;let c=n[s],d=!1;for(;l<o.length;l++){const n=o[l];if(d&&(!C1(t.text.charCodeAt(o[l-1].start))||!C1(t.text.charCodeAt(o[l].start))))break;if(!N1(e,c,t.text,r,n))break;d=!0,i=void 0===i?s:i,a=void 0===a||a,c=dl(c.start+n.length,c.length-n.length)}d||void 0===a||(a=!1),s++}}function C1(e){if(e>=65&&e<=90)return!0;if(e<127||!is(e,99))return!1;const n=String.fromCharCode(e);return n===n.toUpperCase()}function M1(e){if(e>=97&&e<=122)return!0;if(e<127||!is(e,99))return!1;const n=String.fromCharCode(e);return n===n.toLowerCase()}function P1(e){return e>=65&&e<=90?e-65+97:e<127?e:String.fromCharCode(e).toLowerCase().charCodeAt(0)}function L1(e){return e>=48&&e<=57}function k1(e){return C1(e)||M1(e)||L1(e)||95===e||36===e}function w1(e){const n=[];let t=0,r=0;for(let o=0;o<e.length;o++){k1(e.charCodeAt(o))?(0===r&&(t=o),r++):r>0&&(n.push(O1(e.substr(t,r))),r=0)}return r>0&&n.push(O1(e.substr(t,r))),n}function O1(e){const n=e.toLowerCase();return{text:e,textLowerCase:n,isLowerCase:e===n,characterSpans:F1(e)}}function F1(e){return z1(e,!1)}function W1(e){return z1(e,!0)}function z1(e,n){const t=[];let r=0;for(let o=1;o<e.length;o++){const i=L1(e.charCodeAt(o-1)),a=L1(e.charCodeAt(o)),s=V1(e,n,o),l=n&&j1(e,o,r);(G1(e.charCodeAt(o-1))||G1(e.charCodeAt(o))||i!==a||s||l)&&(B1(e,r,o)||t.push(dl(r,o-r)),r=o)}return B1(e,r,e.length)||t.push(dl(r,e.length-r)),t}function G1(e){switch(e){case 33:case 34:case 35:case 37:case 38:case 39:case 40:case 41:case 42:case 44:case 45:case 46:case 47:case 58:case 59:case 63:case 64:case 91:case 92:case 93:case 95:case 123:case 125:return!0}return!1}function B1(e,n,t){return H1(e,(e=>G1(e)&&95!==e),n,t)}function j1(e,n,t){return n!==t&&n+1<e.length&&C1(e.charCodeAt(n))&&M1(e.charCodeAt(n+1))&&H1(e,C1,t,n)}function V1(e,n,t){const r=C1(e.charCodeAt(t-1));return C1(e.charCodeAt(t))&&(!n||!r)}function U1(e,n,t){for(let r=e;r<n;r++)if(!t(r))return!1;return!0}function H1(e,n,t=0,r=e.length){return U1(t,r,(t=>n(e.charCodeAt(t),t)))}var K1=g({"src/services/patternMatcher.ts"(){Tge(),v1=(e=>(e[e.exact=0]="exact",e[e.prefix=1]="prefix",e[e.substring=2]="substring",e[e.camelCase=3]="camelCase",e))(v1||{})}});function q1(e,n=!0,t=!1){const r={languageVersion:1,pragmas:void 0,checkJsDirective:void 0,referencedFiles:[],typeReferenceDirectives:[],libReferenceDirectives:[],amdDependencies:[],hasNoDefaultLib:void 0,moduleName:void 0},o=[];let i,a,s,l=0,c=!1;function d(){return a=s,s=KX.scan(),19===s?l++:20===s&&l--,s}function u(){const e=KX.getTokenValue(),n=KX.getTokenStart();return{fileName:e,pos:n,end:n+e.length}}function p(){o.push(u()),f()}function f(){0===l&&(c=!0)}function m(){let e=KX.getToken();return 138===e&&(e=d(),144===e&&(e=d(),11===e&&(i||(i=[]),i.push({ref:u(),depth:l}))),!0)}function _(){if(25===a)return!1;let e=KX.getToken();if(102===e){if(e=d(),21===e){if(e=d(),11===e||15===e)return p(),!0}else{if(11===e)return p(),!0;if(156===e){KX.lookAhead((()=>{const e=KX.scan();return 161!==e&&(42===e||19===e||80===e||Vy(e))}))&&(e=d())}if(80===e||Vy(e))if(e=d(),161===e){if(e=d(),11===e)return p(),!0}else if(64===e){if(g(!0))return!0}else{if(28!==e)return!0;e=d()}if(19===e){for(e=d();20!==e&&1!==e;)e=d();20===e&&(e=d(),161===e&&(e=d(),11===e&&p()))}else 42===e&&(e=d(),130===e&&(e=d(),(80===e||Vy(e))&&(e=d(),161===e&&(e=d(),11===e&&p()))))}return!0}return!1}function h(){let e=KX.getToken();if(95===e){if(f(),e=d(),156===e){KX.lookAhead((()=>{const e=KX.scan();return 42===e||19===e}))&&(e=d())}if(19===e){for(e=d();20!==e&&1!==e;)e=d();20===e&&(e=d(),161===e&&(e=d(),11===e&&p()))}else if(42===e)e=d(),161===e&&(e=d(),11===e&&p());else if(102===e){if(e=d(),156===e){KX.lookAhead((()=>{const e=KX.scan();return 80===e||Vy(e)}))&&(e=d())}if((80===e||Vy(e))&&(e=d(),64===e&&g(!0)))return!0}return!0}return!1}function g(e,n=!1){let t=e?d():KX.getToken();return 149===t&&(t=d(),21===t&&(t=d(),(11===t||n&&15===t)&&p()),!0)}function y(){let e=KX.getToken();if(80===e&&"define"===KX.getTokenValue()){if(e=d(),21!==e)return!0;if(e=d(),11===e||15===e){if(e=d(),28!==e)return!0;e=d()}if(23!==e)return!0;for(e=d();24!==e&&1!==e;)11!==e&&15!==e||p(),e=d();return!0}return!1}if(n&&function(){for(KX.setText(e),d();1!==KX.getToken();){if(16===KX.getToken()){const e=[KX.getToken()];e:for(;b(e);){const n=KX.scan();switch(n){case 1:break e;case 102:_();break;case 16:e.push(n);break;case 19:b(e)&&e.push(n);break;case 20:b(e)&&(16===Le(e)?18===KX.reScanTemplateToken(!1)&&e.pop():e.pop())}}d()}m()||_()||h()||t&&(g(!1,!0)||y())||d()}KX.setText(void 0)}(),gk(r,e),yk(r,yn),c){if(i)for(const e of i)o.push(e.ref);return{referencedFiles:r.referencedFiles,typeReferenceDirectives:r.typeReferenceDirectives,libReferenceDirectives:r.libReferenceDirectives,importedFiles:o,isLibFile:!!r.hasNoDefaultLib,ambientExternalModules:void 0}}{let e;if(i)for(const n of i)0===n.depth?(e||(e=[]),e.push(n.ref.fileName)):o.push(n.ref);return{referencedFiles:r.referencedFiles,typeReferenceDirectives:r.typeReferenceDirectives,libReferenceDirectives:r.libReferenceDirectives,importedFiles:o,isLibFile:!!r.hasNoDefaultLib,ambientExternalModules:e}}}var J1,X1=g({"src/services/preProcess.ts"(){Tge()}});function Y1(e){const n=rt(e.useCaseSensitiveFileNames()),t=e.getCurrentDirectory(),r=new Map,o=new Map;return{tryGetSourcePosition:function e(n){if(!_k(n.fileName))return;if(!s(n.fileName))return;const t=a(n.fileName).getSourcePosition(n);return t&&t!==n?e(t)||t:void 0},tryGetGeneratedPosition:function(r){if(_k(r.fileName))return;const o=s(r.fileName);if(!o)return;const i=e.getProgram();if(i.isSourceOfProjectReferenceRedirect(o.fileName))return;const l=ob(i.getCompilerOptions()),c=l?cx(l)+".d.ts":nb(r.fileName,i.getCompilerOptions(),t,i.getCommonSourceDirectory(),n);if(void 0===c)return;const d=a(c,r.fileName).getGeneratedPosition(r);return d===r?void 0:d},toLineColumnOffset:function(e,n){return c(e).getLineAndCharacterOfPosition(n)},clearCache:function(){r.clear(),o.clear()}};function i(e){return ga(e,t,n)}function a(t,r){const a=i(t),s=o.get(a);if(s)return s;let l;if(e.getDocumentPositionMapper)l=e.getDocumentPositionMapper(t,r);else if(e.readFile){const r=c(t);l=r&&$1({getSourceFileLike:c,getCanonicalFileName:n,log:n=>e.log(n)},t,EG(r.text,us(r)),(n=>!e.fileExists||e.fileExists(n)?e.readFile(n):void 0))}return o.set(a,l||yG),l||yG}function s(n){const t=e.getProgram();if(!t)return;const r=i(n),o=t.getSourceFileByPath(r);return o&&o.resolvedPath===r?o:void 0}function l(n){const t=i(n),o=r.get(t);if(void 0!==o)return o||void 0;if(!e.readFile||e.fileExists&&!e.fileExists(n))return void r.set(t,!1);const a=e.readFile(n),s=!!a&&function(e,n){return{text:e,lineMap:n,getLineAndCharacterOfPosition(e){return ps(us(this),e)}}}(a);return r.set(t,s),s||void 0}function c(n){return e.getSourceFileLike?e.getSourceFileLike(n):s(n)||l(n)}}function $1(e,n,t,r){let o=SG(t);if(o){const t=J1.exec(o);if(t){if(t[1]){const r=t[1];return Q1(e,WE(fi,r),n)}o=void 0}}const i=[];o&&i.push(o),i.push(n+".map");const a=o&&ma(o,ra(n));for(const t of i){const o=ma(t,ra(n)),i=r(o,a);if(mn(i))return Q1(e,i,o);if(void 0!==i)return i||void 0}}function Q1(e,n,t){const r=AG(n);if(r&&r.sources&&r.file&&r.mappings&&(!r.sourcesContent||!r.sourcesContent.some(mn)))return wG(e,r,t)}var Z1,e2=g({"src/services/sourcemaps.ts"(){Tge(),J1=/^data:(?:application\/json(?:;charset=[uU][tT][fF]-8);base64,([A-Za-z0-9+/=]+)$)?/}});function n2(e,n,t){var r;n.getSemanticDiagnostics(e,t);const o=[],i=n.getTypeChecker();var a;!(1===e.impliedNodeFormat||Qi(e.fileName,[".cts",".cjs"]))&&e.commonJsModuleIndicator&&(lQ(n)||cQ(n.getCompilerOptions()))&&function(e){return e.statements.some((e=>{switch(e.kind){case 243:return e.declarationList.declarations.some((e=>!!e.initializer&&ng(t2(e.initializer),!0)));case 244:{const{expression:n}=e;if(!TD(n))return ng(n,!0);const t=Eg(n);return 1===t||2===t}default:return!1}}))}(e)&&o.push(d_(TD(a=e.commonJsModuleIndicator)?a.left:a,Oa.File_is_a_CommonJS_module_it_may_be_converted_to_an_ES_module));const s=Jh(e);if(Z1.clear(),function n(t){if(s)(function(e,n){var t,r,o,i;if(_D(e)){if(iC(e.parent)&&(null==(t=e.symbol.members)?void 0:t.size))return!0;const i=n.getSymbolOfExpando(e,!1);return!(!i||!(null==(r=i.exports)?void 0:r.size)&&!(null==(o=i.members)?void 0:o.size))}if(sC(e))return!!(null==(i=e.symbol.members)?void 0:i.size);return!1})(t,i)&&o.push(d_(iC(t.parent)?t.parent.name:t,Oa.This_constructor_function_may_be_converted_to_a_class_declaration));else{if(BD(t)&&t.parent===e&&2&t.declarationList.flags&&1===t.declarationList.declarations.length){const e=t.declarationList.declarations[0].initializer;e&&ng(e,!0)&&o.push(d_(e,Oa.require_call_may_be_converted_to_an_import))}const n=Qle.getJSDocTypedefNodes(t);for(const e of n)o.push(d_(e,Oa.JSDoc_typedef_may_be_converted_to_TypeScript_type));Qle.parameterShouldGetTypeFromJSDoc(t)&&o.push(d_(t.name||t,Oa.JSDoc_types_may_be_moved_to_TypeScript_types))}u2(t)&&function(e,n,t){(function(e,n){return!ev(e)&&e.body&&GD(e.body)&&function(e,n){return!!H_(e,(e=>i2(e,n)))}(e.body,n)&&o2(e,n)})(e,n)&&!Z1.has(d2(e))&&t.push(d_(!e.name&&iC(e.parent)&&tN(e.parent.name)?e.parent.name:e,Oa.This_may_be_converted_to_an_async_function))}(t,i,o);t.forEachChild(n)}(e),Jp(n.getCompilerOptions()))for(const t of e.imports){const e=r2(Wg(t));if(!e)continue;const i=null==(r=n.getResolvedModuleFromModuleSpecifier(t))?void 0:r.resolvedModule,a=i&&n.getSourceFile(i.resolvedFileName);a&&a.externalModuleIndicator&&!0!==a.externalModuleIndicator&&NC(a.externalModuleIndicator)&&a.externalModuleIndicator.isExportEquals&&o.push(d_(e,Oa.Import_may_be_converted_to_a_default_import))}return Ee(o,e.bindSuggestionDiagnostics),Ee(o,n.getSuggestionDiagnostics(e,t)),o.sort(((e,n)=>e.start-n.start))}function t2(e){return lD(e)?t2(e.expression):e}function r2(e){switch(e.kind){case 272:const{importClause:n,moduleSpecifier:t}=e;return n&&!n.name&&n.namedBindings&&274===n.namedBindings.kind&&zI(t)?n.namedBindings.name:void 0;case 271:return e.name;default:return}}function o2(e,n){const t=n.getSignatureFromDeclaration(e),r=t?n.getReturnTypeOfSignature(t):void 0;return!!r&&!!n.getPromisedTypeOfPromise(r)}function i2(e,n){return QD(e)&&!!e.expression&&a2(e.expression,n)}function a2(e,n){if(!s2(e)||!l2(e)||!e.arguments.every((e=>c2(e,n))))return!1;let t=e.expression.expression;for(;s2(t)||lD(t);)if(dD(t)){if(!l2(t)||!t.arguments.every((e=>c2(e,n))))return!1;t=t.expression.expression}else t=t.expression;return!0}function s2(e){return dD(e)&&(yY(e,"then")||yY(e,"catch")||yY(e,"finally"))}function l2(e){const n=e.expression.name.text,t="then"===n?2:"catch"===n||"finally"===n?1:0;return!(e.arguments.length>t)&&(e.arguments.length<t||(1===t||oe(e.arguments,(e=>106===e.kind||tN(e)&&"undefined"===e.text))))}function c2(e,n){switch(e.kind){case 262:case 218:if(1&Zy(e))return!1;case 219:Z1.set(d2(e),!0);case 106:return!0;case 80:case 211:{const t=n.getSymbolAtLocation(e);return!!t&&(n.isUndefinedSymbol(t)||oe(hS(t,n).declarations,(e=>Td(e)||$u(e)&&!!e.initializer&&Td(e.initializer))))}default:return!1}}function d2(e){return`${e.pos.toString()}:${e.end.toString()}`}function u2(e){switch(e.kind){case 262:case 174:case 218:case 219:return!0;default:return!1}}var p2,f2,m2=g({"src/services/suggestionDiagnostics.ts"(){Tge(),Z1=new Map}});function _2(e,n){const t=[],r=n.compilerOptions?g2(n.compilerOptions,t):{},o={target:1,jsx:1};for(const e in o)je(o,e)&&void 0===r[e]&&(r[e]=o[e]);for(const e of Bk)r.verbatimModuleSyntax&&p2.has(e.name)||(r[e.name]=e.transpileOptionValue);r.suppressOutputPathCheck=!0,r.allowNonTsExtensions=!0;const i=VE(r),a={getSourceFile:e=>e===_a(s)?l:void 0,writeFile:(e,n)=>{$i(e,".map")?(Tt.assertEqual(d,void 0,"Unexpected multiple source map outputs, file:",e),d=n):(Tt.assertEqual(c,void 0,"Unexpected multiple outputs, file:",e),c=n)},getDefaultLibFileName:()=>"lib.d.ts",useCaseSensitiveFileNames:()=>!1,getCanonicalFileName:e=>e,getCurrentDirectory:()=>"",getNewLine:()=>i,fileExists:e=>e===s,readFile:()=>"",directoryExists:()=>!0,getDirectories:()=>[]},s=n.fileName||(n.compilerOptions&&n.compilerOptions.jsx?"module.tsx":"module.ts"),l=lk(s,e,{languageVersion:jp(r),impliedNodeFormat:sH(ga(s,"",a.getCanonicalFileName),void 0,a,r),setExternalModuleIndicator:vT(r),jsDocParsingMode:n.jsDocParsingMode??0});let c,d;n.moduleName&&(l.moduleName=n.moduleName),n.renamedDependencies&&(l.renamedDependencies=new Map(Object.entries(n.renamedDependencies)));const u=cH([s],r,a);return n.reportDiagnostics&&(Ee(t,u.getSyntacticDiagnostics(l)),Ee(t,u.getOptionsDiagnostics())),u.emit(void 0,void 0,void 0,void 0,n.transformers),void 0===c?Tt.fail("Output generation failed"):{outputText:c,diagnostics:t,sourceMapText:d}}function h2(e,n,t,r,o){const i=_2(e,{compilerOptions:n,fileName:t,reportDiagnostics:!!r,moduleName:o});return Ee(r,i.diagnostics),i.outputText}function g2(e,n){f2=f2||W(kk,(e=>"object"==typeof e.type&&!Wf(e.type,(e=>"number"!=typeof e)))),e=z$(e);for(const t of f2){if(!je(e,t.name))continue;const r=e[t.name];mn(r)?e[t.name]=gw(t,r,n):Wf(t.type,(e=>e===r))||n.push(_w(t))}return e}var y2=g({"src/services/transpile.ts"(){Tge(),p2=new Set(["isolatedModules","preserveValueImports","importsNotUsedAsValues"])}});function v2(e,n,t,r,i,a,s){const l=S1(r);if(!l)return o;const c=[],d=1===e.length?e[0]:void 0;for(const r of e)t.throwIfCancellationRequested(),a&&r.isDeclarationFile||b2(r,!!s,d)||r.getNamedDeclarations().forEach(((e,t)=>{E2(l,t,e,n,r.fileName,!!s,d,c)}));return c.sort(I2),(void 0===i?c:c.slice(0,i)).map(N2)}function b2(e,n,t){return e!==t&&n&&(o0(e.path)||e.hasNoDefaultLib)}function E2(e,n,t,r,o,i,a,s){const l=e.getMatchForLastSegmentOfPattern(n);if(l)for(const c of t)if(S2(c,r,i,a))if(e.patternContainsDots){const t=e.getFullMatch(R2(c),n);t&&s.push({name:n,fileName:o,matchKind:t.kind,isCaseSensitive:t.isCaseSensitive,declaration:c})}else s.push({name:n,fileName:o,matchKind:l.kind,isCaseSensitive:l.isCaseSensitive,declaration:c})}function S2(e,n,t,r){var o;switch(e.kind){case 273:case 276:case 271:const i=n.getSymbolAtLocation(e.name),a=n.getAliasedSymbol(i);return i.escapedName!==a.escapedName&&!(null==(o=a.declarations)?void 0:o.every((e=>b2(e.getSourceFile(),t,r))));default:return!0}}function T2(e,n){const t=jl(e);return!!t&&(A2(t,n)||167===t.kind&&x2(t.expression,n))}function x2(e,n){return A2(e,n)||lD(e)&&(n.push(e.name.text),!0)&&x2(e.expression,n)}function A2(e,n){return av(e)&&(n.push(sv(e)),!0)}function R2(e){const n=[],t=jl(e);if(t&&167===t.kind&&!x2(t.expression,n))return o;n.shift();let r=CY(e);for(;r;){if(!T2(r,n))return o;r=CY(r)}return n.reverse()}function I2(e,n){return wn(e.matchKind,n.matchKind)||Un(e.name,n.name)}function N2(e){const n=e.declaration,t=CY(n),r=t&&jl(t);return{name:e.name,kind:MY(n),kindModifiers:M$(n),matchKind:v1[e.matchKind],isCaseSensitive:e.isCaseSensitive,fileName:e.fileName,textSpan:H$(n),containerName:r?r.text:"",containerKind:r?MY(t):""}}var D2=g({"src/services/navigateTo.ts"(){Tge()}}),C2={};y(C2,{getNavigateToItems:()=>v2});var M2,P2,L2,k2,w2,O2,F2,W2,z2,G2,B2=g({"src/services/_namespaces/ts.NavigateTo.ts"(){D2()}});function j2(e,n){L2=n,k2=e;try{return B(function(e){const n=[];function t(e){if(r(e)&&(n.push(e),e.children))for(const n of e.children)t(n)}return t(e),n;function r(e){if(e.children)return!0;switch(K2(e)){case 263:case 231:case 266:case 264:case 267:case 312:case 265:case 353:case 345:return!0;case 219:case 262:case 218:return n(e);default:return!1}function n(e){if(!e.node.body)return!1;switch(K2(e.parent)){case 268:case 312:case 174:case 176:return!0;default:return!1}}}}(J2(e)),h4)}finally{U2()}}function V2(e,n){L2=n,k2=e;try{return _4(J2(e))}finally{U2()}}function U2(){k2=void 0,L2=void 0,w2=[],O2=void 0,z2=[]}function H2(e){return R4(e.getText(k2))}function K2(e){return e.node.kind}function q2(e,n){e.children?e.children.push(n):e.children=[n]}function J2(e){Tt.assert(!w2.length);const n={node:e,name:void 0,additionalNodes:void 0,parent:void 0,children:void 0,indent:0};O2=n;for(const n of e.statements)i4(n);return n4(),Tt.assert(!O2&&!w2.length),n}function X2(e,n){q2(O2,Y2(e,n))}function Y2(e,n){return{node:e,name:n||(Pu(e)||uu(e)?jl(e):void 0),additionalNodes:void 0,parent:O2,children:void 0,indent:O2.indent+1}}function $2(e){W2||(W2=new Map),W2.set(e,!0)}function Q2(e){for(let n=0;n<e;n++)n4()}function Z2(e,n){const t=[];for(;!av(n);){const e=Ng(n),r=Cg(n);n=n.expression,"prototype"===r||rN(e)||t.push(e)}t.push(n);for(let n=t.length-1;n>0;n--){e4(e,t[n])}return[t.length-1,t[0]]}function e4(e,n){const t=Y2(e,n);q2(O2,t),w2.push(O2),F2.push(W2),W2=void 0,O2=t}function n4(){O2.children&&(a4(O2.children,O2),u4(O2.children)),O2=w2.pop(),W2=F2.pop()}function t4(e,n,t){e4(e,t),i4(n),n4()}function r4(e){e.initializer&&function(e){switch(e.kind){case 219:case 218:case 231:return!0;default:return!1}}(e.initializer)?(e4(e),ok(e.initializer,i4),n4()):t4(e,e.initializer)}function o4(e){const n=jl(e);if(void 0===n)return!1;if(yN(n)){const e=n.expression;return EE(e)||FI(e)||nv(e)}return!!n}function i4(e){if(L2.throwIfCancellationRequested(),e&&!$c(e))switch(e.kind){case 176:const n=e;t4(n,n.body);for(const e of n.parameters)gl(e,n)&&X2(e);break;case 174:case 177:case 178:case 173:o4(e)&&t4(e,e.body);break;case 172:o4(e)&&r4(e);break;case 171:o4(e)&&X2(e);break;case 273:const t=e;t.name&&X2(t.name);const{namedBindings:r}=t;if(r)if(274===r.kind)X2(r);else for(const e of r.elements)X2(e);break;case 304:t4(e,e.name);break;case 305:const{expression:o}=e;tN(o)?X2(e,o):X2(e);break;case 208:case 303:case 260:{const n=e;Vd(n.name)?i4(n.name):r4(n);break}case 262:const i=e.name;i&&tN(i)&&$2(i.text),t4(e,e.body);break;case 219:case 218:t4(e,e.body);break;case 266:e4(e);for(const n of e.members)E4(n)||X2(n);n4();break;case 263:case 231:case 264:e4(e);for(const n of e.members)i4(n);n4();break;case 267:t4(e,b4(e).body);break;case 277:{const n=e.expression,t=sD(n)||dD(n)?n:hD(n)||_D(n)?n.body:void 0;t?(e4(e),i4(t),n4()):X2(e);break}case 281:case 271:case 181:case 179:case 180:case 265:X2(e);break;case 213:case 226:{const n=Eg(e);switch(n){case 1:case 2:return void t4(e,e.right);case 6:case 3:{const t=e,r=t.left,o=3===n?r.expression:r;let i,a=0;return tN(o.expression)?($2(o.expression.text),i=o.expression):[a,i]=Z2(t,o.expression),6===n?sD(t.right)&&t.right.properties.length>0&&(e4(t,i),ok(t.right,i4),n4()):_D(t.right)||hD(t.right)?t4(e,t.right,i):(e4(t,i),t4(e,t.right,r.name),n4()),void Q2(a)}case 7:case 9:{const t=e,r=7===n?t.arguments[0]:t.arguments[0].expression,o=t.arguments[1],[i,a]=Z2(e,r);return e4(e,a),e4(e,yL(UA.createIdentifier(o.text),o)),i4(e.arguments[2]),n4(),n4(),void Q2(i)}case 5:{const n=e,t=n.left,r=t.expression;if(tN(r)&&"prototype"!==Cg(t)&&W2&&W2.has(r.text))return void(_D(n.right)||hD(n.right)?t4(e,n.right,r):Ag(t)&&(e4(n,r),t4(n.left,n.right,Ng(t)),n4()));break}case 4:case 0:case 8:break;default:Tt.assertNever(n)}}default:Xu(e)&&E(e.jsDoc,(e=>{E(e.tags,(e=>{Kg(e)&&X2(e)}))})),ok(e,i4)}}function a4(e,n){const t=new Map;z(e,((e,r)=>{const o=e.name||jl(e.node),i=o&&H2(o);if(!i)return!0;const a=t.get(i);if(!a)return t.set(i,e),!0;if(a instanceof Array){for(const t of a)if(s4(t,e,r,n))return!1;return a.push(e),!0}{const o=a;return!s4(o,e,r,n)&&(t.set(i,[o,e]),!0)}}))}function s4(e,n,t,r){return!!function(e,n,t,r){function o(e){return _D(e)||sC(e)||iC(e)}const i=TD(n.node)||dD(n.node)?Eg(n.node):0,a=TD(e.node)||dD(e.node)?Eg(e.node):0;if(G2[i]&&G2[a]||o(e.node)&&G2[i]||o(n.node)&&G2[a]||lC(e.node)&&l4(e.node)&&G2[i]||lC(n.node)&&G2[a]||lC(e.node)&&l4(e.node)&&o(n.node)||lC(n.node)&&o(e.node)&&l4(e.node)){let i=e.additionalNodes&&Le(e.additionalNodes)||e.node;if(!lC(e.node)&&!lC(n.node)||o(e.node)||o(n.node)){const t=o(e.node)?e.node:o(n.node)?n.node:void 0;if(void 0!==t){const r=Y2(yL(UA.createConstructorDeclaration(void 0,[],void 0),t));r.indent=e.indent+1,r.children=e.node===t?e.children:n.children,e.children=e.node===t?ae([r],n.children||[n]):ae(e.children||[{...e}],[r])}else(e.children||n.children)&&(e.children=ae(e.children||[{...e}],n.children||[n]),e.children&&(a4(e.children,e),u4(e.children)));i=e.node=yL(UA.createClassDeclaration(void 0,e.name||UA.createIdentifier("__class__"),void 0,void 0,[]),e.node)}else e.children=ae(e.children,n.children),e.children&&a4(e.children,e);const a=n.node;return r.children[t-1].node.end===i.end?yL(i,{pos:i.pos,end:a.end}):(e.additionalNodes||(e.additionalNodes=[]),e.additionalNodes.push(yL(UA.createClassDeclaration(void 0,e.name||UA.createIdentifier("__class__"),void 0,void 0,[]),n.node))),!0}return 0!==i}(e,n,t,r)||!!function(e,n,t){if(e.kind!==n.kind||e.parent!==n.parent&&(!c4(e,t)||!c4(n,t)))return!1;switch(e.kind){case 172:case 174:case 177:case 178:return jb(e)===jb(n);case 267:return d4(e,n)&&v4(e)===v4(n);default:return!0}}(e.node,n.node,r)&&(function(e,n){e.additionalNodes=e.additionalNodes||[],e.additionalNodes.push(n.node),n.additionalNodes&&e.additionalNodes.push(...n.additionalNodes);e.children=ae(e.children,n.children),e.children&&(a4(e.children,e),u4(e.children))}(e,n),!0)}function l4(e){return!!(16&e.flags)}function c4(e,n){const t=fC(e.parent)?e.parent.parent:e.parent;return t===n.node||k(n.additionalNodes,t)}function d4(e,n){return e.body&&n.body?e.body.kind===n.body.kind&&(267!==e.body.kind||d4(e.body,n.body)):e.body===n.body}function u4(e){e.sort(p4)}function p4(e,n){return Un(f4(e.node),f4(n.node))||wn(K2(e),K2(n))}function f4(e){if(267===e.kind)return y4(e);const n=jl(e);if(n&&Ed(n)){const e=iv(n);return e&&Pl(e)}switch(e.kind){case 218:case 219:case 231:return x4(e);default:return}}function m4(e,n){if(267===e.kind)return R4(y4(e));if(n){const e=tN(n)?n.text:cD(n)?`[${H2(n.argumentExpression)}]`:H2(n);if(e.length>0)return R4(e)}switch(e.kind){case 312:const n=e;return uk(n)?`"${Fv(oa(cx(_a(n.fileName))))}"`:"<global>";case 277:return NC(e)&&e.isExportEquals?"export=":"default";case 219:case 262:case 218:case 263:case 231:return 2048&nE(e)?"default":x4(e);case 176:return"constructor";case 180:return"new()";case 179:return"()";case 181:return"[]";default:return"<unknown>"}}function _4(e){return{text:m4(e.node,e.name),kind:MY(e.node),kindModifiers:T4(e.node),spans:g4(e),nameSpan:e.name&&S4(e.name),childItems:B(e.children,_4)}}function h4(e){return{text:m4(e.node,e.name),kind:MY(e.node),kindModifiers:T4(e.node),spans:g4(e),childItems:B(e.children,(function(e){return{text:m4(e.node,e.name),kind:MY(e.node),kindModifiers:M$(e.node),spans:g4(e),childItems:z2,indent:0,bolded:!1,grayed:!1}}))||z2,indent:e.indent,bolded:!1,grayed:!1}}function g4(e){const n=[S4(e.node)];if(e.additionalNodes)for(const t of e.additionalNodes)n.push(S4(t));return n}function y4(e){return km(e)?xm(e.name):v4(e)}function v4(e){const n=[sv(e.name)];for(;e.body&&267===e.body.kind;)e=e.body,n.push(sv(e.name));return n.join(".")}function b4(e){return e.body&&pC(e.body)?b4(e.body):e}function E4(e){return!e.name||167===e.name.kind}function S4(e){return 312===e.kind?J$(e):H$(e,k2)}function T4(e){return e.parent&&260===e.parent.kind&&(e=e.parent),M$(e)}function x4(e){const{parent:n}=e;if(e.name&&jf(e.name)>0)return R4(o_(e.name));if(iC(n))return R4(o_(n.name));if(TD(n)&&64===n.operatorToken.kind)return H2(n.left).replace(M2,"");if(QC(n))return H2(n.name);if(2048&nE(e))return"default";if(Md(e))return"<class>";if(dD(n)){let e=A4(n.expression);if(void 0!==e){if(e=R4(e),e.length>P2)return`${e} callback`;return`${e}(${R4(Y(n.arguments,(e=>tp(e)||ou(e)?e.getText(k2):void 0)).join(", "))}) callback`}}return"<function>"}function A4(e){if(tN(e))return e.text;if(lD(e)){const n=A4(e.expression),t=e.name.text;return void 0===n?t:`${n}.${t}`}}function R4(e){return(e=e.length>P2?e.substring(0,P2)+"...":e).replace(/\\?(\r?\n|\r|\u2028|\u2029)/g,"")}var I4=g({"src/services/navigationBar.ts"(){Tge(),M2=/\s+/g,P2=150,w2=[],F2=[],z2=[],G2={5:!0,3:!0,7:!0,9:!0,0:!1,1:!1,2:!1,8:!1,6:!0,4:!1}}}),N4={};y(N4,{getNavigationBarItems:()=>j2,getNavigationTree:()=>V2});var D4,C4=g({"src/services/_namespaces/ts.NavigationBar.ts"(){I4()}});function M4(e,n){D4.set(e,n)}function P4(e,n){return Je(q(D4.values(),(t=>{var r;return e.cancellationToken&&e.cancellationToken.isCancellationRequested()||!(null==(r=t.kinds)?void 0:r.some((n=>l6(n,e.kind))))?void 0:t.getAvailableActions(e,n)})))}function L4(e,n,t,r){const o=D4.get(n);return o&&o.getEditsForAction(e,t,r)}var k4,w4,O4,F4=g({"src/services/refactorProvider.ts"(){Tge(),F5(),D4=new Map}});function W4(e,n=!0){const{file:t,program:r}=e,o=l0(e),i=l$(t,o.start),a=i.parent&&32&nE(i.parent)&&n?i.parent:xQ(i,t,o);if(!(a&&(rM(a.parent)||fC(a.parent)&&km(a.parent.parent))))return{error:eT(Oa.Could_not_find_export_statement)};const s=r.getTypeChecker(),l=function(e,n){if(rM(e))return e.symbol;const t=e.parent.symbol;if(t.valueDeclaration&&Bm(t.valueDeclaration))return n.getMergedSymbol(t);return t}(a.parent,s),c=nE(a)||(NC(a)&&!a.isExportEquals?2080:0),d=!!(2048&c);if(!(32&c)||!d&&l.exports.has("default"))return{error:eT(Oa.This_file_already_has_a_default_export)};const u=e=>tN(e)&&s.getSymbolAtLocation(e)?void 0:{error:eT(Oa.Can_only_convert_named_export)};switch(a.kind){case 262:case 263:case 264:case 266:case 265:case 267:{const e=a;if(!e.name)return;return u(e.name)||{exportNode:e,exportName:e.name,wasDefault:d,exportingModuleSymbol:l}}case 243:{const e=a;if(!(2&e.declarationList.flags)||1!==e.declarationList.declarations.length)return;const n=Me(e.declarationList.declarations);if(!n.initializer)return;return Tt.assert(!d,"Can't have a default flag here"),u(n.name)||{exportNode:e,exportName:n.name,wasDefault:d,exportingModuleSymbol:l}}case 277:{const e=a;if(e.isExportEquals)return;return u(e.expression)||{exportNode:e,exportName:e.expression,wasDefault:d,exportingModuleSymbol:l}}default:return}}function z4(e,n,t,r,o){!function(e,{wasDefault:n,exportNode:t,exportName:r},o,i){if(n)if(NC(t)&&!t.isExportEquals){const n=t.expression,r=B4(n.text,n.text);o.replaceNode(e,t,UA.createExportDeclaration(void 0,!1,UA.createNamedExports([r])))}else o.delete(e,Tt.checkDefined(RQ(t,90),"Should find a default keyword in modifier list"));else{const n=Tt.checkDefined(RQ(t,95),"Should find an export keyword in modifier list");switch(t.kind){case 262:case 263:case 264:o.insertNodeAfter(e,n,UA.createToken(90));break;case 243:const a=Me(t.declarationList.declarations);if(!Hue.Core.isSymbolReferencedInFile(r,i,e)&&!a.type){o.replaceNode(e,t,UA.createExportDefault(Tt.checkDefined(a.initializer,"Initializer was previously known to be present")));break}case 266:case 265:case 267:o.deleteModifier(e,n),o.insertNodeAfter(e,t,UA.createExportDefault(UA.createIdentifier(r.text)));break;default:Tt.fail(`Unexpected exportNode kind ${t.kind}`)}}}(e,t,r,n.getTypeChecker()),function(e,{wasDefault:n,exportName:t,exportingModuleSymbol:r},o,i){const a=e.getTypeChecker(),s=Tt.checkDefined(a.getSymbolAtLocation(t),"Export name should resolve to a symbol");Hue.Core.eachExportReference(e.getSourceFiles(),a,i,s,r,t.text,n,(e=>{if(t===e)return;const r=e.getSourceFile();n?function(e,n,t,r){const{parent:o}=n;switch(o.kind){case 211:t.replaceNode(e,n,UA.createIdentifier(r));break;case 276:case 281:{const n=o;t.replaceNode(e,n,G4(r,n.name.text));break}case 273:{const i=o;Tt.assert(i.name===n,"Import clause name should match provided ref");const a=G4(r,n.text),{namedBindings:s}=i;if(s)if(274===s.kind){t.deleteRange(e,{pos:n.getStart(e),end:s.getStart(e)});const o=zI(i.parent.moduleSpecifier)?hQ(i.parent.moduleSpecifier,e):1,a=mQ(void 0,[G4(r,n.text)],i.parent.moduleSpecifier,o);t.insertNodeAfter(e,i.parent,a)}else t.delete(e,n),t.insertNodeAtEndOfList(e,s.elements,a);else t.replaceNode(e,n,UA.createNamedImports([a]));break}case 205:const i=o;t.replaceNode(e,o,UA.createImportTypeNode(i.argument,i.attributes,UA.createIdentifier(r),i.typeArguments,i.isTypeOf));break;default:Tt.failBadSyntaxKind(o)}}(r,e,o,t.text):function(e,n,t){const r=n.parent;switch(r.kind){case 211:t.replaceNode(e,n,UA.createIdentifier("default"));break;case 276:{const n=UA.createIdentifier(r.name.text);1===r.parent.elements.length?t.replaceNode(e,r.parent,n):(t.delete(e,r),t.insertNodeBefore(e,r.parent,n));break}case 281:t.replaceNode(e,r,B4("default",r.name.text));break;default:Tt.assertNever(r,`Unexpected parent kind ${r.kind}`)}}(r,e,o)}))}(n,t,r,o)}function G4(e,n){return UA.createImportSpecifier(!1,e===n?void 0:UA.createIdentifier(e),UA.createIdentifier(n))}function B4(e,n){return UA.createExportSpecifier(!1,e===n?void 0:UA.createIdentifier(e),UA.createIdentifier(n))}var j4,V4,U4=g({"src/services/refactors/convertExport.ts"(){Tge(),F5(),k4="Convert export",w4={name:"Convert default export to named export",description:eT(Oa.Convert_default_export_to_named_export),kind:"refactor.rewrite.export.named"},O4={name:"Convert named export to default export",description:eT(Oa.Convert_named_export_to_default_export),kind:"refactor.rewrite.export.default"},M4(k4,{kinds:[w4.kind,O4.kind],getAvailableActions:function(e){const n=W4(e,"invoked"===e.triggerReason);if(!n)return o;if(!s6(n)){const e=n.wasDefault?w4:O4;return[{name:k4,description:e.description,actions:[e]}]}return e.preferences.provideRefactorNotApplicableReason?[{name:k4,description:eT(Oa.Convert_default_export_to_named_export),actions:[{...w4,notApplicableReason:n.error},{...O4,notApplicableReason:n.error}]}]:o},getEditsForAction:function(e,n){Tt.assert(n===w4.name||n===O4.name,"Unexpected action name");const t=W4(e);Tt.assert(t&&!s6(t),"Expected applicable refactor info");return{edits:p_e.ChangeTracker.with(e,(n=>z4(e.file,e.program,t,n,e.cancellationToken))),renameFilename:void 0,renameLocation:void 0}}})}});function H4(e,n=!0){const{file:t}=e,r=l0(e),o=l$(t,r.start),i=n?Nl(o,gC):xQ(o,t,r);if(!i||!gC(i))return{error:"Selection is not an import declaration."};const a=r.start+r.length,s=p$(i,i.parent,t);if(s&&a>s.getStart())return;const{importClause:l}=i;if(!l)return{error:eT(Oa.Could_not_find_import_clause)};if(!l.namedBindings)return{error:eT(Oa.Could_not_find_namespace_import_or_named_imports)};if(274===l.namedBindings.kind)return{convertTo:0,import:l.namedBindings};return K4(e.program,l)?{convertTo:1,import:l.namedBindings}:{convertTo:2,import:l.namedBindings}}function K4(e,n){return Jp(e.getCompilerOptions())&&function(e,n){const t=n.resolveExternalModuleName(e);if(!t)return!1;const r=n.resolveExternalModuleSymbol(t);return t!==r}(n.parent.moduleSpecifier,e.getTypeChecker())}function q4(e,n,t,r){const o=n.getTypeChecker();0===r.convertTo?function(e,n,t,r,o){let i=!1;const a=[],s=new Map;Hue.Core.eachSymbolReferenceInFile(r.name,n,e,(e=>{if(eu(e.parent)){const r=J4(e.parent).text;n.resolveName(r,e,-1,!0)&&s.set(r,!0),Tt.assert((lD(t=e.parent)?t.expression:t.left)===e,"Parent expression should match id"),a.push(e.parent)}else i=!0;var t}));const l=new Map;for(const n of a){const r=J4(n).text;let o=l.get(r);void 0===o&&l.set(r,o=s.has(r)?AZ(r,e):r),t.replaceNode(e,n,UA.createIdentifier(o))}const c=[];l.forEach(((e,n)=>{c.push(UA.createImportSpecifier(!1,e===n?void 0:UA.createIdentifier(n),UA.createIdentifier(e)))}));const d=r.parent.parent;i&&!o?t.insertNodeAfter(e,d,Y4(d,void 0,c)):t.replaceNode(e,d,Y4(d,i?UA.createIdentifier(r.name.text):void 0,c))}(e,o,t,r.import,Jp(n.getCompilerOptions())):X4(e,n,t,r.import,1===r.convertTo)}function J4(e){return lD(e)?e.name:e.right}function X4(e,n,t,r,o=K4(n,r.parent)){const i=n.getTypeChecker(),a=r.parent.parent,{moduleSpecifier:s}=a,l=new Set;r.elements.forEach((e=>{const n=i.getSymbolAtLocation(e.name);n&&l.add(n)}));const c=s&&zI(s)?Qle.moduleSpecifierToValidIdentifier(s.text,99):"module";const d=r.elements.some((function(n){return!!Hue.Core.eachSymbolReferenceInFile(n.name,i,e,(e=>{const n=i.resolveName(c,e,-1,!0);return!!n&&(!l.has(n)||MC(e.parent))}))}))?AZ(c,e):c,u=new Set;for(const n of r.elements){const r=(n.propertyName||n.name).text;Hue.Core.eachSymbolReferenceInFile(n.name,i,e,(o=>{const i=UA.createPropertyAccessExpression(UA.createIdentifier(d),r);ZC(o.parent)?t.replaceNode(e,o.parent,UA.createPropertyAssignment(o.text,i)):MC(o.parent)?u.add(n):t.replaceNode(e,o,i)}))}if(t.replaceNode(e,r,o?UA.createIdentifier(d):UA.createNamespaceImport(UA.createIdentifier(d))),u.size){const n=Je(u.values(),(e=>UA.createImportSpecifier(e.isTypeOnly,e.propertyName&&UA.createIdentifier(e.propertyName.text),UA.createIdentifier(e.name.text))));t.insertNodeAfter(e,r.parent.parent,Y4(a,void 0,n))}}function Y4(e,n,t){return UA.createImportDeclaration(void 0,UA.createImportClause(!1,n,t&&t.length?UA.createNamedImports(t):void 0),e.moduleSpecifier,void 0)}var $4,Q4,Z4,e6,n6=g({"src/services/refactors/convertImport.ts"(){Tge(),F5(),j4="Convert import",V4={0:{name:"Convert namespace import to named imports",description:eT(Oa.Convert_namespace_import_to_named_imports),kind:"refactor.rewrite.import.named"},2:{name:"Convert named imports to namespace import",description:eT(Oa.Convert_named_imports_to_namespace_import),kind:"refactor.rewrite.import.namespace"},1:{name:"Convert named imports to default import",description:eT(Oa.Convert_named_imports_to_default_import),kind:"refactor.rewrite.import.default"}},M4(j4,{kinds:Ke(V4).map((e=>e.kind)),getAvailableActions:function(e){const n=H4(e,"invoked"===e.triggerReason);if(!n)return o;if(!s6(n)){const e=V4[n.convertTo];return[{name:j4,description:e.description,actions:[e]}]}return e.preferences.provideRefactorNotApplicableReason?Ke(V4).map((e=>({name:j4,description:e.description,actions:[{...e,notApplicableReason:n.error}]}))):o},getEditsForAction:function(e,n){Tt.assert(oe(Ke(V4),(e=>e.name===n)),"Unexpected action name");const t=H4(e);Tt.assert(t&&!s6(t),"Expected applicable refactor info");return{edits:p_e.ChangeTracker.with(e,(n=>q4(e.file,e.program,n,t))),renameFilename:void 0,renameLocation:void 0}}})}});function t6(e,n=!0){const{file:t,startPosition:r}=e,i=Jh(t),a=X$(l0(e)),s=a.pos===a.end&&n,l=function(e,n,t,r){const o=[()=>l$(e,n),()=>s$(e,n,(()=>!0))];for(const n of o){const o=n(),i=BY(o,e,t.pos,t.end),a=Nl(o,(n=>n.parent&&Bd(n)&&!o6(t,n.parent,e)&&(r||i)));if(a)return a}return}(t,r,a,s);if(!l||!Bd(l))return{error:eT(Oa.Selection_is_not_a_valid_type_node)};const c=e.program.getTypeChecker(),d=function(e,n){return Nl(e,wu)||(n?Nl(e,bM):void 0)}(l,i);if(void 0===d)return{error:eT(Oa.No_type_could_be_extracted_from_this_type_node)};const u=function(e,n){return Nl(e,(e=>e===n?"quit":!(!UN(e.parent)&&!HN(e.parent))))??e}(l,d);if(!Bd(u))return{error:eT(Oa.Selection_is_not_a_valid_type_node)};const p=[];(UN(u.parent)||HN(u.parent))&&a.end>l.end&&Ee(p,u.parent.types.filter((e=>BY(e,t,a.pos,a.end))));const f=p.length>1?p:u,m=function(e,n,t,r){const i=[],a=fn(n),s={pos:a[0].pos,end:a[a.length-1].end};for(const e of a)if(l(e))return;return i;function l(n){if(kN(n)){if(tN(n.typeName)){const a=n.typeName,l=e.resolveName(a.text,a,262144,!0);for(const e of(null==l?void 0:l.declarations)||o)if(vN(e)&&e.getSourceFile()===r){if(e.name.escapedText===a.escapedText&&o6(e,s,r))return!0;if(o6(t,e,r)&&!o6(s,e,r)){Se(i,e);break}}}}else if(qN(n)){const e=Nl(n,(e=>KN(e)&&o6(e.extendsType,n,r)));if(!e||!o6(s,e,r))return!0}else if(LN(n)||XN(n)){const e=Nl(n.parent,Td);if(e&&e.type&&o6(e.type,n,r)&&!o6(s,e,r))return!0}else if(FN(n))if(tN(n.exprName)){const o=e.resolveName(n.exprName.text,n.exprName,111551,!1);if((null==o?void 0:o.valueDeclaration)&&o6(t,o.valueDeclaration,r)&&!o6(s,o.valueDeclaration,r))return!0}else if(bb(n.exprName.left)&&!o6(s,n.parent,r))return!0;return r&&GN(n)&&_s(r,n.pos).line===_s(r,n.end).line&&fR(n,1),ok(n,l)}}(c,f,d,t);if(!m)return{error:eT(Oa.No_type_could_be_extracted_from_this_type_node)};return{isJS:i,selection:f,enclosingNode:d,typeParameters:m,typeElements:r6(c,f)}}function r6(e,n){if(n){if(pn(n)){const t=[];for(const r of n){const n=r6(e,r);if(!n)return;Ee(t,n)}return t}if(HN(n)){const t=[],r=new Map;for(const o of n.types){const n=r6(e,o);if(!n||!n.every((e=>e.name&&PS(r,aQ(e.name)))))return;Ee(t,n)}return t}return JN(n)?r6(e,n.type):WN(n)?n.members:void 0}}function o6(e,n,t){return zY(e,Ts(t.text,n.pos),n.end)}function i6(e){return pn(e.selection)?{firstTypeNode:e.selection[0],lastTypeNode:e.selection[e.selection.length-1],newTypeNode:UN(e.selection[0].parent)?UA.createUnionTypeNode(e.selection):UA.createIntersectionTypeNode(e.selection)}:{firstTypeNode:e.selection,lastTypeNode:e.selection,newTypeNode:e.selection}}var a6=g({"src/services/refactors/extractType.ts"(){Tge(),F5(),$4="Extract type",Q4={name:"Extract to type alias",description:eT(Oa.Extract_to_type_alias),kind:"refactor.extract.type"},Z4={name:"Extract to interface",description:eT(Oa.Extract_to_interface),kind:"refactor.extract.interface"},e6={name:"Extract to typedef",description:eT(Oa.Extract_to_typedef),kind:"refactor.extract.typedef"},M4($4,{kinds:[Q4.kind,Z4.kind,e6.kind],getAvailableActions:function(e){const n=t6(e,"invoked"===e.triggerReason);return n?s6(n)?e.preferences.provideRefactorNotApplicableReason?[{name:$4,description:eT(Oa.Extract_type),actions:[{...e6,notApplicableReason:n.error},{...Q4,notApplicableReason:n.error},{...Z4,notApplicableReason:n.error}]}]:o:[{name:$4,description:eT(Oa.Extract_type),actions:n.isJS?[e6]:ye([Q4],n.typeElements&&Z4)}]:o},getEditsForAction:function(e,n){const{file:t}=e,r=t6(e);Tt.assert(r&&!s6(r),"Expected to find a range to extract");const o=AZ("NewType",t),i=p_e.ChangeTracker.with(e,(i=>{switch(n){case Q4.name:return Tt.assert(!r.isJS,"Invalid actionName/JS combo"),function(e,n,t,r){const{enclosingNode:o,typeParameters:i}=r,{firstTypeNode:a,lastTypeNode:s,newTypeNode:l}=i6(r),c=UA.createTypeAliasDeclaration(void 0,t,i.map((e=>UA.updateTypeParameterDeclaration(e,e.modifiers,e.name,e.constraint,void 0))),l);e.insertNodeBefore(n,o,BR(c),!0),e.replaceNodeRange(n,a,s,UA.createTypeReferenceNode(t,i.map((e=>UA.createTypeReferenceNode(e.name,void 0)))),{leadingTriviaOption:p_e.LeadingTriviaOption.Exclude,trailingTriviaOption:p_e.TrailingTriviaOption.ExcludeWhitespace})}(i,t,o,r);case e6.name:return Tt.assert(r.isJS,"Invalid actionName/JS combo"),function(e,n,t,r,o){var i;fn(o.selection).forEach((e=>{fR(e,7168)}));const{enclosingNode:a,typeParameters:s}=o,{firstTypeNode:l,lastTypeNode:c,newTypeNode:d}=i6(o),u=UA.createJSDocTypedefTag(UA.createIdentifier("typedef"),UA.createJSDocTypeExpression(d),UA.createIdentifier(r)),p=[];E(s,(e=>{const n=Dc(e),t=UA.createTypeParameterDeclaration(void 0,e.name),r=UA.createJSDocTemplateTag(UA.createIdentifier("template"),n&&gn(n,aM),[t]);p.push(r)}));const f=UA.createJSDocComment(void 0,UA.createNodeArray(ae(p,[u])));if(bM(a)){const r=a.getStart(t),o=eZ(n.host,null==(i=n.formatContext)?void 0:i.options);e.insertNodeAt(t,a.getStart(t),f,{suffix:o+o+t.text.slice(fZ(t.text,r-1),r)})}else e.insertNodeBefore(t,a,f,!0);e.replaceNodeRange(t,l,c,UA.createTypeReferenceNode(r,s.map((e=>UA.createTypeReferenceNode(e.name,void 0)))))}(i,e,t,o,r);case Z4.name:return Tt.assert(!r.isJS&&!!r.typeElements,"Invalid actionName/JS combo"),function(e,n,t,r){var o;const{enclosingNode:i,typeParameters:a,typeElements:s}=r,l=UA.createInterfaceDeclaration(void 0,t,a,void 0,s);yL(l,null==(o=s[0])?void 0:o.parent),e.insertNodeBefore(n,i,BR(l),!0);const{firstTypeNode:c,lastTypeNode:d}=i6(r);e.replaceNodeRange(n,c,d,UA.createTypeReferenceNode(t,a.map((e=>UA.createTypeReferenceNode(e.name,void 0)))),{leadingTriviaOption:p_e.LeadingTriviaOption.Exclude,trailingTriviaOption:p_e.TrailingTriviaOption.ExcludeWhitespace})}(i,t,o,r);default:Tt.fail("Unexpected action name")}})),a=t.fileName;return{edits:i,renameFilename:a,renameLocation:RZ(i,a,o,!1)}}})}});function s6(e){return void 0!==e.error}function l6(e,n){return!n||e.substr(0,n.length)===n}var c6,d6,u6,p6=g({"src/services/refactors/helpers.ts"(){}});function f6(e,n,t,r){var o,i;const a=r.getTypeChecker(),s=a$(e,n),l=s.parent;if(tN(s)){if(uS(l)&&$_(l)&&tN(l.name)){if(1!==(null==(o=a.getMergedSymbol(l.symbol).declarations)?void 0:o.length))return{error:eT(Oa.Variables_with_multiple_declarations_cannot_be_inlined)};if(m6(l))return;const n=_6(l,a,e);return n&&{references:n,declaration:l,replacement:l.initializer}}if(t){let n=a.resolveName(s.text,s,111551,!1);if(n=n&&a.getMergedSymbol(n),1!==(null==(i=null==n?void 0:n.declarations)?void 0:i.length))return{error:eT(Oa.Variables_with_multiple_declarations_cannot_be_inlined)};const t=n.declarations[0];if(!uS(t)||!$_(t)||!tN(t.name))return;if(m6(t))return;const r=_6(t,a,e);return r&&{references:r,declaration:t,replacement:t.initializer}}return{error:eT(Oa.Could_not_find_variable_to_inline)}}}function m6(e){return oe(gn(e.parent.parent,BD).modifiers,oN)}function _6(e,n,t){const r=[],o=Hue.Core.eachSymbolReferenceInFile(e.name,n,t,(n=>!(!Hue.isWriteAccessForReference(n)||ZC(n.parent))||(!(!MC(n.parent)&&!NC(n.parent))||(!!FN(n.parent)||(!!nl(e,n.pos)||void r.push(n))))));return 0===r.length||o?void 0:r}function h6(e,n){n=mZ(n);const{parent:t}=e;return uu(t)&&(Rv(n)<Rv(t)||PZ(t))||Td(n)&&(tu(t)||lD(t))||lD(t)&&(FI(n)||sD(n))?UA.createParenthesizedExpression(n):tN(e)&&ZC(t)?UA.createPropertyAssignment(e,n):n}var g6,y6,v6,b6=g({"src/services/refactors/inlineVariable.ts"(){Tge(),F5(),c6="Inline variable",d6=eT(Oa.Inline_variable),M4(c6,{kinds:[(u6={name:c6,description:d6,kind:"refactor.inline.variable"}).kind],getAvailableActions(e){const{file:n,program:t,preferences:r,startPosition:i,triggerReason:a}=e,s=f6(n,i,"invoked"===a,t);return s?P5.isRefactorErrorInfo(s)?r.provideRefactorNotApplicableReason?[{name:c6,description:d6,actions:[{...u6,notApplicableReason:s.error}]}]:o:[{name:c6,description:d6,actions:[u6]}]:o},getEditsForAction(e,n){Tt.assert(n===c6,"Unexpected refactor invoked");const{file:t,program:r,startPosition:o}=e,i=f6(t,o,!0,r);if(!i||P5.isRefactorErrorInfo(i))return;const{references:a,declaration:s,replacement:l}=i,c=p_e.ChangeTracker.with(e,(e=>{for(const n of a)e.replaceNode(t,n,h6(n,l));e.delete(t,s)}));return{edits:c}}})}});function E6(e,n,t,r,o,i){const a=n.getTypeChecker(),s=t8(e,t.all,a),l=Q6(e,n,o,t);r.createNewFile(e,l,function(e,n,t,r,o,i,a,s){const l=o.getTypeChecker(),c=vt(e.statements,w_);if(void 0===e.externalModuleIndicator&&void 0===e.commonJsModuleIndicator&&0===n.oldImportsNeededByTargetFile.size)return C6(e,r.ranges,t),[...c,...r.all];const d=!D0(a,o,i,!!e.commonJsModuleIndicator),u=gQ(e,s),p=W6(e,n.oldFileImportsFromTargetFile,a,o,i,d,u);p&&IQ(t,e,p,!0,s);M6(e,r.all,t,n.unusedImportsFromOldFile,l),C6(e,r.ranges,t),P6(t,o,i,e,n.movedSymbols,a,u);const f=function(e,n,t,r,o,i,a,s,l){const c=[];for(const t of e.statements)F6(t,(e=>{ye(c,J6(e,O6(e),(e=>n.has(o.getSymbolAtLocation(e)))))}));let d;const u=[],p=tQ();return t.forEach((n=>{if(n.declarations)for(const t of n.declarations){if(!s8(t))continue;const n=X6(t);if(!n)continue;const o=Y6(t);p(o)&&$6(e,o,n,r,s),Bb(t,2048)?d=n:u.push(n.text)}})),ye(c,z6(e,d,u,oa(e.fileName),i,a,s,l)),c}(e,n.oldImportsNeededByTargetFile,n.targetFileImportsFromOldFile,t,l,o,i,d,u),m=B6(e,r.all,n.oldFileImportsFromTargetFile,d);if(f.length&&m.length)return[...c,...f,4,...m];return[...c,...f,...m]}(e,s,r,t,n,o,l,i)),D6(n,r,e.fileName,l,Jv(o))}var S6,T6,x6,A6=g({"src/services/refactors/moveToNewFile.ts"(){Tge(),F5(),g6="Move to a new file",y6=eT(Oa.Move_to_a_new_file),M4(g6,{kinds:[(v6={name:g6,description:y6,kind:"refactor.move.newFile"}).kind],getAvailableActions:function(e){const n=Z6(e);return e.preferences.allowTextChangesInNewFiles&&n?[{name:g6,description:y6,actions:[v6]}]:e.preferences.provideRefactorNotApplicableReason?[{name:g6,description:y6,actions:[{...v6,notApplicableReason:eT(Oa.Selection_is_not_a_valid_statement_or_statements)}]}]:o},getEditsForAction:function(e,n){Tt.assert(n===g6,"Wrong refactor invoked");const t=Tt.checkDefined(Z6(e));return{edits:p_e.ChangeTracker.with(e,(n=>E6(e.file,e.program,t,n,e.host,e.preferences))),renameFilename:void 0,renameLocation:void 0}}})}});function R6(e){return{edits:[],renameFilename:void 0,renameLocation:void 0,notApplicableReason:e}}function I6(e,n,t,r,o,i,a,s){const l=r.getTypeChecker();if(a.fileExists(t)){const c=Tt.checkDefined(r.getSourceFile(t)),d=Qle.createImportAdder(c,e.program,e.preferences,e.host);N6(n,c,t8(n,o.all,l,function(e,n,t){const r=new Set;for(const n of e.imports){const e=Wg(n);if(gC(e)&&e.importClause&&e.importClause.namedBindings&&RC(e.importClause.namedBindings))for(const n of e.importClause.namedBindings.elements){const e=t.getSymbolAtLocation(n.propertyName||n.name);e&&r.add(hS(e,t))}if(tg(e.parent)&&rD(e.parent.name))for(const n of e.parent.name.elements){const e=t.getSymbolAtLocation(n.propertyName||n.name);e&&r.add(hS(e,t))}}for(const o of n)r8(o,t,(n=>{const o=hS(n,t);o.valueDeclaration&&$f(o.valueDeclaration)===e&&r.add(o)}));return r}(c,o.all,l)),i,o,r,a,s,d)}else i.createNewFile(n,t,N6(n,t,t8(n,o.all,l),i,o,r,a,s)),D6(r,i,n.fileName,t,Jv(a))}function N6(e,n,t,r,o,i,a,s,l){const c=i.getTypeChecker(),d=vt(e.statements,w_);if(void 0===e.externalModuleIndicator&&void 0===e.commonJsModuleIndicator&&0===t.oldImportsNeededByTargetFile.size&&0===t.targetFileImportsFromOldFile.size&&"string"==typeof n)return C6(e,o.ranges,r),[...d,...o.all];const u="string"==typeof n?n:n.fileName,p=!D0(u,i,a,!!e.commonJsModuleIndicator),f=gQ(e,s),m=W6(e,t.oldFileImportsFromTargetFile,u,i,a,p,f);m&&IQ(r,e,m,!0,s),M6(e,o.all,r,t.unusedImportsFromOldFile,c),C6(e,o.ranges,r),P6(r,i,a,e,t.movedSymbols,u,f);const _=function(e,n,t,r,o,i,a,s,l,c,d){const u=[];if(d)t.forEach(((n,r)=>{try{d.addImportFromExportedSymbol(hS(r,i),n)}catch{for(const n of e.statements)F6(n,(e=>{ye(u,J6(e,UA.createStringLiteral(O6(e).text),(e=>t.has(i.getSymbolAtLocation(e)))))}))}}));else{const r=a.getSourceFile(n);for(const n of e.statements)F6(n,(e=>{var n;const o=O6(e),l=a.getCompilerOptions(),d=a.getResolvedModuleFromModuleSpecifier(o),p=null==(n=null==d?void 0:d.resolvedModule)?void 0:n.resolvedFileName;if(p&&r){const n=nz(l,r,r.fileName,p,dQ(a,s));ye(u,J6(e,_Q(n,c),(e=>t.has(i.getSymbolAtLocation(e)))))}else ye(u,J6(e,UA.createStringLiteral(O6(e).text),(e=>t.has(i.getSymbolAtLocation(e)))))}))}const p=a.getSourceFile(n);let f;const m=[],_=tQ();return r.forEach((n=>{if(n.declarations)for(const t of n.declarations){if(!s8(t))continue;const r=X6(t);if(!r)continue;const a=Y6(t);_(a)&&$6(e,a,r,o,l),d&&i.isUnknownSymbol(n)?d.addImportFromExportedSymbol(hS(n,i)):Bb(t,2048)?f=r:m.push(r.text)}})),ye(u,z6(p||e,f,m,e.fileName,a,s,l,c))}(e,u,t.oldImportsNeededByTargetFile,t.targetFileImportsFromOldFile,r,c,i,a,p,f,l),h=B6(e,o.all,t.oldFileImportsFromTargetFile,p);return"string"!=typeof n&&(n.statements.length>0?function(e,n,t,r,o){var i;const a=new Set,s=null==(i=r.symbol)?void 0:i.exports;if(s){const t=n.getTypeChecker(),i=new Map;for(const e of o.all)U6(e)&&Bb(e,32)&&o8(e,(e=>{var n;const t=T(Nu(e)?null==(n=s.get(e.symbol.escapedName))?void 0:n.declarations:void 0,(e=>DC(e)?e:MC(e)?hn(e.parent.parent,DC):void 0));t&&t.moduleSpecifier&&i.set(t,(i.get(t)||new Set).add(e))}));for(const[n,o]of Je(i))if(n.exportClause&&CC(n.exportClause)&&b(n.exportClause.elements)){const i=n.exportClause.elements,s=W(i,(e=>void 0===D(hS(e.symbol,t).declarations,(e=>s8(e)&&o.has(e)))));if(0===b(s)){e.deleteNode(r,n),a.add(n);continue}b(s)<b(i)&&e.replaceNode(r,n,UA.updateExportDeclaration(n,n.modifiers,n.isTypeOnly,UA.updateNamedExports(n.exportClause,UA.createNodeArray(s,i.hasTrailingComma)),n.moduleSpecifier,n.attributes))}}const l=C(r.statements,(e=>DC(e)&&!!e.moduleSpecifier&&!a.has(e)));l?e.insertNodesBefore(r,l,t,!0):e.insertNodesAfter(r,r.statements[r.statements.length-1],t)}(r,i,h,n,o):r.insertNodesAtEndOfFile(n,h,!1),_.length>0&&IQ(r,n,_,!0,s)),l&&l.writeFixes(r,f),_.length&&h.length?[...d,..._,4,...h]:[...d,..._,...h]}function D6(e,n,t,r,o){const i=e.getCompilerOptions().configFile;if(!i)return;const a=_a(ua(t,"..",r)),s=Pa(i.fileName,a,o),l=i.statements[0]&&hn(i.statements[0].expression,sD),c=l&&D(l.properties,(e=>QC(e)&&zI(e.name)&&"files"===e.name.text));c&&aD(c.initializer)&&n.insertNodeInListAfter(i,ke(c.initializer.elements),UA.createStringLiteral(s),c.initializer.elements)}function C6(e,n,t){for(const{first:r,afterLast:o}of n)t.deleteNodeRangeExcludingEnd(e,r,o)}function M6(e,n,t,r,o){for(const i of e.statements)k(n,i)||F6(i,(n=>V6(e,n,t,(e=>r.has(o.getSymbolAtLocation(e))))))}function P6(e,n,t,r,o,i,a){const s=n.getTypeChecker();for(const l of n.getSourceFiles())if(l!==r)for(const c of l.statements)F6(c,(d=>{if(s.getSymbolAtLocation(O6(d))!==r.symbol)return;const u=e=>{const n=iD(e.parent)?TQ(s,e.parent):hS(s.getSymbolAtLocation(e),s);return!!n&&o.has(n)};V6(l,d,e,u);const p=pa(ra(r.path),i),f=nz(n.getCompilerOptions(),l,l.fileName,p,dQ(n,t)),m=J6(d,_Q(f,a),u);m&&e.insertNodeAfter(l,c,m);const _=L6(d);_&&k6(e,l,s,o,f,_,d,a)}))}function L6(e){switch(e.kind){case 272:return e.importClause&&e.importClause.namedBindings&&274===e.importClause.namedBindings.kind?e.importClause.namedBindings.name:void 0;case 271:return e.name;case 260:return hn(e.name,tN);default:return Tt.assertNever(e,`Unexpected node kind ${e.kind}`)}}function k6(e,n,t,r,o,i,a,s){const l=Qle.moduleSpecifierToValidIdentifier(o,99);let c=!1;const d=[];if(Hue.Core.eachSymbolReferenceInFile(i,t,n,(e=>{lD(e.parent)&&(c=c||!!t.resolveName(l,e,-1,!0),r.has(t.getSymbolAtLocation(e.parent.name))&&d.push(e))})),d.length){const t=c?AZ(l,n):l;for(const r of d)e.replaceNode(n,r,UA.createIdentifier(t));e.insertNodeAfter(n,a,function(e,n,t,r){const o=UA.createIdentifier(n),i=_Q(t,r);switch(e.kind){case 272:return UA.createImportDeclaration(void 0,UA.createImportClause(!1,void 0,UA.createNamespaceImport(o)),i,void 0);case 271:return UA.createImportEqualsDeclaration(void 0,!1,o,UA.createExternalModuleReference(i));case 260:return UA.createVariableDeclaration(o,void 0,void 0,w6(i));default:return Tt.assertNever(e,`Unexpected node kind ${e.kind}`)}}(a,l,o,s))}}function w6(e){return UA.createCallExpression(UA.createIdentifier("require"),void 0,[e])}function O6(e){return 272===e.kind?e.moduleSpecifier:271===e.kind?e.moduleReference.expression:e.initializer.arguments[0]}function F6(e,n){if(gC(e))zI(e.moduleSpecifier)&&n(e);else if(hC(e))wC(e.moduleReference)&&tp(e.moduleReference.expression)&&n(e);else if(BD(e))for(const t of e.declarationList.declarations)t.initializer&&ng(t.initializer,!0)&&n(t)}function W6(e,n,t,r,o,i,a){let s;const l=[];return n.forEach((e=>{"default"===e.escapedName?s=UA.createIdentifier(vQ(e)):l.push(e.name)})),z6(e,s,l,t,r,o,i,a)}function z6(e,n,t,r,o,i,a,s){const l=pa(ra(e.path),r),c=nz(o.getCompilerOptions(),e,e.fileName,l,dQ(o,i));if(a){return fQ(n,t.map((e=>UA.createImportSpecifier(!1,void 0,UA.createIdentifier(e)))),c,s)}{Tt.assert(!n,"No default import should exist");const e=t.map((e=>UA.createBindingElement(void 0,void 0,e)));return e.length?G6(UA.createObjectBindingPattern(e),void 0,w6(_Q(c,s))):void 0}}function G6(e,n,t,r=2){return UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration(e,void 0,n,t)],r))}function B6(e,n,t,r){return H(n,(n=>{if(U6(n)&&!j6(e,n,r)&&o8(n,(e=>{var n;return t.has(Tt.checkDefined(null==(n=hn(e,Nu))?void 0:n.symbol))}))){const e=function(e,n){return n?[H6(e)]:function(e){return[e,...q6(e).map(K6)]}(e)}(mZ(n),r);if(e)return e}return mZ(n)}))}function j6(e,n,t,r){var o;return t?!VD(n)&&Bb(n,32)||!!(r&&e.symbol&&(null==(o=e.symbol.exports)?void 0:o.has(r.escapedText))):!!e.symbol&&!!e.symbol.exports&&q6(n).some((n=>e.symbol.exports.has(Ml(n))))}function V6(e,n,t,r){switch(n.kind){case 272:!function(e,n,t,r){if(!n.importClause)return;const{name:o,namedBindings:i}=n.importClause,a=!o||r(o),s=!i||(274===i.kind?r(i.name):0!==i.elements.length&&i.elements.every((e=>r(e.name))));if(a&&s)t.delete(e,n);else if(o&&a&&t.delete(e,o),i)if(s)t.replaceNode(e,n.importClause,UA.updateImportClause(n.importClause,n.importClause.isTypeOnly,o,void 0));else if(275===i.kind)for(const n of i.elements)r(n.name)&&t.delete(e,n)}(e,n,t,r);break;case 271:r(n.name)&&t.delete(e,n);break;case 260:!function(e,n,t,r){const{name:o}=n;switch(o.kind){case 80:r(o)&&(n.initializer&&ng(n.initializer,!0)?t.delete(e,aC(n.parent)&&1===b(n.parent.declarations)?n.parent.parent:n):t.delete(e,o));break;case 207:break;case 206:if(o.elements.every((e=>tN(e.name)&&r(e.name))))t.delete(e,aC(n.parent)&&1===n.parent.declarations.length?n.parent.parent:n);else for(const n of o.elements)tN(n.name)&&r(n.name)&&t.delete(e,n.name)}}(e,n,t,r);break;default:Tt.assertNever(n,`Unexpected import decl kind ${n.kind}`)}}function U6(e){return Tt.assert(rM(e.parent),"Node parent should be a SourceFile"),c8(e)||BD(e)}function H6(e){const n=vL(e)?ae([UA.createModifier(95)],Hl(e)):void 0;switch(e.kind){case 262:return UA.updateFunctionDeclaration(e,n,e.asteriskToken,e.name,e.typeParameters,e.parameters,e.type,e.body);case 263:const t=bL(e)?Ul(e):void 0;return UA.updateClassDeclaration(e,ae(t,n),e.name,e.typeParameters,e.heritageClauses,e.members);case 243:return UA.updateVariableStatement(e,n,e.declarationList);case 267:return UA.updateModuleDeclaration(e,n,e.name,e.body);case 266:return UA.updateEnumDeclaration(e,n,e.name,e.members);case 265:return UA.updateTypeAliasDeclaration(e,n,e.name,e.typeParameters,e.type);case 264:return UA.updateInterfaceDeclaration(e,n,e.name,e.typeParameters,e.heritageClauses,e.members);case 271:return UA.updateImportEqualsDeclaration(e,n,e.isTypeOnly,e.name,e.moduleReference);case 244:return Tt.fail();default:return Tt.assertNever(e,`Unexpected declaration kind ${e.kind}`)}}function K6(e){return UA.createExpressionStatement(UA.createBinaryExpression(UA.createPropertyAccessExpression(UA.createIdentifier("exports"),UA.createIdentifier(e)),64,UA.createIdentifier(e)))}function q6(e){switch(e.kind){case 262:case 263:return[e.name.text];case 243:return Y(e.declarationList.declarations,(e=>tN(e.name)?e.name.text:void 0));case 267:case 266:case 265:case 264:case 271:return o;case 244:return Tt.fail("Can't export an ExpressionStatement");default:return Tt.assertNever(e,`Unexpected decl kind ${e.kind}`)}}function J6(e,n,t){switch(e.kind){case 272:{const r=e.importClause;if(!r)return;const o=r.name&&t(r.name)?r.name:void 0,i=r.namedBindings&&function(e,n){if(274===e.kind)return n(e.name)?e:void 0;{const t=e.elements.filter((e=>n(e.name)));return t.length?UA.createNamedImports(t):void 0}}(r.namedBindings,t);return o||i?UA.createImportDeclaration(void 0,UA.createImportClause(r.isTypeOnly,o,i),mZ(n),void 0):void 0}case 271:return t(e.name)?e:void 0;case 260:{const r=function(e,n){switch(e.kind){case 80:return n(e)?e:void 0;case 207:return e;case 206:{const t=e.elements.filter((e=>e.propertyName||!tN(e.name)||n(e.name)));return t.length?UA.createObjectBindingPattern(t):void 0}}}(e.name,t);return r?G6(r,e.type,w6(n),e.parent.flags):void 0}default:return Tt.assertNever(e,`Unexpected import kind ${e.kind}`)}}function X6(e){return VD(e)?hn(e.expression.left.name,tN):hn(e.name,tN)}function Y6(e){switch(e.kind){case 260:return e.parent.parent;case 208:return Y6(gn(e.parent.parent,(e=>iC(e)||iD(e))));default:return e}}function $6(e,n,t,r,o){if(!j6(e,n,o,t))if(o)VD(n)||r.insertExportModifier(e,n);else{const t=q6(n);0!==t.length&&r.insertNodesAfter(e,n,t.map(K6))}}function Q6(e,n,t,r){const o=n.getTypeChecker();if(r){const n=t8(e,r.all,o),s=ra(e.fileName),l=yx(e.fileName),c=ua(s,function(e,n,t,r){let o=e;for(let i=1;;i++){const a=ua(t,o+n);if(!r.fileExists(a))return o;o=`${e}.${i}`}}((i=n.oldFileImportsFromTargetFile,a=n.movedSymbols,zf(i,vQ)||zf(a,vQ)||"newFile"),l,s,t))+l;return c}var i,a;return""}function Z6(e){const n=function(e){const{file:n}=e,t=X$(l0(e)),{statements:r}=n;let o=M(r,(e=>e.end>t.pos));if(-1===o)return;const i=d8(n,r[o]);i&&(o=i.start);let a=M(r,(e=>e.end>=t.end),o);-1!==a&&t.end<=r[a].getStart()&&a--;const s=d8(n,r[a]);return s&&(a=s.end),{toMove:r.slice(o,-1===a?r.length:a+1),afterLast:-1===a?void 0:r[a+1]}}(e);if(void 0===n)return;const t=[],r=[],{toMove:o,afterLast:i}=n;return ie(o,n8,((e,n)=>{for(let r=e;r<n;r++)t.push(o[r]);r.push({first:o[e],afterLast:i})})),0===t.length?void 0:{all:t,ranges:r}}function e8(e){return D(e,(e=>!!(2&e.transformFlags)))}function n8(e){return!function(e){switch(e.kind){case 272:return!0;case 271:return!Bb(e,32);case 243:return e.declarationList.declarations.every((e=>!!e.initializer&&ng(e.initializer,!0)));default:return!1}}(e)&&!w_(e)}function t8(e,n,t,r=new Set){const o=new Set,i=new Map,a=new Set,s=function(e){if(void 0===e)return;const n=t.getJsxNamespace(e),r=t.resolveName(n,e,1920,!0);return r&&oe(r.declarations,i8)?r:void 0}(e8(n));s&&i.set(s,!1);for(const e of n)o8(e,(e=>{o.add(Tt.checkDefined(VD(e)?t.getSymbolAtLocation(e.expression.left):e.symbol,"Need a symbol here"))}));const l=new Set;for(const s of n)r8(s,t,((n,s)=>{var c;if(n.declarations)if(r.has(hS(n,t)))l.add(n);else for(const t of n.declarations)if(i8(t)){const e=i.get(n);i.set(n,(void 0===e||e)&&s)}else s8(t)&&(iC(c=t)?c.parent.parent.parent:c.parent)===e&&!o.has(n)&&a.add(n)}));for(const e of i.keys())l.add(e);const c=new Set;for(const r of e.statements)k(n,r)||(s&&2&r.transformFlags&&l.delete(s),r8(r,t,(e=>{o.has(e)&&c.add(e),l.delete(e)})));return{movedSymbols:o,targetFileImportsFromOldFile:a,oldFileImportsFromTargetFile:c,oldImportsNeededByTargetFile:i,unusedImportsFromOldFile:l}}function r8(e,n,t){e.forEachChild((function e(r){if(tN(r)&&!Ry(r)){const e=n.getSymbolAtLocation(r);e&&t(e,wx(r))}else r.forEachChild(e)}))}function o8(e,n){switch(e.kind){case 262:case 263:case 267:case 266:case 265:case 264:case 271:return n(e);case 243:return T(e.declarationList.declarations,(e=>l8(e.name,n)));case 244:{const{expression:t}=e;return TD(t)&&1===Eg(t)?n(e):void 0}}}function i8(e){switch(e.kind){case 271:case 276:case 273:case 274:return!0;case 260:return a8(e);case 208:return iC(e.parent.parent)&&a8(e.parent.parent);default:return!1}}function a8(e){return rM(e.parent.parent.parent)&&!!e.initializer&&ng(e.initializer,!0)}function s8(e){return c8(e)&&rM(e.parent)||iC(e)&&rM(e.parent.parent.parent)}function l8(e,n){switch(e.kind){case 80:return n(gn(e.parent,(e=>iC(e)||iD(e))));case 207:case 206:return T(e.elements,(e=>DD(e)?void 0:l8(e.name,n)));default:return Tt.assertNever(e,`Unexpected name kind ${e.kind}`)}}function c8(e){switch(e.kind){case 262:case 263:case 267:case 266:case 265:case 264:case 271:return!0;default:return!1}}function d8(e,n){if(Ad(n)){const t=n.symbol.declarations;if(void 0===t||b(t)<=1||!k(t,n))return;const r=t[0],o=t[b(t)-1],i=Y(t,(n=>$f(n)===e&&wu(n)?n:void 0)),a=M(e.statements,(e=>e.end>=o.end));return{toMove:i,start:M(e.statements,(e=>e.end>=r.end)),end:a}}}var u8,p8,f8,m8=g({"src/services/refactors/moveToFile.ts"(){Rz(),Tge(),F4(),S6="Move to file",T6=eT(Oa.Move_to_file),M4(S6,{kinds:[(x6={name:"Move to file",description:T6,kind:"refactor.move.file"}).kind],getAvailableActions:function(e,n){const t=Z6(e);return n?e.preferences.allowTextChangesInNewFiles&&t?[{name:S6,description:T6,actions:[x6]}]:e.preferences.provideRefactorNotApplicableReason?[{name:S6,description:T6,actions:[{...x6,notApplicableReason:eT(Oa.Selection_is_not_a_valid_statement_or_statements)}]}]:o:o},getEditsForAction:function(e,n,t){Tt.assert(n===S6,"Wrong refactor invoked");const r=Tt.checkDefined(Z6(e)),{host:o,program:i}=e;Tt.assert(t,"No interactive refactor arguments available");const a=t.targetFile;if(tx(a)||rx(a)){if(o.fileExists(a)&&void 0===i.getSourceFile(a))return R6(eT(Oa.Cannot_move_statements_to_the_selected_file));return{edits:p_e.ChangeTracker.with(e,(n=>I6(e,e.file,t.targetFile,e.program,r,n,e.host,e.preferences))),renameFilename:void 0,renameLocation:void 0}}return R6(eT(Oa.Cannot_move_to_file_selected_file_is_invalid))}})}});function _8(e){const{file:n,startPosition:t,program:r}=e;return y8(n,t,r)?[{name:u8,description:p8,actions:[f8]}]:o}function h8(e){const{file:n,startPosition:t,program:r}=e,o=y8(n,t,r);if(!o)return;const i=r.getTypeChecker(),a=o[o.length-1];let s=a;switch(a.kind){case 173:s=UA.updateMethodSignature(a,a.modifiers,a.name,a.questionToken,a.typeParameters,l(o),a.type);break;case 174:s=UA.updateMethodDeclaration(a,a.modifiers,a.asteriskToken,a.name,a.questionToken,a.typeParameters,l(o),a.type,a.body);break;case 179:s=UA.updateCallSignature(a,a.typeParameters,l(o),a.type);break;case 176:s=UA.updateConstructorDeclaration(a,a.modifiers,l(o),a.body);break;case 180:s=UA.updateConstructSignature(a,a.typeParameters,l(o),a.type);break;case 262:s=UA.updateFunctionDeclaration(a,a.modifiers,a.asteriskToken,a.name,a.typeParameters,l(o),a.type,a.body);break;default:return Tt.failBadSyntaxKind(a,"Unhandled signature kind in overload list conversion refactoring")}if(s===a)return;return{renameFilename:void 0,renameLocation:void 0,edits:p_e.ChangeTracker.with(e,(e=>{e.replaceNodeRange(n,o[0],o[o.length-1],s)}))};function l(e){const n=e[e.length-1];return Ad(n)&&n.body&&(e=e.slice(0,e.length-1)),UA.createNodeArray([UA.createParameterDeclaration(void 0,UA.createToken(26),"args",void 0,UA.createUnionTypeNode(B(e,c)))])}function c(e){const n=B(e.parameters,d);return fR(UA.createTupleTypeNode(n),oe(n,(e=>!!b(AR(e))))?0:1)}function d(e){Tt.assert(tN(e.name));const n=yL(UA.createNamedTupleMember(e.dotDotDotToken,e.name,e.questionToken,e.type||UA.createKeywordTypeNode(133)),e),t=e.symbol&&e.symbol.getDocumentationComment(i);if(t){const e=h7(t);e.length&&RR(n,[{text:`*\n${e.split("\n").map((e=>` * ${e}`)).join("\n")}\n `,kind:3,pos:-1,end:-1,hasTrailingNewLine:!0,hasLeadingNewline:!0}])}return n}}function g8(e){switch(e.kind){case 173:case 174:case 179:case 176:case 180:case 262:return!0}return!1}function y8(e,n,t){const r=Nl(l$(e,n),g8);if(!r)return;if(Ad(r)&&r.body&&OY(r.body,n))return;const o=t.getTypeChecker(),i=r.symbol;if(!i)return;const a=i.declarations;if(b(a)<=1)return;if(!N(a,(n=>$f(n)===e)))return;if(!g8(a[0]))return;const s=a[0].kind;if(!N(a,(e=>e.kind===s)))return;const l=a;if(oe(l,(e=>!!e.typeParameters||oe(e.parameters,(e=>!!e.modifiers||!tN(e.name))))))return;const c=Y(l,(e=>o.getSignatureFromDeclaration(e)));if(b(c)!==b(a))return;const d=o.getReturnTypeOfSignature(c[0]);return N(c,(e=>o.getReturnTypeOfSignature(e)===d))?l:void 0}var v8,b8,E8,S8,T8=g({"src/services/refactors/convertOverloadListToSingleSignature.ts"(){Tge(),F5(),u8="Convert overload list to single signature",p8=eT(Oa.Convert_overload_list_to_single_signature),M4(u8,{kinds:[(f8={name:u8,description:p8,kind:"refactor.rewrite.function.overloadList"}).kind],getEditsForAction:h8,getAvailableActions:_8})}});function x8(e){const{file:n,startPosition:t,triggerReason:r}=e,i=R8(n,t,"invoked"===r);return i?s6(i)?e.preferences.provideRefactorNotApplicableReason?[{name:v8,description:b8,actions:[{...E8,notApplicableReason:i.error},{...S8,notApplicableReason:i.error}]}]:o:[{name:v8,description:b8,actions:[i.addBraces?E8:S8]}]:o}function A8(e,n){const{file:t,startPosition:r}=e,o=R8(t,r);Tt.assert(o&&!s6(o),"Expected applicable refactor info");const{expression:i,returnStatement:a,func:s}=o;let l;if(n===E8.name){const e=UA.createReturnStatement(i);l=UA.createBlock([e],!0),IZ(i,e,t,3,!0)}else if(n===S8.name&&a){const e=i||UA.createVoidZero();l=PZ(e)?UA.createParenthesizedExpression(e):e,DZ(a,l,t,3,!1),IZ(a,l,t,3,!1),NZ(a,l,t,3,!1)}else Tt.fail("invalid action");return{renameFilename:void 0,renameLocation:void 0,edits:p_e.ChangeTracker.with(e,(e=>{e.replaceNode(t,s.body,l)}))}}function R8(e,n,t=!0,r){const o=l$(e,n),i=fh(o);if(!i)return{error:eT(Oa.Could_not_find_a_containing_arrow_function)};if(!hD(i))return{error:eT(Oa.Containing_function_is_not_an_arrow_function)};if(kY(i,o)&&(!kY(i.body,o)||t)){if(l6(E8.kind,r)&&uu(i.body))return{func:i,addBraces:!0,expression:i.body};if(l6(S8.kind,r)&&GD(i.body)&&1===i.body.statements.length){const e=Me(i.body.statements);if(QD(e)){return{func:i,addBraces:!1,expression:e.expression&&sD(BS(e.expression,!1))?UA.createParenthesizedExpression(e.expression):e.expression,returnStatement:e}}}}}var I8,N8,D8,C8,M8,P8=g({"src/services/refactors/addOrRemoveBracesToArrowFunction.ts"(){Tge(),F5(),v8="Add or remove braces in an arrow function",b8=eT(Oa.Add_or_remove_braces_in_an_arrow_function),E8={name:"Add braces to arrow function",description:eT(Oa.Add_braces_to_arrow_function),kind:"refactor.rewrite.arrow.braces.add"},S8={name:"Remove braces from arrow function",description:eT(Oa.Remove_braces_from_arrow_function),kind:"refactor.rewrite.arrow.braces.remove"},M4(v8,{kinds:[S8.kind],getEditsForAction:A8,getAvailableActions:x8})}}),L8={},k8=g({"src/services/_namespaces/ts.refactor.addOrRemoveBracesToArrowFunction.ts"(){T8(),P8()}});function w8(e){const{file:n,startPosition:t,program:r,kind:i}=e,a=W8(n,t,r);if(!a)return o;const{selectedVariableDeclaration:s,func:l}=a,c=[],d=[];if(l6(C8.kind,i)){const e=s||hD(l)&&iC(l.parent)?void 0:eT(Oa.Could_not_convert_to_named_function);e?d.push({...C8,notApplicableReason:e}):c.push(C8)}if(l6(D8.kind,i)){const e=!s&&hD(l)?void 0:eT(Oa.Could_not_convert_to_anonymous_function);e?d.push({...D8,notApplicableReason:e}):c.push(D8)}if(l6(M8.kind,i)){const e=_D(l)?void 0:eT(Oa.Could_not_convert_to_arrow_function);e?d.push({...M8,notApplicableReason:e}):c.push(M8)}return[{name:I8,description:N8,actions:0===c.length&&e.preferences.provideRefactorNotApplicableReason?d:c}]}function O8(e,n){const{file:t,startPosition:r,program:o}=e,i=W8(t,r,o);if(!i)return;const{func:a}=i,s=[];switch(n){case D8.name:s.push(...function(e,n){const{file:t}=e,r=z8(n.body),o=UA.createFunctionExpression(n.modifiers,n.asteriskToken,void 0,n.typeParameters,n.parameters,n.type,r);return p_e.ChangeTracker.with(e,(e=>e.replaceNode(t,n,o)))}(e,a));break;case C8.name:const n=function(e){const n=e.parent;if(!iC(n)||!$_(n))return;const t=n.parent,r=t.parent;return aC(t)&&BD(r)&&tN(n.name)?{variableDeclaration:n,variableDeclarationList:t,statement:r,name:n.name}:void 0}(a);if(!n)return;s.push(...function(e,n,t){const{file:r}=e,o=z8(n.body),{variableDeclaration:i,variableDeclarationList:a,statement:s,name:l}=t;bZ(s);const c=32&Sl(i)|Zb(n),d=UA.createModifiersFromModifierFlags(c),u=UA.createFunctionDeclaration(b(d)?d:void 0,n.asteriskToken,l,n.typeParameters,n.parameters,n.type,o);return 1===a.declarations.length?p_e.ChangeTracker.with(e,(e=>e.replaceNode(r,s,u))):p_e.ChangeTracker.with(e,(e=>{e.delete(r,i),e.insertNodeAfter(r,s,u)}))}(e,a,n));break;case M8.name:if(!_D(a))return;s.push(...function(e,n){const{file:t}=e,r=n.body.statements,o=r[0];let i;!function(e,n){return 1===e.statements.length&&QD(n)&&!!n.expression}(n.body,o)?i=n.body:(i=o.expression,vZ(i),SZ(o,i));const a=UA.createArrowFunction(n.modifiers,n.typeParameters,n.parameters,n.type,UA.createToken(39),i);return p_e.ChangeTracker.with(e,(e=>e.replaceNode(t,n,a)))}(e,a));break;default:return Tt.fail("invalid action")}return{renameFilename:void 0,renameLocation:void 0,edits:s}}function F8(e){let n=!1;return e.forEachChild((function e(t){PY(t)?n=!0:Md(t)||sC(t)||_D(t)||ok(t,e)})),n}function W8(e,n,t){const r=l$(e,n),o=t.getTypeChecker(),i=function(e,n,t){if(!function(e){return iC(e)||aC(e)&&1===e.declarations.length}(t))return;const r=(iC(t)?t:Me(t.declarations)).initializer;if(r&&(hD(r)||_D(r)&&!G8(e,n,r)))return r;return}(e,o,r.parent);if(i&&!F8(i.body)&&!o.containsArgumentsReference(i))return{selectedVariableDeclaration:!0,func:i};const a=fh(r);if(a&&(_D(a)||hD(a))&&!kY(a.body,r)&&!F8(a.body)&&!o.containsArgumentsReference(a)){if(_D(a)&&G8(e,o,a))return;return{selectedVariableDeclaration:!1,func:a}}}function z8(e){if(uu(e)){const n=UA.createReturnStatement(e),t=e.getSourceFile();return yL(n,e),vZ(n),DZ(e,n,t,void 0,!0),UA.createBlock([n],!0)}return e}function G8(e,n,t){return!!t.name&&Hue.Core.isSymbolReferencedInFile(t.name,n,e)}var B8,j8,V8,U8,H8=g({"src/services/refactors/convertArrowFunctionOrFunctionExpression.ts"(){Tge(),F5(),I8="Convert arrow function or function expression",N8=eT(Oa.Convert_arrow_function_or_function_expression),D8={name:"Convert to anonymous function",description:eT(Oa.Convert_to_anonymous_function),kind:"refactor.rewrite.function.anonymous"},C8={name:"Convert to named function",description:eT(Oa.Convert_to_named_function),kind:"refactor.rewrite.function.named"},M8={name:"Convert to arrow function",description:eT(Oa.Convert_to_arrow_function),kind:"refactor.rewrite.function.arrow"},M4(I8,{kinds:[D8.kind,C8.kind,M8.kind],getEditsForAction:O8,getAvailableActions:w8})}}),K8={},q8=g({"src/services/_namespaces/ts.refactor.convertArrowFunctionOrFunctionExpression.ts"(){H8()}});function J8(e){const{file:n,startPosition:t}=e;if(Jh(n))return o;return t3(n,t,e.program.getTypeChecker())?[{name:B8,description:V8,actions:[U8]}]:o}function X8(e,n){Tt.assert(n===B8,"Unexpected action name");const{file:t,startPosition:r,program:o,cancellationToken:i,host:a}=e,s=t3(t,r,o.getTypeChecker());if(!s||!i)return;const l=function(e,n,t){const r=function(e){switch(e.kind){case 262:if(e.name)return[e.name];return[Tt.checkDefined(RQ(e,90),"Nameless function declaration should be a default export")];case 174:return[e.name];case 176:const n=Tt.checkDefined(JY(e,137,e.getSourceFile()),"Constructor declaration should have constructor keyword");if(231===e.parent.kind){return[e.parent.parent.name,n]}return[n];case 219:return[e.parent.name];case 218:return e.name?[e.name,e.parent.name]:[e.parent.name];default:return Tt.assertNever(e,`Unexpected function declaration kind ${e.kind}`)}}(e),o=IN(e)?function(e){switch(e.parent.kind){case 263:const n=e.parent;if(n.name)return[n.name];return[Tt.checkDefined(RQ(n,90),"Nameless class declaration should be a default export")];case 231:const t=e.parent,r=e.parent.parent,o=t.name;return o?[o,r.name]:[r.name]}}(e):[],i=ce([...r,...o],Mn),a=n.getTypeChecker(),s=H(i,(e=>Hue.getReferenceEntriesForNode(-1,e,n,n.getSourceFiles(),t))),l=c(s);N(l.declarations,(e=>k(i,e)))||(l.valid=!1);return l;function c(n){const t={accessExpressions:[],typeUsages:[]},i={functionCalls:[],declarations:[],classReferences:t,valid:!0},s=B(r,d),l=B(o,d),c=IN(e),u=B(r,(e=>Y8(e,a)));for(const r of n){if(r.kind===Hue.EntryKind.Span){i.valid=!1;continue}if(k(u,d(r.node))){if(r3(r.node.parent)){i.signature=r.node.parent;continue}const e=Z8(r);if(e){i.functionCalls.push(e);continue}}const n=Y8(r.node,a);if(n&&k(u,n)){const e=Q8(r);if(e){i.declarations.push(e);continue}}if(k(s,d(r.node))||aY(r.node)){if($8(r))continue;const e=Q8(r);if(e){i.declarations.push(e);continue}const n=Z8(r);if(n){i.functionCalls.push(n);continue}}if(c&&k(l,d(r.node))){if($8(r))continue;const n=Q8(r);if(n){i.declarations.push(n);continue}const o=e3(r);if(o){t.accessExpressions.push(o);continue}if(lC(e.parent)){const e=n3(r);if(e){t.typeUsages.push(e);continue}}}i.valid=!1}return i}function d(e){const n=a.getSymbolAtLocation(e);return n&&cZ(n,a)}}(s,o,i);if(l.valid){const n=p_e.ChangeTracker.with(e,(e=>function(e,n,t,r,o,i){const a=i.signature,s=B(d3(o,n,t),(e=>mZ(e)));if(a){c(a,B(d3(a,n,t),(e=>mZ(e))))}c(o,s);const l=pe(i.functionCalls,((e,n)=>wn(e.pos,n.pos)));for(const e of l)if(e.arguments&&e.arguments.length){const n=mZ(c3(o,e.arguments),!0);r.replaceNodeRange($f(e),Me(e.arguments),ke(e.arguments),n,{leadingTriviaOption:p_e.LeadingTriviaOption.IncludeAll,trailingTriviaOption:p_e.TrailingTriviaOption.Include})}function c(n,t){r.replaceNodeRangeWithNodes(e,Me(n.parameters),ke(n.parameters),t,{joiner:", ",indentation:0,leadingTriviaOption:p_e.LeadingTriviaOption.IncludeAll,trailingTriviaOption:p_e.TrailingTriviaOption.Include})}}(t,o,a,e,s,l)));return{renameFilename:void 0,renameLocation:void 0,edits:n}}return{edits:[]}}function Y8(e,n){const t=x7(e);if(t){const e=n.getContextualTypeForObjectLiteralElement(t),r=null==e?void 0:e.getSymbol();if(r&&!(6&mS(r)))return r}}function $8(e){const n=e.node;return IC(n.parent)||yC(n.parent)||hC(n.parent)||xC(n.parent)||MC(n.parent)||NC(n.parent)?n:void 0}function Q8(e){if(Pu(e.node.parent))return e.node}function Z8(e){if(e.node.parent){const n=e.node,t=n.parent;switch(t.kind){case 213:case 214:const e=hn(t,ru);if(e&&e.expression===n)return e;break;case 211:const r=hn(t,lD);if(r&&r.parent&&r.name===n){const e=hn(r.parent,ru);if(e&&e.expression===r)return e}break;case 212:const o=hn(t,cD);if(o&&o.parent&&o.argumentExpression===n){const e=hn(o.parent,ru);if(e&&e.expression===o)return e}}}}function e3(e){if(e.node.parent){const n=e.node,t=n.parent;switch(t.kind){case 211:const e=hn(t,lD);if(e&&e.expression===n)return e;break;case 212:const r=hn(t,cD);if(r&&r.expression===n)return r}}}function n3(e){const n=e.node;if(2===rY(n)||bE(n.parent))return n}function t3(e,n,t){const r=s$(e,n),o=mh(r);if(!function(e){const n=Nl(e,Uu);if(n){const e=Nl(n,(e=>!Uu(e)));return!!e&&Ad(e)}return!1}(r))return!(o&&function(e,n){var t;if(!function(e,n){return function(e){if(s3(e))return e.length-1;return e.length}(e)>=j8&&N(e,(e=>function(e,n){if(ip(e)){const t=n.getTypeAtLocation(e);if(!n.isArrayType(t)&&!n.isTupleType(t))return!1}return!e.modifiers&&tN(e.name)}(e,n)))}(e.parameters,n))return!1;switch(e.kind){case 262:return i3(e)&&o3(e,n);case 174:if(sD(e.parent)){const r=Y8(e.name,n);return 1===(null==(t=null==r?void 0:r.declarations)?void 0:t.length)&&o3(e,n)}return o3(e,n);case 176:return lC(e.parent)?i3(e.parent)&&o3(e,n):a3(e.parent.parent)&&o3(e,n);case 218:case 219:return a3(e.parent)}return!1}(o,t)&&kY(o,r))||o.body&&kY(o.body,r)?void 0:o}function r3(e){return xN(e)&&(cC(e.parent)||WN(e.parent))}function o3(e,n){return!!e.body&&!n.isImplementationOfOverload(e)}function i3(e){if(!e.name){return!!RQ(e,90)}return!0}function a3(e){return iC(e)&&D_(e)&&tN(e.name)&&!e.type}function s3(e){return e.length>0&&PY(e[0].name)}function l3(e){return s3(e)&&(e=UA.createNodeArray(e.slice(1),e.hasTrailingComma)),e}function c3(e,n){const t=l3(e.parameters),r=ip(ke(t)),o=B(r?n.slice(0,t.length-1):n,((e,n)=>{const r=u3(t[n]),o=(i=r,tN(a=e)&&sv(a)===i?UA.createShorthandPropertyAssignment(i):UA.createPropertyAssignment(i,a));var i,a;return vZ(o.name),QC(o)&&vZ(o.initializer),SZ(e,o),o}));if(r&&n.length>=t.length){const e=n.slice(t.length-1),r=UA.createPropertyAssignment(u3(ke(t)),UA.createArrayLiteralExpression(e));o.push(r)}return UA.createObjectLiteralExpression(o,!1)}function d3(e,n,t){const r=n.getTypeChecker(),o=l3(e.parameters),i=B(o,(function(e){const n=UA.createBindingElement(void 0,void 0,u3(e),ip(e)&&u(e)?UA.createArrayLiteralExpression():e.initializer);vZ(n),e.initializer&&n.initializer&&SZ(e.initializer,n.initializer);return n})),a=UA.createObjectBindingPattern(i),s=function(e){const n=B(e,d);return mR(UA.createTypeLiteralNode(n),1)}(o);let l;N(o,u)&&(l=UA.createObjectLiteralExpression());const c=UA.createParameterDeclaration(void 0,void 0,a,void 0,s,l);if(s3(e.parameters)){const n=e.parameters[0],t=UA.createParameterDeclaration(void 0,void 0,n.name,void 0,n.type);return vZ(t.name),SZ(n.name,t.name),n.type&&(vZ(t.type),SZ(n.type,t.type)),UA.createNodeArray([t,c])}return UA.createNodeArray([c]);function d(e){let o=e.type;var i;o||!e.initializer&&!ip(e)||(i=e,o=zZ(r.getTypeAtLocation(i),i,n,t));const a=UA.createPropertySignature(void 0,u3(e),u(e)?UA.createToken(58):e.questionToken,o);return vZ(a),SZ(e.name,a.name),e.type&&a.type&&SZ(e.type,a.type),a}function u(e){if(ip(e)){const n=r.getTypeAtLocation(e);return!r.isTupleType(n)}return r.isOptionalParameter(e)}}function u3(e){return sv(e.name)}var p3,f3,m3,_3,h3,g3=g({"src/services/refactors/convertParamsToDestructuredObject.ts"(){Tge(),F5(),B8="Convert parameters to destructured object",j8=1,V8=eT(Oa.Convert_parameters_to_destructured_object),M4(B8,{kinds:[(U8={name:B8,description:V8,kind:"refactor.rewrite.parameters.toDestructured"}).kind],getEditsForAction:X8,getAvailableActions:J8})}}),y3={},v3=g({"src/services/_namespaces/ts.refactor.convertParamsToDestructuredObject.ts"(){g3()}});function b3(e){const{file:n,startPosition:t}=e,r=x3(E3(n,t)),i=zI(r),a={name:p3,description:f3,actions:[]};return i&&"invoked"!==e.triggerReason?o:Gh(r)&&(i||TD(r)&&A3(r).isValidConcatenation)?(a.actions.push(m3),[a]):e.preferences.provideRefactorNotApplicableReason?(a.actions.push({...m3,notApplicableReason:eT(Oa.Can_only_convert_string_concatenations_and_string_literals)}),[a]):o}function E3(e,n){const t=l$(e,n),r=x3(t);return!A3(r).isValidConcatenation&&mD(r.parent)&&TD(r.parent.parent)?r.parent.parent:t}function S3(e,n){const{file:t,startPosition:r}=e,o=E3(t,r);return n===f3?{edits:T3(e,o)}:Tt.fail("invalid action")}function T3(e,n){const t=x3(n),r=e.file,o=function({nodes:e,operators:n},t){const r=_3(n,t),o=h3(e,t,r),[i,a,s,l]=I3(0,e);if(i===e.length){const e=UA.createNoSubstitutionTemplateLiteral(a,s);return o(l,e),e}const c=[],d=UA.createTemplateHead(a,s);o(l,d);for(let n=i;n<e.length;n++){const t=D3(e[n]);r(n,t);const[i,a,s,l]=I3(n+1,e);n=i-1;const d=n===e.length-1;if(AD(t)){const e=B(t.templateSpans,((e,n)=>{N3(e);const r=n===t.templateSpans.length-1,o=e.literal.text+(r?a:""),i=R3(e.literal)+(r?s:"");return UA.createTemplateSpan(e.expression,d&&r?UA.createTemplateTail(o,i):UA.createTemplateMiddle(o,i))}));c.push(...e)}else{const e=d?UA.createTemplateTail(a,s):UA.createTemplateMiddle(a,s);o(l,e),c.push(UA.createTemplateSpan(t,e))}}return UA.createTemplateExpression(d,c)}(A3(t),r),i=ws(r.text,t.end);if(i){const n=i[i.length-1],a={pos:i[0].pos,end:n.end};return p_e.ChangeTracker.with(e,(e=>{e.deleteRange(r,a),e.replaceNode(r,t,o)}))}return p_e.ChangeTracker.with(e,(e=>e.replaceNode(r,t,o)))}function x3(e){return Nl(e.parent,(e=>{switch(e.kind){case 211:case 212:return!1;case 228:case 226:return!(TD(e.parent)&&(n=e.parent,64!==n.operatorToken.kind&&65!==n.operatorToken.kind));default:return"quit"}var n}))||e}function A3(e){const n=e=>{if(!TD(e))return{nodes:[e],operators:[],validOperators:!0,hasString:zI(e)||jI(e)};const{nodes:t,operators:r,hasString:o,validOperators:i}=n(e.left);if(!(o||zI(e.right)||AD(e.right)))return{nodes:[e],operators:[],hasString:!1,validOperators:!0};const a=40===e.operatorToken.kind,s=i&&a;return t.push(e.right),r.push(e.operatorToken),{nodes:t,operators:r,hasString:!0,validOperators:s}},{nodes:t,operators:r,validOperators:o,hasString:i}=n(e);return{nodes:t,operators:r,isValidConcatenation:o&&i}}function R3(e){const n=VI(e)||UI(e)?-2:-1;return xm(e).slice(1,n)}function I3(e,n){const t=[];let r="",o="";for(;e<n.length;){const i=n[e];if(!tp(i)){if(AD(i)){r+=i.head.text,o+=R3(i.head);break}break}r+=i.text,o+=xm(i).slice(1,-1).replace(/\\.|[$`]/g,(e=>"\\"===e[0]?e:"\\"+e)),t.push(e),e++}return[e,r,o,t]}function N3(e){const n=e.getSourceFile();NZ(e,e.expression,n,3,!1),DZ(e.expression,e.expression,n,3,!1)}function D3(e){return mD(e)&&(N3(e),e=e.expression),e}var C3,M3,P3,L3=g({"src/services/refactors/convertStringOrTemplateLiteral.ts"(){Tge(),F5(),p3="Convert to template string",f3=eT(Oa.Convert_to_template_string),M4(p3,{kinds:[(m3={name:p3,description:f3,kind:"refactor.rewrite.string"}).kind],getEditsForAction:S3,getAvailableActions:b3}),_3=(e,n)=>(t,r)=>{t<e.length&&NZ(e[t],r,n,3,!1)},h3=(e,n,t)=>(r,o)=>{for(;r.length>0;){const i=r.shift();NZ(e[i],o,n,3,!1),t(i,o)}}}}),k3={},w3=g({"src/services/_namespaces/ts.refactor.convertStringOrTemplateLiteral.ts"(){L3()}});function O3(e){const n=G3(e,"invoked"===e.triggerReason);return n?s6(n)?e.preferences.provideRefactorNotApplicableReason?[{name:C3,description:M3,actions:[{...P3,notApplicableReason:n.error}]}]:o:[{name:C3,description:M3,actions:[P3]}]:o}function F3(e,n){const t=G3(e);Tt.assert(t&&!s6(t),"Expected applicable refactor info");const r=p_e.ChangeTracker.with(e,(n=>function(e,n,t,r){const{finalExpression:o,occurrences:i,expression:a}=r,s=i[i.length-1],l=H3(n,o,i);l&&(lD(l)||cD(l)||dD(l))&&(TD(a)?t.replaceNodeRange(e,s,o,l):xD(a)&&t.replaceNode(e,a,UA.createBinaryExpression(l,UA.createToken(61),a.whenFalse)))}(e.file,e.program.getTypeChecker(),n,t)));return{edits:r,renameFilename:void 0,renameLocation:void 0}}function W3(e){return TD(e)||xD(e)}function z3(e){return W3(e)||function(e){return VD(e)||QD(e)||BD(e)}(e)}function G3(e,n=!0){const{file:t,program:r}=e,o=l0(e),i=0===o.length;if(i&&!n)return;const a=l$(t,o.start),s=u$(t,o.start+o.length),l=ul(a.pos,s&&s.end>=a.pos?s.getEnd():a.getEnd()),c=i?function(e){for(;e.parent;){if(z3(e)&&!z3(e.parent))return e;e=e.parent}return}(a):function(e,n){for(;e.parent;){if(z3(e)&&0!==n.length&&e.end>=n.start+n.length)return e;e=e.parent}return}(a,l),d=c&&z3(c)?function(e){if(W3(e))return e;if(BD(e)){const n=Yg(e),t=null==n?void 0:n.initializer;return t&&W3(t)?t:void 0}return e.expression&&W3(e.expression)?e.expression:void 0}(c):void 0;if(!d)return{error:eT(Oa.Could_not_find_convertible_access_expression)};const u=r.getTypeChecker();return xD(d)?function(e,n){const t=e.condition,r=U3(e.whenTrue);if(!r||n.isNullableType(n.getTypeAtLocation(r)))return{error:eT(Oa.Could_not_find_convertible_access_expression)};if((lD(t)||tN(t))&&j3(t,r.expression))return{finalExpression:r,occurrences:[t],expression:e};if(TD(t)){const n=B3(r.expression,t);return n?{finalExpression:r,occurrences:n,expression:e}:{error:eT(Oa.Could_not_find_matching_access_expressions)}}}(d,u):function(e){if(56!==e.operatorToken.kind)return{error:eT(Oa.Can_only_convert_logical_AND_access_chains)};const n=U3(e.right);if(!n)return{error:eT(Oa.Could_not_find_convertible_access_expression)};const t=B3(n.expression,e.left);return t?{finalExpression:n,occurrences:t,expression:e}:{error:eT(Oa.Could_not_find_matching_access_expressions)}}(d)}function B3(e,n){const t=[];for(;TD(n)&&56===n.operatorToken.kind;){const r=j3(Ty(e),Ty(n.right));if(!r)break;t.push(r),e=r,n=n.left}const r=j3(e,n);return r&&t.push(r),t.length>0?t:void 0}function j3(e,n){if(tN(n)||lD(n)||cD(n))return function(e,n){for(;(dD(e)||lD(e)||cD(e))&&V3(e)!==V3(n);)e=e.expression;for(;lD(e)&&lD(n)||cD(e)&&cD(n);){if(V3(e)!==V3(n))return!1;e=e.expression,n=n.expression}return tN(e)&&tN(n)&&e.getText()===n.getText()}(e,n)?n:void 0}function V3(e){return tN(e)||nv(e)?e.getText():lD(e)?V3(e.name):cD(e)?V3(e.argumentExpression):void 0}function U3(e){return TD(e=Ty(e))?U3(e.left):(lD(e)||cD(e)||dD(e))&&!wc(e)?e:void 0}function H3(e,n,t){if(lD(n)||cD(n)||dD(n)){const r=H3(e,n.expression,t),o=t.length>0?t[t.length-1]:void 0,i=(null==o?void 0:o.getText())===n.expression.getText();if(i&&t.pop(),dD(n))return i?UA.createCallChain(r,UA.createToken(29),n.typeArguments,n.arguments):UA.createCallChain(r,n.questionDotToken,n.typeArguments,n.arguments);if(lD(n))return i?UA.createPropertyAccessChain(r,UA.createToken(29),n.name):UA.createPropertyAccessChain(r,n.questionDotToken,n.name);if(cD(n))return i?UA.createElementAccessChain(r,UA.createToken(29),n.argumentExpression):UA.createElementAccessChain(r,n.questionDotToken,n.argumentExpression)}return n}var K3,q3,J3,X3,Y3,$3=g({"src/services/refactors/convertToOptionalChainExpression.ts"(){Tge(),F5(),C3="Convert to optional chain expression",M3=eT(Oa.Convert_to_optional_chain_expression),M4(C3,{kinds:[(P3={name:C3,description:M3,kind:"refactor.rewrite.expression.optionalChain"}).kind],getEditsForAction:F3,getAvailableActions:O3})}}),Q3={},Z3=g({"src/services/_namespaces/ts.refactor.convertToOptionalChainExpression.ts"(){$3()}});function e5(e){const n=e.kind,t=t5(e.file,l0(e),"invoked"===e.triggerReason),r=t.targetRange;if(void 0===r){if(!t.errors||0===t.errors.length||!e.preferences.provideRefactorNotApplicableReason)return o;const r=[];return l6(J3.kind,n)&&r.push({name:K3,description:J3.description,actions:[{...J3,notApplicableReason:m(t.errors)}]}),l6(q3.kind,n)&&r.push({name:K3,description:q3.description,actions:[{...q3,notApplicableReason:m(t.errors)}]}),r}const i=function(e,n){const{scopes:t,readsAndWrites:{functionErrorsPerScope:r,constantErrorsPerScope:o}}=i5(e,n),i=t.map(((e,n)=>{const t=function(e){return Ad(e)?"inner function":Md(e)?"method":"function"}(e),i=function(e){return Md(e)?"readonly field":"constant"}(e),a=Ad(e)?function(e){switch(e.kind){case 176:return"constructor";case 218:case 262:return e.name?`function '${e.name.text}'`:ZX;case 219:return"arrow function";case 174:return`method '${e.name.getText()}'`;case 177:return`'get ${e.name.getText()}'`;case 178:return`'set ${e.name.getText()}'`;default:Tt.assertNever(e,`Unexpected scope kind ${e.kind}`)}}(e):Md(e)?function(e){return 263===e.kind?e.name?`class '${e.name.text}'`:"anonymous class declaration":e.name?`class expression '${e.name.text}'`:"anonymous class expression"}(e):function(e){return 268===e.kind?`namespace '${e.parent.name.getText()}'`:e.externalModuleIndicator?0:1}(e);let s,l;return 1===a?(s=$S(eT(Oa.Extract_to_0_in_1_scope),[t,"global"]),l=$S(eT(Oa.Extract_to_0_in_1_scope),[i,"global"])):0===a?(s=$S(eT(Oa.Extract_to_0_in_1_scope),[t,"module"]),l=$S(eT(Oa.Extract_to_0_in_1_scope),[i,"module"])):(s=$S(eT(Oa.Extract_to_0_in_1),[t,a]),l=$S(eT(Oa.Extract_to_0_in_1),[i,a])),0!==n||Md(e)||(l=$S(eT(Oa.Extract_to_0_in_enclosing_scope),[i])),{functionExtraction:{description:s,errors:r[n]},constantExtraction:{description:l,errors:o[n]}}}));return i}(r,e);if(void 0===i)return o;const a=[],s=new Map;let l;const c=[],d=new Map;let u,p=0;for(const{functionExtraction:e,constantExtraction:t}of i){if(l6(J3.kind,n)){const n=e.description;0===e.errors.length?s.has(n)||(s.set(n,!0),a.push({description:n,name:`function_scope_${p}`,kind:J3.kind})):l||(l={description:n,name:`function_scope_${p}`,notApplicableReason:m(e.errors),kind:J3.kind})}if(l6(q3.kind,n)){const e=t.description;0===t.errors.length?d.has(e)||(d.set(e,!0),c.push({description:e,name:`constant_scope_${p}`,kind:q3.kind})):u||(u={description:e,name:`constant_scope_${p}`,notApplicableReason:m(t.errors),kind:q3.kind})}p++}const f=[];return a.length?f.push({name:K3,description:eT(Oa.Extract_function),actions:a}):e.preferences.provideRefactorNotApplicableReason&&l&&f.push({name:K3,description:eT(Oa.Extract_function),actions:[l]}),c.length?f.push({name:K3,description:eT(Oa.Extract_constant),actions:c}):e.preferences.provideRefactorNotApplicableReason&&u&&f.push({name:K3,description:eT(Oa.Extract_constant),actions:[u]}),f.length?f:o;function m(e){let n=e[0].messageText;return"string"!=typeof n&&(n=n.messageText),n}}function n5(e,n){const t=t5(e.file,l0(e)).targetRange,r=/^function_scope_(\d+)$/.exec(n);if(r){const n=+r[1];return Tt.assert(isFinite(n),"Expected to parse a finite number from the function scope index"),function(e,n,t){const{scopes:r,readsAndWrites:{target:i,usagesPerScope:a,functionErrorsPerScope:s,exposedVariableDeclarations:l}}=i5(e,n);return Tt.assert(!s[t].length,"The extraction went missing? How?"),n.cancellationToken.throwIfCancellationRequested(),function(e,n,{usages:t,typeParameterUsages:r,substitutions:i},a,s,l){const c=l.program.getTypeChecker(),d=jp(l.program.getCompilerOptions()),u=Qle.createImportAdder(l.file,l.program,l.preferences,l.host),p=n.getSourceFile(),f=AZ(Md(n)?"newMethod":"newFunction",p),m=Yh(n),_=UA.createIdentifier(f);let h;const g=[],y=[];let v;t.forEach(((e,t)=>{let r;if(!m){let t=c.getTypeOfSymbolAtLocation(e.symbol,e.node);t=c.getBaseTypeOfLiteralType(t),r=Qle.typeToAutoImportableTypeNode(c,u,t,n,d,1)}const o=UA.createParameterDeclaration(void 0,void 0,t,void 0,r);g.push(o),2===e.usage&&(v||(v=[])).push(e),y.push(UA.createIdentifier(t))}));const b=Je(r.values(),(e=>({type:e,declaration:a5(e,l.startPosition)}))),E=b.sort(s5),S=0===E.length?void 0:Y(E,(({declaration:e})=>e)),T=void 0!==S?S.map((e=>UA.createTypeReferenceNode(e.name,void 0))):void 0;if(uu(e)&&!m){const t=c.getContextualType(e);h=c.typeToTypeNode(t,n,1)}const{body:x,returnValueProperty:A}=function(e,n,t,r,o){const i=void 0!==t||n.length>0;if(GD(e)&&!i&&0===r.size)return{body:UA.createBlock(e.statements,!0),returnValueProperty:void 0};let a,s=!1;const l=UA.createNodeArray(GD(e)?e.statements.slice(0):[wu(e)?e:UA.createReturnStatement(Ty(e))]);if(i||r.size){const r=oG(l,c,wu).slice();if(i&&!o&&wu(e)){const e=l5(n,t);1===e.length?r.push(UA.createReturnStatement(e[0].name)):r.push(UA.createReturnStatement(UA.createObjectLiteralExpression(e)))}return{body:UA.createBlock(r,!0),returnValueProperty:a}}return{body:UA.createBlock(l,!0),returnValueProperty:void 0};function c(e){if(!s&&QD(e)&&i){const r=l5(n,t);return e.expression&&(a||(a="__return"),r.unshift(UA.createPropertyAssignment(a,rG(e.expression,c,uu)))),1===r.length?UA.createReturnStatement(r[0].name):UA.createReturnStatement(UA.createObjectLiteralExpression(r))}{const n=s;s=s||Ad(e)||Md(e);const t=r.get(Hz(e).toString()),o=t?mZ(t):fG(e,c,void 0);return s=n,o}}}(e,a,v,i,!!(1&s.facts));let R;vZ(x);const I=!!(16&s.facts);if(Md(n)){const e=m?[]:[UA.createModifier(123)];32&s.facts&&e.push(UA.createModifier(126)),4&s.facts&&e.push(UA.createModifier(134)),R=UA.createMethodDeclaration(e.length?e:void 0,2&s.facts?UA.createToken(42):void 0,_,void 0,S,g,h,x)}else I&&g.unshift(UA.createParameterDeclaration(void 0,void 0,"this",void 0,c.typeToTypeNode(c.getTypeAtLocation(s.thisNode),n,1),void 0)),R=UA.createFunctionDeclaration(4&s.facts?[UA.createToken(134)]:void 0,2&s.facts?UA.createToken(42):void 0,_,S,g,h,x);const N=p_e.ChangeTracker.fromContext(l),C=(c5(s.range)?ke(s.range):s.range).end,M=function(e,n){return D(function(e){if(Ad(e)){const n=e.body;if(GD(n))return n.statements}else{if(fC(e)||rM(e))return e.statements;if(Md(e))return e.members}return o}(n),(n=>n.pos>=e&&Ad(n)&&!IN(n)))}(C,n);M?N.insertNodeBefore(l.file,M,R,!0):N.insertNodeAtEndOfScope(l.file,n,R);u.writeFixes(N);const P=[],L=function(e,n,t){const r=UA.createIdentifier(t);if(Md(e)){const t=32&n.facts?UA.createIdentifier(e.name.text):UA.createThis();return UA.createPropertyAccessExpression(t,r)}return r}(n,s,f);I&&y.unshift(UA.createIdentifier("this"));let k=UA.createCallExpression(I?UA.createPropertyAccessExpression(L,"call"):L,T,y);2&s.facts&&(k=UA.createYieldExpression(UA.createToken(42),k));4&s.facts&&(k=UA.createAwaitExpression(k));p5(e)&&(k=UA.createJsxExpression(void 0,k));if(a.length&&!v)if(Tt.assert(!A,"Expected no returnValueProperty"),Tt.assert(!(1&s.facts),"Expected RangeFacts.HasReturn flag to be unset"),1===a.length){const e=a[0];P.push(UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration(mZ(e.name),void 0,mZ(e.type),k)],e.parent.flags)))}else{const e=[],t=[];let r=a[0].parent.flags,o=!1;for(const i of a){e.push(UA.createBindingElement(void 0,void 0,mZ(i.name)));const a=c.typeToTypeNode(c.getBaseTypeOfLiteralType(c.getTypeAtLocation(i)),n,1);t.push(UA.createPropertySignature(void 0,i.symbol.name,void 0,a)),o=o||void 0!==i.type,r&=i.parent.flags}const i=o?UA.createTypeLiteralNode(t):void 0;i&&fR(i,1),P.push(UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration(UA.createObjectBindingPattern(e),void 0,i,k)],r)))}else if(a.length||v){if(a.length)for(const e of a){let n=e.parent.flags;2&n&&(n=-3&n|1),P.push(UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration(e.symbol.name,void 0,z(e.type))],n)))}A&&P.push(UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration(A,void 0,z(h))],1)));const e=l5(a,v);A&&e.unshift(UA.createShorthandPropertyAssignment(A)),1===e.length?(Tt.assert(!A,"Shouldn't have returnValueProperty here"),P.push(UA.createExpressionStatement(UA.createAssignment(e[0].name,k))),1&s.facts&&P.push(UA.createReturnStatement())):(P.push(UA.createExpressionStatement(UA.createAssignment(UA.createObjectLiteralExpression(e),k))),A&&P.push(UA.createReturnStatement(UA.createIdentifier(A))))}else 1&s.facts?P.push(UA.createReturnStatement(k)):c5(s.range)?P.push(UA.createExpressionStatement(k)):P.push(k);c5(s.range)?N.replaceNodeRangeWithNodes(l.file,Me(s.range),ke(s.range),P):N.replaceNodeWithNodes(l.file,s.range,P);const w=N.getChanges(),O=c5(s.range)?Me(s.range):s.range,F=O.getSourceFile().fileName,W=RZ(w,F,f,!1);return{renameFilename:F,renameLocation:W,edits:w};function z(e){if(void 0===e)return;const n=mZ(e);let t=n;for(;JN(t);)t=t.type;return UN(t)&&D(t.types,(e=>157===e.kind))?n:UA.createUnionTypeNode([n,UA.createKeywordTypeNode(157)])}}(i,r[t],a[t],l,e,n)}(t,e,n)}const i=/^constant_scope_(\d+)$/.exec(n);if(i){const n=+i[1];return Tt.assert(isFinite(n),"Expected to parse a finite number from the constant scope index"),function(e,n,t){const{scopes:r,readsAndWrites:{target:o,usagesPerScope:i,constantErrorsPerScope:a,exposedVariableDeclarations:s}}=i5(e,n);Tt.assert(!a[t].length,"The extraction went missing? How?"),Tt.assert(0===s.length,"Extract constant accepted a range containing a variable declaration?"),n.cancellationToken.throwIfCancellationRequested();return function(e,n,{substitutions:t},r,o){const i=o.program.getTypeChecker(),a=n.getSourceFile(),s=!lD(e)||Md(n)||i.resolveName(e.name.text,e,111551,!1)||rN(e.name)||kl(e.name)?AZ(Md(n)?"newProperty":"newLocal",a):e.name.text,l=Yh(n);let c=l||!i.isContextSensitive(e)?void 0:i.typeToTypeNode(i.getContextualType(e),n,1),d=function(e,n){return n.size?t(e):e;function t(e){const r=n.get(Hz(e).toString());return r?mZ(r):fG(e,t,void 0)}}(Ty(e),t);({variableType:c,initializer:d}=_(c,d)),vZ(d);const u=p_e.ChangeTracker.fromContext(o);if(Md(n)){Tt.assert(!l,"Cannot extract to a JS class");const t=[];t.push(UA.createModifier(123)),32&r&&t.push(UA.createModifier(126)),t.push(UA.createModifier(148));const i=UA.createPropertyDeclaration(t,s,void 0,c,d);let a=UA.createPropertyAccessExpression(32&r?UA.createIdentifier(n.name.getText()):UA.createThis(),UA.createIdentifier(s));p5(e)&&(a=UA.createJsxExpression(void 0,a));const p=function(e,n){const t=n.members;let r;Tt.assert(t.length>0,"Found no members");let o=!0;for(const n of t){if(n.pos>e)return r||t[0];if(o&&!TN(n)){if(void 0!==r)return n;o=!1}r=n}return void 0===r?Tt.fail():r}(e.pos,n);u.insertNodeBefore(o.file,p,i,!0),u.replaceNode(o.file,e,a)}else{const t=UA.createVariableDeclaration(s,void 0,c,d),r=function(e,n){let t;for(;void 0!==e&&e!==n;){if(iC(e)&&e.initializer===t&&aC(e.parent)&&e.parent.declarations.length>1)return e;t=e,e=e.parent}}(e,n);if(r){u.insertNodeBefore(o.file,r,t);const n=UA.createIdentifier(s);u.replaceNode(o.file,e,n)}else if(244===e.parent.kind&&n===Nl(e,o5)){const n=UA.createVariableStatement(void 0,UA.createVariableDeclarationList([t],2));u.replaceNode(o.file,e.parent,n)}else{const r=UA.createVariableStatement(void 0,UA.createVariableDeclarationList([t],2)),i=function(e,n){let t;Tt.assert(!Md(n));for(let r=e;r!==n;r=r.parent)o5(r)&&(t=r);for(let r=(t||e).parent;;r=r.parent){if(u5(r)){let n;for(const t of r.statements){if(t.pos>e.pos)break;n=t}return!n&&JC(r)?(Tt.assert(eC(r.parent.parent),"Grandparent isn't a switch statement"),r.parent.parent):Tt.checkDefined(n,"prevStatement failed to get set")}Tt.assert(r!==n,"Didn't encounter a block-like before encountering scope")}}(e,n);if(0===i.pos?u.insertNodeAtTopOfFile(o.file,r,!1):u.insertNodeBefore(o.file,i,r,!1),244===e.parent.kind)u.delete(o.file,e.parent);else{let n=UA.createIdentifier(s);p5(e)&&(n=UA.createJsxExpression(void 0,n)),u.replaceNode(o.file,e,n)}}}const p=u.getChanges(),f=e.getSourceFile().fileName,m=RZ(p,f,s,!0);return{renameFilename:f,renameLocation:m,edits:p};function _(t,r){if(void 0===t)return{variableType:t,initializer:r};if(!_D(r)&&!hD(r)||r.typeParameters)return{variableType:t,initializer:r};const o=i.getTypeAtLocation(e),a=we(i.getSignaturesOfType(o,0));if(!a)return{variableType:t,initializer:r};if(a.getTypeParameters())return{variableType:t,initializer:r};const s=[];let l=!1;for(const e of r.parameters)if(e.type)s.push(e);else{const t=i.getTypeAtLocation(e);t===i.getAnyType()&&(l=!0),s.push(UA.updateParameterDeclaration(e,e.modifiers,e.dotDotDotToken,e.name,e.questionToken,e.type||i.typeToTypeNode(t,n,1),e.initializer))}if(l)return{variableType:t,initializer:r};if(t=void 0,hD(r))r=UA.updateArrowFunction(r,vL(e)?Hl(e):void 0,r.typeParameters,s,r.type||i.typeToTypeNode(a.getReturnType(),n,1),r.equalsGreaterThanToken,r.body);else{if(a&&a.thisParameter){const t=De(s);if(!t||tN(t.name)&&"this"!==t.name.escapedText){const t=i.getTypeOfSymbolAtLocation(a.thisParameter,e);s.splice(0,0,UA.createParameterDeclaration(void 0,void 0,"this",void 0,i.typeToTypeNode(t,n,1)))}}r=UA.updateFunctionExpression(r,vL(e)?Hl(e):void 0,r.asteriskToken,r.name,r.typeParameters,s,r.type||i.typeToTypeNode(a.getReturnType(),n,1),r.body)}return{variableType:t,initializer:r}}}(uu(o)?o:o.statements[0].expression,r[t],i[t],e.facts,n)}(t,e,n)}Tt.fail("Unrecognized action name")}function t5(e,n,t=!0){const{length:r}=n;if(0===r&&!t)return{errors:[iT(e,n.start,r,X3.cannotExtractEmpty)]};const o=0===r&&t,i=d$(e,n.start),a=u$(e,Qs(n)),s=i&&a&&t?function(e,n,t){const r=e.getStart(t);let o=n.getEnd();59===t.text.charCodeAt(o)&&o++;return{start:r,length:o-r}}(i,a,e):n,l=o?function(e){return Nl(e,(e=>e.parent&&d5(e)&&!TD(e.parent)))}(i):xQ(i,e,s),c=o?l:xQ(a,e,s);let d,u=0;if(!l||!c)return{errors:[iT(e,n.start,r,X3.cannotExtractRange)]};if(16777216&l.flags)return{errors:[iT(e,n.start,r,X3.cannotExtractJSDoc)]};if(l.parent!==c.parent)return{errors:[iT(e,n.start,r,X3.cannotExtractRange)]};if(l!==c){if(!u5(l.parent))return{errors:[iT(e,n.start,r,X3.cannotExtractRange)]};const t=[];for(const e of l.parent.statements){if(e===l||t.length){const n=m(e);if(n)return{errors:n};t.push(e)}if(e===c)break}return t.length?{targetRange:{range:t,facts:u,thisNode:d}}:{errors:[iT(e,n.start,r,X3.cannotExtractRange)]}}if(QD(l)&&!l.expression)return{errors:[iT(e,n.start,r,X3.cannotExtractRange)]};const p=function(e){if(QD(e)){if(e.expression)return e.expression}else if(BD(e)||aC(e)){const n=BD(e)?e.declarationList.declarations:e.declarations;let t,r=0;for(const e of n)e.initializer&&(r++,t=e.initializer);if(1===r)return t}else if(iC(e)&&e.initializer)return e.initializer;return e}(l),f=function(e){if(tN(VD(e)?e.expression:e))return[d_(e,X3.cannotExtractIdentifier)];return}(p)||m(p);return f?{errors:f}:{targetRange:{range:r5(p),facts:u,thisNode:d}};function m(e){let t;var r;if((r=t||(t={}))[r.None=0]="None",r[r.Break=1]="Break",r[r.Continue=2]="Continue",r[r.Return=4]="Return",Tt.assert(e.pos<=e.end,"This failure could trigger https://github.com/Microsoft/TypeScript/issues/20809 (1)"),Tt.assert(!_x(e.pos),"This failure could trigger https://github.com/Microsoft/TypeScript/issues/20809 (2)"),!(wu(e)||Gh(e)&&d5(e)||f5(e)))return[d_(e,X3.statementOrExpressionExpected)];if(33554432&e.flags)return[d_(e,X3.cannotExtractAmbientBlock)];const o=_h(e);let i;o&&function(e,n){let t=e;for(;t!==n;){if(172===t.kind){jb(t)&&(u|=32);break}if(169===t.kind){176===fh(t).kind&&(u|=32);break}174===t.kind&&jb(t)&&(u|=32),t=t.parent}}(e,o);let a,s=4;if(function e(t){if(i)return!0;if(Pu(t)){if(Bb(260===t.kind?t.parent.parent:t,32))return(i||(i=[])).push(d_(t,X3.cannotExtractExportedEntity)),!0}switch(t.kind){case 272:return(i||(i=[])).push(d_(t,X3.cannotExtractImport)),!0;case 277:return(i||(i=[])).push(d_(t,X3.cannotExtractExportedEntity)),!0;case 108:if(213===t.parent.kind){const e=_h(t);if(void 0===e||e.pos<n.start||e.end>=n.start+n.length)return(i||(i=[])).push(d_(t,X3.cannotExtractSuper)),!0}else u|=8,d=t;break;case 219:ok(t,(function e(n){if(PY(n))u|=8,d=t;else{if(Md(n)||Td(n)&&!hD(n))return!1;ok(n,e)}}));case 263:case 262:rM(t.parent)&&void 0===t.parent.externalModuleIndicator&&(i||(i=[])).push(d_(t,X3.functionWillNotBeVisibleInTheNewScope));case 231:case 218:case 174:case 176:case 177:case 178:return!1}const r=s;switch(t.kind){case 245:s&=-5;break;case 258:s=0;break;case 241:t.parent&&258===t.parent.kind&&t.parent.finallyBlock===t&&(s=4);break;case 297:case 296:s|=1;break;default:mu(t,!1)&&(s|=3)}switch(t.kind){case 197:case 110:u|=8,d=t;break;case 256:{const n=t.label;(a||(a=[])).push(n.escapedText),ok(t,e),a.pop();break}case 252:case 251:{const e=t.label;e?k(a,e.escapedText)||(i||(i=[])).push(d_(t,X3.cannotExtractRangeContainingLabeledBreakOrContinueStatementWithTargetOutsideOfTheRange)):s&(252===t.kind?1:2)||(i||(i=[])).push(d_(t,X3.cannotExtractRangeContainingConditionalBreakOrContinueStatements));break}case 223:u|=4;break;case 229:u|=2;break;case 253:4&s?u|=1:(i||(i=[])).push(d_(t,X3.cannotExtractRangeContainingConditionalReturnStatement));break;default:ok(t,e)}s=r}(e),8&u){const n=vh(e,!1,!1);(262===n.kind||174===n.kind&&210===n.parent.kind||218===n.kind)&&(u|=16)}return i}}function r5(e){return wu(e)?[e]:Gh(e)?VD(e.parent)?[e.parent]:e:f5(e)?e:void 0}function o5(e){return hD(e)?Eu(e.body):Ad(e)||rM(e)||fC(e)||Md(e)}function i5(e,n){const{file:t}=n,r=function(e){let n=c5(e.range)?Me(e.range):e.range;if(8&e.facts&&!(16&e.facts)){const e=_h(n);if(e){const t=Nl(n,Ad);return t?[t,e]:[e]}}const t=[];for(;;)if(n=n.parent,169===n.kind&&(n=Nl(n,(e=>Ad(e))).parent),o5(n)&&(t.push(n),312===n.kind))return t}(e),o=function(e,n){return c5(e.range)?{pos:Me(e.range).getStart(n),end:ke(e.range).getEnd()}:e.range}(e,t),i=function(e,n,t,r,o,i){const a=new Map,s=[],l=[],c=[],d=[],u=[],p=new Map,f=[];let m;const _=c5(e.range)?1===e.range.length&&VD(e.range[0])?e.range[0].expression:void 0:e.range;let h;if(void 0===_){const n=e.range,t=Me(n).getStart(),o=ke(n).end;h=iT(r,t,o-t,X3.expressionExpected)}else 147456&o.getTypeAtLocation(_).flags&&(h=d_(_,X3.uselessConstantType));for(const e of n){s.push({usages:new Map,typeParameterUsages:new Map,substitutions:new Map}),l.push(new Map),c.push([]);const n=[];h&&n.push(h),Md(e)&&Yh(e)&&n.push(d_(e,X3.cannotExtractToJSClass)),hD(e)&&!GD(e.body)&&n.push(d_(e,X3.cannotExtractToExpressionArrowFunction)),d.push(n)}const g=new Map,y=c5(e.range)?UA.createBlock(e.range):e.range,v=c5(e.range)?Me(e.range):e.range,b=E(v);if(T(y),b&&!c5(e.range)&&!VC(e.range)){S(o.getContextualType(e.range))}if(a.size>0){const e=new Map;let t=0;for(let r=v;void 0!==r&&t<n.length;r=r.parent)if(r===n[t]&&(e.forEach(((e,n)=>{s[t].typeParameterUsages.set(n,e)})),t++),Jm(r))for(const n of Nc(r)){const t=o.getTypeAtLocation(n);a.has(t.id.toString())&&e.set(t.id.toString(),t)}Tt.assert(t===n.length,"Should have iterated all scopes")}if(u.length){ok(qm(n[0],n[0].parent)?n[0]:t_(n[0]),R)}for(let t=0;t<n.length;t++){const r=s[t];if(t>0&&(r.usages.size>0||r.typeParameterUsages.size>0)){const n=c5(e.range)?e.range[0]:e.range;d[t].push(d_(n,X3.cannotAccessVariablesFromNestedScopes))}16&e.facts&&Md(n[t])&&c[t].push(d_(e.thisNode,X3.cannotExtractFunctionsContainingThisToMethod));let o,i=!1;if(s[t].usages.forEach((e=>{2===e.usage&&(i=!0,106500&e.symbol.flags&&e.symbol.valueDeclaration&&Gb(e.symbol.valueDeclaration,8)&&(o=e.symbol.valueDeclaration))})),Tt.assert(c5(e.range)||0===f.length,"No variable declarations expected if something was extracted"),i&&!c5(e.range)){const n=d_(e.range,X3.cannotWriteInExpression);c[t].push(n),d[t].push(n)}else if(o&&t>0){const e=d_(o,X3.cannotExtractReadonlyPropertyInitializerOutsideConstructor);c[t].push(e),d[t].push(e)}else if(m){const e=d_(m,X3.cannotExtractExportedEntity);c[t].push(e),d[t].push(e)}}return{target:y,usagesPerScope:s,functionErrorsPerScope:c,constantErrorsPerScope:d,exposedVariableDeclarations:f};function E(e){return!!Nl(e,(e=>Jm(e)&&0!==Nc(e).length))}function S(e){const n=o.getSymbolWalker((()=>(i.throwIfCancellationRequested(),!0))),{visitedTypes:t}=n.walkType(e);for(const e of t)e.isTypeParameter()&&a.set(e.id.toString(),e)}function T(e,n=1){if(b){S(o.getTypeAtLocation(e))}if(Pu(e)&&e.symbol&&u.push(e),gE(e))T(e.left,2),T(e.right);else if(cu(e))T(e.operand,2);else if(lD(e)||cD(e))ok(e,T);else if(tN(e)){if(!e.parent)return;if(gN(e.parent)&&e!==e.parent.left)return;if(lD(e.parent)&&e!==e.parent.expression)return;x(e,n,j_(e))}else ok(e,T)}function x(e,t,r){const o=A(e,t,r);if(o)for(let t=0;t<n.length;t++){const n=l[t].get(o);n&&s[t].substitutions.set(Hz(e).toString(),n)}}function A(i,a,u){const p=I(i);if(!p)return;const f=Kz(p).toString(),m=g.get(f);if(m&&m>=a)return f;if(g.set(f,a),m){for(const e of s){e.usages.get(i.text)&&e.usages.set(i.text,{usage:a,symbol:p,node:i})}return f}const _=p.getDeclarations(),h=_&&D(_,(e=>e.getSourceFile()===r));if(h&&!zY(t,h.getStart(),h.end)){if(2&e.facts&&2===a){const e=d_(i,X3.cannotExtractRangeThatContainsWritesToReferencesLocatedOutsideOfTheTargetRangeInGenerators);for(const n of c)n.push(e);for(const n of d)n.push(e)}for(let e=0;e<n.length;e++){const t=n[e];if(o.resolveName(p.name,t,p.flags,!1)!==p&&!l[e].has(f)){const n=N(p.exportSymbol||p,t,u);if(n)l[e].set(f,n);else if(u){if(!(262144&p.flags)){const n=d_(i,X3.typeWillNotBeVisibleInTheNewScope);c[e].push(n),d[e].push(n)}}else s[e].usages.set(i.text,{usage:a,symbol:p,node:i})}}return f}}function R(n){if(n===e.range||c5(e.range)&&e.range.includes(n))return;const t=tN(n)?I(n):o.getSymbolAtLocation(n);if(t){const e=D(u,(e=>e.symbol===t));if(e)if(iC(e)){const n=e.symbol.id.toString();p.has(n)||(f.push(e),p.set(n,!0))}else m=m||e}ok(n,R)}function I(e){return e.parent&&ZC(e.parent)&&e.parent.name===e?o.getShorthandAssignmentValueSymbol(e.parent):o.getSymbolAtLocation(e)}function N(e,n,t){if(!e)return;const r=e.getDeclarations();if(r&&r.some((e=>e.parent===n)))return UA.createIdentifier(e.name);const o=N(e.parent,n,t);return void 0!==o?t?UA.createQualifiedName(o,UA.createIdentifier(e.name)):UA.createPropertyAccessExpression(o,e.name):void 0}}(e,r,o,t,n.program.getTypeChecker(),n.cancellationToken);return{scopes:r,readsAndWrites:i}}function a5(e,n){let t;const r=e.symbol;if(r&&r.declarations)for(const e of r.declarations)(void 0===t||e.pos<t.pos)&&e.pos<n&&(t=e);return t}function s5({type:e,declaration:n},{type:t,declaration:r}){return Hn(n,r,"pos",wn)||Gn(e.symbol?e.symbol.getName():"",t.symbol?t.symbol.getName():"")||wn(e.id,t.id)}function l5(e,n){const t=B(e,(e=>UA.createShorthandPropertyAssignment(e.symbol.name))),r=B(n,(e=>UA.createShorthandPropertyAssignment(e.symbol.name)));return void 0===t?r:void 0===r?t:t.concat(r)}function c5(e){return pn(e)}function d5(e){const{parent:n}=e;if(306===n.kind)return!1;switch(e.kind){case 11:return 272!==n.kind&&276!==n.kind;case 230:case 206:case 208:return!1;case 80:return 208!==n.kind&&276!==n.kind&&281!==n.kind}return!0}function u5(e){switch(e.kind){case 241:case 312:case 268:case 296:return!0;default:return!1}}function p5(e){return f5(e)||(OC(e)||FC(e)||GC(e))&&(OC(e.parent)||GC(e.parent))}function f5(e){return zI(e)&&e.parent&&VC(e.parent)}var m5=g({"src/services/refactors/extractSymbol.ts"(){Tge(),F5(),K3="Extract Symbol",q3={name:"Extract Constant",description:eT(Oa.Extract_constant),kind:"refactor.extract.constant"},J3={name:"Extract Function",description:eT(Oa.Extract_function),kind:"refactor.extract.function"},M4(K3,{kinds:[q3.kind,J3.kind],getEditsForAction:n5,getAvailableActions:e5}),(e=>{function n(e){return{message:e,code:0,category:3,key:e}}e.cannotExtractRange=n("Cannot extract range."),e.cannotExtractImport=n("Cannot extract import statement."),e.cannotExtractSuper=n("Cannot extract super call."),e.cannotExtractJSDoc=n("Cannot extract JSDoc."),e.cannotExtractEmpty=n("Cannot extract empty range."),e.expressionExpected=n("expression expected."),e.uselessConstantType=n("No reason to extract constant of type."),e.statementOrExpressionExpected=n("Statement or expression expected."),e.cannotExtractRangeContainingConditionalBreakOrContinueStatements=n("Cannot extract range containing conditional break or continue statements."),e.cannotExtractRangeContainingConditionalReturnStatement=n("Cannot extract range containing conditional return statement."),e.cannotExtractRangeContainingLabeledBreakOrContinueStatementWithTargetOutsideOfTheRange=n("Cannot extract range containing labeled break or continue with target outside of the range."),e.cannotExtractRangeThatContainsWritesToReferencesLocatedOutsideOfTheTargetRangeInGenerators=n("Cannot extract range containing writes to references located outside of the target range in generators."),e.typeWillNotBeVisibleInTheNewScope=n("Type will not visible in the new scope."),e.functionWillNotBeVisibleInTheNewScope=n("Function will not visible in the new scope."),e.cannotExtractIdentifier=n("Select more than a single identifier."),e.cannotExtractExportedEntity=n("Cannot extract exported declaration"),e.cannotWriteInExpression=n("Cannot write back side-effects when extracting an expression"),e.cannotExtractReadonlyPropertyInitializerOutsideConstructor=n("Cannot move initialization of read-only class property outside of the constructor"),e.cannotExtractAmbientBlock=n("Cannot extract code from ambient contexts"),e.cannotAccessVariablesFromNestedScopes=n("Cannot access variables from nested scopes"),e.cannotExtractToJSClass=n("Cannot extract constant to a class scope in JS"),e.cannotExtractToExpressionArrowFunction=n("Cannot extract constant to an arrow function without a block"),e.cannotExtractFunctionsContainingThisToMethod=n("Cannot extract functions containing this to method")})(X3||(X3={})),Y3=(e=>(e[e.None=0]="None",e[e.HasReturn=1]="HasReturn",e[e.IsGenerator=2]="IsGenerator",e[e.IsAsyncFunction=4]="IsAsyncFunction",e[e.UsesThis=8]="UsesThis",e[e.UsesThisInFunction=16]="UsesThisInFunction",e[e.InStaticRegion=32]="InStaticRegion",e))(Y3||{})}}),_5={};y(_5,{Messages:()=>X3,RangeFacts:()=>Y3,getRangeToExtract:()=>t5,getRefactorActionsToExtractSymbol:()=>e5,getRefactorEditsToExtractSymbol:()=>n5});var h5,g5,y5,v5,b5,E5,S5=g({"src/services/_namespaces/ts.refactor.extractSymbol.ts"(){m5()}}),T5=g({"src/services/refactors/generateGetAccessorAndSetAccessor.ts"(){Tge(),F5(),h5="Generate 'get' and 'set' accessors",g5=eT(Oa.Generate_get_and_set_accessors),M4(h5,{kinds:[(y5={name:h5,description:g5,kind:"refactor.rewrite.property.generateAccessors"}).kind],getEditsForAction:function(e,n){if(!e.endPosition)return;const t=Qle.getAccessorConvertiblePropertyAtPosition(e.file,e.program,e.startPosition,e.endPosition);Tt.assert(t&&!s6(t),"Expected applicable refactor info");const r=Qle.generateAccessorFromProperty(e.file,e.program,e.startPosition,e.endPosition,e,n);if(!r)return;const o=e.file.fileName,i=t.renameAccessor?t.accessorName:t.fieldName;return{renameFilename:o,renameLocation:(tN(i)?0:-1)+RZ(r,o,i.text,bN(t.declaration)),edits:r}},getAvailableActions(e){if(!e.endPosition)return o;const n=Qle.getAccessorConvertiblePropertyAtPosition(e.file,e.program,e.startPosition,e.endPosition,"invoked"===e.triggerReason);return n?s6(n)?e.preferences.provideRefactorNotApplicableReason?[{name:h5,description:g5,actions:[{...y5,notApplicableReason:n.error}]}]:o:[{name:h5,description:g5,actions:[y5]}]:o}})}}),x5={},A5=g({"src/services/_namespaces/ts.refactor.generateGetAccessorAndSetAccessor.ts"(){T5()}});function R5(e){const n=N5(e);if(n&&!s6(n)){return{renameFilename:void 0,renameLocation:void 0,edits:p_e.ChangeTracker.with(e,(t=>function(e,n,t,r){const o=JY(t,22,e),i=hD(t)&&void 0===o,a=i?Me(t.parameters):o;a&&(i&&(n.insertNodeBefore(e,a,UA.createToken(21)),n.insertNodeAfter(e,a,UA.createToken(22))),n.insertNodeAt(e,a.end,r,{prefix:": "}))}(e.file,t,n.declaration,n.returnTypeNode)))}}}function I5(e){const n=N5(e);return n?s6(n)?e.preferences.provideRefactorNotApplicableReason?[{name:v5,description:b5,actions:[{...E5,notApplicableReason:n.error}]}]:o:[{name:v5,description:b5,actions:[E5]}]:o}function N5(e){if(Yh(e.file)||!l6(E5.kind,e.kind))return;const n=Nl(a$(e.file,e.startPosition),(e=>GD(e)||e.parent&&hD(e.parent)&&(39===e.kind||e.parent.body===e)?"quit":function(e){switch(e.kind){case 262:case 218:case 219:case 174:return!0;default:return!1}}(e)));if(!n||!n.body||n.type)return{error:eT(Oa.Return_type_must_be_inferred_from_a_function)};const t=e.program.getTypeChecker(),r=function(e,n){if(e.isImplementationOfOverload(n)){const t=e.getTypeAtLocation(n).getCallSignatures();if(t.length>1)return e.getUnionType(Y(t,(e=>e.getReturnType())))}const t=e.getSignatureFromDeclaration(n);if(t)return e.getReturnTypeOfSignature(t)}(t,n);if(!r)return{error:eT(Oa.Could_not_determine_function_return_type)};const o=t.typeToTypeNode(r,n,1);return o?{declaration:n,returnTypeNode:o}:void 0}var D5=g({"src/services/refactors/inferFunctionReturnType.ts"(){Tge(),F5(),v5="Infer function return type",b5=eT(Oa.Infer_function_return_type),M4(v5,{kinds:[(E5={name:v5,description:b5,kind:"refactor.rewrite.function.returnType"}).kind],getEditsForAction:R5,getAvailableActions:I5})}}),C5={},M5=g({"src/services/_namespaces/ts.refactor.inferFunctionReturnType.ts"(){D5()}}),P5={};y(P5,{addExportToChanges:()=>$6,addExports:()=>B6,addNewFileToTsconfig:()=>D6,addOrRemoveBracesToArrowFunction:()=>L8,containsJsx:()=>e8,convertArrowFunctionOrFunctionExpression:()=>K8,convertParamsToDestructuredObject:()=>y3,convertStringOrTemplateLiteral:()=>k3,convertToOptionalChainExpression:()=>Q3,createNewFileName:()=>Q6,createOldFileImportsFromTargetFile:()=>W6,deleteMovedStatements:()=>C6,deleteUnusedImports:()=>V6,deleteUnusedOldImports:()=>M6,doChangeNamedToNamespaceOrDefault:()=>X4,extractSymbol:()=>_5,filterImport:()=>J6,forEachImportInStatement:()=>F6,generateGetAccessorAndSetAccessor:()=>x5,getApplicableRefactors:()=>P4,getEditsForRefactor:()=>L4,getStatementsToMove:()=>Z6,getTopLevelDeclarationStatement:()=>Y6,getUsageInfo:()=>t8,inferFunctionReturnType:()=>C5,isRefactorErrorInfo:()=>s6,isTopLevelDeclaration:()=>s8,makeImportOrRequire:()=>z6,moduleSpecifierFromImport:()=>O6,nameOfTopLevelDeclaration:()=>X6,refactorKindBeginsWith:()=>l6,registerRefactor:()=>M4,updateImportsInOtherFiles:()=>P6});var L5,k5,w5,O5,F5=g({"src/services/_namespaces/ts.refactor.ts"(){F4(),U4(),n6(),a6(),p6(),b6(),A6(),m8(),k8(),q8(),v3(),w3(),Z3(),S5(),A5(),M5()}});function W5(e,n,t,r){const o=z5(e,n,t,r);Tt.assert(o.spans.length%3==0);const i=o.spans,a=[];for(let e=0;e<i.length;e+=3)a.push({textSpan:dl(i[e],i[e+1]),classificationType:i[e+2]});return a}function z5(e,n,t,r){return{spans:G5(e,t,r,n),endOfLineState:0}}function G5(e,n,t,r){const o=[];return e&&n&&function(e,n,t,r,o){const i=e.getTypeChecker();let a=!1;function s(l){switch(l.kind){case 267:case 263:case 264:case 262:case 231:case 218:case 219:o.throwIfCancellationRequested()}if(!l||!al(t,l.pos,l.getFullWidth())||0===l.getFullWidth())return;const c=a;if((OC(l)||FC(l))&&(a=!0),KC(l)&&(a=!1),tN(l)&&!a&&!function(e){const n=e.parent;return n&&(yC(n)||IC(n)||xC(n))}(l)&&!Qx(l.escapedText)){let t=i.getSymbolAtLocation(l);if(t){2097152&t.flags&&(t=i.getAliasedSymbol(t));let o=function(e,n){const t=e.getFlags();if(32&t)return 0;if(384&t)return 1;if(524288&t)return 5;if(64&t){if(2&n)return 2}else if(262144&t)return 4;let r=e.valueDeclaration||e.declarations&&e.declarations[0];r&&iD(r)&&(r=B5(r));return r&&O5.get(r.kind)}(t,rY(l));if(void 0!==o){let a=0;if(l.parent){(iD(l.parent)||O5.get(l.parent.kind)===o)&&l.parent.name===l&&(a=1)}6===o&&j5(l)&&(o=9),o=function(e,n,t){if(7===t||9===t||6===t){const r=e.getTypeAtLocation(n);if(r){const e=e=>e(r)||r.isUnion()&&r.types.some(e);if(6!==t&&e((e=>e.getConstructSignatures().length>0)))return 0;if(e((e=>e.getCallSignatures().length>0))&&!e((e=>e.getProperties().length>0))||function(e){for(;j5(e);)e=e.parent;return dD(e.parent)&&e.parent.expression===e}(n))return 9===t?11:10}}return t}(i,l,o);const s=t.valueDeclaration;if(s){const r=Sl(s),i=xl(s);256&r&&(a|=2),1024&r&&(a|=4),0!==o&&2!==o&&(8&r||2&i||8&t.getFlags())&&(a|=8),7!==o&&10!==o||!function(e,n){iD(e)&&(e=B5(e));if(iC(e))return(!rM(e.parent.parent.parent)||$C(e.parent))&&e.getSourceFile()===n;if(sC(e))return!rM(e.parent)&&e.getSourceFile()===n;return!1}(s,n)||(a|=32),e.isSourceFileDefaultLibrary(s.getSourceFile())&&(a|=16)}else t.declarations&&t.declarations.some((n=>e.isSourceFileDefaultLibrary(n.getSourceFile())))&&(a|=16);r(l,o,a)}}}ok(l,s),a=c}s(n)}(e,n,t,((e,t,r)=>{o.push(e.getStart(n),e.getWidth(n),(t+1<<8)+r)}),r),o}function B5(e){for(;;){if(!iD(e.parent.parent))return e.parent.parent;e=e.parent.parent}}function j5(e){return gN(e.parent)&&e.parent.right===e||lD(e.parent)&&e.parent.name===e}var V5,U5,H5,K5,q5,J5,X5,Y5,$5,Q5,Z5,e7,n7,t7,r7,o7,i7,a7=g({"src/services/classifier2020.ts"(){Tge(),L5=(e=>(e[e.typeOffset=8]="typeOffset",e[e.modifierMask=255]="modifierMask",e))(L5||{}),k5=(e=>(e[e.class=0]="class",e[e.enum=1]="enum",e[e.interface=2]="interface",e[e.namespace=3]="namespace",e[e.typeParameter=4]="typeParameter",e[e.type=5]="type",e[e.parameter=6]="parameter",e[e.variable=7]="variable",e[e.enumMember=8]="enumMember",e[e.property=9]="property",e[e.function=10]="function",e[e.member=11]="member",e))(k5||{}),w5=(e=>(e[e.declaration=0]="declaration",e[e.static=1]="static",e[e.async=2]="async",e[e.readonly=3]="readonly",e[e.defaultLibrary=4]="defaultLibrary",e[e.local=5]="local",e))(w5||{}),O5=new Map([[260,7],[169,6],[172,9],[267,3],[266,1],[306,8],[263,0],[174,11],[262,10],[218,10],[173,11],[177,9],[178,9],[171,9],[264,2],[265,5],[168,4],[303,9],[304,9]])}});function s7(e,n,t,r){const o=Xc(e)?new U5(e,n,t):80===e?new J5(80,n,t):81===e?new X5(81,n,t):new q5(e,n,t);return o.parent=r,o.flags=101441536&r.flags,o}function l7(e,n){if(!Xc(e.kind))return o;const t=[];if(Hu(e))return e.forEachChild((e=>{t.push(e)})),t;KX.setText((n||e.getSourceFile()).text);let r=e.pos;const i=n=>{c7(t,r,n.pos,e),t.push(n),r=n.end};return E(e.jsDoc,i),r=e.pos,e.forEachChild(i,(n=>{c7(t,r,n.pos,e),t.push(function(e,n){const t=s7(358,e.pos,e.end,n);t._children=[];let r=e.pos;for(const o of e)c7(t._children,r,o.pos,n),t._children.push(o),r=o.end;return c7(t._children,r,e.end,n),t}(n,e)),r=n.end})),c7(t,r,e.end,e),KX.setText(void 0),t}function c7(e,n,t,r){for(KX.resetTokenState(n);n<t;){const o=KX.scan(),i=KX.getTokenEnd();if(i<=t){if(80===o){if(uA(r))continue;Tt.fail(`Did not expect ${Tt.formatSyntaxKind(r.kind)} to have an Identifier in its trivia`)}e.push(s7(o,n,i,r))}if(n=i,1===o)break}}function d7(e){return Sc(e).some((e=>"inheritDoc"===e.tagName.text||"inheritdoc"===e.tagName.text))}function u7(e,n){if(!e)return o;let t=Gpe.getJsDocTagsFromDeclarations(e,n);if(n&&(0===t.length||e.some(d7))){const r=new Set;for(const o of e){const e=f7(n,o,(e=>{var t;if(!r.has(e))return r.add(e),177===o.kind||178===o.kind?e.getContextualJsDocTags(o,n):1===(null==(t=e.declarations)?void 0:t.length)?e.getJsDocTags():void 0}));e&&(t=[...e,...t])}}return t}function p7(e,n){if(!e)return o;let t=Gpe.getJsDocCommentsFromDeclarations(e,n);if(n&&(0===t.length||e.some(d7))){const r=new Set;for(const o of e){const e=f7(n,o,(e=>{if(!r.has(e))return r.add(e),177===o.kind||178===o.kind?e.getContextualDocumentationComment(o,n):e.getDocumentationComment(n)}));e&&(t=0===t.length?e.slice():e.concat(nZ(),t))}}return t}function f7(e,n,t){var r;const o=176===(null==(r=n.parent)?void 0:r.kind)?n.parent.parent:n.parent;if(!o)return;const i=Vb(n);return T(zy(o),(r=>{const o=e.getTypeAtLocation(r),a=i&&o.symbol?e.getTypeOfSymbol(o.symbol):o,s=e.getPropertyOfType(a,n.symbol.name);return s?t(s):void 0}))}function m7(e){let n=!0;for(const t in e)if(je(e,t)&&!_7(t)){n=!1;break}if(n)return e;const t={};for(const n in e)if(je(e,n)){t[_7(n)?n:n.charAt(0).toLowerCase()+n.substr(1)]=e[n]}return t}function _7(e){return!e.length||e.charAt(0)===e.charAt(0).toLowerCase()}function h7(e){return e?B(e,(e=>e.text)).join(""):""}function g7(){return{target:1,jsx:1}}function y7(){return Qle.getSupportedErrorCodes()}function v7(e,n,t){e.version=t,e.scriptSnapshot=n}function b7(e,n,t,r,o,i){const a=lk(e,rQ(n),t,o,i);return v7(a,n,r),a}function E7(e,n,t,r,o){if(r&&t!==e.version){let i;const a=0!==r.span.start?e.text.substr(0,r.span.start):"",s=Qs(r.span)!==e.text.length?e.text.substr(Qs(r.span)):"";if(0===r.newLength)i=a&&s?a+s:a||s;else{const e=n.getText(r.span.start,r.span.start+r.newLength);i=a&&s?a+e+s:a?a+e:e+s}const l=pk(e,i,r,o);return v7(l,n,t),l.nameTable=void 0,e!==l&&e.scriptSnapshot&&(e.scriptSnapshot.dispose&&e.scriptSnapshot.dispose(),e.scriptSnapshot=void 0),l}const i={languageVersion:e.languageVersion,impliedNodeFormat:e.impliedNodeFormat,setExternalModuleIndicator:e.setExternalModuleIndicator,jsDocParsingMode:e.jsDocParsingMode};return b7(e.fileName,n,i,t,!0,e.scriptKind)}function S7(e,n=a1(e.useCaseSensitiveFileNames&&e.useCaseSensitiveFileNames(),e.getCurrentDirectory()),t){var r;let i;i=void 0===t?0:"boolean"==typeof t?t?2:0:t;const a=new e7(e);let s,l,c=0;const d=e.getCancellationToken?new t7(e.getCancellationToken()):n7,u=e.getCurrentDirectory();function p(n){e.log&&e.log(n)}ZS(null==(r=e.getLocalizedDiagnosticMessages)?void 0:r.bind(e));const f=qv(e),m=rt(f),_=Y1({useCaseSensitiveFileNames:()=>f,getCurrentDirectory:()=>u,getProgram:y,fileExists:an(e,e.fileExists),readFile:an(e,e.readFile),getDocumentPositionMapper:an(e,e.getDocumentPositionMapper),getSourceFileLike:an(e,e.getSourceFileLike),log:p});function h(e){const n=s.getSourceFile(e);if(!n){const n=new Error(`Could not find source file: '${e}'.`);throw n.ProgramFiles=s.getSourceFiles().map((e=>e.fileName)),n}return n}function g(){e.updateFromProject&&!e.updateFromProjectInProgress?e.updateFromProject():function(){var t,r,o;if(Tt.assert(2!==i),e.getProjectVersion){const n=e.getProjectVersion();if(n){if(l===n&&!(null==(t=e.hasChangedAutomaticTypeDirectiveNames)?void 0:t.call(e)))return;l=n}}const a=e.getTypeRootsVersion?e.getTypeRootsVersion():0;c!==a&&(p("TypeRoots version has changed; provide new program"),s=void 0,c=a);const h=e.getScriptFileNames().slice(),g=e.getCompilationSettings()||{target:1,jsx:1},y=e.hasInvalidatedResolutions||vn,v=an(e,e.hasInvalidatedLibResolutions)||vn,b=an(e,e.hasChangedAutomaticTypeDirectiveNames),E=null==(r=e.getProjectReferences)?void 0:r.call(e);let S,T={getSourceFile:L,getSourceFileByPath:k,getCancellationToken:()=>d,getCanonicalFileName:m,useCaseSensitiveFileNames:()=>f,getNewLine:()=>VE(g),getDefaultLibFileName:n=>e.getDefaultLibFileName(n),writeFile:yn,getCurrentDirectory:()=>u,fileExists:n=>e.fileExists(n),readFile:n=>e.readFile&&e.readFile(n),getSymlinkCache:an(e,e.getSymlinkCache),realpath:an(e,e.realpath),directoryExists:n=>jE(n,e),getDirectories:n=>e.getDirectories?e.getDirectories(n):[],readDirectory:(n,t,r,o,i)=>(Tt.checkDefined(e.readDirectory,"'LanguageServiceHost.readDirectory' must be implemented to correctly process 'projectReferences'"),e.readDirectory(n,t,r,o,i)),onReleaseOldSourceFile:P,onReleaseParsedCommandLine:M,hasInvalidatedResolutions:y,hasInvalidatedLibResolutions:v,hasChangedAutomaticTypeDirectiveNames:b,trace:an(e,e.trace),resolveModuleNames:an(e,e.resolveModuleNames),getModuleResolutionCache:an(e,e.getModuleResolutionCache),createHash:an(e,e.createHash),resolveTypeReferenceDirectives:an(e,e.resolveTypeReferenceDirectives),resolveModuleNameLiterals:an(e,e.resolveModuleNameLiterals),resolveTypeReferenceDirectiveReferences:an(e,e.resolveTypeReferenceDirectiveReferences),resolveLibrary:an(e,e.resolveLibrary),useSourceOfProjectReferenceRedirect:an(e,e.useSourceOfProjectReferenceRedirect),getParsedCommandLine:D,jsDocParsingMode:e.jsDocParsingMode};const x=T.getSourceFile,{getSourceFileWithCache:A}=CU(T,(e=>ga(e,u,m)),((...e)=>x.call(T,...e)));T.getSourceFile=A,null==(o=e.setCompilerHost)||o.call(e,T);const R={useCaseSensitiveFileNames:f,fileExists:e=>T.fileExists(e),readFile:e=>T.readFile(e),directoryExists:e=>T.directoryExists(e),getDirectories:e=>T.getDirectories(e),realpath:T.realpath,readDirectory:(...e)=>T.readDirectory(...e),trace:T.trace,getCurrentDirectory:T.getCurrentDirectory,onUnRecoverableConfigFileDiagnostic:yn},I=n.getKeyForCompilationSettings(g);let N=new Set;if(iH(s,h,g,((n,t)=>e.getScriptVersion(t)),(e=>T.fileExists(e)),y,v,b,D,E))return T=void 0,S=void 0,void(N=void 0);return s=cH({rootNames:h,options:g,host:T,oldProgram:s,projectReferences:E}),T=void 0,S=void 0,N=void 0,_.clearCache(),void s.getTypeChecker();function D(n){const t=ga(n,u,m),r=null==S?void 0:S.get(t);if(void 0!==r)return r||void 0;const o=e.getParsedCommandLine?e.getParsedCommandLine(n):C(n);return(S||(S=new Map)).set(t,o||!1),o}function C(e){const n=L(e,100);if(n)return n.path=ga(e,u,m),n.resolvedPath=n.path,n.originalFileName=n.fileName,rO(n,R,ma(ra(e),u),void 0,ma(e,u))}function M(n,t,r){var o;e.getParsedCommandLine?null==(o=e.onReleaseParsedCommandLine)||o.call(e,n,t,r):t&&P(t.sourceFile,r)}function P(e,t){const r=n.getKeyForCompilationSettings(t);n.releaseDocumentWithKey(e.resolvedPath,r,e.scriptKind,e.impliedNodeFormat)}function L(e,n,t,r){return k(e,ga(e,u,m),n,t,r)}function k(t,r,o,i,a){Tt.assert(T,"getOrCreateSourceFileByPath called after typical CompilerHost lifetime, check the callstack something with a reference to an old host.");const l=e.getScriptSnapshot(t);if(!l)return;const c=lZ(t,e),d=e.getScriptVersion(t);if(!a){const i=s&&s.getSourceFileByPath(r);if(i){if(c===i.scriptKind||N.has(i.resolvedPath))return n.updateDocumentWithKey(t,r,e,I,l,d,c,o);n.releaseDocumentWithKey(i.resolvedPath,n.getKeyForCompilationSettings(s.getCompilerOptions()),i.scriptKind,i.impliedNodeFormat),N.add(i.resolvedPath)}}return n.acquireDocumentWithKey(t,r,e,I,l,d,c,o)}}()}function y(){if(2!==i)return g(),s;Tt.assert(void 0===s)}function v(){if(s){const e=n.getKeyForCompilationSettings(s.getCompilerOptions());E(s.getSourceFiles(),(t=>n.releaseDocumentWithKey(t.resolvedPath,e,t.scriptKind,t.impliedNodeFormat))),s=void 0}}function b(e,n,t,r){g();const o=t&&t.use===Hue.FindReferencesUse.Rename?s.getSourceFiles().filter((e=>!s.isSourceFileDefaultLibrary(e))):s.getSourceFiles();return Hue.findReferenceOrRenameEntries(s,d,o,e,n,t,r)}const S=new Map(Object.entries({19:20,21:22,23:24,32:30}));function T(n){return Tt.assertEqual(n.type,"install package"),e.installPackage?e.installPackage({fileName:(t=n.file,ga(t,u,m)),packageName:n.packageName}):Promise.reject("Host does not implement `installPackage`");var t}function x(e,n){return{lineStarts:e.getLineStarts(),firstLine:e.getLineAndCharacterOfPosition(n.pos).line,lastLine:e.getLineAndCharacterOfPosition(n.end).line}}function A(e,n,t){const r=a.getCurrentSourceFile(e),o=[],{lineStarts:i,firstLine:s,lastLine:l}=x(r,n);let c=t||!1,d=Number.MAX_VALUE;const u=new Map,p=new RegExp(/\S/),f=S$(r,i[s]),m=f?"{/*":"//";for(let e=s;e<=l;e++){const n=r.text.substring(i[e],r.getLineEndOfPosition(i[e])),o=p.exec(n);o&&(d=Math.min(d,o.index),u.set(e.toString(),o.index),n.substr(o.index,m.length)!==m&&(c=void 0===t||t))}for(let t=s;t<=l;t++){if(s!==l&&i[t]===n.end)continue;const a=u.get(t.toString());void 0!==a&&(f?o.push(...R(e,{pos:i[t]+d,end:r.getLineEndOfPosition(i[t])},c,f)):c?o.push({newText:m,span:{length:0,start:i[t]+d}}):r.text.substr(i[t]+a,m.length)===m&&o.push({newText:"",span:{length:m.length,start:i[t]+a}}))}return o}function R(e,n,t,r){var o;const i=a.getCurrentSourceFile(e),s=[],{text:l}=i;let c=!1,d=t||!1;const u=[];let{pos:p}=n;const f=void 0!==r?r:S$(i,p),m=f?"{/*":"/*",_=f?"*/}":"*/",h=f?"\\{\\/\\*":"\\/\\*",g=f?"\\*\\/\\}":"\\*\\/";for(;p<=n.end;){const e=N$(i,p+(l.substr(p,m.length)===m?m.length:0));if(e)f&&(e.pos--,e.end++),u.push(e.pos),3===e.kind&&u.push(e.end),c=!0,p=e.end+1;else{const e=l.substring(p,n.end).search(`(${h})|(${g})`);d=void 0!==t?t:d||!LQ(l,p,-1===e?n.end:p+e),p=-1===e?n.end+1:p+e+_.length}}if(d||!c){2!==(null==(o=N$(i,n.pos))?void 0:o.kind)&&ue(u,n.pos,wn),ue(u,n.end,wn);const e=u[0];l.substr(e,m.length)!==m&&s.push({newText:m,span:{length:0,start:e}});for(let e=1;e<u.length-1;e++)l.substr(u[e]-_.length,_.length)!==_&&s.push({newText:_,span:{length:0,start:u[e]}}),l.substr(u[e],m.length)!==m&&s.push({newText:m,span:{length:0,start:u[e]}});s.length%2!=0&&s.push({newText:_,span:{length:0,start:u[u.length-1]}})}else for(const e of u){const n=e-_.length>0?e-_.length:0,t=l.substr(n,_.length)===_?_.length:0;s.push({newText:"",span:{length:m.length,start:e-t}})}return s}function I({openingElement:e,closingElement:n,parent:t}){return!Sk(e.tagName,n.tagName)||OC(t)&&Sk(e.tagName,t.openingElement.tagName)&&I(t)}function N({closingFragment:e,parent:n}){return!!(262144&e.flags)||GC(n)&&N(n)}function D(n,t,r,o,i,a){const[s,l]="number"==typeof t?[t,void 0]:[t.pos,t.end];return{file:n,startPosition:s,endPosition:l,program:y(),host:e,formatContext:vge.getFormatContext(o,e),cancellationToken:d,preferences:r,triggerReason:i,kind:a}}S.forEach(((e,n)=>S.set(e.toString(),Number(n))));const C={dispose:function(){v(),e=void 0},cleanupSemanticCache:v,getSyntacticDiagnostics:function(e){return g(),s.getSyntacticDiagnostics(h(e),d).slice()},getSemanticDiagnostics:function(e){g();const n=h(e),t=s.getSemanticDiagnostics(n,d);if(!Qp(s.getCompilerOptions()))return t.slice();const r=s.getDeclarationDiagnostics(n,d);return[...t,...r]},getSuggestionDiagnostics:function(e){return g(),n2(h(e),s,d)},getCompilerOptionsDiagnostics:function(){return g(),[...s.getOptionsDiagnostics(d),...s.getGlobalDiagnostics(d)]},getSyntacticClassifications:function(e,n){return e1(d,a.getCurrentSourceFile(e),n)},getSemanticClassifications:function(e,n,t){return g(),"2020"===(t||"original")?W5(s,d,h(e),n):J0(s.getTypeChecker(),d,h(e),s.getClassifiableNames(),n)},getEncodedSyntacticClassifications:function(e,n){return n1(d,a.getCurrentSourceFile(e),n)},getEncodedSemanticClassifications:function(e,n,t){return g(),"original"===(t||"original")?Y0(s.getTypeChecker(),d,h(e),s.getClassifiableNames(),n):z5(s,d,h(e),n)},getCompletionsAtPosition:function(n,t,r=xX,o){const i={...r,includeCompletionsForModuleExports:r.includeCompletionsForModuleExports||r.includeExternalModuleExports,includeCompletionsWithInsertText:r.includeCompletionsWithInsertText||r.includeInsertTextCompletions};return g(),nue.getCompletionsAtPosition(e,s,p,h(n),t,i,r.triggerCharacter,r.triggerKind,d,o&&vge.getFormatContext(o,e),r.includeSymbol)},getCompletionEntryDetails:function(n,t,r,o,i,a=xX,l){return g(),nue.getCompletionEntryDetails(s,p,h(n),t,{name:r,source:i,data:l},e,o&&vge.getFormatContext(o,e),a,d)},getCompletionEntrySymbol:function(n,t,r,o,i=xX){return g(),nue.getCompletionEntrySymbol(s,p,h(n),t,{name:r,source:o},e,i)},getSignatureHelpItems:function(e,n,{triggerReason:t}=xX){g();const r=h(e);return ume.getSignatureHelpItems(s,r,n,t,d)},getQuickInfoAtPosition:function(e,n){g();const t=h(e),r=a$(t,n);if(r===t)return;const o=s.getTypeChecker(),i=function(e){if(uD(e.parent)&&e.pos===e.parent.pos)return e.parent.expression;if(BN(e.parent)&&e.pos===e.parent.pos)return e.parent;if(L_(e.parent)&&e.parent.name===e)return e.parent;if(qC(e.parent))return e.parent;return e}(r),a=function(e,n){const t=x7(e);if(t){const e=n.getContextualType(t.parent),r=e&&A7(t,n,e,!1);if(r&&1===r.length)return Me(r)}return n.getSymbolAtLocation(e)}(i,o);if(!a||o.isUnknownSymbol(a)){const e=function(e,n,t){switch(n.kind){case 80:return!EY(n)&&!SY(n)&&!Gc(n.parent);case 211:case 166:return!N$(e,t);case 110:case 197:case 108:case 202:return!0;case 236:return L_(n);default:return!1}}(t,i,n)?o.getTypeAtLocation(i):void 0;return e&&{kind:"",kindModifiers:"",textSpan:H$(i,t),displayParts:o.runWithCancellationToken(d,(n=>rZ(n,e,CY(i)))),documentation:e.symbol?e.symbol.getDocumentationComment(o):void 0,tags:e.symbol?e.symbol.getJsDocTags(o):void 0}}const{symbolKind:l,displayParts:c,documentation:u,tags:p}=o.runWithCancellationToken(d,(e=>wme.getSymbolDisplayPartsDocumentationAndSymbolKind(e,a,t,CY(i),i)));return{kind:l,kindModifiers:wme.getSymbolModifiers(o,a),textSpan:H$(i,t),displayParts:c,documentation:u,tags:p}},getDefinitionAtPosition:function(e,n,t,r){return g(),upe.getDefinitionAtPosition(s,h(e),n,t,r)},getDefinitionAndBoundSpan:function(e,n){return g(),upe.getDefinitionAndBoundSpan(s,h(e),n)},getImplementationAtPosition:function(e,n){return g(),Hue.getImplementationsAtPosition(s,d,s.getSourceFiles(),h(e),n)},getTypeDefinitionAtPosition:function(e,n){return g(),upe.getTypeDefinitionAtPosition(s.getTypeChecker(),h(e),n)},getReferencesAtPosition:function(e,n){return g(),b(a$(h(e),n),n,{use:Hue.FindReferencesUse.References},Hue.toReferenceEntry)},findReferences:function(e,n){return g(),Hue.findReferencedSymbols(s,d,s.getSourceFiles(),h(e),n)},getFileReferences:function(e){return g(),Hue.Core.getReferencesForFileName(e,s,s.getSourceFiles()).map(Hue.toReferenceEntry)},getDocumentHighlights:function(e,n,t){const r=_a(e);Tt.assert(t.some((e=>_a(e)===r))),g();const o=Y(t,(e=>s.getSourceFile(e))),i=h(e);return t1.getDocumentHighlights(s,d,i,n,o)},getNameOrDottedNameSpan:function(e,n,t){const r=a.getCurrentSourceFile(e),o=a$(r,n);if(o===r)return;switch(o.kind){case 211:case 166:case 11:case 97:case 112:case 106:case 108:case 110:case 197:case 80:break;default:return}let i=o;for(;;)if(xY(i)||TY(i))i=i.parent;else{if(!RY(i))break;if(267!==i.parent.parent.kind||i.parent.parent.body!==i.parent)break;i=i.parent.parent.name}return ul(i.getStart(),o.getEnd())},getBreakpointStatementAtPosition:function(e,n){const t=a.getCurrentSourceFile(e);return P7.spanInSourceFileAtLocation(t,n)},getNavigateToItems:function(e,n,t,r=!1,o=!1){return g(),v2(t?[h(t)]:s.getSourceFiles(),s.getTypeChecker(),d,e,n,r,o)},getRenameInfo:function(e,n,t){return g(),Ffe.getRenameInfo(s,h(e),n,t||{})},getSmartSelectionRange:function(e,n){return xme.getSmartSelectionRange(n,a.getCurrentSourceFile(e))},findRenameLocations:function(e,n,t,r,o){g();const i=h(e),a=i$(a$(i,n));if(Ffe.nodeIsEligibleForRename(a)){if(tN(a)&&(WC(a.parent)||zC(a.parent))&&jv(a.escapedText)){const{openingElement:e,closingElement:n}=a.parent.parent;return[e,n].map((e=>{const n=H$(e.tagName,i);return{fileName:i.fileName,textSpan:n,...Hue.toContextSpan(n,i,e.parent)}}))}{const e=gQ(i,o??xX),s="boolean"==typeof o?o:null==o?void 0:o.providePrefixAndSuffixTextForRename;return b(a,n,{findInStrings:t,findInComments:r,providePrefixAndSuffixTextForRename:s,use:Hue.FindReferencesUse.Rename},((n,t,r)=>Hue.toRenameLocation(n,t,r,s||!1,e)))}}},getNavigationBarItems:function(e){return j2(a.getCurrentSourceFile(e),d)},getNavigationTree:function(e){return V2(a.getCurrentSourceFile(e),d)},getOutliningSpans:function(e){const n=a.getCurrentSourceFile(e);return Nfe.collectElements(n,d)},getTodoComments:function(e,n){g();const t=h(e);d.throwIfCancellationRequested();const r=t.text,o=[];if(n.length>0&&!t.fileName.includes("/node_modules/")){const e=function(){const e="("+/(?:^(?:\s|\*)*)/.source+"|"+/(?:\/\/+\s*)/.source+"|"+/(?:\/\*+\s*)/.source+")",t="(?:"+B(n,(e=>"("+(e.text.replace(/[-[\]/{}()*+?.\\^$|]/g,"\\$&")+")"))).join("|")+")";return new RegExp(e+"("+t+/(?:.*?)/.source+")"+/(?:$|\*\/)/.source,"gim")}();let a;for(;a=e.exec(r);){d.throwIfCancellationRequested();const e=3;Tt.assert(a.length===n.length+e);const s=a[1],l=a.index+s.length;if(!N$(t,l))continue;let c;for(let t=0;t<n.length;t++)a[t+e]&&(c=n[t]);if(void 0===c)return Tt.fail();if((i=r.charCodeAt(l+c.text.length))>=97&&i<=122||i>=65&&i<=90||i>=48&&i<=57)continue;const u=a[2];o.push({descriptor:c,message:u,position:l})}}var i;return o},getBraceMatchingAtPosition:function(e,n){const t=a.getCurrentSourceFile(e),r=s$(t,n),i=r.getStart(t)===n?S.get(r.kind.toString()):void 0,s=i&&JY(r.parent,i,t);return s?[H$(r,t),H$(s,t)].sort(((e,n)=>e.start-n.start)):o},getIndentationAtPosition:function(e,n,t){let r=Zt();const o=m7(t),i=a.getCurrentSourceFile(e);p("getIndentationAtPosition: getCurrentSourceFile: "+(Zt()-r)),r=Zt();const s=vge.SmartIndenter.getIndentation(n,i,o);return p("getIndentationAtPosition: computeIndentation  : "+(Zt()-r)),s},getFormattingEditsForRange:function(n,t,r,o){const i=a.getCurrentSourceFile(n);return vge.formatSelection(t,r,i,vge.getFormatContext(m7(o),e))},getFormattingEditsForDocument:function(n,t){return vge.formatDocument(a.getCurrentSourceFile(n),vge.getFormatContext(m7(t),e))},getFormattingEditsAfterKeystroke:function(n,t,r,o){const i=a.getCurrentSourceFile(n),s=vge.getFormatContext(m7(o),e);if(!N$(i,t))switch(r){case"{":return vge.formatOnOpeningCurly(t,i,s);case"}":return vge.formatOnClosingCurly(t,i,s);case";":return vge.formatOnSemicolon(t,i,s);case"\n":return vge.formatOnEnter(t,i,s)}return[]},getDocCommentTemplateAtPosition:function(n,t,r,o){const i=o?vge.getFormatContext(o,e).options:void 0;return Gpe.getDocCommentTemplateAtPosition(eZ(e,i),a.getCurrentSourceFile(n),t,r)},isValidBraceCompletionAtPosition:function(e,n,t){if(60===t)return!1;const r=a.getCurrentSourceFile(e);if(g$(r,n))return!1;if(y$(r,n))return 123===t;if(b$(r,n))return!1;switch(t){case 39:case 34:case 96:return!N$(r,n)}return!0},getJsxClosingTagAtPosition:function(e,n){const t=a.getCurrentSourceFile(e),r=f$(n,t);if(!r)return;const o=32===r.kind&&WC(r.parent)?r.parent.parent:GI(r)&&OC(r.parent)?r.parent:void 0;if(o&&I(o))return{newText:`</${o.openingElement.tagName.getText(t)}>`};const i=32===r.kind&&BC(r.parent)?r.parent.parent:GI(r)&&GC(r.parent)?r.parent:void 0;return i&&N(i)?{newText:"</>"}:void 0},getLinkedEditingRangeAtPosition:function(e,n){const t=a.getCurrentSourceFile(e),r=f$(n,t);if(!r||312===r.parent.kind)return;const o="[a-zA-Z0-9:\\-\\._$]*";if(GC(r.parent.parent)){const e=r.parent.parent.openingFragment,i=r.parent.parent.closingFragment;if(Yf(e)||Yf(i))return;const a=e.getStart(t)+1,s=i.getStart(t)+2;if(n!==a&&n!==s)return;return{ranges:[{start:a,length:0},{start:s,length:0}],wordPattern:o}}{const e=Nl(r.parent,(e=>!(!WC(e)&&!zC(e))));if(!e)return;Tt.assert(WC(e)||zC(e),"tag should be opening or closing element");const i=e.parent.openingElement,a=e.parent.closingElement,s=i.tagName.getStart(t),l=i.tagName.end,c=a.tagName.getStart(t),d=a.tagName.end;if(s===i.getStart(t)||c===a.getStart(t)||l===i.getEnd()||d===a.getEnd())return;if(!(s<=n&&n<=l||c<=n&&n<=d))return;if(i.tagName.getText(t)!==a.tagName.getText(t))return;return{ranges:[{start:s,length:l-s},{start:c,length:d-c}],wordPattern:o}}},getSpanOfEnclosingComment:function(e,n,t){const r=a.getCurrentSourceFile(e),o=vge.getRangeOfEnclosingComment(r,n);return!o||t&&3!==o.kind?void 0:J$(o)},getCodeFixesAtPosition:function(n,t,r,o,i,a=xX){g();const l=h(n),c=ul(t,r),u=vge.getFormatContext(i,e);return H(ce(o,Mn,wn),(n=>(d.throwIfCancellationRequested(),Qle.getFixes({errorCode:n,sourceFile:l,span:c,program:s,host:e,cancellationToken:d,formatContext:u,preferences:a}))))},getCombinedCodeFix:function(n,t,r,o=xX){g(),Tt.assert("file"===n.type);const i=h(n.fileName),a=vge.getFormatContext(r,e);return Qle.getAllFixes({fixId:t,sourceFile:i,program:s,host:e,cancellationToken:d,formatContext:a,preferences:o})},applyCodeActionCommand:function(e,n){const t="string"==typeof e?n:e;return pn(t)?Promise.all(t.map((e=>T(e)))):T(t)},organizeImports:function(n,t,r=xX){g(),Tt.assert("file"===n.type);const o=h(n.fileName),i=vge.getFormatContext(t,e),a=n.mode??(n.skipDestructiveCodeActions?"SortAndCombine":"All");return gfe.organizeImports(o,i,e,s,r,a)},getEditsForFileRename:function(n,t,r,o=xX){return u1(y(),n,t,e,vge.getFormatContext(r,e),o,_)},getEmitOutput:function(n,t,r){g();const o=h(n),i=e.getCustomTransformers&&e.getCustomTransformers();return EH(s,o,!!t,d,i,r)},getNonBoundSourceFile:function(e){return a.getCurrentSourceFile(e)},getProgram:y,getCurrentProgram:()=>s,getAutoImportProvider:function(){var n;return null==(n=e.getPackageJsonAutoImportProvider)?void 0:n.call(e)},updateIsDefinitionOfReferencedSymbols:function(n,t){const r=s.getTypeChecker(),o=function(){for(const o of n)for(const n of o.references){if(t.has(n)){const e=i(n);return Tt.assertIsDefined(e),r.getSymbolAtLocation(e)}const o=wQ(n,_,an(e,e.fileExists));if(o&&t.has(o)){const e=i(o);if(e)return r.getSymbolAtLocation(e)}}return}();if(!o)return!1;for(const r of n)for(const n of r.references){const r=i(n);if(Tt.assertIsDefined(r),t.has(n)||Hue.isDeclarationOfSymbol(r,o)){t.add(n),n.isDefinition=!0;const r=wQ(n,_,an(e,e.fileExists));r&&t.add(r)}else n.isDefinition=!1}return!0;function i(e){const n=s.getSourceFile(e.fileName);if(!n)return;const t=a$(n,e.textSpan.start);return Hue.Core.getAdjustedNode(t,{use:Hue.FindReferencesUse.References})}},getApplicableRefactors:function(e,n,t=xX,r,o,i){g();const a=h(e);return P5.getApplicableRefactors(D(a,n,t,xX,r,o),i)},getEditsForRefactor:function(e,n,t,r,o,i=xX,a){g();const s=h(e);return P5.getEditsForRefactor(D(s,t,i,n),r,o,a)},getMoveToRefactoringFileSuggestions:function(n,t,r=xX){g();const o=h(n),i=Tt.checkDefined(s.getSourceFiles()),a=yx(n),l=Z6(D(o,t,r,xX)),c=e8(null==l?void 0:l.all),d=Y(i,(e=>{const n=yx(e.fileName);return!(null==s?void 0:s.isSourceFileFromExternalLibrary(o))&&!(o===h(e.fileName)||".ts"===a&&".d.ts"===n||".d.ts"===a&&st(oa(e.fileName),"lib.")&&".d.ts"===n)&&(a===n||(".tsx"===a&&".ts"===n||".jsx"===a&&".js"===n)&&!c)?e.fileName:void 0}));return{newFileName:Q6(o,s,e,l),files:d}},toLineColumnOffset:function(e,n){return 0===n?{line:0,character:0}:_.toLineColumnOffset(e,n)},getSourceMapper:()=>_,clearSourceMapperCache:()=>_.clearCache(),prepareCallHierarchy:function(e,n){g();const t=Z7.resolveCallHierarchyDeclaration(s,a$(h(e),n));return t&&d0(t,(e=>Z7.createCallHierarchyItem(s,e)))},provideCallHierarchyIncomingCalls:function(e,n){g();const t=h(e),r=u0(Z7.resolveCallHierarchyDeclaration(s,0===n?t:a$(t,n)));return r?Z7.getIncomingCalls(s,r,d):[]},provideCallHierarchyOutgoingCalls:function(e,n){g();const t=h(e),r=u0(Z7.resolveCallHierarchyDeclaration(s,0===n?t:a$(t,n)));return r?Z7.getOutgoingCalls(s,r):[]},toggleLineComment:A,toggleMultilineComment:R,commentSelection:function(e,n){const t=a.getCurrentSourceFile(e),{firstLine:r,lastLine:o}=x(t,n);return r===o&&n.pos!==n.end?R(e,n,!0):A(e,n,!0)},uncommentSelection:function(e,n){const t=a.getCurrentSourceFile(e),r=[],{pos:o}=n;let{end:i}=n;o===i&&(i+=S$(t,o)?2:1);for(let n=o;n<=i;n++){const o=N$(t,n);if(o){switch(o.kind){case 2:r.push(...A(e,{end:o.end,pos:o.pos+1},!1));break;case 3:r.push(...R(e,{end:o.end,pos:o.pos+1},!1))}n=o.end+1}}return r},provideInlayHints:function(n,t,r=xX){g();const o=h(n);return ype.provideInlayHints(function(n,t,r){return{file:n,program:y(),host:e,span:t,preferences:r,cancellationToken:d}}(o,t,r))},getSupportedCodeFixes:y7};switch(i){case 0:break;case 1:o7.forEach((e=>C[e]=()=>{throw new Error(`LanguageService Operation: ${e} not allowed in LanguageServiceMode.PartialSemantic`)}));break;case 2:i7.forEach((e=>C[e]=()=>{throw new Error(`LanguageService Operation: ${e} not allowed in LanguageServiceMode.Syntactic`)}));break;default:Tt.assertNever(i)}return C}function T7(e){return e.nameTable||function(e){const n=e.nameTable=new Map;e.forEachChild((function e(t){if(tN(t)&&!SY(t)&&t.escapedText||nv(t)&&function(e){return Ry(e)||283===e.parent.kind||function(e){return e&&e.parent&&212===e.parent.kind&&e.parent.argumentExpression===e}(e)||Ny(e)}(t)){const e=lv(t);n.set(e,void 0===n.get(e)?t.pos:-1)}else if(rN(t)){const e=t.escapedText;n.set(e,void 0===n.get(e)?t.pos:-1)}if(ok(t,e),Xu(t))for(const n of t.jsDoc)ok(n,e)}))}(e),e.nameTable}function x7(e){const n=function(e){switch(e.kind){case 11:case 15:case 9:if(167===e.parent.kind)return Zu(e.parent.parent)?e.parent.parent:void 0;case 80:return!Zu(e.parent)||210!==e.parent.parent.kind&&292!==e.parent.parent.kind||e.parent.name!==e?void 0:e.parent}return}(e);return n&&(sD(n.parent)||UC(n.parent))?n:void 0}function A7(e,n,t,r){const i=aQ(e.name);if(!i)return o;if(!t.isUnion()){const e=t.getProperty(i);return e?[e]:o}const a=sD(e.parent)||UC(e.parent)?W(t.types,(t=>!n.isTypeInvalidDueToUnionDiscriminant(t,e.parent))):t.types,s=Y(a,(e=>e.getProperty(i)));if(r&&(0===s.length||s.length===t.types.length)){const e=t.getProperty(i);if(e)return[e]}return a.length||s.length?ce(s,Mn):Y(t.types,(e=>e.getProperty(i)))}function R7(e){if(fi)return ua(ra(_a(fi.getExecutingFilePath())),$s(e));throw new Error("getDefaultLibFilePath is only supported when consumed as a node module. ")}var I7=g({"src/services/services.ts"(){Tge(),B2(),C4(),F5(),r1(),a7(),V5="0.8",U5=class{constructor(e,n,t){this.pos=n,this.end=t,this.flags=0,this.modifierFlagsCache=0,this.transformFlags=0,this.parent=void 0,this.kind=e}assertHasRealPosition(e){Tt.assert(!_x(this.pos)&&!_x(this.end),e||"Node must have a real position for this operation")}getSourceFile(){return $f(this)}getStart(e,n){return this.assertHasRealPosition(),vm(this,e,n)}getFullStart(){return this.assertHasRealPosition(),this.pos}getEnd(){return this.assertHasRealPosition(),this.end}getWidth(e){return this.assertHasRealPosition(),this.getEnd()-this.getStart(e)}getFullWidth(){return this.assertHasRealPosition(),this.end-this.pos}getLeadingTriviaWidth(e){return this.assertHasRealPosition(),this.getStart(e)-this.pos}getFullText(e){return this.assertHasRealPosition(),(e||this.getSourceFile()).text.substring(this.pos,this.end)}getText(e){return this.assertHasRealPosition(),e||(e=this.getSourceFile()),e.text.substring(this.getStart(e),this.getEnd())}getChildCount(e){return this.getChildren(e).length}getChildAt(e,n){return this.getChildren(n)[e]}getChildren(e){return this.assertHasRealPosition("Node without a real position cannot be scanned and thus has no token nodes - use forEachChild and collect the result if that's fine"),this._children||(this._children=l7(this,e))}getFirstToken(e){this.assertHasRealPosition();const n=this.getChildren(e);if(!n.length)return;const t=D(n,(e=>e.kind<316||e.kind>357));return t.kind<166?t:t.getFirstToken(e)}getLastToken(e){this.assertHasRealPosition();const n=Le(this.getChildren(e));if(n)return n.kind<166?n:n.getLastToken(e)}forEachChild(e,n){return ok(this,e,n)}},H5=class{constructor(e,n){this.pos=e,this.end=n,this.flags=0,this.modifierFlagsCache=0,this.transformFlags=0,this.parent=void 0}getSourceFile(){return $f(this)}getStart(e,n){return vm(this,e,n)}getFullStart(){return this.pos}getEnd(){return this.end}getWidth(e){return this.getEnd()-this.getStart(e)}getFullWidth(){return this.end-this.pos}getLeadingTriviaWidth(e){return this.getStart(e)-this.pos}getFullText(e){return(e||this.getSourceFile()).text.substring(this.pos,this.end)}getText(e){return e||(e=this.getSourceFile()),e.text.substring(this.getStart(e),this.getEnd())}getChildCount(){return this.getChildren().length}getChildAt(e){return this.getChildren()[e]}getChildren(){return 1===this.kind&&this.jsDoc||o}getFirstToken(){}getLastToken(){}forEachChild(){}},K5=class{constructor(e,n){this.id=0,this.mergeId=0,this.flags=e,this.escapedName=n}getFlags(){return this.flags}get name(){return wl(this)}getEscapedName(){return this.escapedName}getName(){return this.name}getDeclarations(){return this.declarations}getDocumentationComment(e){if(!this.documentationComment)if(this.documentationComment=o,!this.declarations&&Pf(this)&&this.links.target&&Pf(this.links.target)&&this.links.target.links.tupleLabelDeclaration){const n=this.links.target.links.tupleLabelDeclaration;this.documentationComment=p7([n],e)}else this.documentationComment=p7(this.declarations,e);return this.documentationComment}getContextualDocumentationComment(e,n){if(e){if(Ju(e)&&(this.contextualGetAccessorDocumentationComment||(this.contextualGetAccessorDocumentationComment=p7(W(this.declarations,Ju),n)),b(this.contextualGetAccessorDocumentationComment)))return this.contextualGetAccessorDocumentationComment;if(qu(e)&&(this.contextualSetAccessorDocumentationComment||(this.contextualSetAccessorDocumentationComment=p7(W(this.declarations,qu),n)),b(this.contextualSetAccessorDocumentationComment)))return this.contextualSetAccessorDocumentationComment}return this.getDocumentationComment(n)}getJsDocTags(e){return void 0===this.tags&&(this.tags=u7(this.declarations,e)),this.tags}getContextualJsDocTags(e,n){if(e){if(Ju(e)&&(this.contextualGetAccessorTags||(this.contextualGetAccessorTags=u7(W(this.declarations,Ju),n)),b(this.contextualGetAccessorTags)))return this.contextualGetAccessorTags;if(qu(e)&&(this.contextualSetAccessorTags||(this.contextualSetAccessorTags=u7(W(this.declarations,qu),n)),b(this.contextualSetAccessorTags)))return this.contextualSetAccessorTags}return this.getJsDocTags(n)}},q5=class extends H5{constructor(e,n,t){super(n,t),this.kind=e}},(J5=class extends H5{constructor(e,n,t){super(n,t),this.kind=80}get text(){return Ll(this)}}).prototype.kind=80,(X5=class extends H5{constructor(e,n,t){super(n,t),this.kind=81}get text(){return Ll(this)}}).prototype.kind=81,Y5=class{constructor(e,n){this.checker=e,this.flags=n}getFlags(){return this.flags}getSymbol(){return this.symbol}getProperties(){return this.checker.getPropertiesOfType(this)}getProperty(e){return this.checker.getPropertyOfType(this,e)}getApparentProperties(){return this.checker.getAugmentedPropertiesOfType(this)}getCallSignatures(){return this.checker.getSignaturesOfType(this,0)}getConstructSignatures(){return this.checker.getSignaturesOfType(this,1)}getStringIndexType(){return this.checker.getIndexTypeOfType(this,0)}getNumberIndexType(){return this.checker.getIndexTypeOfType(this,1)}getBaseTypes(){return this.isClassOrInterface()?this.checker.getBaseTypes(this):void 0}isNullableType(){return this.checker.isNullableType(this)}getNonNullableType(){return this.checker.getNonNullableType(this)}getNonOptionalType(){return this.checker.getNonOptionalType(this)}getConstraint(){return this.checker.getBaseConstraintOfType(this)}getDefault(){return this.checker.getDefaultFromTypeParameter(this)}isUnion(){return!!(1048576&this.flags)}isIntersection(){return!!(2097152&this.flags)}isUnionOrIntersection(){return!!(3145728&this.flags)}isLiteral(){return!!(2432&this.flags)}isStringLiteral(){return!!(128&this.flags)}isNumberLiteral(){return!!(256&this.flags)}isTypeParameter(){return!!(262144&this.flags)}isClassOrInterface(){return!!(3&IS(this))}isClass(){return!!(1&IS(this))}isIndexType(){return!!(4194304&this.flags)}get typeArguments(){if(4&IS(this))return this.checker.getTypeArguments(this)}},$5=class{constructor(e,n){this.checker=e,this.flags=n}getDeclaration(){return this.declaration}getTypeParameters(){return this.typeParameters}getParameters(){return this.parameters}getReturnType(){return this.checker.getReturnTypeOfSignature(this)}getTypeParameterAtPosition(e){const n=this.checker.getParameterType(this,e);if(n.isIndexType()&&oA(n.type)){const e=n.type.getConstraint();if(e)return this.checker.getIndexType(e)}return n}getDocumentationComment(){return this.documentationComment||(this.documentationComment=p7(_t(this.declaration),this.checker))}getJsDocTags(){return this.jsDocTags||(this.jsDocTags=u7(_t(this.declaration),this.checker))}},Q5=class extends U5{constructor(e,n,t){super(e,n,t),this.kind=312}update(e,n){return pk(this,e,n)}getLineAndCharacterOfPosition(e){return _s(this,e)}getLineStarts(){return us(this)}getPositionOfLineAndCharacter(e,n,t){return ds(us(this),e,n,this.text,t)}getLineEndOfPosition(e){const{line:n}=this.getLineAndCharacterOfPosition(e),t=this.getLineStarts();let r;n+1>=t.length&&(r=this.getEnd()),r||(r=t[n+1]-1);const o=this.getFullText();return"\n"===o[r]&&"\r"===o[r-1]?r-1:r}getNamedDeclarations(){return this.namedDeclarations||(this.namedDeclarations=this.computeNamedDeclarations()),this.namedDeclarations}computeNamedDeclarations(){const e=sn();return this.forEachChild((function r(o){switch(o.kind){case 262:case 218:case 174:case 173:const i=o,a=t(i);if(a){const n=function(n){let t=e.get(n);t||e.set(n,t=[]);return t}(a),t=Le(n);t&&i.parent===t.parent&&i.symbol===t.symbol?i.body&&!t.body&&(n[n.length-1]=i):n.push(i)}ok(o,r);break;case 263:case 231:case 264:case 265:case 266:case 267:case 271:case 281:case 276:case 273:case 274:case 177:case 178:case 187:n(o),ok(o,r);break;case 169:if(!Bb(o,31))break;case 260:case 208:{const e=o;if(Vd(e.name)){ok(e.name,r);break}e.initializer&&r(e.initializer)}case 306:case 172:case 171:n(o);break;case 278:const s=o;s.exportClause&&(CC(s.exportClause)?E(s.exportClause.elements,r):r(s.exportClause.name));break;case 272:const l=o.importClause;l&&(l.name&&n(l.name),l.namedBindings&&(274===l.namedBindings.kind?n(l.namedBindings):E(l.namedBindings.elements,r)));break;case 226:0!==Eg(o)&&n(o);default:ok(o,r)}})),e;function n(n){const r=t(n);r&&e.add(r,n)}function t(e){const n=Bl(e);return n&&(yN(n)&&lD(n.expression)?n.expression.name.text:Ed(n)?aQ(n):void 0)}}},Z5=class{constructor(e,n,t){this.fileName=e,this.text=n,this.skipTrivia=t}getLineAndCharacterOfPosition(e){return _s(this,e)}},e7=class{constructor(e){this.host=e}getCurrentSourceFile(e){var n,t,r,o,i,a,s,l;const c=this.host.getScriptSnapshot(e);if(!c)throw new Error("Could not find file: '"+e+"'.");const d=lZ(e,this.host),u=this.host.getScriptVersion(e);let p;if(this.currentFileName!==e){p=b7(e,c,{languageVersion:99,impliedNodeFormat:sH(ga(e,this.host.getCurrentDirectory(),(null==(r=null==(t=(n=this.host).getCompilerHost)?void 0:t.call(n))?void 0:r.getCanonicalFileName)||Jv(this.host)),null==(l=null==(s=null==(a=null==(i=(o=this.host).getCompilerHost)?void 0:i.call(o))?void 0:a.getModuleResolutionCache)?void 0:s.call(a))?void 0:l.getPackageJsonInfoCache(),this.host,this.host.getCompilationSettings()),setExternalModuleIndicator:vT(this.host.getCompilationSettings()),jsDocParsingMode:0},u,!0,d)}else if(this.currentFileVersion!==u){const e=c.getChangeRange(this.currentFileScriptSnapshot);p=E7(this.currentSourceFile,c,u,e)}return p&&(this.currentFileVersion=u,this.currentFileName=e,this.currentFileScriptSnapshot=c,this.currentSourceFile=p),this.currentSourceFile}},n7={isCancellationRequested:vn,throwIfCancellationRequested:yn},t7=class{constructor(e){this.cancellationToken=e}isCancellationRequested(){return this.cancellationToken.isCancellationRequested()}throwIfCancellationRequested(){var e;if(this.isCancellationRequested())throw null==(e=Cr)||e.instant(Cr.Phase.Session,"cancellationThrown",{kind:"CancellationTokenObject"}),new Vr}},r7=class{constructor(e,n=20){this.hostCancellationToken=e,this.throttleWaitMilliseconds=n,this.lastCancellationCheckTime=0}isCancellationRequested(){const e=Zt();return Math.abs(e-this.lastCancellationCheckTime)>=this.throttleWaitMilliseconds&&(this.lastCancellationCheckTime=e,this.hostCancellationToken.isCancellationRequested())}throwIfCancellationRequested(){var e;if(this.isCancellationRequested())throw null==(e=Cr)||e.instant(Cr.Phase.Session,"cancellationThrown",{kind:"ThrottledCancellationToken"}),new Vr}},o7=["getSemanticDiagnostics","getSuggestionDiagnostics","getCompilerOptionsDiagnostics","getSemanticClassifications","getEncodedSemanticClassifications","getCodeFixesAtPosition","getCombinedCodeFix","applyCodeActionCommand","organizeImports","getEditsForFileRename","getEmitOutput","getApplicableRefactors","getEditsForRefactor","prepareCallHierarchy","provideCallHierarchyIncomingCalls","provideCallHierarchyOutgoingCalls","provideInlayHints","getSupportedCodeFixes"],i7=[...o7,"getCompletionsAtPosition","getCompletionEntryDetails","getCompletionEntrySymbol","getSignatureHelpItems","getQuickInfoAtPosition","getDefinitionAtPosition","getDefinitionAndBoundSpan","getImplementationAtPosition","getTypeDefinitionAtPosition","getReferencesAtPosition","findReferences","getDocumentHighlights","getNavigateToItems","getRenameInfo","findRenameLocations","getApplicableRefactors"],YS({getNodeConstructor:()=>U5,getTokenConstructor:()=>q5,getIdentifierConstructor:()=>J5,getPrivateIdentifierConstructor:()=>X5,getSourceFileConstructor:()=>Q5,getSymbolConstructor:()=>K5,getTypeConstructor:()=>Y5,getSignatureConstructor:()=>$5,getSourceMapSourceConstructor:()=>Z5})}});function N7(e,n,t){const r=[];t=g2(t,r);const o=pn(e)?e:[e],i=pV(void 0,void 0,UA,t,o,n,!0);return i.diagnostics=ae(i.diagnostics,r),i}var D7=g({"src/services/transform.ts"(){Tge()}});function C7(e,n){if(e.isDeclarationFile)return;let t=l$(e,n);const r=e.getLineAndCharacterOfPosition(n).line;if(e.getLineAndCharacterOfPosition(t.getStart(e)).line>r){const n=f$(t.pos,e);if(!n||e.getLineAndCharacterOfPosition(n.getEnd()).line!==r)return;t=n}if(!(33554432&t.flags))return c(t);function o(n,t){const r=bL(n)?C(n.modifiers,EN):void 0;return ul(r?Ts(e.text,r.end):n.getStart(e),(t||n).getEnd())}function i(n,t){return o(n,p$(t,t.parent,e))}function a(n,t){return n&&r===e.getLineAndCharacterOfPosition(n.getStart(e)).line?c(n):c(t)}function s(n){return c(f$(n.pos,e))}function l(n){return c(p$(n,n.parent,e))}function c(n){if(n){const{parent:t}=n;switch(n.kind){case 243:return r(n.declarationList.declarations[0]);case 260:case 172:case 171:return r(n);case 169:return function e(n){if(Vd(n.name))return f(n.name);if(function(e){return!!e.initializer||void 0!==e.dotDotDotToken||Bb(e,3)}(n))return o(n);{const t=n.parent,r=t.parameters.indexOf(n);return Tt.assert(-1!==r),0!==r?e(t.parameters[r-1]):c(t.body)}}(n);case 262:case 174:case 173:case 177:case 178:case 176:case 218:case 219:return function(e){if(!e.body)return;if(d(e))return o(e);return c(e.body)}(n);case 241:if(rh(n))return function(e){const n=e.statements.length?e.statements[0]:e.getLastToken();if(d(e.parent))return a(e.parent,n);return c(n)}(n);case 268:return u(n);case 299:return u(n.block);case 244:return o(n.expression);case 253:return o(n.getChildAt(0),n.expression);case 247:return i(n,n.expression);case 246:return c(n.statement);case 259:return o(n.getChildAt(0));case 245:return i(n,n.expression);case 256:return c(n.statement);case 252:case 251:return o(n.getChildAt(0),n.label);case 248:return function(e){if(e.initializer)return p(e);if(e.condition)return o(e.condition);if(e.incrementor)return o(e.incrementor)}(n);case 249:return i(n,n.expression);case 250:return p(n);case 255:return i(n,n.expression);case 296:case 297:return c(n.statements[0]);case 258:return u(n.tryBlock);case 257:case 277:return o(n,n.expression);case 271:return o(n,n.moduleReference);case 272:case 278:return o(n,n.moduleSpecifier);case 267:if(1!==zW(n))return;case 263:case 266:case 306:case 208:return o(n);case 254:return c(n.statement);case 170:return function(n,t,r){if(n){const o=n.indexOf(t);if(o>=0){let t=o,i=o+1;for(;t>0&&r(n[t-1]);)t--;for(;i<n.length&&r(n[i]);)i++;return ul(Ts(e.text,n[t].pos),n[i-1].end)}}return o(t)}(t.modifiers,n,EN);case 206:case 207:return f(n);case 264:case 265:return;case 27:case 1:return a(f$(n.pos,e));case 28:return s(n);case 19:return function(n){switch(n.parent.kind){case 266:const t=n.parent;return a(f$(n.pos,e,n.parent),t.members.length?t.members[0]:t.getLastToken(e));case 263:const r=n.parent;return a(f$(n.pos,e,n.parent),r.members.length?r.members[0]:r.getLastToken(e));case 269:return a(n.parent.parent,n.parent.clauses[0])}return c(n.parent)}(n);case 20:return function(e){switch(e.parent.kind){case 268:if(1!==zW(e.parent.parent))return;case 266:case 263:return o(e);case 241:if(rh(e.parent))return o(e);case 299:return c(Le(e.parent.statements));case 269:const n=Le(e.parent.clauses);return n?c(Le(n.statements)):void 0;case 206:const t=e.parent;return c(Le(t.elements)||t);default:if(G$(e.parent)){const n=e.parent;return o(Le(n.properties)||n)}return c(e.parent)}}(n);case 24:return function(e){if(207===e.parent.kind){const n=e.parent;return o(Le(n.elements)||n)}if(G$(e.parent)){const n=e.parent;return o(Le(n.elements)||n)}return c(e.parent)}(n);case 21:return function(e){if(246===e.parent.kind||213===e.parent.kind||214===e.parent.kind)return s(e);if(217===e.parent.kind)return l(e);return c(e.parent)}(n);case 22:return function(e){switch(e.parent.kind){case 218:case 262:case 219:case 174:case 173:case 177:case 178:case 176:case 247:case 246:case 248:case 250:case 213:case 214:case 217:return s(e);default:return c(e.parent)}}(n);case 59:return function(e){if(Td(e.parent)||303===e.parent.kind||169===e.parent.kind)return s(e);return c(e.parent)}(n);case 32:case 30:return function(e){if(216===e.parent.kind)return l(e);return c(e.parent)}(n);case 117:return function(e){if(246===e.parent.kind)return i(e,e.parent.expression);return c(e.parent)}(n);case 93:case 85:case 98:return l(n);case 165:return function(e){if(250===e.parent.kind)return l(e);return c(e.parent)}(n);default:if(G$(n))return m(n);if((80===n.kind||230===n.kind||303===n.kind||304===n.kind)&&G$(t))return o(n);if(226===n.kind){const{left:e,operatorToken:t}=n;if(G$(e))return m(e);if(64===t.kind&&G$(n.parent))return o(n);if(28===t.kind)return c(e)}if(Gh(n))switch(t.kind){case 246:return s(n);case 170:return c(n.parent);case 248:case 250:return o(n);case 226:if(28===n.parent.operatorToken.kind)return o(n);break;case 219:if(n.parent.body===n)return o(n)}switch(n.parent.kind){case 303:if(n.parent.name===n&&!G$(n.parent.parent))return c(n.parent.initializer);break;case 216:if(n.parent.type===n)return l(n.parent.type);break;case 260:case 169:{const{initializer:e,type:t}=n.parent;if(e===n||t===n||mE(n.kind))return s(n);break}case 226:{const{left:e}=n.parent;if(G$(e)&&n!==e)return s(n);break}default:if(Td(n.parent)&&n.parent.type===n)return s(n)}return c(n.parent)}}function t(n){return aC(n.parent)&&n.parent.declarations[0]===n?o(f$(n.pos,e,n.parent),n):o(n)}function r(n){if(249===n.parent.parent.kind)return c(n.parent.parent);const r=n.parent;return Vd(n.name)?f(n.name):Qu(n)&&n.initializer||Bb(n,32)||250===r.parent.kind?t(n):aC(n.parent)&&n.parent.declarations[0]!==n?c(f$(n.pos,e,n.parent)):void 0}function d(e){return Bb(e,32)||263===e.parent.kind&&176!==e.kind}function u(n){switch(n.parent.kind){case 267:if(1!==zW(n.parent))return;case 247:case 245:case 249:return a(n.parent,n.statements[0]);case 248:case 250:return a(f$(n.pos,e,n.parent),n.statements[0])}return c(n.statements[0])}function p(e){if(261!==e.initializer.kind)return c(e.initializer);{const n=e.initializer;if(n.declarations.length>0)return c(n.declarations[0])}}function f(e){const n=E(e.elements,(e=>232!==e.kind?e:void 0));return n?c(n):208===e.parent.kind?o(e.parent):t(e.parent)}function m(e){Tt.assert(207!==e.kind&&206!==e.kind);const n=E(209===e.kind?e.elements:e.properties,(e=>232!==e.kind?e:void 0));return n?c(n):o(226===e.parent.kind?e.parent:e)}}}var M7=g({"src/services/breakpoints.ts"(){Tge()}}),P7={};y(P7,{spanInSourceFileAtLocation:()=>C7});var L7=g({"src/services/_namespaces/ts.BreakpointResolver.ts"(){M7()}});function k7(e){return TN(e)||iC(e)}function w7(e){return(_D(e)||hD(e)||ND(e))&&k7(e.parent)&&e===e.parent.initializer&&tN(e.parent.name)&&(!!(2&xl(e.parent))||TN(e.parent))}function O7(e){return rM(e)||pC(e)||sC(e)||_D(e)||lC(e)||ND(e)||RN(e)||AN(e)||xN(e)||NN(e)||DN(e)}function F7(e){return rM(e)||pC(e)&&tN(e.name)||sC(e)||lC(e)||RN(e)||AN(e)||xN(e)||NN(e)||DN(e)||function(e){return(_D(e)||ND(e))&&Gl(e)}(e)||w7(e)}function W7(e){return rM(e)?e:Gl(e)?e.name:w7(e)?e.parent.name:Tt.checkDefined(e.modifiers&&D(e.modifiers,z7))}function z7(e){return 90===e.kind}function G7(e,n){const t=W7(n);return t&&e.getSymbolAtLocation(t)}function B7(e,n){if(n.body)return n;if(IN(n))return _b(n.parent);if(sC(n)||AN(n)){const t=G7(e,n);return t&&t.valueDeclaration&&Ad(t.valueDeclaration)&&t.valueDeclaration.body?t.valueDeclaration:void 0}return n}function j7(e,n){const t=G7(e,n);let r;if(t&&t.declarations){const e=le(t.declarations),n=B(t.declarations,(e=>({file:e.getSourceFile().fileName,pos:e.pos})));e.sort(((e,t)=>Gn(n[e].file,n[t].file)||n[e].pos-n[t].pos));const o=B(e,(e=>t.declarations[e]));let i;for(const e of o)F7(e)&&(i&&i.parent===e.parent&&i.end===e.pos||(r=ye(r,e)),i=e)}return r}function V7(e,n){return RN(n)?n:Ad(n)?B7(e,n)??j7(e,n)??n:j7(e,n)??n}function U7(e,n){const t=e.getTypeChecker();let r=!1;for(;;){if(F7(n))return V7(t,n);if(O7(n)){const e=Nl(n,F7);return e&&V7(t,e)}if(Ry(n)){if(F7(n.parent))return V7(t,n.parent);if(O7(n.parent)){const e=Nl(n.parent,F7);return e&&V7(t,e)}return k7(n.parent)&&n.parent.initializer&&w7(n.parent.initializer)?n.parent.initializer:void 0}if(IN(n))return F7(n.parent)?n.parent:void 0;if(126!==n.kind||!RN(n.parent)){if(iC(n)&&n.initializer&&w7(n.initializer))return n.initializer;if(!r){let e=t.getSymbolAtLocation(n);if(e&&(2097152&e.flags&&(e=t.getAliasedSymbol(e)),e.valueDeclaration)){r=!0,n=e.valueDeclaration;continue}}return}n=n.parent}}function H7(e,n){const t=n.getSourceFile(),r=function(e,n){if(rM(n))return{text:n.fileName,pos:0,end:0};if((sC(n)||lC(n))&&!Gl(n)){const e=n.modifiers&&D(n.modifiers,z7);if(e)return{text:"default",pos:e.getStart(),end:e.getEnd()}}if(RN(n)){const t=Ts(n.getSourceFile().text,JE(n).pos),r=t+6,o=e.getTypeChecker(),i=o.getSymbolAtLocation(n.parent);return{text:(i?`${o.symbolToString(i,n.parent)} `:"")+"static {}",pos:t,end:r}}const t=w7(n)?n.parent.name:Tt.checkDefined(jl(n),"Expected call hierarchy item to have a name");let r=tN(t)?Ll(t):nv(t)?t.text:yN(t)&&nv(t.expression)?t.expression.text:void 0;if(void 0===r){const o=e.getTypeChecker(),i=o.getSymbolAtLocation(t);i&&(r=o.symbolToString(i,n))}if(void 0===r){const e=yV();r=Bf((t=>e.writeNode(4,n,n.getSourceFile(),t)))}return{text:r,pos:t.getStart(),end:t.getEnd()}}(e,n),o=function(e){var n,t,r,o;if(w7(e))return TN(e.parent)&&Md(e.parent.parent)?ND(e.parent.parent)?null==(n=Vl(e.parent.parent))?void 0:n.getText():null==(t=e.parent.parent.name)?void 0:t.getText():fC(e.parent.parent.parent.parent)&&tN(e.parent.parent.parent.parent.parent.name)?e.parent.parent.parent.parent.parent.name.getText():void 0;switch(e.kind){case 177:case 178:case 174:return 210===e.parent.kind?null==(r=Vl(e.parent))?void 0:r.getText():null==(o=jl(e.parent))?void 0:o.getText();case 262:case 263:case 267:if(fC(e.parent)&&tN(e.parent.parent.name))return e.parent.parent.name.getText()}}(n),i=MY(n),a=M$(n),s=ul(Ts(t.text,n.getFullStart(),!1,!0),n.getEnd()),l=ul(r.pos,r.end);return{file:t.fileName,kind:i,kindModifiers:a,name:r.text,containerName:o,span:s,selectionSpan:l}}function K7(e){return void 0!==e}function q7(e){if(e.kind===Hue.EntryKind.Node){const{node:n}=e;if(sY(n,!0,!0)||lY(n,!0,!0)||cY(n,!0,!0)||dY(n,!0,!0)||xY(n)||AY(n)){const e=n.getSourceFile();return{declaration:Nl(n,F7)||e,range:q$(n,e)}}}}function J7(e){return Hz(e.declaration)}function X7(e,n,t){if(rM(n)||pC(n)||RN(n))return[];const r=W7(n),o=W(Hue.findReferenceOrRenameEntries(e,t,e.getSourceFiles(),r,0,{use:Hue.FindReferencesUse.References},q7),K7);return o?en(o,J7,(n=>function(e,n){return t=H7(e,n[0].declaration),r=B(n,(e=>J$(e.range))),{from:t,fromSpans:r};var t,r}(e,n))):[]}function Y7(e,n){const t=[],r=function(e,n){function t(t){const r=pD(t)?t.tag:ju(t)?t.tagName:wS(t)||RN(t)?t:t.expression,o=U7(e,r);if(o){const e=q$(r,t.getSourceFile());if(pn(o))for(const t of o)n.push({declaration:t,range:e});else n.push({declaration:o,range:e})}}return function e(n){if(n&&!(33554432&n.flags))if(F7(n)){if(Md(n))for(const t of n.members)t.name&&yN(t.name)&&e(t.name.expression)}else{switch(n.kind){case 80:case 271:case 272:case 278:case 264:case 265:return;case 175:return void t(n);case 216:case 234:case 238:return void e(n.expression);case 260:case 169:return e(n.name),void e(n.initializer);case 213:case 214:return t(n),e(n.expression),void E(n.arguments,e);case 215:return t(n),e(n.tag),void e(n.template);case 286:case 285:return t(n),e(n.tagName),void e(n.attributes);case 170:return t(n),void e(n.expression);case 211:case 212:t(n),ok(n,e)}j_(n)||ok(n,e)}}}(e,t);switch(n.kind){case 312:!function(e,n){E(e.statements,n)}(n,r);break;case 267:!function(e,n){!Bb(e,128)&&e.body&&fC(e.body)&&E(e.body.statements,n)}(n,r);break;case 262:case 218:case 219:case 174:case 177:case 178:!function(e,n,t){const r=B7(e,n);r&&(E(r.parameters,t),t(r.body))}(e.getTypeChecker(),n,r);break;case 263:case 231:!function(e,n){E(e.modifiers,n);const t=Fy(e);t&&n(t.expression);for(const t of e.members)vL(t)&&E(t.modifiers,n),TN(t)?n(t.initializer):IN(t)&&t.body?(E(t.parameters,n),n(t.body)):RN(t)&&n(t)}(n,r);break;case 175:!function(e,n){n(e.body)}(n,r);break;default:Tt.assertNever(n)}return t}function $7(e,n){return 33554432&n.flags||xN(n)?[]:en(Y7(e,n),J7,(n=>function(e,n){return t=H7(e,n[0].declaration),r=B(n,(e=>J$(e.range))),{to:t,fromSpans:r};var t,r}(e,n)))}var Q7=g({"src/services/callHierarchy.ts"(){Tge()}}),Z7={};y(Z7,{createCallHierarchyItem:()=>H7,getIncomingCalls:()=>X7,getOutgoingCalls:()=>$7,resolveCallHierarchyDeclaration:()=>U7});var e9=g({"src/services/_namespaces/ts.CallHierarchy.ts"(){Q7()}}),n9={};y(n9,{TokenEncodingConsts:()=>L5,TokenModifier:()=>w5,TokenType:()=>k5,getEncodedSemanticClassifications:()=>z5,getSemanticClassifications:()=>W5});var t9=g({"src/services/_namespaces/ts.classifier.v2020.ts"(){a7()}}),r9={};y(r9,{v2020:()=>n9});var o9,i9,a9,s9=g({"src/services/_namespaces/ts.classifier.ts"(){t9()}});function l9(e,n,t){return u9(e,x0(t),n,void 0,void 0)}function c9(e,n,t,r,o,i){return u9(e,x0(t),n,r,x0(o),i)}function d9(e,n,t,r,o,i){return u9(e,x0(t),n,r,o&&x0(o),i)}function u9(e,n,t,r,o,i){return{fixName:e,description:n,changes:t,fixId:r,fixAllDescription:o,commands:i?[i]:void 0}}function p9(e){for(const n of e.errorCodes)a9=void 0,o9.add(String(n),e);if(e.fixIds)for(const n of e.fixIds)Tt.assert(!i9.has(n)),i9.set(n,e)}function f9(){return a9??(a9=Je(o9.keys()))}function m9(e){const n=b9(e);return H(o9.get(String(e.errorCode)),(t=>B(t.getCodeActions(e),function(e,n){const{errorCodes:t}=e;let r=0;for(const e of n)if(k(t,e.code)&&r++,r>1)break;const o=r<2;return({fixId:e,fixAllDescription:n,...t})=>o?t:{...t,fixId:e,fixAllDescription:n}}(t,n))))}function _9(e){return i9.get(gn(e.fixId,mn)).getAllCodeActions(e)}function h9(e,n){return{changes:e,commands:n}}function g9(e,n){return{fileName:e,textChanges:n}}function y9(e,n,t){const r=[];return h9(p_e.ChangeTracker.with(e,(o=>v9(e,n,(e=>t(o,e,r))))),0===r.length?void 0:r)}function v9(e,n,t){for(const r of b9(e))k(n,r.code)&&t(r)}function b9({program:e,sourceFile:n,cancellationToken:t}){return[...e.getSemanticDiagnostics(n,t),...e.getSyntacticDiagnostics(n,t),...n2(n,e,t)]}var E9,S9,T9=g({"src/services/codeFixProvider.ts"(){Tge(),o9=sn(),i9=new Map}});function x9(e,n,t){const r=MD(t)?UA.createAsExpression(t.expression,UA.createKeywordTypeNode(159)):UA.createTypeAssertion(UA.createKeywordTypeNode(159),t.expression);e.replaceNode(n,t.expression,r)}function A9(e,n){if(!Yh(e))return Nl(l$(e,n),(e=>MD(e)||fD(e)))}var R9,I9,N9=g({"src/services/codefixes/addConvertToUnknownForNonOverlappingTypes.ts"(){Tge(),sce(),E9="addConvertToUnknownForNonOverlappingTypes",p9({errorCodes:S9=[Oa.Conversion_of_type_0_to_type_1_may_be_a_mistake_because_neither_type_sufficiently_overlaps_with_the_other_If_this_was_intentional_convert_the_expression_to_unknown_first.code],getCodeActions:function(e){const n=A9(e.sourceFile,e.span.start);if(void 0===n)return;const t=p_e.ChangeTracker.with(e,(t=>x9(t,e.sourceFile,n)));return[c9(E9,t,Oa.Add_unknown_conversion_for_non_overlapping_types,E9,Oa.Add_unknown_to_all_conversions_of_non_overlapping_types)]},fixIds:[E9],getAllCodeActions:e=>y9(e,S9,((e,n)=>{const t=A9(n.file,n.start);t&&x9(e,n.file,t)}))})}}),D9=g({"src/services/codefixes/addEmptyExportDeclaration.ts"(){Tge(),sce(),p9({errorCodes:[Oa.await_expressions_are_only_allowed_at_the_top_level_of_a_file_when_that_file_is_a_module_but_this_file_has_no_imports_or_exports_Consider_adding_an_empty_export_to_make_this_file_a_module.code,Oa.await_using_statements_are_only_allowed_at_the_top_level_of_a_file_when_that_file_is_a_module_but_this_file_has_no_imports_or_exports_Consider_adding_an_empty_export_to_make_this_file_a_module.code,Oa.for_await_loops_are_only_allowed_at_the_top_level_of_a_file_when_that_file_is_a_module_but_this_file_has_no_imports_or_exports_Consider_adding_an_empty_export_to_make_this_file_a_module.code],getCodeActions:function(e){const{sourceFile:n}=e;return[l9("addEmptyExportDeclaration",p_e.ChangeTracker.with(e,(e=>{const t=UA.createExportDeclaration(void 0,!1,UA.createNamedExports([]),void 0);e.insertNodeAtEndOfScope(n,n,t)})),Oa.Add_export_to_make_this_file_into_a_module)]}})}});function C9(e,n,t,r){const o=t((t=>function(e,n,t,r){if(r&&r.has(Hz(t)))return;null==r||r.add(Hz(t));const o=UA.replaceModifiers(mZ(t,!0),UA.createNodeArray(UA.createModifiersFromModifierFlags(1024|nE(t))));e.replaceNode(n,t,o)}(t,e.sourceFile,n,r)));return c9(R9,o,Oa.Add_async_modifier_to_containing_function,R9,Oa.Add_all_missing_async_modifiers)}function M9(e,n){if(!n)return;return Nl(l$(e,n.start),(t=>t.getStart(e)<n.start||t.getEnd()>Qs(n)?"quit":(hD(t)||AN(t)||_D(t)||sC(t))&&DQ(n,H$(t,e))))}var P9,L9,k9,w9,O9=g({"src/services/codefixes/addMissingAsync.ts"(){Tge(),sce(),R9="addMissingAsync",I9=[Oa.Argument_of_type_0_is_not_assignable_to_parameter_of_type_1.code,Oa.Type_0_is_not_assignable_to_type_1.code,Oa.Type_0_is_not_comparable_to_type_1.code],p9({fixIds:[R9],errorCodes:I9,getCodeActions:function(e){const{sourceFile:n,errorCode:t,cancellationToken:r,program:o,span:i}=e,a=D(o.getTypeChecker().getDiagnostics(n,r),function(e,n){return({start:t,length:r,relatedInformation:o,code:i})=>_n(t)&&_n(r)&&DQ({start:t,length:r},e)&&i===n&&!!o&&oe(o,(e=>e.code===Oa.Did_you_mean_to_mark_this_function_as_async.code))}(i,t)),s=M9(n,a&&a.relatedInformation&&D(a.relatedInformation,(e=>e.code===Oa.Did_you_mean_to_mark_this_function_as_async.code)));if(!s)return;return[C9(e,s,(n=>p_e.ChangeTracker.with(e,n)))]},getAllCodeActions:e=>{const{sourceFile:n}=e,t=new Set;return y9(e,I9,((r,o)=>{const i=o.relatedInformation&&D(o.relatedInformation,(e=>e.code===Oa.Did_you_mean_to_mark_this_function_as_async.code)),a=M9(n,i);if(!a)return;return C9(e,a,(e=>(e(r),[])),t)}))}})}});function F9(e,n,t,r,o){const i=c0(e,t);return i&&function(e,n,t,r,o){const i=o.getTypeChecker(),a=i.getDiagnostics(e,r);return oe(a,(({start:e,length:r,relatedInformation:o,code:i})=>_n(e)&&_n(r)&&DQ({start:e,length:r},t)&&i===n&&!!o&&oe(o,(e=>e.code===Oa.Did_you_forget_to_use_await.code))))}(e,n,t,r,o)&&B9(i)?i:void 0}function W9(e,n,t,r,o,i){const{sourceFile:a,program:s,cancellationToken:l}=e,c=function(e,n,t,r,o){const i=function(e,n){if(lD(e.parent)&&tN(e.parent.expression))return{identifiers:[e.parent.expression],isCompleteFix:!0};if(tN(e))return{identifiers:[e],isCompleteFix:!0};if(TD(e)){let t,r=!0;for(const o of[e.left,e.right]){const e=n.getTypeAtLocation(o);if(n.getPromisedTypeOfPromise(e)){if(!tN(o)){r=!1;continue}(t||(t=[])).push(o)}}return t&&{identifiers:t,isCompleteFix:r}}}(e,o);if(!i)return;let a,s=i.isCompleteFix;for(const e of i.identifiers){const i=o.getSymbolAtLocation(e);if(!i)continue;const l=hn(i.valueDeclaration,iC),c=l&&hn(l.name,tN),d=jy(l,243);if(!l||!d||l.type||!l.initializer||d.getSourceFile()!==n||Bb(d,32)||!c||!B9(l.initializer)){s=!1;continue}const u=r.getSemanticDiagnostics(n,t);Hue.Core.eachSymbolReferenceInFile(c,o,n,(t=>e!==t&&!G9(t,u,n,o)))?s=!1:(a||(a=[])).push({expression:l.initializer,declarationSymbol:i})}return a&&{initializers:a,needsSecondPassForFixAll:!s}}(n,a,l,s,r);if(c){return l9("addMissingAwaitToInitializer",o((e=>{E(c.initializers,(({expression:n})=>j9(e,t,a,r,n,i))),i&&c.needsSecondPassForFixAll&&j9(e,t,a,r,n,i)})),1===c.initializers.length?[Oa.Add_await_to_initializer_for_0,c.initializers[0].declarationSymbol.name]:Oa.Add_await_to_initializers)}}function z9(e,n,t,r,o,i){const a=o((o=>j9(o,t,e.sourceFile,r,n,i)));return c9(P9,a,Oa.Add_await,P9,Oa.Fix_all_expressions_possibly_missing_await)}function G9(e,n,t,r){const o=lD(e.parent)?e.parent.name:TD(e.parent)?e.parent:e,i=D(n,(e=>e.start===o.getStart(t)&&e.start+e.length===o.getEnd()));return i&&k(w9,i.code)||1&r.getTypeAtLocation(o).flags}function B9(e){return 65536&e.flags||!!Nl(e,(e=>e.parent&&hD(e.parent)&&e.parent.body===e||GD(e)&&(262===e.parent.kind||218===e.parent.kind||219===e.parent.kind||174===e.parent.kind)))}function j9(e,n,t,r,o,i){if(XD(o.parent)&&!o.parent.awaitModifier){const n=r.getTypeAtLocation(o),i=r.getAsyncIterableType();if(i&&r.isTypeAssignableTo(n,i)){const n=o.parent;return void e.replaceNode(t,n,UA.updateForOfStatement(n,UA.createToken(135),n.initializer,n.expression,n.statement))}}if(TD(o))for(const n of[o.left,o.right]){if(i&&tN(n)){const e=r.getSymbolAtLocation(n);if(e&&i.has(Kz(e)))continue}const o=r.getTypeAtLocation(n),a=r.getPromisedTypeOfPromise(o)?UA.createAwaitExpression(n):n;e.replaceNode(t,n,a)}else if(n===L9&&lD(o.parent)){if(i&&tN(o.parent.expression)){const e=r.getSymbolAtLocation(o.parent.expression);if(e&&i.has(Kz(e)))return}e.replaceNode(t,o.parent.expression,UA.createParenthesizedExpression(UA.createAwaitExpression(o.parent.expression))),V9(e,o.parent.expression,t)}else if(k(k9,n)&&ru(o.parent)){if(i&&tN(o)){const e=r.getSymbolAtLocation(o);if(e&&i.has(Kz(e)))return}e.replaceNode(t,o,UA.createParenthesizedExpression(UA.createAwaitExpression(o))),V9(e,o,t)}else{if(i&&iC(o.parent)&&tN(o.parent.name)){const e=r.getSymbolAtLocation(o.parent.name);if(e&&!ee(i,Kz(e)))return}e.replaceNode(t,o,UA.createAwaitExpression(o))}}function V9(e,n,t){const r=f$(n.pos,t);r&&UZ(r.end,r.parent,t)&&e.insertText(t,n.getStart(t),";")}var U9,H9,K9=g({"src/services/codefixes/addMissingAwait.ts"(){Tge(),sce(),P9="addMissingAwait",L9=Oa.Property_0_does_not_exist_on_type_1.code,k9=[Oa.This_expression_is_not_callable.code,Oa.This_expression_is_not_constructable.code],w9=[Oa.An_arithmetic_operand_must_be_of_type_any_number_bigint_or_an_enum_type.code,Oa.The_left_hand_side_of_an_arithmetic_operation_must_be_of_type_any_number_bigint_or_an_enum_type.code,Oa.The_right_hand_side_of_an_arithmetic_operation_must_be_of_type_any_number_bigint_or_an_enum_type.code,Oa.Operator_0_cannot_be_applied_to_type_1.code,Oa.Operator_0_cannot_be_applied_to_types_1_and_2.code,Oa.This_comparison_appears_to_be_unintentional_because_the_types_0_and_1_have_no_overlap.code,Oa.This_condition_will_always_return_true_since_this_0_is_always_defined.code,Oa.Type_0_is_not_an_array_type.code,Oa.Type_0_is_not_an_array_type_or_a_string_type.code,Oa.Type_0_can_only_be_iterated_through_when_using_the_downlevelIteration_flag_or_with_a_target_of_es2015_or_higher.code,Oa.Type_0_is_not_an_array_type_or_a_string_type_or_does_not_have_a_Symbol_iterator_method_that_returns_an_iterator.code,Oa.Type_0_is_not_an_array_type_or_does_not_have_a_Symbol_iterator_method_that_returns_an_iterator.code,Oa.Type_0_must_have_a_Symbol_iterator_method_that_returns_an_iterator.code,Oa.Type_0_must_have_a_Symbol_asyncIterator_method_that_returns_an_async_iterator.code,Oa.Argument_of_type_0_is_not_assignable_to_parameter_of_type_1.code,L9,...k9],p9({fixIds:[P9],errorCodes:w9,getCodeActions:function(e){const{sourceFile:n,errorCode:t,span:r,cancellationToken:o,program:i}=e,a=F9(n,t,r,o,i);if(!a)return;const s=e.program.getTypeChecker(),l=n=>p_e.ChangeTracker.with(e,n);return he([W9(e,a,t,s,l),z9(e,a,t,s,l)])},getAllCodeActions:e=>{const{sourceFile:n,program:t,cancellationToken:r}=e,o=e.program.getTypeChecker(),i=new Set;return y9(e,w9,((a,s)=>{const l=F9(n,s.code,s,r,t);if(!l)return;const c=e=>(e(a),[]);return W9(e,l,s.code,o,c,i)||z9(e,l,s.code,o,c,i)}))}})}});function q9(e,n,t,r,o){const i=l$(n,t),a=Nl(i,(e=>vu(e.parent)?e.parent.initializer===e:!function(e){switch(e.kind){case 80:case 209:case 210:case 303:case 304:return!0;default:return!1}}(e)&&"quit"));if(a)return J9(e,a,n,o);const s=i.parent;if(TD(s)&&64===s.operatorToken.kind&&VD(s.parent))return J9(e,i,n,o);if(aD(s)){const t=r.getTypeChecker();if(!N(s.elements,(e=>function(e,n){const t=tN(e)?e:gE(e,!0)&&tN(e.left)?e.left:void 0;return!!t&&!n.getSymbolAtLocation(t)}(e,t))))return;return J9(e,s,n,o)}const l=Nl(i,(e=>!!VD(e.parent)||!function(e){switch(e.kind){case 80:case 226:case 28:return!0;default:return!1}}(e)&&"quit"));if(l){if(!X9(l,r.getTypeChecker()))return;return J9(e,l,n,o)}}function J9(e,n,t,r){r&&!ee(r,n)||e.insertModifierBefore(t,87,n)}function X9(e,n){return!!TD(e)&&(28===e.operatorToken.kind?N([e.left,e.right],(e=>X9(e,n))):64===e.operatorToken.kind&&tN(e.left)&&!n.getSymbolAtLocation(e.left))}var Y9,$9,Q9=g({"src/services/codefixes/addMissingConst.ts"(){Tge(),sce(),U9="addMissingConst",p9({errorCodes:H9=[Oa.Cannot_find_name_0.code,Oa.No_value_exists_in_scope_for_the_shorthand_property_0_Either_declare_one_or_provide_an_initializer.code],getCodeActions:function(e){const n=p_e.ChangeTracker.with(e,(n=>q9(n,e.sourceFile,e.span.start,e.program)));if(n.length>0)return[c9(U9,n,Oa.Add_const_to_unresolved_variable,U9,Oa.Add_const_to_all_unresolved_variables)]},fixIds:[U9],getAllCodeActions:e=>{const n=new Set;return y9(e,H9,((t,r)=>q9(t,r.file,r.start,e.program,n)))}})}});function Z9(e,n,t,r){const o=l$(n,t);if(!tN(o))return;const i=o.parent;172!==i.kind||r&&!ee(r,i)||e.insertModifierBefore(n,138,i)}var eee,nee,tee=g({"src/services/codefixes/addMissingDeclareProperty.ts"(){Tge(),sce(),Y9="addMissingDeclareProperty",p9({errorCodes:$9=[Oa.Property_0_will_overwrite_the_base_property_in_1_If_this_is_intentional_add_an_initializer_Otherwise_add_a_declare_modifier_or_remove_the_redundant_declaration.code],getCodeActions:function(e){const n=p_e.ChangeTracker.with(e,(n=>Z9(n,e.sourceFile,e.span.start)));if(n.length>0)return[c9(Y9,n,Oa.Prefix_with_declare,Y9,Oa.Prefix_all_incorrect_property_declarations_with_declare)]},fixIds:[Y9],getAllCodeActions:e=>{const n=new Set;return y9(e,$9,((e,t)=>Z9(e,t.file,t.start,n)))}})}});function ree(e,n,t){const r=Nl(l$(n,t),EN);Tt.assert(!!r,"Expected position to be owned by a decorator.");const o=UA.createCallExpression(r.expression,void 0,void 0);e.replaceNode(n,r.expression,o)}var oee,iee,aee=g({"src/services/codefixes/addMissingInvocationForDecorator.ts"(){Tge(),sce(),eee="addMissingInvocationForDecorator",p9({errorCodes:nee=[Oa._0_accepts_too_few_arguments_to_be_used_as_a_decorator_here_Did_you_mean_to_call_it_first_and_write_0.code],getCodeActions:function(e){const n=p_e.ChangeTracker.with(e,(n=>ree(n,e.sourceFile,e.span.start)));return[c9(eee,n,Oa.Call_decorator_expression,eee,Oa.Add_to_all_uncalled_decorators)]},fixIds:[eee],getAllCodeActions:e=>y9(e,nee,((e,n)=>ree(e,n.file,n.start)))})}});function see(e,n,t){const r=l$(n,t),o=r.parent;if(!bN(o))return Tt.fail("Tried to add a parameter name to a non-parameter: "+Tt.formatSyntaxKind(r.kind));const i=o.parent.parameters.indexOf(o);Tt.assert(!o.type,"Tried to add a parameter name to a parameter that already had one."),Tt.assert(i>-1,"Parameter not found in parent parameter list.");let a=o.name.getEnd(),s=UA.createTypeReferenceNode(o.name,void 0),l=lee(n,o);for(;l;)s=UA.createArrayTypeNode(s),a=l.getEnd(),l=lee(n,l);const c=UA.createParameterDeclaration(o.modifiers,o.dotDotDotToken,"arg"+i,o.questionToken,o.dotDotDotToken&&!zN(s)?UA.createArrayTypeNode(s):s,o.initializer);e.replaceRange(n,UE(o.getStart(n),a),c)}function lee(e,n){const t=p$(n.name,n.parent,e);if(t&&23===t.kind&&oD(t.parent)&&bN(t.parent.parent))return t.parent.parent}var cee,dee=g({"src/services/codefixes/addNameToNamelessParameter.ts"(){Tge(),sce(),oee="addNameToNamelessParameter",p9({errorCodes:iee=[Oa.Parameter_has_a_name_but_no_type_Did_you_mean_0_Colon_1.code],getCodeActions:function(e){const n=p_e.ChangeTracker.with(e,(n=>see(n,e.sourceFile,e.span.start)));return[c9(oee,n,Oa.Add_parameter_name,oee,Oa.Add_names_to_all_parameters_without_names)]},fixIds:[oee],getAllCodeActions:e=>y9(e,iee,((e,n)=>see(e,n.file,n.start)))})}});function uee(e,n,t){var r,i;const a=pee(c0(e,n),t);if(!a)return o;const{source:s,target:l}=a,c=function(e,n,t){return lD(n)&&!!t.getExactOptionalProperties(t.getTypeAtLocation(n.expression)).length&&t.getTypeAtLocation(e)===t.getUndefinedType()}(s,l,t)?t.getTypeAtLocation(l.expression):t.getTypeAtLocation(l);return(null==(i=null==(r=c.symbol)?void 0:r.declarations)?void 0:i.some((e=>$f(e).fileName.match(/\.d\.ts$/))))?o:t.getExactOptionalProperties(c)}function pee(e,n){var t;if(e){if(TD(e.parent)&&64===e.parent.operatorToken.kind)return{source:e.parent.right,target:e.parent.left};if(iC(e.parent)&&e.parent.initializer)return{source:e.parent.initializer,target:e.parent.name};if(dD(e.parent)){const t=n.getSymbolAtLocation(e.parent.expression);if(!(null==t?void 0:t.valueDeclaration)||!Nd(t.valueDeclaration.kind))return;if(!uu(e))return;const r=e.parent.arguments.indexOf(e);if(-1===r)return;const o=t.valueDeclaration.parameters[r].name;if(tN(o))return{source:e,target:o}}else if(QC(e.parent)&&tN(e.parent.name)||ZC(e.parent)){const r=pee(e.parent.parent,n);if(!r)return;const o=n.getPropertyOfType(n.getTypeAtLocation(r.target),e.parent.name.text),i=null==(t=null==o?void 0:o.declarations)?void 0:t[0];if(!i)return;return{source:QC(e.parent)?e.parent.initializer:e.parent.name,target:i}}}}var fee,mee,_ee=g({"src/services/codefixes/addOptionalPropertyUndefined.ts"(){Tge(),sce(),cee="addOptionalPropertyUndefined",p9({errorCodes:[Oa.Type_0_is_not_assignable_to_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_type_of_the_target.code,Oa.Type_0_is_not_assignable_to_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_types_of_the_target_s_properties.code,Oa.Argument_of_type_0_is_not_assignable_to_parameter_of_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_types_of_the_target_s_properties.code],getCodeActions(e){const n=e.program.getTypeChecker(),t=uee(e.sourceFile,e.span,n);if(!t.length)return;const r=p_e.ChangeTracker.with(e,(e=>function(e,n){for(const t of n){const n=t.valueDeclaration;if(n&&(SN(n)||TN(n))&&n.type){const t=UA.createUnionTypeNode([...192===n.type.kind?n.type.types:[n.type],UA.createTypeReferenceNode("undefined")]);e.replaceNode(n.getSourceFile(),n.type,t)}}}(e,t)));return[l9(cee,r,Oa.Add_undefined_to_optional_property_type)]},fixIds:[cee]})}});function hee(e,n){const t=l$(e,n);return hn(bN(t.parent)?t.parent.parent:t.parent,gee)}function gee(e){return function(e){return Ad(e)||260===e.kind||171===e.kind||172===e.kind}(e)&&yee(e)}function yee(e){return Ad(e)?e.parameters.some(yee)||!e.type&&!!bc(e):!e.type&&!!vc(e)}function vee(e,n,t){if(Ad(t)&&(bc(t)||t.parameters.some((e=>!!vc(e))))){if(!t.typeParameters){const r=Nb(t);r.length&&e.insertTypeParameters(n,t,r)}const r=hD(t)&&!JY(t,21,n);r&&e.insertNodeBefore(n,Me(t.parameters),UA.createToken(21));for(const r of t.parameters)if(!r.type){const t=vc(r);t&&e.tryInsertTypeAnnotation(n,r,rG(t,bee,Bd))}if(r&&e.insertNodeAfter(n,ke(t.parameters),UA.createToken(22)),!t.type){const r=bc(t);r&&e.tryInsertTypeAnnotation(n,t,rG(r,bee,Bd))}}else{const r=Tt.checkDefined(vc(t),"A JSDocType for this declaration should exist");Tt.assert(!t.type,"The JSDocType decl should have a type"),e.tryInsertTypeAnnotation(n,t,rG(r,bee,Bd))}}function bee(e){switch(e.kind){case 319:case 320:return UA.createTypeReferenceNode("any",o);case 323:return function(e){return UA.createUnionTypeNode([rG(e.type,bee,Bd),UA.createTypeReferenceNode("undefined",o)])}(e);case 322:return bee(e.type);case 321:return function(e){return UA.createUnionTypeNode([rG(e.type,bee,Bd),UA.createTypeReferenceNode("null",o)])}(e);case 325:return function(e){return UA.createArrayTypeNode(rG(e.type,bee,Bd))}(e);case 324:return function(e){return UA.createFunctionTypeNode(o,e.parameters.map(Eee),e.type??UA.createKeywordTypeNode(133))}(e);case 183:return function(e){let n=e.typeName,t=e.typeArguments;if(tN(e.typeName)){if(eg(e))return function(e){const n=UA.createParameterDeclaration(void 0,void 0,150===e.typeArguments[0].kind?"n":"s",void 0,UA.createTypeReferenceNode(150===e.typeArguments[0].kind?"number":"string",[]),void 0),t=UA.createTypeLiteralNode([UA.createIndexSignature(void 0,[n],e.typeArguments[1])]);return fR(t,1),t}(e);let r=e.typeName.text;switch(e.typeName.text){case"String":case"Boolean":case"Object":case"Number":r=r.toLowerCase();break;case"array":case"date":case"promise":r=r[0].toUpperCase()+r.slice(1)}n=UA.createIdentifier(r),t="Array"!==r&&"Promise"!==r||e.typeArguments?oG(e.typeArguments,bee,Bd):UA.createNodeArray([UA.createTypeReferenceNode("any",o)])}return UA.createTypeReferenceNode(n,t)}(e);case 329:return function(e){const n=UA.createTypeLiteralNode(B(e.jsDocPropertyTags,(e=>UA.createPropertySignature(void 0,tN(e.name)?e.name:e.name.right,cA(e)?UA.createToken(58):void 0,e.typeExpression&&rG(e.typeExpression.type,bee,Bd)||UA.createKeywordTypeNode(133)))));return fR(n,1),n}(e);default:const n=fG(e,bee,void 0);return fR(n,1),n}}function Eee(e){const n=e.parent.parameters.indexOf(e),t=325===e.type.kind&&n===e.parent.parameters.length-1,r=e.name||(t?"rest":"arg"+n),o=t?UA.createToken(26):e.dotDotDotToken;return UA.createParameterDeclaration(e.modifiers,o,r,e.questionToken,rG(e.type,bee,Bd),e.initializer)}var See,Tee,xee=g({"src/services/codefixes/annotateWithTypeFromJSDoc.ts"(){Tge(),sce(),fee="annotateWithTypeFromJSDoc",p9({errorCodes:mee=[Oa.JSDoc_types_may_be_moved_to_TypeScript_types.code],getCodeActions(e){const n=hee(e.sourceFile,e.span.start);if(!n)return;const t=p_e.ChangeTracker.with(e,(t=>vee(t,e.sourceFile,n)));return[c9(fee,t,Oa.Annotate_with_type_from_JSDoc,fee,Oa.Annotate_everything_with_types_from_JSDoc)]},fixIds:[fee],getAllCodeActions:e=>y9(e,mee,((e,n)=>{const t=hee(n.file,n.start);t&&vee(e,n.file,t)}))})}});function Aee(e,n,t,r,o,i){const a=r.getSymbolAtLocation(l$(n,t));if(!(a&&a.valueDeclaration&&19&a.flags))return;const s=a.valueDeclaration;if(sC(s)||_D(s))e.replaceNode(n,s,function(e){const n=l(a);e.body&&n.unshift(UA.createConstructorDeclaration(void 0,e.parameters,e.body));const t=Ree(e,95);return UA.createClassDeclaration(t,e.name,void 0,void 0,n)}(s));else if(iC(s)){const t=function(e){const n=e.initializer;if(!n||!_D(n)||!tN(e.name))return;const t=l(e.symbol);n.body&&t.unshift(UA.createConstructorDeclaration(void 0,n.parameters,n.body));const r=Ree(e.parent.parent,95);return UA.createClassDeclaration(r,e.name,void 0,void 0,t)}(s);if(!t)return;const r=s.parent.parent;aC(s.parent)&&s.parent.declarations.length>1?(e.delete(n,s),e.insertNodeAfter(n,r,t)):e.replaceNode(n,r,t)}function l(t){const r=[];return t.exports&&t.exports.forEach((e=>{if("prototype"===e.name&&e.declarations){const n=e.declarations[0];if(1===e.declarations.length&&lD(n)&&TD(n.parent)&&64===n.parent.operatorToken.kind&&sD(n.parent.right)){a(n.parent.right.symbol,void 0,r)}}else a(e,[UA.createToken(126)],r)})),t.members&&t.members.forEach(((o,i)=>{var s,l,c,d;if("constructor"===i&&o.valueDeclaration){const r=null==(d=null==(c=null==(l=null==(s=t.exports)?void 0:s.get("prototype"))?void 0:l.declarations)?void 0:c[0])?void 0:d.parent;r&&TD(r)&&sD(r.right)&&oe(r.right.properties,Iee)||e.delete(n,o.valueDeclaration.parent)}else a(o,void 0,r)})),r;function a(t,r,a){if(!(8192&t.flags||4096&t.flags))return;const s=t.valueDeclaration,l=s.parent,c=l.right;if(u=c,!(wS(d=s)?lD(d)&&Iee(d)||Td(u):N(d.properties,(e=>!!(AN(e)||Mc(e)||QC(e)&&_D(e.initializer)&&e.name||Iee(e))))))return;var d,u;if(oe(a,(e=>{const n=jl(e);return!(!n||!tN(n)||Ll(n)!==wl(t))})))return;const p=l.parent&&244===l.parent.kind?l.parent:l;if(e.delete(n,p),c)if(wS(s)&&(_D(c)||hD(c))){const e=gQ(n,o),t=function(e,n,t){if(lD(e))return e.name;const r=e.argumentExpression;if(FI(r))return r;if(tp(r))return zs(r.text,jp(n))?UA.createIdentifier(r.text):jI(r)?UA.createStringLiteral(r.text,0===t):r;return}(s,i,e);t&&f(a,c,t)}else{if(!sD(c)){if(Jh(n))return;if(!lD(s))return;const e=UA.createPropertyDeclaration(r,s.name,void 0,void 0,c);return IZ(l.parent,e,n),void a.push(e)}E(c.properties,(e=>{(AN(e)||Mc(e))&&a.push(e),QC(e)&&_D(e.initializer)&&f(a,e.initializer,e.name),Iee(e)}))}else a.push(UA.createPropertyDeclaration(r,t.name,void 0,void 0,void 0));function f(e,t,o){return _D(t)?function(e,t,o){const i=ae(r,Ree(t,134)),a=UA.createMethodDeclaration(i,void 0,o,void 0,void 0,t.parameters,void 0,t.body);return IZ(l,a,n),void e.push(a)}(e,t,o):function(e,t,o){const i=t.body;let a;a=241===i.kind?i:UA.createBlock([UA.createReturnStatement(i)]);const s=ae(r,Ree(t,134)),c=UA.createMethodDeclaration(s,void 0,o,void 0,void 0,t.parameters,void 0,a);IZ(l,c,n),e.push(c)}(e,t,o)}}}}function Ree(e,n){return vL(e)?W(e.modifiers,(e=>e.kind===n)):void 0}function Iee(e){return!!e.name&&!(!tN(e.name)||"constructor"!==e.name.text)}var Nee,Dee,Cee,Mee=g({"src/services/codefixes/convertFunctionToEs6Class.ts"(){Tge(),sce(),See="convertFunctionToEs6Class",p9({errorCodes:Tee=[Oa.This_constructor_function_may_be_converted_to_a_class_declaration.code],getCodeActions(e){const n=p_e.ChangeTracker.with(e,(n=>Aee(n,e.sourceFile,e.span.start,e.program.getTypeChecker(),e.preferences,e.program.getCompilerOptions())));return[c9(See,n,Oa.Convert_function_to_an_ES2015_class,See,Oa.Convert_all_constructor_functions_to_classes)]},fixIds:[See],getAllCodeActions:e=>y9(e,Tee,((n,t)=>Aee(n,t.file,t.start,e.program.getTypeChecker(),e.preferences,e.program.getCompilerOptions())))})}});function Pee(e,n,t,r){const i=l$(n,t);let a;if(a=tN(i)&&iC(i.parent)&&i.parent.initializer&&Ad(i.parent.initializer)?i.parent.initializer:hn(fh(l$(n,t)),u2),!a)return;const s=new Map,l=Yh(a),c=function(e,n){if(!e.body)return new Set;const t=new Set;return ok(e.body,(function e(r){Lee(r,n,"then")?(t.add(Hz(r)),E(r.arguments,e)):Lee(r,n,"catch")||Lee(r,n,"finally")?(t.add(Hz(r)),ok(r,e)):Oee(r,n)?t.add(Hz(r)):ok(r,e)})),t}(a,r),d=function(e,n,t){const r=new Map,o=sn();return ok(e,(function e(i){if(!tN(i))return void ok(i,e);const a=n.getSymbolAtLocation(i);if(a){const e=Xee(n.getTypeAtLocation(i),n),s=Kz(a).toString();if(!e||bN(i.parent)||Ad(i.parent)||t.has(s)){if(i.parent&&(bN(i.parent)||iC(i.parent)||iD(i.parent))){const e=i.text,n=o.get(e);if(n&&n.some((e=>e!==a))){const n=Fee(i,o);r.set(s,n.identifier),t.set(s,n),o.add(e,a)}else{const n=mZ(i);t.set(s,Zee(n)),o.add(e,a)}}}else{const n=De(e.parameters),r=(null==n?void 0:n.valueDeclaration)&&bN(n.valueDeclaration)&&hn(n.valueDeclaration.name,tN)||UA.createUniqueName("result",16),i=Fee(r,o);t.set(s,i),o.add(r.text,a)}}})),_Z(e,!0,(e=>{if(iD(e)&&tN(e.name)&&rD(e.parent)){const t=n.getSymbolAtLocation(e.name),o=t&&r.get(String(Kz(t)));if(o&&o.text!==(e.name||e.propertyName).getText())return UA.createBindingElement(e.dotDotDotToken,e.propertyName||e.name,o,e.initializer)}else if(tN(e)){const t=n.getSymbolAtLocation(e),o=t&&r.get(String(Kz(t)));if(o)return UA.createIdentifier(o.text)}}))}(a,r,s);if(!o2(d,r))return;const u=d.body&&GD(d.body)?function(e,n){const t=[];return H_(e,(e=>{i2(e,n)&&t.push(e)})),t}(d.body,r):o,p={checker:r,synthNamesMap:s,setOfExpressionsToReturn:c,isInJSFile:l};if(!u.length)return;const f=Ts(n.text,JE(a).pos);e.insertModifierAt(n,f,134,{suffix:" "});for(const t of u)if(ok(t,(function r(o){if(dD(o)){const r=Gee(o,o,p,!1);if(Wee())return!0;e.replaceNodeWithNodes(n,t,r)}else if(!Td(o)&&(ok(o,r),Wee()))return!0})),Wee())return}function Lee(e,n,t){if(!dD(e))return!1;const r=yY(e,t)&&n.getTypeAtLocation(e);return!(!r||!n.getPromisedTypeOfPromise(r))}function kee(e,n){return!!(4&IS(e))&&e.target===n}function wee(e,n,t){if("finally"===e.expression.name.escapedText)return;const r=t.getTypeAtLocation(e.expression.expression);if(kee(r,t.getPromiseType())||kee(r,t.getPromiseLikeType())){if("then"!==e.expression.name.escapedText)return l(e.typeArguments,0);if(n===l(e.arguments,0))return l(e.typeArguments,0);if(n===l(e.arguments,1))return l(e.typeArguments,1)}}function Oee(e,n){return!!uu(e)&&!!n.getPromisedTypeOfPromise(n.getTypeAtLocation(e))}function Fee(e,n){const t=(n.get(e.text)||o).length;return Zee(0===t?e:UA.createIdentifier(e.text+"_"+t))}function Wee(){return!Cee}function zee(){return Cee=!1,o}function Gee(e,n,t,r,o){if(Lee(n,t.checker,"then"))return function(e,n,t,r,o,i){if(!n||Bee(r,n))return Uee(e,t,r,o,i);if(t&&!Bee(r,t))return zee();const a=$ee(n,r),s=Gee(e.expression.expression,e.expression.expression,r,!0,a);if(Wee())return zee();const l=qee(n,o,i,a,e,r);return Wee()?zee():ae(s,l)}(n,l(n.arguments,0),l(n.arguments,1),t,r,o);if(Lee(n,t.checker,"catch"))return Uee(n,l(n.arguments,0),t,r,o);if(Lee(n,t.checker,"finally"))return function(e,n,t,r,o){if(!n||Bee(t,n))return Gee(e,e.expression.expression,t,r,o);const i=jee(e,t,o),a=Gee(e,e.expression.expression,t,!0,i);if(Wee())return zee();const s=qee(n,r,void 0,void 0,e,t);if(Wee())return zee();const l=UA.createBlock(a),c=UA.createBlock(s),d=UA.createTryStatement(l,void 0,c);return Vee(e,t,d,i,o)}(n,l(n.arguments,0),t,r,o);if(lD(n))return Gee(e,n.expression,t,r,o);const i=t.checker.getTypeAtLocation(n);return i&&t.checker.getPromisedTypeOfPromise(i)?(Tt.assertNode(Il(n).parent,lD),function(e,n,t,r,o){if(ine(e,t)){let e=mZ(n);return r&&(e=UA.createAwaitExpression(e)),[UA.createReturnStatement(e)]}return Hee(o,UA.createAwaitExpression(n),void 0)}(e,n,t,r,o)):zee()}function Bee({checker:e},n){if(106===n.kind)return!0;if(tN(n)&&!ud(n)&&"undefined"===Ll(n)){const t=e.getSymbolAtLocation(n);return!t||e.isUndefinedSymbol(t)}return!1}function jee(e,n,t){let r;return t&&!ine(e,n)&&(one(t)?(r=t,n.synthNamesMap.forEach(((e,r)=>{if(e.identifier.text===t.identifier.text){const e=(o=t,Zee(UA.createUniqueName(o.identifier.text,16)));n.synthNamesMap.set(r,e)}var o}))):r=Zee(UA.createUniqueName("result",16),t.types),rne(r)),r}function Vee(e,n,t,r,o){const i=[];let a;if(r&&!ine(e,n)){a=mZ(rne(r));const e=r.types,t=n.checker.getUnionType(e,2),o=n.isInJSFile?void 0:n.checker.typeToTypeNode(t,void 0,void 0),s=[UA.createVariableDeclaration(a,void 0,o)],l=UA.createVariableStatement(void 0,UA.createVariableDeclarationList(s,1));i.push(l)}return i.push(t),o&&a&&1===o.kind&&i.push(UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration(mZ(tne(o)),void 0,void 0,a)],2))),i}function Uee(e,n,t,r,o){if(!n||Bee(t,n))return Gee(e,e.expression.expression,t,r,o);const i=$ee(n,t),a=jee(e,t,o),s=Gee(e,e.expression.expression,t,!0,a);if(Wee())return zee();const l=qee(n,r,a,i,e,t);if(Wee())return zee();const c=UA.createBlock(s),d=UA.createCatchClause(i&&mZ(nne(i)),UA.createBlock(l));return Vee(e,t,UA.createTryStatement(c,d,void 0),a,o)}function Hee(e,n,t){return!e||Qee(e)?[UA.createExpressionStatement(n)]:one(e)&&e.hasBeenDeclared?[UA.createExpressionStatement(UA.createAssignment(mZ(ene(e)),n))]:[UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration(mZ(nne(e)),void 0,t,n)],2))]}function Kee(e,n){if(n&&e){const t=UA.createUniqueName("result",16);return[...Hee(Zee(t),e,n),UA.createReturnStatement(t)]}return[UA.createReturnStatement(e)]}function qee(e,n,t,r,i,a){var s;switch(e.kind){case 106:break;case 211:case 80:if(!r)break;const l=UA.createCallExpression(mZ(e),void 0,one(r)?[ene(r)]:[]);if(ine(i,a))return Kee(l,wee(i,e,a.checker));const c=a.checker.getTypeAtLocation(e),d=a.checker.getSignaturesOfType(c,0);if(!d.length)return zee();const u=d[0].getReturnType(),p=Hee(t,UA.createAwaitExpression(l),wee(i,e,a.checker));return t&&t.types.push(a.checker.getAwaitedType(u)||u),p;case 218:case 219:{const r=e.body,l=null==(s=Xee(a.checker.getTypeAtLocation(e),a.checker))?void 0:s.getReturnType();if(GD(r)){let o=[],s=!1;for(const c of r.statements)if(QD(c))if(s=!0,i2(c,a.checker))o=o.concat(Yee(a,c,n,t));else{const n=l&&c.expression?Jee(a.checker,l,c.expression):c.expression;o.push(...Kee(n,wee(i,e,a.checker)))}else{if(n&&H_(c,bn))return zee();o.push(c)}return ine(i,a)?o.map((e=>mZ(e))):function(e,n,t,r){const o=[];for(const r of e)if(QD(r)){if(r.expression){const e=Oee(r.expression,t.checker)?UA.createAwaitExpression(r.expression):r.expression;void 0===n?o.push(UA.createExpressionStatement(e)):one(n)&&n.hasBeenDeclared?o.push(UA.createExpressionStatement(UA.createAssignment(ene(n),e))):o.push(UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration(nne(n),void 0,void 0,e)],2)))}}else o.push(mZ(r));r||void 0===n||o.push(UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration(nne(n),void 0,void 0,UA.createIdentifier("undefined"))],2)));return o}(o,t,a,s)}{const s=a2(r,a.checker)?Yee(a,UA.createReturnStatement(r),n,t):o;if(s.length>0)return s;if(l){const n=Jee(a.checker,l,r);if(ine(i,a))return Kee(n,wee(i,e,a.checker));{const e=Hee(t,n,void 0);return t&&t.types.push(a.checker.getAwaitedType(l)||l),e}}return zee()}}default:return zee()}return o}function Jee(e,n,t){const r=mZ(t);return e.getPromisedTypeOfPromise(n)?UA.createAwaitExpression(r):r}function Xee(e,n){return Le(n.getSignaturesOfType(e,0))}function Yee(e,n,t,r){let o=[];return ok(n,(function n(i){if(dD(i)){const n=Gee(i,i,e,t,r);if(o=o.concat(n),o.length>0)return}else Td(i)||ok(i,n)})),o}function $ee(e,n){const t=[];let r;if(Ad(e)){if(e.parameters.length>0){r=function e(n){if(tN(n))return i(n);const t=H(n.elements,(n=>DD(n)?[]:[e(n.name)]));return function(e,n=o,t=[]){return{kind:1,bindingPattern:e,elements:n,types:t}}(n,t)}(e.parameters[0].name)}}else tN(e)?r=i(e):lD(e)&&tN(e.name)&&(r=i(e.name));if(r&&(!("identifier"in r)||"undefined"!==r.identifier.text))return r;function i(e){var r;const o=function(e){var t;return(null==(t=hn(e,Nu))?void 0:t.symbol)??n.checker.getSymbolAtLocation(e)}((r=e).original?r.original:r);if(!o)return Zee(e,t);return n.synthNamesMap.get(Kz(o).toString())||Zee(e,t)}}function Qee(e){return!e||(one(e)?!e.identifier.text:N(e.elements,Qee))}function Zee(e,n=[]){return{kind:0,identifier:e,types:n,hasBeenDeclared:!1,hasBeenReferenced:!1}}function ene(e){return e.hasBeenReferenced=!0,e.identifier}function nne(e){return one(e)?rne(e):tne(e)}function tne(e){for(const n of e.elements)nne(n);return e.bindingPattern}function rne(e){return e.hasBeenDeclared=!0,e.identifier}function one(e){return 0===e.kind}function ine(e,n){return!!e.original&&n.setOfExpressionsToReturn.has(Hz(e.original))}var ane=g({"src/services/codefixes/convertToAsyncFunction.ts"(){Tge(),sce(),Nee="convertToAsyncFunction",Dee=[Oa.This_may_be_converted_to_an_async_function.code],Cee=!0,p9({errorCodes:Dee,getCodeActions(e){Cee=!0;const n=p_e.ChangeTracker.with(e,(n=>Pee(n,e.sourceFile,e.span.start,e.program.getTypeChecker())));return Cee?[c9(Nee,n,Oa.Convert_to_async_function,Nee,Oa.Convert_all_to_async_functions)]:[]},fixIds:[Nee],getAllCodeActions:e=>y9(e,Dee,((n,t)=>Pee(n,t.file,t.start,e.program.getTypeChecker())))})}});function sne(e,n,t,r,o){var i;for(const a of e.imports){const s=null==(i=t.getResolvedModuleFromModuleSpecifier(a))?void 0:i.resolvedModule;if(!s||s.resolvedFileName!==n.fileName)continue;const l=Wg(a);switch(l.kind){case 271:r.replaceNode(e,l,mQ(l.name,void 0,a,o));break;case 213:ng(l,!1)&&r.replaceNode(e,l,UA.createPropertyAccessExpression(mZ(l),"default"))}}}function lne(e,n,t,r,o){const i={original:hne(e),additional:new Set},a=function(e,n,t){const r=new Map;return cne(e,(e=>{const{text:o}=e.name;r.has(o)||!$y(e.name)&&!n.resolveName(o,e,111551,!0)||r.set(o,_ne(`_${o}`,t))})),r}(e,n,i);!function(e,n,t){cne(e,((r,o)=>{if(o)return;const{text:i}=r.name;t.replaceNode(e,r,UA.createIdentifier(n.get(i)||i))}))}(e,a,t);let s,l=!1;for(const a of W(e.statements,BD)){const l=une(e,a,t,n,i,r,o);l&&Gf(l,s??(s=new Map))}for(const c of W(e.statements,(e=>!BD(e)))){const d=dne(e,c,n,t,i,r,a,s,o);l=l||d}return null==s||s.forEach(((n,r)=>{t.replaceNode(e,r,n)})),l}function cne(e,n){e.forEachChild((function t(r){if(lD(r)&&KW(e,r.expression)&&tN(r.name)){const{parent:e}=r;n(r,TD(e)&&e.left===r&&64===e.operatorToken.kind)}r.forEachChild(t)}))}function dne(e,n,t,r,o,a,s,l,c){switch(n.kind){case 243:return une(e,n,r,t,o,a,c),!1;case 244:{const{expression:o}=n;switch(o.kind){case 213:return ng(o,!0)&&r.replaceNode(e,n,mQ(void 0,void 0,o.arguments[0],c)),!1;case 226:{const{operatorToken:n}=o;return 64===n.kind&&function(e,n,t,r,o,a){const{left:s,right:l}=t;if(!lD(s))return!1;if(KW(e,s)){if(!KW(e,l)){const o=sD(l)?function(e,n){const t=X(e.properties,(e=>{switch(e.kind){case 177:case 178:case 304:case 305:return;case 303:return tN(e.name)?function(e,n,t){const r=[UA.createToken(95)];switch(n.kind){case 218:{const{name:t}=n;if(t&&t.text!==e)return o()}case 219:return yne(e,r,n,t);case 231:return function(e,n,t,r){return UA.createClassDeclaration(ae(n,gZ(t.modifiers)),e,gZ(t.typeParameters),gZ(t.heritageClauses),mne(t.members,r))}(e,r,n,t);default:return o()}function o(){return Ene(r,UA.createIdentifier(e),mne(n,t))}}(e.name.text,e.initializer,n):void 0;case 174:return tN(e.name)?yne(e.name.text,[UA.createToken(95)],e,n):void 0;default:Tt.assertNever(e,`Convert to ES6 got invalid prop kind ${e.kind}`)}}));return t&&[t,!1]}(l,a):ng(l,!0)?function(e,n){const t=e.text,r=n.getSymbolAtLocation(e),o=r?r.exports:i;return o.has("export=")?[[fne(t)],!0]:o.has("default")?o.size>1?[[pne(t),fne(t)],!0]:[[fne(t)],!0]:[[pne(t)],!1]}(l.arguments[0],n):void 0;return o?(r.replaceNodeWithNodes(e,t.parent,o[0]),o[1]):(r.replaceRangeWithText(e,UE(s.getStart(e),l.pos),"export default"),!0)}r.delete(e,t.parent)}else KW(e,s.expression)&&function(e,n,t,r){const{text:o}=n.left.name,i=r.get(o);if(void 0!==i){const r=[Ene(void 0,i,n.right),Sne([UA.createExportSpecifier(!1,i,o)])];t.replaceNodeWithNodes(e,n.parent,r)}else!function({left:e,right:n,parent:t},r,o){const i=e.name.text;if(!(_D(n)||hD(n)||ND(n))||n.name&&n.name.text!==i)o.replaceNodeRangeWithNodes(r,e.expression,JY(e,25,r),[UA.createToken(95),UA.createToken(87)],{joiner:" ",suffix:" "});else{o.replaceRange(r,{pos:e.getStart(r),end:n.getStart(r)},UA.createToken(95),{suffix:" "}),n.name||o.insertName(r,n,i);const a=JY(t,27,r);a&&o.delete(r,a)}}(n,e,t)}(e,t,r,o);return!1}(e,t,o,r,s,l)}}}default:return!1}}function une(e,n,t,r,o,i,a){const{declarationList:s}=n;let l=!1;const c=B(s.declarations,(n=>{const{name:t,initializer:c}=n;if(c){if(KW(e,c))return l=!0,Tne([]);if(ng(c,!0))return l=!0,function(e,n,t,r,o,i){switch(e.kind){case 206:{const t=X(e.elements,(e=>e.dotDotDotToken||e.initializer||e.propertyName&&!tN(e.propertyName)||!tN(e.name)?void 0:bne(e.propertyName&&e.propertyName.text,e.name.text)));if(t)return Tne([mQ(void 0,t,n,i)])}case 207:{const t=_ne(jte(n.text,o),r);return Tne([mQ(UA.createIdentifier(t),void 0,n,i),Ene(void 0,mZ(e),UA.createIdentifier(t))])}case 80:return function(e,n,t,r,o){const i=t.getSymbolAtLocation(e),a=new Map;let s,l=!1;for(const n of r.original.get(e.text)){if(t.getSymbolAtLocation(n)!==i||n===e)continue;const{parent:o}=n;if(lD(o)){const{name:{text:e}}=o;if("default"===e){l=!0;const e=n.getText();(s??(s=new Map)).set(o,UA.createIdentifier(e))}else{Tt.assert(o.expression===n,"Didn't expect expression === use");let t=a.get(e);void 0===t&&(t=_ne(e,r),a.set(e,t)),(s??(s=new Map)).set(o,UA.createIdentifier(t))}}else l=!0}const c=0===a.size?void 0:Je(j(a.entries(),(([e,n])=>UA.createImportSpecifier(!1,e===n?void 0:UA.createIdentifier(e),UA.createIdentifier(n)))));c||(l=!0);return Tne([mQ(l?mZ(e):void 0,c,n,o)],s)}(e,n,t,r,i);default:return Tt.assertNever(e,`Convert to ES module got invalid name kind ${e.kind}`)}}(t,c.arguments[0],r,o,i,a);if(lD(c)&&ng(c.expression,!0))return l=!0,function(e,n,t,r,o){switch(e.kind){case 206:case 207:{const i=_ne(n,r);return Tne([vne(i,n,t,o),Ene(void 0,e,UA.createIdentifier(i))])}case 80:return Tne([vne(e.text,n,t,o)]);default:return Tt.assertNever(e,`Convert to ES module got invalid syntax form ${e.kind}`)}}(t,c.name.text,c.expression.arguments[0],o,a)}return Tne([UA.createVariableStatement(void 0,UA.createVariableDeclarationList([n],s.flags))])}));if(l){let r;return t.replaceNodeWithNodes(e,n,H(c,(e=>e.newImports))),E(c,(e=>{e.useSitesToUnqualify&&Gf(e.useSitesToUnqualify,r??(r=new Map))})),r}}function pne(e){return Sne(void 0,e)}function fne(e){return Sne([UA.createExportSpecifier(!1,void 0,"default")],e)}function mne(e,n){return n&&oe(Je(n.keys()),(n=>kY(e,n)))?pn(e)?yZ(e,!0,t):_Z(e,!0,t):e;function t(e){if(211===e.kind){const t=n.get(e);return n.delete(e),t}}}function _ne(e,n){for(;n.original.has(e)||n.additional.has(e);)e=`_${e}`;return n.additional.add(e),e}function hne(e){const n=sn();return gne(e,(e=>n.add(e.text,e))),n}function gne(e,n){tN(e)&&function(e){const{parent:n}=e;switch(n.kind){case 211:return n.name!==e;case 208:case 276:return n.propertyName!==e;default:return!0}}(e)&&n(e),e.forEachChild((e=>gne(e,n)))}function yne(e,n,t,r){return UA.createFunctionDeclaration(ae(n,gZ(t.modifiers)),mZ(t.asteriskToken),e,gZ(t.typeParameters),gZ(t.parameters),mZ(t.type),UA.converters.convertToFunctionBlock(mne(t.body,r)))}function vne(e,n,t,r){return"default"===n?mQ(UA.createIdentifier(e),void 0,t,r):mQ(void 0,[bne(n,e)],t,r)}function bne(e,n){return UA.createImportSpecifier(!1,void 0!==e&&e!==n?UA.createIdentifier(e):void 0,UA.createIdentifier(n))}function Ene(e,n,t){return UA.createVariableStatement(e,UA.createVariableDeclarationList([UA.createVariableDeclaration(n,void 0,void 0,t)],2))}function Sne(e,n){return UA.createExportDeclaration(void 0,!1,e&&UA.createNamedExports(e),void 0===n?void 0:UA.createStringLiteral(n))}function Tne(e,n){return{newImports:e,useSitesToUnqualify:n}}var xne,Ane,Rne=g({"src/services/codefixes/convertToEsModule.ts"(){Tge(),sce(),p9({errorCodes:[Oa.File_is_a_CommonJS_module_it_may_be_converted_to_an_ES_module.code],getCodeActions(e){const{sourceFile:n,program:t,preferences:r}=e;return[l9("convertToEsModule",p_e.ChangeTracker.with(e,(e=>{if(lne(n,t.getTypeChecker(),e,jp(t.getCompilerOptions()),gQ(n,r)))for(const o of t.getSourceFiles())sne(o,n,t,e,gQ(o,r))})),Oa.Convert_to_ES_module)]}})}});function Ine(e,n){const t=Nl(l$(e,n),gN);return Tt.assert(!!t,"Expected position to be owned by a qualified name."),tN(t.left)?t:void 0}function Nne(e,n,t){const r=t.right.text,o=UA.createIndexedAccessTypeNode(UA.createTypeReferenceNode(t.left,void 0),UA.createLiteralTypeNode(UA.createStringLiteral(r)));e.replaceNode(n,t,o)}var Dne,Cne,Mne=g({"src/services/codefixes/correctQualifiedNameToIndexedAccessType.ts"(){Tge(),sce(),xne="correctQualifiedNameToIndexedAccessType",p9({errorCodes:Ane=[Oa.Cannot_access_0_1_because_0_is_a_type_but_not_a_namespace_Did_you_mean_to_retrieve_the_type_of_the_property_1_in_0_with_0_1.code],getCodeActions(e){const n=Ine(e.sourceFile,e.span.start);if(!n)return;const t=p_e.ChangeTracker.with(e,(t=>Nne(t,e.sourceFile,n))),r=`${n.left.text}["${n.right.text}"]`;return[c9(xne,t,[Oa.Rewrite_as_the_indexed_access_type_0,r],xne,Oa.Rewrite_all_as_indexed_access_types)]},fixIds:[xne],getAllCodeActions:e=>y9(e,Ane,((e,n)=>{const t=Ine(n.file,n.start);t&&Nne(e,n.file,t)}))})}});function Pne(e,n){return hn(l$(n,e.start).parent,MC)}function Lne(e,n,t){if(!n)return;const r=n.parent,o=r.parent,i=function(e,n){const t=e.parent;if(1===t.elements.length)return t.elements;const r=s0(H$(t),n.program.getSemanticDiagnostics(n.sourceFile,n.cancellationToken));return W(t.elements,(n=>{var t;return n===e||(null==(t=a0(n,r))?void 0:t.code)===Dne[0]}))}(n,t);if(i.length===r.elements.length)e.insertModifierBefore(t.sourceFile,156,r);else{const n=UA.updateExportDeclaration(o,o.modifiers,!1,UA.updateNamedExports(r,W(r.elements,(e=>!k(i,e)))),o.moduleSpecifier,void 0),a=UA.createExportDeclaration(void 0,!0,UA.createNamedExports(i),o.moduleSpecifier,void 0);e.replaceNode(t.sourceFile,o,n,{leadingTriviaOption:p_e.LeadingTriviaOption.IncludeAll,trailingTriviaOption:p_e.TrailingTriviaOption.Exclude}),e.insertNodeAfter(t.sourceFile,o,a)}}var kne,wne,One=g({"src/services/codefixes/convertToTypeOnlyExport.ts"(){Tge(),sce(),p9({errorCodes:Dne=[Oa.Re_exporting_a_type_when_0_is_enabled_requires_using_export_type.code],getCodeActions:function(e){const n=p_e.ChangeTracker.with(e,(n=>Lne(n,Pne(e.span,e.sourceFile),e)));if(n.length)return[c9(Cne,n,Oa.Convert_to_type_only_export,Cne,Oa.Convert_all_re_exported_types_to_type_only_exports)]},fixIds:[Cne="convertToTypeOnlyExport"],getAllCodeActions:function(e){const n=new Map;return y9(e,Dne,((t,r)=>{const o=Pne(r,e.sourceFile);o&&PS(n,Hz(o.parent.parent))&&Lne(t,o,e)}))}})}});function Fne(e,n){const{parent:t}=l$(e,n);return IC(t)||gC(t)&&t.importClause?t:void 0}function Wne(e,n,t){if(e.parent.parent.name)return!1;const r=e.parent.elements.filter((e=>!e.isTypeOnly));if(1===r.length)return!0;const o=t.getTypeChecker();for(const e of r){if(Hue.Core.eachSymbolReferenceInFile(e.name,o,n,(e=>!wx(e))))return!1}return!0}function zne(e,n,t){var r;if(IC(t))e.replaceNode(n,t,UA.updateImportSpecifier(t,!0,t.propertyName,t.name));else{const o=t.importClause;if(o.name&&o.namedBindings)e.replaceNodeWithNodes(n,t,[UA.createImportDeclaration(gZ(t.modifiers,!0),UA.createImportClause(!0,mZ(o.name,!0),void 0),mZ(t.moduleSpecifier,!0),mZ(t.attributes,!0)),UA.createImportDeclaration(gZ(t.modifiers,!0),UA.createImportClause(!0,void 0,mZ(o.namedBindings,!0)),mZ(t.moduleSpecifier,!0),mZ(t.attributes,!0))]);else{const i=275===(null==(r=o.namedBindings)?void 0:r.kind)?UA.updateNamedImports(o.namedBindings,V(o.namedBindings.elements,(e=>UA.updateImportSpecifier(e,!1,e.propertyName,e.name)))):o.namedBindings,a=UA.updateImportDeclaration(t,t.modifiers,UA.updateImportClause(o,!0,o.name,i),t.moduleSpecifier,t.attributes);e.replaceNode(n,t,a)}}}var Gne,Bne,jne=g({"src/services/codefixes/convertToTypeOnlyImport.ts"(){Tge(),sce(),p9({errorCodes:kne=[Oa.This_import_is_never_used_as_a_value_and_must_use_import_type_because_importsNotUsedAsValues_is_set_to_error.code,Oa._0_is_a_type_and_must_be_imported_using_a_type_only_import_when_verbatimModuleSyntax_is_enabled.code,Oa._0_resolves_to_a_type_only_declaration_and_must_be_imported_using_a_type_only_import_when_verbatimModuleSyntax_is_enabled.code],getCodeActions:function(e){var n;const t=Fne(e.sourceFile,e.span.start);if(t){const r=p_e.ChangeTracker.with(e,(n=>zne(n,e.sourceFile,t))),o=276===t.kind&&Wne(t,e.sourceFile,e.program)?p_e.ChangeTracker.with(e,(n=>zne(n,e.sourceFile,t.parent.parent.parent))):void 0,i=c9(wne,r,276===t.kind?[Oa.Use_type_0,(null==(n=t.propertyName)?void 0:n.text)??t.name.text]:Oa.Use_import_type,wne,Oa.Fix_all_with_type_only_imports);return oe(o)?[l9(wne,o,Oa.Use_import_type),i]:[i]}},fixIds:[wne="convertToTypeOnlyImport"],getAllCodeActions:function(e){const n=new Set;return y9(e,kne,((t,r)=>{const o=Fne(r.file,r.start);272!==(null==o?void 0:o.kind)||n.has(o)?276===(null==o?void 0:o.kind)&&!n.has(o.parent.parent.parent)&&Wne(o,r.file,e.program)?(zne(t,r.file,o.parent.parent.parent),n.add(o.parent.parent.parent)):276===(null==o?void 0:o.kind)&&zne(t,r.file,o):(zne(t,r.file,o),n.add(o))}))}})}});function Vne(e,n,t,r,o=!1){if(!BM(n))return;const i=function(e){var n;const{typeExpression:t}=e;if(!t)return;const r=null==(n=e.name)?void 0:n.getText();if(!r)return;if(329===t.kind)return function(e,n){const t=Hne(n);if(!oe(t))return;return UA.createInterfaceDeclaration(void 0,e,void 0,void 0,t)}(r,t);if(316===t.kind)return function(e,n){const t=mZ(n.type);if(!t)return;return UA.createTypeAliasDeclaration(void 0,UA.createIdentifier(e),void 0,t)}(r,t)}(n);if(!i)return;const a=n.parent,{leftSibling:s,rightSibling:l}=function(e){const n=e.parent,t=n.getChildCount()-1,r=n.getChildren().findIndex((n=>n.getStart()===e.getStart()&&n.getEnd()===e.getEnd())),o=r>0?n.getChildAt(r-1):void 0,i=r<t?n.getChildAt(r+1):void 0;return{leftSibling:o,rightSibling:i}}(n);let c=a.getStart(),d="";!s&&a.comment&&(c=Une(a,a.getStart(),n.getStart()),d=`${r} */${r}`),s&&(o&&BM(s)?(c=n.getStart(),d=""):(c=Une(a,s.getStart(),n.getStart()),d=`${r} */${r}`));let u=a.getEnd(),p="";l&&(o&&BM(l)?(u=l.getStart(),p=`${r}${r}`):(u=l.getStart(),p=`${r}/**${r} * `)),e.replaceRange(t,{pos:c,end:u},i,{prefix:d,suffix:p})}function Une(e,n,t){const r=e.getText().substring(n-e.getStart(),t-e.getStart());for(let e=r.length;e>0;e--)if(!/[*/\s]/g.test(r.substring(e-1,e)))return n+e;return t}function Hne(e){const n=e.jsDocPropertyTags;if(!oe(n))return;return Y(n,(e=>{var n;const t=function(e){return 80===e.name.kind?e.name.text:e.name.right.text}(e),r=null==(n=e.typeExpression)?void 0:n.type,o=e.isBracketed;let i;if(r&&EM(r)){const e=Hne(r);i=UA.createTypeLiteralNode(e)}else r&&(i=mZ(r));if(i&&t){const e=o?UA.createToken(58):void 0;return UA.createPropertySignature(void 0,t,e,i)}}))}function Kne(e){return Xu(e)?H(e.jsDoc,(e=>{var n;return null==(n=e.tags)?void 0:n.filter((e=>BM(e)))})):[]}var qne,Jne,Xne=g({"src/services/codefixes/convertTypedefToType.ts"(){Tge(),sce(),Gne="convertTypedefToType",Bne=[Oa.JSDoc_typedef_may_be_converted_to_TypeScript_type.code],p9({fixIds:[Gne],errorCodes:Bne,getCodeActions(e){const n=eZ(e.host,e.formatContext.options),t=l$(e.sourceFile,e.span.start);if(!t)return;const r=p_e.ChangeTracker.with(e,(r=>Vne(r,t,e.sourceFile,n)));return r.length>0?[c9(Gne,r,Oa.Convert_typedef_to_TypeScript_type,Gne,Oa.Convert_all_typedef_to_TypeScript_types)]:void 0},getAllCodeActions:e=>y9(e,Bne,((n,t)=>{const r=eZ(e.host,e.formatContext.options),o=l$(t.file,t.start);o&&Vne(n,o,t.file,r,!0)}))})}});function Yne(e,n){const t=l$(e,n);if(tN(t)){const n=gn(t.parent.parent,SN),r=t.getText(e);return{container:gn(n.parent,WN),typeNode:n.type,constraint:r,name:"K"===r?"P":"K"}}}function $ne(e,n,{container:t,typeNode:r,constraint:o,name:i}){e.replaceNode(n,t,UA.createMappedTypeNode(void 0,UA.createTypeParameterDeclaration(void 0,i,UA.createTypeReferenceNode(o)),void 0,void 0,r,void 0))}var Qne,Zne,ete=g({"src/services/codefixes/convertLiteralTypeToMappedType.ts"(){Tge(),sce(),qne="convertLiteralTypeToMappedType",p9({errorCodes:Jne=[Oa._0_only_refers_to_a_type_but_is_being_used_as_a_value_here_Did_you_mean_to_use_1_in_0.code],getCodeActions:function(e){const{sourceFile:n,span:t}=e,r=Yne(n,t.start);if(!r)return;const{name:o,constraint:i}=r,a=p_e.ChangeTracker.with(e,(e=>$ne(e,n,r)));return[c9(qne,a,[Oa.Convert_0_to_1_in_0,i,o],qne,Oa.Convert_all_type_literals_to_mapped_type)]},fixIds:[qne],getAllCodeActions:e=>y9(e,Jne,((e,n)=>{const t=Yne(n.file,n.start);t&&$ne(e,n.file,t)}))})}});function nte(e,n){return Tt.checkDefined(_h(l$(e,n)),"There should be a containing class")}function tte(e){return!(e.valueDeclaration&&2&Zb(e.valueDeclaration))}function rte(e,n,t,r,o,i){const a=e.program.getTypeChecker(),s=function(e,n){const t=Oy(e);if(!t)return Mf();const r=n.getTypeAtLocation(t),o=n.getPropertiesOfType(r);return Mf(o.filter(tte))}(r,a),l=a.getTypeAtLocation(n),c=a.getPropertiesOfType(l).filter(ut(tte,(e=>!s.has(e.escapedName)))),d=a.getTypeAtLocation(r),u=D(r.members,(e=>IN(e)));d.getNumberIndexType()||f(l,1),d.getStringIndexType()||f(l,0);const p=lte(t,e.program,i,e.host);function f(n,o){const i=a.getIndexInfoOfType(n,o);i&&m(t,r,a.indexInfoToIndexSignatureDeclaration(i,r,void 0,rse(e)))}function m(e,n,t){u?o.insertNodeAfter(e,u,t):o.insertMemberAtStart(e,n,t)}tse(r,c,t,e,i,p,(e=>m(t,r,e))),p.writeFixes(o)}var ote,ite,ate,ste=g({"src/services/codefixes/fixClassIncorrectlyImplementsInterface.ts"(){Tge(),sce(),Qne=[Oa.Class_0_incorrectly_implements_interface_1.code,Oa.Class_0_incorrectly_implements_class_1_Did_you_mean_to_extend_1_and_inherit_its_members_as_a_subclass.code],Zne="fixClassIncorrectlyImplementsInterface",p9({errorCodes:Qne,getCodeActions(e){const{sourceFile:n,span:t}=e,r=nte(n,t.start);return Y(Wy(r),(t=>{const o=p_e.ChangeTracker.with(e,(o=>rte(e,t,n,r,o,e.preferences)));return 0===o.length?void 0:c9(Zne,o,[Oa.Implement_interface_0,t.getText(n)],Zne,Oa.Implement_all_unimplemented_interfaces)}))},fixIds:[Zne],getAllCodeActions(e){const n=new Map;return y9(e,Qne,((t,r)=>{const o=nte(r.file,r.start);if(PS(n,Hz(o)))for(const n of Wy(o))rte(e,n,r.file,o,t,e.preferences)}))}})}});function lte(e,n,t,r,o){return cte(e,n,!1,t,r,o)}function cte(e,n,t,r,o,i){const a=n.getCompilerOptions(),s=[],l=[],c=new Map,d=new Map;return{addImportFromDiagnostic:function(e,n){const r=Ste(n,e.code,e.start,t);if(!r||!r.length)return;u(Me(r))},addImportFromExportedSymbol:function(t,s){const l=Tt.checkDefined(t.parent),c=f0(t,jp(a)),d=n.getTypeChecker(),p=d.getMergedSymbol(hS(t,d)),f=_te(e,p,c,l,!1,n,o,r,i),m=bte(e,n),_=fte(e,Tt.checkDefined(f),n,void 0,!!s,m,o,r);_&&u({fix:_,symbolName:c,errorIdentifierText:void 0})},writeFixes:function(n,t){let o,i;o=0===e.imports.length&&void 0!==t?t:gQ(e,r);for(const t of s)Pte(n,e,t);for(const t of l)Lte(n,e,t,o);c.forEach((({importClauseOrBindingPattern:t,defaultImport:o,namedImports:i})=>{Mte(n,e,t,o,Je(i.entries(),(([e,n])=>({addAsTypeOnly:n,name:e}))),r)})),d.forEach((({useRequire:e,defaultImport:n,namedImports:t,namespaceLikeImport:s},l)=>{const c=(e?Wte:Fte)(l.slice(2),o,n,t&&Je(t.entries(),(([e,n])=>({addAsTypeOnly:n,name:e}))),s,a,r);i=ve(i,c)})),i&&IQ(n,e,i,!0,r)},hasFixes:function(){return s.length>0||l.length>0||c.size>0||d.size>0}};function u(e){var n,t;const{fix:r,symbolName:o}=e;switch(r.kind){case 0:s.push(r);break;case 1:l.push(r);break;case 2:{const{importClauseOrBindingPattern:e,importKind:t,addAsTypeOnly:a}=r,s=String(Hz(e));let l=c.get(s);if(l||c.set(s,l={importClauseOrBindingPattern:e,defaultImport:void 0,namedImports:new Map}),0===t){const e=null==l?void 0:l.namedImports.get(o);l.namedImports.set(o,i(e,a))}else Tt.assert(void 0===l.defaultImport||l.defaultImport.name===o,"(Add to Existing) Default import should be missing or match symbolName"),l.defaultImport={name:o,addAsTypeOnly:i(null==(n=l.defaultImport)?void 0:n.addAsTypeOnly,a)};break}case 3:{const{moduleSpecifier:e,importKind:n,useRequire:s,addAsTypeOnly:l}=r,c=function(e,n,t,r){const o=a(e,!0),i=a(e,!1),s=d.get(o),l=d.get(i),c={defaultImport:void 0,namedImports:void 0,namespaceLikeImport:void 0,useRequire:t};if(1===n&&2===r)return s||(d.set(o,c),c);if(1===r&&(s||l))return s||l;if(l)return l;return d.set(i,c),c}(e,n,s,l);switch(Tt.assert(c.useRequire===s,"(Add new) Tried to add an `import` and a `require` for the same module"),n){case 1:Tt.assert(void 0===c.defaultImport||c.defaultImport.name===o,"(Add new) Default import should be missing or match symbolName"),c.defaultImport={name:o,addAsTypeOnly:i(null==(t=c.defaultImport)?void 0:t.addAsTypeOnly,l)};break;case 0:const e=(c.namedImports||(c.namedImports=new Map)).get(o);c.namedImports.set(o,i(e,l));break;case 3:case 2:Tt.assert(void 0===c.namespaceLikeImport||c.namespaceLikeImport.name===o,"Namespacelike import shoudl be missing or match symbolName"),c.namespaceLikeImport={importKind:n,name:o,addAsTypeOnly:l}}break}case 4:break;default:Tt.assertNever(r,`fix wasn't never - got kind ${r.kind}`)}function i(e,n){return Math.max(e??0,n)}function a(e,n){return`${n?1:0}|${e}`}}}function dte(e,n,t,r){const o=t0(e,r,t),i=vte(n.getTypeChecker(),e,n.getCompilerOptions());return{getModuleSpecifierForBestExportInfo:function(a,s,l,c){const{fixes:d,computedWithoutCacheCount:u}=gte(a,s,l,!1,n,e,t,r,i,c),p=Tte(d,e,n,o,t);return p&&{...p,computedWithoutCacheCount:u}}}}function ute(e,n,t,r,o,i,a,s,l,c,d,u){let p;t?(p=F0(r,a,s,d,u).get(r.path,t),Tt.assertIsDefined(p,"Some exportInfo should match the specified exportMapKey")):(p=Xi(Bv(n.name))?[hte(e,o,n,s,a)]:_te(r,e,o,n,i,s,a,d,u),Tt.assertIsDefined(p,"Some exportInfo should match the specified symbol / moduleSymbol"));const f=bte(r,s),m=wx(l$(r,c)),_=Tt.checkDefined(fte(r,p,s,c,m,f,a,d));return{moduleSpecifier:_.moduleSpecifier,codeAction:mte(Dte({host:a,formatContext:l,preferences:d},r,o,_,!1,s,d))}}function pte(e,n,t,r,o,i){const a=t.getCompilerOptions(),s=Oe(Nte(e,t.getTypeChecker(),n,a)),l=Ite(e,n,s,t),c=s!==n.text;return l&&mte(Dte({host:r,formatContext:o,preferences:i},e,s,l,c,t,i))}function fte(e,n,t,r,o,i,a,s){const l=t0(e,s,a);return Tte(gte(n,r,o,i,t,e,a,s).fixes,e,t,l,a)}function mte({description:e,changes:n,commands:t}){return{description:e,changes:n,commands:t}}function _te(e,n,t,r,o,i,a,s,l){const c=Ete(i,a);return F0(e,a,i,s,l).search(e.path,o,(e=>e===t),(e=>{if(hS(e[0].symbol,c(e[0].isFromPackageJson))===n&&e.some((e=>e.moduleSymbol===r||e.symbol.parent===r)))return e}))}function hte(e,n,t,r,o){var i,a;const s=r.getCompilerOptions(),l=d(r.getTypeChecker(),!1);if(l)return l;const c=null==(a=null==(i=o.getPackageJsonAutoImportProvider)?void 0:i.call(o))?void 0:a.getTypeChecker();return Tt.checkDefined(c&&d(c,!0),"Could not find symbol in specified module for code actions");function d(r,o){const i=W0(t,r,s);if(i&&hS(i.symbol,r)===e)return{symbol:i.symbol,moduleSymbol:t,moduleFileName:void 0,exportKind:i.exportKind,targetFlags:hS(e,r).flags,isFromPackageJson:o};const a=r.tryGetMemberInModuleExportsAndProperties(n,t);return a&&hS(a,r)===e?{symbol:a,moduleSymbol:t,moduleFileName:void 0,exportKind:0,targetFlags:hS(e,r).flags,isFromPackageJson:o}:void 0}}function gte(e,n,t,r,i,a,s,l,c=vte(i.getTypeChecker(),a,i.getCompilerOptions()),d){const u=i.getTypeChecker(),p=H(e,c.getImportsForExportInfo),f=void 0!==n&&function(e,n){return T(e,(({declaration:e,importKind:t})=>{var r;if(0!==t)return;const o=function(e){var n,t,r;switch(e.kind){case 260:return null==(n=hn(e.name,tN))?void 0:n.text;case 271:return e.name.text;case 272:return null==(r=hn(null==(t=e.importClause)?void 0:t.namedBindings,xC))?void 0:r.name.text;default:return Tt.assertNever(e)}}(e),i=o&&(null==(r=Fg(e))?void 0:r.text);return i?{kind:0,namespacePrefix:o,usagePosition:n,moduleSpecifier:i}:void 0}))}(p,n),m=function(e,n,t,r){let o;for(const n of e){const e=i(n);if(!e)continue;const t=ad(e.importClauseOrBindingPattern);if(4!==e.addAsTypeOnly&&t||4===e.addAsTypeOnly&&!t)return e;o??(o=e)}return o;function i({declaration:e,importKind:o,symbol:i,targetFlags:a}){if(3===o||2===o||271===e.kind)return;if(260===e.kind)return 0!==o&&1!==o||206!==e.name.kind?void 0:{kind:2,importClauseOrBindingPattern:e.name,importKind:o,moduleSpecifier:e.initializer.arguments[0].text,addAsTypeOnly:4};const{importClause:s}=e;if(!s||!tp(e.moduleSpecifier))return;const{name:l,namedBindings:c}=s;if(s.isTypeOnly&&(0!==o||!c))return;const d=yte(n,!1,i,a,t,r);return 1===o&&(l||2===d&&c)||0===o&&274===(null==c?void 0:c.kind)?void 0:{kind:2,importClauseOrBindingPattern:s,importKind:o,moduleSpecifier:e.moduleSpecifier.text,addAsTypeOnly:d}}}(p,t,u,i.getCompilerOptions());if(m)return{computedWithoutCacheCount:0,fixes:[...f?[f]:o,m]};const{fixes:_,computedWithoutCacheCount:h=0}=function(e,n,t,r,o,i,a,s,l,c){const d=T(n,(e=>function({declaration:e,importKind:n,symbol:t,targetFlags:r},o,i,a,s){var l;const c=null==(l=Fg(e))?void 0:l.text;if(c){return{kind:3,moduleSpecifier:c,importKind:n,addAsTypeOnly:i?4:yte(o,!0,t,r,a,s),useRequire:i}}}(e,i,a,t.getTypeChecker(),t.getCompilerOptions())));return d?{fixes:[d]}:function(e,n,t,r,o,i,a,s,l){const c=Jh(n),d=e.getCompilerOptions(),u=dQ(e,a),p=Ete(e,a),f=pQ(Up(d)),m=l?e=>({moduleSpecifiers:Iz.tryGetModuleSpecifiersFromCache(e,n,u,s),computedWithoutCache:!1}):(e,t)=>Iz.getModuleSpecifiersWithCacheInfo(e,t,d,n,u,s,void 0,!0);let _=0;const h=H(i,((e,i)=>{const a=p(e.isFromPackageJson),{computedWithoutCache:s,moduleSpecifiers:l}=m(e.moduleSymbol,a),u=!!(111551&e.targetFlags),h=yte(r,!0,e.symbol,e.targetFlags,a,d);return _+=s?1:0,Y(l,(r=>{var s;if(f&&HF(r))return;if(!u&&c&&void 0!==t)return{kind:1,moduleSpecifier:r,usagePosition:t,exportInfo:e,isReExport:i>0};const l=Rte(n,e.exportKind,d);let p;if(void 0!==t&&3===l&&0===e.exportKind){const n=a.resolveExternalModuleSymbol(e.moduleSymbol);let r;n!==e.moduleSymbol&&(r=null==(s=G0(n,a,d))?void 0:s.name),r||(r=Bte(e.moduleSymbol,jp(d),!1)),p={namespacePrefix:r,usagePosition:t}}return{kind:3,moduleSpecifier:r,importKind:l,useRequire:o,addAsTypeOnly:h,exportInfo:e,isReExport:i>0,qualification:p}}))}));return{computedWithoutCacheCount:_,fixes:h}}(t,r,o,i,a,e,s,l,c)}(e,p,i,a,n,t,r,s,l,d);return{computedWithoutCacheCount:h,fixes:[...f?[f]:o,..._]}}function yte(e,n,t,r,o,i){return e?n&&2===i.importsNotUsedAsValues?2:!ST(i)||111551&r&&!o.getTypeOnlyAliasDeclaration(t)?1:2:4}function vte(e,n,t){let r;for(const t of n.imports){const n=Wg(t);if(tg(n.parent)){const o=e.resolveExternalModuleName(t);o&&(r||(r=sn())).add(Kz(o),n.parent)}else if(272===n.kind||271===n.kind){const o=e.getSymbolAtLocation(t);o&&(r||(r=sn())).add(Kz(o),n)}}return{getImportsForExportInfo:({moduleSymbol:e,exportKind:i,targetFlags:a,symbol:s})=>{if(!(111551&a)&&Jh(n))return o;const l=null==r?void 0:r.get(Kz(e));if(!l)return o;const c=Rte(n,i,t);return l.map((e=>({declaration:e,importKind:c,symbol:s,targetFlags:a})))}}}function bte(e,n){if(!Jh(e))return!1;if(e.commonJsModuleIndicator&&!e.externalModuleIndicator)return!0;if(e.externalModuleIndicator&&!e.commonJsModuleIndicator)return!1;const t=n.getCompilerOptions();if(t.configFile)return Vp(t)<5;if(1===e.impliedNodeFormat)return!0;if(99===e.impliedNodeFormat)return!1;for(const t of n.getSourceFiles())if(t!==e&&Jh(t)&&!n.isSourceFileFromExternalLibrary(t)){if(t.commonJsModuleIndicator&&!t.externalModuleIndicator)return!0;if(t.externalModuleIndicator&&!t.commonJsModuleIndicator)return!1}return!0}function Ete(e,n){return In((t=>t?n.getPackageJsonAutoImportProvider().getTypeChecker():e.getTypeChecker()))}function Ste(e,n,t,r){const o=l$(e.sourceFile,t);let i;if(n===Oa._0_refers_to_a_UMD_global_but_the_current_file_is_a_module_Consider_adding_an_import_instead.code)i=function({sourceFile:e,program:n,host:t,preferences:r},o){const i=n.getTypeChecker(),a=function(e,n){const t=tN(e)?n.getSymbolAtLocation(e):void 0;if(DS(t))return t;const{parent:r}=e;if(ju(r)&&r.tagName===e||BC(r)){const t=n.resolveName(n.getJsxNamespace(r),ju(r)?e:r,111551,!1);if(DS(t))return t}return}(o,i);if(!a)return;const s=i.getAliasedSymbol(a),l=a.name,c=[{symbol:a,moduleSymbol:s,moduleFileName:void 0,exportKind:3,targetFlags:s.flags,isFromPackageJson:!1}],d=bte(e,n);return gte(c,void 0,!1,d,n,e,t,r).fixes.map((e=>{var n;return{fix:e,symbolName:l,errorIdentifierText:null==(n=hn(o,tN))?void 0:n.text}}))}(e,o);else{if(!tN(o))return;if(n===Oa._0_cannot_be_used_as_a_value_because_it_was_imported_using_import_type.code){const n=Oe(Nte(e.sourceFile,e.program.getTypeChecker(),o,e.program.getCompilerOptions())),t=Ite(e.sourceFile,o,n,e.program);return t&&[{fix:t,symbolName:n,errorIdentifierText:o.text}]}i=function({sourceFile:e,program:n,cancellationToken:t,host:r,preferences:o},i,a){const s=n.getTypeChecker(),l=n.getCompilerOptions();return H(Nte(e,s,i,l),(s=>{if("default"===s)return;const l=wx(i),c=bte(e,n),d=function(e,n,t,r,o,i,a,s,l){var c;const d=sn(),u=t0(o,l,s),p=null==(c=s.getModuleSpecifierCache)?void 0:c.call(s),f=In((e=>dQ(e?s.getPackageJsonAutoImportProvider():i,s)));function m(e,n,t,r,i,a){const s=f(a);if(n&&k0(i,o,n,l,u,s,p)||!n&&u.allowsImportingAmbientModule(e,s)){const o=i.getTypeChecker();d.add(uZ(t,o).toString(),{symbol:t,moduleSymbol:e,moduleFileName:null==n?void 0:n.fileName,exportKind:r,targetFlags:hS(t,o).flags,isFromPackageJson:a})}}return w0(i,s,l,a,((o,i,a,s)=>{const l=a.getTypeChecker();r.throwIfCancellationRequested();const c=a.getCompilerOptions(),d=W0(o,l,c);d&&(d.name===e||Bte(o,jp(c),n)===e)&&Gte(d.resolvedSymbol,t)&&m(o,i,d.symbol,d.exportKind,a,s);const u=l.tryGetMemberInModuleExportsAndProperties(e,o);u&&Gte(u,t)&&m(o,i,u,0,a,s)})),d}(s,zh(i),rY(i),t,e,n,a,r,o);return Je(q(d.values(),(t=>gte(t,i.getStart(e),l,c,n,e,r,o).fixes)),(e=>({fix:e,symbolName:s,errorIdentifierText:i.text,isJsxNamespaceFix:s!==i.text})))}))}(e,o,r)}const a=t0(e.sourceFile,e.preferences,e.host);return i&&function(e,n,t,r,o){const i=e=>ga(e,o.getCurrentDirectory(),Jv(o));return Ae(e,((e,o)=>Kn(!!e.isJsxNamespaceFix,!!o.isJsxNamespaceFix)||wn(e.fix.kind,o.fix.kind)||xte(e.fix,o.fix,n,t,r.allowsImportingSpecifier,i)))}(i,e.sourceFile,e.program,a,e.host)}function Tte(e,n,t,r,o){if(oe(e))return 0===e[0].kind||2===e[0].kind?e[0]:e.reduce(((e,i)=>-1===xte(i,e,n,t,r.allowsImportingSpecifier,(e=>ga(e,o.getCurrentDirectory(),Jv(o))))?i:e))}function xte(e,n,t,r,o,i){return 0!==e.kind&&0!==n.kind?Kn(o(n.moduleSpecifier),o(e.moduleSpecifier))||function(e,n,t,r){return st(e,"node:")&&!st(n,"node:")?S0(t,r)?-1:1:st(n,"node:")&&!st(e,"node:")?S0(t,r)?1:-1:0}(e.moduleSpecifier,n.moduleSpecifier,t,r)||Kn(Ate(e,t,r.getCompilerOptions(),i),Ate(n,t,r.getCompilerOptions(),i))||lx(e.moduleSpecifier,n.moduleSpecifier):0}function Ate(e,n,t,r){var o;if(e.isReExport&&(null==(o=e.exportInfo)?void 0:o.moduleFileName)&&"index"===oa(e.exportInfo.moduleFileName,[".js",".jsx",".d.ts",".ts",".tsx"],!0)){const t=r(ra(e.exportInfo.moduleFileName));return st(n.path,t)}return!1}function Rte(e,n,t,r){if(t.verbatimModuleSyntax&&(1===Vp(t)||1===e.impliedNodeFormat))return 3;switch(n){case 0:return 0;case 1:return 1;case 2:return function(e,n,t){const r=Jp(n),o=Yh(e);if(!o&&Vp(n)>=5)return r?1:2;if(o)return uk(e)||t?r?1:2:3;for(const n of e.statements)if(hC(n)&&!im(n.moduleReference))return 3;return r?1:3}(e,t,!!r);case 3:return function(e,n,t){if(Jp(n))return 1;const r=Vp(n);switch(r){case 2:case 1:case 3:return Yh(e)&&(uk(e)||t)?2:3;case 4:case 5:case 6:case 7:case 99:case 0:case 200:return 2;case 100:case 199:return 99===e.impliedNodeFormat?2:3;default:return Tt.assertNever(r,`Unexpected moduleKind ${r}`)}}(e,t,!!r);default:return Tt.assertNever(n)}}function Ite(e,n,t,r){const o=r.getTypeChecker(),i=o.resolveName(t,n,111551,!0);if(!i)return;const a=o.getTypeOnlyAliasDeclaration(i);return a&&$f(a)===e?{kind:4,typeOnlyAliasDeclaration:a}:void 0}function Nte(e,n,t,r){const o=t.parent;if((ju(o)||zC(o))&&o.tagName===t&&R0(r.jsx)){const r=n.getJsxNamespace(e);if(function(e,n,t){if(jv(n.text))return!0;const r=t.resolveName(e,n,111551,!0);return!r||oe(r.declarations,ld)&&!(111551&r.flags)}(r,t,n)){return!jv(t.text)&&!n.resolveName(t.text,t,111551,!1)?[t.text,r]:[r]}}return[t.text]}function Dte(e,n,t,r,i,a,s){let l;const c=p_e.ChangeTracker.with(e,(e=>{l=function(e,n,t,r,i,a,s){const l=gQ(n,s);switch(r.kind){case 0:return Pte(e,n,r),[Oa.Change_0_to_1,t,`${r.namespacePrefix}.${t}`];case 1:return Lte(e,n,r,l),[Oa.Change_0_to_1,t,kte(r.moduleSpecifier,l)+t];case 2:{const{importClauseOrBindingPattern:a,importKind:l,addAsTypeOnly:c,moduleSpecifier:d}=r;Mte(e,n,a,1===l?{name:t,addAsTypeOnly:c}:void 0,0===l?[{name:t,addAsTypeOnly:c}]:o,s);const u=Bv(d);return i?[Oa.Import_0_from_1,t,u]:[Oa.Update_import_from_0,u]}case 3:{const{importKind:o,moduleSpecifier:c,addAsTypeOnly:d,useRequire:u,qualification:p}=r;return IQ(e,n,(u?Wte:Fte)(c,l,1===o?{name:t,addAsTypeOnly:d}:void 0,0===o?[{name:t,addAsTypeOnly:d}]:void 0,2===o||3===o?{importKind:o,name:(null==p?void 0:p.namespacePrefix)||t,addAsTypeOnly:d}:void 0,a.getCompilerOptions(),s),!0,s),p&&Pte(e,n,p),i?[Oa.Import_0_from_1,t,c]:[Oa.Add_import_from_0,c]}case 4:{const{typeOnlyAliasDeclaration:o}=r,i=function(e,n,t,r,o){const i=t.getCompilerOptions(),a=ST(i);switch(n.kind){case 276:if(n.isTypeOnly){const t=gfe.detectImportSpecifierSorting(n.parent.elements,o);if(n.parent.elements.length>1&&t){const i=UA.updateImportSpecifier(n,!1,n.propertyName,n.name),a=gfe.getOrganizeImportsComparer(o,2===t),s=gfe.getImportSpecifierInsertionIndex(n.parent.elements,i,a,o);if(s!==n.parent.elements.indexOf(n))return e.delete(r,n),e.insertImportSpecifierAtIndex(r,i,n.parent,s),n}return e.deleteRange(r,{pos:vm(n.getFirstToken()),end:vm(n.propertyName??n.name)}),n}return Tt.assert(n.parent.parent.isTypeOnly),s(n.parent.parent),n.parent.parent;case 273:return s(n),n;case 274:return s(n.parent),n.parent;case 271:return e.deleteRange(r,n.getChildAt(1)),n;default:Tt.failBadSyntaxKind(n)}function s(s){var l;if(e.delete(r,NQ(s,r)),!i.allowImportingTsExtensions){const n=Fg(s.parent),o=n&&(null==(l=t.getResolvedModuleFromModuleSpecifier(n))?void 0:l.resolvedModule);if(null==o?void 0:o.resolvedUsingTsExtension){const t=Ea(n.text,RV(n.text,i));e.replaceNode(r,n,UA.createStringLiteral(t))}}if(a){const t=hn(s.namedBindings,RC);if(t&&t.elements.length>1){gfe.detectImportSpecifierSorting(t.elements,o)&&276===n.kind&&0!==t.elements.indexOf(n)&&(e.delete(r,n),e.insertImportSpecifierAtIndex(r,n,t,0));for(const o of t.elements)o===n||o.isTypeOnly||e.insertModifierBefore(r,156,o)}}}}(e,o,a,n,s);return 276===i.kind?[Oa.Remove_type_from_import_of_0_from_1,t,Cte(i.parent.parent)]:[Oa.Remove_type_from_import_declaration_from_0,Cte(i)]}default:return Tt.assertNever(r,`Unexpected fix kind ${r.kind}`)}}(e,n,t,r,i,a,s)}));return c9(ote,c,l,ite,Oa.Add_all_missing_imports)}function Cte(e){var n,t;return 271===e.kind?(null==(t=hn(null==(n=hn(e.moduleReference,wC))?void 0:n.expression,tp))?void 0:t.text)||e.moduleReference.getText():gn(e.parent.moduleSpecifier,zI).text}function Mte(e,n,t,r,o,i){var a;if(206===t.kind){r&&c(t,r.name,"default");for(const e of o)c(t,e.name,void 0);return}const s=t.isTypeOnly&&oe([r,...o],(e=>4===(null==e?void 0:e.addAsTypeOnly))),l=t.namedBindings&&(null==(a=hn(t.namedBindings,RC))?void 0:a.elements);if(r&&(Tt.assert(!t.name,"Cannot add a default import to an import clause that already has one"),e.insertNodeAt(n,t.getStart(n),UA.createIdentifier(r.name),{suffix:", "})),o.length){let r;if("boolean"==typeof i.organizeImportsIgnoreCase)r=i.organizeImportsIgnoreCase;else if(l){const e=gfe.detectImportSpecifierSorting(l,i);3!==e&&(r=2===e)}void 0===r&&(r=2===gfe.detectSorting(n,i));const a=gfe.getOrganizeImportsComparer(i,r),c=Ie(o.map((e=>UA.createImportSpecifier((!t.isTypeOnly||s)&&Ote(e,i),void 0,UA.createIdentifier(e.name)))),((e,n)=>gfe.compareImportOrExportSpecifiers(e,n,a))),d=(null==l?void 0:l.length)&&gfe.detectImportSpecifierSorting(l,i);if(!d||r&&1===d){if(null==l?void 0:l.length)for(const t of c)e.insertNodeInListAfter(n,ke(l),t,l);else if(c.length){const r=UA.createNamedImports(c);t.namedBindings?e.replaceNode(n,t.namedBindings,r):e.insertNodeAfter(n,Tt.checkDefined(t.name,"Import clause must have either named imports or a default import"),r)}}else for(const r of c){const o=s&&!r.isTypeOnly?0:gfe.getImportSpecifierInsertionIndex(l,r,a,i);e.insertImportSpecifierAtIndex(n,r,t.namedBindings,o)}}if(s&&(e.delete(n,NQ(t,n)),l))for(const t of l)e.insertModifierBefore(n,156,t);function c(t,r,o){const i=UA.createBindingElement(void 0,o,r);t.elements.length?e.insertNodeInListAfter(n,ke(t.elements),i):e.replaceNode(n,t,UA.createObjectBindingPattern([i]))}}function Pte(e,n,{namespacePrefix:t,usagePosition:r}){e.insertText(n,r,t+".")}function Lte(e,n,{moduleSpecifier:t,usagePosition:r},o){e.insertText(n,r,kte(t,o))}function kte(e,n){const t=yQ(n);return`import(${t}${e}${t}).`}function wte({addAsTypeOnly:e}){return 2===e}function Ote(e,n){return wte(e)||!!n.preferTypeOnlyAutoImports&&4!==e.addAsTypeOnly}function Fte(e,n,t,r,o,i,a){const s=_Q(e,n);let l;if(void 0!==t||(null==r?void 0:r.length)){const o=(!t||wte(t))&&N(r,wte)||(i.verbatimModuleSyntax||a.preferTypeOnlyAutoImports)&&4!==(null==t?void 0:t.addAsTypeOnly)&&!oe(r,(e=>4===e.addAsTypeOnly));l=ve(l,mQ(t&&UA.createIdentifier(t.name),null==r?void 0:r.map((e=>UA.createImportSpecifier(!o&&Ote(e,a),void 0,UA.createIdentifier(e.name)))),e,n,o))}if(o){l=ve(l,3===o.importKind?UA.createImportEqualsDeclaration(void 0,Ote(o,a),UA.createIdentifier(o.name),UA.createExternalModuleReference(s)):UA.createImportDeclaration(void 0,UA.createImportClause(Ote(o,a),void 0,UA.createNamespaceImport(UA.createIdentifier(o.name))),s,void 0))}return Tt.checkDefined(l)}function Wte(e,n,t,r,o){const i=_Q(e,n);let a;if(t||(null==r?void 0:r.length)){const e=(null==r?void 0:r.map((({name:e})=>UA.createBindingElement(void 0,void 0,e))))||[];t&&e.unshift(UA.createBindingElement(void 0,"default",t.name));a=ve(a,zte(UA.createObjectBindingPattern(e),i))}if(o){a=ve(a,zte(o.name,i))}return Tt.checkDefined(a)}function zte(e,n){return UA.createVariableStatement(void 0,UA.createVariableDeclarationList([UA.createVariableDeclaration("string"==typeof e?UA.createIdentifier(e):e,void 0,void 0,UA.createCallExpression(UA.createIdentifier("require"),void 0,[n]))],2))}function Gte({declarations:e},n){return oe(e,(e=>!!(tY(e)&n)))}function Bte(e,n,t){return jte(cx(Bv(e.name)),n,t)}function jte(e,n,t){const r=oa(Yn(e,"/index"));let o="",i=!0;const a=r.charCodeAt(0);Fs(a,n)?(o+=String.fromCharCode(a),t&&(o=o.toUpperCase())):i=!1;for(let e=1;e<r.length;e++){const t=r.charCodeAt(e),a=Ws(t,n);if(a){let e=String.fromCharCode(t);i||(e=e.toUpperCase()),o+=e}i=a}return Xy(o)?`_${o}`:o||"_"}var Vte,Ute,Hte=g({"src/services/codefixes/importFixes.ts"(){Tge(),sce(),ote="import",ite="fixMissingImport",p9({errorCodes:ate=[Oa.Cannot_find_name_0.code,Oa.Cannot_find_name_0_Did_you_mean_1.code,Oa.Cannot_find_name_0_Did_you_mean_the_instance_member_this_0.code,Oa.Cannot_find_name_0_Did_you_mean_the_static_member_1_0.code,Oa.Cannot_find_namespace_0.code,Oa._0_refers_to_a_UMD_global_but_the_current_file_is_a_module_Consider_adding_an_import_instead.code,Oa._0_only_refers_to_a_type_but_is_being_used_as_a_value_here.code,Oa.No_value_exists_in_scope_for_the_shorthand_property_0_Either_declare_one_or_provide_an_initializer.code,Oa._0_cannot_be_used_as_a_value_because_it_was_imported_using_import_type.code,Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_jQuery_Try_npm_i_save_dev_types_Slashjquery.code,Oa.Cannot_find_name_0_Do_you_need_to_change_your_target_library_Try_changing_the_lib_compiler_option_to_1_or_later.code,Oa.Cannot_find_name_0_Do_you_need_to_change_your_target_library_Try_changing_the_lib_compiler_option_to_include_dom.code,Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_a_test_runner_Try_npm_i_save_dev_types_Slashjest_or_npm_i_save_dev_types_Slashmocha_and_then_add_jest_or_mocha_to_the_types_field_in_your_tsconfig.code,Oa.Cannot_find_name_0_Did_you_mean_to_write_this_in_an_async_function.code,Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_jQuery_Try_npm_i_save_dev_types_Slashjquery_and_then_add_jquery_to_the_types_field_in_your_tsconfig.code,Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_a_test_runner_Try_npm_i_save_dev_types_Slashjest_or_npm_i_save_dev_types_Slashmocha.code,Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_node_Try_npm_i_save_dev_types_Slashnode.code,Oa.Cannot_find_name_0_Do_you_need_to_install_type_definitions_for_node_Try_npm_i_save_dev_types_Slashnode_and_then_add_node_to_the_types_field_in_your_tsconfig.code,Oa.Cannot_find_namespace_0_Did_you_mean_1.code],getCodeActions(e){const{errorCode:n,preferences:t,sourceFile:r,span:o,program:i}=e,a=Ste(e,n,o.start,!0);if(a)return a.map((({fix:n,symbolName:o,errorIdentifierText:a})=>Dte(e,r,o,n,o!==a,i,t)))},fixIds:[ite],getAllCodeActions:e=>{const{sourceFile:n,program:t,preferences:r,host:o,cancellationToken:i}=e,a=cte(n,t,!0,r,o,i);return v9(e,ate,(n=>a.addImportFromDiagnostic(n,e))),h9(p_e.ChangeTracker.with(e,a.writeFixes))}})}});function Kte(e,n,t){const r=D(e.getSemanticDiagnostics(n),(e=>e.start===t.start&&e.length===t.length));if(void 0===r||void 0===r.relatedInformation)return;const o=D(r.relatedInformation,(e=>e.code===Oa.This_type_parameter_might_need_an_extends_0_constraint.code));if(void 0===o||void 0===o.file||void 0===o.start||void 0===o.length)return;let i=Sse(o.file,dl(o.start,o.length));if(void 0!==i&&(tN(i)&&vN(i.parent)&&(i=i.parent),vN(i))){if(QN(i.parent))return;const r=l$(n,t.start),a=function(e,n){if(Bd(n.parent))return e.getTypeArgumentConstraint(n.parent);const t=uu(n)?e.getContextualType(n):void 0;return t||e.getTypeAtLocation(n)}(e.getTypeChecker(),r)||function(e){const[,n]=zU(e,"\n",0).match(/`extends (.*)`/)||[];return n}(o.messageText);return{constraint:a,declaration:i,token:r}}}function qte(e,n,t,r,o,i){const{declaration:a,constraint:s}=i,l=n.getTypeChecker();if(mn(s))e.insertText(o,a.name.end,` extends ${s}`);else{const i=jp(n.getCompilerOptions()),c=rse({program:n,host:r}),d=lte(o,n,t,r),u=lse(l,d,s,void 0,i,void 0,c);u&&(e.replaceNode(o,a,UA.updateTypeParameterDeclaration(a,void 0,a.name,u,a.default)),d.writeFixes(e))}}var Jte,Xte,Yte,$te,Qte,Zte=g({"src/services/codefixes/fixAddMissingConstraint.ts"(){Tge(),sce(),Vte="addMissingConstraint",p9({errorCodes:Ute=[Oa.Type_0_is_not_comparable_to_type_1.code,Oa.Type_0_is_not_assignable_to_type_1_Two_different_types_with_this_name_exist_but_they_are_unrelated.code,Oa.Type_0_is_not_assignable_to_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_types_of_the_target_s_properties.code,Oa.Type_0_is_not_assignable_to_type_1.code,Oa.Argument_of_type_0_is_not_assignable_to_parameter_of_type_1_with_exactOptionalPropertyTypes_Colon_true_Consider_adding_undefined_to_the_types_of_the_target_s_properties.code,Oa.Property_0_is_incompatible_with_index_signature.code,Oa.Property_0_in_type_1_is_not_assignable_to_type_2.code,Oa.Type_0_does_not_satisfy_the_constraint_1.code],getCodeActions(e){const{sourceFile:n,span:t,program:r,preferences:o,host:i}=e,a=Kte(r,n,t);if(void 0===a)return;const s=p_e.ChangeTracker.with(e,(e=>qte(e,r,o,i,n,a)));return[c9(Vte,s,Oa.Add_extends_constraint,Vte,Oa.Add_extends_constraint_to_all_type_parameters)]},fixIds:[Vte],getAllCodeActions:e=>{const{program:n,preferences:t,host:r}=e,o=new Map;return h9(p_e.ChangeTracker.with(e,(i=>{v9(e,Ute,(e=>{const a=Kte(n,e.file,dl(e.start,e.length));if(a&&PS(o,Hz(a.declaration)))return qte(i,n,t,r,e.file,a)}))})))}})}});function ere(e,n,t,r){switch(t){case Oa.This_member_must_have_an_override_modifier_because_it_overrides_a_member_in_the_base_class_0.code:case Oa.This_member_must_have_a_JSDoc_comment_with_an_override_tag_because_it_overrides_a_member_in_the_base_class_0.code:case Oa.This_member_must_have_an_override_modifier_because_it_overrides_an_abstract_method_that_is_declared_in_the_base_class_0.code:case Oa.This_parameter_property_must_have_an_override_modifier_because_it_overrides_a_member_in_base_class_0.code:case Oa.This_parameter_property_must_have_a_JSDoc_comment_with_an_override_tag_because_it_overrides_a_member_in_the_base_class_0.code:return function(e,n,t){const r=tre(n,t);if(Jh(n))return void e.addJSDocTags(n,r,[UA.createJSDocOverrideTag(UA.createIdentifier("override"))]);const i=r.modifiers||o,a=D(i,dN),s=D(i,uN),l=D(i,(e=>W$(e.kind))),c=C(i,EN),d=s?s.end:a?a.end:l?l.end:c?Ts(n.text,c.end):r.getStart(n),u=l||a||s?{prefix:" "}:{suffix:" "};e.insertModifierAt(n,d,164,u)}(e,n.sourceFile,r);case Oa.This_member_cannot_have_an_override_modifier_because_it_is_not_declared_in_the_base_class_0.code:case Oa.This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_it_is_not_declared_in_the_base_class_0.code:case Oa.This_member_cannot_have_an_override_modifier_because_its_containing_class_0_does_not_extend_another_class.code:case Oa.This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_its_containing_class_0_does_not_extend_another_class.code:return function(e,n,t){const r=tre(n,t);if(Jh(n))return void e.filterJSDocTags(n,r,ft(MM));const o=D(r.modifiers,pN);Tt.assertIsDefined(o),e.deleteModifier(n,o)}(e,n.sourceFile,r);default:Tt.fail("Unexpected error code: "+t)}}function nre(e){switch(e.kind){case 176:case 172:case 174:case 177:case 178:return!0;case 169:return gl(e,e.parent);default:return!1}}function tre(e,n){const t=Nl(l$(e,n),(e=>Md(e)?"quit":nre(e)));return Tt.assert(t&&nre(t)),t}var rre,ore,ire=g({"src/services/codefixes/fixOverrideModifier.ts"(){Tge(),sce(),Jte="fixOverrideModifier",Xte="fixAddOverrideModifier",Yte="fixRemoveOverrideModifier",$te=[Oa.This_member_cannot_have_an_override_modifier_because_it_is_not_declared_in_the_base_class_0.code,Oa.This_member_cannot_have_an_override_modifier_because_its_containing_class_0_does_not_extend_another_class.code,Oa.This_member_must_have_an_override_modifier_because_it_overrides_an_abstract_method_that_is_declared_in_the_base_class_0.code,Oa.This_member_must_have_an_override_modifier_because_it_overrides_a_member_in_the_base_class_0.code,Oa.This_parameter_property_must_have_an_override_modifier_because_it_overrides_a_member_in_base_class_0.code,Oa.This_member_must_have_a_JSDoc_comment_with_an_override_tag_because_it_overrides_a_member_in_the_base_class_0.code,Oa.This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_its_containing_class_0_does_not_extend_another_class.code,Oa.This_parameter_property_must_have_a_JSDoc_comment_with_an_override_tag_because_it_overrides_a_member_in_the_base_class_0.code,Oa.This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_it_is_not_declared_in_the_base_class_0.code],Qte={[Oa.This_member_must_have_an_override_modifier_because_it_overrides_a_member_in_the_base_class_0.code]:{descriptions:Oa.Add_override_modifier,fixId:Xte,fixAllDescriptions:Oa.Add_all_missing_override_modifiers},[Oa.This_member_must_have_a_JSDoc_comment_with_an_override_tag_because_it_overrides_a_member_in_the_base_class_0.code]:{descriptions:Oa.Add_override_modifier,fixId:Xte,fixAllDescriptions:Oa.Add_all_missing_override_modifiers},[Oa.This_member_cannot_have_an_override_modifier_because_its_containing_class_0_does_not_extend_another_class.code]:{descriptions:Oa.Remove_override_modifier,fixId:Yte,fixAllDescriptions:Oa.Remove_all_unnecessary_override_modifiers},[Oa.This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_its_containing_class_0_does_not_extend_another_class.code]:{descriptions:Oa.Remove_override_modifier,fixId:Yte,fixAllDescriptions:Oa.Remove_override_modifier},[Oa.This_parameter_property_must_have_an_override_modifier_because_it_overrides_a_member_in_base_class_0.code]:{descriptions:Oa.Add_override_modifier,fixId:Xte,fixAllDescriptions:Oa.Add_all_missing_override_modifiers},[Oa.This_parameter_property_must_have_a_JSDoc_comment_with_an_override_tag_because_it_overrides_a_member_in_the_base_class_0.code]:{descriptions:Oa.Add_override_modifier,fixId:Xte,fixAllDescriptions:Oa.Add_all_missing_override_modifiers},[Oa.This_member_must_have_an_override_modifier_because_it_overrides_an_abstract_method_that_is_declared_in_the_base_class_0.code]:{descriptions:Oa.Add_override_modifier,fixId:Xte,fixAllDescriptions:Oa.Remove_all_unnecessary_override_modifiers},[Oa.This_member_cannot_have_an_override_modifier_because_it_is_not_declared_in_the_base_class_0.code]:{descriptions:Oa.Remove_override_modifier,fixId:Yte,fixAllDescriptions:Oa.Remove_all_unnecessary_override_modifiers},[Oa.This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_it_is_not_declared_in_the_base_class_0.code]:{descriptions:Oa.Remove_override_modifier,fixId:Yte,fixAllDescriptions:Oa.Remove_all_unnecessary_override_modifiers}},p9({errorCodes:$te,getCodeActions:function(e){const{errorCode:n,span:t}=e,r=Qte[n];if(!r)return o;const{descriptions:i,fixId:a,fixAllDescriptions:s}=r,l=p_e.ChangeTracker.with(e,(r=>ere(r,e,n,t.start)));return[d9(Jte,l,i,a,s)]},fixIds:[Jte,Xte,Yte],getAllCodeActions:e=>y9(e,$te,((n,t)=>{const{code:r,start:o}=t,i=Qte[r];i&&i.fixId===e.fixId&&ere(n,e,r,o)}))})}});function are(e,n,t,r){const o=gQ(n,r),i=UA.createStringLiteral(t.name.text,0===o);e.replaceNode(n,t,Pc(t)?UA.createElementAccessChain(t.expression,t.questionDotToken,i):UA.createElementAccessExpression(t.expression,i))}function sre(e,n){return gn(l$(e,n).parent,lD)}var lre,cre,dre=g({"src/services/codefixes/fixNoPropertyAccessFromIndexSignature.ts"(){Tge(),sce(),rre="fixNoPropertyAccessFromIndexSignature",p9({errorCodes:ore=[Oa.Property_0_comes_from_an_index_signature_so_it_must_be_accessed_with_0.code],fixIds:[rre],getCodeActions(e){const{sourceFile:n,span:t,preferences:r}=e,o=sre(n,t.start),i=p_e.ChangeTracker.with(e,(n=>are(n,e.sourceFile,o,r)));return[c9(rre,i,[Oa.Use_element_access_for_0,o.name.text],rre,Oa.Use_element_access_for_all_undeclared_properties)]},getAllCodeActions:e=>y9(e,ore,((n,t)=>are(n,t.file,sre(t.file,t.start),e.preferences)))})}});function ure(e,n,t,r){const o=l$(n,t);if(!PY(o))return;const i=vh(o,!1,!1);if((sC(i)||_D(i))&&!rM(vh(i,!1,!1))){const t=Tt.checkDefined(JY(i,100,n)),{name:o}=i,a=Tt.checkDefined(i.body);if(_D(i)){if(o&&Hue.Core.isSymbolReferencedInFile(o,r,n,a))return;return e.delete(n,t),o&&e.delete(n,o),e.insertText(n,a.pos," =>"),[Oa.Convert_function_expression_0_to_arrow_function,o?o.text:ZX]}return e.replaceNode(n,t,UA.createToken(87)),e.insertText(n,o.end," = "),e.insertText(n,a.pos," =>"),[Oa.Convert_function_declaration_0_to_arrow_function,o.text]}}var pre,fre,mre=g({"src/services/codefixes/fixImplicitThis.ts"(){Tge(),sce(),lre="fixImplicitThis",p9({errorCodes:cre=[Oa.this_implicitly_has_type_any_because_it_does_not_have_a_type_annotation.code],getCodeActions:function(e){const{sourceFile:n,program:t,span:r}=e;let i;const a=p_e.ChangeTracker.with(e,(e=>{i=ure(e,n,r.start,t.getTypeChecker())}));return i?[c9(lre,a,i,lre,Oa.Fix_all_implicit_this_errors)]:o},fixIds:[lre],getAllCodeActions:e=>y9(e,cre,((n,t)=>{ure(n,t.file,t.start,e.program.getTypeChecker())}))})}});function _re(e,n,t){var r,o;const i=l$(e,n);if(tN(i)){const e=Nl(i,gC);if(void 0===e)return;const n=zI(e.moduleSpecifier)?e.moduleSpecifier:void 0;if(void 0===n)return;const a=null==(r=t.getResolvedModuleFromModuleSpecifier(n))?void 0:r.resolvedModule;if(void 0===a)return;const s=t.getSourceFile(a.resolvedFileName);if(void 0===s||I0(t,s))return;const l=null==(o=hn(s.symbol.valueDeclaration,Du))?void 0:o.locals;if(void 0===l)return;const c=l.get(i.escapedText);if(void 0===c)return;const d=function(e){if(void 0===e.valueDeclaration)return De(e.declarations);const n=e.valueDeclaration,t=iC(n)?hn(n.parent.parent,BD):void 0;return t&&1===b(t.declarationList.declarations)?t:n}(c);if(void 0===d)return;return{exportName:{node:i,isTypeOnly:sA(d)},node:d,moduleSourceFile:s,moduleSpecifier:n.text}}}function hre(e,n,t,r,o){b(r)&&(o?yre(e,n,t,o,r):vre(e,n,t,r))}function gre(e,n){return C(e.statements,(e=>DC(e)&&(n&&e.isTypeOnly||!e.isTypeOnly)))}function yre(e,n,t,r,o){const i=r.exportClause&&CC(r.exportClause)?r.exportClause.elements:UA.createNodeArray([]),a=!(r.isTypeOnly||!Kp(n.getCompilerOptions())&&!D(i,(e=>e.isTypeOnly)));e.replaceNode(t,r,UA.updateExportDeclaration(r,r.modifiers,r.isTypeOnly,UA.createNamedExports(UA.createNodeArray([...i,...bre(o,a)],i.hasTrailingComma)),r.moduleSpecifier,r.attributes))}function vre(e,n,t,r){e.insertNodeAtEndOfScope(t,t,UA.createExportDeclaration(void 0,!1,UA.createNamedExports(bre(r,Kp(n.getCompilerOptions()))),void 0,void 0))}function bre(e,n){return UA.createNodeArray(B(e,(e=>UA.createExportSpecifier(n&&e.isTypeOnly,void 0,e.node))))}var Ere,Sre=g({"src/services/codefixes/fixImportNonExportedMember.ts"(){Tge(),sce(),pre="fixImportNonExportedMember",p9({errorCodes:fre=[Oa.Module_0_declares_1_locally_but_it_is_not_exported.code],fixIds:[pre],getCodeActions(e){const{sourceFile:n,span:t,program:r}=e,o=_re(n,t.start,r);if(void 0===o)return;const i=p_e.ChangeTracker.with(e,(e=>function(e,n,{exportName:t,node:r,moduleSourceFile:o}){const i=gre(o,t.isTypeOnly);i?yre(e,n,o,i,[t]):lA(r)?e.insertExportModifier(o,r):vre(e,n,o,[t])}(e,r,o)));return[c9(pre,i,[Oa.Export_0_from_module_1,o.exportName.node.text,o.moduleSpecifier],pre,Oa.Export_all_referenced_locals)]},getAllCodeActions(e){const{program:n}=e;return h9(p_e.ChangeTracker.with(e,(t=>{const r=new Map;v9(e,fre,(e=>{const o=_re(e.file,e.start,n);if(void 0===o)return;const{exportName:i,node:a,moduleSourceFile:s}=o;if(void 0===gre(s,i.isTypeOnly)&&lA(a))t.insertExportModifier(s,a);else{const e=r.get(s)||{typeOnlyExports:[],exports:[]};i.isTypeOnly?e.typeOnlyExports.push(i):e.exports.push(i),r.set(s,e)}})),r.forEach(((e,r)=>{const o=gre(r,!0);o&&o.isTypeOnly?(hre(t,n,r,e.typeOnlyExports,o),hre(t,n,r,e.exports,gre(r,!1))):hre(t,n,r,[...e.exports,...e.typeOnlyExports],o)}))})))}})}});var Tre,xre,Are=g({"src/services/codefixes/fixIncorrectNamedTupleSyntax.ts"(){Tge(),sce(),Ere="fixIncorrectNamedTupleSyntax",p9({errorCodes:[Oa.A_labeled_tuple_element_is_declared_as_optional_with_a_question_mark_after_the_name_and_before_the_colon_rather_than_after_the_type.code,Oa.A_labeled_tuple_element_is_declared_as_rest_with_a_before_the_name_rather_than_before_the_type.code],getCodeActions:function(e){const{sourceFile:n,span:t}=e,r=function(e,n){return Nl(l$(e,n),(e=>202===e.kind))}(n,t.start),o=p_e.ChangeTracker.with(e,(e=>function(e,n,t){if(!t)return;let r=t.type,o=!1,i=!1;for(;190===r.kind||191===r.kind||196===r.kind;)190===r.kind?o=!0:191===r.kind&&(i=!0),r=r.type;const a=UA.updateNamedTupleMember(t,t.dotDotDotToken||(i?UA.createToken(26):void 0),t.name,t.questionToken||(o?UA.createToken(58):void 0),r);a!==t&&e.replaceNode(n,t,a)}(e,n,r)));return[c9(Ere,o,Oa.Move_labeled_tuple_element_modifiers_to_labels,Ere,Oa.Move_labeled_tuple_element_modifiers_to_labels)]},fixIds:[Ere]})}});function Rre(e,n,t,r){const o=l$(e,n),i=o.parent;if((r===Oa.No_overload_matches_this_call.code||r===Oa.Type_0_is_not_assignable_to_type_1.code)&&!VC(i))return;const a=t.program.getTypeChecker();let s;if(lD(i)&&i.name===o){Tt.assert(Cc(o),"Expected an identifier for spelling (property access)");let e=a.getTypeAtLocation(i.expression);64&i.flags&&(e=a.getNonNullableType(e)),s=a.getSuggestedSymbolForNonexistentProperty(o,e)}else if(TD(i)&&103===i.operatorToken.kind&&i.left===o&&rN(o)){const e=a.getTypeAtLocation(i.right);s=a.getSuggestedSymbolForNonexistentProperty(o,e)}else if(gN(i)&&i.right===o){const e=a.getSymbolAtLocation(i.left);e&&1536&e.flags&&(s=a.getSuggestedSymbolForNonexistentModule(i.right,e))}else if(IC(i)&&i.name===o){Tt.assertNode(o,tN,"Expected an identifier for spelling (import)");const e=function(e,n){var t;if(!n||!tp(n.moduleSpecifier))return;const r=null==(t=e.program.getResolvedModuleFromModuleSpecifier(n.moduleSpecifier))?void 0:t.resolvedModule;return r?e.program.getSourceFile(r.resolvedFileName):void 0}(t,Nl(o,gC));e&&e.symbol&&(s=a.getSuggestedSymbolForNonexistentModule(o,e.symbol))}else if(VC(i)&&i.name===o){Tt.assertNode(o,tN,"Expected an identifier for JSX attribute");const e=Nl(o,ju),n=a.getContextualTypeForArgumentAtIndex(e,0);s=a.getSuggestedSymbolForNonexistentJSXAttribute(o,n)}else if(Ub(i)&&Cd(i)&&i.name===o){const e=Nl(o,Md),n=e?Oy(e):void 0,t=n?a.getTypeAtLocation(n):void 0;t&&(s=a.getSuggestedSymbolForNonexistentClassMember(xm(o),t))}else{const e=rY(o),n=xm(o);Tt.assert(void 0!==n,"name should be defined"),s=a.getSuggestedSymbolForNonexistentSymbol(o,n,function(e){let n=0;4&e&&(n|=1920);2&e&&(n|=788968);1&e&&(n|=111551);return n}(e))}return void 0===s?void 0:{node:o,suggestedSymbol:s}}function Ire(e,n,t,r,o){const i=wl(r);if(!zs(i,o)&&lD(t.parent)){const o=r.valueDeclaration;o&&Gl(o)&&rN(o.name)?e.replaceNode(n,t,UA.createIdentifier(i)):e.replaceNode(n,t.parent,UA.createElementAccessExpression(t.parent.expression,UA.createStringLiteral(i)))}else e.replaceNode(n,t,UA.createIdentifier(i))}var Nre,Dre,Cre,Mre,Pre,Lre=g({"src/services/codefixes/fixSpelling.ts"(){Tge(),sce(),Tre="fixSpelling",p9({errorCodes:xre=[Oa.Property_0_does_not_exist_on_type_1_Did_you_mean_2.code,Oa.Property_0_may_not_exist_on_type_1_Did_you_mean_2.code,Oa.Cannot_find_name_0_Did_you_mean_1.code,Oa.Could_not_find_name_0_Did_you_mean_1.code,Oa.Cannot_find_namespace_0_Did_you_mean_1.code,Oa.Cannot_find_name_0_Did_you_mean_the_instance_member_this_0.code,Oa.Cannot_find_name_0_Did_you_mean_the_static_member_1_0.code,Oa._0_has_no_exported_member_named_1_Did_you_mean_2.code,Oa.This_member_cannot_have_an_override_modifier_because_it_is_not_declared_in_the_base_class_0_Did_you_mean_1.code,Oa.This_member_cannot_have_a_JSDoc_comment_with_an_override_tag_because_it_is_not_declared_in_the_base_class_0_Did_you_mean_1.code,Oa.No_overload_matches_this_call.code,Oa.Type_0_is_not_assignable_to_type_1.code],getCodeActions(e){const{sourceFile:n,errorCode:t}=e,r=Rre(n,e.span.start,e,t);if(!r)return;const{node:o,suggestedSymbol:i}=r,a=jp(e.host.getCompilationSettings());return[c9("spelling",p_e.ChangeTracker.with(e,(e=>Ire(e,n,o,i,a))),[Oa.Change_spelling_to_0,wl(i)],Tre,Oa.Fix_all_detected_spelling_errors)]},fixIds:[Tre],getAllCodeActions:e=>y9(e,xre,((n,t)=>{const r=Rre(t.file,t.start,e,t.code),o=jp(e.host.getCompilationSettings());r&&Ire(n,e.sourceFile,r.node,r.suggestedSymbol,o)}))})}});function kre(e,n,t){const r=e.createSymbol(4,n.escapedText);r.links.type=e.getTypeAtLocation(t);const o=Mf([r]);return e.createAnonymousType(void 0,o,[],[],[])}function wre(e,n,t,r){if(!n.body||!GD(n.body)||1!==b(n.body.statements))return;const o=Me(n.body.statements);if(VD(o)&&Ore(e,n,e.getTypeAtLocation(o.expression),t,r))return{declaration:n,kind:0,expression:o.expression,statement:o,commentSource:o.expression};if(nC(o)&&VD(o.statement)){const i=UA.createObjectLiteralExpression([UA.createPropertyAssignment(o.label,o.statement.expression)]);if(Ore(e,n,kre(e,o.label,o.statement.expression),t,r))return hD(n)?{declaration:n,kind:1,expression:i,statement:o,commentSource:o.statement.expression}:{declaration:n,kind:0,expression:i,statement:o,commentSource:o.statement.expression}}else if(GD(o)&&1===b(o.statements)){const i=Me(o.statements);if(nC(i)&&VD(i.statement)){const a=UA.createObjectLiteralExpression([UA.createPropertyAssignment(i.label,i.statement.expression)]);if(Ore(e,n,kre(e,i.label,i.statement.expression),t,r))return{declaration:n,kind:0,expression:a,statement:o,commentSource:i}}}}function Ore(e,n,t,r,o){if(o){const r=e.getSignatureFromDeclaration(n);if(r){Bb(n,1024)&&(t=e.createPromiseType(t));const o=e.createSignature(n,r.typeParameters,r.thisParameter,r.parameters,t,void 0,r.minArgumentCount,r.flags);t=e.createAnonymousType(void 0,Mf(),[o],[],[])}else t=e.getAnyType()}return e.isTypeAssignableTo(t,r)}function Fre(e,n,t,r){const o=l$(n,t);if(!o.parent)return;const i=Nl(o.parent,Ad);switch(r){case Oa.A_function_whose_declared_type_is_neither_undefined_void_nor_any_must_return_a_value.code:if(!(i&&i.body&&i.type&&kY(i.type,o)))return;return wre(e,i,e.getTypeFromTypeNode(i.type),!1);case Oa.Argument_of_type_0_is_not_assignable_to_parameter_of_type_1.code:if(!i||!dD(i.parent)||!i.body)return;const n=i.parent.arguments.indexOf(i);if(-1===n)return;const t=e.getContextualTypeForArgumentAtIndex(i.parent,n);if(!t)return;return wre(e,i,t,!0);case Oa.Type_0_is_not_assignable_to_type_1.code:if(!Ry(o)||!X_(o.parent)&&!VC(o.parent))return;const r=function(e){switch(e.kind){case 260:case 169:case 208:case 172:case 303:return e.initializer;case 291:return e.initializer&&(KC(e.initializer)?e.initializer.expression:void 0);case 304:case 171:case 306:case 355:case 348:return}}(o.parent);if(!r||!Ad(r)||!r.body)return;return wre(e,r,e.getTypeAtLocation(o.parent),!0)}}function Wre(e,n,t,r){vZ(t);const o=HZ(n);e.replaceNode(n,r,UA.createReturnStatement(t),{leadingTriviaOption:p_e.LeadingTriviaOption.Exclude,trailingTriviaOption:p_e.TrailingTriviaOption.Exclude,suffix:o?";":void 0})}function zre(e,n,t,r,o,i){const a=i||PZ(r)?UA.createParenthesizedExpression(r):r;vZ(o),SZ(o,a),e.replaceNode(n,t.body,a)}function Gre(e,n,t,r){e.replaceNode(n,t.body,UA.createParenthesizedExpression(r))}function Bre(e,n,t){const r=p_e.ChangeTracker.with(e,(r=>Wre(r,e.sourceFile,n,t)));return c9(Nre,r,Oa.Add_a_return_statement,Dre,Oa.Add_all_missing_return_statement)}function jre(e,n,t){const r=p_e.ChangeTracker.with(e,(r=>Gre(r,e.sourceFile,n,t)));return c9(Nre,r,Oa.Wrap_the_following_body_with_parentheses_which_should_be_an_object_literal,Mre,Oa.Wrap_all_object_literal_with_parentheses)}var Vre,Ure,Hre,Kre,qre,Jre=g({"src/services/codefixes/returnValueCorrect.ts"(){Tge(),sce(),Nre="returnValueCorrect",Dre="fixAddReturnStatement",Cre="fixRemoveBracesFromArrowFunctionBody",Mre="fixWrapTheBlockWithParen",p9({errorCodes:Pre=[Oa.A_function_whose_declared_type_is_neither_undefined_void_nor_any_must_return_a_value.code,Oa.Type_0_is_not_assignable_to_type_1.code,Oa.Argument_of_type_0_is_not_assignable_to_parameter_of_type_1.code],fixIds:[Dre,Cre,Mre],getCodeActions:function(e){const{program:n,sourceFile:t,span:{start:r},errorCode:o}=e,i=Fre(n.getTypeChecker(),t,r,o);if(i)return 0===i.kind?ye([Bre(e,i.expression,i.statement)],hD(i.declaration)?function(e,n,t,r){const o=p_e.ChangeTracker.with(e,(o=>zre(o,e.sourceFile,n,t,r,!1)));return c9(Nre,o,Oa.Remove_braces_from_arrow_function_body,Cre,Oa.Remove_braces_from_all_arrow_function_bodies_with_relevant_issues)}(e,i.declaration,i.expression,i.commentSource):void 0):[jre(e,i.declaration,i.expression)]},getAllCodeActions:e=>y9(e,Pre,((n,t)=>{const r=Fre(e.program.getTypeChecker(),t.file,t.start,t.code);if(r)switch(e.fixId){case Dre:Wre(n,t.file,r.expression,r.statement);break;case Cre:if(!hD(r.declaration))return;zre(n,t.file,r.declaration,r.expression,r.commentSource,!1);break;case Mre:if(!hD(r.declaration))return;Gre(n,t.file,r.declaration,r.expression);break;default:Tt.fail(JSON.stringify(e.fixId))}}))})}});function Xre(e,n,t,r,i){var a;const s=l$(e,n),l=s.parent;if(t===Oa.Argument_of_type_0_is_not_assignable_to_parameter_of_type_1.code){if(19!==s.kind||!sD(l)||!dD(l.parent))return;const e=M(l.parent.arguments,(e=>e===l));if(e<0)return;const n=r.getResolvedSignature(l.parent);if(!(n&&n.declaration&&n.parameters[e]))return;const t=n.parameters[e].valueDeclaration;if(!(t&&bN(t)&&tN(t.name)))return;const o=Je(r.getUnmatchedProperties(r.getTypeAtLocation(l),r.getParameterType(n,e),!1,!1));if(!b(o))return;return{kind:3,token:t.name,identifier:t.name.text,properties:o,parentDeclaration:l}}if(19===s.kind&&sD(l)){const e=r.getContextualType(l)||r.getTypeAtLocation(l),n=Je(r.getUnmatchedProperties(r.getTypeAtLocation(l),e,!1,!1));if(!b(n))return;return{kind:3,token:l,identifier:"",properties:n,parentDeclaration:l}}if(!Cc(s))return;if(tN(s)&&$u(l)&&l.initializer&&sD(l.initializer)){const e=r.getContextualType(s)||r.getTypeAtLocation(s),n=Je(r.getUnmatchedProperties(r.getTypeAtLocation(l.initializer),e,!1,!1));if(!b(n))return;return{kind:3,token:s,identifier:s.text,properties:n,parentDeclaration:l.initializer}}if(tN(s)&&ju(s.parent)){const e=function(e,n,t){const r=e.getContextualType(t.attributes);if(void 0===r)return o;const i=r.getProperties();if(!b(i))return o;const a=new Set;for(const n of t.attributes.properties)if(VC(n)&&a.add(yA(n.name)),HC(n)){const t=e.getTypeAtLocation(n.expression);for(const e of t.getProperties())a.add(e.escapedName)}return W(i,(e=>zs(e.name,n,1)&&!(16777216&e.flags||48&mS(e)||a.has(e.escapedName))))}(r,jp(i.getCompilerOptions()),s.parent);if(!b(e))return;return{kind:4,token:s,attributes:e,parentDeclaration:s.parent}}if(tN(s)){const n=null==(a=r.getContextualType(s))?void 0:a.getNonNullableType();if(n&&16&IS(n)){const t=De(r.getSignaturesOfType(n,0));if(void 0===t)return;return{kind:5,token:s,signature:t,sourceFile:e,parentDeclaration:coe(s)}}if(dD(l)&&l.expression===s)return{kind:2,token:s,call:l,sourceFile:e,modifierFlags:0,parentDeclaration:coe(s)}}if(!lD(l))return;const c=iQ(r.getTypeAtLocation(l.expression)),d=c.symbol;if(!d||!d.declarations)return;if(tN(s)&&dD(l.parent)){const n=D(d.declarations,pC),t=null==n?void 0:n.getSourceFile();if(n&&t&&!I0(i,t))return{kind:2,token:s,call:l.parent,sourceFile:e,modifierFlags:32,parentDeclaration:n};const r=D(d.declarations,rM);if(e.commonJsModuleIndicator)return;if(r&&!I0(i,r))return{kind:2,token:s,call:l.parent,sourceFile:r,modifierFlags:32,parentDeclaration:r}}const u=D(d.declarations,Md);if(!u&&rN(s))return;const p=u||D(d.declarations,(e=>cC(e)||WN(e)));if(p&&!I0(i,p.getSourceFile())){const e=!WN(p)&&(c.target||c)!==r.getDeclaredTypeOfSymbol(d);if(e&&(rN(s)||cC(p)))return;const n=p.getSourceFile(),t=WN(p)?0:(e?256:0)|(y0(s.text)?2:0),o=Jh(n);return{kind:0,token:s,call:hn(l.parent,dD),modifierFlags:t,parentDeclaration:p,declSourceFile:n,isJSFile:o}}const f=D(d.declarations,uC);return!f||1056&c.flags||rN(s)||I0(i,f.getSourceFile())?void 0:{kind:1,token:s,parentDeclaration:f}}function Yre(e,n){return n.isJSFile?_t(function(e,{parentDeclaration:n,declSourceFile:t,modifierFlags:r,token:o}){if(cC(n)||WN(n))return;const i=p_e.ChangeTracker.with(e,(e=>$re(e,t,n,o,!!(256&r))));if(0===i.length)return;const a=256&r?Oa.Initialize_static_property_0:rN(o)?Oa.Declare_a_private_field_named_0:Oa.Initialize_property_0_in_the_constructor;return c9(Vre,i,[a,o.text],Vre,Oa.Add_all_missing_members)}(e,n)):function(e,{parentDeclaration:n,declSourceFile:t,modifierFlags:r,token:o}){const i=o.text,a=256&r,s=Zre(e.program.getTypeChecker(),n,o),l=r=>p_e.ChangeTracker.with(e,(e=>eoe(e,t,n,i,s,r))),c=[c9(Vre,l(256&r),[a?Oa.Declare_static_property_0:Oa.Declare_property_0,i],Vre,Oa.Add_all_missing_members)];if(a||rN(o))return c;2&r&&c.unshift(l9(Vre,l(2),[Oa.Declare_private_property_0,i]));return c.push(function(e,n,t,r,o){const i=UA.createKeywordTypeNode(154),a=UA.createParameterDeclaration(void 0,void 0,"x",void 0,i,void 0),s=UA.createIndexSignature(void 0,[a],o),l=p_e.ChangeTracker.with(e,(e=>e.insertMemberAtStart(n,t,s)));return l9(Vre,l,[Oa.Add_index_signature_for_property_0,r])}(e,t,n,o.text,s)),c}(e,n)}function $re(e,n,t,r,o){const i=r.text;if(o){if(231===t.kind)return;const r=t.name.getText(),o=Qre(UA.createIdentifier(r),i);e.insertNodeAfter(n,t,o)}else if(rN(r)){const r=UA.createPropertyDeclaration(void 0,i,void 0,void 0,void 0),o=noe(t);o?e.insertNodeAfter(n,o,r):e.insertMemberAtStart(n,t,r)}else{const r=_b(t);if(!r)return;const o=Qre(UA.createThis(),i);e.insertNodeAtConstructorEnd(n,r,o)}}function Qre(e,n){return UA.createExpressionStatement(UA.createAssignment(UA.createPropertyAccessExpression(e,n),loe()))}function Zre(e,n,t){let r;if(226===t.parent.parent.kind){const o=t.parent.parent,i=t.parent===o.left?o.right:o.left,a=e.getWidenedType(e.getBaseTypeOfLiteralType(e.getTypeAtLocation(i)));r=e.typeToTypeNode(a,n,1)}else{const n=e.getContextualType(t.parent);r=n?e.typeToTypeNode(n,void 0,1):void 0}return r||UA.createKeywordTypeNode(133)}function eoe(e,n,t,r,o,i){const a=i?UA.createNodeArray(UA.createModifiersFromModifierFlags(i)):void 0,s=Md(t)?UA.createPropertyDeclaration(a,r,void 0,o,void 0):UA.createPropertySignature(void 0,r,void 0,o),l=noe(t);l?e.insertNodeAfter(n,l,s):e.insertMemberAtStart(n,t,s)}function noe(e){let n;for(const t of e.members){if(!TN(t))break;n=t}return n}function toe(e,n,t,r,o,i,a){const s=lte(a,e.program,e.preferences,e.host),l=ase(Md(i)?174:173,e,s,t,r,o,i),c=function(e,n){if(WN(e))return;const t=Nl(n,(e=>AN(e)||IN(e)));return t&&t.parent===e?t:void 0}(i,t);c?n.insertNodeAfter(a,c,l):n.insertMemberAtStart(a,i,l),s.writeFixes(n)}function roe(e,n,{token:t,parentDeclaration:r}){const o=oe(r.members,(e=>{const t=n.getTypeAtLocation(e);return!!(t&&402653316&t.flags)})),i=r.getSourceFile(),a=UA.createEnumMember(t,o?UA.createStringLiteral(t.text):void 0),s=Le(r.members);s?e.insertNodeInListAfter(i,s,a,r.members):e.insertMemberAtStart(i,r,a)}function ooe(e,n,t){const r=gQ(n.sourceFile,n.preferences),o=lte(n.sourceFile,n.program,n.preferences,n.host),i=2===t.kind?ase(262,n,o,t.call,Ll(t.token),t.modifierFlags,t.parentDeclaration):ise(262,n,r,t.signature,mse(Oa.Function_not_implemented.message,r),t.token,void 0,void 0,void 0,o);void 0===i&&Tt.fail("fixMissingFunctionDeclaration codefix got unexpected error."),QD(t.parentDeclaration)?e.insertNodeBefore(t.sourceFile,t.parentDeclaration,i,!0):e.insertNodeAtEndOfScope(t.sourceFile,t.parentDeclaration,i),o.writeFixes(e)}function ioe(e,n,t){const r=lte(n.sourceFile,n.program,n.preferences,n.host),o=gQ(n.sourceFile,n.preferences),i=n.program.getTypeChecker(),a=t.parentDeclaration.attributes,s=oe(a.properties,HC),l=B(t.attributes,(e=>{const a=soe(n,i,r,o,i.getTypeOfSymbol(e),t.parentDeclaration),s=UA.createIdentifier(e.name),l=UA.createJsxAttribute(s,UA.createJsxExpression(void 0,a));return Vx(s,l),l})),c=UA.createJsxAttributes(s?[...l,...a.properties]:[...a.properties,...l]),d={prefix:a.pos===a.end?" ":void 0};e.replaceNode(n.sourceFile,a,c,d),r.writeFixes(e)}function aoe(e,n,t){const r=lte(n.sourceFile,n.program,n.preferences,n.host),o=gQ(n.sourceFile,n.preferences),i=jp(n.program.getCompilerOptions()),a=n.program.getTypeChecker(),s=B(t.properties,(e=>{const s=soe(n,a,r,o,a.getTypeOfSymbol(e),t.parentDeclaration);return UA.createPropertyAssignment(function(e,n,t,r){if(Pf(e)){const n=r.symbolToNode(e,111551,void 0,1073741824);if(n&&yN(n))return n}return rA(e.name,n,0===t,!1,!1)}(e,i,o,a),s)})),l={leadingTriviaOption:p_e.LeadingTriviaOption.Exclude,trailingTriviaOption:p_e.TrailingTriviaOption.Exclude,indentation:t.indentation};e.replaceNode(n.sourceFile,t.parentDeclaration,UA.createObjectLiteralExpression([...t.parentDeclaration.properties,...s],!0),l),r.writeFixes(e)}function soe(e,n,t,r,i,a){if(3&i.flags)return loe();if(134217732&i.flags)return UA.createStringLiteral("",0===r);if(8&i.flags)return UA.createNumericLiteral(0);if(64&i.flags)return UA.createBigIntLiteral("0n");if(16&i.flags)return UA.createFalse();if(1056&i.flags){const e=i.symbol.exports?Ce(i.symbol.exports.values()):i.symbol,t=n.symbolToExpression(i.symbol.parent?i.symbol.parent:i.symbol,111551,void 0,64);return void 0===e||void 0===t?UA.createNumericLiteral(0):UA.createPropertyAccessExpression(t,n.symbolToString(e))}if(256&i.flags)return UA.createNumericLiteral(i.value);if(2048&i.flags)return UA.createBigIntLiteral(i.value);if(128&i.flags)return UA.createStringLiteral(i.value,0===r);if(512&i.flags)return i===n.getFalseType()||i===n.getFalseType(!0)?UA.createFalse():UA.createTrue();if(65536&i.flags)return UA.createNull();if(1048576&i.flags){return T(i.types,(o=>soe(e,n,t,r,o,a)))??loe()}if(n.isArrayLikeType(i))return UA.createArrayLiteralExpression();if(function(e){return 524288&e.flags&&(128&IS(e)||e.symbol&&hn(we(e.symbol.declarations),WN))}(i)){const o=B(n.getPropertiesOfType(i),(o=>{const i=soe(e,n,t,r,n.getTypeOfSymbol(o),a);return UA.createPropertyAssignment(o.name,i)}));return UA.createObjectLiteralExpression(o,!0)}if(16&IS(i)){if(void 0===D(i.symbol.declarations||o,pt(wN,xN,AN)))return loe();const s=n.getSignaturesOfType(i,0);if(void 0===s)return loe();return ise(218,e,r,s[0],mse(Oa.Function_not_implemented.message,r),void 0,void 0,void 0,a,t)??loe()}if(1&IS(i)){const e=RS(i.symbol);if(void 0===e||Hb(e))return loe();const n=_b(e);return n&&b(n.parameters)?loe():UA.createNewExpression(UA.createIdentifier(i.symbol.name),void 0,void 0)}return loe()}function loe(){return UA.createIdentifier("undefined")}function coe(e){if(Nl(e,KC)){const n=Nl(e.parent,QD);if(n)return n}return $f(e)}var doe,uoe,poe=g({"src/services/codefixes/fixAddMissingMember.ts"(){Tge(),sce(),Vre="fixMissingMember",Ure="fixMissingProperties",Hre="fixMissingAttributes",Kre="fixMissingFunctionDeclaration",p9({errorCodes:qre=[Oa.Property_0_does_not_exist_on_type_1.code,Oa.Property_0_does_not_exist_on_type_1_Did_you_mean_2.code,Oa.Property_0_is_missing_in_type_1_but_required_in_type_2.code,Oa.Type_0_is_missing_the_following_properties_from_type_1_Colon_2.code,Oa.Type_0_is_missing_the_following_properties_from_type_1_Colon_2_and_3_more.code,Oa.Argument_of_type_0_is_not_assignable_to_parameter_of_type_1.code,Oa.Cannot_find_name_0.code],getCodeActions(e){const n=e.program.getTypeChecker(),t=Xre(e.sourceFile,e.span.start,e.errorCode,n,e.program);if(t){if(3===t.kind){const n=p_e.ChangeTracker.with(e,(n=>aoe(n,e,t)));return[c9(Ure,n,Oa.Add_missing_properties,Ure,Oa.Add_all_missing_properties)]}if(4===t.kind){const n=p_e.ChangeTracker.with(e,(n=>ioe(n,e,t)));return[c9(Hre,n,Oa.Add_missing_attributes,Hre,Oa.Add_all_missing_attributes)]}if(2===t.kind||5===t.kind){const n=p_e.ChangeTracker.with(e,(n=>ooe(n,e,t)));return[c9(Kre,n,[Oa.Add_missing_function_declaration_0,t.token.text],Kre,Oa.Add_all_missing_function_declarations)]}if(1===t.kind){const n=p_e.ChangeTracker.with(e,(n=>roe(n,e.program.getTypeChecker(),t)));return[c9(Vre,n,[Oa.Add_missing_enum_member_0,t.token.text],Vre,Oa.Add_all_missing_members)]}return ae(function(e,n){const{parentDeclaration:t,declSourceFile:r,modifierFlags:o,token:i,call:a}=n;if(void 0===a)return;const s=i.text,l=n=>p_e.ChangeTracker.with(e,(o=>toe(e,o,a,i,n,t,r))),c=[c9(Vre,l(256&o),[256&o?Oa.Declare_static_method_0:Oa.Declare_method_0,s],Vre,Oa.Add_all_missing_members)];return 2&o&&c.unshift(l9(Vre,l(2),[Oa.Declare_private_method_0,s])),c}(e,t),Yre(e,t))}},fixIds:[Vre,Kre,Ure,Hre],getAllCodeActions:e=>{const{program:n,fixId:t}=e,r=n.getTypeChecker(),o=new Map,i=new Map;return h9(p_e.ChangeTracker.with(e,(n=>{v9(e,qre,(a=>{const s=Xre(a.file,a.start,a.code,r,e.program);if(s&&PS(o,Hz(s.parentDeclaration)+"#"+(3===s.kind?s.identifier:s.token.text)))if(t!==Kre||2!==s.kind&&5!==s.kind){if(t===Ure&&3===s.kind)aoe(n,e,s);else if(t===Hre&&4===s.kind)ioe(n,e,s);else if(1===s.kind&&roe(n,r,s),0===s.kind){const{parentDeclaration:e,token:n}=s,t=Z(i,e,(()=>[]));t.some((e=>e.token.text===n.text))||t.push(s)}}else ooe(n,e,s)})),i.forEach(((t,o)=>{const a=WN(o)?void 0:Mse(o,r);for(const o of t){if(null==a?void 0:a.some((e=>{const n=i.get(e);return!!n&&n.some((({token:e})=>e.text===o.token.text))})))continue;const{parentDeclaration:t,declSourceFile:s,modifierFlags:l,token:c,call:d,isJSFile:u}=o;if(d&&!rN(c))toe(e,n,d,c,256&l,t,s);else if(!u||cC(t)||WN(t)){const e=Zre(r,t,c);eoe(n,s,t,c.text,e,256&l)}else $re(n,s,t,c,!!(256&l))}}))})))}})}});function foe(e,n,t){const r=gn(function(e,n){let t=l$(e,n.start);const r=Qs(n);for(;t.end<r;)t=t.parent;return t}(n,t),dD),o=UA.createNewExpression(r.expression,r.typeArguments,r.arguments);e.replaceNode(n,r,o)}var moe,_oe,hoe,goe=g({"src/services/codefixes/fixAddMissingNewOperator.ts"(){Tge(),sce(),doe="addMissingNewOperator",p9({errorCodes:uoe=[Oa.Value_of_type_0_is_not_callable_Did_you_mean_to_include_new.code],getCodeActions(e){const{sourceFile:n,span:t}=e,r=p_e.ChangeTracker.with(e,(e=>foe(e,n,t)));return[c9(doe,r,Oa.Add_missing_new_operator_to_call,doe,Oa.Add_missing_new_operator_to_all_calls)]},fixIds:[doe],getAllCodeActions:e=>y9(e,uoe,((n,t)=>foe(n,e.sourceFile,t)))})}});function yoe(e,n,t){const r=Nl(l$(e,t),dD);if(void 0===r||0===b(r.arguments))return;const o=n.getTypeChecker(),i=W(o.getTypeAtLocation(r.expression).symbol.declarations,Eoe);if(void 0===i)return;const a=Le(i);if(void 0===a||void 0===a.body||I0(n,a.getSourceFile()))return;const s=function(e){const n=jl(e);if(n)return n;if(iC(e.parent)&&tN(e.parent.name)||TN(e.parent)||bN(e.parent))return e.parent.name}(a);if(void 0===s)return;const l=[],c=[],d=b(a.parameters),u=b(r.arguments);if(d>u)return;const p=[a,...Toe(a,i)];for(let e=0,n=0,t=0;e<u;e++){const i=r.arguments[e],s=wS(i)?OS(i):i,u=o.getWidenedType(o.getBaseTypeOfLiteralType(o.getTypeAtLocation(i))),f=n<d?a.parameters[n]:void 0;if(f&&o.isTypeAssignableTo(u,o.getTypeAtLocation(f))){n++;continue}const m=s&&tN(s)?s.text:"p"+t++,_=voe(o,u,a);ye(l,{pos:e,declaration:Aoe(m,_,void 0)}),Roe(p,n)||ye(c,{pos:e,declaration:Aoe(m,_,UA.createToken(58))})}return{newParameters:l,newOptionalParameters:c,name:o_(s),declarations:p}}function voe(e,n,t){return e.typeToTypeNode(e.getWidenedType(n),t,1)??UA.createKeywordTypeNode(159)}function boe(e,n,t,r){E(t,(t=>{b(t.parameters)?e.replaceNodeRangeWithNodes(n,Me(t.parameters),ke(t.parameters),Soe(t,r),{joiner:", ",indentation:0,leadingTriviaOption:p_e.LeadingTriviaOption.IncludeAll,trailingTriviaOption:p_e.TrailingTriviaOption.Include}):E(Soe(t,r),((r,o)=>{0===b(t.parameters)&&0===o?e.insertNodeAt(n,t.parameters.end,r):e.insertNodeAtEndOfList(n,t.parameters,r)}))}))}function Eoe(e){switch(e.kind){case 262:case 218:case 174:case 219:return!0;default:return!1}}function Soe(e,n){const t=B(e.parameters,(e=>UA.createParameterDeclaration(e.modifiers,e.dotDotDotToken,e.name,e.questionToken,e.type,e.initializer)));for(const{pos:e,declaration:r}of n){const n=e>0?t[e-1]:void 0;t.splice(e,0,UA.updateParameterDeclaration(r,r.modifiers,r.dotDotDotToken,r.name,n&&n.questionToken?UA.createToken(58):r.questionToken,r.type,r.initializer))}return t}function Toe(e,n){const t=[];for(const r of n)if(xoe(r)){if(b(r.parameters)===b(e.parameters)){t.push(r);continue}if(b(r.parameters)>b(e.parameters))return[]}return t}function xoe(e){return Eoe(e)&&void 0===e.body}function Aoe(e,n,t){return UA.createParameterDeclaration(void 0,void 0,e,t,n,void 0)}function Roe(e,n){return b(e)&&oe(e,(e=>n<b(e.parameters)&&!!e.parameters[n]&&void 0===e.parameters[n].questionToken))}var Ioe,Noe,Doe,Coe=g({"src/services/codefixes/fixAddMissingParam.ts"(){Tge(),sce(),moe="addMissingParam",_oe="addOptionalParam",p9({errorCodes:hoe=[Oa.Expected_0_arguments_but_got_1.code],fixIds:[moe,_oe],getCodeActions(e){const n=yoe(e.sourceFile,e.program,e.span.start);if(void 0===n)return;const{name:t,declarations:r,newParameters:o,newOptionalParameters:i}=n,a=[];return b(o)&&ye(a,c9(moe,p_e.ChangeTracker.with(e,(n=>boe(n,e.sourceFile,r,o))),[b(o)>1?Oa.Add_missing_parameters_to_0:Oa.Add_missing_parameter_to_0,t],moe,Oa.Add_all_missing_parameters)),b(i)&&ye(a,c9(_oe,p_e.ChangeTracker.with(e,(n=>boe(n,e.sourceFile,r,i))),[b(i)>1?Oa.Add_optional_parameters_to_0:Oa.Add_optional_parameter_to_0,t],_oe,Oa.Add_all_optional_parameters)),a},getAllCodeActions:e=>y9(e,hoe,((n,t)=>{const r=yoe(e.sourceFile,e.program,t.start);if(r){const{declarations:t,newParameters:o,newOptionalParameters:i}=r;e.fixId===moe&&boe(n,e.sourceFile,t,o),e.fixId===_oe&&boe(n,e.sourceFile,t,i)}}))})}});function Moe(e,n){return{type:"install package",file:e,packageName:n}}function Poe(e,n){const t=hn(l$(e,n),zI);if(!t)return;const r=t.text,{packageName:o}=dW(r);return Xs(o)?void 0:o}function Loe(e,n,t){var r;return t===Noe?vX.nodeCoreModules.has(e)?"@types/node":void 0:(null==(r=n.isKnownTypesPackageName)?void 0:r.call(n,e))?TW(e):void 0}var koe,woe,Ooe=g({"src/services/codefixes/fixCannotFindModule.ts"(){Tge(),sce(),Ioe="installTypesPackage",Noe=Oa.Cannot_find_module_0_or_its_corresponding_type_declarations.code,p9({errorCodes:Doe=[Noe,Oa.Could_not_find_a_declaration_file_for_module_0_1_implicitly_has_an_any_type.code],getCodeActions:function(e){const{host:n,sourceFile:t,span:{start:r}}=e,o=Poe(t,r);if(void 0===o)return;const i=Loe(o,n,e.errorCode);return void 0===i?[]:[c9("fixCannotFindModule",[],[Oa.Install_0,i],Ioe,Oa.Install_all_missing_types_packages,Moe(t.fileName,i))]},fixIds:[Ioe],getAllCodeActions:e=>y9(e,Doe,((n,t,r)=>{const o=Poe(t.file,t.start);if(void 0!==o)switch(e.fixId){case Ioe:{const n=Loe(o,e.host,t.code);n&&r.push(Moe(t.file.fileName,n));break}default:Tt.fail(`Bad fixId: ${e.fixId}`)}}))})}});function Foe(e,n){return gn(l$(e,n).parent,Md)}function Woe(e,n,t,r,o){const i=Oy(e),a=t.program.getTypeChecker(),s=a.getTypeAtLocation(i),l=a.getPropertiesOfType(s).filter(zoe),c=lte(n,t.program,o,t.host);tse(e,l,n,t,o,c,(t=>r.insertMemberAtStart(n,e,t))),c.writeFixes(r)}function zoe(e){const n=nE(Me(e.getDeclarations()));return!(2&n||!(64&n))}var Goe,Boe,joe=g({"src/services/codefixes/fixClassDoesntImplementInheritedAbstractMember.ts"(){Tge(),sce(),p9({errorCodes:koe=[Oa.Non_abstract_class_0_does_not_implement_all_abstract_members_of_1.code],getCodeActions:function(e){const{sourceFile:n,span:t}=e,r=p_e.ChangeTracker.with(e,(r=>Woe(Foe(n,t.start),n,e,r,e.preferences)));return 0===r.length?void 0:[c9(woe,r,Oa.Implement_inherited_abstract_class,woe,Oa.Implement_all_inherited_abstract_classes)]},fixIds:[woe="fixClassDoesntImplementInheritedAbstractMember"],getAllCodeActions:function(e){const n=new Map;return y9(e,koe,((t,r)=>{const o=Foe(r.file,r.start);PS(n,Hz(o))&&Woe(o,e.sourceFile,e,t,e.preferences)}))}})}});function Voe(e,n,t,r){e.insertNodeAtConstructorStart(n,t,r),e.delete(n,r)}function Uoe(e,n){const t=l$(e,n);if(110!==t.kind)return;const r=fh(t),o=Hoe(r.body);return o&&!o.expression.arguments.some((e=>lD(e)&&e.expression===t))?{constructor:r,superCall:o}:void 0}function Hoe(e){return VD(e)&&M_(e.expression)?e:Td(e)?void 0:ok(e,Hoe)}var Koe,qoe,Joe=g({"src/services/codefixes/fixClassSuperMustPrecedeThisAccess.ts"(){Tge(),sce(),Goe="classSuperMustPrecedeThisAccess",p9({errorCodes:Boe=[Oa.super_must_be_called_before_accessing_this_in_the_constructor_of_a_derived_class.code],getCodeActions(e){const{sourceFile:n,span:t}=e,r=Uoe(n,t.start);if(!r)return;const{constructor:o,superCall:i}=r,a=p_e.ChangeTracker.with(e,(e=>Voe(e,n,o,i)));return[c9(Goe,a,Oa.Make_super_call_the_first_statement_in_the_constructor,Goe,Oa.Make_all_super_calls_the_first_statement_in_their_constructor)]},fixIds:[Goe],getAllCodeActions(e){const{sourceFile:n}=e,t=new Map;return y9(e,Boe,((e,r)=>{const o=Uoe(r.file,r.start);if(!o)return;const{constructor:i,superCall:a}=o;PS(t,Hz(i.parent))&&Voe(e,n,i,a)}))}})}});function Xoe(e,n){const t=l$(e,n);return Tt.assert(IN(t.parent),"token should be at the constructor declaration"),t.parent}function Yoe(e,n,t){const r=UA.createExpressionStatement(UA.createCallExpression(UA.createSuper(),void 0,o));e.insertNodeAtConstructorStart(n,t,r)}var $oe,Qoe,Zoe=g({"src/services/codefixes/fixConstructorForDerivedNeedSuperCall.ts"(){Tge(),sce(),Koe="constructorForDerivedNeedSuperCall",p9({errorCodes:qoe=[Oa.Constructors_for_derived_classes_must_contain_a_super_call.code],getCodeActions(e){const{sourceFile:n,span:t}=e,r=Xoe(n,t.start),o=p_e.ChangeTracker.with(e,(e=>Yoe(e,n,r)));return[c9(Koe,o,Oa.Add_missing_super_call,Koe,Oa.Add_all_missing_super_calls)]},fixIds:[Koe],getAllCodeActions:e=>y9(e,qoe,((n,t)=>Yoe(n,e.sourceFile,Xoe(t.file,t.start))))})}});function eie(e,n){hse(e,n,"jsx",UA.createStringLiteral("react"))}var nie,tie,rie=g({"src/services/codefixes/fixEnableJsxFlag.ts"(){Tge(),sce(),$oe="fixEnableJsxFlag",p9({errorCodes:Qoe=[Oa.Cannot_use_JSX_unless_the_jsx_flag_is_provided.code],getCodeActions:function(e){const{configFile:n}=e.program.getCompilerOptions();if(void 0===n)return;const t=p_e.ChangeTracker.with(e,(e=>eie(e,n)));return[l9($oe,t,Oa.Enable_the_jsx_flag_in_your_configuration_file)]},fixIds:[$oe],getAllCodeActions:e=>y9(e,Qoe,(n=>{const{configFile:t}=e.program.getCompilerOptions();void 0!==t&&eie(n,t)}))})}});function oie(e,n,t){const r=D(e.getSemanticDiagnostics(n),(e=>e.start===t.start&&e.length===t.length));if(void 0===r||void 0===r.relatedInformation)return;const o=D(r.relatedInformation,(e=>e.code===Oa.Did_you_mean_0.code));if(void 0===o||void 0===o.file||void 0===o.start||void 0===o.length)return;const i=Sse(o.file,dl(o.start,o.length));return void 0!==i&&uu(i)&&TD(i.parent)?{suggestion:aie(o.messageText),expression:i.parent,arg:i}:void 0}function iie(e,n,t,r){const o=UA.createCallExpression(UA.createPropertyAccessExpression(UA.createIdentifier("Number"),UA.createIdentifier("isNaN")),void 0,[t]),i=r.operatorToken.kind;e.replaceNode(n,r,38===i||36===i?UA.createPrefixUnaryExpression(54,o):o)}function aie(e){const[,n]=zU(e,"\n",0).match(/'(.*)'/)||[];return n}var sie,lie,cie=g({"src/services/codefixes/fixNaNEquality.ts"(){Tge(),sce(),nie="fixNaNEquality",p9({errorCodes:tie=[Oa.This_condition_will_always_return_0.code],getCodeActions(e){const{sourceFile:n,span:t,program:r}=e,o=oie(r,n,t);if(void 0===o)return;const{suggestion:i,expression:a,arg:s}=o,l=p_e.ChangeTracker.with(e,(e=>iie(e,n,s,a)));return[c9(nie,l,[Oa.Use_0,i],nie,Oa.Use_Number_isNaN_in_all_conditions)]},fixIds:[nie],getAllCodeActions:e=>y9(e,tie,((n,t)=>{const r=oie(e.program,t.file,dl(t.start,t.length));r&&iie(n,t.file,r.arg,r.expression)}))})}}),die=g({"src/services/codefixes/fixModuleAndTargetOptions.ts"(){Tge(),sce(),p9({errorCodes:[Oa.Top_level_await_expressions_are_only_allowed_when_the_module_option_is_set_to_es2022_esnext_system_node16_nodenext_or_preserve_and_the_target_option_is_set_to_es2017_or_higher.code,Oa.Top_level_await_using_statements_are_only_allowed_when_the_module_option_is_set_to_es2022_esnext_system_node16_nodenext_or_preserve_and_the_target_option_is_set_to_es2017_or_higher.code,Oa.Top_level_for_await_loops_are_only_allowed_when_the_module_option_is_set_to_es2022_esnext_system_node16_nodenext_or_preserve_and_the_target_option_is_set_to_es2017_or_higher.code],getCodeActions:function(e){const n=e.program.getCompilerOptions(),{configFile:t}=n;if(void 0===t)return;const r=[],o=Vp(n);if(o>=5&&o<99){const n=p_e.ChangeTracker.with(e,(e=>{hse(e,t,"module",UA.createStringLiteral("esnext"))}));r.push(l9("fixModuleOption",n,[Oa.Set_the_module_option_in_your_configuration_file_to_0,"esnext"]))}const i=jp(n);if(i<4||i>99){const n=p_e.ChangeTracker.with(e,(e=>{if(!dh(t))return;const n=[["target",UA.createStringLiteral("es2017")]];1===o&&n.push(["module",UA.createStringLiteral("commonjs")]),_se(e,t,n)}));r.push(l9("fixTargetOption",n,[Oa.Set_the_target_option_in_your_configuration_file_to_0,"es2017"]))}return r.length?r:void 0}})}});function uie(e,n,t){e.replaceNode(n,t,UA.createPropertyAssignment(t.name,t.objectAssignmentInitializer))}function pie(e,n){return gn(l$(e,n).parent,ZC)}var fie,mie,_ie=g({"src/services/codefixes/fixPropertyAssignment.ts"(){Tge(),sce(),sie="fixPropertyAssignment",p9({errorCodes:lie=[Oa.Did_you_mean_to_use_a_Colon_An_can_only_follow_a_property_name_when_the_containing_object_literal_is_part_of_a_destructuring_pattern.code],fixIds:[sie],getCodeActions(e){const{sourceFile:n,span:t}=e,r=pie(n,t.start),o=p_e.ChangeTracker.with(e,(n=>uie(n,e.sourceFile,r)));return[c9(sie,o,[Oa.Change_0_to_1,"=",":"],sie,[Oa.Switch_each_misused_0_to_1,"=",":"])]},getAllCodeActions:e=>y9(e,lie,((e,n)=>uie(e,n.file,pie(n.file,n.start))))})}});function hie(e,n){const t=_h(l$(e,n)).heritageClauses,r=t[0].getFirstToken();return 96===r.kind?{extendsToken:r,heritageClauses:t}:void 0}function gie(e,n,t,r){if(e.replaceNode(n,t,UA.createToken(119)),2===r.length&&96===r[0].token&&119===r[1].token){const t=r[1].getFirstToken(),o=t.getFullStart();e.replaceRange(n,{pos:o,end:o},UA.createToken(28));const i=n.text;let a=t.end;for(;a<i.length&&gs(i.charCodeAt(a));)a++;e.deleteRange(n,{pos:t.getStart(),end:a})}}var yie,vie,bie,Eie=g({"src/services/codefixes/fixExtendsInterfaceBecomesImplements.ts"(){Tge(),sce(),fie="extendsInterfaceBecomesImplements",p9({errorCodes:mie=[Oa.Cannot_extend_an_interface_0_Did_you_mean_implements.code],getCodeActions(e){const{sourceFile:n}=e,t=hie(n,e.span.start);if(!t)return;const{extendsToken:r,heritageClauses:o}=t,i=p_e.ChangeTracker.with(e,(e=>gie(e,n,r,o)));return[c9(fie,i,Oa.Change_extends_to_implements,fie,Oa.Change_all_extended_interfaces_to_implements)]},fixIds:[fie],getAllCodeActions:e=>y9(e,mie,((e,n)=>{const t=hie(n.file,n.start);t&&gie(e,n.file,t.extendsToken,t.heritageClauses)}))})}});function Sie(e,n,t){const r=l$(e,n);if(tN(r)||rN(r))return{node:r,className:t===vie?_h(r).name.text:void 0}}function Tie(e,n,{node:t,className:r}){vZ(t),e.replaceNode(n,t,UA.createPropertyAccessExpression(r?UA.createIdentifier(r):UA.createThis(),t))}var xie,Aie,Rie,Iie,Nie=g({"src/services/codefixes/fixForgottenThisPropertyAccess.ts"(){Tge(),sce(),yie="forgottenThisPropertyAccess",vie=Oa.Cannot_find_name_0_Did_you_mean_the_static_member_1_0.code,p9({errorCodes:bie=[Oa.Cannot_find_name_0_Did_you_mean_the_instance_member_this_0.code,Oa.Private_identifiers_are_only_allowed_in_class_bodies_and_may_only_be_used_as_part_of_a_class_member_declaration_property_access_or_on_the_left_hand_side_of_an_in_expression.code,vie],getCodeActions(e){const{sourceFile:n}=e,t=Sie(n,e.span.start,e.errorCode);if(!t)return;const r=p_e.ChangeTracker.with(e,(e=>Tie(e,n,t)));return[c9(yie,r,[Oa.Add_0_to_unresolved_variable,t.className||"this"],yie,Oa.Add_qualifier_to_all_unresolved_variables_matching_a_member_name)]},fixIds:[yie],getAllCodeActions:e=>y9(e,bie,((n,t)=>{const r=Sie(t.file,t.start,t.code);r&&Tie(n,e.sourceFile,r)}))})}});function Die(e,n,t,r,o){const i=t.getText()[r];if(!function(e){return je(Iie,e)}(i))return;const a=o?Iie[i]:`{${kZ(t,n,i)}}`;e.replaceRangeWithText(t,{pos:r,end:r+1},a)}var Cie,Mie,Pie,Lie=g({"src/services/codefixes/fixInvalidJsxCharacters.ts"(){Tge(),sce(),xie="fixInvalidJsxCharacters_expression",Aie="fixInvalidJsxCharacters_htmlEntity",p9({errorCodes:Rie=[Oa.Unexpected_token_Did_you_mean_or_gt.code,Oa.Unexpected_token_Did_you_mean_or_rbrace.code],fixIds:[xie,Aie],getCodeActions(e){const{sourceFile:n,preferences:t,span:r}=e,o=p_e.ChangeTracker.with(e,(e=>Die(e,t,n,r.start,!1))),i=p_e.ChangeTracker.with(e,(e=>Die(e,t,n,r.start,!0)));return[c9(xie,o,Oa.Wrap_invalid_character_in_an_expression_container,xie,Oa.Wrap_all_invalid_characters_in_an_expression_container),c9(Aie,i,Oa.Convert_invalid_character_to_its_html_entity_code,Aie,Oa.Convert_all_invalid_characters_to_HTML_entity_code)]},getAllCodeActions(e){return y9(e,Rie,((n,t)=>Die(n,e.preferences,t.file,t.start,e.fixId===Aie)))}}),Iie={">":"&gt;","}":"&rbrace;"}}});function kie(e,n){const t=l$(e,n);if(t.parent&&OM(t.parent)&&tN(t.parent.name)){const e=t.parent,n=ly(e),r=ay(e);if(n&&r)return{jsDocHost:n,signature:r,name:t.parent.name,jsDocParameterTag:e}}}var wie,Oie=g({"src/services/codefixes/fixUnmatchedParameter.ts"(){Tge(),sce(),Cie="deleteUnmatchedParameter",Mie="renameUnmatchedParameter",Pie=[Oa.JSDoc_param_tag_has_name_0_but_there_is_no_parameter_with_that_name.code],p9({fixIds:[Cie,Mie],errorCodes:Pie,getCodeActions:function(e){const{sourceFile:n,span:t}=e,r=[],o=kie(n,t.start);if(o)return ye(r,function(e,{name:n,jsDocHost:t,jsDocParameterTag:r}){const o=p_e.ChangeTracker.with(e,(n=>n.filterJSDocTags(e.sourceFile,t,(e=>e!==r))));return c9(Cie,o,[Oa.Delete_unused_param_tag_0,n.getText(e.sourceFile)],Cie,Oa.Delete_all_unused_param_tags)}(e,o)),ye(r,function(e,{name:n,jsDocHost:t,signature:r,jsDocParameterTag:o}){if(!b(r.parameters))return;const i=e.sourceFile,a=Sc(r),s=new Set;for(const e of a)OM(e)&&tN(e.name)&&s.add(e.name.escapedText);const l=T(r.parameters,(e=>tN(e.name)&&!s.has(e.name.escapedText)?e.name.getText(i):void 0));if(void 0===l)return;const c=UA.updateJSDocParameterTag(o,o.tagName,UA.createIdentifier(l),o.isBracketed,o.typeExpression,o.isNameFirst,o.comment),d=p_e.ChangeTracker.with(e,(e=>e.replaceJSDocComment(i,t,B(a,(e=>e===o?c:e)))));return l9(Mie,d,[Oa.Rename_param_tag_name_0_to_1,n.getText(i),l])}(e,o)),r},getAllCodeActions:function(e){const n=new Map;return h9(p_e.ChangeTracker.with(e,(t=>{v9(e,Pie,(({file:e,start:t})=>{const r=kie(e,t);r&&n.set(r.signature,ye(n.get(r.signature),r.jsDocParameterTag))})),n.forEach(((n,r)=>{if(e.fixId===Cie){const e=new Set(n);t.filterJSDocTags(r.getSourceFile(),r,(n=>!e.has(n)))}}))})))}})}});var Fie,Wie,zie,Gie,Bie,jie,Vie=g({"src/services/codefixes/fixUnreferenceableDecoratorMetadata.ts"(){Tge(),sce(),wie="fixUnreferenceableDecoratorMetadata",p9({errorCodes:[Oa.A_type_referenced_in_a_decorated_signature_must_be_imported_with_import_type_or_a_namespace_import_when_isolatedModules_and_emitDecoratorMetadata_are_enabled.code],getCodeActions:e=>{const n=function(e,n,t){const r=hn(l$(e,t),tN);if(!r||183!==r.parent.kind)return;const i=n.getTypeChecker().getSymbolAtLocation(r);return D((null==i?void 0:i.declarations)||o,pt(yC,IC,hC))}(e.sourceFile,e.program,e.span.start);if(!n)return;const t=p_e.ChangeTracker.with(e,(t=>276===n.kind&&function(e,n,t,r){P5.doChangeNamedToNamespaceOrDefault(n,r,e,t.parent)}(t,e.sourceFile,n,e.program))),r=p_e.ChangeTracker.with(e,(t=>function(e,n,t,r){if(271===t.kind)return void e.insertModifierBefore(n,156,t.name);const o=273===t.kind?t:t.parent.parent;if(o.name&&o.namedBindings)return;const i=r.getTypeChecker();Vg(o,(e=>{if(111551&hS(e.symbol,i).flags)return!0}))||e.insertModifierBefore(n,156,o)}(t,e.sourceFile,n,e.program)));let i;return t.length&&(i=ye(i,l9(wie,t,Oa.Convert_named_imports_to_namespace_import))),r.length&&(i=ye(i,l9(wie,r,Oa.Use_import_type))),i},fixIds:[wie]})}});function Uie(e,n,t){e.replaceNode(n,t.parent,UA.createKeywordTypeNode(159))}function Hie(e,n){return c9(Fie,e,n,zie,Oa.Delete_all_unused_declarations)}function Kie(e,n,t){e.delete(n,Tt.checkDefined(gn(t.parent,Xm).typeParameters,"The type parameter to delete should exist"))}function qie(e){return 102===e.kind||80===e.kind&&(276===e.parent.kind||273===e.parent.kind)}function Jie(e){return 102===e.kind?hn(e.parent,gC):void 0}function Xie(e,n){return aC(n.parent)&&Me(n.parent.getChildren(e))===n}function Yie(e,n,t){e.delete(n,243===t.parent.kind?t.parent:t)}function $ie(e,n,t,r){n!==Oa.Property_0_is_declared_but_its_value_is_never_read.code&&(140===r.kind&&(r=gn(r.parent,qN).typeParameter.name),tN(r)&&function(e){switch(e.parent.kind){case 169:case 168:return!0;case 260:switch(e.parent.parent.parent.kind){case 250:case 249:return!0}}return!1}(r)&&(e.replaceNode(t,r,UA.createIdentifier(`_${r.text}`)),bN(r.parent)&&ql(r.parent).forEach((n=>{tN(n.name)&&e.replaceNode(t,n.name,UA.createIdentifier(`_${n.name.text}`))}))))}function Qie(e,n,t,r,o,i,a,s){!function(e,n,t,r,o,i,a,s){const{parent:l}=e;if(bN(l))!function(e,n,t,r,o,i,a,s=!1){if(function(e,n,t,r,o,i,a){const{parent:s}=t;switch(s.kind){case 174:case 176:const l=s.parameters.indexOf(t),c=AN(s)?s.name:s,d=Hue.Core.getReferencedSymbolsForNode(s.pos,c,o,r,i);if(d)for(const e of d)for(const n of e.references)if(n.kind===Hue.EntryKind.Node){const e=mN(n.node)&&dD(n.node.parent)&&n.node.parent.arguments.length>l,r=lD(n.node.parent)&&mN(n.node.parent.expression)&&dD(n.node.parent.parent)&&n.node.parent.parent.arguments.length>l,o=(AN(n.node.parent)||xN(n.node.parent))&&n.node.parent!==t.parent&&n.node.parent.parameters.length>l;if(e||r||o)return!1}return!0;case 262:return!s.name||!function(e,n,t){return!!Hue.Core.eachSymbolReferenceInFile(t,e,n,(e=>tN(e)&&dD(e.parent)&&e.parent.arguments.includes(e)))}(e,n,s.name)||eae(s,t,a);case 218:case 219:return eae(s,t,a);case 178:return!1;case 177:return!0;default:return Tt.failBadSyntaxKind(s)}}(r,n,t,o,i,a,s))if(t.modifiers&&t.modifiers.length>0&&(!tN(t.name)||Hue.Core.isSymbolReferencedInFile(t.name,r,n)))for(const r of t.modifiers)vd(r)&&e.deleteModifier(n,r);else!t.initializer&&Zie(t,r,o)&&e.delete(n,t)}(n,t,l,r,o,i,a,s);else if(!(s&&tN(e)&&Hue.Core.isSymbolReferencedInFile(e,r,t))){const r=yC(l)?e:yN(l)?l.parent:l;Tt.assert(r!==t,"should not delete whole source file"),n.delete(t,r)}}(n,t,e,r,o,i,a,s),tN(n)&&Hue.Core.eachSymbolReferenceInFile(n,r,e,(n=>{var r;lD(n.parent)&&n.parent.name===n&&(n=n.parent),!s&&((TD((r=n).parent)&&r.parent.left===r||(SD(r.parent)||ED(r.parent))&&r.parent.operand===r)&&VD(r.parent.parent))&&t.delete(e,n.parent.parent)}))}function Zie(e,n,t){const r=e.parent.parameters.indexOf(e);return!Hue.Core.someSignatureUsage(e.parent,t,n,((e,n)=>!n||n.arguments.length>r))}function eae(e,n,t){const r=e.parameters,o=r.indexOf(n);return Tt.assert(-1!==o,"The parameter should already be in the list"),t?r.slice(o+1).every((e=>tN(e.name)&&!e.symbol.isReferenced)):o===r.length-1}var nae,tae,rae=g({"src/services/codefixes/fixUnusedIdentifier.ts"(){Tge(),sce(),Fie="unusedIdentifier",Wie="unusedIdentifier_prefix",zie="unusedIdentifier_delete",Gie="unusedIdentifier_deleteImports",Bie="unusedIdentifier_infer",p9({errorCodes:jie=[Oa._0_is_declared_but_its_value_is_never_read.code,Oa._0_is_declared_but_never_used.code,Oa.Property_0_is_declared_but_its_value_is_never_read.code,Oa.All_imports_in_import_declaration_are_unused.code,Oa.All_destructured_elements_are_unused.code,Oa.All_variables_are_unused.code,Oa.All_type_parameters_are_unused.code],getCodeActions(e){const{errorCode:n,sourceFile:t,program:r,cancellationToken:o}=e,i=r.getTypeChecker(),a=r.getSourceFiles(),s=l$(t,e.span.start);if(GM(s))return[Hie(p_e.ChangeTracker.with(e,(e=>e.delete(t,s))),Oa.Remove_template_tag)];if(30===s.kind){return[Hie(p_e.ChangeTracker.with(e,(e=>Kie(e,t,s))),Oa.Remove_type_parameters)]}const l=Jie(s);if(l){const n=p_e.ChangeTracker.with(e,(e=>e.delete(t,l)));return[c9(Fie,n,[Oa.Remove_import_from_0,CS(l)],Gie,Oa.Delete_all_unused_imports)]}if(qie(s)){const n=p_e.ChangeTracker.with(e,(e=>Qie(t,s,e,i,a,r,o,!1)));if(n.length)return[c9(Fie,n,[Oa.Remove_unused_declaration_for_Colon_0,s.getText(t)],Gie,Oa.Delete_all_unused_imports)]}if(rD(s.parent)||oD(s.parent)){if(bN(s.parent.parent)){const n=s.parent.elements,r=[n.length>1?Oa.Remove_unused_declarations_for_Colon_0:Oa.Remove_unused_declaration_for_Colon_0,B(n,(e=>e.getText(t))).join(", ")];return[Hie(p_e.ChangeTracker.with(e,(e=>function(e,n,t){E(t.elements,(t=>e.delete(n,t)))}(e,t,s.parent))),r)]}return[Hie(p_e.ChangeTracker.with(e,(n=>function(e,n,t,{parent:r}){if(iC(r)&&r.initializer&&tu(r.initializer))if(aC(r.parent)&&b(r.parent.declarations)>1){const o=r.parent.parent,i=o.getStart(t),a=o.end;n.delete(t,r),n.insertNodeAt(t,a,r.initializer,{prefix:eZ(e.host,e.formatContext.options)+t.text.slice(fZ(t.text,i-1),i),suffix:HZ(t)?";":""})}else n.replaceNode(t,r.parent,r.initializer);else n.delete(t,r)}(e,n,t,s.parent))),Oa.Remove_unused_destructuring_declaration)]}if(Xie(t,s))return[Hie(p_e.ChangeTracker.with(e,(e=>Yie(e,t,s.parent))),Oa.Remove_variable_statement)];const c=[];if(140===s.kind){const n=p_e.ChangeTracker.with(e,(e=>Uie(e,t,s))),r=gn(s.parent,qN).typeParameter.name.text;c.push(c9(Fie,n,[Oa.Replace_infer_0_with_unknown,r],Bie,Oa.Replace_all_unused_infer_with_unknown))}else{const n=p_e.ChangeTracker.with(e,(e=>Qie(t,s,e,i,a,r,o,!1)));if(n.length){const e=yN(s.parent)?s.parent:s;c.push(Hie(n,[Oa.Remove_unused_declaration_for_Colon_0,e.getText(t)]))}}const d=p_e.ChangeTracker.with(e,(e=>$ie(e,n,t,s)));return d.length&&c.push(c9(Fie,d,[Oa.Prefix_0_with_an_underscore,s.getText(t)],Wie,Oa.Prefix_all_unused_declarations_with_where_possible)),c},fixIds:[Wie,zie,Gie,Bie],getAllCodeActions:e=>{const{sourceFile:n,program:t,cancellationToken:r}=e,o=t.getTypeChecker(),i=t.getSourceFiles();return y9(e,jie,((a,s)=>{const l=l$(n,s.start);switch(e.fixId){case Wie:$ie(a,s.code,n,l);break;case Gie:{const e=Jie(l);e?a.delete(n,e):qie(l)&&Qie(n,l,a,o,i,t,r,!0);break}case zie:if(140===l.kind||qie(l))break;if(GM(l))a.delete(n,l);else if(30===l.kind)Kie(a,n,l);else if(rD(l.parent)){if(l.parent.parent.initializer)break;bN(l.parent.parent)&&!Zie(l.parent.parent,o,i)||a.delete(n,l.parent.parent)}else{if(oD(l.parent.parent)&&l.parent.parent.parent.initializer)break;Xie(n,l)?Yie(a,n,l.parent):Qie(n,l,a,o,i,t,r,!0)}break;case Bie:140===l.kind&&Uie(a,n,l);break;default:Tt.fail(JSON.stringify(e.fixId))}}))}})}});function oae(e,n,t,r,i){const a=l$(n,t),s=Nl(a,wu);if(s.getStart(n)!==a.getStart(n)){const e=JSON.stringify({statementKind:Tt.formatSyntaxKind(s.kind),tokenKind:Tt.formatSyntaxKind(a.kind),errorCode:i,start:t,length:r});Tt.fail("Token and statement should start at the same point. "+e)}const l=(GD(s.parent)?s.parent:s).parent;if(!GD(s.parent)||s===Me(s.parent.statements))switch(l.kind){case 245:if(l.elseStatement){if(GD(s.parent))break;return void e.replaceNode(n,s,UA.createBlock(o))}case 247:case 248:return void e.delete(n,l)}if(GD(s.parent)){const o=t+r,i=Tt.checkDefined(function(e,n){let t;for(const r of e){if(!n(r))break;t=r}return t}(Tx(s.parent.statements,s),(e=>e.pos<o)),"Some statement should be last");e.deleteNodeRange(n,s,i)}else e.delete(n,s)}var iae,aae,sae=g({"src/services/codefixes/fixUnreachableCode.ts"(){Tge(),sce(),nae="fixUnreachableCode",p9({errorCodes:tae=[Oa.Unreachable_code_detected.code],getCodeActions(e){if(e.program.getSyntacticDiagnostics(e.sourceFile,e.cancellationToken).length)return;const n=p_e.ChangeTracker.with(e,(n=>oae(n,e.sourceFile,e.span.start,e.span.length,e.errorCode)));return[c9(nae,n,Oa.Remove_unreachable_code,nae,Oa.Remove_all_unreachable_code)]},fixIds:[nae],getAllCodeActions:e=>y9(e,tae,((e,n)=>oae(e,n.file,n.start,n.length,n.code)))})}});function lae(e,n,t){const r=l$(n,t),o=gn(r.parent,nC),i=r.getStart(n),a=o.statement.getStart(n),s=iS(i,a,n)?a:Ts(n.text,JY(o,59,n).end,!0);e.deleteRange(n,{pos:i,end:s})}var cae,dae,uae,pae=g({"src/services/codefixes/fixUnusedLabel.ts"(){Tge(),sce(),iae="fixUnusedLabel",p9({errorCodes:aae=[Oa.Unused_label.code],getCodeActions(e){const n=p_e.ChangeTracker.with(e,(n=>lae(n,e.sourceFile,e.span.start)));return[c9(iae,n,Oa.Remove_unused_label,iae,Oa.Remove_all_unused_labels)]},fixIds:[iae],getAllCodeActions:e=>y9(e,aae,((e,n)=>lae(e,n.file,n.start)))})}});function fae(e,n,t,r,o){e.replaceNode(n,t,o.typeToTypeNode(r,t,void 0))}function mae(e,n,t){const r=Nl(l$(e,n),_ae),o=r&&r.type;return o&&{typeNode:o,type:hae(t,o)}}function _ae(e){switch(e.kind){case 234:case 179:case 180:case 262:case 177:case 181:case 200:case 174:case 173:case 169:case 172:case 171:case 178:case 265:case 216:case 260:return!0;default:return!1}}function hae(e,n){if(mM(n)){const t=e.getTypeFromTypeNode(n.type);return t===e.getNeverType()||t===e.getVoidType()?t:e.getUnionType(ye([t,e.getUndefinedType()],n.postfix?void 0:e.getNullType()))}return e.getTypeFromTypeNode(n)}var gae,yae,vae=g({"src/services/codefixes/fixJSDocTypes.ts"(){Tge(),sce(),cae="fixJSDocTypes_plain",dae="fixJSDocTypes_nullable",p9({errorCodes:uae=[Oa.JSDoc_types_can_only_be_used_inside_documentation_comments.code,Oa._0_at_the_end_of_a_type_is_not_valid_TypeScript_syntax_Did_you_mean_to_write_1.code,Oa._0_at_the_start_of_a_type_is_not_valid_TypeScript_syntax_Did_you_mean_to_write_1.code],getCodeActions(e){const{sourceFile:n}=e,t=e.program.getTypeChecker(),r=mae(n,e.span.start,t);if(!r)return;const{typeNode:o,type:i}=r,a=o.getText(n),s=[l(i,cae,Oa.Change_all_jsdoc_style_types_to_TypeScript)];return 321===o.kind&&s.push(l(i,dae,Oa.Change_all_jsdoc_style_types_to_TypeScript_and_add_undefined_to_nullable_types)),s;function l(r,i,s){return c9("jdocTypes",p_e.ChangeTracker.with(e,(e=>fae(e,n,o,r,t))),[Oa.Change_0_to_1,a,t.typeToString(r)],i,s)}},fixIds:[cae,dae],getAllCodeActions(e){const{fixId:n,program:t,sourceFile:r}=e,o=t.getTypeChecker();return y9(e,uae,((e,t)=>{const i=mae(t.file,t.start,o);if(!i)return;const{typeNode:a,type:s}=i,l=321===a.kind&&n===dae?o.getNullableType(s,32768):s;fae(e,r,a,l,o)}))}})}});function bae(e,n,t){e.replaceNodeWithText(n,t,`${t.text}()`)}function Eae(e,n){const t=l$(e,n);if(lD(t.parent)){let e=t.parent;for(;lD(e.parent);)e=e.parent;return e.name}if(tN(t))return t}var Sae,Tae,xae=g({"src/services/codefixes/fixMissingCallParentheses.ts"(){Tge(),sce(),gae="fixMissingCallParentheses",p9({errorCodes:yae=[Oa.This_condition_will_always_return_true_since_this_function_is_always_defined_Did_you_mean_to_call_it_instead.code],fixIds:[gae],getCodeActions(e){const{sourceFile:n,span:t}=e,r=Eae(n,t.start);if(!r)return;const o=p_e.ChangeTracker.with(e,(n=>bae(n,e.sourceFile,r)));return[c9(gae,o,Oa.Add_missing_call_parentheses,gae,Oa.Add_all_missing_call_parentheses)]},getAllCodeActions:e=>y9(e,yae,((e,n)=>{const t=Eae(n.file,n.start);t&&bae(e,n.file,t)}))})}});function Aae(e,n){const t=fh(l$(e,n));if(!t)return;let r;switch(t.kind){case 174:r=t.name;break;case 262:case 218:r=JY(t,100,e);break;case 219:r=JY(t,t.typeParameters?30:21,e)||Me(t.parameters);break;default:return}return r&&{insertBefore:r,returnType:(o=t,o.type?o.type:iC(o.parent)&&o.parent.type&&wN(o.parent.type)?o.parent.type.type:void 0)};var o}function Rae(e,n,{insertBefore:t,returnType:r}){if(r){const t=Ch(r);t&&80===t.kind&&"Promise"===t.text||e.replaceNode(n,r,UA.createTypeReferenceNode("Promise",UA.createNodeArray([r])))}e.insertModifierBefore(n,134,t)}var Iae,Nae,Dae=g({"src/services/codefixes/fixAwaitInSyncFunction.ts"(){Tge(),sce(),Sae="fixAwaitInSyncFunction",p9({errorCodes:Tae=[Oa.await_expressions_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules.code,Oa.await_using_statements_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules.code,Oa.for_await_loops_are_only_allowed_within_async_functions_and_at_the_top_levels_of_modules.code,Oa.Cannot_find_name_0_Did_you_mean_to_write_this_in_an_async_function.code],getCodeActions(e){const{sourceFile:n,span:t}=e,r=Aae(n,t.start);if(!r)return;const o=p_e.ChangeTracker.with(e,(e=>Rae(e,n,r)));return[c9(Sae,o,Oa.Add_async_modifier_to_containing_function,Sae,Oa.Add_all_missing_async_modifiers)]},fixIds:[Sae],getAllCodeActions:function(e){const n=new Map;return y9(e,Tae,((t,r)=>{const o=Aae(r.file,r.start);o&&PS(n,Hz(o.insertBefore))&&Rae(t,e.sourceFile,o)}))}})}});function Cae(e,n,t,r,o){let i,a;if(r===Oa._0_is_defined_as_an_accessor_in_class_1_but_is_overridden_here_in_2_as_an_instance_property.code)i=n,a=n+t;else if(r===Oa._0_is_defined_as_a_property_in_class_1_but_is_overridden_here_in_2_as_an_accessor.code){const t=o.program.getTypeChecker(),r=l$(e,n).parent;Tt.assert(Pd(r),"error span of fixPropertyOverrideAccessor should only be on an accessor");const s=r.parent;Tt.assert(Md(s),"erroneous accessors should only be inside classes");const l=we(Mse(s,t));if(!l)return[];const c=Pl(l_(r.name)),d=t.getPropertyOfType(t.getTypeAtLocation(l),c);if(!d||!d.valueDeclaration)return[];i=d.valueDeclaration.pos,a=d.valueDeclaration.end,e=$f(d.valueDeclaration)}else Tt.fail("fixPropertyOverrideAccessor codefix got unexpected error code "+r);return xse(e,o.program,i,a,o,Oa.Generate_get_and_set_accessors.message)}var Mae,Pae,Lae=g({"src/services/codefixes/fixPropertyOverrideAccessor.ts"(){Tge(),sce(),Iae=[Oa._0_is_defined_as_an_accessor_in_class_1_but_is_overridden_here_in_2_as_an_instance_property.code,Oa._0_is_defined_as_a_property_in_class_1_but_is_overridden_here_in_2_as_an_accessor.code],Nae="fixPropertyOverrideAccessor",p9({errorCodes:Iae,getCodeActions(e){const n=Cae(e.sourceFile,e.span.start,e.span.length,e.errorCode,e);if(n)return[c9(Nae,n,Oa.Generate_get_and_set_accessors,Nae,Oa.Generate_get_and_set_accessors_for_all_overriding_properties)]},fixIds:[Nae],getAllCodeActions:e=>y9(e,Iae,((n,t)=>{const r=Cae(t.file,t.start,t.length,t.code,e);if(r)for(const t of r)n.pushRaw(e.sourceFile,t)}))})}});function kae(e,n){switch(e){case Oa.Parameter_0_implicitly_has_an_1_type.code:case Oa.Parameter_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage.code:return DN(fh(n))?Oa.Infer_type_of_0_from_usage:Oa.Infer_parameter_types_from_usage;case Oa.Rest_parameter_0_implicitly_has_an_any_type.code:case Oa.Rest_parameter_0_implicitly_has_an_any_type_but_a_better_type_may_be_inferred_from_usage.code:return Oa.Infer_parameter_types_from_usage;case Oa.this_implicitly_has_type_any_because_it_does_not_have_a_type_annotation.code:return Oa.Infer_this_type_of_0_from_usage;default:return Oa.Infer_type_of_0_from_usage}}function wae(e,n,t,r,o,i,a,s,l){if(!gd(t.kind)&&80!==t.kind&&26!==t.kind&&110!==t.kind)return;const{parent:c}=t,d=lte(n,o,l,s);switch(r=function(e){switch(e){case Oa.Variable_0_implicitly_has_type_1_in_some_locations_but_a_better_type_may_be_inferred_from_usage.code:return Oa.Variable_0_implicitly_has_type_1_in_some_locations_where_its_type_cannot_be_determined.code;case Oa.Variable_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage.code:return Oa.Variable_0_implicitly_has_an_1_type.code;case Oa.Parameter_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage.code:return Oa.Parameter_0_implicitly_has_an_1_type.code;case Oa.Rest_parameter_0_implicitly_has_an_any_type_but_a_better_type_may_be_inferred_from_usage.code:return Oa.Rest_parameter_0_implicitly_has_an_any_type.code;case Oa.Property_0_implicitly_has_type_any_but_a_better_type_for_its_get_accessor_may_be_inferred_from_usage.code:return Oa.Property_0_implicitly_has_type_any_because_its_get_accessor_lacks_a_return_type_annotation.code;case Oa._0_implicitly_has_an_1_return_type_but_a_better_type_may_be_inferred_from_usage.code:return Oa._0_which_lacks_return_type_annotation_implicitly_has_an_1_return_type.code;case Oa.Property_0_implicitly_has_type_any_but_a_better_type_for_its_set_accessor_may_be_inferred_from_usage.code:return Oa.Property_0_implicitly_has_type_any_because_its_set_accessor_lacks_a_parameter_type_annotation.code;case Oa.Member_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage.code:return Oa.Member_0_implicitly_has_an_1_type.code}return e}(r)){case Oa.Member_0_implicitly_has_an_1_type.code:case Oa.Variable_0_implicitly_has_type_1_in_some_locations_where_its_type_cannot_be_determined.code:if(iC(c)&&a(c)||TN(c)||SN(c))return Oae(e,d,n,c,o,s,i),d.writeFixes(e),c;if(lD(c)){const t=zZ(Bae(c.name,o,i),c,o,s);if(t){const r=UA.createJSDocTypeTag(void 0,UA.createJSDocTypeExpression(t),void 0);e.addJSDocTags(n,gn(c.parent.parent,VD),[r])}return d.writeFixes(e),c}return;case Oa.Variable_0_implicitly_has_an_1_type.code:{const n=o.getTypeChecker().getSymbolAtLocation(t);return n&&n.valueDeclaration&&iC(n.valueDeclaration)&&a(n.valueDeclaration)?(Oae(e,d,$f(n.valueDeclaration),n.valueDeclaration,o,s,i),d.writeFixes(e),n.valueDeclaration):void 0}}const u=fh(t);if(void 0===u)return;let p;switch(r){case Oa.Parameter_0_implicitly_has_an_1_type.code:if(DN(u)){Fae(e,d,n,u,o,s,i),p=u;break}case Oa.Rest_parameter_0_implicitly_has_an_any_type.code:if(a(u)){const t=gn(c,bN);!function(e,n,t,r,o,i,a,s){if(!tN(r.name))return;const l=function(e,n,t,r){const o=jae(e,n,t,r);return o&&Vae(t,o,r).parameters(e)||e.parameters.map((e=>({declaration:e,type:tN(e.name)?Bae(e.name,t,r):t.getTypeChecker().getAnyType()})))}(o,t,i,s);if(Tt.assert(o.parameters.length===l.length,"Parameter count and inference count should match"),Yh(o))zae(e,t,l,i,a);else{const r=hD(o)&&!JY(o,21,t);r&&e.insertNodeBefore(t,Me(o.parameters),UA.createToken(21));for(const{declaration:r,type:o}of l)!r||r.type||r.initializer||Wae(e,n,t,r,o,i,a);r&&e.insertNodeAfter(t,ke(o.parameters),UA.createToken(22))}}(e,d,n,t,u,o,s,i),p=t}break;case Oa.Property_0_implicitly_has_type_any_because_its_get_accessor_lacks_a_return_type_annotation.code:case Oa._0_which_lacks_return_type_annotation_implicitly_has_an_1_return_type.code:NN(u)&&tN(u.name)&&(Wae(e,d,n,u,Bae(u.name,o,i),o,s),p=u);break;case Oa.Property_0_implicitly_has_type_any_because_its_set_accessor_lacks_a_parameter_type_annotation.code:DN(u)&&(Fae(e,d,n,u,o,s,i),p=u);break;case Oa.this_implicitly_has_type_any_because_it_does_not_have_a_type_annotation.code:p_e.isThisTypeAnnotatable(u)&&a(u)&&(!function(e,n,t,r,o,i){const a=jae(t,n,r,i);if(!a||!a.length)return;const s=Vae(r,a,i).thisParameter(),l=zZ(s,t,r,o);if(!l)return;Yh(t)?function(e,n,t,r){e.addJSDocTags(n,t,[UA.createJSDocThisTag(void 0,UA.createJSDocTypeExpression(r))])}(e,n,t,l):e.tryInsertThisTypeAnnotation(n,t,l)}(e,n,u,o,s,i),p=u);break;default:return Tt.fail(String(r))}return d.writeFixes(e),p}function Oae(e,n,t,r,o,i,a){tN(r.name)&&Wae(e,n,t,r,Bae(r.name,o,a),o,i)}function Fae(e,n,t,r,o,i,a){const s=De(r.parameters);if(s&&tN(r.name)&&tN(s.name)){let l=Bae(r.name,o,a);l===o.getTypeChecker().getAnyType()&&(l=Bae(s.name,o,a)),Yh(r)?zae(e,t,[{declaration:s,type:l}],o,i):Wae(e,n,t,s,l,o,i)}}function Wae(e,n,t,r,o,i,a){const s=zZ(o,r,i,a);if(s)if(Yh(t)&&171!==r.kind){const n=iC(r)?hn(r.parent.parent,BD):r;if(!n)return;const o=UA.createJSDocTypeExpression(s),i=NN(r)?UA.createJSDocReturnTag(void 0,o,void 0):UA.createJSDocTypeTag(void 0,o,void 0);e.addJSDocTags(t,n,[i])}else(function(e,n,t,r,o,i){const a=vse(e,i);if(a&&r.tryInsertTypeAnnotation(t,n,a.typeNode))return E(a.symbols,(e=>o.addImportFromExportedSymbol(e,!0))),!0;return!1})(s,r,t,e,n,jp(i.getCompilerOptions()))||e.tryInsertTypeAnnotation(t,r,s)}function zae(e,n,t,r,o){const i=t.length&&t[0].declaration.parent;if(!i)return;const a=Y(t,(e=>{const n=e.declaration;if(n.initializer||vc(n)||!tN(n.name))return;const t=e.type&&zZ(e.type,n,r,o);if(t){return fR(UA.cloneNode(n.name),7168),{name:UA.cloneNode(n.name),param:n,isOptional:!!e.isOptional,typeNode:t}}}));if(a.length)if(hD(i)||_D(i)){const t=hD(i)&&!JY(i,21,n);t&&e.insertNodeBefore(n,Me(i.parameters),UA.createToken(21)),E(a,(({typeNode:t,param:r})=>{const o=UA.createJSDocTypeTag(void 0,UA.createJSDocTypeExpression(t)),i=UA.createJSDocComment(void 0,[o]);e.insertNodeAt(n,r.getStart(n),i,{suffix:" "})})),t&&e.insertNodeAfter(n,ke(i.parameters),UA.createToken(22))}else{const t=B(a,(({name:e,typeNode:n,isOptional:t})=>UA.createJSDocParameterTag(void 0,e,!!t,UA.createJSDocTypeExpression(n),!1,void 0)));e.addJSDocTags(n,i,t)}}function Gae(e,n,t){return Y(Hue.getReferenceEntriesForNode(-1,e,n,n.getSourceFiles(),t),(e=>e.kind!==Hue.EntryKind.Span?hn(e.node,tN):void 0))}function Bae(e,n,t){return Vae(n,Gae(e,n,t),t).single()}function jae(e,n,t,r){let o;switch(e.kind){case 176:o=JY(e,137,n);break;case 219:case 218:const t=e.parent;o=(iC(t)||TN(t))&&tN(t.name)?t.name:e.name;break;case 262:case 174:case 173:o=e.name}if(o)return Gae(o,t,r)}function Vae(e,n,t){const r=e.getTypeChecker(),i={string:()=>r.getStringType(),number:()=>r.getNumberType(),Array:e=>r.createArrayType(e),Promise:e=>r.createPromiseType(e)},a=[r.getStringType(),r.getNumberType(),r.createArrayType(r.getAnyType()),r.createPromiseType(r.getAnyType())];return{single:function(){return p(l(n))},parameters:function(o){if(0===n.length||!o.parameters)return;const i={isNumber:void 0,isString:void 0,isNumberOrString:void 0,candidateTypes:void 0,properties:void 0,calls:void 0,constructs:void 0,numberIndex:void 0,stringIndex:void 0,candidateThisTypes:void 0,inferredTypes:void 0};for(const e of n)t.throwIfCancellationRequested(),c(e,i);const a=[...i.constructs||[],...i.calls||[]];return o.parameters.map(((n,i)=>{const s=[],c=ip(n);let d=!1;for(const e of a)if(e.argumentTypes.length<=i)d=Yh(o),s.push(r.getUndefinedType());else if(c)for(let n=i;n<e.argumentTypes.length;n++)s.push(r.getBaseTypeOfLiteralType(e.argumentTypes[n]));else s.push(r.getBaseTypeOfLiteralType(e.argumentTypes[i]));if(tN(n.name)){const o=l(Gae(n.name,e,t));s.push(...c?Y(o,r.getElementTypeOfArrayType):o)}const u=p(s);return{type:c?r.createArrayType(u):u,isOptional:d&&!c,declaration:n}}))},thisParameter:function(){const e={isNumber:void 0,isString:void 0,isNumberOrString:void 0,candidateTypes:void 0,properties:void 0,calls:void 0,constructs:void 0,numberIndex:void 0,stringIndex:void 0,candidateThisTypes:void 0,inferredTypes:void 0};for(const r of n)t.throwIfCancellationRequested(),c(r,e);return p(e.candidateThisTypes||o)}};function s(e){const n=new Map;for(const t of e)t.properties&&t.properties.forEach(((e,t)=>{n.has(t)||n.set(t,[]),n.get(t).push(e)}));const t=new Map;return n.forEach(((e,n)=>{t.set(n,s(e))})),{isNumber:e.some((e=>e.isNumber)),isString:e.some((e=>e.isString)),isNumberOrString:e.some((e=>e.isNumberOrString)),candidateTypes:H(e,(e=>e.candidateTypes)),properties:t,calls:H(e,(e=>e.calls)),constructs:H(e,(e=>e.constructs)),numberIndex:E(e,(e=>e.numberIndex)),stringIndex:E(e,(e=>e.stringIndex)),candidateThisTypes:H(e,(e=>e.candidateThisTypes)),inferredTypes:void 0}}function l(e){const n={isNumber:void 0,isString:void 0,isNumberOrString:void 0,candidateTypes:void 0,properties:void 0,calls:void 0,constructs:void 0,numberIndex:void 0,stringIndex:void 0,candidateThisTypes:void 0,inferredTypes:void 0};for(const r of e)t.throwIfCancellationRequested(),c(r,n);return f(n)}function c(e,n){for(;IE(e);)e=e.parent;switch(e.parent.kind){case 244:!function(e,n){g(n,dD(e)?r.getVoidType():r.getAnyType())}(e,n);break;case 225:n.isNumber=!0;break;case 224:!function(e,n){switch(e.operator){case 46:case 47:case 41:case 55:n.isNumber=!0;break;case 40:n.isNumberOrString=!0}}(e.parent,n);break;case 226:!function(e,n,t){switch(n.operatorToken.kind){case 43:case 42:case 44:case 45:case 48:case 49:case 50:case 51:case 52:case 53:case 66:case 68:case 67:case 69:case 70:case 74:case 75:case 79:case 71:case 73:case 72:case 41:case 30:case 33:case 32:case 34:const o=r.getTypeAtLocation(n.left===e?n.right:n.left);1056&o.flags?g(t,o):t.isNumber=!0;break;case 65:case 40:const i=r.getTypeAtLocation(n.left===e?n.right:n.left);1056&i.flags?g(t,i):296&i.flags?t.isNumber=!0:402653316&i.flags?t.isString=!0:1&i.flags||(t.isNumberOrString=!0);break;case 64:case 35:case 37:case 38:case 36:case 77:case 78:case 76:g(t,r.getTypeAtLocation(n.left===e?n.right:n.left));break;case 103:e===n.left&&(t.isString=!0);break;case 57:case 61:e!==n.left||260!==e.parent.parent.kind&&!gE(e.parent.parent,!0)||g(t,r.getTypeAtLocation(n.right))}}(e,e.parent,n);break;case 296:case 297:!function(e,n){g(n,r.getTypeAtLocation(e.parent.parent.expression))}(e.parent,n);break;case 213:case 214:e.parent.expression===e?function(e,n){const t={argumentTypes:[],return_:{isNumber:void 0,isString:void 0,isNumberOrString:void 0,candidateTypes:void 0,properties:void 0,calls:void 0,constructs:void 0,numberIndex:void 0,stringIndex:void 0,candidateThisTypes:void 0,inferredTypes:void 0}};if(e.arguments)for(const n of e.arguments)t.argumentTypes.push(r.getTypeAtLocation(n));c(e,t.return_),213===e.kind?(n.calls||(n.calls=[])).push(t):(n.constructs||(n.constructs=[])).push(t)}(e.parent,n):d(e,n);break;case 211:!function(e,n){const t=Ml(e.name.text);n.properties||(n.properties=new Map);const r=n.properties.get(t)||{isNumber:void 0,isString:void 0,isNumberOrString:void 0,candidateTypes:void 0,properties:void 0,calls:void 0,constructs:void 0,numberIndex:void 0,stringIndex:void 0,candidateThisTypes:void 0,inferredTypes:void 0};c(e,r),n.properties.set(t,r)}(e.parent,n);break;case 212:!function(e,n,t){if(n===e.argumentExpression)return void(t.isNumberOrString=!0);{const n=r.getTypeAtLocation(e.argumentExpression),o={isNumber:void 0,isString:void 0,isNumberOrString:void 0,candidateTypes:void 0,properties:void 0,calls:void 0,constructs:void 0,numberIndex:void 0,stringIndex:void 0,candidateThisTypes:void 0,inferredTypes:void 0};c(e,o),296&n.flags?t.numberIndex=o:t.stringIndex=o}}(e.parent,e,n);break;case 303:case 304:!function(e,n){const t=iC(e.parent.parent)?e.parent.parent:e.parent;y(n,r.getTypeAtLocation(t))}(e.parent,n);break;case 172:!function(e,n){y(n,r.getTypeAtLocation(e.parent))}(e.parent,n);break;case 260:{const{name:t,initializer:o}=e.parent;if(e===t){o&&g(n,r.getTypeAtLocation(o));break}}default:return d(e,n)}}function d(e,n){Gh(e)&&g(n,r.getContextualType(e))}function u(e){return p(f(e))}function p(e){if(!e.length)return r.getAnyType();const n=r.getUnionType([r.getStringType(),r.getNumberType()]);let t=function(e,n){const t=[];for(const r of e)for(const{high:e,low:o}of n)e(r)&&(Tt.assert(!o(r),"Priority can't have both low and high"),t.push(o));return e.filter((e=>t.every((n=>!n(e)))))}(e,[{high:e=>e===r.getStringType()||e===r.getNumberType(),low:e=>e===n},{high:e=>!(16385&e.flags),low:e=>!!(16385&e.flags)},{high:e=>!(114689&e.flags||16&IS(e)),low:e=>!!(16&IS(e))}]);const o=t.filter((e=>16&IS(e)));return o.length&&(t=t.filter((e=>!(16&IS(e)))),t.push(function(e){if(1===e.length)return e[0];const n=[],t=[],o=[],i=[];let a=!1,s=!1;const l=sn();for(const c of e){for(const e of r.getPropertiesOfType(c))l.add(e.escapedName,e.valueDeclaration?r.getTypeOfSymbolAtLocation(e,e.valueDeclaration):r.getAnyType());n.push(...r.getSignaturesOfType(c,0)),t.push(...r.getSignaturesOfType(c,1));const e=r.getIndexInfoOfType(c,0);e&&(o.push(e.type),a=a||e.isReadonly);const d=r.getIndexInfoOfType(c,1);d&&(i.push(d.type),s=s||d.isReadonly)}const c=re(l,((n,t)=>{const o=t.length<e.length?16777216:0,i=r.createSymbol(4|o,n);return i.links.type=r.getUnionType(t),[n,i]})),d=[];o.length&&d.push(r.createIndexInfo(r.getStringType(),r.getUnionType(o),a));i.length&&d.push(r.createIndexInfo(r.getNumberType(),r.getUnionType(i),s));return r.createAnonymousType(e[0].symbol,c,n,t,d)}(o))),r.getWidenedType(r.getUnionType(t.map(r.getBaseTypeOfLiteralType),2))}function f(e){var n,t,s;const l=[];e.isNumber&&l.push(r.getNumberType()),e.isString&&l.push(r.getStringType()),e.isNumberOrString&&l.push(r.getUnionType([r.getStringType(),r.getNumberType()])),e.numberIndex&&l.push(r.createArrayType(u(e.numberIndex))),((null==(n=e.properties)?void 0:n.size)||(null==(t=e.constructs)?void 0:t.length)||e.stringIndex)&&l.push(m(e));const c=(e.candidateTypes||[]).map((e=>r.getBaseTypeOfLiteralType(e))),d=(null==(s=e.calls)?void 0:s.length)?m(e):void 0;return d&&c?l.push(r.getUnionType([d,...c],2)):(d&&l.push(d),b(c)&&l.push(...c)),l.push(...function(e){if(!e.properties||!e.properties.size)return[];const n=a.filter((n=>function(e,n){return!!n.properties&&!Wf(n.properties,((n,t)=>{const i=r.getTypeOfPropertyOfType(e,t);if(!i)return!0;if(n.calls){return!r.getSignaturesOfType(i,0).length||!r.isTypeAssignableTo(i,(a=n.calls,r.createAnonymousType(void 0,Mf(),[h(a)],o,o)))}return!r.isTypeAssignableTo(i,u(n));var a}))}(n,e)));if(0<n.length&&n.length<3)return n.map((n=>function(e,n){if(!(4&IS(e)&&n.properties))return e;const t=e.target,o=we(t.typeParameters);if(!o)return e;const a=[];return n.properties.forEach(((e,n)=>{const i=r.getTypeOfPropertyOfType(t,n);Tt.assert(!!i,"generic should have all the properties of its reference."),a.push(..._(i,u(e),o))})),i[e.symbol.escapedName](p(a))}(n,e)));return[]}(e)),l}function m(e){const n=new Map;e.properties&&e.properties.forEach(((e,t)=>{const o=r.createSymbol(4,t);o.links.type=u(e),n.set(t,o)}));const t=e.calls?[h(e.calls)]:[],o=e.constructs?[h(e.constructs)]:[],i=e.stringIndex?[r.createIndexInfo(r.getStringType(),u(e.stringIndex),!1)]:[];return r.createAnonymousType(void 0,n,t,o,i)}function _(e,n,t){if(e===t)return[n];if(3145728&e.flags)return H(e.types,(e=>_(e,n,t)));if(4&IS(e)&&4&IS(n)){const o=r.getTypeArguments(e),i=r.getTypeArguments(n),a=[];if(o&&i)for(let e=0;e<o.length;e++)i[e]&&a.push(..._(o[e],i[e],t));return a}const o=r.getSignaturesOfType(e,0),i=r.getSignaturesOfType(n,0);return 1===o.length&&1===i.length?function(e,n,t){var o;const i=[];for(let a=0;a<e.parameters.length;a++){const s=e.parameters[a],l=n.parameters[a],c=e.declaration&&ip(e.declaration.parameters[a]);if(!l)break;let d=s.valueDeclaration?r.getTypeOfSymbolAtLocation(s,s.valueDeclaration):r.getAnyType();const u=c&&r.getElementTypeOfArrayType(d);u&&(d=u);const p=(null==(o=hn(l,Pf))?void 0:o.links.type)||(l.valueDeclaration?r.getTypeOfSymbolAtLocation(l,l.valueDeclaration):r.getAnyType());i.push(..._(d,p,t))}const a=r.getReturnTypeOfSignature(e),s=r.getReturnTypeOfSignature(n);return i.push(..._(a,s,t)),i}(o[0],i[0],t):[]}function h(e){const n=[],t=Math.max(...e.map((e=>e.argumentTypes.length)));for(let o=0;o<t;o++){const t=r.createSymbol(1,Ml(`arg${o}`));t.links.type=p(e.map((e=>e.argumentTypes[o]||r.getUndefinedType()))),e.some((e=>void 0===e.argumentTypes[o]))&&(t.flags|=16777216),n.push(t)}const o=u(s(e.map((e=>e.return_))));return r.createSignature(void 0,void 0,void 0,n,o,void 0,t,0)}function g(e,n){!n||1&n.flags||131072&n.flags||(e.candidateTypes||(e.candidateTypes=[])).push(n)}function y(e,n){!n||1&n.flags||131072&n.flags||(e.candidateThisTypes||(e.candidateThisTypes=[])).push(n)}}var Uae,Hae,Kae=g({"src/services/codefixes/inferFromUsage.ts"(){Tge(),sce(),Mae="inferFromUsage",p9({errorCodes:Pae=[Oa.Variable_0_implicitly_has_type_1_in_some_locations_where_its_type_cannot_be_determined.code,Oa.Variable_0_implicitly_has_an_1_type.code,Oa.Parameter_0_implicitly_has_an_1_type.code,Oa.Rest_parameter_0_implicitly_has_an_any_type.code,Oa.Property_0_implicitly_has_type_any_because_its_get_accessor_lacks_a_return_type_annotation.code,Oa._0_which_lacks_return_type_annotation_implicitly_has_an_1_return_type.code,Oa.Property_0_implicitly_has_type_any_because_its_set_accessor_lacks_a_parameter_type_annotation.code,Oa.Member_0_implicitly_has_an_1_type.code,Oa.Variable_0_implicitly_has_type_1_in_some_locations_but_a_better_type_may_be_inferred_from_usage.code,Oa.Variable_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage.code,Oa.Parameter_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage.code,Oa.Rest_parameter_0_implicitly_has_an_any_type_but_a_better_type_may_be_inferred_from_usage.code,Oa.Property_0_implicitly_has_type_any_but_a_better_type_for_its_get_accessor_may_be_inferred_from_usage.code,Oa._0_implicitly_has_an_1_return_type_but_a_better_type_may_be_inferred_from_usage.code,Oa.Property_0_implicitly_has_type_any_but_a_better_type_for_its_set_accessor_may_be_inferred_from_usage.code,Oa.Member_0_implicitly_has_an_1_type_but_a_better_type_may_be_inferred_from_usage.code,Oa.this_implicitly_has_type_any_because_it_does_not_have_a_type_annotation.code],getCodeActions(e){const{sourceFile:n,program:t,span:{start:r},errorCode:o,cancellationToken:i,host:a,preferences:s}=e,l=l$(n,r);let c;const d=p_e.ChangeTracker.with(e,(e=>{c=wae(e,n,l,o,t,i,bn,a,s)})),u=c&&jl(c);return u&&0!==d.length?[c9(Mae,d,[kae(o,l),xm(u)],Mae,Oa.Infer_all_types_from_usage)]:void 0},fixIds:[Mae],getAllCodeActions(e){const{sourceFile:n,program:t,cancellationToken:r,host:o,preferences:i}=e,a=tQ();return y9(e,Pae,((e,s)=>{wae(e,n,l$(s.file,s.start),s.code,t,r,a,o,i)}))}})}});function qae(e,n,t){if(Yh(e))return;const r=Nl(l$(e,t),Ad),o=null==r?void 0:r.type;if(!o)return;const i=n.getTypeFromTypeNode(o),a=n.getAwaitedType(i)||n.getVoidType(),s=n.typeToTypeNode(a,o,void 0);return s?{returnTypeNode:o,returnType:i,promisedTypeNode:s,promisedType:a}:void 0}function Jae(e,n,t,r){e.replaceNode(n,t,UA.createTypeReferenceNode("Promise",[r]))}var Xae,Yae,$ae,Qae=g({"src/services/codefixes/fixReturnTypeInAsyncFunction.ts"(){Tge(),sce(),Uae="fixReturnTypeInAsyncFunction",p9({errorCodes:Hae=[Oa.The_return_type_of_an_async_function_or_method_must_be_the_global_Promise_T_type_Did_you_mean_to_write_Promise_0.code],fixIds:[Uae],getCodeActions:function(e){const{sourceFile:n,program:t,span:r}=e,o=t.getTypeChecker(),i=qae(n,t.getTypeChecker(),r.start);if(!i)return;const{returnTypeNode:a,returnType:s,promisedTypeNode:l,promisedType:c}=i,d=p_e.ChangeTracker.with(e,(e=>Jae(e,n,a,l)));return[c9(Uae,d,[Oa.Replace_0_with_Promise_1,o.typeToString(s),o.typeToString(c)],Uae,Oa.Fix_all_incorrect_return_type_of_an_async_functions)]},getAllCodeActions:e=>y9(e,Hae,((n,t)=>{const r=qae(t.file,e.program.getTypeChecker(),t.start);r&&Jae(n,t.file,r.returnTypeNode,r.promisedTypeNode)}))})}});function Zae(e,n,t,r){const{line:o}=_s(n,t);r&&!ee(r,o)||e.insertCommentBeforeLine(n,o,t," @ts-ignore")}var ese,nse=g({"src/services/codefixes/disableJsDiagnostics.ts"(){Tge(),sce(),Xae="disableJsDiagnostics",Yae="disableJsDiagnostics",p9({errorCodes:$ae=Y(Object.keys(Oa),(e=>{const n=Oa[e];return 1===n.category?n.code:void 0})),getCodeActions:function(e){const{sourceFile:n,program:t,span:r,host:o,formatContext:i}=e;if(!Yh(n)||!Ex(n,t.getCompilerOptions()))return;const a=n.checkJsDirective?"":eZ(o,i.options),s=[l9(Xae,[g9(n.fileName,[$$(n.checkJsDirective?ul(n.checkJsDirective.pos,n.checkJsDirective.end):dl(0,0),`// @ts-nocheck${a}`)])],Oa.Disable_checking_for_this_file)];return p_e.isValidLocationToAddComment(n,r.start)&&s.unshift(c9(Xae,p_e.ChangeTracker.with(e,(e=>Zae(e,n,r.start))),Oa.Ignore_this_error_message,Yae,Oa.Add_ts_ignore_to_all_error_messages)),s},fixIds:[Yae],getAllCodeActions:e=>{const n=new Set;return y9(e,$ae,((e,t)=>{p_e.isValidLocationToAddComment(t.file,t.start)&&Zae(e,t.file,t.start,n)}))}})}});function tse(e,n,t,r,o,i,a){const s=e.symbol.members;for(const l of n)s.has(l.escapedName)||ose(l,e,t,r,o,i,a,void 0)}function rse(e){return{trackSymbol:()=>!1,moduleResolverHost:uQ(e.program,e.host)}}function ose(e,n,t,r,i,a,s,l,c=3,d=!1){const u=e.getDeclarations(),p=De(u),f=r.program.getTypeChecker(),m=jp(r.program.getCompilerOptions()),_=(null==p?void 0:p.kind)??171,h=function(e,n){if(262144&mS(e)){const n=e.links.nameType;if(n&&xA(n))return UA.createIdentifier(Pl(AA(n)))}return mZ(jl(n),!1)}(e,p),g=p?Zb(p):0;let y=256&g;y|=1&g?1:4&g?4:0,p&&Ld(p)&&(y|=512);const v=function(){let e;y&&(e=ve(e,UA.createModifiersFromModifierFlags(y)));r.program.getCompilerOptions().noImplicitOverride&&p&&Hb(p)&&(e=ye(e,UA.createToken(164)));return e&&UA.createNodeArray(e)}(),E=f.getWidenedType(f.getTypeOfSymbolAtLocation(e,n)),S=!!(16777216&e.flags),T=!!(33554432&n.flags)||d,x=gQ(t,i);switch(_){case 171:case 172:const t=0===x?268435456:void 0;let i=f.typeToTypeNode(E,n,t,rse(r));if(a){const e=vse(i,m);e&&(i=e.typeNode,Ese(a,e.symbols))}s(UA.createPropertyDeclaration(v,p?R(h):e.getName(),S&&2&c?UA.createToken(58):void 0,i,void 0));break;case 177:case 178:{Tt.assertIsDefined(u);let e=f.typeToTypeNode(E,n,void 0,rse(r));const t=xb(u,p),i=t.secondAccessor?[t.firstAccessor,t.secondAccessor]:[t.firstAccessor];if(a){const n=vse(e,m);n&&(e=n.typeNode,Ese(a,n.symbols))}for(const n of i)if(NN(n))s(UA.createGetAccessorDeclaration(v,R(h),o,N(e),I(l,x,T)));else{Tt.assertNode(n,DN,"The counterpart to a getter should be a setter");const t=hb(n),r=t&&tN(t.name)?Ll(t.name):void 0;s(UA.createSetAccessorDeclaration(v,R(h),pse(1,[r],[N(e)],1,!1),I(l,x,T)))}break}case 173:case 174:Tt.assertIsDefined(u);const d=E.isUnion()?H(E.types,(e=>e.getCallSignatures())):E.getCallSignatures();if(!oe(d))break;if(1===u.length){Tt.assert(1===d.length,"One declaration implies one signature");const e=d[0];A(x,e,v,R(h),I(l,x,T));break}for(const e of d)A(x,e,v,R(h));if(!T)if(u.length>d.length){const e=f.getSignatureFromDeclaration(u[u.length-1]);A(x,e,v,R(h),I(l,x))}else Tt.assert(u.length===d.length,"Declarations and signatures should match count"),s(function(e,n,t,r,o,i,a,s,l){let c=r[0],d=r[0].minArgumentCount,u=!1;for(const e of r)d=Math.min(e.minArgumentCount,d),Zz(e)&&(u=!0),e.parameters.length>=c.parameters.length&&(!Zz(e)||Zz(c))&&(c=e);const p=c.parameters.length-(Zz(c)?1:0),f=c.parameters.map((e=>e.name)),m=pse(p,f,void 0,d,!1);if(u){const e=UA.createParameterDeclaration(void 0,UA.createToken(26),f[p]||"rest",p>=d?UA.createToken(58):void 0,UA.createArrayTypeNode(UA.createKeywordTypeNode(159)),void 0);m.push(e)}return function(e,n,t,r,o,i,a,s){return UA.createMethodDeclaration(e,void 0,n,t?UA.createToken(58):void 0,r,o,i,s||fse(a))}(a,o,i,void 0,m,function(e,n,t,r){if(b(e)){const o=n.getUnionType(B(e,n.getReturnTypeOfSignature));return n.typeToTypeNode(o,r,1,rse(t))}}(r,e,n,t),s,l)}(f,r,n,d,R(h),S&&!!(1&c),v,x,l))}function A(e,t,o,i,l){const d=ise(174,r,e,t,l,i,o,S&&!!(1&c),n,a);d&&s(d)}function R(e){return tN(e)&&"constructor"===e.escapedText?UA.createComputedPropertyName(UA.createStringLiteral(Ll(e),0===x)):mZ(e,!1)}function I(e,n,t){return t?void 0:mZ(e,!1)||fse(n)}function N(e){return mZ(e,!1)}}function ise(e,n,t,r,o,i,a,s,l,c){const d=n.program,u=d.getTypeChecker(),p=jp(d.getCompilerOptions()),f=Yh(l),m=524545|(0===t?268435456:0),_=u.signatureToSignatureDeclaration(r,e,l,m,rse(n));if(!_)return;let h=f?void 0:_.typeParameters,g=_.parameters,y=f?void 0:_.type;if(c){if(h){const e=V(h,(e=>{let n=e.constraint,t=e.default;if(n){const e=vse(n,p);e&&(n=e.typeNode,Ese(c,e.symbols))}if(t){const e=vse(t,p);e&&(t=e.typeNode,Ese(c,e.symbols))}return UA.updateTypeParameterDeclaration(e,e.modifiers,e.name,n,t)}));h!==e&&(h=yL(UA.createNodeArray(e,h.hasTrailingComma),h))}const e=V(g,(e=>{let n=f?void 0:e.type;if(n){const e=vse(n,p);e&&(n=e.typeNode,Ese(c,e.symbols))}return UA.updateParameterDeclaration(e,e.modifiers,e.dotDotDotToken,e.name,f?void 0:e.questionToken,n,e.initializer)}));if(g!==e&&(g=yL(UA.createNodeArray(e,g.hasTrailingComma),g)),y){const e=vse(y,p);e&&(y=e.typeNode,Ese(c,e.symbols))}}const v=s?UA.createToken(58):void 0,b=_.asteriskToken;return _D(_)?UA.updateFunctionExpression(_,a,_.asteriskToken,hn(i,tN),h,g,y,o??_.body):hD(_)?UA.updateArrowFunction(_,a,h,g,y,_.equalsGreaterThanToken,o??_.body):AN(_)?UA.updateMethodDeclaration(_,a,b,i??UA.createIdentifier(""),v,h,g,y,o):sC(_)?UA.updateFunctionDeclaration(_,a,_.asteriskToken,hn(i,tN),h,g,y,o??_.body):void 0}function ase(e,n,t,r,o,i,a){const s=gQ(n.sourceFile,n.preferences),l=jp(n.program.getCompilerOptions()),c=rse(n),d=n.program.getTypeChecker(),u=Yh(a),{typeArguments:p,arguments:f,parent:m}=r,_=u?void 0:d.getContextualType(r),h=B(f,(e=>tN(e)?e.text:lD(e)&&tN(e.name)?e.name.text:void 0)),g=u?[]:B(f,(e=>d.getTypeAtLocation(e))),{argumentTypeNodes:y,argumentTypeParameters:v}=dse(d,t,g,a,l,1,c),b=i?UA.createNodeArray(UA.createModifiersFromModifierFlags(i)):void 0,E=RD(m)?UA.createToken(42):void 0,S=u?void 0:function(e,n,t){const r=new Set(n.map((e=>e[0]))),o=new Map(n);if(t){const o=t.filter((t=>!n.some((n=>{var r;return e.getTypeAtLocation(t)===(null==(r=n[1])?void 0:r.argumentType)})))),i=r.size+o.length;for(let e=0;r.size<i;e+=1)r.add(sse(e))}return Je(r.values(),(e=>{var n;return UA.createTypeParameterDeclaration(void 0,e,null==(n=o.get(e))?void 0:n.constraint)}))}(d,v,p),T=pse(f.length,h,y,void 0,u),x=u||void 0===_?void 0:d.typeToTypeNode(_,a,void 0,c);switch(e){case 174:return UA.createMethodDeclaration(b,E,o,void 0,S,T,x,fse(s));case 173:return UA.createMethodSignature(b,o,void 0,S,T,void 0===x?UA.createKeywordTypeNode(159):x);case 262:return Tt.assert("string"==typeof o||tN(o),"Unexpected name"),UA.createFunctionDeclaration(b,E,o,S,T,x,mse(Oa.Function_not_implemented.message,s));default:Tt.fail("Unexpected kind")}}function sse(e){return 84+e<=90?String.fromCharCode(84+e):`T${e}`}function lse(e,n,t,r,o,i,a){let s=e.typeToTypeNode(t,r,i,a);if(s&&eD(s)){const e=vse(s,o);e&&(Ese(n,e.symbols),s=e.typeNode)}return mZ(s)}function cse(e){return e.isUnionOrIntersection()?e.types.some(cse):262144&e.flags}function dse(e,n,t,r,o,i,a){const s=[],l=new Map;for(let d=0;d<t.length;d+=1){const u=t[d];if(u.isUnionOrIntersection()&&u.types.some(cse)){const e=sse(d);s.push(UA.createTypeReferenceNode(e)),l.set(e,void 0);continue}const p=e.getBaseTypeOfLiteralType(u),f=lse(e,n,p,r,o,i,a);if(!f)continue;s.push(f);const m=use(u),_=!u.isTypeParameter()||!u.constraint||524288&(c=u.constraint).flags&&16===c.objectFlags?void 0:lse(e,n,u.constraint,r,o,i,a);m&&l.set(m,{argumentType:u,constraint:_})}var c;return{argumentTypeNodes:s,argumentTypeParameters:Je(l.entries())}}function use(e){var n;if(3145728&e.flags)for(const n of e.types){const e=use(n);if(e)return e}return 262144&e.flags?null==(n=e.getSymbol())?void 0:n.getName():void 0}function pse(e,n,t,r,o){const i=[],a=new Map;for(let s=0;s<e;s++){const e=(null==n?void 0:n[s])||`arg${s}`,l=a.get(e);a.set(e,(l||0)+1);const c=UA.createParameterDeclaration(void 0,void 0,e+(l||""),void 0!==r&&s>=r?UA.createToken(58):void 0,o?void 0:(null==t?void 0:t[s])||UA.createKeywordTypeNode(159),void 0);i.push(c)}return i}function fse(e){return mse(Oa.Method_not_implemented.message,e)}function mse(e,n){return UA.createBlock([UA.createThrowStatement(UA.createNewExpression(UA.createIdentifier("Error"),void 0,[UA.createStringLiteral(e,0===n)]))],!0)}function _se(e,n,t){const r=dh(n);if(!r)return;const o=yse(r,"compilerOptions");if(void 0===o)return void e.insertNodeAtObjectStart(n,r,gse("compilerOptions",UA.createObjectLiteralExpression(t.map((([e,n])=>gse(e,n))),!0)));const i=o.initializer;if(sD(i))for(const[r,o]of t){const t=yse(i,r);void 0===t?e.insertNodeAtObjectStart(n,i,gse(r,o)):e.replaceNode(n,t.initializer,o)}}function hse(e,n,t,r){_se(e,n,[[t,r]])}function gse(e,n){return UA.createPropertyAssignment(UA.createStringLiteral(e),n)}function yse(e,n){return D(e.properties,(e=>QC(e)&&!!e.name&&zI(e.name)&&e.name.text===n))}function vse(e,n){let t;const r=rG(e,(function e(r){if(k_(r)&&r.qualifier){const o=SE(r.qualifier),i=f0(o.symbol,n),a=i!==o.text?bse(r.qualifier,UA.createIdentifier(i)):r.qualifier;t=ye(t,o.symbol);const s=oG(r.typeArguments,e,Bd);return UA.createTypeReferenceNode(a,s)}return fG(r,e,void 0)}),Bd);if(t&&r)return{typeNode:r,symbols:t}}function bse(e,n){return 80===e.kind?n:UA.createQualifiedName(bse(e.left,n),e.right)}function Ese(e,n){n.forEach((n=>e.addImportFromExportedSymbol(n,!0)))}function Sse(e,n){const t=Qs(n);let r=l$(e,n.start);for(;r.end<t;)r=r.parent;return r}var Tse=g({"src/services/codefixes/helpers.ts"(){Tge(),ese=(e=>(e[e.Method=1]="Method",e[e.Property=2]="Property",e[e.All=3]="All",e))(ese||{})}});function xse(e,n,t,r,o,i){const a=Nse(e,n,t,r);if(!a||P5.isRefactorErrorInfo(a))return;const s=p_e.ChangeTracker.fromContext(o),{isStatic:l,isReadonly:c,fieldName:d,accessorName:u,originalName:p,type:f,container:m,declaration:_}=a;let h,g;if(vZ(d),vZ(u),vZ(_),vZ(m),Md(m)){const n=Zb(_);if(Jh(e)){const e=UA.createModifiersFromModifierFlags(n);h=e,g=e}else h=UA.createModifiersFromModifierFlags(function(e){e&=-9,e&=-3,4&e||(e|=1);return e}(n)),g=UA.createModifiersFromModifierFlags(function(e){return e&=-2,e&=-5,e|=2,e}(n));bL(_)&&(g=ae(Ul(_),g))}!function(e,n,t,r,o,i){TN(t)?function(e,n,t,r,o,i){const a=UA.updatePropertyDeclaration(t,i,o,t.questionToken||t.exclamationToken,r,t.initializer);e.replaceNode(n,t,a)}(e,n,t,r,o,i):QC(t)?function(e,n,t,r){let o=UA.updatePropertyAssignment(t,r,t.initializer);(o.modifiers||o.questionToken||o.exclamationToken)&&(o===t&&(o=UA.cloneNode(o)),o.modifiers=void 0,o.questionToken=void 0,o.exclamationToken=void 0);e.replacePropertyAssignment(n,t,o)}(e,n,t,o):e.replaceNode(n,t,UA.updateParameterDeclaration(t,i,t.dotDotDotToken,gn(o,tN),t.questionToken,t.type,t.initializer))}(s,e,_,f,d,g);const y=function(e,n,t,r,o,i){return UA.createGetAccessorDeclaration(r,n,[],t,UA.createBlock([UA.createReturnStatement(Ise(e,o,i))],!0))}(d,u,f,h,l,m);if(vZ(y),Dse(s,e,y,_,m),c){const n=_b(m);n&&function(e,n,t,r,o){if(!t.body)return;t.body.forEachChild((function t(i){cD(i)&&110===i.expression.kind&&zI(i.argumentExpression)&&i.argumentExpression.text===o&&vS(i)&&e.replaceNode(n,i.argumentExpression,UA.createStringLiteral(r)),lD(i)&&110===i.expression.kind&&i.name.text===o&&vS(i)&&e.replaceNode(n,i.name,UA.createIdentifier(r)),Td(i)||Md(i)||i.forEachChild(t)}))}(s,e,n,d.text,p)}else{const n=function(e,n,t,r,o,i){return UA.createSetAccessorDeclaration(r,n,[UA.createParameterDeclaration(void 0,void 0,UA.createIdentifier("value"),void 0,t)],UA.createBlock([UA.createExpressionStatement(UA.createAssignment(Ise(e,o,i),UA.createIdentifier("value")))],!0))}(d,u,f,h,l,m);vZ(n),Dse(s,e,n,_,m)}return s.getChanges()}function Ase(e){return gl(e,e.parent)||TN(e)||QC(e)}function Rse(e,n){return tN(n)?UA.createIdentifier(e):UA.createStringLiteral(e)}function Ise(e,n,t){const r=n?t.name:UA.createThis();return tN(e)?UA.createPropertyAccessExpression(r,e):UA.createElementAccessExpression(r,UA.createStringLiteralFromNode(e))}function Nse(e,n,t,r,o=!0){const i=t===r&&o,a=Nl(l$(e,t).parent,Ase);if(!a||!BY(a.name,e,t,r)&&!i)return{error:eT(Oa.Could_not_find_property_for_which_to_generate_accessor)};if(!function(e){return tN(e)||zI(e)}(a.name))return{error:eT(Oa.Name_is_not_valid)};if(271!=(98303&Zb(a)|271))return{error:eT(Oa.Can_only_convert_property_with_modifier)};const s=a.name.text,l=y0(s),c=Rse(l?s:AZ(`_${s}`,e),a.name),d=Rse(l?AZ(s.substring(1),e):s,a.name);return{isStatic:Vb(a),isReadonly:Jb(a),type:Cse(a,n),container:169===a.kind?a.parent.parent:a.parent,originalName:a.name.text,declaration:a,fieldName:c,accessorName:d,renameAccessor:l}}function Dse(e,n,t,r,o){gl(r,r.parent)?e.insertMemberAtStart(n,o,t):QC(r)?e.insertNodeAfterComma(n,r,t):e.insertNodeAfter(n,r,t)}function Cse(e,n){const t=Rb(e);if(TN(e)&&t&&e.questionToken){const e=n.getTypeChecker(),r=e.getTypeFromTypeNode(t);if(!e.isTypeAssignableTo(e.getUndefinedType(),r)){const e=UN(t)?t.types:[t];return UA.createUnionTypeNode([...e,UA.createKeywordTypeNode(157)])}}return t}function Mse(e,n){const t=[];for(;e;){const r=Fy(e),o=r&&n.getSymbolAtLocation(r.expression);if(!o)break;const i=2097152&o.flags?n.getAliasedSymbol(o):o,a=i.declarations&&D(i.declarations,Md);if(!a)break;t.push(a),e=a}return t}var Pse,Lse=g({"src/services/codefixes/generateAccessors.ts"(){Tge()}});function kse(e,n,t,r){const o=p_e.ChangeTracker.with(e,(e=>e.replaceNode(n,t,r)));return l9(Pse,o,[Oa.Replace_import_with_0,o[0].textChanges[0].newText])}function wse(e){const n=e.sourceFile,t=Oa.This_expression_is_not_callable.code===e.errorCode?213:214,r=Nl(l$(n,e.span.start),(e=>e.kind===t));if(!r)return[];return Fse(e,r.expression)}function Ose(e){const n=Nl(l$(e.sourceFile,e.span.start),(n=>n.getStart()===e.span.start&&n.getEnd()===e.span.start+e.span.length));return n?Fse(e,n):[]}function Fse(e,n){const t=e.program.getTypeChecker().getTypeAtLocation(n);if(!(t.symbol&&Pf(t.symbol)&&t.symbol.links.originatingImport))return[];const r=[],o=t.symbol.links.originatingImport;if(P_(o)||Ee(r,function(e,n){const t=$f(n),r=Bg(n),o=e.program.getCompilerOptions(),i=[];return i.push(kse(e,t,n,mQ(r.name,void 0,n.moduleSpecifier,gQ(t,e.preferences)))),1===Vp(o)&&i.push(kse(e,t,n,UA.createImportEqualsDeclaration(void 0,!1,r.name,UA.createExternalModuleReference(n.moduleSpecifier)))),i}(e,o)),uu(n)&&(!Gl(n.parent)||n.parent.name!==n)){const t=e.sourceFile,o=p_e.ChangeTracker.with(e,(e=>e.replaceNode(t,n,UA.createPropertyAccessExpression(n,"default"),{})));r.push(l9(Pse,o,Oa.Use_synthetic_default_member))}return r}var Wse,zse,Gse,Bse,jse,Vse=g({"src/services/codefixes/fixInvalidImportSyntax.ts"(){Tge(),sce(),Pse="invalidImportSyntax",p9({errorCodes:[Oa.This_expression_is_not_callable.code,Oa.This_expression_is_not_constructable.code],getCodeActions:wse}),p9({errorCodes:[Oa.Argument_of_type_0_is_not_assignable_to_parameter_of_type_1.code,Oa.Type_0_does_not_satisfy_the_constraint_1.code,Oa.Type_0_is_not_assignable_to_type_1.code,Oa.Type_0_is_not_assignable_to_type_1_Two_different_types_with_this_name_exist_but_they_are_unrelated.code,Oa.Type_predicate_0_is_not_assignable_to_1.code,Oa.Property_0_of_type_1_is_not_assignable_to_2_index_type_3.code,Oa._0_index_type_1_is_not_assignable_to_2_index_type_3.code,Oa.Property_0_in_type_1_is_not_assignable_to_the_same_property_in_base_type_2.code,Oa.Property_0_in_type_1_is_not_assignable_to_type_2.code,Oa.Property_0_of_JSX_spread_attribute_is_not_assignable_to_target_property.code,Oa.The_this_context_of_type_0_is_not_assignable_to_method_s_this_of_type_1.code],getCodeActions:Ose})}});function Use(e,n){const t=l$(e,n);if(tN(t)&&TN(t.parent)){const e=Ab(t.parent);if(e)return{type:e,prop:t.parent,isJs:Yh(t.parent)}}}function Hse(e,n,t){vZ(t);const r=UA.updatePropertyDeclaration(t,t.modifiers,t.name,UA.createToken(54),t.type,t.initializer);e.replaceNode(n,t,r)}function Kse(e,n,t){const r=UA.createKeywordTypeNode(157),o=UN(t.type)?t.type.types.concat(r):[t.type,r],i=UA.createUnionTypeNode(o);t.isJs?e.addJSDocTags(n,t.prop,[UA.createJSDocTypeTag(void 0,UA.createJSDocTypeExpression(i))]):e.replaceNode(n,t.type,i)}function qse(e,n,t,r){vZ(t);const o=UA.updatePropertyDeclaration(t,t.modifiers,t.name,t.questionToken,t.type,r);e.replaceNode(n,t,o)}function Jse(e,n){return Xse(e,e.getTypeFromTypeNode(n.type))}function Xse(e,n){if(512&n.flags)return n===e.getFalseType()||n===e.getFalseType(!0)?UA.createFalse():UA.createTrue();if(n.isStringLiteral())return UA.createStringLiteral(n.value);if(n.isNumberLiteral())return UA.createNumericLiteral(n.value);if(2048&n.flags)return UA.createBigIntLiteral(n.value);if(n.isUnion())return T(n.types,(n=>Xse(e,n)));if(n.isClass()){const e=RS(n.symbol);if(!e||Bb(e,64))return;const t=_b(e);if(t&&t.parameters.length)return;return UA.createNewExpression(UA.createIdentifier(n.symbol.name),void 0,void 0)}return e.isArrayLikeType(n)?UA.createArrayLiteralExpression():void 0}var Yse,$se,Qse=g({"src/services/codefixes/fixStrictClassInitialization.ts"(){Tge(),sce(),Wse="strictClassInitialization",zse="addMissingPropertyDefiniteAssignmentAssertions",Gse="addMissingPropertyUndefinedType",Bse="addMissingPropertyInitializer",p9({errorCodes:jse=[Oa.Property_0_has_no_initializer_and_is_not_definitely_assigned_in_the_constructor.code],getCodeActions:function(e){const n=Use(e.sourceFile,e.span.start);if(!n)return;const t=[];return ye(t,function(e,n){const t=p_e.ChangeTracker.with(e,(t=>Kse(t,e.sourceFile,n)));return c9(Wse,t,[Oa.Add_undefined_type_to_property_0,n.prop.name.getText()],Gse,Oa.Add_undefined_type_to_all_uninitialized_properties)}(e,n)),ye(t,function(e,n){if(n.isJs)return;const t=p_e.ChangeTracker.with(e,(t=>Hse(t,e.sourceFile,n.prop)));return c9(Wse,t,[Oa.Add_definite_assignment_assertion_to_property_0,n.prop.getText()],zse,Oa.Add_definite_assignment_assertions_to_all_uninitialized_properties)}(e,n)),ye(t,function(e,n){if(n.isJs)return;const t=Jse(e.program.getTypeChecker(),n.prop);if(!t)return;const r=p_e.ChangeTracker.with(e,(r=>qse(r,e.sourceFile,n.prop,t)));return c9(Wse,r,[Oa.Add_initializer_to_property_0,n.prop.name.getText()],Bse,Oa.Add_initializers_to_all_uninitialized_properties)}(e,n)),t},fixIds:[zse,Gse,Bse],getAllCodeActions:e=>y9(e,jse,((n,t)=>{const r=Use(t.file,t.start);if(r)switch(e.fixId){case zse:Hse(n,t.file,r.prop);break;case Gse:Kse(n,t.file,r);break;case Bse:const o=Jse(e.program.getTypeChecker(),r.prop);if(!o)return;qse(n,t.file,r.prop,o);break;default:Tt.fail(JSON.stringify(e.fixId))}}))})}});function Zse(e,n,t){const{allowSyntheticDefaults:r,defaultImportName:o,namedImports:i,statement:a,required:s}=t;e.replaceNode(n,a,o&&!r?UA.createImportEqualsDeclaration(void 0,!1,o,UA.createExternalModuleReference(s)):UA.createImportDeclaration(void 0,UA.createImportClause(!1,o,i),s,void 0))}function ele(e,n,t){const{parent:r}=l$(e,t);ng(r,!0)||Tt.failBadSyntaxKind(r);const o=gn(r.parent,iC),i=hn(o.name,tN),a=rD(o.name)?function(e){const n=[];for(const t of e.elements){if(!tN(t.name)||t.initializer)return;n.push(UA.createImportSpecifier(!1,hn(t.propertyName,tN),t.name))}if(n.length)return UA.createNamedImports(n)}(o.name):void 0;if(i||a)return{allowSyntheticDefaults:Jp(n.getCompilerOptions()),defaultImportName:i,namedImports:a,statement:gn(o.parent.parent,BD),required:Me(r.arguments)}}var nle,tle,rle=g({"src/services/codefixes/requireInTs.ts"(){Tge(),sce(),Yse="requireInTs",p9({errorCodes:$se=[Oa.require_call_may_be_converted_to_an_import.code],getCodeActions(e){const n=ele(e.sourceFile,e.program,e.span.start);if(!n)return;const t=p_e.ChangeTracker.with(e,(t=>Zse(t,e.sourceFile,n)));return[c9(Yse,t,Oa.Convert_require_to_import,Yse,Oa.Convert_all_require_to_import)]},fixIds:[Yse],getAllCodeActions:e=>y9(e,$se,((n,t)=>{const r=ele(t.file,e.program,t.start);r&&Zse(n,e.sourceFile,r)}))})}});function ole(e,n){const t=l$(e,n);if(!tN(t))return;const{parent:r}=t;if(hC(r)&&wC(r.moduleReference))return{importNode:r,name:t,moduleSpecifier:r.moduleReference.expression};if(xC(r)){const e=r.parent.parent;return{importNode:e,name:t,moduleSpecifier:e.moduleSpecifier}}}function ile(e,n,t,r){e.replaceNode(n,t.importNode,mQ(t.name,void 0,t.moduleSpecifier,gQ(n,r)))}var ale,sle,lle=g({"src/services/codefixes/useDefaultImport.ts"(){Tge(),sce(),nle="useDefaultImport",p9({errorCodes:tle=[Oa.Import_may_be_converted_to_a_default_import.code],getCodeActions(e){const{sourceFile:n,span:{start:t}}=e,r=ole(n,t);if(!r)return;const o=p_e.ChangeTracker.with(e,(t=>ile(t,n,r,e.preferences)));return[c9(nle,o,Oa.Convert_to_default_import,nle,Oa.Convert_all_to_default_imports)]},fixIds:[nle],getAllCodeActions:e=>y9(e,tle,((n,t)=>{const r=ole(t.file,t.start);r&&ile(n,t.file,r,e.preferences)}))})}});function cle(e,n,t){const r=hn(l$(n,t.start),FI);if(!r)return;const o=r.getText(n)+"n";e.replaceNode(n,r,UA.createBigIntLiteral(o))}var dle,ule,ple=g({"src/services/codefixes/useBigintLiteral.ts"(){Tge(),sce(),ale="useBigintLiteral",p9({errorCodes:sle=[Oa.Numeric_literals_with_absolute_values_equal_to_2_53_or_greater_are_too_large_to_be_represented_accurately_as_integers.code],getCodeActions:function(e){const n=p_e.ChangeTracker.with(e,(n=>cle(n,e.sourceFile,e.span)));if(n.length>0)return[c9(ale,n,Oa.Convert_to_a_bigint_numeric_literal,ale,Oa.Convert_all_to_bigint_numeric_literals)]},fixIds:[ale],getAllCodeActions:e=>y9(e,sle,((e,n)=>cle(e,n.file,n)))})}});function fle(e,n){const t=l$(e,n);return Tt.assert(102===t.kind,"This token should be an ImportKeyword"),Tt.assert(205===t.parent.kind,"Token parent should be an ImportType"),t.parent}function mle(e,n,t){const r=UA.updateImportTypeNode(t,t.argument,t.attributes,t.qualifier,t.typeArguments,!0);e.replaceNode(n,t,r)}var _le,hle,gle=g({"src/services/codefixes/fixAddModuleReferTypeMissingTypeof.ts"(){Tge(),sce(),dle="fixAddModuleReferTypeMissingTypeof",p9({errorCodes:ule=[Oa.Module_0_does_not_refer_to_a_type_but_is_used_as_a_type_here_Did_you_mean_typeof_import_0.code],getCodeActions:function(e){const{sourceFile:n,span:t}=e,r=fle(n,t.start),o=p_e.ChangeTracker.with(e,(e=>mle(e,n,r)));return[c9(dle,o,Oa.Add_missing_typeof,dle,Oa.Add_missing_typeof)]},fixIds:[dle],getAllCodeActions:e=>y9(e,ule,((n,t)=>mle(n,e.sourceFile,fle(t.file,t.start))))})}});function yle(e,n){let t=l$(e,n).parent.parent;if((TD(t)||(t=t.parent,TD(t)))&&im(t.operatorToken))return t}function vle(e,n,t){const r=function(e){const n=[];let t=e;for(;;){if(TD(t)&&im(t.operatorToken)&&28===t.operatorToken.kind){if(n.push(t.left),zu(t.right))return n.push(t.right),n;if(TD(t.right)){t=t.right;continue}return}return}}(t);r&&e.replaceNode(n,t,UA.createJsxFragment(UA.createJsxOpeningFragment(),r,UA.createJsxJsxClosingFragment()))}var ble,Ele,Sle=g({"src/services/codefixes/wrapJsxInFragment.ts"(){Tge(),sce(),_le="wrapJsxInFragment",p9({errorCodes:hle=[Oa.JSX_expressions_must_have_one_parent_element.code],getCodeActions:function(e){const{sourceFile:n,span:t}=e,r=yle(n,t.start);if(!r)return;const o=p_e.ChangeTracker.with(e,(e=>vle(e,n,r)));return[c9(_le,o,Oa.Wrap_in_JSX_fragment,_le,Oa.Wrap_all_unparented_JSX_in_JSX_fragment)]},fixIds:[_le],getAllCodeActions:e=>y9(e,hle,((n,t)=>{const r=yle(e.sourceFile,t.start);r&&vle(n,e.sourceFile,r)}))})}});function Tle(e,n){const t=hn(l$(e,n).parent.parent,PN);if(!t)return;const r=cC(t.parent)?t.parent:hn(t.parent.parent,dC);return r?{indexSignature:t,container:r}:void 0}function xle(e,n,{indexSignature:t,container:r}){const i=(cC(r)?r.members:r.type.members).filter((e=>!PN(e))),a=Me(t.parameters),s=UA.createTypeParameterDeclaration(void 0,gn(a.name,tN),a.type),l=UA.createMappedTypeNode(Jb(t)?UA.createModifier(148):void 0,s,void 0,t.questionToken,t.type,void 0),c=UA.createIntersectionTypeNode([...zy(r),l,...i.length?[UA.createTypeLiteralNode(i)]:o]);var d,u;e.replaceNode(n,r,(d=r,u=c,UA.createTypeAliasDeclaration(d.modifiers,d.name,d.typeParameters,u)))}var Ale,Rle,Ile,Nle=g({"src/services/codefixes/convertToMappedObjectType.ts"(){Tge(),sce(),ble="fixConvertToMappedObjectType",p9({errorCodes:Ele=[Oa.An_index_signature_parameter_type_cannot_be_a_literal_type_or_generic_type_Consider_using_a_mapped_object_type_instead.code],getCodeActions:function(e){const{sourceFile:n,span:t}=e,r=Tle(n,t.start);if(!r)return;const o=p_e.ChangeTracker.with(e,(e=>xle(e,n,r))),i=Ll(r.container.name);return[c9(ble,o,[Oa.Convert_0_to_mapped_object_type,i],ble,[Oa.Convert_0_to_mapped_object_type,i])]},fixIds:[ble],getAllCodeActions:e=>y9(e,Ele,((e,n)=>{const t=Tle(n.file,n.start);t&&xle(e,n.file,t)}))})}}),Dle=g({"src/services/codefixes/removeAccidentalCallParentheses.ts"(){Tge(),sce(),Ale="removeAccidentalCallParentheses",p9({errorCodes:[Oa.This_expression_is_not_callable_because_it_is_a_get_accessor_Did_you_mean_to_use_it_without.code],getCodeActions(e){const n=Nl(l$(e.sourceFile,e.span.start),dD);if(!n)return;const t=p_e.ChangeTracker.with(e,(t=>{t.deleteRange(e.sourceFile,{pos:n.expression.end,end:n.end})}));return[l9(Ale,t,Oa.Remove_parentheses)]},fixIds:[Ale]})}});function Cle(e,n,t){const r=hn(l$(n,t.start),(e=>135===e.kind)),o=r&&hn(r.parent,bD);if(!o)return;let i=o;if(mD(o.parent)){if(tN(BS(o.expression,!1))){const e=f$(o.parent.pos,n);e&&105!==e.kind&&(i=o.parent)}}e.replaceNode(n,i,o.expression)}var Mle,Ple,Lle=g({"src/services/codefixes/removeUnnecessaryAwait.ts"(){Tge(),sce(),Rle="removeUnnecessaryAwait",p9({errorCodes:Ile=[Oa.await_has_no_effect_on_the_type_of_this_expression.code],getCodeActions:function(e){const n=p_e.ChangeTracker.with(e,(n=>Cle(n,e.sourceFile,e.span)));if(n.length>0)return[c9(Rle,n,Oa.Remove_unnecessary_await,Rle,Oa.Remove_all_unnecessary_uses_of_await)]},fixIds:[Rle],getAllCodeActions:e=>y9(e,Ile,((e,n)=>Cle(e,n.file,n)))})}});function kle(e,n){return Nl(l$(e,n.start),gC)}function wle(e,n,t){if(!n)return;const r=Tt.checkDefined(n.importClause);e.replaceNode(t.sourceFile,n,UA.updateImportDeclaration(n,n.modifiers,UA.updateImportClause(r,r.isTypeOnly,r.name,void 0),n.moduleSpecifier,n.attributes)),e.insertNodeAfter(t.sourceFile,n,UA.createImportDeclaration(void 0,UA.updateImportClause(r,r.isTypeOnly,void 0,r.namedBindings),n.moduleSpecifier,n.attributes))}var Ole,Fle,Wle=g({"src/services/codefixes/splitTypeOnlyImport.ts"(){Tge(),sce(),p9({errorCodes:Mle=[Oa.A_type_only_import_can_specify_a_default_import_or_named_bindings_but_not_both.code],fixIds:[Ple="splitTypeOnlyImport"],getCodeActions:function(e){const n=p_e.ChangeTracker.with(e,(n=>wle(n,kle(e.sourceFile,e.span),e)));if(n.length)return[c9(Ple,n,Oa.Split_into_two_separate_import_declarations,Ple,Oa.Split_all_invalid_type_only_imports)]},getAllCodeActions:e=>y9(e,Mle,((n,t)=>{wle(n,kle(e.sourceFile,t),e)}))})}});function zle(e,n,t){var r;const o=t.getTypeChecker().getSymbolAtLocation(l$(e,n));if(void 0===o)return;const i=hn(null==(r=null==o?void 0:o.valueDeclaration)?void 0:r.parent,aC);if(void 0===i)return;const a=JY(i,87,e);return void 0!==a?{symbol:o,token:a}:void 0}function Gle(e,n,t){e.replaceNode(n,t,UA.createToken(121))}var Ble,jle,Vle,Ule=g({"src/services/codefixes/convertConstToLet.ts"(){Tge(),sce(),Ole="fixConvertConstToLet",p9({errorCodes:Fle=[Oa.Cannot_assign_to_0_because_it_is_a_constant.code],getCodeActions:function(e){const{sourceFile:n,span:t,program:r}=e,o=zle(n,t.start,r);if(void 0===o)return;const i=p_e.ChangeTracker.with(e,(e=>Gle(e,n,o.token)));return[d9(Ole,i,Oa.Convert_const_to_let,Ole,Oa.Convert_all_const_to_let)]},getAllCodeActions:e=>{const{program:n}=e,t=new Map;return h9(p_e.ChangeTracker.with(e,(r=>{v9(e,Fle,(e=>{const o=zle(e.file,e.start,n);if(o&&PS(t,Kz(o.symbol)))return Gle(r,e.file,o.token)}))})))},fixIds:[Ole]})}});function Hle(e,n,t){const r=l$(e,n);return 27===r.kind&&r.parent&&(sD(r.parent)||aD(r.parent))?{node:r}:void 0}function Kle(e,n,{node:t}){const r=UA.createToken(28);e.replaceNode(n,t,r)}var qle,Jle,Xle=g({"src/services/codefixes/fixExpectedComma.ts"(){Tge(),sce(),Ble="fixExpectedComma",jle=Oa._0_expected.code,p9({errorCodes:Vle=[jle],getCodeActions(e){const{sourceFile:n}=e,t=Hle(n,e.span.start,e.errorCode);if(!t)return;const r=p_e.ChangeTracker.with(e,(e=>Kle(e,n,t)));return[c9(Ble,r,[Oa.Change_0_to_1,";",","],Ble,[Oa.Change_0_to_1,";",","])]},fixIds:[Ble],getAllCodeActions:e=>y9(e,Vle,((n,t)=>{const r=Hle(t.file,t.start,t.code);r&&Kle(n,e.sourceFile,r)}))})}});function Yle(e,n,t,r,o){const i=l$(n,t.start);if(!tN(i)||!dD(i.parent)||i.parent.expression!==i||0!==i.parent.arguments.length)return;const a=r.getTypeChecker(),s=a.getSymbolAtLocation(i),l=null==s?void 0:s.valueDeclaration;if(!l||!bN(l)||!uD(l.parent.parent))return;if(null==o?void 0:o.has(l))return;null==o||o.add(l);const c=function(e){var n;if(!Yh(e))return e.typeArguments;if(mD(e.parent)){const t=null==(n=yc(e.parent))?void 0:n.typeExpression.type;if(t&&kN(t)&&tN(t.typeName)&&"Promise"===Ll(t.typeName))return t.typeArguments}}(l.parent.parent);if(oe(c)){const t=c[0],r=!UN(t)&&!JN(t)&&JN(UA.createUnionTypeNode([t,UA.createKeywordTypeNode(116)]).types[0]);r&&e.insertText(n,t.pos,"("),e.insertText(n,t.end,r?") | void":" | void")}else{const t=a.getResolvedSignature(i.parent),r=null==t?void 0:t.parameters[0],o=r&&a.getTypeOfSymbolAtLocation(r,l.parent.parent);Yh(l)?(!o||3&o.flags)&&(e.insertText(n,l.parent.parent.end,")"),e.insertText(n,Ts(n.text,l.parent.parent.pos),"/** @type {Promise<void>} */(")):(!o||2&o.flags)&&e.insertText(n,l.parent.parent.expression.end,"<void>")}}var $le=g({"src/services/codefixes/fixAddVoidToPromise.ts"(){Tge(),sce(),qle="addVoidToPromise",p9({errorCodes:Jle=[Oa.Expected_1_argument_but_got_0_new_Promise_needs_a_JSDoc_hint_to_produce_a_resolve_that_can_be_called_without_arguments.code,Oa.Expected_0_arguments_but_got_1_Did_you_forget_to_include_void_in_your_type_argument_to_Promise.code],fixIds:[qle],getCodeActions(e){const n=p_e.ChangeTracker.with(e,(n=>Yle(n,e.sourceFile,e.span,e.program)));if(n.length>0)return[c9("addVoidToPromise",n,Oa.Add_void_to_Promise_resolved_without_a_value,qle,Oa.Add_void_to_all_Promises_resolved_without_a_value)]},getAllCodeActions(e){return y9(e,Jle,((n,t)=>Yle(n,t.file,t,e.program,new Set)))}})}}),Qle={};y(Qle,{PreserveOptionalFlags:()=>ese,addNewNodeForMemberSymbol:()=>ose,codeFixAll:()=>y9,createCodeFixAction:()=>c9,createCodeFixActionMaybeFixAll:()=>d9,createCodeFixActionWithoutFixAll:()=>l9,createCombinedCodeActions:()=>h9,createFileTextChanges:()=>g9,createImportAdder:()=>lte,createImportSpecifierResolver:()=>dte,createJsonPropertyAssignment:()=>gse,createMissingMemberNodes:()=>tse,createSignatureDeclarationFromCallExpression:()=>ase,createSignatureDeclarationFromSignature:()=>ise,createStubbedBody:()=>mse,eachDiagnostic:()=>v9,findAncestorMatchingSpan:()=>Sse,findJsonProperty:()=>yse,generateAccessorFromProperty:()=>xse,getAccessorConvertiblePropertyAtPosition:()=>Nse,getAllFixes:()=>_9,getAllSupers:()=>Mse,getArgumentTypesAndTypeParameters:()=>dse,getFixes:()=>m9,getImportCompletionAction:()=>ute,getImportKind:()=>Rte,getJSDocTypedefNodes:()=>Kne,getNoopSymbolTrackerWithResolver:()=>rse,getPromoteTypeOnlyCompletionAction:()=>pte,getSupportedErrorCodes:()=>f9,importFixName:()=>ote,importSymbols:()=>Ese,moduleSpecifierToValidIdentifier:()=>jte,moduleSymbolToValidIdentifier:()=>Bte,parameterShouldGetTypeFromJSDoc:()=>gee,registerCodeFix:()=>p9,setJsonCompilerOptionValue:()=>hse,setJsonCompilerOptionValues:()=>_se,tryGetAutoImportableReferenceFromTypeNode:()=>vse,typeToAutoImportableTypeNode:()=>lse});var Zle,ece,nce,tce,rce,oce,ice,ace,sce=g({"src/services/_namespaces/ts.codefix.ts"(){T9(),N9(),D9(),O9(),K9(),Q9(),tee(),aee(),dee(),_ee(),xee(),Mee(),ane(),Rne(),Mne(),One(),jne(),Xne(),ete(),ste(),Hte(),Zte(),ire(),dre(),mre(),Sre(),Are(),Lre(),Jre(),poe(),goe(),Coe(),Ooe(),joe(),Joe(),Zoe(),rie(),cie(),die(),_ie(),Eie(),Nie(),Lie(),Oie(),Vie(),rae(),sae(),pae(),vae(),xae(),Dae(),Lae(),Kae(),Qae(),nse(),Tse(),Lse(),Vse(),Qse(),rle(),lle(),ple(),gle(),Sle(),Nle(),Dle(),Lle(),Wle(),Ule(),Xle(),$le()}});function lce(e){return!!(e&&4&e.kind)}function cce(e){return!(!e||32!==e.kind)}function dce(e){return(lce(e)||cce(e))&&!!e.isFromPackageJson}function uce(e){return!!(e&&64&e.kind)}function pce(e){return!!(e&&128&e.kind)}function fce(e){return!!(e&&512&e.kind)}function mce(e,n,t,r,o,i,a,s,l){var c,d,u;const p=Zt(),f=a||AT(Up(r.getCompilerOptions()));let m=!1,_=0,h=0,g=0,y=0;const v=l({tryResolve:function(e,n){if(n){const n=t.getModuleSpecifierForBestExportInfo(e,o,s);return n&&_++,n||"failed"}const r=f||i.allowIncompleteCompletions&&h<Zle,a=!r&&i.allowIncompleteCompletions&&y<ece,l=r||a?t.getModuleSpecifierForBestExportInfo(e,o,s,a):void 0;(!r&&!a||a&&!l)&&(m=!0);h+=(null==l?void 0:l.computedWithoutCacheCount)||0,g+=e.length-((null==l?void 0:l.computedWithoutCacheCount)||0),a&&y++;return l||(f?"failed":"skipped")},skippedAny:()=>m,resolvedAny:()=>h>0,resolvedBeyondLimit:()=>h>Zle}),b=y?` (${(g/y*100).toFixed(1)}% hit rate)`:"";return null==(c=n.log)||c.call(n,`${e}: resolved ${h} module specifiers, plus ${_} ambient and ${g} from cache${b}`),null==(d=n.log)||d.call(n,`${e}: response is ${m?"incomplete":"complete"}`),null==(u=n.log)||u.call(n,`${e}: ${Zt()-p}`),v}function _ce(e,n,t,r,o,i,a,s,l,c,d=!1){var u;const{previousToken:p}=Xce(o,r);if(a&&!g$(r,o,p)&&!function(e,n,t,r){switch(n){case".":case"@":return!0;case'"':case"'":case"`":return!!t&&OZ(t)&&r===t.getStart(e)+1;case"#":return!!t&&rN(t)&&!!_h(t);case"<":return!!t&&30===t.kind&&(!TD(t.parent)||cde(t.parent));case"/":return!!t&&(tp(t)?!!zg(t):44===t.kind&&zC(t.parent));case" ":return!!t&&_N(t)&&312===t.parent.kind;default:return Tt.assertNever(n)}}(r,a,p,o))return;if(" "===a)return i.includeCompletionsForImportStatements&&i.includeCompletionsWithInsertText?{isGlobalCompletion:!0,isMemberCompletion:!1,isNewIdentifierLocation:!0,isIncomplete:!0,entries:[]}:void 0;const f=n.getCompilerOptions(),m=n.getTypeChecker(),_=i.allowIncompleteCompletions?null==(u=e.getIncompleteCompletionsCache)?void 0:u.call(e):void 0;if(_&&3===s&&p&&tN(p)){const t=function(e,n,t,r,o,i,a,s){const l=e.get();if(!l)return;const c=a$(n,s),d=t.text.toLowerCase(),u=F0(n,o,r,i,a),p=mce("continuePreviousIncompleteResponse",o,Qle.createImportSpecifierResolver(n,r,o,i),r,t.getStart(),i,!1,wx(t),(e=>{const t=Y(l.entries,(t=>{var i;if(!t.hasAction||!t.source||!t.data||gce(t.data))return t;if(!vde(t.name,d))return;const{origin:a}=Tt.checkDefined(Yce(t.name,t.data,r,o)),s=u.get(n.path,t.data.exportMapKey),l=s&&e.tryResolve(s,!Xs(Bv(a.moduleSymbol.name)));if("skipped"===l)return t;if(!l||"failed"===l)return void(null==(i=o.log)||i.call(o,`Unexpected failure resolving auto import for '${t.name}' from '${t.source}'`));const c={...a,kind:32,moduleSpecifier:l.moduleSpecifier};return t.data=wce(c),t.source=zce(c),t.sourceDisplay=[qQ(c.moduleSpecifier)],t}));return e.skippedAny()||(l.isIncomplete=void 0),t}));return l.entries=p,l.flags=4|(l.flags||0),l.optionalReplacementSpan=Tce(c),l}(_,r,p,n,e,i,l,o);if(t)return t}else null==_||_.clear();const h=Zde.getStringLiteralCompletions(r,o,p,f,e,n,t,i,d);if(h)return h;if(p&&Vc(p.parent)&&(83===p.kind||88===p.kind||80===p.kind))return function(e){const n=function(e){const n=[],t=new Map;let r=e;for(;r&&!Td(r);){if(nC(r)){const e=r.label.text;t.has(e)||(t.set(e,!0),n.push({name:e,kindModifiers:"",kind:"label",sortText:nce.LocationPriority}))}r=r.parent}return n}(e);if(n.length)return{isGlobalCompletion:!1,isMemberCompletion:!1,isNewIdentifierLocation:!1,entries:n}}(p.parent);const g=Jce(n,t,r,f,o,i,void 0,e,c,l);var y;if(g)switch(g.kind){case 0:const a=function(e,n,t,r,o,i,a,s,l,c){const{symbols:d,contextToken:u,completionKind:p,isInSnippetScope:f,isNewIdentifierLocation:m,location:_,propertyAccessToConvert:h,keywordFilters:g,symbolToOriginInfoMap:y,recommendedCompletion:v,isJsxInitializer:b,isTypeOnlyLocation:E,isJsxIdentifierExpected:S,isRightOfOpenTag:T,isRightOfDotOrQuestionDot:x,importStatementCompletion:A,insideJsDocTagTypeExpression:R,symbolToSortTextMap:I,hasUnresolvedAutoImports:N}=i;let D=i.literals;const C=t.getTypeChecker();if(1===_T(e.scriptKind)){const n=function(e,n){const t=Nl(e,(e=>{switch(e.kind){case 287:return!0;case 44:case 32:case 80:case 211:return!1;default:return"quit"}}));if(t){const e=!!JY(t,32,n),r=t.parent.openingElement.tagName.getText(n)+(e?"":">");return{isGlobalCompletion:!1,isMemberCompletion:!0,isNewIdentifierLocation:!1,optionalReplacementSpan:H$(t.tagName),entries:[{name:r,kind:"class",kindModifiers:void 0,sortText:nce.LocationPriority}]}}return}(_,e);if(n)return n}const M=Nl(u,JC);if(M&&(hN(u)||Ay(u,M.expression))){const e=N0(C,M.parent.clauses);D=D.filter((n=>!e.hasValue(n))),d.forEach(((n,t)=>{if(n.valueDeclaration&&nM(n.valueDeclaration)){const r=C.getConstantValue(n.valueDeclaration);void 0!==r&&e.hasValue(r)&&(y[t]={kind:256})}}))}const P=[],L=xce(e,r);if(L&&!m&&(!d||0===d.length)&&0===g)return;const k=Gce(d,P,void 0,u,_,l,e,n,t,jp(r),o,p,a,r,s,E,h,S,b,A,v,y,I,S,T,c);if(0!==g)for(const n of Qce(g,!R&&Jh(e)))(E&&Q$(ss(n.name))||!E&&Ede(n.name)||!k.has(n.name))&&(k.add(n.name),ue(P,n,hce,!0));for(const e of function(e,n){const t=[];if(e){const r=e.getSourceFile(),o=e.parent,i=r.getLineAndCharacterOfPosition(e.end).line,a=r.getLineAndCharacterOfPosition(n).line;(gC(o)||DC(o)&&o.moduleSpecifier)&&e===o.moduleSpecifier&&i===a&&t.push({name:as(132),kind:"keyword",kindModifiers:"",sortText:nce.GlobalsOrKeywords})}return t}(u,l))k.has(e.name)||(k.add(e.name),ue(P,e,hce,!0));for(const n of D){const t=Cce(e,a,n);k.add(t.name),ue(P,t,hce,!0)}L||function(e,n,t,r,o){T7(e).forEach(((e,i)=>{if(e===n)return;const a=Pl(i);!t.has(a)&&zs(a,r)&&(t.add(a),ue(o,{name:a,kind:"warning",kindModifiers:"",sortText:nce.JavascriptIdentifiers,isFromUncheckedFile:!0},hce))}))}(e,_.pos,k,jp(r),P);let w;if(a.includeCompletionsWithInsertText&&u&&!T&&!x&&(w=Nl(u,mC))){const o=Ace(w,e,a,r,n,t,s);o&&P.push(o.entry)}return{flags:i.flags,isGlobalCompletion:f,isIncomplete:!(!a.allowIncompleteCompletions||!N)||void 0,isMemberCompletion:Nce(p),isNewIdentifierLocation:m,optionalReplacementSpan:Tce(_),entries:P}}(r,e,n,f,t,g,i,c,o,d);return(null==a?void 0:a.isIncomplete)&&(null==_||_.set(a)),a;case 1:return yce([...Gpe.getJSDocTagNameCompletions(),...vce(r,o,m,f,i,!0)]);case 2:return yce([...Gpe.getJSDocTagCompletions(),...vce(r,o,m,f,i,!1)]);case 3:return yce(Gpe.getJSDocParameterNameCompletions(g.tag));case 4:return y=g.keywordCompletions,{isGlobalCompletion:!1,isMemberCompletion:!1,isNewIdentifierLocation:g.isNewIdentifierLocation,entries:y.slice()};default:return Tt.assertNever(g)}}function hce(e,n){var t,r;let o=Un(e.sortText,n.sortText);return 0===o&&(o=Un(e.name,n.name)),0===o&&(null==(t=e.data)?void 0:t.moduleSpecifier)&&(null==(r=n.data)?void 0:r.moduleSpecifier)&&(o=lx(e.data.moduleSpecifier,n.data.moduleSpecifier)),0===o?-1:o}function gce(e){return!!(null==e?void 0:e.moduleSpecifier)}function yce(e){return{isGlobalCompletion:!1,isMemberCompletion:!1,isNewIdentifierLocation:!1,entries:e}}function vce(e,n,t,r,o,i){const a=l$(e,n);if(!Ku(a)&&!bM(a))return[];const s=bM(a)?a:a.parent;if(!bM(s))return[];const l=s.parent;if(!Td(l))return[];const c=Jh(e),d=o.includeCompletionsWithSnippetText||void 0,u=F(s.tags,(e=>OM(e)&&e.getEnd()<=n));return Y(l.parameters,(e=>{if(!ql(e).length){if(tN(e.name)){const n={tabstop:1},a=e.name.text;let s=Ece(a,e.initializer,e.dotDotDotToken,c,!1,!1,t,r,o),l=d?Ece(a,e.initializer,e.dotDotDotToken,c,!1,!0,t,r,o,n):void 0;return i&&(s=s.slice(1),l&&(l=l.slice(1))),{name:s,kind:"parameter",sortText:nce.LocationPriority,insertText:d?l:void 0,isSnippet:d}}if(e.parent.parameters.indexOf(e)===u){const n=`param${u}`,a=bce(n,e.name,e.initializer,e.dotDotDotToken,c,!1,t,r,o),s=d?bce(n,e.name,e.initializer,e.dotDotDotToken,c,!0,t,r,o):void 0;let l=a.join(VE(r)+"* "),p=null==s?void 0:s.join(VE(r)+"* ");return i&&(l=l.slice(1),p&&(p=p.slice(1))),{name:l,kind:"parameter",sortText:nce.LocationPriority,insertText:d?p:void 0,isSnippet:d}}}}))}function bce(e,n,t,r,o,i,a,s,l){return o?c(e,n,t,r,{tabstop:1}):[Ece(e,t,r,o,!1,i,a,s,l,{tabstop:1})];function c(e,n,t,r,c){if(rD(n)&&!r){const u={tabstop:c.tabstop},p=Ece(e,t,r,o,!0,i,a,s,l,u);let f=[];for(const t of n.elements){const n=d(e,t,u);if(!n){f=void 0;break}f.push(...n)}if(f)return c.tabstop=u.tabstop,[p,...f]}return[Ece(e,t,r,o,!1,i,a,s,l,c)]}function d(e,n,t){if(!n.propertyName&&tN(n.name)||tN(n.name)){const r=n.propertyName?s_(n.propertyName):n.name.text;if(!r)return;return[Ece(`${e}.${r}`,n.initializer,n.dotDotDotToken,o,!1,i,a,s,l,t)]}if(n.propertyName){const r=s_(n.propertyName);return r&&c(`${e}.${r}`,n.name,n.initializer,n.dotDotDotToken,t)}}}function Ece(e,n,t,r,o,i,a,s,l,c){if(i&&Tt.assertIsDefined(c),n&&(e=function(e,n){const t=n.getText().trim();if(t.includes("\n")||t.length>80)return`[${e}]`;return`[${e}=${t}]`}(e,n)),i&&(e=nA(e)),r){let r="*";if(o)Tt.assert(!t,"Cannot annotate a rest parameter with type 'Object'."),r="Object";else{if(n){const e=a.getTypeAtLocation(n.parent);if(!(16385&e.flags)){const t=n.getSourceFile(),o=0===gQ(t,l)?268435456:0,c=a.typeToTypeNode(e,Nl(n,Td),o);if(c){const e=i?kce({removeComments:!0,module:s.module,target:s.target}):HV({removeComments:!0,module:s.module,target:s.target});fR(c,1),r=e.printNode(4,c,t)}}}i&&"*"===r&&(r=`\${${c.tabstop++}:${r}}`)}return`@param {${!o&&t?"...":""}${r}} ${e} ${i?`\${${c.tabstop++}}`:""}`}return`@param ${e} ${i?`\${${c.tabstop++}}`:""}`}function Sce(e,n,t){return{kind:4,keywordCompletions:Qce(e,n),isNewIdentifierLocation:t}}function Tce(e){return 80===(null==e?void 0:e.kind)?H$(e):void 0}function xce(e,n){return!Jh(e)||!!Ex(e,n)}function Ace(e,n,t,r,o,i,a){const s=e.clauses,l=i.getTypeChecker(),c=l.getTypeAtLocation(e.parent.expression);if(c&&c.isUnion()&&N(c.types,(e=>e.isLiteral()))){const d=N0(l,s),u=jp(r),p=gQ(n,t),f=Qle.createImportAdder(n,i,t,o),m=[];for(const n of c.types)if(1024&n.flags){Tt.assert(n.symbol,"An enum member type should have a symbol"),Tt.assert(n.symbol.parent,"An enum member type should have a parent symbol (the enum symbol)");const t=n.symbol.valueDeclaration&&l.getConstantValue(n.symbol.valueDeclaration);if(void 0!==t){if(d.hasValue(t))continue;d.addValue(t)}const r=Qle.typeToAutoImportableTypeNode(l,f,n,e,u);if(!r)return;const o=Rce(r,u,p);if(!o)return;m.push(o)}else if(!d.hasValue(n.value))switch(typeof n.value){case"object":m.push(n.value.negative?UA.createPrefixUnaryExpression(41,UA.createBigIntLiteral({negative:!1,base10Value:n.value.base10Value})):UA.createBigIntLiteral(n.value));break;case"number":m.push(n.value<0?UA.createPrefixUnaryExpression(41,UA.createNumericLiteral(-n.value)):UA.createNumericLiteral(n.value));break;case"string":m.push(UA.createStringLiteral(n.value,0===p))}if(0===m.length)return;const _=B(m,(e=>UA.createCaseClause(e,[]))),h=eZ(o,null==a?void 0:a.options),g=kce({removeComments:!0,module:r.module,target:r.target,newLine:T0(h)}),y=a?e=>g.printAndFormatNode(4,e,n,a):e=>g.printNode(4,e,n),v=B(_,((e,n)=>t.includeCompletionsWithSnippetText?`${y(e)}$${n+1}`:`${y(e)}`)).join(h);return{entry:{name:`${g.printNode(4,_[0],n)} ...`,kind:"",sortText:nce.GlobalsOrKeywords,insertText:v,hasAction:f.hasFixes()||void 0,source:"SwitchCases/",isSnippet:!!t.includeCompletionsWithSnippetText||void 0},importAdder:f}}}function Rce(e,n,t){switch(e.kind){case 183:return Ice(e.typeName,n,t);case 199:const r=Rce(e.objectType,n,t),o=Rce(e.indexType,n,t);return r&&o&&UA.createElementAccessExpression(r,o);case 201:const i=e.literal;switch(i.kind){case 11:return UA.createStringLiteral(i.text,0===t);case 9:return UA.createNumericLiteral(i.text,i.numericLiteralFlags)}return;case 196:const a=Rce(e.type,n,t);return a&&(tN(a)?a:UA.createParenthesizedExpression(a));case 186:return Ice(e.exprName,n,t);case 205:Tt.fail("We should not get an import type after calling 'codefix.typeToAutoImportableTypeNode'.")}}function Ice(e,n,t){if(tN(e))return e;const r=Pl(e.right.escapedText);return dA(r,n)?UA.createPropertyAccessExpression(Ice(e.left,n,t),r):UA.createElementAccessExpression(Ice(e.left,n,t),UA.createStringLiteral(r,0===t))}function Nce(e){switch(e){case 0:case 3:case 2:return!0;default:return!1}}function Dce(e,n,t){return"object"==typeof t?Mx(t)+"n":mn(t)?kZ(e,n,t):JSON.stringify(t)}function Cce(e,n,t){return{name:Dce(e,n,t),kind:"string",kindModifiers:"",sortText:nce.LocationPriority}}function Mce(e,n,t,r,o,i,a,s,l,c,d,u,p,f,m,_,h,g,y,v,b,E,S,T){var x,A;let R,I,C,M,P,L,k,w=U$(t),O=zce(u);const F=l.getTypeChecker(),W=u&&function(e){return!!(16&e.kind)}(u),z=u&&function(e){return!!(2&e.kind)}(u)||d;if(u&&function(e){return!!(1&e.kind)}(u))R=d?`this${W?"?.":""}[${Fce(a,y,c)}]`:`this${W?"?.":"."}${c}`;else if((z||W)&&f){R=z?d?`[${Fce(a,y,c)}]`:`[${c}]`:c,(W||f.questionDotToken)&&(R=`?.${R}`);const e=JY(f,25,a)||JY(f,29,a);if(!e)return;const n=st(c,f.name.text)?f.name.end:e.end;w=ul(e.getStart(a),n)}if(m&&(void 0===R&&(R=c),R=`{${R}}`,"boolean"!=typeof m&&(w=H$(m,a))),u&&function(e){return!!(8&e.kind)}(u)&&f){void 0===R&&(R=c);const e=f$(f.pos,a);let n="";e&&UZ(e.end,e.parent,a)&&(n=";"),n+=`(await ${f.expression.getText()})`,R=d?`${n}${R}`:`${n}${W?"?.":"."}${R}`;w=ul((hn(f.parent,bD)?f.parent:f.expression).getStart(a),f.end)}if(cce(u)&&(P=[qQ(u.moduleSpecifier)],_&&(({insertText:R,replacementSpan:w}=function(e,n,t,r,o,i,a){const s=n.replacementSpan,l=nA(kZ(o,a,t.moduleSpecifier)),c=t.isDefaultExport?1:"export="===t.exportName?2:0,d=a.includeCompletionsWithSnippetText?"$1":"",u=Qle.getImportKind(o,c,i,!0),p=n.couldBeTypeOnlyImportSpecifier,f=n.isTopLevelTypeOnly?` ${as(156)} `:" ",m=p?`${as(156)} `:"",_=r?";":"";switch(u){case 3:return{replacementSpan:s,insertText:`import${f}${nA(e)}${d} = require(${l})${_}`};case 1:return{replacementSpan:s,insertText:`import${f}${nA(e)}${d} from ${l}${_}`};case 2:return{replacementSpan:s,insertText:`import${f}* as ${nA(e)} from ${l}${_}`};case 0:return{replacementSpan:s,insertText:`import${f}{ ${m}${nA(e)}${d} } from ${l}${_}`}}}(c,_,u,h,a,g,y)),M=!!y.includeCompletionsWithSnippetText||void 0)),64===(null==u?void 0:u.kind)&&(L=!0),0===v&&r&&28!==(null==(x=f$(r.pos,a,r))?void 0:x.kind)&&(AN(r.parent.parent)||NN(r.parent.parent)||DN(r.parent.parent)||eM(r.parent)||(null==(A=Nl(r.parent,QC))?void 0:A.getLastToken(a))===r||ZC(r.parent)&&_s(a,r.getEnd()).line!==_s(a,i).line)&&(O="ObjectLiteralMemberWithComma/",L=!0),y.includeCompletionsWithClassMemberSnippets&&y.includeCompletionsWithInsertText&&3===v&&function(e,n,t){if(Yh(n))return!1;const r=106500;return!!(e.flags&r)&&(Md(n)||n.parent&&n.parent.parent&&Cd(n.parent)&&n===n.parent.name&&n.parent.getLastToken(t)===n.parent.name&&Md(n.parent.parent)||n.parent&&qM(n)&&Md(n.parent))}(e,o,a)){let n;const t=Pce(s,l,g,y,c,e,o,i,r,b);if(!t)return;({insertText:R,filterText:I,isSnippet:M,importAdder:n}=t),(null==n?void 0:n.hasFixes())&&(L=!0,O="ClassMemberSnippet/")}if(u&&pce(u)&&(({insertText:R,isSnippet:M,labelDetails:k}=u),y.useLabelDetailsInCompletionEntries||(c+=k.detail,k=void 0),O="ObjectLiteralMethodSnippet/",n=nce.SortBelow(n)),E&&!S&&y.includeCompletionsWithSnippetText&&y.jsxAttributeCompletionStyle&&"none"!==y.jsxAttributeCompletionStyle&&(!VC(o.parent)||!o.parent.initializer)){let n="braces"===y.jsxAttributeCompletionStyle;const t=F.getTypeOfSymbolAtLocation(e,o);"auto"!==y.jsxAttributeCompletionStyle||528&t.flags||1048576&t.flags&&D(t.types,(e=>!!(528&e.flags)))||(402653316&t.flags||1048576&t.flags&&N(t.types,(e=>!!(402686084&e.flags||O$(e))))?(R=`${nA(c)}=${kZ(a,y,"$1")}`,M=!0):n=!0),n&&(R=`${nA(c)}={$1}`,M=!0)}if(void 0!==R&&!y.includeCompletionsWithInsertText)return;(lce(u)||cce(u))&&(C=wce(u),L=!_);const G=Nl(o,WS);if(275===(null==G?void 0:G.kind)){const e=ss(c);G&&e&&(135===e||qy(e))&&(R=`${c} as ${c}_`)}return{name:c,kind:wme.getSymbolKind(F,e,o),kindModifiers:wme.getSymbolModifiers(F,e),sortText:n,source:O,hasAction:!!L||void 0,isRecommended:Wce(e,p,F)||void 0,insertText:R,filterText:I,replacementSpan:w,sourceDisplay:P,labelDetails:k,isSnippet:M,isPackageJsonImport:dce(u)||void 0,isImportStatementCompletion:!!_||void 0,data:C,...T?{symbol:e}:void 0}}function Pce(e,n,t,r,o,i,a,s,l,c){const d=Nl(a,Md);if(!d)return;let u,p=o;const f=o,m=n.getTypeChecker(),_=a.getSourceFile(),h=kce({removeComments:!0,module:t.module,target:t.target,omitTrailingSemicolon:!1,newLine:T0(eZ(e,null==c?void 0:c.options))}),g=Qle.createImportAdder(_,n,r,e);let y;if(r.includeCompletionsWithSnippetText){u=!0;const e=UA.createEmptyStatement();y=UA.createBlock([e],!0),GR(e,{kind:0,order:0})}else y=UA.createBlock([],!0);let v=0;const{modifiers:b,range:E,decorators:S}=function(e,n,t){if(!e||_s(n,t).line>_s(n,e.getEnd()).line)return{modifiers:0};let r,o,i=0;const a={pos:t,end:t};TN(e.parent)&&e.parent.modifiers&&(i|=98303&aE(e.parent.modifiers),r=e.parent.modifiers.filter(EN)||[],a.pos=Math.min(a.pos,e.parent.modifiers.pos));if(o=function(e){if(vd(e))return e.kind;if(tN(e)){const n=kl(e);if(n&&hd(n))return n}return}(e)){const n=sE(o);i&n||(i|=n,a.pos=Math.min(a.pos,e.pos))}return{modifiers:i,decorators:r,range:a.pos!==t?a:void 0}}(l,_,s),T=64&b&&64&d.modifierFlagsCache;let x=[];if(Qle.addNewNodeForMemberSymbol(i,d,_,{program:n,host:e},r,g,(e=>{let n=0;T&&(n|=64),Cd(e)&&1===m.getMemberOverrideModifierStatus(d,e,i)&&(n|=16),x.length||(v=e.modifierFlagsCache|n),e=UA.replaceModifiers(e,v),x.push(e)}),y,Qle.PreserveOptionalFlags.Property,!!T),x.length){const e=8192&i.flags;let n=17|v;n|=e?1024:136;const t=b&n;if(b&~n)return;if(4&v&&1&t&&(v&=-5),0===t||1&t||(v&=-2),v|=t,x=x.map((e=>UA.replaceModifiers(e,v))),null==S?void 0:S.length){const e=x[x.length-1];bL(e)&&(x[x.length-1]=UA.replaceDecoratorsAndModifiers(e,S.concat(Hl(e)||[])))}const r=131073;p=c?h.printAndFormatSnippetList(r,UA.createNodeArray(x),_,c):h.printSnippetList(r,UA.createNodeArray(x),_)}return{insertText:p,filterText:f,isSnippet:u,importAdder:g,eraseRange:E}}function Lce(e,n,t,r,o,i,a,s){const l=a.includeCompletionsWithSnippetText||void 0;let c=n;const d=t.getSourceFile(),u=function(e,n,t,r,o,i){const a=e.getDeclarations();if(!a||!a.length)return;const s=r.getTypeChecker(),l=a[0],c=mZ(jl(l),!1),d=s.getWidenedType(s.getTypeOfSymbolAtLocation(e,n)),u=gQ(t,i),p=33554432|(0===u?268435456:0);switch(l.kind){case 171:case 172:case 173:case 174:{let e=1048576&d.flags&&d.types.length<10?s.getUnionType(d.types,2):d;if(1048576&e.flags){const n=W(e.types,(e=>s.getSignaturesOfType(e,0).length>0));if(1!==n.length)return;e=n[0]}if(1!==s.getSignaturesOfType(e,0).length)return;const t=s.typeToTypeNode(e,n,p,Qle.getNoopSymbolTrackerWithResolver({program:r,host:o}));if(!t||!wN(t))return;let a;if(i.includeCompletionsWithSnippetText){const e=UA.createEmptyStatement();a=UA.createBlock([e],!0),GR(e,{kind:0,order:0})}else a=UA.createBlock([],!0);const l=t.parameters.map((e=>UA.createParameterDeclaration(void 0,e.dotDotDotToken,e.name,void 0,void 0,e.initializer)));return UA.createMethodDeclaration(void 0,void 0,c,void 0,void 0,l,void 0,a)}default:return}}(e,t,d,r,o,a);if(!u)return;const p=kce({removeComments:!0,module:i.module,target:i.target,omitTrailingSemicolon:!1,newLine:T0(eZ(o,null==s?void 0:s.options))});c=s?p.printAndFormatSnippetList(80,UA.createNodeArray([u],!0),d,s):p.printSnippetList(80,UA.createNodeArray([u],!0),d);const f=HV({removeComments:!0,module:i.module,target:i.target,omitTrailingSemicolon:!0}),m=UA.createMethodSignature(void 0,"",u.questionToken,u.typeParameters,u.parameters,u.type);return{isSnippet:l,insertText:c,labelDetails:{detail:f.printNode(4,m,d)}}}function kce(e){let n;const t=p_e.createWriter(VE(e)),r=HV(e,t),o={...t,write:e=>i(e,(()=>t.write(e))),nonEscapingWrite:t.write,writeLiteral:e=>i(e,(()=>t.writeLiteral(e))),writeStringLiteral:e=>i(e,(()=>t.writeStringLiteral(e))),writeSymbol:(e,n)=>i(e,(()=>t.writeSymbol(e,n))),writeParameter:e=>i(e,(()=>t.writeParameter(e))),writeComment:e=>i(e,(()=>t.writeComment(e))),writeProperty:e=>i(e,(()=>t.writeProperty(e)))};return{printSnippetList:function(e,t,r){const o=a(e,t,r);return n?p_e.applyChanges(o,n):o},printAndFormatSnippetList:function(e,t,r,o){const i={text:a(e,t,r),getLineAndCharacterOfPosition(e){return _s(this,e)}},s=A0(o,r),l=H(t,(e=>{const n=p_e.assignPositionsToNode(e);return vge.formatNodeGivenIndentation(n,i,r.languageVariant,0,0,{...o,options:s})})),c=n?Ie(ae(l,n),((e,n)=>On(e.span,n.span))):l;return p_e.applyChanges(i.text,c)},printNode:function(e,t,r){const o=s(e,t,r);return n?p_e.applyChanges(o,n):o},printAndFormatNode:function(e,t,r,o){const i={text:s(e,t,r),getLineAndCharacterOfPosition(e){return _s(this,e)}},a=A0(o,r),l=p_e.assignPositionsToNode(t),c=vge.formatNodeGivenIndentation(l,i,r.languageVariant,0,0,{...o,options:a}),d=n?Ie(ae(c,n),((e,n)=>On(e.span,n.span))):c;return p_e.applyChanges(i.text,d)}};function i(e,r){const o=nA(e);if(o!==e){const e=t.getTextPos();r();const i=t.getTextPos();n=ye(n||(n=[]),{newText:o,span:{start:e,length:i-e}})}else r()}function a(e,t,i){return n=void 0,o.clear(),r.writeList(e,t,i,o),o.getText()}function s(e,t,i){return n=void 0,o.clear(),r.writeNode(e,t,i,o),o.getText()}}function wce(e){const n=e.fileName?void 0:Bv(e.moduleSymbol.name),t=!!e.isFromPackageJson||void 0;if(cce(e)){return{exportName:e.exportName,exportMapKey:e.exportMapKey,moduleSpecifier:e.moduleSpecifier,ambientModuleName:n,fileName:e.fileName,isPackageJsonImport:t}}return{exportName:e.exportName,exportMapKey:e.exportMapKey,fileName:e.fileName,ambientModuleName:e.fileName?void 0:Bv(e.moduleSymbol.name),isPackageJsonImport:!!e.isFromPackageJson||void 0}}function Oce(e,n,t){const r="default"===e.exportName,o=!!e.isPackageJsonImport;if(gce(e)){return{kind:32,exportName:e.exportName,exportMapKey:e.exportMapKey,moduleSpecifier:e.moduleSpecifier,symbolName:n,fileName:e.fileName,moduleSymbol:t,isDefaultExport:r,isFromPackageJson:o}}return{kind:4,exportName:e.exportName,exportMapKey:e.exportMapKey,symbolName:n,fileName:e.fileName,moduleSymbol:t,isDefaultExport:r,isFromPackageJson:o}}function Fce(e,n,t){return/^\d+$/.test(t)?t:kZ(e,n,t)}function Wce(e,n,t){return e===n||!!(1048576&e.flags)&&t.getExportSymbolOfSymbol(e)===n}function zce(e){return lce(e)?Bv(e.moduleSymbol.name):cce(e)?e.moduleSpecifier:1===(null==e?void 0:e.kind)?"ThisProperty/":64===(null==e?void 0:e.kind)?"TypeOnlyAlias/":void 0}function Gce(e,n,t,r,o,i,a,s,l,c,d,u,p,f,m,_,h,g,y,v,b,E,S,T,x,A=!1){const R=Zt(),I=function(e,n){if(!e)return;const t=Nl(e,(e=>rh(e)||hde(e)||Vd(e)?"quit":(bN(e)||vN(e))&&!PN(e.parent))),r=Nl(n,(e=>rh(e)||hde(e)||Vd(e)?"quit":iC(e)));return t||r}(r,o),N=HZ(a),D=l.getTypeChecker(),C=new Map;for(let d=0;d<e.length;d++){const R=e[d],I=null==E?void 0:E[d],L=$ce(R,c,I,u,!!g);if(!L||C.get(L.name)&&(!I||!pce(I))||1===u&&S&&!M(R,S))continue;if(!_&&Yh(a)&&P(R))continue;const{name:k,needsConvertPropertyAccess:w}=L,O=(null==S?void 0:S[Kz(R)])??nce.LocationPriority,F=Mce(R,yde(R,D)?nce.Deprecated(O):O,t,r,o,i,a,s,l,k,w,I,b,h,y,v,N,f,p,u,m,T,x,A);if(!F)continue;const W=(!I||uce(I))&&!(void 0===R.parent&&!oe(R.declarations,(e=>e.getSourceFile()===o.getSourceFile())));C.set(k,W),ue(n,F,hce,!0)}return d("getCompletionsAtPosition: getCompletionEntriesFromSymbols: "+(Zt()-R)),{has:e=>C.has(e),add:e=>C.set(e,!0)};function M(e,n){var t;let r=e.flags;if(!rM(o)){if(NC(o.parent))return!0;if(hn(I,iC)&&e.valueDeclaration===I)return!1;const i=e.valueDeclaration??(null==(t=e.declarations)?void 0:t[0]);if(I&&i&&(vN(I)&&vN(i)||bN(I)&&bN(i))){const e=i.pos,n=bN(I)?I.parent.parameters:qN(I.parent)?void 0:I.parent.typeParameters;if(e>=I.pos&&n&&e<n.end)return!1}const s=hS(e,D);if(a.externalModuleIndicator&&!f.allowUmdGlobalAccess&&n[Kz(e)]===nce.GlobalsOrKeywords&&(n[Kz(s)]===nce.AutoImportSuggestions||n[Kz(s)]===nce.LocationPriority))return!1;if(r|=gS(s),oY(o))return!!(1920&r);if(_)return gde(e,D)}return!!(111551&r)}function P(e){var n;const t=gS(hS(e,D));return!(111551&t||Yh(null==(n=e.declarations)?void 0:n[0])&&!(788968&t))}}function Bce(e,n,t,r,o,i,a){if("SwitchCases/"===o.source)return{type:"cases"};if(o.data){const n=Yce(o.name,o.data,e,i);if(n){const{contextToken:e,previousToken:o}=Xce(r,t);return{type:"symbol",symbol:n.symbol,location:a$(t,r),previousToken:o,contextToken:e,isJsxInitializer:!1,isTypeOnlyLocation:!1,origin:n.origin}}}const s=e.getCompilerOptions(),l=Jce(e,n,t,s,r,{includeCompletionsForModuleExports:!0,includeCompletionsWithInsertText:!0},o,i,void 0);if(!l)return{type:"none"};if(0!==l.kind)return{type:"request",request:l};const{symbols:c,literals:d,location:u,completionKind:p,symbolToOriginInfoMap:f,contextToken:m,previousToken:_,isJsxInitializer:h,isTypeOnlyLocation:g}=l,y=D(d,(e=>Dce(t,a,e)===o.name));return void 0!==y?{type:"literal",literal:y}:T(c,((e,n)=>{const t=f[n],r=$ce(e,jp(s),t,p,l.isJsxIdentifierExpected);return r&&r.name===o.name&&("ClassMemberSnippet/"===o.source&&106500&e.flags||"ObjectLiteralMethodSnippet/"===o.source&&8196&e.flags||zce(t)===o.source||"ObjectLiteralMemberWithComma/"===o.source)?{type:"symbol",symbol:e,location:u,origin:t,contextToken:m,previousToken:_,isJsxInitializer:h,isTypeOnlyLocation:g}:void 0}))||{type:"none"}}function jce(e,n,t,r,o,i,a,s,l){const c=e.getTypeChecker(),d=e.getCompilerOptions(),{name:u,source:p,data:f}=o,{previousToken:m,contextToken:_}=Xce(r,t);if(g$(t,r,m))return Zde.getStringLiteralCompletionDetails(u,t,r,m,e,i,l,s);const h=Bce(e,n,t,r,o,i,s);switch(h.type){case"request":{const{request:e}=h;switch(e.kind){case 1:return Gpe.getJSDocTagNameCompletionDetails(u);case 2:return Gpe.getJSDocTagCompletionDetails(u);case 3:return Gpe.getJSDocParameterNameCompletionDetails(u);case 4:return oe(e.keywordCompletions,(e=>e.name===u))?Vce(u,"keyword",5):void 0;default:return Tt.assertNever(e)}}case"symbol":{const{symbol:n,location:o,contextToken:m,origin:_,previousToken:g}=h,{codeActions:y,sourceDisplay:v}=function(e,n,t,r,o,i,a,s,l,c,d,u,p,f,m,_){if((null==f?void 0:f.moduleSpecifier)&&d&&dde(t||d,l).replacementSpan)return{codeActions:void 0,sourceDisplay:[qQ(f.moduleSpecifier)]};if("ClassMemberSnippet/"===m){const{importAdder:r,eraseRange:d}=Pce(a,i,s,p,e,o,n,c,t,u);if(r||d){const n=p_e.ChangeTracker.with({host:a,formatContext:u,preferences:p},(e=>{r&&r.writeFixes(e),d&&e.deleteRange(l,d)}));return{sourceDisplay:void 0,codeActions:[{changes:n,description:x0([Oa.Includes_imports_of_types_referenced_by_0,e])}]}}}if(uce(r)){const e=Qle.getPromoteTypeOnlyCompletionAction(l,r.declaration.name,i,a,u,p);return Tt.assertIsDefined(e,"Expected to have a code action for promoting type-only alias"),{codeActions:[e],sourceDisplay:void 0}}if("ObjectLiteralMemberWithComma/"===m&&t){const n=p_e.ChangeTracker.with({host:a,formatContext:u,preferences:p},(e=>e.insertText(l,t.end,",")));if(n)return{sourceDisplay:void 0,codeActions:[{changes:n,description:x0([Oa.Add_missing_comma_for_object_member_completion_0,e])}]}}if(!r||!lce(r)&&!cce(r))return{codeActions:void 0,sourceDisplay:void 0};const h=r.isFromPackageJson?a.getPackageJsonAutoImportProvider().getTypeChecker():i.getTypeChecker(),{moduleSymbol:g}=r,y=h.getMergedSymbol(hS(o.exportSymbol||o,h)),v=30===(null==t?void 0:t.kind)&&ju(t.parent),{moduleSpecifier:b,codeAction:E}=Qle.getImportCompletionAction(y,g,null==f?void 0:f.exportMapKey,l,e,v,a,i,u,d&&tN(d)?d.getStart(l):c,p,_);return Tt.assert(!(null==f?void 0:f.moduleSpecifier)||b===f.moduleSpecifier),{sourceDisplay:[qQ(b)],codeActions:[E]}}(u,o,m,_,n,e,i,d,t,r,g,a,s,f,p,l);return Uce(n,fce(_)?_.symbolName:n.name,c,t,o,l,y,v)}case"literal":{const{literal:e}=h;return Vce(Dce(t,s,e),"string","string"==typeof e?8:7)}case"cases":{const n=Ace(_.parent,t,s,e.getCompilerOptions(),i,e,void 0);if(null==n?void 0:n.importAdder.hasFixes()){const{entry:e,importAdder:t}=n,r=p_e.ChangeTracker.with({host:i,formatContext:a,preferences:s},t.writeFixes);return{name:e.name,kind:"",kindModifiers:"",displayParts:[],sourceDisplay:void 0,codeActions:[{changes:r,description:x0([Oa.Includes_imports_of_types_referenced_by_0,u])}]}}return{name:u,kind:"",kindModifiers:"",displayParts:[],sourceDisplay:void 0}}case"none":return ace().some((e=>e.name===u))?Vce(u,"keyword",5):void 0;default:Tt.assertNever(h)}}function Vce(e,n,t){return Hce(e,"",n,[zQ(e,t)])}function Uce(e,n,t,r,o,i,a,s){const{displayParts:l,documentation:c,symbolKind:d,tags:u}=t.runWithCancellationToken(i,(n=>wme.getSymbolDisplayPartsDocumentationAndSymbolKind(n,e,r,o,o,7)));return Hce(n,wme.getSymbolModifiers(t,e),d,l,c,u,a,s)}function Hce(e,n,t,r,o,i,a,s){return{name:e,kindModifiers:n,kind:t,displayParts:r,documentation:o,tags:i,codeActions:a,source:s,sourceDisplay:s}}function Kce(e,n,t,r,o,i,a){const s=Bce(e,n,t,r,o,i,a);return"symbol"===s.type?s.symbol:void 0}function qce(e,n,t){const r=t.getAccessibleSymbolChain(e,n,-1,!1);return r?Me(r):e.parent&&(function(e){var n;return!!(null==(n=e.declarations)?void 0:n.some((e=>312===e.kind)))}(e.parent)?e:qce(e.parent,n,t))}function Jce(e,n,t,r,o,i,a,s,l,c){const d=e.getTypeChecker(),u=xce(t,r);let p=Zt(),f=l$(t,o);n("getCompletionData: Get current token: "+(Zt()-p)),p=Zt();const m=N$(t,o,f);n("getCompletionData: Is inside comment: "+(Zt()-p));let _=!1,h=!1;if(m){if(D$(t,o)){if(64===t.text.charCodeAt(o-1))return{kind:1};{const e=LY(o,t);if(!/[^*|\s(/)]/.test(t.text.substring(e,o)))return{kind:2}}}const e=function(e,n){return Nl(e,(e=>!(!Ku(e)||!OY(e,n))||!!bM(e)&&"quit"))}(f,o);if(e){if(e.tagName.pos<=o&&o<=e.tagName.end)return{kind:1};const n=function(e){if(function(e){switch(e.kind){case 348:case 355:case 349:case 351:case 353:case 356:case 357:return!0;case 352:return!!e.constraint;default:return!1}}(e)){const n=GM(e)?e.constraint:e.typeExpression;return n&&316===n.kind?n:void 0}if(TM(e)||UM(e))return e.class;return}(e);if(n&&(f=l$(t,o),f&&(Ry(f)||355===f.parent.kind&&f.parent.name===f)||(_=_e(n))),!_&&OM(e)&&(im(e.name)||e.name.pos<=o&&o<=e.name.end))return{kind:3,tag:e}}if(!_)return void n("Returning an empty list because completion was inside a regular comment or plain text part of a JsDoc comment.")}p=Zt();const g=!_&&Jh(t),y=Xce(o,t),v=y.previousToken;let b=y.contextToken;n("getCompletionData: Get previous token: "+(Zt()-p));let S,x,A=f,R=!1,I=!1,N=!1,C=!1,M=!1,P=!1,L=a$(t,o),k=0,w=!1,O=0;if(b){const e=dde(b,t);if(e.keywordCompletion){if(e.isKeywordOnlyCompletion)return{kind:4,keywordCompletions:[(F=e.keywordCompletion,{name:as(F),kind:"keyword",kindModifiers:"",sortText:nce.GlobalsOrKeywords})],isNewIdentifierLocation:e.isNewIdentifierLocation};k=function(e){if(156===e)return 8;Tt.fail("Unknown mapping from SyntaxKind to KeywordCompletionFilters")}(e.keywordCompletion)}if(e.replacementSpan&&i.includeCompletionsForImportStatements&&i.includeCompletionsWithInsertText&&(O|=2,x=e,w=e.isNewIdentifierLocation),!e.replacementSpan&&function(e){const r=Zt(),i=function(e){return(BI(e)||cd(e))&&(FY(e,o)||o===e.end&&(!!e.isUnterminated||BI(e)))}(e)||function(e){const n=e.parent,r=n.kind;switch(e.kind){case 28:return 260===r||261===(i=e).parent.kind&&!A$(i,t,d)||243===r||266===r||ue(r)||264===r||207===r||265===r||Md(n)&&!!n.typeParameters&&n.typeParameters.end>=e.pos;case 25:case 23:return 207===r;case 59:return 208===r;case 21:return 299===r||ue(r);case 19:return 266===r;case 30:return 263===r||231===r||264===r||265===r||Nd(r);case 126:return 172===r&&!Md(n.parent);case 26:return 169===r||!!n.parent&&207===n.parent.kind;case 125:case 123:case 124:return 169===r&&!IN(n.parent);case 130:return 276===r||281===r||274===r;case 139:case 153:return!lde(e);case 80:if(276===r&&e===n.name&&"type"===e.text)return!1;if(Nl(e.parent,iC)&&function(e,n){return t.getLineEndOfPosition(e.getEnd())<n}(e,o))return!1;break;case 86:case 94:case 120:case 100:case 115:case 102:case 121:case 87:case 140:return!0;case 156:return 276!==r;case 42:return Td(e.parent)&&!AN(e.parent)}var i;if(nde(rde(e))&&lde(e))return!1;if(ce(e)&&(!tN(e)||gd(rde(e))||_e(e)))return!1;switch(rde(e)){case 128:case 86:case 87:case 138:case 94:case 100:case 120:case 121:case 123:case 124:case 125:case 126:case 115:return!0;case 134:return TN(e.parent)}const a=Nl(e.parent,Md);if(a&&e===v&&de(e,o))return!1;const s=jy(e.parent,172);if(s&&e!==v&&Md(v.parent.parent)&&o<=v.end){if(de(e,v.end))return!1;if(64!==e.kind&&(oB(s)||Yu(s)))return!0}return Ry(e)&&!ZC(e.parent)&&!VC(e.parent)&&!((Md(e.parent)||cC(e.parent)||vN(e.parent))&&(e!==v||o>v.end))}(e)||function(e){if(9===e.kind){const n=e.getFullText();return"."===n.charAt(n.length-1)}return!1}(e)||function(e){if(12===e.kind)return!0;if(32===e.kind&&e.parent){if(L===e.parent&&(286===L.kind||285===L.kind))return!1;if(286===e.parent.kind)return 286!==L.parent.kind;if(287===e.parent.kind||285===e.parent.kind)return!!e.parent.parent&&284===e.parent.parent.kind}return!1}(e)||WI(e);return n("getCompletionsAtPosition: isCompletionListBlocker: "+(Zt()-r)),i}(b))return n("Returning an empty list because completion was requested in an invalid position."),k?Sce(k,g,le()):void 0;let r=b.parent;if(25===b.kind||29===b.kind)switch(R=25===b.kind,I=29===b.kind,r.kind){case 211:S=r,A=S.expression;if(im(zS(S))||(dD(A)||Td(A))&&A.end===b.pos&&A.getChildCount(t)&&22!==ke(A.getChildren(t)).kind)return;break;case 166:A=r.left;break;case 267:A=r.name;break;case 205:A=r;break;case 236:A=r.getFirstToken(t),Tt.assert(102===A.kind||105===A.kind);break;default:return}else if(!x){if(r&&211===r.kind&&(b=r,r=r.parent),f.parent===L)switch(f.kind){case 32:284!==f.parent.kind&&286!==f.parent.kind||(L=f);break;case 44:285===f.parent.kind&&(L=f)}switch(r.kind){case 287:44===b.kind&&(C=!0,L=b);break;case 226:if(!cde(r))break;case 285:case 284:case 286:P=!0,30===b.kind&&(N=!0,L=b);break;case 294:case 293:(20===v.kind||80===v.kind&&291===v.parent.kind)&&(P=!0);break;case 291:if(r.initializer===v&&v.end<o){P=!0;break}switch(v.kind){case 64:M=!0;break;case 80:P=!0,r!==v.parent&&!r.initializer&&JY(r,64,t)&&(M=v)}}}}var F;const z=Zt();let G,B=5,j=!1,V=[];const U=[],K=[],q=new Map,J=_||!!x&&ld(L.parent)||!((X=b)&&(114===X.kind&&(186===X.parent.kind||yD(X.parent))||131===X.kind&&182===X.parent.kind))&&(A$(b,t,d)||j_(L)||function(e){if(e){const n=e.parent.kind;switch(e.kind){case 59:return 172===n||171===n||169===n||260===n||Nd(n);case 64:return 265===n||168===n;case 130:return 234===n;case 30:return 183===n||216===n;case 96:return 168===n;case 152:return 238===n}}return!1}(b));var X;const $=In((n=>dQ(n?s.getPackageJsonAutoImportProvider():e,s)));if(R||I)!function(){B=2;const e=k_(A),n=e&&!A.isTypeOf||j_(A.parent)||A$(b,t,d),r=oY(A);if(bd(A)||e||lD(A)){const t=pC(A.parent);t&&(w=!0);let o=d.getSymbolAtLocation(A);if(o&&(o=hS(o,d),1920&o.flags)){const a=d.getExportsOfModule(o);Tt.assertEachIsDefined(a,"getExportsOfModule() should all be defined");const s=n=>d.isValidPropertyAccess(e?A:A.parent,n.name),l=e=>gde(e,d),c=t?e=>{var n;return!!(1920&e.flags)&&!(null==(n=e.declarations)?void 0:n.every((e=>e.parent===A.parent)))}:r?e=>l(e)||s(e):n||_?l:s;for(const e of a)c(e)&&V.push(e);if(!n&&!_&&o.declarations&&o.declarations.some((e=>312!==e.kind&&267!==e.kind&&266!==e.kind))){let e=d.getTypeOfSymbolAtLocation(o,A).getNonOptionalType(),n=!1;if(e.isNullableType()){const t=R&&!I&&!1!==i.includeAutomaticOptionalChainCompletions;(t||I)&&(e=e.getNonNullableType(),t&&(n=!0))}ne(e,!!(65536&A.flags),n)}return}}if(!n||Eb(A)){d.tryGetThisTypeAt(A,!1);let e=d.getTypeAtLocation(A).getNonOptionalType();if(n)ne(e.getNonNullableType(),!1,!1);else{let n=!1;if(e.isNullableType()){const t=R&&!I&&!1!==i.includeAutomaticOptionalChainCompletions;(t||I)&&(e=e.getNonNullableType(),t&&(n=!0))}ne(e,!!(65536&A.flags),n)}}}();else if(N)V=d.getJsxIntrinsicTagNamesAt(L),Tt.assertEachIsDefined(V,"getJsxIntrinsicTagNames() should all be defined"),ie(),B=1,k=0;else if(C){const e=b.parent.parent.openingElement.tagName,n=d.getSymbolAtLocation(e);n&&(V=[n]),B=1,k=0}else if(!ie())return k?Sce(k,g,w):void 0;n("getCompletionData: Semantic work: "+(Zt()-z));const Q=v&&function(e,n,t,r){const{parent:o}=e;switch(e.kind){case 80:return LZ(e,r);case 64:switch(o.kind){case 260:return r.getContextualType(o.initializer);case 226:return r.getTypeAtLocation(o.left);case 291:return r.getContextualTypeForJsxAttribute(o);default:return}case 105:return r.getContextualType(o);case 84:const i=hn(o,JC);return i?WZ(i,r):void 0;case 19:return!KC(o)||OC(o.parent)||GC(o.parent)?void 0:r.getContextualTypeForJsxAttribute(o.parent);default:const a=ume.getArgumentInfoForCompletions(e,n,t,r);return a?r.getContextualTypeForArgumentAtIndex(a.invocation,a.argumentIndex):wZ(e.kind)&&TD(o)&&wZ(o.operatorToken.kind)?r.getTypeAtLocation(o.left):r.getContextualType(e,4)||r.getContextualType(e)}}(v,o,t,d),Z=!hn(v,tp)&&!P?Y(Q&&(Q.isUnion()?Q.types:[Q]),(e=>!e.isLiteral()||1024&e.flags?void 0:e.value)):[],ee=v&&Q&&function(e,n,t){return T(n&&(n.isUnion()?n.types:[n]),(n=>{const r=n&&n.symbol;return r&&424&r.flags&&!AS(r)?qce(r,e,t):void 0}))}(v,Q,d);return{kind:0,symbols:V,completionKind:B,isInSnippetScope:h,propertyAccessToConvert:S,isNewIdentifierLocation:w,location:L,keywordFilters:k,literals:Z,symbolToOriginInfoMap:U,recommendedCompletion:ee,previousToken:v,contextToken:b,isJsxInitializer:M,insideJsDocTagTypeExpression:_,symbolToSortTextMap:K,isTypeOnlyLocation:J,isJsxIdentifierExpected:P,isRightOfOpenTag:N,isRightOfDotOrQuestionDot:R||I,importStatementCompletion:x,hasUnresolvedAutoImports:j,flags:O};function ne(e,n,t){w=!!e.getStringIndexType(),I&&oe(e.getCallSignatures())&&(w=!0);const r=205===A.kind?A:A.parent;if(u)for(const n of e.getApparentProperties())d.isValidPropertyAccessForCompletions(r,e,n)&&te(n,!1,t);else V.push(...W(ade(e,d),(n=>d.isValidPropertyAccessForCompletions(r,e,n))));if(n&&i.includeCompletionsWithInsertText){const n=d.getPromisedTypeOfPromise(e);if(n)for(const e of n.getApparentProperties())d.isValidPropertyAccessForCompletions(r,n,e)&&te(e,!0,t)}}function te(n,r,a){var l;const c=T(n.declarations,(e=>hn(jl(e),yN)));if(c){const r=re(c.expression),a=r&&d.getSymbolAtLocation(r),m=a&&qce(a,b,d),_=m&&Kz(m);if(_&&PS(q,_)){const n=V.length;V.push(m);const r=m.parent;if(r&&nQ(r)&&d.tryGetMemberInModuleExportsAndProperties(m.name,r)===m){const a=Xs(Bv(r.name))?null==(l=Qf(r))?void 0:l.fileName:void 0,{moduleSpecifier:c}=(G||(G=Qle.createImportSpecifierResolver(t,e,s,i))).getModuleSpecifierForBestExportInfo([{exportKind:0,moduleFileName:a,isFromPackageJson:!1,moduleSymbol:r,symbol:m,targetFlags:hS(m,d).flags}],o,wx(L))||{};if(c){const e={kind:f(6),moduleSymbol:r,isDefaultExport:!1,symbolName:m.name,exportName:m.name,fileName:a,moduleSpecifier:c};U[n]=e}}else U[n]={kind:f(2)}}else if(i.includeCompletionsWithInsertText){if(_&&q.has(_))return;p(n),u(n),V.push(n)}}else p(n),u(n),V.push(n);function u(e){(function(e){return!!(e.valueDeclaration&&256&Zb(e.valueDeclaration)&&Md(e.valueDeclaration.parent))})(e)&&(K[Kz(e)]=nce.LocalDeclarationPriority)}function p(e){i.includeCompletionsWithInsertText&&(r&&PS(q,Kz(e))?U[V.length]={kind:f(8)}:a&&(U[V.length]={kind:16}))}function f(e){return a?16|e:e}}function re(e){return tN(e)?e:lD(e)?re(e.expression):void 0}function ie(){const n=function(){const e=function(e){if(!e)return;const n=e.parent;switch(e.kind){case 19:if(WN(n))return n;break;case 27:case 28:case 80:if(171===n.kind&&WN(n.parent))return n.parent}return}(b);if(!e)return 0;const n=(HN(e.parent)?e.parent:void 0)||e,t=sde(n,d);if(!t)return 0;const r=d.getTypeFromTypeNode(n),o=ade(t,d),i=ade(r,d),a=new Set;return i.forEach((e=>a.add(e.escapedName))),V=ae(V,W(o,(e=>!a.has(e.escapedName)))),B=0,w=!0,1}()||function(){const n=V.length,a=function(e,n,t){var r;if(e){const{parent:o}=e;switch(e.kind){case 19:case 28:if(sD(o)||rD(o))return o;break;case 42:return AN(o)?hn(o.parent,sD):void 0;case 134:return hn(o.parent,sD);case 80:if("async"===e.text&&ZC(e.parent))return e.parent.parent;{if(sD(e.parent.parent)&&(eM(e.parent)||ZC(e.parent)&&_s(t,e.getEnd()).line!==_s(t,n).line))return e.parent.parent;const r=Nl(o,QC);if((null==r?void 0:r.getLastToken(t))===e&&sD(r.parent))return r.parent}break;default:if((null==(r=o.parent)?void 0:r.parent)&&(AN(o.parent)||NN(o.parent)||DN(o.parent))&&sD(o.parent.parent))return o.parent.parent;if(eM(o)&&sD(o.parent))return o.parent;const i=Nl(o,QC);if(59!==e.kind&&(null==i?void 0:i.getLastToken(t))===e&&sD(i.parent))return i.parent}}return}(b,o,t);if(!a)return 0;let c,u;if(B=0,210===a.kind){const e=function(e,n){const t=n.getContextualType(e);if(t)return t;const r=by(e.parent);if(TD(r)&&64===r.operatorToken.kind&&e===r.left)return n.getTypeAtLocation(r);if(uu(r))return n.getContextualType(r);return}(a,d);if(void 0===e)return 67108864&a.flags?2:0;const n=d.getContextualType(a,4),t=(n||e).getStringIndexType(),r=(n||e).getNumberIndexType();if(w=!!t||!!r,c=ode(e,n,a,d),u=a.properties,0===c.length&&!r)return 0}else{Tt.assert(206===a.kind),w=!1;const e=bv(a.parent);if(!X_(e))return Tt.fail("Root declaration is not variable-like.");let n=$u(e)||!!Ab(e)||250===e.parent.parent.kind;if(n||169!==e.kind||(uu(e.parent)?n=!!d.getContextualType(e.parent):174!==e.parent.kind&&178!==e.parent.kind||(n=uu(e.parent.parent)&&!!d.getContextualType(e.parent.parent))),n){const e=d.getTypeAtLocation(a);if(!e)return 2;c=d.getPropertiesOfType(e).filter((n=>d.isPropertyAccessible(a,!1,!1,e,n))),u=a.elements}}if(c&&c.length>0){const t=function(e,n){if(0===n.length)return e;const t=new Set,r=new Set;for(const e of n){if(303!==e.kind&&304!==e.kind&&208!==e.kind&&174!==e.kind&&177!==e.kind&&178!==e.kind&&305!==e.kind)continue;if(_e(e))continue;let n;if(eM(e))pe(e,t);else if(iD(e)&&e.propertyName)80===e.propertyName.kind&&(n=e.propertyName.escapedText);else{const t=jl(e);n=t&&av(t)?lv(t):void 0}void 0!==n&&r.add(n)}const o=e.filter((e=>!r.has(e.escapedName)));return me(t,o),o}(c,Tt.checkDefined(u));V=ae(V,t),fe(),210===a.kind&&i.includeCompletionsWithObjectLiteralMethodSnippets&&i.includeCompletionsWithInsertText&&(function(e){for(let n=e;n<V.length;n++){const e=V[n],t=Kz(e),o=null==U?void 0:U[n],i=$ce(e,jp(r),o,0,!1);if(i){const e=K[t]??nce.LocationPriority,{name:n}=i;K[t]=nce.ObjectLiteralProperty(e,n)}}}(n),function(n,t){if(Yh(L))return;n.forEach((n=>{if(!function(e){if(!(8196&e.flags))return!1;return!0}(n))return;const o=$ce(n,jp(r),void 0,0,!1);if(!o)return;const{name:a}=o,c=Lce(n,a,t,e,s,r,i,l);if(!c)return;const d={kind:128,...c};O|=32,U[V.length]=d,V.push(n)}))}(t,a))}return 1}()||(x?(w=!0,se(),1):0)||function(){if(!b)return 0;const e=19===b.kind||28===b.kind?hn(b.parent,WS):eQ(b)?hn(b.parent.parent,WS):void 0;if(!e)return 0;eQ(b)||(k=8);const{moduleSpecifier:n}=275===e.kind?e.parent.parent:e.parent;if(!n)return w=!0,275===e.kind?2:0;const t=d.getSymbolAtLocation(n);if(!t)return w=!0,2;B=3,w=!1;const r=d.getExportsAndPropertiesOfModule(t),o=new Set(e.elements.filter((e=>!_e(e))).map((e=>(e.propertyName||e.name).escapedText))),i=r.filter((e=>"default"!==e.escapedName&&!o.has(e.escapedName)));V=ae(V,i),i.length||(k=0);return 1}()||function(){if(void 0===b)return 0;const e=19===b.kind||28===b.kind?hn(b.parent,SC):59===b.kind?hn(b.parent.parent,SC):void 0;if(void 0===e)return 0;const n=new Set(e.elements.map(DA));return V=W(d.getTypeAtLocation(e).getApparentProperties(),(e=>!n.has(e.escapedName))),1}()||function(){var e;const n=!b||19!==b.kind&&28!==b.kind?void 0:hn(b.parent,CC);if(!n)return 0;const t=Nl(n,pt(rM,pC));return B=5,w=!1,null==(e=t.locals)||e.forEach(((e,n)=>{var r,o;V.push(e),(null==(o=null==(r=t.symbol)?void 0:r.exports)?void 0:o.has(n))&&(K[Kz(e)]=nce.OptionalMember)})),1}()||(function(e){if(e){const n=e.parent;switch(e.kind){case 21:case 28:return IN(e.parent)?e.parent:void 0;default:if(ce(e))return n.parent}}}(b)?(B=5,w=!0,k=4,1):0)||function(){const e=function(e,n,t,r){switch(t.kind){case 358:return hn(t.parent,LS);case 1:const n=hn(Le(gn(t.parent,rM).statements),LS);if(n&&!JY(n,20,e))return n;break;case 81:if(hn(t.parent,TN))return Nl(t,Md);break;case 80:if(kl(t))return;if(TN(t.parent)&&t.parent.initializer===t)return;if(lde(t))return Nl(t,LS)}if(!n)return;if(137===t.kind||tN(n)&&TN(n.parent)&&Md(t))return Nl(n,Md);switch(n.kind){case 64:return;case 27:case 20:return lde(t)&&t.parent.name===t?t.parent.parent:hn(t,LS);case 19:case 28:return hn(n.parent,LS);default:if(LS(t)){if(_s(e,n.getEnd()).line!==_s(e,r).line)return t;const o=Md(n.parent.parent)?nde:ede;return o(n.kind)||42===n.kind||tN(n)&&o(kl(n)??0)?n.parent.parent:void 0}return}}(t,b,L,o);if(!e)return 0;if(B=3,w=!0,k=42===b.kind?0:Md(e)?2:3,!Md(e))return 1;const n=27===b.kind?b.parent.parent:b.parent;let r=Cd(n)?Zb(n):0;if(80===b.kind&&!_e(b))switch(b.getText()){case"private":r|=2;break;case"static":r|=256;break;case"override":r|=16}RN(n)&&(r|=256);if(!(2&r)){const n=H(Md(e)&&16&r?_t(Oy(e)):zy(e),(n=>{const t=d.getTypeAtLocation(n);return 256&r?(null==t?void 0:t.symbol)&&d.getPropertiesOfType(d.getTypeOfSymbolAtLocation(t.symbol,e)):t&&d.getPropertiesOfType(t)}));V=ae(V,function(e,n,t){const r=new Set;for(const e of n){if(172!==e.kind&&174!==e.kind&&177!==e.kind&&178!==e.kind)continue;if(_e(e))continue;if(Gb(e,2))continue;if(jb(e)!==!!(256&t))continue;const n=iv(e.name);n&&r.add(n)}return e.filter((e=>!(r.has(e.escapedName)||!e.declarations||2&_S(e)||e.valueDeclaration&&md(e.valueDeclaration))))}(n,e.members,r)),E(V,((e,n)=>{const t=null==e?void 0:e.valueDeclaration;if(t&&Cd(t)&&t.name&&yN(t.name)){const t={kind:512,symbolName:d.symbolToString(e)};U[n]=t}}))}return 1}()||function(){const e=function(e){if(e){const n=e.parent;switch(e.kind){case 32:case 31:case 44:case 80:case 211:case 292:case 291:case 293:if(n&&(285===n.kind||286===n.kind)){if(32===e.kind){const r=f$(e.pos,t,void 0);if(!n.typeArguments||r&&44===r.kind)break}return n}if(291===n.kind)return n.parent.parent;break;case 11:if(n&&(291===n.kind||293===n.kind))return n.parent.parent;break;case 20:if(n&&294===n.kind&&n.parent&&291===n.parent.kind)return n.parent.parent.parent;if(n&&293===n.kind)return n.parent.parent}}return}(b),n=e&&d.getContextualType(e.attributes);if(!n)return 0;const r=e&&d.getContextualType(e.attributes,4);return V=ae(V,function(e,n){const t=new Set,r=new Set;for(const e of n)_e(e)||(291===e.kind?t.add(yA(e.name)):HC(e)&&pe(e,r));const o=e.filter((e=>!t.has(e.escapedName)));return me(r,o),o}(ode(n,r,e.attributes,d),e.attributes.properties)),fe(),B=3,w=!1,1}()||(function(){k=function(e){if(e){let n;const t=Nl(e.parent,(e=>Md(e)?"quit":!(!Ad(e)||n!==e.body)||(n=e,!1)));return t&&t}}(b)?5:1,B=1,w=le(),v!==b&&Tt.assert(!!v,"Expected 'contextToken' to be defined when different from 'previousToken'.");const e=v!==b?v.getStart():o,n=function(e,n,t){let r=e;for(;r&&!VY(r,n,t);)r=r.parent;return r}(b,e,t)||t;h=function(e){switch(e.kind){case 312:case 228:case 294:case 241:return!0;default:return wu(e)}}(n);const r=2887656|(J?0:111551),a=v&&!wx(v);V=ae(V,d.getSymbolsInScope(n,r)),Tt.assertEachIsDefined(V,"getSymbolsInScope() should all be defined");for(let e=0;e<V.length;e++){const n=V[e];if(d.isArgumentsSymbol(n)||oe(n.declarations,(e=>e.getSourceFile()===t))||(K[Kz(n)]=nce.GlobalsOrKeywords),a&&!(111551&n.flags)){const t=n.declarations&&D(n.declarations,ad);if(t){const n={kind:64,declaration:t};U[e]=n}}}if(i.includeCompletionsWithInsertText&&312!==n.kind){const e=d.tryGetThisTypeAt(n,!1,Md(n.parent)?n:void 0);if(e&&!function(e,n,t){const r=t.resolveName("self",void 0,111551,!1);if(r&&t.getTypeOfSymbolAtLocation(r,n)===e)return!0;const o=t.resolveName("global",void 0,111551,!1);if(o&&t.getTypeOfSymbolAtLocation(o,n)===e)return!0;const i=t.resolveName("globalThis",void 0,111551,!1);if(i&&t.getTypeOfSymbolAtLocation(i,n)===e)return!0;return!1}(e,t,d))for(const n of ade(e,d))U[V.length]={kind:1},V.push(n),K[Kz(n)]=nce.SuggestedClassMembers}se(),J&&(k=b&&pu(b.parent)?6:7)}(),1);return 1===n}function se(){var n,r;if(!(x||i.includeCompletionsForModuleExports&&(t.externalModuleIndicator||t.commonJsModuleIndicator||cQ(e.getCompilerOptions())||sQ(e))))return;if(Tt.assert(!(null==a?void 0:a.data),"Should not run 'collectAutoImports' when faster path is available via `data`"),a&&!a.source)return;O|=1;const l=v===b&&x?"":v&&tN(v)?v.text.toLowerCase():"",d=null==(n=s.getModuleSpecifierCache)?void 0:n.call(s),u=F0(t,s,e,i,c),p=null==(r=s.getPackageJsonAutoImportProvider)?void 0:r.call(s),f=a?void 0:t0(t,i,s);function m(n){const r=hn(n.moduleSymbol.valueDeclaration,rM);if(!r){const r=Bv(n.moduleSymbol.name);return(!vX.nodeCoreModules.has(r)||st(r,"node:")===S0(t,e))&&(!f||f.allowsImportingAmbientModule(n.moduleSymbol,$(n.isFromPackageJson)))}return k0(n.isFromPackageJson?p:e,t,r,i,f,$(n.isFromPackageJson),d)}mce("collectAutoImports",s,G||(G=Qle.createImportSpecifierResolver(t,e,s,i)),e,o,i,!!x,wx(L),(e=>{u.search(t.path,N,((e,n)=>{if(!zs(e,jp(s.getCompilationSettings())))return!1;if(!a&&Xy(e))return!1;if(!(J||x||111551&n))return!1;if(J&&!(790504&n))return!1;const t=e.charCodeAt(0);return(!N||!(t<65||t>90))&&(!!a||vde(e,l))}),((n,t,r,o)=>{if(a&&!oe(n,(e=>a.source===Bv(e.moduleSymbol.name))))return;if(!(n=W(n,m)).length)return;const i=e.tryResolve(n,r)||{};if("failed"===i)return;let s,l=n[0];"skipped"!==i&&({exportInfo:l=n[0],moduleSpecifier:s}=i);const c=1===l.exportKind;!function(e,n){const t=Kz(e);if(K[t]===nce.GlobalsOrKeywords)return;U[V.length]=n,K[t]=x?nce.LocationPriority:nce.AutoImportSuggestions,V.push(e)}(c&&kE(l.symbol)||l.symbol,{kind:s?32:4,moduleSpecifier:s,symbolName:t,exportMapKey:o,exportName:2===l.exportKind?"export=":l.symbol.name,fileName:l.moduleFileName,isDefaultExport:c,moduleSymbol:l.moduleSymbol,isFromPackageJson:l.isFromPackageJson})})),j=e.skippedAny(),O|=e.resolvedAny()?8:0,O|=e.resolvedBeyondLimit()?16:0}))}function le(){if(b){const e=b.parent.kind,n=rde(b);switch(n){case 28:return 213===e||176===e||214===e||209===e||226===e||184===e||210===e;case 21:return 213===e||176===e||214===e||217===e||196===e;case 23:return 209===e||181===e||167===e;case 144:case 145:case 102:return!0;case 25:return 267===e;case 19:return 263===e||210===e;case 64:return 260===e||226===e;case 16:return 228===e;case 17:return 239===e;case 134:return 174===e||304===e;case 42:return 174===e}if(nde(n))return!0}return!1}function ce(e){return!!e.parent&&bN(e.parent)&&IN(e.parent.parent)&&(gd(e.kind)||Ry(e))}function de(e,n){return 64!==e.kind&&(27===e.kind||!iS(e.end,n,t))}function ue(e){return Nd(e)&&176!==e}function pe(e,n){const t=e.expression,r=d.getSymbolAtLocation(t),o=r&&d.getTypeOfSymbolAtLocation(r,t),i=o&&o.properties;i&&i.forEach((e=>{n.add(e.name)}))}function fe(){V.forEach((e=>{if(16777216&e.flags){const n=Kz(e);K[n]=K[n]??nce.OptionalMember}}))}function me(e,n){if(0!==e.size)for(const t of n)e.has(t.name)&&(K[Kz(t)]=nce.MemberDeclaredBySpreadAssignment)}function _e(e){return e.getStart(t)<=o&&o<=e.getEnd()}}function Xce(e,n){const t=f$(e,n);if(t&&e<=t.end&&(Cc(t)||Vy(t.kind))){return{contextToken:f$(t.getFullStart(),n,void 0),previousToken:t}}return{contextToken:t,previousToken:t}}function Yce(e,n,t,r){const o=n.isPackageJsonImport?r.getPackageJsonAutoImportProvider():t,i=o.getTypeChecker(),a=n.ambientModuleName?i.tryFindAmbientModule(n.ambientModuleName):n.fileName?i.getMergedSymbol(Tt.checkDefined(o.getSourceFile(n.fileName)).symbol):void 0;if(!a)return;let s="export="===n.exportName?i.resolveExternalModuleSymbol(a):i.tryGetMemberInModuleExportsAndProperties(n.exportName,a);if(!s)return;return s="default"===n.exportName&&kE(s)||s,{symbol:s,origin:Oce(n,e,a)}}function $ce(e,n,t,r,o){if(function(e){return!!(e&&256&e.kind)}(t))return;const i=function(e){return lce(e)||cce(e)||fce(e)}(t)?t.symbolName:e.name;if(void 0===i||1536&e.flags&&sg(i.charCodeAt(0))||uv(e))return;const a={name:i,needsConvertPropertyAccess:!1};if(zs(i,n,o?1:0)||e.valueDeclaration&&md(e.valueDeclaration))return a;switch(r){case 3:return fce(t)?{name:t.symbolName,needsConvertPropertyAccess:!1}:void 0;case 0:return{name:JSON.stringify(i),needsConvertPropertyAccess:!1};case 2:case 1:return 32===i.charCodeAt(0)?void 0:{name:i,needsConvertPropertyAccess:!0};case 5:case 4:return a;default:Tt.assertNever(r)}}function Qce(e,n){if(!n)return Zce(e);const t=e+8+1;return ice[t]||(ice[t]=Zce(e).filter((e=>!function(e){switch(e){case 128:case 133:case 163:case 136:case 138:case 94:case 162:case 119:case 140:case 120:case 142:case 143:case 144:case 145:case 146:case 150:case 151:case 164:case 123:case 124:case 125:case 148:case 154:case 155:case 156:case 158:case 159:return!0;default:return!1}}(ss(e.name)))))}function Zce(e){return ice[e]||(ice[e]=ace().filter((n=>{const t=ss(n.name);switch(e){case 0:return!1;case 1:return tde(t)||138===t||144===t||156===t||145===t||128===t||Q$(t)&&157!==t;case 5:return tde(t);case 2:return nde(t);case 3:return ede(t);case 4:return gd(t);case 6:return Q$(t)||87===t;case 7:return Q$(t);case 8:return 156===t;default:return Tt.assertNever(e)}})))}function ede(e){return 148===e}function nde(e){switch(e){case 128:case 129:case 137:case 139:case 153:case 134:case 138:case 164:return!0;default:return yd(e)}}function tde(e){return 134===e||135===e||160===e||130===e||152===e||156===e||!Ky(e)&&!nde(e)}function rde(e){return tN(e)?kl(e)??0:e.kind}function ode(e,n,t,r){const o=n&&n!==e,i=!o||3&n.flags?e:r.getUnionType([e,n]),a=function(e,n,t){return e.isUnion()?t.getAllPossiblePropertiesOfTypes(W(e.types,(e=>!(402784252&e.flags||t.isArrayLikeType(e)||t.isTypeInvalidDueToUnionDiscriminant(e,n)||t.typeHasCallOrConstructSignatures(e)||e.isClass()&&ide(e.getApparentProperties()))))):e.getApparentProperties()}(i,t,r);return i.isClass()&&ide(a)?[]:o?W(a,(function(e){return!b(e.declarations)||oe(e.declarations,(e=>e.parent!==t))})):a}function ide(e){return oe(e,(e=>!!(6&_S(e))))}function ade(e,n){return e.isUnion()?Tt.checkEachDefined(n.getAllPossiblePropertiesOfTypes(e.types),"getAllPossiblePropertiesOfTypes() should all be defined"):Tt.checkEachDefined(e.getApparentProperties(),"getApparentProperties() should all be defined")}function sde(e,n){if(!e)return;if(Bd(e)&&ep(e.parent))return n.getTypeArgumentConstraint(e);const t=sde(e.parent,n);if(t)switch(e.kind){case 171:return n.getTypeOfPropertyOfContextualType(t,e.symbol.escapedName);case 193:case 187:case 192:return t}}function lde(e){return e.parent&&zd(e.parent)&&LS(e.parent.parent)}function cde({left:e}){return im(e)}function dde(e,n){var t,r,o;let i,a=!1;const s=function(){const t=e.parent;if(hC(t)){const r=t.getLastToken(n);return tN(e)&&r!==e?(i=161,void(a=!0)):(i=156===e.kind?void 0:156,_de(t.moduleReference)?t:void 0)}if(fde(t,e)&&mde(t.parent))return t;if(RC(t)||xC(t)){if(t.parent.isTypeOnly||19!==e.kind&&102!==e.kind&&28!==e.kind||(i=156),mde(t)){if(20!==e.kind&&80!==e.kind)return t.parent.parent;a=!0,i=161}return}if(DC(t)&&42===e.kind||CC(t)&&20===e.kind)return a=!0,void(i=161);if(_N(e)&&rM(t))return i=156,e;if(_N(e)&&gC(t))return i=156,_de(t.moduleSpecifier)?t:void 0;return}();return{isKeywordOnlyCompletion:a,keywordCompletion:i,isNewIdentifierLocation:!(!s&&156!==i),isTopLevelTypeOnly:!!(null==(r=null==(t=hn(s,gC))?void 0:t.importClause)?void 0:r.isTypeOnly)||!!(null==(o=hn(s,hC))?void 0:o.isTypeOnly),couldBeTypeOnlyImportSpecifier:!!s&&fde(s,e),replacementSpan:ude(s)}}function ude(e){var n;if(!e)return;const t=Nl(e,pt(gC,hC))??e,r=t.getSourceFile();if($E(t,r))return H$(t,r);Tt.assert(102!==t.kind&&276!==t.kind);const o=272===t.kind?pde(null==(n=t.importClause)?void 0:n.namedBindings)??t.moduleSpecifier:t.moduleReference,i={pos:t.getFirstToken().getStart(),end:o.pos};return $E(i,r)?J$(i):void 0}function pde(e){var n;return D(null==(n=hn(e,RC))?void 0:n.elements,(n=>{var t;return!n.propertyName&&Xy(n.name.text)&&28!==(null==(t=f$(n.name.pos,e.getSourceFile(),e))?void 0:t.kind)}))}function fde(e,n){return IC(e)&&(e.isTypeOnly||n===e.name&&eQ(n))}function mde(e){if(!_de(e.parent.parent.moduleSpecifier)||e.parent.name)return!1;if(RC(e)){const n=pde(e);return(n?e.elements.indexOf(n):e.elements.length)<2}return!0}function _de(e){var n;return!!im(e)||!(null==(n=hn(wC(e)?e.expression:e,tp))?void 0:n.text)}function hde(e){return e.parent&&hD(e.parent)&&(e.parent.body===e||39===e.kind)}function gde(e,n,t=new Map){return r(e)||r(hS(e.exportSymbol||e,n));function r(e){return!!(788968&e.flags)||n.isUnknownSymbol(e)||!!(1536&e.flags)&&PS(t,Kz(e))&&n.getExportsOfModule(e).some((e=>gde(e,n,t)))}}function yde(e,n){const t=hS(e,n).declarations;return!!b(t)&&N(t,E0)}function vde(e,n){if(0===n.length)return!0;let t,r=!1,o=0;const i=e.length;for(let a=0;a<i;a++){const i=e.charCodeAt(a),s=n.charCodeAt(o);if((i===s||i===bde(s))&&(r||(r=void 0===t||97<=t&&t<=122&&65<=i&&i<=90||95===t&&95!==i),r&&o++,o===n.length))return!0;t=i}return!1}function bde(e){return 97<=e&&e<=122?e-32:e}function Ede(e){return"abstract"===e||"async"===e||"await"===e||"declare"===e||"module"===e||"namespace"===e||"type"===e}var Sde,Tde,xde,Ade=g({"src/services/completions.ts"(){Tge(),oue(),Zle=100,ece=1e3,nce={LocalDeclarationPriority:"10",LocationPriority:"11",OptionalMember:"12",MemberDeclaredBySpreadAssignment:"13",SuggestedClassMembers:"14",GlobalsOrKeywords:"15",AutoImportSuggestions:"16",ClassMemberSnippets:"17",JavascriptIdentifiers:"18",Deprecated(e){return"z"+e},ObjectLiteralProperty(e,n){return`${e}\0${n}\0`},SortBelow(e){return e+"1"}},tce=(e=>(e.ThisProperty="ThisProperty/",e.ClassMemberSnippet="ClassMemberSnippet/",e.TypeOnlyAlias="TypeOnlyAlias/",e.ObjectLiteralMethodSnippet="ObjectLiteralMethodSnippet/",e.SwitchCases="SwitchCases/",e.ObjectLiteralMemberWithComma="ObjectLiteralMemberWithComma/",e))(tce||{}),rce=(e=>(e[e.ThisType=1]="ThisType",e[e.SymbolMember=2]="SymbolMember",e[e.Export=4]="Export",e[e.Promise=8]="Promise",e[e.Nullable=16]="Nullable",e[e.ResolvedExport=32]="ResolvedExport",e[e.TypeOnlyAlias=64]="TypeOnlyAlias",e[e.ObjectLiteralMethod=128]="ObjectLiteralMethod",e[e.Ignore=256]="Ignore",e[e.ComputedPropertyName=512]="ComputedPropertyName",e[e.SymbolMemberNoExport=2]="SymbolMemberNoExport",e[e.SymbolMemberExport=6]="SymbolMemberExport",e))(rce||{}),oce=(e=>(e[e.ObjectPropertyDeclaration=0]="ObjectPropertyDeclaration",e[e.Global=1]="Global",e[e.PropertyAccess=2]="PropertyAccess",e[e.MemberLike=3]="MemberLike",e[e.String=4]="String",e[e.None=5]="None",e))(oce||{}),ice=[],ace=Rn((()=>{const e=[];for(let n=83;n<=165;n++)e.push({name:as(n),kind:"keyword",kindModifiers:"",sortText:nce.GlobalsOrKeywords});return e}))}});function Rde(){const e=new Map;return{add:function(n){const t=e.get(n.name);(!t||Sde[t.kind]<Sde[n.kind])&&e.set(n.name,n)},has:e.has.bind(e),values:e.values.bind(e)}}function Ide(e,n,t,r,o,i,a,s,l){if(B$(e,n)){const t=function(e,n,t,r){const o=l$(e,n),i=ks(e.text,o.pos),a=i&&D(i,(e=>n>=e.pos&&n<=e.end));if(!a)return;const s=e.text.slice(a.pos,n),l=Tde.exec(s);if(!l)return;const[,c,d,u]=l,p=ra(e.path),f="path"===d?Bde(u,p,zde(t,0,e),r,!0,e.path):"types"===d?Yde(r,t,p,Kde(u),zde(t,1,e)):Tt.fail();return Fde(u,a.pos+c.length,Je(f.values()))}(e,n,r,o);return t&&Dde(t)}if(g$(e,n,t)){if(!t||!tp(t))return;return function(e,n,t,r,o,i,a,s,l,c){if(void 0===e)return;const d=K$(n);switch(e.kind){case 0:return Dde(e.paths);case 1:{const u=[];return Gce(e.symbols,u,n,n,t,l,t,r,o,99,i,4,s,a,void 0,void 0,void 0,void 0,void 0,void 0,void 0,void 0,void 0,void 0,void 0,c),{isGlobalCompletion:!1,isMemberCompletion:!0,isNewIdentifierLocation:e.hasIndexSignature,optionalReplacementSpan:d,entries:u}}case 2:{const t=15===n.kind?96:st(xm(n),"'")?39:34,r=e.types.map((e=>({name:Fv(e.value,t),kindModifiers:"",kind:"string",sortText:nce.LocationPriority,replacementSpan:U$(n)})));return{isGlobalCompletion:!1,isMemberCompletion:!1,isNewIdentifierLocation:e.isNewIdentifier,optionalReplacementSpan:d,entries:r}}default:return Tt.assertNever(e)}}(Mde(e,t,n,i,o,s),t,e,o,i,a,r,s,n,l)}}function Nde(e,n,t,r,o,i,a,s){if(!r||!tp(r))return;const l=Mde(n,r,t,o,i,s);return l&&function(e,n,t,r,o,i){switch(t.kind){case 0:{const n=D(t.paths,(n=>n.name===e));return n&&Hce(e,Cde(n.extension),n.kind,[qQ(e)])}case 1:{const a=D(t.symbols,(n=>n.name===e));return a&&Uce(a,a.name,o,r,n,i)}case 2:return D(t.types,(n=>n.value===e))?Hce(e,"","string",[qQ(e)]):void 0;default:return Tt.assertNever(t)}}(e,r,l,n,o.getTypeChecker(),a)}function Dde(e){return{isGlobalCompletion:!1,isMemberCompletion:!1,isNewIdentifierLocation:!0,entries:e.map((({name:e,kind:n,span:t,extension:r})=>({name:e,kind:n,kindModifiers:Cde(r),sortText:nce.LocationPriority,replacementSpan:t})))}}function Cde(e){switch(e){case".d.ts":return".d.ts";case".js":return".js";case".json":return".json";case".jsx":return".jsx";case".ts":return".ts";case".tsx":return".tsx";case".d.mts":return".d.mts";case".mjs":return".mjs";case".mts":return".mts";case".d.cts":return".d.cts";case".cjs":return".cjs";case".cts":return".cts";case".tsbuildinfo":return Tt.fail("Extension .tsbuildinfo is unsupported.");case void 0:return"";default:return Tt.assertNever(e)}}function Mde(e,n,t,r,o,i){const a=r.getTypeChecker(),s=Pde(n.parent);switch(s.kind){case 201:{const l=Pde(s.parent);return 205===l.kind?{kind:0,paths:Wde(e,n,r,o,i)}:function e(n){switch(n.kind){case 233:case 183:{const e=Nl(s,(e=>e.parent===n));return e?{kind:2,types:kde(a.getTypeArgumentConstraint(e)),isNewIdentifier:!1}:void 0}case 199:const{indexType:o,objectType:i}=n;if(!OY(o,t))return;return Lde(a.getTypeFromTypeNode(i));case 192:{const t=e(Pde(n.parent));if(!t)return;const o=(r=s,Y(n.types,(e=>e!==r&&ZN(e)&&zI(e.literal)?e.literal.text:void 0)));return 1===t.kind?{kind:1,symbols:t.symbols.filter((e=>!k(o,e.name))),hasIndexSignature:t.hasIndexSignature}:{kind:2,types:t.types.filter((e=>!k(o,e.value))),isNewIdentifier:!1}}default:return}var r}(l)}case 303:return sD(s.parent)&&s.name===n?function(e,n){const t=e.getContextualType(n);if(!t)return;const r=e.getContextualType(n,4);return{kind:1,symbols:ode(t,r,n,e),hasIndexSignature:FZ(t)}}(a,s.parent):l()||l(0);case 212:{const{expression:e,argumentExpression:t}=s;return n===Ty(t)?Lde(a.getTypeAtLocation(e)):void 0}case 213:case 214:case 291:if(!function(e){return dD(e.parent)&&De(e.parent.arguments)===e&&tN(e.parent.expression)&&"require"===e.parent.expression.escapedText}(n)&&!P_(s)){const r=ume.getArgumentInfoForCompletions(291===s.kind?s.parent:n,t,e,a);return r&&function(e,n,t,r){let o=!1;const i=new Map,a=ju(e)?Tt.checkDefined(Nl(n.parent,VC)):n,s=H(r.getCandidateSignaturesForStringLiteralCompletions(e,a),(n=>{if(!Zz(n)&&t.argumentCount>n.parameters.length)return;let s=n.getTypeParameterAtPosition(t.argumentIndex);if(ju(e)){const e=r.getTypeOfPropertyOfType(s,vA(a.name));e&&(s=e)}return o=o||!!(4&s.flags),kde(s,i)}));return b(s)?{kind:2,types:s,isNewIdentifier:o}:void 0}(r.invocation,n,r,a)||l(0)}case 272:case 278:case 283:return{kind:0,paths:Wde(e,n,r,o,i)};case 296:const c=N0(a,s.parent.clauses),d=l();if(!d)return;return{kind:2,types:d.types.filter((e=>!c.hasValue(e.value))),isNewIdentifier:!1};default:return l()||l(0)}function l(e=4){const t=kde(LZ(n,a,e));if(t.length)return{kind:2,types:t,isNewIdentifier:!1}}}function Pde(e){switch(e.kind){case 196:return vy(e);case 217:return by(e);default:return e}}function Lde(e){return e&&{kind:1,symbols:W(e.getApparentProperties(),(e=>!(e.valueDeclaration&&md(e.valueDeclaration)))),hasIndexSignature:FZ(e)}}function kde(e,n=new Map){return e?(e=iQ(e)).isUnion()?H(e.types,(e=>kde(e,n))):!e.isStringLiteral()||1024&e.flags||!PS(n,e.value)?o:[e]:o}function wde(e,n,t){return{name:e,kind:n,extension:t}}function Ode(e){return wde(e,"directory",void 0)}function Fde(e,n,t){const r=function(e,n){const t=Math.max(e.lastIndexOf(Fi),e.lastIndexOf(Wi)),r=-1!==t?t+1:0,o=e.length-r;return 0===o||zs(e.substr(r,o),99)?void 0:dl(n+r,o)}(e,n),o=0===e.length?void 0:dl(n,e.length);return t.map((({name:e,kind:n,extension:t})=>e.includes(Fi)||e.includes(Wi)?{name:e,kind:n,extension:t,span:o}:{name:e,kind:n,extension:t,span:r}))}function Wde(e,n,t,r,i){return Fde(n.text,n.getStart(e)+1,function(e,n,t,r,i){const a=ca(n.text),s=tp(n)?t.getModeForUsageLocation(e,n):void 0,l=e.path,c=ra(l),d=t.getCompilerOptions(),u=t.getTypeChecker(),p=zde(d,1,e,u,i,s);return function(e){if(e&&e.length>=2&&46===e.charCodeAt(0)){const n=e.length>=3&&46===e.charCodeAt(1)?2:1,t=e.charCodeAt(n);return 47===t||92===t}return!1}(a)||!d.baseUrl&&!d.paths&&(Hi(a)||Ui(a))?function(e,n,t,r,o,i){return t.rootDirs?function(e,n,t,r,o,i,a){const s=o.project||i.getCurrentDirectory(),l=!(i.useCaseSensitiveFileNames&&i.useCaseSensitiveFileNames()),c=function(e,n,t,r){e=e.map((e=>va(_a(Hi(e)?e:ua(n,e)))));const o=T(e,(e=>Ia(e,t,n,r)?t.substr(e.length):void 0));return ce([...e.map((e=>ua(e,o))),t].map((e=>ya(e))),Ln,Gn)}(e,s,t,l);return ce(H(c,(e=>Je(Bde(n,e,r,i,!0,a).values()))),((e,n)=>e.name===n.name&&e.kind===n.kind&&e.extension===n.extension))}(t.rootDirs,e,n,i,t,r,o):Je(Bde(e,n,i,r,!0,o).values())}(a,c,d,r,l,p):function(e,n,t,r,i,a,s){const{baseUrl:l,paths:c}=r,d=Rde(),u=Up(r);if(l){const n=_a(ua(i.getCurrentDirectory(),l));Bde(e,n,a,i,!1,void 0,d)}if(c){const n=ib(r,i);Vde(d,e,n,a,i,c)}const p=Kde(e);for(const n of function(e,n,t){const r=t.getAmbientModules().map((e=>Bv(e.name))).filter((n=>st(n,e)&&!n.includes("*")));if(void 0!==n){const e=va(n);return r.map((n=>lt(n,e)))}return r}(e,p,s))d.add(wde(n,"external module name",void 0));if(Yde(i,r,n,p,a,d),pQ(u)){let s=!1;if(void 0===p)for(const e of function(e,n){if(!e.readFile||!e.fileExists)return o;const t=[];for(const r of QZ(n,e)){const n=GE(r,e);for(const e of xde){const r=n[e];if(r)for(const e in r)je(r,e)&&!st(e,"@types/")&&t.push(e)}}return t}(i,n)){const n=wde(e,"external module name",void 0);d.has(n.name)||(s=!0,d.add(n))}if(!s){let o=n=>{const t=ua(n,"node_modules");XZ(i,t)&&Bde(e,t,a,i,!1,void 0,d)};if(p&&Xp(r)){const n=o;o=o=>{const s=sa(e);s.shift();let l=s.shift();if(!l)return n(o);if(st(l,"@")){const e=s.shift();if(!e)return n(o);l=ua(l,e)}const c=ua(o,"node_modules",l),u=ua(c,"package.json");if(JZ(i,u)){const n=GE(u,i).exports;if(n){if("object"!=typeof n||null===n)return;const o=Ue(n),l=s.join("/")+(s.length&&Zi(e)?"/":""),u=_F(r,t);return void Ude(d,!0,l,c,a,i,o,(e=>_t(Hde(n[e],u))),fW)}}return n(o)}}ka(n,o)}}return Je(d.values())}(a,c,s,d,r,p,u)}(e,n,t,r,i))}function zde(e,n,t,r,o,i){return{extensionsToSearch:U(Gde(e,r)),referenceKind:n,importingSourceFile:t,endingPreference:null==o?void 0:o.importModuleSpecifierEnding,resolutionMode:i}}function Gde(e,n){const t=n?Y(n.getAmbientModules(),(e=>{const n=e.name.slice(1,-1);if(n.startsWith("*.")&&!n.includes("/"))return n.slice(1)})):[],r=[...ex(e),t];return pQ(Up(e))?nx(e,r):r}function Bde(e,n,t,r,o,i,a=Rde()){var s;void 0===e&&(e=""),Zi(e=ca(e))||(e=ra(e)),""===e&&(e="."+Fi);const l=pa(n,e=va(e)),c=Zi(l)?l:ra(l);if(!o){const e=ZZ(c,r);if(e){const n=GE(e,r).typesVersions;if("object"==typeof n){const o=null==(s=cF(n))?void 0:s.paths;if(o){const n=ra(e);if(Vde(a,l.slice(va(n).length),n,t,r,o))return a}}}}const d=!(r.useCaseSensitiveFileNames&&r.useCaseSensitiveFileNames());if(!XZ(r,c))return a;const u=qZ(r,c,t.extensionsToSearch,void 0,["./*"]);if(u)for(let e of u){if(e=_a(e),i&&0===Ra(e,i,n,d))continue;const{name:o,extension:s}=jde(oa(e),r.getCompilationSettings(),t,!1);a.add(wde(o,"script",s))}const p=KZ(r,c);if(p)for(const e of p){const n=oa(_a(e));"@types"!==n&&a.add(Ode(n))}return a}function jde(e,n,t,r){const o=Iz.tryGetRealFileNameForNonJsDeclarationFileName(e);if(o)return{name:o,extension:bx(o)};if(0===t.referenceKind)return{name:e,extension:bx(e)};let i=ZW({importModuleSpecifierEnding:t.endingPreference},n,t.importingSourceFile).getAllowedEndingsInPreferredOrder(t.resolutionMode);if(r&&(i=i.filter((e=>0!==e&&1!==e))),3===i[0]){if(Qi(e,Sf))return{name:e,extension:bx(e)};const t=Iz.tryGetJSExtensionForFile(e,n);return t?{name:px(e,t),extension:t}:{name:e,extension:bx(e)}}if(!r&&(0===i[0]||1===i[0])&&Qi(e,[".js",".jsx",".ts",".tsx",".d.ts"]))return{name:cx(e),extension:bx(e)};const a=Iz.tryGetJSExtensionForFile(e,n);return a?{name:px(e,a),extension:a}:{name:e,extension:bx(e)}}function Vde(e,n,t,r,o,i){return Ude(e,!1,n,t,r,o,Ue(i),(e=>i[e]),((e,n)=>{const t=fx(e),r=fx(n),o="object"==typeof t?t.prefix.length:e.length;return wn("object"==typeof r?r.prefix.length:n.length,o)}))}function Ude(e,n,t,r,o,i,a,s,l){let c,d=[];for(const e of a){if("."===e)continue;const a=e.replace(/^\.\//,""),u=s(e);if(u){const s=fx(a);if(!s)continue;const p="object"==typeof s&&dt(s,t);p&&(void 0===c||-1===l(e,c))&&(c=e,d=d.filter((e=>!e.matchedPattern))),"string"!=typeof s&&void 0!==c&&1===l(e,c)||d.push({matchedPattern:p,results:qde(a,u,t,r,o,n&&p,i).map((({name:e,kind:n,extension:t})=>wde(e,n,t)))})}}return d.forEach((n=>n.results.forEach((n=>e.add(n))))),void 0!==c}function Hde(e,n){if("string"==typeof e)return e;if(e&&"object"==typeof e&&!pn(e))for(const t in e)if("default"===t||n.includes(t)||hW(n,t)){return Hde(e[t],n)}}function Kde(e){return $de(e)?Zi(e)?e:ra(e):void 0}function qde(e,n,t,r,i,a,s){if(!Xn(e,"*"))return e.includes("*")?o:d(e,"script");const l=e.slice(0,e.length-1),c=ct(t,l);if(void 0===c){return"/"===e[e.length-2]?d(l,"directory"):H(n,(e=>{var n;return null==(n=Jde("",r,e,i,a,s))?void 0:n.map((({name:e,...n})=>({name:l+e,...n})))}))}return H(n,(e=>Jde(c,r,e,i,a,s)));function d(e,n){return st(e,t)?[{name:ya(e),kind:n,extension:void 0}]:o}}function Jde(e,n,t,r,i,a){if(!a.readDirectory)return;const s=fx(t);if(void 0===s||mn(s))return;const l=pa(s.prefix),c=Zi(s.prefix)?l:ra(l),d=Zi(s.prefix)?"":oa(l),u=$de(e),p=u?Zi(e)?e:ra(e):void 0,f=u?ua(c,d+p):c,m=_a(s.suffix),_=m&&tb("_"+m),h=_?[px(m,_),m]:[m],g=_a(ua(n,f)),y=u?g:va(g)+d,v=m?h.map((e=>"**/*"+e)):["./*"];return[...Y(qZ(a,g,r.extensionsToSearch,void 0,v),(e=>{const n=(t=e,T(h,(e=>{const n=(r=_a(t),i=e,st(r,o=y)&&Xn(r,i)?r.slice(o.length,r.length-i.length):void 0);var r,o,i;return void 0===n?void 0:Xde(n)})));var t;if(n){if($de(n))return Ode(sa(Xde(n))[1]);const{name:e,extension:t}=jde(n,a.getCompilationSettings(),r,i);return wde(e,"script",t)}})),...m?o:Y(KZ(a,g),(e=>"node_modules"===e?void 0:Ode(e)))]}function Xde(e){return e[0]===Fi?e.slice(1):e}function Yde(e,n,t,r,i,a=Rde()){const s=new Map,l=YZ((()=>dF(n,e)))||o;for(const e of l)c(e);for(const n of QZ(t,e)){c(ua(ra(n),"node_modules/@types"))}return a;function c(t){if(XZ(e,t))for(const o of KZ(e,t)){const l=RW(o);if(!n.types||k(n.types,l))if(void 0===r)s.has(l)||(a.add(wde(l,"external module name",void 0)),s.set(l,!0));else{const n=ua(t,o),s=WT(r,l,Jv(e));void 0!==s&&Bde(s,n,i,e,!1,void 0,a)}}}}function $de(e){return e.includes(Fi)}var Qde=g({"src/services/stringCompletions.ts"(){Rz(),Tge(),oue(),Sde={directory:0,script:1,"external module name":2},Tde=/^(\/\/\/\s*<reference\s+(path|types)\s*=\s*(?:'|"))([^\3"]*)$/,xde=["dependencies","devDependencies","peerDependencies","optionalDependencies"]}}),Zde={};y(Zde,{getStringLiteralCompletionDetails:()=>Nde,getStringLiteralCompletions:()=>Ide});var eue=g({"src/services/_namespaces/ts.Completions.StringCompletions.ts"(){Qde()}}),nue={};y(nue,{CompletionKind:()=>oce,CompletionSource:()=>tce,SortText:()=>nce,StringCompletions:()=>Zde,SymbolOriginInfoKind:()=>rce,createCompletionDetails:()=>Hce,createCompletionDetailsForSymbol:()=>Uce,getCompletionEntriesFromSymbols:()=>Gce,getCompletionEntryDetails:()=>jce,getCompletionEntrySymbol:()=>Kce,getCompletionsAtPosition:()=>_ce,getPropertiesForObjectExpression:()=>ode,moduleSpecifierResolutionCacheAttemptLimit:()=>ece,moduleSpecifierResolutionLimit:()=>Zle});var tue,rue,oue=g({"src/services/_namespaces/ts.Completions.ts"(){Ade(),eue()}});function iue(e,n,t,r){const o=function(e,n,t){const r=new Map;for(const o of e)t&&t.throwIfCancellationRequested(),cue(o,((e,t)=>{const o=n.getSymbolAtLocation(t);if(o){const n=Kz(o).toString();let t=r.get(n);t||r.set(n,t=[]),t.push(e)}}));return r}(e,t,r);return(i,a,s)=>{const{directImports:l,indirectUsers:c}=function(e,n,t,{exportingModuleSymbol:r,exportKind:o},i,a){const s=tQ(),l=tQ(),c=[],d=!!r.globalExports,u=d?void 0:[];return f(r),{directImports:c,indirectUsers:p()};function p(){if(d)return e;if(r.declarations)for(const e of r.declarations)Bm(e)&&n.has(e.getSourceFile().fileName)&&g(e);return u.map($f)}function f(e){const n=y(e);if(n)for(const e of n)if(s(e))switch(a&&a.throwIfCancellationRequested(),e.kind){case 213:if(P_(e)){m(e);break}if(!d){const n=e.parent;if(2===o&&260===n.kind){const{name:e}=n;if(80===e.kind){c.push(e);break}}}break;case 80:break;case 271:h(e,e.name,Bb(e,32),!1);break;case 272:c.push(e);const n=e.importClause&&e.importClause.namedBindings;n&&274===n.kind?h(e,n.name,!1,!0):!d&&jg(e)&&g(fue(e));break;case 278:e.exportClause?280===e.exportClause.kind?g(fue(e),!0):c.push(e):f(pue(e,i));break;case 205:!d&&e.isTypeOf&&!e.qualifier&&_(e)&&g(e.getSourceFile(),!0),c.push(e);break;default:Tt.failBadSyntaxKind(e,"Unexpected import kind.")}}function m(e){g(Nl(e,mue)||e.getSourceFile(),!!_(e,!0))}function _(e,n=!1){return Nl(e,(e=>n&&mue(e)?"quit":vL(e)&&oe(e.modifiers,oN)))}function h(e,n,t,r){if(2===o)r||c.push(e);else if(!d){const r=fue(e);Tt.assert(312===r.kind||267===r.kind),t||function(e,n,t){const r=t.getSymbolAtLocation(n);return!!lue(e,(e=>{if(!DC(e))return;const{exportClause:n,moduleSpecifier:o}=e;return!o&&n&&CC(n)&&n.elements.some((e=>t.getExportSpecifierLocalTargetSymbol(e)===r))}))}(r,n,i)?g(r,!0):g(r)}}function g(e,n=!1){Tt.assert(!d);if(!l(e))return;if(u.push(e),!n)return;const t=i.getMergedSymbol(e.symbol);if(!t)return;Tt.assert(!!(1536&t.flags));const r=y(t);if(r)for(const e of r)eD(e)||g(fue(e),!0)}function y(e){return t.get(Kz(e).toString())}}(e,n,o,a,t,r);return{indirectUsers:c,...aue(l,i,a.exportKind,t,s)}}}function aue(e,n,t,r,o){const i=[],a=[];function s(e,n){i.push([e,n])}if(e)for(const n of e)l(n);return{importSearches:i,singleReferences:a};function l(e){if(271===e.kind)return void(_ue(e)&&c(e.name));if(80===e.kind)return void c(e);if(205===e.kind){if(e.qualifier){const t=SE(e.qualifier);t.escapedText===wl(n)&&a.push(t)}else 2===t&&a.push(e.argument.literal);return}if(11!==e.moduleSpecifier.kind)return;if(278===e.kind)return void(e.exportClause&&CC(e.exportClause)&&d(e.exportClause));const{name:i,namedBindings:l}=e.importClause||{name:void 0,namedBindings:void 0};if(l)switch(l.kind){case 274:c(l.name);break;case 275:0!==t&&1!==t||d(l);break;default:Tt.assertNever(l)}if(i&&(1===t||2===t)&&(!o||i.escapedText===bQ(n))){s(i,r.getSymbolAtLocation(i))}}function c(e){2!==t||o&&!u(e.escapedText)||s(e,r.getSymbolAtLocation(e))}function d(e){if(e)for(const t of e.elements){const{name:e,propertyName:i}=t;if(u((i||e).escapedText))if(i)a.push(i),o&&e.escapedText!==n.escapedName||s(e,r.getSymbolAtLocation(e));else{s(e,281===t.kind&&t.propertyName?r.getExportSpecifierLocalTargetSymbol(t):r.getSymbolAtLocation(e))}}}function u(e){return e===n.escapedName||0!==t&&"default"===e}}function sue(e,n,t){var r;const o=[],i=e.getTypeChecker();for(const a of n){const n=t.valueDeclaration;if(312===(null==n?void 0:n.kind)){for(const t of a.referencedFiles)e.getSourceFileFromReference(a,t)===n&&o.push({kind:"reference",referencingFile:a,ref:t});for(const t of a.typeReferenceDirectives){const i=null==(r=e.getResolvedTypeReferenceDirectives().get(t.fileName,t.resolutionMode||a.impliedNodeFormat))?void 0:r.resolvedTypeReferenceDirective;void 0!==i&&i.resolvedFileName===n.fileName&&o.push({kind:"reference",referencingFile:a,ref:t})}}cue(a,((e,n)=>{i.getSymbolAtLocation(n)===t&&o.push(Sv(e)?{kind:"implicit",literal:n,referencingFile:a}:{kind:"import",literal:n})}))}return o}function lue(e,n){return E(312===e.kind?e.statements:e.body.statements,(e=>n(e)||mue(e)&&E(e.body&&e.body.statements,n)))}function cue(e,n){if(e.externalModuleIndicator||void 0!==e.imports)for(const t of e.imports)n(Wg(t),t);else lue(e,(e=>{switch(e.kind){case 278:case 272:{const t=e;t.moduleSpecifier&&zI(t.moduleSpecifier)&&n(t,t.moduleSpecifier);break}case 271:{const t=e;_ue(t)&&n(t,t.moduleReference.expression);break}}}))}function due(e,n,t,r){return r?o():o()||function(){if(!function(e){const{parent:n}=e;switch(n.kind){case 271:return n.name===e&&_ue(n);case 276:return!n.propertyName;case 273:case 274:return Tt.assert(n.name===e),!0;case 208:return Yh(e)&&rg(n.parent.parent);default:return!1}}(e))return;let r=t.getImmediateAliasedSymbol(n);if(!r)return;if(r=function(e,n){if(e.declarations)for(const t of e.declarations){if(MC(t)&&!t.propertyName&&!t.parent.parent.moduleSpecifier)return n.getExportSpecifierLocalTargetSymbol(t)||e;if(lD(t)&&bg(t.expression)&&!rN(t.name))return n.getSymbolAtLocation(t);if(ZC(t)&&TD(t.parent.parent)&&2===Eg(t.parent.parent))return n.getExportSpecifierLocalTargetSymbol(t.name)}return e}(r,t),"export="===r.escapedName&&(r=function(e,n){var t,r;if(2097152&e.flags)return n.getImmediateAliasedSymbol(e);const o=Tt.checkDefined(e.valueDeclaration);if(NC(o))return null==(t=hn(o.expression,Nu))?void 0:t.symbol;if(TD(o))return null==(r=hn(o.right,Nu))?void 0:r.symbol;if(rM(o))return o.symbol;return}(r,t),void 0===r))return;const o=bQ(r);if(void 0===o||"default"===o||o===n.escapedName)return{kind:0,symbol:r}}();function o(){var o;const{parent:s}=e,l=s.parent;if(n.exportSymbol)return 211===s.kind?(null==(o=n.declarations)?void 0:o.some((e=>e===s)))&&TD(l)?d(l,!1):void 0:i(n.exportSymbol,a(s));{const o=function(e,n){const t=iC(e)?e:iD(e)?bl(e):void 0;return t?e.name!==n||$C(t.parent)?void 0:BD(t.parent.parent)?t.parent.parent:void 0:e}(s,e);if(o&&Bb(o,32)){if(hC(o)&&o.moduleReference===e){if(r)return;return{kind:0,symbol:t.getSymbolAtLocation(o.name)}}return i(n,a(o))}if(AC(s))return i(n,0);if(NC(s))return c(s);if(NC(l))return c(l);if(TD(s))return d(s,!0);if(TD(l))return d(l,!0);if(BM(s)||RM(s))return i(n,0)}function c(e){if(!e.symbol.parent)return;const t=e.isExportEquals?2:1;return{kind:1,symbol:n,exportInfo:{exportingModuleSymbol:e.symbol.parent,exportKind:t}}}function d(e,r){let o;switch(Eg(e)){case 1:o=0;break;case 2:o=2;break;default:return}const a=r?t.getSymbolAtLocation(OS(gn(e.left,wS))):n;return a&&i(a,o)}}function i(e,n){const r=uue(e,n,t);return r&&{kind:1,symbol:e,exportInfo:r}}function a(e){return Bb(e,2048)?1:0}}function uue(e,n,t){const r=e.parent;if(!r)return;const o=t.getMergedSymbol(r);return nQ(o)?{exportingModuleSymbol:o,exportKind:n}:void 0}function pue(e,n){return n.getMergedSymbol(fue(e).symbol)}function fue(e){if(213===e.kind)return e.getSourceFile();const{parent:n}=e;return 312===n.kind?n:(Tt.assert(268===n.kind),gn(n.parent,mue))}function mue(e){return 267===e.kind&&11===e.name.kind}function _ue(e){return 283===e.moduleReference.kind&&11===e.moduleReference.expression.kind}var hue,gue,yue,vue,bue=g({"src/services/importTracker.ts"(){Tge(),tue=(e=>(e[e.Named=0]="Named",e[e.Default=1]="Default",e[e.ExportEquals=2]="ExportEquals",e))(tue||{}),rue=(e=>(e[e.Import=0]="Import",e[e.Export=1]="Export",e))(rue||{})}});function Eue(e,n=1){return{kind:n,node:e.name||e,context:Tue(e)}}function Sue(e){return e&&void 0===e.kind}function Tue(e){if(Pu(e))return xue(e);if(e.parent){if(!Pu(e.parent)&&!NC(e.parent)){if(Yh(e)){const n=TD(e.parent)?e.parent:wS(e.parent)&&TD(e.parent.parent)&&e.parent.parent.left===e.parent?e.parent.parent:void 0;if(n&&0!==Eg(n))return xue(n)}if(WC(e.parent)||zC(e.parent))return e.parent.parent;if(FC(e.parent)||nC(e.parent)||Vc(e.parent))return e.parent;if(tp(e)){const n=zg(e);if(n){const e=Nl(n,(e=>Pu(e)||wu(e)||Ku(e)));return Pu(e)?xue(e):e}}const n=Nl(e,yN);return n?xue(n.parent):void 0}return e.parent.name===e||IN(e.parent)||NC(e.parent)||(id(e.parent)||iD(e.parent))&&e.parent.propertyName===e||90===e.kind&&Bb(e.parent,2080)?xue(e.parent):void 0}}function xue(e){if(e)switch(e.kind){case 260:return aC(e.parent)&&1===e.parent.declarations.length?BD(e.parent.parent)?e.parent.parent:vu(e.parent.parent)?xue(e.parent.parent):e.parent:e;case 208:return xue(e.parent.parent);case 276:return e.parent.parent.parent;case 281:case 274:return e.parent.parent;case 273:case 280:return e.parent;case 226:return VD(e.parent)?e.parent:e;case 250:case 249:return{start:e.initializer,end:e.expression};case 303:case 304:return G$(e.parent)?xue(Nl(e.parent,(e=>TD(e)||vu(e)))):e;case 255:return{start:D(e.getChildren(e.getSourceFile()),(e=>109===e.kind)),end:e.caseBlock};default:return e}}function Aue(e,n,t){if(!t)return;const r=Sue(t)?Gue(t.start,n,t.end):Gue(t,n);return r.start!==e.start||r.length!==e.length?{contextSpan:r}:void 0}function Rue(e,n,t,r,o){const i=a$(r,o),a={use:1},s=vue.getReferencedSymbolsForNode(o,i,e,t,n,a),l=e.getTypeChecker(),c=vue.getAdjustedNode(i,a),d=function(e){return 90===e.kind||!!Iy(e)||Ny(e)||137===e.kind&&IN(e.parent)}(c)?l.getSymbolAtLocation(c):void 0;return s&&s.length?Y(s,(({definition:e,references:t})=>e&&{definition:l.runWithCancellationToken(n,(n=>function(e,n,t){const r=(()=>{switch(e.type){case 0:{const{symbol:r}=e,{displayParts:o,kind:i}=Lue(r,n,t),a=o.map((e=>e.text)).join(""),s=r.declarations&&De(r.declarations);return{...Pue(s?jl(s)||s:t),name:a,kind:i,displayParts:o,context:xue(s)}}case 1:{const{node:n}=e;return{...Pue(n),name:n.text,kind:"label",displayParts:[zQ(n.text,17)]}}case 2:{const{node:n}=e,t=as(n.kind);return{...Pue(n),name:t,kind:"keyword",displayParts:[{text:t,kind:"keyword"}]}}case 3:{const{node:t}=e,r=n.getSymbolAtLocation(t),o=r&&wme.getSymbolDisplayPartsDocumentationAndSymbolKind(n,r,t.getSourceFile(),CY(t),t).displayParts||[qQ("this")];return{...Pue(t),name:"this",kind:"var",displayParts:o}}case 4:{const{node:n}=e;return{...Pue(n),name:n.text,kind:"var",displayParts:[zQ(xm(n),8)]}}case 5:return{textSpan:J$(e.reference),sourceFile:e.file,name:e.reference.fileName,kind:"string",displayParts:[zQ(`"${e.reference.fileName}"`,8)]};default:return Tt.assertNever(e)}})(),{sourceFile:o,textSpan:i,name:a,kind:s,displayParts:l,context:c}=r;return{containerKind:"",containerName:"",fileName:o.fileName,kind:s,name:a,textSpan:i,displayParts:l,...Aue(i,o,c)}}(e,n,i))),references:t.map((e=>function(e,n){const t=wue(e);return n?{...t,isDefinition:0!==e.kind&&Vue(e.node,n)}:t}(e,d)))})):void 0}function Iue(e,n,t,r,o){const i=a$(r,o);let a;const s=Nue(e,n,t,i,o);if(211===i.parent.kind||208===i.parent.kind||212===i.parent.kind||108===i.kind)a=s&&[...s];else if(s){const r=dn(s),o=new Map;for(;!r.isEmpty();){const i=r.dequeue();if(!PS(o,Hz(i.node)))continue;a=ye(a,i);const s=Nue(e,n,t,i.node,i.node.pos);s&&r.enqueue(...s)}}const l=e.getTypeChecker();return B(a,(e=>function(e,n){const t=Oue(e);if(0!==e.kind){const{node:r}=e;return{...t,...Wue(r,n)}}return{...t,kind:"",displayParts:[]}}(e,l)))}function Nue(e,n,t,r,o){if(312===r.kind)return;const i=e.getTypeChecker();if(304===r.parent.kind){const e=[];return vue.getReferenceEntriesForShorthandPropertyAssignment(r,i,(n=>e.push(Eue(n)))),e}if(108===r.kind||Rh(r.parent)){const e=i.getSymbolAtLocation(r);return e.valueDeclaration&&[Eue(e.valueDeclaration)]}return Cue(o,r,e,t,n,{implementations:!0,use:1})}function Due(e,n,t,r,o,i,a){return B(Mue(vue.getReferencedSymbolsForNode(o,r,e,t,n,i)),(n=>a(n,r,e.getTypeChecker())))}function Cue(e,n,t,r,o,i={},a=new Set(r.map((e=>e.fileName)))){return Mue(vue.getReferencedSymbolsForNode(e,n,t,r,o,i,a))}function Mue(e){return e&&H(e,(e=>e.references))}function Pue(e){const n=e.getSourceFile();return{sourceFile:n,textSpan:Gue(yN(e)?e.expression:e,n)}}function Lue(e,n,t){const r=vue.getIntersectingMeaningFromDeclarations(t,e),o=e.declarations&&De(e.declarations)||t,{displayParts:i,symbolKind:a}=wme.getSymbolDisplayPartsDocumentationAndSymbolKind(n,e,o.getSourceFile(),o,o,r);return{displayParts:i,kind:a}}function kue(e,n,t,r,o){return{...Oue(e),...r&&Fue(e,n,t,o)}}function wue(e){const n=Oue(e);if(0===e.kind)return{...n,isWriteAccess:!1};const{kind:t,node:r}=e;return{...n,isWriteAccess:jue(r),isInString:2===t||void 0}}function Oue(e){if(0===e.kind)return{textSpan:e.textSpan,fileName:e.fileName};{const n=e.node.getSourceFile(),t=Gue(e.node,n);return{textSpan:t,fileName:n.fileName,...Aue(t,n,e.context)}}}function Fue(e,n,t,r){if(0!==e.kind&&tN(n)){const{node:r,kind:o}=e,i=r.parent,a=n.text,s=ZC(i);if(s||SQ(i)&&i.name===r&&void 0===i.dotDotDotToken){const e={prefixText:a+": "},n={suffixText:": "+a};if(3===o)return e;if(4===o)return n;if(s){const t=i.parent;return sD(t)&&TD(t.parent)&&bg(t.parent.left)?e:n}return e}if(IC(i)&&!i.propertyName){return k((MC(n.parent)?t.getExportSpecifierLocalTargetSymbol(n.parent):t.getSymbolAtLocation(n)).declarations,i)?{prefixText:a+" as "}:xX}if(MC(i)&&!i.propertyName)return n===e.node||t.getSymbolAtLocation(n)===t.getSymbolAtLocation(e.node)?{prefixText:a+" as "}:{suffixText:" as "+a}}if(0!==e.kind&&FI(e.node)&&wS(e.node.parent)){const e=yQ(r);return{prefixText:e,suffixText:e}}return xX}function Wue(e,n){const t=n.getSymbolAtLocation(Pu(e)&&e.name?e.name:e);return t?Lue(t,n,e):210===e.kind?{kind:"interface",displayParts:[jQ(21),qQ("object literal"),jQ(22)]}:231===e.kind?{kind:"local class",displayParts:[jQ(21),qQ("anonymous local class"),jQ(22)]}:{kind:MY(e),displayParts:[]}}function zue(e){const n=Oue(e);if(0===e.kind)return{fileName:n.fileName,span:{textSpan:n.textSpan,kind:"reference"}};const t=jue(e.node),r={textSpan:n.textSpan,kind:t?"writtenReference":"reference",isInString:2===e.kind||void 0,...n.contextSpan&&{contextSpan:n.contextSpan}};return{fileName:n.fileName,span:r}}function Gue(e,n,t){let r=e.getStart(n),o=(t||e).getEnd();return tp(e)&&o-r>2&&(Tt.assert(void 0===t),r+=1,o-=1),269===(null==t?void 0:t.kind)&&(o=t.getFullStart()),ul(r,o)}function Bue(e){return 0===e.kind?e.textSpan:Gue(e.node,e.node.getSourceFile())}function jue(e){const n=Iy(e);return!!n&&function(e){if(33554432&e.flags)return!0;switch(e.kind){case 226:case 208:case 263:case 231:case 90:case 266:case 306:case 281:case 273:case 271:case 276:case 264:case 345:case 353:case 291:case 267:case 270:case 274:case 280:case 169:case 304:case 265:case 168:return!0;case 303:return!G$(e.parent);case 262:case 218:case 176:case 174:case 177:case 178:return!!e.body;case 260:case 172:return!!e.initializer||$C(e.parent);case 173:case 171:case 355:case 348:return!1;default:return Tt.failBadSyntaxKind(e)}}(n)||90===e.kind||vS(e)}function Vue(e,n){var t;if(!n)return!1;const r=Iy(e)||(90===e.kind?e.parent:Ny(e)||137===e.kind&&IN(e.parent)?e.parent.parent:void 0),o=r&&TD(r)?r.left:void 0;return!(!r||!(null==(t=n.declarations)?void 0:t.some((e=>e===r||e===o))))}var Uue=g({"src/services/findAllReferences.ts"(){Tge(),que(),hue=(e=>(e[e.Symbol=0]="Symbol",e[e.Label=1]="Label",e[e.Keyword=2]="Keyword",e[e.This=3]="This",e[e.String=4]="String",e[e.TripleSlashReference=5]="TripleSlashReference",e))(hue||{}),gue=(e=>(e[e.Span=0]="Span",e[e.Node=1]="Node",e[e.StringLiteral=2]="StringLiteral",e[e.SearchedLocalFoundProperty=3]="SearchedLocalFoundProperty",e[e.SearchedPropertyFoundLocal=4]="SearchedPropertyFoundLocal",e))(gue||{}),yue=(e=>(e[e.Other=0]="Other",e[e.References=1]="References",e[e.Rename=2]="Rename",e))(yue||{}),(e=>{function n(e,n){return 1===n.use?e=o$(e):2===n.use&&(e=i$(e)),e}function t(e,n,t){let r;const i=n.get(e.path)||o;for(const e of i)if(tH(e)){const n=t.getSourceFileByPath(e.file),o=oH(t,e);rH(o)&&(r=ye(r,{kind:0,fileName:n.fileName,textSpan:J$(o)}))}return r}function r(e,n,t){if(e.parent&&_C(e.parent)){const e=t.getAliasedSymbol(n),r=t.getMergedSymbol(e);if(e!==r)return r}}function i(e,n,t,r,o,i){const s=1536&e.flags&&e.declarations&&D(e.declarations,rM);if(!s)return;const c=e.exports.get("export="),u=l(n,e,!!c,t,i);if(!c||!i.has(s.fileName))return u;const p=n.getTypeChecker();return a(n,u,d(e=hS(c,p),void 0,t,i,p,r,o))}function a(e,...n){let t;for(const r of n)if(r&&r.length)if(t)for(const n of r){if(!n.definition||0!==n.definition.type){t.push(n);continue}const r=n.definition.symbol,o=M(t,(e=>!!e.definition&&0===e.definition.type&&e.definition.symbol===r));if(-1===o){t.push(n);continue}const i=t[o];t[o]={definition:i.definition,references:i.references.concat(n.references).sort(((n,t)=>{const r=s(e,n),o=s(e,t);if(r!==o)return wn(r,o);const i=Bue(n),a=Bue(t);return i.start!==a.start?wn(i.start,a.start):wn(i.length,a.length)}))}}else t=r;return t}function s(e,n){const t=0===n.kind?e.getSourceFile(n.fileName):n.node.getSourceFile();return e.getSourceFiles().indexOf(t)}function l(e,n,t,r,i){Tt.assert(!!n.valueDeclaration);const a=Y(sue(e,r,n),(e=>{if("import"===e.kind){const n=e.literal.parent;if(ZN(n)){const e=gn(n.parent,eD);if(t&&!e.qualifier)return}return Eue(e.literal)}if("implicit"===e.kind){return Eue(e.literal.text!==cp&&ik(e.referencingFile,(e=>2&e.transformFlags?OC(e)||FC(e)||GC(e)?e:void 0:"skip"))||e.referencingFile.statements[0]||e.referencingFile)}return{kind:0,fileName:e.referencingFile.fileName,textSpan:J$(e.ref)}}));if(n.declarations)for(const e of n.declarations)switch(e.kind){case 312:break;case 267:i.has(e.getSourceFile().fileName)&&a.push(Eue(e.name));break;default:Tt.assert(!!(33554432&n.flags),"Expected a module symbol to be declared by a SourceFile or ModuleDeclaration.")}const s=n.exports.get("export=");if(null==s?void 0:s.declarations)for(const e of s.declarations){const n=e.getSourceFile();if(i.has(n.fileName)){const t=TD(e)&&lD(e.left)?e.left.expression:NC(e)?Tt.checkDefined(JY(e,95,n)):jl(e)||e;a.push(Eue(t))}}return a.length?[{definition:{type:0,symbol:n},references:a}]:o}function c(e){return 148===e.kind&&YN(e.parent)&&148===e.parent.operator}function d(e,n,t,r,o,i,a){const s=n&&function(e,n,t,r){const{parent:o}=n;if(MC(o)&&r)return w(n,e,o,t);return T(e.declarations,(r=>{if(!r.parent){if(33554432&e.flags)return;Tt.fail(`Unexpected symbol at ${Tt.formatSyntaxKind(n.kind)}: ${Tt.formatSymbol(e)}`)}return WN(r.parent)&&UN(r.parent.parent)?t.getPropertyOfType(t.getTypeFromTypeNode(r.parent.parent),e.name):void 0}))}(e,n,o,!$(a))||e,l=n?q(n,s):7,c=[],d=new _(t,r,n?function(e){switch(e.kind){case 176:case 137:return 1;case 80:if(Md(e.parent))return Tt.assert(e.parent.name===e),2;default:return 0}}(n):0,o,i,l,a,c),p=$(a)&&s.declarations?D(s.declarations,MC):void 0;if(p)L(p.name,s,p,d.createSearch(n,e,void 0),d,!0,!0);else if(n&&90===n.kind&&"default"===s.escapedName&&s.parent)O(n,s,d),h(n,s,{exportingModuleSymbol:s.parent,exportKind:1},d);else{const e=d.createSearch(n,s,void 0,{allSearchSymbols:n?V(s,n,o,2===a.use,!!a.providePrefixAndSuffixTextForRename,!!a.implementations):[s]});u(s,d,e)}return c}function u(e,n,t){const r=function(e){const{declarations:n,flags:t,parent:r,valueDeclaration:o}=e;if(o&&(218===o.kind||231===o.kind))return o;if(!n)return;if(8196&t){const e=D(n,(e=>Gb(e,2)||md(e)));return e?jy(e,263):void 0}if(n.some(SQ))return;const i=r&&!(262144&e.flags);if(i&&(!nQ(r)||r.globalExports))return;let a;for(const e of n){const n=CY(e);if(a&&a!==n)return;if(!n||312===n.kind&&!T_(n))return;if(a=n,_D(a)){let e;for(;e=ty(a);)a=e}}return i?a.getSourceFile():a}(e);if(r)N(r,r.getSourceFile(),t,n,!(rM(r)&&!k(n.sourceFiles,r)));else for(const e of n.sourceFiles)n.cancellationToken.throwIfCancellationRequested(),v(e,t,n)}let p;var f;function m(e){if(!(33555968&e.flags))return;const n=e.declarations&&D(e.declarations,(e=>!rM(e)&&!pC(e)));return n&&n.symbol}e.getReferencedSymbolsForNode=function(e,s,u,p,f,m={},_=new Set(p.map((e=>e.fileName)))){var h,g;if(rM(s=n(s,m))){const n=upe.getReferenceAtPosition(s,e,u);if(!(null==n?void 0:n.file))return;const r=u.getTypeChecker().getMergedSymbol(n.file.symbol);if(r)return l(u,r,!1,p,_);const i=u.getFileIncludeReasons();if(!i)return;return[{definition:{type:5,reference:n.reference,file:s},references:t(n.file,i,u)||o}]}if(!m.implementations){const e=function(e,n,t){if(Q$(e.kind)){if(116===e.kind&&vD(e.parent))return;if(148===e.kind&&!c(e))return;return function(e,n,t,r){const o=H(e,(e=>(t.throwIfCancellationRequested(),Y(x(e,as(n),e),(e=>{if(e.kind===n&&(!r||r(e)))return Eue(e)})))));return o.length?[{definition:{type:2,node:o[0].node},references:o}]:void 0}(n,e.kind,t,148===e.kind?c:void 0)}if(L_(e.parent)&&e.parent.name===e)return function(e,n){const t=H(e,(e=>(n.throwIfCancellationRequested(),Y(x(e,"meta",e),(e=>{const n=e.parent;if(L_(n))return Eue(n)})))));return t.length?[{definition:{type:2,node:t[0].node},references:t}]:void 0}(n,t);if(dN(e)&&RN(e.parent))return[{definition:{type:2,node:e},references:[Eue(e)]}];if(vY(e)){const n=gY(e.parent,e.text);return n&&R(n.parent,n)}if(bY(e))return R(e.parent,e);if(PY(e))return function(e,n,t){let r=vh(e,!1,!1),o=256;switch(r.kind){case 174:case 173:if(oh(r)){o&=nE(r),r=r.parent;break}case 172:case 171:case 176:case 177:case 178:o&=nE(r),r=r.parent;break;case 312:if(uk(r)||j(e))return;case 262:case 218:break;default:return}const i=H(312===r.kind?n:[r.getSourceFile()],(e=>(t.throwIfCancellationRequested(),x(e,"this",rM(r)?e:r).filter((e=>{if(!PY(e))return!1;const n=vh(e,!1,!1);if(!Nu(n))return!1;switch(r.kind){case 218:case 262:return r.symbol===n.symbol;case 174:case 173:return oh(r)&&r.symbol===n.symbol;case 231:case 263:case 210:return n.parent&&Nu(n.parent)&&r.symbol===n.parent.symbol&&jb(n)===!!o;case 312:return 312===n.kind&&!uk(n)&&!j(e)}}))))).map((e=>Eue(e))),a=T(i,(e=>bN(e.node.parent)?e.node:void 0));return[{definition:{type:3,node:a||e},references:i}]}(e,n,t);if(108===e.kind)return function(e){let n=Th(e,!1);if(!n)return;let t=256;switch(n.kind){case 172:case 171:case 174:case 173:case 176:case 177:case 178:t&=nE(n),n=n.parent;break;default:return}const r=Y(x(n.getSourceFile(),"super",n),(e=>{if(108!==e.kind)return;const r=Th(e,!1);return r&&jb(r)===!!t&&r.parent.symbol===n.symbol?Eue(e):void 0}));return[{definition:{type:0,symbol:n.symbol},references:r}]}(e);return}(s,p,f);if(e)return e}const y=u.getTypeChecker(),v=y.getSymbolAtLocation(IN(s)&&s.parent.name||s);if(!v){if(!m.implementations&&tp(s)){if(EQ(s)){const e=u.getFileIncludeReasons(),n=null==(g=null==(h=u.getResolvedModuleFromModuleSpecifier(s))?void 0:h.resolvedModule)?void 0:g.resolvedFileName,r=n?u.getSourceFile(n):void 0;if(r)return[{definition:{type:4,node:s},references:t(r,e,u)||o}]}return function(e,n,t,r){const o=ZY(e,t),i=H(n,(n=>(r.throwIfCancellationRequested(),Y(x(n,e.text),(r=>{if(tp(r)&&r.text===e.text){if(!o)return jI(r)&&!$E(r,n)?void 0:Eue(r,2);{const e=ZY(r,t);if(o!==t.getStringType()&&(o===e||function(e,n){if(SN(e.parent))return n.getPropertyOfType(n.getTypeAtLocation(e.parent.parent),e.text)}(r,t)))return Eue(r,2)}}})))));return[{definition:{type:4,node:e},references:i}]}(s,p,y,f)}return}if("export="===v.escapedName)return l(u,v.parent,!1,p,_);const b=i(v,u,p,f,m,_);if(b&&!(33554432&v.flags))return b;const E=r(s,v,y),S=E&&i(E,u,p,f,m,_);return a(u,b,d(v,s,p,_,y,f,m),S)},e.getAdjustedNode=n,e.getReferencesForFileName=function(e,n,r,i=new Set(r.map((e=>e.fileName)))){var a,s;const c=null==(a=n.getSourceFile(e))?void 0:a.symbol;if(c)return(null==(s=l(n,c,!1,r,i)[0])?void 0:s.references)||o;const d=n.getFileIncludeReasons(),u=n.getSourceFile(e);return u&&d&&t(u,d,n)||o},(f=p||(p={}))[f.None=0]="None",f[f.Constructor=1]="Constructor",f[f.Class=2]="Class";class _{constructor(e,n,t,r,o,i,a,s){this.sourceFiles=e,this.sourceFilesSet=n,this.specialSearchKind=t,this.checker=r,this.cancellationToken=o,this.searchMeaning=i,this.options=a,this.result=s,this.inheritsFromCache=new Map,this.markSeenContainingTypeReference=tQ(),this.markSeenReExportRHS=tQ(),this.symbolIdToReferences=[],this.sourceFileToSeenSymbols=[]}includesSourceFile(e){return this.sourceFilesSet.has(e.fileName)}getImportSearches(e,n){return this.importTracker||(this.importTracker=iue(this.sourceFiles,this.sourceFilesSet,this.checker,this.cancellationToken)),this.importTracker(e,n,2===this.options.use)}createSearch(e,n,t,r={}){const{text:o=Bv(wl(kE(n)||m(n)||n)),allSearchSymbols:i=[n]}=r,a=Ml(o),s=this.options.implementations&&e?function(e,n,t){const r=xY(e)?e.parent:void 0,o=r&&t.getTypeAtLocation(r.expression),i=Y(o&&(o.isUnionOrIntersection()?o.types:o.symbol===n.parent?void 0:[o]),(e=>e.symbol&&96&e.symbol.flags?e.symbol:void 0));return 0===i.length?void 0:i}(e,n,this.checker):void 0;return{symbol:n,comingFrom:t,text:o,escapedText:a,parents:s,allSearchSymbols:i,includes:e=>k(i,e)}}referenceAdder(e){const n=Kz(e);let t=this.symbolIdToReferences[n];return t||(t=this.symbolIdToReferences[n]=[],this.result.push({definition:{type:0,symbol:e},references:t})),(e,n)=>t.push(Eue(e,n))}addStringOrCommentReference(e,n){this.result.push({definition:void 0,references:[{kind:0,fileName:e,textSpan:n}]})}markSearchedSymbols(e,n){const t=Hz(e),r=this.sourceFileToSeenSymbols[t]||(this.sourceFileToSeenSymbols[t]=new Set);let o=!1;for(const e of n)o=ee(r,Kz(e))||o;return o}}function h(e,n,t,r){const{importSearches:o,singleReferences:i,indirectUsers:a}=r.getImportSearches(n,t);if(i.length){const e=r.referenceAdder(n);for(const n of i)g(n,r)&&e(n)}for(const[e,n]of o)I(e.getSourceFile(),r.createSearch(e,n,1),r);if(a.length){let o;switch(t.exportKind){case 0:o=r.createSearch(e,n,1);break;case 1:o=2===r.options.use?void 0:r.createSearch(e,n,1,{text:"default"})}if(o)for(const e of a)v(e,o,r)}}function g(e,n){return!!C(e,n)&&(2!==n.options.use||!!tN(e)&&!(id(e.parent)&&"default"===e.escapedText))}function y(e,n){if(e.declarations)for(const t of e.declarations){const r=t.getSourceFile();I(r,n.createSearch(t,e,0),n,n.includesSourceFile(r))}}function v(e,n,t){void 0!==T7(e).get(n.escapedText)&&I(e,n,t)}function S(e,n,t,r,o=t){const i=gl(e.parent,e.parent.parent)?Me(n.getSymbolsOfParameterPropertyDeclaration(e.parent,e.text)):n.getSymbolAtLocation(e);if(i)for(const a of x(t,i.name,o)){if(!tN(a)||a===e||a.escapedText!==e.escapedText)continue;const t=n.getSymbolAtLocation(a);if(t===i||n.getShorthandAssignmentValueSymbol(a.parent)===i||MC(a.parent)&&w(a,t,a.parent,n)===i){const e=r(a);if(e)return e}}}function x(e,n,t=e){return Y(A(e,n,t),(n=>{const t=a$(e,n);return t===e?void 0:t}))}function A(e,n,t=e){const r=[];if(!n||!n.length)return r;const o=e.text,i=o.length,a=n.length;let s=o.indexOf(n,t.pos);for(;s>=0&&!(s>t.end);){const e=s+a;0!==s&&Ws(o.charCodeAt(s-1),99)||e!==i&&Ws(o.charCodeAt(e),99)||r.push(s),s=o.indexOf(n,s+a+1)}return r}function R(e,n){const t=e.getSourceFile(),r=n.text,o=Y(x(t,r,e),(e=>e===n||vY(e)&&gY(e,r)===n?Eue(e):void 0));return[{definition:{type:1,node:n},references:o}]}function I(e,n,t,r=!0){return t.cancellationToken.throwIfCancellationRequested(),N(e,e,n,t,r)}function N(e,n,t,r,o){if(r.markSearchedSymbols(n,t.allSearchSymbols))for(const i of A(n,t.text,e))P(n,i,t,r,o)}function C(e,n){return!!(rY(e)&n.searchMeaning)}function P(e,n,t,r,o){const i=a$(e,n);if(!function(e,n){switch(e.kind){case 81:if(lM(e.parent))return!0;case 80:return e.text.length===n.length;case 15:case 11:{const t=e;return(NY(t)||RY(e)||DY(e)||dD(e.parent)&&Sg(e.parent)&&e.parent.arguments[1]===e)&&t.text.length===n.length}case 9:return NY(e)&&e.text.length===n.length;case 90:return 7===n.length;default:return!1}}(i,t.text))return void(!r.options.implementations&&(r.options.findInStrings&&g$(e,n)||r.options.findInComments&&j$(e,n))&&r.addStringOrCommentReference(e.fileName,dl(n,t.text.length)));if(!C(i,r))return;let a=r.checker.getSymbolAtLocation(i);if(!a)return;const s=i.parent;if(IC(s)&&s.propertyName===i)return;if(MC(s))return Tt.assert(80===i.kind),void L(i,a,s,t,r,o);if(qc(s)&&s.isNameFirst&&s.typeExpression&&EM(s.typeExpression.type)&&s.typeExpression.type.jsDocPropertyTags&&b(s.typeExpression.type.jsDocPropertyTags))return void function(e,n,t,r){const o=r.referenceAdder(t.symbol);O(n,t.symbol,r),E(e,(e=>{gN(e.name)&&o(e.name.left)}))}(s.typeExpression.type.jsDocPropertyTags,i,t,r);const l=function(e,n,t,r){const{checker:o}=r;return U(n,t,o,!1,2!==r.options.use||!!r.options.providePrefixAndSuffixTextForRename,((t,r,o,i)=>(o&&K(n)!==K(o)&&(o=void 0),e.includes(o||r||t)?{symbol:!r||6&mS(t)?t:r,kind:i}:void 0)),(n=>!(e.parents&&!e.parents.some((e=>B(n.parent,e,r.inheritsFromCache,o))))))}(t,a,i,r);if(l){switch(r.specialSearchKind){case 0:o&&O(i,l,r);break;case 1:!function(e,n,t,r){aY(e)&&O(e,t.symbol,r);const o=()=>r.referenceAdder(t.symbol);if(Md(e.parent))Tt.assert(90===e.kind||e.parent.name===e),function(e,n,t){const r=F(e);if(r&&r.declarations)for(const e of r.declarations){const r=JY(e,137,n);Tt.assert(176===e.kind&&!!r),t(r)}e.exports&&e.exports.forEach((e=>{const n=e.valueDeclaration;if(n&&174===n.kind){const e=n.body;e&&X(e,110,(e=>{aY(e)&&t(e)}))}}))}(t.symbol,n,o());else{const n=_E(_Y(e).parent);n&&(function(e,n){const t=F(e.symbol);if(!t||!t.declarations)return;for(const e of t.declarations){Tt.assert(176===e.kind);const t=e.body;t&&X(t,108,(e=>{iY(e)&&n(e)}))}}(n,o()),function(e,n){if(function(e){return!!F(e.symbol)}(e))return;const t=e.symbol,r=n.createSearch(void 0,t,void 0);u(t,n,r)}(n,r))}}(i,e,t,r);break;case 2:!function(e,n,t){O(e,n.symbol,t);const r=e.parent;if(2===t.options.use||!Md(r))return;Tt.assert(r.name===e);const o=t.referenceAdder(n.symbol);for(const e of r.members)wd(e)&&jb(e)&&e.body&&e.body.forEachChild((function e(n){110===n.kind?o(n):Td(n)||Md(n)||n.forEachChild(e)}))}(i,t,r);break;default:Tt.assertNever(r.specialSearchKind)}Yh(i)&&iD(i.parent)&&rg(i.parent.parent.parent)&&(a=i.parent.symbol,!a)||function(e,n,t,r){const o=due(e,n,r.checker,1===t.comingFrom);if(!o)return;const{symbol:i}=o;0===o.kind?$(r.options)||y(i,r):h(e,i,o.exportInfo,r)}(i,a,t,r)}else!function({flags:e,valueDeclaration:n},t,r){const o=r.checker.getShorthandAssignmentValueSymbol(n),i=n&&jl(n);33554432&e||!i||!t.includes(o)||O(i,o,r)}(a,t,r)}function L(e,n,t,r,o,i,a){Tt.assert(!a||!!o.options.providePrefixAndSuffixTextForRename,"If alwaysGetReferences is true, then prefix/suffix text must be enabled");const{parent:s,propertyName:l,name:c}=t,d=s.parent,u=w(e,n,t,o.checker);if(a||r.includes(u)){if(l?e===l?(d.moduleSpecifier||p(),i&&2!==o.options.use&&o.markSeenReExportRHS(c)&&O(c,Tt.checkDefined(t.symbol),o)):o.markSeenReExportRHS(e)&&p():2===o.options.use&&"default"===c.escapedText||p(),!$(o.options)||a){const n="default"===e.escapedText||"default"===t.name.escapedText?1:0,r=Tt.checkDefined(t.symbol),i=uue(r,n,o.checker);i&&h(e,r,i,o)}if(1!==r.comingFrom&&d.moduleSpecifier&&!l&&!$(o.options)){const e=o.checker.getExportSpecifierLocalTargetSymbol(t);e&&y(e,o)}}function p(){i&&O(e,u,o)}}function w(e,n,t,r){return function(e,n){const{parent:t,propertyName:r,name:o}=n;return Tt.assert(r===e||o===e),r?r===e:!t.parent.moduleSpecifier}(e,t)&&r.getExportSpecifierLocalTargetSymbol(t)||n}function O(e,n,t){const{kind:r,symbol:o}="kind"in n?n:{kind:void 0,symbol:n};if(2===t.options.use&&90===e.kind)return;const i=t.referenceAdder(o);t.options.implementations?function(e,n,t){if(Ry(e)&&(r=e.parent,33554432&r.flags?!cC(r)&&!dC(r):X_(r)?$u(r):Ad(r)?r.body:Md(r)||Iu(r)))return void n(e);var r;if(80!==e.kind)return;304===e.parent.kind&&J(e,t.checker,n);const o=z(e);if(o)return void n(o);const i=Nl(e,(e=>!gN(e.parent)&&!Bd(e.parent)&&!Wd(e.parent))),a=i.parent;if(Yu(a)&&a.type===i&&t.markSeenContainingTypeReference(a))if($u(a))s(a.initializer);else if(Td(a)&&a.body){const e=a.body;241===e.kind?H_(e,(e=>{e.expression&&s(e.expression)})):s(e)}else pu(a)&&s(a.expression);function s(e){G(e)&&n(e)}}(e,i,t):i(e,r)}function F(e){return e.members&&e.members.get("__constructor")}function z(e){return tN(e)||lD(e)?z(e.parent):CD(e)?hn(e.parent.parent,pt(Md,cC)):void 0}function G(e){switch(e.kind){case 217:return G(e.expression);case 219:case 218:case 210:case 231:case 209:return!0;default:return!1}}function B(e,n,t,r){if(e===n)return!0;const o=Kz(e)+","+Kz(n),i=t.get(o);if(void 0!==i)return i;t.set(o,!1);const a=!!e.declarations&&e.declarations.some((e=>zy(e).some((e=>{const o=r.getTypeAtLocation(e);return!!o&&!!o.symbol&&B(o.symbol,n,t,r)}))));return t.set(o,a),a}function j(e){return 80===e.kind&&169===e.parent.kind&&e.parent.name===e}function V(e,n,t,r,o,i){const a=[];return U(e,n,t,r,!(r&&o),((n,t,r)=>{r&&K(e)!==K(r)&&(r=void 0),a.push(r||t||n)}),(()=>!i)),a}function U(e,n,t,o,i,a,s){const l=x7(n);if(l){const e=t.getShorthandAssignmentValueSymbol(n.parent);if(e&&o)return a(e,void 0,void 0,3);const r=t.getContextualType(l.parent),i=r&&T(A7(l,t,r,!0),(e=>p(e,4)));if(i)return i;const s=function(e,n){return G$(e.parent.parent)?n.getPropertySymbolOfDestructuringAssignment(e):void 0}(n,t),c=s&&a(s,void 0,void 0,4);if(c)return c;const d=e&&a(e,void 0,void 0,3);if(d)return d}const c=r(n,e,t);if(c){const e=a(c,void 0,void 0,1);if(e)return e}const d=p(e);if(d)return d;if(e.valueDeclaration&&gl(e.valueDeclaration,e.valueDeclaration.parent)){const n=t.getSymbolsOfParameterPropertyDeclaration(gn(e.valueDeclaration,bN),e.name);return Tt.assert(2===n.length&&!!(1&n[0].flags)&&!!(4&n[1].flags)),p(1&e.flags?n[1]:n[0])}const u=Df(e,281);if(!o||u&&!u.propertyName){const e=u&&t.getExportSpecifierLocalTargetSymbol(u);if(e){const n=a(e,void 0,void 0,1);if(n)return n}}if(!o){let r;return r=i?SQ(n.parent)?TQ(t,n.parent):void 0:f(e,t),r&&p(r,4)}Tt.assert(o);if(i){const n=f(e,t);return n&&p(n,4)}function p(e,n){return T(t.getRootSymbols(e),(r=>a(e,r,void 0,n)||(r.parent&&96&r.parent.flags&&s(r)?function(e,n,t,r){const o=new Map;return i(e);function i(e){if(96&e.flags&&PS(o,Kz(e)))return T(e.declarations,(e=>T(zy(e),(e=>{const o=t.getTypeAtLocation(e),a=o&&o.symbol&&t.getPropertyOfType(o,n);return o&&a&&(T(t.getRootSymbols(a),r)||i(o.symbol))}))))}}(r.parent,r.name,t,(t=>a(e,r,t,n))):void 0)))}function f(e,n){const t=Df(e,208);if(t&&SQ(t))return TQ(n,t)}}function K(e){if(!e.valueDeclaration)return!1;return!!(256&Zb(e.valueDeclaration))}function q(e,n){let t=rY(e);const{declarations:r}=n;if(r){let e;do{e=t;for(const e of r){const n=tY(e);n&t&&(t|=n)}}while(t!==e)}return t}function J(e,n,t){const r=n.getSymbolAtLocation(e),o=n.getShorthandAssignmentValueSymbol(r.valueDeclaration);if(o)for(const e of o.getDeclarations())1&tY(e)&&t(e)}function X(e,n,t){ok(e,(e=>{e.kind===n&&t(e),X(e,n,t)}))}function $(e){return 2===e.use&&e.providePrefixAndSuffixTextForRename}e.eachExportReference=function(e,n,t,r,o,i,a,s){const l=iue(e,new Set(e.map((e=>e.fileName))),n,t),{importSearches:c,indirectUsers:d,singleReferences:u}=l(r,{exportKind:a?1:0,exportingModuleSymbol:o},!1);for(const[e]of c)s(e);for(const e of u)tN(e)&&eD(e.parent)&&s(e);for(const e of d)for(const t of x(e,a?"default":i)){const e=n.getSymbolAtLocation(t),o=oe(null==e?void 0:e.declarations,(e=>!!hn(e,NC)));!tN(t)||id(t.parent)||e!==r&&!o||s(t)}},e.isSymbolReferencedInFile=function(e,n,t,r=t){return S(e,n,t,(()=>!0),r)||!1},e.eachSymbolReferenceInFile=S,e.getTopMostDeclarationNamesInFile=function(e,n){return W(x(n,e),(e=>!!Iy(e))).reduce(((e,n)=>{const t=function(e){let n=0;for(;e;)e=CY(e),n++;return n}(n);return oe(e.declarationNames)&&t!==e.depth?t<e.depth&&(e.declarationNames=[n],e.depth=t):(e.declarationNames.push(n),e.depth=t),e}),{depth:1/0,declarationNames:[]}).declarationNames},e.someSignatureUsage=function(e,n,t,r){if(!e.name||!tN(e.name))return!1;const o=Tt.checkDefined(t.getSymbolAtLocation(e.name));for(const i of n)for(const n of x(i,o.name)){if(!tN(n)||n===e.name||n.escapedText!==e.name.escapedText)continue;const i=_Y(n),a=dD(i.parent)&&i.parent.expression===i?i.parent:void 0,s=t.getSymbolAtLocation(n);if(s&&t.getRootSymbols(s).some((e=>e===o))&&r(n,a))return!0}return!1},e.getIntersectingMeaningFromDeclarations=q,e.getReferenceEntriesForShorthandPropertyAssignment=J})(vue||(vue={}))}}),Hue={};y(Hue,{Core:()=>vue,DefinitionKind:()=>hue,EntryKind:()=>gue,ExportKind:()=>tue,FindReferencesUse:()=>yue,ImportExport:()=>rue,createImportTracker:()=>iue,findModuleReferences:()=>sue,findReferenceOrRenameEntries:()=>Due,findReferencedSymbols:()=>Rue,getContextNode:()=>xue,getExportInfo:()=>uue,getImplementationsAtPosition:()=>Iue,getImportOrExportSymbol:()=>due,getReferenceEntriesForNode:()=>Cue,getTextSpanOfEntry:()=>Bue,isContextWithStartAndEndNode:()=>Sue,isDeclarationOfSymbol:()=>Vue,isWriteAccessForReference:()=>jue,nodeEntry:()=>Eue,toContextSpan:()=>Aue,toHighlightSpan:()=>zue,toReferenceEntry:()=>wue,toRenameLocation:()=>kue});var Kue,que=g({"src/services/_namespaces/ts.FindAllReferences.ts"(){bue(),Uue()}});function Jue(e,n,t,r,i){var a;const s=Yue(n,t,e),l=s&&[(c=s.reference.fileName,d=s.fileName,u=s.unverified,{fileName:d,textSpan:ul(0,0),kind:"script",name:c,containerName:void 0,containerKind:void 0,unverified:u})]||o;var c,d,u;if(null==s?void 0:s.file)return l;const p=a$(n,t);if(p===n)return;const{parent:f}=p,m=e.getTypeChecker();if(164===p.kind||tN(p)&&MM(f)&&f.tagName===p)return function(e,n){const t=Nl(n,Cd);if(!t||!t.name)return;const r=Nl(t,Md);if(!r)return;const o=Oy(r);if(!o)return;const i=Ty(o.expression),a=ND(i)?i.symbol:e.getSymbolAtLocation(i);if(!a)return;const s=Pl(l_(t.name)),l=Vb(t)?e.getPropertyOfType(e.getTypeOfSymbol(a),s):e.getPropertyOfType(e.getDeclaredTypeOfSymbol(a),s);if(!l)return;return rpe(e,l,n)}(m,p)||o;if(vY(p)){const e=gY(p.parent,p.text);return e?[ipe(m,e,"label",p.text,void 0)]:void 0}switch(p.kind){case 107:const e=Nl(p.parent,(e=>RN(e)?"quit":Ad(e)));return e?[lpe(m,e)]:void 0;case 90:if(!XC(p.parent))break;case 84:const t=Nl(p.parent,eC);if(t)return[ape(t,n)]}if(135===p.kind){const e=Nl(p,(e=>Ad(e)));return e&&oe(e.modifiers,(e=>134===e.kind))?[lpe(m,e)]:void 0}if(127===p.kind){const e=Nl(p,(e=>Ad(e)));return e&&e.asteriskToken?[lpe(m,e)]:void 0}if(dN(p)&&RN(p.parent)){const e=p.parent.parent,{symbol:n,failedAliasResolution:t}=tpe(e,m,i),r=W(e.members,RN),o=n?m.symbolToString(n,e):"",a=p.getSourceFile();return B(r,(e=>{let{pos:n}=JE(e);return n=Ts(a.text,n),ipe(m,e,"constructor","static {}",o,!1,t,{start:n,length:6})}))}let{symbol:_,failedAliasResolution:h}=tpe(p,m,i),g=p;if(r&&h){const e=E([p,...(null==_?void 0:_.declarations)||o],(e=>Nl(e,$m))),n=e&&Fg(e);n&&(({symbol:_,failedAliasResolution:h}=tpe(n,m,i)),g=n)}if(!_&&EQ(g)){const n=null==(a=e.getResolvedModuleFromModuleSpecifier(g))?void 0:a.resolvedModule;if(n)return[{name:g.text,fileName:n.resolvedFileName,containerName:void 0,containerKind:void 0,kind:"script",textSpan:dl(0,0),failedAliasResolution:h,isAmbient:_k(n.resolvedFileName),unverified:g!==p}]}if(!_)return ae(l,function(e,n){return Y(n.getIndexInfosAtLocation(e),(e=>e.declaration&&lpe(n,e.declaration)))}(p,m));if(r&&N(_.declarations,(e=>e.getSourceFile().fileName===n.fileName)))return;const y=function(e,n){const t=function(e){const n=Nl(e,(e=>!xY(e))),t=null==n?void 0:n.parent;return t&&tu(t)&&Mh(t)===n?t:void 0}(n),r=t&&e.getResolvedSignature(t);return hn(r&&r.declaration,(e=>Td(e)&&!wN(e)))}(m,p);if(y&&(!ju(p.parent)||!function(e){switch(e.kind){case 176:case 185:case 180:return!0;default:return!1}}(y))){const e=lpe(m,y,h);if(m.getRootSymbols(_).some((e=>function(e,n){var t;return e===n.symbol||e===n.symbol.parent||gE(n.parent)||!tu(n.parent)&&e===(null==(t=hn(n.parent,Nu))?void 0:t.symbol)}(e,y))))return[e];{const n=rpe(m,_,p,h,y)||o;return 108===p.kind?[e,...n]:[...n,e]}}if(304===p.parent.kind){const e=m.getShorthandAssignmentValueSymbol(_.valueDeclaration);return ae((null==e?void 0:e.declarations)?e.declarations.map((n=>ope(n,m,e,p,!1,h))):o,Xue(m,p))}if(Ed(p)&&iD(f)&&rD(f.parent)&&p===(f.propertyName||f.name)){const e=aQ(p),n=m.getTypeAtLocation(f.parent);return void 0===e?o:H(n.isUnion()?n.types:[n],(n=>{const t=n.getProperty(e);return t&&rpe(m,t,p)}))}const v=Xue(m,p);return ae(l,v.length?v:rpe(m,_,p,h))}function Xue(e,n){const t=x7(n);if(t){const r=t&&e.getContextualType(t.parent);if(r)return H(A7(t,e,r,!1),(t=>rpe(e,t,n)))}return o}function Yue(e,n,t){var r,o;const i=cpe(e.referencedFiles,n);if(i){const n=t.getSourceFileFromReference(e,i);return n&&{reference:i,fileName:n.fileName,file:n,unverified:!1}}const a=cpe(e.typeReferenceDirectives,n);if(a){const n=null==(r=t.getResolvedTypeReferenceDirectives().get(a.fileName,a.resolutionMode||e.impliedNodeFormat))?void 0:r.resolvedTypeReferenceDirective,o=n&&t.getSourceFile(n.resolvedFileName);return o&&{reference:a,fileName:o.fileName,file:o,unverified:!1}}const s=cpe(e.libReferenceDirectives,n);if(s){const e=t.getLibFileFromReference(s);return e&&{reference:s,fileName:e.fileName,file:e,unverified:!1}}if(e.imports.length||e.moduleAugmentations.length){const r=s$(e,n);let i;if(EQ(r)&&Xs(r.text)&&(i=t.getResolvedModuleFromModuleSpecifier(r))){const n=null==(o=i.resolvedModule)?void 0:o.resolvedFileName,a=n||pa(ra(e.fileName),r.text);return{file:t.getSourceFile(a),fileName:a,reference:{pos:r.getStart(),end:r.getEnd(),fileName:r.text},unverified:!n}}}}function $ue(e,n){if(!n.aliasSymbol)return!1;const t=n.aliasSymbol.name;if(!Kue.has(t))return!1;const r=e.resolveName(t,void 0,788968,!1);return!!r&&r===n.aliasSymbol}function Que(e,n,t,r){var o,i;if(4&IS(n)&&function(e,n){const t=n.symbol.name;if(!Kue.has(t))return!1;const r=e.resolveName(t,void 0,788968,!1);return!!r&&r===n.target.symbol}(e,n))return epe(e.getTypeArguments(n)[0],e,t,r);if($ue(e,n)&&n.aliasTypeArguments)return epe(n.aliasTypeArguments[0],e,t,r);if(32&IS(n)&&n.target&&$ue(e,n.target)){const a=null==(i=null==(o=n.aliasSymbol)?void 0:o.declarations)?void 0:i[0];if(a&&dC(a)&&kN(a.type)&&a.type.typeArguments)return epe(e.getTypeAtLocation(a.type.typeArguments[0]),e,t,r)}return[]}function Zue(e,n,t){const r=a$(n,t);if(r===n)return;if(L_(r.parent)&&r.parent.name===r)return epe(e.getTypeAtLocation(r.parent),e,r.parent,!1);const{symbol:o,failedAliasResolution:i}=tpe(r,e,!1);if(!o)return;const a=e.getTypeOfSymbolAtLocation(o,r),s=function(e,n,t){if(n.symbol===e||e.valueDeclaration&&n.symbol&&iC(e.valueDeclaration)&&e.valueDeclaration.initializer===n.symbol.valueDeclaration){const e=n.getCallSignatures();if(1===e.length)return t.getReturnTypeOfSignature(Me(e))}return}(o,a,e),l=s&&epe(s,e,r,i),[c,d]=l&&0!==l.length?[s,l]:[a,epe(a,e,r,i)];return d.length?[...Que(e,c,r,i),...d]:!(111551&o.flags)&&788968&o.flags?rpe(e,hS(o,e),r,i):void 0}function epe(e,n,t,r){return H(!e.isUnion()||32&e.flags?[e]:e.types,(e=>e.symbol&&rpe(n,e.symbol,t,r)))}function npe(e,n,t){const r=Jue(e,n,t);if(!r||0===r.length)return;const o=cpe(n.referencedFiles,t)||cpe(n.typeReferenceDirectives,t)||cpe(n.libReferenceDirectives,t);if(o)return{definitions:r,textSpan:J$(o)};const i=a$(n,t);return{definitions:r,textSpan:dl(i.getStart(),i.getWidth())}}function tpe(e,n,t){const r=n.getSymbolAtLocation(e);let o=!1;if((null==r?void 0:r.declarations)&&2097152&r.flags&&!t&&function(e,n){if(80!==e.kind)return!1;if(e.parent===n)return!0;if(274===n.kind)return!1;return!0}(e,r.declarations[0])){const e=n.getAliasedSymbol(r);if(e.declarations)return{symbol:e};o=!0}return{symbol:r,failedAliasResolution:o}}function rpe(e,n,t,r,o){const i=W(n.declarations,(e=>e!==o)),a=W(i,(e=>!function(e){if(!cg(e))return!1;const n=Nl(e,(e=>!!gE(e)||!cg(e)&&"quit"));return!!n&&5===Eg(n)}(e))),s=oe(a)?a:i;return function(){if(32&n.flags&&!(19&n.flags)&&(aY(t)||137===t.kind)){return l((D(i,Md)||Tt.fail("Expected declaration to have at least one class-like declaration")).members,!0)}}()||(sY(t)||IY(t)?l(i,!1):void 0)||B(s,(o=>ope(o,e,n,t,!1,r)));function l(o,i){if(!o)return;const a=o.filter(i?IN:Td),s=a.filter((e=>!!e.body));return a.length?0!==s.length?s.map((r=>ope(r,e,n,t))):[ope(ke(a),e,n,t,!1,r)]:void 0}}function ope(e,n,t,r,o,i){const a=n.symbolToString(t),s=wme.getSymbolKind(n,t,r),l=t.parent?n.symbolToString(t.parent,r):"";return ipe(n,e,s,a,l,o,i)}function ipe(e,n,t,r,o,i,a,s){const l=n.getSourceFile();if(!s){s=H$(jl(n)||n,l)}return{fileName:l.fileName,textSpan:s,kind:t,name:r,containerKind:void 0,containerName:o,...Hue.toContextSpan(s,l,Hue.getContextNode(n)),isLocal:!spe(e,n),isAmbient:!!(33554432&n.flags),unverified:i,failedAliasResolution:a}}function ape(e,n){const t=Hue.getContextNode(e),r=H$(Sue(t)?t.start:t,n);return{fileName:n.fileName,textSpan:r,kind:"keyword",name:"switch",containerKind:void 0,containerName:"",...Hue.toContextSpan(r,n,t),isLocal:!0,isAmbient:!1,unverified:!1,failedAliasResolution:void 0}}function spe(e,n){if(e.isDeclarationVisible(n))return!0;if(!n.parent)return!1;if($u(n.parent)&&n.parent.initializer===n)return spe(e,n.parent);switch(n.kind){case 172:case 177:case 178:case 174:if(Gb(n,2))return!1;case 176:case 303:case 304:case 210:case 231:case 219:case 218:return spe(e,n.parent);default:return!1}}function lpe(e,n,t){return ope(n,e,n.symbol,n,!1,t)}function cpe(e,n){return D(e,(e=>nl(e,n)))}var dpe=g({"src/services/goToDefinition.ts"(){Tge(),que(),Kue=new Set(["Array","ArrayLike","ReadonlyArray","Promise","PromiseLike","Iterable","IterableIterator","AsyncIterable","Set","WeakSet","ReadonlySet","Map","WeakMap","ReadonlyMap","Partial","Required","Readonly","Pick","Omit"])}}),upe={};y(upe,{createDefinitionInfo:()=>ope,findReferenceInPosition:()=>cpe,getDefinitionAndBoundSpan:()=>npe,getDefinitionAtPosition:()=>Jue,getReferenceAtPosition:()=>Yue,getTypeDefinitionAtPosition:()=>Zue});var ppe,fpe=g({"src/services/_namespaces/ts.GoToDefinition.ts"(){dpe()}});function mpe(e){return"literals"===e.includeInlayParameterNameHints}function _pe(e){return!0===e.interactiveInlayHints}function hpe(e){const{file:n,program:t,span:r,cancellationToken:o,preferences:i}=e,a=n.text,s=t.getCompilerOptions(),l=gQ(n,i),c=t.getTypeChecker(),d=[];return function e(t){if(!t||0===t.getFullWidth())return;switch(t.kind){case 267:case 263:case 264:case 262:case 231:case 218:case 174:case 219:o.throwIfCancellationRequested()}if(!al(r,t.pos,t.getFullWidth()))return;if(Bd(t)&&!CD(t))return;i.includeInlayVariableTypeHints&&iC(t)||i.includeInlayPropertyDeclarationTypeHints&&TN(t)?m(t):i.includeInlayEnumMemberValueHints&&nM(t)?function(e){if(e.initializer)return;const n=c.getConstantValue(e);void 0!==n&&(t=n.toString(),r=e.end,d.push({text:`= ${t}`,position:r,kind:"Enum",whitespaceBefore:!0}));var t,r}(t):function(e){return"literals"===e.includeInlayParameterNameHints||"all"===e.includeInlayParameterNameHints}(i)&&(dD(t)||uD(t))?function(e){const n=e.arguments;if(!n||!n.length)return;const t=[],r=c.getResolvedSignatureForSignatureHelp(e,t);if(!r||!t.length)return;let o=0;for(const e of n){const n=Ty(e);if(mpe(i)&&!g(n)){o++;continue}let t=0;if(ID(n)){const e=c.getTypeAtLocation(n.expression);if(c.isTupleType(e)){const{elementFlags:n,fixedLength:r}=e.target;if(0===r)continue;const o=M(n,(e=>!(1&e)));(o<0?r:o)>0&&(t=o<0?r:o)}}const a=c.getParameterIdentifierInfoAtPosition(r,o);if(o+=t||1,a){const{parameter:t,parameterName:r,isRestParameter:o}=a;if(!(i.includeInlayParameterNameHintsWhenArgumentMatchesName||!_(n,r))&&!o)continue;const s=Pl(r);if(h(n,s))continue;u(s,t,e.getStart(),o)}}}(t):(i.includeInlayFunctionParameterTypeHints&&Ad(t)&&$x(t)&&function(e){const n=c.getSignatureFromDeclaration(e);if(!n)return;for(let t=0;t<e.parameters.length&&t<n.parameters.length;++t){const r=e.parameters[t];if(!b(r))continue;if(Ab(r))continue;const o=y(n.parameters[t]);o&&p(o,r.questionToken?r.questionToken.end:r.name.end)}}(t),i.includeInlayFunctionLikeReturnTypeHints&&function(e){return hD(e)||_D(e)||sC(e)||AN(e)||NN(e)}(t)&&function(e){if(hD(e)&&!JY(e,21,n))return;if(Ib(e)||!e.body)return;const t=c.getSignatureFromDeclaration(e);if(!t)return;const r=c.getReturnTypeOfSignature(t);if(f(r))return;const o=v(r);o&&p(o,function(e){const t=JY(e,22,n);if(t)return t.end;return e.parameters.end}(e))}(t));return ok(t,e)}(n),d;function u(e,n,t,r){let o,a=`${r?"...":""}${e}`;_pe(i)?(o=[E(a,n),{text:":"}],a=""):a+=":",d.push({text:a,position:t,kind:"Parameter",whitespaceAfter:!0,displayParts:o})}function p(e,n){d.push({text:"string"==typeof e?`: ${e}`:"",displayParts:"string"==typeof e?void 0:[{text:": "},...e],position:n,kind:"Type",whitespaceBefore:!0})}function f(e){return e.symbol&&1536&e.symbol.flags}function m(e){if(!e.initializer||Vd(e.name)||iC(e)&&!b(e))return;if(Ab(e))return;const n=c.getTypeAtLocation(e);if(f(n))return;const t=v(n);if(t){const n="string"==typeof t?t:t.map((e=>e.text)).join("");if(!1===i.includeInlayVariableTypeHintsWhenTypeMatchesName&&Pn(e.name.getText(),n))return;p(t,e.name.end)}}function _(e,n){return tN(e)?e.text===n:!!lD(e)&&e.name.text===n}function h(e,t){if(!zs(t,s.target,_T(n.scriptKind)))return!1;const r=ks(a,e.pos);if(!(null==r?void 0:r.length))return!1;const o=ppe(t);return oe(r,(e=>o.test(a.substring(e.pos,e.end))))}function g(e){switch(e.kind){case 224:{const n=e.operand;return ed(n)||tN(n)&&Qx(n.escapedText)}case 112:case 97:case 106:case 15:case 228:return!0;case 80:{const n=e.escapedText;return function(e){return"undefined"===e}(n)||Qx(n)}}return ed(e)}function y(e){const n=e.valueDeclaration;if(!n||!bN(n))return;const t=c.getTypeOfSymbolAtLocation(e,n);return f(t)?void 0:v(t)}function v(e){if(!_pe(i))return function(e){const t=hV();return Bf((r=>{const o=c.typeToTypeNode(e,void 0,71286784);Tt.assertIsDefined(o,"should always get typenode"),t.writeNode(4,o,n,r)}))}(e);const t=c.typeToTypeNode(e,void 0,71286784);Tt.assertIsDefined(t,"should always get typenode");const r=[];return o(t),r;function o(e){var n,t;if(!e)return;const i=as(e.kind);if(i)r.push({text:i});else if(ed(e))r.push({text:d(e)});else switch(e.kind){case 80:Tt.assertNode(e,tN);const i=Ll(e),l=e.symbol&&e.symbol.declarations&&e.symbol.declarations.length&&jl(e.symbol.declarations[0]);l?r.push(E(i,l)):r.push({text:i});break;case 166:Tt.assertNode(e,gN),o(e.left),r.push({text:"."}),o(e.right);break;case 182:Tt.assertNode(e,LN),e.assertsModifier&&r.push({text:"asserts "}),o(e.parameterName),e.type&&(r.push({text:" is "}),o(e.type));break;case 183:Tt.assertNode(e,kN),o(e.typeName),e.typeArguments&&(r.push({text:"<"}),s(e.typeArguments,", "),r.push({text:">"}));break;case 168:Tt.assertNode(e,vN),e.modifiers&&s(e.modifiers," "),o(e.name),e.constraint&&(r.push({text:" extends "}),o(e.constraint)),e.default&&(r.push({text:" = "}),o(e.default));break;case 169:Tt.assertNode(e,bN),e.modifiers&&s(e.modifiers," "),e.dotDotDotToken&&r.push({text:"..."}),o(e.name),e.questionToken&&r.push({text:"?"}),e.type&&(r.push({text:": "}),o(e.type));break;case 185:Tt.assertNode(e,ON),r.push({text:"new "}),a(e),r.push({text:" => "}),o(e.type);break;case 186:Tt.assertNode(e,FN),r.push({text:"typeof "}),o(e.exprName),e.typeArguments&&(r.push({text:"<"}),s(e.typeArguments,", "),r.push({text:">"}));break;case 187:Tt.assertNode(e,WN),r.push({text:"{"}),e.members.length&&(r.push({text:" "}),s(e.members,"; "),r.push({text:" "})),r.push({text:"}"});break;case 188:Tt.assertNode(e,zN),o(e.elementType),r.push({text:"[]"});break;case 189:Tt.assertNode(e,GN),r.push({text:"["}),s(e.elements,", "),r.push({text:"]"});break;case 202:Tt.assertNode(e,BN),e.dotDotDotToken&&r.push({text:"..."}),o(e.name),e.questionToken&&r.push({text:"?"}),r.push({text:": "}),o(e.type);break;case 190:Tt.assertNode(e,jN),o(e.type),r.push({text:"?"});break;case 191:Tt.assertNode(e,VN),r.push({text:"..."}),o(e.type);break;case 192:Tt.assertNode(e,UN),s(e.types," | ");break;case 193:Tt.assertNode(e,HN),s(e.types," & ");break;case 194:Tt.assertNode(e,KN),o(e.checkType),r.push({text:" extends "}),o(e.extendsType),r.push({text:" ? "}),o(e.trueType),r.push({text:" : "}),o(e.falseType);break;case 195:Tt.assertNode(e,qN),r.push({text:"infer "}),o(e.typeParameter);break;case 196:Tt.assertNode(e,JN),r.push({text:"("}),o(e.type),r.push({text:")"});break;case 198:Tt.assertNode(e,YN),r.push({text:`${as(e.operator)} `}),o(e.type);break;case 199:Tt.assertNode(e,$N),o(e.objectType),r.push({text:"["}),o(e.indexType),r.push({text:"]"});break;case 200:Tt.assertNode(e,QN),r.push({text:"{ "}),e.readonlyToken&&(40===e.readonlyToken.kind?r.push({text:"+"}):41===e.readonlyToken.kind&&r.push({text:"-"}),r.push({text:"readonly "})),r.push({text:"["}),o(e.typeParameter),e.nameType&&(r.push({text:" as "}),o(e.nameType)),r.push({text:"]"}),e.questionToken&&(40===e.questionToken.kind?r.push({text:"+"}):41===e.questionToken.kind&&r.push({text:"-"}),r.push({text:"?"})),r.push({text:": "}),e.type&&o(e.type),r.push({text:"; }"});break;case 201:Tt.assertNode(e,ZN),o(e.literal);break;case 184:Tt.assertNode(e,wN),a(e),r.push({text:" => "}),o(e.type);break;case 205:Tt.assertNode(e,eD),e.isTypeOf&&r.push({text:"typeof "}),r.push({text:"import("}),o(e.argument),e.assertions&&(r.push({text:", { assert: "}),s(e.assertions.assertClause.elements,", "),r.push({text:" }"})),r.push({text:")"}),e.qualifier&&(r.push({text:"."}),o(e.qualifier)),e.typeArguments&&(r.push({text:"<"}),s(e.typeArguments,", "),r.push({text:">"}));break;case 171:Tt.assertNode(e,SN),(null==(n=e.modifiers)?void 0:n.length)&&(s(e.modifiers," "),r.push({text:" "})),o(e.name),e.questionToken&&r.push({text:"?"}),e.type&&(r.push({text:": "}),o(e.type));break;case 181:Tt.assertNode(e,PN),r.push({text:"["}),s(e.parameters,", "),r.push({text:"]"}),e.type&&(r.push({text:": "}),o(e.type));break;case 173:Tt.assertNode(e,xN),(null==(t=e.modifiers)?void 0:t.length)&&(s(e.modifiers," "),r.push({text:" "})),o(e.name),e.questionToken&&r.push({text:"?"}),a(e),e.type&&(r.push({text:": "}),o(e.type));break;case 179:Tt.assertNode(e,CN),a(e),e.type&&(r.push({text:": "}),o(e.type));break;case 207:Tt.assertNode(e,oD),r.push({text:"["}),s(e.elements,", "),r.push({text:"]"});break;case 206:Tt.assertNode(e,rD),r.push({text:"{"}),e.elements.length&&(r.push({text:" "}),s(e.elements,", "),r.push({text:" "})),r.push({text:"}"});break;case 208:Tt.assertNode(e,iD),o(e.name);break;case 224:Tt.assertNode(e,ED),r.push({text:as(e.operator)}),o(e.operand);break;case 203:Tt.assertNode(e,tD),o(e.head),e.templateSpans.forEach(o);break;case 16:Tt.assertNode(e,VI),r.push({text:d(e)});break;case 204:Tt.assertNode(e,nD),o(e.type),o(e.literal);break;case 17:Tt.assertNode(e,UI),r.push({text:d(e)});break;case 18:Tt.assertNode(e,HI),r.push({text:d(e)});break;case 197:Tt.assertNode(e,XN),r.push({text:"this"});break;default:Tt.failBadSyntaxKind(e)}}function a(e){e.typeParameters&&(r.push({text:"<"}),s(e.typeParameters,", "),r.push({text:">"})),r.push({text:"("}),s(e.parameters,", "),r.push({text:")"})}function s(e,n){e.forEach(((e,t)=>{t>0&&r.push({text:n}),o(e)}))}function d(e){switch(e.kind){case 11:return 0===l?`'${Fv(e.text,39)}'`:`"${Fv(e.text,34)}"`;case 16:case 17:case 18:{const n=e.rawText??Pv(Fv(e.text,96));switch(e.kind){case 16:return"`"+n+"${";case 17:return"}"+n+"${";case 18:return"}"+n+"`"}}}return e.text}}function b(e){if((vv(e)||iC(e)&&D_(e))&&e.initializer){const n=Ty(e.initializer);return!(g(n)||uD(n)||sD(n)||pu(n))}return!0}function E(e,n){const t=n.getSourceFile();return{text:e,span:H$(n,t),file:t.fileName}}}var gpe=g({"src/services/inlayHints.ts"(){Tge(),ppe=e=>new RegExp(`^\\s?/\\*\\*?\\s?${e}\\s?\\*\\/\\s?$`)}}),ype={};y(ype,{provideInlayHints:()=>hpe});var vpe,bpe,Epe,Spe,Tpe=g({"src/services/_namespaces/ts.InlayHints.ts"(){gpe()}});function xpe(e,n){const t=[];return PQ(e,(e=>{for(const r of function(e){switch(e.kind){case 348:case 355:return[e];case 345:case 353:return[e,e.parent];case 330:if(PM(e.parent))return[e.parent.parent];default:return ey(e)}}(e)){const o=bM(r)&&r.tags&&D(r.tags,(e=>334===e.kind&&("inheritDoc"===e.tagName.escapedText||"inheritdoc"===e.tagName.escapedText)));if(void 0===r.comment&&!o||bM(r)&&353!==e.kind&&345!==e.kind&&r.tags&&r.tags.some((e=>353===e.kind||345===e.kind))&&!r.tags.some((e=>348===e.kind||349===e.kind)))continue;let i=r.comment?Dpe(r.comment,n):[];o&&o.comment&&(i=i.concat(Dpe(o.comment,n))),k(t,i,Ape)||t.push(i)}})),U(I(t,[nZ()]))}function Ape(e,n){return w(e,n,((e,n)=>e.kind===n.kind&&e.text===n.text))}function Rpe(e,n){const t=[];return PQ(e,(e=>{const r=Sc(e);if(!r.some((e=>353===e.kind||345===e.kind))||r.some((e=>348===e.kind||349===e.kind)))for(const e of r)t.push({name:e.tagName.text,text:Cpe(e,n)}),t.push(...Ipe(Npe(e),n))})),t}function Ipe(e,n){return H(e,(e=>ae([{name:e.tagName.text,text:Cpe(e,n)}],Ipe(Npe(e),n))))}function Npe(e){return qc(e)&&e.isNameFirst&&e.typeExpression&&EM(e.typeExpression.type)?e.typeExpression.type.jsDocPropertyTags:void 0}function Dpe(e,n){return"string"==typeof e?[qQ(e)]:H(e,(e=>328===e.kind?[qQ(e.text)]:ZQ(e,n)))}function Cpe(e,n){const{comment:t,kind:r}=e,o=function(e){switch(e){case 348:return UQ;case 355:return HQ;case 352:return XQ;case 353:case 345:return JQ;default:return qQ}}(r);switch(r){case 356:const r=e.typeExpression;return r?i(r):void 0===t?void 0:Dpe(t,n);case 336:case 335:return i(e.class);case 352:const a=e,s=[];if(a.constraint&&s.push(qQ(a.constraint.getText())),b(a.typeParameters)){b(s)&&s.push(GQ());const e=a.typeParameters[a.typeParameters.length-1];E(a.typeParameters,(n=>{s.push(o(n.getText())),e!==n&&s.push(jQ(28),GQ())}))}return t&&s.push(GQ(),...Dpe(t,n)),s;case 351:case 357:return i(e.typeExpression);case 353:case 345:case 355:case 348:case 354:const{name:l}=e;return l?i(l):void 0===t?void 0:Dpe(t,n);default:return void 0===t?void 0:Dpe(t,n)}function i(e){return r=e.getText(),t?r.match(/^https?$/)?[qQ(r),...Dpe(t,n)]:[o(r),GQ(),...Dpe(t,n)]:[qQ(r)];var r}}function Mpe(){return bpe||(bpe=B(vpe,(e=>({name:e,kind:"keyword",kindModifiers:"",sortText:nue.SortText.LocationPriority}))))}function Ppe(){return Epe||(Epe=B(vpe,(e=>({name:`@${e}`,kind:"keyword",kindModifiers:"",sortText:nue.SortText.LocationPriority}))))}function Lpe(e){return{name:e,kind:"",kindModifiers:"",displayParts:[qQ(e)],documentation:o,tags:void 0,codeActions:void 0}}function kpe(e){if(!tN(e.name))return o;const n=e.name.text,t=e.parent,r=t.parent;return Td(r)?Y(r.parameters,(r=>{if(!tN(r.name))return;const o=r.name.text;return t.tags.some((n=>n!==e&&OM(n)&&tN(n.name)&&n.name.escapedText===o))||void 0!==n&&!st(o,n)?void 0:{name:o,kind:"parameter",kindModifiers:"",sortText:nue.SortText.LocationPriority}})):[]}function wpe(e){return{name:e,kind:"parameter",kindModifiers:"",displayParts:[qQ(e)],documentation:o,tags:void 0,codeActions:void 0}}function Ope(e,n,t,r){const o=l$(n,t),i=Nl(o,bM);if(i&&(void 0!==i.comment||b(i.tags)))return;const a=o.getStart(n);if(!i&&a<t)return;const s=function(e,n){return Ff(e,(e=>Fpe(e,n)))}(o,r);if(!s)return;const{commentOwner:l,parameters:c,hasReturn:d}=s,u=Le(Xu(l)&&l.jsDoc?l.jsDoc:void 0);if(l.getStart(n)<t||u&&i&&u!==i)return;const p=function(e,n){const{text:t}=e,r=LY(n,e);let o=r;for(;o<=n&&gs(t.charCodeAt(o));o++);return t.slice(r,o)}(n,t),f=tx(n.fileName),m=(c?function(e,n,t,r){return e.map((({name:e,dotDotDotToken:o},i)=>{const a=80===e.kind?e.text:"param"+i;return`${t} * @param ${n?o?"{...any} ":"{any} ":""}${a}${r}`})).join("")}(c||[],f,p,e):"")+(d?function(e,n){return`${e} * @returns${n}`}(p,e):""),_=b(Sc(l))>0;if(m&&!_){const n="/**"+e+p+" * ";return{newText:n+e+m+p+" */"+(a===t?e+p:""),caretOffset:n.length}}return{newText:"/** */",caretOffset:3}}function Fpe(e,n){switch(e.kind){case 262:case 218:case 174:case 176:case 173:case 219:const t=e;return{commentOwner:e,parameters:t.parameters,hasReturn:Wpe(t,n)};case 303:return Fpe(e.initializer,n);case 263:case 264:case 266:case 306:case 265:return{commentOwner:e};case 171:{const t=e;return t.type&&wN(t.type)?{commentOwner:e,parameters:t.type.parameters,hasReturn:Wpe(t.type,n)}:{commentOwner:e}}case 243:{const t=e.declarationList.declarations,r=1===t.length&&t[0].initializer?function(e){for(;217===e.kind;)e=e.expression;switch(e.kind){case 218:case 219:return e;case 231:return D(e.members,IN)}}(t[0].initializer):void 0;return r?{commentOwner:e,parameters:r.parameters,hasReturn:Wpe(r,n)}:{commentOwner:e}}case 312:return"quit";case 267:return 267===e.parent.kind?void 0:{commentOwner:e};case 244:return Fpe(e.expression,n);case 226:{const t=e;return 0===Eg(t)?"quit":Td(t.right)?{commentOwner:e,parameters:t.right.parameters,hasReturn:Wpe(t.right,n)}:{commentOwner:e}}case 172:const r=e.initializer;if(r&&(_D(r)||hD(r)))return{commentOwner:e,parameters:r.parameters,hasReturn:Wpe(r,n)}}}function Wpe(e,n){return!!(null==n?void 0:n.generateReturnInDocTemplate)&&(wN(e)||hD(e)&&uu(e.body)||Ad(e)&&e.body&&GD(e.body)&&!!H_(e.body,(e=>e)))}var zpe=g({"src/services/jsDoc.ts"(){Tge(),vpe=["abstract","access","alias","argument","async","augments","author","borrows","callback","class","classdesc","constant","constructor","constructs","copyright","default","deprecated","description","emits","enum","event","example","exports","extends","external","field","file","fileoverview","fires","function","generator","global","hideconstructor","host","ignore","implements","inheritdoc","inner","instance","interface","kind","lends","license","link","linkcode","linkplain","listens","member","memberof","method","mixes","module","name","namespace","overload","override","package","param","private","prop","property","protected","public","readonly","requires","returns","satisfies","see","since","static","summary","template","this","throws","todo","tutorial","type","typedef","var","variation","version","virtual","yields"],Spe=Lpe}}),Gpe={};y(Gpe,{getDocCommentTemplateAtPosition:()=>Ope,getJSDocParameterNameCompletionDetails:()=>wpe,getJSDocParameterNameCompletions:()=>kpe,getJSDocTagCompletionDetails:()=>Lpe,getJSDocTagCompletions:()=>Ppe,getJSDocTagNameCompletionDetails:()=>Spe,getJSDocTagNameCompletions:()=>Mpe,getJsDocCommentsFromDeclarations:()=>xpe,getJsDocTagsFromDeclarations:()=>Rpe});var Bpe,jpe=g({"src/services/_namespaces/ts.JsDoc.ts"(){zpe()}});function Vpe(e,n,t,r,o,i){const a=p_e.ChangeTracker.fromContext({host:t,formatContext:n,preferences:o}),s="SortAndCombine"===i||"All"===i,l=s,c="RemoveUnused"===i||"All"===i,d=Upe(e,e.statements.filter(gC)),u=function(e,n){const t="boolean"==typeof e.organizeImportsIgnoreCase?e.organizeImportsIgnoreCase:(null==n?void 0:n())??!1;return _fe(e,t)}(o,s?()=>2===afe(d,o):void 0),p=n=>(c&&(n=function(e,n,t){const r=t.getTypeChecker(),o=t.getCompilerOptions(),i=r.getJsxNamespace(n),a=r.getJsxFragmentFactory(n),s=!!(2&n.transformFlags),l=[];for(const t of e){const{importClause:e,moduleSpecifier:r}=t;if(!e){l.push(t);continue}let{name:o,namedBindings:i}=e;if(o&&!c(o)&&(o=void 0),i)if(xC(i))c(i.name)||(i=void 0);else{const e=i.elements.filter((e=>c(e.name)));e.length<i.elements.length&&(i=e.length?UA.updateNamedImports(i,e):void 0)}o||i?l.push(Zpe(t,o,i)):Kpe(n,r)&&(n.isDeclarationFile?l.push(UA.createImportDeclaration(t.modifiers,void 0,r,void 0)):l.push(t))}return l;function c(e){return s&&(e.text===i||a&&e.text===a)&&R0(o.jsx)||Hue.Core.isSymbolReferencedInFile(e,r,n)}}(n,e,r)),l&&(n=Xpe(n,u,e,o)),s&&(n=Ie(n,((e,n)=>dfe(e,n,u)))),n);d.forEach((e=>f(e,p))),"RemoveUnused"!==i&&function(e){const n=[],t=e.statements,r=b(t);let o=0,i=0;for(;o<r;)if(DC(t[o])){void 0===n[i]&&(n[i]=[]);const e=t[o];if(e.moduleSpecifier)n[i].push(e),o++;else{for(;o<r&&DC(t[o]);)n[i].push(t[o++]);i++}}else o++;return H(n,(n=>Upe(e,n)))}(e).forEach((e=>f(e,(e=>Qpe(e,u,o)))));for(const n of e.statements.filter(km)){if(!n.body)continue;if(Upe(e,n.body.statements.filter(gC)).forEach((e=>f(e,p))),"RemoveUnused"!==i){f(n.body.statements.filter(DC),(e=>Qpe(e,u,o)))}}return a.getChanges();function f(r,o){if(0===b(r))return;fR(r[0],1024);const i=l?en(r,(e=>qpe(e.moduleSpecifier))):[r],c=H(s?Ie(i,((e,n)=>rfe(e[0].moduleSpecifier,n[0].moduleSpecifier,u))):i,(e=>qpe(e[0].moduleSpecifier)||void 0===e[0].moduleSpecifier?o(e):e));if(0===c.length)a.deleteNodes(e,r,{leadingTriviaOption:p_e.LeadingTriviaOption.Exclude,trailingTriviaOption:p_e.TrailingTriviaOption.Include},!0);else{const o={leadingTriviaOption:p_e.LeadingTriviaOption.Exclude,trailingTriviaOption:p_e.TrailingTriviaOption.Include,suffix:eZ(t,n.options)};a.replaceNodeWithNodes(e,r[0],c,o);const i=a.nodeHasTrailingComment(e,r[0],o);a.deleteNodes(e,r.slice(1),{trailingTriviaOption:p_e.TrailingTriviaOption.Include},i)}}}function Upe(e,n){const t=Gs(e.languageVersion,!1,e.languageVariant),r=[];let o=0;for(const i of n)r[o]&&Hpe(e,i,t)&&o++,r[o]||(r[o]=[]),r[o].push(i);return r}function Hpe(e,n,t){const r=n.getFullStart(),o=n.getStart();t.setText(e.text,r,o-r);let i=0;for(;t.getTokenStart()<o;){if(4===t.scan()&&(i++,i>=2))return!0}return!1}function Kpe(e,n){const t=zI(n)&&n.text;return mn(t)&&oe(e.moduleAugmentations,(e=>zI(e)&&e.text===t))}function qpe(e){return void 0!==e&&tp(e)?e.text:void 0}function Jpe(e,n,t,r){return Xpe(e,ffe(n),t,r)}function Xpe(e,n,t,r){if(0===e.length)return e;const i=nn(e,(e=>{if(e.attributes){let n=e.attributes.token+" ";for(const t of Ae(e.attributes.elements,((e,n)=>Gn(e.name.text,n.name.text))))n+=t.name.text+":",n+=tp(t.value)?`"${t.value.text}"`:t.value.getText()+" ";return n}return""})),a=[];for(const e in i){const s=i[e],{importWithoutClause:l,typeOnlyImports:c,regularImports:d}=Ype(s);l&&a.push(l);for(const e of[d,c]){const i=e===c,{defaultImports:s,namespaceImports:l,namedImports:d}=e;if(!i&&1===s.length&&1===l.length&&0===d.length){const e=s[0];a.push(Zpe(e,e.importClause.name,l[0].importClause.namedBindings));continue}const u=Ie(l,((e,t)=>n(e.importClause.namedBindings.name.text,t.importClause.namedBindings.name.text)));for(const e of u)a.push(Zpe(e,void 0,e.importClause.namedBindings));const p=De(s),f=De(d),m=p??f;if(!m)continue;let _;const h=[];if(1===s.length)_=s[0].importClause.name;else for(const e of s)h.push(UA.createImportSpecifier(!1,UA.createIdentifier("default"),e.importClause.name));h.push(...pfe(d));const g=UA.createNodeArray(efe(h,n,r),null==f?void 0:f.importClause.namedBindings.elements.hasTrailingComma),y=0===g.length?_?void 0:UA.createNamedImports(o):f?UA.updateNamedImports(f.importClause.namedBindings,g):UA.createNamedImports(g);t&&y&&(null==f?void 0:f.importClause.namedBindings)&&!$E(f.importClause.namedBindings,t)&&fR(y,2),i&&_&&y?(a.push(Zpe(m,_,void 0)),a.push(Zpe(f??m,void 0,y))):a.push(Zpe(m,_,y))}}return a}function Ype(e){let n;const t={defaultImports:[],namespaceImports:[],namedImports:[]},r={defaultImports:[],namespaceImports:[],namedImports:[]};for(const o of e){if(void 0===o.importClause){n=n||o;continue}const e=o.importClause.isTypeOnly?t:r,{name:i,namedBindings:a}=o.importClause;i&&e.defaultImports.push(o),a&&(xC(a)?e.namespaceImports.push(o):e.namedImports.push(o))}return{importWithoutClause:n,typeOnlyImports:t,regularImports:r}}function $pe(e,n,t){return Qpe(e,ffe(n),t)}function Qpe(e,n,t){if(0===e.length)return e;const{exportWithoutClause:r,namedExports:i,typeOnlyExports:a}=function(e){let n;const t=[],r=[];for(const o of e)void 0===o.exportClause?n=n||o:o.isTypeOnly?r.push(o):t.push(o);return{exportWithoutClause:n,namedExports:t,typeOnlyExports:r}}(e),s=[];r&&s.push(r);for(const e of[i,a]){if(0===e.length)continue;const r=[];r.push(...H(e,(e=>e.exportClause&&CC(e.exportClause)?e.exportClause.elements:o)));const i=efe(r,n,t),a=e[0];s.push(UA.updateExportDeclaration(a,a.modifiers,a.isTypeOnly,a.exportClause&&(CC(a.exportClause)?UA.updateNamedExports(a.exportClause,i):UA.updateNamespaceExport(a.exportClause,a.exportClause.name)),a.moduleSpecifier,a.attributes))}return s}function Zpe(e,n,t){return UA.updateImportDeclaration(e,e.modifiers,UA.updateImportClause(e.importClause,e.importClause.isTypeOnly,n,t),e.moduleSpecifier,e.attributes)}function efe(e,n,t){return Ie(e,((e,r)=>nfe(e,r,n,t)))}function nfe(e,n,t,r){switch(null==r?void 0:r.organizeImportsTypeOrder){case"first":return Kn(n.isTypeOnly,e.isTypeOnly)||t(e.name.text,n.name.text);case"inline":return t(e.name.text,n.name.text);default:return Kn(e.isTypeOnly,n.isTypeOnly)||t(e.name.text,n.name.text)}}function tfe(e,n,t){return rfe(e,n,ffe(!!t))}function rfe(e,n,t){const r=void 0===e?void 0:qpe(e),o=void 0===n?void 0:qpe(n);return Kn(void 0===r,void 0===o)||Kn(Xs(r),Xs(o))||t(r,o)}function ofe(e){var n;switch(e.kind){case 271:return null==(n=hn(e.moduleReference,wC))?void 0:n.expression;case 272:return e.moduleSpecifier;case 243:return e.declarationList.declarations[0].initializer.arguments[0]}}function ife(e,n){return afe(Upe(e,e.statements.filter(gC)),n)}function afe(e,n){const t=_fe(n,!1),r=_fe(n,!0);let o=3,i=!1;for(const a of e){if(a.length>1){const e=me(a,(e=>{var n;return(null==(n=hn(e.moduleSpecifier,zI))?void 0:n.text)??""}),t,r);if(e&&(o&=e,i=!0),!o)return o}const e=D(a,(e=>{var n,t;return(null==(t=hn(null==(n=e.importClause)?void 0:n.namedBindings,RC))?void 0:t.elements.length)>1}));if(e){const t=Bpe(e.importClause.namedBindings.elements,n);if(t&&(o&=t,i=!0),!o)return o}if(3!==o)return o}return i?0:o}function sfe(e,n){return me(e,(e=>qpe(ofe(e))||""),_fe(n,!1),_fe(n,!0))}function lfe(e,n,t){const r=ze(e,n,Sn,((e,n)=>dfe(e,n,t)));return r<0?~r:r}function cfe(e,n,t,r){const o=ze(e,n,Sn,((e,n)=>nfe(e,n,t,r)));return o<0?~o:o}function dfe(e,n,t){return rfe(ofe(e),ofe(n),t)||function(e,n){return wn(ufe(e),ufe(n))}(e,n)}function ufe(e){var n;switch(e.kind){case 272:return e.importClause?e.importClause.isTypeOnly?1:274===(null==(n=e.importClause.namedBindings)?void 0:n.kind)?2:e.importClause.name?3:4:0;case 271:return 5;case 243:return 6}}function pfe(e){return H(e,(e=>B(function(e){var n;return(null==(n=e.importClause)?void 0:n.namedBindings)&&RC(e.importClause.namedBindings)?e.importClause.namedBindings.elements:void 0}(e),(e=>e.name&&e.propertyName&&e.name.escapedText===e.propertyName.escapedText?UA.updateImportSpecifier(e,e.isTypeOnly,void 0,e.name):e))))}function ffe(e){return e?zn:Gn}function mfe(e,n){const t=function(e){let n=e.organizeImportsLocale;"auto"===n&&(n=jn());void 0===n&&(n="en");const t=Intl.Collator.supportedLocalesOf(n),r=t.length?t[0]:"en";return r}(n),r=n.organizeImportsCaseFirst??!1,o=n.organizeImportsNumericCollation??!1,i=n.organizeImportsAccentCollation??!0,a=e?i?"accent":"base":i?"variant":"case";return new Intl.Collator(t,{usage:"sort",caseFirst:r||"false",sensitivity:a,numeric:o}).compare}function _fe(e,n){return"unicode"===(e.organizeImportsCollation??"ordinal")?mfe(n,e):ffe(n)}var hfe=g({"src/services/organizeImports.ts"(){Tge(),Bpe=Dn(((e,n)=>{switch(n.organizeImportsTypeOrder){case"first":if(!fe(e,((e,n)=>Kn(n.isTypeOnly,e.isTypeOnly))))return 0;break;case"inline":if(!fe(e,((e,n)=>Bn(!0)(e.name.text,n.name.text))))return 0;break;default:if(!fe(e,((e,n)=>Kn(e.isTypeOnly,n.isTypeOnly))))return 0}const t=_fe(n,!1),r=_fe(n,!0);if("inline"!==n.organizeImportsTypeOrder){const{type:n,regular:o}=nn(e,(e=>e.isTypeOnly?"type":"regular")),i=(null==n?void 0:n.length)?me(n,(e=>e.name.text),t,r):void 0,a=(null==o?void 0:o.length)?me(o,(e=>e.name.text??""),t,r):void 0;return void 0===i?a??0:void 0===a?i:0===i||0===a?0:a&i}return me(e,(e=>e.name.text),t,r)}),new class{has([e,n]){return!(this._lastPreferences!==n||!this._cache)&&this._cache.has(e)}get([e,n]){if(this._lastPreferences===n&&this._cache)return this._cache.get(e)}set([e,n],t){this._lastPreferences!==n&&(this._lastPreferences=n,this._cache=void 0),this._cache??(this._cache=new WeakMap),this._cache.set(e,t)}})}}),gfe={};y(gfe,{coalesceExports:()=>$pe,coalesceImports:()=>Jpe,compareImportOrExportSpecifiers:()=>nfe,compareImportsOrRequireStatements:()=>dfe,compareModuleSpecifiers:()=>tfe,detectImportDeclarationSorting:()=>sfe,detectImportSpecifierSorting:()=>Bpe,detectSorting:()=>ife,getImportDeclarationInsertionIndex:()=>lfe,getImportSpecifierInsertionIndex:()=>cfe,getOrganizeImportsComparer:()=>_fe,organizeImports:()=>Vpe});var yfe,vfe=g({"src/services/_namespaces/ts.OrganizeImports.ts"(){hfe()}});function bfe(e,n){const t=[];return function(e,n,t){let r=40,o=0;const i=[...e.statements,e.endOfFileToken],a=i.length;for(;o<a;){for(;o<a&&!Ym(i[o]);)s(i[o]),o++;if(o===a)break;const n=o;for(;o<a&&Ym(i[o]);)s(i[o]),o++;const r=o-1;r!==n&&t.push(xfe(JY(i[n],102,e).getStart(e),i[r].getEnd(),"imports"))}function s(o){var i;if(0===r)return;n.throwIfCancellationRequested(),(Pu(o)||BD(o)||QD(o)||ru(o)||1===o.kind)&&Tfe(o,e,n,t),Td(o)&&TD(o.parent)&&lD(o.parent.left)&&Tfe(o.parent.left,e,n,t),(GD(o)||fC(o))&&Sfe(o.statements.end,e,n,t),(Md(o)||cC(o))&&Sfe(o.members.end,e,n,t);const a=function(e,n){switch(e.kind){case 241:if(Td(e.parent))return function(e,n,t){const r=function(e,n,t){if(oS(e.parameters,t)){const n=JY(e,21,t);if(n)return n}return JY(n,19,t)}(e,n,t),o=JY(n,20,t);return r&&o&&Afe(r,o,e,t,219!==e.kind)}(e.parent,e,n);switch(e.parent.kind){case 246:case 249:case 250:case 248:case 245:case 247:case 254:case 299:return d(e.parent);case 258:const t=e.parent;if(t.tryBlock===e)return d(e.parent);if(t.finallyBlock===e){const e=JY(t,98,n);if(e)return d(e)}default:return Rfe(H$(e,n),"code")}case 268:return d(e.parent);case 263:case 231:case 264:case 266:case 269:case 187:case 206:return d(e);case 189:return d(e,!1,!GN(e.parent),23);case 296:case 297:return u(e.statements);case 210:return c(e);case 209:return c(e,23);case 284:return i(e);case 288:return a(e);case 285:case 286:return s(e.attributes);case 228:case 15:return l(e);case 207:return d(e,!1,!iD(e.parent),23);case 219:return o(e);case 213:return r(e);case 217:return p(e);case 275:case 279:case 300:return t(e)}function t(e){if(!e.elements.length)return;const t=JY(e,19,n),r=JY(e,20,n);return t&&r&&!iS(t.pos,r.pos,n)?Afe(t,r,e,n,!1,!1):void 0}function r(e){if(!e.arguments.length)return;const t=JY(e,21,n),r=JY(e,22,n);return t&&r&&!iS(t.pos,r.pos,n)?Afe(t,r,e,n,!1,!0):void 0}function o(e){if(GD(e.body)||mD(e.body)||iS(e.body.getFullStart(),e.body.getEnd(),n))return;return Rfe(ul(e.body.getFullStart(),e.body.getEnd()),"code",H$(e))}function i(e){const t=ul(e.openingElement.getStart(n),e.closingElement.getEnd()),r=e.openingElement.tagName.getText(n);return Rfe(t,"code",t,!1,"<"+r+">...</"+r+">")}function a(e){const t=ul(e.openingFragment.getStart(n),e.closingFragment.getEnd());return Rfe(t,"code",t,!1,"<>...</>")}function s(e){if(0!==e.properties.length)return xfe(e.getStart(n),e.getEnd(),"code")}function l(e){if(15!==e.kind||0!==e.text.length)return xfe(e.getStart(n),e.getEnd(),"code")}function c(e,n=19){return d(e,!1,!aD(e.parent)&&!dD(e.parent),n)}function d(t,r=!1,o=!0,i=19,a=(19===i?20:24)){const s=JY(e,i,n),l=JY(e,a,n);return s&&l&&Afe(s,l,t,n,r,o)}function u(e){return e.length?Rfe(J$(e),"code"):void 0}function p(e){if(iS(e.getStart(),e.getEnd(),n))return;return Rfe(ul(e.getStart(),e.getEnd()),"code",H$(e))}}(o,e);a&&t.push(a),r--,dD(o)?(r++,s(o.expression),r--,o.arguments.forEach(s),null==(i=o.typeArguments)||i.forEach(s)):UD(o)&&o.elseStatement&&UD(o.elseStatement)?(s(o.expression),s(o.thenStatement),r++,s(o.elseStatement),r--):o.forEachChild(s),r++}}(e,n,t),function(e,n){const t=[],r=e.getLineStarts();for(const o of r){const r=e.getLineEndOfPosition(o),i=Efe(e.text.substring(o,r));if(i&&!N$(e,o))if(i[1]){const e=t.pop();e&&(e.textSpan.length=r-e.textSpan.start,e.hintSpan.length=r-e.textSpan.start,n.push(e))}else{const n=ul(e.text.indexOf("//",o),r);t.push(Rfe(n,"region",n,!1,i[2]||"#region"))}}}(e,t),t.sort(((e,n)=>e.textSpan.start-n.textSpan.start))}function Efe(e){return st(e=e.trimStart(),"//")?(e=e.slice(2).trim(),yfe.exec(e)):null}function Sfe(e,n,t,r){const o=ks(n.text,e);if(!o)return;let i=-1,a=-1,s=0;const l=n.getFullText();for(const{kind:e,pos:n,end:d}of o)switch(t.throwIfCancellationRequested(),e){case 2:if(Efe(l.slice(n,d))){c(),s=0;break}0===s&&(i=n),a=d,s++;break;case 3:c(),r.push(xfe(n,d,"comment")),s=0;break;default:Tt.assertNever(e)}function c(){s>1&&r.push(xfe(i,a,"comment"))}c()}function Tfe(e,n,t,r){GI(e)||Sfe(e.pos,n,t,r)}function xfe(e,n,t){return Rfe(ul(e,n),t)}function Afe(e,n,t,r,o=!1,i=!0){return Rfe(ul(i?e.getFullStart():e.getStart(r),n.getEnd()),"code",H$(t,r),o)}function Rfe(e,n,t=e,r=!1,o="..."){return{textSpan:e,kind:n,hintSpan:t,bannerText:o,autoCollapse:r}}var Ife=g({"src/services/outliningElementsCollector.ts"(){Tge(),yfe=/^#(end)?region(?:\s+(.*))?(?:\r)?$/}}),Nfe={};y(Nfe,{collectElements:()=>bfe});var Dfe=g({"src/services/_namespaces/ts.OutliningElementsCollector.ts"(){Ife()}});function Cfe(e,n,t,r){const o=i$(a$(n,t));if(wfe(o)){const t=function(e,n,t,r,o){const i=n.getSymbolAtLocation(e);if(!i){if(tp(e)){const r=ZY(e,n);if(r&&(128&r.flags||1048576&r.flags&&N(r.types,(e=>!!(128&e.flags)))))return Pfe(e.text,e.text,"string","",e,t)}else if(EY(e)){const n=xm(e);return Pfe(n,n,"label","",e,t)}return}const{declarations:a}=i;if(!a||0===a.length)return;if(a.some((e=>function(e,n){const t=n.getSourceFile();return e.isSourceFileDefaultLibrary(t)&&$i(t.fileName,".d.ts")}(r,e))))return Lfe(Oa.You_cannot_rename_elements_that_are_defined_in_the_standard_TypeScript_library);if(tN(e)&&"default"===e.escapedText&&i.parent&&1536&i.parent.flags)return;if(tp(e)&&zg(e))return o.allowRenameOfImportPath?function(e,n,t){if(!Xs(e.text))return Lfe(Oa.You_cannot_rename_a_module_via_a_global_import);const r=t.declarations&&D(t.declarations,rM);if(!r)return;const o=Xn(e.text,"/index")||Xn(e.text,"/index.js")?void 0:$n(cx(r.fileName),"/index"),i=void 0===o?r.fileName:o,a=void 0===o?"module":"directory",s=e.text.lastIndexOf("/")+1,l=dl(e.getStart(n)+1+s,e.text.length-s);return{canRename:!0,fileToRename:i,kind:a,displayName:i,fullDisplayName:e.text,kindModifiers:"",triggerSpan:l}}(e,t,i):void 0;const s=function(e,n,t,r){if(!r.providePrefixAndSuffixTextForRename&&2097152&n.flags){const e=n.declarations&&D(n.declarations,(e=>IC(e)));e&&!e.propertyName&&(n=t.getAliasedSymbol(n))}const{declarations:o}=n;if(!o)return;const i=Mfe(e.path);if(void 0===i)return oe(o,(e=>o0(e.getSourceFile().path)))?Oa.You_cannot_rename_elements_that_are_defined_in_a_node_modules_folder:void 0;for(const e of o){const n=Mfe(e.getSourceFile().path);if(n){const e=Math.min(i.length,n.length);for(let t=0;t<=e;t++)if(0!==Gn(i[t],n[t]))return Oa.You_cannot_rename_elements_that_are_defined_in_another_node_modules_folder}}return}(t,i,n,o);if(s)return Lfe(s);const l=wme.getSymbolKind(n,i,e),c=sZ(e)||nv(e)&&167===e.parent.kind?Bv(sv(e)):void 0,d=c||n.symbolToString(i),u=c||n.getFullyQualifiedName(i);return Pfe(d,u,l,wme.getSymbolModifiers(n,i),e,t)}(o,e.getTypeChecker(),n,e,r);if(t)return t}return Lfe(Oa.You_cannot_rename_this_element)}function Mfe(e){const n=sa(e),t=n.lastIndexOf("node_modules");if(-1!==t)return n.slice(0,t+2)}function Pfe(e,n,t,r,o,i){return{canRename:!0,fileToRename:void 0,kind:t,displayName:e,fullDisplayName:n,kindModifiers:r,triggerSpan:kfe(o,i)}}function Lfe(e){return{canRename:!1,localizedErrorMessage:eT(e)}}function kfe(e,n){let t=e.getStart(n),r=e.getWidth(n);return tp(e)&&(t+=1,r-=2),dl(t,r)}function wfe(e){switch(e.kind){case 80:case 81:case 11:case 15:case 110:return!0;case 9:return NY(e);default:return!1}}var Ofe=g({"src/services/rename.ts"(){Tge()}}),Ffe={};y(Ffe,{getRenameInfo:()=>Cfe,nodeIsEligibleForRename:()=>wfe});var Wfe,zfe,Gfe=g({"src/services/_namespaces/ts.Rename.ts"(){Ofe()}});function Bfe(e,n,t,r,o){const i=e.getTypeChecker(),a=u$(n,t);if(!a)return;const s=!!r&&"characterTyped"===r.kind;if(s&&(g$(n,t,a)||N$(n,t)))return;const l=!!r&&"invoked"===r.kind,c=function(e,n,t,r,o){for(let i=e;!rM(i)&&(o||!GD(i));i=i.parent){Tt.assert(kY(i.parent,i),"Not a subspan",(()=>`Child: ${Tt.formatSyntaxKind(i.kind)}, parent: ${Tt.formatSyntaxKind(i.parent.kind)}`));const e=Kfe(i,n,t,r);if(e)return e}return}(a,t,n,i,l);if(!c)return;o.throwIfCancellationRequested();const d=function({invocation:e,argumentCount:n},t,r,o,i){switch(e.kind){case 0:{if(i&&!function(e,n,t){if(!ru(n))return!1;const r=n.getChildren(t);switch(e.kind){case 21:return k(r,e);case 28:{const n=XY(e);return!!n&&k(r,n)}case 30:return jfe(e,t,n.expression);default:return!1}}(o,e.node,r))return;const a=[],s=t.getResolvedSignatureForSignatureHelp(e.node,a,n);return 0===a.length?void 0:{kind:0,candidates:a,resolvedSignature:s}}case 1:{const{called:a}=e;if(i&&!jfe(o,r,tN(a)?a.parent:a))return;const s=R$(a,n,t);if(0!==s.length)return{kind:0,candidates:s,resolvedSignature:Me(s)};const l=t.getSymbolAtLocation(a);return l&&{kind:1,symbol:l}}case 2:return{kind:0,candidates:[e.signature],resolvedSignature:e.signature};default:return Tt.assertNever(e)}}(c,i,n,a,s);return o.throwIfCancellationRequested(),d?i.runWithCancellationToken(o,(e=>0===d.kind?ome(d.candidates,d.resolvedSignature,c,n,e):function(e,{argumentCount:n,argumentsSpan:t,invocation:r,argumentIndex:o},i,a){const s=a.getLocalTypeParametersOfClassOrInterfaceOrTypeAlias(e);if(!s)return;const l=[ime(e,s,a,rme(r),i)];return{items:l,applicableSpan:t,selectedItemIndex:0,argumentIndex:o,argumentCount:n}}(d.symbol,c,n,e))):Jh(n)?function(e,n,t){if(2===e.invocation.kind)return;const r=tme(e.invocation),o=lD(r)?r.name.text:void 0,i=n.getTypeChecker();return void 0===o?void 0:T(n.getSourceFiles(),(n=>T(n.getNamedDeclarations().get(o),(r=>{const o=r.symbol&&i.getTypeOfSymbolAtLocation(r.symbol,r),a=o&&o.getCallSignatures();if(a&&a.length)return i.runWithCancellationToken(t,(t=>ome(a,a[0],e,n,t,!0)))}))))}(c,e,o):void 0}function jfe(e,n,t){const r=e.getFullStart();let o=e.parent;for(;o;){const e=f$(r,n,o,!0);if(e)return kY(t,e);o=o.parent}return Tt.fail("Could not find preceding token")}function Vfe(e,n,t,r){const o=Hfe(e,n,t,r);return!o||o.isTypeParameterList||0!==o.invocation.kind?void 0:{invocation:o.invocation.node,argumentCount:o.argumentCount,argumentIndex:o.argumentIndex}}function Ufe(e,n,t,r){const o=function(e,n,t){if(30===e.kind||21===e.kind)return{list:nme(e.parent,e,n),argumentIndex:0};{const n=XY(e);return n&&{list:n,argumentIndex:$fe(t,n,e)}}}(e,t,r);if(!o)return;const{list:i,argumentIndex:a}=o,s=function(e,n){return Qfe(e,n,void 0)}(r,i);0!==a&&Tt.assertLessThan(a,s);const l=function(e,n){const t=e.getFullStart(),r=Ts(n.text,e.getEnd(),!1);return dl(t,r-t)}(i,t);return{list:i,argumentIndex:a,argumentCount:s,argumentsSpan:l}}function Hfe(e,n,t,r){const{parent:o}=e;if(ru(o)){const n=o,i=Ufe(e,0,t,r);if(!i)return;const{list:a,argumentIndex:s,argumentCount:l,argumentsSpan:c}=i;return{isTypeParameterList:!!o.typeArguments&&o.typeArguments.pos===a.pos,invocation:{kind:0,node:n},argumentsSpan:c,argumentIndex:s,argumentCount:l}}if(jI(e)&&pD(o))return F$(e,n,t)?Zfe(o,0,t):void 0;if(VI(e)&&215===o.parent.kind){const r=o,i=r.parent;Tt.assert(228===r.kind);return Zfe(i,F$(e,n,t)?0:1,t)}if(WD(o)&&pD(o.parent.parent)){const r=o,i=o.parent.parent;if(HI(e)&&!F$(e,n,t))return;const a=function(e,n,t,r){if(Tt.assert(t>=n.getStart(),"Assumed 'position' could not occur before node."),rd(n))return F$(n,t,r)?0:e+2;return e+1}(r.parent.templateSpans.indexOf(r),e,n,t);return Zfe(i,a,t)}if(ju(o)){const e=o.attributes.pos;return{isTypeParameterList:!1,invocation:{kind:0,node:o},argumentsSpan:dl(e,Ts(t.text,o.attributes.end,!1)-e),argumentIndex:0,argumentCount:1}}{const n=I$(e,t);if(n){const{called:r,nTypeArguments:o}=n;return{isTypeParameterList:!0,invocation:{kind:1,called:r},argumentsSpan:ul(r.getStart(t),e.end),argumentIndex:o,argumentCount:o+1}}return}}function Kfe(e,n,t,r){return function(e,n,t,r){const o=function(e){switch(e.kind){case 21:case 28:return e;default:return Nl(e.parent,(e=>!!bN(e)||!(iD(e)||rD(e)||oD(e))&&"quit"))}}(e);if(void 0===o)return;const i=function(e,n,t,r){const{parent:o}=e;switch(o.kind){case 217:case 174:case 218:case 219:const t=Ufe(e,0,n,r);if(!t)return;const{argumentIndex:i,argumentCount:a,argumentsSpan:s}=t,l=AN(o)?r.getContextualTypeForObjectLiteralElement(o):r.getContextualType(o);return l&&{contextualType:l,argumentIndex:i,argumentCount:a,argumentsSpan:s};case 226:{const n=qfe(o),t=r.getContextualType(n),i=21===e.kind?0:Jfe(o)-1,a=Jfe(n);return t&&{contextualType:t,argumentIndex:i,argumentCount:a,argumentsSpan:H$(o)}}default:return}}(o,t,0,r);if(void 0===i)return;const{contextualType:a,argumentIndex:s,argumentCount:l,argumentsSpan:c}=i,d=a.getNonNullableType(),u=d.symbol;if(void 0===u)return;const p=Le(d.getCallSignatures());if(void 0===p)return;return{isTypeParameterList:!1,invocation:{kind:2,signature:p,node:e,symbol:Xfe(u)},argumentsSpan:c,argumentIndex:s,argumentCount:l}}(e,0,t,r)||Hfe(e,n,t,r)}function qfe(e){return TD(e.parent)?qfe(e.parent):e}function Jfe(e){return TD(e.left)?Jfe(e.left)+1:2}function Xfe(e){return"__type"===e.name&&T(e.declarations,(e=>{var n;return wN(e)?null==(n=hn(e.parent,Nu))?void 0:n.symbol:void 0}))||e}function Yfe(e,n){const t=n.getTypeAtLocation(e.expression);if(n.isTupleType(t)){const{elementFlags:e,fixedLength:n}=t.target;if(0===n)return 0;const r=M(e,(e=>!(1&e)));return r<0?n:r}return 0}function $fe(e,n,t){return Qfe(e,n,t)}function Qfe(e,n,t){const r=n.getChildren();let o=0,i=!1;for(const n of r){if(t&&n===t)return i||28!==n.kind||o++,o;ID(n)?(o+=Yfe(n,e),i=!0):28===n.kind?i?i=!1:o++:(o++,i=!0)}return t?o:r.length&&28===ke(r).kind?o+1:o}function Zfe(e,n,t){const r=jI(e.template)?1:e.template.templateSpans.length+1;return 0!==n&&Tt.assertLessThan(n,r),{isTypeParameterList:!1,invocation:{kind:0,node:e},argumentsSpan:eme(e,t),argumentIndex:n,argumentCount:r}}function eme(e,n){const t=e.template,r=t.getStart();let o=t.getEnd();if(228===t.kind){0===ke(t.templateSpans).literal.getFullWidth()&&(o=Ts(n.text,o,!1))}return dl(r,o-r)}function nme(e,n,t){const r=e.getChildren(t),o=r.indexOf(n);return Tt.assert(o>=0&&r.length>o+1),r[o+1]}function tme(e){return 0===e.kind?Mh(e.node):e.called}function rme(e){return 0===e.kind?e.node:1===e.kind?e.called:e.node}function ome(e,n,{isTypeParameterList:t,argumentCount:r,argumentsSpan:i,invocation:a,argumentIndex:s},l,c,d){var u;const p=rme(a),f=2===a.kind?a.symbol:c.getSymbolAtLocation(tme(a))||d&&(null==(u=n.declaration)?void 0:u.symbol),m=f?oZ(c,f,d?l:void 0,void 0):o,_=B(e,(e=>function(e,n,t,r,o,i){const a=(t?sme:lme)(e,r,o,i);return B(a,(({isVariadic:t,parameters:i,prefix:a,suffix:s})=>{const l=[...n,...a],c=[...s,...ame(e,o,r)],d=e.getDocumentationComment(r),u=e.getJsDocTags();return{isVariadic:t,prefixDisplayParts:l,suffixDisplayParts:c,separatorDisplayParts:zfe,parameters:i,documentation:d,tags:u}}))}(e,m,t,c,p,l)));0!==s&&Tt.assertLessThan(s,r);let h=0,g=0;for(let t=0;t<_.length;t++){const o=_[t];if(e[t]===n&&(h=g,o.length>1)){let e=0;for(const n of o){if(n.isVariadic||n.parameters.length>=r){h=g+e;break}e++}}g+=o.length}Tt.assert(-1!==h);const y={items:K(_,Sn),applicableSpan:i,selectedItemIndex:h,argumentIndex:s,argumentCount:r},v=y.items[h];if(v.isVariadic){const e=M(v.parameters,(e=>!!e.isRest));-1<e&&e<v.parameters.length-1?y.argumentIndex=v.parameters.length:y.argumentIndex=Math.min(y.argumentIndex,v.parameters.length-1)}return y}function ime(e,n,t,r,o){const i=oZ(t,e),a=hV(),s=n.map((e=>cme(e,t,r,o,a))),l=e.getDocumentationComment(t),c=e.getJsDocTags(t);return{isVariadic:!1,prefixDisplayParts:[...i,jQ(30)],suffixDisplayParts:[jQ(32)],separatorDisplayParts:zfe,parameters:s,documentation:l,tags:c}}function ame(e,n,t){return tZ((r=>{r.writePunctuation(":"),r.writeSpace(" ");const o=t.getTypePredicateOfSignature(e);o?t.writeTypePredicate(o,n,void 0,r):t.writeType(t.getReturnTypeOfSignature(e),n,void 0,r)}))}function sme(e,n,t,r){const i=(e.target||e).typeParameters,a=hV(),s=(i||o).map((e=>cme(e,n,t,r,a))),l=e.thisParameter?[n.symbolToParameterDeclaration(e.thisParameter,t,Wfe)]:[];return n.getExpandedParameters(e).map((e=>{const o=UA.createNodeArray([...l,...B(e,(e=>n.symbolToParameterDeclaration(e,t,Wfe)))]),i=tZ((e=>{a.writeList(2576,o,r,e)}));return{isVariadic:!1,parameters:s,prefix:[jQ(30)],suffix:[jQ(32),...i]}}))}function lme(e,n,t,r){const o=hV(),i=tZ((i=>{if(e.typeParameters&&e.typeParameters.length){const a=UA.createNodeArray(e.typeParameters.map((e=>n.typeParameterToDeclaration(e,t,Wfe))));o.writeList(53776,a,r,i)}})),a=n.getExpandedParameters(e),s=n.hasEffectiveRestParameter(e)?1===a.length?e=>!0:e=>{var n;return!!(e.length&&32768&(null==(n=hn(e[e.length-1],Pf))?void 0:n.links.checkFlags))}:e=>!1;return a.map((e=>({isVariadic:s(e),parameters:e.map((e=>function(e,n,t,r,o){const i=tZ((i=>{const a=n.symbolToParameterDeclaration(e,t,Wfe);o.writeNode(4,a,r,i)})),a=n.isOptionalParameter(e.valueDeclaration),s=Pf(e)&&!!(32768&e.links.checkFlags);return{name:e.name,documentation:e.getDocumentationComment(n),displayParts:i,isOptional:a,isRest:s}}(e,n,t,r,o))),prefix:[...i,jQ(21)],suffix:[jQ(22)]})))}function cme(e,n,t,r,o){const i=tZ((i=>{const a=n.typeParameterToDeclaration(e,t,Wfe);o.writeNode(4,a,r,i)}));return{name:e.symbol.name,documentation:e.symbol.getDocumentationComment(n),displayParts:i,isOptional:!1,isRest:!1}}var dme=g({"src/services/signatureHelp.ts"(){Tge(),Wfe=70246400,zfe=[jQ(28),GQ()]}}),ume={};y(ume,{getArgumentInfoForCompletions:()=>Vfe,getSignatureHelpItems:()=>Bfe});var pme,fme=g({"src/services/_namespaces/ts.SignatureHelp.ts"(){dme()}});function mme(e,n){var t,r;let o={textSpan:ul(n.getFullStart(),n.getEnd())},i=n;e:for(;;){const o=hme(i);if(!o.length)break;for(let l=0;l<o.length;l++){const c=o[l-1],d=o[l],u=o[l+1];if(vm(d,n,!0)>e)break e;const p=we(ws(n.text,d.end));if(p&&2===p.kind&&s(p.pos,p.end),_me(n,e,d)){if(Eu(d)&&Ad(i)&&!iS(d.getStart(n),d.getEnd(),n)&&a(d.getStart(n),d.getEnd()),GD(d)||WD(d)||VI(d)||HI(d)||c&&VI(c)||aC(d)&&BD(i)||qM(d)&&aC(i)||iC(d)&&qM(i)&&1===o.length||aM(d)||SM(d)||EM(d)){i=d;break}if(WD(i)&&u&&od(u)){a(d.getFullStart()-2,u.getStart()+1)}const e=qM(d)&&bme(c)&&Eme(u)&&!iS(c.getStart(),u.getStart(),n);let s=e?c.getEnd():d.getStart();const l=e?u.getStart():Sme(n,d);if(Xu(d)&&(null==(t=d.jsDoc)?void 0:t.length)&&a(Me(d.jsDoc).getStart(),l),qM(d)){const e=d.getChildren()[0];e&&Xu(e)&&(null==(r=e.jsDoc)?void 0:r.length)&&e.getStart()!==d.pos&&(s=Math.min(s,Me(e.jsDoc).getStart()))}a(s,l),(zI(d)||ou(d))&&a(s+1,l-1),i=d;break}if(l===o.length-1)break e}}return o;function a(n,t){if(n!==t){const r=ul(n,t);(!o||!DQ(r,o.textSpan)&&ll(r,e))&&(o={textSpan:r,...o&&{parent:o}})}}function s(e,t){a(e,t);let r=e;for(;47===n.text.charCodeAt(r);)r++;a(r,t)}}function _me(e,n,t){if(Tt.assert(t.pos<=n),n<t.end)return!0;return t.getEnd()===n&&a$(e,n).pos<t.end}function hme(e){var n;if(rM(e))return gme(e.getChildAt(0).getChildren(),pme);if(QN(e)){const[n,...t]=e.getChildren(),r=Tt.checkDefined(t.pop());Tt.assertEqual(n.kind,19),Tt.assertEqual(r.kind,20);const o=gme(t,(n=>n===e.readonlyToken||148===n.kind||n===e.questionToken||58===n.kind));return[n,vme(yme(gme(o,(({kind:e})=>23===e||168===e||24===e)),(({kind:e})=>59===e))),r]}if(SN(e)){const t=gme(e.getChildren(),(n=>n===e.name||k(e.modifiers,n))),r=327===(null==(n=t[0])?void 0:n.kind)?t[0]:void 0,o=yme(r?t.slice(1):t,(({kind:e})=>59===e));return r?[r,vme(o)]:o}if(bN(e)){const n=gme(e.getChildren(),(n=>n===e.dotDotDotToken||n===e.name));return yme(gme(n,(t=>t===n[0]||t===e.questionToken)),(({kind:e})=>64===e))}return iD(e)?yme(e.getChildren(),(({kind:e})=>64===e)):e.getChildren()}function gme(e,n){const t=[];let r;for(const o of e)n(o)?(r=r||[],r.push(o)):(r&&(t.push(vme(r)),r=void 0),t.push(o));return r&&t.push(vme(r)),t}function yme(e,n,t=!0){if(e.length<2)return e;const r=M(e,n);if(-1===r)return e;const o=e.slice(0,r),i=e[r],a=ke(e),s=t&&27===a.kind,l=e.slice(r+1,s?e.length-1:void 0),c=he([o.length?vme(o):void 0,i,l.length?vme(l):void 0]);return s?c.concat(a):c}function vme(e){return Tt.assertGreaterThanOrEqual(e.length,1),Gx(IL.createSyntaxList(e),e[0].pos,ke(e).end)}function bme(e){const n=e&&e.kind;return 19===n||23===n||21===n||286===n}function Eme(e){const n=e&&e.kind;return 20===n||24===n||22===n||287===n}function Sme(e,n){switch(n.kind){case 348:case 345:case 355:case 353:case 350:return e.getLineEndOfPosition(n.getStart());default:return n.getEnd()}}var Tme=g({"src/services/smartSelection.ts"(){Tge(),pme=pt(gC,hC)}}),xme={};y(xme,{getSmartSelectionRange:()=>mme});var Ame,Rme=g({"src/services/_namespaces/ts.SmartSelectionRange.ts"(){Tme()}});function Ime(e,n,t){const r=Nme(e,n,t);if(""!==r)return r;const o=gS(n);return 32&o?Df(n,231)?"local class":"class":384&o?"enum":524288&o?"type":64&o?"interface":262144&o?"type parameter":8&o?"enum member":2097152&o?"alias":1536&o?"module":r}function Nme(e,n,t){const r=e.getRootSymbols(n);if(1===r.length&&8192&Me(r).flags&&0!==e.getTypeOfSymbolAtLocation(n,t).getNonNullableType().getCallSignatures().length)return"method";if(e.isUndefinedSymbol(n))return"var";if(e.isArgumentsSymbol(n))return"local var";if(110===t.kind&&uu(t)||Sb(t))return"parameter";const o=gS(n);if(3&o)return FQ(n)?"parameter":n.valueDeclaration&&D_(n.valueDeclaration)?"const":n.valueDeclaration&&N_(n.valueDeclaration)?"using":n.valueDeclaration&&I_(n.valueDeclaration)?"await using":E(n.declarations,C_)?"let":Lme(n)?"local var":"var";if(16&o)return Lme(n)?"local function":"function";if(32768&o)return"getter";if(65536&o)return"setter";if(8192&o)return"method";if(16384&o)return"constructor";if(131072&o)return"index";if(4&o){if(33554432&o&&6&n.links.checkFlags){const r=E(e.getRootSymbols(n),(e=>{if(98311&e.getFlags())return"property"}));if(!r){return e.getTypeOfSymbolAtLocation(n,t).getCallSignatures().length?"method":"property"}return r}return"property"}return""}function Dme(e){if(e.declarations&&e.declarations.length){const[n,...t]=e.declarations,r=M$(n,b(t)&&E0(n)&&oe(t,(e=>!E0(e)))?65536:0);if(r)return r.split(",")}return[]}function Cme(e,n){if(!n)return"";const t=new Set(Dme(n));if(2097152&n.flags){const r=e.getAliasedSymbol(n);r!==n&&E(Dme(r),(e=>{t.add(e)}))}return 16777216&n.flags&&t.add("optional"),t.size>0?Je(t.values()).join(","):""}function Mme(e,n,t,r,i,a,s,l){var c;const d=[];let u=[],p=[];const f=gS(n);let m=1&s?Nme(e,n,i):"",_=!1;const h=110===i.kind&&Bh(i)||Sb(i);let g,y,v=!1;if(110===i.kind&&!h)return{displayParts:[BQ(110)],documentation:[],symbolKind:"primitive type",tags:void 0};if(""!==m||32&f||2097152&f){if("getter"===m||"setter"===m){const e=D(n.declarations,(e=>e.name===i));if(e)switch(e.kind){case 177:m="getter";break;case 178:m="setter";break;case 172:m="accessor";break;default:Tt.assertNever(e)}else m="property"}let t,o;if(a??(a=h?e.getTypeAtLocation(i):e.getTypeOfSymbolAtLocation(n,i)),i.parent&&211===i.parent.kind){const e=i.parent.name;(e===i||e&&0===e.getFullWidth())&&(i=i.parent)}if(ru(i)?o=i:(iY(i)||aY(i)||i.parent&&(ju(i.parent)||pD(i.parent))&&Td(n.valueDeclaration))&&(o=i.parent),o){t=e.getResolvedSignature(o);const i=214===o.kind||dD(o)&&108===o.expression.kind,s=i?a.getConstructSignatures():a.getCallSignatures();if(!t||k(s,t.target)||k(s,t)||(t=s.length?s[0]:void 0),t){switch(i&&32&f?(m="constructor",I(a.symbol,m)):2097152&f?(m="alias",N(m),d.push(GQ()),i&&(4&t.flags&&(d.push(BQ(128)),d.push(GQ())),d.push(BQ(105)),d.push(GQ())),R(n)):I(n,m),m){case"JSX attribute":case"property":case"var":case"const":case"let":case"parameter":case"local var":d.push(jQ(59)),d.push(GQ()),16&IS(a)||!a.symbol||(Ee(d,oZ(e,a.symbol,r,void 0,5)),d.push(nZ())),i&&(4&t.flags&&(d.push(BQ(128)),d.push(GQ())),d.push(BQ(105)),d.push(GQ())),C(t,s,262144);break;default:C(t,s)}_=!0,v=s.length>1}}else if(IY(i)&&!(98304&f)||137===i.kind&&176===i.parent.kind){const r=i.parent;if(n.declarations&&D(n.declarations,(e=>e===(137===i.kind?r.parent:r)))){const o=176===r.kind?a.getNonNullableType().getConstructSignatures():a.getNonNullableType().getCallSignatures();t=e.isImplementationOfOverload(r)?o[0]:e.getSignatureFromDeclaration(r),176===r.kind?(m="constructor",I(a.symbol,m)):I(179!==r.kind||2048&a.symbol.flags||4096&a.symbol.flags?n:a.symbol,m),t&&C(t,o),_=!0,v=o.length>1}}}if(32&f&&!_&&!h&&(x(),Df(n,231)?N("local class"):d.push(BQ(86)),d.push(GQ()),R(n),M(n,t)),64&f&&2&s&&(S(),d.push(BQ(120)),d.push(GQ()),R(n),M(n,t)),524288&f&&2&s&&(S(),d.push(BQ(156)),d.push(GQ()),R(n),M(n,t),d.push(GQ()),d.push(VQ(64)),d.push(GQ()),Ee(d,rZ(e,i.parent&&Gc(i.parent)?e.getTypeAtLocation(i.parent):e.getDeclaredTypeOfSymbol(n),r,8388608))),384&f&&(S(),oe(n.declarations,(e=>uC(e)&&A_(e)))&&(d.push(BQ(87)),d.push(GQ())),d.push(BQ(94)),d.push(GQ()),R(n)),1536&f&&!h){S();const e=Df(n,267),t=e&&e.name&&80===e.name.kind;d.push(BQ(t?145:144)),d.push(GQ()),R(n)}if(262144&f&&2&s)if(S(),d.push(jQ(21)),d.push(qQ("type parameter")),d.push(jQ(22)),d.push(GQ()),R(n),n.parent)A(),R(n.parent,r),M(n.parent,r);else{const r=Df(n,168);if(void 0===r)return Tt.fail();const o=r.parent;if(o)if(Td(o)){A();const n=e.getSignatureFromDeclaration(o);180===o.kind?(d.push(BQ(105)),d.push(GQ())):179!==o.kind&&o.name&&R(o.symbol),Ee(d,iZ(e,n,t,32))}else dC(o)&&(A(),d.push(BQ(156)),d.push(GQ()),R(o.symbol),M(o.symbol,t))}if(8&f){m="enum member",I(n,"enum member");const t=null==(c=n.declarations)?void 0:c[0];if(306===(null==t?void 0:t.kind)){const n=e.getConstantValue(t);void 0!==n&&(d.push(GQ()),d.push(VQ(64)),d.push(GQ()),d.push(zQ(Cm(n),"number"==typeof n?7:8)))}}if(2097152&n.flags){if(S(),!_||0===u.length&&0===p.length){const t=e.getAliasedSymbol(n);if(t!==n&&t.declarations&&t.declarations.length>0){const r=t.declarations[0],o=jl(r);if(o&&!_){const i=wm(r)&&Bb(r,128),l="default"!==n.name&&!i,c=Mme(e,t,$f(r),r,o,a,s,l?n:t);d.push(...c.displayParts),d.push(nZ()),g=c.documentation,y=c.tags}else g=t.getContextualDocumentationComment(r,e),y=t.getJsDocTags(e)}}if(n.declarations)switch(n.declarations[0].kind){case 270:d.push(BQ(95)),d.push(GQ()),d.push(BQ(145));break;case 277:d.push(BQ(95)),d.push(GQ()),d.push(BQ(n.declarations[0].isExportEquals?64:90));break;case 281:d.push(BQ(95));break;default:d.push(BQ(102))}d.push(GQ()),R(n),E(n.declarations,(n=>{if(271===n.kind){const t=n;if(Uh(t))d.push(GQ()),d.push(VQ(64)),d.push(GQ()),d.push(BQ(149)),d.push(jQ(21)),d.push(zQ(xm(Hh(t)),8)),d.push(jQ(22));else{const n=e.getSymbolAtLocation(t.moduleReference);n&&(d.push(GQ()),d.push(VQ(64)),d.push(GQ()),R(n,r))}return!0}}))}if(!_)if(""!==m){if(a)if(h?(S(),d.push(BQ(110))):I(n,m),"property"===m||"accessor"===m||"getter"===m||"setter"===m||"JSX attribute"===m||3&f||"local var"===m||"index"===m||"using"===m||"await using"===m||h){if(d.push(jQ(59)),d.push(GQ()),a.symbol&&262144&a.symbol.flags&&"index"!==m){const n=tZ((n=>{const t=e.typeParameterToDeclaration(a,r,Ame);b().writeNode(4,t,$f(Cl(r)),n)}));Ee(d,n)}else Ee(d,rZ(e,a,r));if(Pf(n)&&n.links.target&&Pf(n.links.target)&&n.links.target.links.tupleLabelDeclaration){const e=n.links.target.links.tupleLabelDeclaration;Tt.assertNode(e.name,tN),d.push(GQ()),d.push(jQ(21)),d.push(qQ(Ll(e.name))),d.push(jQ(22))}}else if(16&f||8192&f||16384&f||131072&f||98304&f||"method"===m){const e=a.getNonNullableType().getCallSignatures();e.length&&(C(e[0],e),v=e.length>1)}}else m=Ime(e,n,i);if(0!==u.length||v||(u=n.getContextualDocumentationComment(r,e)),0===u.length&&4&f&&n.parent&&n.declarations&&E(n.parent.declarations,(e=>312===e.kind)))for(const t of n.declarations){if(!t.parent||226!==t.parent.kind)continue;const n=e.getSymbolAtLocation(t.parent.right);if(n&&(u=n.getDocumentationComment(e),p=n.getJsDocTags(e),u.length>0))break}if(0===u.length&&tN(i)&&n.valueDeclaration&&iD(n.valueDeclaration)){const t=n.valueDeclaration,r=t.parent,i=t.propertyName||t.name;if(tN(i)&&rD(r)){const n=sv(i),t=e.getTypeAtLocation(r);u=T(t.isUnion()?t.types:[t],(t=>{const r=t.getProperty(n);return r?r.getDocumentationComment(e):void 0}))||o}}return 0!==p.length||v||(p=n.getContextualJsDocTags(r,e)),0===u.length&&g&&(u=g),0===p.length&&y&&(p=y),{displayParts:d,documentation:u,symbolKind:m,tags:0===p.length?void 0:p};function b(){return hV()}function S(){d.length&&d.push(nZ()),x()}function x(){l&&(N("alias"),d.push(GQ()))}function A(){d.push(GQ()),d.push(BQ(103)),d.push(GQ())}function R(r,o){let i;l&&r===n&&(r=l),"index"===m&&(i=e.getIndexInfosOfIndexSymbol(r));let a=[];131072&r.flags&&i?(r.parent&&(a=oZ(e,r.parent)),a.push(jQ(23)),i.forEach(((n,t)=>{a.push(...rZ(e,n.keyType)),t!==i.length-1&&(a.push(GQ()),a.push(jQ(52)),a.push(GQ()))})),a.push(jQ(24))):a=oZ(e,r,o||t,void 0,7),Ee(d,a),16777216&n.flags&&d.push(jQ(58))}function I(e,n){S(),n&&(N(n),e&&!oe(e.declarations,(e=>hD(e)||(_D(e)||ND(e))&&!e.name))&&(d.push(GQ()),R(e)))}function N(e){switch(e){case"var":case"function":case"let":case"const":case"constructor":case"using":case"await using":return void d.push(KQ(e));default:return d.push(jQ(21)),d.push(KQ(e)),void d.push(jQ(22))}}function C(n,t,o=0){Ee(d,iZ(e,n,r,32|o)),t.length>1&&(d.push(GQ()),d.push(jQ(21)),d.push(VQ(40)),d.push(zQ((t.length-1).toString(),7)),d.push(GQ()),d.push(qQ(2===t.length?"overload":"overloads")),d.push(jQ(22))),u=n.getDocumentationComment(e),p=n.getJsDocTags(),t.length>1&&0===u.length&&0===p.length&&(u=t[0].getDocumentationComment(e),p=t[0].getJsDocTags().filter((e=>"deprecated"!==e.name)))}function M(n,t){const r=tZ((r=>{const o=e.symbolToTypeParameterDeclarations(n,t,Ame);b().writeList(53776,o,$f(Cl(t)),r)}));Ee(d,r)}}function Pme(e,n,t,r,o,i=rY(o),a){return Mme(e,n,t,r,o,void 0,i,a)}function Lme(e){return!e.parent&&E(e.declarations,(e=>{if(218===e.kind)return!0;if(260!==e.kind&&262!==e.kind)return!1;for(let n=e.parent;!rh(n);n=n.parent)if(312===n.kind||268===n.kind)return!1;return!0}))}var kme=g({"src/services/symbolDisplay.ts"(){Tge(),Ame=70246400}}),wme={};y(wme,{getSymbolDisplayPartsDocumentationAndSymbolKind:()=>Pme,getSymbolKind:()=>Ime,getSymbolModifiers:()=>Cme});var Ome,Fme,Wme,zme,Gme,Bme,jme,Vme=g({"src/services/_namespaces/ts.SymbolDisplay.ts"(){kme()}});function Ume(e){const n=e.__pos;return Tt.assert("number"==typeof n),n}function Hme(e,n){Tt.assert("number"==typeof n),e.__pos=n}function Kme(e){const n=e.__end;return Tt.assert("number"==typeof n),n}function qme(e,n){Tt.assert("number"==typeof n),e.__end=n}function Jme(e,n){return Ts(e,n,!1,!0)}function Xme(e,n,t,r){return{pos:Yme(e,n,r),end:Qme(e,t,r)}}function Yme(e,n,t,r=!1){var o,i;const{leadingTriviaOption:a}=t;if(0===a)return n.getStart(e);if(3===a){const t=n.getStart(e),r=LY(t,e);return OY(n,r)?r:t}if(2===a){const t=B_(n,e.text);if(null==t?void 0:t.length)return LY(t[0].pos,e)}const s=n.getFullStart(),l=n.getStart(e);if(s===l)return l;const c=LY(s,e);if(LY(l,e)===c)return 1===a?s:l;if(r){const n=(null==(o=ks(e.text,s))?void 0:o[0])||(null==(i=ws(e.text,s))?void 0:i[0]);if(n)return Ts(e.text,n.end,!0,!0)}const d=s>0?1:0;let u=nm(fb(e,c)+d,e);return u=Jme(e.text,u),nm(fb(e,u),e)}function $me(e,n,t){const{end:r}=n,{trailingTriviaOption:o}=t;if(2===o){const t=ws(e.text,r);if(t){const r=fb(e,n.end);for(const n of t){if(2===n.kind||fb(e,n.pos)>r)break;if(fb(e,n.end)>r)return Ts(e.text,n.end,!0,!0)}}}}function Qme(e,n,t){var r;const{end:o}=n,{trailingTriviaOption:i}=t;if(0===i)return o;if(1===i){const n=ae(ws(e.text,o),ks(e.text,o)),t=null==(r=null==n?void 0:n[n.length-1])?void 0:r.end;return t||o}const a=$me(e,n,t);if(a)return a;const s=Ts(e.text,o,!0);return s===o||2!==i&&!ys(e.text.charCodeAt(s-1))?o:s}function Zme(e,n){return!!n&&!!e.parent&&(28===n.kind||27===n.kind&&210===e.parent.kind)}function e_e(e){return _D(e)||sC(e)}function n_e(e,n){return Ts(e.text,Yme(e,n,{leadingTriviaOption:1}),!1,!0)}function t_e(e,n,t,r){const o=n_e(e,r);if(void 0===t||iS(Qme(e,n,{}),o,e))return o;const i=f$(r.getStart(e),e);if(Zme(n,i)){const r=f$(n.getStart(e),e);if(Zme(t,r)){const n=Ts(e.text,i.getEnd(),!0,!0);if(iS(r.getStart(e),i.getStart(e),e))return ys(e.text.charCodeAt(n-1))?n-1:n;if(ys(e.text.charCodeAt(n)))return n}}return o}function r_e(e){return sD(e)?e.properties:e.members}function o_e(e,n){for(let t=n.length-1;t>=0;t--){const{span:r,newText:o}=n[t];e=`${e.substring(0,r.start)}${o}${e.substring(Qs(r))}`}return e}function i_e(e){const n=fG(e,i_e,Bme,a_e,i_e),t=Sv(n)?n:Object.create(n);return Gx(t,Ume(e),Kme(e)),t}function a_e(e,n,t,r,o){const i=oG(e,n,t,r,o);if(!i)return i;Tt.assert(e);const a=i===e?UA.createNodeArray(i.slice(0)):i;return Gx(a,Ume(e),Kme(e)),a}function s_e(e){let n=0;const t=Hv(e);function r(e,r){if(r||!function(e){return Ts(e,0)===e.length}(e)){n=t.getTextPos();let r=0;for(;hs(e.charCodeAt(e.length-r-1));)r++;n-=r}}return{onBeforeEmitNode:e=>{e&&Hme(e,n)},onAfterEmitNode:e=>{e&&qme(e,n)},onBeforeEmitNodeArray:e=>{e&&Hme(e,n)},onAfterEmitNodeArray:e=>{e&&qme(e,n)},onBeforeEmitToken:e=>{e&&Hme(e,n)},onAfterEmitToken:e=>{e&&qme(e,n)},write:function(e){t.write(e),r(e,!1)},writeComment:function(e){t.writeComment(e)},writeKeyword:function(e){t.writeKeyword(e),r(e,!1)},writeOperator:function(e){t.writeOperator(e),r(e,!1)},writePunctuation:function(e){t.writePunctuation(e),r(e,!1)},writeTrailingSemicolon:function(e){t.writeTrailingSemicolon(e),r(e,!1)},writeParameter:function(e){t.writeParameter(e),r(e,!1)},writeProperty:function(e){t.writeProperty(e),r(e,!1)},writeSpace:function(e){t.writeSpace(e),r(e,!1)},writeStringLiteral:function(e){t.writeStringLiteral(e),r(e,!1)},writeSymbol:function(e,n){t.writeSymbol(e,n),r(e,!1)},writeLine:function(e){t.writeLine(e)},increaseIndent:function(){t.increaseIndent()},decreaseIndent:function(){t.decreaseIndent()},getText:function(){return t.getText()},rawWrite:function(e){t.rawWrite(e),r(e,!1)},writeLiteral:function(e){t.writeLiteral(e),r(e,!0)},getTextPos:function(){return t.getTextPos()},getLine:function(){return t.getLine()},getColumn:function(){return t.getColumn()},getIndent:function(){return t.getIndent()},isAtStartOfLine:function(){return t.isAtStartOfLine()},hasTrailingComment:()=>t.hasTrailingComment(),hasTrailingWhitespace:()=>t.hasTrailingWhitespace(),clear:function(){t.clear(),n=0}}}function l_e(e,n){return!(N$(e,n)||g$(e,n)||b$(e,n)||E$(e,n))}function c_e(e,n,t,r={leadingTriviaOption:1}){const o=Yme(n,t,r),i=Qme(n,t,r);e.deleteRange(n,{pos:o,end:i})}function d_e(e,n,t,r){const o=Tt.checkDefined(vge.SmartIndenter.getContainingList(r,t)),i=Rm(o,r);Tt.assert(-1!==i),1!==o.length?(Tt.assert(!n.has(r),"Deleting a node twice"),n.add(r),e.deleteRange(t,{pos:n_e(t,r),end:i===o.length-1?Qme(t,r,{}):t_e(t,r,o[i-1],o[i+1])})):c_e(e,t,r)}var u_e=g({"src/services/textChanges.ts"(){Tge(),Ome=(e=>(e[e.Exclude=0]="Exclude",e[e.IncludeAll=1]="IncludeAll",e[e.JSDoc=2]="JSDoc",e[e.StartLine=3]="StartLine",e))(Ome||{}),Fme=(e=>(e[e.Exclude=0]="Exclude",e[e.ExcludeWhitespace=1]="ExcludeWhitespace",e[e.Include=2]="Include",e))(Fme||{}),Wme={leadingTriviaOption:0,trailingTriviaOption:0},zme=class e{constructor(e,n){this.newLineCharacter=e,this.formatContext=n,this.changes=[],this.classesWithNodesInsertedAtStart=new Map,this.deletedNodes=[]}static fromContext(n){return new e(eZ(n.host,n.formatContext.options),n.formatContext)}static with(n,t){const r=e.fromContext(n);return t(r),r.getChanges()}pushRaw(e,n){Tt.assertEqual(e.fileName,n.fileName);for(const t of n.textChanges)this.changes.push({kind:3,sourceFile:e,text:t.newText,range:X$(t.span)})}deleteRange(e,n){this.changes.push({kind:0,sourceFile:e,range:n})}delete(e,n){this.deletedNodes.push({sourceFile:e,node:n})}deleteNode(e,n,t={leadingTriviaOption:1}){this.deleteRange(e,Xme(e,n,n,t))}deleteNodes(e,n,t={leadingTriviaOption:1},r){for(const o of n){const n=Yme(e,o,t,r),i=Qme(e,o,t);this.deleteRange(e,{pos:n,end:i}),r=!!$me(e,o,t)}}deleteModifier(e,n){this.deleteRange(e,{pos:n.getStart(e),end:Ts(e.text,n.end,!0)})}deleteNodeRange(e,n,t,r={leadingTriviaOption:1}){const o=Yme(e,n,r),i=Qme(e,t,r);this.deleteRange(e,{pos:o,end:i})}deleteNodeRangeExcludingEnd(e,n,t,r={leadingTriviaOption:1}){const o=Yme(e,n,r),i=void 0===t?e.text.length:Yme(e,t,r);this.deleteRange(e,{pos:o,end:i})}replaceRange(e,n,t,r={}){this.changes.push({kind:1,sourceFile:e,range:n,options:r,node:t})}replaceNode(e,n,t,r=Wme){this.replaceRange(e,Xme(e,n,n,r),t,r)}replaceNodeRange(e,n,t,r,o=Wme){this.replaceRange(e,Xme(e,n,t,o),r,o)}replaceRangeWithNodes(e,n,t,r={}){this.changes.push({kind:2,sourceFile:e,range:n,options:r,nodes:t})}replaceNodeWithNodes(e,n,t,r=Wme){this.replaceRangeWithNodes(e,Xme(e,n,n,r),t,r)}replaceNodeWithText(e,n,t){this.replaceRangeWithText(e,Xme(e,n,n,Wme),t)}replaceNodeRangeWithNodes(e,n,t,r,o=Wme){this.replaceRangeWithNodes(e,Xme(e,n,t,o),r,o)}nodeHasTrailingComment(e,n,t=Wme){return!!$me(e,n,t)}nextCommaToken(e,n){const t=p$(n,n.parent,e);return t&&28===t.kind?t:void 0}replacePropertyAssignment(e,n,t){const r=this.nextCommaToken(e,n)?"":","+this.newLineCharacter;this.replaceNode(e,n,t,{suffix:r})}insertNodeAt(e,n,t,r={}){this.replaceRange(e,UE(n),t,r)}insertNodesAt(e,n,t,r={}){this.replaceRangeWithNodes(e,UE(n),t,r)}insertNodeAtTopOfFile(e,n,t){this.insertAtTopOfFile(e,n,t)}insertNodesAtTopOfFile(e,n,t){this.insertAtTopOfFile(e,n,t)}insertAtTopOfFile(e,n,t){const r=function(e){let n;for(const t of e.statements){if(!w_(t))break;n=t}let t=0;const r=e.text;if(n)return t=n.end,l(),t;const o=Os(r);void 0!==o&&(t=o.length,l());const i=ks(r,t);if(!i)return t;let a,s;for(const n of i){if(3===n.kind){if(gm(r,n.pos)){a={range:n,pinnedOrTripleSlash:!0};continue}}else if(hm(r,n.pos,n.end)){a={range:n,pinnedOrTripleSlash:!0};continue}if(a){if(a.pinnedOrTripleSlash)break;if(e.getLineAndCharacterOfPosition(n.pos).line>=e.getLineAndCharacterOfPosition(a.range.end).line+2)break}if(e.statements.length&&(void 0===s&&(s=e.getLineAndCharacterOfPosition(e.statements[0].getStart()).line),s<e.getLineAndCharacterOfPosition(n.end).line+2))break;a={range:n,pinnedOrTripleSlash:!1}}return a&&(t=a.range.end,l()),t;function l(){if(t<r.length){const e=r.charCodeAt(t);ys(e)&&(t++,t<r.length&&13===e&&10===r.charCodeAt(t)&&t++)}}}(e),o={prefix:0===r?void 0:this.newLineCharacter,suffix:(ys(e.text.charCodeAt(r))?"":this.newLineCharacter)+(t?this.newLineCharacter:"")};pn(n)?this.insertNodesAt(e,r,n,o):this.insertNodeAt(e,r,n,o)}insertNodesAtEndOfFile(e,n,t){this.insertAtEndOfFile(e,n,t)}insertAtEndOfFile(e,n,t){const r=e.end+1,o={prefix:this.newLineCharacter,suffix:this.newLineCharacter+(t?this.newLineCharacter:"")};this.insertNodesAt(e,r,n,o)}insertStatementsInNewFile(e,n,t){this.newFileChanges||(this.newFileChanges=sn()),this.newFileChanges.add(e,{oldFile:t,statements:n})}insertFirstParameter(e,n,t){const r=De(n);r?this.insertNodeBefore(e,r,t):this.insertNodeAt(e,n.pos,t)}insertNodeBefore(e,n,t,r=!1,o={}){this.insertNodeAt(e,Yme(e,n,o),t,this.getOptionsForInsertNodeBefore(n,t,r))}insertNodesBefore(e,n,t,r=!1,o={}){this.insertNodesAt(e,Yme(e,n,o),t,this.getOptionsForInsertNodeBefore(n,Me(t),r))}insertModifierAt(e,n,t,r={}){this.insertNodeAt(e,n,UA.createToken(t),r)}insertModifierBefore(e,n,t){return this.insertModifierAt(e,t.getStart(e),n,{suffix:" "})}insertCommentBeforeLine(e,n,t,r){const o=nm(n,e),i=pZ(e.text,o),a=l_e(e,i),s=s$(e,a?i:t),l=e.text.slice(o,i),c=`${a?"":this.newLineCharacter}//${r}${this.newLineCharacter}${l}`;this.insertText(e,s.getStart(e),c)}insertJsdocCommentBefore(e,n,t){const r=n.getStart(e);if(n.jsDoc)for(const t of n.jsDoc)this.deleteRange(e,{pos:LY(t.getStart(e),e),end:Qme(e,t,{})});const o=fZ(e.text,r-1),i=e.text.slice(o,r);this.insertNodeAt(e,r,t,{suffix:this.newLineCharacter+i})}createJSDocText(e,n){const t=H(n.jsDoc,(e=>mn(e.comment)?UA.createJSDocText(e.comment):e.comment)),r=we(n.jsDoc);return r&&iS(r.pos,r.end,e)&&0===b(t)?void 0:UA.createNodeArray(I(t,UA.createJSDocText("\n")))}replaceJSDocComment(e,n,t){this.insertJsdocCommentBefore(e,function(e){if(219!==e.kind)return e;const n=172===e.parent.kind?e.parent:e.parent.parent;return n.jsDoc=e.jsDoc,n}(n),UA.createJSDocComment(this.createJSDocText(e,n),UA.createNodeArray(t)))}addJSDocTags(e,n,t){const r=K(n.jsDoc,(e=>e.tags)),o=t.filter((e=>!r.some(((n,t)=>{const o=function(e,n){if(e.kind===n.kind)switch(e.kind){case 348:{const t=e,r=n;return tN(t.name)&&tN(r.name)&&t.name.escapedText===r.name.escapedText?UA.createJSDocParameterTag(void 0,r.name,!1,r.typeExpression,r.isNameFirst,t.comment):void 0}case 349:return UA.createJSDocReturnTag(void 0,n.typeExpression,e.comment);case 351:return UA.createJSDocTypeTag(void 0,n.typeExpression,e.comment)}}(n,e);return o&&(r[t]=o),!!o}))));this.replaceJSDocComment(e,n,[...r,...o])}filterJSDocTags(e,n,t){this.replaceJSDocComment(e,n,W(K(n.jsDoc,(e=>e.tags)),t))}replaceRangeWithText(e,n,t){this.changes.push({kind:3,sourceFile:e,range:n,text:t})}insertText(e,n,t){this.replaceRangeWithText(e,UE(n),t)}tryInsertTypeAnnotation(e,n,t){let r;if(Td(n)){if(r=JY(n,22,e),!r){if(!hD(n))return!1;r=Me(n.parameters)}}else r=(260===n.kind?n.exclamationToken:n.questionToken)??n.name;return this.insertNodeAt(e,r.end,t,{prefix:": "}),!0}tryInsertThisTypeAnnotation(e,n,t){const r=JY(n,21,e).getStart(e)+1,o=n.parameters.length?", ":"";this.insertNodeAt(e,r,t,{prefix:"this: ",suffix:o})}insertTypeParameters(e,n,t){const r=(JY(n,21,e)||Me(n.parameters)).getStart(e);this.insertNodesAt(e,r,t,{prefix:"<",suffix:">",joiner:", "})}getOptionsForInsertNodeBefore(e,n,t){return wu(e)||Cd(e)?{suffix:t?this.newLineCharacter+this.newLineCharacter:this.newLineCharacter}:iC(e)?{suffix:", "}:bN(e)?bN(n)?{suffix:", "}:{}:zI(e)&&gC(e.parent)||RC(e)?{suffix:", "}:IC(e)?{suffix:","+(t?this.newLineCharacter:" ")}:Tt.failBadSyntaxKind(e)}insertNodeAtConstructorStart(e,n,t){const r=De(n.body.statements);r&&n.body.multiLine?this.insertNodeBefore(e,r,t):this.replaceConstructorBody(e,n,[t,...n.body.statements])}insertNodeAtConstructorStartAfterSuperCall(e,n,t){const r=D(n.body.statements,(e=>VD(e)&&M_(e.expression)));r&&n.body.multiLine?this.insertNodeAfter(e,r,t):this.replaceConstructorBody(e,n,[...n.body.statements,t])}insertNodeAtConstructorEnd(e,n,t){const r=Le(n.body.statements);r&&n.body.multiLine?this.insertNodeAfter(e,r,t):this.replaceConstructorBody(e,n,[...n.body.statements,t])}replaceConstructorBody(e,n,t){this.replaceNode(e,n.body,UA.createBlock(t,!0))}insertNodeAtEndOfScope(e,n,t){const r=Yme(e,n.getLastToken(),{});this.insertNodeAt(e,r,t,{prefix:ys(e.text.charCodeAt(n.getLastToken().pos))?this.newLineCharacter:this.newLineCharacter+this.newLineCharacter,suffix:this.newLineCharacter})}insertMemberAtStart(e,n,t){this.insertNodeAtStartWorker(e,n,t)}insertNodeAtObjectStart(e,n,t){this.insertNodeAtStartWorker(e,n,t)}insertNodeAtStartWorker(e,n,t){const r=this.guessIndentationFromExistingMembers(e,n)??this.computeIndentationForNewMember(e,n);this.insertNodeAt(e,r_e(n).pos,t,this.getInsertNodeAtStartInsertOptions(e,n,r))}guessIndentationFromExistingMembers(e,n){let t,r=n;for(const o of r_e(n)){if(QE(r,o,e))return;const n=o.getStart(e),i=vge.SmartIndenter.findFirstNonWhitespaceColumn(LY(n,e),n,e,this.formatContext.options);if(void 0===t)t=i;else if(i!==t)return;r=o}return t}computeIndentationForNewMember(e,n){const t=n.getStart(e);return vge.SmartIndenter.findFirstNonWhitespaceColumn(LY(t,e),t,e,this.formatContext.options)+(this.formatContext.options.indentSize??4)}getInsertNodeAtStartInsertOptions(e,n,t){const r=0===r_e(n).length,o=PS(this.classesWithNodesInsertedAtStart,Hz(n),{node:n,sourceFile:e}),i=sD(n)&&(!x_(e)||!r);return{indentation:t,prefix:(sD(n)&&x_(e)&&r&&!o?",":"")+this.newLineCharacter,suffix:i?",":cC(n)&&r?";":""}}insertNodeAfterComma(e,n,t){const r=this.insertNodeAfterWorker(e,this.nextCommaToken(e,n)||n,t);this.insertNodeAt(e,r,t,this.getInsertNodeAfterOptions(e,n))}insertNodeAfter(e,n,t){const r=this.insertNodeAfterWorker(e,n,t);this.insertNodeAt(e,r,t,this.getInsertNodeAfterOptions(e,n))}insertNodeAtEndOfList(e,n,t){this.insertNodeAt(e,n.end,t,{prefix:", "})}insertNodesAfter(e,n,t){const r=this.insertNodeAfterWorker(e,n,Me(t));this.insertNodesAt(e,r,t,this.getInsertNodeAfterOptions(e,n))}insertNodeAfterWorker(e,n,t){var r,o;o=t,((SN(r=n)||TN(r))&&zd(o)&&167===o.name.kind||ku(r)&&ku(o))&&59!==e.text.charCodeAt(n.end-1)&&this.replaceRange(e,UE(n.end),UA.createToken(27));return Qme(e,n,{})}getInsertNodeAfterOptions(e,n){const t=this.getInsertNodeAfterOptionsWorker(n);return{...t,prefix:n.end===e.end&&wu(n)?t.prefix?`\n${t.prefix}`:"\n":t.prefix}}getInsertNodeAfterOptionsWorker(e){switch(e.kind){case 263:case 267:return{prefix:this.newLineCharacter,suffix:this.newLineCharacter};case 260:case 11:case 80:return{prefix:", "};case 303:return{suffix:","+this.newLineCharacter};case 95:return{prefix:" "};case 169:return{};default:return Tt.assert(wu(e)||zd(e)),{suffix:this.newLineCharacter}}}insertName(e,n,t){if(Tt.assert(!n.name),219===n.kind){const r=JY(n,39,e),o=JY(n,21,e);o?(this.insertNodesAt(e,o.getStart(e),[UA.createToken(100),UA.createIdentifier(t)],{joiner:" "}),c_e(this,e,r)):(this.insertText(e,Me(n.parameters).getStart(e),`function ${t}(`),this.replaceRange(e,r,UA.createToken(22))),241!==n.body.kind&&(this.insertNodesAt(e,n.body.getStart(e),[UA.createToken(19),UA.createToken(107)],{joiner:" ",suffix:" "}),this.insertNodesAt(e,n.body.end,[UA.createToken(27),UA.createToken(20)],{joiner:" "}))}else{const r=JY(n,218===n.kind?100:86,e).end;this.insertNodeAt(e,r,UA.createIdentifier(t),{prefix:" "})}}insertExportModifier(e,n){this.insertText(e,n.getStart(e),"export ")}insertImportSpecifierAtIndex(e,n,t,r){const o=t.elements[r-1];o?this.insertNodeInListAfter(e,o,n):this.insertNodeBefore(e,t.elements[0],n,!iS(t.elements[0].getStart(),t.parent.parent.getStart(),e))}insertNodeInListAfter(e,n,t,r=vge.SmartIndenter.getContainingList(n,e)){if(!r)return void Tt.fail("node is not a list element");const o=Rm(r,n);if(o<0)return;const i=n.getEnd();if(o!==r.length-1){const i=l$(e,n.end);if(i&&Zme(n,i)){const n=r[o+1],a=Jme(e.text,n.getFullStart()),s=`${as(i.kind)}${e.text.substring(i.end,a)}`;this.insertNodesAt(e,a,[t],{suffix:s})}}else{const a=n.getStart(e),s=LY(a,e);let l,c=!1;if(1===r.length)l=28;else{const t=f$(n.pos,e);l=Zme(n,t)?t.kind:28;c=LY(r[o-1].getStart(e),e)!==s}if(!function(e,n){let t=n;for(;t<e.length;){const n=e.charCodeAt(t);if(!gs(n))return 47===n;t++}return!1}(e.text,n.end)&&iS(r.pos,r.end,e)||(c=!0),c){this.replaceRange(e,UE(i),UA.createToken(l));const n=vge.SmartIndenter.findFirstNonWhitespaceColumn(s,a,e,this.formatContext.options);let r=Ts(e.text,i,!0,!1);for(;r!==i&&ys(e.text.charCodeAt(r-1));)r--;this.replaceRange(e,UE(r),t,{indentation:n,prefix:this.newLineCharacter})}else this.replaceRange(e,UE(i),t,{prefix:`${as(l)} `})}}parenthesizeExpression(e,n){this.replaceRange(e,Rx(n),UA.createParenthesizedExpression(n))}finishClassesWithNodesInsertedAtStart(){this.classesWithNodesInsertedAtStart.forEach((({node:e,sourceFile:n})=>{const[t,r]=function(e,n){const t=JY(e,19,n),r=JY(e,20,n);return[null==t?void 0:t.end,null==r?void 0:r.end]}(e,n);if(void 0!==t&&void 0!==r){const o=0===r_e(e).length,i=iS(t,r,n);o&&i&&t!==r-1&&this.deleteRange(n,UE(t,r-1)),i&&this.insertText(n,r-1,this.newLineCharacter)}}))}finishDeleteDeclarations(){const e=new Set;for(const{sourceFile:n,node:t}of this.deletedNodes)this.deletedNodes.some((e=>e.sourceFile===n&&wY(e.node,t)))||(pn(t)?this.deleteRange(n,Ix(n,t)):jme.deleteDeclaration(this,e,n,t));e.forEach((n=>{const t=n.getSourceFile(),r=vge.SmartIndenter.getContainingList(n,t);if(n!==ke(r))return;const o=P(r,(n=>!e.has(n)),r.length-2);-1!==o&&this.deleteRange(t,{pos:r[o].end,end:n_e(t,r[o+1])})}))}getChanges(e){this.finishDeleteDeclarations(),this.finishClassesWithNodesInsertedAtStart();const n=Gme.getTextChangesFromChanges(this.changes,this.newLineCharacter,this.formatContext,e);return this.newFileChanges&&this.newFileChanges.forEach(((e,t)=>{n.push(Gme.newFileChanges(t,e,this.newLineCharacter,this.formatContext))})),n}createNewFile(e,n,t){this.insertStatementsInNewFile(n,t,e)}},(e=>{function n(e,n,r,o){const i=H(n,(e=>e.statements.map((n=>4===n?"":t(n,e.oldFile,r).text)))).join(r),a=lk("any file name",i,{languageVersion:99,jsDocParsingMode:1},!0,e);return o_e(i,vge.formatDocument(a,o))+r}function t(e,n,t){const r=s_e(t);return HV({newLine:T0(t),neverAsciiEscape:!0,preserveSourceNewlines:!0,terminateUnterminatedLiterals:!0},r).writeNode(4,e,n,r),{text:r.getText(),node:i_e(e)}}e.getTextChangesFromChanges=function(e,n,r,o){return Y(en(e,(e=>e.sourceFile.path)),(e=>{const i=e[0].sourceFile,a=Ie(e,((e,n)=>e.range.pos-n.range.pos||e.range.end-n.range.end));for(let e=0;e<a.length-1;e++)Tt.assert(a[e].range.end<=a[e+1].range.pos,"Changes overlap",(()=>`${JSON.stringify(a[e].range)} and ${JSON.stringify(a[e+1].range)}`));const s=Y(a,(e=>{const a=J$(e.range),s=1===e.kind?$f(Il(e.node))??e.sourceFile:2===e.kind?$f(Il(e.nodes[0]))??e.sourceFile:e.sourceFile,l=function(e,n,r,o,i,a){var s;if(0===e.kind)return"";if(3===e.kind)return e.text;const{options:l={},range:{pos:c}}=e,d=e=>function(e,n,r,o,{indentation:i,prefix:a,delta:s},l,c,d){const{node:u,text:p}=t(e,n,l);d&&d(u,p);const f=A0(c,n),m=void 0!==i?i:vge.SmartIndenter.getIndentation(o,r,f,a===l||LY(o,n)===o);void 0===s&&(s=vge.SmartIndenter.shouldIndentChildNode(f,e)&&f.indentSize||0);const _={text:p,getLineAndCharacterOfPosition(e){return _s(this,e)}},h=vge.formatNodeGivenIndentation(u,_,n.languageVariant,m,s,{...c,options:f});return o_e(p,h)}(e,n,r,c,l,o,i,a),u=2===e.kind?e.nodes.map((e=>Yn(d(e),o))).join((null==(s=e.options)?void 0:s.joiner)||o):d(e.node),p=void 0!==l.indentation||LY(c,n)===c?u:u.replace(/^\s+/,"");return(l.prefix||"")+p+(!l.suffix||Xn(p,l.suffix)?"":l.suffix)}(e,s,i,n,r,o);if(a.length!==l.length||!g0(s.text,l,a.start))return $$(a,l)}));return s.length>0?{fileName:i.fileName,textChanges:s}:void 0}))},e.newFileChanges=function(e,t,r,o){const i=n(ZT(e),t,r,o);return{fileName:e,textChanges:[$$(dl(0,0),i)],isNewFile:!0}},e.newFileChangesWorker=n,e.getNonformattedText=t})(Gme||(Gme={})),Bme={...tV,factory:JA(1|tV.factory.flags,tV.factory.baseFactory)},(e=>{function n(e,n,t){if(t.parent.name){const r=Tt.checkDefined(l$(n,t.pos-1));e.deleteRange(n,{pos:r.getStart(n),end:t.end})}else{c_e(e,n,jy(t,272))}}e.deleteDeclaration=function(e,t,r,o){switch(o.kind){case 169:{const n=o.parent;hD(n)&&1===n.parameters.length&&!JY(n,21,r)?e.replaceNodeWithText(r,o,"()"):d_e(e,t,r,o);break}case 272:case 271:c_e(e,r,o,{leadingTriviaOption:r.imports.length&&o===Me(r.imports).parent||o===D(r.statements,Ym)?0:Xu(o)?2:3});break;case 208:const i=o.parent;207===i.kind&&o!==ke(i.elements)?c_e(e,r,o):d_e(e,t,r,o);break;case 260:!function(e,n,t,r){const{parent:o}=r;if(299===o.kind)return void e.deleteNodeRange(t,JY(o,21,t),JY(o,22,t));if(1!==o.declarations.length)return void d_e(e,n,t,r);const i=o.parent;switch(i.kind){case 250:case 249:e.replaceNode(t,r,UA.createObjectLiteralExpression());break;case 248:c_e(e,t,o);break;case 243:c_e(e,t,i,{leadingTriviaOption:Xu(i)?2:3});break;default:Tt.assertNever(i)}}(e,t,r,o);break;case 168:d_e(e,t,r,o);break;case 276:const a=o.parent;1===a.elements.length?n(e,r,a):d_e(e,t,r,o);break;case 274:n(e,r,o);break;case 27:c_e(e,r,o,{trailingTriviaOption:0});break;case 100:c_e(e,r,o,{leadingTriviaOption:0});break;case 263:case 262:c_e(e,r,o,{leadingTriviaOption:Xu(o)?2:3});break;default:o.parent?yC(o.parent)&&o.parent.name===o?function(e,n,t){if(t.namedBindings){const r=t.name.getStart(n),o=l$(n,t.name.end);if(o&&28===o.kind){const t=Ts(n.text,o.end,!1,!0);e.deleteRange(n,{pos:r,end:t})}else c_e(e,n,t.name)}else c_e(e,n,t.parent)}(e,r,o.parent):dD(o.parent)&&k(o.parent.arguments,o)?d_e(e,t,r,o):c_e(e,r,o):c_e(e,r,o)}}})(jme||(jme={}))}}),p_e={};y(p_e,{ChangeTracker:()=>zme,LeadingTriviaOption:()=>Ome,TrailingTriviaOption:()=>Fme,applyChanges:()=>o_e,assignPositionsToNode:()=>i_e,createWriter:()=>s_e,deleteNode:()=>c_e,isThisTypeAnnotatable:()=>e_e,isValidLocationToAddComment:()=>l_e});var f_e,m_e,__e,h_e,g_e=g({"src/services/_namespaces/ts.textChanges.ts"(){u_e()}}),y_e=g({"src/services/formatting/formattingContext.ts"(){Tge(),f_e=(e=>(e[e.FormatDocument=0]="FormatDocument",e[e.FormatSelection=1]="FormatSelection",e[e.FormatOnEnter=2]="FormatOnEnter",e[e.FormatOnSemicolon=3]="FormatOnSemicolon",e[e.FormatOnOpeningCurlyBrace=4]="FormatOnOpeningCurlyBrace",e[e.FormatOnClosingCurlyBrace=5]="FormatOnClosingCurlyBrace",e))(f_e||{}),m_e=class{constructor(e,n,t){this.sourceFile=e,this.formattingRequestKind=n,this.options=t}updateContext(e,n,t,r,o){this.currentTokenSpan=Tt.checkDefined(e),this.currentTokenParent=Tt.checkDefined(n),this.nextTokenSpan=Tt.checkDefined(t),this.nextTokenParent=Tt.checkDefined(r),this.contextNode=Tt.checkDefined(o),this.contextNodeAllOnSameLine=void 0,this.nextNodeAllOnSameLine=void 0,this.tokensAreOnSameLine=void 0,this.contextNodeBlockIsOnOneLine=void 0,this.nextNodeBlockIsOnOneLine=void 0}ContextNodeAllOnSameLine(){return void 0===this.contextNodeAllOnSameLine&&(this.contextNodeAllOnSameLine=this.NodeIsOnOneLine(this.contextNode)),this.contextNodeAllOnSameLine}NextNodeAllOnSameLine(){return void 0===this.nextNodeAllOnSameLine&&(this.nextNodeAllOnSameLine=this.NodeIsOnOneLine(this.nextTokenParent)),this.nextNodeAllOnSameLine}TokensAreOnSameLine(){if(void 0===this.tokensAreOnSameLine){const e=this.sourceFile.getLineAndCharacterOfPosition(this.currentTokenSpan.pos).line,n=this.sourceFile.getLineAndCharacterOfPosition(this.nextTokenSpan.pos).line;this.tokensAreOnSameLine=e===n}return this.tokensAreOnSameLine}ContextNodeBlockIsOnOneLine(){return void 0===this.contextNodeBlockIsOnOneLine&&(this.contextNodeBlockIsOnOneLine=this.BlockIsOnOneLine(this.contextNode)),this.contextNodeBlockIsOnOneLine}NextNodeBlockIsOnOneLine(){return void 0===this.nextNodeBlockIsOnOneLine&&(this.nextNodeBlockIsOnOneLine=this.BlockIsOnOneLine(this.nextTokenParent)),this.nextNodeBlockIsOnOneLine}NodeIsOnOneLine(e){return this.sourceFile.getLineAndCharacterOfPosition(e.getStart(this.sourceFile)).line===this.sourceFile.getLineAndCharacterOfPosition(e.getEnd()).line}BlockIsOnOneLine(e){const n=JY(e,19,this.sourceFile),t=JY(e,20,this.sourceFile);if(n&&t){return this.sourceFile.getLineAndCharacterOfPosition(n.getEnd()).line===this.sourceFile.getLineAndCharacterOfPosition(t.getStart(this.sourceFile)).line}return!1}}}});function v_e(e,n,t,r,o){const i=1===n?h_e:__e;i.setText(e),i.resetTokenState(t);let a,s,l,c,d,u=!0;const p=o({advance:function(){d=void 0;i.getTokenFullStart()!==t?u=!!s&&4===ke(s).kind:i.scan();a=void 0,s=void 0;let e=i.getTokenFullStart();for(;e<r;){const n=i.getToken();if(!Qy(n))break;i.scan();const t={pos:e,end:i.getTokenFullStart(),kind:n};e=i.getTokenFullStart(),a=ye(a,t)}l=i.getTokenFullStart()},readTokenInfo:function(e){Tt.assert(f());const n=function(e){switch(e.kind){case 34:case 72:case 73:case 50:case 49:return!0}return!1}(e)?1:(o=e,14===o.kind?2:function(e){return 17===e.kind||18===e.kind}(e)?3:function(e){if(e.parent)switch(e.parent.kind){case 291:case 286:case 287:case 285:return Vy(e.kind)||80===e.kind}return!1}(e)?4:(t=e,GI(t)||OC(t)&&12===(null==d?void 0:d.token.kind)?5:function(e){return e.parent&&VC(e.parent)&&e.parent.initializer===e}(e)?6:0));var t;var o;if(d&&n===c)return _(d,e);i.getTokenFullStart()!==l&&(Tt.assert(void 0!==d),i.resetTokenState(l),i.scan());let u=function(e,n){const t=i.getToken();switch(c=0,n){case 1:if(32===t){c=1;const n=i.reScanGreaterToken();return Tt.assert(e.kind===n),n}break;case 2:if(44===(r=t)||69===r){c=2;const n=i.reScanSlashToken();return Tt.assert(e.kind===n),n}break;case 3:if(20===t)return c=3,i.reScanTemplateToken(!1);break;case 4:return c=4,i.scanJsxIdentifier();case 5:return c=5,i.reScanJsxToken(!1);case 6:return c=6,i.reScanJsxAttributeValue();case 0:break;default:Tt.assertNever(n)}var r;return t}(e,n);const p=ege(i.getTokenFullStart(),i.getTokenEnd(),u);s&&(s=void 0);for(;i.getTokenFullStart()<r&&(u=i.scan(),Qy(u));){const e=ege(i.getTokenFullStart(),i.getTokenEnd(),u);if(s||(s=[]),s.push(e),4===u){i.scan();break}}return d={leadingTrivia:a,trailingTrivia:s,token:p},_(d,e)},readEOFTokenRange:function(){return Tt.assert(m()),ege(i.getTokenFullStart(),i.getTokenEnd(),1)},isOnToken:f,isOnEOF:m,getCurrentLeadingTrivia:()=>a,lastTrailingTriviaWasNewLine:()=>u,skipToEndOf:function(e){i.resetTokenState(e.end),l=i.getTokenFullStart(),c=void 0,d=void 0,u=!1,a=void 0,s=void 0},skipToStartOf:function(e){i.resetTokenState(e.pos),l=i.getTokenFullStart(),c=void 0,d=void 0,u=!1,a=void 0,s=void 0},getTokenFullStart:()=>(null==d?void 0:d.token.pos)??i.getTokenStart(),getStartPos:()=>(null==d?void 0:d.token.pos)??i.getTokenStart()});return d=void 0,i.setText(void 0),p;function f(){const e=d?d.token.kind:i.getToken();return 1!==e&&!Qy(e)}function m(){return 1===(d?d.token.kind:i.getToken())}function _(e,n){return $c(n)&&e.token.kind!==n.kind&&(e.token.kind=n.kind),e}}var b_e,E_e,S_e,T_e=g({"src/services/formatting/formattingScanner.ts"(){Tge(),Sge(),__e=Gs(99,!1,0),h_e=Gs(99,!1,1)}}),x_e=g({"src/services/formatting/rule.ts"(){Tge(),b_e=o,E_e=(e=>(e[e.None=0]="None",e[e.StopProcessingSpaceActions=1]="StopProcessingSpaceActions",e[e.StopProcessingTokenActions=2]="StopProcessingTokenActions",e[e.InsertSpace=4]="InsertSpace",e[e.InsertNewLine=8]="InsertNewLine",e[e.DeleteSpace=16]="DeleteSpace",e[e.DeleteToken=32]="DeleteToken",e[e.InsertTrailingSemicolon=64]="InsertTrailingSemicolon",e[e.StopAction=3]="StopAction",e[e.ModifySpaceAction=28]="ModifySpaceAction",e[e.ModifyTokenAction=96]="ModifyTokenAction",e))(E_e||{}),S_e=(e=>(e[e.None=0]="None",e[e.CanDeleteNewLines=1]="CanDeleteNewLines",e))(S_e||{})}});function A_e(){const e=[];for(let n=0;n<=165;n++)1!==n&&e.push(n);function n(...n){return{tokens:e.filter((e=>!n.some((n=>n===e)))),isSpecific:!1}}const t={tokens:e,isSpecific:!1},r=I_e([...e,3]),o=I_e([...e,1]),i=D_e(83,165),a=D_e(30,79),s=[103,104,165,130,142,152],l=[80,...XX],c=r,d=I_e([80,32,3,86,95,102]),u=I_e([22,3,92,113,98,93,85]);return[...[R_e("IgnoreBeforeComment",t,[2,3],b_e,1),R_e("IgnoreAfterLineComment",2,t,b_e,1),R_e("NotSpaceBeforeColon",t,59,[uhe,z_e,G_e],16),R_e("SpaceAfterColon",59,t,[uhe,z_e,ghe],4),R_e("NoSpaceBeforeQuestionMark",t,58,[uhe,z_e,G_e],16),R_e("SpaceAfterQuestionMarkInConditionalOperator",58,t,[uhe,V_e],4),R_e("NoSpaceAfterQuestionMark",58,t,[uhe,j_e],16),R_e("NoSpaceBeforeDot",t,[25,29],[uhe,Whe],16),R_e("NoSpaceAfterDot",[25,29],t,[uhe],16),R_e("NoSpaceBetweenImportParenInImportType",102,21,[uhe,dhe],16),R_e("NoSpaceAfterUnaryPrefixOperator",[46,47,55,54],[9,10,80,21,23,19,110,105],[uhe,z_e],16),R_e("NoSpaceAfterUnaryPreincrementOperator",46,[80,21,110,105],[uhe],16),R_e("NoSpaceAfterUnaryPredecrementOperator",47,[80,21,110,105],[uhe],16),R_e("NoSpaceBeforeUnaryPostincrementOperator",[80,22,24,105],46,[uhe,whe],16),R_e("NoSpaceBeforeUnaryPostdecrementOperator",[80,22,24,105],47,[uhe,whe],16),R_e("SpaceAfterPostincrementWhenFollowedByAdd",46,40,[uhe,W_e],4),R_e("SpaceAfterAddWhenFollowedByUnaryPlus",40,40,[uhe,W_e],4),R_e("SpaceAfterAddWhenFollowedByPreincrement",40,46,[uhe,W_e],4),R_e("SpaceAfterPostdecrementWhenFollowedBySubtract",47,41,[uhe,W_e],4),R_e("SpaceAfterSubtractWhenFollowedByUnaryMinus",41,41,[uhe,W_e],4),R_e("SpaceAfterSubtractWhenFollowedByPredecrement",41,47,[uhe,W_e],4),R_e("NoSpaceAfterCloseBrace",20,[28,27],[uhe],16),R_e("NewLineBeforeCloseBraceInBlockContext",r,20,[q_e],8),R_e("SpaceAfterCloseBrace",20,n(22),[uhe,the],4),R_e("SpaceBetweenCloseBraceAndElse",20,93,[uhe],4),R_e("SpaceBetweenCloseBraceAndWhile",20,117,[uhe],4),R_e("NoSpaceBetweenEmptyBraceBrackets",19,20,[uhe,ohe],16),R_e("SpaceAfterConditionalClosingParen",22,23,[rhe],4),R_e("NoSpaceBetweenFunctionKeywordAndStar",100,42,[Z_e],16),R_e("SpaceAfterStarInGeneratorDeclaration",42,80,[Z_e],4),R_e("SpaceAfterFunctionInFuncDecl",100,t,[$_e],4),R_e("NewLineAfterOpenBraceInBlockContext",19,t,[q_e],8),R_e("SpaceAfterGetSetInMember",[139,153],80,[$_e],4),R_e("NoSpaceBetweenYieldKeywordAndStar",127,42,[uhe,Lhe],16),R_e("SpaceBetweenYieldOrYieldStarAndOperand",[127,42],t,[uhe,Lhe],4),R_e("NoSpaceBetweenReturnAndSemicolon",107,27,[uhe],16),R_e("SpaceAfterCertainKeywords",[115,111,105,91,107,114,135],t,[uhe],4),R_e("SpaceAfterLetConstInVariableDeclaration",[121,87],t,[uhe,The],4),R_e("NoSpaceBeforeOpenParenInFuncCall",t,21,[uhe,ihe,ahe],16),R_e("SpaceBeforeBinaryKeywordOperator",t,s,[uhe,W_e],4),R_e("SpaceAfterBinaryKeywordOperator",s,t,[uhe,W_e],4),R_e("SpaceAfterVoidOperator",116,t,[uhe,Phe],4),R_e("SpaceBetweenAsyncAndOpenParen",134,21,[che,uhe],4),R_e("SpaceBetweenAsyncAndFunctionKeyword",134,[100,80],[uhe],4),R_e("NoSpaceBetweenTagAndTemplateString",[80,22],[15,16],[uhe],16),R_e("SpaceBeforeJsxAttribute",t,80,[_he,uhe],4),R_e("SpaceBeforeSlashInJsxOpeningElement",t,44,[vhe,uhe],4),R_e("NoSpaceBeforeGreaterThanTokenInJsxOpeningElement",44,32,[vhe,uhe],16),R_e("NoSpaceBeforeEqualInJsxAttribute",t,64,[hhe,uhe],16),R_e("NoSpaceAfterEqualInJsxAttribute",64,t,[hhe,uhe],16),R_e("NoSpaceBeforeJsxNamespaceColon",80,59,[yhe],16),R_e("NoSpaceAfterJsxNamespaceColon",59,80,[yhe],16),R_e("NoSpaceAfterModuleImport",[144,149],21,[uhe],16),R_e("SpaceAfterCertainTypeScriptKeywords",[128,129,86,138,90,94,95,96,139,119,102,120,144,145,123,125,124,148,153,126,156,161,143,140],t,[uhe],4),R_e("SpaceBeforeCertainTypeScriptKeywords",t,[96,119,161],[uhe],4),R_e("SpaceAfterModuleName",11,19,[Ahe],4),R_e("SpaceBeforeArrow",t,39,[uhe],4),R_e("SpaceAfterArrow",39,t,[uhe],4),R_e("NoSpaceAfterEllipsis",26,80,[uhe],16),R_e("NoSpaceAfterOptionalParameters",58,[22,28],[uhe,z_e],16),R_e("NoSpaceBetweenEmptyInterfaceBraceBrackets",19,20,[uhe,Rhe],16),R_e("NoSpaceBeforeOpenAngularBracket",l,30,[uhe,Dhe],16),R_e("NoSpaceBetweenCloseParenAndAngularBracket",22,30,[uhe,Dhe],16),R_e("NoSpaceAfterOpenAngularBracket",30,t,[uhe,Dhe],16),R_e("NoSpaceBeforeCloseAngularBracket",t,32,[uhe,Dhe],16),R_e("NoSpaceAfterCloseAngularBracket",32,[21,23,32,28],[uhe,Dhe,Q_e,Mhe],16),R_e("SpaceBeforeAt",[22,80],60,[uhe],4),R_e("NoSpaceAfterAt",60,t,[uhe],16),R_e("SpaceAfterDecorator",t,[128,80,95,90,86,126,125,123,124,139,153,23,42],[Ehe],4),R_e("NoSpaceBeforeNonNullAssertionOperator",t,54,[uhe,khe],16),R_e("NoSpaceAfterNewKeywordOnConstructorSignature",105,21,[uhe,Ihe],16),R_e("SpaceLessThanAndNonJSXTypeAnnotation",30,30,[uhe],4)],...[R_e("SpaceAfterConstructor",137,21,[M_e("insertSpaceAfterConstructor"),uhe],4),R_e("NoSpaceAfterConstructor",137,21,[L_e("insertSpaceAfterConstructor"),uhe],16),R_e("SpaceAfterComma",28,t,[M_e("insertSpaceAfterCommaDelimiter"),uhe,fhe,she,lhe],4),R_e("NoSpaceAfterComma",28,t,[L_e("insertSpaceAfterCommaDelimiter"),uhe,fhe],16),R_e("SpaceAfterAnonymousFunctionKeyword",[100,42],21,[M_e("insertSpaceAfterFunctionKeywordForAnonymousFunctions"),$_e],4),R_e("NoSpaceAfterAnonymousFunctionKeyword",[100,42],21,[L_e("insertSpaceAfterFunctionKeywordForAnonymousFunctions"),$_e],16),R_e("SpaceAfterKeywordInControl",i,21,[M_e("insertSpaceAfterKeywordsInControlFlowStatements"),rhe],4),R_e("NoSpaceAfterKeywordInControl",i,21,[L_e("insertSpaceAfterKeywordsInControlFlowStatements"),rhe],16),R_e("SpaceAfterOpenParen",21,t,[M_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyParenthesis"),uhe],4),R_e("SpaceBeforeCloseParen",t,22,[M_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyParenthesis"),uhe],4),R_e("SpaceBetweenOpenParens",21,21,[M_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyParenthesis"),uhe],4),R_e("NoSpaceBetweenParens",21,22,[uhe],16),R_e("NoSpaceAfterOpenParen",21,t,[L_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyParenthesis"),uhe],16),R_e("NoSpaceBeforeCloseParen",t,22,[L_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyParenthesis"),uhe],16),R_e("SpaceAfterOpenBracket",23,t,[M_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyBrackets"),uhe],4),R_e("SpaceBeforeCloseBracket",t,24,[M_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyBrackets"),uhe],4),R_e("NoSpaceBetweenBrackets",23,24,[uhe],16),R_e("NoSpaceAfterOpenBracket",23,t,[L_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyBrackets"),uhe],16),R_e("NoSpaceBeforeCloseBracket",t,24,[L_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyBrackets"),uhe],16),R_e("SpaceAfterOpenBrace",19,t,[w_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyBraces"),H_e],4),R_e("SpaceBeforeCloseBrace",t,20,[w_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyBraces"),H_e],4),R_e("NoSpaceBetweenEmptyBraceBrackets",19,20,[uhe,ohe],16),R_e("NoSpaceAfterOpenBrace",19,t,[P_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyBraces"),uhe],16),R_e("NoSpaceBeforeCloseBrace",t,20,[P_e("insertSpaceAfterOpeningAndBeforeClosingNonemptyBraces"),uhe],16),R_e("SpaceBetweenEmptyBraceBrackets",19,20,[M_e("insertSpaceAfterOpeningAndBeforeClosingEmptyBraces")],4),R_e("NoSpaceBetweenEmptyBraceBrackets",19,20,[P_e("insertSpaceAfterOpeningAndBeforeClosingEmptyBraces"),uhe],16),R_e("SpaceAfterTemplateHeadAndMiddle",[16,17],t,[M_e("insertSpaceAfterOpeningAndBeforeClosingTemplateStringBraces"),phe],4,1),R_e("SpaceBeforeTemplateMiddleAndTail",t,[17,18],[M_e("insertSpaceAfterOpeningAndBeforeClosingTemplateStringBraces"),uhe],4),R_e("NoSpaceAfterTemplateHeadAndMiddle",[16,17],t,[L_e("insertSpaceAfterOpeningAndBeforeClosingTemplateStringBraces"),phe],16,1),R_e("NoSpaceBeforeTemplateMiddleAndTail",t,[17,18],[L_e("insertSpaceAfterOpeningAndBeforeClosingTemplateStringBraces"),uhe],16),R_e("SpaceAfterOpenBraceInJsxExpression",19,t,[M_e("insertSpaceAfterOpeningAndBeforeClosingJsxExpressionBraces"),uhe,mhe],4),R_e("SpaceBeforeCloseBraceInJsxExpression",t,20,[M_e("insertSpaceAfterOpeningAndBeforeClosingJsxExpressionBraces"),uhe,mhe],4),R_e("NoSpaceAfterOpenBraceInJsxExpression",19,t,[L_e("insertSpaceAfterOpeningAndBeforeClosingJsxExpressionBraces"),uhe,mhe],16),R_e("NoSpaceBeforeCloseBraceInJsxExpression",t,20,[L_e("insertSpaceAfterOpeningAndBeforeClosingJsxExpressionBraces"),uhe,mhe],16),R_e("SpaceAfterSemicolonInFor",27,t,[M_e("insertSpaceAfterSemicolonInForStatements"),uhe,O_e],4),R_e("NoSpaceAfterSemicolonInFor",27,t,[L_e("insertSpaceAfterSemicolonInForStatements"),uhe,O_e],16),R_e("SpaceBeforeBinaryOperator",t,a,[M_e("insertSpaceBeforeAndAfterBinaryOperators"),uhe,W_e],4),R_e("SpaceAfterBinaryOperator",a,t,[M_e("insertSpaceBeforeAndAfterBinaryOperators"),uhe,W_e],4),R_e("NoSpaceBeforeBinaryOperator",t,a,[L_e("insertSpaceBeforeAndAfterBinaryOperators"),uhe,W_e],16),R_e("NoSpaceAfterBinaryOperator",a,t,[L_e("insertSpaceBeforeAndAfterBinaryOperators"),uhe,W_e],16),R_e("SpaceBeforeOpenParenInFuncDecl",t,21,[M_e("insertSpaceBeforeFunctionParenthesis"),uhe,$_e],4),R_e("NoSpaceBeforeOpenParenInFuncDecl",t,21,[L_e("insertSpaceBeforeFunctionParenthesis"),uhe,$_e],16),R_e("NewLineBeforeOpenBraceInControl",u,19,[M_e("placeOpenBraceOnNewLineForControlBlocks"),rhe,K_e],8,1),R_e("NewLineBeforeOpenBraceInFunction",c,19,[M_e("placeOpenBraceOnNewLineForFunctions"),$_e,K_e],8,1),R_e("NewLineBeforeOpenBraceInTypeScriptDeclWithBlock",d,19,[M_e("placeOpenBraceOnNewLineForFunctions"),ehe,K_e],8,1),R_e("SpaceAfterTypeAssertion",32,t,[M_e("insertSpaceAfterTypeAssertion"),uhe,Che],4),R_e("NoSpaceAfterTypeAssertion",32,t,[L_e("insertSpaceAfterTypeAssertion"),uhe,Che],16),R_e("SpaceBeforeTypeAnnotation",t,[58,59],[M_e("insertSpaceBeforeTypeAnnotation"),uhe,B_e],4),R_e("NoSpaceBeforeTypeAnnotation",t,[58,59],[L_e("insertSpaceBeforeTypeAnnotation"),uhe,B_e],16),R_e("NoOptionalSemicolon",27,o,[C_e("semicolons","remove"),Ohe],32),R_e("OptionalSemicolon",t,o,[C_e("semicolons","insert"),Fhe],64)],...[R_e("NoSpaceBeforeSemicolon",t,27,[uhe],16),R_e("SpaceBeforeOpenBraceInControl",u,19,[k_e("placeOpenBraceOnNewLineForControlBlocks"),rhe,xhe,U_e],4,1),R_e("SpaceBeforeOpenBraceInFunction",c,19,[k_e("placeOpenBraceOnNewLineForFunctions"),$_e,X_e,xhe,U_e],4,1),R_e("SpaceBeforeOpenBraceInTypeScriptDeclWithBlock",d,19,[k_e("placeOpenBraceOnNewLineForFunctions"),ehe,xhe,U_e],4,1),R_e("NoSpaceBeforeComma",t,28,[uhe],16),R_e("NoSpaceBeforeOpenBracket",n(134,84),23,[uhe],16),R_e("NoSpaceAfterCloseBracket",24,t,[uhe,bhe],16),R_e("SpaceAfterSemicolon",27,t,[uhe],4),R_e("SpaceBetweenForAndAwaitKeyword",99,135,[uhe],4),R_e("SpaceBetweenStatements",[22,92,93,84],t,[uhe,fhe,F_e],4),R_e("SpaceAfterTryCatchFinally",[113,85,98],19,[uhe],4)]]}function R_e(e,n,t,r,o,i=0){return{leftTokenRange:N_e(n),rightTokenRange:N_e(t),rule:{debugName:e,context:r,action:o,flags:i}}}function I_e(e){return{tokens:e,isSpecific:!0}}function N_e(e){return"number"==typeof e?I_e([e]):pn(e)?I_e(e):e}function D_e(e,n,t=[]){const r=[];for(let o=e;o<=n;o++)k(t,o)||r.push(o);return I_e(r)}function C_e(e,n){return t=>t.options&&t.options[e]===n}function M_e(e){return n=>n.options&&je(n.options,e)&&!!n.options[e]}function P_e(e){return n=>n.options&&je(n.options,e)&&!n.options[e]}function L_e(e){return n=>!n.options||!je(n.options,e)||!n.options[e]}function k_e(e){return n=>!n.options||!je(n.options,e)||!n.options[e]||n.TokensAreOnSameLine()}function w_e(e){return n=>!n.options||!je(n.options,e)||!!n.options[e]}function O_e(e){return 248===e.contextNode.kind}function F_e(e){return!O_e(e)}function W_e(e){switch(e.contextNode.kind){case 226:return 28!==e.contextNode.operatorToken.kind;case 227:case 194:case 234:case 281:case 276:case 182:case 192:case 193:case 238:return!0;case 208:case 265:case 271:case 277:case 260:case 169:case 306:case 172:case 171:return 64===e.currentTokenSpan.kind||64===e.nextTokenSpan.kind;case 249:case 168:return 103===e.currentTokenSpan.kind||103===e.nextTokenSpan.kind||64===e.currentTokenSpan.kind||64===e.nextTokenSpan.kind;case 250:return 165===e.currentTokenSpan.kind||165===e.nextTokenSpan.kind}return!1}function z_e(e){return!W_e(e)}function G_e(e){return!B_e(e)}function B_e(e){const n=e.contextNode.kind;return 172===n||171===n||169===n||260===n||Nd(n)}function j_e(e){return!function(e){return TN(e.contextNode)&&e.contextNode.questionToken}(e)}function V_e(e){return 227===e.contextNode.kind||194===e.contextNode.kind}function U_e(e){return e.TokensAreOnSameLine()||X_e(e)}function H_e(e){return 206===e.contextNode.kind||200===e.contextNode.kind||function(e){return J_e(e)&&(e.ContextNodeAllOnSameLine()||e.ContextNodeBlockIsOnOneLine())}(e)}function K_e(e){return X_e(e)&&!(e.NextNodeAllOnSameLine()||e.NextNodeBlockIsOnOneLine())}function q_e(e){return J_e(e)&&!(e.ContextNodeAllOnSameLine()||e.ContextNodeBlockIsOnOneLine())}function J_e(e){return Y_e(e.contextNode)}function X_e(e){return Y_e(e.nextTokenParent)}function Y_e(e){if(nhe(e))return!0;switch(e.kind){case 241:case 269:case 210:case 268:return!0}return!1}function $_e(e){switch(e.contextNode.kind){case 262:case 174:case 173:case 177:case 178:case 179:case 218:case 176:case 219:case 264:return!0}return!1}function Q_e(e){return!$_e(e)}function Z_e(e){return 262===e.contextNode.kind||218===e.contextNode.kind}function ehe(e){return nhe(e.contextNode)}function nhe(e){switch(e.kind){case 263:case 231:case 264:case 266:case 187:case 267:case 278:case 279:case 272:case 275:return!0}return!1}function the(e){switch(e.currentTokenParent.kind){case 263:case 267:case 266:case 299:case 268:case 255:return!0;case 241:{const n=e.currentTokenParent.parent;if(!n||219!==n.kind&&218!==n.kind)return!0}}return!1}function rhe(e){switch(e.contextNode.kind){case 245:case 255:case 248:case 249:case 250:case 247:case 258:case 246:case 254:case 299:return!0;default:return!1}}function ohe(e){return 210===e.contextNode.kind}function ihe(e){return function(e){return 213===e.contextNode.kind}(e)||function(e){return 214===e.contextNode.kind}(e)}function ahe(e){return 28!==e.currentTokenSpan.kind}function she(e){return 24!==e.nextTokenSpan.kind}function lhe(e){return 22!==e.nextTokenSpan.kind}function che(e){return 219===e.contextNode.kind}function dhe(e){return 205===e.contextNode.kind}function uhe(e){return e.TokensAreOnSameLine()&&12!==e.contextNode.kind}function phe(e){return 12!==e.contextNode.kind}function fhe(e){return 284!==e.contextNode.kind&&288!==e.contextNode.kind}function mhe(e){return 294===e.contextNode.kind||293===e.contextNode.kind}function _he(e){return 291===e.nextTokenParent.kind||295===e.nextTokenParent.kind&&291===e.nextTokenParent.parent.kind}function hhe(e){return 291===e.contextNode.kind}function ghe(e){return 295!==e.nextTokenParent.kind}function yhe(e){return 295===e.nextTokenParent.kind}function vhe(e){return 285===e.contextNode.kind}function bhe(e){return!$_e(e)&&!X_e(e)}function Ehe(e){return e.TokensAreOnSameLine()&&Xb(e.contextNode)&&She(e.currentTokenParent)&&!She(e.nextTokenParent)}function She(e){for(;e&&uu(e);)e=e.parent;return e&&170===e.kind}function The(e){return 261===e.currentTokenParent.kind&&e.currentTokenParent.getStart(e.sourceFile)===e.currentTokenSpan.pos}function xhe(e){return 2!==e.formattingRequestKind}function Ahe(e){return 267===e.contextNode.kind}function Rhe(e){return 187===e.contextNode.kind}function Ihe(e){return 180===e.contextNode.kind}function Nhe(e,n){if(30!==e.kind&&32!==e.kind)return!1;switch(n.kind){case 183:case 216:case 265:case 263:case 231:case 264:case 262:case 218:case 219:case 174:case 173:case 179:case 180:case 213:case 214:case 233:return!0;default:return!1}}function Dhe(e){return Nhe(e.currentTokenSpan,e.currentTokenParent)||Nhe(e.nextTokenSpan,e.nextTokenParent)}function Che(e){return 216===e.contextNode.kind}function Mhe(e){return!Che(e)}function Phe(e){return 116===e.currentTokenSpan.kind&&222===e.currentTokenParent.kind}function Lhe(e){return 229===e.contextNode.kind&&void 0!==e.contextNode.expression}function khe(e){return 235===e.contextNode.kind}function whe(e){return!function(e){switch(e.contextNode.kind){case 245:case 248:case 249:case 250:case 246:case 247:return!0;default:return!1}}(e)}function Ohe(e){let n=e.nextTokenSpan.kind,t=e.nextTokenSpan.pos;if(Qy(n)){const r=e.nextTokenParent===e.currentTokenParent?p$(e.currentTokenParent,Nl(e.currentTokenParent,(e=>!e.parent)),e.sourceFile):e.nextTokenParent.getFirstToken(e.sourceFile);if(!r)return!0;n=r.kind,t=r.getStart(e.sourceFile)}return e.sourceFile.getLineAndCharacterOfPosition(e.currentTokenSpan.pos).line===e.sourceFile.getLineAndCharacterOfPosition(t).line?20===n||1===n:240!==n&&27!==n&&(264===e.contextNode.kind||265===e.contextNode.kind?!SN(e.currentTokenParent)||!!e.currentTokenParent.type||21!==n:TN(e.currentTokenParent)?!e.currentTokenParent.initializer:248!==e.currentTokenParent.kind&&242!==e.currentTokenParent.kind&&240!==e.currentTokenParent.kind&&23!==n&&21!==n&&40!==n&&41!==n&&44!==n&&14!==n&&28!==n&&228!==n&&16!==n&&15!==n&&25!==n)}function Fhe(e){return UZ(e.currentTokenSpan.end,e.currentTokenParent,e.sourceFile)}function Whe(e){return!lD(e.contextNode)||!FI(e.contextNode.expression)||e.contextNode.expression.getText().includes(".")}var zhe,Ghe,Bhe,jhe,Vhe,Uhe=g({"src/services/formatting/rules.ts"(){Tge(),Sge()}});function Hhe(e,n){return{options:e,getRules:Khe(),host:n}}function Khe(){return void 0===zhe&&(zhe=function(e){const n=function(e){const n=new Array(jhe*jhe),t=new Array(n.length);for(const r of e){const e=r.leftTokenRange.isSpecific&&r.rightTokenRange.isSpecific;for(const o of r.leftTokenRange.tokens)for(const i of r.rightTokenRange.tokens){const a=Jhe(o,i);let s=n[a];void 0===s&&(s=n[a]=[]),Xhe(s,r.rule,e,t,a)}}return n}(e);return e=>{const t=n[Jhe(e.currentTokenSpan.kind,e.nextTokenSpan.kind)];if(t){const n=[];let r=0;for(const o of t){const t=~qhe(r);o.action&t&&N(o.context,(n=>n(e)))&&(n.push(o),r|=o.action)}if(n.length)return n}}}(A_e())),zhe}function qhe(e){let n=0;return 1&e&&(n|=28),2&e&&(n|=96),28&e&&(n|=28),96&e&&(n|=96),n}function Jhe(e,n){return Tt.assert(e<=165&&n<=165,"Must compute formatting context from tokens"),e*jhe+n}function Xhe(e,n,t,r,o){const i=3&n.action?t?0:Vhe.StopRulesAny:n.context!==b_e?t?Vhe.ContextRulesSpecific:Vhe.ContextRulesAny:t?Vhe.NoContextRulesSpecific:Vhe.NoContextRulesAny,a=r[o]||0;e.splice(function(e,n){let t=0;for(let r=0;r<=n;r+=Ghe)t+=e&Bhe,e>>=Ghe;return t}(a,i),0,n),r[o]=function(e,n){const t=1+(e>>n&Bhe);return Tt.assert((t&Bhe)===t,"Adding more rules into the sub-bucket than allowed. Maximum allowed is 32 rules."),e&~(Bhe<<n)|t<<n}(a,i)}var Yhe,$he,Qhe,Zhe=g({"src/services/formatting/rulesMap.ts"(){var e;Tge(),Sge(),Ghe=5,Bhe=31,jhe=166,(e=Vhe||{})[e.StopRulesSpecific=0]="StopRulesSpecific",e[e.StopRulesAny=1*Ghe]="StopRulesAny",e[e.ContextRulesSpecific=2*Ghe]="ContextRulesSpecific",e[e.ContextRulesAny=3*Ghe]="ContextRulesAny",e[e.NoContextRulesSpecific=4*Ghe]="NoContextRulesSpecific",e[e.NoContextRulesAny=5*Ghe]="NoContextRulesAny",Vhe=e}});function ege(e,n,t){const r={pos:e,end:n,kind:t};return Tt.isDebugging&&Object.defineProperty(r,"__debugKind",{get:()=>Tt.formatSyntaxKind(t)}),r}function nge(e,n,t){const r=n.getLineAndCharacterOfPosition(e).line;if(0===r)return[];let o=rm(r,n);for(;gs(n.text.charCodeAt(o));)o--;ys(n.text.charCodeAt(o))&&o--;return pge({pos:nm(r-1,n),end:o+1},n,t,2)}function tge(e,n,t){return uge(lge(sge(e,27,n)),n,t,3)}function rge(e,n,t){const r=sge(e,19,n);if(!r)return[];return pge({pos:LY(lge(r.parent).getStart(n),n),end:e},n,t,4)}function oge(e,n,t){return uge(lge(sge(e,20,n)),n,t,5)}function ige(e,n){return pge({pos:0,end:e.text.length},e,n,0)}function age(e,n,t,r){return pge({pos:LY(e,t),end:n},t,r,1)}function sge(e,n,t){const r=f$(e,t);return r&&r.kind===n&&e===r.getEnd()?r:void 0}function lge(e){let n=e;for(;n&&n.parent&&n.parent.end===e.end&&!cge(n.parent,n);)n=n.parent;return n}function cge(e,n){switch(e.kind){case 263:case 264:return kY(e.members,n);case 267:const t=e.body;return!!t&&268===t.kind&&kY(t.statements,n);case 312:case 241:case 268:return kY(e.statements,n);case 299:return kY(e.block.statements,n)}return!1}function dge(e,n,t,r,o,i){const a={pos:e.pos,end:e.end};return v_e(n.text,t,a.pos,a.end,(t=>fge(a,e,r,o,t,i,1,(e=>!1),n)))}function uge(e,n,t,r){if(!e)return[];return pge({pos:LY(e.getStart(n),n),end:e.end},n,t,r)}function pge(e,n,t,r){const o=function(e,n){return function t(r){const o=ok(r,(t=>WY(t.getStart(n),t.end,e)&&t));if(o){const e=t(o);if(e)return e}return r}(n)}(e,n);return v_e(n.text,n.languageVariant,function(e,n,t){const r=e.getStart(t);if(r===n.pos&&e.end===n.end)return r;const o=f$(n.pos,t);return o?o.end>=n.pos?e.pos:o.end:e.pos}(o,e,n),e.end,(i=>fge(e,o,hge.getIndentationForNode(o,e,n,t.options),function(e,n,t){let r,o=-1;for(;e;){const i=t.getLineAndCharacterOfPosition(e.getStart(t)).line;if(-1!==o&&i!==o)break;if(hge.shouldIndentChildNode(n,e,r,t))return n.indentSize;o=i,r=e,e=e.parent}return 0}(o,t.options,n),i,t,r,function(e,n){if(!e.length)return o;const t=e.filter((e=>GY(n,e.start,e.start+e.length))).sort(((e,n)=>e.start-n.start));if(!t.length)return o;let r=0;return e=>{for(;;){if(r>=t.length)return!1;const n=t[r];if(e.end<=n.start)return!1;if(jY(e.pos,e.end,n.start,n.start+n.length))return!0;r++}};function o(){return!1}}(n.parseDiagnostics,e),n)))}function fge(e,n,t,r,o,{options:i,getRules:a,host:s},l,c,d){var u;const p=new m_e(d,l,i);let f,m,_,h,g,y=-1;const v=[];if(o.advance(),o.isOnToken()){const a=d.getLineAndCharacterOfPosition(n.getStart(d)).line;let s=a;Xb(n)&&(s=d.getLineAndCharacterOfPosition(bm(n,d)).line),function n(t,r,a,s,l,u){if(!GY(e,t.getStart(d),t.getEnd()))return;const p=E(t,a,l,u);let _=r;ok(t,(e=>{h(e,-1,t,p,a,s,!1)}),(e=>{v(e,t,a,p)}));for(;o.isOnToken()&&o.getTokenFullStart()<e.end;){const n=o.readTokenInfo(t);if(n.token.end>Math.min(t.end,e.end))break;b(n,t,p,t)}function h(r,a,s,l,c,u,p,f){if(Tt.assert(!Sv(r)),im(r)||sm(s,r))return a;const m=r.getStart(d),h=d.getLineAndCharacterOfPosition(m).line;let v=h;Xb(r)&&(v=d.getLineAndCharacterOfPosition(bm(r,d)).line);let E=-1;if(p&&kY(e,s)&&(E=function(e,n,t,r,o){if(GY(r,e,n)||zY(r,e,n)){if(-1!==o)return o}else{const n=d.getLineAndCharacterOfPosition(e).line,r=LY(e,d),o=hge.findFirstNonWhitespaceColumn(r,e,d,i);if(n!==t||e===o){const e=hge.getBaseIndentation(i);return e>o?e:o}}return-1}(m,r.end,c,e,a),-1!==E&&(a=E)),!GY(e,r.pos,r.end))return r.end<e.pos&&o.skipToEndOf(r),a;if(0===r.getFullWidth())return a;for(;o.isOnToken()&&o.getTokenFullStart()<e.end;){const n=o.readTokenInfo(t);if(n.token.end>e.end)return a;if(n.token.end>m){n.token.pos>m&&o.skipToStartOf(r);break}b(n,t,l,t)}if(!o.isOnToken()||o.getTokenFullStart()>=e.end)return a;if($c(r)){const e=o.readTokenInfo(r);if(12!==r.kind)return Tt.assert(e.token.end===r.end,"Token end is child end"),b(e,t,l,r),a}const S=170===r.kind?h:u,T=function(e,n,t,r,o,a){const s=hge.shouldIndentChildNode(i,e)?i.indentSize:0;return a===n?{indentation:n===g?y:o.getIndentation(),delta:Math.min(i.indentSize,o.getDelta(e)+s)}:-1===t?21===e.kind&&n===g?{indentation:y,delta:o.getDelta(e)}:hge.childStartsOnTheSameLineWithElseInIfStatement(r,e,n,d)||hge.childIsUnindentedBranchOfConditionalExpression(r,e,n,d)||hge.argumentStartsOnSameLineAsPreviousArgument(r,e,n,d)?{indentation:o.getIndentation(),delta:s}:{indentation:o.getIndentation()+o.getDelta(e),delta:s}:{indentation:t,delta:s}}(r,h,E,t,l,S);return n(r,_,h,v,T.indentation,T.delta),_=t,f&&209===s.kind&&-1===a&&(a=T.indentation),a}function v(n,r,a,s){Tt.assert(Qc(n)),Tt.assert(!Sv(n));const l=function(e,n){switch(e.kind){case 176:case 262:case 218:case 174:case 173:case 219:case 179:case 180:case 184:case 185:case 177:case 178:if(e.typeParameters===n)return 30;if(e.parameters===n)return 21;break;case 213:case 214:if(e.typeArguments===n)return 30;if(e.arguments===n)return 21;break;case 263:case 231:case 264:case 265:if(e.typeParameters===n)return 30;break;case 183:case 215:case 186:case 233:case 205:if(e.typeArguments===n)return 30;break;case 187:return 19}return 0}(r,n);let c=s,u=a;if(!GY(e,n.pos,n.end))return void(n.end<e.pos&&o.skipToEndOf(n));if(0!==l)for(;o.isOnToken()&&o.getTokenFullStart()<e.end;){const e=o.readTokenInfo(r);if(e.token.end>n.pos)break;if(e.token.kind===l){let n;if(u=d.getLineAndCharacterOfPosition(e.token.pos).line,b(e,r,s,r),-1!==y)n=y;else{const t=LY(e.token.pos,d);n=hge.findFirstNonWhitespaceColumn(t,e.token.pos,d,i)}c=E(r,a,n,i.indentSize)}else b(e,r,s,r)}let p=-1;for(let e=0;e<n.length;e++){p=h(n[e],p,t,c,u,u,!0,0===e)}const f=function(e){switch(e){case 21:return 22;case 30:return 32;case 19:return 20}return 0}(l);if(0!==f&&o.isOnToken()&&o.getTokenFullStart()<e.end){let e=o.readTokenInfo(r);28===e.token.kind&&(b(e,r,c,r),e=o.isOnToken()?o.readTokenInfo(r):void 0),e&&e.token.kind===f&&kY(r,e.token)&&b(e,r,c,r,!0)}}function b(n,t,r,i,a){Tt.assert(kY(t,n.token));const s=o.lastTrailingTriviaWasNewLine();let l=!1;n.leadingTrivia&&x(n.leadingTrivia,t,_,r);let u=0;const p=kY(e,n.token),h=d.getLineAndCharacterOfPosition(n.token.pos);if(p){const e=c(n.token),o=m;if(u=A(n.token,h,t,_,r),!e)if(0===u){const e=o&&d.getLineAndCharacterOfPosition(o.end).line;l=s&&h.line!==e}else l=1===u}if(n.trailingTrivia&&(f=ke(n.trailingTrivia).end,x(n.trailingTrivia,t,_,r)),l){const e=p&&!c(n.token)?r.getIndentationForToken(h.line,n.token.kind,i,!!a):-1;let t=!0;if(n.leadingTrivia){const o=r.getIndentationForComment(n.token.kind,e,i);t=T(n.leadingTrivia,o,t,(e=>I(e.pos,o,!1)))}-1!==e&&t&&(I(n.token.pos,e,1===u),g=h.line,y=e)}o.advance(),_=t}}(n,n,a,s,t,r)}const b=o.getCurrentLeadingTrivia();if(b){const r=hge.nodeWillIndentChild(i,n,void 0,d,!1)?t+i.indentSize:t;T(b,r,!0,(e=>{A(e,d.getLineAndCharacterOfPosition(e.pos),n,n,void 0),I(e.pos,r,!1)})),!1!==i.trimTrailingWhitespace&&function(n){let t=m?m.end:e.pos;for(const e of n)L$(e.kind)&&(t<e.pos&&L(t,e.pos-1,m),t=e.end+1);t<e.end&&L(t,e.end,m)}(b)}if(m&&o.getTokenFullStart()>=e.end){const e=o.isOnEOF()?o.readEOFTokenRange():o.isOnToken()?o.readTokenInfo(n).token:void 0;if(e&&e.pos===f){const t=(null==(u=f$(e.end,d,n))?void 0:u.parent)||_;R(e,d.getLineAndCharacterOfPosition(e.pos).line,t,m,h,_,t,void 0)}}return v;function E(e,n,t,r){return{getIndentationForComment:(e,n,r)=>{switch(e){case 20:case 24:case 22:return t+o(r)}return-1!==n?n:t},getIndentationForToken:(r,i,a,s)=>!s&&function(t,r,o){switch(r){case 19:case 20:case 22:case 93:case 117:case 60:return!1;case 44:case 32:switch(o.kind){case 286:case 287:case 285:return!1}break;case 23:case 24:if(200!==o.kind)return!1}return n!==t&&!(Xb(e)&&r===function(e){if(vL(e)){const n=D(e.modifiers,vd,M(e.modifiers,EN));if(n)return n.kind}switch(e.kind){case 263:return 86;case 264:return 120;case 262:return 100;case 266:return 266;case 177:return 139;case 178:return 153;case 174:if(e.asteriskToken)return 42;case 172:case 169:const n=jl(e);if(n)return n.kind}}(e))}(r,i,a)?t+o(a):t,getIndentation:()=>t,getDelta:o,recomputeIndentation:(n,o)=>{hge.shouldIndentChildNode(i,o,e,d)&&(t+=n?i.indentSize:-i.indentSize,r=hge.shouldIndentChildNode(i,e)?i.indentSize:0)}};function o(n){return hge.nodeWillIndentChild(i,e,n,d,!0)?r:0}}function T(n,t,r,o){for(const i of n){const n=kY(e,i);switch(i.kind){case 3:n&&N(i,t,!r),r=!1;break;case 2:r&&n&&o(i),r=!1;break;case 4:r=!0}}return r}function x(n,t,r,o){for(const i of n)if(L$(i.kind)&&kY(e,i)){A(i,d.getLineAndCharacterOfPosition(i.pos),t,r,o)}}function A(n,t,r,o,i){let a=0;if(!c(n))if(m)a=R(n,t.line,r,m,h,_,o,i);else{C(d.getLineAndCharacterOfPosition(e.pos).line,t.line)}return m=n,f=n.end,_=r,h=t.line,a}function R(e,n,t,r,o,l,c,u){p.updateContext(r,l,e,t,c);const f=a(p);let m=!1!==p.options.trimTrailingWhitespace,_=0;return f?S(f,(a=>{if(_=function(e,n,t,r,o){const a=o!==t;switch(e.action){case 1:return 0;case 16:if(n.end!==r.pos)return k(n.end,r.pos-n.end),a?2:0;break;case 32:k(n.pos,n.end-n.pos);break;case 8:if(1!==e.flags&&t!==o)return 0;if(1!==o-t)return w(n.end,r.pos-n.end,eZ(s,i)),a?0:1;break;case 4:if(1!==e.flags&&t!==o)return 0;if(1!==r.pos-n.end||32!==d.text.charCodeAt(n.end))return w(n.end,r.pos-n.end," "),a?2:0;break;case 64:l=n.end,(c=";")&&v.push(Y$(l,0,c))}var l,c;return 0}(a,r,o,e,n),u)switch(_){case 2:t.getStart(d)===e.pos&&u.recomputeIndentation(!1,c);break;case 1:t.getStart(d)===e.pos&&u.recomputeIndentation(!0,c);break;default:Tt.assert(0===_)}m=m&&!(16&a.action)&&1!==a.flags})):m=m&&1!==e.kind,n!==o&&m&&C(o,n,r),_}function I(e,n,t){const r=_ge(n,i);if(t)w(e,0,r);else{const t=d.getLineAndCharacterOfPosition(e),o=nm(t.line,d);(n!==function(e,n){let t=0;for(let r=0;r<n;r++)9===d.text.charCodeAt(e+r)?t+=i.tabSize-t%i.tabSize:t++;return t}(o,t.character)||function(e,n){return e!==d.text.substr(n,e.length)}(r,o))&&w(o,t.character,r)}}function N(e,n,t,r=!0){let o=d.getLineAndCharacterOfPosition(e.pos).line;const a=d.getLineAndCharacterOfPosition(e.end).line;if(o===a)return void(t||I(e.pos,n,!1));const s=[];let l=e.pos;for(let e=o;e<a;e++){const n=rm(e,d);s.push({pos:l,end:n}),l=nm(e+1,d)}if(r&&s.push({pos:l,end:e.end}),0===s.length)return;const c=nm(o,d),u=hge.findFirstNonWhitespaceCharacterAndColumn(c,s[0].pos,d,i);let p=0;t&&(p=1,o++);const f=n-u.column;for(let e=p;e<s.length;e++,o++){const n=nm(o,d),t=0===e?u:hge.findFirstNonWhitespaceCharacterAndColumn(s[e].pos,s[e].end,d,i),r=t.column+f;if(r>0){const e=_ge(r,i);w(n,t.character,e)}else k(n,t.character)}}function C(e,n,t){for(let r=e;r<n;r++){const e=nm(r,d),n=rm(r,d);if(t&&(L$(t.kind)||k$(t.kind))&&t.pos<=n&&t.end>n)continue;const o=P(e,n);-1!==o&&(Tt.assert(o===e||!gs(d.text.charCodeAt(o-1))),k(o,n+1-o))}}function P(e,n){let t=n;for(;t>=e&&gs(d.text.charCodeAt(t));)t--;return t!==n?t+1:-1}function L(e,n,t){C(d.getLineAndCharacterOfPosition(e).line,d.getLineAndCharacterOfPosition(n).line+1,t)}function k(e,n){n&&v.push(Y$(e,n,""))}function w(e,n,t){(n||t)&&v.push(Y$(e,n,t))}}function mge(e,n,t,r=l$(e,n)){const o=Nl(r,bM);o&&(r=o.parent);if(r.getStart(e)<=n&&n<r.getEnd())return;const i=ae((t=null===t?void 0:void 0===t?f$(n,e):t)&&ws(e.text,t.end),G_(r,e));return i&&D(i,(t=>FY(t,n)||n===t.end&&(2===t.kind||n===e.getFullWidth())))}function _ge(e,n){if((!Yhe||Yhe.tabSize!==n.tabSize||Yhe.indentSize!==n.indentSize)&&(Yhe={tabSize:n.tabSize,indentSize:n.indentSize},$he=Qhe=void 0),n.convertTabsToSpaces){let t;const r=Math.floor(e/n.indentSize),o=e%n.indentSize;return Qhe||(Qhe=[]),void 0===Qhe[r]?(t=oQ(" ",n.indentSize*r),Qhe[r]=t):t=Qhe[r],o?t+oQ(" ",o):t}{const t=Math.floor(e/n.tabSize),r=e-t*n.tabSize;let o;return $he||($he=[]),void 0===$he[t]?$he[t]=o=oQ("\t",t):o=$he[t],r?o+oQ(" ",r):o}}var hge,gge=g({"src/services/formatting/formatting.ts"(){Tge(),Sge()}}),yge=g({"src/services/formatting/smartIndenter.ts"(){Tge(),Sge(),(e=>{let n;var t;function r(e){return e.baseIndentSize||0}function o(e,n,t,o,s,l,c){var m;let _=e.parent;for(;_;){let r=!0;if(t){const n=e.getStart(s);r=n<t.pos||n>t.end}const g=i(_,e,s),y=g.line===n.line||p(_,e,n.line,s);if(r){const t=null==(m=f(e,s))?void 0:m[0];let r=h(e,s,c,!!t&&d(t,s).line>g.line);if(-1!==r)return r+o;if(r=a(e,_,n,y,s,c),-1!==r)return r+o}S(c,_,e,s,l)&&!y&&(o+=c.indentSize);const v=u(_,e,n.line,s);_=(e=_).parent,n=v?s.getLineAndCharacterOfPosition(e.getStart(s)):g}return o+r(c)}function i(e,n,t){const r=f(n,t),o=r?r.pos:e.getStart(t);return t.getLineAndCharacterOfPosition(o)}function a(e,n,t,r,o,i){return(Pu(e)||ku(e))&&(312===n.kind||!r)?y(t,o,i):-1}let s;var l;function c(e,n,t,r){const o=p$(e,n,r);if(!o)return 0;if(19===o.kind)return 1;if(20===o.kind){return t===d(o,r).line?2:0}return 0}function d(e,n){return n.getLineAndCharacterOfPosition(e.getStart(n))}function u(e,n,t,r){if(!dD(e)||!k(e.arguments,n))return!1;return _s(r,e.expression.getEnd()).line===t}function p(e,n,t,r){if(245===e.kind&&e.elseStatement===n){const n=JY(e,93,r);Tt.assert(void 0!==n);return d(n,r).line===t}return!1}function f(e,n){return e.parent&&m(e.getStart(n),e.getEnd(),e.parent,n)}function m(e,n,t,r){switch(t.kind){case 183:return o(t.typeArguments);case 210:return o(t.properties);case 209:case 275:case 279:case 206:case 207:return o(t.elements);case 187:return o(t.members);case 262:case 218:case 219:case 174:case 173:case 179:case 176:case 185:case 180:return o(t.typeParameters)||o(t.parameters);case 177:return o(t.parameters);case 263:case 231:case 264:case 265:case 352:return o(t.typeParameters);case 214:case 213:return o(t.typeArguments)||o(t.arguments);case 261:return o(t.declarations)}function o(o){return o&&zY(function(e,n,t){const r=e.getChildren(t);for(let e=1;e<r.length-1;e++)if(r[e].pos===n.pos&&r[e].end===n.end)return{pos:r[e-1].end,end:r[e+1].getStart(t)};return n}(t,o,r),e,n)?o:void 0}}function _(e,n,t){return e?y(n.getLineAndCharacterOfPosition(e.pos),n,t):-1}function h(e,n,t,r){if(e.parent&&261===e.parent.kind)return-1;const o=f(e,n);if(o){const i=o.indexOf(e);if(-1!==i){const e=g(o,i,n,t);if(-1!==e)return e}return _(o,n,t)+(r?t.indentSize:0)}return-1}function g(e,n,t,r){Tt.assert(n>=0&&n<e.length);let o=d(e[n],t);for(let i=n-1;i>=0;i--){if(28===e[i].kind)continue;if(t.getLineAndCharacterOfPosition(e[i].end).line!==o.line)return y(o,t,r);o=d(e[i],t)}return-1}function y(e,n,t){const r=n.getPositionOfLineAndCharacter(e.line,0);return b(r,r+e.character,n,t)}function v(e,n,t,r){let o=0,i=0;for(let a=e;a<n;a++){const e=t.text.charCodeAt(a);if(!gs(e))break;9===e?i+=r.tabSize+i%r.tabSize:i++,o++}return{column:i,character:o}}function b(e,n,t,r){return v(e,n,t,r).column}function E(e,n,t,r,o){const i=t?t.kind:0;switch(n.kind){case 244:case 263:case 231:case 264:case 266:case 265:case 209:case 241:case 268:case 210:case 187:case 200:case 189:case 217:case 211:case 213:case 214:case 243:case 277:case 253:case 227:case 207:case 206:case 286:case 289:case 285:case 294:case 173:case 179:case 180:case 169:case 184:case 185:case 196:case 215:case 223:case 279:case 275:case 281:case 276:case 172:case 296:case 297:return!0;case 269:return e.indentSwitchCase??!0;case 260:case 303:case 226:if(!e.indentMultiLineObjectLiteralBeginningOnBlankLine&&r&&210===i)return T(r,t);if(226===n.kind&&r&&t&&284===i){return r.getLineAndCharacterOfPosition(Ts(r.text,n.pos)).line!==r.getLineAndCharacterOfPosition(Ts(r.text,t.pos)).line}if(226!==n.kind)return!0;break;case 246:case 247:case 249:case 250:case 248:case 245:case 262:case 218:case 174:case 176:case 177:case 178:return 241!==i;case 219:return r&&217===i?T(r,t):241!==i;case 278:return 279!==i;case 272:return 273!==i||!!t.namedBindings&&275!==t.namedBindings.kind;case 284:return 287!==i;case 288:return 290!==i;case 193:case 192:if(187===i||189===i)return!1}return o}function S(e,n,t,r,o=!1){return E(e,n,t,r,!1)&&!(o&&t&&function(e,n){switch(e){case 253:case 257:case 251:case 252:return 241!==n.kind;default:return!1}}(t.kind,n))}function T(e,n){const t=Ts(e.text,n.pos);return e.getLineAndCharacterOfPosition(t).line===e.getLineAndCharacterOfPosition(n.end).line}(t=n||(n={}))[t.Unknown=-1]="Unknown",e.getIndentation=function(e,n,t,i=!1){if(e>n.text.length)return r(t);if(0===t.indentStyle)return 0;const a=f$(e,n,void 0,!0),s=mge(n,e,a||null);if(s&&3===s.kind)return function(e,n,t,r){const o=_s(e,n).line-1,i=_s(e,r.pos).line;if(Tt.assert(i>=0),o<=i)return b(nm(i,e),n,e,t);const a=nm(o,e),{column:s,character:l}=v(a,n,e,t);if(0===s)return s;const c=e.text.charCodeAt(a+l);return 42===c?s-1:s}(n,e,t,s);if(!a)return r(t);if(k$(a.kind)&&a.getStart(n)<=e&&e<a.end)return 0;const l=n.getLineAndCharacterOfPosition(e).line,u=l$(n,e),p=19===u.kind&&210===u.parent.kind;if(1===t.indentStyle||p)return function(e,n,t){let r=n;for(;r>0;){if(!hs(e.text.charCodeAt(r)))break;r--}const o=LY(r,e);return b(o,r,e,t)}(n,e,t);if(28===a.kind&&226!==a.parent.kind){const e=function(e,n,t){const r=KY(e);return r&&r.listItemIndex>0?g(r.list.getChildren(),r.listItemIndex-1,n,t):-1}(a,n,t);if(-1!==e)return e}const f=function(e,n,t){return n&&m(e,e,n,t)}(e,a.parent,n);if(f&&!kY(f,a)){const e=[218,219].includes(u.parent.kind)?0:t.indentSize;return _(f,n,t)+e}return function(e,n,t,i,a,s){let l,u=t;for(;u;){if(VY(u,n,e)&&S(s,u,l,e,!0)){const n=d(u,e),r=c(t,u,i,e);return o(u,n,void 0,0!==r?a&&2===r?s.indentSize:0:i!==n.line?s.indentSize:0,e,!0,s)}const r=h(u,e,s,!0);if(-1!==r)return r;l=u,u=u.parent}return r(s)}(n,e,a,l,i,t)},e.getIndentationForNode=function(e,n,t,r){const i=t.getLineAndCharacterOfPosition(e.getStart(t));return o(e,i,n,0,t,!1,r)},e.getBaseIndentation=r,(l=s||(s={}))[l.Unknown=0]="Unknown",l[l.OpenBrace=1]="OpenBrace",l[l.CloseBrace=2]="CloseBrace",e.isArgumentAndStartLineOverlapsExpressionBeingCalled=u,e.childStartsOnTheSameLineWithElseInIfStatement=p,e.childIsUnindentedBranchOfConditionalExpression=function(e,n,t,r){if(xD(e)&&(n===e.whenTrue||n===e.whenFalse)){const o=_s(r,e.condition.end).line;if(n===e.whenTrue)return t===o;{const n=d(e.whenTrue,r).line,i=_s(r,e.whenTrue.end).line;return o===n&&i===t}}return!1},e.argumentStartsOnSameLineAsPreviousArgument=function(e,n,t,r){if(ru(e)){if(!e.arguments)return!1;const o=D(e.arguments,(e=>e.pos===n.pos));if(!o)return!1;const i=e.arguments.indexOf(o);if(0===i)return!1;if(t===_s(r,e.arguments[i-1].getEnd()).line)return!0}return!1},e.getContainingList=f,e.findFirstNonWhitespaceCharacterAndColumn=v,e.findFirstNonWhitespaceColumn=b,e.nodeWillIndentChild=E,e.shouldIndentChildNode=S})(hge||(hge={}))}}),vge={};y(vge,{FormattingContext:()=>m_e,FormattingRequestKind:()=>f_e,RuleAction:()=>E_e,RuleFlags:()=>S_e,SmartIndenter:()=>hge,anyContext:()=>b_e,createTextRangeWithKind:()=>ege,formatDocument:()=>ige,formatNodeGivenIndentation:()=>dge,formatOnClosingCurly:()=>oge,formatOnEnter:()=>nge,formatOnOpeningCurly:()=>rge,formatOnSemicolon:()=>tge,formatSelection:()=>age,getAllRules:()=>A_e,getFormatContext:()=>Hhe,getFormattingScanner:()=>v_e,getIndentationString:()=>_ge,getRangeOfEnclosingComment:()=>mge});var bge,Ege,Sge=g({"src/services/_namespaces/ts.formatting.ts"(){y_e(),T_e(),x_e(),Uhe(),Zhe(),gge(),yge()}}),Tge=g({"src/services/_namespaces/ts.ts"(){JJ(),UX(),nY(),P0(),j0(),r1(),o1(),d1(),b1(),K1(),X1(),e2(),m2(),y2(),I7(),D7(),L7(),e9(),s9(),sce(),oue(),que(),fpe(),Tpe(),jpe(),B2(),C4(),vfe(),Dfe(),F5(),Gfe(),fme(),Rme(),Vme(),g_e(),Sge()}});function xge(e,n,t,r,o){let i=n?"DeprecationError: ":"DeprecationWarning: ";return i+=`'${e}' `,i+=r?`has been deprecated since v${r}`:"is deprecated",i+=n?" and can no longer be used.":t?` and will no longer be usable after v${t}.`:".",i+=o?` ${$S(o,[e])}`:"",i}function Age(e,n={}){const r="string"==typeof n.typeScriptVersion?new Mt(n.typeScriptVersion):n.typeScriptVersion??Ege??(Ege=new Mt(t)),o="string"==typeof n.errorAfter?new Mt(n.errorAfter):n.errorAfter,i="string"==typeof n.warnAfter?new Mt(n.warnAfter):n.warnAfter,a="string"==typeof n.since?new Mt(n.since):n.since??i,s=n.error||o&&r.compareTo(o)>=0,l=!i||r.compareTo(i)>=0;return s?function(e,n,t,r){const o=xge(e,!0,n,t,r);return()=>{throw new TypeError(o)}}(e,o,a,n.message):l?function(e,n,t,r){let o=!1;return()=>{bge&&!o&&(Tt.log.warn(xge(e,!1,n,t,r)),o=!0)}}(e,o,a,n.message):yn}function Rge(e,n){return function(e,n){return function(){return e(),n.apply(this,arguments)}}(Age((null==n?void 0:n.name)??Tt.getFunctionName(e),n),e)}var Ige=g({"src/deprecatedCompat/deprecate.ts"(){kge(),bge=!0}});function Nge(e,n,t,r){if(Object.defineProperty(i,"name",{...Object.getOwnPropertyDescriptor(i,"name"),value:e}),r)for(const t of Object.keys(r)){const o=+t;!isNaN(o)&&je(n,`${o}`)&&(n[o]=Rge(n[o],{...r[o],name:e}))}const o=function(e,n){return t=>{for(let r=0;je(e,`${r}`)&&je(n,`${r}`);r++){if((0,n[r])(t))return r}}}(n,t);return i;function i(...e){const t=o(e),r=void 0!==t?n[t]:void 0;if("function"==typeof r)return r(...e);throw new TypeError("Invalid arguments")}}function Dge(e){return{overload:n=>({bind:t=>({finish:()=>Nge(e,n,t),deprecate:r=>({finish:()=>Nge(e,n,t,r)})})})}}var Cge,Mge,Pge=g({"src/deprecatedCompat/deprecations.ts"(){kge(),Ige()}}),Lge=g({"src/deprecatedCompat/5.0/identifierProperties.ts"(){kge(),Ige(),XS((e=>{const n=e.getIdentifierConstructor();je(n.prototype,"originalKeywordKind")||Object.defineProperty(n.prototype,"originalKeywordKind",{get:Rge((function(){return kl(this)}),{name:"originalKeywordKind",since:"5.0",warnAfter:"5.1",errorAfter:"5.2",message:"Use 'identifierToKeywordKind(identifier)' instead."})}),je(n.prototype,"isInJSDocNamespace")||Object.defineProperty(n.prototype,"isInJSDocNamespace",{get:Rge((function(){return!!(4096&this.flags)||void 0}),{name:"isInJSDocNamespace",since:"5.0",warnAfter:"5.1",errorAfter:"5.2",message:"Use '.parent' or the surrounding context to determine this instead."})})}))}}),kge=g({"src/deprecatedCompat/_namespaces/ts.ts"(){JJ(),Pge(),Lge()}}),wge=g({"src/typingsInstallerCore/_namespaces/ts.ts"(){JJ(),UX(),qge()}});function Oge(e,n,t,r){try{const r=wF(n,ua(e,"index.d.ts"),{moduleResolution:2},t);return r.resolvedModule&&r.resolvedModule.resolvedFileName}catch(t){return void(r.isEnabled()&&r.writeLine(`Failed to resolve ${n} in folder '${e}': ${t.message}`))}}function Fge(e,n,t,r){let o=!1;for(let i=t.length;i>0;){const a=Wge(e,n,t,i);i=a.remaining,o=r(a.command)||o}return o}function Wge(e,n,t,r){const o=t.length-r;let i,a=r;for(;i=`${e} install --ignore-scripts ${(a===t.length?t:t.slice(o,o+a)).join(" ")} --save-dev --user-agent="typesInstaller/${n}"`,!(i.length<8e3);)a-=Math.floor(a/2);return{command:i,remaining:r-a}}function zge(e){return`@types/${e}@ts${n}`}var Gge=g({"src/typingsInstallerCore/typingsInstaller.ts"(){wge(),qge(),Cge={isEnabled:()=>!1,writeLine:yn},Mge=class{constructor(e,n,t,r,o,i=Cge){this.installTypingHost=e,this.globalCachePath=n,this.safeListPath=t,this.typesMapLocation=r,this.throttleLimit=o,this.log=i,this.packageNameToTypingLocation=new Map,this.missingTypingsSet=new Set,this.knownCachesSet=new Set,this.projectWatchers=new Map,this.pendingRunRequests=[],this.installRunCount=1,this.inFlightRequestCount=0,this.latestDistTag="latest";this.log.isEnabled()&&this.log.writeLine(`Global cache location '${n}', safe file path '${t}', types map path ${r}`),this.processCacheLocation(this.globalCachePath)}handleRequest(e){switch(e.kind){case"discover":this.install(e);break;case"closeProject":this.closeProject(e);break;case"typesRegistry":{const e={};this.typesRegistry.forEach(((n,t)=>{e[t]=n}));const n={kind:GJ,typesRegistry:e};this.sendResponse(n);break}case"installPackage":this.installPackage(e);break;default:Tt.assertNever(e)}}closeProject(e){this.closeWatchers(e.projectName)}closeWatchers(e){this.log.isEnabled()&&this.log.writeLine(`Closing file watchers for project '${e}'`);this.projectWatchers.get(e)?(this.projectWatchers.delete(e),this.sendResponse({kind:UJ,projectName:e,files:[]}),this.log.isEnabled()&&this.log.writeLine(`Closing file watchers for project '${e}' - done.`)):this.log.isEnabled()&&this.log.writeLine(`No watchers are registered for project '${e}'`)}install(e){this.log.isEnabled()&&this.log.writeLine(`Got install request${ZJ(e)}`),e.cachePath&&(this.log.isEnabled()&&this.log.writeLine(`Request specifies cache path '${e.cachePath}', loading cached information...`),this.processCacheLocation(e.cachePath)),void 0===this.safeList&&this.initializeSafeList();const n=vX.discoverTypings(this.installTypingHost,this.log.isEnabled()?e=>this.log.writeLine(e):void 0,e.fileNames,e.projectRootPath,this.safeList,this.packageNameToTypingLocation,e.typeAcquisition,e.unresolvedImports,this.typesRegistry,e.compilerOptions);this.watchFiles(e.projectName,n.filesToWatch),n.newTypingNames.length?this.installTypings(e,e.cachePath||this.globalCachePath,n.cachedTypingPaths,n.newTypingNames):(this.sendResponse(this.createSetTypings(e,n.cachedTypingPaths)),this.log.isEnabled()&&this.log.writeLine("No new typings were requested as a result of typings discovery"))}installPackage(e){const{fileName:n,packageName:t,projectName:r,projectRootPath:o,id:i}=e,a=ka(ra(n),(e=>{if(this.installTypingHost.fileExists(ua(e,"package.json")))return e}))||o;if(a)this.installWorker(-1,[t],a,(e=>{const n={kind:zJ,projectName:r,id:i,success:e,message:e?`Package ${t} installed.`:`There was an error installing ${t}.`};this.sendResponse(n)}));else{const e={kind:zJ,projectName:r,id:i,success:!1,message:"Could not determine a project root path."};this.sendResponse(e)}}initializeSafeList(){if(this.typesMapLocation){const e=vX.loadTypesMap(this.installTypingHost,this.typesMapLocation);if(e)return this.log.writeLine(`Loaded safelist from types map file '${this.typesMapLocation}'`),void(this.safeList=e);this.log.writeLine(`Failed to load safelist from types map file '${this.typesMapLocation}'`)}this.safeList=vX.loadSafeList(this.installTypingHost,this.safeListPath)}processCacheLocation(e){if(this.log.isEnabled()&&this.log.writeLine(`Processing cache location '${e}'`),this.knownCachesSet.has(e))return void(this.log.isEnabled()&&this.log.writeLine("Cache location was already processed..."));const n=ua(e,"package.json"),t=ua(e,"package-lock.json");if(this.log.isEnabled()&&this.log.writeLine(`Trying to find '${n}'...`),this.installTypingHost.fileExists(n)&&this.installTypingHost.fileExists(t)){const r=JSON.parse(this.installTypingHost.readFile(n)),o=JSON.parse(this.installTypingHost.readFile(t));if(this.log.isEnabled()&&(this.log.writeLine(`Loaded content of '${n}':${ZJ(r)}`),this.log.writeLine(`Loaded content of '${t}':${ZJ(o)}`)),r.devDependencies&&o.dependencies)for(const n in r.devDependencies){if(!je(o.dependencies,n))continue;const t=oa(n);if(!t)continue;const r=Oge(e,t,this.installTypingHost,this.log);if(!r){this.missingTypingsSet.add(t);continue}const i=this.packageNameToTypingLocation.get(t);if(i){if(i.typingLocation===r)continue;this.log.isEnabled()&&this.log.writeLine(`New typing for package ${t} from '${r}' conflicts with existing typing file '${i}'`)}this.log.isEnabled()&&this.log.writeLine(`Adding entry into typings cache: '${t}' => '${r}'`);const a=Ve(o.dependencies,n),s=a&&a.version;if(!s)continue;const l={typingLocation:r,version:new Mt(s)};this.packageNameToTypingLocation.set(t,l)}}this.log.isEnabled()&&this.log.writeLine(`Finished processing cache location '${e}'`),this.knownCachesSet.add(e)}filterTypings(e){return Y(e,(e=>{const n=xW(e);if(this.missingTypingsSet.has(n))return void(this.log.isEnabled()&&this.log.writeLine(`'${e}':: '${n}' is in missingTypingsSet - skipping...`));const t=vX.validatePackageName(e);if(t!==vX.NameValidationResult.Ok)return this.missingTypingsSet.add(n),void(this.log.isEnabled()&&this.log.writeLine(vX.renderPackageNameValidationFailure(t,e)));if(this.typesRegistry.has(n)){if(!this.packageNameToTypingLocation.get(n)||!vX.isTypingUpToDate(this.packageNameToTypingLocation.get(n),this.typesRegistry.get(n)))return n;this.log.isEnabled()&&this.log.writeLine(`'${e}':: '${n}' already has an up-to-date typing - skipping...`)}else this.log.isEnabled()&&this.log.writeLine(`'${e}':: Entry for package '${n}' does not exist in local types registry - skipping...`)}))}ensurePackageDirectoryExists(e){const n=ua(e,"package.json");this.log.isEnabled()&&this.log.writeLine(`Npm config file: ${n}`),this.installTypingHost.fileExists(n)||(this.log.isEnabled()&&this.log.writeLine(`Npm config file: '${n}' is missing, creating new one...`),this.ensureDirectoryExists(e,this.installTypingHost),this.installTypingHost.writeFile(n,'{ "private": true }'))}installTypings(e,r,o,i){this.log.isEnabled()&&this.log.writeLine(`Installing typings ${JSON.stringify(i)}`);const a=this.filterTypings(i);if(0===a.length)return this.log.isEnabled()&&this.log.writeLine("All typings are known to be missing or invalid - no need to install more typings"),void this.sendResponse(this.createSetTypings(e,o));this.ensurePackageDirectoryExists(r);const s=this.installRunCount;this.installRunCount++,this.sendResponse({kind:BJ,eventId:s,typingsInstallerVersion:t,projectName:e.projectName});const l=a.map(zge);this.installTypingsAsync(s,l,r,(i=>{try{if(!i){this.log.isEnabled()&&this.log.writeLine(`install request failed, marking packages as missing to prevent repeated requests: ${JSON.stringify(a)}`);for(const e of a)this.missingTypingsSet.add(e);return}this.log.isEnabled()&&this.log.writeLine(`Installed typings ${JSON.stringify(l)}`);const t=[];for(const e of a){const o=Oge(r,e,this.installTypingHost,this.log);if(!o){this.missingTypingsSet.add(e);continue}const i=this.typesRegistry.get(e),a={typingLocation:o,version:new Mt(i[`ts${n}`]||i[this.latestDistTag])};this.packageNameToTypingLocation.set(e,a),t.push(o)}this.log.isEnabled()&&this.log.writeLine(`Installed typing files ${JSON.stringify(t)}`),this.sendResponse(this.createSetTypings(e,o.concat(t)))}finally{const n={kind:jJ,eventId:s,projectName:e.projectName,packagesToInstall:l,installSuccess:i,typingsInstallerVersion:t};this.sendResponse(n)}}))}ensureDirectoryExists(e,n){const t=ra(e);n.directoryExists(t)||this.ensureDirectoryExists(t,n),n.directoryExists(e)||n.createDirectory(e)}watchFiles(e,n){if(!n.length)return void this.closeWatchers(e);const t=this.projectWatchers.get(e),r=new Set(n);!t||zf(r,(e=>!t.has(e)))||zf(t,(e=>!r.has(e)))?(this.projectWatchers.set(e,r),this.sendResponse({kind:UJ,projectName:e,files:n})):this.sendResponse({kind:UJ,projectName:e,files:void 0})}createSetTypings(e,n){return{projectName:e.projectName,typeAcquisition:e.typeAcquisition,compilerOptions:e.compilerOptions,typings:n,unresolvedImports:e.unresolvedImports,kind:FJ}}installTypingsAsync(e,n,t,r){this.pendingRunRequests.unshift({requestId:e,packageNames:n,cwd:t,onRequestCompleted:r}),this.executeWithThrottling()}executeWithThrottling(){for(;this.inFlightRequestCount<this.throttleLimit&&this.pendingRunRequests.length;){this.inFlightRequestCount++;const e=this.pendingRunRequests.pop();this.installWorker(e.requestId,e.packageNames,e.cwd,(n=>{this.inFlightRequestCount--,e.onRequestCompleted(n),this.executeWithThrottling()}))}}}}}),Bge={};y(Bge,{TypingsInstaller:()=>Mge,getNpmCommandForInstallation:()=>Wge,installNpmPackages:()=>Fge,typingsName:()=>zge});var jge,Vge,Uge,Hge,Kge=g({"src/typingsInstallerCore/_namespaces/ts.server.typingsInstaller.ts"(){Gge()}}),qge=g({"src/typingsInstallerCore/_namespaces/ts.server.ts"(){lX(),Kge()}}),Jge=g({"src/server/types.ts"(){}});function Xge(e,n,t,r){return{projectName:e.getProjectName(),fileNames:e.getFileNames(!0,!0).concat(e.getExcludedFiles()),compilerOptions:e.getCompilationSettings(),typeAcquisition:n,unresolvedImports:t,projectRootPath:e.getCurrentDirectory(),cachePath:r,kind:"discover"}}function Yge(e){return _a(e)}function $ge(e,n,t){return t(Hi(e)?e:ma(e,n))}function Qge(e){return e}function Zge(){const e=new Map;return{get(n){return e.get(n)},set(n,t){e.set(n,t)},contains(n){return e.has(n)},remove(n){e.delete(n)}}}function eye(e){return/dev\/null\/inferredProject\d+\*/.test(e)}function nye(e){return`/dev/null/inferredProject${e}*`}function tye(e){return`/dev/null/autoImportProviderProject${e}*`}function rye(e){return`/dev/null/auxiliaryProject${e}*`}function oye(){return[]}var iye,aye,sye=g({"src/server/utilitiesPublic.ts"(){var e;Xbe(),jge=(e=>(e[e.terse=0]="terse",e[e.normal=1]="normal",e[e.requestTime=2]="requestTime",e[e.verbose=3]="verbose",e))(jge||{}),Vge=[],Uge=(e=>(e.Err="Err",e.Info="Info",e.Perf="Perf",e))(Uge||{}),(e=Hge||(Hge={})).ThrowNoProject=function(){throw new Error("No Project.")},e.ThrowProjectLanguageServiceDisabled=function(){throw new Error("The project's language service is disabled.")},e.ThrowProjectDoesNotContainDocument=function(e,n){throw new Error(`Project '${n.getProjectName()}' does not contain document '${e}'`)}}});function lye(e){const n=oa(e);return"tsconfig.json"===n||"jsconfig.json"===n?n:void 0}function cye(e,n,t){if(!e||0===e.length)return;if(e[0]===n)return void e.splice(0,1);const r=ze(e,n,Sn,t);r>=0&&e.splice(r,1)}var dye,uye,pye,fye,mye,_ye,hye,gye,yye,vye,bye,Eye,Sye,Tye,xye=g({"src/server/utilities.ts"(){Xbe(),qbe(),iye=class e{constructor(e,n){this.host=e,this.pendingTimeouts=new Map,this.logger=n.hasLevel(3)?n:void 0}schedule(n,t,r){const o=this.pendingTimeouts.get(n);o&&this.host.clearTimeout(o),this.pendingTimeouts.set(n,this.host.setTimeout(e.run,t,n,this,r)),this.logger&&this.logger.info(`Scheduled: ${n}${o?", Cancelled earlier one":""}`)}cancel(e){const n=this.pendingTimeouts.get(e);return!!n&&(this.host.clearTimeout(n),this.pendingTimeouts.delete(e))}static run(e,n,t){var r,o;null==(r=or)||r.logStartScheduledOperation(e),n.pendingTimeouts.delete(e),n.logger&&n.logger.info(`Running: ${e}`),t(),null==(o=or)||o.logStopScheduledOperation()}},aye=class e{constructor(e,n,t){this.host=e,this.delay=n,this.logger=t}scheduleCollect(){this.host.gc&&void 0===this.timerId&&(this.timerId=this.host.setTimeout(e.run,this.delay,this))}static run(e){var n,t;e.timerId=void 0,null==(n=or)||n.logStartScheduledOperation("GC collect");const r=e.logger.hasLevel(2),o=r&&e.host.getMemoryUsage();if(e.host.gc(),r){const n=e.host.getMemoryUsage();e.logger.perftrc(`GC::before ${o}, after ${n}`)}null==(t=or)||t.logStopScheduledOperation()}}}}),Aye=g({"src/server/protocol.ts"(){dye=(e=>(e.JsxClosingTag="jsxClosingTag",e.LinkedEditingRange="linkedEditingRange",e.Brace="brace",e.BraceFull="brace-full",e.BraceCompletion="braceCompletion",e.GetSpanOfEnclosingComment="getSpanOfEnclosingComment",e.Change="change",e.Close="close",e.Completions="completions",e.CompletionInfo="completionInfo",e.CompletionsFull="completions-full",e.CompletionDetails="completionEntryDetails",e.CompletionDetailsFull="completionEntryDetails-full",e.CompileOnSaveAffectedFileList="compileOnSaveAffectedFileList",e.CompileOnSaveEmitFile="compileOnSaveEmitFile",e.Configure="configure",e.Definition="definition",e.DefinitionFull="definition-full",e.DefinitionAndBoundSpan="definitionAndBoundSpan",e.DefinitionAndBoundSpanFull="definitionAndBoundSpan-full",e.Implementation="implementation",e.ImplementationFull="implementation-full",e.EmitOutput="emit-output",e.Exit="exit",e.FileReferences="fileReferences",e.FileReferencesFull="fileReferences-full",e.Format="format",e.Formatonkey="formatonkey",e.FormatFull="format-full",e.FormatonkeyFull="formatonkey-full",e.FormatRangeFull="formatRange-full",e.Geterr="geterr",e.GeterrForProject="geterrForProject",e.SemanticDiagnosticsSync="semanticDiagnosticsSync",e.SyntacticDiagnosticsSync="syntacticDiagnosticsSync",e.SuggestionDiagnosticsSync="suggestionDiagnosticsSync",e.NavBar="navbar",e.NavBarFull="navbar-full",e.Navto="navto",e.NavtoFull="navto-full",e.NavTree="navtree",e.NavTreeFull="navtree-full",e.DocumentHighlights="documentHighlights",e.DocumentHighlightsFull="documentHighlights-full",e.Open="open",e.Quickinfo="quickinfo",e.QuickinfoFull="quickinfo-full",e.References="references",e.ReferencesFull="references-full",e.Reload="reload",e.Rename="rename",e.RenameInfoFull="rename-full",e.RenameLocationsFull="renameLocations-full",e.Saveto="saveto",e.SignatureHelp="signatureHelp",e.SignatureHelpFull="signatureHelp-full",e.FindSourceDefinition="findSourceDefinition",e.Status="status",e.TypeDefinition="typeDefinition",e.ProjectInfo="projectInfo",e.ReloadProjects="reloadProjects",e.Unknown="unknown",e.OpenExternalProject="openExternalProject",e.OpenExternalProjects="openExternalProjects",e.CloseExternalProject="closeExternalProject",e.SynchronizeProjectList="synchronizeProjectList",e.ApplyChangedToOpenFiles="applyChangedToOpenFiles",e.UpdateOpen="updateOpen",e.EncodedSyntacticClassificationsFull="encodedSyntacticClassifications-full",e.EncodedSemanticClassificationsFull="encodedSemanticClassifications-full",e.Cleanup="cleanup",e.GetOutliningSpans="getOutliningSpans",e.GetOutliningSpansFull="outliningSpans",e.TodoComments="todoComments",e.Indentation="indentation",e.DocCommentTemplate="docCommentTemplate",e.CompilerOptionsDiagnosticsFull="compilerOptionsDiagnostics-full",e.NameOrDottedNameSpan="nameOrDottedNameSpan",e.BreakpointStatement="breakpointStatement",e.CompilerOptionsForInferredProjects="compilerOptionsForInferredProjects",e.GetCodeFixes="getCodeFixes",e.GetCodeFixesFull="getCodeFixes-full",e.GetCombinedCodeFix="getCombinedCodeFix",e.GetCombinedCodeFixFull="getCombinedCodeFix-full",e.ApplyCodeActionCommand="applyCodeActionCommand",e.GetSupportedCodeFixes="getSupportedCodeFixes",e.GetApplicableRefactors="getApplicableRefactors",e.GetEditsForRefactor="getEditsForRefactor",e.GetMoveToRefactoringFileSuggestions="getMoveToRefactoringFileSuggestions",e.GetEditsForRefactorFull="getEditsForRefactor-full",e.OrganizeImports="organizeImports",e.OrganizeImportsFull="organizeImports-full",e.GetEditsForFileRename="getEditsForFileRename",e.GetEditsForFileRenameFull="getEditsForFileRename-full",e.ConfigurePlugin="configurePlugin",e.SelectionRange="selectionRange",e.SelectionRangeFull="selectionRange-full",e.ToggleLineComment="toggleLineComment",e.ToggleLineCommentFull="toggleLineComment-full",e.ToggleMultilineComment="toggleMultilineComment",e.ToggleMultilineCommentFull="toggleMultilineComment-full",e.CommentSelection="commentSelection",e.CommentSelectionFull="commentSelection-full",e.UncommentSelection="uncommentSelection",e.UncommentSelectionFull="uncommentSelection-full",e.PrepareCallHierarchy="prepareCallHierarchy",e.ProvideCallHierarchyIncomingCalls="provideCallHierarchyIncomingCalls",e.ProvideCallHierarchyOutgoingCalls="provideCallHierarchyOutgoingCalls",e.ProvideInlayHints="provideInlayHints",e.WatchChange="watchChange",e))(dye||{}),uye=(e=>(e.All="All",e.SortAndCombine="SortAndCombine",e.RemoveUnused="RemoveUnused",e))(uye||{}),pye=(e=>(e.FixedPollingInterval="FixedPollingInterval",e.PriorityPollingInterval="PriorityPollingInterval",e.DynamicPriorityPolling="DynamicPriorityPolling",e.FixedChunkSizePolling="FixedChunkSizePolling",e.UseFsEvents="UseFsEvents",e.UseFsEventsOnParentDirectory="UseFsEventsOnParentDirectory",e))(pye||{}),fye=(e=>(e.UseFsEvents="UseFsEvents",e.FixedPollingInterval="FixedPollingInterval",e.DynamicPriorityPolling="DynamicPriorityPolling",e.FixedChunkSizePolling="FixedChunkSizePolling",e))(fye||{}),mye=(e=>(e.FixedInterval="FixedInterval",e.PriorityInterval="PriorityInterval",e.DynamicPriority="DynamicPriority",e.FixedChunkSize="FixedChunkSize",e))(mye||{}),_ye=(e=>(e[e.Invoked=1]="Invoked",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.TriggerForIncompleteCompletions=3]="TriggerForIncompleteCompletions",e))(_ye||{}),hye=(e=>(e.None="None",e.Block="Block",e.Smart="Smart",e))(hye||{}),gye=(e=>(e.Ignore="ignore",e.Insert="insert",e.Remove="remove",e))(gye||{}),yye=(e=>(e.None="None",e.Preserve="Preserve",e.ReactNative="ReactNative",e.React="React",e))(yye||{}),vye=(e=>(e.None="None",e.CommonJS="CommonJS",e.AMD="AMD",e.UMD="UMD",e.System="System",e.ES6="ES6",e.ES2015="ES2015",e.ESNext="ESNext",e.Node16="Node16",e.NodeNext="NodeNext",e.Preserve="Preserve",e))(vye||{}),bye=(e=>(e.Classic="Classic",e.Node="Node",e.Node10="Node10",e.Node16="Node16",e.NodeNext="NodeNext",e.Bundler="Bundler",e))(bye||{}),Eye=(e=>(e.Crlf="Crlf",e.Lf="Lf",e))(Eye||{}),Sye=(e=>(e.ES3="ES3",e.ES5="ES5",e.ES6="ES6",e.ES2015="ES2015",e.ES2016="ES2016",e.ES2017="ES2017",e.ES2018="ES2018",e.ES2019="ES2019",e.ES2020="ES2020",e.ES2021="ES2021",e.ES2022="ES2022",e.ESNext="ESNext",e))(Sye||{}),Tye=(e=>(e[e.comment=1]="comment",e[e.identifier=2]="identifier",e[e.keyword=3]="keyword",e[e.numericLiteral=4]="numericLiteral",e[e.operator=5]="operator",e[e.stringLiteral=6]="stringLiteral",e[e.regularExpressionLiteral=7]="regularExpressionLiteral",e[e.whiteSpace=8]="whiteSpace",e[e.text=9]="text",e[e.punctuation=10]="punctuation",e[e.className=11]="className",e[e.enumName=12]="enumName",e[e.interfaceName=13]="interfaceName",e[e.moduleName=14]="moduleName",e[e.typeParameterName=15]="typeParameterName",e[e.typeAliasName=16]="typeAliasName",e[e.parameterName=17]="parameterName",e[e.docCommentTagName=18]="docCommentTagName",e[e.jsxOpenTagName=19]="jsxOpenTagName",e[e.jsxCloseTagName=20]="jsxCloseTagName",e[e.jsxSelfClosingTagName=21]="jsxSelfClosingTagName",e[e.jsxAttribute=22]="jsxAttribute",e[e.jsxText=23]="jsxText",e[e.jsxAttributeStringLiteralValue=24]="jsxAttributeStringLiteralValue",e[e.bigintLiteral=25]="bigintLiteral",e))(Tye||{})}}),Rye={};y(Rye,{ClassificationType:()=>Tye,CommandTypes:()=>dye,CompletionTriggerKind:()=>_ye,IndentStyle:()=>hye,JsxEmit:()=>yye,ModuleKind:()=>vye,ModuleResolutionKind:()=>bye,NewLineKind:()=>Eye,OrganizeImportsMode:()=>uye,PollingWatchKind:()=>mye,ScriptTarget:()=>Sye,SemicolonPreference:()=>gye,WatchDirectoryKind:()=>fye,WatchFileKind:()=>pye});var Iye,Nye,Dye=g({"src/server/_namespaces/ts.server.protocol.ts"(){Aye()}});function Cye(e){return"^"===e[0]||(e.includes("walkThroughSnippet:/")||e.includes("untitled:/"))&&"^"===oa(e)[0]||e.includes(":^")&&!e.includes(Fi)}function Mye(e){return!e||eve(e)?Hge.ThrowNoProject():e}var Pye,Lye,kye=g({"src/server/scriptInfo.ts"(){Xbe(),qbe(),Iye=class{constructor(e,n,t){this.host=e,this.info=n,this.isOpen=!1,this.ownFileText=!1,this.pendingReloadFromDisk=!1,this.version=t||0}getVersion(){return this.svc?`SVC-${this.version}-${this.svc.getSnapshotVersion()}`:`Text-${this.version}`}hasScriptVersionCache_TestOnly(){return void 0!==this.svc}resetSourceMapInfo(){this.info.sourceFileLike=void 0,this.info.closeSourceMapFileWatcher(),this.info.sourceMapFilePath=void 0,this.info.declarationInfoPath=void 0,this.info.sourceInfos=void 0,this.info.documentPositionMapper=void 0}useText(e){this.svc=void 0,this.text=e,this.textSnapshot=void 0,this.lineMap=void 0,this.fileSize=void 0,this.resetSourceMapInfo(),this.version++}edit(e,n,t){this.switchToScriptVersionCache().edit(e,n-e,t),this.ownFileText=!1,this.text=void 0,this.textSnapshot=void 0,this.lineMap=void 0,this.fileSize=void 0,this.resetSourceMapInfo()}reload(e){return Tt.assert(void 0!==e),this.pendingReloadFromDisk=!1,!this.text&&this.svc&&(this.text=rQ(this.svc.getSnapshot())),this.text!==e&&(this.useText(e),this.ownFileText=!1,!0)}reloadWithFileText(e){const{text:n,fileSize:t}=e||!this.info.isDynamicOrHasMixedContent()?this.getFileTextAndSize(e):{text:"",fileSize:void 0},r=this.reload(n);return this.fileSize=t,this.ownFileText=!e||e===this.info.fileName,r}scheduleReloadIfNeeded(){return!this.pendingReloadFromDisk&&!this.ownFileText&&(this.pendingReloadFromDisk=!0)}delayReloadFromFileIntoText(){this.pendingReloadFromDisk=!0}getTelemetryFileSize(){return this.fileSize?this.fileSize:this.text?this.text.length:this.svc?this.svc.getSnapshot().getLength():this.getSnapshot().getLength()}getSnapshot(){var e;return(null==(e=this.tryUseScriptVersionCache())?void 0:e.getSnapshot())||(this.textSnapshot??(this.textSnapshot=bX.fromString(Tt.checkDefined(this.text))))}getAbsolutePositionAndLineText(e){const n=this.tryUseScriptVersionCache();if(n)return n.getAbsolutePositionAndLineText(e);const t=this.getLineMap();return e<=t.length?{absolutePosition:t[e-1],lineText:this.text.substring(t[e-1],t[e])}:{absolutePosition:this.text.length,lineText:void 0}}lineToTextSpan(e){const n=this.tryUseScriptVersionCache();if(n)return n.lineToTextSpan(e);const t=this.getLineMap();return ul(t[e],e+1<t.length?t[e+1]:this.text.length)}lineOffsetToPosition(e,n,t){const r=this.tryUseScriptVersionCache();return r?r.lineOffsetToPosition(e,n):ds(this.getLineMap(),e-1,n-1,this.text,t)}positionToLineOffset(e){const n=this.tryUseScriptVersionCache();if(n)return n.positionToLineOffset(e);const{line:t,character:r}=ps(this.getLineMap(),e);return{line:t+1,offset:r+1}}getFileTextAndSize(e){let n;const t=e||this.info.fileName,r=()=>void 0===n?n=this.host.readFile(t)||"":n;if(!rx(this.info.fileName)){const e=this.host.getFileSize?this.host.getFileSize(t):r().length;if(e>tve){Tt.assert(!!this.info.containingProjects.length);return this.info.containingProjects[0].projectService.logger.info(`Skipped loading contents of large file ${t} for info ${this.info.fileName}: fileSize: ${e}`),this.info.containingProjects[0].projectService.sendLargeFileReferencedEvent(t,e),{text:"",fileSize:e}}}return{text:r()}}switchToScriptVersionCache(){return this.svc&&!this.pendingReloadFromDisk||(this.svc=Obe.fromString(this.getOrLoadText()),this.textSnapshot=void 0,this.version++),this.svc}tryUseScriptVersionCache(){return this.svc&&!this.pendingReloadFromDisk||this.getOrLoadText(),this.isOpen?(this.svc||this.textSnapshot||(this.svc=Obe.fromString(Tt.checkDefined(this.text)),this.textSnapshot=void 0),this.svc):this.svc}getOrLoadText(){return(void 0===this.text||this.pendingReloadFromDisk)&&(Tt.assert(!this.svc||this.pendingReloadFromDisk,"ScriptVersionCache should not be set when reloading from disk"),this.reloadWithFileText()),this.text}getLineMap(){return Tt.assert(!this.svc,"ScriptVersionCache should not be set"),this.lineMap||(this.lineMap=ls(Tt.checkDefined(this.text)))}getLineInfo(){const e=this.tryUseScriptVersionCache();if(e)return{getLineCount:()=>e.getLineCount(),getLineText:n=>e.getAbsolutePositionAndLineText(n+1).lineText};const n=this.getLineMap();return EG(this.text,n)}},Nye=class{constructor(e,n,t,r,o,i){this.host=e,this.fileName=n,this.scriptKind=t,this.hasMixedContent=r,this.path=o,this.containingProjects=[],this.isDynamic=Cye(n),this.textStorage=new Iye(e,this,i),(r||this.isDynamic)&&(this.realpath=this.path),this.scriptKind=t||ZT(n)}isDynamicOrHasMixedContent(){return this.hasMixedContent||this.isDynamic}isScriptOpen(){return this.textStorage.isOpen}open(e){this.textStorage.isOpen=!0,void 0!==e&&this.textStorage.reload(e)&&this.markContainingProjectsAsDirty()}close(e=!0){this.textStorage.isOpen=!1,e&&this.textStorage.scheduleReloadIfNeeded()&&this.markContainingProjectsAsDirty()}getSnapshot(){return this.textStorage.getSnapshot()}ensureRealPath(){if(void 0===this.realpath&&(this.realpath=this.path,this.host.realpath)){Tt.assert(!!this.containingProjects.length);const e=this.containingProjects[0],n=this.host.realpath(this.path);n&&(this.realpath=e.toPath(n),this.realpath!==this.path&&e.projectService.realpathToScriptInfos.add(this.realpath,this))}}getRealpathIfDifferent(){return this.realpath&&this.realpath!==this.path?this.realpath:void 0}isSymlink(){return this.realpath&&this.realpath!==this.path}getFormatCodeSettings(){return this.formatSettings}getPreferences(){return this.preferences}attachToProject(e){const n=!this.isAttached(e);return n&&(this.containingProjects.push(e),e.getCompilerOptions().preserveSymlinks||this.ensureRealPath(),e.onFileAddedOrRemoved(this.isSymlink())),n}isAttached(e){switch(this.containingProjects.length){case 0:return!1;case 1:return this.containingProjects[0]===e;case 2:return this.containingProjects[0]===e||this.containingProjects[1]===e;default:return k(this.containingProjects,e)}}detachFromProject(e){switch(this.containingProjects.length){case 0:return;case 1:this.containingProjects[0]===e&&(e.onFileAddedOrRemoved(this.isSymlink()),this.containingProjects.pop());break;case 2:this.containingProjects[0]===e?(e.onFileAddedOrRemoved(this.isSymlink()),this.containingProjects[0]=this.containingProjects.pop()):this.containingProjects[1]===e&&(e.onFileAddedOrRemoved(this.isSymlink()),this.containingProjects.pop());break;default:Zn(this.containingProjects,e)&&e.onFileAddedOrRemoved(this.isSymlink())}}detachAllProjects(){for(const e of this.containingProjects){Qye(e)&&e.getCachedDirectoryStructureHost().addOrDeleteFile(this.fileName,this.path,2);const n=e.getRootFilesMap().get(this.path);e.removeFile(this,!1,!1),e.onFileAddedOrRemoved(this.isSymlink()),n&&!$ye(e)&&e.addMissingFileRoot(n.fileName)}G(this.containingProjects)}getDefaultProject(){switch(this.containingProjects.length){case 0:return Hge.ThrowNoProject();case 1:return Mye(this.containingProjects[0]);default:let e,n,t,r,o;for(let i=0;i<this.containingProjects.length;i++){const a=this.containingProjects[i];if(Qye(a)){if(!a.isSourceOfProjectReferenceRedirect(this.fileName)){if(void 0===o&&i!==this.containingProjects.length-1&&(o=a.projectService.findDefaultConfiguredProject(this)||!1),o===a)return a;r||(r=a)}n||(n=a)}else!e&&Zye(a)?e=a:!t&&$ye(a)&&(t=a)}return Mye(o||r||n||e||t)}}registerFileUpdate(){for(const e of this.containingProjects)e.registerFileUpdate(this.path)}setOptions(e,n){e&&(this.formatSettings?this.formatSettings={...this.formatSettings,...e}:(this.formatSettings=HX(this.host.newLine),Xe(this.formatSettings,e))),n&&(this.preferences||(this.preferences=xX),this.preferences={...this.preferences,...n})}getLatestVersion(){return this.textStorage.getSnapshot(),this.textStorage.getVersion()}saveTo(e){this.host.writeFile(e,rQ(this.textStorage.getSnapshot()))}delayReloadNonMixedContentFile(){Tt.assert(!this.isDynamicOrHasMixedContent()),this.textStorage.delayReloadFromFileIntoText(),this.markContainingProjectsAsDirty()}reloadFromFile(e){return!!this.textStorage.reloadWithFileText(e)&&(this.markContainingProjectsAsDirty(),!0)}editContent(e,n,t){this.textStorage.edit(e,n,t),this.markContainingProjectsAsDirty()}markContainingProjectsAsDirty(){for(const e of this.containingProjects)e.markFileAsDirty(this.path)}isOrphan(){return!E(this.containingProjects,(e=>!e.isOrphan()))}isContainedByBackgroundProject(){return oe(this.containingProjects,eve)}lineToTextSpan(e){return this.textStorage.lineToTextSpan(e)}lineOffsetToPosition(e,n,t){return this.textStorage.lineOffsetToPosition(e,n,t)}positionToLineOffset(e){!function(e){Tt.assert("number"==typeof e,`Expected position ${e} to be a number.`),Tt.assert(e>=0,"Expected position to be non-negative.")}(e);const n=this.textStorage.positionToLineOffset(e);return function(e){Tt.assert("number"==typeof e.line,`Expected line ${e.line} to be a number.`),Tt.assert("number"==typeof e.offset,`Expected offset ${e.offset} to be a number.`),Tt.assert(e.line>0,"Expected line to be non-"+(0===e.line?"zero":"negative")),Tt.assert(e.offset>0,"Expected offset to be non-"+(0===e.offset?"zero":"negative"))}(n),n}isJavaScript(){return 1===this.scriptKind||2===this.scriptKind}closeSourceMapFileWatcher(){this.sourceMapFilePath&&!mn(this.sourceMapFilePath)&&(lU(this.sourceMapFilePath),this.sourceMapFilePath=void 0)}}}});function wye(e,n){if(e===n)return!0;if(0===(e||Vge).length&&0===(n||Vge).length)return!0;const t=new Map;let r=0;for(const n of e)!0!==t.get(n)&&(t.set(n,!0),r++);for(const e of n){const n=t.get(e);if(void 0===n)return!1;!0===n&&(t.set(e,!1),r--)}return 0===r}var Oye,Fye,Wye,zye,Gye,Bye,jye,Vye,Uye=g({"src/server/typingsCache.ts"(){Xbe(),qbe(),Pye={isKnownTypesPackageName:vn,installPackage:An,enqueueInstallTypingsRequest:yn,attach:yn,onProjectClosed:yn,globalTypingsCacheLocation:void 0},Lye=class{constructor(e){this.installer=e,this.perProjectCache=new Map}isKnownTypesPackageName(e){return this.installer.isKnownTypesPackageName(e)}installPackage(e){return this.installer.installPackage(e)}enqueueInstallTypingsForProject(e,n,t){const r=e.getTypeAcquisition();if(!r||!r.enable)return;const o=this.perProjectCache.get(e.getProjectName());var i,a,s,l;!t&&o&&(s=r,l=o.typeAcquisition,s.enable===l.enable&&wye(s.include,l.include)&&wye(s.exclude,l.exclude))&&!function(e,n){return tf(e)!==tf(n)}(e.getCompilationSettings(),o.compilerOptions)&&(i=n,a=o.unresolvedImports,i===a||_e(i,a))||(this.perProjectCache.set(e.getProjectName(),{compilerOptions:e.getCompilationSettings(),typeAcquisition:r,typings:o?o.typings:Vge,unresolvedImports:n,poisoned:!0}),this.installer.enqueueInstallTypingsRequest(e,r,n))}updateTypingsForProject(e,n,t,r,o){const i=Ae(o);return this.perProjectCache.set(e,{compilerOptions:n,typeAcquisition:t,typings:i,unresolvedImports:r,poisoned:!1}),t&&t.enable?i:Vge}onProjectClosed(e){this.perProjectCache.delete(e.getProjectName())&&this.installer.onProjectClosed(e)}}}});function Hye(e,n=!1){const t={js:0,jsSize:0,jsx:0,jsxSize:0,ts:0,tsSize:0,tsx:0,tsxSize:0,dts:0,dtsSize:0,deferred:0,deferredSize:0};for(const r of e){const e=n?r.textStorage.getTelemetryFileSize():0;switch(r.scriptKind){case 1:t.js+=1,t.jsSize+=e;break;case 2:t.jsx+=1,t.jsxSize+=e;break;case 3:_k(r.fileName)?(t.dts+=1,t.dtsSize+=e):(t.ts+=1,t.tsSize+=e);break;case 4:t.tsx+=1,t.tsxSize+=e;break;case 7:t.deferred+=1,t.deferredSize+=e}}return t}function Kye(e){const n=Hye(e.getRootScriptInfos());return 0===n.ts&&0===n.tsx}function qye(e){const n=Hye(e.getScriptInfos());return 0===n.ts&&0===n.tsx}function Jye(e){return!e.some((e=>$i(e,".ts")&&!_k(e)||$i(e,".tsx")))}function Xye(e){return void 0!==e.generatedFilePath}function Yye(e,n){var t,r;const o=e.getSourceFiles();null==(t=Cr)||t.push(Cr.Phase.Session,"getUnresolvedImports",{count:o.length});const i=e.getTypeChecker().getAmbientModules().map((e=>Bv(e.getName()))),a=pe(H(o,(t=>function(e,n,t,r){return Z(r,n.path,(()=>{let r;return e.forEachResolvedModule((({resolvedModule:e},n)=>{e&&gx(e.extension)||Xs(n)||t.some((e=>e===n))||(r=ye(r,dW(n).packageName))}),n),r||Vge}))}(e,t,i,n))));return null==(r=Cr)||r.pop(),a}function $ye(e){return 0===e.projectKind}function Qye(e){return 1===e.projectKind}function Zye(e){return 2===e.projectKind}function eve(e){return 3===e.projectKind||4===e.projectKind}var nve,tve,rve,ove,ive,ave,sve,lve,cve,dve,uve,pve,fve,mve,_ve,hve,gve,yve,vve,bve,Eve,Sve,Tve,xve,Ave=g({"src/server/project.ts"(){Xbe(),Xbe(),qbe(),Oye=(e=>(e[e.Inferred=0]="Inferred",e[e.Configured=1]="Configured",e[e.External=2]="External",e[e.AutoImportProvider=3]="AutoImportProvider",e[e.Auxiliary=4]="Auxiliary",e))(Oye||{}),Fye=class e{constructor(e,n,t,r,o,i,a,s,l,c,d){switch(this.projectKind=n,this.projectService=t,this.documentRegistry=r,this.compilerOptions=a,this.compileOnSaveEnabled=s,this.watchOptions=l,this.rootFiles=[],this.rootFilesMap=new Map,this.plugins=[],this.cachedUnresolvedImportsPerFile=new Map,this.hasAddedorRemovedFiles=!1,this.hasAddedOrRemovedSymlinks=!1,this.lastReportedVersion=0,this.projectProgramVersion=0,this.projectStateVersion=0,this.isInitialLoadPending=vn,this.dirty=!1,this.typingFiles=Vge,this.moduleSpecifierCache=Zve(this),this.createHash=an(this.projectService.host,this.projectService.host.createHash),this.globalCacheResolutionModuleName=vX.nonRelativeModuleNameForTypingCache,this.updateFromProjectInProgress=!1,this.projectName=e,this.directoryStructureHost=c,this.currentDirectory=this.projectService.getNormalizedAbsolutePath(d),this.getCanonicalFileName=this.projectService.toCanonicalFileName,this.jsDocParsingMode=this.projectService.jsDocParsingMode,this.cancellationToken=new r7(this.projectService.cancellationToken,this.projectService.throttleWaitMilliseconds),this.compilerOptions?(o||tf(this.compilerOptions)||this.projectService.hasDeferredExtension())&&(this.compilerOptions.allowNonTsExtensions=!0):(this.compilerOptions={target:1,jsx:1},this.compilerOptions.allowNonTsExtensions=!0,this.compilerOptions.allowJs=!0),t.serverMode){case 0:this.languageServiceEnabled=!0;break;case 1:this.languageServiceEnabled=!0,this.compilerOptions.noResolve=!0,this.compilerOptions.types=[];break;case 2:this.languageServiceEnabled=!1,this.compilerOptions.noResolve=!0,this.compilerOptions.types=[];break;default:Tt.assertNever(t.serverMode)}this.setInternalCompilerOptionsForEmittingJsFiles();const u=this.projectService.host;this.projectService.logger.loggingEnabled()?this.trace=e=>this.writeLog(e):u.trace&&(this.trace=e=>u.trace(e)),this.realpath=an(u,u.realpath),this.resolutionCache=xK(this,this.currentDirectory,!0),this.languageService=S7(this,this.documentRegistry,this.projectService.serverMode),i&&this.disableLanguageService(i),this.markAsDirty(),eve(this)||(this.projectService.pendingEnsureProjectForOpenFiles=!0),this.projectService.onProjectCreation(this)}getResolvedProjectReferenceToRedirect(e){}isNonTsProject(){return Hve(this),qye(this)}isJsOnlyProject(){return Hve(this),function(e){const n=Hye(e.getScriptInfos());return n.js>0&&0===n.ts&&0===n.tsx}(this)}static resolveModule(n,t,r,o){return e.importServicePluginSync({name:n},[t],r,o).resolvedModule}static importServicePluginSync(e,n,t,r){let o,i;Tt.assertIsDefined(t.require);for(const a of n){const n=ca(t.resolvePath(ua(a,"node_modules")));r(`Loading ${e.name} from ${a} (resolved to ${n})`);const s=t.require(n,e.name);if(!s.error){i=s.module;break}const l=s.error.stack||s.error.message||JSON.stringify(s.error);(o??(o=[])).push(`Failed to load module '${e.name}' from ${n}: ${l}`)}return{pluginConfigEntry:e,resolvedModule:i,errorLogs:o}}static async importServicePluginAsync(e,n,t,r){let o,i;Tt.assertIsDefined(t.importPlugin);for(const a of n){const n=ua(a,"node_modules");let s;r(`Dynamically importing ${e.name} from ${a} (resolved to ${n})`);try{s=await t.importPlugin(n,e.name)}catch(e){s={module:void 0,error:e}}if(!s.error){i=s.module;break}const l=s.error.stack||s.error.message||JSON.stringify(s.error);(o??(o=[])).push(`Failed to dynamically import module '${e.name}' from ${n}: ${l}`)}return{pluginConfigEntry:e,resolvedModule:i,errorLogs:o}}isKnownTypesPackageName(e){return this.typingsCache.isKnownTypesPackageName(e)}installPackage(e){return this.typingsCache.installPackage({...e,projectName:this.projectName,projectRootPath:this.toPath(this.currentDirectory)})}getGlobalTypingsCacheLocation(){return this.getGlobalCache()}get typingsCache(){return this.projectService.typingsCache}getSymlinkCache(){return this.symlinks||(this.symlinks=OT(this.getCurrentDirectory(),this.getCanonicalFileName)),this.program&&!this.symlinks.hasProcessedResolutions()&&this.symlinks.setSymlinksFromResolutions(this.program.forEachResolvedModule,this.program.forEachResolvedTypeReferenceDirective,this.program.getAutomaticTypeDirectiveResolutions()),this.symlinks}getCompilationSettings(){return this.compilerOptions}getCompilerOptions(){return this.getCompilationSettings()}getNewLine(){return this.projectService.host.newLine}getProjectVersion(){return this.projectStateVersion.toString()}getProjectReferences(){}getScriptFileNames(){if(!this.rootFiles)return o;let e;return this.rootFilesMap.forEach((n=>{(this.languageServiceEnabled||n.info&&n.info.isScriptOpen())&&(e||(e=[])).push(n.fileName)})),Ee(e,this.typingFiles)||o}getOrCreateScriptInfoAndAttachToProject(e){const n=this.projectService.getOrCreateScriptInfoNotOpenedByClient(e,this.currentDirectory,this.directoryStructureHost);if(n){const e=this.rootFilesMap.get(n.path);e&&e.info!==n&&(this.rootFiles.push(n),e.info=n),n.attachToProject(this)}return n}getScriptKind(e){const n=this.projectService.getScriptInfoForPath(this.toPath(e));return n&&n.scriptKind}getScriptVersion(e){const n=this.projectService.getOrCreateScriptInfoNotOpenedByClient(e,this.currentDirectory,this.directoryStructureHost);return n&&n.getLatestVersion()}getScriptSnapshot(e){const n=this.getOrCreateScriptInfoAndAttachToProject(e);if(n)return n.getSnapshot()}getCancellationToken(){return this.cancellationToken}getCurrentDirectory(){return this.currentDirectory}getDefaultLibFileName(){return ua(ra(_a(this.projectService.getExecutingFilePath())),$s(this.compilerOptions))}useCaseSensitiveFileNames(){return this.projectService.host.useCaseSensitiveFileNames}readDirectory(e,n,t,r,o){return this.directoryStructureHost.readDirectory(e,n,t,r,o)}readFile(e){return this.projectService.host.readFile(e)}writeFile(e,n){return this.projectService.host.writeFile(e,n)}fileExists(e){const n=this.toPath(e);return!this.isWatchedMissingFile(n)&&this.directoryStructureHost.fileExists(e)}resolveModuleNameLiterals(e,n,t,r,o,i){return this.resolutionCache.resolveModuleNameLiterals(e,n,t,r,o,i)}getModuleResolutionCache(){return this.resolutionCache.getModuleResolutionCache()}resolveTypeReferenceDirectiveReferences(e,n,t,r,o,i){return this.resolutionCache.resolveTypeReferenceDirectiveReferences(e,n,t,r,o,i)}resolveLibrary(e,n,t,r){return this.resolutionCache.resolveLibrary(e,n,t,r)}directoryExists(e){return this.directoryStructureHost.directoryExists(e)}getDirectories(e){return this.directoryStructureHost.getDirectories(e)}getCachedDirectoryStructureHost(){}toPath(e){return ga(e,this.currentDirectory,this.projectService.toCanonicalFileName)}watchDirectoryOfFailedLookupLocation(e,n,t){return this.projectService.watchFactory.watchDirectory(e,n,t,this.projectService.getWatchOptions(this),CK.FailedLookupLocations,this)}watchAffectingFileLocation(e,n){return this.projectService.watchFactory.watchFile(e,n,2e3,this.projectService.getWatchOptions(this),CK.AffectingFileLocation,this)}clearInvalidateResolutionOfFailedLookupTimer(){return this.projectService.throttledOperations.cancel(`${this.getProjectName()}FailedLookupInvalidation`)}scheduleInvalidateResolutionsOfFailedLookupLocations(){this.projectService.throttledOperations.schedule(`${this.getProjectName()}FailedLookupInvalidation`,1e3,(()=>{this.resolutionCache.invalidateResolutionsOfFailedLookupLocations()&&this.projectService.delayUpdateProjectGraphAndEnsureProjectStructureForOpenFiles(this)}))}invalidateResolutionsOfFailedLookupLocations(){this.clearInvalidateResolutionOfFailedLookupTimer()&&this.resolutionCache.invalidateResolutionsOfFailedLookupLocations()&&(this.markAsDirty(),this.projectService.delayEnsureProjectForOpenFiles())}onInvalidatedResolution(){this.projectService.delayUpdateProjectGraphAndEnsureProjectStructureForOpenFiles(this)}watchTypeRootsDirectory(e,n,t){return this.projectService.watchFactory.watchDirectory(e,n,t,this.projectService.getWatchOptions(this),CK.TypeRoots,this)}hasChangedAutomaticTypeDirectiveNames(){return this.resolutionCache.hasChangedAutomaticTypeDirectiveNames()}onChangedAutomaticTypeDirectiveNames(){this.projectService.delayUpdateProjectGraphAndEnsureProjectStructureForOpenFiles(this)}getGlobalCache(){return this.getTypeAcquisition().enable?this.projectService.typingsInstaller.globalTypingsCacheLocation:void 0}fileIsOpen(e){return this.projectService.openFiles.has(e)}writeLog(e){this.projectService.logger.info(e)}log(e){this.writeLog(e)}error(e){this.projectService.logger.msg(e,"Err")}setInternalCompilerOptionsForEmittingJsFiles(){0!==this.projectKind&&2!==this.projectKind||(this.compilerOptions.noEmitForJsFiles=!0)}getGlobalProjectErrors(){return W(this.projectErrors,(e=>!e.file))||Vge}getAllProjectErrors(){return this.projectErrors||Vge}setProjectErrors(e){this.projectErrors=e}getLanguageService(e=!0){return e&&Hve(this),this.languageService}getSourceMapper(){return this.getLanguageService().getSourceMapper()}clearSourceMapperCache(){this.languageService.clearSourceMapperCache()}getDocumentPositionMapper(e,n){return this.projectService.getDocumentPositionMapper(this,e,n)}getSourceFileLike(e){return this.projectService.getSourceFileLike(e,this)}shouldEmitFile(e){return e&&!e.isDynamicOrHasMixedContent()&&!this.program.isSourceOfProjectReferenceRedirect(e.path)}getCompileOnSaveAffectedFileList(e){return this.languageServiceEnabled?(Hve(this),this.builderState=yH.create(this.program,this.builderState,!0),Y(yH.getFilesAffectedBy(this.builderState,this.program,e.path,this.cancellationToken,this.projectService.host),(e=>this.shouldEmitFile(this.projectService.getScriptInfoForPath(e.path))?e.fileName:void 0))):[]}emitFile(e,n){if(!this.languageServiceEnabled||!this.shouldEmitFile(e))return{emitSkipped:!0,diagnostics:Vge};const{emitSkipped:t,diagnostics:r,outputFiles:o}=this.getLanguageService().getEmitOutput(e.fileName);if(!t){for(const e of o){n(ma(e.name,this.currentDirectory),e.text,e.writeByteOrderMark)}if(this.builderState&&Qp(this.compilerOptions)){const n=o.filter((e=>_k(e.name)));if(1===n.length){const t=this.program.getSourceFile(e.fileName),r=this.projectService.host.createHash?this.projectService.host.createHash(n[0].text):_i(n[0].text);yH.updateSignatureOfFile(this.builderState,r,t.resolvedPath)}}}return{emitSkipped:t,diagnostics:r}}enableLanguageService(){this.languageServiceEnabled||2===this.projectService.serverMode||(this.languageServiceEnabled=!0,this.lastFileExceededProgramSize=void 0,this.projectService.onUpdateLanguageServiceStateForProject(this,!0))}cleanupProgram(){if(this.program){for(const e of this.program.getSourceFiles())this.detachScriptInfoIfNotRoot(e.fileName);this.program.forEachResolvedProjectReference((e=>this.detachScriptInfoFromProject(e.sourceFile.fileName))),this.program=void 0}}disableLanguageService(e){this.languageServiceEnabled&&(Tt.assert(2!==this.projectService.serverMode),this.languageService.cleanupSemanticCache(),this.languageServiceEnabled=!1,this.cleanupProgram(),this.lastFileExceededProgramSize=e,this.builderState=void 0,this.autoImportProviderHost&&this.autoImportProviderHost.close(),this.autoImportProviderHost=void 0,this.resolutionCache.closeTypeRootsWatch(),this.clearGeneratedFileWatch(),this.projectService.verifyDocumentRegistry(),this.projectService.onUpdateLanguageServiceStateForProject(this,!1))}getProjectName(){return this.projectName}removeLocalTypingsFromTypeAcquisition(e){return e&&e.include?{...e,include:this.removeExistingTypings(e.include)}:e}getExternalFiles(e){return Ae(H(this.plugins,(n=>{if("function"==typeof n.module.getExternalFiles)try{return n.module.getExternalFiles(this,e||0)}catch(e){this.projectService.logger.info(`A plugin threw an exception in getExternalFiles: ${e}`),e.stack&&this.projectService.logger.info(e.stack)}})))}getSourceFile(e){if(this.program)return this.program.getSourceFileByPath(e)}getSourceFileOrConfigFile(e){const n=this.program.getCompilerOptions();return e===n.configFilePath?n.configFile:this.getSourceFile(e)}close(){var e;this.projectService.typingsCache.onProjectClosed(this),this.closeWatchingTypingLocations(),this.cleanupProgram(),E(this.externalFiles,(e=>this.detachScriptInfoIfNotRoot(e)));for(const e of this.rootFiles)e.detachFromProject(this);this.projectService.pendingEnsureProjectForOpenFiles=!0,this.rootFiles=void 0,this.rootFilesMap=void 0,this.externalFiles=void 0,this.program=void 0,this.builderState=void 0,this.resolutionCache.clear(),this.resolutionCache=void 0,this.cachedUnresolvedImportsPerFile=void 0,null==(e=this.packageJsonWatches)||e.forEach((e=>{e.projects.delete(this),e.close()})),this.packageJsonWatches=void 0,this.moduleSpecifierCache.clear(),this.moduleSpecifierCache=void 0,this.directoryStructureHost=void 0,this.exportMapCache=void 0,this.projectErrors=void 0,this.plugins.length=0,this.missingFilesMap&&(SS(this.missingFilesMap,fS),this.missingFilesMap=void 0),this.clearGeneratedFileWatch(),this.clearInvalidateResolutionOfFailedLookupTimer(),this.autoImportProviderHost&&this.autoImportProviderHost.close(),this.autoImportProviderHost=void 0,this.noDtsResolutionProject&&this.noDtsResolutionProject.close(),this.noDtsResolutionProject=void 0,this.languageService.dispose(),this.languageService=void 0}detachScriptInfoIfNotRoot(e){const n=this.projectService.getScriptInfo(e);n&&!this.isRoot(n)&&n.detachFromProject(this)}isClosed(){return void 0===this.rootFiles}hasRoots(){return this.rootFiles&&this.rootFiles.length>0}isOrphan(){return!1}getRootFiles(){return this.rootFiles&&this.rootFiles.map((e=>e.fileName))}getRootFilesMap(){return this.rootFilesMap}getRootScriptInfos(){return this.rootFiles}getScriptInfos(){return this.languageServiceEnabled?B(this.program.getSourceFiles(),(e=>{const n=this.projectService.getScriptInfoForPath(e.resolvedPath);return Tt.assert(!!n,"getScriptInfo",(()=>`scriptInfo for a file '${e.fileName}' Path: '${e.path}' / '${e.resolvedPath}' is missing.`)),n})):this.rootFiles}getExcludedFiles(){return Vge}getFileNames(e,n){if(!this.program)return[];if(!this.languageServiceEnabled){let e=this.getRootFiles();if(this.compilerOptions){const n=R7(this.compilerOptions);n&&(e||(e=[])).push(n)}return e}const t=[];for(const n of this.program.getSourceFiles())e&&this.program.isSourceFileFromExternalLibrary(n)||t.push(n.fileName);if(!n){const e=this.program.getCompilerOptions().configFile;if(e&&(t.push(e.fileName),e.extendedSourceFiles))for(const n of e.extendedSourceFiles)t.push(n)}return t}getFileNamesWithRedirectInfo(e){return this.getFileNames().map((n=>({fileName:n,isSourceOfProjectReferenceRedirect:e&&this.isSourceOfProjectReferenceRedirect(n)})))}hasConfigFile(e){if(this.program&&this.languageServiceEnabled){const n=this.program.getCompilerOptions().configFile;if(n){if(e===n.fileName)return!0;if(n.extendedSourceFiles)for(const t of n.extendedSourceFiles)if(e===t)return!0}}return!1}containsScriptInfo(e){if(this.isRoot(e))return!0;if(!this.program)return!1;const n=this.program.getSourceFileByPath(e.path);return!!n&&n.resolvedPath===e.path}containsFile(e,n){const t=this.projectService.getScriptInfoForNormalizedPath(e);return!(!t||!t.isScriptOpen()&&n)&&this.containsScriptInfo(t)}isRoot(e){var n;return this.rootFilesMap&&(null==(n=this.rootFilesMap.get(e.path))?void 0:n.info)===e}addRoot(e,n){Tt.assert(!this.isRoot(e)),this.rootFiles.push(e),this.rootFilesMap.set(e.path,{fileName:n||e.fileName,info:e}),e.attachToProject(this),this.markAsDirty()}addMissingFileRoot(e){const n=this.projectService.toPath(e);this.rootFilesMap.set(n,{fileName:e}),this.markAsDirty()}removeFile(e,n,t){this.isRoot(e)&&this.removeRoot(e),n?this.resolutionCache.removeResolutionsOfFile(e.path):this.resolutionCache.invalidateResolutionOfFile(e.path),this.cachedUnresolvedImportsPerFile.delete(e.path),t&&e.detachFromProject(this),this.markAsDirty()}registerFileUpdate(e){(this.updatedFileNames||(this.updatedFileNames=new Set)).add(e)}markFileAsDirty(e){this.markAsDirty(),this.exportMapCache&&!this.exportMapCache.isEmpty()&&(this.changedFilesForExportMapCache||(this.changedFilesForExportMapCache=new Set)).add(e)}markAsDirty(){this.dirty||(this.projectStateVersion++,this.dirty=!0)}onAutoImportProviderSettingsChanged(){var e;!1===this.autoImportProviderHost?this.autoImportProviderHost=void 0:null==(e=this.autoImportProviderHost)||e.markAsDirty()}onPackageJsonChange(){this.moduleSpecifierCache.clear(),this.autoImportProviderHost&&this.autoImportProviderHost.markAsDirty()}onFileAddedOrRemoved(e){this.hasAddedorRemovedFiles=!0,e&&(this.hasAddedOrRemovedSymlinks=!0)}onDiscoveredSymlink(){this.hasAddedOrRemovedSymlinks=!0}updateFromProject(){Hve(this)}updateGraph(){var e,n,t,r,o;null==(e=Cr)||e.push(Cr.Phase.Session,"updateGraph",{name:this.projectName,kind:Oye[this.projectKind]}),null==(n=or)||n.logStartUpdateGraph(),this.resolutionCache.startRecordingFilesWithChangedResolutions();const i=this.updateGraphWorker(),a=this.hasAddedorRemovedFiles;this.hasAddedorRemovedFiles=!1,this.hasAddedOrRemovedSymlinks=!1;const s=this.resolutionCache.finishRecordingFilesWithChangedResolutions()||Vge;for(const e of s)this.cachedUnresolvedImportsPerFile.delete(e);this.languageServiceEnabled&&0===this.projectService.serverMode&&!this.isOrphan()?((i||s.length)&&(this.lastCachedUnresolvedImportsList=Yye(this.program,this.cachedUnresolvedImportsPerFile)),this.projectService.typingsCache.enqueueInstallTypingsForProject(this,this.lastCachedUnresolvedImportsList,a)):this.lastCachedUnresolvedImportsList=void 0;const l=0===this.projectProgramVersion&&i;return i&&this.projectProgramVersion++,a&&(this.autoImportProviderHost||(this.autoImportProviderHost=void 0),null==(t=this.autoImportProviderHost)||t.markAsDirty()),l&&this.getPackageJsonAutoImportProvider(),null==(r=or)||r.logStopUpdateGraph(),null==(o=Cr)||o.pop(),!i}updateTypingFiles(e){ht(e,this.typingFiles,Bn(!this.useCaseSensitiveFileNames()),yn,(e=>this.detachScriptInfoFromProject(e)))&&(this.typingFiles=e,this.resolutionCache.setFilesWithInvalidatedNonRelativeUnresolvedImports(this.cachedUnresolvedImportsPerFile),this.projectService.delayUpdateProjectGraphAndEnsureProjectStructureForOpenFiles(this))}closeWatchingTypingLocations(){this.typingWatchers&&SS(this.typingWatchers,fS),this.typingWatchers=void 0}onTypingInstallerWatchInvoke(){this.typingWatchers.isInvoked=!0,this.projectService.updateTypingsForProject({projectName:this.getProjectName(),kind:WJ})}watchTypingLocations(e){if(!e)return void(this.typingWatchers.isInvoked=!1);if(!e.length)return void this.closeWatchingTypingLocations();const n=new Map(this.typingWatchers);this.typingWatchers||(this.typingWatchers=new Map),this.typingWatchers.isInvoked=!1;const t=(e,t)=>{const r=this.toPath(e);n.delete(r),this.typingWatchers.has(r)||this.typingWatchers.set(r,"FileWatcher"===t?this.projectService.watchFactory.watchFile(e,(()=>this.typingWatchers.isInvoked?this.writeLog("TypingWatchers already invoked"):this.onTypingInstallerWatchInvoke()),2e3,this.projectService.getWatchOptions(this),CK.TypingInstallerLocationFile,this):this.projectService.watchFactory.watchDirectory(e,(e=>this.typingWatchers.isInvoked?this.writeLog("TypingWatchers already invoked"):$i(e,".json")?Ra(e,ua(this.projectService.typingsInstaller.globalTypingsCacheLocation,"package.json"),!this.useCaseSensitiveFileNames())?this.writeLog("Ignoring package.json change at global typings location"):void this.onTypingInstallerWatchInvoke():this.writeLog("Ignoring files that are not *.json")),1,this.projectService.getWatchOptions(this),CK.TypingInstallerLocationDirectory,this))};for(const n of e){const e=oa(n);if("package.json"!==e&&"bower.json"!==e)if(Ia(this.currentDirectory,n,this.currentDirectory,!this.useCaseSensitiveFileNames())){const e=n.indexOf(Fi,this.currentDirectory.length+1);t(-1!==e?n.substr(0,e):n,"DirectoryWatcher")}else Ia(this.projectService.typingsInstaller.globalTypingsCacheLocation,n,this.currentDirectory,!this.useCaseSensitiveFileNames())?t(this.projectService.typingsInstaller.globalTypingsCacheLocation,"DirectoryWatcher"):t(n,"DirectoryWatcher");else t(n,"FileWatcher")}n.forEach(((e,n)=>{e.close(),this.typingWatchers.delete(n)}))}getCurrentProgram(){return this.program}removeExistingTypings(e){const n=gF(this.getCompilerOptions(),this.directoryStructureHost);return e.filter((e=>!n.includes(e)))}updateGraphWorker(){var e,n;const t=this.languageService.getCurrentProgram();Tt.assert(t===this.program),Tt.assert(!this.isClosed(),"Called update graph worker of closed project"),this.writeLog(`Starting updateGraphWorker: Project: ${this.getProjectName()}`);const r=Zt(),{hasInvalidatedResolutions:o,hasInvalidatedLibResolutions:i}=this.resolutionCache.createHasInvalidatedResolutions(vn,vn);this.hasInvalidatedResolutions=o,this.hasInvalidatedLibResolutions=i,this.resolutionCache.startCachingPerDirectoryResolution(),this.dirty=!1,this.updateFromProjectInProgress=!0,this.program=this.languageService.getProgram(),this.updateFromProjectInProgress=!1,null==(e=Cr)||e.push(Cr.Phase.Session,"finishCachingPerDirectoryResolution"),this.resolutionCache.finishCachingPerDirectoryResolution(this.program,t),null==(n=Cr)||n.pop(),Tt.assert(void 0===t||void 0!==this.program);let a=!1;if(this.program&&(!t||this.program!==t&&2!==this.program.structureIsReused)){if(a=!0,t){for(const e of t.getSourceFiles()){const n=this.program.getSourceFileByPath(e.resolvedPath);(!n||e.resolvedPath===e.path&&n.resolvedPath!==e.path)&&this.detachScriptInfoFromProject(e.fileName,!!this.program.getSourceFileByPath(e.path),!0)}t.forEachResolvedProjectReference((e=>{this.program.getResolvedProjectReferenceByPath(e.sourceFile.path)||this.detachScriptInfoFromProject(e.sourceFile.fileName,void 0,!0)}))}if(tU(this.program,this.missingFilesMap||(this.missingFilesMap=new Map),((e,n)=>this.addMissingFileWatcher(e,n))),this.generatedFilesMap){const e=ob(this.compilerOptions);Xye(this.generatedFilesMap)?e&&this.isValidGeneratedFileWatcher(cx(e)+".d.ts",this.generatedFilesMap)||this.clearGeneratedFileWatch():e?this.clearGeneratedFileWatch():this.generatedFilesMap.forEach(((e,n)=>{const t=this.program.getSourceFileByPath(n);t&&t.resolvedPath===n&&this.isValidGeneratedFileWatcher(nb(t.fileName,this.compilerOptions,this.currentDirectory,this.program.getCommonSourceDirectory(),this.getCanonicalFileName),e)||(lU(e),this.generatedFilesMap.delete(n))}))}this.languageServiceEnabled&&0===this.projectService.serverMode&&this.resolutionCache.updateTypeRootsWatch()}this.projectService.verifyProgram(this),this.exportMapCache&&!this.exportMapCache.isEmpty()&&(this.exportMapCache.releaseSymbols(),this.hasAddedorRemovedFiles||t&&!this.program.structureIsReused?this.exportMapCache.clear():this.changedFilesForExportMapCache&&t&&this.program&&zf(this.changedFilesForExportMapCache,(e=>{const n=t.getSourceFileByPath(e),r=this.program.getSourceFileByPath(e);return n&&r?this.exportMapCache.onFileChanged(n,r,!!this.getTypeAcquisition().enable):(this.exportMapCache.clear(),!0)}))),this.changedFilesForExportMapCache&&this.changedFilesForExportMapCache.clear(),(this.hasAddedOrRemovedSymlinks||this.program&&!this.program.structureIsReused&&this.getCompilerOptions().preserveSymlinks)&&(this.symlinks=void 0,this.moduleSpecifierCache.clear());const s=this.externalFiles||Vge;this.externalFiles=this.getExternalFiles(),ht(this.externalFiles,s,Bn(!this.useCaseSensitiveFileNames()),(e=>{const n=this.projectService.getOrCreateScriptInfoNotOpenedByClient(e,this.currentDirectory,this.directoryStructureHost);null==n||n.attachToProject(this)}),(e=>this.detachScriptInfoFromProject(e)));const l=Zt()-r;return this.sendPerformanceEvent("UpdateGraph",l),this.writeLog(`Finishing updateGraphWorker: Project: ${this.getProjectName()} projectStateVersion: ${this.projectStateVersion} projectProgramVersion: ${this.projectProgramVersion} structureChanged: ${a}${this.program?` structureIsReused:: ${qr[this.program.structureIsReused]}`:""} Elapsed: ${l}ms`),this.projectService.logger.isTestLogger?this.program!==t?this.print(!0,this.hasAddedorRemovedFiles,!0):this.writeLog("Same program as before"):this.hasAddedorRemovedFiles?this.print(!0,!0,!1):this.program!==t&&this.writeLog("Different program with same set of files"),this.projectService.verifyDocumentRegistry(),a}sendPerformanceEvent(e,n){this.projectService.sendPerformanceEvent(e,n)}detachScriptInfoFromProject(e,n,t){const r=this.projectService.getScriptInfo(e);r&&(r.detachFromProject(this),n||this.resolutionCache.removeResolutionsOfFile(r.path,t))}addMissingFileWatcher(e,n){var t;if(Qye(this)){const n=this.projectService.configFileExistenceInfoCache.get(e);if(null==(t=null==n?void 0:n.config)?void 0:t.projects.has(this.canonicalConfigFilePath))return NK}const r=this.projectService.watchFactory.watchFile(ma(n,this.currentDirectory),((n,t)=>{Qye(this)&&this.getCachedDirectoryStructureHost().addOrDeleteFile(n,e,t),0===t&&this.missingFilesMap.has(e)&&(this.missingFilesMap.delete(e),r.close(),this.projectService.delayUpdateProjectGraphAndEnsureProjectStructureForOpenFiles(this))}),500,this.projectService.getWatchOptions(this),CK.MissingFile,this);return r}isWatchedMissingFile(e){return!!this.missingFilesMap&&this.missingFilesMap.has(e)}addGeneratedFileWatch(e,n){if(ob(this.compilerOptions))this.generatedFilesMap||(this.generatedFilesMap=this.createGeneratedFileWatcher(e));else{const t=this.toPath(n);if(this.generatedFilesMap){if(Xye(this.generatedFilesMap))return void Tt.fail(`${this.projectName} Expected to not have --out watcher for generated file with options: ${JSON.stringify(this.compilerOptions)}`);if(this.generatedFilesMap.has(t))return}else this.generatedFilesMap=new Map;this.generatedFilesMap.set(t,this.createGeneratedFileWatcher(e))}}createGeneratedFileWatcher(e){return{generatedFilePath:this.toPath(e),watcher:this.projectService.watchFactory.watchFile(e,(()=>{this.clearSourceMapperCache(),this.projectService.delayUpdateProjectGraphAndEnsureProjectStructureForOpenFiles(this)}),2e3,this.projectService.getWatchOptions(this),CK.MissingGeneratedFile,this)}}isValidGeneratedFileWatcher(e,n){return this.toPath(e)===n.generatedFilePath}clearGeneratedFileWatch(){this.generatedFilesMap&&(Xye(this.generatedFilesMap)?lU(this.generatedFilesMap):SS(this.generatedFilesMap,lU),this.generatedFilesMap=void 0)}getScriptInfoForNormalizedPath(e){const n=this.projectService.getScriptInfoForPath(this.toPath(e));return n&&!n.isAttached(this)?Hge.ThrowProjectDoesNotContainDocument(e,this):n}getScriptInfo(e){return this.projectService.getScriptInfo(e)}filesToString(e){return this.filesToStringWorker(e,!0,!1)}filesToStringWorker(e,n,t){if(this.isInitialLoadPending())return"\tFiles (0) InitialLoadPending\n";if(!this.program)return"\tFiles (0) NoProgram\n";const r=this.program.getSourceFiles();let o=`\tFiles (${r.length})\n`;if(e){for(const e of r)o+=`\t${e.fileName}${t?` ${e.version} ${JSON.stringify(e.text)}`:""}\n`;n&&(o+="\n\n",UK(this.program,(e=>o+=`\t${e}\n`)))}return o}print(e,n,t){var r;this.writeLog(`Project '${this.projectName}' (${Oye[this.projectKind]})`),this.writeLog(this.filesToStringWorker(e&&this.projectService.logger.hasLevel(3),n&&this.projectService.logger.hasLevel(3),t&&this.projectService.logger.hasLevel(3))),this.writeLog("-----------------------------------------------"),this.autoImportProviderHost&&this.autoImportProviderHost.print(!1,!1,!1),null==(r=this.noDtsResolutionProject)||r.print(!1,!1,!1)}setCompilerOptions(e){var n;if(e){e.allowNonTsExtensions=!0;const t=this.compilerOptions;this.compilerOptions=e,this.setInternalCompilerOptionsForEmittingJsFiles(),null==(n=this.noDtsResolutionProject)||n.setCompilerOptions(this.getCompilerOptionsForNoDtsResolutionProject()),Lf(t,e)&&(this.cachedUnresolvedImportsPerFile.clear(),this.lastCachedUnresolvedImportsList=void 0,this.resolutionCache.onChangesAffectModuleResolution(),this.moduleSpecifierCache.clear()),this.markAsDirty()}}setWatchOptions(e){this.watchOptions=e}getWatchOptions(){return this.watchOptions}setTypeAcquisition(e){e&&(this.typeAcquisition=this.removeLocalTypingsFromTypeAcquisition(e))}getTypeAcquisition(){return this.typeAcquisition||{}}getChangesSinceVersion(e,n){var t,r;const o=n?e=>Je(e.entries(),(([e,n])=>({fileName:e,isSourceOfProjectReferenceRedirect:n}))):e=>Je(e.keys());this.isInitialLoadPending()||Hve(this);const i={projectName:this.getProjectName(),version:this.projectProgramVersion,isInferred:$ye(this),options:this.getCompilationSettings(),languageServiceDisabled:!this.languageServiceEnabled,lastFileExceededProgramSize:this.lastFileExceededProgramSize},a=this.updatedFileNames;if(this.updatedFileNames=void 0,this.lastReportedFileNames&&e===this.lastReportedVersion){if(this.projectProgramVersion===this.lastReportedVersion&&!a)return{info:i,projectErrors:this.getGlobalProjectErrors()};const e=this.lastReportedFileNames,r=(null==(t=this.externalFiles)?void 0:t.map((e=>({fileName:Yge(e),isSourceOfProjectReferenceRedirect:!1}))))||Vge,s=$e(this.getFileNamesWithRedirectInfo(!!n).concat(r),(e=>e.fileName),(e=>e.isSourceOfProjectReferenceRedirect)),l=new Map,c=new Map,d=a?Je(a.keys()):[],u=[];return Wf(s,((t,r)=>{e.has(r)?n&&t!==e.get(r)&&u.push({fileName:r,isSourceOfProjectReferenceRedirect:t}):l.set(r,t)})),Wf(e,((e,n)=>{s.has(n)||c.set(n,e)})),this.lastReportedFileNames=s,this.lastReportedVersion=this.projectProgramVersion,{info:i,changes:{added:o(l),removed:o(c),updated:n?d.map((e=>({fileName:e,isSourceOfProjectReferenceRedirect:this.isSourceOfProjectReferenceRedirect(e)}))):d,updatedRedirects:n?u:void 0},projectErrors:this.getGlobalProjectErrors()}}{const e=this.getFileNamesWithRedirectInfo(!!n),t=(null==(r=this.externalFiles)?void 0:r.map((e=>({fileName:Yge(e),isSourceOfProjectReferenceRedirect:!1}))))||Vge,o=e.concat(t);return this.lastReportedFileNames=$e(o,(e=>e.fileName),(e=>e.isSourceOfProjectReferenceRedirect)),this.lastReportedVersion=this.projectProgramVersion,{info:i,files:n?o:o.map((e=>e.fileName)),projectErrors:this.getGlobalProjectErrors()}}}removeRoot(e){Zn(this.rootFiles,e),this.rootFilesMap.delete(e.path)}isSourceOfProjectReferenceRedirect(e){return!!this.program&&this.program.isSourceOfProjectReferenceRedirect(e)}getGlobalPluginSearchPaths(){return[...this.projectService.pluginProbeLocations,ua(this.projectService.getExecutingFilePath(),"../../..")]}enableGlobalPlugins(e){if(!this.projectService.globalPlugins.length)return;const n=this.projectService.host;if(!n.require&&!n.importPlugin)return void this.projectService.logger.info("Plugins were requested but not running in environment that supports 'require'. Nothing will be loaded");const t=this.getGlobalPluginSearchPaths();for(const n of this.projectService.globalPlugins)n&&(e.plugins&&e.plugins.some((e=>e.name===n))||(this.projectService.logger.info(`Loading global plugin ${n}`),this.enablePlugin({name:n,global:!0},t)))}enablePlugin(e,n){this.projectService.requestEnablePlugin(this,e,n)}enableProxy(e,n){try{if("function"!=typeof e)return void this.projectService.logger.info(`Skipped loading plugin ${n.name} because it did not expose a proper factory function`);const t={config:n,project:this,languageService:this.languageService,languageServiceHost:this,serverHost:this.projectService.host,session:this.projectService.session},r=e({typescript:Jbe}),o=r.create(t);for(const e of Object.keys(this.languageService))e in o||(this.projectService.logger.info(`Plugin activation warning: Missing proxied method ${e} in created LS. Patching.`),o[e]=this.languageService[e]);this.projectService.logger.info("Plugin validation succeeded"),this.languageService=o,this.plugins.push({name:n.name,module:r})}catch(e){this.projectService.logger.info(`Plugin activation failed: ${e}`)}}onPluginConfigurationChanged(e,n){this.plugins.filter((n=>n.name===e)).forEach((e=>{e.module.onConfigurationChanged&&e.module.onConfigurationChanged(n)}))}refreshDiagnostics(){this.projectService.sendProjectsUpdatedInBackgroundEvent()}getPackageJsonsVisibleToFile(e,n){return 0!==this.projectService.serverMode?Vge:this.projectService.getPackageJsonsVisibleToFile(e,this,n)}getNearestAncestorDirectoryWithPackageJson(e){return this.projectService.getNearestAncestorDirectoryWithPackageJson(e)}getPackageJsonsForAutoImport(e){return this.getPackageJsonsVisibleToFile(ua(this.currentDirectory,vU),e)}getPackageJsonCache(){return this.projectService.packageJsonCache}getCachedExportInfoMap(){return this.exportMapCache||(this.exportMapCache=L0(this))}clearCachedExportInfoMap(){var e;null==(e=this.exportMapCache)||e.clear()}getModuleSpecifierCache(){return this.moduleSpecifierCache}includePackageJsonAutoImports(){return 0!==this.projectService.includePackageJsonAutoImports()&&this.languageServiceEnabled&&!o0(this.currentDirectory)&&this.isDefaultProjectForOpenFiles()?this.projectService.includePackageJsonAutoImports():0}getHostForAutoImportProvider(){var e,n;return this.program?{fileExists:this.program.fileExists,directoryExists:this.program.directoryExists,realpath:this.program.realpath||(null==(e=this.projectService.host.realpath)?void 0:e.bind(this.projectService.host)),getCurrentDirectory:this.getCurrentDirectory.bind(this),readFile:this.projectService.host.readFile.bind(this.projectService.host),getDirectories:this.projectService.host.getDirectories.bind(this.projectService.host),trace:null==(n=this.projectService.host.trace)?void 0:n.bind(this.projectService.host),useCaseSensitiveFileNames:this.program.useCaseSensitiveFileNames(),readDirectory:this.projectService.host.readDirectory.bind(this.projectService.host)}:this.projectService.host}getPackageJsonAutoImportProvider(){var e,n,t;if(!1===this.autoImportProviderHost)return;if(0!==this.projectService.serverMode)return void(this.autoImportProviderHost=!1);if(this.autoImportProviderHost)return Hve(this.autoImportProviderHost),this.autoImportProviderHost.isEmpty()?(this.autoImportProviderHost.close(),void(this.autoImportProviderHost=void 0)):this.autoImportProviderHost.getCurrentProgram();const r=this.includePackageJsonAutoImports();if(r){null==(e=Cr)||e.push(Cr.Phase.Session,"getPackageJsonAutoImportProvider");const o=Zt();if(this.autoImportProviderHost=Bye.create(r,this,this.getHostForAutoImportProvider(),this.documentRegistry),this.autoImportProviderHost)return Hve(this.autoImportProviderHost),this.sendPerformanceEvent("CreatePackageJsonAutoImportProvider",Zt()-o),null==(n=Cr)||n.pop(),this.autoImportProviderHost.getCurrentProgram();null==(t=Cr)||t.pop()}}isDefaultProjectForOpenFiles(){return!!Wf(this.projectService.openFiles,((e,n)=>this.projectService.tryGetDefaultProjectForFile(Yge(n))===this))}watchNodeModulesForPackageJsonChanges(e){return this.projectService.watchPackageJsonsInNodeModules(e,this)}getIncompleteCompletionsCache(){return this.projectService.getIncompleteCompletionsCache()}getNoDtsResolutionProject(e){return Tt.assert(0===this.projectService.serverMode),this.noDtsResolutionProject||(this.noDtsResolutionProject=new zye(this.projectService,this.documentRegistry,this.getCompilerOptionsForNoDtsResolutionProject(),this.currentDirectory)),this.noDtsResolutionProject.rootFile!==e&&(this.projectService.setFileNamesOfAutpImportProviderOrAuxillaryProject(this.noDtsResolutionProject,[e]),this.noDtsResolutionProject.rootFile=e),this.noDtsResolutionProject}getCompilerOptionsForNoDtsResolutionProject(){return{...this.getCompilerOptions(),noDtsResolution:!0,allowJs:!0,maxNodeModuleJsDepth:3,diagnostics:!1,skipLibCheck:!0,sourceMap:!1,types:o,lib:o,noLib:!0}}},Wye=class extends Fye{constructor(e,n,t,r,o,i,a){super(e.newInferredProjectName(),0,e,n,void 0,void 0,t,!1,r,e.host,i),this._isJsInferredProject=!1,this.typeAcquisition=a,this.projectRootPath=o&&e.toCanonicalFileName(o),o||e.useSingleInferredProject||(this.canonicalCurrentDirectory=e.toCanonicalFileName(this.currentDirectory)),this.enableGlobalPlugins(this.getCompilerOptions())}toggleJsInferredProject(e){e!==this._isJsInferredProject&&(this._isJsInferredProject=e,this.setCompilerOptions())}setCompilerOptions(e){if(!e&&!this.getCompilationSettings())return;const n=z$(e||this.getCompilationSettings());this._isJsInferredProject&&"number"!=typeof n.maxNodeModuleJsDepth?n.maxNodeModuleJsDepth=2:this._isJsInferredProject||(n.maxNodeModuleJsDepth=void 0),n.allowJs=!0,super.setCompilerOptions(n)}addRoot(e){Tt.assert(e.isScriptOpen()),this.projectService.startWatchingConfigFilesForInferredProjectRoot(e),!this._isJsInferredProject&&e.isJavaScript()?this.toggleJsInferredProject(!0):this.isOrphan()&&this._isJsInferredProject&&!e.isJavaScript()&&this.toggleJsInferredProject(!1),super.addRoot(e)}removeRoot(e){this.projectService.stopWatchingConfigFilesForInferredProjectRoot(e),super.removeRoot(e),!this.isOrphan()&&this._isJsInferredProject&&e.isJavaScript()&&N(this.getRootScriptInfos(),(e=>!e.isJavaScript()))&&this.toggleJsInferredProject(!1)}isOrphan(){return!this.hasRoots()}isProjectWithSingleRoot(){return!this.projectRootPath&&!this.projectService.useSingleInferredProject||1===this.getRootScriptInfos().length}close(){E(this.getRootScriptInfos(),(e=>this.projectService.stopWatchingConfigFilesForInferredProjectRoot(e))),super.close()}getTypeAcquisition(){return this.typeAcquisition||{enable:Kye(this),include:o,exclude:o}}},zye=class extends Fye{constructor(e,n,t,r){super(e.newAuxiliaryProjectName(),4,e,n,!1,void 0,t,!1,void 0,e.host,r)}isOrphan(){return!0}scheduleInvalidateResolutionsOfFailedLookupLocations(){}},Gye=class e extends Fye{constructor(e,n,t,r){super(e.projectService.newAutoImportProviderProjectName(),3,e.projectService,t,!1,void 0,r,!1,e.getWatchOptions(),e.projectService.host,e.currentDirectory),this.hostProject=e,this.rootFileNames=n,this.useSourceOfProjectReferenceRedirect=an(this.hostProject,this.hostProject.useSourceOfProjectReferenceRedirect),this.getParsedCommandLine=an(this.hostProject,this.hostProject.getParsedCommandLine)}static getRootFileNames(e,n,t,r){var i,a;if(!e)return o;const s=n.getCurrentProgram();if(!s)return o;const l=Zt();let c,d;const u=ua(n.currentDirectory,vU),p=n.getPackageJsonsForAutoImport(ua(n.currentDirectory,u));for(const e of p)null==(i=e.dependencies)||i.forEach(((e,n)=>m(n))),null==(a=e.peerDependencies)||a.forEach(((e,n)=>m(n)));let f=0;if(c){const i=n.getSymlinkCache();for(const a of Je(c.keys())){if(2===e&&f>this.maxDependencies)return n.log(`AutoImportProviderProject: attempted to add more than ${this.maxDependencies} dependencies. Aborting.`),o;const l=hF(a,n.currentDirectory,r,t,s.getModuleResolutionCache());if(l){const e=_(l,s,i);if(e){d=ae(d,e),f+=e.length?1:0;continue}}if(!E([n.currentDirectory,n.getGlobalTypingsCacheLocation()],(e=>{if(e){const n=hF(`@types/${a}`,e,r,t,s.getModuleResolutionCache());if(n){const e=_(n,s,i);return d=ae(d,e),f+=(null==e?void 0:e.length)?1:0,!0}}}))&&(l&&r.allowJs&&r.maxNodeModuleJsDepth)){const e=_(l,s,i,!0);d=ae(d,e),f+=(null==e?void 0:e.length)?1:0}}}return(null==d?void 0:d.length)&&n.log(`AutoImportProviderProject: found ${d.length} root files in ${f} dependencies in ${Zt()-l} ms`),d||o;function m(e){st(e,"@types/")||(c||(c=new Set)).add(e)}function _(e,o,i,a){var s;const l=tW(e,r,t,o.getModuleResolutionCache(),a);if(l){const r=null==(s=t.realpath)?void 0:s.call(t,e.packageDirectory),a=r?n.toPath(r):void 0,c=a&&a!==n.toPath(e.packageDirectory);return c&&i.setSymlinkedDirectory(e.packageDirectory,{real:va(r),realPath:va(a)}),Y(l,(n=>{const t=c?n.replace(e.packageDirectory,r):n;if(!(o.getSourceFile(t)||c&&o.getSourceFile(n)))return t}))}}}static create(n,t,r,o){if(0===n)return;const i={...t.getCompilerOptions(),...this.compilerOptionsOverrides},a=this.getRootFileNames(n,t,r,i);return a.length?new e(t,a,o,i):void 0}isEmpty(){return!oe(this.rootFileNames)}isOrphan(){return!0}updateGraph(){let n=this.rootFileNames;n||(n=e.getRootFileNames(this.hostProject.includePackageJsonAutoImports(),this.hostProject,this.hostProject.getHostForAutoImportProvider(),this.getCompilationSettings())),this.projectService.setFileNamesOfAutpImportProviderOrAuxillaryProject(this,n),this.rootFileNames=n;const t=this.getCurrentProgram(),r=super.updateGraph();return t&&t!==this.getCurrentProgram()&&this.hostProject.clearCachedExportInfoMap(),r}scheduleInvalidateResolutionsOfFailedLookupLocations(){}hasRoots(){var e;return!!(null==(e=this.rootFileNames)?void 0:e.length)}markAsDirty(){this.rootFileNames=void 0,super.markAsDirty()}getScriptFileNames(){return this.rootFileNames||o}getLanguageService(){throw new Error("AutoImportProviderProject language service should never be used. To get the program, use `project.getCurrentProgram()`.")}onAutoImportProviderSettingsChanged(){throw new Error("AutoImportProviderProject is an auto import provider; use `markAsDirty()` instead.")}onPackageJsonChange(){throw new Error("package.json changes should be notified on an AutoImportProvider's host project")}getHostForAutoImportProvider(){throw new Error("AutoImportProviderProject cannot provide its own host; use `hostProject.getModuleResolutionHostForAutomImportProvider()` instead.")}getProjectReferences(){return this.hostProject.getProjectReferences()}includePackageJsonAutoImports(){return 0}getSymlinkCache(){return this.hostProject.getSymlinkCache()}getModuleResolutionCache(){var e;return null==(e=this.hostProject.getCurrentProgram())?void 0:e.getModuleResolutionCache()}},Gye.maxDependencies=10,Gye.compilerOptionsOverrides={diagnostics:!1,skipLibCheck:!0,sourceMap:!1,types:o,lib:o,noLib:!0},Bye=Gye,jye=class extends Fye{constructor(e,n,t,r,o){super(e,1,t,r,!1,void 0,{},!1,void 0,o,ra(e)),this.canonicalConfigFilePath=n,this.openFileWatchTriggered=new Map,this.canConfigFileJsonReportNoInputFiles=!1,this.externalProjectRefCount=0,this.isInitialLoadPending=bn,this.sendLoadingProjectFinish=!1}setCompilerHost(e){this.compilerHost=e}getCompilerHost(){return this.compilerHost}useSourceOfProjectReferenceRedirect(){return this.languageServiceEnabled}getParsedCommandLine(e){const n=_a(e),t=this.projectService.toCanonicalFileName(n);let r=this.projectService.configFileExistenceInfoCache.get(t);return r||this.projectService.configFileExistenceInfoCache.set(t,r={exists:this.projectService.host.fileExists(n)}),this.projectService.ensureParsedConfigUptoDate(n,t,r,this),this.languageServiceEnabled&&0===this.projectService.serverMode&&this.projectService.watchWildcards(n,r,this),r.exists?r.config.parsedCommandLine:void 0}onReleaseParsedCommandLine(e){this.releaseParsedConfig(this.projectService.toCanonicalFileName(_a(e)))}releaseParsedConfig(e){this.projectService.stopWatchingWildCards(e,this),this.projectService.releaseParsedConfig(e,this)}updateGraph(){const e=this.isInitialLoadPending();this.isInitialLoadPending=vn;const n=this.pendingUpdateLevel;let t;switch(this.pendingUpdateLevel=0,n){case 1:this.openFileWatchTriggered.clear(),t=this.projectService.reloadFileNamesOfConfiguredProject(this);break;case 2:this.openFileWatchTriggered.clear();const n=Tt.checkDefined(this.pendingUpdateReason);this.pendingUpdateReason=void 0,this.projectService.reloadConfiguredProject(this,n,e,!1),t=!0;break;default:t=super.updateGraph()}return this.compilerHost=void 0,this.projectService.sendProjectLoadingFinishEvent(this),this.projectService.sendProjectTelemetry(this),t}getCachedDirectoryStructureHost(){return this.directoryStructureHost}getConfigFilePath(){return this.getProjectName()}getProjectReferences(){return this.projectReferences}updateReferences(e){this.projectReferences=e,this.potentialProjectReferences=void 0}setPotentialProjectReference(e){Tt.assert(this.isInitialLoadPending()),(this.potentialProjectReferences||(this.potentialProjectReferences=new Set)).add(e)}getResolvedProjectReferenceToRedirect(e){const n=this.getCurrentProgram();return n&&n.getResolvedProjectReferenceToRedirect(e)}forEachResolvedProjectReference(e){var n;return null==(n=this.getCurrentProgram())?void 0:n.forEachResolvedProjectReference(e)}enablePluginsWithOptions(e){var n;if(this.plugins.length=0,!(null==(n=e.plugins)?void 0:n.length)&&!this.projectService.globalPlugins.length)return;const t=this.projectService.host;if(!t.require&&!t.importPlugin)return void this.projectService.logger.info("Plugins were requested but not running in environment that supports 'require'. Nothing will be loaded");const r=this.getGlobalPluginSearchPaths();if(this.projectService.allowLocalPluginLoads){const e=ra(this.canonicalConfigFilePath);this.projectService.logger.info(`Local plugin loading enabled; adding ${e} to search paths`),r.unshift(e)}if(e.plugins)for(const n of e.plugins)this.enablePlugin(n,r);return this.enableGlobalPlugins(e)}getGlobalProjectErrors(){return W(this.projectErrors,(e=>!e.file))||Vge}getAllProjectErrors(){return this.projectErrors||Vge}setProjectErrors(e){this.projectErrors=e}close(){this.projectService.configFileExistenceInfoCache.forEach(((e,n)=>this.releaseParsedConfig(n))),this.projectErrors=void 0,this.openFileWatchTriggered.clear(),this.compilerHost=void 0,super.close()}addExternalProjectReference(){this.externalProjectRefCount++}deleteExternalProjectReference(){this.externalProjectRefCount--}isSolution(){return 0===this.getRootFilesMap().size&&!this.canConfigFileJsonReportNoInputFiles}getDefaultChildProjectFromProjectWithReferences(e){return Fve(this,e.path,(n=>Uve(n,e)?n:void 0),0)}hasOpenRef(){var e;if(this.externalProjectRefCount)return!0;if(this.isClosed())return!1;const n=this.projectService.configFileExistenceInfoCache.get(this.canonicalConfigFilePath);return this.projectService.hasPendingProjectUpdate(this)?!!(null==(e=n.openFilesImpactedByConfigFile)?void 0:e.size):!!n.openFilesImpactedByConfigFile&&Wf(n.openFilesImpactedByConfigFile,((e,n)=>{const t=this.projectService.getScriptInfoForPath(n);return this.containsScriptInfo(t)||!!Fve(this,t.path,(e=>e.containsScriptInfo(t)),0)}))||!1}hasExternalProjectRef(){return!!this.externalProjectRefCount}getEffectiveTypeRoots(){return dF(this.getCompilationSettings(),this)||[]}updateErrorOnNoInputFiles(e){uO(e,this.getConfigFilePath(),this.getCompilerOptions().configFile.configFileSpecs,this.projectErrors,this.canConfigFileJsonReportNoInputFiles)}},Vye=class extends Fye{constructor(e,n,t,r,o,i,a,s){super(e,2,n,t,!0,o,r,i,s,n.host,ra(a||ca(e))),this.externalProjectName=e,this.compileOnSaveEnabled=i,this.excludedFiles=[],this.enableGlobalPlugins(this.getCompilerOptions())}updateGraph(){const e=super.updateGraph();return this.projectService.sendProjectTelemetry(this),e}getExcludedFiles(){return this.excludedFiles}}}});function Rve(e){const n=new Map;for(const t of e)if("object"==typeof t.type){const e=t.type;e.forEach((e=>{Tt.assert("number"==typeof e)})),n.set(t.name,e)}return n}function Ive(e){return mn(e.indentStyle)&&(e.indentStyle=gve.get(e.indentStyle.toLowerCase()),Tt.assert(void 0!==e.indentStyle)),e}function Nve(e){return _ve.forEach(((n,t)=>{const r=e[t];mn(r)&&(e[t]=n.get(r.toLowerCase()))})),e}function Dve(e,n){let t,r;return Dk.forEach((o=>{const i=e[o.name];if(void 0===i)return;const a=hve.get(o.name);(t||(t={}))[o.name]=a?mn(i)?a.get(i.toLowerCase()):i:TO(o,i,n||"",r||(r=[]))})),t&&{watchOptions:t,errors:r}}function Cve(e){let n;return Uk.forEach((t=>{const r=e[t.name];void 0!==r&&((n||(n={}))[t.name]=r)})),n}function Mve(e){return mn(e)?Pve(e):e}function Pve(e){switch(e){case"JS":return 1;case"JSX":return 2;case"TS":return 3;case"TSX":return 4;default:return 0}}function Lve(e){const{lazyConfiguredProjectsFromExternalProject:n,...t}=e;return t}function kve(e,n){for(const t of n)if(t.getProjectName()===e)return t}function wve(e){return!!e.containingProjects}function Ove(e){return!!e.configFileInfo}function Fve(e,n,t,r,o){var i;const a=null==(i=e.getCurrentProgram())?void 0:i.getResolvedProjectReferences();if(!a)return;let s;const l=n?e.getResolvedProjectReferenceToRedirect(n):void 0;if(l){const n=Yge(l.sourceFile.fileName),o=e.projectService.findConfiguredProjectByProjectName(n);if(o){const e=t(o);if(e)return e}else if(0!==r){s=new Map;const n=Wve(a,e.getCompilerOptions(),((e,n)=>l===e?c(e,n):void 0),r,e.projectService,s);if(n)return n;s.clear()}}return Wve(a,e.getCompilerOptions(),((e,n)=>l!==e?c(e,n):void 0),r,e.projectService,s);function c(n,r){const i=Yge(n.sourceFile.fileName),a=e.projectService.findConfiguredProjectByProjectName(i)||(0===r?void 0:1===r?e.projectService.createConfiguredProject(i):2===r?e.projectService.createAndLoadConfiguredProject(i,o):Tt.assertNever(r));return a&&t(a)}}function Wve(e,n,t,r,o,i){const a=n.disableReferencedProjectLoad?0:r;return E(e,(e=>{if(!e)return;const n=Yge(e.sourceFile.fileName),r=o.toCanonicalFileName(n),s=null==i?void 0:i.get(r);if(void 0!==s&&s>=a)return;const l=t(e,a);return l||((i||(i=new Map)).set(r,a),e.references&&Wve(e.references,e.commandLine.options,t,a,o,i))}))}function zve(e,n){return e.potentialProjectReferences&&zf(e.potentialProjectReferences,n)}function Gve(e,n,t){const r=t&&e.projectService.configuredProjects.get(t);return r&&n(r)}function Bve(e,n){return function(e,n,t,r){return e.getCurrentProgram()?e.forEachResolvedProjectReference(n):e.isInitialLoadPending()?zve(e,r):E(e.getProjectReferences(),t)}(e,(t=>Gve(e,n,t.sourceFile.path)),(t=>Gve(e,n,e.toPath(mH(t)))),(t=>Gve(e,n,t)))}function jve(e,n){return`${mn(n)?`Config: ${n} `:n?`Project: ${n.getProjectName()} `:""}WatchType: ${e}`}function Vve(e){return!e.isScriptOpen()&&void 0!==e.mTime}function Uve(e,n){return e.containsScriptInfo(n)&&!e.isSourceOfProjectReferenceRedirect(n.path)}function Hve(e){return e.invalidateResolutionsOfFailedLookupLocations(),e.dirty&&e.updateGraph()}function Kve(e){Qye(e)&&(e.projectOptions=!0)}function qve(e){let n=1;return()=>e(n++)}function Jve(){return{idToCallbacks:new Map,pathToId:new Map}}function Xve(e,n){if(!n||!e.eventHandler||!e.session)return;const t=Jve(),r=Jve(),o=Jve();let i=1;return e.session.addProtocolHandler("watchChange",(e=>{var n;return pn(n=e.arguments)?n.forEach(s):s(n),{responseRequired:!1}})),{watchFile:function(e,n){return a(t,e,n,(n=>({eventName:uve,data:{id:n,path:e}})))},watchDirectory:function(e,n,t){return a(t?o:r,e,n,(n=>({eventName:pve,data:{id:n,path:e,recursive:!!t,ignoreUpdate:!e.endsWith("/node_modules")||void 0}})))},getCurrentDirectory:()=>e.host.getCurrentDirectory(),useCaseSensitiveFileNames:e.host.useCaseSensitiveFileNames};function a({pathToId:n,idToCallbacks:t},r,o,a){const s=e.toPath(r);let l=n.get(s);l||n.set(s,l=i++);let c=t.get(l);return c||(t.set(l,c=new Set),e.eventHandler(a(l))),c.add(o),{close(){const r=t.get(l);(null==r?void 0:r.delete(o))&&(r.size||(t.delete(l),n.delete(s),e.eventHandler({eventName:fve,data:{id:l}})))}}}function s({id:e,created:n,deleted:t,updated:r}){l(e,n,0),l(e,t,2),l(e,r,1)}function l(e,n,i){(null==n?void 0:n.length)&&(c(t,e,n,((e,n)=>e(n,i))),c(r,e,n,((e,n)=>e(n))),c(o,e,n,((e,n)=>e(n))))}function c(e,n,t,r){var o;null==(o=e.idToCallbacks.get(n))||o.forEach((e=>{t.forEach((n=>r(e,ca(n))))}))}}function Yve(e){return void 0!==e.kind}function $ve(e){e.print(!1,!1,!1)}var Qve=g({"src/server/editorServices.ts"(){Xbe(),qbe(),Aye(),nve=20971520,tve=4194304,rve="projectsUpdatedInBackground",ove="projectLoadingStart",ive="projectLoadingFinish",ave="largeFileReferenced",sve="configFileDiag",lve="projectLanguageServiceState",cve="projectInfo",dve="openFileInfo",uve="createFileWatcher",pve="createDirectoryWatcher",fve="closeFileWatcher",mve="*ensureProjectForOpenFiles*",_ve=Rve(kk),hve=Rve(Dk),gve=new Map(Object.entries({none:0,block:1,smart:2})),yve={jquery:{match:/jquery(-[\d.]+)?(\.intellisense)?(\.min)?\.js$/i,types:["jquery"]},WinJS:{match:/^(.*\/winjs-[.\d]+)\/js\/base\.js$/i,exclude:[["^",1,"/.*"]],types:["winjs"]},Kendo:{match:/^(.*\/kendo(-ui)?)\/kendo\.all(\.min)?\.js$/i,exclude:[["^",1,"/.*"]],types:["kendo-ui"]},"Office Nuget":{match:/^(.*\/office\/1)\/excel-\d+\.debug\.js$/i,exclude:[["^",1,"/.*"]],types:["office"]},References:{match:/^(.*\/_references\.js)$/i,exclude:[["^",1,"$"]]}},vve={getFileName:e=>e,getScriptKind:(e,n)=>{let t;if(n){const r=aa(e);r&&oe(n,(e=>e.extension===r&&(t=e.scriptKind,!0)))}return t},hasMixedContent:(e,n)=>oe(n,(n=>n.isMixedContent&&$i(e,n.extension)))},bve={getFileName:e=>e.fileName,getScriptKind:e=>Mve(e.scriptKind),hasMixedContent:e=>!!e.hasMixedContent},Eve={close:yn},Sve=(e=>(e[e.Find=0]="Find",e[e.FindCreate=1]="FindCreate",e[e.FindCreateLoad=2]="FindCreateLoad",e))(Sve||{}),Tve=class e{constructor(e){var n;this.filenameToScriptInfo=new Map,this.nodeModulesWatchers=new Map,this.filenameToScriptInfoVersion=new Map,this.allJsFilesForOpenFileTelemetry=new Map,this.externalProjectToConfiguredProjectMap=new Map,this.externalProjects=[],this.inferredProjects=[],this.configuredProjects=new Map,this.newInferredProjectName=qve(nye),this.newAutoImportProviderProjectName=qve(tye),this.newAuxiliaryProjectName=qve(rye),this.openFiles=new Map,this.configFileForOpenFiles=new Map,this.openFilesWithNonRootedDiskPath=new Map,this.compilerOptionsForInferredProjectsPerProjectRoot=new Map,this.watchOptionsForInferredProjectsPerProjectRoot=new Map,this.typeAcquisitionForInferredProjectsPerProjectRoot=new Map,this.projectToSizeMap=new Map,this.configFileExistenceInfoCache=new Map,this.safelist=yve,this.legacySafelist=new Map,this.pendingProjectUpdates=new Map,this.pendingEnsureProjectForOpenFiles=!1,this.seenProjects=new Map,this.sharedExtendedConfigFileWatchers=new Map,this.extendedConfigCache=new Map,this.baseline=yn,this.verifyDocumentRegistry=yn,this.verifyProgram=yn,this.onProjectCreation=yn,this.host=e.host,this.logger=e.logger,this.cancellationToken=e.cancellationToken,this.useSingleInferredProject=e.useSingleInferredProject,this.useInferredProjectPerProjectRoot=e.useInferredProjectPerProjectRoot,this.typingsInstaller=e.typingsInstaller||Pye,this.throttleWaitMilliseconds=e.throttleWaitMilliseconds,this.eventHandler=e.eventHandler,this.suppressDiagnosticEvents=e.suppressDiagnosticEvents,this.globalPlugins=e.globalPlugins||Vge,this.pluginProbeLocations=e.pluginProbeLocations||Vge,this.allowLocalPluginLoads=!!e.allowLocalPluginLoads,this.typesMapLocation=void 0===e.typesMapLocation?ua(ra(this.getExecutingFilePath()),"typesMap.json"):e.typesMapLocation,this.session=e.session,this.jsDocParsingMode=e.jsDocParsingMode,void 0!==e.serverMode?this.serverMode=e.serverMode:this.serverMode=0,this.host.realpath&&(this.realpathToScriptInfos=sn()),this.currentDirectory=Yge(this.host.getCurrentDirectory()),this.toCanonicalFileName=rt(this.host.useCaseSensitiveFileNames),this.globalCacheLocationDirectoryPath=this.typingsInstaller.globalTypingsCacheLocation?va(this.toPath(this.typingsInstaller.globalTypingsCacheLocation)):void 0,this.throttledOperations=new iye(this.host,this.logger),this.typesMapLocation?this.loadTypesMap():this.logger.info("No types map provided; using the default"),this.typingsInstaller.attach(this),this.typingsCache=new Lye(this.typingsInstaller),this.hostConfiguration={formatCodeOptions:HX(this.host.newLine),preferences:xX,hostInfo:"Unknown host",extraFileExtensions:[]},this.documentRegistry=s1(this.host.useCaseSensitiveFileNames,this.currentDirectory,this.jsDocParsingMode,this);const t=this.logger.hasLevel(3)?2:this.logger.loggingEnabled()?1:0,r=0!==t?e=>this.logger.info(e):yn;this.packageJsonCache=nbe(this),this.watchFactory=0!==this.serverMode?{watchFile:DK,watchDirectory:DK}:aU(Xve(this,e.canUseWatchEvents)||this.host,t,r,jve),null==(n=e.incrementalVerifier)||n.call(e,this)}toPath(e){return ga(e,this.currentDirectory,this.toCanonicalFileName)}getExecutingFilePath(){return this.getNormalizedAbsolutePath(this.host.getExecutingFilePath())}getNormalizedAbsolutePath(e){return ma(e,this.host.getCurrentDirectory())}setDocument(e,n,t){Tt.checkDefined(this.getScriptInfoForPath(n)).cacheSourceFile={key:e,sourceFile:t}}getDocument(e,n){const t=this.getScriptInfoForPath(n);return t&&t.cacheSourceFile&&t.cacheSourceFile.key===e?t.cacheSourceFile.sourceFile:void 0}ensureInferredProjectsUpToDate_TestOnly(){this.ensureProjectStructuresUptoDate()}getCompilerOptionsForInferredProjects(){return this.compilerOptionsForInferredProjects}onUpdateLanguageServiceStateForProject(e,n){if(!this.eventHandler)return;const t={eventName:lve,data:{project:e,languageServiceEnabled:n}};this.eventHandler(t)}loadTypesMap(){try{const e=this.host.readFile(this.typesMapLocation);if(void 0===e)return void this.logger.info(`Provided types map file "${this.typesMapLocation}" doesn't exist`);const n=JSON.parse(e);for(const e of Object.keys(n.typesMap))n.typesMap[e].match=new RegExp(n.typesMap[e].match,"i");this.safelist=n.typesMap;for(const e in n.simpleMap)je(n.simpleMap,e)&&this.legacySafelist.set(e,n.simpleMap[e].toLowerCase())}catch(e){this.logger.info(`Error loading types map: ${e}`),this.safelist=yve,this.legacySafelist.clear()}}updateTypingsForProject(e){const n=this.findProject(e.projectName);if(n)switch(e.kind){case FJ:return void n.updateTypingFiles(this.typingsCache.updateTypingsForProject(e.projectName,e.compilerOptions,e.typeAcquisition,e.unresolvedImports,e.typings));case WJ:return void this.typingsCache.enqueueInstallTypingsForProject(n,n.lastCachedUnresolvedImportsList,!0)}}watchTypingLocations(e){var n;null==(n=this.findProject(e.projectName))||n.watchTypingLocations(e.files)}delayEnsureProjectForOpenFiles(){this.openFiles.size&&(this.pendingEnsureProjectForOpenFiles=!0,this.throttledOperations.schedule(mve,2500,(()=>{0!==this.pendingProjectUpdates.size?this.delayEnsureProjectForOpenFiles():this.pendingEnsureProjectForOpenFiles&&(this.ensureProjectForOpenFiles(),this.sendProjectsUpdatedInBackgroundEvent())})))}delayUpdateProjectGraph(e){if(e.markAsDirty(),eve(e))return;const n=e.getProjectName();this.pendingProjectUpdates.set(n,e),this.throttledOperations.schedule(n,250,(()=>{this.pendingProjectUpdates.delete(n)&&Hve(e)}))}hasPendingProjectUpdate(e){return this.pendingProjectUpdates.has(e.getProjectName())}sendProjectsUpdatedInBackgroundEvent(){if(!this.eventHandler)return;const e={eventName:rve,data:{openFiles:Je(this.openFiles.keys(),(e=>this.getScriptInfoForPath(e).fileName))}};this.eventHandler(e)}sendLargeFileReferencedEvent(e,n){if(!this.eventHandler)return;const t={eventName:ave,data:{file:e,fileSize:n,maxFileSize:tve}};this.eventHandler(t)}sendProjectLoadingStartEvent(e,n){if(!this.eventHandler)return;e.sendLoadingProjectFinish=!0;const t={eventName:ove,data:{project:e,reason:n}};this.eventHandler(t)}sendProjectLoadingFinishEvent(e){if(!this.eventHandler||!e.sendLoadingProjectFinish)return;e.sendLoadingProjectFinish=!1;const n={eventName:ive,data:{project:e}};this.eventHandler(n)}sendPerformanceEvent(e,n){this.performanceEventHandler&&this.performanceEventHandler({kind:e,durationMs:n})}delayUpdateProjectGraphAndEnsureProjectStructureForOpenFiles(e){this.delayUpdateProjectGraph(e),this.delayEnsureProjectForOpenFiles()}delayUpdateProjectGraphs(e,n){if(e.length){for(const t of e)n&&t.clearSourceMapperCache(),this.delayUpdateProjectGraph(t);this.delayEnsureProjectForOpenFiles()}}setCompilerOptionsForInferredProjects(e,n){Tt.assert(void 0===n||this.useInferredProjectPerProjectRoot,"Setting compiler options per project root path is only supported when useInferredProjectPerProjectRoot is enabled");const t=Nve(e),r=Dve(e,n),o=Cve(e);t.allowNonTsExtensions=!0;const i=n&&this.toCanonicalFileName(n);i?(this.compilerOptionsForInferredProjectsPerProjectRoot.set(i,t),this.watchOptionsForInferredProjectsPerProjectRoot.set(i,r||!1),this.typeAcquisitionForInferredProjectsPerProjectRoot.set(i,o)):(this.compilerOptionsForInferredProjects=t,this.watchOptionsForInferredProjects=r,this.typeAcquisitionForInferredProjects=o);for(const e of this.inferredProjects)(i?e.projectRootPath!==i:e.projectRootPath&&this.compilerOptionsForInferredProjectsPerProjectRoot.has(e.projectRootPath))||(e.setCompilerOptions(t),e.setTypeAcquisition(o),e.setWatchOptions(null==r?void 0:r.watchOptions),e.setProjectErrors(null==r?void 0:r.errors),e.compileOnSaveEnabled=t.compileOnSave,e.markAsDirty(),this.delayUpdateProjectGraph(e));this.delayEnsureProjectForOpenFiles()}findProject(e){if(void 0!==e)return eye(e)?kve(e,this.inferredProjects):this.findExternalProjectByProjectName(e)||this.findConfiguredProjectByProjectName(Yge(e))}forEachProject(e){this.externalProjects.forEach(e),this.configuredProjects.forEach(e),this.inferredProjects.forEach(e)}forEachEnabledProject(e){this.forEachProject((n=>{!n.isOrphan()&&n.languageServiceEnabled&&e(n)}))}getDefaultProjectForFile(e,n){return n?this.ensureDefaultProjectForFile(e):this.tryGetDefaultProjectForFile(e)}tryGetDefaultProjectForFile(e){const n=mn(e)?this.getScriptInfoForNormalizedPath(e):e;return n&&!n.isOrphan()?n.getDefaultProject():void 0}ensureDefaultProjectForFile(e){return this.tryGetDefaultProjectForFile(e)||this.doEnsureDefaultProjectForFile(e)}doEnsureDefaultProjectForFile(e){this.ensureProjectStructuresUptoDate();const n=mn(e)?this.getScriptInfoForNormalizedPath(e):e;return n?n.getDefaultProject():(this.logErrorForScriptInfoNotFound(mn(e)?e:e.fileName),Hge.ThrowNoProject())}getScriptInfoEnsuringProjectsUptoDate(e){return this.ensureProjectStructuresUptoDate(),this.getScriptInfo(e)}ensureProjectStructuresUptoDate(){let e=this.pendingEnsureProjectForOpenFiles;this.pendingProjectUpdates.clear();const n=n=>{e=Hve(n)||e};this.externalProjects.forEach(n),this.configuredProjects.forEach(n),this.inferredProjects.forEach(n),e&&this.ensureProjectForOpenFiles()}getFormatCodeOptions(e){const n=this.getScriptInfoForNormalizedPath(e);return n&&n.getFormatCodeSettings()||this.hostConfiguration.formatCodeOptions}getPreferences(e){const n=this.getScriptInfoForNormalizedPath(e);return{...this.hostConfiguration.preferences,...n&&n.getPreferences()}}getHostFormatCodeOptions(){return this.hostConfiguration.formatCodeOptions}getHostPreferences(){return this.hostConfiguration.preferences}onSourceFileChanged(e,n){2===n?this.handleDeletedFile(e):e.isScriptOpen()||(e.delayReloadNonMixedContentFile(),this.delayUpdateProjectGraphs(e.containingProjects,!1),this.handleSourceMapProjects(e))}handleSourceMapProjects(e){if(e.sourceMapFilePath)if(mn(e.sourceMapFilePath)){const n=this.getScriptInfoForPath(e.sourceMapFilePath);this.delayUpdateSourceInfoProjects(n&&n.sourceInfos)}else this.delayUpdateSourceInfoProjects(e.sourceMapFilePath.sourceInfos);this.delayUpdateSourceInfoProjects(e.sourceInfos),e.declarationInfoPath&&this.delayUpdateProjectsOfScriptInfoPath(e.declarationInfoPath)}delayUpdateSourceInfoProjects(e){e&&e.forEach(((e,n)=>this.delayUpdateProjectsOfScriptInfoPath(n)))}delayUpdateProjectsOfScriptInfoPath(e){const n=this.getScriptInfoForPath(e);n&&this.delayUpdateProjectGraphs(n.containingProjects,!0)}handleDeletedFile(e){if(this.stopWatchingScriptInfo(e),!e.isScriptOpen()){this.deleteScriptInfo(e);const n=e.containingProjects.slice();if(e.detachAllProjects(),this.delayUpdateProjectGraphs(n,!1),this.handleSourceMapProjects(e),e.closeSourceMapFileWatcher(),e.declarationInfoPath){const n=this.getScriptInfoForPath(e.declarationInfoPath);n&&(n.sourceMapFilePath=void 0)}}}watchWildcardDirectory(e,n,t,r){let o=this.watchFactory.watchDirectory(e,(n=>{const o=this.toPath(n),a=r.cachedDirectoryStructureHost.addOrDeleteFileOrDirectory(n,o);if("package.json"===oa(o)&&!o0(o)&&(a&&a.fileExists||!a&&this.host.fileExists(n))){const e=this.getNormalizedAbsolutePath(n);this.logger.info(`Config: ${t} Detected new package.json: ${e}`),this.packageJsonCache.addOrUpdate(e,o),this.watchPackageJsonFile(e,o,i)}const s=this.findConfiguredProjectByProjectName(t);oU({watchedDirPath:this.toPath(e),fileOrDirectory:n,fileOrDirectoryPath:o,configFileName:t,extraFileExtensions:this.hostConfiguration.extraFileExtensions,currentDirectory:this.currentDirectory,options:r.parsedCommandLine.options,program:(null==s?void 0:s.getCurrentProgram())||r.parsedCommandLine.fileNames,useCaseSensitiveFileNames:this.host.useCaseSensitiveFileNames,writeLog:e=>this.logger.info(e),toPath:e=>this.toPath(e),getScriptKind:s?e=>s.getScriptKind(e):void 0})||(2!==r.updateLevel&&(r.updateLevel=1),r.projects.forEach(((e,n)=>{if(!e)return;const t=this.getConfiguredProjectByCanonicalConfigFilePath(n);if(!t)return;const r=s===t?1:0;if(!(void 0!==t.pendingUpdateLevel&&t.pendingUpdateLevel>r))if(this.openFiles.has(o)){if(Tt.checkDefined(this.getScriptInfoForPath(o)).isAttached(t)){const e=Math.max(r,t.openFileWatchTriggered.get(o)||0);t.openFileWatchTriggered.set(o,e)}else t.pendingUpdateLevel=r,this.delayUpdateProjectGraphAndEnsureProjectStructureForOpenFiles(t)}else t.pendingUpdateLevel=r,this.delayUpdateProjectGraphAndEnsureProjectStructureForOpenFiles(t)})))}),n,this.getWatchOptionsFromProjectWatchOptions(r.parsedCommandLine.watchOptions),CK.WildcardDirectory,t);const i={packageJsonWatches:void 0,close(){var e;o&&(o.close(),o=void 0,null==(e=i.packageJsonWatches)||e.forEach((e=>{e.projects.delete(i),e.close()})),i.packageJsonWatches=void 0)}};return i}delayUpdateProjectsFromParsedConfigOnConfigFileChange(e,n){const t=this.configFileExistenceInfoCache.get(e);if(!(null==t?void 0:t.config))return!1;let r=!1;return t.config.updateLevel=2,t.config.projects.forEach(((t,o)=>{const i=this.getConfiguredProjectByCanonicalConfigFilePath(o);if(i)if(r=!0,o===e){if(i.isInitialLoadPending())return;i.pendingUpdateLevel=2,i.pendingUpdateReason=n,this.delayUpdateProjectGraph(i)}else i.resolutionCache.removeResolutionsFromProjectReferenceRedirects(this.toPath(e)),this.delayUpdateProjectGraph(i)})),r}onConfigFileChanged(e,n){var t;const r=this.configFileExistenceInfoCache.get(e);if(2===n){r.exists=!1;const n=(null==(t=r.config)?void 0:t.projects.has(e))?this.getConfiguredProjectByCanonicalConfigFilePath(e):void 0;n&&this.removeProject(n)}else r.exists=!0;this.delayUpdateProjectsFromParsedConfigOnConfigFileChange(e,"Change in config file detected"),this.reloadConfiguredProjectForFiles(r.openFilesImpactedByConfigFile,!1,!0,2!==n?Sn:bn,"Change in config file detected"),this.delayEnsureProjectForOpenFiles()}removeProject(e){switch(this.logger.info("`remove Project::"),e.print(!0,!0,!1),e.close(),Tt.shouldAssert(1)&&this.filenameToScriptInfo.forEach((n=>Tt.assert(!n.isAttached(e),"Found script Info still attached to project",(()=>`${e.projectName}: ScriptInfos still attached: ${JSON.stringify(Je($(this.filenameToScriptInfo.values(),(n=>n.isAttached(e)?{fileName:n.fileName,projects:n.containingProjects.map((e=>e.projectName)),hasMixedContent:n.hasMixedContent}:void 0))),void 0," ")}`)))),this.pendingProjectUpdates.delete(e.getProjectName()),e.projectKind){case 2:tt(this.externalProjects,e),this.projectToSizeMap.delete(e.getProjectName());break;case 1:this.configuredProjects.delete(e.canonicalConfigFilePath),this.projectToSizeMap.delete(e.canonicalConfigFilePath);break;case 0:tt(this.inferredProjects,e)}}assignOrphanScriptInfoToInferredProject(e,n){Tt.assert(e.isOrphan());const t=this.getOrCreateInferredProjectForProjectRootPathIfEnabled(e,n)||this.getOrCreateSingleInferredProjectIfEnabled()||this.getOrCreateSingleInferredWithoutProjectRoot(e.isDynamic?n||this.currentDirectory:ra(Hi(e.fileName)?e.fileName:ma(e.fileName,n?this.getNormalizedAbsolutePath(n):this.currentDirectory)));if(t.addRoot(e),e.containingProjects[0]!==t&&(Zn(e.containingProjects,t),e.containingProjects.unshift(t)),t.updateGraph(),!this.useSingleInferredProject&&!t.projectRootPath)for(const e of this.inferredProjects){if(e===t||e.isOrphan())continue;const n=e.getRootScriptInfos();Tt.assert(1===n.length||!!e.projectRootPath),1===n.length&&E(n[0].containingProjects,(e=>e!==n[0].containingProjects[0]&&!e.isOrphan()))&&e.removeFile(n[0],!0,!0)}return t}assignOrphanScriptInfosToInferredProject(){this.openFiles.forEach(((e,n)=>{const t=this.getScriptInfoForPath(n);t.isOrphan()&&this.assignOrphanScriptInfoToInferredProject(t,e)}))}closeOpenFile(e,n){const t=!e.isDynamic&&this.host.fileExists(e.fileName);e.close(t),this.stopWatchingConfigFilesForClosedScriptInfo(e);const r=this.toCanonicalFileName(e.fileName);this.openFilesWithNonRootedDiskPath.get(r)===e&&this.openFilesWithNonRootedDiskPath.delete(r);let o=!1;for(const n of e.containingProjects){if(Qye(n)){e.hasMixedContent&&e.registerFileUpdate();const t=n.openFileWatchTriggered.get(e.path);void 0!==t&&(n.openFileWatchTriggered.delete(e.path),void 0!==n.pendingUpdateLevel&&n.pendingUpdateLevel<t&&(n.pendingUpdateLevel=t,n.markFileAsDirty(e.path)))}else $ye(n)&&n.isRoot(e)&&(n.isProjectWithSingleRoot()&&(o=!0),n.removeFile(e,t,!0));n.languageServiceEnabled||n.markAsDirty()}return this.openFiles.delete(e.path),this.configFileForOpenFiles.delete(e.path),!n&&o&&this.assignOrphanScriptInfosToInferredProject(),t?this.watchClosedScriptInfo(e):this.handleDeletedFile(e),o}deleteScriptInfo(e){this.filenameToScriptInfo.delete(e.path),this.filenameToScriptInfoVersion.set(e.path,e.textStorage.version);const n=e.getRealpathIfDifferent();n&&this.realpathToScriptInfos.remove(n,e)}configFileExists(e,n,t){var r;let o=this.configFileExistenceInfoCache.get(n);if(o)return wve(t)&&!(null==(r=o.openFilesImpactedByConfigFile)?void 0:r.has(t.path))&&(o.openFilesImpactedByConfigFile||(o.openFilesImpactedByConfigFile=new Map)).set(t.path,!1),o.exists;const i=this.host.fileExists(e);let a;return wve(t)&&(a||(a=new Map)).set(t.path,!1),o={exists:i,openFilesImpactedByConfigFile:a},this.configFileExistenceInfoCache.set(n,o),i}createConfigFileWatcherForParsedConfig(e,n,t){var r,o;const i=this.configFileExistenceInfoCache.get(n);i.watcher&&i.watcher!==Eve||(i.watcher=this.watchFactory.watchFile(e,((e,t)=>this.onConfigFileChanged(n,t)),2e3,this.getWatchOptionsFromProjectWatchOptions(null==(o=null==(r=null==i?void 0:i.config)?void 0:r.parsedCommandLine)?void 0:o.watchOptions),CK.ConfigFile,t));const a=i.config.projects;a.set(t.canonicalConfigFilePath,a.get(t.canonicalConfigFilePath)||!1)}configFileExistenceImpactsRootOfInferredProject(e){return e.openFilesImpactedByConfigFile&&Wf(e.openFilesImpactedByConfigFile,Sn)}releaseParsedConfig(e,n){var t,r,o;const i=this.configFileExistenceInfoCache.get(e);(null==(t=i.config)?void 0:t.projects.delete(n.canonicalConfigFilePath))&&((null==(r=i.config)?void 0:r.projects.size)||(i.config=void 0,eU(e,this.sharedExtendedConfigFileWatchers),Tt.checkDefined(i.watcher),(null==(o=i.openFilesImpactedByConfigFile)?void 0:o.size)?this.configFileExistenceImpactsRootOfInferredProject(i)?uK(sa(ra(e)))||(i.watcher.close(),i.watcher=Eve):(i.watcher.close(),i.watcher=void 0):(i.watcher.close(),this.configFileExistenceInfoCache.delete(e))))}closeConfigFileWatcherOnReleaseOfOpenFile(e){!e.watcher||e.config||this.configFileExistenceImpactsRootOfInferredProject(e)||(e.watcher.close(),e.watcher=void 0)}stopWatchingConfigFilesForClosedScriptInfo(e){Tt.assert(!e.isScriptOpen()),this.forEachConfigFileLocation(e,(n=>{var t,r,o;const i=this.configFileExistenceInfoCache.get(n);if(i){const a=null==(t=i.openFilesImpactedByConfigFile)?void 0:t.get(e.path);null==(r=i.openFilesImpactedByConfigFile)||r.delete(e.path),a&&this.closeConfigFileWatcherOnReleaseOfOpenFile(i),(null==(o=i.openFilesImpactedByConfigFile)?void 0:o.size)||i.config||(Tt.assert(!i.watcher),this.configFileExistenceInfoCache.delete(n))}}))}startWatchingConfigFilesForInferredProjectRoot(e){Tt.assert(e.isScriptOpen()),this.forEachConfigFileLocation(e,((n,t)=>{let r=this.configFileExistenceInfoCache.get(n);r||(r={exists:this.host.fileExists(t)},this.configFileExistenceInfoCache.set(n,r)),(r.openFilesImpactedByConfigFile||(r.openFilesImpactedByConfigFile=new Map)).set(e.path,!0),r.watcher||(r.watcher=uK(sa(ra(n)))?this.watchFactory.watchFile(t,((e,t)=>this.onConfigFileChanged(n,t)),2e3,this.hostConfiguration.watchOptions,CK.ConfigFileForInferredRoot):Eve)}))}stopWatchingConfigFilesForInferredProjectRoot(e){this.forEachConfigFileLocation(e,(n=>{var t;const r=this.configFileExistenceInfoCache.get(n);(null==(t=null==r?void 0:r.openFilesImpactedByConfigFile)?void 0:t.has(e.path))&&(Tt.assert(e.isScriptOpen()),r.openFilesImpactedByConfigFile.set(e.path,!1),this.closeConfigFileWatcherOnReleaseOfOpenFile(r))}))}forEachConfigFileLocation(e,n){if(0!==this.serverMode)return;Tt.assert(!wve(e)||this.openFiles.has(e.path));const t=this.openFiles.get(e.path);if(Tt.checkDefined(this.getScriptInfo(e.path)).isDynamic)return;let r=ra(e.fileName);const o=()=>Ia(t,r,this.currentDirectory,!this.host.useCaseSensitiveFileNames),i=!t||!o();let a=!Ove(e);do{if(a){const e=$ge(r,this.currentDirectory,this.toCanonicalFileName),t=ua(r,"tsconfig.json");let o=n(ua(e,"tsconfig.json"),t);if(o)return t;const i=ua(r,"jsconfig.json");if(o=n(ua(e,"jsconfig.json"),i),o)return i;if(wa(e))break}const e=ra(r);if(e===r)break;r=e,a=!0}while(i||o())}findDefaultConfiguredProject(e){if(!e.isScriptOpen())return;const n=this.getConfigFileNameForFile(e),t=n&&this.findConfiguredProjectByProjectName(n);return t&&Uve(t,e)?t:null==t?void 0:t.getDefaultChildProjectFromProjectWithReferences(e)}getConfigFileNameForFile(e){if(!Ove(e)){const n=this.configFileForOpenFiles.get(e.path);if(void 0!==n)return n||void 0}this.logger.info(`Search path: ${ra(e.fileName)}`);const n=this.forEachConfigFileLocation(e,((n,t)=>this.configFileExists(t,n,e)));return n?this.logger.info(`For info: ${e.fileName} :: Config file name: ${n}`):this.logger.info(`For info: ${e.fileName} :: No config files found.`),wve(e)&&this.configFileForOpenFiles.set(e.path,n||!1),n}printProjects(){this.logger.hasLevel(1)&&(this.logger.startGroup(),this.externalProjects.forEach($ve),this.configuredProjects.forEach($ve),this.inferredProjects.forEach($ve),this.logger.info("Open files: "),this.openFiles.forEach(((e,n)=>{const t=this.getScriptInfoForPath(n);this.logger.info(`\tFileName: ${t.fileName} ProjectRootPath: ${e}`),this.logger.info(`\t\tProjects: ${t.containingProjects.map((e=>e.getProjectName()))}`)})),this.logger.endGroup())}findConfiguredProjectByProjectName(e){const n=this.toCanonicalFileName(e);return this.getConfiguredProjectByCanonicalConfigFilePath(n)}getConfiguredProjectByCanonicalConfigFilePath(e){return this.configuredProjects.get(e)}findExternalProjectByProjectName(e){return kve(e,this.externalProjects)}getFilenameForExceededTotalSizeLimitForNonTsFiles(e,n,t,r){if(n&&n.disableSizeLimit||!this.host.getFileSize)return;let o=nve;this.projectToSizeMap.set(e,0),this.projectToSizeMap.forEach((e=>o-=e||0));let i=0;for(const e of t){const n=r.getFileName(e);if(!rx(n)&&(i+=this.host.getFileSize(n),i>nve||i>o)){const e=t.map((e=>r.getFileName(e))).filter((e=>!rx(e))).map((e=>({name:e,size:this.host.getFileSize(e)}))).sort(((e,n)=>n.size-e.size)).slice(0,5);return this.logger.info(`Non TS file size exceeded limit (${i}). Largest files: ${e.map((e=>`${e.name}:${e.size}`)).join(", ")}`),n}}this.projectToSizeMap.set(e,i)}createExternalProject(e,n,t,r,o){const i=Nve(t),a=Dve(t,ra(ca(e))),s=new Vye(e,this,this.documentRegistry,i,this.getFilenameForExceededTotalSizeLimitForNonTsFiles(e,i,n,bve),void 0===t.compileOnSave||t.compileOnSave,void 0,null==a?void 0:a.watchOptions);return s.setProjectErrors(null==a?void 0:a.errors),s.excludedFiles=o,this.addFilesToNonInferredProject(s,n,bve,r),this.externalProjects.push(s),s}sendProjectTelemetry(e){if(this.seenProjects.has(e.projectName))return void Kve(e);if(this.seenProjects.set(e.projectName,!0),!this.eventHandler||!this.host.createSHA256Hash)return void Kve(e);const n=Qye(e)?e.projectOptions:void 0;Kve(e);const r={projectId:this.host.createSHA256Hash(e.projectName),fileStats:Hye(e.getScriptInfos(),!0),compilerOptions:zO(e.getCompilationSettings()),typeAcquisition:function({enable:e,include:n,exclude:t}){return{enable:e,include:void 0!==n&&0!==n.length,exclude:void 0!==t&&0!==t.length}}(e.getTypeAcquisition()),extends:n&&n.configHasExtendsProperty,files:n&&n.configHasFilesProperty,include:n&&n.configHasIncludeProperty,exclude:n&&n.configHasExcludeProperty,compileOnSave:e.compileOnSaveEnabled,configFileName:function(){if(!Qye(e))return"other";return lye(e.getConfigFilePath())||"other"}(),projectType:e instanceof Vye?"external":"configured",languageServiceEnabled:e.languageServiceEnabled,version:t};this.eventHandler({eventName:cve,data:r})}addFilesToNonInferredProject(e,n,t,r){this.updateNonInferredProjectFiles(e,n,t),e.setTypeAcquisition(r),e.markAsDirty()}createConfiguredProject(e){var n;null==(n=Cr)||n.instant(Cr.Phase.Session,"createConfiguredProject",{configFilePath:e}),this.logger.info(`Creating configuration project ${e}`);const t=this.toCanonicalFileName(e);let r=this.configFileExistenceInfoCache.get(t);r?r.exists=!0:this.configFileExistenceInfoCache.set(t,r={exists:!0}),r.config||(r.config={cachedDirectoryStructureHost:QV(this.host,this.host.getCurrentDirectory(),this.host.useCaseSensitiveFileNames),projects:new Map,updateLevel:2});const o=new jye(e,t,this,this.documentRegistry,r.config.cachedDirectoryStructureHost);return this.configuredProjects.set(t,o),this.createConfigFileWatcherForParsedConfig(e,t,o),o}createConfiguredProjectWithDelayLoad(e,n){const t=this.createConfiguredProject(e);return t.pendingUpdateLevel=2,t.pendingUpdateReason=n,t}createAndLoadConfiguredProject(e,n){const t=this.createConfiguredProject(e);return this.loadConfiguredProject(t,n),t}createLoadAndUpdateConfiguredProject(e,n){const t=this.createAndLoadConfiguredProject(e,n);return t.updateGraph(),t}loadConfiguredProject(e,n){var t,r;null==(t=Cr)||t.push(Cr.Phase.Session,"loadConfiguredProject",{configFilePath:e.canonicalConfigFilePath}),this.sendProjectLoadingStartEvent(e,n);const o=_a(e.getConfigFilePath()),i=this.ensureParsedConfigUptoDate(o,e.canonicalConfigFilePath,this.configFileExistenceInfoCache.get(e.canonicalConfigFilePath),e),a=i.config.parsedCommandLine;Tt.assert(!!a.fileNames);const s=a.options;e.projectOptions||(e.projectOptions={configHasExtendsProperty:void 0!==a.raw.extends,configHasFilesProperty:void 0!==a.raw.files,configHasIncludeProperty:void 0!==a.raw.include,configHasExcludeProperty:void 0!==a.raw.exclude}),e.canConfigFileJsonReportNoInputFiles=dO(a.raw),e.setProjectErrors(a.options.configFile.parseDiagnostics),e.updateReferences(a.projectReferences);const l=this.getFilenameForExceededTotalSizeLimitForNonTsFiles(e.canonicalConfigFilePath,s,a.fileNames,vve);l?(e.disableLanguageService(l),this.configFileExistenceInfoCache.forEach(((n,t)=>this.stopWatchingWildCards(t,e)))):(e.setCompilerOptions(s),e.setWatchOptions(a.watchOptions),e.enableLanguageService(),this.watchWildcards(o,i,e)),e.enablePluginsWithOptions(s);const c=a.fileNames.concat(e.getExternalFiles(2));this.updateRootAndOptionsOfNonInferredProject(e,c,vve,s,a.typeAcquisition,a.compileOnSave,a.watchOptions),null==(r=Cr)||r.pop()}ensureParsedConfigUptoDate(e,n,t,r){var o,i,a;if(t.config){if(!t.config.updateLevel)return t;if(1===t.config.updateLevel)return this.reloadFileNamesOfParsedConfig(e,t.config),t}const s=(null==(o=t.config)?void 0:o.cachedDirectoryStructureHost)||QV(this.host,this.host.getCurrentDirectory(),this.host.useCaseSensitiveFileNames),l=Lw(e,(e=>this.host.readFile(e))),c=dk(e,mn(l)?l:""),d=c.parseDiagnostics;mn(l)||d.push(l);const u=rO(c,s,ra(e),{},e,[],this.hostConfiguration.extraFileExtensions,this.extendedConfigCache);u.errors.length&&d.push(...u.errors),this.logger.info(`Config: ${e} : ${JSON.stringify({rootNames:u.fileNames,options:u.options,watchOptions:u.watchOptions,projectReferences:u.projectReferences},void 0," ")}`);const p=null==(i=t.config)?void 0:i.parsedCommandLine;return t.config?(t.config.parsedCommandLine=u,t.config.watchedDirectoriesStale=!0,t.config.updateLevel=void 0):t.config={parsedCommandLine:u,cachedDirectoryStructureHost:s,projects:new Map},p||Dx(this.getWatchOptionsFromProjectWatchOptions(void 0),this.getWatchOptionsFromProjectWatchOptions(u.watchOptions))||(null==(a=t.watcher)||a.close(),t.watcher=void 0),this.createConfigFileWatcherForParsedConfig(e,n,r),ZV(n,u.options,this.sharedExtendedConfigFileWatchers,((n,t)=>this.watchFactory.watchFile(n,(()=>{var e;nU(this.extendedConfigCache,t,(e=>this.toPath(e)));let r=!1;null==(e=this.sharedExtendedConfigFileWatchers.get(t))||e.projects.forEach((e=>{r=this.delayUpdateProjectsFromParsedConfigOnConfigFileChange(e,`Change in extended config file ${n} detected`)||r})),r&&this.delayEnsureProjectForOpenFiles()}),2e3,this.hostConfiguration.watchOptions,CK.ExtendedConfigFile,e)),(e=>this.toPath(e))),t}watchWildcards(e,{exists:n,config:t},r){if(t.projects.set(r.canonicalConfigFilePath,!0),n){if(t.watchedDirectories&&!t.watchedDirectoriesStale)return;t.watchedDirectoriesStale=!1,rU(t.watchedDirectories||(t.watchedDirectories=new Map),t.parsedCommandLine.wildcardDirectories,((n,r)=>this.watchWildcardDirectory(n,r,e,t)))}else{if(t.watchedDirectoriesStale=!1,!t.watchedDirectories)return;SS(t.watchedDirectories,lU),t.watchedDirectories=void 0}}stopWatchingWildCards(e,n){const t=this.configFileExistenceInfoCache.get(e);t.config&&t.config.projects.get(n.canonicalConfigFilePath)&&(t.config.projects.set(n.canonicalConfigFilePath,!1),Wf(t.config.projects,Sn)||(t.config.watchedDirectories&&(SS(t.config.watchedDirectories,lU),t.config.watchedDirectories=void 0),t.config.watchedDirectoriesStale=void 0))}updateNonInferredProjectFiles(e,n,t){const r=e.getRootFilesMap(),o=new Map;for(const i of n){const n=t.getFileName(i),a=Yge(n);let s;if(Cye(a)||e.fileExists(n)){const n=t.getScriptKind(i,this.hostConfiguration.extraFileExtensions),o=t.hasMixedContent(i,this.hostConfiguration.extraFileExtensions),l=Tt.checkDefined(this.getOrCreateScriptInfoNotOpenedByClientForNormalizedPath(a,e.currentDirectory,n,o,e.directoryStructureHost));s=l.path;const c=r.get(s);c&&c.info===l?c.fileName=a:(e.addRoot(l,a),l.isScriptOpen()&&this.removeRootOfInferredProjectIfNowPartOfOtherProject(l))}else{s=$ge(a,this.currentDirectory,this.toCanonicalFileName);const n=r.get(s);n?(n.info&&(e.removeFile(n.info,!1,!0),n.info=void 0),n.fileName=a):r.set(s,{fileName:a})}o.set(s,!0)}r.size>o.size&&r.forEach(((n,t)=>{o.has(t)||(n.info?e.removeFile(n.info,e.fileExists(n.info.fileName),!0):r.delete(t))}))}updateRootAndOptionsOfNonInferredProject(e,n,t,r,o,i,a){e.setCompilerOptions(r),e.setWatchOptions(a),void 0!==i&&(e.compileOnSaveEnabled=i),this.addFilesToNonInferredProject(e,n,t,o)}reloadFileNamesOfConfiguredProject(e){const n=this.reloadFileNamesOfParsedConfig(e.getConfigFilePath(),this.configFileExistenceInfoCache.get(e.canonicalConfigFilePath).config);return e.updateErrorOnNoInputFiles(n),this.updateNonInferredProjectFiles(e,n.concat(e.getExternalFiles(1)),vve),e.markAsDirty(),e.updateGraph()}reloadFileNamesOfParsedConfig(e,n){if(void 0===n.updateLevel)return n.parsedCommandLine.fileNames;Tt.assert(1===n.updateLevel);const t=IO(n.parsedCommandLine.options.configFile.configFileSpecs,ra(e),n.parsedCommandLine.options,n.cachedDirectoryStructureHost,this.hostConfiguration.extraFileExtensions);return n.parsedCommandLine={...n.parsedCommandLine,fileNames:t},t}setFileNamesOfAutpImportProviderOrAuxillaryProject(e,n){this.updateNonInferredProjectFiles(e,n,vve)}reloadConfiguredProject(e,n,t,r){const o=e.getCachedDirectoryStructureHost();r&&this.clearSemanticCache(e),o.clearCache();const i=e.getConfigFilePath();this.logger.info(`${t?"Loading":"Reloading"} configured project ${i}`),this.loadConfiguredProject(e,n),e.updateGraph(),this.sendConfigFileDiagEvent(e,i)}clearSemanticCache(e){e.resolutionCache.clear(),e.getLanguageService(!1).cleanupSemanticCache(),e.cleanupProgram(),e.markAsDirty()}sendConfigFileDiagEvent(e,n){if(!this.eventHandler||this.suppressDiagnosticEvents)return;const t=e.getLanguageService().getCompilerOptionsDiagnostics();t.push(...e.getAllProjectErrors()),this.eventHandler({eventName:sve,data:{configFileName:e.getConfigFilePath(),diagnostics:t,triggerFile:n}})}getOrCreateInferredProjectForProjectRootPathIfEnabled(e,n){if(!this.useInferredProjectPerProjectRoot||e.isDynamic&&void 0===n)return;if(n){const e=this.toCanonicalFileName(n);for(const n of this.inferredProjects)if(n.projectRootPath===e)return n;return this.createInferredProject(n,!1,n)}let t;for(const n of this.inferredProjects)n.projectRootPath&&Ia(n.projectRootPath,e.path,this.host.getCurrentDirectory(),!this.host.useCaseSensitiveFileNames)&&(t&&t.projectRootPath.length>n.projectRootPath.length||(t=n));return t}getOrCreateSingleInferredProjectIfEnabled(){if(this.useSingleInferredProject)return this.inferredProjects.length>0&&void 0===this.inferredProjects[0].projectRootPath?this.inferredProjects[0]:this.createInferredProject("",!0)}getOrCreateSingleInferredWithoutProjectRoot(e){Tt.assert(!this.useSingleInferredProject);const n=this.toCanonicalFileName(this.getNormalizedAbsolutePath(e));for(const e of this.inferredProjects)if(!e.projectRootPath&&e.isOrphan()&&e.canonicalCurrentDirectory===n)return e;return this.createInferredProject(e)}createInferredProject(e,n,t){const r=t&&this.compilerOptionsForInferredProjectsPerProjectRoot.get(t)||this.compilerOptionsForInferredProjects;let o,i;t&&(o=this.watchOptionsForInferredProjectsPerProjectRoot.get(t),i=this.typeAcquisitionForInferredProjectsPerProjectRoot.get(t)),void 0===o&&(o=this.watchOptionsForInferredProjects),void 0===i&&(i=this.typeAcquisitionForInferredProjects),o=o||void 0;const a=new Wye(this,this.documentRegistry,r,null==o?void 0:o.watchOptions,t,e,i);return a.setProjectErrors(null==o?void 0:o.errors),n?this.inferredProjects.unshift(a):this.inferredProjects.push(a),a}getOrCreateScriptInfoNotOpenedByClient(e,n,t){return this.getOrCreateScriptInfoNotOpenedByClientForNormalizedPath(Yge(e),n,void 0,void 0,t)}getScriptInfo(e){return this.getScriptInfoForNormalizedPath(Yge(e))}getScriptInfoOrConfig(e){const n=Yge(e),t=this.getScriptInfoForNormalizedPath(n);if(t)return t;const r=this.configuredProjects.get(this.toPath(e));return r&&r.getCompilerOptions().configFile}logErrorForScriptInfoNotFound(e){const n=Je(this.filenameToScriptInfo.entries(),(([e,n])=>({path:e,fileName:n.fileName})));this.logger.msg(`Could not find file ${JSON.stringify(e)}.\nAll files are: ${JSON.stringify(n)}`,"Err")}getSymlinkedProjects(e){let n;if(this.realpathToScriptInfos){const n=e.getRealpathIfDifferent();n&&E(this.realpathToScriptInfos.get(n),t),E(this.realpathToScriptInfos.get(e.path),t)}return n;function t(t){if(t!==e)for(const r of t.containingProjects)!r.languageServiceEnabled||r.isOrphan()||r.getCompilerOptions().preserveSymlinks||e.isAttached(r)||(n?Wf(n,((e,n)=>n!==t.path&&k(e,r)))||n.add(t.path,r):(n=sn(),n.add(t.path,r)))}}watchClosedScriptInfo(e){if(Tt.assert(!e.fileWatcher),!(e.isDynamicOrHasMixedContent()||this.globalCacheLocationDirectoryPath&&st(e.path,this.globalCacheLocationDirectoryPath))){const n=e.fileName.indexOf("/node_modules/");this.host.getModifiedTime&&-1!==n?(e.mTime=this.getModifiedTime(e),e.fileWatcher=this.watchClosedScriptInfoInNodeModules(e.fileName.substring(0,n))):e.fileWatcher=this.watchFactory.watchFile(e.fileName,((n,t)=>this.onSourceFileChanged(e,t)),500,this.hostConfiguration.watchOptions,CK.ClosedScriptInfo)}}createNodeModulesWatcher(e,n){let t=this.watchFactory.watchDirectory(e,(e=>{var t;const o=cK(this.toPath(e));if(!o)return;const i=oa(o);if(!(null==(t=r.affectedModuleSpecifierCacheProjects)?void 0:t.size)||"package.json"!==i&&"node_modules"!==i||r.affectedModuleSpecifierCacheProjects.forEach((e=>{var n;null==(n=e.getModuleSpecifierCache())||n.clear()})),r.refreshScriptInfoRefCount)if(n===o)this.refreshScriptInfosInDirectory(n);else{const e=this.getScriptInfoForPath(o);e?Vve(e)&&this.refreshScriptInfo(e):Yi(o)||this.refreshScriptInfosInDirectory(o)}}),1,this.hostConfiguration.watchOptions,CK.NodeModules);const r={refreshScriptInfoRefCount:0,affectedModuleSpecifierCacheProjects:void 0,close:()=>{var e;!t||r.refreshScriptInfoRefCount||(null==(e=r.affectedModuleSpecifierCacheProjects)?void 0:e.size)||(t.close(),t=void 0,this.nodeModulesWatchers.delete(n))}};return this.nodeModulesWatchers.set(n,r),r}watchPackageJsonsInNodeModules(e,n){var t;const r=this.toPath(e),o=this.nodeModulesWatchers.get(r)||this.createNodeModulesWatcher(e,r);return Tt.assert(!(null==(t=o.affectedModuleSpecifierCacheProjects)?void 0:t.has(n))),(o.affectedModuleSpecifierCacheProjects||(o.affectedModuleSpecifierCacheProjects=new Set)).add(n),{close:()=>{var e;null==(e=o.affectedModuleSpecifierCacheProjects)||e.delete(n),o.close()}}}watchClosedScriptInfoInNodeModules(e){const n=e+"/node_modules",t=this.toPath(n),r=this.nodeModulesWatchers.get(t)||this.createNodeModulesWatcher(n,t);return r.refreshScriptInfoRefCount++,{close:()=>{r.refreshScriptInfoRefCount--,r.close()}}}getModifiedTime(e){return(this.host.getModifiedTime(e.fileName)||ai).getTime()}refreshScriptInfo(e){const n=this.getModifiedTime(e);if(n!==e.mTime){const t=Ni(e.mTime,n);e.mTime=n,this.onSourceFileChanged(e,t)}}refreshScriptInfosInDirectory(e){e+=Fi,this.filenameToScriptInfo.forEach((n=>{Vve(n)&&st(n.path,e)&&this.refreshScriptInfo(n)}))}stopWatchingScriptInfo(e){e.fileWatcher&&(e.fileWatcher.close(),e.fileWatcher=void 0)}getOrCreateScriptInfoNotOpenedByClientForNormalizedPath(e,n,t,r,o){if(Hi(e)||Cye(e))return this.getOrCreateScriptInfoWorker(e,n,!1,void 0,t,r,o);const i=this.openFilesWithNonRootedDiskPath.get(this.toCanonicalFileName(e));return i||void 0}getOrCreateScriptInfoOpenedByClientForNormalizedPath(e,n,t,r,o){return this.getOrCreateScriptInfoWorker(e,n,!0,t,r,o)}getOrCreateScriptInfoForNormalizedPath(e,n,t,r,o,i){return this.getOrCreateScriptInfoWorker(e,this.currentDirectory,n,t,r,o,i)}getOrCreateScriptInfoWorker(e,n,t,r,o,i,a){Tt.assert(void 0===r||t,"ScriptInfo needs to be opened by client to be able to set its user defined content");const s=$ge(e,n,this.toCanonicalFileName);let l=this.getScriptInfoForPath(s);if(!l){const r=Cye(e);if(Tt.assert(Hi(e)||r||t,"",(()=>`${JSON.stringify({fileName:e,currentDirectory:n,hostCurrentDirectory:this.currentDirectory,openKeys:Je(this.openFilesWithNonRootedDiskPath.keys())})}\nScript info with non-dynamic relative file name can only be open script info or in context of host currentDirectory`)),Tt.assert(!Hi(e)||this.currentDirectory===n||!this.openFilesWithNonRootedDiskPath.has(this.toCanonicalFileName(e)),"",(()=>`${JSON.stringify({fileName:e,currentDirectory:n,hostCurrentDirectory:this.currentDirectory,openKeys:Je(this.openFilesWithNonRootedDiskPath.keys())})}\nOpen script files with non rooted disk path opened with current directory context cannot have same canonical names`)),Tt.assert(!r||this.currentDirectory===n||this.useInferredProjectPerProjectRoot,"",(()=>`${JSON.stringify({fileName:e,currentDirectory:n,hostCurrentDirectory:this.currentDirectory,openKeys:Je(this.openFilesWithNonRootedDiskPath.keys())})}\nDynamic files must always be opened with service's current directory or service should support inferred project per projectRootPath.`)),!t&&!r&&!(a||this.host).fileExists(e))return;l=new Nye(this.host,e,o,!!i,s,this.filenameToScriptInfoVersion.get(s)),this.filenameToScriptInfo.set(l.path,l),this.filenameToScriptInfoVersion.delete(l.path),t?Hi(e)||r&&this.currentDirectory===n||this.openFilesWithNonRootedDiskPath.set(this.toCanonicalFileName(e),l):this.watchClosedScriptInfo(l)}return t&&(this.stopWatchingScriptInfo(l),l.open(r),i&&l.registerFileUpdate()),l}getScriptInfoForNormalizedPath(e){return!Hi(e)&&this.openFilesWithNonRootedDiskPath.get(this.toCanonicalFileName(e))||this.getScriptInfoForPath($ge(e,this.currentDirectory,this.toCanonicalFileName))}getScriptInfoForPath(e){return this.filenameToScriptInfo.get(e)}getDocumentPositionMapper(e,n,t){const r=this.getOrCreateScriptInfoNotOpenedByClient(n,e.currentDirectory,this.host);if(!r)return void(t&&e.addGeneratedFileWatch(n,t));if(r.getSnapshot(),mn(r.sourceMapFilePath)){const n=this.getScriptInfoForPath(r.sourceMapFilePath);if(n&&(n.getSnapshot(),void 0!==n.documentPositionMapper))return n.sourceInfos=this.addSourceInfoToSourceMap(t,e,n.sourceInfos),n.documentPositionMapper?n.documentPositionMapper:void 0;r.sourceMapFilePath=void 0}else{if(r.sourceMapFilePath)return void(r.sourceMapFilePath.sourceInfos=this.addSourceInfoToSourceMap(t,e,r.sourceMapFilePath.sourceInfos));if(void 0!==r.sourceMapFilePath)return}let o,i,a=(n,t)=>{const r=this.getOrCreateScriptInfoNotOpenedByClient(n,e.currentDirectory,this.host);if(!r)return void(i=t);o=r;const a=r.getSnapshot();return void 0!==r.documentPositionMapper?r.documentPositionMapper:rQ(a)};const s=e.projectName,l=$1({getCanonicalFileName:this.toCanonicalFileName,log:e=>this.logger.info(e),getSourceFileLike:e=>this.getSourceFileLike(e,s,r)},r.fileName,r.textStorage.getLineInfo(),a);return a=void 0,o?(r.sourceMapFilePath=o.path,o.declarationInfoPath=r.path,o.documentPositionMapper=l||!1,o.sourceInfos=this.addSourceInfoToSourceMap(t,e,o.sourceInfos)):r.sourceMapFilePath=!!i&&{watcher:this.addMissingSourceMapFile(e.currentDirectory===this.currentDirectory?i:ma(i,e.currentDirectory),r.path),sourceInfos:this.addSourceInfoToSourceMap(t,e)},l}addSourceInfoToSourceMap(e,n,t){if(e){const r=this.getOrCreateScriptInfoNotOpenedByClient(e,n.currentDirectory,n.directoryStructureHost);(t||(t=new Set)).add(r.path)}return t}addMissingSourceMapFile(e,n){return this.watchFactory.watchFile(e,(()=>{const e=this.getScriptInfoForPath(n);e&&e.sourceMapFilePath&&!mn(e.sourceMapFilePath)&&(this.delayUpdateProjectGraphs(e.containingProjects,!0),this.delayUpdateSourceInfoProjects(e.sourceMapFilePath.sourceInfos),e.closeSourceMapFileWatcher())}),2e3,this.hostConfiguration.watchOptions,CK.MissingSourceMapFile)}getSourceFileLike(e,n,t){const r=n.projectName?n:this.findProject(n);if(r){const n=r.toPath(e),t=r.getSourceFile(n);if(t&&t.resolvedPath===n)return t}const o=this.getOrCreateScriptInfoNotOpenedByClient(e,(r||this).currentDirectory,r?r.directoryStructureHost:this.host);if(o){if(t&&mn(t.sourceMapFilePath)&&o!==t){const e=this.getScriptInfoForPath(t.sourceMapFilePath);e&&(e.sourceInfos||(e.sourceInfos=new Set)).add(o.path)}return o.cacheSourceFile?o.cacheSourceFile.sourceFile:(o.sourceFileLike||(o.sourceFileLike={get text(){return Tt.fail("shouldnt need text"),""},getLineAndCharacterOfPosition:e=>{const n=o.positionToLineOffset(e);return{line:n.line-1,character:n.offset-1}},getPositionOfLineAndCharacter:(e,n,t)=>o.lineOffsetToPosition(e+1,n+1,t)}),o.sourceFileLike)}}setPerformanceEventHandler(e){this.performanceEventHandler=e}setHostConfiguration(e){var n;if(e.file){const n=this.getScriptInfoForNormalizedPath(Yge(e.file));n&&(n.setOptions(Ive(e.formatOptions),e.preferences),this.logger.info(`Host configuration update for file ${e.file}`))}else{if(void 0!==e.hostInfo&&(this.hostConfiguration.hostInfo=e.hostInfo,this.logger.info(`Host information ${e.hostInfo}`)),e.formatOptions&&(this.hostConfiguration.formatCodeOptions={...this.hostConfiguration.formatCodeOptions,...Ive(e.formatOptions)},this.logger.info("Format host information updated")),e.preferences){const{lazyConfiguredProjectsFromExternalProject:n,includePackageJsonAutoImports:t}=this.hostConfiguration.preferences;this.hostConfiguration.preferences={...this.hostConfiguration.preferences,...e.preferences},n&&!this.hostConfiguration.preferences.lazyConfiguredProjectsFromExternalProject&&this.externalProjectToConfiguredProjectMap.forEach((e=>e.forEach((e=>{e.isClosed()||!e.hasExternalProjectRef()||2!==e.pendingUpdateLevel||this.pendingProjectUpdates.has(e.getProjectName())||e.updateGraph()})))),t!==e.preferences.includePackageJsonAutoImports&&this.forEachProject((e=>{e.onAutoImportProviderSettingsChanged()}))}e.extraFileExtensions&&(this.hostConfiguration.extraFileExtensions=e.extraFileExtensions,this.reloadProjects(),this.logger.info("Host file extension mappings updated")),e.watchOptions&&(this.hostConfiguration.watchOptions=null==(n=Dve(e.watchOptions))?void 0:n.watchOptions,this.logger.info(`Host watch options changed to ${JSON.stringify(this.hostConfiguration.watchOptions)}, it will be take effect for next watches.`))}}getWatchOptions(e){return this.getWatchOptionsFromProjectWatchOptions(e.getWatchOptions())}getWatchOptionsFromProjectWatchOptions(e){return e&&this.hostConfiguration.watchOptions?{...this.hostConfiguration.watchOptions,...e}:e||this.hostConfiguration.watchOptions}closeLog(){this.logger.close()}reloadProjects(){this.logger.info("reload projects."),this.filenameToScriptInfo.forEach((e=>{this.openFiles.has(e.path)||e.fileWatcher&&this.onSourceFileChanged(e,this.host.fileExists(e.fileName)?1:2)})),this.pendingProjectUpdates.forEach(((e,n)=>{this.throttledOperations.cancel(n),this.pendingProjectUpdates.delete(n)})),this.throttledOperations.cancel(mve),this.pendingEnsureProjectForOpenFiles=!1,this.configFileExistenceInfoCache.forEach((e=>{e.config&&(e.config.updateLevel=2)})),this.reloadConfiguredProjectForFiles(this.openFiles,!0,!1,bn,"User requested reload projects"),this.externalProjects.forEach((e=>{this.clearSemanticCache(e),e.updateGraph()})),this.inferredProjects.forEach((e=>this.clearSemanticCache(e))),this.ensureProjectForOpenFiles(),this.logger.info("After reloading projects.."),this.printProjects()}reloadConfiguredProjectForFiles(e,n,t,r,o){const i=new Map,a=e=>{i.has(e.canonicalConfigFilePath)||(i.set(e.canonicalConfigFilePath,!0),this.reloadConfiguredProject(e,o,!1,n))};null==e||e.forEach(((e,s)=>{if(this.configFileForOpenFiles.delete(s),!r(e))return;const l=this.getScriptInfoForPath(s);Tt.assert(l.isScriptOpen());const c=this.getConfigFileNameForFile(l);if(c){const e=this.findConfiguredProjectByProjectName(c)||this.createConfiguredProject(c);if(!i.has(e.canonicalConfigFilePath))if(i.set(e.canonicalConfigFilePath,!0),t)e.pendingUpdateLevel=2,e.pendingUpdateReason=o,n&&this.clearSemanticCache(e),this.delayUpdateProjectGraph(e);else if(this.reloadConfiguredProject(e,o,!1,n),!Uve(e,l)){Fve(e,l.path,(e=>(a(e),Uve(e,l))),1)&&Fve(e,void 0,a,0)}}}))}removeRootOfInferredProjectIfNowPartOfOtherProject(e){Tt.assert(e.containingProjects.length>0);const n=e.containingProjects[0];!n.isOrphan()&&$ye(n)&&n.isRoot(e)&&E(e.containingProjects,(e=>e!==n&&!e.isOrphan()))&&n.removeFile(e,!0,!0)}ensureProjectForOpenFiles(){this.logger.info("Before ensureProjectForOpenFiles:"),this.printProjects(),this.openFiles.forEach(((e,n)=>{const t=this.getScriptInfoForPath(n);t.isOrphan()?this.assignOrphanScriptInfoToInferredProject(t,e):this.removeRootOfInferredProjectIfNowPartOfOtherProject(t)})),this.pendingEnsureProjectForOpenFiles=!1,this.inferredProjects.forEach(Hve),this.logger.info("After ensureProjectForOpenFiles:"),this.printProjects()}openClientFile(e,n,t,r){return this.openClientFileWithNormalizedPath(Yge(e),n,t,!1,r?Yge(r):void 0)}getOriginalLocationEnsuringConfiguredProject(e,n){const t=e.isSourceOfProjectReferenceRedirect(n.fileName),r=t?n:e.getSourceMapper().tryGetSourcePosition(n);if(!r)return;const{fileName:o}=r,i=this.getScriptInfo(o);if(!i&&!this.host.fileExists(o))return;const a={fileName:Yge(o),path:this.toPath(o)},s=this.getConfigFileNameForFile(a);if(!s)return;let l=this.findConfiguredProjectByProjectName(s);if(!l){if(e.getCompilerOptions().disableReferencedProjectLoad)return t?n:(null==i?void 0:i.containingProjects.length)?r:n;l=this.createAndLoadConfiguredProject(s,`Creating project for original file: ${a.fileName}${n!==r?" for location: "+n.fileName:""}`)}Hve(l);const c=e=>{const n=this.getScriptInfo(o);return n&&Uve(e,n)};if(l.isSolution()||!c(l)){if(l=Fve(l,o,(e=>(Hve(e),c(e)?e:void 0)),2,`Creating project referenced in solution ${l.projectName} to find possible configured project for original file: ${a.fileName}${n!==r?" for location: "+n.fileName:""}`),!l)return;if(l===e)return r}u(l);const d=this.getScriptInfo(o);if(d&&d.containingProjects.length)return d.containingProjects.forEach((e=>{Qye(e)&&u(e)})),r;function u(n){e.originalConfiguredProjects||(e.originalConfiguredProjects=new Set),e.originalConfiguredProjects.add(n.canonicalConfigFilePath)}}fileExists(e){return!!this.getScriptInfoForNormalizedPath(e)||this.host.fileExists(e)}findExternalProjectContainingOpenScriptInfo(e){return D(this.externalProjects,(n=>(Hve(n),n.containsScriptInfo(e))))}getOrCreateOpenScriptInfo(e,n,t,r,o){const i=this.getOrCreateScriptInfoOpenedByClientForNormalizedPath(e,o?this.getNormalizedAbsolutePath(o):this.currentDirectory,n,t,r);return this.openFiles.set(i.path,o),i}assignProjectToOpenedScriptInfo(e){let n,t,r,o,i=this.findExternalProjectContainingOpenScriptInfo(e),a=!1;return i||0!==this.serverMode||(n=this.getConfigFileNameForFile(e),n&&(i=this.findConfiguredProjectByProjectName(n),i?Hve(i):(i=this.createLoadAndUpdateConfiguredProject(n,`Creating possible configured project for ${e.fileName} to open`),a=!0),o=i.containsScriptInfo(e)?i:void 0,r=i,Uve(i,e)||Fve(i,e.path,(n=>{if(Hve(n),pn(r)?r.push(n):r=[i,n],Uve(n,e))return o=n,n;!o&&n.containsScriptInfo(e)&&(o=n)}),2,`Creating project referenced in solution ${i.projectName} to find possible configured project for ${e.fileName} to open`),o?(n=o.getConfigFilePath(),(o!==i||a)&&(t=o.getAllProjectErrors(),this.sendConfigFileDiagEvent(o,e.fileName))):n=void 0,this.createAncestorProjects(e,i))),e.containingProjects.forEach(Hve),e.isOrphan()&&(pn(r)?r.forEach((n=>this.sendConfigFileDiagEvent(n,e.fileName))):r&&this.sendConfigFileDiagEvent(r,e.fileName),Tt.assert(this.openFiles.has(e.path)),this.assignOrphanScriptInfoToInferredProject(e,this.openFiles.get(e.path))),Tt.assert(!e.isOrphan()),{configFileName:n,configFileErrors:t,retainProjects:r}}createAncestorProjects(e,n){if(e.isAttached(n))for(;;){if(!n.isInitialLoadPending()&&(!n.getCompilerOptions().composite||n.getCompilerOptions().disableSolutionSearching))return;const t=this.getConfigFileNameForFile({fileName:n.getConfigFilePath(),path:e.path,configFileInfo:!0});if(!t)return;const r=this.findConfiguredProjectByProjectName(t)||this.createConfiguredProjectWithDelayLoad(t,`Creating project possibly referencing default composite project ${n.getProjectName()} of open file ${e.fileName}`);r.isInitialLoadPending()&&r.setPotentialProjectReference(n.canonicalConfigFilePath),n=r}}loadAncestorProjectTree(e){e=e||Q(this.configuredProjects,((e,n)=>n.isInitialLoadPending()?void 0:[e,!0]));const n=new Set;for(const t of Je(this.configuredProjects.values()))zve(t,(n=>e.has(n)))&&Hve(t),this.ensureProjectChildren(t,e,n)}ensureProjectChildren(e,n,t){var r;if(!ee(t,e.canonicalConfigFilePath))return;if(e.getCompilerOptions().disableReferencedProjectLoad)return;const o=null==(r=e.getCurrentProgram())?void 0:r.getResolvedProjectReferences();if(o)for(const r of o){if(!r)continue;const o=$U(r.references,(e=>n.has(e.sourceFile.path)?e:void 0));if(!o)continue;const i=Yge(r.sourceFile.fileName),a=e.projectService.findConfiguredProjectByProjectName(i)||e.projectService.createAndLoadConfiguredProject(i,`Creating project referenced by : ${e.projectName} as it references project ${o.sourceFile.fileName}`);Hve(a),this.ensureProjectChildren(a,n,t)}}cleanupAfterOpeningFile(e){this.removeOrphanConfiguredProjects(e);for(const e of this.inferredProjects.slice())e.isOrphan()&&this.removeProject(e);this.removeOrphanScriptInfos()}openClientFileWithNormalizedPath(e,n,t,r,o){const i=this.getOrCreateOpenScriptInfo(e,n,t,r,o),{retainProjects:a,...s}=this.assignProjectToOpenedScriptInfo(i);return this.cleanupAfterOpeningFile(a),this.telemetryOnOpenFile(i),this.printProjects(),s}removeOrphanConfiguredProjects(e){const n=new Map(this.configuredProjects),t=e=>{!e.isOrphan()&&e.originalConfiguredProjects&&e.originalConfiguredProjects.forEach(((e,n)=>{const t=this.getConfiguredProjectByCanonicalConfigFilePath(n);return t&&r(t)}))};function r(e){n.delete(e.canonicalConfigFilePath)&&(t(e),Bve(e,r))}e&&(pn(e)?e.forEach(r):r(e)),this.inferredProjects.forEach(t),this.externalProjects.forEach(t),this.configuredProjects.forEach((e=>{e.hasOpenRef()?r(e):n.has(e.canonicalConfigFilePath)&&Bve(e,(t=>function(e){return e.hasOpenRef()||!n.has(e.canonicalConfigFilePath)}(t)&&r(e)))})),n.forEach((e=>this.removeProject(e)))}removeOrphanScriptInfos(){const e=new Map(this.filenameToScriptInfo);this.filenameToScriptInfo.forEach((n=>{if(!n.isScriptOpen()&&n.isOrphan()&&!n.isContainedByBackgroundProject()){if(!n.sourceMapFilePath)return;let e;if(mn(n.sourceMapFilePath)){const t=this.getScriptInfoForPath(n.sourceMapFilePath);e=t&&t.sourceInfos}else e=n.sourceMapFilePath.sourceInfos;if(!e)return;if(!zf(e,(e=>{const n=this.getScriptInfoForPath(e);return!!n&&(n.isScriptOpen()||!n.isOrphan())})))return}if(e.delete(n.path),n.sourceMapFilePath){let t;if(mn(n.sourceMapFilePath)){e.delete(n.sourceMapFilePath);const r=this.getScriptInfoForPath(n.sourceMapFilePath);t=r&&r.sourceInfos}else t=n.sourceMapFilePath.sourceInfos;t&&t.forEach(((n,t)=>e.delete(t)))}})),e.forEach((e=>{this.stopWatchingScriptInfo(e),this.deleteScriptInfo(e),e.closeSourceMapFileWatcher()}))}telemetryOnOpenFile(e){if(0!==this.serverMode||!this.eventHandler||!e.isJavaScript()||!PS(this.allJsFilesForOpenFileTelemetry,e.path))return;const n=this.ensureDefaultProjectForFile(e);if(!n.languageServiceEnabled)return;const t=n.getSourceFile(e.path),r=!!t&&!!t.checkJsDirective;this.eventHandler({eventName:dve,data:{info:{checkJs:r}}})}closeClientFile(e,n){const t=this.getScriptInfoForNormalizedPath(Yge(e)),r=!!t&&this.closeOpenFile(t,n);return n||this.printProjects(),r}collectChanges(e,n,t,r){for(const o of n){const n=D(e,(e=>e.projectName===o.getProjectName()));r.push(o.getChangesSinceVersion(n&&n.version,t))}}synchronizeProjectList(e,n){const t=[];return this.collectChanges(e,this.externalProjects,n,t),this.collectChanges(e,this.configuredProjects.values(),n,t),this.collectChanges(e,this.inferredProjects,n,t),t}applyChangesInOpenFiles(e,n,t){let r,o,i=!1;if(e)for(const n of e){const e=this.getOrCreateOpenScriptInfo(Yge(n.fileName),n.content,Mve(n.scriptKind),n.hasMixedContent,n.projectRootPath?Yge(n.projectRootPath):void 0);(r||(r=[])).push(e)}if(n)for(const e of n){const n=this.getScriptInfo(e.fileName);Tt.assert(!!n),this.applyChangesToFile(n,e.changes)}if(t)for(const e of t)i=this.closeClientFile(e,!0)||i;r&&(o=H(r,(e=>this.assignProjectToOpenedScriptInfo(e).retainProjects))),i&&this.assignOrphanScriptInfosToInferredProject(),r?(this.cleanupAfterOpeningFile(o),r.forEach((e=>this.telemetryOnOpenFile(e))),this.printProjects()):b(t)&&this.printProjects()}applyChangesToFile(e,n){for(const t of n)e.editContent(t.span.start,t.span.start+t.span.length,t.newText)}closeConfiguredProjectReferencedFromExternalProject(e){null==e||e.forEach((e=>{e.isClosed()||(e.deleteExternalProjectReference(),e.hasOpenRef()||this.removeProject(e))}))}closeExternalProject(e,n){const t=Yge(e),r=this.externalProjectToConfiguredProjectMap.get(t);if(r)this.closeConfiguredProjectReferencedFromExternalProject(r),this.externalProjectToConfiguredProjectMap.delete(t);else{const n=this.findExternalProjectByProjectName(e);n&&this.removeProject(n)}n&&this.printProjects()}openExternalProjects(e){const n=$e(this.externalProjects,(e=>e.getProjectName()),(e=>!0));zf(this.externalProjectToConfiguredProjectMap,(e=>{n.set(e,!0)}));for(const t of e)this.openExternalProject(t,!1),n.delete(t.projectFileName);zf(n,(e=>{this.closeExternalProject(e,!1)})),this.printProjects()}static escapeFilenameForRegex(e){return e.replace(this.filenameEscapeRegexp,"\\$&")}resetSafeList(){this.safelist=yve}applySafeList(e){const n=e.typeAcquisition;Tt.assert(!!n,"proj.typeAcquisition should be set by now");const t=this.applySafeListWorker(e,e.rootFiles,n);return(null==t?void 0:t.excludedFiles)??[]}applySafeListWorker(n,t,r){if(!1===r.enable||r.disableFilenameBasedTypeAcquisition)return;const o=r.include||(r.include=[]),i=[],a=t.map((e=>ca(e.fileName)));for(const n of Object.keys(this.safelist)){const t=this.safelist[n];for(const r of a)if(t.match.test(r)){if(this.logger.info(`Excluding files based on rule ${n} matching file '${r}'`),t.types)for(const e of t.types)o.includes(e)||o.push(e);if(t.exclude)for(const o of t.exclude){const a=r.replace(t.match,((...t)=>o.map((r=>"number"==typeof r?mn(t[r])?e.escapeFilenameForRegex(t[r]):(this.logger.info(`Incorrect RegExp specification in safelist rule ${n} - not enough groups`),"\\*"):r)).join("")));i.includes(a)||i.push(a)}else{const n=e.escapeFilenameForRegex(r);i.includes(n)||i.push(n)}}}const s=i.map((e=>new RegExp(e,"i")));let l,c;for(let e=0;e<t.length;e++)if(s.some((n=>n.test(a[e]))))d(e);else{if(r.enable){const n=oa(xn(a[e]));if($i(n,"js")){const t=Qn(cx(n)),r=this.legacySafelist.get(t);if(void 0!==r){this.logger.info(`Excluded '${a[e]}' because it matched ${t} from the legacy safelist`),d(e),o.includes(r)||o.push(r);continue}}}/^.+[.-]min\.js$/.test(a[e])?d(e):null==l||l.push(t[e])}return c?{rootFiles:l,excludedFiles:c}:void 0;function d(e){c||(Tt.assert(!l),l=t.slice(0,e),c=[]),c.push(a[e])}}openExternalProject(e,n){const t=this.findExternalProjectByProjectName(e.projectFileName),r=this.externalProjectToConfiguredProjectMap.get(e.projectFileName);let o,i=[];for(const n of e.rootFiles){const t=Yge(n.fileName);if(lye(t)){if(0===this.serverMode&&this.host.fileExists(t)){let n=this.findConfiguredProjectByProjectName(t);n||(n=this.getHostPreferences().lazyConfiguredProjectsFromExternalProject?this.createConfiguredProjectWithDelayLoad(t,`Creating configured project in external project: ${e.projectFileName}`):this.createLoadAndUpdateConfiguredProject(t,`Creating configured project in external project: ${e.projectFileName}`)),(null==r?void 0:r.has(n))||n.addExternalProjectReference(),(o??(o=new Set)).add(n),null==r||r.delete(n)}}else i.push(n)}if(o)this.externalProjectToConfiguredProjectMap.set(e.projectFileName,o),t&&this.removeProject(t);else{this.externalProjectToConfiguredProjectMap.delete(e.projectFileName);const n=e.typeAcquisition||{};n.include=n.include||[],n.exclude=n.exclude||[],void 0===n.enable&&(n.enable=Jye(i.map((e=>e.fileName))));const r=this.applySafeListWorker(e,i,n),o=(null==r?void 0:r.excludedFiles)??[];if(i=(null==r?void 0:r.rootFiles)??i,t){t.excludedFiles=o;const r=Nve(e.options),a=Dve(e.options,t.getCurrentDirectory()),s=this.getFilenameForExceededTotalSizeLimitForNonTsFiles(e.projectFileName,r,i,bve);s?t.disableLanguageService(s):t.enableLanguageService(),t.setProjectErrors(null==a?void 0:a.errors),this.updateRootAndOptionsOfNonInferredProject(t,i,bve,r,n,e.options.compileOnSave,null==a?void 0:a.watchOptions),t.updateGraph()}else{this.createExternalProject(e.projectFileName,i,e.options,n,o).updateGraph()}}this.closeConfiguredProjectReferencedFromExternalProject(r),n&&this.printProjects()}hasDeferredExtension(){for(const e of this.hostConfiguration.extraFileExtensions)if(7===e.scriptKind)return!0;return!1}requestEnablePlugin(e,n,t){if(this.host.importPlugin||this.host.require)if(this.logger.info(`Enabling plugin ${n.name} from candidate paths: ${t.join(",")}`),n.name&&!dW(n.name).rest){if(this.host.importPlugin){const r=Fye.importServicePluginAsync(n,t,this.host,(e=>this.logger.info(e)));this.pendingPluginEnablements??(this.pendingPluginEnablements=new Map);let o=this.pendingPluginEnablements.get(e);return o||this.pendingPluginEnablements.set(e,o=[]),void o.push(r)}this.endEnablePlugin(e,Fye.importServicePluginSync(n,t,this.host,(e=>this.logger.info(e))))}else this.logger.info(`Skipped loading plugin ${n.name||JSON.stringify(n)} because only package name is allowed plugin name`);else this.logger.info("Plugins were requested but not running in environment that supports 'require'. Nothing will be loaded")}endEnablePlugin(e,{pluginConfigEntry:n,resolvedModule:t,errorLogs:r}){var o;if(t){const r=null==(o=this.currentPluginConfigOverrides)?void 0:o.get(n.name);if(r){const e=n.name;(n=r).name=e}e.enableProxy(t,n)}else E(r,(e=>this.logger.info(e))),this.logger.info(`Couldn't find ${n.name}`)}hasNewPluginEnablementRequests(){return!!this.pendingPluginEnablements}hasPendingPluginEnablements(){return!!this.currentPluginEnablementPromise}async waitForPendingPlugins(){for(;this.currentPluginEnablementPromise;)await this.currentPluginEnablementPromise}enableRequestedPlugins(){this.pendingPluginEnablements&&this.enableRequestedPluginsAsync()}async enableRequestedPluginsAsync(){if(this.currentPluginEnablementPromise&&await this.waitForPendingPlugins(),!this.pendingPluginEnablements)return;const e=Je(this.pendingPluginEnablements.entries());this.pendingPluginEnablements=void 0,this.currentPluginEnablementPromise=this.enableRequestedPluginsWorker(e),await this.currentPluginEnablementPromise}async enableRequestedPluginsWorker(e){Tt.assert(void 0===this.currentPluginEnablementPromise),await Promise.all(B(e,(([e,n])=>this.enableRequestedPluginsForProjectAsync(e,n)))),this.currentPluginEnablementPromise=void 0,this.sendProjectsUpdatedInBackgroundEvent()}async enableRequestedPluginsForProjectAsync(e,n){const t=await Promise.all(n);if(!e.isClosed()){for(const n of t)this.endEnablePlugin(e,n);this.delayUpdateProjectGraph(e)}}configurePlugin(e){this.forEachEnabledProject((n=>n.onPluginConfigurationChanged(e.pluginName,e.configuration))),this.currentPluginConfigOverrides=this.currentPluginConfigOverrides||new Map,this.currentPluginConfigOverrides.set(e.pluginName,e.configuration)}getPackageJsonsVisibleToFile(e,n,t){const r=this.packageJsonCache,o=t&&this.toPath(t),i=[],a=e=>{switch(r.directoryHasPackageJson(e)){case 3:return r.searchDirectoryAndAncestors(e),a(e);case-1:const t=ua(e,"package.json");this.watchPackageJsonFile(t,this.toPath(t),n);const o=r.getInDirectory(e);o&&i.push(o)}if(o&&o===e)return!0};return ka(ra(e),a),i}getNearestAncestorDirectoryWithPackageJson(e){return ka(e,(e=>{switch(this.packageJsonCache.directoryHasPackageJson(e)){case-1:return e;case 0:return;case 3:return this.host.fileExists(ua(e,"package.json"))?e:void 0}}))}watchPackageJsonFile(e,n,t){Tt.assert(void 0!==t);let r=(this.packageJsonFilesMap??(this.packageJsonFilesMap=new Map)).get(n);if(!r){let t=this.watchFactory.watchFile(e,((e,t)=>{switch(t){case 0:return Tt.fail();case 1:this.packageJsonCache.addOrUpdate(e,n),this.onPackageJsonChange(r);break;case 2:this.packageJsonCache.delete(n),this.onPackageJsonChange(r),r.projects.clear(),r.close()}}),250,this.hostConfiguration.watchOptions,CK.PackageJson);r={projects:new Set,close:()=>{var e;!r.projects.size&&t&&(t.close(),t=void 0,null==(e=this.packageJsonFilesMap)||e.delete(n),this.packageJsonCache.invalidate(n))}},this.packageJsonFilesMap.set(n,r)}r.projects.add(t),(t.packageJsonWatches??(t.packageJsonWatches=new Set)).add(r)}onPackageJsonChange(e){e.projects.forEach((e=>{var n;return null==(n=e.onPackageJsonChange)?void 0:n.call(e)}))}includePackageJsonAutoImports(){switch(this.hostConfiguration.preferences.includePackageJsonAutoImports){case"on":return 1;case"off":return 0;default:return 2}}getIncompleteCompletionsCache(){return this.incompleteCompletionsCache||(this.incompleteCompletionsCache=function(){let e;return{get(){return e},set(n){e=n},clear(){e=void 0}}}())}},Tve.filenameEscapeRegexp=/[-/\\^$*+?.()|[\]{}]/g,xve=Tve}});function Zve(e){let n,t,r;const o={get(e,n,o,i){if(t&&r===a(e,o,i))return t.get(n)},set(t,r,o,a,l,c){if(i(t,o,a).set(r,s(l,c,!1)),c)for(const t of l)if(t.isInNodeModules){const r=t.path.substring(0,t.path.indexOf(HO)+HO.length-1),o=e.toPath(r);(null==n?void 0:n.has(o))||(n||(n=new Map)).set(o,e.watchNodeModulesForPackageJsonChanges(r))}},setModulePaths(e,n,t,r,o){const a=i(e,t,r),l=a.get(n);l?l.modulePaths=o:a.set(n,s(o,void 0,void 0))},setBlockedByPackageJsonDependencies(e,n,t,r,o){const a=i(e,t,r),l=a.get(n);l?l.isBlockedByPackageJsonDependencies=o:a.set(n,s(void 0,void 0,o))},clear(){null==n||n.forEach(fS),null==t||t.clear(),null==n||n.clear(),r=void 0},count(){return t?t.size:0}};return Tt.isDebugging&&Object.defineProperty(o,"__cache",{get:()=>t}),o;function i(e,n,i){const s=a(e,n,i);return t&&r!==s&&o.clear(),r=s,t||(t=new Map)}function a(e,n,t){return`${e},${n.importModuleSpecifierEnding},${n.importModuleSpecifierPreference},${t.overrideImportMode}`}function s(e,n,t){return{modulePaths:e,moduleSpecifiers:n,isBlockedByPackageJsonDependencies:t}}}var ebe=g({"src/server/moduleSpecifierCache.ts"(){Xbe()}});function nbe(e){const n=new Map,t=new Map;return{addOrUpdate:r,invalidate:function(e){n.delete(e),t.delete(ra(e))},delete:e=>{n.delete(e),t.set(ra(e),!0)},getInDirectory:t=>n.get(e.toPath(ua(t,"package.json")))||void 0,directoryHasPackageJson:n=>o(e.toPath(n)),searchDirectoryAndAncestors:n=>{ka(n,(n=>{const i=e.toPath(n);if(3!==o(i))return!0;const a=ua(n,"package.json");JZ(e,a)?r(a,ua(i,"package.json")):t.set(i,!0)}))}};function r(r,o){const i=Tt.checkDefined(n0(r,e.host));n.set(o,i),t.delete(ra(o))}function o(e){return n.has(ua(e,"package.json"))?-1:t.has(e)?0:3}}var tbe,rbe,obe,ibe,abe,sbe,lbe=g({"src/server/packageJsonCache.ts"(){Xbe()}});function cbe(e,n){if(($ye(e)||Zye(e))&&e.isJsOnlyProject()){const t=e.getScriptInfoForNormalizedPath(n);return t&&!t.isJavaScript()}return!1}function dbe(e,n,t){const r=n.getScriptInfoForNormalizedPath(e);return{start:r.positionToLineOffset(t.start),end:r.positionToLineOffset(t.start+t.length),text:zU(t.messageText,"\n"),code:t.code,category:ri(t),reportsUnnecessary:t.reportsUnnecessary,reportsDeprecated:t.reportsDeprecated,source:t.source,relatedInformation:B(t.relatedInformation,ube)}}function ube(e){return e.file?{span:{start:pbe(_s(e.file,e.start)),end:pbe(_s(e.file,e.start+e.length)),file:e.file.fileName},message:zU(e.messageText,"\n"),category:ri(e),code:e.code}:{message:zU(e.messageText,"\n"),category:ri(e),code:e.code}}function pbe(e){return{line:e.line+1,offset:e.character+1}}function fbe(e,n){const t=e.file&&pbe(_s(e.file,e.start)),r=e.file&&pbe(_s(e.file,e.start+e.length)),o=zU(e.messageText,"\n"),{code:i,source:a}=e,s={start:t,end:r,text:o,code:i,category:ri(e),reportsUnnecessary:e.reportsUnnecessary,reportsDeprecated:e.reportsDeprecated,source:a,relatedInformation:B(e.relatedInformation,ube)};return n?{...s,fileName:e.file&&e.file.fileName}:s}function mbe(e,n,t,r){const o=n.hasLevel(3),i=JSON.stringify(e);o&&n.info(`${e.type}:${ZJ(e)}`);return`Content-Length: ${1+t(i,"utf8")}\r\n\r\n${i}${r}`}function _be(e,n){return{seq:0,type:"event",event:e,body:n}}function hbe(e){return un((({textSpan:e})=>e.start+100003*e.length),MQ(e))}function gbe(e,n,t){for(const r of pn(e)?e:e.projects)t(r,n);!pn(e)&&e.symLinkedProjects&&e.symLinkedProjects.forEach(((e,n)=>{for(const r of e)t(r,n)}))}function ybe(e,n,t,r,o,i){const a=new Map,s=dn();s.enqueue({project:n,location:t}),gbe(e,t.fileName,((e,n)=>{const r={fileName:n,pos:t.pos};s.enqueue({project:e,location:r})}));const l=n.projectService,c=n.getCancellationToken(),d=function(e,n,t){const r=e.getLanguageService().getDefinitionAtPosition(n.fileName,n.pos,!1,t),o=r&&De(r);return o&&!o.isLocal?{fileName:o.fileName,pos:o.textSpan.start}:void 0}(n,t,r),u=Rn((()=>n.isSourceOfProjectReferenceRedirect(d.fileName)?d:n.getLanguageService().getSourceMapper().tryGetGeneratedPosition(d))),p=Rn((()=>n.isSourceOfProjectReferenceRedirect(d.fileName)?d:n.getLanguageService().getSourceMapper().tryGetSourcePosition(d))),f=new Set;e:for(;!s.isEmpty();){for(;!s.isEmpty();){if(c.isCancellationRequested())break e;const{project:e,location:n}=s.dequeue();if(a.has(e))continue;if(bbe(e,n))continue;if(Hve(e),!e.containsFile(Yge(n.fileName)))continue;const t=m(e,n);a.set(e,t??Vge),f.add(Ebe(e))}d&&(l.loadAncestorProjectTree(f),l.forEachEnabledProject((e=>{if(c.isCancellationRequested())return;if(a.has(e))return;const n=vbe(d,e,u,p);n&&s.enqueue({project:e,location:n})})))}return 1===a.size?Pe(a.values()):a;function m(e,n){const t=o(e,n);if(t){for(const n of t)i(n,(n=>{const t=l.getOriginalLocationEnsuringConfiguredProject(e,n);if(!t)return;const r=l.getScriptInfo(t.fileName);for(const e of r.containingProjects)e.isOrphan()||a.has(e)||s.enqueue({project:e,location:t});const o=l.getSymlinkedProjects(r);o&&o.forEach(((e,n)=>{for(const r of e)r.isOrphan()||a.has(r)||s.enqueue({project:r,location:{fileName:n,pos:t.pos}})}))}));return t}}}function vbe(e,n,t,r){if(n.containsFile(Yge(e.fileName))&&!bbe(n,e))return e;const o=t();if(o&&n.containsFile(Yge(o.fileName)))return o;const i=r();return i&&n.containsFile(Yge(i.fileName))?i:void 0}function bbe(e,n){if(!n)return!1;const t=e.getLanguageService().getProgram();if(!t)return!1;const r=t.getSourceFile(n.fileName);return!!r&&r.resolvedPath!==r.path&&r.resolvedPath!==e.toPath(n.fileName)}function Ebe(e){return Qye(e)?e.canonicalConfigFilePath:e.getProjectName()}function Sbe({fileName:e,textSpan:n}){return{fileName:e,pos:n.start}}function Tbe(e,n){return kQ(e,n.getSourceMapper(),(e=>n.projectService.fileExists(e)))}function xbe(e,n){return wQ(e,n.getSourceMapper(),(e=>n.projectService.fileExists(e)))}function Abe(e,n){return OQ(e,n.getSourceMapper(),(e=>n.projectService.fileExists(e)))}function Rbe(e,n){return{start:n.positionToLineOffset(e.start),end:n.positionToLineOffset(Qs(e))}}function Ibe(e,n,t){const r=Rbe(e,t),o=n&&Rbe(n,t);return o?{...r,contextStart:o.start,contextEnd:o.end}:r}function Nbe(e,n){return Yve(e)?{line:(t=e.getLineAndCharacterOfPosition(n)).line+1,offset:t.character+1}:e.positionToLineOffset(n);var t}function Dbe(e,n,t,r){const o=function(e,n,t){for(const{fileName:r,textChanges:o}of t)if(r===n)for(let n=o.length-1;n>=0;n--){const{newText:t,span:{start:r,length:i}}=o[n];e=e.slice(0,r)+t+e.slice(r+i)}return e}(e,n,r),{line:i,character:a}=ps(ls(o),t);return{line:i+1,offset:a+1}}function Cbe(e,{fileName:n,textSpan:t,contextSpan:r,isWriteAccess:o,isDefinition:i},{disableLineTextInReferences:a}){const s=Tt.checkDefined(e.getScriptInfo(n)),l=Ibe(t,r,s),c=a?void 0:function(e,n){const t=e.lineToTextSpan(n.start.line-1);return e.getSnapshot().getText(t.start,Qs(t)).replace(/\r|\n/g,"")}(s,l);return{file:n,...l,lineText:c,isWriteAccess:o,isDefinition:i}}function Mbe(e){return void 0===e||e&&"object"==typeof e&&"string"==typeof e.exportName&&(void 0===e.fileName||"string"==typeof e.fileName)&&(void 0===e.ambientModuleName||"string"==typeof e.ambientModuleName&&(void 0===e.isPackageJsonImport||"boolean"==typeof e.isPackageJsonImport))}var Pbe,Lbe,kbe,wbe,Obe,Fbe,Wbe,zbe,Gbe,Bbe,jbe,Vbe=g({"src/server/session.ts"(){Xbe(),qbe(),Aye(),tbe={isCancellationRequested:()=>!1,setRequest:()=>{},resetRequest:()=>{}},rbe=dye,obe=class{constructor(e){this.operationHost=e}startNew(e){this.complete(),this.requestId=this.operationHost.getCurrentRequestId(),this.executeAction(e)}complete(){void 0!==this.requestId&&(this.operationHost.sendRequestCompletedEvent(this.requestId),this.requestId=void 0),this.setTimerHandle(void 0),this.setImmediateId(void 0)}immediate(e,n){const t=this.requestId;Tt.assert(t===this.operationHost.getCurrentRequestId(),"immediate: incorrect request id"),this.setImmediateId(this.operationHost.getServerHost().setImmediate((()=>{this.immediateId=void 0,this.operationHost.executeWithRequestId(t,(()=>this.executeAction(n)))}),e))}delay(e,n,t){const r=this.requestId;Tt.assert(r===this.operationHost.getCurrentRequestId(),"delay: incorrect request id"),this.setTimerHandle(this.operationHost.getServerHost().setTimeout((()=>{this.timerHandle=void 0,this.operationHost.executeWithRequestId(r,(()=>this.executeAction(t)))}),n,e))}executeAction(e){var n,t,r,o,i,a;let s=!1;try{this.operationHost.isCancellationRequested()?(s=!0,null==(n=Cr)||n.instant(Cr.Phase.Session,"stepCanceled",{seq:this.requestId,early:!0})):(null==(t=Cr)||t.push(Cr.Phase.Session,"stepAction",{seq:this.requestId}),e(this),null==(r=Cr)||r.pop())}catch(e){null==(o=Cr)||o.popAll(),s=!0,e instanceof Vr?null==(i=Cr)||i.instant(Cr.Phase.Session,"stepCanceled",{seq:this.requestId}):(null==(a=Cr)||a.instant(Cr.Phase.Session,"stepError",{seq:this.requestId,message:e.message}),this.operationHost.logError(e,`delayed processing of request ${this.requestId}`))}!s&&this.hasPendingWork()||this.complete()}setTimerHandle(e){void 0!==this.timerHandle&&this.operationHost.getServerHost().clearTimeout(this.timerHandle),this.timerHandle=e}setImmediateId(e){void 0!==this.immediateId&&this.operationHost.getServerHost().clearImmediate(this.immediateId),this.immediateId=e}hasPendingWork(){return!!this.timerHandle||!!this.immediateId}},ibe=["openExternalProject","openExternalProjects","closeExternalProject","synchronizeProjectList","emit-output","compileOnSaveAffectedFileList","compileOnSaveEmitFile","compilerOptionsDiagnostics-full","encodedSemanticClassifications-full","semanticDiagnosticsSync","suggestionDiagnosticsSync","geterrForProject","reload","reloadProjects","getCodeFixes","getCodeFixes-full","getCombinedCodeFix","getCombinedCodeFix-full","applyCodeActionCommand","getSupportedCodeFixes","getApplicableRefactors","getMoveToRefactoringFileSuggestions","getEditsForRefactor","getEditsForRefactor-full","organizeImports","organizeImports-full","getEditsForFileRename","getEditsForFileRename-full","prepareCallHierarchy","provideCallHierarchyIncomingCalls","provideCallHierarchyOutgoingCalls"],abe=[...ibe,"definition","definition-full","definitionAndBoundSpan","definitionAndBoundSpan-full","typeDefinition","implementation","implementation-full","references","references-full","rename","renameLocations-full","rename-full","quickinfo","quickinfo-full","completionInfo","completions","completions-full","completionEntryDetails","completionEntryDetails-full","signatureHelp","signatureHelp-full","navto","navto-full","documentHighlights","documentHighlights-full"],sbe=class e{constructor(e){this.changeSeq=0,this.handlers=new Map(Object.entries({status:()=>{const e={version:t};return this.requiredResponse(e)},openExternalProject:e=>(this.projectService.openExternalProject(e.arguments,!0),this.requiredResponse(!0)),openExternalProjects:e=>(this.projectService.openExternalProjects(e.arguments.projects),this.requiredResponse(!0)),closeExternalProject:e=>(this.projectService.closeExternalProject(e.arguments.projectFileName,!0),this.requiredResponse(!0)),synchronizeProjectList:e=>{const n=this.projectService.synchronizeProjectList(e.arguments.knownProjects,e.arguments.includeProjectReferenceRedirectInfo);if(!n.some((e=>e.projectErrors&&0!==e.projectErrors.length)))return this.requiredResponse(n);const t=B(n,(e=>e.projectErrors&&0!==e.projectErrors.length?{info:e.info,changes:e.changes,files:e.files,projectErrors:this.convertToDiagnosticsWithLinePosition(e.projectErrors,void 0)}:e));return this.requiredResponse(t)},updateOpen:e=>(this.changeSeq++,this.projectService.applyChangesInOpenFiles(e.arguments.openFiles&&j(e.arguments.openFiles,(e=>({fileName:e.file,content:e.fileContent,scriptKind:e.scriptKindName,projectRootPath:e.projectRootPath}))),e.arguments.changedFiles&&j(e.arguments.changedFiles,(e=>({fileName:e.fileName,changes:$(Re(e.textChanges),(n=>{const t=Tt.checkDefined(this.projectService.getScriptInfo(e.fileName)),r=t.lineOffsetToPosition(n.start.line,n.start.offset),o=t.lineOffsetToPosition(n.end.line,n.end.offset);return r>=0?{span:{start:r,length:o-r},newText:n.newText}:void 0}))}))),e.arguments.closedFiles),this.requiredResponse(!0)),applyChangedToOpenFiles:e=>(this.changeSeq++,this.projectService.applyChangesInOpenFiles(e.arguments.openFiles,e.arguments.changedFiles&&j(e.arguments.changedFiles,(e=>({fileName:e.fileName,changes:Re(e.changes)}))),e.arguments.closedFiles),this.requiredResponse(!0)),exit:()=>(this.exit(),this.notRequired()),definition:e=>this.requiredResponse(this.getDefinition(e.arguments,!0)),"definition-full":e=>this.requiredResponse(this.getDefinition(e.arguments,!1)),definitionAndBoundSpan:e=>this.requiredResponse(this.getDefinitionAndBoundSpan(e.arguments,!0)),"definitionAndBoundSpan-full":e=>this.requiredResponse(this.getDefinitionAndBoundSpan(e.arguments,!1)),findSourceDefinition:e=>this.requiredResponse(this.findSourceDefinition(e.arguments)),"emit-output":e=>this.requiredResponse(this.getEmitOutput(e.arguments)),typeDefinition:e=>this.requiredResponse(this.getTypeDefinition(e.arguments)),implementation:e=>this.requiredResponse(this.getImplementation(e.arguments,!0)),"implementation-full":e=>this.requiredResponse(this.getImplementation(e.arguments,!1)),references:e=>this.requiredResponse(this.getReferences(e.arguments,!0)),"references-full":e=>this.requiredResponse(this.getReferences(e.arguments,!1)),rename:e=>this.requiredResponse(this.getRenameLocations(e.arguments,!0)),"renameLocations-full":e=>this.requiredResponse(this.getRenameLocations(e.arguments,!1)),"rename-full":e=>this.requiredResponse(this.getRenameInfo(e.arguments)),open:e=>(this.openClientFile(Yge(e.arguments.file),e.arguments.fileContent,Pve(e.arguments.scriptKindName),e.arguments.projectRootPath?Yge(e.arguments.projectRootPath):void 0),this.notRequired()),quickinfo:e=>this.requiredResponse(this.getQuickInfoWorker(e.arguments,!0)),"quickinfo-full":e=>this.requiredResponse(this.getQuickInfoWorker(e.arguments,!1)),getOutliningSpans:e=>this.requiredResponse(this.getOutliningSpans(e.arguments,!0)),outliningSpans:e=>this.requiredResponse(this.getOutliningSpans(e.arguments,!1)),todoComments:e=>this.requiredResponse(this.getTodoComments(e.arguments)),indentation:e=>this.requiredResponse(this.getIndentation(e.arguments)),nameOrDottedNameSpan:e=>this.requiredResponse(this.getNameOrDottedNameSpan(e.arguments)),breakpointStatement:e=>this.requiredResponse(this.getBreakpointStatement(e.arguments)),braceCompletion:e=>this.requiredResponse(this.isValidBraceCompletion(e.arguments)),docCommentTemplate:e=>this.requiredResponse(this.getDocCommentTemplate(e.arguments)),getSpanOfEnclosingComment:e=>this.requiredResponse(this.getSpanOfEnclosingComment(e.arguments)),fileReferences:e=>this.requiredResponse(this.getFileReferences(e.arguments,!0)),"fileReferences-full":e=>this.requiredResponse(this.getFileReferences(e.arguments,!1)),format:e=>this.requiredResponse(this.getFormattingEditsForRange(e.arguments)),formatonkey:e=>this.requiredResponse(this.getFormattingEditsAfterKeystroke(e.arguments)),"format-full":e=>this.requiredResponse(this.getFormattingEditsForDocumentFull(e.arguments)),"formatonkey-full":e=>this.requiredResponse(this.getFormattingEditsAfterKeystrokeFull(e.arguments)),"formatRange-full":e=>this.requiredResponse(this.getFormattingEditsForRangeFull(e.arguments)),completionInfo:e=>this.requiredResponse(this.getCompletions(e.arguments,"completionInfo")),completions:e=>this.requiredResponse(this.getCompletions(e.arguments,"completions")),"completions-full":e=>this.requiredResponse(this.getCompletions(e.arguments,"completions-full")),completionEntryDetails:e=>this.requiredResponse(this.getCompletionEntryDetails(e.arguments,!1)),"completionEntryDetails-full":e=>this.requiredResponse(this.getCompletionEntryDetails(e.arguments,!0)),compileOnSaveAffectedFileList:e=>this.requiredResponse(this.getCompileOnSaveAffectedFileList(e.arguments)),compileOnSaveEmitFile:e=>this.requiredResponse(this.emitFile(e.arguments)),signatureHelp:e=>this.requiredResponse(this.getSignatureHelpItems(e.arguments,!0)),"signatureHelp-full":e=>this.requiredResponse(this.getSignatureHelpItems(e.arguments,!1)),"compilerOptionsDiagnostics-full":e=>this.requiredResponse(this.getCompilerOptionsDiagnostics(e.arguments)),"encodedSyntacticClassifications-full":e=>this.requiredResponse(this.getEncodedSyntacticClassifications(e.arguments)),"encodedSemanticClassifications-full":e=>this.requiredResponse(this.getEncodedSemanticClassifications(e.arguments)),cleanup:()=>(this.cleanup(),this.requiredResponse(!0)),semanticDiagnosticsSync:e=>this.requiredResponse(this.getSemanticDiagnosticsSync(e.arguments)),syntacticDiagnosticsSync:e=>this.requiredResponse(this.getSyntacticDiagnosticsSync(e.arguments)),suggestionDiagnosticsSync:e=>this.requiredResponse(this.getSuggestionDiagnosticsSync(e.arguments)),geterr:e=>(this.errorCheck.startNew((n=>this.getDiagnostics(n,e.arguments.delay,e.arguments.files))),this.notRequired()),geterrForProject:e=>(this.errorCheck.startNew((n=>this.getDiagnosticsForProject(n,e.arguments.delay,e.arguments.file))),this.notRequired()),change:e=>(this.change(e.arguments),this.notRequired()),configure:e=>(this.projectService.setHostConfiguration(e.arguments),this.doOutput(void 0,"configure",e.seq,!0),this.notRequired()),reload:e=>(this.reload(e.arguments,e.seq),this.requiredResponse({reloadFinished:!0})),saveto:e=>{const n=e.arguments;return this.saveToTmp(n.file,n.tmpfile),this.notRequired()},close:e=>{const n=e.arguments;return this.closeClientFile(n.file),this.notRequired()},navto:e=>this.requiredResponse(this.getNavigateToItems(e.arguments,!0)),"navto-full":e=>this.requiredResponse(this.getNavigateToItems(e.arguments,!1)),brace:e=>this.requiredResponse(this.getBraceMatching(e.arguments,!0)),"brace-full":e=>this.requiredResponse(this.getBraceMatching(e.arguments,!1)),navbar:e=>this.requiredResponse(this.getNavigationBarItems(e.arguments,!0)),"navbar-full":e=>this.requiredResponse(this.getNavigationBarItems(e.arguments,!1)),navtree:e=>this.requiredResponse(this.getNavigationTree(e.arguments,!0)),"navtree-full":e=>this.requiredResponse(this.getNavigationTree(e.arguments,!1)),documentHighlights:e=>this.requiredResponse(this.getDocumentHighlights(e.arguments,!0)),"documentHighlights-full":e=>this.requiredResponse(this.getDocumentHighlights(e.arguments,!1)),compilerOptionsForInferredProjects:e=>(this.setCompilerOptionsForInferredProjects(e.arguments),this.requiredResponse(!0)),projectInfo:e=>this.requiredResponse(this.getProjectInfo(e.arguments)),reloadProjects:()=>(this.projectService.reloadProjects(),this.notRequired()),jsxClosingTag:e=>this.requiredResponse(this.getJsxClosingTag(e.arguments)),linkedEditingRange:e=>this.requiredResponse(this.getLinkedEditingRange(e.arguments)),getCodeFixes:e=>this.requiredResponse(this.getCodeFixes(e.arguments,!0)),"getCodeFixes-full":e=>this.requiredResponse(this.getCodeFixes(e.arguments,!1)),getCombinedCodeFix:e=>this.requiredResponse(this.getCombinedCodeFix(e.arguments,!0)),"getCombinedCodeFix-full":e=>this.requiredResponse(this.getCombinedCodeFix(e.arguments,!1)),applyCodeActionCommand:e=>this.requiredResponse(this.applyCodeActionCommand(e.arguments)),getSupportedCodeFixes:e=>this.requiredResponse(this.getSupportedCodeFixes(e.arguments)),getApplicableRefactors:e=>this.requiredResponse(this.getApplicableRefactors(e.arguments)),getEditsForRefactor:e=>this.requiredResponse(this.getEditsForRefactor(e.arguments,!0)),getMoveToRefactoringFileSuggestions:e=>this.requiredResponse(this.getMoveToRefactoringFileSuggestions(e.arguments)),"getEditsForRefactor-full":e=>this.requiredResponse(this.getEditsForRefactor(e.arguments,!1)),organizeImports:e=>this.requiredResponse(this.organizeImports(e.arguments,!0)),"organizeImports-full":e=>this.requiredResponse(this.organizeImports(e.arguments,!1)),getEditsForFileRename:e=>this.requiredResponse(this.getEditsForFileRename(e.arguments,!0)),"getEditsForFileRename-full":e=>this.requiredResponse(this.getEditsForFileRename(e.arguments,!1)),configurePlugin:e=>(this.configurePlugin(e.arguments),this.doOutput(void 0,"configurePlugin",e.seq,!0),this.notRequired()),selectionRange:e=>this.requiredResponse(this.getSmartSelectionRange(e.arguments,!0)),"selectionRange-full":e=>this.requiredResponse(this.getSmartSelectionRange(e.arguments,!1)),prepareCallHierarchy:e=>this.requiredResponse(this.prepareCallHierarchy(e.arguments)),provideCallHierarchyIncomingCalls:e=>this.requiredResponse(this.provideCallHierarchyIncomingCalls(e.arguments)),provideCallHierarchyOutgoingCalls:e=>this.requiredResponse(this.provideCallHierarchyOutgoingCalls(e.arguments)),toggleLineComment:e=>this.requiredResponse(this.toggleLineComment(e.arguments,!0)),"toggleLineComment-full":e=>this.requiredResponse(this.toggleLineComment(e.arguments,!1)),toggleMultilineComment:e=>this.requiredResponse(this.toggleMultilineComment(e.arguments,!0)),"toggleMultilineComment-full":e=>this.requiredResponse(this.toggleMultilineComment(e.arguments,!1)),commentSelection:e=>this.requiredResponse(this.commentSelection(e.arguments,!0)),"commentSelection-full":e=>this.requiredResponse(this.commentSelection(e.arguments,!1)),uncommentSelection:e=>this.requiredResponse(this.uncommentSelection(e.arguments,!0)),"uncommentSelection-full":e=>this.requiredResponse(this.uncommentSelection(e.arguments,!1)),provideInlayHints:e=>this.requiredResponse(this.provideInlayHints(e.arguments))})),this.host=e.host,this.cancellationToken=e.cancellationToken,this.typingsInstaller=e.typingsInstaller||Pye,this.byteLength=e.byteLength,this.hrtime=e.hrtime,this.logger=e.logger,this.canUseEvents=e.canUseEvents,this.suppressDiagnosticEvents=e.suppressDiagnosticEvents,this.noGetErrOnBackgroundUpdate=e.noGetErrOnBackgroundUpdate;const{throttleWaitMilliseconds:n}=e;this.eventHandler=this.canUseEvents?e.eventHandler||(e=>this.defaultEventHandler(e)):void 0;const r={executeWithRequestId:(e,n)=>this.executeWithRequestId(e,n),getCurrentRequestId:()=>this.currentRequestId,getServerHost:()=>this.host,logError:(e,n)=>this.logError(e,n),sendRequestCompletedEvent:e=>this.sendRequestCompletedEvent(e),isCancellationRequested:()=>this.cancellationToken.isCancellationRequested()};this.errorCheck=new obe(r);const o={host:this.host,logger:this.logger,cancellationToken:this.cancellationToken,useSingleInferredProject:e.useSingleInferredProject,useInferredProjectPerProjectRoot:e.useInferredProjectPerProjectRoot,typingsInstaller:this.typingsInstaller,throttleWaitMilliseconds:n,eventHandler:this.eventHandler,suppressDiagnosticEvents:this.suppressDiagnosticEvents,globalPlugins:e.globalPlugins,pluginProbeLocations:e.pluginProbeLocations,allowLocalPluginLoads:e.allowLocalPluginLoads,typesMapLocation:e.typesMapLocation,serverMode:e.serverMode,session:this,canUseWatchEvents:e.canUseWatchEvents,incrementalVerifier:e.incrementalVerifier};switch(this.projectService=new xve(o),this.projectService.setPerformanceEventHandler(this.performanceEventHandler.bind(this)),this.gcTimer=new aye(this.host,7e3,this.logger),this.projectService.serverMode){case 0:break;case 1:ibe.forEach((e=>this.handlers.set(e,(e=>{throw new Error(`Request: ${e.command} not allowed in LanguageServiceMode.PartialSemantic`)}))));break;case 2:abe.forEach((e=>this.handlers.set(e,(e=>{throw new Error(`Request: ${e.command} not allowed in LanguageServiceMode.Syntactic`)}))));break;default:Tt.assertNever(this.projectService.serverMode)}}sendRequestCompletedEvent(e){this.event({request_seq:e},"requestCompleted")}addPerformanceData(e,n){this.performanceData||(this.performanceData={}),this.performanceData[e]=(this.performanceData[e]??0)+n}performanceEventHandler(e){switch(e.kind){case"UpdateGraph":this.addPerformanceData("updateGraphDurationMs",e.durationMs);break;case"CreatePackageJsonAutoImportProvider":this.addPerformanceData("createAutoImportProviderProgramDurationMs",e.durationMs)}}defaultEventHandler(e){switch(e.eventName){case rve:this.projectsUpdatedInBackgroundEvent(e.data.openFiles);break;case ove:this.event({projectName:e.data.project.getProjectName(),reason:e.data.reason},e.eventName);break;case ive:this.event({projectName:e.data.project.getProjectName()},e.eventName);break;case ave:case uve:case pve:case fve:this.event(e.data,e.eventName);break;case sve:this.event({triggerFile:e.data.triggerFile,configFile:e.data.configFileName,diagnostics:B(e.data.diagnostics,(e=>fbe(e,!0)))},e.eventName);break;case lve:this.event({projectName:e.data.project.getProjectName(),languageServiceEnabled:e.data.languageServiceEnabled},e.eventName);break;case cve:{const n="telemetry";this.event({telemetryEventName:e.eventName,payload:e.data},n);break}}}projectsUpdatedInBackgroundEvent(e){this.projectService.logger.info(`got projects updated in background ${e}`),e.length&&(this.suppressDiagnosticEvents||this.noGetErrOnBackgroundUpdate||(this.projectService.logger.info(`Queueing diagnostics update for ${e}`),this.errorCheck.startNew((n=>this.updateErrorCheck(n,e,100,!0)))),this.event({openFiles:e},rve))}logError(e,n){this.logErrorWorker(e,n)}logErrorWorker(e,n,t){let r="Exception on executing command "+n;if(e.message&&(r+=":\n"+QJ(e.message),e.stack&&(r+="\n"+QJ(e.stack))),this.logger.hasLevel(3)){if(t)try{const{file:e,project:n}=this.getFileAndProject(t),o=n.getScriptInfoForNormalizedPath(e);if(o){const e=rQ(o.getSnapshot());r+=`\n\nFile text of ${t.file}:${QJ(e)}\n`}}catch{}if(e.ProgramFiles){r+=`\n\nProgram files: ${JSON.stringify(e.ProgramFiles)}\n`,r+="\n\nProjects::\n";let n=0;const t=e=>{r+=`\nProject '${e.projectName}' (${Oye[e.projectKind]}) ${n}\n`,r+=e.filesToString(!0),r+="\n-----------------------------------------------\n",n++};this.projectService.externalProjects.forEach(t),this.projectService.configuredProjects.forEach(t),this.projectService.inferredProjects.forEach(t)}}this.logger.msg(r,"Err")}send(e){"event"!==e.type||this.canUseEvents?this.writeMessage(e):this.logger.hasLevel(3)&&this.logger.info(`Session does not support events: ignored event: ${ZJ(e)}`)}writeMessage(e){var n;const t=mbe(e,this.logger,this.byteLength,this.host.newLine);null==(n=or)||n.logEvent(`Response message size: ${t.length}`),this.host.write(t)}event(e,n){this.send(_be(n,e))}doOutput(e,n,t,r,o){const i={seq:0,type:"response",command:n,request_seq:t,success:r,performanceData:this.performanceData};if(r){let n;if(pn(e))i.body=e,n=e.metadata,delete e.metadata;else if("object"==typeof e)if(e.metadata){const{metadata:t,...r}=e;i.body=r,n=t}else i.body=e;else i.body=e;n&&(i.metadata=n)}else Tt.assert(void 0===e);o&&(i.message=o),this.send(i)}semanticCheck(e,n){var t,r;null==(t=Cr)||t.push(Cr.Phase.Session,"semanticCheck",{file:e,configFilePath:n.canonicalConfigFilePath});const o=cbe(n,e)?Vge:n.getLanguageService().getSemanticDiagnostics(e).filter((e=>!!e.file));this.sendDiagnosticsEvent(e,n,o,"semanticDiag"),null==(r=Cr)||r.pop()}syntacticCheck(e,n){var t,r;null==(t=Cr)||t.push(Cr.Phase.Session,"syntacticCheck",{file:e,configFilePath:n.canonicalConfigFilePath}),this.sendDiagnosticsEvent(e,n,n.getLanguageService().getSyntacticDiagnostics(e),"syntaxDiag"),null==(r=Cr)||r.pop()}suggestionCheck(e,n){var t,r;null==(t=Cr)||t.push(Cr.Phase.Session,"suggestionCheck",{file:e,configFilePath:n.canonicalConfigFilePath}),this.sendDiagnosticsEvent(e,n,n.getLanguageService().getSuggestionDiagnostics(e),"suggestionDiag"),null==(r=Cr)||r.pop()}sendDiagnosticsEvent(e,n,t,r){try{this.event({file:e,diagnostics:t.map((t=>dbe(e,n,t)))},r)}catch(e){this.logError(e,r)}}updateErrorCheck(e,n,t,r=!0){Tt.assert(!this.suppressDiagnosticEvents);const o=this.changeSeq,i=Math.min(t,200);let a=0;const s=()=>{a++,n.length>a&&e.delay("checkOne",i,l)},l=()=>{if(this.changeSeq!==o)return;let t=n[a];if(mn(t)&&(t=this.toPendingErrorCheck(t),!t))return void s();const{fileName:i,project:l}=t;Hve(l),l.containsFile(i,r)&&(this.syntacticCheck(i,l),this.changeSeq===o&&(0===l.projectService.serverMode?e.immediate("semanticCheck",(()=>{this.semanticCheck(i,l),this.changeSeq===o&&(this.getPreferences(i).disableSuggestions?s():e.immediate("suggestionCheck",(()=>{this.suggestionCheck(i,l),s()})))})):s()))};n.length>a&&this.changeSeq===o&&e.delay("checkOne",t,l)}cleanProjects(e,n){if(n){this.logger.info(`cleaning ${e}`);for(const e of n)e.getLanguageService(!1).cleanupSemanticCache(),e.cleanupProgram()}}cleanup(){this.cleanProjects("inferred projects",this.projectService.inferredProjects),this.cleanProjects("configured projects",Je(this.projectService.configuredProjects.values())),this.cleanProjects("external projects",this.projectService.externalProjects),this.host.gc&&(this.logger.info("host.gc()"),this.host.gc())}getEncodedSyntacticClassifications(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e);return t.getEncodedSyntacticClassifications(n,e)}getEncodedSemanticClassifications(e){const{file:n,project:t}=this.getFileAndProject(e),r="2020"===e.format?"2020":"original";return t.getLanguageService().getEncodedSemanticClassifications(n,e,r)}getProject(e){return void 0===e?void 0:this.projectService.findProject(e)}getConfigFileAndProject(e){const n=this.getProject(e.projectFileName),t=Yge(e.file);return{configFile:n&&n.hasConfigFile(t)?t:void 0,project:n}}getConfigFileDiagnostics(e,n,t){const r=W(ae(n.getAllProjectErrors(),n.getLanguageService().getCompilerOptionsDiagnostics()),(n=>!!n.file&&n.file.fileName===e));return t?this.convertToDiagnosticsWithLinePositionFromDiagnosticFile(r):B(r,(e=>fbe(e,!1)))}convertToDiagnosticsWithLinePositionFromDiagnosticFile(e){return e.map((e=>({message:zU(e.messageText,this.host.newLine),start:e.start,length:e.length,category:ri(e),code:e.code,source:e.source,startLocation:e.file&&pbe(_s(e.file,e.start)),endLocation:e.file&&pbe(_s(e.file,e.start+e.length)),reportsUnnecessary:e.reportsUnnecessary,reportsDeprecated:e.reportsDeprecated,relatedInformation:B(e.relatedInformation,ube)})))}getCompilerOptionsDiagnostics(e){const n=this.getProject(e.projectFileName);return this.convertToDiagnosticsWithLinePosition(W(n.getLanguageService().getCompilerOptionsDiagnostics(),(e=>!e.file)),void 0)}convertToDiagnosticsWithLinePosition(e,n){return e.map((e=>({message:zU(e.messageText,this.host.newLine),start:e.start,length:e.length,category:ri(e),code:e.code,source:e.source,startLocation:n&&n.positionToLineOffset(e.start),endLocation:n&&n.positionToLineOffset(e.start+e.length),reportsUnnecessary:e.reportsUnnecessary,reportsDeprecated:e.reportsDeprecated,relatedInformation:B(e.relatedInformation,ube)})))}getDiagnosticsWorker(e,n,t,r){const{project:o,file:i}=this.getFileAndProject(e);if(n&&cbe(o,i))return Vge;const a=o.getScriptInfoForNormalizedPath(i),s=t(o,i);return r?this.convertToDiagnosticsWithLinePosition(s,a):s.map((e=>dbe(i,o,e)))}getDefinition(n,t){const{file:r,project:o}=this.getFileAndProject(n),i=this.getPositionInFile(n,r),a=this.mapDefinitionInfoLocations(o.getLanguageService().getDefinitionAtPosition(r,i)||Vge,o);return t?this.mapDefinitionInfo(a,o):a.map(e.mapToOriginalLocation)}mapDefinitionInfoLocations(e,n){return e.map((e=>{const t=xbe(e,n);return t?{...t,containerKind:e.containerKind,containerName:e.containerName,kind:e.kind,name:e.name,failedAliasResolution:e.failedAliasResolution,...e.unverified&&{unverified:e.unverified}}:e}))}getDefinitionAndBoundSpan(n,t){const{file:r,project:o}=this.getFileAndProject(n),i=this.getPositionInFile(n,r),a=Tt.checkDefined(o.getScriptInfo(r)),s=o.getLanguageService().getDefinitionAndBoundSpan(r,i);if(!s||!s.definitions)return{definitions:Vge,textSpan:void 0};const l=this.mapDefinitionInfoLocations(s.definitions,o),{textSpan:c}=s;return t?{definitions:this.mapDefinitionInfo(l,o),textSpan:Rbe(c,a)}:{definitions:l.map(e.mapToOriginalLocation),textSpan:c}}findSourceDefinition(e){var n;const{file:t,project:r}=this.getFileAndProject(e),o=this.getPositionInFile(e,t),i=r.getLanguageService().getDefinitionAtPosition(t,o);let a=this.mapDefinitionInfoLocations(i||Vge,r).slice();if(0===this.projectService.serverMode&&(!oe(a,(e=>Yge(e.fileName)!==t&&!e.isAmbient))||oe(a,(e=>!!e.failedAliasResolution)))){const e=un((e=>e.textSpan.start),MQ(this.host.useCaseSensitiveFileNames));null==a||a.forEach((n=>e.add(n)));const i=r.getNoDtsResolutionProject(t),d=i.getLanguageService(),u=null==(n=d.getDefinitionAtPosition(t,o,!0,!1))?void 0:n.filter((e=>Yge(e.fileName)!==t));if(oe(u))for(const n of u){if(n.unverified){const t=l(n,r.getLanguageService().getProgram(),d.getProgram());if(oe(t)){for(const n of t)e.add(n);continue}}e.add(n)}else{const n=a.filter((e=>Yge(e.fileName)!==t&&e.isAmbient));for(const a of oe(n)?n:function(){const e=r.getLanguageService(),n=e.getProgram(),i=a$(n.getSourceFile(t),o);if((tp(i)||tN(i))&&wS(i.parent))return GS(i,(n=>{var r;if(n===i)return;const o=null==(r=e.getDefinitionAtPosition(t,n.getStart(),!0,!1))?void 0:r.filter((e=>Yge(e.fileName)!==t&&e.isAmbient)).map((e=>({fileName:e.fileName,name:sv(i)})));return oe(o)?o:void 0}))||Vge;return Vge}()){const n=s(a.fileName,t,i);if(!n)continue;const r=this.projectService.getOrCreateScriptInfoNotOpenedByClient(n,i.currentDirectory,i.directoryStructureHost);if(!r)continue;i.containsScriptInfo(r)||(i.addRoot(r),i.updateGraph());const o=d.getProgram(),l=Tt.checkDefined(o.getSourceFile(n));for(const n of c(a.name,l,o))e.add(n)}}a=Je(e.values())}return a=a.filter((e=>!e.isAmbient&&!e.failedAliasResolution)),this.mapDefinitionInfo(a,r);function s(e,n,t){var o,i,a;const s=iA(e);if(s&&e.lastIndexOf(HO)===s.topLevelNodeModulesIndex){const l=e.substring(0,s.packageRootIndex),c=null==(o=r.getModuleResolutionCache())?void 0:o.getPackageJsonInfoCache(),d=r.getCompilationSettings(),u=iW(ma(l+"/package.json",r.getCurrentDirectory()),oW(c,r,d));if(!u)return;const p=tW(u,{moduleResolution:2},r,r.getModuleResolutionCache()),f=AW(RW(e.substring(s.topLevelPackageNameIndex+1,s.packageRootIndex))),m=r.toPath(e);if(p&&oe(p,(e=>r.toPath(e)===m)))return null==(i=t.resolutionCache.resolveSingleModuleNameWithoutWatching(f,n).resolvedModule)?void 0:i.resolvedFileName;{const r=`${f}/${cx(e.substring(s.packageRootIndex+1))}`;return null==(a=t.resolutionCache.resolveSingleModuleNameWithoutWatching(r,n).resolvedModule)?void 0:a.resolvedFileName}}}function l(e,n,r){var i;const a=r.getSourceFile(e.fileName);if(!a)return;const s=a$(n.getSourceFile(t),o),l=n.getTypeChecker().getSymbolAtLocation(s),d=l&&Df(l,276);if(!d)return;return c((null==(i=d.propertyName)?void 0:i.text)||d.name.text,a,r)}function c(e,n,t){return Y(Hue.Core.getTopMostDeclarationNamesInFile(e,n),(e=>{const n=t.getTypeChecker().getSymbolAtLocation(e),r=Iy(e);if(n&&r)return upe.createDefinitionInfo(r,t.getTypeChecker(),n,r,!0)}))}}getEmitOutput(e){const{file:n,project:t}=this.getFileAndProject(e);if(!t.shouldEmitFile(t.getScriptInfo(n)))return{emitSkipped:!0,outputFiles:[],diagnostics:[]};const r=t.getLanguageService().getEmitOutput(n);return e.richResponse?{...r,diagnostics:e.includeLinePosition?this.convertToDiagnosticsWithLinePositionFromDiagnosticFile(r.diagnostics):r.diagnostics.map((e=>fbe(e,!0)))}:r}mapJSDocTagInfo(e,n,t){return e?e.map((e=>{var r;return{...e,text:t?this.mapDisplayParts(e.text,n):null==(r=e.text)?void 0:r.map((e=>e.text)).join("")}})):[]}mapDisplayParts(e,n){return e?e.map((e=>"linkName"!==e.kind?e:{...e,target:this.toFileSpan(e.target.fileName,e.target.textSpan,n)})):[]}mapSignatureHelpItems(e,n,t){return e.map((e=>({...e,documentation:this.mapDisplayParts(e.documentation,n),parameters:e.parameters.map((e=>({...e,documentation:this.mapDisplayParts(e.documentation,n)}))),tags:this.mapJSDocTagInfo(e.tags,n,t)})))}mapDefinitionInfo(e,n){return e.map((e=>({...this.toFileSpanWithContext(e.fileName,e.textSpan,e.contextSpan,n),...e.unverified&&{unverified:e.unverified}})))}static mapToOriginalLocation(e){return e.originalFileName?(Tt.assert(void 0!==e.originalTextSpan,"originalTextSpan should be present if originalFileName is"),{...e,fileName:e.originalFileName,textSpan:e.originalTextSpan,targetFileName:e.fileName,targetTextSpan:e.textSpan,contextSpan:e.originalContextSpan,targetContextSpan:e.contextSpan}):e}toFileSpan(e,n,t){const r=t.getLanguageService(),o=r.toLineColumnOffset(e,n.start),i=r.toLineColumnOffset(e,Qs(n));return{file:e,start:{line:o.line+1,offset:o.character+1},end:{line:i.line+1,offset:i.character+1}}}toFileSpanWithContext(e,n,t,r){const o=this.toFileSpan(e,n,r),i=t&&this.toFileSpan(e,t,r);return i?{...o,contextStart:i.start,contextEnd:i.end}:o}getTypeDefinition(e){const{file:n,project:t}=this.getFileAndProject(e),r=this.getPositionInFile(e,n),o=this.mapDefinitionInfoLocations(t.getLanguageService().getTypeDefinitionAtPosition(n,r)||Vge,t);return this.mapDefinitionInfo(o,t)}mapImplementationLocations(e,n){return e.map((e=>{const t=xbe(e,n);return t?{...t,kind:e.kind,displayParts:e.displayParts}:e}))}getImplementation(n,t){const{file:r,project:o}=this.getFileAndProject(n),i=this.getPositionInFile(n,r),a=this.mapImplementationLocations(o.getLanguageService().getImplementationAtPosition(r,i)||Vge,o);return t?a.map((({fileName:e,textSpan:n,contextSpan:t})=>this.toFileSpanWithContext(e,n,t,o))):a.map(e.mapToOriginalLocation)}getSyntacticDiagnosticsSync(e){const{configFile:n}=this.getConfigFileAndProject(e);return n?Vge:this.getDiagnosticsWorker(e,!1,((e,n)=>e.getLanguageService().getSyntacticDiagnostics(n)),!!e.includeLinePosition)}getSemanticDiagnosticsSync(e){const{configFile:n,project:t}=this.getConfigFileAndProject(e);return n?this.getConfigFileDiagnostics(n,t,!!e.includeLinePosition):this.getDiagnosticsWorker(e,!0,((e,n)=>e.getLanguageService().getSemanticDiagnostics(n).filter((e=>!!e.file))),!!e.includeLinePosition)}getSuggestionDiagnosticsSync(e){const{configFile:n}=this.getConfigFileAndProject(e);return n?Vge:this.getDiagnosticsWorker(e,!0,((e,n)=>e.getLanguageService().getSuggestionDiagnostics(n)),!!e.includeLinePosition)}getJsxClosingTag(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=this.getPositionInFile(e,n),o=t.getJsxClosingTagAtPosition(n,r);return void 0===o?void 0:{newText:o.newText,caretOffset:0}}getLinkedEditingRange(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=this.getPositionInFile(e,n),o=t.getLinkedEditingRangeAtPosition(n,r),i=this.projectService.getScriptInfoForNormalizedPath(n);if(void 0!==i&&void 0!==o)return function(e,n){const t=e.ranges.map((e=>({start:n.positionToLineOffset(e.start),end:n.positionToLineOffset(e.start+e.length)})));return e.wordPattern?{ranges:t,wordPattern:e.wordPattern}:{ranges:t}}(o,i)}getDocumentHighlights(e,n){const{file:t,project:r}=this.getFileAndProject(e),o=this.getPositionInFile(e,t),i=r.getLanguageService().getDocumentHighlights(t,o,e.filesToSearch);return i?n?i.map((({fileName:e,highlightSpans:n})=>{const t=r.getScriptInfo(e);return{file:e,highlightSpans:n.map((({textSpan:e,kind:n,contextSpan:r})=>({...Ibe(e,r,t),kind:n})))}})):i:Vge}provideInlayHints(e){const{file:n,project:t}=this.getFileAndProject(e),r=this.projectService.getScriptInfoForNormalizedPath(n);return t.getLanguageService().provideInlayHints(n,e,this.getPreferences(n)).map((e=>{const{position:n,displayParts:t}=e;return{...e,position:r.positionToLineOffset(n),displayParts:null==t?void 0:t.map((({text:e,span:n,file:t})=>{if(n){Tt.assertIsDefined(t,"Target file should be defined together with its span.");const r=this.projectService.getScriptInfo(t);return{text:e,span:{start:r.positionToLineOffset(n.start),end:r.positionToLineOffset(n.start+n.length),file:t}}}return{text:e}}))}}))}setCompilerOptionsForInferredProjects(e){this.projectService.setCompilerOptionsForInferredProjects(e.options,e.projectRootPath)}getProjectInfo(e){return this.getProjectInfoWorker(e.file,e.projectFileName,e.needFileNameList,!1)}getProjectInfoWorker(e,n,t,r){const{project:o}=this.getFileAndProjectWorker(e,n);Hve(o);return{configFileName:o.getProjectName(),languageServiceDisabled:!o.languageServiceEnabled,fileNames:t?o.getFileNames(!1,r):void 0}}getRenameInfo(e){const{file:n,project:t}=this.getFileAndProject(e),r=this.getPositionInFile(e,n),o=this.getPreferences(n);return t.getLanguageService().getRenameInfo(n,r,o)}getProjects(e,n,t){let r,o;if(e.projectFileName){const n=this.getProject(e.projectFileName);n&&(r=[n])}else{const i=n?this.projectService.getScriptInfoEnsuringProjectsUptoDate(e.file):this.projectService.getScriptInfo(e.file);if(!i)return t?Vge:(this.projectService.logErrorForScriptInfoNotFound(e.file),Hge.ThrowNoProject());n||this.projectService.ensureDefaultProjectForFile(i),r=i.containingProjects,o=this.projectService.getSymlinkedProjects(i)}return r=W(r,(e=>e.languageServiceEnabled&&!e.isOrphan())),t||r&&r.length||o?o?{projects:r,symLinkedProjects:o}:r:(this.projectService.logErrorForScriptInfoNotFound(e.file??e.projectFileName),Hge.ThrowNoProject())}getDefaultProject(e){if(e.projectFileName){const n=this.getProject(e.projectFileName);if(n)return n;if(!e.file)return Hge.ThrowNoProject()}return this.projectService.getScriptInfo(e.file).getDefaultProject()}getRenameLocations(e,n){const t=Yge(e.file),r=this.getPositionInFile(e,t),o=this.getProjects(e),i=this.getDefaultProject(e),a=this.getPreferences(t),s=this.mapRenameInfo(i.getLanguageService().getRenameInfo(t,r,a),Tt.checkDefined(this.projectService.getScriptInfo(t)));if(!s.canRename)return n?{info:s,locs:[]}:[];const l=function(e,n,t,r,o,i,a){const s=ybe(e,n,t,!0,((e,n)=>e.getLanguageService().findRenameLocations(n.fileName,n.pos,r,o,i)),((e,n)=>n(Sbe(e))));if(pn(s))return s;const l=[],c=hbe(a);return s.forEach(((e,n)=>{for(const t of e)c.has(t)||Tbe(Sbe(t),n)||(l.push(t),c.add(t))})),l}(o,i,{fileName:e.file,pos:r},!!e.findInStrings,!!e.findInComments,a,this.host.useCaseSensitiveFileNames);return n?{info:s,locs:this.toSpanGroups(l)}:l}mapRenameInfo(e,n){if(e.canRename){const{canRename:t,fileToRename:r,displayName:o,fullDisplayName:i,kind:a,kindModifiers:s,triggerSpan:l}=e;return{canRename:t,fileToRename:r,displayName:o,fullDisplayName:i,kind:a,kindModifiers:s,triggerSpan:Rbe(l,n)}}return e}toSpanGroups(e){const n=new Map;for(const{fileName:t,textSpan:r,contextSpan:o,originalContextSpan:i,originalTextSpan:a,originalFileName:s,...l}of e){let e=n.get(t);e||n.set(t,e={file:t,locs:[]});const i=Tt.checkDefined(this.projectService.getScriptInfo(t));e.locs.push({...Ibe(r,o,i),...l})}return Je(n.values())}getReferences(e,n){const t=Yge(e.file),r=this.getProjects(e),o=this.getPositionInFile(e,t),i=function(e,n,t,r,o){var i,a;const s=ybe(e,n,t,!1,((e,n)=>(o.info(`Finding references to ${n.fileName} position ${n.pos} in project ${e.getProjectName()}`),e.getLanguageService().findReferences(n.fileName,n.pos))),((e,n)=>{n(Sbe(e.definition));for(const t of e.references)n(Sbe(t))}));if(pn(s))return s;const l=s.get(n);if(void 0===(null==(a=null==(i=null==l?void 0:l[0])?void 0:i.references[0])?void 0:a.isDefinition))s.forEach((e=>{for(const n of e)for(const e of n.references)delete e.isDefinition}));else{const e=hbe(r);for(const n of l)for(const t of n.references)if(t.isDefinition){e.add(t);break}const n=new Set;for(;;){let t=!1;if(s.forEach(((r,o)=>{n.has(o)||o.getLanguageService().updateIsDefinitionOfReferencedSymbols(r,e)&&(n.add(o),t=!0)})),!t)break}s.forEach(((e,t)=>{if(!n.has(t))for(const n of e)for(const e of n.references)e.isDefinition=!1}))}const c=[],d=hbe(r);return s.forEach(((e,n)=>{for(const t of e){const e=Tbe(Sbe(t.definition),n),o=void 0===e?t.definition:{...t.definition,textSpan:dl(e.pos,t.definition.textSpan.length),fileName:e.fileName,contextSpan:Abe(t.definition,n)};let i=D(c,(e=>CQ(e.definition,o,r)));i||(i={definition:o,references:[]},c.push(i));for(const e of t.references)d.has(e)||Tbe(Sbe(e),n)||(d.add(e),i.references.push(e))}})),c.filter((e=>0!==e.references.length))}(r,this.getDefaultProject(e),{fileName:e.file,pos:o},this.host.useCaseSensitiveFileNames,this.logger);if(!n)return i;const a=this.getPreferences(t),s=this.getDefaultProject(e),l=s.getScriptInfoForNormalizedPath(t),c=s.getLanguageService().getQuickInfoAtPosition(t,o),d=c?h7(c.displayParts):"",u=c&&c.textSpan,p=u?l.positionToLineOffset(u.start).offset:0,f=u?l.getSnapshot().getText(u.start,Qs(u)):"";return{refs:H(i,(e=>e.references.map((e=>Cbe(this.projectService,e,a))))),symbolName:f,symbolStartOffset:p,symbolDisplayString:d}}getFileReferences(e,n){const t=this.getProjects(e),r=e.file,o=this.getPreferences(Yge(r)),i=[],a=hbe(this.host.useCaseSensitiveFileNames);if(gbe(t,void 0,(e=>{if(e.getCancellationToken().isCancellationRequested())return;const n=e.getLanguageService().getFileReferences(r);if(n)for(const e of n)a.has(e)||(i.push(e),a.add(e))})),!n)return i;return{refs:i.map((e=>Cbe(this.projectService,e,o))),symbolName:`"${e.file}"`}}openClientFile(e,n,t,r){this.projectService.openClientFileWithNormalizedPath(e,n,t,!1,r)}getPosition(e,n){return void 0!==e.position?e.position:n.lineOffsetToPosition(e.line,e.offset)}getPositionInFile(e,n){const t=this.projectService.getScriptInfoForNormalizedPath(n);return this.getPosition(e,t)}getFileAndProject(e){return this.getFileAndProjectWorker(e.file,e.projectFileName)}getFileAndLanguageServiceForSyntacticOperation(e){const{file:n,project:t}=this.getFileAndProject(e);return{file:n,languageService:t.getLanguageService(!1)}}getFileAndProjectWorker(e,n){const t=Yge(e);return{file:t,project:this.getProject(n)||this.projectService.ensureDefaultProjectForFile(t)}}getOutliningSpans(e,n){const{file:t,languageService:r}=this.getFileAndLanguageServiceForSyntacticOperation(e),o=r.getOutliningSpans(t);if(n){const e=this.projectService.getScriptInfoForNormalizedPath(t);return o.map((n=>({textSpan:Rbe(n.textSpan,e),hintSpan:Rbe(n.hintSpan,e),bannerText:n.bannerText,autoCollapse:n.autoCollapse,kind:n.kind})))}return o}getTodoComments(e){const{file:n,project:t}=this.getFileAndProject(e);return t.getLanguageService().getTodoComments(n,e.descriptors)}getDocCommentTemplate(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=this.getPositionInFile(e,n);return t.getDocCommentTemplateAtPosition(n,r,this.getPreferences(n),this.getFormatOptions(n))}getSpanOfEnclosingComment(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=e.onlyMultiLine,o=this.getPositionInFile(e,n);return t.getSpanOfEnclosingComment(n,o,r)}getIndentation(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=this.getPositionInFile(e,n),o=e.options?Ive(e.options):this.getFormatOptions(n);return{position:r,indentation:t.getIndentationAtPosition(n,r,o)}}getBreakpointStatement(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=this.getPositionInFile(e,n);return t.getBreakpointStatementAtPosition(n,r)}getNameOrDottedNameSpan(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=this.getPositionInFile(e,n);return t.getNameOrDottedNameSpan(n,r,r)}isValidBraceCompletion(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=this.getPositionInFile(e,n);return t.isValidBraceCompletionAtPosition(n,r,e.openingBrace.charCodeAt(0))}getQuickInfoWorker(e,n){const{file:t,project:r}=this.getFileAndProject(e),o=this.projectService.getScriptInfoForNormalizedPath(t),i=r.getLanguageService().getQuickInfoAtPosition(t,this.getPosition(e,o));if(!i)return;const a=!!this.getPreferences(t).displayPartsForJSDoc;if(n){const e=h7(i.displayParts);return{kind:i.kind,kindModifiers:i.kindModifiers,start:o.positionToLineOffset(i.textSpan.start),end:o.positionToLineOffset(Qs(i.textSpan)),displayString:e,documentation:a?this.mapDisplayParts(i.documentation,r):h7(i.documentation),tags:this.mapJSDocTagInfo(i.tags,r,a)}}return a?i:{...i,tags:this.mapJSDocTagInfo(i.tags,r,!1)}}getFormattingEditsForRange(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=this.projectService.getScriptInfoForNormalizedPath(n),o=r.lineOffsetToPosition(e.line,e.offset),i=r.lineOffsetToPosition(e.endLine,e.endOffset),a=t.getFormattingEditsForRange(n,o,i,this.getFormatOptions(n));if(a)return a.map((e=>this.convertTextChangeToCodeEdit(e,r)))}getFormattingEditsForRangeFull(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=e.options?Ive(e.options):this.getFormatOptions(n);return t.getFormattingEditsForRange(n,e.position,e.endPosition,r)}getFormattingEditsForDocumentFull(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=e.options?Ive(e.options):this.getFormatOptions(n);return t.getFormattingEditsForDocument(n,r)}getFormattingEditsAfterKeystrokeFull(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=e.options?Ive(e.options):this.getFormatOptions(n);return t.getFormattingEditsAfterKeystroke(n,e.position,e.key,r)}getFormattingEditsAfterKeystroke(e){const{file:n,languageService:t}=this.getFileAndLanguageServiceForSyntacticOperation(e),r=this.projectService.getScriptInfoForNormalizedPath(n),o=r.lineOffsetToPosition(e.line,e.offset),i=this.getFormatOptions(n),a=t.getFormattingEditsAfterKeystroke(n,o,e.key,i);if("\n"===e.key&&(!a||0===a.length||function(e,n){return e.every((e=>Qs(e.span)<n))}(a,o))){const{lineText:s,absolutePosition:l}=r.textStorage.getAbsolutePositionAndLineText(e.line);if(s&&s.search("\\S")<0){const e=t.getIndentationAtPosition(n,o,i);let r,c,d=0;for(r=0,c=s.length;r<c;r++)if(" "===s.charAt(r))d++;else{if("\t"!==s.charAt(r))break;d+=i.tabSize}if(e!==d){const n=l+r;a.push({span:ul(l,n),newText:vge.getIndentationString(e,i)})}}}if(a)return a.map((e=>({start:r.positionToLineOffset(e.span.start),end:r.positionToLineOffset(Qs(e.span)),newText:e.newText?e.newText:""})))}getCompletions(e,n){const{file:t,project:r}=this.getFileAndProject(e),o=this.projectService.getScriptInfoForNormalizedPath(t),i=this.getPosition(e,o),a=r.getLanguageService().getCompletionsAtPosition(t,i,{...Lve(this.getPreferences(t)),triggerCharacter:e.triggerCharacter,triggerKind:e.triggerKind,includeExternalModuleExports:e.includeExternalModuleExports,includeInsertTextCompletions:e.includeInsertTextCompletions},r.projectService.getFormatCodeOptions(t));if(void 0===a)return;if("completions-full"===n)return a;const s=e.prefix||"",l=Y(a.entries,(e=>{if(a.isMemberCompletion||st(e.name.toLowerCase(),s.toLowerCase())){const{name:n,kind:t,kindModifiers:r,sortText:i,insertText:a,filterText:s,replacementSpan:l,hasAction:c,source:d,sourceDisplay:u,labelDetails:p,isSnippet:f,isRecommended:m,isPackageJsonImport:_,isImportStatementCompletion:h,data:g}=e;return{name:n,kind:t,kindModifiers:r,sortText:i,insertText:a,filterText:s,replacementSpan:l?Rbe(l,o):void 0,isSnippet:f,hasAction:c||void 0,source:d,sourceDisplay:u,labelDetails:p,isRecommended:m,isPackageJsonImport:_,isImportStatementCompletion:h,data:g}}}));if("completions"===n)return a.metadata&&(l.metadata=a.metadata),l;return{...a,optionalReplacementSpan:a.optionalReplacementSpan&&Rbe(a.optionalReplacementSpan,o),entries:l}}getCompletionEntryDetails(e,n){const{file:t,project:r}=this.getFileAndProject(e),o=this.projectService.getScriptInfoForNormalizedPath(t),i=this.getPosition(e,o),a=r.projectService.getFormatCodeOptions(t),s=!!this.getPreferences(t).displayPartsForJSDoc,l=Y(e.entryNames,(e=>{const{name:n,source:o,data:s}="string"==typeof e?{name:e,source:void 0,data:void 0}:e;return r.getLanguageService().getCompletionEntryDetails(t,i,n,a,o,this.getPreferences(t),s?gn(s,Mbe):void 0)}));return n?s?l:l.map((e=>({...e,tags:this.mapJSDocTagInfo(e.tags,r,!1)}))):l.map((e=>({...e,codeActions:B(e.codeActions,(e=>this.mapCodeAction(e))),documentation:this.mapDisplayParts(e.documentation,r),tags:this.mapJSDocTagInfo(e.tags,r,s)})))}getCompileOnSaveAffectedFileList(e){const n=this.getProjects(e,!0,!0),t=this.projectService.getScriptInfo(e.file);return t?function(e,n,t,r){const o=K(pn(t)?t:t.projects,(n=>r(n,e)));return!pn(t)&&t.symLinkedProjects&&t.symLinkedProjects.forEach(((e,t)=>{const i=n(t);o.push(...H(e,(e=>r(e,i))))})),ce(o,Mn)}(t,(e=>this.projectService.getScriptInfoForPath(e)),n,((e,n)=>{if(!e.compileOnSaveEnabled||!e.languageServiceEnabled||e.isOrphan())return;const t=e.getCompilationSettings();return t.noEmit||_k(n.fileName)&&!function(e){return Qp(e)||!!e.emitDecoratorMetadata}(t)?void 0:{projectFileName:e.getProjectName(),fileNames:e.getCompileOnSaveAffectedFileList(n),projectUsesOutFile:!!ob(t)}})):Vge}emitFile(e){const{file:n,project:t}=this.getFileAndProject(e);if(t||Hge.ThrowNoProject(),!t.languageServiceEnabled)return!!e.richResponse&&{emitSkipped:!0,diagnostics:[]};const r=t.getScriptInfo(n),{emitSkipped:o,diagnostics:i}=t.emitFile(r,((e,n,t)=>this.host.writeFile(e,n,t)));return e.richResponse?{emitSkipped:o,diagnostics:e.includeLinePosition?this.convertToDiagnosticsWithLinePositionFromDiagnosticFile(i):i.map((e=>fbe(e,!0)))}:!o}getSignatureHelpItems(e,n){const{file:t,project:r}=this.getFileAndProject(e),o=this.projectService.getScriptInfoForNormalizedPath(t),i=this.getPosition(e,o),a=r.getLanguageService().getSignatureHelpItems(t,i,e),s=!!this.getPreferences(t).displayPartsForJSDoc;if(a&&n){const e=a.applicableSpan;return{...a,applicableSpan:{start:o.positionToLineOffset(e.start),end:o.positionToLineOffset(e.start+e.length)},items:this.mapSignatureHelpItems(a.items,r,s)}}return s||!a?a:{...a,items:a.items.map((e=>({...e,tags:this.mapJSDocTagInfo(e.tags,r,!1)})))}}toPendingErrorCheck(e){const n=Yge(e),t=this.projectService.tryGetDefaultProjectForFile(n);return t&&{fileName:n,project:t}}getDiagnostics(e,n,t){this.suppressDiagnosticEvents||t.length>0&&this.updateErrorCheck(e,t,n)}change(e){const n=this.projectService.getScriptInfo(e.file);Tt.assert(!!n),n.textStorage.switchToScriptVersionCache();const t=n.lineOffsetToPosition(e.line,e.offset),r=n.lineOffsetToPosition(e.endLine,e.endOffset);t>=0&&(this.changeSeq++,this.projectService.applyChangesToFile(n,ne({span:{start:t,length:r-t},newText:e.insertString})))}reload(e,n){const t=Yge(e.file),r=void 0===e.tmpfile?void 0:Yge(e.tmpfile),o=this.projectService.getScriptInfoForNormalizedPath(t);o&&(this.changeSeq++,o.reloadFromFile(r)&&this.doOutput(void 0,"reload",n,!0))}saveToTmp(e,n){const t=this.projectService.getScriptInfo(e);t&&t.saveTo(n)}closeClientFile(e){if(!e)return;const n=_a(e);this.projectService.closeClientFile(n)}mapLocationNavigationBarItems(e,n){return B(e,(e=>({text:e.text,kind:e.kind,kindModifiers:e.kindModifiers,spans:e.spans.map((e=>Rbe(e,n))),childItems:this.mapLocationNavigationBarItems(e.childItems,n),indent:e.indent})))}getNavigationBarItems(e,n){const{file:t,languageService:r}=this.getFileAndLanguageServiceForSyntacticOperation(e),o=r.getNavigationBarItems(t);return o?n?this.mapLocationNavigationBarItems(o,this.projectService.getScriptInfoForNormalizedPath(t)):o:void 0}toLocationNavigationTree(e,n){return{text:e.text,kind:e.kind,kindModifiers:e.kindModifiers,spans:e.spans.map((e=>Rbe(e,n))),nameSpan:e.nameSpan&&Rbe(e.nameSpan,n),childItems:B(e.childItems,(e=>this.toLocationNavigationTree(e,n)))}}getNavigationTree(e,n){const{file:t,languageService:r}=this.getFileAndLanguageServiceForSyntacticOperation(e),o=r.getNavigationTree(t);return o?n?this.toLocationNavigationTree(o,this.projectService.getScriptInfoForNormalizedPath(t)):o:void 0}getNavigateToItems(e,n){const t=this.getFullNavigateToItems(e);return H(t,n?({project:e,navigateToItems:n})=>n.map((n=>{const t=e.getScriptInfo(n.fileName),r={name:n.name,kind:n.kind,kindModifiers:n.kindModifiers,isCaseSensitive:n.isCaseSensitive,matchKind:n.matchKind,file:n.fileName,start:t.positionToLineOffset(n.textSpan.start),end:t.positionToLineOffset(Qs(n.textSpan))};return n.kindModifiers&&""!==n.kindModifiers&&(r.kindModifiers=n.kindModifiers),n.containerName&&n.containerName.length>0&&(r.containerName=n.containerName),n.containerKind&&n.containerKind.length>0&&(r.containerKind=n.containerKind),r})):({navigateToItems:e})=>e)}getFullNavigateToItems(e){const{currentFileOnly:n,searchValue:t,maxResultCount:r,projectFileName:o}=e;if(n){Tt.assertIsDefined(e.file);const{file:n,project:o}=this.getFileAndProject(e);return[{project:o,navigateToItems:o.getLanguageService().getNavigateToItems(t,r,n)}]}const i=this.getHostPreferences(),a=[],s=new Map;if(e.file||o){gbe(this.getProjects(e),void 0,(e=>l(e)))}else this.projectService.loadAncestorProjectTree(),this.projectService.forEachEnabledProject((e=>l(e)));return a;function l(e){const n=W(e.getLanguageService().getNavigateToItems(t,r,void 0,e.isNonTsProject(),i.excludeLibrarySymbolsInNavTo),(n=>function(e){const n=e.name;if(!s.has(n))return s.set(n,[e]),!0;const t=s.get(n);for(const n of t)if(c(n,e))return!1;return t.push(e),!0}(n)&&!Tbe(Sbe(n),e)));n.length&&a.push({project:e,navigateToItems:n})}function c(e,n){return e===n||!(!e||!n)&&(e.containerKind===n.containerKind&&e.containerName===n.containerName&&e.fileName===n.fileName&&e.isCaseSensitive===n.isCaseSensitive&&e.kind===n.kind&&e.kindModifiers===n.kindModifiers&&e.matchKind===n.matchKind&&e.name===n.name&&e.textSpan.start===n.textSpan.start&&e.textSpan.length===n.textSpan.length)}}getSupportedCodeFixes(e){if(!e)return y7();if(e.file){const{file:n,project:t}=this.getFileAndProject(e);return t.getLanguageService().getSupportedCodeFixes(n)}const n=this.getProject(e.projectFileName);return n||Hge.ThrowNoProject(),n.getLanguageService().getSupportedCodeFixes()}isLocation(e){return void 0!==e.line}extractPositionOrRange(e,n){let t,r;var o;return this.isLocation(e)?t=void 0!==(o=e).position?o.position:n.lineOffsetToPosition(o.line,o.offset):r=this.getRange(e,n),Tt.checkDefined(void 0===t?r:t)}getRange(e,n){const{startPosition:t,endPosition:r}=this.getStartAndEndPosition(e,n);return{pos:t,end:r}}getApplicableRefactors(e){const{file:n,project:t}=this.getFileAndProject(e),r=t.getScriptInfoForNormalizedPath(n);return t.getLanguageService().getApplicableRefactors(n,this.extractPositionOrRange(e,r),this.getPreferences(n),e.triggerReason,e.kind,e.includeInteractiveActions)}getEditsForRefactor(e,n){const{file:t,project:r}=this.getFileAndProject(e),o=r.getScriptInfoForNormalizedPath(t),i=r.getLanguageService().getEditsForRefactor(t,this.getFormatOptions(t),this.extractPositionOrRange(e,o),e.refactor,e.action,this.getPreferences(t),e.interactiveRefactorArguments);if(void 0===i)return{edits:[]};if(n){const{renameFilename:e,renameLocation:n,edits:t}=i;let o;if(void 0!==e&&void 0!==n){o=Dbe(rQ(r.getScriptInfoForNormalizedPath(Yge(e)).getSnapshot()),e,n,t)}return{renameLocation:o,renameFilename:e,edits:this.mapTextChangesToCodeEdits(t),notApplicableReason:i.notApplicableReason}}return i}getMoveToRefactoringFileSuggestions(e){const{file:n,project:t}=this.getFileAndProject(e),r=t.getScriptInfoForNormalizedPath(n);return t.getLanguageService().getMoveToRefactoringFileSuggestions(n,this.extractPositionOrRange(e,r),this.getPreferences(n))}organizeImports(e,n){Tt.assert("file"===e.scope.type);const{file:t,project:r}=this.getFileAndProject(e.scope.args),o=r.getLanguageService().organizeImports({fileName:t,mode:e.mode??(e.skipDestructiveCodeActions?"SortAndCombine":void 0),type:"file"},this.getFormatOptions(t),this.getPreferences(t));return n?this.mapTextChangesToCodeEdits(o):o}getEditsForFileRename(e,n){const t=Yge(e.oldFilePath),r=Yge(e.newFilePath),o=this.getHostFormatOptions(),i=this.getHostPreferences(),a=new Set,s=[];return this.projectService.loadAncestorProjectTree(),this.projectService.forEachEnabledProject((e=>{const n=e.getLanguageService().getEditsForFileRename(t,r,o,i),l=[];for(const e of n)a.has(e.fileName)||(s.push(e),l.push(e.fileName));for(const e of l)a.add(e)})),n?s.map((e=>this.mapTextChangeToCodeEdit(e))):s}getCodeFixes(e,n){const{file:t,project:r}=this.getFileAndProject(e),o=r.getScriptInfoForNormalizedPath(t),{startPosition:i,endPosition:a}=this.getStartAndEndPosition(e,o);let s;try{s=r.getLanguageService().getCodeFixesAtPosition(t,i,a,e.errorCodes,this.getFormatOptions(t),this.getPreferences(t))}catch(n){const o=r.getLanguageService(),s=[...o.getSyntacticDiagnostics(t),...o.getSemanticDiagnostics(t),...o.getSuggestionDiagnostics(t)].map((e=>sl(i,a-i,e.start,e.length)&&e.code)),l=e.errorCodes.find((e=>!s.includes(e)));throw void 0!==l&&(n.message=`BADCLIENT: Bad error code, ${l} not found in range ${i}..${a} (found: ${s.join(", ")}); could have caused this error:\n${n.message}`),n}return n?s.map((e=>this.mapCodeFixAction(e))):s}getCombinedCodeFix({scope:e,fixId:n},t){Tt.assert("file"===e.type);const{file:r,project:o}=this.getFileAndProject(e.args),i=o.getLanguageService().getCombinedCodeFix({type:"file",fileName:r},n,this.getFormatOptions(r),this.getPreferences(r));return t?{changes:this.mapTextChangesToCodeEdits(i.changes),commands:i.commands}:i}applyCodeActionCommand(e){const n=e.command;for(const e of fn(n)){const{file:n,project:t}=this.getFileAndProject(e);t.getLanguageService().applyCodeActionCommand(e,this.getFormatOptions(n)).then((e=>{}),(e=>{}))}return{}}getStartAndEndPosition(e,n){let t,r;return void 0!==e.startPosition?t=e.startPosition:(t=n.lineOffsetToPosition(e.startLine,e.startOffset),e.startPosition=t),void 0!==e.endPosition?r=e.endPosition:(r=n.lineOffsetToPosition(e.endLine,e.endOffset),e.endPosition=r),{startPosition:t,endPosition:r}}mapCodeAction({description:e,changes:n,commands:t}){return{description:e,changes:this.mapTextChangesToCodeEdits(n),commands:t}}mapCodeFixAction({fixName:e,description:n,changes:t,commands:r,fixId:o,fixAllDescription:i}){return{fixName:e,description:n,changes:this.mapTextChangesToCodeEdits(t),commands:r,fixId:o,fixAllDescription:i}}mapTextChangesToCodeEdits(e){return e.map((e=>this.mapTextChangeToCodeEdit(e)))}mapTextChangeToCodeEdit(e){const n=this.projectService.getScriptInfoOrConfig(e.fileName);return!!e.isNewFile==!!n&&(n||this.projectService.logErrorForScriptInfoNotFound(e.fileName),Tt.fail("Expected isNewFile for (only) new files. "+JSON.stringify({isNewFile:!!e.isNewFile,hasScriptInfo:!!n}))),n?{fileName:e.fileName,textChanges:e.textChanges.map((e=>function(e,n){return{start:Nbe(n,e.span.start),end:Nbe(n,Qs(e.span)),newText:e.newText}}(e,n)))}:function(e){Tt.assert(1===e.textChanges.length);const n=Me(e.textChanges);return Tt.assert(0===n.span.start&&0===n.span.length),{fileName:e.fileName,textChanges:[{start:{line:0,offset:0},end:{line:0,offset:0},newText:n.newText}]}}(e)}convertTextChangeToCodeEdit(e,n){return{start:n.positionToLineOffset(e.span.start),end:n.positionToLineOffset(e.span.start+e.span.length),newText:e.newText?e.newText:""}}getBraceMatching(e,n){const{file:t,languageService:r}=this.getFileAndLanguageServiceForSyntacticOperation(e),o=this.projectService.getScriptInfoForNormalizedPath(t),i=this.getPosition(e,o),a=r.getBraceMatchingAtPosition(t,i);return a?n?a.map((e=>Rbe(e,o))):a:void 0}getDiagnosticsForProject(e,n,t){if(this.suppressDiagnosticEvents)return;const{fileNames:r,languageServiceDisabled:o}=this.getProjectInfoWorker(t,void 0,!0,!0);if(o)return;const i=r.filter((e=>!e.includes("lib.d.ts")));if(0===i.length)return;const a=[],s=[],l=[],c=[],d=Yge(t),u=this.projectService.ensureDefaultProjectForFile(d);for(const e of i)if(this.getCanonicalFileName(e)===this.getCanonicalFileName(t))a.push(e);else{this.projectService.getScriptInfo(e).isScriptOpen()?s.push(e):_k(e)?c.push(e):l.push(e)}const p=[...a,...s,...l,...c].map((e=>({fileName:e,project:u})));this.updateErrorCheck(e,p,n,!1)}configurePlugin(e){this.projectService.configurePlugin(e)}getSmartSelectionRange(e,n){const{locations:t}=e,{file:r,languageService:o}=this.getFileAndLanguageServiceForSyntacticOperation(e),i=Tt.checkDefined(this.projectService.getScriptInfo(r));return B(t,(e=>{const t=this.getPosition(e,i),a=o.getSmartSelectionRange(r,t);return n?this.mapSelectionRange(a,i):a}))}toggleLineComment(e,n){const{file:t,languageService:r}=this.getFileAndLanguageServiceForSyntacticOperation(e),o=this.projectService.getScriptInfo(t),i=this.getRange(e,o),a=r.toggleLineComment(t,i);if(n){const e=this.projectService.getScriptInfoForNormalizedPath(t);return a.map((n=>this.convertTextChangeToCodeEdit(n,e)))}return a}toggleMultilineComment(e,n){const{file:t,languageService:r}=this.getFileAndLanguageServiceForSyntacticOperation(e),o=this.projectService.getScriptInfoForNormalizedPath(t),i=this.getRange(e,o),a=r.toggleMultilineComment(t,i);if(n){const e=this.projectService.getScriptInfoForNormalizedPath(t);return a.map((n=>this.convertTextChangeToCodeEdit(n,e)))}return a}commentSelection(e,n){const{file:t,languageService:r}=this.getFileAndLanguageServiceForSyntacticOperation(e),o=this.projectService.getScriptInfoForNormalizedPath(t),i=this.getRange(e,o),a=r.commentSelection(t,i);if(n){const e=this.projectService.getScriptInfoForNormalizedPath(t);return a.map((n=>this.convertTextChangeToCodeEdit(n,e)))}return a}uncommentSelection(e,n){const{file:t,languageService:r}=this.getFileAndLanguageServiceForSyntacticOperation(e),o=this.projectService.getScriptInfoForNormalizedPath(t),i=this.getRange(e,o),a=r.uncommentSelection(t,i);if(n){const e=this.projectService.getScriptInfoForNormalizedPath(t);return a.map((n=>this.convertTextChangeToCodeEdit(n,e)))}return a}mapSelectionRange(e,n){const t={textSpan:Rbe(e.textSpan,n)};return e.parent&&(t.parent=this.mapSelectionRange(e.parent,n)),t}getScriptInfoFromProjectService(e){const n=Yge(e),t=this.projectService.getScriptInfoForNormalizedPath(n);return t||(this.projectService.logErrorForScriptInfoNotFound(n),Hge.ThrowNoProject())}toProtocolCallHierarchyItem(e){const n=this.getScriptInfoFromProjectService(e.file);return{name:e.name,kind:e.kind,kindModifiers:e.kindModifiers,file:e.file,containerName:e.containerName,span:Rbe(e.span,n),selectionSpan:Rbe(e.selectionSpan,n)}}toProtocolCallHierarchyIncomingCall(e){const n=this.getScriptInfoFromProjectService(e.from.file);return{from:this.toProtocolCallHierarchyItem(e.from),fromSpans:e.fromSpans.map((e=>Rbe(e,n)))}}toProtocolCallHierarchyOutgoingCall(e,n){return{to:this.toProtocolCallHierarchyItem(e.to),fromSpans:e.fromSpans.map((e=>Rbe(e,n)))}}prepareCallHierarchy(e){const{file:n,project:t}=this.getFileAndProject(e),r=this.projectService.getScriptInfoForNormalizedPath(n);if(r){const o=this.getPosition(e,r),i=t.getLanguageService().prepareCallHierarchy(n,o);return i&&d0(i,(e=>this.toProtocolCallHierarchyItem(e)))}}provideCallHierarchyIncomingCalls(e){const{file:n,project:t}=this.getFileAndProject(e),r=this.getScriptInfoFromProjectService(n);return t.getLanguageService().provideCallHierarchyIncomingCalls(n,this.getPosition(e,r)).map((e=>this.toProtocolCallHierarchyIncomingCall(e)))}provideCallHierarchyOutgoingCalls(e){const{file:n,project:t}=this.getFileAndProject(e),r=this.getScriptInfoFromProjectService(n);return t.getLanguageService().provideCallHierarchyOutgoingCalls(n,this.getPosition(e,r)).map((e=>this.toProtocolCallHierarchyOutgoingCall(e,r)))}getCanonicalFileName(e){return _a(this.host.useCaseSensitiveFileNames?e:xn(e))}exit(){}notRequired(){return{responseRequired:!1}}requiredResponse(e){return{response:e,responseRequired:!0}}addProtocolHandler(e,n){if(this.handlers.has(e))throw new Error(`Protocol handler already exists for command "${e}"`);this.handlers.set(e,n)}setCurrentRequest(e){Tt.assert(void 0===this.currentRequestId),this.currentRequestId=e,this.cancellationToken.setRequest(e)}resetCurrentRequest(e){Tt.assert(this.currentRequestId===e),this.currentRequestId=void 0,this.cancellationToken.resetRequest(e)}executeWithRequestId(e,n){try{return this.setCurrentRequest(e),n()}finally{this.resetCurrentRequest(e)}}executeCommand(e){const n=this.handlers.get(e.command);if(n){const t=this.executeWithRequestId(e.seq,(()=>n(e)));return this.projectService.enableRequestedPlugins(),t}return this.logger.msg(`Unrecognized JSON command:${ZJ(e)}`,"Err"),this.doOutput(void 0,"unknown",e.seq,!1,`Unrecognized JSON command: ${e.command}`),{responseRequired:!1}}onMessage(e){var n,t,r,o,i,a,s,l,c,d,u;let p,f,m;this.gcTimer.scheduleCollect(),this.performanceData=void 0,this.logger.hasLevel(2)&&(p=this.hrtime(),this.logger.hasLevel(3)&&this.logger.info(`request:${QJ(this.toStringMessage(e))}`));try{f=this.parseMessage(e),m=f.arguments&&f.arguments.file?f.arguments:void 0,null==(n=Cr)||n.instant(Cr.Phase.Session,"request",{seq:f.seq,command:f.command}),null==(t=or)||t.logStartCommand(""+f.command,this.toStringMessage(e).substring(0,100)),null==(r=Cr)||r.push(Cr.Phase.Session,"executeCommand",{seq:f.seq,command:f.command},!0);const{response:s,responseRequired:l}=this.executeCommand(f);if(null==(o=Cr)||o.pop(),this.logger.hasLevel(2)){const e=(_=this.hrtime(p),(1e9*_[0]+_[1])/1e6).toFixed(4);l?this.logger.perftrc(`${f.seq}::${f.command}: elapsed time (in milliseconds) ${e}`):this.logger.perftrc(`${f.seq}::${f.command}: async elapsed time (in milliseconds) ${e}`)}null==(i=or)||i.logStopCommand(""+f.command,"Success"),null==(a=Cr)||a.instant(Cr.Phase.Session,"response",{seq:f.seq,command:f.command,success:!!s}),s?this.doOutput(s,f.command,f.seq,!0):l&&this.doOutput(void 0,f.command,f.seq,!1,"No content available.")}catch(n){if(null==(s=Cr)||s.popAll(),n instanceof Vr)return null==(l=or)||l.logStopCommand(""+(f&&f.command),"Canceled: "+n),null==(c=Cr)||c.instant(Cr.Phase.Session,"commandCanceled",{seq:null==f?void 0:f.seq,command:null==f?void 0:f.command}),void this.doOutput({canceled:!0},f.command,f.seq,!0);this.logErrorWorker(n,this.toStringMessage(e),m),null==(d=or)||d.logStopCommand(""+(f&&f.command),"Error: "+n),null==(u=Cr)||u.instant(Cr.Phase.Session,"commandError",{seq:null==f?void 0:f.seq,command:null==f?void 0:f.command,message:n.message}),this.doOutput(void 0,f?f.command:"unknown",f?f.seq:0,!1,"Error processing request. "+n.message+"\n"+n.stack)}var _}parseMessage(e){return JSON.parse(e)}toStringMessage(e){return e}getFormatOptions(e){return this.projectService.getFormatCodeOptions(e)}getPreferences(e){return this.projectService.getPreferences(e)}getHostFormatOptions(){return this.projectService.getHostFormatCodeOptions()}getHostPreferences(){return this.projectService.getHostPreferences()}}}}),Ube=g({"src/server/scriptVersionCache.ts"(){Xbe(),qbe(),Pbe=(e=>(e[e.PreStart=0]="PreStart",e[e.Start=1]="Start",e[e.Entire=2]="Entire",e[e.Mid=3]="Mid",e[e.End=4]="End",e[e.PostEnd=5]="PostEnd",e))(Pbe||{}),Lbe=class{constructor(){this.goSubtree=!0,this.lineIndex=new Wbe,this.endBranch=[],this.state=2,this.initialText="",this.trailingText="",this.lineIndex.root=new zbe,this.startPath=[this.lineIndex.root],this.stack=[this.lineIndex.root]}get done(){return!1}insertLines(e,n){n&&(this.trailingText=""),e=e?this.initialText+e+this.trailingText:this.initialText+this.trailingText;const t=Wbe.linesFromText(e).lines;let r,o;t.length>1&&""===t[t.length-1]&&t.pop();for(let e=this.endBranch.length-1;e>=0;e--)this.endBranch[e].updateCounts(),0===this.endBranch[e].charCount()&&(o=this.endBranch[e],r=e>0?this.endBranch[e-1]:this.branchNode);o&&r.remove(o);const i=this.startPath[this.startPath.length-1];if(t.length>0)if(i.text=t[0],t.length>1){let e=new Array(t.length-1),n=i;for(let n=1;n<t.length;n++)e[n-1]=new Gbe(t[n]);let r=this.startPath.length-2;for(;r>=0;){const t=this.startPath[r];e=t.insertAt(n,e),r--,n=t}let o=e.length;for(;o>0;){const n=new zbe;n.add(this.lineIndex.root),e=n.insertAt(this.lineIndex.root,e),o=e.length,this.lineIndex.root=n}this.lineIndex.root.updateCounts()}else for(let e=this.startPath.length-2;e>=0;e--)this.startPath[e].updateCounts();else{this.startPath[this.startPath.length-2].remove(i);for(let e=this.startPath.length-2;e>=0;e--)this.startPath[e].updateCounts()}return this.lineIndex}post(e,n,t){t===this.lineCollectionAtBranch&&(this.state=4),this.stack.pop()}pre(e,n,t,r,o){const i=this.stack[this.stack.length-1];let a;function s(e){return e.isLeaf()?new Gbe(""):new zbe}switch(2===this.state&&1===o&&(this.state=1,this.branchNode=i,this.lineCollectionAtBranch=t),o){case 0:this.goSubtree=!1,4!==this.state&&i.add(t);break;case 1:4===this.state?this.goSubtree=!1:(a=s(t),i.add(a),this.startPath.push(a));break;case 2:4!==this.state?(a=s(t),i.add(a),this.startPath.push(a)):t.isLeaf()||(a=s(t),i.add(a),this.endBranch.push(a));break;case 3:this.goSubtree=!1;break;case 4:4!==this.state?this.goSubtree=!1:t.isLeaf()||(a=s(t),i.add(a),this.endBranch.push(a));break;case 5:this.goSubtree=!1,1!==this.state&&i.add(t)}this.goSubtree&&this.stack.push(a)}leaf(e,n,t){1===this.state?this.initialText=t.text.substring(0,e):2===this.state?(this.initialText=t.text.substring(0,e),this.trailingText=t.text.substring(e+n)):this.trailingText=t.text.substring(e+n)}},kbe=class{constructor(e,n,t){this.pos=e,this.deleteLen=n,this.insertedText=t}getTextChangeRange(){return ml(dl(this.pos,this.deleteLen),this.insertedText?this.insertedText.length:0)}},(wbe=class e{constructor(){this.changes=[],this.versions=new Array(e.maxVersions),this.minVersion=0,this.currentVersion=0}versionToIndex(n){if(!(n<this.minVersion||n>this.currentVersion))return n%e.maxVersions}currentVersionToIndex(){return this.currentVersion%e.maxVersions}edit(n,t,r){this.changes.push(new kbe(n,t,r)),(this.changes.length>e.changeNumberThreshold||t>e.changeLengthThreshold||r&&r.length>e.changeLengthThreshold)&&this.getSnapshot()}getSnapshot(){return this._getSnapshot()}_getSnapshot(){let n=this.versions[this.currentVersionToIndex()];if(this.changes.length>0){let t=n.index;for(const e of this.changes)t=t.edit(e.pos,e.deleteLen,e.insertedText);n=new Fbe(this.currentVersion+1,this,t,this.changes),this.currentVersion=n.version,this.versions[this.currentVersionToIndex()]=n,this.changes=[],this.currentVersion-this.minVersion>=e.maxVersions&&(this.minVersion=this.currentVersion-e.maxVersions+1)}return n}getSnapshotVersion(){return this._getSnapshot().version}getAbsolutePositionAndLineText(e){return this._getSnapshot().index.lineNumberToInfo(e)}lineOffsetToPosition(e,n){return this._getSnapshot().index.absolutePositionOfStartOfLine(e)+(n-1)}positionToLineOffset(e){return this._getSnapshot().index.positionToLineOffset(e)}lineToTextSpan(e){const n=this._getSnapshot().index,{lineText:t,absolutePosition:r}=n.lineNumberToInfo(e+1);return dl(r,void 0!==t?t.length:n.absolutePositionOfStartOfLine(e+2)-r)}getTextChangesBetweenVersions(e,n){if(!(e<n))return Hs;if(e>=this.minVersion){const t=[];for(let r=e+1;r<=n;r++){const e=this.versions[this.versionToIndex(r)];for(const n of e.changesSincePreviousVersion)t.push(n.getTextChangeRange())}return _l(t)}}getLineCount(){return this._getSnapshot().index.getLineCount()}static fromString(n){const t=new e,r=new Fbe(0,t,new Wbe);t.versions[t.currentVersion]=r;const o=Wbe.linesFromText(n);return r.index.load(o.lines),t}}).changeNumberThreshold=8,wbe.changeLengthThreshold=256,wbe.maxVersions=8,Obe=wbe,Fbe=class e{constructor(e,n,t,r=Vge){this.version=e,this.cache=n,this.index=t,this.changesSincePreviousVersion=r}getText(e,n){return this.index.getText(e,n-e)}getLength(){return this.index.getLength()}getChangeRange(n){if(n instanceof e&&this.cache===n.cache)return this.version<=n.version?Hs:this.cache.getTextChangesBetweenVersions(n.version,this.version)}},Wbe=class e{constructor(){this.checkEdits=!1}absolutePositionOfStartOfLine(e){return this.lineNumberToInfo(e).absolutePosition}positionToLineOffset(e){const{oneBasedLine:n,zeroBasedColumn:t}=this.root.charOffsetToLineInfo(1,e);return{line:n,offset:t+1}}positionToColumnAndLineText(e){return this.root.charOffsetToLineInfo(1,e)}getLineCount(){return this.root.lineCount()}lineNumberToInfo(e){if(e<=this.getLineCount()){const{position:n,leaf:t}=this.root.lineNumberToInfo(e,0);return{absolutePosition:n,lineText:t&&t.text}}return{absolutePosition:this.root.charCount(),lineText:void 0}}load(n){if(n.length>0){const t=[];for(let e=0;e<n.length;e++)t[e]=new Gbe(n[e]);this.root=e.buildTreeFromBottom(t)}else this.root=new zbe}walk(e,n,t){this.root.walk(e,n,t)}getText(e,n){let t="";return n>0&&e<this.root.charCount()&&this.walk(e,n,{goSubtree:!0,done:!1,leaf:(e,n,r)=>{t=t.concat(r.text.substring(e,e+n))}}),t}getLength(){return this.root.charCount()}every(e,n,t){t||(t=this.root.charCount());const r={goSubtree:!0,done:!1,leaf(n,t,r){e(r,n,t)||(this.done=!0)}};return this.walk(n,t-n,r),!r.done}edit(n,t,r){if(0===this.root.charCount())return Tt.assert(0===t),void 0!==r?(this.load(e.linesFromText(r).lines),this):void 0;{let e;if(this.checkEdits){const o=this.getText(0,this.root.charCount());e=o.slice(0,n)+r+o.slice(n+t)}const o=new Lbe;let i=!1;if(n>=this.root.charCount()){n=this.root.charCount()-1;const e=this.getText(n,1);r=r?e+r:e,t=0,i=!0}else if(t>0){const e=n+t,{zeroBasedColumn:o,lineText:i}=this.positionToColumnAndLineText(e);0===o&&(t+=i.length,r=r?r+i:i)}if(this.root.walk(n,t,o),o.insertLines(r,i),this.checkEdits){const n=o.lineIndex.getText(0,o.lineIndex.getLength());Tt.assert(e===n,"buffer edit mismatch")}return o.lineIndex}}static buildTreeFromBottom(e){if(e.length<4)return new zbe(e);const n=new Array(Math.ceil(e.length/4));let t=0;for(let r=0;r<n.length;r++){const o=Math.min(t+4,e.length);n[r]=new zbe(e.slice(t,o)),t=o}return this.buildTreeFromBottom(n)}static linesFromText(e){const n=ls(e);if(0===n.length)return{lines:[],lineMap:n};const t=new Array(n.length),r=n.length-1;for(let o=0;o<r;o++)t[o]=e.substring(n[o],n[o+1]);const o=e.substring(n[r]);return o.length>0?t[r]=o:t.pop(),{lines:t,lineMap:n}}},zbe=class e{constructor(e=[]){this.children=e,this.totalChars=0,this.totalLines=0,e.length&&this.updateCounts()}isLeaf(){return!1}updateCounts(){this.totalChars=0,this.totalLines=0;for(const e of this.children)this.totalChars+=e.charCount(),this.totalLines+=e.lineCount()}execWalk(e,n,t,r,o){return t.pre&&t.pre(e,n,this.children[r],this,o),t.goSubtree?(this.children[r].walk(e,n,t),t.post&&t.post(e,n,this.children[r],this,o)):t.goSubtree=!0,t.done}skipChild(e,n,t,r,o){r.pre&&!r.done&&(r.pre(e,n,this.children[t],this,o),r.goSubtree=!0)}walk(e,n,t){let r=0,o=this.children[r].charCount(),i=e;for(;i>=o;)this.skipChild(i,n,r,t,0),i-=o,r++,o=this.children[r].charCount();if(i+n<=o){if(this.execWalk(i,n,t,r,2))return}else{if(this.execWalk(i,o-i,t,r,1))return;let e=n-(o-i);r++;for(o=this.children[r].charCount();e>o;){if(this.execWalk(0,o,t,r,3))return;e-=o,r++,o=this.children[r].charCount()}if(e>0&&this.execWalk(0,e,t,r,4))return}if(t.pre){const e=this.children.length;if(r<e-1)for(let n=r+1;n<e;n++)this.skipChild(0,0,n,t,5)}}charOffsetToLineInfo(e,n){if(0===this.children.length)return{oneBasedLine:e,zeroBasedColumn:n,lineText:void 0};for(const t of this.children){if(t.charCount()>n)return t.isLeaf()?{oneBasedLine:e,zeroBasedColumn:n,lineText:t.text}:t.charOffsetToLineInfo(e,n);n-=t.charCount(),e+=t.lineCount()}const t=this.lineCount();if(0===t)return{oneBasedLine:1,zeroBasedColumn:0,lineText:void 0};return{oneBasedLine:t,zeroBasedColumn:Tt.checkDefined(this.lineNumberToInfo(t,0).leaf).charCount(),lineText:void 0}}lineNumberToInfo(e,n){for(const t of this.children){const r=t.lineCount();if(r>=e)return t.isLeaf()?{position:n,leaf:t}:t.lineNumberToInfo(e,n);e-=r,n+=t.charCount()}return{position:n,leaf:void 0}}splitAfter(n){let t;const r=this.children.length,o=++n;if(n<r){for(t=new e;n<r;)t.add(this.children[n]),n++;t.updateCounts()}return this.children.length=o,t}remove(e){const n=this.findChildIndex(e),t=this.children.length;if(n<t-1)for(let e=n;e<t-1;e++)this.children[e]=this.children[e+1];this.children.pop()}findChildIndex(e){const n=this.children.indexOf(e);return Tt.assert(-1!==n),n}insertAt(n,t){let r=this.findChildIndex(n);const o=this.children.length,i=t.length;if(o<4&&r===o-1&&1===i)return this.add(t[0]),this.updateCounts(),[];{const n=this.splitAfter(r);let o=0;for(r++;r<4&&o<i;)this.children[r]=t[o],r++,o++;let a=[],s=0;if(o<i){s=Math.ceil((i-o)/4),a=new Array(s);let n=0;for(let n=0;n<s;n++)a[n]=new e;let r=a[0];for(;o<i;)r.add(t[o]),o++,4===r.children.length&&(n++,r=a[n]);for(let e=a.length-1;e>=0;e--)0===a[e].children.length&&a.pop()}n&&a.push(n),this.updateCounts();for(let e=0;e<s;e++)a[e].updateCounts();return a}}add(e){this.children.push(e),Tt.assert(this.children.length<=4)}charCount(){return this.totalChars}lineCount(){return this.totalLines}},Gbe=class{constructor(e){this.text=e}isLeaf(){return!0}walk(e,n,t){t.leaf(e,n,this)}charCount(){return this.text.length}lineCount(){return 1}}}}),Hbe=g({"src/server/typingInstallerAdapter.ts"(){Xbe(),qbe(),Bbe=class e{constructor(e,n,t,r,o,i){this.telemetryEnabled=e,this.logger=n,this.host=t,this.globalTypingsCacheLocation=r,this.event=o,this.maxActiveRequestCount=i,this.activeRequestCount=0,this.requestQueue=dn(),this.requestMap=new Map,this.requestedRegistry=!1,this.packageInstallId=0}isKnownTypesPackageName(e){var n;return vX.validatePackageName(e)===vX.NameValidationResult.Ok&&(this.requestedRegistry||(this.requestedRegistry=!0,this.installer.send({kind:"typesRegistry"})),!!(null==(n=this.typesRegistryCache)?void 0:n.has(e)))}installPackage(e){this.packageInstallId++;const n={kind:"installPackage",...e,id:this.packageInstallId},t=new Promise(((e,n)=>{(this.packageInstalledPromise??(this.packageInstalledPromise=new Map)).set(this.packageInstallId,{resolve:e,reject:n})}));return this.installer.send(n),t}attach(e){this.projectService=e,this.installer=this.createInstallerProcess()}onProjectClosed(e){this.installer.send({projectName:e.getProjectName(),kind:"closeProject"})}enqueueInstallTypingsRequest(e,n,t){const r=Xge(e,n,t);this.logger.hasLevel(3)&&this.logger.info(`TIAdapter:: Scheduling throttled operation:${ZJ(r)}`),this.activeRequestCount<this.maxActiveRequestCount?this.scheduleRequest(r):(this.logger.hasLevel(3)&&this.logger.info(`TIAdapter:: Deferring request for: ${r.projectName}`),this.requestQueue.enqueue(r),this.requestMap.set(r.projectName,r))}handleMessage(e){var n,t;switch(this.logger.hasLevel(3)&&this.logger.info(`TIAdapter:: Received response:${ZJ(e)}`),e.kind){case GJ:this.typesRegistryCache=new Map(Object.entries(e.typesRegistry));break;case zJ:{const r=null==(n=this.packageInstalledPromise)?void 0:n.get(e.id);Tt.assertIsDefined(r,"Should find the promise for package install"),null==(t=this.packageInstalledPromise)||t.delete(e.id),e.success?r.resolve({successMessage:e.message}):r.reject(e.message),this.projectService.updateTypingsForProject(e),this.event(e,"setTypings");break}case VJ:{const n={message:e.message},t="typesInstallerInitializationFailed";this.event(n,t);break}case BJ:{const n={eventId:e.eventId,packages:e.packagesToInstall},t="beginInstallTypes";this.event(n,t);break}case jJ:{if(this.telemetryEnabled){const n={telemetryEventName:"typingsInstalled",payload:{installedPackages:e.packagesToInstall.join(","),installSuccess:e.installSuccess,typingsInstallerVersion:e.typingsInstallerVersion}},t="telemetry";this.event(n,t)}const n={eventId:e.eventId,packages:e.packagesToInstall,success:e.installSuccess},t="endInstallTypes";this.event(n,t);break}case WJ:this.projectService.updateTypingsForProject(e);break;case FJ:for(this.activeRequestCount>0?this.activeRequestCount--:Tt.fail("TIAdapter:: Received too many responses");!this.requestQueue.isEmpty();){const e=this.requestQueue.dequeue();if(this.requestMap.get(e.projectName)===e){this.requestMap.delete(e.projectName),this.scheduleRequest(e);break}this.logger.hasLevel(3)&&this.logger.info(`TIAdapter:: Skipping defunct request for: ${e.projectName}`)}this.projectService.updateTypingsForProject(e),this.event(e,"setTypings");break;case UJ:this.projectService.watchTypingLocations(e)}}scheduleRequest(n){this.logger.hasLevel(3)&&this.logger.info(`TIAdapter:: Scheduling request for: ${n.projectName}`),this.activeRequestCount++,this.host.setTimeout((()=>{this.logger.hasLevel(3)&&this.logger.info(`TIAdapter:: Sending request:${ZJ(n)}`),this.installer.send(n)}),e.requestDelayMillis,`${n.projectName}::${n.kind}`)}},Bbe.requestDelayMillis=100,jbe=Bbe}}),Kbe={};y(Kbe,{ActionInvalidate:()=>WJ,ActionPackageInstalled:()=>zJ,ActionSet:()=>FJ,ActionWatchTypingLocations:()=>UJ,Arguments:()=>HJ,AutoImportProviderProject:()=>Bye,AuxiliaryProject:()=>zye,CharRangeSection:()=>Pbe,CloseFileWatcherEvent:()=>fve,CommandNames:()=>rbe,ConfigFileDiagEvent:()=>sve,ConfiguredProject:()=>jye,CreateDirectoryWatcherEvent:()=>pve,CreateFileWatcherEvent:()=>uve,Errors:()=>Hge,EventBeginInstallTypes:()=>BJ,EventEndInstallTypes:()=>jJ,EventInitializationFailed:()=>VJ,EventTypesRegistry:()=>GJ,ExternalProject:()=>Vye,GcTimer:()=>aye,InferredProject:()=>Wye,LargeFileReferencedEvent:()=>ave,LineIndex:()=>Wbe,LineLeaf:()=>Gbe,LineNode:()=>zbe,LogLevel:()=>jge,Msg:()=>Uge,OpenFileInfoTelemetryEvent:()=>dve,Project:()=>Fye,ProjectInfoTelemetryEvent:()=>cve,ProjectKind:()=>Oye,ProjectLanguageServiceStateEvent:()=>lve,ProjectLoadingFinishEvent:()=>ive,ProjectLoadingStartEvent:()=>ove,ProjectReferenceProjectLoadKind:()=>Sve,ProjectService:()=>xve,ProjectsUpdatedInBackgroundEvent:()=>rve,ScriptInfo:()=>Nye,ScriptVersionCache:()=>Obe,Session:()=>sbe,TextStorage:()=>Iye,ThrottledOperations:()=>iye,TypingsCache:()=>Lye,TypingsInstallerAdapter:()=>jbe,allFilesAreJsOrDts:()=>qye,allRootFilesAreJsOrDts:()=>Kye,asNormalizedPath:()=>Qge,convertCompilerOptions:()=>Nve,convertFormatOptions:()=>Ive,convertScriptKindName:()=>Pve,convertTypeAcquisition:()=>Cve,convertUserPreferences:()=>Lve,convertWatchOptions:()=>Dve,countEachFileTypes:()=>Hye,createInstallTypingsRequest:()=>Xge,createModuleSpecifierCache:()=>Zve,createNormalizedPathMap:()=>Zge,createPackageJsonCache:()=>nbe,createSortedArray:()=>oye,emptyArray:()=>Vge,findArgument:()=>YJ,forEachResolvedProjectReferenceProject:()=>Fve,formatDiagnosticToProtocol:()=>fbe,formatMessage:()=>mbe,getBaseConfigFileName:()=>lye,getLocationInNewDocument:()=>Dbe,hasArgument:()=>XJ,hasNoTypeScriptSource:()=>Jye,indent:()=>QJ,isBackgroundProject:()=>eve,isConfigFile:()=>Yve,isConfiguredProject:()=>Qye,isDynamicFileName:()=>Cye,isExternalProject:()=>Zye,isInferredProject:()=>$ye,isInferredProjectName:()=>eye,makeAutoImportProviderProjectName:()=>tye,makeAuxiliaryProjectName:()=>rye,makeInferredProjectName:()=>nye,maxFileSize:()=>tve,maxProgramSizeForNonTsFiles:()=>nve,normalizedPathToPath:()=>$ge,nowString:()=>$J,nullCancellationToken:()=>tbe,nullTypingsInstaller:()=>Pye,projectContainsInfoDirectly:()=>Uve,protocol:()=>Rye,removeSorted:()=>cye,stringifyIndented:()=>ZJ,toEvent:()=>_be,toNormalizedPath:()=>Yge,tryConvertScriptKindName:()=>Mve,typingsInstaller:()=>Bge,updateProjectIfDirty:()=>Hve});var qbe=g({"src/server/_namespaces/ts.server.ts"(){lX(),qge(),Jge(),sye(),xye(),Dye(),kye(),Uye(),Ave(),Qve(),ebe(),lbe(),Vbe(),Ube(),Hbe()}}),Jbe={};y(Jbe,{ANONYMOUS:()=>ZX,AccessFlags:()=>_o,AssertionLevel:()=>u,AssignmentDeclarationKind:()=>Ao,AssignmentKind:()=>Ep,Associativity:()=>Tp,BreakpointResolver:()=>P7,BuilderFileEmit:()=>SH,BuilderProgramKind:()=>TH,BuilderState:()=>yH,BundleFileSectionKind:()=>Yo,CallHierarchy:()=>Z7,CharacterCodes:()=>Go,CheckFlags:()=>so,CheckMode:()=>Oz,ClassificationType:()=>jX,ClassificationTypeNames:()=>BX,CommentDirectiveType:()=>jr,Comparison:()=>r,CompletionInfoFlags:()=>kX,CompletionTriggerKind:()=>IX,Completions:()=>nue,ContainerFlags:()=>OW,ContextFlags:()=>$r,Debug:()=>Tt,DiagnosticCategory:()=>Ro,Diagnostics:()=>Oa,DocumentHighlights:()=>t1,ElementFlags:()=>mo,EmitFlags:()=>Uo,EmitHint:()=>qo,EmitOnly:()=>Kr,EndOfLineState:()=>FX,EnumKind:()=>ao,ExitStatus:()=>Jr,ExportKind:()=>M0,Extension:()=>Bo,ExternalEmitHelpers:()=>Ko,FileIncludeKind:()=>Ur,FilePreprocessingDiagnosticsKind:()=>Hr,FileSystemEntryKind:()=>pi,FileWatcherEventKind:()=>oi,FindAllReferences:()=>Hue,FlattenLevel:()=>gB,FlowFlags:()=>Br,ForegroundColorEscapeSequences:()=>cU,FunctionFlags:()=>Sp,GeneratedIdentifierFlags:()=>zr,GetLiteralTextFlags:()=>mp,GoToDefinition:()=>upe,HighlightSpanKind:()=>DX,IdentifierNameMap:()=>OG,IdentifierNameMultiMap:()=>FG,ImportKind:()=>C0,ImportsNotUsedAsValues:()=>ko,IndentStyle:()=>CX,IndexFlags:()=>ho,IndexKind:()=>bo,InferenceFlags:()=>To,InferencePriority:()=>So,InlayHintKind:()=>NX,InlayHints:()=>ype,InternalEmitFlags:()=>Ho,InternalSymbolName:()=>lo,InvalidatedProjectKind:()=>bq,JSDocParsingMode:()=>ei,JsDoc:()=>Gpe,JsTyping:()=>vX,JsxEmit:()=>Lo,JsxFlags:()=>Fr,JsxReferenceKind:()=>go,LanguageServiceMode:()=>TX,LanguageVariant:()=>Wo,LexicalEnvironmentFlags:()=>Xo,ListFormat:()=>$o,LogLevel:()=>St,MemberOverrideStatus:()=>Xr,ModifierFlags:()=>Or,ModuleDetectionKind:()=>No,ModuleInstanceState:()=>wW,ModuleKind:()=>Po,ModuleResolutionKind:()=>Io,ModuleSpecifierEnding:()=>xf,NavigateTo:()=>C2,NavigationBar:()=>N4,NewLineKind:()=>wo,NodeBuilderFlags:()=>Qr,NodeCheckFlags:()=>co,NodeFactoryFlags:()=>zA,NodeFlags:()=>wr,NodeResolutionFeatures:()=>UO,ObjectFlags:()=>po,OperationCanceledException:()=>Vr,OperatorPrecedence:()=>xp,OrganizeImports:()=>gfe,OrganizeImportsMode:()=>RX,OuterExpressionKinds:()=>Jo,OutliningElementsCollector:()=>Nfe,OutliningSpanKind:()=>wX,OutputFileType:()=>OX,PackageJsonAutoImportPreference:()=>SX,PackageJsonDependencyGroup:()=>EX,PatternMatchKind:()=>v1,PollingInterval:()=>ii,PollingWatchKind:()=>Mo,PragmaKindFlags:()=>Qo,PrivateIdentifierKind:()=>YR,ProcessLevel:()=>VB,ProgramUpdateLevel:()=>XV,QuotePreference:()=>YX,RelationComparisonResult:()=>Wr,Rename:()=>Ffe,ScriptElementKind:()=>zX,ScriptElementKindModifier:()=>GX,ScriptKind:()=>Oo,ScriptSnapshot:()=>bX,ScriptTarget:()=>Fo,SemanticClassificationFormat:()=>AX,SemanticMeaning:()=>qX,SemicolonPreference:()=>MX,SignatureCheckMode:()=>Fz,SignatureFlags:()=>vo,SignatureHelp:()=>ume,SignatureKind:()=>yo,SmartSelectionRange:()=>xme,SnippetKind:()=>Vo,SortKind:()=>s,StructureIsReused:()=>qr,SymbolAccessibility:()=>no,SymbolDisplay:()=>wme,SymbolDisplayPartKind:()=>LX,SymbolFlags:()=>io,SymbolFormatFlags:()=>eo,SyntaxKind:()=>kr,SyntheticSymbolKind:()=>to,Ternary:()=>xo,ThrottledCancellationToken:()=>r7,TokenClass:()=>WX,TokenFlags:()=>Gr,TransformFlags:()=>jo,TypeFacts:()=>kz,TypeFlags:()=>uo,TypeFormatFlags:()=>Zr,TypeMapKind:()=>Eo,TypePredicateKind:()=>ro,TypeReferenceSerializationKind:()=>oo,UnionReduction:()=>Yr,UpToDateStatusType:()=>_q,VarianceFlags:()=>fo,Version:()=>Mt,VersionRange:()=>Pt,WatchDirectoryFlags:()=>zo,WatchDirectoryKind:()=>Co,WatchFileKind:()=>Do,WatchLogLevel:()=>YV,WatchType:()=>CK,accessPrivateIdentifier:()=>mB,addDisposableResourceHelper:()=>AI,addEmitFlags:()=>mR,addEmitHelper:()=>kR,addEmitHelpers:()=>wR,addInternalEmitFlags:()=>hR,addNodeFactoryPatcher:()=>qA,addObjectAllocatorPatcher:()=>XS,addRange:()=>Ee,addRelatedInfo:()=>xx,addSyntheticLeadingComment:()=>IR,addSyntheticTrailingComment:()=>CR,addToSeen:()=>PS,advancedAsyncSuperHelper:()=>DI,affectsDeclarationPathOptionDeclarations:()=>Fk,affectsEmitOptionDeclarations:()=>Ok,allKeysStartWithDot:()=>uW,altDirectorySeparator:()=>Wi,and:()=>ut,append:()=>ye,appendIfUnique:()=>Te,arrayFrom:()=>Je,arrayIsEqualTo:()=>_e,arrayIsHomogeneous:()=>Fx,arrayIsSorted:()=>fe,arrayOf:()=>qe,arrayReverseIterator:()=>Re,arrayToMap:()=>$e,arrayToMultiMap:()=>Ze,arrayToNumericMap:()=>Qe,arraysEqual:()=>w,assertType:()=>mt,assign:()=>Xe,assignHelper:()=>tI,asyncDelegator:()=>iI,asyncGeneratorHelper:()=>oI,asyncSuperHelper:()=>NI,asyncValues:()=>aI,attachFileToDiagnostics:()=>oT,awaitHelper:()=>rI,awaiterHelper:()=>lI,base64decode:()=>WE,base64encode:()=>FE,binarySearch:()=>ze,binarySearchKey:()=>Ge,bindSourceFile:()=>VW,breakIntoCharacterSpans:()=>F1,breakIntoWordSpans:()=>W1,buildLinkParts:()=>ZQ,buildOpts:()=>Vk,buildOverload:()=>Dge,bundlerModuleNameResolver:()=>zF,canBeConvertedToAsync:()=>u2,canHaveDecorators:()=>bL,canHaveExportModifier:()=>lA,canHaveFlowNode:()=>Qg,canHaveIllegalDecorators:()=>jP,canHaveIllegalModifiers:()=>VP,canHaveIllegalType:()=>GP,canHaveIllegalTypeParameters:()=>BP,canHaveJSDoc:()=>Zg,canHaveLocals:()=>Du,canHaveModifiers:()=>vL,canHaveSymbol:()=>Nu,canJsonReportNoInputFiles:()=>dO,canProduceDiagnostics:()=>Kj,canUsePropertyAccess:()=>dA,canWatchAffectingLocation:()=>_K,canWatchAtTypes:()=>pK,canWatchDirectoryOrFile:()=>uK,cartesianProduct:()=>gt,cast:()=>gn,chainBundle:()=>BG,chainDiagnosticMessages:()=>cT,changeAnyExtension:()=>Ea,changeCompilerHostLikeToUseCache:()=>CU,changeExtension:()=>px,changeFullExtension:()=>Sa,changesAffectModuleResolution:()=>Lf,changesAffectingProgramStructure:()=>wf,childIsDecorated:()=>wh,classElementOrClassElementParameterIsDecorated:()=>Fh,classHasClassThisAssignment:()=>MB,classHasDeclaredOrExplicitlyAssignedName:()=>zB,classHasExplicitlyAssignedName:()=>WB,classOrConstructorParameterIsDecorated:()=>Oh,classPrivateFieldGetHelper:()=>SI,classPrivateFieldInHelper:()=>xI,classPrivateFieldSetHelper:()=>TI,classicNameResolver:()=>NW,classifier:()=>r9,cleanExtendedConfigCache:()=>nU,clear:()=>G,clearMap:()=>SS,clearSharedExtendedConfigFileWatcher:()=>eU,climbPastPropertyAccess:()=>_Y,climbPastPropertyOrElementAccess:()=>hY,clone:()=>tn,cloneCompilerOptions:()=>z$,closeFileWatcher:()=>fS,closeFileWatcherOf:()=>lU,codefix:()=>Qle,collapseTextChangeRangesAcrossMultipleVersions:()=>_l,collectExternalModuleInfo:()=>HG,combine:()=>ve,combinePaths:()=>ua,commentPragmas:()=>Zo,commonOptionsWithBuild:()=>Ck,commonPackageFolders:()=>sf,compact:()=>he,compareBooleans:()=>Kn,compareDataObjects:()=>ES,compareDiagnostics:()=>pT,compareDiagnosticsSkipRelatedInformation:()=>fT,compareEmitHelpers:()=>PI,compareNumberOfDirectorySeparators:()=>lx,comparePaths:()=>Ra,comparePathsCaseInsensitive:()=>Aa,comparePathsCaseSensitive:()=>xa,comparePatternKeys:()=>fW,compareProperties:()=>Hn,compareStringsCaseInsensitive:()=>Wn,compareStringsCaseInsensitiveEslintCompatible:()=>zn,compareStringsCaseSensitive:()=>Gn,compareStringsCaseSensitiveUI:()=>Un,compareTextSpans:()=>On,compareValues:()=>wn,compileOnSaveCommandLineOption:()=>Tk,compilerOptionsAffectDeclarationPath:()=>CT,compilerOptionsAffectEmit:()=>DT,compilerOptionsAffectSemanticDiagnostics:()=>NT,compilerOptionsDidYouMeanDiagnostics:()=>Jk,compilerOptionsIndicateEsModules:()=>cQ,compose:()=>Cn,computeCommonSourceDirectoryOfFilenames:()=>AU,computeLineAndCharacterOfPosition:()=>ps,computeLineOfPosition:()=>fs,computeLineStarts:()=>ls,computePositionOfLineAndCharacter:()=>ds,computeSignature:()=>XH,computeSignatureWithDiagnostics:()=>JH,computeSuggestionDiagnostics:()=>n2,computedOptions:()=>Bp,concatenate:()=>ae,concatenateDiagnosticMessageChains:()=>dT,consumesNodeCoreModules:()=>r0,contains:()=>k,containsIgnoredPath:()=>Xx,containsObjectRestOrSpread:()=>hL,containsParseError:()=>Yf,containsPath:()=>Ia,convertCompilerOptionsForTelemetry:()=>zO,convertCompilerOptionsFromJson:()=>_O,convertJsonOption:()=>TO,convertToBase64:()=>OE,convertToJson:()=>Bw,convertToObject:()=>Gw,convertToOptionsWithAbsolutePaths:()=>eO,convertToRelativePath:()=>Ma,convertToTSConfig:()=>Uw,convertTypeAcquisitionFromJson:()=>hO,copyComments:()=>SZ,copyEntries:()=>Gf,copyLeadingComments:()=>IZ,copyProperties:()=>on,copyTrailingAsLeadingComments:()=>DZ,copyTrailingComments:()=>NZ,couldStartTrivia:()=>Ss,countWhere:()=>F,createAbstractBuilder:()=>sK,createAccessorPropertyBackingField:()=>dL,createAccessorPropertyGetRedirector:()=>uL,createAccessorPropertySetRedirector:()=>pL,createBaseNodeFactory:()=>MA,createBinaryExpressionTrampoline:()=>nL,createBindingHelper:()=>gI,createBuildInfo:()=>BV,createBuilderProgram:()=>YH,createBuilderProgramUsingProgramBuildInfo:()=>nK,createBuilderStatusReporter:()=>Rq,createCacheWithRedirects:()=>SF,createCacheableExportInfoMap:()=>L0,createCachedDirectoryStructureHost:()=>QV,createClassNamedEvaluationHelperBlock:()=>OB,createClassThisAssignmentBlock:()=>DB,createClassifier:()=>V0,createCommentDirectivesMap:()=>ym,createCompilerDiagnostic:()=>sT,createCompilerDiagnosticForInvalidCustomType:()=>_w,createCompilerDiagnosticFromMessageChain:()=>lT,createCompilerHost:()=>RU,createCompilerHostFromProgramHost:()=>eq,createCompilerHostWorker:()=>DU,createDetachedDiagnostic:()=>nT,createDiagnosticCollection:()=>Mv,createDiagnosticForFileFromMessageChain:()=>g_,createDiagnosticForNode:()=>d_,createDiagnosticForNodeArray:()=>u_,createDiagnosticForNodeArrayFromMessageChain:()=>m_,createDiagnosticForNodeFromMessageChain:()=>f_,createDiagnosticForNodeInSourceFile:()=>p_,createDiagnosticForRange:()=>v_,createDiagnosticMessageChainFromDiagnostic:()=>y_,createDiagnosticReporter:()=>PK,createDocumentPositionMapper:()=>wG,createDocumentRegistry:()=>a1,createDocumentRegistryInternal:()=>s1,createEmitAndSemanticDiagnosticsBuilderProgram:()=>aK,createEmitHelperFactory:()=>MI,createEmptyExports:()=>$M,createExpressionForJsxElement:()=>tP,createExpressionForJsxFragment:()=>rP,createExpressionForObjectLiteralElementLike:()=>lP,createExpressionForPropertyName:()=>sP,createExpressionFromEntityName:()=>aP,createExternalHelpersImportDeclarationIfNeeded:()=>IP,createFileDiagnostic:()=>iT,createFileDiagnosticFromMessageChain:()=>h_,createForOfBindingStatement:()=>oP,createGetCanonicalFileName:()=>rt,createGetSourceFile:()=>IU,createGetSymbolAccessibilityDiagnosticForNode:()=>Jj,createGetSymbolAccessibilityDiagnosticForNodeName:()=>qj,createGetSymbolWalker:()=>YW,createIncrementalCompilerHost:()=>uq,createIncrementalProgram:()=>pq,createInputFiles:()=>oR,createInputFilesWithFilePaths:()=>iR,createInputFilesWithFileTexts:()=>aR,createJsxFactoryExpression:()=>nP,createLanguageService:()=>S7,createLanguageServiceSourceFile:()=>b7,createMemberAccessForPropertyName:()=>QM,createModeAwareCache:()=>AF,createModeAwareCacheKey:()=>xF,createModuleNotFoundChain:()=>Hf,createModuleResolutionCache:()=>CF,createModuleResolutionLoader:()=>qU,createModuleResolutionLoaderUsingGlobalCache:()=>TK,createModuleSpecifierResolutionHost:()=>dQ,createMultiMap:()=>sn,createNodeConverters:()=>FA,createNodeFactory:()=>JA,createOptionNameMap:()=>fw,createOverload:()=>Nge,createPackageJsonImportFilter:()=>t0,createPackageJsonInfo:()=>n0,createParenthesizerRules:()=>kA,createPatternMatcher:()=>S1,createPrependNodes:()=>fH,createPrinter:()=>HV,createPrinterWithDefaults:()=>_V,createPrinterWithRemoveComments:()=>hV,createPrinterWithRemoveCommentsNeverAsciiEscape:()=>gV,createPrinterWithRemoveCommentsOmitTrailingSemicolon:()=>yV,createProgram:()=>cH,createProgramHost:()=>rq,createPropertyNameNodeForIdentifierOrLiteral:()=>rA,createQueue:()=>dn,createRange:()=>UE,createRedirectedBuilderProgram:()=>rK,createResolutionCache:()=>xK,createRuntimeTypeSerializer:()=>nj,createScanner:()=>Gs,createSemanticDiagnosticsBuilderProgram:()=>iK,createSet:()=>un,createSolutionBuilder:()=>Cq,createSolutionBuilderHost:()=>Nq,createSolutionBuilderWithWatch:()=>Mq,createSolutionBuilderWithWatchHost:()=>Dq,createSortedArray:()=>de,createSourceFile:()=>lk,createSourceMapGenerator:()=>bG,createSourceMapSource:()=>sR,createSuperAccessVariableStatement:()=>lj,createSymbolTable:()=>Mf,createSymlinkCache:()=>OT,createSystemWatchFunctions:()=>ki,createTextChange:()=>$$,createTextChangeFromStartLength:()=>Y$,createTextChangeRange:()=>ml,createTextRangeFromNode:()=>q$,createTextRangeFromSpan:()=>X$,createTextSpan:()=>dl,createTextSpanFromBounds:()=>ul,createTextSpanFromNode:()=>H$,createTextSpanFromRange:()=>J$,createTextSpanFromStringLiteralLikeContent:()=>K$,createTextWriter:()=>Hv,createTokenRange:()=>YE,createTypeChecker:()=>Jz,createTypeReferenceDirectiveResolutionCache:()=>MF,createTypeReferenceResolutionLoader:()=>XU,createUnparsedSourceFile:()=>rR,createWatchCompilerHost:()=>fq,createWatchCompilerHostOfConfigFile:()=>aq,createWatchCompilerHostOfFilesAndCompilerOptions:()=>sq,createWatchFactory:()=>ZK,createWatchHost:()=>QK,createWatchProgram:()=>mq,createWatchStatusReporter:()=>wK,createWriteFileMeasuringIO:()=>NU,declarationNameToString:()=>o_,decodeMappings:()=>RG,decodedTextSpanIntersectsWith:()=>sl,decorateHelper:()=>$R,deduplicate:()=>ce,defaultIncludeSpec:()=>cw,defaultInitCompilerOptions:()=>qk,defaultMaximumTruncationLength:()=>dp,detectSortCaseSensitivity:()=>me,diagnosticCategoryName:()=>ri,diagnosticToString:()=>x0,directoryProbablyExists:()=>jE,directorySeparator:()=>Fi,displayPart:()=>zQ,displayPartsToString:()=>h7,disposeEmitNodes:()=>uR,disposeResourcesHelper:()=>RI,documentSpansEqual:()=>CQ,dumpTracingLegend:()=>Lr,elementAt:()=>l,elideNodes:()=>iL,emitComments:()=>Lb,emitDetachedComments:()=>kb,emitFiles:()=>GV,emitFilesAndReportErrors:()=>YK,emitFilesAndReportErrorsAndGetExitStatus:()=>$K,emitModuleKindIsNonNodeESM:()=>bT,emitNewLineBeforeLeadingCommentOfPosition:()=>Pb,emitNewLineBeforeLeadingComments:()=>Cb,emitNewLineBeforeLeadingCommentsOfPosition:()=>Mb,emitSkippedWithNoDiagnostics:()=>EU,emitUsingBuildInfo:()=>UV,emptyArray:()=>o,emptyFileSystemEntries:()=>Rf,emptyMap:()=>i,emptyOptions:()=>xX,emptySet:()=>a,endsWith:()=>Xn,ensurePathIsNonModuleName:()=>ba,ensureScriptKind:()=>QT,ensureTrailingDirectorySeparator:()=>va,entityNameToString:()=>c_,enumerateInsertsAndDeletes:()=>ht,equalOwnProperties:()=>Ye,equateStringsCaseInsensitive:()=>Pn,equateStringsCaseSensitive:()=>Ln,equateValues:()=>Mn,esDecorateHelper:()=>eI,escapeJsxAttributeString:()=>Gv,escapeLeadingUnderscores:()=>Ml,escapeNonAsciiString:()=>Wv,escapeSnippetText:()=>nA,escapeString:()=>Fv,escapeTemplateSubstitution:()=>Pv,every:()=>N,expandPreOrPostfixIncrementOrDecrementExpression:()=>cP,explainFiles:()=>UK,explainIfFileIsRedirectAndImpliedFormat:()=>HK,exportAssignmentIsAlias:()=>Ly,exportStarHelper:()=>EI,expressionResultIsUnused:()=>Jx,extend:()=>rn,extendsHelper:()=>cI,extensionFromPath:()=>yx,extensionIsTS:()=>hx,extensionsNotSupportingExtensionlessResolution:()=>Tf,externalHelpersModuleNameText:()=>cp,factory:()=>UA,fileExtensionIs:()=>$i,fileExtensionIsOneOf:()=>Qi,fileIncludeReasonToDiagnostics:()=>JK,fileShouldUseJavaScriptRequire:()=>D0,filter:()=>W,filterMutate:()=>z,filterSemanticDiagnostics:()=>uH,find:()=>D,findAncestor:()=>Nl,findBestPatternMatch:()=>at,findChildOfKind:()=>JY,findComputedPropertyNameCacheAssignment:()=>fL,findConfigFile:()=>TU,findContainingList:()=>XY,findDiagnosticForNode:()=>a0,findFirstNonJsxWhitespaceToken:()=>d$,findIndex:()=>M,findLast:()=>C,findLastIndex:()=>P,findListItemInfo:()=>KY,findMap:()=>L,findModifier:()=>RQ,findNextToken:()=>p$,findPackageJson:()=>ZZ,findPackageJsons:()=>QZ,findPrecedingMatchingToken:()=>T$,findPrecedingToken:()=>f$,findSuperStatementIndexPath:()=>eB,findTokenOnLeftOfPosition:()=>u$,findUseStrictPrologue:()=>mP,first:()=>Me,firstDefined:()=>T,firstDefinedIterator:()=>x,firstIterator:()=>Pe,firstOrOnly:()=>u0,firstOrUndefined:()=>De,firstOrUndefinedIterator:()=>Ce,fixupCompilerOptions:()=>g2,flatMap:()=>H,flatMapIterator:()=>q,flatMapToMutable:()=>K,flatten:()=>U,flattenCommaList:()=>_L,flattenDestructuringAssignment:()=>vB,flattenDestructuringBinding:()=>SB,flattenDiagnosticMessageText:()=>zU,forEach:()=>E,forEachAncestor:()=>Ff,forEachAncestorDirectory:()=>ka,forEachChild:()=>ok,forEachChildRecursively:()=>ik,forEachEmittedFile:()=>EV,forEachEnclosingBlockScopeContainer:()=>r_,forEachEntry:()=>Wf,forEachExternalModuleToImportFrom:()=>w0,forEachImportClauseDeclaration:()=>Vg,forEachKey:()=>zf,forEachLeadingCommentRange:()=>Ds,forEachNameInAccessChainWalkingLeft:()=>GS,forEachPropertyAssignment:()=>lh,forEachResolvedProjectReference:()=>$U,forEachReturnStatement:()=>H_,forEachRight:()=>S,forEachTrailingCommentRange:()=>Cs,forEachTsConfigPropArray:()=>ph,forEachUnique:()=>PQ,forEachYieldExpression:()=>K_,forSomeAncestorDirectory:()=>NS,formatColorAndReset:()=>wU,formatDiagnostic:()=>LU,formatDiagnostics:()=>PU,formatDiagnosticsWithColorAndContext:()=>WU,formatGeneratedName:()=>cL,formatGeneratedNamePart:()=>sL,formatLocation:()=>FU,formatMessage:()=>aT,formatStringFromArgs:()=>$S,formatting:()=>vge,fullTripleSlashAMDReferencePathRegEx:()=>yp,fullTripleSlashReferencePathRegEx:()=>_p,generateDjb2Hash:()=>_i,generateTSConfig:()=>Zw,generatorHelper:()=>hI,getAdjustedReferenceLocation:()=>o$,getAdjustedRenameLocation:()=>i$,getAliasDeclarationFromName:()=>My,getAllAccessorDeclarations:()=>xb,getAllDecoratorsOfClass:()=>sB,getAllDecoratorsOfClassElement:()=>lB,getAllJSDocTags:()=>Ac,getAllJSDocTagsOfKind:()=>Rc,getAllKeys:()=>He,getAllProjectOutputs:()=>FV,getAllSuperTypeNodes:()=>zy,getAllUnscopedEmitHelpers:()=>kI,getAllowJSCompilerOption:()=>tf,getAllowSyntheticDefaultImports:()=>Jp,getAncestor:()=>jy,getAnyExtensionFromPath:()=>aa,getAreDeclarationMapsEnabled:()=>nf,getAssignedExpandoInitializer:()=>pg,getAssignedName:()=>Vl,getAssignedNameOfIdentifier:()=>kB,getAssignmentDeclarationKind:()=>Eg,getAssignmentDeclarationPropertyAccessKind:()=>Mg,getAssignmentTargetKind:()=>fy,getAutomaticTypeDirectiveNames:()=>gF,getBaseFileName:()=>oa,getBinaryOperatorPrecedence:()=>Dv,getBuildInfo:()=>VV,getBuildInfoFileVersionMap:()=>tK,getBuildInfoText:()=>jV,getBuildOrderFromAnyBuildOrder:()=>Aq,getBuilderCreationParameters:()=>KH,getBuilderFileEmit:()=>AH,getCheckFlags:()=>mS,getClassExtendsHeritageElement:()=>Fy,getClassLikeDeclarationOfSymbol:()=>RS,getCombinedLocalAndExportSymbolFlags:()=>gS,getCombinedModifierFlags:()=>Sl,getCombinedNodeFlags:()=>xl,getCombinedNodeFlagsAlwaysIncludeJSDoc:()=>Tl,getCommentRange:()=>TR,getCommonSourceDirectory:()=>wV,getCommonSourceDirectoryOfConfig:()=>OV,getCompilerOptionValue:()=>MT,getCompilerOptionsDiffValue:()=>$w,getConditions:()=>_F,getConfigFileParsingDiagnostics:()=>aH,getConstantValue:()=>PR,getContainerFlags:()=>qW,getContainerNode:()=>CY,getContainingClass:()=>_h,getContainingClassExcludingClassDecorators:()=>yh,getContainingClassStaticBlock:()=>hh,getContainingFunction:()=>fh,getContainingFunctionDeclaration:()=>mh,getContainingFunctionOrClassStaticBlock:()=>gh,getContainingNodeArray:()=>Yx,getContainingObjectLiteralElement:()=>x7,getContextualTypeFromParent:()=>LZ,getContextualTypeFromParentOrAncestorTypeNode:()=>ZY,getCurrentTime:()=>Tq,getDeclarationDiagnostics:()=>$j,getDeclarationEmitExtensionForPath:()=>tb,getDeclarationEmitOutputFilePath:()=>eb,getDeclarationEmitOutputFilePathWorker:()=>nb,getDeclarationFileExtension:()=>hk,getDeclarationFromName:()=>Iy,getDeclarationModifierFlagsFromSymbol:()=>_S,getDeclarationOfKind:()=>Df,getDeclarationsOfKind:()=>Cf,getDeclaredExpandoInitializer:()=>ug,getDecorators:()=>Ul,getDefaultCompilerOptions:()=>g7,getDefaultExportInfoWorker:()=>G0,getDefaultFormatCodeSettings:()=>HX,getDefaultLibFileName:()=>$s,getDefaultLibFilePath:()=>R7,getDefaultLikeExportInfo:()=>W0,getDiagnosticText:()=>Nw,getDiagnosticsWithinSpan:()=>s0,getDirectoryPath:()=>ra,getDirectoryToWatchFailedLookupLocation:()=>hK,getDirectoryToWatchFailedLookupLocationFromTypeRoot:()=>vK,getDocumentPositionMapper:()=>$1,getDocumentSpansEqualityComparer:()=>MQ,getESModuleInterop:()=>qp,getEditsForFileRename:()=>u1,getEffectiveBaseTypeNode:()=>Oy,getEffectiveConstraintOfTypeParameter:()=>Dc,getEffectiveContainerForJSDocTemplateTag:()=>oy,getEffectiveImplementsTypeNodes:()=>Wy,getEffectiveInitializer:()=>dg,getEffectiveJSDocHost:()=>sy,getEffectiveModifierFlags:()=>Zb,getEffectiveModifierFlagsAlwaysIncludeJSDoc:()=>eE,getEffectiveModifierFlagsNoCache:()=>oE,getEffectiveReturnTypeNode:()=>Ib,getEffectiveSetAccessorTypeAnnotationNode:()=>Db,getEffectiveTypeAnnotationNode:()=>Ab,getEffectiveTypeParameterDeclarations:()=>Nc,getEffectiveTypeRoots:()=>dF,getElementOrPropertyAccessArgumentExpressionOrName:()=>Dg,getElementOrPropertyAccessName:()=>Cg,getElementsOfBindingOrAssignmentPattern:()=>WP,getEmitDeclarations:()=>Qp,getEmitFlags:()=>Im,getEmitHelpers:()=>FR,getEmitModuleDetectionKind:()=>Hp,getEmitModuleKind:()=>Vp,getEmitModuleResolutionKind:()=>Up,getEmitScriptTarget:()=>jp,getEmitStandardClassFields:()=>IT,getEnclosingBlockScopeContainer:()=>t_,getEnclosingContainer:()=>n_,getEncodedSemanticClassifications:()=>Y0,getEncodedSyntacticClassifications:()=>n1,getEndLinePosition:()=>rm,getEntityNameFromTypeNode:()=>Ch,getEntrypointsFromPackageJsonInfo:()=>tW,getErrorCountForSummary:()=>FK,getErrorSpanForNode:()=>S_,getErrorSummaryText:()=>BK,getEscapedTextOfIdentifierOrLiteral:()=>lv,getEscapedTextOfJsxAttributeName:()=>yA,getEscapedTextOfJsxNamespacedName:()=>EA,getExpandoInitializer:()=>fg,getExportAssignmentExpression:()=>ky,getExportInfoMap:()=>F0,getExportNeedsImportStarHelper:()=>jG,getExpressionAssociativity:()=>xv,getExpressionPrecedence:()=>Rv,getExternalHelpersModuleName:()=>AP,getExternalModuleImportEqualsDeclarationExpression:()=>Hh,getExternalModuleName:()=>Gg,getExternalModuleNameFromDeclaration:()=>$v,getExternalModuleNameFromPath:()=>Qv,getExternalModuleNameLiteral:()=>CP,getExternalModuleRequireArgument:()=>Kh,getFallbackOptions:()=>sU,getFileEmitOutput:()=>EH,getFileMatcherPatterns:()=>qT,getFileNamesFromConfigSpecs:()=>IO,getFileWatcherEventKind:()=>Ni,getFilesInErrorForSummary:()=>WK,getFirstConstructorWithBody:()=>_b,getFirstIdentifier:()=>SE,getFirstNonSpaceCharacterPosition:()=>pZ,getFirstProjectOutput:()=>zV,getFixableErrorSpanExpression:()=>c0,getFormatCodeSettingsForWriting:()=>A0,getFullWidth:()=>jf,getFunctionFlags:()=>Zy,getHeritageClause:()=>By,getHostSignatureFromJSDoc:()=>ay,getIdentifierAutoGenerate:()=>qR,getIdentifierGeneratedImportReference:()=>XR,getIdentifierTypeArguments:()=>HR,getImmediatelyInvokedFunctionExpression:()=>xh,getImpliedNodeFormatForFile:()=>sH,getImpliedNodeFormatForFileWorker:()=>lH,getImportNeedsImportDefaultHelper:()=>UG,getImportNeedsImportStarHelper:()=>VG,getIndentSize:()=>Uv,getIndentString:()=>Vv,getInferredLibraryNameResolveFrom:()=>ZU,getInitializedVariables:()=>dS,getInitializerOfBinaryExpression:()=>Pg,getInitializerOfBindingOrAssignmentElement:()=>PP,getInterfaceBaseTypeNodes:()=>Gy,getInternalEmitFlags:()=>Nm,getInvokedExpression:()=>Mh,getIsolatedModules:()=>Kp,getJSDocAugmentsTag:()=>Zl,getJSDocClassTag:()=>nc,getJSDocCommentRanges:()=>B_,getJSDocCommentsAndTags:()=>ey,getJSDocDeprecatedTag:()=>uc,getJSDocDeprecatedTagNoCache:()=>pc,getJSDocEnumTag:()=>fc,getJSDocHost:()=>ly,getJSDocImplementsTags:()=>ec,getJSDocOverloadTags:()=>iy,getJSDocOverrideTagNoCache:()=>dc,getJSDocParameterTags:()=>ql,getJSDocParameterTagsNoCache:()=>Jl,getJSDocPrivateTag:()=>oc,getJSDocPrivateTagNoCache:()=>ic,getJSDocProtectedTag:()=>ac,getJSDocProtectedTagNoCache:()=>sc,getJSDocPublicTag:()=>tc,getJSDocPublicTagNoCache:()=>rc,getJSDocReadonlyTag:()=>lc,getJSDocReadonlyTagNoCache:()=>cc,getJSDocReturnTag:()=>_c,getJSDocReturnType:()=>bc,getJSDocRoot:()=>cy,getJSDocSatisfiesExpressionType:()=>hA,getJSDocSatisfiesTag:()=>gc,getJSDocTags:()=>Sc,getJSDocTagsNoCache:()=>Tc,getJSDocTemplateTag:()=>hc,getJSDocThisTag:()=>mc,getJSDocType:()=>vc,getJSDocTypeAliasName:()=>zP,getJSDocTypeAssertionType:()=>vP,getJSDocTypeParameterDeclarations:()=>Nb,getJSDocTypeParameterTags:()=>Yl,getJSDocTypeParameterTagsNoCache:()=>$l,getJSDocTypeTag:()=>yc,getJSXImplicitImportBase:()=>LT,getJSXRuntimeImport:()=>kT,getJSXTransformEnabled:()=>PT,getKeyForCompilerOptions:()=>EF,getLanguageVariant:()=>_T,getLastChild:()=>MS,getLeadingCommentRanges:()=>ks,getLeadingCommentRangesOfNode:()=>G_,getLeftmostAccessExpression:()=>zS,getLeftmostExpression:()=>BS,getLibraryNameFromLibFileName:()=>eH,getLineAndCharacterOfPosition:()=>_s,getLineInfo:()=>EG,getLineOfLocalPosition:()=>fb,getLineOfLocalPositionFromLineMap:()=>mb,getLineStartPositionForPosition:()=>LY,getLineStarts:()=>us,getLinesBetweenPositionAndNextNonWhitespaceCharacter:()=>lS,getLinesBetweenPositionAndPrecedingNonWhitespaceCharacter:()=>sS,getLinesBetweenPositions:()=>ms,getLinesBetweenRangeEndAndRangeStart:()=>tS,getLinesBetweenRangeEndPositions:()=>rS,getLiteralText:()=>Dm,getLocalNameForExternalImport:()=>DP,getLocalSymbolForExportDefault:()=>kE,getLocaleSpecificMessage:()=>eT,getLocaleTimeString:()=>kK,getMappedContextSpan:()=>OQ,getMappedDocumentSpan:()=>wQ,getMappedLocation:()=>kQ,getMatchedFileSpec:()=>KK,getMatchedIncludeSpec:()=>qK,getMeaningFromDeclaration:()=>tY,getMeaningFromLocation:()=>rY,getMembersOfDeclaration:()=>J_,getModeForFileReference:()=>GU,getModeForResolutionAtIndex:()=>BU,getModeForUsageLocation:()=>VU,getModifiedTime:()=>yi,getModifiers:()=>Hl,getModuleInstanceState:()=>zW,getModuleNameStringLiteralAt:()=>gH,getModuleSpecifierEndingPreference:()=>ix,getModuleSpecifierResolverHost:()=>uQ,getNameForExportedSymbol:()=>f0,getNameFromImportAttribute:()=>DA,getNameFromIndexInfo:()=>i_,getNameFromPropertyName:()=>aQ,getNameOfAccessExpression:()=>OS,getNameOfCompilerOptionValue:()=>Jw,getNameOfDeclaration:()=>jl,getNameOfExpando:()=>_g,getNameOfJSDocTypedef:()=>zl,getNameOrArgument:()=>Ng,getNameTable:()=>T7,getNamesForExportedSymbol:()=>p0,getNamespaceDeclarationNode:()=>Bg,getNewLineCharacter:()=>VE,getNewLineKind:()=>T0,getNewLineOrDefaultFromHost:()=>eZ,getNewTargetContainer:()=>Sh,getNextJSDocCommentLocation:()=>ty,getNodeForGeneratedName:()=>aL,getNodeId:()=>Hz,getNodeKind:()=>MY,getNodeModifiers:()=>M$,getNodeModulePathParts:()=>iA,getNonAssignedNameOfDeclaration:()=>Bl,getNonAssignmentOperatorForCompoundAssignment:()=>$G,getNonAugmentationDeclaration:()=>Vm,getNonDecoratorTokenPosOfNode:()=>bm,getNormalizedAbsolutePath:()=>ma,getNormalizedAbsolutePathWithoutRoot:()=>ha,getNormalizedPathComponents:()=>fa,getObjectFlags:()=>IS,getOperator:()=>Iv,getOperatorAssociativity:()=>Av,getOperatorPrecedence:()=>Nv,getOptionFromName:()=>xw,getOptionsForLibraryResolution:()=>PF,getOptionsNameMap:()=>mw,getOrCreateEmitNode:()=>dR,getOrCreateExternalHelpersModuleNameIfNeeded:()=>NP,getOrUpdate:()=>Z,getOriginalNode:()=>Il,getOriginalNodeId:()=>zG,getOriginalSourceFile:()=>Tv,getOutputDeclarationFileName:()=>NV,getOutputDeclarationFileNameWorker:()=>DV,getOutputExtension:()=>RV,getOutputFileNames:()=>WV,getOutputJSFileNameWorker:()=>MV,getOutputPathsFor:()=>xV,getOutputPathsForBundle:()=>TV,getOwnEmitOutputFilePath:()=>Zv,getOwnKeys:()=>Ue,getOwnValues:()=>Ke,getPackageJsonInfo:()=>sW,getPackageJsonTypesVersionsPaths:()=>cF,getPackageJsonsVisibleToFile:()=>e0,getPackageNameFromTypesPackageName:()=>AW,getPackageScopeForPath:()=>iW,getParameterSymbolFromJSDoc:()=>ry,getParameterTypeNode:()=>aA,getParentNodeInSpan:()=>xQ,getParseTreeNode:()=>Cl,getParsedCommandLineOfConfigFile:()=>Dw,getPathComponents:()=>sa,getPathComponentsRelativeTo:()=>Da,getPathFromPathComponents:()=>la,getPathUpdater:()=>p1,getPathsBasePath:()=>ib,getPatternFromSpec:()=>UT,getPendingEmitKind:()=>RH,getPositionOfLineAndCharacter:()=>cs,getPossibleGenericSignatures:()=>R$,getPossibleOriginalInputExtensionForExtension:()=>rb,getPossibleTypeArgumentsInfo:()=>I$,getPreEmitDiagnostics:()=>MU,getPrecedingNonSpaceCharacterPosition:()=>fZ,getPrivateIdentifier:()=>pB,getProperties:()=>nB,getProperty:()=>Ve,getPropertyArrayElementValue:()=>ch,getPropertyAssignmentAliasLikeExpression:()=>wy,getPropertyNameForPropertyNameNode:()=>iv,getPropertyNameForUniqueESSymbol:()=>cv,getPropertyNameFromType:()=>AA,getPropertyNameOfBindingOrAssignmentElement:()=>wP,getPropertySymbolFromBindingElement:()=>TQ,getPropertySymbolsFromContextualType:()=>A7,getQuoteFromPreference:()=>yQ,getQuotePreference:()=>gQ,getRangesWhere:()=>ie,getRefactorContextSpan:()=>l0,getReferencedFileLocation:()=>oH,getRegexFromPattern:()=>JT,getRegularExpressionForWildcard:()=>BT,getRegularExpressionsForWildcards:()=>jT,getRelativePathFromDirectory:()=>Ca,getRelativePathFromFile:()=>Pa,getRelativePathToDirectoryOrUrl:()=>La,getRenameLocation:()=>RZ,getReplacementSpanForContextToken:()=>U$,getResolutionDiagnostic:()=>_H,getResolutionModeOverride:()=>HU,getResolveJsonModule:()=>$p,getResolvePackageJsonExports:()=>Xp,getResolvePackageJsonImports:()=>Yp,getResolvedExternalModuleName:()=>Xv,getRestIndicatorOfBindingOrAssignmentElement:()=>kP,getRestParameterElementType:()=>q_,getRightMostAssignedExpression:()=>gg,getRootDeclaration:()=>bv,getRootDirectoryOfResolutionCache:()=>bK,getRootLength:()=>ta,getRootPathSplitLength:()=>EK,getScriptKind:()=>lZ,getScriptKindFromFileName:()=>ZT,getScriptTargetFeatures:()=>fp,getSelectedEffectiveModifierFlags:()=>Yb,getSelectedSyntacticModifierFlags:()=>$b,getSemanticClassifications:()=>J0,getSemanticJsxChildren:()=>Cv,getSetAccessorTypeAnnotationNode:()=>gb,getSetAccessorValueParameter:()=>hb,getSetExternalModuleIndicator:()=>vT,getShebang:()=>Os,getSingleInitializerOfVariableStatementOrPropertyDeclaration:()=>Xg,getSingleVariableOfVariableStatement:()=>Yg,getSnapshotText:()=>rQ,getSnippetElement:()=>zR,getSourceFileOfModule:()=>Qf,getSourceFileOfNode:()=>$f,getSourceFilePathInNewDir:()=>lb,getSourceFilePathInNewDirWorker:()=>cb,getSourceFileVersionAsHashFromText:()=>nq,getSourceFilesToEmit:()=>ab,getSourceMapRange:()=>gR,getSourceMapper:()=>Y1,getSourceTextOfNodeFromSourceFile:()=>Em,getSpanOfTokenAtPosition:()=>b_,getSpellingSuggestion:()=>qn,getStartPositionOfLine:()=>nm,getStartPositionOfRange:()=>aS,getStartsOnNewLine:()=>ER,getStaticPropertiesAndClassStaticBlock:()=>rB,getStrictOptionValue:()=>RT,getStringComparer:()=>Bn,getSubPatternFromSpec:()=>HT,getSuperCallFromStatement:()=>QG,getSuperContainer:()=>Th,getSupportedCodeFixes:()=>y7,getSupportedExtensions:()=>ex,getSupportedExtensionsWithJsonIfResolveJsonModule:()=>nx,getSwitchedType:()=>WZ,getSymbolId:()=>Kz,getSymbolNameForPrivateIdentifier:()=>dv,getSymbolTarget:()=>cZ,getSyntacticClassifications:()=>e1,getSyntacticModifierFlags:()=>nE,getSyntacticModifierFlagsNoCache:()=>iE,getSynthesizedDeepClone:()=>mZ,getSynthesizedDeepCloneWithReplacements:()=>_Z,getSynthesizedDeepClones:()=>gZ,getSynthesizedDeepClonesWithReplacements:()=>yZ,getSyntheticLeadingComments:()=>AR,getSyntheticTrailingComments:()=>NR,getTargetLabel:()=>gY,getTargetOfBindingOrAssignmentElement:()=>LP,getTemporaryModuleResolutionState:()=>oW,getTextOfConstantValue:()=>Cm,getTextOfIdentifierOrLiteral:()=>sv,getTextOfJSDocComment:()=>Ic,getTextOfJsxAttributeName:()=>vA,getTextOfJsxNamespacedName:()=>SA,getTextOfNode:()=>xm,getTextOfNodeFromSourceText:()=>Tm,getTextOfPropertyName:()=>l_,getThisContainer:()=>vh,getThisParameter:()=>yb,getTokenAtPosition:()=>l$,getTokenPosOfNode:()=>vm,getTokenSourceMapRange:()=>vR,getTouchingPropertyName:()=>a$,getTouchingToken:()=>s$,getTrailingCommentRanges:()=>ws,getTrailingSemicolonDeferringWriter:()=>Kv,getTransformFlagsSubtreeExclusions:()=>nR,getTransformers:()=>oV,getTsBuildInfoEmitOutputFilePath:()=>SV,getTsConfigObjectLiteralExpression:()=>dh,getTsConfigPropArrayElementValue:()=>uh,getTypeAnnotationNode:()=>Rb,getTypeArgumentOrTypeParameterList:()=>P$,getTypeKeywordOfTypeOnlyImport:()=>NQ,getTypeNode:()=>VR,getTypeNodeIfAccessible:()=>zZ,getTypeParameterFromJsDoc:()=>dy,getTypeParameterOwner:()=>hl,getTypesPackageName:()=>TW,getUILocale:()=>jn,getUniqueName:()=>AZ,getUniqueSymbolId:()=>uZ,getUseDefineForClassFields:()=>rf,getWatchErrorSummaryDiagnosticMessage:()=>zK,getWatchFactory:()=>aU,group:()=>en,groupBy:()=>nn,guessIndentation:()=>np,handleNoEmitOptions:()=>dH,hasAbstractModifier:()=>Hb,hasAccessorModifier:()=>qb,hasAmbientModifier:()=>Kb,hasChangesInResolutions:()=>Xf,hasChildOfKind:()=>qY,hasContextSensitiveParameters:()=>$x,hasDecorators:()=>Xb,hasDocComment:()=>D$,hasDynamicName:()=>rv,hasEffectiveModifier:()=>Gb,hasEffectiveModifiers:()=>Wb,hasEffectiveReadonlyModifier:()=>Jb,hasExtension:()=>Yi,hasIndexSignature:()=>FZ,hasInitializer:()=>$u,hasInvalidEscape:()=>kv,hasJSDocNodes:()=>Xu,hasJSDocParameterTags:()=>Ql,hasJSFileExtension:()=>tx,hasJsonModuleEmitEnabled:()=>ET,hasOnlyExpressionInitializer:()=>Qu,hasOverrideModifier:()=>Ub,hasPossibleExternalModuleReference:()=>Zm,hasProperty:()=>je,hasPropertyAccessExpressionWithName:()=>yY,hasQuestionToken:()=>Ug,hasRecordedExternalHelpers:()=>RP,hasResolutionModeOverride:()=>IA,hasRestParameter:()=>op,hasScopeMarker:()=>hu,hasStaticModifier:()=>Vb,hasSyntacticModifier:()=>Bb,hasSyntacticModifiers:()=>zb,hasTSFileExtension:()=>rx,hasTabstop:()=>uA,hasTrailingDirectorySeparator:()=>Zi,hasType:()=>Yu,hasTypeArguments:()=>uy,hasZeroOrOneAsteriskCharacter:()=>wT,helperString:()=>LI,hostGetCanonicalFileName:()=>Jv,hostUsesCaseSensitiveFileNames:()=>qv,idText:()=>Ll,identifierIsThisKeyword:()=>Tb,identifierToKeywordKind:()=>kl,identity:()=>Sn,identitySourceMapConsumer:()=>yG,ignoreSourceNewlines:()=>BR,ignoredPaths:()=>di,importDefaultHelper:()=>bI,importFromModuleSpecifier:()=>Wg,importNameElisionDisabled:()=>ST,importStarHelper:()=>vI,indexOfAnyCharCode:()=>O,indexOfNode:()=>Rm,indicesOf:()=>le,inferredTypesContainingFile:()=>vU,injectClassNamedEvaluationHelperBlockIfMissing:()=>GB,injectClassThisAssignmentIfMissing:()=>PB,insertImports:()=>IQ,insertLeadingStatement:()=>iP,insertSorted:()=>ue,insertStatementAfterCustomPrologue:()=>_m,insertStatementAfterStandardPrologue:()=>mm,insertStatementsAfterCustomPrologue:()=>fm,insertStatementsAfterStandardPrologue:()=>pm,intersperse:()=>I,intrinsicTagNameToString:()=>TA,introducesArgumentsExoticObject:()=>nh,inverseJsxOptionMap:()=>Ak,isAbstractConstructorSymbol:()=>AS,isAbstractModifier:()=>uN,isAccessExpression:()=>wS,isAccessibilityModifier:()=>W$,isAccessor:()=>Pd,isAccessorModifier:()=>fN,isAliasSymbolDeclaration:()=>Cy,isAliasableExpression:()=>Py,isAmbientModule:()=>km,isAmbientPropertyDeclaration:()=>Km,isAnonymousFunctionDefinition:()=>_v,isAnyDirectorySeparator:()=>Vi,isAnyImportOrBareOrAccessedRequire:()=>$m,isAnyImportOrReExport:()=>e_,isAnyImportSyntax:()=>Ym,isAnySupportedFileExtension:()=>vx,isApplicableVersionedTypesKey:()=>hW,isArgumentExpressionOfElementAccess:()=>AY,isArray:()=>pn,isArrayBindingElement:()=>Hd,isArrayBindingOrAssignmentElement:()=>Qd,isArrayBindingOrAssignmentPattern:()=>$d,isArrayBindingPattern:()=>oD,isArrayLiteralExpression:()=>aD,isArrayLiteralOrObjectLiteralDestructuringPattern:()=>G$,isArrayTypeNode:()=>zN,isArrowFunction:()=>hD,isAsExpression:()=>MD,isAssertClause:()=>bC,isAssertEntry:()=>EC,isAssertionExpression:()=>pu,isAssertsKeyword:()=>sN,isAssignmentDeclaration:()=>cg,isAssignmentExpression:()=>gE,isAssignmentOperator:()=>mE,isAssignmentPattern:()=>Ud,isAssignmentTarget:()=>my,isAsteriskToken:()=>YI,isAsyncFunction:()=>ev,isAsyncModifier:()=>aN,isAutoAccessorPropertyDeclaration:()=>Ld,isAwaitExpression:()=>bD,isAwaitKeyword:()=>lN,isBigIntLiteral:()=>WI,isBinaryExpression:()=>TD,isBinaryOperatorToken:()=>eL,isBindableObjectDefinePropertyCall:()=>Sg,isBindableStaticAccessExpression:()=>Ag,isBindableStaticElementAccessExpression:()=>Rg,isBindableStaticNameExpression:()=>Ig,isBindingElement:()=>iD,isBindingElementOfBareOrAccessedRequire:()=>og,isBindingName:()=>Sd,isBindingOrAssignmentElement:()=>qd,isBindingOrAssignmentPattern:()=>Jd,isBindingPattern:()=>Vd,isBlock:()=>GD,isBlockOrCatchScoped:()=>Pm,isBlockScope:()=>qm,isBlockScopedContainerTopLevel:()=>zm,isBooleanLiteral:()=>Rd,isBreakOrContinueStatement:()=>Vc,isBreakStatement:()=>$D,isBuildInfoFile:()=>bV,isBuilderProgram:()=>jK,isBundle:()=>oM,isBundleFileTextLike:()=>FS,isCallChain:()=>kc,isCallExpression:()=>dD,isCallExpressionTarget:()=>iY,isCallLikeExpression:()=>tu,isCallLikeOrFunctionLikeExpression:()=>nu,isCallOrNewExpression:()=>ru,isCallOrNewExpressionTarget:()=>sY,isCallSignatureDeclaration:()=>CN,isCallToHelper:()=>wI,isCaseBlock:()=>mC,isCaseClause:()=>JC,isCaseKeyword:()=>hN,isCaseOrDefaultClause:()=>Vu,isCatchClause:()=>$C,isCatchClauseVariableDeclaration:()=>Zx,isCatchClauseVariableDeclarationOrBindingElement:()=>Lm,isCheckJsEnabledForFile:()=>Ex,isChildOfNodeWithKind:()=>U_,isCircularBuildOrder:()=>xq,isClassDeclaration:()=>lC,isClassElement:()=>Cd,isClassExpression:()=>ND,isClassInstanceProperty:()=>kd,isClassLike:()=>Md,isClassMemberModifier:()=>yd,isClassNamedEvaluationHelperBlock:()=>FB,isClassOrTypeElement:()=>zd,isClassStaticBlockDeclaration:()=>RN,isClassThisAssignmentBlock:()=>CB,isCollapsedRange:()=>XE,isColonToken:()=>ZI,isCommaExpression:()=>hP,isCommaListExpression:()=>FD,isCommaSequence:()=>gP,isCommaToken:()=>qI,isComment:()=>L$,isCommonJsExportPropertyAssignment:()=>Z_,isCommonJsExportedExpression:()=>Q_,isCompoundAssignment:()=>YG,isComputedNonLiteralName:()=>a_,isComputedPropertyName:()=>yN,isConciseBody:()=>bu,isConditionalExpression:()=>xD,isConditionalTypeNode:()=>KN,isConstTypeReference:()=>Gc,isConstructSignatureDeclaration:()=>MN,isConstructorDeclaration:()=>IN,isConstructorTypeNode:()=>ON,isContextualKeyword:()=>Ky,isContinueStatement:()=>YD,isCustomPrologue:()=>O_,isDebuggerStatement:()=>oC,isDeclaration:()=>Pu,isDeclarationBindingElement:()=>Kd,isDeclarationFileName:()=>_k,isDeclarationName:()=>Ry,isDeclarationNameOfEnumOrNamespace:()=>cS,isDeclarationReadonly:()=>R_,isDeclarationStatement:()=>Lu,isDeclarationWithTypeParameterChildren:()=>Xm,isDeclarationWithTypeParameters:()=>Jm,isDecorator:()=>EN,isDecoratorTarget:()=>cY,isDefaultClause:()=>XC,isDefaultImport:()=>jg,isDefaultModifier:()=>iN,isDefaultedExpandoInitializer:()=>mg,isDeleteExpression:()=>gD,isDeleteTarget:()=>xy,isDeprecatedDeclaration:()=>E0,isDestructuringAssignment:()=>vE,isDiagnosticWithLocation:()=>i0,isDiskPathRoot:()=>Ki,isDoStatement:()=>HD,isDocumentRegistryEntry:()=>i1,isDotDotDotToken:()=>KI,isDottedName:()=>TE,isDynamicName:()=>ov,isESSymbolIdentifier:()=>fv,isEffectiveExternalModule:()=>Um,isEffectiveModuleDeclaration:()=>Fm,isEffectiveStrictModeSourceFile:()=>Hm,isElementAccessChain:()=>Lc,isElementAccessExpression:()=>cD,isEmittedFileOfProgram:()=>iU,isEmptyArrayLiteral:()=>LE,isEmptyBindingElement:()=>vl,isEmptyBindingPattern:()=>yl,isEmptyObjectLiteral:()=>PE,isEmptyStatement:()=>jD,isEmptyStringLiteral:()=>Wh,isEntityName:()=>bd,isEntityNameExpression:()=>EE,isEnumConst:()=>A_,isEnumDeclaration:()=>uC,isEnumMember:()=>nM,isEqualityOperatorKind:()=>wZ,isEqualsGreaterThanToken:()=>nN,isExclamationToken:()=>$I,isExcludedFile:()=>NO,isExclusivelyTypeOnlyImportOrExport:()=>jU,isExpandoPropertyDeclaration:()=>RA,isExportAssignment:()=>NC,isExportDeclaration:()=>DC,isExportModifier:()=>oN,isExportName:()=>pP,isExportNamespaceAsDefaultDeclaration:()=>Sm,isExportOrDefaultModifier:()=>rL,isExportSpecifier:()=>MC,isExportsIdentifier:()=>yg,isExportsOrModuleExportsOrAlias:()=>KW,isExpression:()=>uu,isExpressionNode:()=>Gh,isExpressionOfExternalModuleImportEqualsDeclaration:()=>DY,isExpressionOfOptionalChainRoot:()=>Fc,isExpressionStatement:()=>VD,isExpressionWithTypeArguments:()=>CD,isExpressionWithTypeArgumentsInClassExtendsClause:()=>bE,isExternalModule:()=>uk,isExternalModuleAugmentation:()=>Bm,isExternalModuleImportEqualsDeclaration:()=>Uh,isExternalModuleIndicator:()=>yu,isExternalModuleNameRelative:()=>Xs,isExternalModuleReference:()=>wC,isExternalModuleSymbol:()=>nQ,isExternalOrCommonJsModule:()=>T_,isFileLevelReservedGeneratedIdentifier:()=>fd,isFileLevelUniqueName:()=>om,isFileProbablyExternalModule:()=>WL,isFirstDeclarationOfSymbolParameter:()=>FQ,isFixablePromiseHandler:()=>a2,isForInOrOfStatement:()=>vu,isForInStatement:()=>JD,isForInitializer:()=>Su,isForOfStatement:()=>XD,isForStatement:()=>qD,isFunctionBlock:()=>rh,isFunctionBody:()=>Eu,isFunctionDeclaration:()=>sC,isFunctionExpression:()=>_D,isFunctionExpressionOrArrowFunction:()=>eA,isFunctionLike:()=>Td,isFunctionLikeDeclaration:()=>Ad,isFunctionLikeKind:()=>Nd,isFunctionLikeOrClassStaticBlockDeclaration:()=>xd,isFunctionOrConstructorTypeNode:()=>jd,isFunctionOrModuleBlock:()=>Dd,isFunctionSymbol:()=>Og,isFunctionTypeNode:()=>wN,isFutureReservedKeyword:()=>Jy,isGeneratedIdentifier:()=>ud,isGeneratedPrivateIdentifier:()=>pd,isGetAccessor:()=>Ju,isGetAccessorDeclaration:()=>NN,isGetOrSetAccessorDeclaration:()=>Mc,isGlobalDeclaration:()=>v0,isGlobalScopeAugmentation:()=>Gm,isGrammarError:()=>sm,isHeritageClause:()=>YC,isHoistedFunction:()=>F_,isHoistedVariableStatement:()=>z_,isIdentifier:()=>tN,isIdentifierANonContextualKeyword:()=>$y,isIdentifierName:()=>Dy,isIdentifierOrThisTypeNode:()=>HP,isIdentifierPart:()=>Ws,isIdentifierStart:()=>Fs,isIdentifierText:()=>zs,isIdentifierTypePredicate:()=>ah,isIdentifierTypeReference:()=>Ox,isIfStatement:()=>UD,isIgnoredFileFromWildCardWatching:()=>oU,isImplicitGlob:()=>VT,isImportAttribute:()=>TC,isImportAttributeName:()=>dd,isImportAttributes:()=>SC,isImportCall:()=>P_,isImportClause:()=>yC,isImportDeclaration:()=>gC,isImportEqualsDeclaration:()=>hC,isImportKeyword:()=>_N,isImportMeta:()=>L_,isImportOrExportSpecifier:()=>id,isImportOrExportSpecifierName:()=>sZ,isImportSpecifier:()=>IC,isImportTypeAssertionContainer:()=>vC,isImportTypeNode:()=>eD,isImportableFile:()=>k0,isInComment:()=>N$,isInCompoundLikeAssignment:()=>_y,isInExpressionContext:()=>Bh,isInJSDoc:()=>Zh,isInJSFile:()=>Yh,isInJSXText:()=>E$,isInJsonFile:()=>$h,isInNonReferenceComment:()=>j$,isInReferenceComment:()=>B$,isInRightSideOfInternalImportEqualsDeclaration:()=>oY,isInString:()=>g$,isInTemplateString:()=>b$,isInTopLevelContext:()=>Eh,isInTypeQuery:()=>Eb,isIncrementalCompilation:()=>ef,isIndexSignatureDeclaration:()=>PN,isIndexedAccessTypeNode:()=>$N,isInferTypeNode:()=>qN,isInfinityOrNaNString:()=>Qx,isInitializedProperty:()=>oB,isInitializedVariable:()=>uS,isInsideJsxElement:()=>S$,isInsideJsxElementOrAttribute:()=>y$,isInsideNodeModules:()=>o0,isInsideTemplateLiteral:()=>F$,isInstanceOfExpression:()=>CE,isInstantiatedModule:()=>qz,isInterfaceDeclaration:()=>cC,isInternalDeclaration:()=>sp,isInternalModuleImportEqualsDeclaration:()=>qh,isInternalName:()=>dP,isIntersectionTypeNode:()=>HN,isIntrinsicJsxName:()=>jv,isIterationStatement:()=>mu,isJSDoc:()=>bM,isJSDocAllType:()=>pM,isJSDocAugmentsTag:()=>TM,isJSDocAuthorTag:()=>xM,isJSDocCallbackTag:()=>RM,isJSDocClassTag:()=>AM,isJSDocCommentContainingNode:()=>Hu,isJSDocConstructSignature:()=>Hg,isJSDocDeprecatedTag:()=>LM,isJSDocEnumTag:()=>wM,isJSDocFunctionType:()=>gM,isJSDocImplementsTag:()=>UM,isJSDocIndexSignature:()=>eg,isJSDocLikeText:()=>FL,isJSDocLink:()=>cM,isJSDocLinkCode:()=>dM,isJSDocLinkLike:()=>rp,isJSDocLinkPlain:()=>uM,isJSDocMemberName:()=>lM,isJSDocNameReference:()=>sM,isJSDocNamepathType:()=>vM,isJSDocNamespaceBody:()=>Au,isJSDocNode:()=>Uu,isJSDocNonNullableType:()=>_M,isJSDocNullableType:()=>mM,isJSDocOptionalParameter:()=>pA,isJSDocOptionalType:()=>hM,isJSDocOverloadTag:()=>PM,isJSDocOverrideTag:()=>MM,isJSDocParameterTag:()=>OM,isJSDocPrivateTag:()=>NM,isJSDocPropertyLikeTag:()=>qc,isJSDocPropertyTag:()=>VM,isJSDocProtectedTag:()=>DM,isJSDocPublicTag:()=>IM,isJSDocReadonlyTag:()=>CM,isJSDocReturnTag:()=>FM,isJSDocSatisfiesExpression:()=>_A,isJSDocSatisfiesTag:()=>HM,isJSDocSeeTag:()=>kM,isJSDocSignature:()=>SM,isJSDocTag:()=>Ku,isJSDocTemplateTag:()=>GM,isJSDocThisTag:()=>WM,isJSDocThrowsTag:()=>KM,isJSDocTypeAlias:()=>Kg,isJSDocTypeAssertion:()=>yP,isJSDocTypeExpression:()=>aM,isJSDocTypeLiteral:()=>EM,isJSDocTypeTag:()=>zM,isJSDocTypedefTag:()=>BM,isJSDocUnknownTag:()=>jM,isJSDocUnknownType:()=>fM,isJSDocVariadicType:()=>yM,isJSXTagName:()=>zh,isJsonEqual:()=>Dx,isJsonSourceFile:()=>x_,isJsxAttribute:()=>VC,isJsxAttributeLike:()=>Gu,isJsxAttributeName:()=>bA,isJsxAttributes:()=>UC,isJsxChild:()=>zu,isJsxClosingElement:()=>zC,isJsxClosingFragment:()=>jC,isJsxElement:()=>OC,isJsxExpression:()=>KC,isJsxFragment:()=>GC,isJsxNamespacedName:()=>qC,isJsxOpeningElement:()=>WC,isJsxOpeningFragment:()=>BC,isJsxOpeningLikeElement:()=>ju,isJsxOpeningLikeElementTagName:()=>dY,isJsxSelfClosingElement:()=>FC,isJsxSpreadAttribute:()=>HC,isJsxTagNameExpression:()=>Wu,isJsxText:()=>GI,isJumpStatementTarget:()=>vY,isKeyword:()=>Vy,isKeywordOrPunctuation:()=>Hy,isKnownSymbol:()=>uv,isLabelName:()=>EY,isLabelOfLabeledStatement:()=>bY,isLabeledStatement:()=>nC,isLateVisibilityPaintedStatement:()=>Qm,isLeftHandSideExpression:()=>iu,isLeftHandSideOfAssignment:()=>yE,isLet:()=>C_,isLineBreak:()=>ys,isLiteralComputedPropertyDeclarationName:()=>Ny,isLiteralExpression:()=>ed,isLiteralExpressionOfObject:()=>nd,isLiteralImportTypeNode:()=>k_,isLiteralKind:()=>Zc,isLiteralLikeAccess:()=>Tg,isLiteralLikeElementAccess:()=>xg,isLiteralNameOfPropertyDeclarationOrIndexAccess:()=>NY,isLiteralTypeLikeExpression:()=>XP,isLiteralTypeLiteral:()=>du,isLiteralTypeNode:()=>ZN,isLocalName:()=>uP,isLogicalOperator:()=>cE,isLogicalOrCoalescingAssignmentExpression:()=>uE,isLogicalOrCoalescingAssignmentOperator:()=>dE,isLogicalOrCoalescingBinaryExpression:()=>fE,isLogicalOrCoalescingBinaryOperator:()=>pE,isMappedTypeNode:()=>QN,isMemberName:()=>Cc,isMetaProperty:()=>kD,isMethodDeclaration:()=>AN,isMethodOrAccessor:()=>wd,isMethodSignature:()=>xN,isMinusToken:()=>XI,isMissingDeclaration:()=>PC,isMissingPackageJsonInfo:()=>vF,isModifier:()=>vd,isModifierKind:()=>hd,isModifierLike:()=>Fd,isModuleAugmentationExternal:()=>jm,isModuleBlock:()=>fC,isModuleBody:()=>Tu,isModuleDeclaration:()=>pC,isModuleExportsAccessExpression:()=>bg,isModuleIdentifier:()=>vg,isModuleName:()=>JP,isModuleOrEnumDeclaration:()=>Iu,isModuleReference:()=>Fu,isModuleSpecifierLike:()=>EQ,isModuleWithStringLiteralName:()=>wm,isNameOfFunctionDeclaration:()=>IY,isNameOfModuleDeclaration:()=>RY,isNamedClassElement:()=>Od,isNamedDeclaration:()=>Gl,isNamedEvaluation:()=>gv,isNamedEvaluationSource:()=>hv,isNamedExportBindings:()=>Uc,isNamedExports:()=>CC,isNamedImportBindings:()=>Ru,isNamedImports:()=>RC,isNamedImportsOrExports:()=>WS,isNamedTupleMember:()=>BN,isNamespaceBody:()=>xu,isNamespaceExport:()=>AC,isNamespaceExportDeclaration:()=>_C,isNamespaceImport:()=>xC,isNamespaceReexportDeclaration:()=>Vh,isNewExpression:()=>uD,isNewExpressionTarget:()=>aY,isNoSubstitutionTemplateLiteral:()=>jI,isNode:()=>Jc,isNodeArray:()=>Qc,isNodeArrayMultiLine:()=>oS,isNodeDescendantOf:()=>Ay,isNodeKind:()=>Xc,isNodeLikeSystem:()=>Et,isNodeModulesDirectory:()=>wa,isNodeWithPossibleHoistedDeclaration:()=>hy,isNonContextualKeyword:()=>qy,isNonExportDefaultModifier:()=>oL,isNonGlobalAmbientModule:()=>Om,isNonGlobalDeclaration:()=>b0,isNonNullAccess:()=>mA,isNonNullChain:()=>jc,isNonNullExpression:()=>LD,isNonStaticMethodOrAccessorWithPrivateName:()=>iB,isNotEmittedOrPartiallyEmittedNode:()=>fu,isNotEmittedStatement:()=>LC,isNullishCoalesce:()=>zc,isNumber:()=>_n,isNumericLiteral:()=>FI,isNumericLiteralName:()=>tA,isObjectBindingElementWithoutPropertyName:()=>SQ,isObjectBindingOrAssignmentElement:()=>Yd,isObjectBindingOrAssignmentPattern:()=>Xd,isObjectBindingPattern:()=>rD,isObjectLiteralElement:()=>Zu,isObjectLiteralElementLike:()=>Gd,isObjectLiteralExpression:()=>sD,isObjectLiteralMethod:()=>oh,isObjectLiteralOrClassExpressionMethodOrAccessor:()=>ih,isObjectTypeDeclaration:()=>LS,isOctalDigit:()=>Es,isOmittedExpression:()=>DD,isOptionalChain:()=>wc,isOptionalChainRoot:()=>Oc,isOptionalDeclaration:()=>fA,isOptionalJSDocPropertyLikeTag:()=>cA,isOptionalTypeNode:()=>jN,isOuterExpression:()=>bP,isOutermostOptionalChain:()=>Wc,isOverrideModifier:()=>pN,isPackageJsonInfo:()=>yF,isPackedArrayLiteral:()=>qx,isParameter:()=>bN,isParameterDeclaration:()=>vv,isParameterPropertyDeclaration:()=>gl,isParameterPropertyModifier:()=>gd,isParenthesizedExpression:()=>mD,isParenthesizedTypeNode:()=>JN,isParseTreeNode:()=>Dl,isPartOfTypeNode:()=>j_,isPartOfTypeQuery:()=>jh,isPartiallyEmittedExpression:()=>OD,isPatternMatch:()=>dt,isPinnedComment:()=>gm,isPlainJsFile:()=>Zf,isPlusToken:()=>JI,isPossiblyTypeArgumentPosition:()=>A$,isPostfixUnaryExpression:()=>SD,isPrefixUnaryExpression:()=>ED,isPrivateIdentifier:()=>rN,isPrivateIdentifierClassElementDeclaration:()=>md,isPrivateIdentifierPropertyAccessExpression:()=>_d,isPrivateIdentifierSymbol:()=>pv,isProgramBundleEmitBuildInfo:()=>HH,isProgramUptoDate:()=>iH,isPrologueDirective:()=>w_,isPropertyAccessChain:()=>Pc,isPropertyAccessEntityNameExpression:()=>xE,isPropertyAccessExpression:()=>lD,isPropertyAccessOrQualifiedName:()=>eu,isPropertyAccessOrQualifiedNameOrImportTypeNode:()=>Zd,isPropertyAssignment:()=>QC,isPropertyDeclaration:()=>TN,isPropertyName:()=>Ed,isPropertyNameLiteral:()=>av,isPropertySignature:()=>SN,isProtoSetter:()=>mv,isPrototypeAccess:()=>RE,isPrototypePropertyAssignment:()=>Lg,isPunctuation:()=>Uy,isPushOrUnshiftIdentifier:()=>yv,isQualifiedName:()=>gN,isQuestionDotToken:()=>eN,isQuestionOrExclamationToken:()=>UP,isQuestionOrPlusOrMinusToken:()=>qP,isQuestionToken:()=>QI,isRawSourceMap:()=>xG,isReadonlyKeyword:()=>cN,isReadonlyKeywordOrPlusOrMinusToken:()=>KP,isRecognizedTripleSlashComment:()=>hm,isReferenceFileLocation:()=>rH,isReferencedFile:()=>tH,isRegularExpressionLiteral:()=>BI,isRequireCall:()=>ng,isRequireVariableStatement:()=>ag,isRestParameter:()=>ip,isRestTypeNode:()=>VN,isReturnStatement:()=>QD,isReturnStatementWithFixablePromiseHandler:()=>i2,isRightSideOfAccessExpression:()=>NE,isRightSideOfInstanceofExpression:()=>ME,isRightSideOfPropertyAccess:()=>xY,isRightSideOfQualifiedName:()=>TY,isRightSideOfQualifiedNameOrPropertyAccess:()=>IE,isRightSideOfQualifiedNameOrPropertyAccessOrJSDocMemberName:()=>DE,isRootedDiskPath:()=>Hi,isSameEntityName:()=>hg,isSatisfiesExpression:()=>PD,isScopeMarker:()=>_u,isSemicolonClassElement:()=>zD,isSetAccessor:()=>qu,isSetAccessorDeclaration:()=>DN,isShebangTrivia:()=>Rs,isShiftOperatorOrHigher:()=>YP,isShorthandAmbientModuleSymbol:()=>Wm,isShorthandPropertyAssignment:()=>ZC,isSignedNumericLiteral:()=>tv,isSimpleCopiableExpression:()=>JG,isSimpleInlineableExpression:()=>XG,isSimpleParameter:()=>_B,isSimpleParameterList:()=>hB,isSingleOrDoubleQuote:()=>sg,isSourceFile:()=>rM,isSourceFileFromLibrary:()=>I0,isSourceFileJS:()=>Jh,isSourceFileNotJS:()=>Xh,isSourceFileNotJson:()=>Qh,isSourceMapping:()=>NG,isSpecialPropertyDeclaration:()=>kg,isSpreadAssignment:()=>eM,isSpreadElement:()=>ID,isStatement:()=>wu,isStatementButNotDeclaration:()=>ku,isStatementOrBlock:()=>Ou,isStatementWithLocals:()=>em,isStatic:()=>jb,isStaticModifier:()=>dN,isString:()=>mn,isStringAKeyword:()=>Yy,isStringANonContextualKeyword:()=>Xy,isStringAndEmptyAnonymousObjectIntersection:()=>O$,isStringDoubleQuoted:()=>lg,isStringLiteral:()=>zI,isStringLiteralLike:()=>tp,isStringLiteralOrJsxExpression:()=>Bu,isStringLiteralOrTemplate:()=>OZ,isStringOrNumericLiteralLike:()=>nv,isStringOrRegularExpressionOrTemplateLiteral:()=>k$,isStringTextContainingNode:()=>cd,isSuperCall:()=>M_,isSuperKeyword:()=>mN,isSuperOrSuperProperty:()=>Ah,isSuperProperty:()=>Rh,isSupportedSourceFileName:()=>ax,isSwitchStatement:()=>eC,isSyntaxList:()=>qM,isSyntheticExpression:()=>wD,isSyntheticReference:()=>kC,isTagName:()=>SY,isTaggedTemplateExpression:()=>pD,isTaggedTemplateTag:()=>lY,isTemplateExpression:()=>AD,isTemplateHead:()=>VI,isTemplateLiteral:()=>ou,isTemplateLiteralKind:()=>td,isTemplateLiteralToken:()=>rd,isTemplateLiteralTypeNode:()=>tD,isTemplateLiteralTypeSpan:()=>nD,isTemplateMiddle:()=>UI,isTemplateMiddleOrTemplateTail:()=>od,isTemplateSpan:()=>WD,isTemplateTail:()=>HI,isTextWhiteSpaceLike:()=>LQ,isThis:()=>PY,isThisContainerOrFunctionBlock:()=>bh,isThisIdentifier:()=>bb,isThisInTypeQuery:()=>Sb,isThisInitializedDeclaration:()=>Nh,isThisInitializedObjectBindingExpression:()=>Dh,isThisProperty:()=>Ih,isThisTypeNode:()=>XN,isThisTypeParameter:()=>oA,isThisTypePredicate:()=>sh,isThrowStatement:()=>tC,isToken:()=>$c,isTokenKind:()=>Yc,isTraceEnabled:()=>XO,isTransientSymbol:()=>Pf,isTrivia:()=>Qy,isTryStatement:()=>rC,isTupleTypeNode:()=>GN,isTypeAlias:()=>qg,isTypeAliasDeclaration:()=>dC,isTypeAssertionExpression:()=>fD,isTypeDeclaration:()=>sA,isTypeElement:()=>Wd,isTypeKeyword:()=>Q$,isTypeKeywordToken:()=>Z$,isTypeKeywordTokenOrIdentifier:()=>eQ,isTypeLiteralNode:()=>WN,isTypeNode:()=>Bd,isTypeNodeKind:()=>kS,isTypeOfExpression:()=>yD,isTypeOnlyExportDeclaration:()=>sd,isTypeOnlyImportDeclaration:()=>ad,isTypeOnlyImportOrExportDeclaration:()=>ld,isTypeOperatorNode:()=>YN,isTypeParameterDeclaration:()=>vN,isTypePredicateNode:()=>LN,isTypeQueryNode:()=>FN,isTypeReferenceNode:()=>kN,isTypeReferenceType:()=>ep,isTypeUsableAsPropertyName:()=>xA,isUMDExportSymbol:()=>DS,isUnaryExpression:()=>su,isUnaryExpressionWithWrite:()=>cu,isUnicodeIdentifierStart:()=>is,isUnionTypeNode:()=>UN,isUnparsedNode:()=>Kc,isUnparsedPrepend:()=>tM,isUnparsedSource:()=>iM,isUnparsedTextLike:()=>Hc,isUrl:()=>Ui,isValidBigIntString:()=>kx,isValidESSymbolDeclaration:()=>eh,isValidTypeOnlyAliasUseSite:()=>wx,isValueSignatureDeclaration:()=>gy,isVarAwaitUsing:()=>I_,isVarConst:()=>D_,isVarUsing:()=>N_,isVariableDeclaration:()=>iC,isVariableDeclarationInVariableStatement:()=>$_,isVariableDeclarationInitializedToBareOrAccessedRequire:()=>rg,isVariableDeclarationInitializedToRequire:()=>tg,isVariableDeclarationList:()=>aC,isVariableLike:()=>X_,isVariableLikeOrAccessor:()=>Y_,isVariableStatement:()=>BD,isVoidExpression:()=>vD,isWatchSet:()=>pS,isWhileStatement:()=>KD,isWhiteSpaceLike:()=>hs,isWhiteSpaceSingleLine:()=>gs,isWithStatement:()=>ZD,isWriteAccess:()=>vS,isWriteOnlyAccess:()=>yS,isYieldExpression:()=>RD,jsxModeNeedsExplicitImport:()=>R0,keywordPart:()=>BQ,last:()=>ke,lastOrUndefined:()=>Le,length:()=>b,libMap:()=>Nk,libs:()=>Ik,lineBreakPart:()=>nZ,linkNamePart:()=>$Q,linkPart:()=>QQ,linkTextPart:()=>YQ,listFiles:()=>VK,loadModuleFromGlobalCache:()=>MW,loadWithModeAwareCache:()=>YU,makeIdentifierFromModuleName:()=>Mm,makeImport:()=>mQ,makeImportIfNecessary:()=>fQ,makeStringLiteral:()=>_Q,mangleScopedPackageName:()=>xW,map:()=>B,mapAllOrFail:()=>X,mapDefined:()=>Y,mapDefinedEntries:()=>Q,mapDefinedIterator:()=>$,mapEntries:()=>re,mapIterator:()=>j,mapOneOrMany:()=>d0,mapToDisplayParts:()=>tZ,matchFiles:()=>XT,matchPatternOrExact:()=>Sx,matchedText:()=>it,matchesExclude:()=>CO,maybeBind:()=>an,maybeSetLocalizedDiagnosticMessages:()=>ZS,memoize:()=>Rn,memoizeCached:()=>Dn,memoizeOne:()=>In,memoizeWeak:()=>Nn,metadataHelper:()=>QR,min:()=>Fn,minAndMax:()=>Ax,missingFileModifiedTime:()=>ai,modifierToFlag:()=>sE,modifiersToFlags:()=>aE,moduleOptionDeclaration:()=>Pk,moduleResolutionIsEqualTo:()=>Uf,moduleResolutionNameAndModeGetter:()=>gU,moduleResolutionOptionDeclarations:()=>Wk,moduleResolutionSupportsPackageJsonExportsAndImports:()=>AT,moduleResolutionUsesNodeModules:()=>pQ,moduleSpecifiers:()=>Iz,moveEmitHelpers:()=>WR,moveRangeEnd:()=>HE,moveRangePastDecorators:()=>qE,moveRangePastModifiers:()=>JE,moveRangePos:()=>KE,moveSyntheticComments:()=>MR,mutateMap:()=>xS,mutateMapSkippingNewValues:()=>TS,needsParentheses:()=>PZ,needsScopeMarker:()=>gu,newCaseClauseTracker:()=>N0,newPrivateEnvironment:()=>uB,noEmitNotification:()=>uV,noEmitSubstitution:()=>dV,noTransformers:()=>nV,noTruncationMaximumTruncationLength:()=>up,nodeCanBeDecorated:()=>Ph,nodeHasName:()=>Wl,nodeIsDecorated:()=>Lh,nodeIsMissing:()=>im,nodeIsPresent:()=>am,nodeIsSynthesized:()=>Sv,nodeModuleNameResolver:()=>GF,nodeModulesPathPart:()=>HO,nodeNextJsonConfigResolver:()=>BF,nodeOrChildIsDecorated:()=>kh,nodeOverlapsWithStartEnd:()=>BY,nodePosToString:()=>tm,nodeSeenTracker:()=>tQ,nodeStartsNewLexicalEnvironment:()=>Ev,nodeToDisplayParts:()=>aZ,noop:()=>yn,noopFileWatcher:()=>NK,normalizePath:()=>_a,normalizeSlashes:()=>ca,not:()=>ft,notImplemented:()=>An,notImplementedResolver:()=>mV,nullNodeConverters:()=>wA,nullParenthesizerRules:()=>PA,nullTransformationContext:()=>tV,objectAllocator:()=>Wp,operatorPart:()=>VQ,optionDeclarations:()=>kk,optionMapToObject:()=>Hw,optionsAffectingProgramStructure:()=>Gk,optionsForBuild:()=>jk,optionsForWatch:()=>Dk,optionsHaveChanges:()=>Of,optionsHaveModuleResolutionChanges:()=>kf,or:()=>pt,orderedRemoveItem:()=>Zn,orderedRemoveItemAt:()=>et,outFile:()=>ob,packageIdToPackageName:()=>Kf,packageIdToString:()=>qf,paramHelper:()=>ZR,parameterIsThisKeyword:()=>vb,parameterNamePart:()=>UQ,parseBaseNodeFactory:()=>RL,parseBigInt:()=>Px,parseBuildCommand:()=>Iw,parseCommandLine:()=>Tw,parseCommandLineWorker:()=>Ew,parseConfigFileTextToJson:()=>Mw,parseConfigFileWithSystem:()=>OK,parseConfigHostFromCompilerHostLike:()=>pH,parseCustomTypeOption:()=>gw,parseIsolatedEntityName:()=>ck,parseIsolatedJSDocComment:()=>fk,parseJSDocTypeExpressionForTests:()=>mk,parseJsonConfigFileContent:()=>tO,parseJsonSourceFileConfigFileContent:()=>rO,parseJsonText:()=>dk,parseListTypeOption:()=>yw,parseNodeFactory:()=>IL,parseNodeModuleFromPath:()=>KF,parsePackageName:()=>dW,parsePseudoBigInt:()=>Cx,parseValidBigInt:()=>Lx,patchWriteFileEnsuringDirectory:()=>wi,pathContainsNodeModules:()=>HF,pathIsAbsolute:()=>qi,pathIsBareSpecifier:()=>Xi,pathIsRelative:()=>Ji,patternText:()=>ot,perfLogger:()=>or,performIncrementalCompilation:()=>lq,performance:()=>Dr,plainJSErrors:()=>bU,positionBelongsToNode:()=>VY,positionIsASICandidate:()=>UZ,positionIsSynthesized:()=>_x,positionsAreOnSameLine:()=>iS,preProcessFile:()=>q1,probablyUsesSemicolons:()=>HZ,processCommentPragmas:()=>gk,processPragmasIntoFields:()=>yk,processTaggedTemplateExpression:()=>HB,programContainsEsModules:()=>lQ,programContainsModules:()=>sQ,projectReferenceIsEqualTo:()=>Vf,propKeyHelper:()=>fI,propertyNamePart:()=>HQ,pseudoBigIntToString:()=>Mx,punctuationPart:()=>jQ,pushIfUnique:()=>Se,quote:()=>kZ,quotePreferenceFromString:()=>hQ,rangeContainsPosition:()=>OY,rangeContainsPositionExclusive:()=>FY,rangeContainsRange:()=>kY,rangeContainsRangeExclusive:()=>wY,rangeContainsStartEnd:()=>zY,rangeEndIsOnSameLineAsRangeStart:()=>nS,rangeEndPositionsAreOnSameLine:()=>ZE,rangeEquals:()=>Ne,rangeIsOnSingleLine:()=>$E,rangeOfNode:()=>Rx,rangeOfTypeParameters:()=>Ix,rangeOverlapsWithStartEnd:()=>GY,rangeStartIsOnSameLineAsRangeEnd:()=>eS,rangeStartPositionsAreOnSameLine:()=>QE,readBuilderProgram:()=>dq,readConfigFile:()=>Cw,readHelper:()=>uI,readJson:()=>GE,readJsonConfigFile:()=>Pw,readJsonOrUndefined:()=>zE,reduceEachLeadingCommentRange:()=>Ms,reduceEachTrailingCommentRange:()=>Ps,reduceLeft:()=>Be,reduceLeftIterator:()=>A,reducePathComponents:()=>da,refactor:()=>P5,regExpEscape:()=>zT,relativeComplement:()=>ge,removeAllComments:()=>pR,removeEmitHelper:()=>OR,removeExtension:()=>ux,removeFileExtension:()=>cx,removeIgnoredPath:()=>cK,removeMinAndVersionNumbers:()=>Qn,removeOptionality:()=>x$,removePrefix:()=>lt,removeSuffix:()=>Yn,removeTrailingDirectorySeparator:()=>ya,repeatString:()=>oQ,replaceElement:()=>We,replaceFirstStar:()=>NA,resolutionExtensionIsTSOrJson:()=>gx,resolveConfigFileProjectName:()=>gq,resolveJSModule:()=>FF,resolveLibrary:()=>LF,resolveModuleName:()=>wF,resolveModuleNameFromCache:()=>kF,resolvePackageNameToPackageJson:()=>hF,resolvePath:()=>pa,resolveProjectReferencePath:()=>mH,resolveTripleslashReference:()=>xU,resolveTypeReferenceDirective:()=>fF,resolvingEmptyArray:()=>lp,restHelper:()=>sI,returnFalse:()=>vn,returnNoopFileWatcher:()=>DK,returnTrue:()=>bn,returnUndefined:()=>En,returnsPromise:()=>o2,runInitializersHelper:()=>nI,sameFlatMap:()=>J,sameMap:()=>V,sameMapping:()=>IG,scanShebangTrivia:()=>Is,scanTokenAtPosition:()=>E_,scanner:()=>KX,screenStartingMessageCodes:()=>IK,semanticDiagnosticsOptionDeclarations:()=>wk,serializeCompilerOptions:()=>Xw,server:()=>Kbe,servicesVersion:()=>V5,setCommentRange:()=>xR,setConfigFileInOptions:()=>oO,setConstantValue:()=>LR,setEachParent:()=>Ux,setEmitFlags:()=>fR,setFunctionNameHelper:()=>mI,setGetSourceFileAsHashVersioned:()=>tq,setIdentifierAutoGenerate:()=>KR,setIdentifierGeneratedImportReference:()=>JR,setIdentifierTypeArguments:()=>UR,setInternalEmitFlags:()=>_R,setLocalizedDiagnosticMessages:()=>QS,setModuleDefaultHelper:()=>yI,setNodeFlags:()=>jx,setObjectAllocator:()=>YS,setOriginalNode:()=>lR,setParent:()=>Vx,setParentRecursive:()=>Hx,setPrivateIdentifier:()=>fB,setSnippetElement:()=>GR,setSourceMapRange:()=>yR,setStackTraceLimit:()=>hi,setStartsOnNewLine:()=>SR,setSyntheticLeadingComments:()=>RR,setSyntheticTrailingComments:()=>DR,setSys:()=>Oi,setSysLog:()=>Ci,setTextRange:()=>yL,setTextRangeEnd:()=>zx,setTextRangePos:()=>Wx,setTextRangePosEnd:()=>Gx,setTextRangePosWidth:()=>Bx,setTokenSourceMapRange:()=>bR,setTypeNode:()=>jR,setUILocale:()=>Vn,setValueDeclaration:()=>wg,shouldAllowImportingTsExtension:()=>CW,shouldPreserveConstEnums:()=>Zp,shouldUseUriStyleNodeCoreModules:()=>S0,showModuleSpecifier:()=>CS,signatureHasLiteralTypes:()=>eG,signatureHasRestParameter:()=>Zz,signatureToDisplayParts:()=>iZ,single:()=>Oe,singleElementArray:()=>_t,singleIterator:()=>ne,singleOrMany:()=>Fe,singleOrUndefined:()=>we,skipAlias:()=>hS,skipAssertions:()=>TP,skipConstraint:()=>iQ,skipOuterExpressions:()=>EP,skipParentheses:()=>Ty,skipPartiallyEmittedExpressions:()=>Bc,skipTrivia:()=>Ts,skipTypeChecking:()=>Nx,skipTypeParentheses:()=>Sy,skipWhile:()=>bt,sliceAfter:()=>Tx,some:()=>oe,sort:()=>Ae,sortAndDeduplicate:()=>pe,sortAndDeduplicateDiagnostics:()=>Ys,sourceFileAffectingCompilerOptions:()=>zk,sourceFileMayBeEmitted:()=>sb,sourceMapCommentRegExp:()=>hG,sourceMapCommentRegExpDontCareLineStart:()=>_G,spacePart:()=>GQ,spanMap:()=>te,spreadArrayHelper:()=>pI,stableSort:()=>Ie,startEndContainsRange:()=>WY,startEndOverlapsWithStartEnd:()=>jY,startOnNewLine:()=>xP,startTracing:()=>Pr,startsWith:()=>st,startsWithDirectory:()=>Na,startsWithUnderscore:()=>y0,startsWithUseStrict:()=>_P,stringContainsAt:()=>g0,stringToToken:()=>ss,stripQuotes:()=>Bv,supportedDeclarationExtensions:()=>Ef,supportedJSExtensions:()=>gf,supportedJSExtensionsFlat:()=>yf,supportedLocaleDirectories:()=>Ks,supportedTSExtensions:()=>ff,supportedTSExtensionsFlat:()=>mf,supportedTSImplementationExtensions:()=>Sf,suppressLeadingAndTrailingTrivia:()=>vZ,suppressLeadingTrivia:()=>bZ,suppressTrailingTrivia:()=>EZ,symbolEscapedNameNoDefault:()=>bQ,symbolName:()=>wl,symbolNameNoDefault:()=>vQ,symbolPart:()=>WQ,symbolToDisplayParts:()=>oZ,syntaxMayBeASICandidate:()=>eY,syntaxRequiresTrailingSemicolonOrASI:()=>VZ,sys:()=>fi,sysLog:()=>Di,tagNamesAreEquivalent:()=>Sk,takeWhile:()=>vt,targetOptionDeclaration:()=>Mk,templateObjectHelper:()=>dI,testFormatSettings:()=>PX,textChangeRangeIsUnchanged:()=>fl,textChangeRangeNewSpan:()=>pl,textChanges:()=>p_e,textOrKeywordPart:()=>KQ,textPart:()=>qQ,textRangeContainsPositionInclusive:()=>nl,textSpanContainsPosition:()=>el,textSpanContainsTextSpan:()=>tl,textSpanEnd:()=>Qs,textSpanIntersection:()=>cl,textSpanIntersectsWith:()=>al,textSpanIntersectsWithPosition:()=>ll,textSpanIntersectsWithTextSpan:()=>il,textSpanIsEmpty:()=>Zs,textSpanOverlap:()=>ol,textSpanOverlapsWith:()=>rl,textSpansEqual:()=>DQ,textToKeywordObj:()=>za,timestamp:()=>Zt,toArray:()=>fn,toBuilderFileEmit:()=>ZH,toBuilderStateFileInfoForMultiEmit:()=>QH,toEditorSettings:()=>m7,toFileNameLowerCase:()=>xn,toLowerCase:()=>Tn,toPath:()=>ga,toProgramEmitPending:()=>eK,tokenIsIdentifierOrKeyword:()=>ts,tokenIsIdentifierOrKeywordOrGreaterThan:()=>rs,tokenToString:()=>as,trace:()=>JO,tracing:()=>Cr,tracingEnabled:()=>Mr,transform:()=>N7,transformClassFields:()=>QB,transformDeclarations:()=>Qj,transformECMAScriptModule:()=>jj,transformES2015:()=>Mj,transformES2016:()=>Nj,transformES2017:()=>sj,transformES2018:()=>dj,transformES2019:()=>pj,transformES2020:()=>mj,transformES2021:()=>hj,transformES5:()=>Lj,transformESDecorators:()=>ij,transformESNext:()=>yj,transformGenerators:()=>wj,transformJsx:()=>Rj,transformLegacyDecorators:()=>rj,transformModule:()=>Wj,transformNamedEvaluation:()=>jB,transformNodeModule:()=>Uj,transformNodes:()=>pV,transformSystemModule:()=>Gj,transformTypeScript:()=>YB,transpile:()=>h2,transpileModule:()=>_2,transpileOptionValueCompilerOptions:()=>Bk,tryAddToSet:()=>ee,tryAndIgnoreErrors:()=>YZ,tryCast:()=>hn,tryDirectoryExists:()=>XZ,tryExtractTSExtension:()=>wE,tryFileExists:()=>JZ,tryGetClassExtendingExpressionWithTypeArguments:()=>_E,tryGetClassImplementingOrExtendingExpressionWithTypeArguments:()=>hE,tryGetDirectories:()=>KZ,tryGetExtensionFromPath:()=>bx,tryGetImportFromModuleSpecifier:()=>zg,tryGetJSDocSatisfiesTypeNode:()=>gA,tryGetModuleNameFromFile:()=>MP,tryGetModuleSpecifierFromDeclaration:()=>Fg,tryGetNativePerformanceHooks:()=>tr,tryGetPropertyAccessOrIdentifierToString:()=>AE,tryGetPropertyNameOfBindingOrAssignmentElement:()=>OP,tryGetSourceMappingURL:()=>SG,tryGetTextOfPropertyName:()=>s_,tryIOAndConsumeErrors:()=>$Z,tryParseJson:()=>BE,tryParsePattern:()=>fx,tryParsePatterns:()=>mx,tryParseRawSourceMap:()=>AG,tryReadDirectory:()=>qZ,tryReadFile:()=>Lw,tryRemoveDirectoryPrefix:()=>WT,tryRemoveExtension:()=>dx,tryRemovePrefix:()=>ct,tryRemoveSuffix:()=>$n,typeAcquisitionDeclarations:()=>Uk,typeAliasNamePart:()=>JQ,typeDirectiveIsEqualTo:()=>Jf,typeKeywords:()=>XX,typeParameterNamePart:()=>XQ,typeToDisplayParts:()=>rZ,unchangedPollThresholds:()=>ci,unchangedTextChangeRange:()=>Hs,unescapeLeadingUnderscores:()=>Pl,unmangleScopedPackageName:()=>RW,unorderedRemoveItem:()=>tt,unorderedRemoveItemAt:()=>nt,unreachableCodeIsError:()=>TT,unusedLabelIsError:()=>xT,unwrapInnermostStatementOfLabel:()=>th,updateErrorForNoInputFiles:()=>uO,updateLanguageServiceSourceFile:()=>E7,updateMissingFilePathsWatch:()=>tU,updateResolutionField:()=>oF,updateSharedExtendedConfigFileWatcher:()=>ZV,updateSourceFile:()=>pk,updateWatchingWildcardDirectories:()=>rU,usesExtensionsOnImports:()=>ox,usingSingleLineStringWriter:()=>Bf,utf16EncodeAsString:()=>Us,validateLocaleAndSetLanguage:()=>Rl,valuesHelper:()=>_I,version:()=>t,versionMajorMinor:()=>n,visitArray:()=>iG,visitCommaListElements:()=>pG,visitEachChild:()=>fG,visitFunctionBody:()=>dG,visitIterationBody:()=>uG,visitLexicalEnvironment:()=>sG,visitNode:()=>rG,visitNodes:()=>oG,visitParameterList:()=>lG,walkUpBindingElementsAndPatterns:()=>bl,walkUpLexicalEnvironments:()=>dB,walkUpOuterExpressions:()=>SP,walkUpParenthesizedExpressions:()=>by,walkUpParenthesizedTypes:()=>vy,walkUpParenthesizedTypesAndGetParentAndChild:()=>Ey,whitespaceOrMapCommentRegExp:()=>gG,writeCommentRange:()=>wb,writeFile:()=>db,writeFileEnsuringDirectories:()=>pb,zipWith:()=>R});var Xbe=g({"src/server/_namespaces/ts.ts"(){JJ(),UX(),Tge(),kge(),qbe()}}),Ybe={};y(Ybe,{ActionInvalidate:()=>WJ,ActionPackageInstalled:()=>zJ,ActionSet:()=>FJ,ActionWatchTypingLocations:()=>UJ,Arguments:()=>HJ,AutoImportProviderProject:()=>Bye,AuxiliaryProject:()=>zye,CharRangeSection:()=>Pbe,CloseFileWatcherEvent:()=>fve,CommandNames:()=>rbe,ConfigFileDiagEvent:()=>sve,ConfiguredProject:()=>jye,CreateDirectoryWatcherEvent:()=>pve,CreateFileWatcherEvent:()=>uve,Errors:()=>Hge,EventBeginInstallTypes:()=>BJ,EventEndInstallTypes:()=>jJ,EventInitializationFailed:()=>VJ,EventTypesRegistry:()=>GJ,ExternalProject:()=>Vye,GcTimer:()=>aye,InferredProject:()=>Wye,LargeFileReferencedEvent:()=>ave,LineIndex:()=>Wbe,LineLeaf:()=>Gbe,LineNode:()=>zbe,LogLevel:()=>jge,Msg:()=>Uge,OpenFileInfoTelemetryEvent:()=>dve,Project:()=>Fye,ProjectInfoTelemetryEvent:()=>cve,ProjectKind:()=>Oye,ProjectLanguageServiceStateEvent:()=>lve,ProjectLoadingFinishEvent:()=>ive,ProjectLoadingStartEvent:()=>ove,ProjectReferenceProjectLoadKind:()=>Sve,ProjectService:()=>xve,ProjectsUpdatedInBackgroundEvent:()=>rve,ScriptInfo:()=>Nye,ScriptVersionCache:()=>Obe,Session:()=>sbe,TextStorage:()=>Iye,ThrottledOperations:()=>iye,TypingsCache:()=>Lye,TypingsInstallerAdapter:()=>jbe,allFilesAreJsOrDts:()=>qye,allRootFilesAreJsOrDts:()=>Kye,asNormalizedPath:()=>Qge,convertCompilerOptions:()=>Nve,convertFormatOptions:()=>Ive,convertScriptKindName:()=>Pve,convertTypeAcquisition:()=>Cve,convertUserPreferences:()=>Lve,convertWatchOptions:()=>Dve,countEachFileTypes:()=>Hye,createInstallTypingsRequest:()=>Xge,createModuleSpecifierCache:()=>Zve,createNormalizedPathMap:()=>Zge,createPackageJsonCache:()=>nbe,createSortedArray:()=>oye,emptyArray:()=>Vge,findArgument:()=>YJ,forEachResolvedProjectReferenceProject:()=>Fve,formatDiagnosticToProtocol:()=>fbe,formatMessage:()=>mbe,getBaseConfigFileName:()=>lye,getLocationInNewDocument:()=>Dbe,hasArgument:()=>XJ,hasNoTypeScriptSource:()=>Jye,indent:()=>QJ,isBackgroundProject:()=>eve,isConfigFile:()=>Yve,isConfiguredProject:()=>Qye,isDynamicFileName:()=>Cye,isExternalProject:()=>Zye,isInferredProject:()=>$ye,isInferredProjectName:()=>eye,makeAutoImportProviderProjectName:()=>tye,makeAuxiliaryProjectName:()=>rye,makeInferredProjectName:()=>nye,maxFileSize:()=>tve,maxProgramSizeForNonTsFiles:()=>nve,normalizedPathToPath:()=>$ge,nowString:()=>$J,nullCancellationToken:()=>tbe,nullTypingsInstaller:()=>Pye,projectContainsInfoDirectly:()=>Uve,protocol:()=>Rye,removeSorted:()=>cye,stringifyIndented:()=>ZJ,toEvent:()=>_be,toNormalizedPath:()=>Yge,tryConvertScriptKindName:()=>Mve,typingsInstaller:()=>Bge,updateProjectIfDirty:()=>Hve});var $be=g({"src/typescript/_namespaces/ts.server.ts"(){lX(),qbe()}}),Qbe={};y(Qbe,{ANONYMOUS:()=>ZX,AccessFlags:()=>_o,AssertionLevel:()=>u,AssignmentDeclarationKind:()=>Ao,AssignmentKind:()=>Ep,Associativity:()=>Tp,BreakpointResolver:()=>P7,BuilderFileEmit:()=>SH,BuilderProgramKind:()=>TH,BuilderState:()=>yH,BundleFileSectionKind:()=>Yo,CallHierarchy:()=>Z7,CharacterCodes:()=>Go,CheckFlags:()=>so,CheckMode:()=>Oz,ClassificationType:()=>jX,ClassificationTypeNames:()=>BX,CommentDirectiveType:()=>jr,Comparison:()=>r,CompletionInfoFlags:()=>kX,CompletionTriggerKind:()=>IX,Completions:()=>nue,ContainerFlags:()=>OW,ContextFlags:()=>$r,Debug:()=>Tt,DiagnosticCategory:()=>Ro,Diagnostics:()=>Oa,DocumentHighlights:()=>t1,ElementFlags:()=>mo,EmitFlags:()=>Uo,EmitHint:()=>qo,EmitOnly:()=>Kr,EndOfLineState:()=>FX,EnumKind:()=>ao,ExitStatus:()=>Jr,ExportKind:()=>M0,Extension:()=>Bo,ExternalEmitHelpers:()=>Ko,FileIncludeKind:()=>Ur,FilePreprocessingDiagnosticsKind:()=>Hr,FileSystemEntryKind:()=>pi,FileWatcherEventKind:()=>oi,FindAllReferences:()=>Hue,FlattenLevel:()=>gB,FlowFlags:()=>Br,ForegroundColorEscapeSequences:()=>cU,FunctionFlags:()=>Sp,GeneratedIdentifierFlags:()=>zr,GetLiteralTextFlags:()=>mp,GoToDefinition:()=>upe,HighlightSpanKind:()=>DX,IdentifierNameMap:()=>OG,IdentifierNameMultiMap:()=>FG,ImportKind:()=>C0,ImportsNotUsedAsValues:()=>ko,IndentStyle:()=>CX,IndexFlags:()=>ho,IndexKind:()=>bo,InferenceFlags:()=>To,InferencePriority:()=>So,InlayHintKind:()=>NX,InlayHints:()=>ype,InternalEmitFlags:()=>Ho,InternalSymbolName:()=>lo,InvalidatedProjectKind:()=>bq,JSDocParsingMode:()=>ei,JsDoc:()=>Gpe,JsTyping:()=>vX,JsxEmit:()=>Lo,JsxFlags:()=>Fr,JsxReferenceKind:()=>go,LanguageServiceMode:()=>TX,LanguageVariant:()=>Wo,LexicalEnvironmentFlags:()=>Xo,ListFormat:()=>$o,LogLevel:()=>St,MemberOverrideStatus:()=>Xr,ModifierFlags:()=>Or,ModuleDetectionKind:()=>No,ModuleInstanceState:()=>wW,ModuleKind:()=>Po,ModuleResolutionKind:()=>Io,ModuleSpecifierEnding:()=>xf,NavigateTo:()=>C2,NavigationBar:()=>N4,NewLineKind:()=>wo,NodeBuilderFlags:()=>Qr,NodeCheckFlags:()=>co,NodeFactoryFlags:()=>zA,NodeFlags:()=>wr,NodeResolutionFeatures:()=>UO,ObjectFlags:()=>po,OperationCanceledException:()=>Vr,OperatorPrecedence:()=>xp,OrganizeImports:()=>gfe,OrganizeImportsMode:()=>RX,OuterExpressionKinds:()=>Jo,OutliningElementsCollector:()=>Nfe,OutliningSpanKind:()=>wX,OutputFileType:()=>OX,PackageJsonAutoImportPreference:()=>SX,PackageJsonDependencyGroup:()=>EX,PatternMatchKind:()=>v1,PollingInterval:()=>ii,PollingWatchKind:()=>Mo,PragmaKindFlags:()=>Qo,PrivateIdentifierKind:()=>YR,ProcessLevel:()=>VB,ProgramUpdateLevel:()=>XV,QuotePreference:()=>YX,RelationComparisonResult:()=>Wr,Rename:()=>Ffe,ScriptElementKind:()=>zX,ScriptElementKindModifier:()=>GX,ScriptKind:()=>Oo,ScriptSnapshot:()=>bX,ScriptTarget:()=>Fo,SemanticClassificationFormat:()=>AX,SemanticMeaning:()=>qX,SemicolonPreference:()=>MX,SignatureCheckMode:()=>Fz,SignatureFlags:()=>vo,SignatureHelp:()=>ume,SignatureKind:()=>yo,SmartSelectionRange:()=>xme,SnippetKind:()=>Vo,SortKind:()=>s,StructureIsReused:()=>qr,SymbolAccessibility:()=>no,SymbolDisplay:()=>wme,SymbolDisplayPartKind:()=>LX,SymbolFlags:()=>io,SymbolFormatFlags:()=>eo,SyntaxKind:()=>kr,SyntheticSymbolKind:()=>to,Ternary:()=>xo,ThrottledCancellationToken:()=>r7,TokenClass:()=>WX,TokenFlags:()=>Gr,TransformFlags:()=>jo,TypeFacts:()=>kz,TypeFlags:()=>uo,TypeFormatFlags:()=>Zr,TypeMapKind:()=>Eo,TypePredicateKind:()=>ro,TypeReferenceSerializationKind:()=>oo,UnionReduction:()=>Yr,UpToDateStatusType:()=>_q,VarianceFlags:()=>fo,Version:()=>Mt,VersionRange:()=>Pt,WatchDirectoryFlags:()=>zo,WatchDirectoryKind:()=>Co,WatchFileKind:()=>Do,WatchLogLevel:()=>YV,WatchType:()=>CK,accessPrivateIdentifier:()=>mB,addDisposableResourceHelper:()=>AI,addEmitFlags:()=>mR,addEmitHelper:()=>kR,addEmitHelpers:()=>wR,addInternalEmitFlags:()=>hR,addNodeFactoryPatcher:()=>qA,addObjectAllocatorPatcher:()=>XS,addRange:()=>Ee,addRelatedInfo:()=>xx,addSyntheticLeadingComment:()=>IR,addSyntheticTrailingComment:()=>CR,addToSeen:()=>PS,advancedAsyncSuperHelper:()=>DI,affectsDeclarationPathOptionDeclarations:()=>Fk,affectsEmitOptionDeclarations:()=>Ok,allKeysStartWithDot:()=>uW,altDirectorySeparator:()=>Wi,and:()=>ut,append:()=>ye,appendIfUnique:()=>Te,arrayFrom:()=>Je,arrayIsEqualTo:()=>_e,arrayIsHomogeneous:()=>Fx,arrayIsSorted:()=>fe,arrayOf:()=>qe,arrayReverseIterator:()=>Re,arrayToMap:()=>$e,arrayToMultiMap:()=>Ze,arrayToNumericMap:()=>Qe,arraysEqual:()=>w,assertType:()=>mt,assign:()=>Xe,assignHelper:()=>tI,asyncDelegator:()=>iI,asyncGeneratorHelper:()=>oI,asyncSuperHelper:()=>NI,asyncValues:()=>aI,attachFileToDiagnostics:()=>oT,awaitHelper:()=>rI,awaiterHelper:()=>lI,base64decode:()=>WE,base64encode:()=>FE,binarySearch:()=>ze,binarySearchKey:()=>Ge,bindSourceFile:()=>VW,breakIntoCharacterSpans:()=>F1,breakIntoWordSpans:()=>W1,buildLinkParts:()=>ZQ,buildOpts:()=>Vk,buildOverload:()=>Dge,bundlerModuleNameResolver:()=>zF,canBeConvertedToAsync:()=>u2,canHaveDecorators:()=>bL,canHaveExportModifier:()=>lA,canHaveFlowNode:()=>Qg,canHaveIllegalDecorators:()=>jP,canHaveIllegalModifiers:()=>VP,canHaveIllegalType:()=>GP,canHaveIllegalTypeParameters:()=>BP,canHaveJSDoc:()=>Zg,canHaveLocals:()=>Du,canHaveModifiers:()=>vL,canHaveSymbol:()=>Nu,canJsonReportNoInputFiles:()=>dO,canProduceDiagnostics:()=>Kj,canUsePropertyAccess:()=>dA,canWatchAffectingLocation:()=>_K,canWatchAtTypes:()=>pK,canWatchDirectoryOrFile:()=>uK,cartesianProduct:()=>gt,cast:()=>gn,chainBundle:()=>BG,chainDiagnosticMessages:()=>cT,changeAnyExtension:()=>Ea,changeCompilerHostLikeToUseCache:()=>CU,changeExtension:()=>px,changeFullExtension:()=>Sa,changesAffectModuleResolution:()=>Lf,changesAffectingProgramStructure:()=>wf,childIsDecorated:()=>wh,classElementOrClassElementParameterIsDecorated:()=>Fh,classHasClassThisAssignment:()=>MB,classHasDeclaredOrExplicitlyAssignedName:()=>zB,classHasExplicitlyAssignedName:()=>WB,classOrConstructorParameterIsDecorated:()=>Oh,classPrivateFieldGetHelper:()=>SI,classPrivateFieldInHelper:()=>xI,classPrivateFieldSetHelper:()=>TI,classicNameResolver:()=>NW,classifier:()=>r9,cleanExtendedConfigCache:()=>nU,clear:()=>G,clearMap:()=>SS,clearSharedExtendedConfigFileWatcher:()=>eU,climbPastPropertyAccess:()=>_Y,climbPastPropertyOrElementAccess:()=>hY,clone:()=>tn,cloneCompilerOptions:()=>z$,closeFileWatcher:()=>fS,closeFileWatcherOf:()=>lU,codefix:()=>Qle,collapseTextChangeRangesAcrossMultipleVersions:()=>_l,collectExternalModuleInfo:()=>HG,combine:()=>ve,combinePaths:()=>ua,commentPragmas:()=>Zo,commonOptionsWithBuild:()=>Ck,commonPackageFolders:()=>sf,compact:()=>he,compareBooleans:()=>Kn,compareDataObjects:()=>ES,compareDiagnostics:()=>pT,compareDiagnosticsSkipRelatedInformation:()=>fT,compareEmitHelpers:()=>PI,compareNumberOfDirectorySeparators:()=>lx,comparePaths:()=>Ra,comparePathsCaseInsensitive:()=>Aa,comparePathsCaseSensitive:()=>xa,comparePatternKeys:()=>fW,compareProperties:()=>Hn,compareStringsCaseInsensitive:()=>Wn,compareStringsCaseInsensitiveEslintCompatible:()=>zn,compareStringsCaseSensitive:()=>Gn,compareStringsCaseSensitiveUI:()=>Un,compareTextSpans:()=>On,compareValues:()=>wn,compileOnSaveCommandLineOption:()=>Tk,compilerOptionsAffectDeclarationPath:()=>CT,compilerOptionsAffectEmit:()=>DT,compilerOptionsAffectSemanticDiagnostics:()=>NT,compilerOptionsDidYouMeanDiagnostics:()=>Jk,compilerOptionsIndicateEsModules:()=>cQ,compose:()=>Cn,computeCommonSourceDirectoryOfFilenames:()=>AU,computeLineAndCharacterOfPosition:()=>ps,computeLineOfPosition:()=>fs,computeLineStarts:()=>ls,computePositionOfLineAndCharacter:()=>ds,computeSignature:()=>XH,computeSignatureWithDiagnostics:()=>JH,computeSuggestionDiagnostics:()=>n2,computedOptions:()=>Bp,concatenate:()=>ae,concatenateDiagnosticMessageChains:()=>dT,consumesNodeCoreModules:()=>r0,contains:()=>k,containsIgnoredPath:()=>Xx,containsObjectRestOrSpread:()=>hL,containsParseError:()=>Yf,containsPath:()=>Ia,convertCompilerOptionsForTelemetry:()=>zO,convertCompilerOptionsFromJson:()=>_O,convertJsonOption:()=>TO,convertToBase64:()=>OE,convertToJson:()=>Bw,convertToObject:()=>Gw,convertToOptionsWithAbsolutePaths:()=>eO,convertToRelativePath:()=>Ma,convertToTSConfig:()=>Uw,convertTypeAcquisitionFromJson:()=>hO,copyComments:()=>SZ,copyEntries:()=>Gf,copyLeadingComments:()=>IZ,copyProperties:()=>on,copyTrailingAsLeadingComments:()=>DZ,copyTrailingComments:()=>NZ,couldStartTrivia:()=>Ss,countWhere:()=>F,createAbstractBuilder:()=>sK,createAccessorPropertyBackingField:()=>dL,createAccessorPropertyGetRedirector:()=>uL,createAccessorPropertySetRedirector:()=>pL,createBaseNodeFactory:()=>MA,createBinaryExpressionTrampoline:()=>nL,createBindingHelper:()=>gI,createBuildInfo:()=>BV,createBuilderProgram:()=>YH,createBuilderProgramUsingProgramBuildInfo:()=>nK,createBuilderStatusReporter:()=>Rq,createCacheWithRedirects:()=>SF,createCacheableExportInfoMap:()=>L0,createCachedDirectoryStructureHost:()=>QV,createClassNamedEvaluationHelperBlock:()=>OB,createClassThisAssignmentBlock:()=>DB,createClassifier:()=>V0,createCommentDirectivesMap:()=>ym,createCompilerDiagnostic:()=>sT,createCompilerDiagnosticForInvalidCustomType:()=>_w,createCompilerDiagnosticFromMessageChain:()=>lT,createCompilerHost:()=>RU,createCompilerHostFromProgramHost:()=>eq,createCompilerHostWorker:()=>DU,createDetachedDiagnostic:()=>nT,createDiagnosticCollection:()=>Mv,createDiagnosticForFileFromMessageChain:()=>g_,createDiagnosticForNode:()=>d_,createDiagnosticForNodeArray:()=>u_,createDiagnosticForNodeArrayFromMessageChain:()=>m_,createDiagnosticForNodeFromMessageChain:()=>f_,createDiagnosticForNodeInSourceFile:()=>p_,createDiagnosticForRange:()=>v_,createDiagnosticMessageChainFromDiagnostic:()=>y_,createDiagnosticReporter:()=>PK,createDocumentPositionMapper:()=>wG,createDocumentRegistry:()=>a1,createDocumentRegistryInternal:()=>s1,createEmitAndSemanticDiagnosticsBuilderProgram:()=>aK,createEmitHelperFactory:()=>MI,createEmptyExports:()=>$M,createExpressionForJsxElement:()=>tP,createExpressionForJsxFragment:()=>rP,createExpressionForObjectLiteralElementLike:()=>lP,createExpressionForPropertyName:()=>sP,createExpressionFromEntityName:()=>aP,createExternalHelpersImportDeclarationIfNeeded:()=>IP,createFileDiagnostic:()=>iT,createFileDiagnosticFromMessageChain:()=>h_,createForOfBindingStatement:()=>oP,createGetCanonicalFileName:()=>rt,createGetSourceFile:()=>IU,createGetSymbolAccessibilityDiagnosticForNode:()=>Jj,createGetSymbolAccessibilityDiagnosticForNodeName:()=>qj,createGetSymbolWalker:()=>YW,createIncrementalCompilerHost:()=>uq,createIncrementalProgram:()=>pq,createInputFiles:()=>oR,createInputFilesWithFilePaths:()=>iR,createInputFilesWithFileTexts:()=>aR,createJsxFactoryExpression:()=>nP,createLanguageService:()=>S7,createLanguageServiceSourceFile:()=>b7,createMemberAccessForPropertyName:()=>QM,createModeAwareCache:()=>AF,createModeAwareCacheKey:()=>xF,createModuleNotFoundChain:()=>Hf,createModuleResolutionCache:()=>CF,createModuleResolutionLoader:()=>qU,createModuleResolutionLoaderUsingGlobalCache:()=>TK,createModuleSpecifierResolutionHost:()=>dQ,createMultiMap:()=>sn,createNodeConverters:()=>FA,createNodeFactory:()=>JA,createOptionNameMap:()=>fw,createOverload:()=>Nge,createPackageJsonImportFilter:()=>t0,createPackageJsonInfo:()=>n0,createParenthesizerRules:()=>kA,createPatternMatcher:()=>S1,createPrependNodes:()=>fH,createPrinter:()=>HV,createPrinterWithDefaults:()=>_V,createPrinterWithRemoveComments:()=>hV,createPrinterWithRemoveCommentsNeverAsciiEscape:()=>gV,createPrinterWithRemoveCommentsOmitTrailingSemicolon:()=>yV,createProgram:()=>cH,createProgramHost:()=>rq,createPropertyNameNodeForIdentifierOrLiteral:()=>rA,createQueue:()=>dn,createRange:()=>UE,createRedirectedBuilderProgram:()=>rK,createResolutionCache:()=>xK,createRuntimeTypeSerializer:()=>nj,createScanner:()=>Gs,createSemanticDiagnosticsBuilderProgram:()=>iK,createSet:()=>un,createSolutionBuilder:()=>Cq,createSolutionBuilderHost:()=>Nq,createSolutionBuilderWithWatch:()=>Mq,createSolutionBuilderWithWatchHost:()=>Dq,createSortedArray:()=>de,createSourceFile:()=>lk,createSourceMapGenerator:()=>bG,createSourceMapSource:()=>sR,createSuperAccessVariableStatement:()=>lj,createSymbolTable:()=>Mf,createSymlinkCache:()=>OT,createSystemWatchFunctions:()=>ki,createTextChange:()=>$$,createTextChangeFromStartLength:()=>Y$,createTextChangeRange:()=>ml,createTextRangeFromNode:()=>q$,createTextRangeFromSpan:()=>X$,createTextSpan:()=>dl,createTextSpanFromBounds:()=>ul,createTextSpanFromNode:()=>H$,createTextSpanFromRange:()=>J$,createTextSpanFromStringLiteralLikeContent:()=>K$,createTextWriter:()=>Hv,createTokenRange:()=>YE,createTypeChecker:()=>Jz,createTypeReferenceDirectiveResolutionCache:()=>MF,createTypeReferenceResolutionLoader:()=>XU,createUnparsedSourceFile:()=>rR,createWatchCompilerHost:()=>fq,createWatchCompilerHostOfConfigFile:()=>aq,createWatchCompilerHostOfFilesAndCompilerOptions:()=>sq,createWatchFactory:()=>ZK,createWatchHost:()=>QK,createWatchProgram:()=>mq,createWatchStatusReporter:()=>wK,createWriteFileMeasuringIO:()=>NU,declarationNameToString:()=>o_,decodeMappings:()=>RG,decodedTextSpanIntersectsWith:()=>sl,decorateHelper:()=>$R,deduplicate:()=>ce,defaultIncludeSpec:()=>cw,defaultInitCompilerOptions:()=>qk,defaultMaximumTruncationLength:()=>dp,detectSortCaseSensitivity:()=>me,diagnosticCategoryName:()=>ri,diagnosticToString:()=>x0,directoryProbablyExists:()=>jE,directorySeparator:()=>Fi,displayPart:()=>zQ,displayPartsToString:()=>h7,disposeEmitNodes:()=>uR,disposeResourcesHelper:()=>RI,documentSpansEqual:()=>CQ,dumpTracingLegend:()=>Lr,elementAt:()=>l,elideNodes:()=>iL,emitComments:()=>Lb,emitDetachedComments:()=>kb,emitFiles:()=>GV,emitFilesAndReportErrors:()=>YK,emitFilesAndReportErrorsAndGetExitStatus:()=>$K,emitModuleKindIsNonNodeESM:()=>bT,emitNewLineBeforeLeadingCommentOfPosition:()=>Pb,emitNewLineBeforeLeadingComments:()=>Cb,emitNewLineBeforeLeadingCommentsOfPosition:()=>Mb,emitSkippedWithNoDiagnostics:()=>EU,emitUsingBuildInfo:()=>UV,emptyArray:()=>o,emptyFileSystemEntries:()=>Rf,emptyMap:()=>i,emptyOptions:()=>xX,emptySet:()=>a,endsWith:()=>Xn,ensurePathIsNonModuleName:()=>ba,ensureScriptKind:()=>QT,ensureTrailingDirectorySeparator:()=>va,entityNameToString:()=>c_,enumerateInsertsAndDeletes:()=>ht,equalOwnProperties:()=>Ye,equateStringsCaseInsensitive:()=>Pn,equateStringsCaseSensitive:()=>Ln,equateValues:()=>Mn,esDecorateHelper:()=>eI,escapeJsxAttributeString:()=>Gv,escapeLeadingUnderscores:()=>Ml,escapeNonAsciiString:()=>Wv,escapeSnippetText:()=>nA,escapeString:()=>Fv,escapeTemplateSubstitution:()=>Pv,every:()=>N,expandPreOrPostfixIncrementOrDecrementExpression:()=>cP,explainFiles:()=>UK,explainIfFileIsRedirectAndImpliedFormat:()=>HK,exportAssignmentIsAlias:()=>Ly,exportStarHelper:()=>EI,expressionResultIsUnused:()=>Jx,extend:()=>rn,extendsHelper:()=>cI,extensionFromPath:()=>yx,extensionIsTS:()=>hx,extensionsNotSupportingExtensionlessResolution:()=>Tf,externalHelpersModuleNameText:()=>cp,factory:()=>UA,fileExtensionIs:()=>$i,fileExtensionIsOneOf:()=>Qi,fileIncludeReasonToDiagnostics:()=>JK,fileShouldUseJavaScriptRequire:()=>D0,filter:()=>W,filterMutate:()=>z,filterSemanticDiagnostics:()=>uH,find:()=>D,findAncestor:()=>Nl,findBestPatternMatch:()=>at,findChildOfKind:()=>JY,findComputedPropertyNameCacheAssignment:()=>fL,findConfigFile:()=>TU,findContainingList:()=>XY,findDiagnosticForNode:()=>a0,findFirstNonJsxWhitespaceToken:()=>d$,findIndex:()=>M,findLast:()=>C,findLastIndex:()=>P,findListItemInfo:()=>KY,findMap:()=>L,findModifier:()=>RQ,findNextToken:()=>p$,findPackageJson:()=>ZZ,findPackageJsons:()=>QZ,findPrecedingMatchingToken:()=>T$,findPrecedingToken:()=>f$,findSuperStatementIndexPath:()=>eB,findTokenOnLeftOfPosition:()=>u$,findUseStrictPrologue:()=>mP,first:()=>Me,firstDefined:()=>T,firstDefinedIterator:()=>x,firstIterator:()=>Pe,firstOrOnly:()=>u0,firstOrUndefined:()=>De,firstOrUndefinedIterator:()=>Ce,fixupCompilerOptions:()=>g2,flatMap:()=>H,flatMapIterator:()=>q,flatMapToMutable:()=>K,flatten:()=>U,flattenCommaList:()=>_L,flattenDestructuringAssignment:()=>vB,flattenDestructuringBinding:()=>SB,flattenDiagnosticMessageText:()=>zU,forEach:()=>E,forEachAncestor:()=>Ff,forEachAncestorDirectory:()=>ka,forEachChild:()=>ok,forEachChildRecursively:()=>ik,forEachEmittedFile:()=>EV,forEachEnclosingBlockScopeContainer:()=>r_,forEachEntry:()=>Wf,forEachExternalModuleToImportFrom:()=>w0,forEachImportClauseDeclaration:()=>Vg,forEachKey:()=>zf,forEachLeadingCommentRange:()=>Ds,forEachNameInAccessChainWalkingLeft:()=>GS,forEachPropertyAssignment:()=>lh,forEachResolvedProjectReference:()=>$U,forEachReturnStatement:()=>H_,forEachRight:()=>S,forEachTrailingCommentRange:()=>Cs,forEachTsConfigPropArray:()=>ph,forEachUnique:()=>PQ,forEachYieldExpression:()=>K_,forSomeAncestorDirectory:()=>NS,formatColorAndReset:()=>wU,formatDiagnostic:()=>LU,formatDiagnostics:()=>PU,formatDiagnosticsWithColorAndContext:()=>WU,formatGeneratedName:()=>cL,formatGeneratedNamePart:()=>sL,formatLocation:()=>FU,formatMessage:()=>aT,formatStringFromArgs:()=>$S,formatting:()=>vge,fullTripleSlashAMDReferencePathRegEx:()=>yp,fullTripleSlashReferencePathRegEx:()=>_p,generateDjb2Hash:()=>_i,generateTSConfig:()=>Zw,generatorHelper:()=>hI,getAdjustedReferenceLocation:()=>o$,getAdjustedRenameLocation:()=>i$,getAliasDeclarationFromName:()=>My,getAllAccessorDeclarations:()=>xb,getAllDecoratorsOfClass:()=>sB,getAllDecoratorsOfClassElement:()=>lB,getAllJSDocTags:()=>Ac,getAllJSDocTagsOfKind:()=>Rc,getAllKeys:()=>He,getAllProjectOutputs:()=>FV,getAllSuperTypeNodes:()=>zy,getAllUnscopedEmitHelpers:()=>kI,getAllowJSCompilerOption:()=>tf,getAllowSyntheticDefaultImports:()=>Jp,getAncestor:()=>jy,getAnyExtensionFromPath:()=>aa,getAreDeclarationMapsEnabled:()=>nf,getAssignedExpandoInitializer:()=>pg,getAssignedName:()=>Vl,getAssignedNameOfIdentifier:()=>kB,getAssignmentDeclarationKind:()=>Eg,getAssignmentDeclarationPropertyAccessKind:()=>Mg,getAssignmentTargetKind:()=>fy,getAutomaticTypeDirectiveNames:()=>gF,getBaseFileName:()=>oa,getBinaryOperatorPrecedence:()=>Dv,getBuildInfo:()=>VV,getBuildInfoFileVersionMap:()=>tK,getBuildInfoText:()=>jV,getBuildOrderFromAnyBuildOrder:()=>Aq,getBuilderCreationParameters:()=>KH,getBuilderFileEmit:()=>AH,getCheckFlags:()=>mS,getClassExtendsHeritageElement:()=>Fy,getClassLikeDeclarationOfSymbol:()=>RS,getCombinedLocalAndExportSymbolFlags:()=>gS,getCombinedModifierFlags:()=>Sl,getCombinedNodeFlags:()=>xl,getCombinedNodeFlagsAlwaysIncludeJSDoc:()=>Tl,getCommentRange:()=>TR,getCommonSourceDirectory:()=>wV,getCommonSourceDirectoryOfConfig:()=>OV,getCompilerOptionValue:()=>MT,getCompilerOptionsDiffValue:()=>$w,getConditions:()=>_F,getConfigFileParsingDiagnostics:()=>aH,getConstantValue:()=>PR,getContainerFlags:()=>qW,getContainerNode:()=>CY,getContainingClass:()=>_h,getContainingClassExcludingClassDecorators:()=>yh,getContainingClassStaticBlock:()=>hh,getContainingFunction:()=>fh,getContainingFunctionDeclaration:()=>mh,getContainingFunctionOrClassStaticBlock:()=>gh,getContainingNodeArray:()=>Yx,getContainingObjectLiteralElement:()=>x7,getContextualTypeFromParent:()=>LZ,getContextualTypeFromParentOrAncestorTypeNode:()=>ZY,getCurrentTime:()=>Tq,getDeclarationDiagnostics:()=>$j,getDeclarationEmitExtensionForPath:()=>tb,getDeclarationEmitOutputFilePath:()=>eb,getDeclarationEmitOutputFilePathWorker:()=>nb,getDeclarationFileExtension:()=>hk,getDeclarationFromName:()=>Iy,getDeclarationModifierFlagsFromSymbol:()=>_S,getDeclarationOfKind:()=>Df,getDeclarationsOfKind:()=>Cf,getDeclaredExpandoInitializer:()=>ug,getDecorators:()=>Ul,getDefaultCompilerOptions:()=>g7,getDefaultExportInfoWorker:()=>G0,getDefaultFormatCodeSettings:()=>HX,getDefaultLibFileName:()=>$s,getDefaultLibFilePath:()=>R7,getDefaultLikeExportInfo:()=>W0,getDiagnosticText:()=>Nw,getDiagnosticsWithinSpan:()=>s0,getDirectoryPath:()=>ra,getDirectoryToWatchFailedLookupLocation:()=>hK,getDirectoryToWatchFailedLookupLocationFromTypeRoot:()=>vK,getDocumentPositionMapper:()=>$1,getDocumentSpansEqualityComparer:()=>MQ,getESModuleInterop:()=>qp,getEditsForFileRename:()=>u1,getEffectiveBaseTypeNode:()=>Oy,getEffectiveConstraintOfTypeParameter:()=>Dc,getEffectiveContainerForJSDocTemplateTag:()=>oy,getEffectiveImplementsTypeNodes:()=>Wy,getEffectiveInitializer:()=>dg,getEffectiveJSDocHost:()=>sy,getEffectiveModifierFlags:()=>Zb,getEffectiveModifierFlagsAlwaysIncludeJSDoc:()=>eE,getEffectiveModifierFlagsNoCache:()=>oE,getEffectiveReturnTypeNode:()=>Ib,getEffectiveSetAccessorTypeAnnotationNode:()=>Db,getEffectiveTypeAnnotationNode:()=>Ab,getEffectiveTypeParameterDeclarations:()=>Nc,getEffectiveTypeRoots:()=>dF,getElementOrPropertyAccessArgumentExpressionOrName:()=>Dg,getElementOrPropertyAccessName:()=>Cg,getElementsOfBindingOrAssignmentPattern:()=>WP,getEmitDeclarations:()=>Qp,getEmitFlags:()=>Im,getEmitHelpers:()=>FR,getEmitModuleDetectionKind:()=>Hp,getEmitModuleKind:()=>Vp,getEmitModuleResolutionKind:()=>Up,getEmitScriptTarget:()=>jp,getEmitStandardClassFields:()=>IT,getEnclosingBlockScopeContainer:()=>t_,getEnclosingContainer:()=>n_,getEncodedSemanticClassifications:()=>Y0,getEncodedSyntacticClassifications:()=>n1,getEndLinePosition:()=>rm,getEntityNameFromTypeNode:()=>Ch,getEntrypointsFromPackageJsonInfo:()=>tW,getErrorCountForSummary:()=>FK,getErrorSpanForNode:()=>S_,getErrorSummaryText:()=>BK,getEscapedTextOfIdentifierOrLiteral:()=>lv,getEscapedTextOfJsxAttributeName:()=>yA,getEscapedTextOfJsxNamespacedName:()=>EA,getExpandoInitializer:()=>fg,getExportAssignmentExpression:()=>ky,getExportInfoMap:()=>F0,getExportNeedsImportStarHelper:()=>jG,getExpressionAssociativity:()=>xv,getExpressionPrecedence:()=>Rv,getExternalHelpersModuleName:()=>AP,getExternalModuleImportEqualsDeclarationExpression:()=>Hh,getExternalModuleName:()=>Gg,getExternalModuleNameFromDeclaration:()=>$v,getExternalModuleNameFromPath:()=>Qv,getExternalModuleNameLiteral:()=>CP,getExternalModuleRequireArgument:()=>Kh,getFallbackOptions:()=>sU,getFileEmitOutput:()=>EH,getFileMatcherPatterns:()=>qT,getFileNamesFromConfigSpecs:()=>IO,getFileWatcherEventKind:()=>Ni,getFilesInErrorForSummary:()=>WK,getFirstConstructorWithBody:()=>_b,getFirstIdentifier:()=>SE,getFirstNonSpaceCharacterPosition:()=>pZ,getFirstProjectOutput:()=>zV,getFixableErrorSpanExpression:()=>c0,getFormatCodeSettingsForWriting:()=>A0,getFullWidth:()=>jf,getFunctionFlags:()=>Zy,getHeritageClause:()=>By,getHostSignatureFromJSDoc:()=>ay,getIdentifierAutoGenerate:()=>qR,getIdentifierGeneratedImportReference:()=>XR,getIdentifierTypeArguments:()=>HR,getImmediatelyInvokedFunctionExpression:()=>xh,getImpliedNodeFormatForFile:()=>sH,getImpliedNodeFormatForFileWorker:()=>lH,getImportNeedsImportDefaultHelper:()=>UG,getImportNeedsImportStarHelper:()=>VG,getIndentSize:()=>Uv,getIndentString:()=>Vv,getInferredLibraryNameResolveFrom:()=>ZU,getInitializedVariables:()=>dS,getInitializerOfBinaryExpression:()=>Pg,getInitializerOfBindingOrAssignmentElement:()=>PP,getInterfaceBaseTypeNodes:()=>Gy,getInternalEmitFlags:()=>Nm,getInvokedExpression:()=>Mh,getIsolatedModules:()=>Kp,getJSDocAugmentsTag:()=>Zl,getJSDocClassTag:()=>nc,getJSDocCommentRanges:()=>B_,getJSDocCommentsAndTags:()=>ey,getJSDocDeprecatedTag:()=>uc,getJSDocDeprecatedTagNoCache:()=>pc,getJSDocEnumTag:()=>fc,getJSDocHost:()=>ly,getJSDocImplementsTags:()=>ec,getJSDocOverloadTags:()=>iy,getJSDocOverrideTagNoCache:()=>dc,getJSDocParameterTags:()=>ql,getJSDocParameterTagsNoCache:()=>Jl,getJSDocPrivateTag:()=>oc,getJSDocPrivateTagNoCache:()=>ic,getJSDocProtectedTag:()=>ac,getJSDocProtectedTagNoCache:()=>sc,getJSDocPublicTag:()=>tc,getJSDocPublicTagNoCache:()=>rc,getJSDocReadonlyTag:()=>lc,getJSDocReadonlyTagNoCache:()=>cc,getJSDocReturnTag:()=>_c,getJSDocReturnType:()=>bc,getJSDocRoot:()=>cy,getJSDocSatisfiesExpressionType:()=>hA,getJSDocSatisfiesTag:()=>gc,getJSDocTags:()=>Sc,getJSDocTagsNoCache:()=>Tc,getJSDocTemplateTag:()=>hc,getJSDocThisTag:()=>mc,getJSDocType:()=>vc,getJSDocTypeAliasName:()=>zP,getJSDocTypeAssertionType:()=>vP,getJSDocTypeParameterDeclarations:()=>Nb,getJSDocTypeParameterTags:()=>Yl,getJSDocTypeParameterTagsNoCache:()=>$l,getJSDocTypeTag:()=>yc,getJSXImplicitImportBase:()=>LT,getJSXRuntimeImport:()=>kT,getJSXTransformEnabled:()=>PT,getKeyForCompilerOptions:()=>EF,getLanguageVariant:()=>_T,getLastChild:()=>MS,getLeadingCommentRanges:()=>ks,getLeadingCommentRangesOfNode:()=>G_,getLeftmostAccessExpression:()=>zS,getLeftmostExpression:()=>BS,getLibraryNameFromLibFileName:()=>eH,getLineAndCharacterOfPosition:()=>_s,getLineInfo:()=>EG,getLineOfLocalPosition:()=>fb,getLineOfLocalPositionFromLineMap:()=>mb,getLineStartPositionForPosition:()=>LY,getLineStarts:()=>us,getLinesBetweenPositionAndNextNonWhitespaceCharacter:()=>lS,getLinesBetweenPositionAndPrecedingNonWhitespaceCharacter:()=>sS,getLinesBetweenPositions:()=>ms,getLinesBetweenRangeEndAndRangeStart:()=>tS,getLinesBetweenRangeEndPositions:()=>rS,getLiteralText:()=>Dm,getLocalNameForExternalImport:()=>DP,getLocalSymbolForExportDefault:()=>kE,getLocaleSpecificMessage:()=>eT,getLocaleTimeString:()=>kK,getMappedContextSpan:()=>OQ,getMappedDocumentSpan:()=>wQ,getMappedLocation:()=>kQ,getMatchedFileSpec:()=>KK,getMatchedIncludeSpec:()=>qK,getMeaningFromDeclaration:()=>tY,getMeaningFromLocation:()=>rY,getMembersOfDeclaration:()=>J_,getModeForFileReference:()=>GU,getModeForResolutionAtIndex:()=>BU,getModeForUsageLocation:()=>VU,getModifiedTime:()=>yi,getModifiers:()=>Hl,getModuleInstanceState:()=>zW,getModuleNameStringLiteralAt:()=>gH,getModuleSpecifierEndingPreference:()=>ix,getModuleSpecifierResolverHost:()=>uQ,getNameForExportedSymbol:()=>f0,getNameFromImportAttribute:()=>DA,getNameFromIndexInfo:()=>i_,getNameFromPropertyName:()=>aQ,getNameOfAccessExpression:()=>OS,getNameOfCompilerOptionValue:()=>Jw,getNameOfDeclaration:()=>jl,getNameOfExpando:()=>_g,getNameOfJSDocTypedef:()=>zl,getNameOrArgument:()=>Ng,getNameTable:()=>T7,getNamesForExportedSymbol:()=>p0,getNamespaceDeclarationNode:()=>Bg,getNewLineCharacter:()=>VE,getNewLineKind:()=>T0,getNewLineOrDefaultFromHost:()=>eZ,getNewTargetContainer:()=>Sh,getNextJSDocCommentLocation:()=>ty,getNodeForGeneratedName:()=>aL,getNodeId:()=>Hz,getNodeKind:()=>MY,getNodeModifiers:()=>M$,getNodeModulePathParts:()=>iA,getNonAssignedNameOfDeclaration:()=>Bl,getNonAssignmentOperatorForCompoundAssignment:()=>$G,getNonAugmentationDeclaration:()=>Vm,getNonDecoratorTokenPosOfNode:()=>bm,getNormalizedAbsolutePath:()=>ma,getNormalizedAbsolutePathWithoutRoot:()=>ha,getNormalizedPathComponents:()=>fa,getObjectFlags:()=>IS,getOperator:()=>Iv,getOperatorAssociativity:()=>Av,getOperatorPrecedence:()=>Nv,getOptionFromName:()=>xw,getOptionsForLibraryResolution:()=>PF,getOptionsNameMap:()=>mw,getOrCreateEmitNode:()=>dR,getOrCreateExternalHelpersModuleNameIfNeeded:()=>NP,getOrUpdate:()=>Z,getOriginalNode:()=>Il,getOriginalNodeId:()=>zG,getOriginalSourceFile:()=>Tv,getOutputDeclarationFileName:()=>NV,getOutputDeclarationFileNameWorker:()=>DV,getOutputExtension:()=>RV,getOutputFileNames:()=>WV,getOutputJSFileNameWorker:()=>MV,getOutputPathsFor:()=>xV,getOutputPathsForBundle:()=>TV,getOwnEmitOutputFilePath:()=>Zv,getOwnKeys:()=>Ue,getOwnValues:()=>Ke,getPackageJsonInfo:()=>sW,getPackageJsonTypesVersionsPaths:()=>cF,getPackageJsonsVisibleToFile:()=>e0,getPackageNameFromTypesPackageName:()=>AW,getPackageScopeForPath:()=>iW,getParameterSymbolFromJSDoc:()=>ry,getParameterTypeNode:()=>aA,getParentNodeInSpan:()=>xQ,getParseTreeNode:()=>Cl,getParsedCommandLineOfConfigFile:()=>Dw,getPathComponents:()=>sa,getPathComponentsRelativeTo:()=>Da,getPathFromPathComponents:()=>la,getPathUpdater:()=>p1,getPathsBasePath:()=>ib,getPatternFromSpec:()=>UT,getPendingEmitKind:()=>RH,getPositionOfLineAndCharacter:()=>cs,getPossibleGenericSignatures:()=>R$,getPossibleOriginalInputExtensionForExtension:()=>rb,getPossibleTypeArgumentsInfo:()=>I$,getPreEmitDiagnostics:()=>MU,getPrecedingNonSpaceCharacterPosition:()=>fZ,getPrivateIdentifier:()=>pB,getProperties:()=>nB,getProperty:()=>Ve,getPropertyArrayElementValue:()=>ch,getPropertyAssignmentAliasLikeExpression:()=>wy,getPropertyNameForPropertyNameNode:()=>iv,getPropertyNameForUniqueESSymbol:()=>cv,getPropertyNameFromType:()=>AA,getPropertyNameOfBindingOrAssignmentElement:()=>wP,getPropertySymbolFromBindingElement:()=>TQ,getPropertySymbolsFromContextualType:()=>A7,getQuoteFromPreference:()=>yQ,getQuotePreference:()=>gQ,getRangesWhere:()=>ie,getRefactorContextSpan:()=>l0,getReferencedFileLocation:()=>oH,getRegexFromPattern:()=>JT,getRegularExpressionForWildcard:()=>BT,getRegularExpressionsForWildcards:()=>jT,getRelativePathFromDirectory:()=>Ca,getRelativePathFromFile:()=>Pa,getRelativePathToDirectoryOrUrl:()=>La,getRenameLocation:()=>RZ,getReplacementSpanForContextToken:()=>U$,getResolutionDiagnostic:()=>_H,getResolutionModeOverride:()=>HU,getResolveJsonModule:()=>$p,getResolvePackageJsonExports:()=>Xp,getResolvePackageJsonImports:()=>Yp,getResolvedExternalModuleName:()=>Xv,getRestIndicatorOfBindingOrAssignmentElement:()=>kP,getRestParameterElementType:()=>q_,getRightMostAssignedExpression:()=>gg,getRootDeclaration:()=>bv,getRootDirectoryOfResolutionCache:()=>bK,getRootLength:()=>ta,getRootPathSplitLength:()=>EK,getScriptKind:()=>lZ,getScriptKindFromFileName:()=>ZT,getScriptTargetFeatures:()=>fp,getSelectedEffectiveModifierFlags:()=>Yb,getSelectedSyntacticModifierFlags:()=>$b,getSemanticClassifications:()=>J0,getSemanticJsxChildren:()=>Cv,getSetAccessorTypeAnnotationNode:()=>gb,getSetAccessorValueParameter:()=>hb,getSetExternalModuleIndicator:()=>vT,getShebang:()=>Os,getSingleInitializerOfVariableStatementOrPropertyDeclaration:()=>Xg,getSingleVariableOfVariableStatement:()=>Yg,getSnapshotText:()=>rQ,getSnippetElement:()=>zR,getSourceFileOfModule:()=>Qf,getSourceFileOfNode:()=>$f,getSourceFilePathInNewDir:()=>lb,getSourceFilePathInNewDirWorker:()=>cb,getSourceFileVersionAsHashFromText:()=>nq,getSourceFilesToEmit:()=>ab,getSourceMapRange:()=>gR,getSourceMapper:()=>Y1,getSourceTextOfNodeFromSourceFile:()=>Em,getSpanOfTokenAtPosition:()=>b_,getSpellingSuggestion:()=>qn,getStartPositionOfLine:()=>nm,getStartPositionOfRange:()=>aS,getStartsOnNewLine:()=>ER,getStaticPropertiesAndClassStaticBlock:()=>rB,getStrictOptionValue:()=>RT,getStringComparer:()=>Bn,getSubPatternFromSpec:()=>HT,getSuperCallFromStatement:()=>QG,getSuperContainer:()=>Th,getSupportedCodeFixes:()=>y7,getSupportedExtensions:()=>ex,getSupportedExtensionsWithJsonIfResolveJsonModule:()=>nx,getSwitchedType:()=>WZ,getSymbolId:()=>Kz,getSymbolNameForPrivateIdentifier:()=>dv,getSymbolTarget:()=>cZ,getSyntacticClassifications:()=>e1,getSyntacticModifierFlags:()=>nE,getSyntacticModifierFlagsNoCache:()=>iE,getSynthesizedDeepClone:()=>mZ,getSynthesizedDeepCloneWithReplacements:()=>_Z,getSynthesizedDeepClones:()=>gZ,getSynthesizedDeepClonesWithReplacements:()=>yZ,getSyntheticLeadingComments:()=>AR,getSyntheticTrailingComments:()=>NR,getTargetLabel:()=>gY,getTargetOfBindingOrAssignmentElement:()=>LP,getTemporaryModuleResolutionState:()=>oW,getTextOfConstantValue:()=>Cm,getTextOfIdentifierOrLiteral:()=>sv,getTextOfJSDocComment:()=>Ic,getTextOfJsxAttributeName:()=>vA,getTextOfJsxNamespacedName:()=>SA,getTextOfNode:()=>xm,getTextOfNodeFromSourceText:()=>Tm,getTextOfPropertyName:()=>l_,getThisContainer:()=>vh,getThisParameter:()=>yb,getTokenAtPosition:()=>l$,getTokenPosOfNode:()=>vm,getTokenSourceMapRange:()=>vR,getTouchingPropertyName:()=>a$,getTouchingToken:()=>s$,getTrailingCommentRanges:()=>ws,getTrailingSemicolonDeferringWriter:()=>Kv,getTransformFlagsSubtreeExclusions:()=>nR,getTransformers:()=>oV,getTsBuildInfoEmitOutputFilePath:()=>SV,getTsConfigObjectLiteralExpression:()=>dh,getTsConfigPropArrayElementValue:()=>uh,getTypeAnnotationNode:()=>Rb,getTypeArgumentOrTypeParameterList:()=>P$,getTypeKeywordOfTypeOnlyImport:()=>NQ,getTypeNode:()=>VR,getTypeNodeIfAccessible:()=>zZ,getTypeParameterFromJsDoc:()=>dy,getTypeParameterOwner:()=>hl,getTypesPackageName:()=>TW,getUILocale:()=>jn,getUniqueName:()=>AZ,getUniqueSymbolId:()=>uZ,getUseDefineForClassFields:()=>rf,getWatchErrorSummaryDiagnosticMessage:()=>zK,getWatchFactory:()=>aU,group:()=>en,groupBy:()=>nn,guessIndentation:()=>np,handleNoEmitOptions:()=>dH,hasAbstractModifier:()=>Hb,hasAccessorModifier:()=>qb,hasAmbientModifier:()=>Kb,hasChangesInResolutions:()=>Xf,hasChildOfKind:()=>qY,hasContextSensitiveParameters:()=>$x,hasDecorators:()=>Xb,hasDocComment:()=>D$,hasDynamicName:()=>rv,hasEffectiveModifier:()=>Gb,hasEffectiveModifiers:()=>Wb,hasEffectiveReadonlyModifier:()=>Jb,hasExtension:()=>Yi,hasIndexSignature:()=>FZ,hasInitializer:()=>$u,hasInvalidEscape:()=>kv,hasJSDocNodes:()=>Xu,hasJSDocParameterTags:()=>Ql,hasJSFileExtension:()=>tx,hasJsonModuleEmitEnabled:()=>ET,hasOnlyExpressionInitializer:()=>Qu,hasOverrideModifier:()=>Ub,hasPossibleExternalModuleReference:()=>Zm,hasProperty:()=>je,hasPropertyAccessExpressionWithName:()=>yY,hasQuestionToken:()=>Ug,hasRecordedExternalHelpers:()=>RP,hasResolutionModeOverride:()=>IA,hasRestParameter:()=>op,hasScopeMarker:()=>hu,hasStaticModifier:()=>Vb,hasSyntacticModifier:()=>Bb,hasSyntacticModifiers:()=>zb,hasTSFileExtension:()=>rx,hasTabstop:()=>uA,hasTrailingDirectorySeparator:()=>Zi,hasType:()=>Yu,hasTypeArguments:()=>uy,hasZeroOrOneAsteriskCharacter:()=>wT,helperString:()=>LI,hostGetCanonicalFileName:()=>Jv,hostUsesCaseSensitiveFileNames:()=>qv,idText:()=>Ll,identifierIsThisKeyword:()=>Tb,identifierToKeywordKind:()=>kl,identity:()=>Sn,identitySourceMapConsumer:()=>yG,ignoreSourceNewlines:()=>BR,ignoredPaths:()=>di,importDefaultHelper:()=>bI,importFromModuleSpecifier:()=>Wg,importNameElisionDisabled:()=>ST,importStarHelper:()=>vI,indexOfAnyCharCode:()=>O,indexOfNode:()=>Rm,indicesOf:()=>le,inferredTypesContainingFile:()=>vU,injectClassNamedEvaluationHelperBlockIfMissing:()=>GB,injectClassThisAssignmentIfMissing:()=>PB,insertImports:()=>IQ,insertLeadingStatement:()=>iP,insertSorted:()=>ue,insertStatementAfterCustomPrologue:()=>_m,insertStatementAfterStandardPrologue:()=>mm,insertStatementsAfterCustomPrologue:()=>fm,insertStatementsAfterStandardPrologue:()=>pm,intersperse:()=>I,intrinsicTagNameToString:()=>TA,introducesArgumentsExoticObject:()=>nh,inverseJsxOptionMap:()=>Ak,isAbstractConstructorSymbol:()=>AS,isAbstractModifier:()=>uN,isAccessExpression:()=>wS,isAccessibilityModifier:()=>W$,isAccessor:()=>Pd,isAccessorModifier:()=>fN,isAliasSymbolDeclaration:()=>Cy,isAliasableExpression:()=>Py,isAmbientModule:()=>km,isAmbientPropertyDeclaration:()=>Km,isAnonymousFunctionDefinition:()=>_v,isAnyDirectorySeparator:()=>Vi,isAnyImportOrBareOrAccessedRequire:()=>$m,isAnyImportOrReExport:()=>e_,isAnyImportSyntax:()=>Ym,isAnySupportedFileExtension:()=>vx,isApplicableVersionedTypesKey:()=>hW,isArgumentExpressionOfElementAccess:()=>AY,isArray:()=>pn,isArrayBindingElement:()=>Hd,isArrayBindingOrAssignmentElement:()=>Qd,isArrayBindingOrAssignmentPattern:()=>$d,isArrayBindingPattern:()=>oD,isArrayLiteralExpression:()=>aD,isArrayLiteralOrObjectLiteralDestructuringPattern:()=>G$,isArrayTypeNode:()=>zN,isArrowFunction:()=>hD,isAsExpression:()=>MD,isAssertClause:()=>bC,isAssertEntry:()=>EC,isAssertionExpression:()=>pu,isAssertsKeyword:()=>sN,isAssignmentDeclaration:()=>cg,isAssignmentExpression:()=>gE,isAssignmentOperator:()=>mE,isAssignmentPattern:()=>Ud,isAssignmentTarget:()=>my,isAsteriskToken:()=>YI,isAsyncFunction:()=>ev,isAsyncModifier:()=>aN,isAutoAccessorPropertyDeclaration:()=>Ld,isAwaitExpression:()=>bD,isAwaitKeyword:()=>lN,isBigIntLiteral:()=>WI,isBinaryExpression:()=>TD,isBinaryOperatorToken:()=>eL,isBindableObjectDefinePropertyCall:()=>Sg,isBindableStaticAccessExpression:()=>Ag,isBindableStaticElementAccessExpression:()=>Rg,isBindableStaticNameExpression:()=>Ig,isBindingElement:()=>iD,isBindingElementOfBareOrAccessedRequire:()=>og,isBindingName:()=>Sd,isBindingOrAssignmentElement:()=>qd,isBindingOrAssignmentPattern:()=>Jd,isBindingPattern:()=>Vd,isBlock:()=>GD,isBlockOrCatchScoped:()=>Pm,isBlockScope:()=>qm,isBlockScopedContainerTopLevel:()=>zm,isBooleanLiteral:()=>Rd,isBreakOrContinueStatement:()=>Vc,isBreakStatement:()=>$D,isBuildInfoFile:()=>bV,isBuilderProgram:()=>jK,isBundle:()=>oM,isBundleFileTextLike:()=>FS,isCallChain:()=>kc,isCallExpression:()=>dD,isCallExpressionTarget:()=>iY,isCallLikeExpression:()=>tu,isCallLikeOrFunctionLikeExpression:()=>nu,isCallOrNewExpression:()=>ru,isCallOrNewExpressionTarget:()=>sY,isCallSignatureDeclaration:()=>CN,isCallToHelper:()=>wI,isCaseBlock:()=>mC,isCaseClause:()=>JC,isCaseKeyword:()=>hN,isCaseOrDefaultClause:()=>Vu,isCatchClause:()=>$C,isCatchClauseVariableDeclaration:()=>Zx,isCatchClauseVariableDeclarationOrBindingElement:()=>Lm,isCheckJsEnabledForFile:()=>Ex,isChildOfNodeWithKind:()=>U_,isCircularBuildOrder:()=>xq,isClassDeclaration:()=>lC,isClassElement:()=>Cd,isClassExpression:()=>ND,isClassInstanceProperty:()=>kd,isClassLike:()=>Md,isClassMemberModifier:()=>yd,isClassNamedEvaluationHelperBlock:()=>FB,isClassOrTypeElement:()=>zd,isClassStaticBlockDeclaration:()=>RN,isClassThisAssignmentBlock:()=>CB,isCollapsedRange:()=>XE,isColonToken:()=>ZI,isCommaExpression:()=>hP,isCommaListExpression:()=>FD,isCommaSequence:()=>gP,isCommaToken:()=>qI,isComment:()=>L$,isCommonJsExportPropertyAssignment:()=>Z_,isCommonJsExportedExpression:()=>Q_,isCompoundAssignment:()=>YG,isComputedNonLiteralName:()=>a_,isComputedPropertyName:()=>yN,isConciseBody:()=>bu,isConditionalExpression:()=>xD,isConditionalTypeNode:()=>KN,isConstTypeReference:()=>Gc,isConstructSignatureDeclaration:()=>MN,isConstructorDeclaration:()=>IN,isConstructorTypeNode:()=>ON,isContextualKeyword:()=>Ky,isContinueStatement:()=>YD,isCustomPrologue:()=>O_,isDebuggerStatement:()=>oC,isDeclaration:()=>Pu,isDeclarationBindingElement:()=>Kd,isDeclarationFileName:()=>_k,isDeclarationName:()=>Ry,isDeclarationNameOfEnumOrNamespace:()=>cS,isDeclarationReadonly:()=>R_,isDeclarationStatement:()=>Lu,isDeclarationWithTypeParameterChildren:()=>Xm,isDeclarationWithTypeParameters:()=>Jm,isDecorator:()=>EN,isDecoratorTarget:()=>cY,isDefaultClause:()=>XC,isDefaultImport:()=>jg,isDefaultModifier:()=>iN,isDefaultedExpandoInitializer:()=>mg,isDeleteExpression:()=>gD,isDeleteTarget:()=>xy,isDeprecatedDeclaration:()=>E0,isDestructuringAssignment:()=>vE,isDiagnosticWithLocation:()=>i0,isDiskPathRoot:()=>Ki,isDoStatement:()=>HD,isDocumentRegistryEntry:()=>i1,isDotDotDotToken:()=>KI,isDottedName:()=>TE,isDynamicName:()=>ov,isESSymbolIdentifier:()=>fv,isEffectiveExternalModule:()=>Um,isEffectiveModuleDeclaration:()=>Fm,isEffectiveStrictModeSourceFile:()=>Hm,isElementAccessChain:()=>Lc,isElementAccessExpression:()=>cD,isEmittedFileOfProgram:()=>iU,isEmptyArrayLiteral:()=>LE,isEmptyBindingElement:()=>vl,isEmptyBindingPattern:()=>yl,isEmptyObjectLiteral:()=>PE,isEmptyStatement:()=>jD,isEmptyStringLiteral:()=>Wh,isEntityName:()=>bd,isEntityNameExpression:()=>EE,isEnumConst:()=>A_,isEnumDeclaration:()=>uC,isEnumMember:()=>nM,isEqualityOperatorKind:()=>wZ,isEqualsGreaterThanToken:()=>nN,isExclamationToken:()=>$I,isExcludedFile:()=>NO,isExclusivelyTypeOnlyImportOrExport:()=>jU,isExpandoPropertyDeclaration:()=>RA,isExportAssignment:()=>NC,isExportDeclaration:()=>DC,isExportModifier:()=>oN,isExportName:()=>pP,isExportNamespaceAsDefaultDeclaration:()=>Sm,isExportOrDefaultModifier:()=>rL,isExportSpecifier:()=>MC,isExportsIdentifier:()=>yg,isExportsOrModuleExportsOrAlias:()=>KW,isExpression:()=>uu,isExpressionNode:()=>Gh,isExpressionOfExternalModuleImportEqualsDeclaration:()=>DY,isExpressionOfOptionalChainRoot:()=>Fc,isExpressionStatement:()=>VD,isExpressionWithTypeArguments:()=>CD,isExpressionWithTypeArgumentsInClassExtendsClause:()=>bE,isExternalModule:()=>uk,isExternalModuleAugmentation:()=>Bm,isExternalModuleImportEqualsDeclaration:()=>Uh,isExternalModuleIndicator:()=>yu,isExternalModuleNameRelative:()=>Xs,isExternalModuleReference:()=>wC,isExternalModuleSymbol:()=>nQ,isExternalOrCommonJsModule:()=>T_,isFileLevelReservedGeneratedIdentifier:()=>fd,isFileLevelUniqueName:()=>om,isFileProbablyExternalModule:()=>WL,isFirstDeclarationOfSymbolParameter:()=>FQ,isFixablePromiseHandler:()=>a2,isForInOrOfStatement:()=>vu,isForInStatement:()=>JD,isForInitializer:()=>Su,isForOfStatement:()=>XD,isForStatement:()=>qD,isFunctionBlock:()=>rh,isFunctionBody:()=>Eu,isFunctionDeclaration:()=>sC,isFunctionExpression:()=>_D,isFunctionExpressionOrArrowFunction:()=>eA,isFunctionLike:()=>Td,isFunctionLikeDeclaration:()=>Ad,isFunctionLikeKind:()=>Nd,isFunctionLikeOrClassStaticBlockDeclaration:()=>xd,isFunctionOrConstructorTypeNode:()=>jd,isFunctionOrModuleBlock:()=>Dd,isFunctionSymbol:()=>Og,isFunctionTypeNode:()=>wN,isFutureReservedKeyword:()=>Jy,isGeneratedIdentifier:()=>ud,isGeneratedPrivateIdentifier:()=>pd,isGetAccessor:()=>Ju,isGetAccessorDeclaration:()=>NN,isGetOrSetAccessorDeclaration:()=>Mc,isGlobalDeclaration:()=>v0,isGlobalScopeAugmentation:()=>Gm,isGrammarError:()=>sm,isHeritageClause:()=>YC,isHoistedFunction:()=>F_,isHoistedVariableStatement:()=>z_,isIdentifier:()=>tN,isIdentifierANonContextualKeyword:()=>$y,isIdentifierName:()=>Dy,isIdentifierOrThisTypeNode:()=>HP,isIdentifierPart:()=>Ws,isIdentifierStart:()=>Fs,isIdentifierText:()=>zs,isIdentifierTypePredicate:()=>ah,isIdentifierTypeReference:()=>Ox,isIfStatement:()=>UD,isIgnoredFileFromWildCardWatching:()=>oU,isImplicitGlob:()=>VT,isImportAttribute:()=>TC,isImportAttributeName:()=>dd,isImportAttributes:()=>SC,isImportCall:()=>P_,isImportClause:()=>yC,isImportDeclaration:()=>gC,isImportEqualsDeclaration:()=>hC,isImportKeyword:()=>_N,isImportMeta:()=>L_,isImportOrExportSpecifier:()=>id,isImportOrExportSpecifierName:()=>sZ,isImportSpecifier:()=>IC,isImportTypeAssertionContainer:()=>vC,isImportTypeNode:()=>eD,isImportableFile:()=>k0,isInComment:()=>N$,isInCompoundLikeAssignment:()=>_y,isInExpressionContext:()=>Bh,isInJSDoc:()=>Zh,isInJSFile:()=>Yh,isInJSXText:()=>E$,isInJsonFile:()=>$h,isInNonReferenceComment:()=>j$,isInReferenceComment:()=>B$,isInRightSideOfInternalImportEqualsDeclaration:()=>oY,isInString:()=>g$,isInTemplateString:()=>b$,isInTopLevelContext:()=>Eh,isInTypeQuery:()=>Eb,isIncrementalCompilation:()=>ef,isIndexSignatureDeclaration:()=>PN,isIndexedAccessTypeNode:()=>$N,isInferTypeNode:()=>qN,isInfinityOrNaNString:()=>Qx,isInitializedProperty:()=>oB,isInitializedVariable:()=>uS,isInsideJsxElement:()=>S$,isInsideJsxElementOrAttribute:()=>y$,isInsideNodeModules:()=>o0,isInsideTemplateLiteral:()=>F$,isInstanceOfExpression:()=>CE,isInstantiatedModule:()=>qz,isInterfaceDeclaration:()=>cC,isInternalDeclaration:()=>sp,isInternalModuleImportEqualsDeclaration:()=>qh,isInternalName:()=>dP,isIntersectionTypeNode:()=>HN,isIntrinsicJsxName:()=>jv,isIterationStatement:()=>mu,isJSDoc:()=>bM,isJSDocAllType:()=>pM,isJSDocAugmentsTag:()=>TM,isJSDocAuthorTag:()=>xM,isJSDocCallbackTag:()=>RM,isJSDocClassTag:()=>AM,isJSDocCommentContainingNode:()=>Hu,isJSDocConstructSignature:()=>Hg,isJSDocDeprecatedTag:()=>LM,isJSDocEnumTag:()=>wM,isJSDocFunctionType:()=>gM,isJSDocImplementsTag:()=>UM,isJSDocIndexSignature:()=>eg,isJSDocLikeText:()=>FL,isJSDocLink:()=>cM,isJSDocLinkCode:()=>dM,isJSDocLinkLike:()=>rp,isJSDocLinkPlain:()=>uM,isJSDocMemberName:()=>lM,isJSDocNameReference:()=>sM,isJSDocNamepathType:()=>vM,isJSDocNamespaceBody:()=>Au,isJSDocNode:()=>Uu,isJSDocNonNullableType:()=>_M,isJSDocNullableType:()=>mM,isJSDocOptionalParameter:()=>pA,isJSDocOptionalType:()=>hM,isJSDocOverloadTag:()=>PM,isJSDocOverrideTag:()=>MM,isJSDocParameterTag:()=>OM,isJSDocPrivateTag:()=>NM,isJSDocPropertyLikeTag:()=>qc,isJSDocPropertyTag:()=>VM,isJSDocProtectedTag:()=>DM,isJSDocPublicTag:()=>IM,isJSDocReadonlyTag:()=>CM,isJSDocReturnTag:()=>FM,isJSDocSatisfiesExpression:()=>_A,isJSDocSatisfiesTag:()=>HM,isJSDocSeeTag:()=>kM,isJSDocSignature:()=>SM,isJSDocTag:()=>Ku,isJSDocTemplateTag:()=>GM,isJSDocThisTag:()=>WM,isJSDocThrowsTag:()=>KM,isJSDocTypeAlias:()=>Kg,isJSDocTypeAssertion:()=>yP,isJSDocTypeExpression:()=>aM,isJSDocTypeLiteral:()=>EM,isJSDocTypeTag:()=>zM,isJSDocTypedefTag:()=>BM,isJSDocUnknownTag:()=>jM,isJSDocUnknownType:()=>fM,isJSDocVariadicType:()=>yM,isJSXTagName:()=>zh,isJsonEqual:()=>Dx,isJsonSourceFile:()=>x_,isJsxAttribute:()=>VC,isJsxAttributeLike:()=>Gu,isJsxAttributeName:()=>bA,isJsxAttributes:()=>UC,isJsxChild:()=>zu,isJsxClosingElement:()=>zC,isJsxClosingFragment:()=>jC,isJsxElement:()=>OC,isJsxExpression:()=>KC,isJsxFragment:()=>GC,isJsxNamespacedName:()=>qC,isJsxOpeningElement:()=>WC,isJsxOpeningFragment:()=>BC,isJsxOpeningLikeElement:()=>ju,isJsxOpeningLikeElementTagName:()=>dY,isJsxSelfClosingElement:()=>FC,isJsxSpreadAttribute:()=>HC,isJsxTagNameExpression:()=>Wu,isJsxText:()=>GI,isJumpStatementTarget:()=>vY,isKeyword:()=>Vy,isKeywordOrPunctuation:()=>Hy,isKnownSymbol:()=>uv,isLabelName:()=>EY,isLabelOfLabeledStatement:()=>bY,isLabeledStatement:()=>nC,isLateVisibilityPaintedStatement:()=>Qm,isLeftHandSideExpression:()=>iu,isLeftHandSideOfAssignment:()=>yE,isLet:()=>C_,isLineBreak:()=>ys,isLiteralComputedPropertyDeclarationName:()=>Ny,isLiteralExpression:()=>ed,isLiteralExpressionOfObject:()=>nd,isLiteralImportTypeNode:()=>k_,isLiteralKind:()=>Zc,isLiteralLikeAccess:()=>Tg,isLiteralLikeElementAccess:()=>xg,isLiteralNameOfPropertyDeclarationOrIndexAccess:()=>NY,isLiteralTypeLikeExpression:()=>XP,isLiteralTypeLiteral:()=>du,isLiteralTypeNode:()=>ZN,isLocalName:()=>uP,isLogicalOperator:()=>cE,isLogicalOrCoalescingAssignmentExpression:()=>uE,isLogicalOrCoalescingAssignmentOperator:()=>dE,isLogicalOrCoalescingBinaryExpression:()=>fE,isLogicalOrCoalescingBinaryOperator:()=>pE,isMappedTypeNode:()=>QN,isMemberName:()=>Cc,isMetaProperty:()=>kD,isMethodDeclaration:()=>AN,isMethodOrAccessor:()=>wd,isMethodSignature:()=>xN,isMinusToken:()=>XI,isMissingDeclaration:()=>PC,isMissingPackageJsonInfo:()=>vF,isModifier:()=>vd,isModifierKind:()=>hd,isModifierLike:()=>Fd,isModuleAugmentationExternal:()=>jm,isModuleBlock:()=>fC,isModuleBody:()=>Tu,isModuleDeclaration:()=>pC,isModuleExportsAccessExpression:()=>bg,isModuleIdentifier:()=>vg,isModuleName:()=>JP,isModuleOrEnumDeclaration:()=>Iu,isModuleReference:()=>Fu,isModuleSpecifierLike:()=>EQ,isModuleWithStringLiteralName:()=>wm,isNameOfFunctionDeclaration:()=>IY,isNameOfModuleDeclaration:()=>RY,isNamedClassElement:()=>Od,isNamedDeclaration:()=>Gl,isNamedEvaluation:()=>gv,isNamedEvaluationSource:()=>hv,isNamedExportBindings:()=>Uc,isNamedExports:()=>CC,isNamedImportBindings:()=>Ru,isNamedImports:()=>RC,isNamedImportsOrExports:()=>WS,isNamedTupleMember:()=>BN,isNamespaceBody:()=>xu,isNamespaceExport:()=>AC,isNamespaceExportDeclaration:()=>_C,isNamespaceImport:()=>xC,isNamespaceReexportDeclaration:()=>Vh,isNewExpression:()=>uD,isNewExpressionTarget:()=>aY,isNoSubstitutionTemplateLiteral:()=>jI,isNode:()=>Jc,isNodeArray:()=>Qc,isNodeArrayMultiLine:()=>oS,isNodeDescendantOf:()=>Ay,isNodeKind:()=>Xc,isNodeLikeSystem:()=>Et,isNodeModulesDirectory:()=>wa,isNodeWithPossibleHoistedDeclaration:()=>hy,isNonContextualKeyword:()=>qy,isNonExportDefaultModifier:()=>oL,isNonGlobalAmbientModule:()=>Om,isNonGlobalDeclaration:()=>b0,isNonNullAccess:()=>mA,isNonNullChain:()=>jc,isNonNullExpression:()=>LD,isNonStaticMethodOrAccessorWithPrivateName:()=>iB,isNotEmittedOrPartiallyEmittedNode:()=>fu,isNotEmittedStatement:()=>LC,isNullishCoalesce:()=>zc,isNumber:()=>_n,isNumericLiteral:()=>FI,isNumericLiteralName:()=>tA,isObjectBindingElementWithoutPropertyName:()=>SQ,isObjectBindingOrAssignmentElement:()=>Yd,isObjectBindingOrAssignmentPattern:()=>Xd,isObjectBindingPattern:()=>rD,isObjectLiteralElement:()=>Zu,isObjectLiteralElementLike:()=>Gd,isObjectLiteralExpression:()=>sD,isObjectLiteralMethod:()=>oh,isObjectLiteralOrClassExpressionMethodOrAccessor:()=>ih,isObjectTypeDeclaration:()=>LS,isOctalDigit:()=>Es,isOmittedExpression:()=>DD,isOptionalChain:()=>wc,isOptionalChainRoot:()=>Oc,isOptionalDeclaration:()=>fA,isOptionalJSDocPropertyLikeTag:()=>cA,isOptionalTypeNode:()=>jN,isOuterExpression:()=>bP,isOutermostOptionalChain:()=>Wc,isOverrideModifier:()=>pN,isPackageJsonInfo:()=>yF,isPackedArrayLiteral:()=>qx,isParameter:()=>bN,isParameterDeclaration:()=>vv,isParameterPropertyDeclaration:()=>gl,isParameterPropertyModifier:()=>gd,isParenthesizedExpression:()=>mD,isParenthesizedTypeNode:()=>JN,isParseTreeNode:()=>Dl,isPartOfTypeNode:()=>j_,isPartOfTypeQuery:()=>jh,isPartiallyEmittedExpression:()=>OD,isPatternMatch:()=>dt,isPinnedComment:()=>gm,isPlainJsFile:()=>Zf,isPlusToken:()=>JI,isPossiblyTypeArgumentPosition:()=>A$,isPostfixUnaryExpression:()=>SD,isPrefixUnaryExpression:()=>ED,isPrivateIdentifier:()=>rN,isPrivateIdentifierClassElementDeclaration:()=>md,isPrivateIdentifierPropertyAccessExpression:()=>_d,isPrivateIdentifierSymbol:()=>pv,isProgramBundleEmitBuildInfo:()=>HH,isProgramUptoDate:()=>iH,isPrologueDirective:()=>w_,isPropertyAccessChain:()=>Pc,isPropertyAccessEntityNameExpression:()=>xE,isPropertyAccessExpression:()=>lD,isPropertyAccessOrQualifiedName:()=>eu,isPropertyAccessOrQualifiedNameOrImportTypeNode:()=>Zd,isPropertyAssignment:()=>QC,isPropertyDeclaration:()=>TN,isPropertyName:()=>Ed,isPropertyNameLiteral:()=>av,isPropertySignature:()=>SN,isProtoSetter:()=>mv,isPrototypeAccess:()=>RE,isPrototypePropertyAssignment:()=>Lg,isPunctuation:()=>Uy,isPushOrUnshiftIdentifier:()=>yv,isQualifiedName:()=>gN,isQuestionDotToken:()=>eN,isQuestionOrExclamationToken:()=>UP,isQuestionOrPlusOrMinusToken:()=>qP,isQuestionToken:()=>QI,isRawSourceMap:()=>xG,isReadonlyKeyword:()=>cN,isReadonlyKeywordOrPlusOrMinusToken:()=>KP,isRecognizedTripleSlashComment:()=>hm,isReferenceFileLocation:()=>rH,isReferencedFile:()=>tH,isRegularExpressionLiteral:()=>BI,isRequireCall:()=>ng,isRequireVariableStatement:()=>ag,isRestParameter:()=>ip,isRestTypeNode:()=>VN,isReturnStatement:()=>QD,isReturnStatementWithFixablePromiseHandler:()=>i2,isRightSideOfAccessExpression:()=>NE,isRightSideOfInstanceofExpression:()=>ME,isRightSideOfPropertyAccess:()=>xY,isRightSideOfQualifiedName:()=>TY,isRightSideOfQualifiedNameOrPropertyAccess:()=>IE,isRightSideOfQualifiedNameOrPropertyAccessOrJSDocMemberName:()=>DE,isRootedDiskPath:()=>Hi,isSameEntityName:()=>hg,isSatisfiesExpression:()=>PD,isScopeMarker:()=>_u,isSemicolonClassElement:()=>zD,isSetAccessor:()=>qu,isSetAccessorDeclaration:()=>DN,isShebangTrivia:()=>Rs,isShiftOperatorOrHigher:()=>YP,isShorthandAmbientModuleSymbol:()=>Wm,isShorthandPropertyAssignment:()=>ZC,isSignedNumericLiteral:()=>tv,isSimpleCopiableExpression:()=>JG,isSimpleInlineableExpression:()=>XG,isSimpleParameter:()=>_B,isSimpleParameterList:()=>hB,isSingleOrDoubleQuote:()=>sg,isSourceFile:()=>rM,isSourceFileFromLibrary:()=>I0,isSourceFileJS:()=>Jh,isSourceFileNotJS:()=>Xh,isSourceFileNotJson:()=>Qh,isSourceMapping:()=>NG,isSpecialPropertyDeclaration:()=>kg,isSpreadAssignment:()=>eM,isSpreadElement:()=>ID,isStatement:()=>wu,isStatementButNotDeclaration:()=>ku,isStatementOrBlock:()=>Ou,isStatementWithLocals:()=>em,isStatic:()=>jb,isStaticModifier:()=>dN,isString:()=>mn,isStringAKeyword:()=>Yy,isStringANonContextualKeyword:()=>Xy,isStringAndEmptyAnonymousObjectIntersection:()=>O$,isStringDoubleQuoted:()=>lg,isStringLiteral:()=>zI,isStringLiteralLike:()=>tp,isStringLiteralOrJsxExpression:()=>Bu,isStringLiteralOrTemplate:()=>OZ,isStringOrNumericLiteralLike:()=>nv,isStringOrRegularExpressionOrTemplateLiteral:()=>k$,isStringTextContainingNode:()=>cd,isSuperCall:()=>M_,isSuperKeyword:()=>mN,isSuperOrSuperProperty:()=>Ah,isSuperProperty:()=>Rh,isSupportedSourceFileName:()=>ax,isSwitchStatement:()=>eC,isSyntaxList:()=>qM,isSyntheticExpression:()=>wD,isSyntheticReference:()=>kC,isTagName:()=>SY,isTaggedTemplateExpression:()=>pD,isTaggedTemplateTag:()=>lY,isTemplateExpression:()=>AD,isTemplateHead:()=>VI,isTemplateLiteral:()=>ou,isTemplateLiteralKind:()=>td,isTemplateLiteralToken:()=>rd,isTemplateLiteralTypeNode:()=>tD,isTemplateLiteralTypeSpan:()=>nD,isTemplateMiddle:()=>UI,isTemplateMiddleOrTemplateTail:()=>od,isTemplateSpan:()=>WD,isTemplateTail:()=>HI,isTextWhiteSpaceLike:()=>LQ,isThis:()=>PY,isThisContainerOrFunctionBlock:()=>bh,isThisIdentifier:()=>bb,isThisInTypeQuery:()=>Sb,isThisInitializedDeclaration:()=>Nh,isThisInitializedObjectBindingExpression:()=>Dh,isThisProperty:()=>Ih,isThisTypeNode:()=>XN,isThisTypeParameter:()=>oA,isThisTypePredicate:()=>sh,isThrowStatement:()=>tC,isToken:()=>$c,isTokenKind:()=>Yc,isTraceEnabled:()=>XO,isTransientSymbol:()=>Pf,isTrivia:()=>Qy,isTryStatement:()=>rC,isTupleTypeNode:()=>GN,isTypeAlias:()=>qg,isTypeAliasDeclaration:()=>dC,isTypeAssertionExpression:()=>fD,isTypeDeclaration:()=>sA,isTypeElement:()=>Wd,isTypeKeyword:()=>Q$,isTypeKeywordToken:()=>Z$,isTypeKeywordTokenOrIdentifier:()=>eQ,isTypeLiteralNode:()=>WN,isTypeNode:()=>Bd,isTypeNodeKind:()=>kS,isTypeOfExpression:()=>yD,isTypeOnlyExportDeclaration:()=>sd,isTypeOnlyImportDeclaration:()=>ad,isTypeOnlyImportOrExportDeclaration:()=>ld,isTypeOperatorNode:()=>YN,isTypeParameterDeclaration:()=>vN,isTypePredicateNode:()=>LN,isTypeQueryNode:()=>FN,isTypeReferenceNode:()=>kN,isTypeReferenceType:()=>ep,isTypeUsableAsPropertyName:()=>xA,isUMDExportSymbol:()=>DS,isUnaryExpression:()=>su,isUnaryExpressionWithWrite:()=>cu,isUnicodeIdentifierStart:()=>is,isUnionTypeNode:()=>UN,isUnparsedNode:()=>Kc,isUnparsedPrepend:()=>tM,isUnparsedSource:()=>iM,isUnparsedTextLike:()=>Hc,isUrl:()=>Ui,isValidBigIntString:()=>kx,isValidESSymbolDeclaration:()=>eh,isValidTypeOnlyAliasUseSite:()=>wx,isValueSignatureDeclaration:()=>gy,isVarAwaitUsing:()=>I_,isVarConst:()=>D_,isVarUsing:()=>N_,isVariableDeclaration:()=>iC,isVariableDeclarationInVariableStatement:()=>$_,isVariableDeclarationInitializedToBareOrAccessedRequire:()=>rg,isVariableDeclarationInitializedToRequire:()=>tg,isVariableDeclarationList:()=>aC,isVariableLike:()=>X_,isVariableLikeOrAccessor:()=>Y_,isVariableStatement:()=>BD,isVoidExpression:()=>vD,isWatchSet:()=>pS,isWhileStatement:()=>KD,isWhiteSpaceLike:()=>hs,isWhiteSpaceSingleLine:()=>gs,isWithStatement:()=>ZD,isWriteAccess:()=>vS,isWriteOnlyAccess:()=>yS,isYieldExpression:()=>RD,jsxModeNeedsExplicitImport:()=>R0,keywordPart:()=>BQ,last:()=>ke,lastOrUndefined:()=>Le,length:()=>b,libMap:()=>Nk,libs:()=>Ik,lineBreakPart:()=>nZ,linkNamePart:()=>$Q,linkPart:()=>QQ,linkTextPart:()=>YQ,listFiles:()=>VK,loadModuleFromGlobalCache:()=>MW,loadWithModeAwareCache:()=>YU,makeIdentifierFromModuleName:()=>Mm,makeImport:()=>mQ,makeImportIfNecessary:()=>fQ,makeStringLiteral:()=>_Q,mangleScopedPackageName:()=>xW,map:()=>B,mapAllOrFail:()=>X,mapDefined:()=>Y,mapDefinedEntries:()=>Q,mapDefinedIterator:()=>$,mapEntries:()=>re,mapIterator:()=>j,mapOneOrMany:()=>d0,mapToDisplayParts:()=>tZ,matchFiles:()=>XT,matchPatternOrExact:()=>Sx,matchedText:()=>it,matchesExclude:()=>CO,maybeBind:()=>an,maybeSetLocalizedDiagnosticMessages:()=>ZS,memoize:()=>Rn,memoizeCached:()=>Dn,memoizeOne:()=>In,memoizeWeak:()=>Nn,metadataHelper:()=>QR,min:()=>Fn,minAndMax:()=>Ax,missingFileModifiedTime:()=>ai,modifierToFlag:()=>sE,modifiersToFlags:()=>aE,moduleOptionDeclaration:()=>Pk,moduleResolutionIsEqualTo:()=>Uf,moduleResolutionNameAndModeGetter:()=>gU,moduleResolutionOptionDeclarations:()=>Wk,moduleResolutionSupportsPackageJsonExportsAndImports:()=>AT,moduleResolutionUsesNodeModules:()=>pQ,moduleSpecifiers:()=>Iz,moveEmitHelpers:()=>WR,moveRangeEnd:()=>HE,moveRangePastDecorators:()=>qE,moveRangePastModifiers:()=>JE,moveRangePos:()=>KE,moveSyntheticComments:()=>MR,mutateMap:()=>xS,mutateMapSkippingNewValues:()=>TS,needsParentheses:()=>PZ,needsScopeMarker:()=>gu,newCaseClauseTracker:()=>N0,newPrivateEnvironment:()=>uB,noEmitNotification:()=>uV,noEmitSubstitution:()=>dV,noTransformers:()=>nV,noTruncationMaximumTruncationLength:()=>up,nodeCanBeDecorated:()=>Ph,nodeHasName:()=>Wl,nodeIsDecorated:()=>Lh,nodeIsMissing:()=>im,nodeIsPresent:()=>am,nodeIsSynthesized:()=>Sv,nodeModuleNameResolver:()=>GF,nodeModulesPathPart:()=>HO,nodeNextJsonConfigResolver:()=>BF,nodeOrChildIsDecorated:()=>kh,nodeOverlapsWithStartEnd:()=>BY,nodePosToString:()=>tm,nodeSeenTracker:()=>tQ,nodeStartsNewLexicalEnvironment:()=>Ev,nodeToDisplayParts:()=>aZ,noop:()=>yn,noopFileWatcher:()=>NK,normalizePath:()=>_a,normalizeSlashes:()=>ca,not:()=>ft,notImplemented:()=>An,notImplementedResolver:()=>mV,nullNodeConverters:()=>wA,nullParenthesizerRules:()=>PA,nullTransformationContext:()=>tV,objectAllocator:()=>Wp,operatorPart:()=>VQ,optionDeclarations:()=>kk,optionMapToObject:()=>Hw,optionsAffectingProgramStructure:()=>Gk,optionsForBuild:()=>jk,optionsForWatch:()=>Dk,optionsHaveChanges:()=>Of,optionsHaveModuleResolutionChanges:()=>kf,or:()=>pt,orderedRemoveItem:()=>Zn,orderedRemoveItemAt:()=>et,outFile:()=>ob,packageIdToPackageName:()=>Kf,packageIdToString:()=>qf,paramHelper:()=>ZR,parameterIsThisKeyword:()=>vb,parameterNamePart:()=>UQ,parseBaseNodeFactory:()=>RL,parseBigInt:()=>Px,parseBuildCommand:()=>Iw,parseCommandLine:()=>Tw,parseCommandLineWorker:()=>Ew,parseConfigFileTextToJson:()=>Mw,parseConfigFileWithSystem:()=>OK,parseConfigHostFromCompilerHostLike:()=>pH,parseCustomTypeOption:()=>gw,parseIsolatedEntityName:()=>ck,parseIsolatedJSDocComment:()=>fk,parseJSDocTypeExpressionForTests:()=>mk,parseJsonConfigFileContent:()=>tO,parseJsonSourceFileConfigFileContent:()=>rO,parseJsonText:()=>dk,parseListTypeOption:()=>yw,parseNodeFactory:()=>IL,parseNodeModuleFromPath:()=>KF,parsePackageName:()=>dW,parsePseudoBigInt:()=>Cx,parseValidBigInt:()=>Lx,patchWriteFileEnsuringDirectory:()=>wi,pathContainsNodeModules:()=>HF,pathIsAbsolute:()=>qi,pathIsBareSpecifier:()=>Xi,pathIsRelative:()=>Ji,patternText:()=>ot,perfLogger:()=>or,performIncrementalCompilation:()=>lq,performance:()=>Dr,plainJSErrors:()=>bU,positionBelongsToNode:()=>VY,positionIsASICandidate:()=>UZ,positionIsSynthesized:()=>_x,positionsAreOnSameLine:()=>iS,preProcessFile:()=>q1,probablyUsesSemicolons:()=>HZ,processCommentPragmas:()=>gk,processPragmasIntoFields:()=>yk,processTaggedTemplateExpression:()=>HB,programContainsEsModules:()=>lQ,programContainsModules:()=>sQ,projectReferenceIsEqualTo:()=>Vf,propKeyHelper:()=>fI,propertyNamePart:()=>HQ,pseudoBigIntToString:()=>Mx,punctuationPart:()=>jQ,pushIfUnique:()=>Se,quote:()=>kZ,quotePreferenceFromString:()=>hQ,rangeContainsPosition:()=>OY,rangeContainsPositionExclusive:()=>FY,rangeContainsRange:()=>kY,rangeContainsRangeExclusive:()=>wY,rangeContainsStartEnd:()=>zY,rangeEndIsOnSameLineAsRangeStart:()=>nS,rangeEndPositionsAreOnSameLine:()=>ZE,rangeEquals:()=>Ne,rangeIsOnSingleLine:()=>$E,rangeOfNode:()=>Rx,rangeOfTypeParameters:()=>Ix,rangeOverlapsWithStartEnd:()=>GY,rangeStartIsOnSameLineAsRangeEnd:()=>eS,rangeStartPositionsAreOnSameLine:()=>QE,readBuilderProgram:()=>dq,readConfigFile:()=>Cw,readHelper:()=>uI,readJson:()=>GE,readJsonConfigFile:()=>Pw,readJsonOrUndefined:()=>zE,reduceEachLeadingCommentRange:()=>Ms,reduceEachTrailingCommentRange:()=>Ps,reduceLeft:()=>Be,reduceLeftIterator:()=>A,reducePathComponents:()=>da,refactor:()=>P5,regExpEscape:()=>zT,relativeComplement:()=>ge,removeAllComments:()=>pR,removeEmitHelper:()=>OR,removeExtension:()=>ux,removeFileExtension:()=>cx,removeIgnoredPath:()=>cK,removeMinAndVersionNumbers:()=>Qn,removeOptionality:()=>x$,removePrefix:()=>lt,removeSuffix:()=>Yn,removeTrailingDirectorySeparator:()=>ya,repeatString:()=>oQ,replaceElement:()=>We,replaceFirstStar:()=>NA,resolutionExtensionIsTSOrJson:()=>gx,resolveConfigFileProjectName:()=>gq,resolveJSModule:()=>FF,resolveLibrary:()=>LF,resolveModuleName:()=>wF,resolveModuleNameFromCache:()=>kF,resolvePackageNameToPackageJson:()=>hF,resolvePath:()=>pa,resolveProjectReferencePath:()=>mH,resolveTripleslashReference:()=>xU,resolveTypeReferenceDirective:()=>fF,resolvingEmptyArray:()=>lp,restHelper:()=>sI,returnFalse:()=>vn,returnNoopFileWatcher:()=>DK,returnTrue:()=>bn,returnUndefined:()=>En,returnsPromise:()=>o2,runInitializersHelper:()=>nI,sameFlatMap:()=>J,sameMap:()=>V,sameMapping:()=>IG,scanShebangTrivia:()=>Is,scanTokenAtPosition:()=>E_,scanner:()=>KX,screenStartingMessageCodes:()=>IK,semanticDiagnosticsOptionDeclarations:()=>wk,serializeCompilerOptions:()=>Xw,server:()=>Ybe,servicesVersion:()=>V5,setCommentRange:()=>xR,setConfigFileInOptions:()=>oO,setConstantValue:()=>LR,setEachParent:()=>Ux,setEmitFlags:()=>fR,setFunctionNameHelper:()=>mI,setGetSourceFileAsHashVersioned:()=>tq,setIdentifierAutoGenerate:()=>KR,setIdentifierGeneratedImportReference:()=>JR,setIdentifierTypeArguments:()=>UR,setInternalEmitFlags:()=>_R,setLocalizedDiagnosticMessages:()=>QS,setModuleDefaultHelper:()=>yI,setNodeFlags:()=>jx,setObjectAllocator:()=>YS,setOriginalNode:()=>lR,setParent:()=>Vx,setParentRecursive:()=>Hx,setPrivateIdentifier:()=>fB,setSnippetElement:()=>GR,setSourceMapRange:()=>yR,setStackTraceLimit:()=>hi,setStartsOnNewLine:()=>SR,setSyntheticLeadingComments:()=>RR,setSyntheticTrailingComments:()=>DR,setSys:()=>Oi,setSysLog:()=>Ci,setTextRange:()=>yL,setTextRangeEnd:()=>zx,setTextRangePos:()=>Wx,setTextRangePosEnd:()=>Gx,setTextRangePosWidth:()=>Bx,setTokenSourceMapRange:()=>bR,setTypeNode:()=>jR,setUILocale:()=>Vn,setValueDeclaration:()=>wg,shouldAllowImportingTsExtension:()=>CW,shouldPreserveConstEnums:()=>Zp,shouldUseUriStyleNodeCoreModules:()=>S0,showModuleSpecifier:()=>CS,signatureHasLiteralTypes:()=>eG,signatureHasRestParameter:()=>Zz,signatureToDisplayParts:()=>iZ,single:()=>Oe,singleElementArray:()=>_t,singleIterator:()=>ne,singleOrMany:()=>Fe,singleOrUndefined:()=>we,skipAlias:()=>hS,skipAssertions:()=>TP,skipConstraint:()=>iQ,skipOuterExpressions:()=>EP,skipParentheses:()=>Ty,skipPartiallyEmittedExpressions:()=>Bc,skipTrivia:()=>Ts,skipTypeChecking:()=>Nx,skipTypeParentheses:()=>Sy,skipWhile:()=>bt,sliceAfter:()=>Tx,some:()=>oe,sort:()=>Ae,sortAndDeduplicate:()=>pe,sortAndDeduplicateDiagnostics:()=>Ys,sourceFileAffectingCompilerOptions:()=>zk,sourceFileMayBeEmitted:()=>sb,sourceMapCommentRegExp:()=>hG,sourceMapCommentRegExpDontCareLineStart:()=>_G,spacePart:()=>GQ,spanMap:()=>te,spreadArrayHelper:()=>pI,stableSort:()=>Ie,startEndContainsRange:()=>WY,startEndOverlapsWithStartEnd:()=>jY,startOnNewLine:()=>xP,startTracing:()=>Pr,startsWith:()=>st,startsWithDirectory:()=>Na,startsWithUnderscore:()=>y0,startsWithUseStrict:()=>_P,stringContainsAt:()=>g0,stringToToken:()=>ss,stripQuotes:()=>Bv,supportedDeclarationExtensions:()=>Ef,supportedJSExtensions:()=>gf,supportedJSExtensionsFlat:()=>yf,supportedLocaleDirectories:()=>Ks,supportedTSExtensions:()=>ff,supportedTSExtensionsFlat:()=>mf,supportedTSImplementationExtensions:()=>Sf,suppressLeadingAndTrailingTrivia:()=>vZ,suppressLeadingTrivia:()=>bZ,suppressTrailingTrivia:()=>EZ,symbolEscapedNameNoDefault:()=>bQ,symbolName:()=>wl,symbolNameNoDefault:()=>vQ,symbolPart:()=>WQ,symbolToDisplayParts:()=>oZ,syntaxMayBeASICandidate:()=>eY,syntaxRequiresTrailingSemicolonOrASI:()=>VZ,sys:()=>fi,sysLog:()=>Di,tagNamesAreEquivalent:()=>Sk,takeWhile:()=>vt,targetOptionDeclaration:()=>Mk,templateObjectHelper:()=>dI,testFormatSettings:()=>PX,textChangeRangeIsUnchanged:()=>fl,textChangeRangeNewSpan:()=>pl,textChanges:()=>p_e,textOrKeywordPart:()=>KQ,textPart:()=>qQ,textRangeContainsPositionInclusive:()=>nl,textSpanContainsPosition:()=>el,textSpanContainsTextSpan:()=>tl,textSpanEnd:()=>Qs,textSpanIntersection:()=>cl,textSpanIntersectsWith:()=>al,textSpanIntersectsWithPosition:()=>ll,textSpanIntersectsWithTextSpan:()=>il,textSpanIsEmpty:()=>Zs,textSpanOverlap:()=>ol,textSpanOverlapsWith:()=>rl,textSpansEqual:()=>DQ,textToKeywordObj:()=>za,timestamp:()=>Zt,toArray:()=>fn,toBuilderFileEmit:()=>ZH,toBuilderStateFileInfoForMultiEmit:()=>QH,toEditorSettings:()=>m7,toFileNameLowerCase:()=>xn,toLowerCase:()=>Tn,toPath:()=>ga,toProgramEmitPending:()=>eK,tokenIsIdentifierOrKeyword:()=>ts,tokenIsIdentifierOrKeywordOrGreaterThan:()=>rs,tokenToString:()=>as,trace:()=>JO,tracing:()=>Cr,tracingEnabled:()=>Mr,transform:()=>N7,transformClassFields:()=>QB,transformDeclarations:()=>Qj,transformECMAScriptModule:()=>jj,transformES2015:()=>Mj,transformES2016:()=>Nj,transformES2017:()=>sj,transformES2018:()=>dj,transformES2019:()=>pj,transformES2020:()=>mj,transformES2021:()=>hj,transformES5:()=>Lj,transformESDecorators:()=>ij,transformESNext:()=>yj,transformGenerators:()=>wj,transformJsx:()=>Rj,transformLegacyDecorators:()=>rj,transformModule:()=>Wj,transformNamedEvaluation:()=>jB,transformNodeModule:()=>Uj,transformNodes:()=>pV,transformSystemModule:()=>Gj,transformTypeScript:()=>YB,transpile:()=>h2,transpileModule:()=>_2,transpileOptionValueCompilerOptions:()=>Bk,tryAddToSet:()=>ee,tryAndIgnoreErrors:()=>YZ,tryCast:()=>hn,tryDirectoryExists:()=>XZ,tryExtractTSExtension:()=>wE,tryFileExists:()=>JZ,tryGetClassExtendingExpressionWithTypeArguments:()=>_E,tryGetClassImplementingOrExtendingExpressionWithTypeArguments:()=>hE,tryGetDirectories:()=>KZ,tryGetExtensionFromPath:()=>bx,tryGetImportFromModuleSpecifier:()=>zg,tryGetJSDocSatisfiesTypeNode:()=>gA,tryGetModuleNameFromFile:()=>MP,tryGetModuleSpecifierFromDeclaration:()=>Fg,tryGetNativePerformanceHooks:()=>tr,tryGetPropertyAccessOrIdentifierToString:()=>AE,tryGetPropertyNameOfBindingOrAssignmentElement:()=>OP,tryGetSourceMappingURL:()=>SG,tryGetTextOfPropertyName:()=>s_,tryIOAndConsumeErrors:()=>$Z,tryParseJson:()=>BE,tryParsePattern:()=>fx,tryParsePatterns:()=>mx,tryParseRawSourceMap:()=>AG,tryReadDirectory:()=>qZ,tryReadFile:()=>Lw,tryRemoveDirectoryPrefix:()=>WT,tryRemoveExtension:()=>dx,tryRemovePrefix:()=>ct,tryRemoveSuffix:()=>$n,typeAcquisitionDeclarations:()=>Uk,typeAliasNamePart:()=>JQ,typeDirectiveIsEqualTo:()=>Jf,typeKeywords:()=>XX,typeParameterNamePart:()=>XQ,typeToDisplayParts:()=>rZ,unchangedPollThresholds:()=>ci,unchangedTextChangeRange:()=>Hs,unescapeLeadingUnderscores:()=>Pl,unmangleScopedPackageName:()=>RW,unorderedRemoveItem:()=>tt,unorderedRemoveItemAt:()=>nt,unreachableCodeIsError:()=>TT,unusedLabelIsError:()=>xT,unwrapInnermostStatementOfLabel:()=>th,updateErrorForNoInputFiles:()=>uO,updateLanguageServiceSourceFile:()=>E7,updateMissingFilePathsWatch:()=>tU,updateResolutionField:()=>oF,updateSharedExtendedConfigFileWatcher:()=>ZV,updateSourceFile:()=>pk,updateWatchingWildcardDirectories:()=>rU,usesExtensionsOnImports:()=>ox,usingSingleLineStringWriter:()=>Bf,utf16EncodeAsString:()=>Us,validateLocaleAndSetLanguage:()=>Rl,valuesHelper:()=>_I,version:()=>t,versionMajorMinor:()=>n,visitArray:()=>iG,visitCommaListElements:()=>pG,visitEachChild:()=>fG,visitFunctionBody:()=>dG,visitIterationBody:()=>uG,visitLexicalEnvironment:()=>sG,visitNode:()=>rG,visitNodes:()=>oG,visitParameterList:()=>lG,walkUpBindingElementsAndPatterns:()=>bl,walkUpLexicalEnvironments:()=>dB,walkUpOuterExpressions:()=>SP,walkUpParenthesizedExpressions:()=>by,walkUpParenthesizedTypes:()=>vy,walkUpParenthesizedTypesAndGetParentAndChild:()=>Ey,whitespaceOrMapCommentRegExp:()=>gG,writeCommentRange:()=>wb,writeFile:()=>db,writeFileEnsuringDirectories:()=>pb,zipWith:()=>R});var Zbe,eEe,nEe=g({"src/typescript/_namespaces/ts.ts"(){JJ(),UX(),Tge(),Xbe(),$be()}});return(Zbe={"src/typescript/typescript.ts"(e,n){nEe(),nEe(),"undefined"!=typeof console&&(Tt.loggingHost={log(e,n){switch(e){case 1:return console.error(n);case 2:return console.warn(n);case 3:case 4:return console.log(n)}}}),n.exports=Qbe}},function(){return eEe||(0,Zbe[h(Zbe)[0]])((eEe={exports:{}}).exports,eEe),eEe.exports})()})();void 0!==Ei&&Ei.exports&&(Ei.exports=Si);var Ti=Si.createClassifier,xi=Si.createLanguageService,Ai=Si.displayPartsToString,Ri=Si.EndOfLineState,Ii=Si.flattenDiagnosticMessageText,Ni=Si.IndentStyle,Di=Si.ScriptKind,Ci=Si.ScriptTarget,Mi=Si.TokenClass,Pi=Si,Li={};function ki(e){return"string"==typeof e?!!/^file:\/\/\//.test(e)&&!!Li[e.substr(8)]:0===e.path.indexOf("/lib.")&&!!Li[e.path.slice(1)]}Li["lib.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es5" />\n/// <reference lib="dom" />\n/// <reference lib="webworker.importscripts" />\n/// <reference lib="scripthost" />\n',Li["lib.decorators.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/**\n * The decorator context types provided to class element decorators.\n */\ntype ClassMemberDecoratorContext =\n    | ClassMethodDecoratorContext\n    | ClassGetterDecoratorContext\n    | ClassSetterDecoratorContext\n    | ClassFieldDecoratorContext\n    | ClassAccessorDecoratorContext;\n\n/**\n * The decorator context types provided to any decorator.\n */\ntype DecoratorContext =\n    | ClassDecoratorContext\n    | ClassMemberDecoratorContext;\n\ntype DecoratorMetadataObject = Record<PropertyKey, unknown> & object;\n\ntype DecoratorMetadata = typeof globalThis extends { Symbol: { readonly metadata: symbol; }; } ? DecoratorMetadataObject : DecoratorMetadataObject | undefined;\n\n/**\n * Context provided to a class decorator.\n * @template Class The type of the decorated class associated with this context.\n */\ninterface ClassDecoratorContext<\n    Class extends abstract new (...args: any) => any = abstract new (...args: any) => any,\n> {\n    /** The kind of element that was decorated. */\n    readonly kind: "class";\n\n    /** The name of the decorated class. */\n    readonly name: string | undefined;\n\n    /**\n     * Adds a callback to be invoked after the class definition has been finalized.\n     *\n     * @example\n     * ```ts\n     * function customElement(name: string): ClassDecoratorFunction {\n     *   return (target, context) => {\n     *     context.addInitializer(function () {\n     *       customElements.define(name, this);\n     *     });\n     *   }\n     * }\n     *\n     * @customElement("my-element")\n     * class MyElement {}\n     * ```\n     */\n    addInitializer(initializer: (this: Class) => void): void;\n\n    readonly metadata: DecoratorMetadata;\n}\n\n/**\n * Context provided to a class method decorator.\n * @template This The type on which the class element will be defined. For a static class element, this will be\n * the type of the constructor. For a non-static class element, this will be the type of the instance.\n * @template Value The type of the decorated class method.\n */\ninterface ClassMethodDecoratorContext<\n    This = unknown,\n    Value extends (this: This, ...args: any) => any = (this: This, ...args: any) => any,\n> {\n    /** The kind of class element that was decorated. */\n    readonly kind: "method";\n\n    /** The name of the decorated class element. */\n    readonly name: string | symbol;\n\n    /** A value indicating whether the class element is a static (`true`) or instance (`false`) element. */\n    readonly static: boolean;\n\n    /** A value indicating whether the class element has a private name. */\n    readonly private: boolean;\n\n    /** An object that can be used to access the current value of the class element at runtime. */\n    readonly access: {\n        /**\n         * Determines whether an object has a property with the same name as the decorated element.\n         */\n        has(object: This): boolean;\n        /**\n         * Gets the current value of the method from the provided object.\n         *\n         * @example\n         * let fn = context.access.get(instance);\n         */\n        get(object: This): Value;\n    };\n\n    /**\n     * Adds a callback to be invoked either before static initializers are run (when\n     * decorating a `static` element), or before instance initializers are run (when\n     * decorating a non-`static` element).\n     *\n     * @example\n     * ```ts\n     * const bound: ClassMethodDecoratorFunction = (value, context) {\n     *   if (context.private) throw new TypeError("Not supported on private methods.");\n     *   context.addInitializer(function () {\n     *     this[context.name] = this[context.name].bind(this);\n     *   });\n     * }\n     *\n     * class C {\n     *   message = "Hello";\n     *\n     *   @bound\n     *   m() {\n     *     console.log(this.message);\n     *   }\n     * }\n     * ```\n     */\n    addInitializer(initializer: (this: This) => void): void;\n\n    readonly metadata: DecoratorMetadata;\n}\n\n/**\n * Context provided to a class getter decorator.\n * @template This The type on which the class element will be defined. For a static class element, this will be\n * the type of the constructor. For a non-static class element, this will be the type of the instance.\n * @template Value The property type of the decorated class getter.\n */\ninterface ClassGetterDecoratorContext<\n    This = unknown,\n    Value = unknown,\n> {\n    /** The kind of class element that was decorated. */\n    readonly kind: "getter";\n\n    /** The name of the decorated class element. */\n    readonly name: string | symbol;\n\n    /** A value indicating whether the class element is a static (`true`) or instance (`false`) element. */\n    readonly static: boolean;\n\n    /** A value indicating whether the class element has a private name. */\n    readonly private: boolean;\n\n    /** An object that can be used to access the current value of the class element at runtime. */\n    readonly access: {\n        /**\n         * Determines whether an object has a property with the same name as the decorated element.\n         */\n        has(object: This): boolean;\n        /**\n         * Invokes the getter on the provided object.\n         *\n         * @example\n         * let value = context.access.get(instance);\n         */\n        get(object: This): Value;\n    };\n\n    /**\n     * Adds a callback to be invoked either before static initializers are run (when\n     * decorating a `static` element), or before instance initializers are run (when\n     * decorating a non-`static` element).\n     */\n    addInitializer(initializer: (this: This) => void): void;\n\n    readonly metadata: DecoratorMetadata;\n}\n\n/**\n * Context provided to a class setter decorator.\n * @template This The type on which the class element will be defined. For a static class element, this will be\n * the type of the constructor. For a non-static class element, this will be the type of the instance.\n * @template Value The type of the decorated class setter.\n */\ninterface ClassSetterDecoratorContext<\n    This = unknown,\n    Value = unknown,\n> {\n    /** The kind of class element that was decorated. */\n    readonly kind: "setter";\n\n    /** The name of the decorated class element. */\n    readonly name: string | symbol;\n\n    /** A value indicating whether the class element is a static (`true`) or instance (`false`) element. */\n    readonly static: boolean;\n\n    /** A value indicating whether the class element has a private name. */\n    readonly private: boolean;\n\n    /** An object that can be used to access the current value of the class element at runtime. */\n    readonly access: {\n        /**\n         * Determines whether an object has a property with the same name as the decorated element.\n         */\n        has(object: This): boolean;\n        /**\n         * Invokes the setter on the provided object.\n         *\n         * @example\n         * context.access.set(instance, value);\n         */\n        set(object: This, value: Value): void;\n    };\n\n    /**\n     * Adds a callback to be invoked either before static initializers are run (when\n     * decorating a `static` element), or before instance initializers are run (when\n     * decorating a non-`static` element).\n     */\n    addInitializer(initializer: (this: This) => void): void;\n\n    readonly metadata: DecoratorMetadata;\n}\n\n/**\n * Context provided to a class `accessor` field decorator.\n * @template This The type on which the class element will be defined. For a static class element, this will be\n * the type of the constructor. For a non-static class element, this will be the type of the instance.\n * @template Value The type of decorated class field.\n */\ninterface ClassAccessorDecoratorContext<\n    This = unknown,\n    Value = unknown,\n> {\n    /** The kind of class element that was decorated. */\n    readonly kind: "accessor";\n\n    /** The name of the decorated class element. */\n    readonly name: string | symbol;\n\n    /** A value indicating whether the class element is a static (`true`) or instance (`false`) element. */\n    readonly static: boolean;\n\n    /** A value indicating whether the class element has a private name. */\n    readonly private: boolean;\n\n    /** An object that can be used to access the current value of the class element at runtime. */\n    readonly access: {\n        /**\n         * Determines whether an object has a property with the same name as the decorated element.\n         */\n        has(object: This): boolean;\n\n        /**\n         * Invokes the getter on the provided object.\n         *\n         * @example\n         * let value = context.access.get(instance);\n         */\n        get(object: This): Value;\n\n        /**\n         * Invokes the setter on the provided object.\n         *\n         * @example\n         * context.access.set(instance, value);\n         */\n        set(object: This, value: Value): void;\n    };\n\n    /**\n     * Adds a callback to be invoked either before static initializers are run (when\n     * decorating a `static` element), or before instance initializers are run (when\n     * decorating a non-`static` element).\n     */\n    addInitializer(initializer: (this: This) => void): void;\n\n    readonly metadata: DecoratorMetadata;\n}\n\n/**\n * Describes the target provided to class `accessor` field decorators.\n * @template This The `this` type to which the target applies.\n * @template Value The property type for the class `accessor` field.\n */\ninterface ClassAccessorDecoratorTarget<This, Value> {\n    /**\n     * Invokes the getter that was defined prior to decorator application.\n     *\n     * @example\n     * let value = target.get.call(instance);\n     */\n    get(this: This): Value;\n\n    /**\n     * Invokes the setter that was defined prior to decorator application.\n     *\n     * @example\n     * target.set.call(instance, value);\n     */\n    set(this: This, value: Value): void;\n}\n\n/**\n * Describes the allowed return value from a class `accessor` field decorator.\n * @template This The `this` type to which the target applies.\n * @template Value The property type for the class `accessor` field.\n */\ninterface ClassAccessorDecoratorResult<This, Value> {\n    /**\n     * An optional replacement getter function. If not provided, the existing getter function is used instead.\n     */\n    get?(this: This): Value;\n\n    /**\n     * An optional replacement setter function. If not provided, the existing setter function is used instead.\n     */\n    set?(this: This, value: Value): void;\n\n    /**\n     * An optional initializer mutator that is invoked when the underlying field initializer is evaluated.\n     * @param value The incoming initializer value.\n     * @returns The replacement initializer value.\n     */\n    init?(this: This, value: Value): Value;\n}\n\n/**\n * Context provided to a class field decorator.\n * @template This The type on which the class element will be defined. For a static class element, this will be\n * the type of the constructor. For a non-static class element, this will be the type of the instance.\n * @template Value The type of the decorated class field.\n */\ninterface ClassFieldDecoratorContext<\n    This = unknown,\n    Value = unknown,\n> {\n    /** The kind of class element that was decorated. */\n    readonly kind: "field";\n\n    /** The name of the decorated class element. */\n    readonly name: string | symbol;\n\n    /** A value indicating whether the class element is a static (`true`) or instance (`false`) element. */\n    readonly static: boolean;\n\n    /** A value indicating whether the class element has a private name. */\n    readonly private: boolean;\n\n    /** An object that can be used to access the current value of the class element at runtime. */\n    readonly access: {\n        /**\n         * Determines whether an object has a property with the same name as the decorated element.\n         */\n        has(object: This): boolean;\n\n        /**\n         * Gets the value of the field on the provided object.\n         */\n        get(object: This): Value;\n\n        /**\n         * Sets the value of the field on the provided object.\n         */\n        set(object: This, value: Value): void;\n    };\n\n    /**\n     * Adds a callback to be invoked either before static initializers are run (when\n     * decorating a `static` element), or before instance initializers are run (when\n     * decorating a non-`static` element).\n     */\n    addInitializer(initializer: (this: This) => void): void;\n\n    readonly metadata: DecoratorMetadata;\n}\n',Li["lib.decorators.legacy.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ndeclare type ClassDecorator = <TFunction extends Function>(target: TFunction) => TFunction | void;\ndeclare type PropertyDecorator = (target: Object, propertyKey: string | symbol) => void;\ndeclare type MethodDecorator = <T>(target: Object, propertyKey: string | symbol, descriptor: TypedPropertyDescriptor<T>) => TypedPropertyDescriptor<T> | void;\ndeclare type ParameterDecorator = (target: Object, propertyKey: string | symbol | undefined, parameterIndex: number) => void;\n',Li["lib.dom.asynciterable.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/////////////////////////////\n/// Window Async Iterable APIs\n/////////////////////////////\n\ninterface FileSystemDirectoryHandle {\n    [Symbol.asyncIterator](): AsyncIterableIterator<[string, FileSystemHandle]>;\n    entries(): AsyncIterableIterator<[string, FileSystemHandle]>;\n    keys(): AsyncIterableIterator<string>;\n    values(): AsyncIterableIterator<FileSystemHandle>;\n}\n',Li["lib.dom.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/////////////////////////////\n/// Window APIs\n/////////////////////////////\n\ninterface AddEventListenerOptions extends EventListenerOptions {\n    once?: boolean;\n    passive?: boolean;\n    signal?: AbortSignal;\n}\n\ninterface AesCbcParams extends Algorithm {\n    iv: BufferSource;\n}\n\ninterface AesCtrParams extends Algorithm {\n    counter: BufferSource;\n    length: number;\n}\n\ninterface AesDerivedKeyParams extends Algorithm {\n    length: number;\n}\n\ninterface AesGcmParams extends Algorithm {\n    additionalData?: BufferSource;\n    iv: BufferSource;\n    tagLength?: number;\n}\n\ninterface AesKeyAlgorithm extends KeyAlgorithm {\n    length: number;\n}\n\ninterface AesKeyGenParams extends Algorithm {\n    length: number;\n}\n\ninterface Algorithm {\n    name: string;\n}\n\ninterface AnalyserOptions extends AudioNodeOptions {\n    fftSize?: number;\n    maxDecibels?: number;\n    minDecibels?: number;\n    smoothingTimeConstant?: number;\n}\n\ninterface AnimationEventInit extends EventInit {\n    animationName?: string;\n    elapsedTime?: number;\n    pseudoElement?: string;\n}\n\ninterface AnimationPlaybackEventInit extends EventInit {\n    currentTime?: CSSNumberish | null;\n    timelineTime?: CSSNumberish | null;\n}\n\ninterface AssignedNodesOptions {\n    flatten?: boolean;\n}\n\ninterface AudioBufferOptions {\n    length: number;\n    numberOfChannels?: number;\n    sampleRate: number;\n}\n\ninterface AudioBufferSourceOptions {\n    buffer?: AudioBuffer | null;\n    detune?: number;\n    loop?: boolean;\n    loopEnd?: number;\n    loopStart?: number;\n    playbackRate?: number;\n}\n\ninterface AudioConfiguration {\n    bitrate?: number;\n    channels?: string;\n    contentType: string;\n    samplerate?: number;\n    spatialRendering?: boolean;\n}\n\ninterface AudioContextOptions {\n    latencyHint?: AudioContextLatencyCategory | number;\n    sampleRate?: number;\n}\n\ninterface AudioNodeOptions {\n    channelCount?: number;\n    channelCountMode?: ChannelCountMode;\n    channelInterpretation?: ChannelInterpretation;\n}\n\ninterface AudioProcessingEventInit extends EventInit {\n    inputBuffer: AudioBuffer;\n    outputBuffer: AudioBuffer;\n    playbackTime: number;\n}\n\ninterface AudioTimestamp {\n    contextTime?: number;\n    performanceTime?: DOMHighResTimeStamp;\n}\n\ninterface AudioWorkletNodeOptions extends AudioNodeOptions {\n    numberOfInputs?: number;\n    numberOfOutputs?: number;\n    outputChannelCount?: number[];\n    parameterData?: Record<string, number>;\n    processorOptions?: any;\n}\n\ninterface AuthenticationExtensionsClientInputs {\n    appid?: string;\n    credProps?: boolean;\n    hmacCreateSecret?: boolean;\n    minPinLength?: boolean;\n}\n\ninterface AuthenticationExtensionsClientOutputs {\n    appid?: boolean;\n    credProps?: CredentialPropertiesOutput;\n    hmacCreateSecret?: boolean;\n}\n\ninterface AuthenticatorSelectionCriteria {\n    authenticatorAttachment?: AuthenticatorAttachment;\n    requireResidentKey?: boolean;\n    residentKey?: ResidentKeyRequirement;\n    userVerification?: UserVerificationRequirement;\n}\n\ninterface AvcEncoderConfig {\n    format?: AvcBitstreamFormat;\n}\n\ninterface BiquadFilterOptions extends AudioNodeOptions {\n    Q?: number;\n    detune?: number;\n    frequency?: number;\n    gain?: number;\n    type?: BiquadFilterType;\n}\n\ninterface BlobEventInit {\n    data: Blob;\n    timecode?: DOMHighResTimeStamp;\n}\n\ninterface BlobPropertyBag {\n    endings?: EndingType;\n    type?: string;\n}\n\ninterface CSSMatrixComponentOptions {\n    is2D?: boolean;\n}\n\ninterface CSSNumericType {\n    angle?: number;\n    flex?: number;\n    frequency?: number;\n    length?: number;\n    percent?: number;\n    percentHint?: CSSNumericBaseType;\n    resolution?: number;\n    time?: number;\n}\n\ninterface CSSStyleSheetInit {\n    baseURL?: string;\n    disabled?: boolean;\n    media?: MediaList | string;\n}\n\ninterface CacheQueryOptions {\n    ignoreMethod?: boolean;\n    ignoreSearch?: boolean;\n    ignoreVary?: boolean;\n}\n\ninterface CanvasRenderingContext2DSettings {\n    alpha?: boolean;\n    colorSpace?: PredefinedColorSpace;\n    desynchronized?: boolean;\n    willReadFrequently?: boolean;\n}\n\ninterface ChannelMergerOptions extends AudioNodeOptions {\n    numberOfInputs?: number;\n}\n\ninterface ChannelSplitterOptions extends AudioNodeOptions {\n    numberOfOutputs?: number;\n}\n\ninterface CheckVisibilityOptions {\n    checkOpacity?: boolean;\n    checkVisibilityCSS?: boolean;\n}\n\ninterface ClientQueryOptions {\n    includeUncontrolled?: boolean;\n    type?: ClientTypes;\n}\n\ninterface ClipboardEventInit extends EventInit {\n    clipboardData?: DataTransfer | null;\n}\n\ninterface ClipboardItemOptions {\n    presentationStyle?: PresentationStyle;\n}\n\ninterface CloseEventInit extends EventInit {\n    code?: number;\n    reason?: string;\n    wasClean?: boolean;\n}\n\ninterface CompositionEventInit extends UIEventInit {\n    data?: string;\n}\n\ninterface ComputedEffectTiming extends EffectTiming {\n    activeDuration?: CSSNumberish;\n    currentIteration?: number | null;\n    endTime?: CSSNumberish;\n    localTime?: CSSNumberish | null;\n    progress?: number | null;\n    startTime?: CSSNumberish;\n}\n\ninterface ComputedKeyframe {\n    composite: CompositeOperationOrAuto;\n    computedOffset: number;\n    easing: string;\n    offset: number | null;\n    [property: string]: string | number | null | undefined;\n}\n\ninterface ConstantSourceOptions {\n    offset?: number;\n}\n\ninterface ConstrainBooleanParameters {\n    exact?: boolean;\n    ideal?: boolean;\n}\n\ninterface ConstrainDOMStringParameters {\n    exact?: string | string[];\n    ideal?: string | string[];\n}\n\ninterface ConstrainDoubleRange extends DoubleRange {\n    exact?: number;\n    ideal?: number;\n}\n\ninterface ConstrainULongRange extends ULongRange {\n    exact?: number;\n    ideal?: number;\n}\n\ninterface ConvolverOptions extends AudioNodeOptions {\n    buffer?: AudioBuffer | null;\n    disableNormalization?: boolean;\n}\n\ninterface CredentialCreationOptions {\n    publicKey?: PublicKeyCredentialCreationOptions;\n    signal?: AbortSignal;\n}\n\ninterface CredentialPropertiesOutput {\n    rk?: boolean;\n}\n\ninterface CredentialRequestOptions {\n    mediation?: CredentialMediationRequirement;\n    publicKey?: PublicKeyCredentialRequestOptions;\n    signal?: AbortSignal;\n}\n\ninterface CryptoKeyPair {\n    privateKey: CryptoKey;\n    publicKey: CryptoKey;\n}\n\ninterface CustomEventInit<T = any> extends EventInit {\n    detail?: T;\n}\n\ninterface DOMMatrix2DInit {\n    a?: number;\n    b?: number;\n    c?: number;\n    d?: number;\n    e?: number;\n    f?: number;\n    m11?: number;\n    m12?: number;\n    m21?: number;\n    m22?: number;\n    m41?: number;\n    m42?: number;\n}\n\ninterface DOMMatrixInit extends DOMMatrix2DInit {\n    is2D?: boolean;\n    m13?: number;\n    m14?: number;\n    m23?: number;\n    m24?: number;\n    m31?: number;\n    m32?: number;\n    m33?: number;\n    m34?: number;\n    m43?: number;\n    m44?: number;\n}\n\ninterface DOMPointInit {\n    w?: number;\n    x?: number;\n    y?: number;\n    z?: number;\n}\n\ninterface DOMQuadInit {\n    p1?: DOMPointInit;\n    p2?: DOMPointInit;\n    p3?: DOMPointInit;\n    p4?: DOMPointInit;\n}\n\ninterface DOMRectInit {\n    height?: number;\n    width?: number;\n    x?: number;\n    y?: number;\n}\n\ninterface DelayOptions extends AudioNodeOptions {\n    delayTime?: number;\n    maxDelayTime?: number;\n}\n\ninterface DeviceMotionEventAccelerationInit {\n    x?: number | null;\n    y?: number | null;\n    z?: number | null;\n}\n\ninterface DeviceMotionEventInit extends EventInit {\n    acceleration?: DeviceMotionEventAccelerationInit;\n    accelerationIncludingGravity?: DeviceMotionEventAccelerationInit;\n    interval?: number;\n    rotationRate?: DeviceMotionEventRotationRateInit;\n}\n\ninterface DeviceMotionEventRotationRateInit {\n    alpha?: number | null;\n    beta?: number | null;\n    gamma?: number | null;\n}\n\ninterface DeviceOrientationEventInit extends EventInit {\n    absolute?: boolean;\n    alpha?: number | null;\n    beta?: number | null;\n    gamma?: number | null;\n}\n\ninterface DisplayMediaStreamOptions {\n    audio?: boolean | MediaTrackConstraints;\n    video?: boolean | MediaTrackConstraints;\n}\n\ninterface DocumentTimelineOptions {\n    originTime?: DOMHighResTimeStamp;\n}\n\ninterface DoubleRange {\n    max?: number;\n    min?: number;\n}\n\ninterface DragEventInit extends MouseEventInit {\n    dataTransfer?: DataTransfer | null;\n}\n\ninterface DynamicsCompressorOptions extends AudioNodeOptions {\n    attack?: number;\n    knee?: number;\n    ratio?: number;\n    release?: number;\n    threshold?: number;\n}\n\ninterface EcKeyAlgorithm extends KeyAlgorithm {\n    namedCurve: NamedCurve;\n}\n\ninterface EcKeyGenParams extends Algorithm {\n    namedCurve: NamedCurve;\n}\n\ninterface EcKeyImportParams extends Algorithm {\n    namedCurve: NamedCurve;\n}\n\ninterface EcdhKeyDeriveParams extends Algorithm {\n    public: CryptoKey;\n}\n\ninterface EcdsaParams extends Algorithm {\n    hash: HashAlgorithmIdentifier;\n}\n\ninterface EffectTiming {\n    delay?: number;\n    direction?: PlaybackDirection;\n    duration?: number | CSSNumericValue | string;\n    easing?: string;\n    endDelay?: number;\n    fill?: FillMode;\n    iterationStart?: number;\n    iterations?: number;\n    playbackRate?: number;\n}\n\ninterface ElementCreationOptions {\n    is?: string;\n}\n\ninterface ElementDefinitionOptions {\n    extends?: string;\n}\n\ninterface EncodedVideoChunkInit {\n    data: AllowSharedBufferSource;\n    duration?: number;\n    timestamp: number;\n    type: EncodedVideoChunkType;\n}\n\ninterface EncodedVideoChunkMetadata {\n    decoderConfig?: VideoDecoderConfig;\n}\n\ninterface ErrorEventInit extends EventInit {\n    colno?: number;\n    error?: any;\n    filename?: string;\n    lineno?: number;\n    message?: string;\n}\n\ninterface EventInit {\n    bubbles?: boolean;\n    cancelable?: boolean;\n    composed?: boolean;\n}\n\ninterface EventListenerOptions {\n    capture?: boolean;\n}\n\ninterface EventModifierInit extends UIEventInit {\n    altKey?: boolean;\n    ctrlKey?: boolean;\n    metaKey?: boolean;\n    modifierAltGraph?: boolean;\n    modifierCapsLock?: boolean;\n    modifierFn?: boolean;\n    modifierFnLock?: boolean;\n    modifierHyper?: boolean;\n    modifierNumLock?: boolean;\n    modifierScrollLock?: boolean;\n    modifierSuper?: boolean;\n    modifierSymbol?: boolean;\n    modifierSymbolLock?: boolean;\n    shiftKey?: boolean;\n}\n\ninterface EventSourceInit {\n    withCredentials?: boolean;\n}\n\ninterface FilePropertyBag extends BlobPropertyBag {\n    lastModified?: number;\n}\n\ninterface FileSystemCreateWritableOptions {\n    keepExistingData?: boolean;\n}\n\ninterface FileSystemFlags {\n    create?: boolean;\n    exclusive?: boolean;\n}\n\ninterface FileSystemGetDirectoryOptions {\n    create?: boolean;\n}\n\ninterface FileSystemGetFileOptions {\n    create?: boolean;\n}\n\ninterface FileSystemRemoveOptions {\n    recursive?: boolean;\n}\n\ninterface FocusEventInit extends UIEventInit {\n    relatedTarget?: EventTarget | null;\n}\n\ninterface FocusOptions {\n    preventScroll?: boolean;\n}\n\ninterface FontFaceDescriptors {\n    ascentOverride?: string;\n    descentOverride?: string;\n    display?: FontDisplay;\n    featureSettings?: string;\n    lineGapOverride?: string;\n    stretch?: string;\n    style?: string;\n    unicodeRange?: string;\n    weight?: string;\n}\n\ninterface FontFaceSetLoadEventInit extends EventInit {\n    fontfaces?: FontFace[];\n}\n\ninterface FormDataEventInit extends EventInit {\n    formData: FormData;\n}\n\ninterface FullscreenOptions {\n    navigationUI?: FullscreenNavigationUI;\n}\n\ninterface GainOptions extends AudioNodeOptions {\n    gain?: number;\n}\n\ninterface GamepadEffectParameters {\n    duration?: number;\n    startDelay?: number;\n    strongMagnitude?: number;\n    weakMagnitude?: number;\n}\n\ninterface GamepadEventInit extends EventInit {\n    gamepad: Gamepad;\n}\n\ninterface GetAnimationsOptions {\n    subtree?: boolean;\n}\n\ninterface GetNotificationOptions {\n    tag?: string;\n}\n\ninterface GetRootNodeOptions {\n    composed?: boolean;\n}\n\ninterface HashChangeEventInit extends EventInit {\n    newURL?: string;\n    oldURL?: string;\n}\n\ninterface HkdfParams extends Algorithm {\n    hash: HashAlgorithmIdentifier;\n    info: BufferSource;\n    salt: BufferSource;\n}\n\ninterface HmacImportParams extends Algorithm {\n    hash: HashAlgorithmIdentifier;\n    length?: number;\n}\n\ninterface HmacKeyAlgorithm extends KeyAlgorithm {\n    hash: KeyAlgorithm;\n    length: number;\n}\n\ninterface HmacKeyGenParams extends Algorithm {\n    hash: HashAlgorithmIdentifier;\n    length?: number;\n}\n\ninterface IDBDatabaseInfo {\n    name?: string;\n    version?: number;\n}\n\ninterface IDBIndexParameters {\n    multiEntry?: boolean;\n    unique?: boolean;\n}\n\ninterface IDBObjectStoreParameters {\n    autoIncrement?: boolean;\n    keyPath?: string | string[] | null;\n}\n\ninterface IDBTransactionOptions {\n    durability?: IDBTransactionDurability;\n}\n\ninterface IDBVersionChangeEventInit extends EventInit {\n    newVersion?: number | null;\n    oldVersion?: number;\n}\n\ninterface IIRFilterOptions extends AudioNodeOptions {\n    feedback: number[];\n    feedforward: number[];\n}\n\ninterface IdleRequestOptions {\n    timeout?: number;\n}\n\ninterface ImageBitmapOptions {\n    colorSpaceConversion?: ColorSpaceConversion;\n    imageOrientation?: ImageOrientation;\n    premultiplyAlpha?: PremultiplyAlpha;\n    resizeHeight?: number;\n    resizeQuality?: ResizeQuality;\n    resizeWidth?: number;\n}\n\ninterface ImageBitmapRenderingContextSettings {\n    alpha?: boolean;\n}\n\ninterface ImageDataSettings {\n    colorSpace?: PredefinedColorSpace;\n}\n\ninterface ImageEncodeOptions {\n    quality?: number;\n    type?: string;\n}\n\ninterface ImportMeta {\n    url: string;\n}\n\ninterface InputEventInit extends UIEventInit {\n    data?: string | null;\n    dataTransfer?: DataTransfer | null;\n    inputType?: string;\n    isComposing?: boolean;\n    targetRanges?: StaticRange[];\n}\n\ninterface IntersectionObserverEntryInit {\n    boundingClientRect: DOMRectInit;\n    intersectionRatio: number;\n    intersectionRect: DOMRectInit;\n    isIntersecting: boolean;\n    rootBounds: DOMRectInit | null;\n    target: Element;\n    time: DOMHighResTimeStamp;\n}\n\ninterface IntersectionObserverInit {\n    root?: Element | Document | null;\n    rootMargin?: string;\n    threshold?: number | number[];\n}\n\ninterface JsonWebKey {\n    alg?: string;\n    crv?: string;\n    d?: string;\n    dp?: string;\n    dq?: string;\n    e?: string;\n    ext?: boolean;\n    k?: string;\n    key_ops?: string[];\n    kty?: string;\n    n?: string;\n    oth?: RsaOtherPrimesInfo[];\n    p?: string;\n    q?: string;\n    qi?: string;\n    use?: string;\n    x?: string;\n    y?: string;\n}\n\ninterface KeyAlgorithm {\n    name: string;\n}\n\ninterface KeyboardEventInit extends EventModifierInit {\n    /** @deprecated */\n    charCode?: number;\n    code?: string;\n    isComposing?: boolean;\n    key?: string;\n    /** @deprecated */\n    keyCode?: number;\n    location?: number;\n    repeat?: boolean;\n}\n\ninterface Keyframe {\n    composite?: CompositeOperationOrAuto;\n    easing?: string;\n    offset?: number | null;\n    [property: string]: string | number | null | undefined;\n}\n\ninterface KeyframeAnimationOptions extends KeyframeEffectOptions {\n    id?: string;\n    timeline?: AnimationTimeline | null;\n}\n\ninterface KeyframeEffectOptions extends EffectTiming {\n    composite?: CompositeOperation;\n    iterationComposite?: IterationCompositeOperation;\n    pseudoElement?: string | null;\n}\n\ninterface LockInfo {\n    clientId?: string;\n    mode?: LockMode;\n    name?: string;\n}\n\ninterface LockManagerSnapshot {\n    held?: LockInfo[];\n    pending?: LockInfo[];\n}\n\ninterface LockOptions {\n    ifAvailable?: boolean;\n    mode?: LockMode;\n    signal?: AbortSignal;\n    steal?: boolean;\n}\n\ninterface MIDIConnectionEventInit extends EventInit {\n    port?: MIDIPort;\n}\n\ninterface MIDIMessageEventInit extends EventInit {\n    data?: Uint8Array;\n}\n\ninterface MIDIOptions {\n    software?: boolean;\n    sysex?: boolean;\n}\n\ninterface MediaCapabilitiesDecodingInfo extends MediaCapabilitiesInfo {\n    configuration?: MediaDecodingConfiguration;\n}\n\ninterface MediaCapabilitiesEncodingInfo extends MediaCapabilitiesInfo {\n    configuration?: MediaEncodingConfiguration;\n}\n\ninterface MediaCapabilitiesInfo {\n    powerEfficient: boolean;\n    smooth: boolean;\n    supported: boolean;\n}\n\ninterface MediaConfiguration {\n    audio?: AudioConfiguration;\n    video?: VideoConfiguration;\n}\n\ninterface MediaDecodingConfiguration extends MediaConfiguration {\n    type: MediaDecodingType;\n}\n\ninterface MediaElementAudioSourceOptions {\n    mediaElement: HTMLMediaElement;\n}\n\ninterface MediaEncodingConfiguration extends MediaConfiguration {\n    type: MediaEncodingType;\n}\n\ninterface MediaEncryptedEventInit extends EventInit {\n    initData?: ArrayBuffer | null;\n    initDataType?: string;\n}\n\ninterface MediaImage {\n    sizes?: string;\n    src: string;\n    type?: string;\n}\n\ninterface MediaKeyMessageEventInit extends EventInit {\n    message: ArrayBuffer;\n    messageType: MediaKeyMessageType;\n}\n\ninterface MediaKeySystemConfiguration {\n    audioCapabilities?: MediaKeySystemMediaCapability[];\n    distinctiveIdentifier?: MediaKeysRequirement;\n    initDataTypes?: string[];\n    label?: string;\n    persistentState?: MediaKeysRequirement;\n    sessionTypes?: string[];\n    videoCapabilities?: MediaKeySystemMediaCapability[];\n}\n\ninterface MediaKeySystemMediaCapability {\n    contentType?: string;\n    encryptionScheme?: string | null;\n    robustness?: string;\n}\n\ninterface MediaMetadataInit {\n    album?: string;\n    artist?: string;\n    artwork?: MediaImage[];\n    title?: string;\n}\n\ninterface MediaPositionState {\n    duration?: number;\n    playbackRate?: number;\n    position?: number;\n}\n\ninterface MediaQueryListEventInit extends EventInit {\n    matches?: boolean;\n    media?: string;\n}\n\ninterface MediaRecorderOptions {\n    audioBitsPerSecond?: number;\n    bitsPerSecond?: number;\n    mimeType?: string;\n    videoBitsPerSecond?: number;\n}\n\ninterface MediaSessionActionDetails {\n    action: MediaSessionAction;\n    fastSeek?: boolean;\n    seekOffset?: number;\n    seekTime?: number;\n}\n\ninterface MediaStreamAudioSourceOptions {\n    mediaStream: MediaStream;\n}\n\ninterface MediaStreamConstraints {\n    audio?: boolean | MediaTrackConstraints;\n    peerIdentity?: string;\n    preferCurrentTab?: boolean;\n    video?: boolean | MediaTrackConstraints;\n}\n\ninterface MediaStreamTrackEventInit extends EventInit {\n    track: MediaStreamTrack;\n}\n\ninterface MediaTrackCapabilities {\n    aspectRatio?: DoubleRange;\n    autoGainControl?: boolean[];\n    channelCount?: ULongRange;\n    deviceId?: string;\n    displaySurface?: string;\n    echoCancellation?: boolean[];\n    facingMode?: string[];\n    frameRate?: DoubleRange;\n    groupId?: string;\n    height?: ULongRange;\n    noiseSuppression?: boolean[];\n    sampleRate?: ULongRange;\n    sampleSize?: ULongRange;\n    width?: ULongRange;\n}\n\ninterface MediaTrackConstraintSet {\n    aspectRatio?: ConstrainDouble;\n    autoGainControl?: ConstrainBoolean;\n    channelCount?: ConstrainULong;\n    deviceId?: ConstrainDOMString;\n    displaySurface?: ConstrainDOMString;\n    echoCancellation?: ConstrainBoolean;\n    facingMode?: ConstrainDOMString;\n    frameRate?: ConstrainDouble;\n    groupId?: ConstrainDOMString;\n    height?: ConstrainULong;\n    noiseSuppression?: ConstrainBoolean;\n    sampleRate?: ConstrainULong;\n    sampleSize?: ConstrainULong;\n    width?: ConstrainULong;\n}\n\ninterface MediaTrackConstraints extends MediaTrackConstraintSet {\n    advanced?: MediaTrackConstraintSet[];\n}\n\ninterface MediaTrackSettings {\n    aspectRatio?: number;\n    autoGainControl?: boolean;\n    channelCount?: number;\n    deviceId?: string;\n    displaySurface?: string;\n    echoCancellation?: boolean;\n    facingMode?: string;\n    frameRate?: number;\n    groupId?: string;\n    height?: number;\n    noiseSuppression?: boolean;\n    sampleRate?: number;\n    sampleSize?: number;\n    width?: number;\n}\n\ninterface MediaTrackSupportedConstraints {\n    aspectRatio?: boolean;\n    autoGainControl?: boolean;\n    channelCount?: boolean;\n    deviceId?: boolean;\n    displaySurface?: boolean;\n    echoCancellation?: boolean;\n    facingMode?: boolean;\n    frameRate?: boolean;\n    groupId?: boolean;\n    height?: boolean;\n    noiseSuppression?: boolean;\n    sampleRate?: boolean;\n    sampleSize?: boolean;\n    width?: boolean;\n}\n\ninterface MessageEventInit<T = any> extends EventInit {\n    data?: T;\n    lastEventId?: string;\n    origin?: string;\n    ports?: MessagePort[];\n    source?: MessageEventSource | null;\n}\n\ninterface MouseEventInit extends EventModifierInit {\n    button?: number;\n    buttons?: number;\n    clientX?: number;\n    clientY?: number;\n    movementX?: number;\n    movementY?: number;\n    relatedTarget?: EventTarget | null;\n    screenX?: number;\n    screenY?: number;\n}\n\ninterface MultiCacheQueryOptions extends CacheQueryOptions {\n    cacheName?: string;\n}\n\ninterface MutationObserverInit {\n    /** Set to a list of attribute local names (without namespace) if not all attribute mutations need to be observed and attributes is true or omitted. */\n    attributeFilter?: string[];\n    /** Set to true if attributes is true or omitted and target\'s attribute value before the mutation needs to be recorded. */\n    attributeOldValue?: boolean;\n    /** Set to true if mutations to target\'s attributes are to be observed. Can be omitted if attributeOldValue or attributeFilter is specified. */\n    attributes?: boolean;\n    /** Set to true if mutations to target\'s data are to be observed. Can be omitted if characterDataOldValue is specified. */\n    characterData?: boolean;\n    /** Set to true if characterData is set to true or omitted and target\'s data before the mutation needs to be recorded. */\n    characterDataOldValue?: boolean;\n    /** Set to true if mutations to target\'s children are to be observed. */\n    childList?: boolean;\n    /** Set to true if mutations to not just target, but also target\'s descendants are to be observed. */\n    subtree?: boolean;\n}\n\ninterface NavigationPreloadState {\n    enabled?: boolean;\n    headerValue?: string;\n}\n\ninterface NotificationOptions {\n    badge?: string;\n    body?: string;\n    data?: any;\n    dir?: NotificationDirection;\n    icon?: string;\n    lang?: string;\n    requireInteraction?: boolean;\n    silent?: boolean | null;\n    tag?: string;\n}\n\ninterface OfflineAudioCompletionEventInit extends EventInit {\n    renderedBuffer: AudioBuffer;\n}\n\ninterface OfflineAudioContextOptions {\n    length: number;\n    numberOfChannels?: number;\n    sampleRate: number;\n}\n\ninterface OptionalEffectTiming {\n    delay?: number;\n    direction?: PlaybackDirection;\n    duration?: number | string;\n    easing?: string;\n    endDelay?: number;\n    fill?: FillMode;\n    iterationStart?: number;\n    iterations?: number;\n    playbackRate?: number;\n}\n\ninterface OscillatorOptions extends AudioNodeOptions {\n    detune?: number;\n    frequency?: number;\n    periodicWave?: PeriodicWave;\n    type?: OscillatorType;\n}\n\ninterface PageTransitionEventInit extends EventInit {\n    persisted?: boolean;\n}\n\ninterface PannerOptions extends AudioNodeOptions {\n    coneInnerAngle?: number;\n    coneOuterAngle?: number;\n    coneOuterGain?: number;\n    distanceModel?: DistanceModelType;\n    maxDistance?: number;\n    orientationX?: number;\n    orientationY?: number;\n    orientationZ?: number;\n    panningModel?: PanningModelType;\n    positionX?: number;\n    positionY?: number;\n    positionZ?: number;\n    refDistance?: number;\n    rolloffFactor?: number;\n}\n\ninterface PaymentCurrencyAmount {\n    currency: string;\n    value: string;\n}\n\ninterface PaymentDetailsBase {\n    displayItems?: PaymentItem[];\n    modifiers?: PaymentDetailsModifier[];\n}\n\ninterface PaymentDetailsInit extends PaymentDetailsBase {\n    id?: string;\n    total: PaymentItem;\n}\n\ninterface PaymentDetailsModifier {\n    additionalDisplayItems?: PaymentItem[];\n    data?: any;\n    supportedMethods: string;\n    total?: PaymentItem;\n}\n\ninterface PaymentDetailsUpdate extends PaymentDetailsBase {\n    paymentMethodErrors?: any;\n    total?: PaymentItem;\n}\n\ninterface PaymentItem {\n    amount: PaymentCurrencyAmount;\n    label: string;\n    pending?: boolean;\n}\n\ninterface PaymentMethodChangeEventInit extends PaymentRequestUpdateEventInit {\n    methodDetails?: any;\n    methodName?: string;\n}\n\ninterface PaymentMethodData {\n    data?: any;\n    supportedMethods: string;\n}\n\ninterface PaymentRequestUpdateEventInit extends EventInit {\n}\n\ninterface PaymentValidationErrors {\n    error?: string;\n    paymentMethod?: any;\n}\n\ninterface Pbkdf2Params extends Algorithm {\n    hash: HashAlgorithmIdentifier;\n    iterations: number;\n    salt: BufferSource;\n}\n\ninterface PerformanceMarkOptions {\n    detail?: any;\n    startTime?: DOMHighResTimeStamp;\n}\n\ninterface PerformanceMeasureOptions {\n    detail?: any;\n    duration?: DOMHighResTimeStamp;\n    end?: string | DOMHighResTimeStamp;\n    start?: string | DOMHighResTimeStamp;\n}\n\ninterface PerformanceObserverInit {\n    buffered?: boolean;\n    entryTypes?: string[];\n    type?: string;\n}\n\ninterface PeriodicWaveConstraints {\n    disableNormalization?: boolean;\n}\n\ninterface PeriodicWaveOptions extends PeriodicWaveConstraints {\n    imag?: number[] | Float32Array;\n    real?: number[] | Float32Array;\n}\n\ninterface PermissionDescriptor {\n    name: PermissionName;\n}\n\ninterface PictureInPictureEventInit extends EventInit {\n    pictureInPictureWindow: PictureInPictureWindow;\n}\n\ninterface PlaneLayout {\n    offset: number;\n    stride: number;\n}\n\ninterface PointerEventInit extends MouseEventInit {\n    coalescedEvents?: PointerEvent[];\n    height?: number;\n    isPrimary?: boolean;\n    pointerId?: number;\n    pointerType?: string;\n    predictedEvents?: PointerEvent[];\n    pressure?: number;\n    tangentialPressure?: number;\n    tiltX?: number;\n    tiltY?: number;\n    twist?: number;\n    width?: number;\n}\n\ninterface PopStateEventInit extends EventInit {\n    state?: any;\n}\n\ninterface PositionOptions {\n    enableHighAccuracy?: boolean;\n    maximumAge?: number;\n    timeout?: number;\n}\n\ninterface ProgressEventInit extends EventInit {\n    lengthComputable?: boolean;\n    loaded?: number;\n    total?: number;\n}\n\ninterface PromiseRejectionEventInit extends EventInit {\n    promise: Promise<any>;\n    reason?: any;\n}\n\ninterface PropertyDefinition {\n    inherits: boolean;\n    initialValue?: string;\n    name: string;\n    syntax?: string;\n}\n\ninterface PropertyIndexedKeyframes {\n    composite?: CompositeOperationOrAuto | CompositeOperationOrAuto[];\n    easing?: string | string[];\n    offset?: number | (number | null)[];\n    [property: string]: string | string[] | number | null | (number | null)[] | undefined;\n}\n\ninterface PublicKeyCredentialCreationOptions {\n    attestation?: AttestationConveyancePreference;\n    authenticatorSelection?: AuthenticatorSelectionCriteria;\n    challenge: BufferSource;\n    excludeCredentials?: PublicKeyCredentialDescriptor[];\n    extensions?: AuthenticationExtensionsClientInputs;\n    pubKeyCredParams: PublicKeyCredentialParameters[];\n    rp: PublicKeyCredentialRpEntity;\n    timeout?: number;\n    user: PublicKeyCredentialUserEntity;\n}\n\ninterface PublicKeyCredentialDescriptor {\n    id: BufferSource;\n    transports?: AuthenticatorTransport[];\n    type: PublicKeyCredentialType;\n}\n\ninterface PublicKeyCredentialEntity {\n    name: string;\n}\n\ninterface PublicKeyCredentialParameters {\n    alg: COSEAlgorithmIdentifier;\n    type: PublicKeyCredentialType;\n}\n\ninterface PublicKeyCredentialRequestOptions {\n    allowCredentials?: PublicKeyCredentialDescriptor[];\n    challenge: BufferSource;\n    extensions?: AuthenticationExtensionsClientInputs;\n    rpId?: string;\n    timeout?: number;\n    userVerification?: UserVerificationRequirement;\n}\n\ninterface PublicKeyCredentialRpEntity extends PublicKeyCredentialEntity {\n    id?: string;\n}\n\ninterface PublicKeyCredentialUserEntity extends PublicKeyCredentialEntity {\n    displayName: string;\n    id: BufferSource;\n}\n\ninterface PushSubscriptionJSON {\n    endpoint?: string;\n    expirationTime?: EpochTimeStamp | null;\n    keys?: Record<string, string>;\n}\n\ninterface PushSubscriptionOptionsInit {\n    applicationServerKey?: BufferSource | string | null;\n    userVisibleOnly?: boolean;\n}\n\ninterface QueuingStrategy<T = any> {\n    highWaterMark?: number;\n    size?: QueuingStrategySize<T>;\n}\n\ninterface QueuingStrategyInit {\n    /**\n     * Creates a new ByteLengthQueuingStrategy with the provided high water mark.\n     *\n     * Note that the provided high water mark will not be validated ahead of time. Instead, if it is negative, NaN, or not a number, the resulting ByteLengthQueuingStrategy will cause the corresponding stream constructor to throw.\n     */\n    highWaterMark: number;\n}\n\ninterface RTCAnswerOptions extends RTCOfferAnswerOptions {\n}\n\ninterface RTCCertificateExpiration {\n    expires?: number;\n}\n\ninterface RTCConfiguration {\n    bundlePolicy?: RTCBundlePolicy;\n    certificates?: RTCCertificate[];\n    iceCandidatePoolSize?: number;\n    iceServers?: RTCIceServer[];\n    iceTransportPolicy?: RTCIceTransportPolicy;\n    rtcpMuxPolicy?: RTCRtcpMuxPolicy;\n}\n\ninterface RTCDTMFToneChangeEventInit extends EventInit {\n    tone?: string;\n}\n\ninterface RTCDataChannelEventInit extends EventInit {\n    channel: RTCDataChannel;\n}\n\ninterface RTCDataChannelInit {\n    id?: number;\n    maxPacketLifeTime?: number;\n    maxRetransmits?: number;\n    negotiated?: boolean;\n    ordered?: boolean;\n    protocol?: string;\n}\n\ninterface RTCDtlsFingerprint {\n    algorithm?: string;\n    value?: string;\n}\n\ninterface RTCEncodedAudioFrameMetadata {\n    contributingSources?: number[];\n    payloadType?: number;\n    sequenceNumber?: number;\n    synchronizationSource?: number;\n}\n\ninterface RTCEncodedVideoFrameMetadata {\n    contributingSources?: number[];\n    dependencies?: number[];\n    frameId?: number;\n    height?: number;\n    payloadType?: number;\n    spatialIndex?: number;\n    synchronizationSource?: number;\n    temporalIndex?: number;\n    timestamp?: number;\n    width?: number;\n}\n\ninterface RTCErrorEventInit extends EventInit {\n    error: RTCError;\n}\n\ninterface RTCErrorInit {\n    errorDetail: RTCErrorDetailType;\n    httpRequestStatusCode?: number;\n    receivedAlert?: number;\n    sctpCauseCode?: number;\n    sdpLineNumber?: number;\n    sentAlert?: number;\n}\n\ninterface RTCIceCandidateInit {\n    candidate?: string;\n    sdpMLineIndex?: number | null;\n    sdpMid?: string | null;\n    usernameFragment?: string | null;\n}\n\ninterface RTCIceCandidatePair {\n    local?: RTCIceCandidate;\n    remote?: RTCIceCandidate;\n}\n\ninterface RTCIceCandidatePairStats extends RTCStats {\n    availableIncomingBitrate?: number;\n    availableOutgoingBitrate?: number;\n    bytesReceived?: number;\n    bytesSent?: number;\n    currentRoundTripTime?: number;\n    lastPacketReceivedTimestamp?: DOMHighResTimeStamp;\n    lastPacketSentTimestamp?: DOMHighResTimeStamp;\n    localCandidateId: string;\n    nominated?: boolean;\n    remoteCandidateId: string;\n    requestsReceived?: number;\n    requestsSent?: number;\n    responsesReceived?: number;\n    responsesSent?: number;\n    state: RTCStatsIceCandidatePairState;\n    totalRoundTripTime?: number;\n    transportId: string;\n}\n\ninterface RTCIceServer {\n    credential?: string;\n    urls: string | string[];\n    username?: string;\n}\n\ninterface RTCInboundRtpStreamStats extends RTCReceivedRtpStreamStats {\n    audioLevel?: number;\n    bytesReceived?: number;\n    concealedSamples?: number;\n    concealmentEvents?: number;\n    decoderImplementation?: string;\n    estimatedPlayoutTimestamp?: DOMHighResTimeStamp;\n    fecPacketsDiscarded?: number;\n    fecPacketsReceived?: number;\n    firCount?: number;\n    frameHeight?: number;\n    frameWidth?: number;\n    framesDecoded?: number;\n    framesDropped?: number;\n    framesPerSecond?: number;\n    framesReceived?: number;\n    headerBytesReceived?: number;\n    insertedSamplesForDeceleration?: number;\n    jitterBufferDelay?: number;\n    jitterBufferEmittedCount?: number;\n    keyFramesDecoded?: number;\n    lastPacketReceivedTimestamp?: DOMHighResTimeStamp;\n    mid?: string;\n    nackCount?: number;\n    packetsDiscarded?: number;\n    pliCount?: number;\n    qpSum?: number;\n    remoteId?: string;\n    removedSamplesForAcceleration?: number;\n    silentConcealedSamples?: number;\n    totalAudioEnergy?: number;\n    totalDecodeTime?: number;\n    totalInterFrameDelay?: number;\n    totalProcessingDelay?: number;\n    totalSamplesDuration?: number;\n    totalSamplesReceived?: number;\n    totalSquaredInterFrameDelay?: number;\n    trackIdentifier: string;\n}\n\ninterface RTCLocalSessionDescriptionInit {\n    sdp?: string;\n    type?: RTCSdpType;\n}\n\ninterface RTCOfferAnswerOptions {\n}\n\ninterface RTCOfferOptions extends RTCOfferAnswerOptions {\n    iceRestart?: boolean;\n    offerToReceiveAudio?: boolean;\n    offerToReceiveVideo?: boolean;\n}\n\ninterface RTCOutboundRtpStreamStats extends RTCSentRtpStreamStats {\n    firCount?: number;\n    frameHeight?: number;\n    frameWidth?: number;\n    framesEncoded?: number;\n    framesPerSecond?: number;\n    framesSent?: number;\n    headerBytesSent?: number;\n    hugeFramesSent?: number;\n    keyFramesEncoded?: number;\n    mediaSourceId?: string;\n    nackCount?: number;\n    pliCount?: number;\n    qpSum?: number;\n    qualityLimitationResolutionChanges?: number;\n    remoteId?: string;\n    retransmittedBytesSent?: number;\n    retransmittedPacketsSent?: number;\n    rid?: string;\n    rtxSsrc?: number;\n    targetBitrate?: number;\n    totalEncodeTime?: number;\n    totalEncodedBytesTarget?: number;\n    totalPacketSendDelay?: number;\n}\n\ninterface RTCPeerConnectionIceErrorEventInit extends EventInit {\n    address?: string | null;\n    errorCode: number;\n    errorText?: string;\n    port?: number | null;\n    url?: string;\n}\n\ninterface RTCPeerConnectionIceEventInit extends EventInit {\n    candidate?: RTCIceCandidate | null;\n    url?: string | null;\n}\n\ninterface RTCReceivedRtpStreamStats extends RTCRtpStreamStats {\n    jitter?: number;\n    packetsLost?: number;\n    packetsReceived?: number;\n}\n\ninterface RTCRtcpParameters {\n    cname?: string;\n    reducedSize?: boolean;\n}\n\ninterface RTCRtpCapabilities {\n    codecs: RTCRtpCodecCapability[];\n    headerExtensions: RTCRtpHeaderExtensionCapability[];\n}\n\ninterface RTCRtpCodec {\n    channels?: number;\n    clockRate: number;\n    mimeType: string;\n    sdpFmtpLine?: string;\n}\n\ninterface RTCRtpCodecCapability extends RTCRtpCodec {\n}\n\ninterface RTCRtpCodecParameters extends RTCRtpCodec {\n    payloadType: number;\n}\n\ninterface RTCRtpCodingParameters {\n    rid?: string;\n}\n\ninterface RTCRtpContributingSource {\n    audioLevel?: number;\n    rtpTimestamp: number;\n    source: number;\n    timestamp: DOMHighResTimeStamp;\n}\n\ninterface RTCRtpEncodingParameters extends RTCRtpCodingParameters {\n    active?: boolean;\n    maxBitrate?: number;\n    maxFramerate?: number;\n    networkPriority?: RTCPriorityType;\n    priority?: RTCPriorityType;\n    scaleResolutionDownBy?: number;\n}\n\ninterface RTCRtpHeaderExtensionCapability {\n    uri: string;\n}\n\ninterface RTCRtpHeaderExtensionParameters {\n    encrypted?: boolean;\n    id: number;\n    uri: string;\n}\n\ninterface RTCRtpParameters {\n    codecs: RTCRtpCodecParameters[];\n    headerExtensions: RTCRtpHeaderExtensionParameters[];\n    rtcp: RTCRtcpParameters;\n}\n\ninterface RTCRtpReceiveParameters extends RTCRtpParameters {\n}\n\ninterface RTCRtpSendParameters extends RTCRtpParameters {\n    degradationPreference?: RTCDegradationPreference;\n    encodings: RTCRtpEncodingParameters[];\n    transactionId: string;\n}\n\ninterface RTCRtpStreamStats extends RTCStats {\n    codecId?: string;\n    kind: string;\n    ssrc: number;\n    transportId?: string;\n}\n\ninterface RTCRtpSynchronizationSource extends RTCRtpContributingSource {\n}\n\ninterface RTCRtpTransceiverInit {\n    direction?: RTCRtpTransceiverDirection;\n    sendEncodings?: RTCRtpEncodingParameters[];\n    streams?: MediaStream[];\n}\n\ninterface RTCSentRtpStreamStats extends RTCRtpStreamStats {\n    bytesSent?: number;\n    packetsSent?: number;\n}\n\ninterface RTCSessionDescriptionInit {\n    sdp?: string;\n    type: RTCSdpType;\n}\n\ninterface RTCSetParameterOptions {\n}\n\ninterface RTCStats {\n    id: string;\n    timestamp: DOMHighResTimeStamp;\n    type: RTCStatsType;\n}\n\ninterface RTCTrackEventInit extends EventInit {\n    receiver: RTCRtpReceiver;\n    streams?: MediaStream[];\n    track: MediaStreamTrack;\n    transceiver: RTCRtpTransceiver;\n}\n\ninterface RTCTransportStats extends RTCStats {\n    bytesReceived?: number;\n    bytesSent?: number;\n    dtlsCipher?: string;\n    dtlsState: RTCDtlsTransportState;\n    localCertificateId?: string;\n    remoteCertificateId?: string;\n    selectedCandidatePairId?: string;\n    srtpCipher?: string;\n    tlsVersion?: string;\n}\n\ninterface ReadableStreamGetReaderOptions {\n    /**\n     * Creates a ReadableStreamBYOBReader and locks the stream to the new reader.\n     *\n     * This call behaves the same way as the no-argument variant, except that it only works on readable byte streams, i.e. streams which were constructed specifically with the ability to handle "bring your own buffer" reading. The returned BYOB reader provides the ability to directly read individual chunks from the stream via its read() method, into developer-supplied buffers, allowing more precise control over allocation.\n     */\n    mode?: ReadableStreamReaderMode;\n}\n\ninterface ReadableStreamReadDoneResult<T> {\n    done: true;\n    value?: T;\n}\n\ninterface ReadableStreamReadValueResult<T> {\n    done: false;\n    value: T;\n}\n\ninterface ReadableWritablePair<R = any, W = any> {\n    readable: ReadableStream<R>;\n    /**\n     * Provides a convenient, chainable way of piping this readable stream through a transform stream (or any other { writable, readable } pair). It simply pipes the stream into the writable side of the supplied pair, and returns the readable side for further use.\n     *\n     * Piping a stream will lock it for the duration of the pipe, preventing any other consumer from acquiring a reader.\n     */\n    writable: WritableStream<W>;\n}\n\ninterface RegistrationOptions {\n    scope?: string;\n    type?: WorkerType;\n    updateViaCache?: ServiceWorkerUpdateViaCache;\n}\n\ninterface ReportingObserverOptions {\n    buffered?: boolean;\n    types?: string[];\n}\n\ninterface RequestInit {\n    /** A BodyInit object or null to set request\'s body. */\n    body?: BodyInit | null;\n    /** A string indicating how the request will interact with the browser\'s cache to set request\'s cache. */\n    cache?: RequestCache;\n    /** A string indicating whether credentials will be sent with the request always, never, or only when sent to a same-origin URL. Sets request\'s credentials. */\n    credentials?: RequestCredentials;\n    /** A Headers object, an object literal, or an array of two-item arrays to set request\'s headers. */\n    headers?: HeadersInit;\n    /** A cryptographic hash of the resource to be fetched by request. Sets request\'s integrity. */\n    integrity?: string;\n    /** A boolean to set request\'s keepalive. */\n    keepalive?: boolean;\n    /** A string to set request\'s method. */\n    method?: string;\n    /** A string to indicate whether the request will use CORS, or will be restricted to same-origin URLs. Sets request\'s mode. */\n    mode?: RequestMode;\n    priority?: RequestPriority;\n    /** A string indicating whether request follows redirects, results in an error upon encountering a redirect, or returns the redirect (in an opaque fashion). Sets request\'s redirect. */\n    redirect?: RequestRedirect;\n    /** A string whose value is a same-origin URL, "about:client", or the empty string, to set request\'s referrer. */\n    referrer?: string;\n    /** A referrer policy to set request\'s referrerPolicy. */\n    referrerPolicy?: ReferrerPolicy;\n    /** An AbortSignal to set request\'s signal. */\n    signal?: AbortSignal | null;\n    /** Can only be null. Used to disassociate request from any Window. */\n    window?: null;\n}\n\ninterface ResizeObserverOptions {\n    box?: ResizeObserverBoxOptions;\n}\n\ninterface ResponseInit {\n    headers?: HeadersInit;\n    status?: number;\n    statusText?: string;\n}\n\ninterface RsaHashedImportParams extends Algorithm {\n    hash: HashAlgorithmIdentifier;\n}\n\ninterface RsaHashedKeyAlgorithm extends RsaKeyAlgorithm {\n    hash: KeyAlgorithm;\n}\n\ninterface RsaHashedKeyGenParams extends RsaKeyGenParams {\n    hash: HashAlgorithmIdentifier;\n}\n\ninterface RsaKeyAlgorithm extends KeyAlgorithm {\n    modulusLength: number;\n    publicExponent: BigInteger;\n}\n\ninterface RsaKeyGenParams extends Algorithm {\n    modulusLength: number;\n    publicExponent: BigInteger;\n}\n\ninterface RsaOaepParams extends Algorithm {\n    label?: BufferSource;\n}\n\ninterface RsaOtherPrimesInfo {\n    d?: string;\n    r?: string;\n    t?: string;\n}\n\ninterface RsaPssParams extends Algorithm {\n    saltLength: number;\n}\n\ninterface SVGBoundingBoxOptions {\n    clipped?: boolean;\n    fill?: boolean;\n    markers?: boolean;\n    stroke?: boolean;\n}\n\ninterface ScrollIntoViewOptions extends ScrollOptions {\n    block?: ScrollLogicalPosition;\n    inline?: ScrollLogicalPosition;\n}\n\ninterface ScrollOptions {\n    behavior?: ScrollBehavior;\n}\n\ninterface ScrollToOptions extends ScrollOptions {\n    left?: number;\n    top?: number;\n}\n\ninterface SecurityPolicyViolationEventInit extends EventInit {\n    blockedURI?: string;\n    columnNumber?: number;\n    disposition: SecurityPolicyViolationEventDisposition;\n    documentURI: string;\n    effectiveDirective: string;\n    lineNumber?: number;\n    originalPolicy: string;\n    referrer?: string;\n    sample?: string;\n    sourceFile?: string;\n    statusCode: number;\n    violatedDirective: string;\n}\n\ninterface ShadowRootInit {\n    delegatesFocus?: boolean;\n    mode: ShadowRootMode;\n    slotAssignment?: SlotAssignmentMode;\n}\n\ninterface ShareData {\n    files?: File[];\n    text?: string;\n    title?: string;\n    url?: string;\n}\n\ninterface SpeechSynthesisErrorEventInit extends SpeechSynthesisEventInit {\n    error: SpeechSynthesisErrorCode;\n}\n\ninterface SpeechSynthesisEventInit extends EventInit {\n    charIndex?: number;\n    charLength?: number;\n    elapsedTime?: number;\n    name?: string;\n    utterance: SpeechSynthesisUtterance;\n}\n\ninterface StaticRangeInit {\n    endContainer: Node;\n    endOffset: number;\n    startContainer: Node;\n    startOffset: number;\n}\n\ninterface StereoPannerOptions extends AudioNodeOptions {\n    pan?: number;\n}\n\ninterface StorageEstimate {\n    quota?: number;\n    usage?: number;\n}\n\ninterface StorageEventInit extends EventInit {\n    key?: string | null;\n    newValue?: string | null;\n    oldValue?: string | null;\n    storageArea?: Storage | null;\n    url?: string;\n}\n\ninterface StreamPipeOptions {\n    preventAbort?: boolean;\n    preventCancel?: boolean;\n    /**\n     * Pipes this readable stream to a given writable stream destination. The way in which the piping process behaves under various error conditions can be customized with a number of passed options. It returns a promise that fulfills when the piping process completes successfully, or rejects if any errors were encountered.\n     *\n     * Piping a stream will lock it for the duration of the pipe, preventing any other consumer from acquiring a reader.\n     *\n     * Errors and closures of the source and destination streams propagate as follows:\n     *\n     * An error in this source readable stream will abort destination, unless preventAbort is truthy. The returned promise will be rejected with the source\'s error, or with any error that occurs during aborting the destination.\n     *\n     * An error in destination will cancel this source readable stream, unless preventCancel is truthy. The returned promise will be rejected with the destination\'s error, or with any error that occurs during canceling the source.\n     *\n     * When this source readable stream closes, destination will be closed, unless preventClose is truthy. The returned promise will be fulfilled once this process completes, unless an error is encountered while closing the destination, in which case it will be rejected with that error.\n     *\n     * If destination starts out closed or closing, this source readable stream will be canceled, unless preventCancel is true. The returned promise will be rejected with an error indicating piping to a closed stream failed, or with any error that occurs during canceling the source.\n     *\n     * The signal option can be set to an AbortSignal to allow aborting an ongoing pipe operation via the corresponding AbortController. In this case, this source readable stream will be canceled, and destination aborted, unless the respective options preventCancel or preventAbort are set.\n     */\n    preventClose?: boolean;\n    signal?: AbortSignal;\n}\n\ninterface StructuredSerializeOptions {\n    transfer?: Transferable[];\n}\n\ninterface SubmitEventInit extends EventInit {\n    submitter?: HTMLElement | null;\n}\n\ninterface TextDecodeOptions {\n    stream?: boolean;\n}\n\ninterface TextDecoderOptions {\n    fatal?: boolean;\n    ignoreBOM?: boolean;\n}\n\ninterface TextEncoderEncodeIntoResult {\n    read: number;\n    written: number;\n}\n\ninterface ToggleEventInit extends EventInit {\n    newState?: string;\n    oldState?: string;\n}\n\ninterface TouchEventInit extends EventModifierInit {\n    changedTouches?: Touch[];\n    targetTouches?: Touch[];\n    touches?: Touch[];\n}\n\ninterface TouchInit {\n    altitudeAngle?: number;\n    azimuthAngle?: number;\n    clientX?: number;\n    clientY?: number;\n    force?: number;\n    identifier: number;\n    pageX?: number;\n    pageY?: number;\n    radiusX?: number;\n    radiusY?: number;\n    rotationAngle?: number;\n    screenX?: number;\n    screenY?: number;\n    target: EventTarget;\n    touchType?: TouchType;\n}\n\ninterface TrackEventInit extends EventInit {\n    track?: TextTrack | null;\n}\n\ninterface Transformer<I = any, O = any> {\n    flush?: TransformerFlushCallback<O>;\n    readableType?: undefined;\n    start?: TransformerStartCallback<O>;\n    transform?: TransformerTransformCallback<I, O>;\n    writableType?: undefined;\n}\n\ninterface TransitionEventInit extends EventInit {\n    elapsedTime?: number;\n    propertyName?: string;\n    pseudoElement?: string;\n}\n\ninterface UIEventInit extends EventInit {\n    detail?: number;\n    view?: Window | null;\n    /** @deprecated */\n    which?: number;\n}\n\ninterface ULongRange {\n    max?: number;\n    min?: number;\n}\n\ninterface UnderlyingByteSource {\n    autoAllocateChunkSize?: number;\n    cancel?: UnderlyingSourceCancelCallback;\n    pull?: (controller: ReadableByteStreamController) => void | PromiseLike<void>;\n    start?: (controller: ReadableByteStreamController) => any;\n    type: "bytes";\n}\n\ninterface UnderlyingDefaultSource<R = any> {\n    cancel?: UnderlyingSourceCancelCallback;\n    pull?: (controller: ReadableStreamDefaultController<R>) => void | PromiseLike<void>;\n    start?: (controller: ReadableStreamDefaultController<R>) => any;\n    type?: undefined;\n}\n\ninterface UnderlyingSink<W = any> {\n    abort?: UnderlyingSinkAbortCallback;\n    close?: UnderlyingSinkCloseCallback;\n    start?: UnderlyingSinkStartCallback;\n    type?: undefined;\n    write?: UnderlyingSinkWriteCallback<W>;\n}\n\ninterface UnderlyingSource<R = any> {\n    autoAllocateChunkSize?: number;\n    cancel?: UnderlyingSourceCancelCallback;\n    pull?: UnderlyingSourcePullCallback<R>;\n    start?: UnderlyingSourceStartCallback<R>;\n    type?: ReadableStreamType;\n}\n\ninterface ValidityStateFlags {\n    badInput?: boolean;\n    customError?: boolean;\n    patternMismatch?: boolean;\n    rangeOverflow?: boolean;\n    rangeUnderflow?: boolean;\n    stepMismatch?: boolean;\n    tooLong?: boolean;\n    tooShort?: boolean;\n    typeMismatch?: boolean;\n    valueMissing?: boolean;\n}\n\ninterface VideoColorSpaceInit {\n    fullRange?: boolean | null;\n    matrix?: VideoMatrixCoefficients | null;\n    primaries?: VideoColorPrimaries | null;\n    transfer?: VideoTransferCharacteristics | null;\n}\n\ninterface VideoConfiguration {\n    bitrate: number;\n    colorGamut?: ColorGamut;\n    contentType: string;\n    framerate: number;\n    hdrMetadataType?: HdrMetadataType;\n    height: number;\n    scalabilityMode?: string;\n    transferFunction?: TransferFunction;\n    width: number;\n}\n\ninterface VideoDecoderConfig {\n    codec: string;\n    codedHeight?: number;\n    codedWidth?: number;\n    colorSpace?: VideoColorSpaceInit;\n    description?: AllowSharedBufferSource;\n    displayAspectHeight?: number;\n    displayAspectWidth?: number;\n    hardwareAcceleration?: HardwareAcceleration;\n    optimizeForLatency?: boolean;\n}\n\ninterface VideoDecoderInit {\n    error: WebCodecsErrorCallback;\n    output: VideoFrameOutputCallback;\n}\n\ninterface VideoDecoderSupport {\n    config?: VideoDecoderConfig;\n    supported?: boolean;\n}\n\ninterface VideoEncoderConfig {\n    alpha?: AlphaOption;\n    avc?: AvcEncoderConfig;\n    bitrate?: number;\n    bitrateMode?: VideoEncoderBitrateMode;\n    codec: string;\n    displayHeight?: number;\n    displayWidth?: number;\n    framerate?: number;\n    hardwareAcceleration?: HardwareAcceleration;\n    height: number;\n    latencyMode?: LatencyMode;\n    scalabilityMode?: string;\n    width: number;\n}\n\ninterface VideoEncoderEncodeOptions {\n    keyFrame?: boolean;\n}\n\ninterface VideoEncoderInit {\n    error: WebCodecsErrorCallback;\n    output: EncodedVideoChunkOutputCallback;\n}\n\ninterface VideoEncoderSupport {\n    config?: VideoEncoderConfig;\n    supported?: boolean;\n}\n\ninterface VideoFrameBufferInit {\n    codedHeight: number;\n    codedWidth: number;\n    colorSpace?: VideoColorSpaceInit;\n    displayHeight?: number;\n    displayWidth?: number;\n    duration?: number;\n    format: VideoPixelFormat;\n    layout?: PlaneLayout[];\n    timestamp: number;\n    visibleRect?: DOMRectInit;\n}\n\ninterface VideoFrameCallbackMetadata {\n    captureTime?: DOMHighResTimeStamp;\n    expectedDisplayTime: DOMHighResTimeStamp;\n    height: number;\n    mediaTime: number;\n    presentationTime: DOMHighResTimeStamp;\n    presentedFrames: number;\n    processingDuration?: number;\n    receiveTime?: DOMHighResTimeStamp;\n    rtpTimestamp?: number;\n    width: number;\n}\n\ninterface VideoFrameCopyToOptions {\n    layout?: PlaneLayout[];\n    rect?: DOMRectInit;\n}\n\ninterface VideoFrameInit {\n    alpha?: AlphaOption;\n    displayHeight?: number;\n    displayWidth?: number;\n    duration?: number;\n    timestamp?: number;\n    visibleRect?: DOMRectInit;\n}\n\ninterface WaveShaperOptions extends AudioNodeOptions {\n    curve?: number[] | Float32Array;\n    oversample?: OverSampleType;\n}\n\ninterface WebGLContextAttributes {\n    alpha?: boolean;\n    antialias?: boolean;\n    depth?: boolean;\n    desynchronized?: boolean;\n    failIfMajorPerformanceCaveat?: boolean;\n    powerPreference?: WebGLPowerPreference;\n    premultipliedAlpha?: boolean;\n    preserveDrawingBuffer?: boolean;\n    stencil?: boolean;\n}\n\ninterface WebGLContextEventInit extends EventInit {\n    statusMessage?: string;\n}\n\ninterface WebTransportCloseInfo {\n    closeCode?: number;\n    reason?: string;\n}\n\ninterface WebTransportErrorOptions {\n    source?: WebTransportErrorSource;\n    streamErrorCode?: number | null;\n}\n\ninterface WebTransportHash {\n    algorithm?: string;\n    value?: BufferSource;\n}\n\ninterface WebTransportOptions {\n    allowPooling?: boolean;\n    congestionControl?: WebTransportCongestionControl;\n    requireUnreliable?: boolean;\n    serverCertificateHashes?: WebTransportHash[];\n}\n\ninterface WebTransportSendStreamOptions {\n    sendOrder?: number;\n}\n\ninterface WheelEventInit extends MouseEventInit {\n    deltaMode?: number;\n    deltaX?: number;\n    deltaY?: number;\n    deltaZ?: number;\n}\n\ninterface WindowPostMessageOptions extends StructuredSerializeOptions {\n    targetOrigin?: string;\n}\n\ninterface WorkerOptions {\n    credentials?: RequestCredentials;\n    name?: string;\n    type?: WorkerType;\n}\n\ninterface WorkletOptions {\n    credentials?: RequestCredentials;\n}\n\ninterface WriteParams {\n    data?: BufferSource | Blob | string | null;\n    position?: number | null;\n    size?: number | null;\n    type: WriteCommandType;\n}\n\ntype NodeFilter = ((node: Node) => number) | { acceptNode(node: Node): number; };\n\ndeclare var NodeFilter: {\n    readonly FILTER_ACCEPT: 1;\n    readonly FILTER_REJECT: 2;\n    readonly FILTER_SKIP: 3;\n    readonly SHOW_ALL: 0xFFFFFFFF;\n    readonly SHOW_ELEMENT: 0x1;\n    readonly SHOW_ATTRIBUTE: 0x2;\n    readonly SHOW_TEXT: 0x4;\n    readonly SHOW_CDATA_SECTION: 0x8;\n    readonly SHOW_ENTITY_REFERENCE: 0x10;\n    readonly SHOW_ENTITY: 0x20;\n    readonly SHOW_PROCESSING_INSTRUCTION: 0x40;\n    readonly SHOW_COMMENT: 0x80;\n    readonly SHOW_DOCUMENT: 0x100;\n    readonly SHOW_DOCUMENT_TYPE: 0x200;\n    readonly SHOW_DOCUMENT_FRAGMENT: 0x400;\n    readonly SHOW_NOTATION: 0x800;\n};\n\ntype XPathNSResolver = ((prefix: string | null) => string | null) | { lookupNamespaceURI(prefix: string | null): string | null; };\n\n/**\n * The ANGLE_instanced_arrays extension is part of the WebGL API and allows to draw the same object, or groups of similar objects multiple times, if they share the same vertex data, primitive count and type.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ANGLE_instanced_arrays)\n */\ninterface ANGLE_instanced_arrays {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ANGLE_instanced_arrays/drawArraysInstancedANGLE) */\n    drawArraysInstancedANGLE(mode: GLenum, first: GLint, count: GLsizei, primcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ANGLE_instanced_arrays/drawElementsInstancedANGLE) */\n    drawElementsInstancedANGLE(mode: GLenum, count: GLsizei, type: GLenum, offset: GLintptr, primcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ANGLE_instanced_arrays/vertexAttribDivisorANGLE) */\n    vertexAttribDivisorANGLE(index: GLuint, divisor: GLuint): void;\n    readonly VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE: 0x88FE;\n}\n\ninterface ARIAMixin {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaAtomic) */\n    ariaAtomic: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaAutoComplete) */\n    ariaAutoComplete: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaBusy) */\n    ariaBusy: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaChecked) */\n    ariaChecked: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaColCount) */\n    ariaColCount: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaColIndex) */\n    ariaColIndex: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaColSpan) */\n    ariaColSpan: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaCurrent) */\n    ariaCurrent: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaDescription) */\n    ariaDescription: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaDisabled) */\n    ariaDisabled: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaExpanded) */\n    ariaExpanded: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaHasPopup) */\n    ariaHasPopup: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaHidden) */\n    ariaHidden: string | null;\n    ariaInvalid: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaKeyShortcuts) */\n    ariaKeyShortcuts: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaLabel) */\n    ariaLabel: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaLevel) */\n    ariaLevel: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaLive) */\n    ariaLive: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaModal) */\n    ariaModal: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaMultiLine) */\n    ariaMultiLine: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaMultiSelectable) */\n    ariaMultiSelectable: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaOrientation) */\n    ariaOrientation: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaPlaceholder) */\n    ariaPlaceholder: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaPosInSet) */\n    ariaPosInSet: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaPressed) */\n    ariaPressed: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaReadOnly) */\n    ariaReadOnly: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaRequired) */\n    ariaRequired: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaRoleDescription) */\n    ariaRoleDescription: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaRowCount) */\n    ariaRowCount: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaRowIndex) */\n    ariaRowIndex: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaRowSpan) */\n    ariaRowSpan: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaSelected) */\n    ariaSelected: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaSetSize) */\n    ariaSetSize: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaSort) */\n    ariaSort: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaValueMax) */\n    ariaValueMax: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaValueMin) */\n    ariaValueMin: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaValueNow) */\n    ariaValueNow: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/ariaValueText) */\n    ariaValueText: string | null;\n    role: string | null;\n}\n\n/**\n * A controller object that allows you to abort one or more DOM requests as and when desired.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortController)\n */\ninterface AbortController {\n    /**\n     * Returns the AbortSignal object associated with this object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortController/signal)\n     */\n    readonly signal: AbortSignal;\n    /**\n     * Invoking this method will set this object\'s AbortSignal\'s aborted flag and signal to any observers that the associated activity is to be aborted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortController/abort)\n     */\n    abort(reason?: any): void;\n}\n\ndeclare var AbortController: {\n    prototype: AbortController;\n    new(): AbortController;\n};\n\ninterface AbortSignalEventMap {\n    "abort": Event;\n}\n\n/**\n * A signal object that allows you to communicate with a DOM request (such as a Fetch) and abort it if required via an AbortController object.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal)\n */\ninterface AbortSignal extends EventTarget {\n    /**\n     * Returns true if this AbortSignal\'s AbortController has signaled to abort, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal/aborted)\n     */\n    readonly aborted: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal/abort_event) */\n    onabort: ((this: AbortSignal, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal/reason) */\n    readonly reason: any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal/throwIfAborted) */\n    throwIfAborted(): void;\n    addEventListener<K extends keyof AbortSignalEventMap>(type: K, listener: (this: AbortSignal, ev: AbortSignalEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AbortSignalEventMap>(type: K, listener: (this: AbortSignal, ev: AbortSignalEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var AbortSignal: {\n    prototype: AbortSignal;\n    new(): AbortSignal;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal/abort_static) */\n    abort(reason?: any): AbortSignal;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal/timeout_static) */\n    timeout(milliseconds: number): AbortSignal;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbstractRange) */\ninterface AbstractRange {\n    /**\n     * Returns true if range is collapsed, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbstractRange/collapsed)\n     */\n    readonly collapsed: boolean;\n    /**\n     * Returns range\'s end node.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbstractRange/endContainer)\n     */\n    readonly endContainer: Node;\n    /**\n     * Returns range\'s end offset.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbstractRange/endOffset)\n     */\n    readonly endOffset: number;\n    /**\n     * Returns range\'s start node.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbstractRange/startContainer)\n     */\n    readonly startContainer: Node;\n    /**\n     * Returns range\'s start offset.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbstractRange/startOffset)\n     */\n    readonly startOffset: number;\n}\n\ndeclare var AbstractRange: {\n    prototype: AbstractRange;\n    new(): AbstractRange;\n};\n\ninterface AbstractWorkerEventMap {\n    "error": ErrorEvent;\n}\n\ninterface AbstractWorker {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorker/error_event) */\n    onerror: ((this: AbstractWorker, ev: ErrorEvent) => any) | null;\n    addEventListener<K extends keyof AbstractWorkerEventMap>(type: K, listener: (this: AbstractWorker, ev: AbstractWorkerEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AbstractWorkerEventMap>(type: K, listener: (this: AbstractWorker, ev: AbstractWorkerEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\n/**\n * A node able to provide real-time frequency and time-domain analysis information. It is an AudioNode that passes the audio stream unchanged from the input to the output, but allows you to take the generated data, process it, and create audio visualizations.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnalyserNode)\n */\ninterface AnalyserNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnalyserNode/fftSize) */\n    fftSize: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnalyserNode/frequencyBinCount) */\n    readonly frequencyBinCount: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnalyserNode/maxDecibels) */\n    maxDecibels: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnalyserNode/minDecibels) */\n    minDecibels: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnalyserNode/smoothingTimeConstant) */\n    smoothingTimeConstant: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnalyserNode/getByteFrequencyData) */\n    getByteFrequencyData(array: Uint8Array): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnalyserNode/getByteTimeDomainData) */\n    getByteTimeDomainData(array: Uint8Array): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnalyserNode/getFloatFrequencyData) */\n    getFloatFrequencyData(array: Float32Array): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnalyserNode/getFloatTimeDomainData) */\n    getFloatTimeDomainData(array: Float32Array): void;\n}\n\ndeclare var AnalyserNode: {\n    prototype: AnalyserNode;\n    new(context: BaseAudioContext, options?: AnalyserOptions): AnalyserNode;\n};\n\ninterface Animatable {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animate) */\n    animate(keyframes: Keyframe[] | PropertyIndexedKeyframes | null, options?: number | KeyframeAnimationOptions): Animation;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/getAnimations) */\n    getAnimations(options?: GetAnimationsOptions): Animation[];\n}\n\ninterface AnimationEventMap {\n    "cancel": AnimationPlaybackEvent;\n    "finish": AnimationPlaybackEvent;\n    "remove": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation) */\ninterface Animation extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/currentTime) */\n    currentTime: CSSNumberish | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/effect) */\n    effect: AnimationEffect | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/finished) */\n    readonly finished: Promise<Animation>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/id) */\n    id: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/cancel_event) */\n    oncancel: ((this: Animation, ev: AnimationPlaybackEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/finish_event) */\n    onfinish: ((this: Animation, ev: AnimationPlaybackEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/remove_event) */\n    onremove: ((this: Animation, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/pending) */\n    readonly pending: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/playState) */\n    readonly playState: AnimationPlayState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/playbackRate) */\n    playbackRate: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/ready) */\n    readonly ready: Promise<Animation>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/replaceState) */\n    readonly replaceState: AnimationReplaceState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/startTime) */\n    startTime: CSSNumberish | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/timeline) */\n    timeline: AnimationTimeline | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/cancel) */\n    cancel(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/commitStyles) */\n    commitStyles(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/finish) */\n    finish(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/pause) */\n    pause(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/persist) */\n    persist(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/play) */\n    play(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/reverse) */\n    reverse(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Animation/updatePlaybackRate) */\n    updatePlaybackRate(playbackRate: number): void;\n    addEventListener<K extends keyof AnimationEventMap>(type: K, listener: (this: Animation, ev: AnimationEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AnimationEventMap>(type: K, listener: (this: Animation, ev: AnimationEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var Animation: {\n    prototype: Animation;\n    new(effect?: AnimationEffect | null, timeline?: AnimationTimeline | null): Animation;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationEffect) */\ninterface AnimationEffect {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationEffect/getComputedTiming) */\n    getComputedTiming(): ComputedEffectTiming;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationEffect/getTiming) */\n    getTiming(): EffectTiming;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationEffect/updateTiming) */\n    updateTiming(timing?: OptionalEffectTiming): void;\n}\n\ndeclare var AnimationEffect: {\n    prototype: AnimationEffect;\n    new(): AnimationEffect;\n};\n\n/**\n * Events providing information related to animations.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationEvent)\n */\ninterface AnimationEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationEvent/animationName) */\n    readonly animationName: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationEvent/elapsedTime) */\n    readonly elapsedTime: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationEvent/pseudoElement) */\n    readonly pseudoElement: string;\n}\n\ndeclare var AnimationEvent: {\n    prototype: AnimationEvent;\n    new(type: string, animationEventInitDict?: AnimationEventInit): AnimationEvent;\n};\n\ninterface AnimationFrameProvider {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/cancelAnimationFrame) */\n    cancelAnimationFrame(handle: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/requestAnimationFrame) */\n    requestAnimationFrame(callback: FrameRequestCallback): number;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationPlaybackEvent) */\ninterface AnimationPlaybackEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationPlaybackEvent/currentTime) */\n    readonly currentTime: CSSNumberish | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationPlaybackEvent/timelineTime) */\n    readonly timelineTime: CSSNumberish | null;\n}\n\ndeclare var AnimationPlaybackEvent: {\n    prototype: AnimationPlaybackEvent;\n    new(type: string, eventInitDict?: AnimationPlaybackEventInit): AnimationPlaybackEvent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationTimeline) */\ninterface AnimationTimeline {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AnimationTimeline/currentTime) */\n    readonly currentTime: CSSNumberish | null;\n}\n\ndeclare var AnimationTimeline: {\n    prototype: AnimationTimeline;\n    new(): AnimationTimeline;\n};\n\n/**\n * A DOM element\'s attribute as an object. In most DOM methods, you will probably directly retrieve the attribute as a string (e.g., Element.getAttribute(), but certain functions (e.g., Element.getAttributeNode()) or means of iterating give Attr types.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Attr)\n */\ninterface Attr extends Node {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Attr/localName) */\n    readonly localName: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Attr/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Attr/namespaceURI) */\n    readonly namespaceURI: string | null;\n    readonly ownerDocument: Document;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Attr/ownerElement) */\n    readonly ownerElement: Element | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Attr/prefix) */\n    readonly prefix: string | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Attr/specified)\n     */\n    readonly specified: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Attr/value) */\n    value: string;\n}\n\ndeclare var Attr: {\n    prototype: Attr;\n    new(): Attr;\n};\n\n/**\n * A short audio asset residing in memory, created from an audio file using the AudioContext.decodeAudioData() method, or from raw data using AudioContext.createBuffer(). Once put into an AudioBuffer, the audio can then be played by being passed into an AudioBufferSourceNode.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBuffer)\n */\ninterface AudioBuffer {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBuffer/duration) */\n    readonly duration: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBuffer/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBuffer/numberOfChannels) */\n    readonly numberOfChannels: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBuffer/sampleRate) */\n    readonly sampleRate: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBuffer/copyFromChannel) */\n    copyFromChannel(destination: Float32Array, channelNumber: number, bufferOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBuffer/copyToChannel) */\n    copyToChannel(source: Float32Array, channelNumber: number, bufferOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBuffer/getChannelData) */\n    getChannelData(channel: number): Float32Array;\n}\n\ndeclare var AudioBuffer: {\n    prototype: AudioBuffer;\n    new(options: AudioBufferOptions): AudioBuffer;\n};\n\n/**\n * An AudioScheduledSourceNode which represents an audio source consisting of in-memory audio data, stored in an AudioBuffer. It\'s especially useful for playing back audio which has particularly stringent timing accuracy requirements, such as for sounds that must match a specific rhythm and can be kept in memory rather than being played from disk or the network.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBufferSourceNode)\n */\ninterface AudioBufferSourceNode extends AudioScheduledSourceNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBufferSourceNode/buffer) */\n    buffer: AudioBuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBufferSourceNode/detune) */\n    readonly detune: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBufferSourceNode/loop) */\n    loop: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBufferSourceNode/loopEnd) */\n    loopEnd: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBufferSourceNode/loopStart) */\n    loopStart: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBufferSourceNode/playbackRate) */\n    readonly playbackRate: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioBufferSourceNode/start) */\n    start(when?: number, offset?: number, duration?: number): void;\n    addEventListener<K extends keyof AudioScheduledSourceNodeEventMap>(type: K, listener: (this: AudioBufferSourceNode, ev: AudioScheduledSourceNodeEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AudioScheduledSourceNodeEventMap>(type: K, listener: (this: AudioBufferSourceNode, ev: AudioScheduledSourceNodeEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var AudioBufferSourceNode: {\n    prototype: AudioBufferSourceNode;\n    new(context: BaseAudioContext, options?: AudioBufferSourceOptions): AudioBufferSourceNode;\n};\n\n/**\n * An audio-processing graph built from audio modules linked together, each represented by an AudioNode.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioContext)\n */\ninterface AudioContext extends BaseAudioContext {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioContext/baseLatency) */\n    readonly baseLatency: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioContext/outputLatency) */\n    readonly outputLatency: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioContext/close) */\n    close(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioContext/createMediaElementSource) */\n    createMediaElementSource(mediaElement: HTMLMediaElement): MediaElementAudioSourceNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioContext/createMediaStreamDestination) */\n    createMediaStreamDestination(): MediaStreamAudioDestinationNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioContext/createMediaStreamSource) */\n    createMediaStreamSource(mediaStream: MediaStream): MediaStreamAudioSourceNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioContext/getOutputTimestamp) */\n    getOutputTimestamp(): AudioTimestamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioContext/resume) */\n    resume(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioContext/suspend) */\n    suspend(): Promise<void>;\n    addEventListener<K extends keyof BaseAudioContextEventMap>(type: K, listener: (this: AudioContext, ev: BaseAudioContextEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof BaseAudioContextEventMap>(type: K, listener: (this: AudioContext, ev: BaseAudioContextEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var AudioContext: {\n    prototype: AudioContext;\n    new(contextOptions?: AudioContextOptions): AudioContext;\n};\n\n/**\n * AudioDestinationNode has no output (as it is the output, no more AudioNode can be linked after it in the audio graph) and one input. The number of channels in the input must be between 0 and the maxChannelCount value or an exception is raised.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioDestinationNode)\n */\ninterface AudioDestinationNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioDestinationNode/maxChannelCount) */\n    readonly maxChannelCount: number;\n}\n\ndeclare var AudioDestinationNode: {\n    prototype: AudioDestinationNode;\n    new(): AudioDestinationNode;\n};\n\n/**\n * The position and orientation of the unique person listening to the audio scene, and is used in audio spatialization. All PannerNodes spatialize in relation to the AudioListener stored in the BaseAudioContext.listener attribute.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioListener)\n */\ninterface AudioListener {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioListener/forwardX) */\n    readonly forwardX: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioListener/forwardY) */\n    readonly forwardY: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioListener/forwardZ) */\n    readonly forwardZ: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioListener/positionX) */\n    readonly positionX: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioListener/positionY) */\n    readonly positionY: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioListener/positionZ) */\n    readonly positionZ: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioListener/upX) */\n    readonly upX: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioListener/upY) */\n    readonly upY: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioListener/upZ) */\n    readonly upZ: AudioParam;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioListener/setOrientation)\n     */\n    setOrientation(x: number, y: number, z: number, xUp: number, yUp: number, zUp: number): void;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioListener/setPosition)\n     */\n    setPosition(x: number, y: number, z: number): void;\n}\n\ndeclare var AudioListener: {\n    prototype: AudioListener;\n    new(): AudioListener;\n};\n\n/**\n * A generic interface for representing an audio processing module. Examples include:\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioNode)\n */\ninterface AudioNode extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioNode/channelCount) */\n    channelCount: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioNode/channelCountMode) */\n    channelCountMode: ChannelCountMode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioNode/channelInterpretation) */\n    channelInterpretation: ChannelInterpretation;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioNode/context) */\n    readonly context: BaseAudioContext;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioNode/numberOfInputs) */\n    readonly numberOfInputs: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioNode/numberOfOutputs) */\n    readonly numberOfOutputs: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioNode/connect) */\n    connect(destinationNode: AudioNode, output?: number, input?: number): AudioNode;\n    connect(destinationParam: AudioParam, output?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioNode/disconnect) */\n    disconnect(): void;\n    disconnect(output: number): void;\n    disconnect(destinationNode: AudioNode): void;\n    disconnect(destinationNode: AudioNode, output: number): void;\n    disconnect(destinationNode: AudioNode, output: number, input: number): void;\n    disconnect(destinationParam: AudioParam): void;\n    disconnect(destinationParam: AudioParam, output: number): void;\n}\n\ndeclare var AudioNode: {\n    prototype: AudioNode;\n    new(): AudioNode;\n};\n\n/**\n * The Web Audio API\'s AudioParam interface represents an audio-related parameter, usually a parameter of an AudioNode (such as GainNode.gain).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam)\n */\ninterface AudioParam {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/automationRate) */\n    automationRate: AutomationRate;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/defaultValue) */\n    readonly defaultValue: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/maxValue) */\n    readonly maxValue: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/minValue) */\n    readonly minValue: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/value) */\n    value: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/cancelAndHoldAtTime) */\n    cancelAndHoldAtTime(cancelTime: number): AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/cancelScheduledValues) */\n    cancelScheduledValues(cancelTime: number): AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/exponentialRampToValueAtTime) */\n    exponentialRampToValueAtTime(value: number, endTime: number): AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/linearRampToValueAtTime) */\n    linearRampToValueAtTime(value: number, endTime: number): AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/setTargetAtTime) */\n    setTargetAtTime(target: number, startTime: number, timeConstant: number): AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/setValueAtTime) */\n    setValueAtTime(value: number, startTime: number): AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/setValueCurveAtTime) */\n    setValueCurveAtTime(values: number[] | Float32Array, startTime: number, duration: number): AudioParam;\n}\n\ndeclare var AudioParam: {\n    prototype: AudioParam;\n    new(): AudioParam;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParamMap) */\ninterface AudioParamMap {\n    forEach(callbackfn: (value: AudioParam, key: string, parent: AudioParamMap) => void, thisArg?: any): void;\n}\n\ndeclare var AudioParamMap: {\n    prototype: AudioParamMap;\n    new(): AudioParamMap;\n};\n\n/**\n * The Web Audio API events that occur when a ScriptProcessorNode input buffer is ready to be processed.\n * @deprecated As of the August 29 2014 Web Audio API spec publication, this feature has been marked as deprecated, and is soon to be replaced by AudioWorklet.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioProcessingEvent)\n */\ninterface AudioProcessingEvent extends Event {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioProcessingEvent/inputBuffer)\n     */\n    readonly inputBuffer: AudioBuffer;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioProcessingEvent/outputBuffer)\n     */\n    readonly outputBuffer: AudioBuffer;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioProcessingEvent/playbackTime)\n     */\n    readonly playbackTime: number;\n}\n\n/** @deprecated */\ndeclare var AudioProcessingEvent: {\n    prototype: AudioProcessingEvent;\n    new(type: string, eventInitDict: AudioProcessingEventInit): AudioProcessingEvent;\n};\n\ninterface AudioScheduledSourceNodeEventMap {\n    "ended": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioScheduledSourceNode) */\ninterface AudioScheduledSourceNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioScheduledSourceNode/ended_event) */\n    onended: ((this: AudioScheduledSourceNode, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioScheduledSourceNode/start) */\n    start(when?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioScheduledSourceNode/stop) */\n    stop(when?: number): void;\n    addEventListener<K extends keyof AudioScheduledSourceNodeEventMap>(type: K, listener: (this: AudioScheduledSourceNode, ev: AudioScheduledSourceNodeEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AudioScheduledSourceNodeEventMap>(type: K, listener: (this: AudioScheduledSourceNode, ev: AudioScheduledSourceNodeEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var AudioScheduledSourceNode: {\n    prototype: AudioScheduledSourceNode;\n    new(): AudioScheduledSourceNode;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioWorklet)\n */\ninterface AudioWorklet extends Worklet {\n}\n\ndeclare var AudioWorklet: {\n    prototype: AudioWorklet;\n    new(): AudioWorklet;\n};\n\ninterface AudioWorkletNodeEventMap {\n    "processorerror": Event;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioWorkletNode)\n */\ninterface AudioWorkletNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioWorkletNode/processorerror_event) */\n    onprocessorerror: ((this: AudioWorkletNode, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioWorkletNode/parameters) */\n    readonly parameters: AudioParamMap;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioWorkletNode/port) */\n    readonly port: MessagePort;\n    addEventListener<K extends keyof AudioWorkletNodeEventMap>(type: K, listener: (this: AudioWorkletNode, ev: AudioWorkletNodeEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AudioWorkletNodeEventMap>(type: K, listener: (this: AudioWorkletNode, ev: AudioWorkletNodeEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var AudioWorkletNode: {\n    prototype: AudioWorkletNode;\n    new(context: BaseAudioContext, name: string, options?: AudioWorkletNodeOptions): AudioWorkletNode;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AuthenticatorAssertionResponse)\n */\ninterface AuthenticatorAssertionResponse extends AuthenticatorResponse {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AuthenticatorAssertionResponse/authenticatorData) */\n    readonly authenticatorData: ArrayBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AuthenticatorAssertionResponse/signature) */\n    readonly signature: ArrayBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AuthenticatorAssertionResponse/userHandle) */\n    readonly userHandle: ArrayBuffer | null;\n}\n\ndeclare var AuthenticatorAssertionResponse: {\n    prototype: AuthenticatorAssertionResponse;\n    new(): AuthenticatorAssertionResponse;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AuthenticatorAttestationResponse)\n */\ninterface AuthenticatorAttestationResponse extends AuthenticatorResponse {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AuthenticatorAttestationResponse/attestationObject) */\n    readonly attestationObject: ArrayBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AuthenticatorAttestationResponse/getAuthenticatorData) */\n    getAuthenticatorData(): ArrayBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AuthenticatorAttestationResponse/getPublicKey) */\n    getPublicKey(): ArrayBuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AuthenticatorAttestationResponse/getPublicKeyAlgorithm) */\n    getPublicKeyAlgorithm(): COSEAlgorithmIdentifier;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AuthenticatorAttestationResponse/getTransports) */\n    getTransports(): string[];\n}\n\ndeclare var AuthenticatorAttestationResponse: {\n    prototype: AuthenticatorAttestationResponse;\n    new(): AuthenticatorAttestationResponse;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AuthenticatorResponse)\n */\ninterface AuthenticatorResponse {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AuthenticatorResponse/clientDataJSON) */\n    readonly clientDataJSON: ArrayBuffer;\n}\n\ndeclare var AuthenticatorResponse: {\n    prototype: AuthenticatorResponse;\n    new(): AuthenticatorResponse;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BarProp) */\ninterface BarProp {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BarProp/visible) */\n    readonly visible: boolean;\n}\n\ndeclare var BarProp: {\n    prototype: BarProp;\n    new(): BarProp;\n};\n\ninterface BaseAudioContextEventMap {\n    "statechange": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext) */\ninterface BaseAudioContext extends EventTarget {\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/audioWorklet)\n     */\n    readonly audioWorklet: AudioWorklet;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/currentTime) */\n    readonly currentTime: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/destination) */\n    readonly destination: AudioDestinationNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/listener) */\n    readonly listener: AudioListener;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/statechange_event) */\n    onstatechange: ((this: BaseAudioContext, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/sampleRate) */\n    readonly sampleRate: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/state) */\n    readonly state: AudioContextState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createAnalyser) */\n    createAnalyser(): AnalyserNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createBiquadFilter) */\n    createBiquadFilter(): BiquadFilterNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createBuffer) */\n    createBuffer(numberOfChannels: number, length: number, sampleRate: number): AudioBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createBufferSource) */\n    createBufferSource(): AudioBufferSourceNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createChannelMerger) */\n    createChannelMerger(numberOfInputs?: number): ChannelMergerNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createChannelSplitter) */\n    createChannelSplitter(numberOfOutputs?: number): ChannelSplitterNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createConstantSource) */\n    createConstantSource(): ConstantSourceNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createConvolver) */\n    createConvolver(): ConvolverNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createDelay) */\n    createDelay(maxDelayTime?: number): DelayNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createDynamicsCompressor) */\n    createDynamicsCompressor(): DynamicsCompressorNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createGain) */\n    createGain(): GainNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createIIRFilter) */\n    createIIRFilter(feedforward: number[], feedback: number[]): IIRFilterNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createOscillator) */\n    createOscillator(): OscillatorNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createPanner) */\n    createPanner(): PannerNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createPeriodicWave) */\n    createPeriodicWave(real: number[] | Float32Array, imag: number[] | Float32Array, constraints?: PeriodicWaveConstraints): PeriodicWave;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createScriptProcessor)\n     */\n    createScriptProcessor(bufferSize?: number, numberOfInputChannels?: number, numberOfOutputChannels?: number): ScriptProcessorNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createStereoPanner) */\n    createStereoPanner(): StereoPannerNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createWaveShaper) */\n    createWaveShaper(): WaveShaperNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/decodeAudioData) */\n    decodeAudioData(audioData: ArrayBuffer, successCallback?: DecodeSuccessCallback | null, errorCallback?: DecodeErrorCallback | null): Promise<AudioBuffer>;\n    addEventListener<K extends keyof BaseAudioContextEventMap>(type: K, listener: (this: BaseAudioContext, ev: BaseAudioContextEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof BaseAudioContextEventMap>(type: K, listener: (this: BaseAudioContext, ev: BaseAudioContextEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var BaseAudioContext: {\n    prototype: BaseAudioContext;\n    new(): BaseAudioContext;\n};\n\n/**\n * The beforeunload event is fired when the window, the document and its resources are about to be unloaded.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/BeforeUnloadEvent)\n */\ninterface BeforeUnloadEvent extends Event {\n    /** @deprecated */\n    returnValue: any;\n}\n\ndeclare var BeforeUnloadEvent: {\n    prototype: BeforeUnloadEvent;\n    new(): BeforeUnloadEvent;\n};\n\n/**\n * A simple low-order filter, and is created using the AudioContext.createBiquadFilter() method. It is an AudioNode that can represent different kinds of filters, tone control devices, and graphic equalizers.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/BiquadFilterNode)\n */\ninterface BiquadFilterNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BiquadFilterNode/Q) */\n    readonly Q: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BiquadFilterNode/detune) */\n    readonly detune: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BiquadFilterNode/frequency) */\n    readonly frequency: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BiquadFilterNode/gain) */\n    readonly gain: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BiquadFilterNode/type) */\n    type: BiquadFilterType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BiquadFilterNode/getFrequencyResponse) */\n    getFrequencyResponse(frequencyHz: Float32Array, magResponse: Float32Array, phaseResponse: Float32Array): void;\n}\n\ndeclare var BiquadFilterNode: {\n    prototype: BiquadFilterNode;\n    new(context: BaseAudioContext, options?: BiquadFilterOptions): BiquadFilterNode;\n};\n\n/**\n * A file-like object of immutable, raw data. Blobs represent data that isn\'t necessarily in a JavaScript-native format. The File interface is based on Blob, inheriting blob functionality and expanding it to support files on the user\'s system.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob)\n */\ninterface Blob {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob/size) */\n    readonly size: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob/type) */\n    readonly type: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob/arrayBuffer) */\n    arrayBuffer(): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob/slice) */\n    slice(start?: number, end?: number, contentType?: string): Blob;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob/stream) */\n    stream(): ReadableStream<Uint8Array>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob/text) */\n    text(): Promise<string>;\n}\n\ndeclare var Blob: {\n    prototype: Blob;\n    new(blobParts?: BlobPart[], options?: BlobPropertyBag): Blob;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BlobEvent) */\ninterface BlobEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BlobEvent/data) */\n    readonly data: Blob;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BlobEvent/timecode) */\n    readonly timecode: DOMHighResTimeStamp;\n}\n\ndeclare var BlobEvent: {\n    prototype: BlobEvent;\n    new(type: string, eventInitDict: BlobEventInit): BlobEvent;\n};\n\ninterface Body {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/body) */\n    readonly body: ReadableStream<Uint8Array> | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/bodyUsed) */\n    readonly bodyUsed: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/arrayBuffer) */\n    arrayBuffer(): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/blob) */\n    blob(): Promise<Blob>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/formData) */\n    formData(): Promise<FormData>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/json) */\n    json(): Promise<any>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/text) */\n    text(): Promise<string>;\n}\n\ninterface BroadcastChannelEventMap {\n    "message": MessageEvent;\n    "messageerror": MessageEvent;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BroadcastChannel) */\ninterface BroadcastChannel extends EventTarget {\n    /**\n     * Returns the channel name (as passed to the constructor).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/BroadcastChannel/name)\n     */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BroadcastChannel/message_event) */\n    onmessage: ((this: BroadcastChannel, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BroadcastChannel/messageerror_event) */\n    onmessageerror: ((this: BroadcastChannel, ev: MessageEvent) => any) | null;\n    /**\n     * Closes the BroadcastChannel object, opening it up to garbage collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/BroadcastChannel/close)\n     */\n    close(): void;\n    /**\n     * Sends the given message to other BroadcastChannel objects set up for this channel. Messages can be structured objects, e.g. nested objects and arrays.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/BroadcastChannel/postMessage)\n     */\n    postMessage(message: any): void;\n    addEventListener<K extends keyof BroadcastChannelEventMap>(type: K, listener: (this: BroadcastChannel, ev: BroadcastChannelEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof BroadcastChannelEventMap>(type: K, listener: (this: BroadcastChannel, ev: BroadcastChannelEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var BroadcastChannel: {\n    prototype: BroadcastChannel;\n    new(name: string): BroadcastChannel;\n};\n\n/**\n * This Streams API interface provides a built-in byte length queuing strategy that can be used when constructing streams.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ByteLengthQueuingStrategy)\n */\ninterface ByteLengthQueuingStrategy extends QueuingStrategy<ArrayBufferView> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ByteLengthQueuingStrategy/highWaterMark) */\n    readonly highWaterMark: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ByteLengthQueuingStrategy/size) */\n    readonly size: QueuingStrategySize<ArrayBufferView>;\n}\n\ndeclare var ByteLengthQueuingStrategy: {\n    prototype: ByteLengthQueuingStrategy;\n    new(init: QueuingStrategyInit): ByteLengthQueuingStrategy;\n};\n\n/**\n * A CDATA section that can be used within XML to include extended portions of unescaped text. The symbols < and & don’t need escaping as they normally do when inside a CDATA section.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CDATASection)\n */\ninterface CDATASection extends Text {\n}\n\ndeclare var CDATASection: {\n    prototype: CDATASection;\n    new(): CDATASection;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSAnimation) */\ninterface CSSAnimation extends Animation {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSAnimation/animationName) */\n    readonly animationName: string;\n    addEventListener<K extends keyof AnimationEventMap>(type: K, listener: (this: CSSAnimation, ev: AnimationEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AnimationEventMap>(type: K, listener: (this: CSSAnimation, ev: AnimationEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var CSSAnimation: {\n    prototype: CSSAnimation;\n    new(): CSSAnimation;\n};\n\n/**\n * A single condition CSS at-rule, which consists of a condition and a statement block. It is a child of CSSGroupingRule.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSConditionRule)\n */\ninterface CSSConditionRule extends CSSGroupingRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSConditionRule/conditionText) */\n    readonly conditionText: string;\n}\n\ndeclare var CSSConditionRule: {\n    prototype: CSSConditionRule;\n    new(): CSSConditionRule;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSContainerRule) */\ninterface CSSContainerRule extends CSSConditionRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSContainerRule/containerName) */\n    readonly containerName: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSContainerRule/containerQuery) */\n    readonly containerQuery: string;\n}\n\ndeclare var CSSContainerRule: {\n    prototype: CSSContainerRule;\n    new(): CSSContainerRule;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSCounterStyleRule) */\ninterface CSSCounterStyleRule extends CSSRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSCounterStyleRule/additiveSymbols) */\n    additiveSymbols: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSCounterStyleRule/fallback) */\n    fallback: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSCounterStyleRule/name) */\n    name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSCounterStyleRule/negative) */\n    negative: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSCounterStyleRule/pad) */\n    pad: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSCounterStyleRule/prefix) */\n    prefix: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSCounterStyleRule/range) */\n    range: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSCounterStyleRule/speakAs) */\n    speakAs: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSCounterStyleRule/suffix) */\n    suffix: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSCounterStyleRule/symbols) */\n    symbols: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSCounterStyleRule/system) */\n    system: string;\n}\n\ndeclare var CSSCounterStyleRule: {\n    prototype: CSSCounterStyleRule;\n    new(): CSSCounterStyleRule;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSFontFaceRule) */\ninterface CSSFontFaceRule extends CSSRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSFontFaceRule/style) */\n    readonly style: CSSStyleDeclaration;\n}\n\ndeclare var CSSFontFaceRule: {\n    prototype: CSSFontFaceRule;\n    new(): CSSFontFaceRule;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSFontFeatureValuesRule) */\ninterface CSSFontFeatureValuesRule extends CSSRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSFontFeatureValuesRule/fontFamily) */\n    fontFamily: string;\n}\n\ndeclare var CSSFontFeatureValuesRule: {\n    prototype: CSSFontFeatureValuesRule;\n    new(): CSSFontFeatureValuesRule;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSFontPaletteValuesRule) */\ninterface CSSFontPaletteValuesRule extends CSSRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSFontPaletteValuesRule/basePalette) */\n    readonly basePalette: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSFontPaletteValuesRule/fontFamily) */\n    readonly fontFamily: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSFontPaletteValuesRule/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSFontPaletteValuesRule/overrideColors) */\n    readonly overrideColors: string;\n}\n\ndeclare var CSSFontPaletteValuesRule: {\n    prototype: CSSFontPaletteValuesRule;\n    new(): CSSFontPaletteValuesRule;\n};\n\n/**\n * Any CSS at-rule that contains other rules nested within it.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSGroupingRule)\n */\ninterface CSSGroupingRule extends CSSRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSGroupingRule/cssRules) */\n    readonly cssRules: CSSRuleList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSGroupingRule/deleteRule) */\n    deleteRule(index: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSGroupingRule/insertRule) */\n    insertRule(rule: string, index?: number): number;\n}\n\ndeclare var CSSGroupingRule: {\n    prototype: CSSGroupingRule;\n    new(): CSSGroupingRule;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSImageValue) */\ninterface CSSImageValue extends CSSStyleValue {\n}\n\ndeclare var CSSImageValue: {\n    prototype: CSSImageValue;\n    new(): CSSImageValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSImportRule) */\ninterface CSSImportRule extends CSSRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSImportRule/href) */\n    readonly href: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSImportRule/layerName) */\n    readonly layerName: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSImportRule/media) */\n    readonly media: MediaList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSImportRule/styleSheet) */\n    readonly styleSheet: CSSStyleSheet | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSImportRule/supportsText) */\n    readonly supportsText: string | null;\n}\n\ndeclare var CSSImportRule: {\n    prototype: CSSImportRule;\n    new(): CSSImportRule;\n};\n\n/**\n * An object representing a set of style for a given keyframe. It corresponds to the contains of a single keyframe of a @keyframes at-rule. It implements the CSSRule interface with a type value of 8 (CSSRule.KEYFRAME_RULE).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeyframeRule)\n */\ninterface CSSKeyframeRule extends CSSRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeyframeRule/keyText) */\n    keyText: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeyframeRule/style) */\n    readonly style: CSSStyleDeclaration;\n}\n\ndeclare var CSSKeyframeRule: {\n    prototype: CSSKeyframeRule;\n    new(): CSSKeyframeRule;\n};\n\n/**\n * An object representing a complete set of keyframes for a CSS animation. It corresponds to the contains of a whole @keyframes at-rule. It implements the CSSRule interface with a type value of 7 (CSSRule.KEYFRAMES_RULE).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeyframesRule)\n */\ninterface CSSKeyframesRule extends CSSRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeyframesRule/cssRules) */\n    readonly cssRules: CSSRuleList;\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeyframesRule/name) */\n    name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeyframesRule/appendRule) */\n    appendRule(rule: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeyframesRule/deleteRule) */\n    deleteRule(select: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeyframesRule/findRule) */\n    findRule(select: string): CSSKeyframeRule | null;\n    [index: number]: CSSKeyframeRule;\n}\n\ndeclare var CSSKeyframesRule: {\n    prototype: CSSKeyframesRule;\n    new(): CSSKeyframesRule;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeywordValue) */\ninterface CSSKeywordValue extends CSSStyleValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeywordValue/value) */\n    value: string;\n}\n\ndeclare var CSSKeywordValue: {\n    prototype: CSSKeywordValue;\n    new(value: string): CSSKeywordValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSLayerBlockRule) */\ninterface CSSLayerBlockRule extends CSSGroupingRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSLayerBlockRule/name) */\n    readonly name: string;\n}\n\ndeclare var CSSLayerBlockRule: {\n    prototype: CSSLayerBlockRule;\n    new(): CSSLayerBlockRule;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSLayerStatementRule) */\ninterface CSSLayerStatementRule extends CSSRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSLayerStatementRule/nameList) */\n    readonly nameList: ReadonlyArray<string>;\n}\n\ndeclare var CSSLayerStatementRule: {\n    prototype: CSSLayerStatementRule;\n    new(): CSSLayerStatementRule;\n};\n\ninterface CSSMathClamp extends CSSMathValue {\n    readonly lower: CSSNumericValue;\n    readonly upper: CSSNumericValue;\n    readonly value: CSSNumericValue;\n}\n\ndeclare var CSSMathClamp: {\n    prototype: CSSMathClamp;\n    new(lower: CSSNumberish, value: CSSNumberish, upper: CSSNumberish): CSSMathClamp;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathInvert) */\ninterface CSSMathInvert extends CSSMathValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathInvert/value) */\n    readonly value: CSSNumericValue;\n}\n\ndeclare var CSSMathInvert: {\n    prototype: CSSMathInvert;\n    new(arg: CSSNumberish): CSSMathInvert;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathMax) */\ninterface CSSMathMax extends CSSMathValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathMax/values) */\n    readonly values: CSSNumericArray;\n}\n\ndeclare var CSSMathMax: {\n    prototype: CSSMathMax;\n    new(...args: CSSNumberish[]): CSSMathMax;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathMin) */\ninterface CSSMathMin extends CSSMathValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathMin/values) */\n    readonly values: CSSNumericArray;\n}\n\ndeclare var CSSMathMin: {\n    prototype: CSSMathMin;\n    new(...args: CSSNumberish[]): CSSMathMin;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathNegate) */\ninterface CSSMathNegate extends CSSMathValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathNegate/value) */\n    readonly value: CSSNumericValue;\n}\n\ndeclare var CSSMathNegate: {\n    prototype: CSSMathNegate;\n    new(arg: CSSNumberish): CSSMathNegate;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathProduct) */\ninterface CSSMathProduct extends CSSMathValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathProduct/values) */\n    readonly values: CSSNumericArray;\n}\n\ndeclare var CSSMathProduct: {\n    prototype: CSSMathProduct;\n    new(...args: CSSNumberish[]): CSSMathProduct;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathSum) */\ninterface CSSMathSum extends CSSMathValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathSum/values) */\n    readonly values: CSSNumericArray;\n}\n\ndeclare var CSSMathSum: {\n    prototype: CSSMathSum;\n    new(...args: CSSNumberish[]): CSSMathSum;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathValue) */\ninterface CSSMathValue extends CSSNumericValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathValue/operator) */\n    readonly operator: CSSMathOperator;\n}\n\ndeclare var CSSMathValue: {\n    prototype: CSSMathValue;\n    new(): CSSMathValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMatrixComponent) */\ninterface CSSMatrixComponent extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMatrixComponent/matrix) */\n    matrix: DOMMatrix;\n}\n\ndeclare var CSSMatrixComponent: {\n    prototype: CSSMatrixComponent;\n    new(matrix: DOMMatrixReadOnly, options?: CSSMatrixComponentOptions): CSSMatrixComponent;\n};\n\n/**\n * A single CSS @media rule. It implements the CSSConditionRule interface, and therefore the CSSGroupingRule and the CSSRule interface with a type value of 4 (CSSRule.MEDIA_RULE).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMediaRule)\n */\ninterface CSSMediaRule extends CSSConditionRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMediaRule/media) */\n    readonly media: MediaList;\n}\n\ndeclare var CSSMediaRule: {\n    prototype: CSSMediaRule;\n    new(): CSSMediaRule;\n};\n\n/**\n * An object representing a single CSS @namespace at-rule. It implements the CSSRule interface, with a type value of 10 (CSSRule.NAMESPACE_RULE).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNamespaceRule)\n */\ninterface CSSNamespaceRule extends CSSRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNamespaceRule/namespaceURI) */\n    readonly namespaceURI: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNamespaceRule/prefix) */\n    readonly prefix: string;\n}\n\ndeclare var CSSNamespaceRule: {\n    prototype: CSSNamespaceRule;\n    new(): CSSNamespaceRule;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericArray) */\ninterface CSSNumericArray {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericArray/length) */\n    readonly length: number;\n    forEach(callbackfn: (value: CSSNumericValue, key: number, parent: CSSNumericArray) => void, thisArg?: any): void;\n    [index: number]: CSSNumericValue;\n}\n\ndeclare var CSSNumericArray: {\n    prototype: CSSNumericArray;\n    new(): CSSNumericArray;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue) */\ninterface CSSNumericValue extends CSSStyleValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/add) */\n    add(...values: CSSNumberish[]): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/div) */\n    div(...values: CSSNumberish[]): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/equals) */\n    equals(...value: CSSNumberish[]): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/max) */\n    max(...values: CSSNumberish[]): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/min) */\n    min(...values: CSSNumberish[]): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/mul) */\n    mul(...values: CSSNumberish[]): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/sub) */\n    sub(...values: CSSNumberish[]): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/to) */\n    to(unit: string): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/toSum) */\n    toSum(...units: string[]): CSSMathSum;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/type) */\n    type(): CSSNumericType;\n}\n\ndeclare var CSSNumericValue: {\n    prototype: CSSNumericValue;\n    new(): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/parse_static) */\n    parse(cssText: string): CSSNumericValue;\n};\n\n/**\n * CSSPageRule is an interface representing a single CSS @page rule. It implements the CSSRule interface with a type value of 6 (CSSRule.PAGE_RULE).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSPageRule)\n */\ninterface CSSPageRule extends CSSGroupingRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSPageRule/selectorText) */\n    selectorText: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSPageRule/style) */\n    readonly style: CSSStyleDeclaration;\n}\n\ndeclare var CSSPageRule: {\n    prototype: CSSPageRule;\n    new(): CSSPageRule;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSPerspective) */\ninterface CSSPerspective extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSPerspective/length) */\n    length: CSSPerspectiveValue;\n}\n\ndeclare var CSSPerspective: {\n    prototype: CSSPerspective;\n    new(length: CSSPerspectiveValue): CSSPerspective;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSPropertyRule) */\ninterface CSSPropertyRule extends CSSRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSPropertyRule/inherits) */\n    readonly inherits: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSPropertyRule/initialValue) */\n    readonly initialValue: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSPropertyRule/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSPropertyRule/syntax) */\n    readonly syntax: string;\n}\n\ndeclare var CSSPropertyRule: {\n    prototype: CSSPropertyRule;\n    new(): CSSPropertyRule;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRotate) */\ninterface CSSRotate extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRotate/angle) */\n    angle: CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRotate/x) */\n    x: CSSNumberish;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRotate/y) */\n    y: CSSNumberish;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRotate/z) */\n    z: CSSNumberish;\n}\n\ndeclare var CSSRotate: {\n    prototype: CSSRotate;\n    new(angle: CSSNumericValue): CSSRotate;\n    new(x: CSSNumberish, y: CSSNumberish, z: CSSNumberish, angle: CSSNumericValue): CSSRotate;\n};\n\n/**\n * A single CSS rule. There are several types of rules, listed in the Type constants section below.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRule)\n */\ninterface CSSRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRule/cssText) */\n    cssText: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRule/parentRule) */\n    readonly parentRule: CSSRule | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRule/parentStyleSheet) */\n    readonly parentStyleSheet: CSSStyleSheet | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRule/type)\n     */\n    readonly type: number;\n    readonly STYLE_RULE: 1;\n    readonly CHARSET_RULE: 2;\n    readonly IMPORT_RULE: 3;\n    readonly MEDIA_RULE: 4;\n    readonly FONT_FACE_RULE: 5;\n    readonly PAGE_RULE: 6;\n    readonly NAMESPACE_RULE: 10;\n    readonly KEYFRAMES_RULE: 7;\n    readonly KEYFRAME_RULE: 8;\n    readonly SUPPORTS_RULE: 12;\n    readonly COUNTER_STYLE_RULE: 11;\n    readonly FONT_FEATURE_VALUES_RULE: 14;\n}\n\ndeclare var CSSRule: {\n    prototype: CSSRule;\n    new(): CSSRule;\n    readonly STYLE_RULE: 1;\n    readonly CHARSET_RULE: 2;\n    readonly IMPORT_RULE: 3;\n    readonly MEDIA_RULE: 4;\n    readonly FONT_FACE_RULE: 5;\n    readonly PAGE_RULE: 6;\n    readonly NAMESPACE_RULE: 10;\n    readonly KEYFRAMES_RULE: 7;\n    readonly KEYFRAME_RULE: 8;\n    readonly SUPPORTS_RULE: 12;\n    readonly COUNTER_STYLE_RULE: 11;\n    readonly FONT_FEATURE_VALUES_RULE: 14;\n};\n\n/**\n * A CSSRuleList is an (indirect-modify only) array-like object containing an ordered collection of CSSRule objects.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRuleList)\n */\ninterface CSSRuleList {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRuleList/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRuleList/item) */\n    item(index: number): CSSRule | null;\n    [index: number]: CSSRule;\n}\n\ndeclare var CSSRuleList: {\n    prototype: CSSRuleList;\n    new(): CSSRuleList;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSScale) */\ninterface CSSScale extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSScale/x) */\n    x: CSSNumberish;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSScale/y) */\n    y: CSSNumberish;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSScale/z) */\n    z: CSSNumberish;\n}\n\ndeclare var CSSScale: {\n    prototype: CSSScale;\n    new(x: CSSNumberish, y: CSSNumberish, z?: CSSNumberish): CSSScale;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkew) */\ninterface CSSSkew extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkew/ax) */\n    ax: CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkew/ay) */\n    ay: CSSNumericValue;\n}\n\ndeclare var CSSSkew: {\n    prototype: CSSSkew;\n    new(ax: CSSNumericValue, ay: CSSNumericValue): CSSSkew;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkewX) */\ninterface CSSSkewX extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkewX/ax) */\n    ax: CSSNumericValue;\n}\n\ndeclare var CSSSkewX: {\n    prototype: CSSSkewX;\n    new(ax: CSSNumericValue): CSSSkewX;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkewY) */\ninterface CSSSkewY extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkewY/ay) */\n    ay: CSSNumericValue;\n}\n\ndeclare var CSSSkewY: {\n    prototype: CSSSkewY;\n    new(ay: CSSNumericValue): CSSSkewY;\n};\n\n/**\n * An object that is a CSS declaration block, and exposes style information and various style-related methods and properties.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleDeclaration)\n */\ninterface CSSStyleDeclaration {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/accent-color) */\n    accentColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/align-content) */\n    alignContent: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/align-items) */\n    alignItems: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/align-self) */\n    alignSelf: string;\n    alignmentBaseline: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/all) */\n    all: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation) */\n    animation: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-composition) */\n    animationComposition: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-delay) */\n    animationDelay: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-direction) */\n    animationDirection: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-duration) */\n    animationDuration: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-fill-mode) */\n    animationFillMode: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-iteration-count) */\n    animationIterationCount: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-name) */\n    animationName: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-play-state) */\n    animationPlayState: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-timing-function) */\n    animationTimingFunction: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/appearance) */\n    appearance: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/aspect-ratio) */\n    aspectRatio: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/backdrop-filter) */\n    backdropFilter: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/backface-visibility) */\n    backfaceVisibility: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background) */\n    background: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-attachment) */\n    backgroundAttachment: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-blend-mode) */\n    backgroundBlendMode: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-clip) */\n    backgroundClip: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-color) */\n    backgroundColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-image) */\n    backgroundImage: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-origin) */\n    backgroundOrigin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-position) */\n    backgroundPosition: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-position-x) */\n    backgroundPositionX: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-position-y) */\n    backgroundPositionY: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-repeat) */\n    backgroundRepeat: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-size) */\n    backgroundSize: string;\n    baselineShift: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/baseline-source) */\n    baselineSource: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/block-size) */\n    blockSize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border) */\n    border: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-block) */\n    borderBlock: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-block-color) */\n    borderBlockColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-block-end) */\n    borderBlockEnd: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-block-end-color) */\n    borderBlockEndColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-block-end-style) */\n    borderBlockEndStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-block-end-width) */\n    borderBlockEndWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-block-start) */\n    borderBlockStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-block-start-color) */\n    borderBlockStartColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-block-start-style) */\n    borderBlockStartStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-block-start-width) */\n    borderBlockStartWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-block-style) */\n    borderBlockStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-block-width) */\n    borderBlockWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-bottom) */\n    borderBottom: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-bottom-color) */\n    borderBottomColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-bottom-left-radius) */\n    borderBottomLeftRadius: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-bottom-right-radius) */\n    borderBottomRightRadius: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-bottom-style) */\n    borderBottomStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-bottom-width) */\n    borderBottomWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-collapse) */\n    borderCollapse: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-color) */\n    borderColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-end-end-radius) */\n    borderEndEndRadius: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-end-start-radius) */\n    borderEndStartRadius: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-image) */\n    borderImage: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-image-outset) */\n    borderImageOutset: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-image-repeat) */\n    borderImageRepeat: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-image-slice) */\n    borderImageSlice: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-image-source) */\n    borderImageSource: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-image-width) */\n    borderImageWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-inline) */\n    borderInline: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-inline-color) */\n    borderInlineColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-inline-end) */\n    borderInlineEnd: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-inline-end-color) */\n    borderInlineEndColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-inline-end-style) */\n    borderInlineEndStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-inline-end-width) */\n    borderInlineEndWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-inline-start) */\n    borderInlineStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-inline-start-color) */\n    borderInlineStartColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-inline-start-style) */\n    borderInlineStartStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-inline-start-width) */\n    borderInlineStartWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-inline-style) */\n    borderInlineStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-inline-width) */\n    borderInlineWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-left) */\n    borderLeft: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-left-color) */\n    borderLeftColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-left-style) */\n    borderLeftStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-left-width) */\n    borderLeftWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-radius) */\n    borderRadius: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-right) */\n    borderRight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-right-color) */\n    borderRightColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-right-style) */\n    borderRightStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-right-width) */\n    borderRightWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-spacing) */\n    borderSpacing: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-start-end-radius) */\n    borderStartEndRadius: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-start-start-radius) */\n    borderStartStartRadius: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-style) */\n    borderStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-top) */\n    borderTop: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-top-color) */\n    borderTopColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-top-left-radius) */\n    borderTopLeftRadius: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-top-right-radius) */\n    borderTopRightRadius: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-top-style) */\n    borderTopStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-top-width) */\n    borderTopWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-width) */\n    borderWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/bottom) */\n    bottom: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/box-shadow) */\n    boxShadow: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/box-sizing) */\n    boxSizing: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/break-after) */\n    breakAfter: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/break-before) */\n    breakBefore: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/break-inside) */\n    breakInside: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/caption-side) */\n    captionSide: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/caret-color) */\n    caretColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/clear) */\n    clear: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/clip)\n     */\n    clip: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/clip-path) */\n    clipPath: string;\n    clipRule: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/color) */\n    color: string;\n    colorInterpolation: string;\n    colorInterpolationFilters: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/color-scheme) */\n    colorScheme: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/column-count) */\n    columnCount: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/column-fill) */\n    columnFill: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/column-gap) */\n    columnGap: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/column-rule) */\n    columnRule: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/column-rule-color) */\n    columnRuleColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/column-rule-style) */\n    columnRuleStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/column-rule-width) */\n    columnRuleWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/column-span) */\n    columnSpan: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/column-width) */\n    columnWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/columns) */\n    columns: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/contain) */\n    contain: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/contain-intrinsic-contain-intrinsic-block-size) */\n    containIntrinsicBlockSize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/contain-intrinsic-height) */\n    containIntrinsicHeight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/contain-intrinsic-contain-intrinsic-inline-size) */\n    containIntrinsicInlineSize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/contain-intrinsic-size) */\n    containIntrinsicSize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/contain-intrinsic-width) */\n    containIntrinsicWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/container) */\n    container: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/container-name) */\n    containerName: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/container-type) */\n    containerType: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/content) */\n    content: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/counter-increment) */\n    counterIncrement: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/counter-reset) */\n    counterReset: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/counter-set) */\n    counterSet: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleDeclaration/cssFloat) */\n    cssFloat: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleDeclaration/cssText) */\n    cssText: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/cursor) */\n    cursor: string;\n    cx: string;\n    cy: string;\n    d: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/direction) */\n    direction: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/display) */\n    display: string;\n    dominantBaseline: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/empty-cells) */\n    emptyCells: string;\n    fill: string;\n    fillOpacity: string;\n    fillRule: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/filter) */\n    filter: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex) */\n    flex: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex-basis) */\n    flexBasis: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex-direction) */\n    flexDirection: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex-flow) */\n    flexFlow: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex-grow) */\n    flexGrow: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex-shrink) */\n    flexShrink: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex-wrap) */\n    flexWrap: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/float) */\n    float: string;\n    floodColor: string;\n    floodOpacity: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font) */\n    font: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-family) */\n    fontFamily: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-feature-settings) */\n    fontFeatureSettings: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-kerning) */\n    fontKerning: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-optical-sizing) */\n    fontOpticalSizing: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-palette) */\n    fontPalette: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-size) */\n    fontSize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-size-adjust) */\n    fontSizeAdjust: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-stretch) */\n    fontStretch: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-style) */\n    fontStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-synthesis) */\n    fontSynthesis: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-synthesis-small-caps) */\n    fontSynthesisSmallCaps: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-synthesis-style) */\n    fontSynthesisStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-synthesis-weight) */\n    fontSynthesisWeight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-variant) */\n    fontVariant: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-variant-alternates) */\n    fontVariantAlternates: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-variant-caps) */\n    fontVariantCaps: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-variant-east-asian) */\n    fontVariantEastAsian: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-variant-ligatures) */\n    fontVariantLigatures: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-variant-numeric) */\n    fontVariantNumeric: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-variant-position) */\n    fontVariantPosition: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-variation-settings) */\n    fontVariationSettings: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/font-weight) */\n    fontWeight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/forced-color-adjust) */\n    forcedColorAdjust: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/gap) */\n    gap: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid) */\n    grid: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-area) */\n    gridArea: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-auto-columns) */\n    gridAutoColumns: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-auto-flow) */\n    gridAutoFlow: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-auto-rows) */\n    gridAutoRows: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-column) */\n    gridColumn: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-column-end) */\n    gridColumnEnd: string;\n    /** @deprecated This is a legacy alias of `columnGap`. */\n    gridColumnGap: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-column-start) */\n    gridColumnStart: string;\n    /** @deprecated This is a legacy alias of `gap`. */\n    gridGap: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-row) */\n    gridRow: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-row-end) */\n    gridRowEnd: string;\n    /** @deprecated This is a legacy alias of `rowGap`. */\n    gridRowGap: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-row-start) */\n    gridRowStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-template) */\n    gridTemplate: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-template-areas) */\n    gridTemplateAreas: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-template-columns) */\n    gridTemplateColumns: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/grid-template-rows) */\n    gridTemplateRows: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/height) */\n    height: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/hyphenate-character) */\n    hyphenateCharacter: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/hyphens) */\n    hyphens: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/image-orientation)\n     */\n    imageOrientation: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/image-rendering) */\n    imageRendering: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/inline-size) */\n    inlineSize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/inset) */\n    inset: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/inset-block) */\n    insetBlock: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/inset-block-end) */\n    insetBlockEnd: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/inset-block-start) */\n    insetBlockStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/inset-inline) */\n    insetInline: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/inset-inline-end) */\n    insetInlineEnd: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/inset-inline-start) */\n    insetInlineStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/isolation) */\n    isolation: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/justify-content) */\n    justifyContent: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/justify-items) */\n    justifyItems: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/justify-self) */\n    justifySelf: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/left) */\n    left: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleDeclaration/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/letter-spacing) */\n    letterSpacing: string;\n    lightingColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/line-break) */\n    lineBreak: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/line-height) */\n    lineHeight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/list-style) */\n    listStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/list-style-image) */\n    listStyleImage: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/list-style-position) */\n    listStylePosition: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/list-style-type) */\n    listStyleType: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/margin) */\n    margin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/margin-block) */\n    marginBlock: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/margin-block-end) */\n    marginBlockEnd: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/margin-block-start) */\n    marginBlockStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/margin-bottom) */\n    marginBottom: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/margin-inline) */\n    marginInline: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/margin-inline-end) */\n    marginInlineEnd: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/margin-inline-start) */\n    marginInlineStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/margin-left) */\n    marginLeft: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/margin-right) */\n    marginRight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/margin-top) */\n    marginTop: string;\n    marker: string;\n    markerEnd: string;\n    markerMid: string;\n    markerStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask) */\n    mask: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-clip) */\n    maskClip: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-composite) */\n    maskComposite: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-image) */\n    maskImage: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-mode) */\n    maskMode: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-origin) */\n    maskOrigin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-position) */\n    maskPosition: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-repeat) */\n    maskRepeat: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-size) */\n    maskSize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-type) */\n    maskType: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/math-depth) */\n    mathDepth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/math-style) */\n    mathStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/max-block-size) */\n    maxBlockSize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/max-height) */\n    maxHeight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/max-inline-size) */\n    maxInlineSize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/max-width) */\n    maxWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/min-block-size) */\n    minBlockSize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/min-height) */\n    minHeight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/min-inline-size) */\n    minInlineSize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/min-width) */\n    minWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mix-blend-mode) */\n    mixBlendMode: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/object-fit) */\n    objectFit: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/object-position) */\n    objectPosition: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/offset) */\n    offset: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/offset-anchor) */\n    offsetAnchor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/offset-distance) */\n    offsetDistance: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/offset-path) */\n    offsetPath: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/offset-position) */\n    offsetPosition: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/offset-rotate) */\n    offsetRotate: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/opacity) */\n    opacity: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/order) */\n    order: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/orphans) */\n    orphans: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/outline) */\n    outline: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/outline-color) */\n    outlineColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/outline-offset) */\n    outlineOffset: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/outline-style) */\n    outlineStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/outline-width) */\n    outlineWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/overflow) */\n    overflow: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/overflow-anchor) */\n    overflowAnchor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/overflow-clip-margin) */\n    overflowClipMargin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/overflow-wrap) */\n    overflowWrap: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/overflow-x) */\n    overflowX: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/overflow-y) */\n    overflowY: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/overscroll-behavior) */\n    overscrollBehavior: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/overscroll-behavior-block) */\n    overscrollBehaviorBlock: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/overscroll-behavior-inline) */\n    overscrollBehaviorInline: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/overscroll-behavior-x) */\n    overscrollBehaviorX: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/overscroll-behavior-y) */\n    overscrollBehaviorY: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/padding) */\n    padding: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/padding-block) */\n    paddingBlock: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/padding-block-end) */\n    paddingBlockEnd: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/padding-block-start) */\n    paddingBlockStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/padding-bottom) */\n    paddingBottom: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/padding-inline) */\n    paddingInline: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/padding-inline-end) */\n    paddingInlineEnd: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/padding-inline-start) */\n    paddingInlineStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/padding-left) */\n    paddingLeft: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/padding-right) */\n    paddingRight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/padding-top) */\n    paddingTop: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/page) */\n    page: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/page-break-after) */\n    pageBreakAfter: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/page-break-before) */\n    pageBreakBefore: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/page-break-inside) */\n    pageBreakInside: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/paint-order) */\n    paintOrder: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleDeclaration/parentRule) */\n    readonly parentRule: CSSRule | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/perspective) */\n    perspective: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/perspective-origin) */\n    perspectiveOrigin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/place-content) */\n    placeContent: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/place-items) */\n    placeItems: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/place-self) */\n    placeSelf: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/pointer-events) */\n    pointerEvents: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/position) */\n    position: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/print-color-adjust) */\n    printColorAdjust: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/quotes) */\n    quotes: string;\n    r: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/resize) */\n    resize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/right) */\n    right: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/rotate) */\n    rotate: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/row-gap) */\n    rowGap: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/ruby-position) */\n    rubyPosition: string;\n    rx: string;\n    ry: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scale) */\n    scale: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-behavior) */\n    scrollBehavior: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-margin) */\n    scrollMargin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-margin-block) */\n    scrollMarginBlock: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-margin-block-end) */\n    scrollMarginBlockEnd: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-margin-block-start) */\n    scrollMarginBlockStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-margin-bottom) */\n    scrollMarginBottom: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-margin-inline) */\n    scrollMarginInline: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-margin-inline-end) */\n    scrollMarginInlineEnd: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-margin-inline-start) */\n    scrollMarginInlineStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-margin-left) */\n    scrollMarginLeft: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-margin-right) */\n    scrollMarginRight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-margin-top) */\n    scrollMarginTop: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-padding) */\n    scrollPadding: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-padding-block) */\n    scrollPaddingBlock: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-padding-block-end) */\n    scrollPaddingBlockEnd: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-padding-block-start) */\n    scrollPaddingBlockStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-padding-bottom) */\n    scrollPaddingBottom: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-padding-inline) */\n    scrollPaddingInline: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-padding-inline-end) */\n    scrollPaddingInlineEnd: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-padding-inline-start) */\n    scrollPaddingInlineStart: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-padding-left) */\n    scrollPaddingLeft: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-padding-right) */\n    scrollPaddingRight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-padding-top) */\n    scrollPaddingTop: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-snap-align) */\n    scrollSnapAlign: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-snap-stop) */\n    scrollSnapStop: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scroll-snap-type) */\n    scrollSnapType: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scrollbar-color) */\n    scrollbarColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scrollbar-gutter) */\n    scrollbarGutter: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/scrollbar-width) */\n    scrollbarWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/shape-image-threshold) */\n    shapeImageThreshold: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/shape-margin) */\n    shapeMargin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/shape-outside) */\n    shapeOutside: string;\n    shapeRendering: string;\n    stopColor: string;\n    stopOpacity: string;\n    stroke: string;\n    strokeDasharray: string;\n    strokeDashoffset: string;\n    strokeLinecap: string;\n    strokeLinejoin: string;\n    strokeMiterlimit: string;\n    strokeOpacity: string;\n    strokeWidth: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/tab-size) */\n    tabSize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/table-layout) */\n    tableLayout: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-align) */\n    textAlign: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-align-last) */\n    textAlignLast: string;\n    textAnchor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-combine-upright) */\n    textCombineUpright: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-decoration) */\n    textDecoration: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-decoration-color) */\n    textDecorationColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-decoration-line) */\n    textDecorationLine: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-decoration-skip-ink) */\n    textDecorationSkipInk: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-decoration-style) */\n    textDecorationStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-decoration-thickness) */\n    textDecorationThickness: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-emphasis) */\n    textEmphasis: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-emphasis-color) */\n    textEmphasisColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-emphasis-position) */\n    textEmphasisPosition: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-emphasis-style) */\n    textEmphasisStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-indent) */\n    textIndent: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-orientation) */\n    textOrientation: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-overflow) */\n    textOverflow: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-rendering) */\n    textRendering: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-shadow) */\n    textShadow: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-transform) */\n    textTransform: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-underline-offset) */\n    textUnderlineOffset: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-underline-position) */\n    textUnderlinePosition: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-wrap) */\n    textWrap: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/top) */\n    top: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/touch-action) */\n    touchAction: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transform) */\n    transform: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transform-box) */\n    transformBox: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transform-origin) */\n    transformOrigin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transform-style) */\n    transformStyle: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transition) */\n    transition: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transition-delay) */\n    transitionDelay: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transition-duration) */\n    transitionDuration: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transition-property) */\n    transitionProperty: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transition-timing-function) */\n    transitionTimingFunction: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/translate) */\n    translate: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/unicode-bidi) */\n    unicodeBidi: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/user-select) */\n    userSelect: string;\n    vectorEffect: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/vertical-align) */\n    verticalAlign: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/visibility) */\n    visibility: string;\n    /**\n     * @deprecated This is a legacy alias of `alignContent`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/align-content)\n     */\n    webkitAlignContent: string;\n    /**\n     * @deprecated This is a legacy alias of `alignItems`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/align-items)\n     */\n    webkitAlignItems: string;\n    /**\n     * @deprecated This is a legacy alias of `alignSelf`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/align-self)\n     */\n    webkitAlignSelf: string;\n    /**\n     * @deprecated This is a legacy alias of `animation`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation)\n     */\n    webkitAnimation: string;\n    /**\n     * @deprecated This is a legacy alias of `animationDelay`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-delay)\n     */\n    webkitAnimationDelay: string;\n    /**\n     * @deprecated This is a legacy alias of `animationDirection`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-direction)\n     */\n    webkitAnimationDirection: string;\n    /**\n     * @deprecated This is a legacy alias of `animationDuration`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-duration)\n     */\n    webkitAnimationDuration: string;\n    /**\n     * @deprecated This is a legacy alias of `animationFillMode`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-fill-mode)\n     */\n    webkitAnimationFillMode: string;\n    /**\n     * @deprecated This is a legacy alias of `animationIterationCount`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-iteration-count)\n     */\n    webkitAnimationIterationCount: string;\n    /**\n     * @deprecated This is a legacy alias of `animationName`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-name)\n     */\n    webkitAnimationName: string;\n    /**\n     * @deprecated This is a legacy alias of `animationPlayState`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-play-state)\n     */\n    webkitAnimationPlayState: string;\n    /**\n     * @deprecated This is a legacy alias of `animationTimingFunction`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/animation-timing-function)\n     */\n    webkitAnimationTimingFunction: string;\n    /**\n     * @deprecated This is a legacy alias of `appearance`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/appearance)\n     */\n    webkitAppearance: string;\n    /**\n     * @deprecated This is a legacy alias of `backfaceVisibility`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/backface-visibility)\n     */\n    webkitBackfaceVisibility: string;\n    /**\n     * @deprecated This is a legacy alias of `backgroundClip`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-clip)\n     */\n    webkitBackgroundClip: string;\n    /**\n     * @deprecated This is a legacy alias of `backgroundOrigin`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-origin)\n     */\n    webkitBackgroundOrigin: string;\n    /**\n     * @deprecated This is a legacy alias of `backgroundSize`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/background-size)\n     */\n    webkitBackgroundSize: string;\n    /**\n     * @deprecated This is a legacy alias of `borderBottomLeftRadius`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-bottom-left-radius)\n     */\n    webkitBorderBottomLeftRadius: string;\n    /**\n     * @deprecated This is a legacy alias of `borderBottomRightRadius`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-bottom-right-radius)\n     */\n    webkitBorderBottomRightRadius: string;\n    /**\n     * @deprecated This is a legacy alias of `borderRadius`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-radius)\n     */\n    webkitBorderRadius: string;\n    /**\n     * @deprecated This is a legacy alias of `borderTopLeftRadius`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-top-left-radius)\n     */\n    webkitBorderTopLeftRadius: string;\n    /**\n     * @deprecated This is a legacy alias of `borderTopRightRadius`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/border-top-right-radius)\n     */\n    webkitBorderTopRightRadius: string;\n    /**\n     * @deprecated This is a legacy alias of `boxAlign`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/box-align)\n     */\n    webkitBoxAlign: string;\n    /**\n     * @deprecated This is a legacy alias of `boxFlex`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/box-flex)\n     */\n    webkitBoxFlex: string;\n    /**\n     * @deprecated This is a legacy alias of `boxOrdinalGroup`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/box-ordinal-group)\n     */\n    webkitBoxOrdinalGroup: string;\n    /**\n     * @deprecated This is a legacy alias of `boxOrient`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/box-orient)\n     */\n    webkitBoxOrient: string;\n    /**\n     * @deprecated This is a legacy alias of `boxPack`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/box-pack)\n     */\n    webkitBoxPack: string;\n    /**\n     * @deprecated This is a legacy alias of `boxShadow`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/box-shadow)\n     */\n    webkitBoxShadow: string;\n    /**\n     * @deprecated This is a legacy alias of `boxSizing`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/box-sizing)\n     */\n    webkitBoxSizing: string;\n    /**\n     * @deprecated This is a legacy alias of `filter`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/filter)\n     */\n    webkitFilter: string;\n    /**\n     * @deprecated This is a legacy alias of `flex`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex)\n     */\n    webkitFlex: string;\n    /**\n     * @deprecated This is a legacy alias of `flexBasis`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex-basis)\n     */\n    webkitFlexBasis: string;\n    /**\n     * @deprecated This is a legacy alias of `flexDirection`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex-direction)\n     */\n    webkitFlexDirection: string;\n    /**\n     * @deprecated This is a legacy alias of `flexFlow`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex-flow)\n     */\n    webkitFlexFlow: string;\n    /**\n     * @deprecated This is a legacy alias of `flexGrow`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex-grow)\n     */\n    webkitFlexGrow: string;\n    /**\n     * @deprecated This is a legacy alias of `flexShrink`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex-shrink)\n     */\n    webkitFlexShrink: string;\n    /**\n     * @deprecated This is a legacy alias of `flexWrap`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/flex-wrap)\n     */\n    webkitFlexWrap: string;\n    /**\n     * @deprecated This is a legacy alias of `justifyContent`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/justify-content)\n     */\n    webkitJustifyContent: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/-webkit-line-clamp) */\n    webkitLineClamp: string;\n    /**\n     * @deprecated This is a legacy alias of `mask`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask)\n     */\n    webkitMask: string;\n    /**\n     * @deprecated This is a legacy alias of `maskBorder`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-border)\n     */\n    webkitMaskBoxImage: string;\n    /**\n     * @deprecated This is a legacy alias of `maskBorderOutset`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-border-outset)\n     */\n    webkitMaskBoxImageOutset: string;\n    /**\n     * @deprecated This is a legacy alias of `maskBorderRepeat`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-border-repeat)\n     */\n    webkitMaskBoxImageRepeat: string;\n    /**\n     * @deprecated This is a legacy alias of `maskBorderSlice`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-border-slice)\n     */\n    webkitMaskBoxImageSlice: string;\n    /**\n     * @deprecated This is a legacy alias of `maskBorderSource`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-border-source)\n     */\n    webkitMaskBoxImageSource: string;\n    /**\n     * @deprecated This is a legacy alias of `maskBorderWidth`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-border-width)\n     */\n    webkitMaskBoxImageWidth: string;\n    /**\n     * @deprecated This is a legacy alias of `maskClip`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-clip)\n     */\n    webkitMaskClip: string;\n    /**\n     * @deprecated This is a legacy alias of `maskComposite`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-composite)\n     */\n    webkitMaskComposite: string;\n    /**\n     * @deprecated This is a legacy alias of `maskImage`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-image)\n     */\n    webkitMaskImage: string;\n    /**\n     * @deprecated This is a legacy alias of `maskOrigin`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-origin)\n     */\n    webkitMaskOrigin: string;\n    /**\n     * @deprecated This is a legacy alias of `maskPosition`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-position)\n     */\n    webkitMaskPosition: string;\n    /**\n     * @deprecated This is a legacy alias of `maskRepeat`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-repeat)\n     */\n    webkitMaskRepeat: string;\n    /**\n     * @deprecated This is a legacy alias of `maskSize`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/mask-size)\n     */\n    webkitMaskSize: string;\n    /**\n     * @deprecated This is a legacy alias of `order`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/order)\n     */\n    webkitOrder: string;\n    /**\n     * @deprecated This is a legacy alias of `perspective`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/perspective)\n     */\n    webkitPerspective: string;\n    /**\n     * @deprecated This is a legacy alias of `perspectiveOrigin`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/perspective-origin)\n     */\n    webkitPerspectiveOrigin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/-webkit-text-fill-color) */\n    webkitTextFillColor: string;\n    /**\n     * @deprecated This is a legacy alias of `textSizeAdjust`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/text-size-adjust)\n     */\n    webkitTextSizeAdjust: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/-webkit-text-stroke) */\n    webkitTextStroke: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/-webkit-text-stroke-color) */\n    webkitTextStrokeColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/-webkit-text-stroke-width) */\n    webkitTextStrokeWidth: string;\n    /**\n     * @deprecated This is a legacy alias of `transform`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transform)\n     */\n    webkitTransform: string;\n    /**\n     * @deprecated This is a legacy alias of `transformOrigin`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transform-origin)\n     */\n    webkitTransformOrigin: string;\n    /**\n     * @deprecated This is a legacy alias of `transformStyle`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transform-style)\n     */\n    webkitTransformStyle: string;\n    /**\n     * @deprecated This is a legacy alias of `transition`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transition)\n     */\n    webkitTransition: string;\n    /**\n     * @deprecated This is a legacy alias of `transitionDelay`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transition-delay)\n     */\n    webkitTransitionDelay: string;\n    /**\n     * @deprecated This is a legacy alias of `transitionDuration`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transition-duration)\n     */\n    webkitTransitionDuration: string;\n    /**\n     * @deprecated This is a legacy alias of `transitionProperty`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transition-property)\n     */\n    webkitTransitionProperty: string;\n    /**\n     * @deprecated This is a legacy alias of `transitionTimingFunction`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/transition-timing-function)\n     */\n    webkitTransitionTimingFunction: string;\n    /**\n     * @deprecated This is a legacy alias of `userSelect`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/user-select)\n     */\n    webkitUserSelect: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/white-space) */\n    whiteSpace: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/widows) */\n    widows: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/width) */\n    width: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/will-change) */\n    willChange: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/word-break) */\n    wordBreak: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/word-spacing) */\n    wordSpacing: string;\n    /** @deprecated */\n    wordWrap: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/writing-mode) */\n    writingMode: string;\n    x: string;\n    y: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/CSS/z-index) */\n    zIndex: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleDeclaration/getPropertyPriority) */\n    getPropertyPriority(property: string): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleDeclaration/getPropertyValue) */\n    getPropertyValue(property: string): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleDeclaration/item) */\n    item(index: number): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleDeclaration/removeProperty) */\n    removeProperty(property: string): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleDeclaration/setProperty) */\n    setProperty(property: string, value: string | null, priority?: string): void;\n    [index: number]: string;\n}\n\ndeclare var CSSStyleDeclaration: {\n    prototype: CSSStyleDeclaration;\n    new(): CSSStyleDeclaration;\n};\n\n/**\n * CSSStyleRule represents a single CSS style rule. It implements the CSSRule interface with a type value of 1 (CSSRule.STYLE_RULE).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleRule)\n */\ninterface CSSStyleRule extends CSSGroupingRule {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleRule/selectorText) */\n    selectorText: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleRule/style) */\n    readonly style: CSSStyleDeclaration;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleRule/styleMap) */\n    readonly styleMap: StylePropertyMap;\n}\n\ndeclare var CSSStyleRule: {\n    prototype: CSSStyleRule;\n    new(): CSSStyleRule;\n};\n\n/**\n * A single CSS style sheet. It inherits properties and methods from its parent, StyleSheet.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleSheet)\n */\ninterface CSSStyleSheet extends StyleSheet {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleSheet/cssRules) */\n    readonly cssRules: CSSRuleList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleSheet/ownerRule) */\n    readonly ownerRule: CSSRule | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleSheet/rules)\n     */\n    readonly rules: CSSRuleList;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleSheet/addRule)\n     */\n    addRule(selector?: string, style?: string, index?: number): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleSheet/deleteRule) */\n    deleteRule(index: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleSheet/insertRule) */\n    insertRule(rule: string, index?: number): number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleSheet/removeRule)\n     */\n    removeRule(index?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleSheet/replace) */\n    replace(text: string): Promise<CSSStyleSheet>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleSheet/replaceSync) */\n    replaceSync(text: string): void;\n}\n\ndeclare var CSSStyleSheet: {\n    prototype: CSSStyleSheet;\n    new(options?: CSSStyleSheetInit): CSSStyleSheet;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleValue) */\ninterface CSSStyleValue {\n    toString(): string;\n}\n\ndeclare var CSSStyleValue: {\n    prototype: CSSStyleValue;\n    new(): CSSStyleValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleValue/parse_static) */\n    parse(property: string, cssText: string): CSSStyleValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleValue/parseAll_static) */\n    parseAll(property: string, cssText: string): CSSStyleValue[];\n};\n\n/**\n * An object representing a single CSS @supports at-rule. It implements the CSSConditionRule interface, and therefore the CSSRule and CSSGroupingRule interfaces with a type value of 12 (CSSRule.SUPPORTS_RULE).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSupportsRule)\n */\ninterface CSSSupportsRule extends CSSConditionRule {\n}\n\ndeclare var CSSSupportsRule: {\n    prototype: CSSSupportsRule;\n    new(): CSSSupportsRule;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformComponent) */\ninterface CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformComponent/is2D) */\n    is2D: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformComponent/toMatrix) */\n    toMatrix(): DOMMatrix;\n    toString(): string;\n}\n\ndeclare var CSSTransformComponent: {\n    prototype: CSSTransformComponent;\n    new(): CSSTransformComponent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformValue) */\ninterface CSSTransformValue extends CSSStyleValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformValue/is2D) */\n    readonly is2D: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformValue/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformValue/toMatrix) */\n    toMatrix(): DOMMatrix;\n    forEach(callbackfn: (value: CSSTransformComponent, key: number, parent: CSSTransformValue) => void, thisArg?: any): void;\n    [index: number]: CSSTransformComponent;\n}\n\ndeclare var CSSTransformValue: {\n    prototype: CSSTransformValue;\n    new(transforms: CSSTransformComponent[]): CSSTransformValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransition) */\ninterface CSSTransition extends Animation {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransition/transitionProperty) */\n    readonly transitionProperty: string;\n    addEventListener<K extends keyof AnimationEventMap>(type: K, listener: (this: CSSTransition, ev: AnimationEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AnimationEventMap>(type: K, listener: (this: CSSTransition, ev: AnimationEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var CSSTransition: {\n    prototype: CSSTransition;\n    new(): CSSTransition;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTranslate) */\ninterface CSSTranslate extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTranslate/x) */\n    x: CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTranslate/y) */\n    y: CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTranslate/z) */\n    z: CSSNumericValue;\n}\n\ndeclare var CSSTranslate: {\n    prototype: CSSTranslate;\n    new(x: CSSNumericValue, y: CSSNumericValue, z?: CSSNumericValue): CSSTranslate;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSUnitValue) */\ninterface CSSUnitValue extends CSSNumericValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSUnitValue/unit) */\n    readonly unit: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSUnitValue/value) */\n    value: number;\n}\n\ndeclare var CSSUnitValue: {\n    prototype: CSSUnitValue;\n    new(value: number, unit: string): CSSUnitValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSUnparsedValue) */\ninterface CSSUnparsedValue extends CSSStyleValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSUnparsedValue/length) */\n    readonly length: number;\n    forEach(callbackfn: (value: CSSUnparsedSegment, key: number, parent: CSSUnparsedValue) => void, thisArg?: any): void;\n    [index: number]: CSSUnparsedSegment;\n}\n\ndeclare var CSSUnparsedValue: {\n    prototype: CSSUnparsedValue;\n    new(members: CSSUnparsedSegment[]): CSSUnparsedValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSVariableReferenceValue) */\ninterface CSSVariableReferenceValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSVariableReferenceValue/fallback) */\n    readonly fallback: CSSUnparsedValue | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSVariableReferenceValue/variable) */\n    variable: string;\n}\n\ndeclare var CSSVariableReferenceValue: {\n    prototype: CSSVariableReferenceValue;\n    new(variable: string, fallback?: CSSUnparsedValue | null): CSSVariableReferenceValue;\n};\n\n/**\n * Provides a storage mechanism for Request / Response object pairs that are cached, for example as part of the ServiceWorker life cycle. Note that the Cache interface is exposed to windowed scopes as well as workers. You don\'t have to use it in conjunction with service workers, even though it is defined in the service worker spec.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache)\n */\ninterface Cache {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/add) */\n    add(request: RequestInfo | URL): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/addAll) */\n    addAll(requests: RequestInfo[]): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/delete) */\n    delete(request: RequestInfo | URL, options?: CacheQueryOptions): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/keys) */\n    keys(request?: RequestInfo | URL, options?: CacheQueryOptions): Promise<ReadonlyArray<Request>>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/match) */\n    match(request: RequestInfo | URL, options?: CacheQueryOptions): Promise<Response | undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/matchAll) */\n    matchAll(request?: RequestInfo | URL, options?: CacheQueryOptions): Promise<ReadonlyArray<Response>>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/put) */\n    put(request: RequestInfo | URL, response: Response): Promise<void>;\n}\n\ndeclare var Cache: {\n    prototype: Cache;\n    new(): Cache;\n};\n\n/**\n * The storage for Cache objects.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CacheStorage)\n */\ninterface CacheStorage {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CacheStorage/delete) */\n    delete(cacheName: string): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CacheStorage/has) */\n    has(cacheName: string): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CacheStorage/keys) */\n    keys(): Promise<string[]>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CacheStorage/match) */\n    match(request: RequestInfo | URL, options?: MultiCacheQueryOptions): Promise<Response | undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CacheStorage/open) */\n    open(cacheName: string): Promise<Cache>;\n}\n\ndeclare var CacheStorage: {\n    prototype: CacheStorage;\n    new(): CacheStorage;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasCaptureMediaStreamTrack) */\ninterface CanvasCaptureMediaStreamTrack extends MediaStreamTrack {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasCaptureMediaStreamTrack/canvas) */\n    readonly canvas: HTMLCanvasElement;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasCaptureMediaStreamTrack/requestFrame) */\n    requestFrame(): void;\n    addEventListener<K extends keyof MediaStreamTrackEventMap>(type: K, listener: (this: CanvasCaptureMediaStreamTrack, ev: MediaStreamTrackEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MediaStreamTrackEventMap>(type: K, listener: (this: CanvasCaptureMediaStreamTrack, ev: MediaStreamTrackEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var CanvasCaptureMediaStreamTrack: {\n    prototype: CanvasCaptureMediaStreamTrack;\n    new(): CanvasCaptureMediaStreamTrack;\n};\n\ninterface CanvasCompositing {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/globalAlpha) */\n    globalAlpha: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/globalCompositeOperation) */\n    globalCompositeOperation: GlobalCompositeOperation;\n}\n\ninterface CanvasDrawImage {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/drawImage) */\n    drawImage(image: CanvasImageSource, dx: number, dy: number): void;\n    drawImage(image: CanvasImageSource, dx: number, dy: number, dw: number, dh: number): void;\n    drawImage(image: CanvasImageSource, sx: number, sy: number, sw: number, sh: number, dx: number, dy: number, dw: number, dh: number): void;\n}\n\ninterface CanvasDrawPath {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/beginPath) */\n    beginPath(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/clip) */\n    clip(fillRule?: CanvasFillRule): void;\n    clip(path: Path2D, fillRule?: CanvasFillRule): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fill) */\n    fill(fillRule?: CanvasFillRule): void;\n    fill(path: Path2D, fillRule?: CanvasFillRule): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/isPointInPath) */\n    isPointInPath(x: number, y: number, fillRule?: CanvasFillRule): boolean;\n    isPointInPath(path: Path2D, x: number, y: number, fillRule?: CanvasFillRule): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/isPointInStroke) */\n    isPointInStroke(x: number, y: number): boolean;\n    isPointInStroke(path: Path2D, x: number, y: number): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/stroke) */\n    stroke(): void;\n    stroke(path: Path2D): void;\n}\n\ninterface CanvasFillStrokeStyles {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fillStyle) */\n    fillStyle: string | CanvasGradient | CanvasPattern;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/strokeStyle) */\n    strokeStyle: string | CanvasGradient | CanvasPattern;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/createConicGradient) */\n    createConicGradient(startAngle: number, x: number, y: number): CanvasGradient;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/createLinearGradient) */\n    createLinearGradient(x0: number, y0: number, x1: number, y1: number): CanvasGradient;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/createPattern) */\n    createPattern(image: CanvasImageSource, repetition: string | null): CanvasPattern | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/createRadialGradient) */\n    createRadialGradient(x0: number, y0: number, r0: number, x1: number, y1: number, r1: number): CanvasGradient;\n}\n\ninterface CanvasFilters {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/filter) */\n    filter: string;\n}\n\n/**\n * An opaque object describing a gradient. It is returned by the methods CanvasRenderingContext2D.createLinearGradient() or CanvasRenderingContext2D.createRadialGradient().\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasGradient)\n */\ninterface CanvasGradient {\n    /**\n     * Adds a color stop with the given color to the gradient at the given offset. 0.0 is the offset at one end of the gradient, 1.0 is the offset at the other end.\n     *\n     * Throws an "IndexSizeError" DOMException if the offset is out of range. Throws a "SyntaxError" DOMException if the color cannot be parsed.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasGradient/addColorStop)\n     */\n    addColorStop(offset: number, color: string): void;\n}\n\ndeclare var CanvasGradient: {\n    prototype: CanvasGradient;\n    new(): CanvasGradient;\n};\n\ninterface CanvasImageData {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/createImageData) */\n    createImageData(sw: number, sh: number, settings?: ImageDataSettings): ImageData;\n    createImageData(imagedata: ImageData): ImageData;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/getImageData) */\n    getImageData(sx: number, sy: number, sw: number, sh: number, settings?: ImageDataSettings): ImageData;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/putImageData) */\n    putImageData(imagedata: ImageData, dx: number, dy: number): void;\n    putImageData(imagedata: ImageData, dx: number, dy: number, dirtyX: number, dirtyY: number, dirtyWidth: number, dirtyHeight: number): void;\n}\n\ninterface CanvasImageSmoothing {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/imageSmoothingEnabled) */\n    imageSmoothingEnabled: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/imageSmoothingQuality) */\n    imageSmoothingQuality: ImageSmoothingQuality;\n}\n\ninterface CanvasPath {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/arc) */\n    arc(x: number, y: number, radius: number, startAngle: number, endAngle: number, counterclockwise?: boolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/arcTo) */\n    arcTo(x1: number, y1: number, x2: number, y2: number, radius: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/bezierCurveTo) */\n    bezierCurveTo(cp1x: number, cp1y: number, cp2x: number, cp2y: number, x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/closePath) */\n    closePath(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/ellipse) */\n    ellipse(x: number, y: number, radiusX: number, radiusY: number, rotation: number, startAngle: number, endAngle: number, counterclockwise?: boolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/lineTo) */\n    lineTo(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/moveTo) */\n    moveTo(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/quadraticCurveTo) */\n    quadraticCurveTo(cpx: number, cpy: number, x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/rect) */\n    rect(x: number, y: number, w: number, h: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/roundRect) */\n    roundRect(x: number, y: number, w: number, h: number, radii?: number | DOMPointInit | (number | DOMPointInit)[]): void;\n}\n\ninterface CanvasPathDrawingStyles {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/lineCap) */\n    lineCap: CanvasLineCap;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/lineDashOffset) */\n    lineDashOffset: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/lineJoin) */\n    lineJoin: CanvasLineJoin;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/lineWidth) */\n    lineWidth: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/miterLimit) */\n    miterLimit: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/getLineDash) */\n    getLineDash(): number[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/setLineDash) */\n    setLineDash(segments: number[]): void;\n}\n\n/**\n * An opaque object describing a pattern, based on an image, a canvas, or a video, created by the CanvasRenderingContext2D.createPattern() method.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasPattern)\n */\ninterface CanvasPattern {\n    /**\n     * Sets the transformation matrix that will be used when rendering the pattern during a fill or stroke painting operation.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasPattern/setTransform)\n     */\n    setTransform(transform?: DOMMatrix2DInit): void;\n}\n\ndeclare var CanvasPattern: {\n    prototype: CanvasPattern;\n    new(): CanvasPattern;\n};\n\ninterface CanvasRect {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/clearRect) */\n    clearRect(x: number, y: number, w: number, h: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fillRect) */\n    fillRect(x: number, y: number, w: number, h: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/strokeRect) */\n    strokeRect(x: number, y: number, w: number, h: number): void;\n}\n\n/**\n * The CanvasRenderingContext2D interface, part of the Canvas API, provides the 2D rendering context for the drawing surface of a <canvas> element. It is used for drawing shapes, text, images, and other objects.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D)\n */\ninterface CanvasRenderingContext2D extends CanvasCompositing, CanvasDrawImage, CanvasDrawPath, CanvasFillStrokeStyles, CanvasFilters, CanvasImageData, CanvasImageSmoothing, CanvasPath, CanvasPathDrawingStyles, CanvasRect, CanvasShadowStyles, CanvasState, CanvasText, CanvasTextDrawingStyles, CanvasTransform, CanvasUserInterface {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/canvas) */\n    readonly canvas: HTMLCanvasElement;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/getContextAttributes) */\n    getContextAttributes(): CanvasRenderingContext2DSettings;\n}\n\ndeclare var CanvasRenderingContext2D: {\n    prototype: CanvasRenderingContext2D;\n    new(): CanvasRenderingContext2D;\n};\n\ninterface CanvasShadowStyles {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/shadowBlur) */\n    shadowBlur: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/shadowColor) */\n    shadowColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/shadowOffsetX) */\n    shadowOffsetX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/shadowOffsetY) */\n    shadowOffsetY: number;\n}\n\ninterface CanvasState {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/reset) */\n    reset(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/restore) */\n    restore(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/save) */\n    save(): void;\n}\n\ninterface CanvasText {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fillText) */\n    fillText(text: string, x: number, y: number, maxWidth?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/measureText) */\n    measureText(text: string): TextMetrics;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/strokeText) */\n    strokeText(text: string, x: number, y: number, maxWidth?: number): void;\n}\n\ninterface CanvasTextDrawingStyles {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/direction) */\n    direction: CanvasDirection;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/font) */\n    font: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fontKerning) */\n    fontKerning: CanvasFontKerning;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fontStretch) */\n    fontStretch: CanvasFontStretch;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fontVariantCaps) */\n    fontVariantCaps: CanvasFontVariantCaps;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/letterSpacing) */\n    letterSpacing: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/textAlign) */\n    textAlign: CanvasTextAlign;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/textBaseline) */\n    textBaseline: CanvasTextBaseline;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/textRendering) */\n    textRendering: CanvasTextRendering;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/wordSpacing) */\n    wordSpacing: string;\n}\n\ninterface CanvasTransform {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/getTransform) */\n    getTransform(): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/resetTransform) */\n    resetTransform(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/rotate) */\n    rotate(angle: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/scale) */\n    scale(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/setTransform) */\n    setTransform(a: number, b: number, c: number, d: number, e: number, f: number): void;\n    setTransform(transform?: DOMMatrix2DInit): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/transform) */\n    transform(a: number, b: number, c: number, d: number, e: number, f: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/translate) */\n    translate(x: number, y: number): void;\n}\n\ninterface CanvasUserInterface {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/drawFocusIfNeeded) */\n    drawFocusIfNeeded(element: Element): void;\n    drawFocusIfNeeded(path: Path2D, element: Element): void;\n}\n\n/**\n * The ChannelMergerNode interface, often used in conjunction with its opposite, ChannelSplitterNode, reunites different mono inputs into a single output. Each input is used to fill a channel of the output. This is useful for accessing each channels separately, e.g. for performing channel mixing where gain must be separately controlled on each channel.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ChannelMergerNode)\n */\ninterface ChannelMergerNode extends AudioNode {\n}\n\ndeclare var ChannelMergerNode: {\n    prototype: ChannelMergerNode;\n    new(context: BaseAudioContext, options?: ChannelMergerOptions): ChannelMergerNode;\n};\n\n/**\n * The ChannelSplitterNode interface, often used in conjunction with its opposite, ChannelMergerNode, separates the different channels of an audio source into a set of mono outputs. This is useful for accessing each channel separately, e.g. for performing channel mixing where gain must be separately controlled on each channel.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ChannelSplitterNode)\n */\ninterface ChannelSplitterNode extends AudioNode {\n}\n\ndeclare var ChannelSplitterNode: {\n    prototype: ChannelSplitterNode;\n    new(context: BaseAudioContext, options?: ChannelSplitterOptions): ChannelSplitterNode;\n};\n\n/**\n * The CharacterData abstract interface represents a Node object that contains characters. This is an abstract interface, meaning there aren\'t any object of type CharacterData: it is implemented by other interfaces, like Text, Comment, or ProcessingInstruction which aren\'t abstract.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData)\n */\ninterface CharacterData extends Node, ChildNode, NonDocumentTypeChildNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/data) */\n    data: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/length) */\n    readonly length: number;\n    readonly ownerDocument: Document;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/appendData) */\n    appendData(data: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/deleteData) */\n    deleteData(offset: number, count: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/insertData) */\n    insertData(offset: number, data: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/replaceData) */\n    replaceData(offset: number, count: number, data: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/substringData) */\n    substringData(offset: number, count: number): string;\n}\n\ndeclare var CharacterData: {\n    prototype: CharacterData;\n    new(): CharacterData;\n};\n\ninterface ChildNode extends Node {\n    /**\n     * Inserts nodes just after node, while replacing strings in nodes with equivalent Text nodes.\n     *\n     * Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/after)\n     */\n    after(...nodes: (Node | string)[]): void;\n    /**\n     * Inserts nodes just before node, while replacing strings in nodes with equivalent Text nodes.\n     *\n     * Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/before)\n     */\n    before(...nodes: (Node | string)[]): void;\n    /**\n     * Removes node.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/remove)\n     */\n    remove(): void;\n    /**\n     * Replaces node with nodes, while replacing strings in nodes with equivalent Text nodes.\n     *\n     * Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/replaceWith)\n     */\n    replaceWith(...nodes: (Node | string)[]): void;\n}\n\n/** @deprecated */\ninterface ClientRect extends DOMRect {\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Clipboard)\n */\ninterface Clipboard extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Clipboard/read) */\n    read(): Promise<ClipboardItems>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Clipboard/readText) */\n    readText(): Promise<string>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Clipboard/write) */\n    write(data: ClipboardItems): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Clipboard/writeText) */\n    writeText(data: string): Promise<void>;\n}\n\ndeclare var Clipboard: {\n    prototype: Clipboard;\n    new(): Clipboard;\n};\n\n/**\n * Events providing information related to modification of the clipboard, that is cut, copy, and paste events.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ClipboardEvent)\n */\ninterface ClipboardEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ClipboardEvent/clipboardData) */\n    readonly clipboardData: DataTransfer | null;\n}\n\ndeclare var ClipboardEvent: {\n    prototype: ClipboardEvent;\n    new(type: string, eventInitDict?: ClipboardEventInit): ClipboardEvent;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ClipboardItem)\n */\ninterface ClipboardItem {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ClipboardItem/types) */\n    readonly types: ReadonlyArray<string>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ClipboardItem/getType) */\n    getType(type: string): Promise<Blob>;\n}\n\ndeclare var ClipboardItem: {\n    prototype: ClipboardItem;\n    new(items: Record<string, string | Blob | PromiseLike<string | Blob>>, options?: ClipboardItemOptions): ClipboardItem;\n};\n\n/**\n * A CloseEvent is sent to clients using WebSockets when the connection is closed. This is delivered to the listener indicated by the WebSocket object\'s onclose attribute.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CloseEvent)\n */\ninterface CloseEvent extends Event {\n    /**\n     * Returns the WebSocket connection close code provided by the server.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CloseEvent/code)\n     */\n    readonly code: number;\n    /**\n     * Returns the WebSocket connection close reason provided by the server.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CloseEvent/reason)\n     */\n    readonly reason: string;\n    /**\n     * Returns true if the connection closed cleanly; false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CloseEvent/wasClean)\n     */\n    readonly wasClean: boolean;\n}\n\ndeclare var CloseEvent: {\n    prototype: CloseEvent;\n    new(type: string, eventInitDict?: CloseEventInit): CloseEvent;\n};\n\n/**\n * Textual notations within markup; although it is generally not visually shown, such comments are available to be read in the source view.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Comment)\n */\ninterface Comment extends CharacterData {\n}\n\ndeclare var Comment: {\n    prototype: Comment;\n    new(data?: string): Comment;\n};\n\n/**\n * The DOM CompositionEvent represents events that occur due to the user indirectly entering text.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CompositionEvent)\n */\ninterface CompositionEvent extends UIEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CompositionEvent/data) */\n    readonly data: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CompositionEvent/initCompositionEvent)\n     */\n    initCompositionEvent(typeArg: string, bubblesArg?: boolean, cancelableArg?: boolean, viewArg?: WindowProxy | null, dataArg?: string): void;\n}\n\ndeclare var CompositionEvent: {\n    prototype: CompositionEvent;\n    new(type: string, eventInitDict?: CompositionEventInit): CompositionEvent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CompressionStream) */\ninterface CompressionStream extends GenericTransformStream {\n}\n\ndeclare var CompressionStream: {\n    prototype: CompressionStream;\n    new(format: CompressionFormat): CompressionStream;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ConstantSourceNode) */\ninterface ConstantSourceNode extends AudioScheduledSourceNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ConstantSourceNode/offset) */\n    readonly offset: AudioParam;\n    addEventListener<K extends keyof AudioScheduledSourceNodeEventMap>(type: K, listener: (this: ConstantSourceNode, ev: AudioScheduledSourceNodeEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AudioScheduledSourceNodeEventMap>(type: K, listener: (this: ConstantSourceNode, ev: AudioScheduledSourceNodeEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var ConstantSourceNode: {\n    prototype: ConstantSourceNode;\n    new(context: BaseAudioContext, options?: ConstantSourceOptions): ConstantSourceNode;\n};\n\n/**\n * An AudioNode that performs a Linear Convolution on a given AudioBuffer, often used to achieve a reverb effect. A ConvolverNode always has exactly one input and one output.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ConvolverNode)\n */\ninterface ConvolverNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ConvolverNode/buffer) */\n    buffer: AudioBuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ConvolverNode/normalize) */\n    normalize: boolean;\n}\n\ndeclare var ConvolverNode: {\n    prototype: ConvolverNode;\n    new(context: BaseAudioContext, options?: ConvolverOptions): ConvolverNode;\n};\n\n/**\n * This Streams API interface provides a built-in byte length queuing strategy that can be used when constructing streams.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CountQueuingStrategy)\n */\ninterface CountQueuingStrategy extends QueuingStrategy {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CountQueuingStrategy/highWaterMark) */\n    readonly highWaterMark: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CountQueuingStrategy/size) */\n    readonly size: QueuingStrategySize;\n}\n\ndeclare var CountQueuingStrategy: {\n    prototype: CountQueuingStrategy;\n    new(init: QueuingStrategyInit): CountQueuingStrategy;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Credential)\n */\ninterface Credential {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Credential/id) */\n    readonly id: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Credential/type) */\n    readonly type: string;\n}\n\ndeclare var Credential: {\n    prototype: Credential;\n    new(): Credential;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CredentialsContainer)\n */\ninterface CredentialsContainer {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CredentialsContainer/create) */\n    create(options?: CredentialCreationOptions): Promise<Credential | null>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CredentialsContainer/get) */\n    get(options?: CredentialRequestOptions): Promise<Credential | null>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CredentialsContainer/preventSilentAccess) */\n    preventSilentAccess(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CredentialsContainer/store) */\n    store(credential: Credential): Promise<void>;\n}\n\ndeclare var CredentialsContainer: {\n    prototype: CredentialsContainer;\n    new(): CredentialsContainer;\n};\n\n/**\n * Basic cryptography features available in the current context. It allows access to a cryptographically strong random number generator and to cryptographic primitives.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Crypto)\n */\ninterface Crypto {\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Crypto/subtle)\n     */\n    readonly subtle: SubtleCrypto;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Crypto/getRandomValues) */\n    getRandomValues<T extends ArrayBufferView | null>(array: T): T;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Crypto/randomUUID)\n     */\n    randomUUID(): `${string}-${string}-${string}-${string}-${string}`;\n}\n\ndeclare var Crypto: {\n    prototype: Crypto;\n    new(): Crypto;\n};\n\n/**\n * The CryptoKey dictionary of the Web Crypto API represents a cryptographic key.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CryptoKey)\n */\ninterface CryptoKey {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CryptoKey/algorithm) */\n    readonly algorithm: KeyAlgorithm;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CryptoKey/extractable) */\n    readonly extractable: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CryptoKey/type) */\n    readonly type: KeyType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CryptoKey/usages) */\n    readonly usages: KeyUsage[];\n}\n\ndeclare var CryptoKey: {\n    prototype: CryptoKey;\n    new(): CryptoKey;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CustomElementRegistry) */\ninterface CustomElementRegistry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CustomElementRegistry/define) */\n    define(name: string, constructor: CustomElementConstructor, options?: ElementDefinitionOptions): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CustomElementRegistry/get) */\n    get(name: string): CustomElementConstructor | undefined;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CustomElementRegistry/getName) */\n    getName(constructor: CustomElementConstructor): string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CustomElementRegistry/upgrade) */\n    upgrade(root: Node): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CustomElementRegistry/whenDefined) */\n    whenDefined(name: string): Promise<CustomElementConstructor>;\n}\n\ndeclare var CustomElementRegistry: {\n    prototype: CustomElementRegistry;\n    new(): CustomElementRegistry;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CustomEvent) */\ninterface CustomEvent<T = any> extends Event {\n    /**\n     * Returns any custom data event was created with. Typically used for synthetic events.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CustomEvent/detail)\n     */\n    readonly detail: T;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CustomEvent/initCustomEvent)\n     */\n    initCustomEvent(type: string, bubbles?: boolean, cancelable?: boolean, detail?: T): void;\n}\n\ndeclare var CustomEvent: {\n    prototype: CustomEvent;\n    new<T>(type: string, eventInitDict?: CustomEventInit<T>): CustomEvent<T>;\n};\n\n/**\n * An abnormal event (called an exception) which occurs as a result of calling a method or accessing a property of a web API.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMException)\n */\ninterface DOMException extends Error {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMException/code)\n     */\n    readonly code: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMException/message) */\n    readonly message: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMException/name) */\n    readonly name: string;\n    readonly INDEX_SIZE_ERR: 1;\n    readonly DOMSTRING_SIZE_ERR: 2;\n    readonly HIERARCHY_REQUEST_ERR: 3;\n    readonly WRONG_DOCUMENT_ERR: 4;\n    readonly INVALID_CHARACTER_ERR: 5;\n    readonly NO_DATA_ALLOWED_ERR: 6;\n    readonly NO_MODIFICATION_ALLOWED_ERR: 7;\n    readonly NOT_FOUND_ERR: 8;\n    readonly NOT_SUPPORTED_ERR: 9;\n    readonly INUSE_ATTRIBUTE_ERR: 10;\n    readonly INVALID_STATE_ERR: 11;\n    readonly SYNTAX_ERR: 12;\n    readonly INVALID_MODIFICATION_ERR: 13;\n    readonly NAMESPACE_ERR: 14;\n    readonly INVALID_ACCESS_ERR: 15;\n    readonly VALIDATION_ERR: 16;\n    readonly TYPE_MISMATCH_ERR: 17;\n    readonly SECURITY_ERR: 18;\n    readonly NETWORK_ERR: 19;\n    readonly ABORT_ERR: 20;\n    readonly URL_MISMATCH_ERR: 21;\n    readonly QUOTA_EXCEEDED_ERR: 22;\n    readonly TIMEOUT_ERR: 23;\n    readonly INVALID_NODE_TYPE_ERR: 24;\n    readonly DATA_CLONE_ERR: 25;\n}\n\ndeclare var DOMException: {\n    prototype: DOMException;\n    new(message?: string, name?: string): DOMException;\n    readonly INDEX_SIZE_ERR: 1;\n    readonly DOMSTRING_SIZE_ERR: 2;\n    readonly HIERARCHY_REQUEST_ERR: 3;\n    readonly WRONG_DOCUMENT_ERR: 4;\n    readonly INVALID_CHARACTER_ERR: 5;\n    readonly NO_DATA_ALLOWED_ERR: 6;\n    readonly NO_MODIFICATION_ALLOWED_ERR: 7;\n    readonly NOT_FOUND_ERR: 8;\n    readonly NOT_SUPPORTED_ERR: 9;\n    readonly INUSE_ATTRIBUTE_ERR: 10;\n    readonly INVALID_STATE_ERR: 11;\n    readonly SYNTAX_ERR: 12;\n    readonly INVALID_MODIFICATION_ERR: 13;\n    readonly NAMESPACE_ERR: 14;\n    readonly INVALID_ACCESS_ERR: 15;\n    readonly VALIDATION_ERR: 16;\n    readonly TYPE_MISMATCH_ERR: 17;\n    readonly SECURITY_ERR: 18;\n    readonly NETWORK_ERR: 19;\n    readonly ABORT_ERR: 20;\n    readonly URL_MISMATCH_ERR: 21;\n    readonly QUOTA_EXCEEDED_ERR: 22;\n    readonly TIMEOUT_ERR: 23;\n    readonly INVALID_NODE_TYPE_ERR: 24;\n    readonly DATA_CLONE_ERR: 25;\n};\n\n/**\n * An object providing methods which are not dependent on any particular document. Such an object is returned by the Document.implementation property.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMImplementation)\n */\ninterface DOMImplementation {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMImplementation/createDocument) */\n    createDocument(namespace: string | null, qualifiedName: string | null, doctype?: DocumentType | null): XMLDocument;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMImplementation/createDocumentType) */\n    createDocumentType(qualifiedName: string, publicId: string, systemId: string): DocumentType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMImplementation/createHTMLDocument) */\n    createHTMLDocument(title?: string): Document;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMImplementation/hasFeature)\n     */\n    hasFeature(...args: any[]): true;\n}\n\ndeclare var DOMImplementation: {\n    prototype: DOMImplementation;\n    new(): DOMImplementation;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrix) */\ninterface DOMMatrix extends DOMMatrixReadOnly {\n    a: number;\n    b: number;\n    c: number;\n    d: number;\n    e: number;\n    f: number;\n    m11: number;\n    m12: number;\n    m13: number;\n    m14: number;\n    m21: number;\n    m22: number;\n    m23: number;\n    m24: number;\n    m31: number;\n    m32: number;\n    m33: number;\n    m34: number;\n    m41: number;\n    m42: number;\n    m43: number;\n    m44: number;\n    invertSelf(): DOMMatrix;\n    multiplySelf(other?: DOMMatrixInit): DOMMatrix;\n    preMultiplySelf(other?: DOMMatrixInit): DOMMatrix;\n    rotateAxisAngleSelf(x?: number, y?: number, z?: number, angle?: number): DOMMatrix;\n    rotateFromVectorSelf(x?: number, y?: number): DOMMatrix;\n    rotateSelf(rotX?: number, rotY?: number, rotZ?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrix/scale3dSelf) */\n    scale3dSelf(scale?: number, originX?: number, originY?: number, originZ?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrix/scaleSelf) */\n    scaleSelf(scaleX?: number, scaleY?: number, scaleZ?: number, originX?: number, originY?: number, originZ?: number): DOMMatrix;\n    setMatrixValue(transformList: string): DOMMatrix;\n    skewXSelf(sx?: number): DOMMatrix;\n    skewYSelf(sy?: number): DOMMatrix;\n    translateSelf(tx?: number, ty?: number, tz?: number): DOMMatrix;\n}\n\ndeclare var DOMMatrix: {\n    prototype: DOMMatrix;\n    new(init?: string | number[]): DOMMatrix;\n    fromFloat32Array(array32: Float32Array): DOMMatrix;\n    fromFloat64Array(array64: Float64Array): DOMMatrix;\n    fromMatrix(other?: DOMMatrixInit): DOMMatrix;\n};\n\ntype SVGMatrix = DOMMatrix;\ndeclare var SVGMatrix: typeof DOMMatrix;\n\ntype WebKitCSSMatrix = DOMMatrix;\ndeclare var WebKitCSSMatrix: typeof DOMMatrix;\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly) */\ninterface DOMMatrixReadOnly {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/a) */\n    readonly a: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/b) */\n    readonly b: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/c) */\n    readonly c: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/d) */\n    readonly d: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/e) */\n    readonly e: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/f) */\n    readonly f: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/is2D) */\n    readonly is2D: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/isIdentity) */\n    readonly isIdentity: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m11) */\n    readonly m11: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m12) */\n    readonly m12: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m13) */\n    readonly m13: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m14) */\n    readonly m14: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m21) */\n    readonly m21: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m22) */\n    readonly m22: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m23) */\n    readonly m23: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m24) */\n    readonly m24: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m31) */\n    readonly m31: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m32) */\n    readonly m32: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m33) */\n    readonly m33: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m34) */\n    readonly m34: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m41) */\n    readonly m41: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m42) */\n    readonly m42: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m43) */\n    readonly m43: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m44) */\n    readonly m44: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/flipX) */\n    flipX(): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/flipY) */\n    flipY(): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/inverse) */\n    inverse(): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/multiply) */\n    multiply(other?: DOMMatrixInit): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/rotate) */\n    rotate(rotX?: number, rotY?: number, rotZ?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/rotateAxisAngle) */\n    rotateAxisAngle(x?: number, y?: number, z?: number, angle?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/rotateFromVector) */\n    rotateFromVector(x?: number, y?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/scale) */\n    scale(scaleX?: number, scaleY?: number, scaleZ?: number, originX?: number, originY?: number, originZ?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/scale3d) */\n    scale3d(scale?: number, originX?: number, originY?: number, originZ?: number): DOMMatrix;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/scaleNonUniform)\n     */\n    scaleNonUniform(scaleX?: number, scaleY?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/skewX) */\n    skewX(sx?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/skewY) */\n    skewY(sy?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/toFloat32Array) */\n    toFloat32Array(): Float32Array;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/toFloat64Array) */\n    toFloat64Array(): Float64Array;\n    toJSON(): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/transformPoint) */\n    transformPoint(point?: DOMPointInit): DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/translate) */\n    translate(tx?: number, ty?: number, tz?: number): DOMMatrix;\n    toString(): string;\n}\n\ndeclare var DOMMatrixReadOnly: {\n    prototype: DOMMatrixReadOnly;\n    new(init?: string | number[]): DOMMatrixReadOnly;\n    fromFloat32Array(array32: Float32Array): DOMMatrixReadOnly;\n    fromFloat64Array(array64: Float64Array): DOMMatrixReadOnly;\n    fromMatrix(other?: DOMMatrixInit): DOMMatrixReadOnly;\n};\n\n/**\n * Provides the ability to parse XML or HTML source code from a string into a DOM Document.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMParser)\n */\ninterface DOMParser {\n    /**\n     * Parses string using either the HTML or XML parser, according to type, and returns the resulting Document. type can be "text/html" (which will invoke the HTML parser), or any of "text/xml", "application/xml", "application/xhtml+xml", or "image/svg+xml" (which will invoke the XML parser).\n     *\n     * For the XML parser, if string cannot be parsed, then the returned Document will contain elements describing the resulting error.\n     *\n     * Note that script elements are not evaluated during parsing, and the resulting document\'s encoding will always be UTF-8.\n     *\n     * Values other than the above for type will cause a TypeError exception to be thrown.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMParser/parseFromString)\n     */\n    parseFromString(string: string, type: DOMParserSupportedType): Document;\n}\n\ndeclare var DOMParser: {\n    prototype: DOMParser;\n    new(): DOMParser;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPoint) */\ninterface DOMPoint extends DOMPointReadOnly {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPoint/w) */\n    w: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPoint/x) */\n    x: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPoint/y) */\n    y: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPoint/z) */\n    z: number;\n}\n\ndeclare var DOMPoint: {\n    prototype: DOMPoint;\n    new(x?: number, y?: number, z?: number, w?: number): DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPoint/fromPoint_static) */\n    fromPoint(other?: DOMPointInit): DOMPoint;\n};\n\ntype SVGPoint = DOMPoint;\ndeclare var SVGPoint: typeof DOMPoint;\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly) */\ninterface DOMPointReadOnly {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/w) */\n    readonly w: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/x) */\n    readonly x: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/y) */\n    readonly y: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/z) */\n    readonly z: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/matrixTransform) */\n    matrixTransform(matrix?: DOMMatrixInit): DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var DOMPointReadOnly: {\n    prototype: DOMPointReadOnly;\n    new(x?: number, y?: number, z?: number, w?: number): DOMPointReadOnly;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/fromPoint_static) */\n    fromPoint(other?: DOMPointInit): DOMPointReadOnly;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMQuad) */\ninterface DOMQuad {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMQuad/p1) */\n    readonly p1: DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMQuad/p2) */\n    readonly p2: DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMQuad/p3) */\n    readonly p3: DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMQuad/p4) */\n    readonly p4: DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMQuad/getBounds) */\n    getBounds(): DOMRect;\n    toJSON(): any;\n}\n\ndeclare var DOMQuad: {\n    prototype: DOMQuad;\n    new(p1?: DOMPointInit, p2?: DOMPointInit, p3?: DOMPointInit, p4?: DOMPointInit): DOMQuad;\n    fromQuad(other?: DOMQuadInit): DOMQuad;\n    fromRect(other?: DOMRectInit): DOMQuad;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRect) */\ninterface DOMRect extends DOMRectReadOnly {\n    height: number;\n    width: number;\n    x: number;\n    y: number;\n}\n\ndeclare var DOMRect: {\n    prototype: DOMRect;\n    new(x?: number, y?: number, width?: number, height?: number): DOMRect;\n    fromRect(other?: DOMRectInit): DOMRect;\n};\n\ntype SVGRect = DOMRect;\ndeclare var SVGRect: typeof DOMRect;\n\ninterface DOMRectList {\n    readonly length: number;\n    item(index: number): DOMRect | null;\n    [index: number]: DOMRect;\n}\n\ndeclare var DOMRectList: {\n    prototype: DOMRectList;\n    new(): DOMRectList;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly) */\ninterface DOMRectReadOnly {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/bottom) */\n    readonly bottom: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/height) */\n    readonly height: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/left) */\n    readonly left: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/right) */\n    readonly right: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/top) */\n    readonly top: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/width) */\n    readonly width: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/x) */\n    readonly x: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/y) */\n    readonly y: number;\n    toJSON(): any;\n}\n\ndeclare var DOMRectReadOnly: {\n    prototype: DOMRectReadOnly;\n    new(x?: number, y?: number, width?: number, height?: number): DOMRectReadOnly;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/fromRect_static) */\n    fromRect(other?: DOMRectInit): DOMRectReadOnly;\n};\n\n/**\n * A type returned by some APIs which contains a list of DOMString (strings).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMStringList)\n */\ninterface DOMStringList {\n    /**\n     * Returns the number of strings in strings.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMStringList/length)\n     */\n    readonly length: number;\n    /**\n     * Returns true if strings contains string, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMStringList/contains)\n     */\n    contains(string: string): boolean;\n    /**\n     * Returns the string with index index from strings.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMStringList/item)\n     */\n    item(index: number): string | null;\n    [index: number]: string;\n}\n\ndeclare var DOMStringList: {\n    prototype: DOMStringList;\n    new(): DOMStringList;\n};\n\n/**\n * Used by the dataset HTML attribute to represent data for custom attributes added to elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMStringMap)\n */\ninterface DOMStringMap {\n    [name: string]: string | undefined;\n}\n\ndeclare var DOMStringMap: {\n    prototype: DOMStringMap;\n    new(): DOMStringMap;\n};\n\n/**\n * A set of space-separated tokens. Such a set is returned by Element.classList, HTMLLinkElement.relList, HTMLAnchorElement.relList, HTMLAreaElement.relList, HTMLIframeElement.sandbox, or HTMLOutputElement.htmlFor. It is indexed beginning with 0 as with JavaScript Array objects. DOMTokenList is always case-sensitive.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMTokenList)\n */\ninterface DOMTokenList {\n    /**\n     * Returns the number of tokens.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMTokenList/length)\n     */\n    readonly length: number;\n    /**\n     * Returns the associated set as string.\n     *\n     * Can be set, to change the associated attribute.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMTokenList/value)\n     */\n    value: string;\n    toString(): string;\n    /**\n     * Adds all arguments passed, except those already present.\n     *\n     * Throws a "SyntaxError" DOMException if one of the arguments is the empty string.\n     *\n     * Throws an "InvalidCharacterError" DOMException if one of the arguments contains any ASCII whitespace.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMTokenList/add)\n     */\n    add(...tokens: string[]): void;\n    /**\n     * Returns true if token is present, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMTokenList/contains)\n     */\n    contains(token: string): boolean;\n    /**\n     * Returns the token with index index.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMTokenList/item)\n     */\n    item(index: number): string | null;\n    /**\n     * Removes arguments passed, if they are present.\n     *\n     * Throws a "SyntaxError" DOMException if one of the arguments is the empty string.\n     *\n     * Throws an "InvalidCharacterError" DOMException if one of the arguments contains any ASCII whitespace.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMTokenList/remove)\n     */\n    remove(...tokens: string[]): void;\n    /**\n     * Replaces token with newToken.\n     *\n     * Returns true if token was replaced with newToken, and false otherwise.\n     *\n     * Throws a "SyntaxError" DOMException if one of the arguments is the empty string.\n     *\n     * Throws an "InvalidCharacterError" DOMException if one of the arguments contains any ASCII whitespace.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMTokenList/replace)\n     */\n    replace(token: string, newToken: string): boolean;\n    /**\n     * Returns true if token is in the associated attribute\'s supported tokens. Returns false otherwise.\n     *\n     * Throws a TypeError if the associated attribute has no supported tokens defined.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMTokenList/supports)\n     */\n    supports(token: string): boolean;\n    /**\n     * If force is not given, "toggles" token, removing it if it\'s present and adding it if it\'s not present. If force is true, adds token (same as add()). If force is false, removes token (same as remove()).\n     *\n     * Returns true if token is now present, and false otherwise.\n     *\n     * Throws a "SyntaxError" DOMException if token is empty.\n     *\n     * Throws an "InvalidCharacterError" DOMException if token contains any spaces.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMTokenList/toggle)\n     */\n    toggle(token: string, force?: boolean): boolean;\n    forEach(callbackfn: (value: string, key: number, parent: DOMTokenList) => void, thisArg?: any): void;\n    [index: number]: string;\n}\n\ndeclare var DOMTokenList: {\n    prototype: DOMTokenList;\n    new(): DOMTokenList;\n};\n\n/**\n * Used to hold the data that is being dragged during a drag and drop operation. It may hold one or more data items, each of one or more data types. For more information about drag and drop, see HTML Drag and Drop API.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransfer)\n */\ninterface DataTransfer {\n    /**\n     * Returns the kind of operation that is currently selected. If the kind of operation isn\'t one of those that is allowed by the effectAllowed attribute, then the operation will fail.\n     *\n     * Can be set, to change the selected operation.\n     *\n     * The possible values are "none", "copy", "link", and "move".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransfer/dropEffect)\n     */\n    dropEffect: "none" | "copy" | "link" | "move";\n    /**\n     * Returns the kinds of operations that are to be allowed.\n     *\n     * Can be set (during the dragstart event), to change the allowed operations.\n     *\n     * The possible values are "none", "copy", "copyLink", "copyMove", "link", "linkMove", "move", "all", and "uninitialized",\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransfer/effectAllowed)\n     */\n    effectAllowed: "none" | "copy" | "copyLink" | "copyMove" | "link" | "linkMove" | "move" | "all" | "uninitialized";\n    /**\n     * Returns a FileList of the files being dragged, if any.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransfer/files)\n     */\n    readonly files: FileList;\n    /**\n     * Returns a DataTransferItemList object, with the drag data.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransfer/items)\n     */\n    readonly items: DataTransferItemList;\n    /**\n     * Returns a frozen array listing the formats that were set in the dragstart event. In addition, if any files are being dragged, then one of the types will be the string "Files".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransfer/types)\n     */\n    readonly types: ReadonlyArray<string>;\n    /**\n     * Removes the data of the specified formats. Removes all data if the argument is omitted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransfer/clearData)\n     */\n    clearData(format?: string): void;\n    /**\n     * Returns the specified data. If there is no such data, returns the empty string.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransfer/getData)\n     */\n    getData(format: string): string;\n    /**\n     * Adds the specified data.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransfer/setData)\n     */\n    setData(format: string, data: string): void;\n    /**\n     * Uses the given element to update the drag feedback, replacing any previously specified feedback.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransfer/setDragImage)\n     */\n    setDragImage(image: Element, x: number, y: number): void;\n}\n\ndeclare var DataTransfer: {\n    prototype: DataTransfer;\n    new(): DataTransfer;\n};\n\n/**\n * One drag data item. During a drag operation, each drag event has a dataTransfer property which contains a list of drag data items. Each item in the list is a DataTransferItem object.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransferItem)\n */\ninterface DataTransferItem {\n    /**\n     * Returns the drag data item kind, one of: "string", "file".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransferItem/kind)\n     */\n    readonly kind: string;\n    /**\n     * Returns the drag data item type string.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransferItem/type)\n     */\n    readonly type: string;\n    /**\n     * Returns a File object, if the drag data item kind is File.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransferItem/getAsFile)\n     */\n    getAsFile(): File | null;\n    /**\n     * Invokes the callback with the string data as the argument, if the drag data item kind is text.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransferItem/getAsString)\n     */\n    getAsString(callback: FunctionStringCallback | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransferItem/webkitGetAsEntry) */\n    webkitGetAsEntry(): FileSystemEntry | null;\n}\n\ndeclare var DataTransferItem: {\n    prototype: DataTransferItem;\n    new(): DataTransferItem;\n};\n\n/**\n * A list of DataTransferItem objects representing items being dragged. During a drag operation, each DragEvent has a dataTransfer property and that property is a DataTransferItemList.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransferItemList)\n */\ninterface DataTransferItemList {\n    /**\n     * Returns the number of items in the drag data store.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransferItemList/length)\n     */\n    readonly length: number;\n    /**\n     * Adds a new entry for the given data to the drag data store. If the data is plain text then a type string has to be provided also.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransferItemList/add)\n     */\n    add(data: string, type: string): DataTransferItem | null;\n    add(data: File): DataTransferItem | null;\n    /**\n     * Removes all the entries in the drag data store.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransferItemList/clear)\n     */\n    clear(): void;\n    /**\n     * Removes the indexth entry in the drag data store.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DataTransferItemList/remove)\n     */\n    remove(index: number): void;\n    [index: number]: DataTransferItem;\n}\n\ndeclare var DataTransferItemList: {\n    prototype: DataTransferItemList;\n    new(): DataTransferItemList;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DecompressionStream) */\ninterface DecompressionStream extends GenericTransformStream {\n}\n\ndeclare var DecompressionStream: {\n    prototype: DecompressionStream;\n    new(format: CompressionFormat): DecompressionStream;\n};\n\n/**\n * A delay-line; an AudioNode audio-processing module that causes a delay between the arrival of an input data and its propagation to the output.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DelayNode)\n */\ninterface DelayNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DelayNode/delayTime) */\n    readonly delayTime: AudioParam;\n}\n\ndeclare var DelayNode: {\n    prototype: DelayNode;\n    new(context: BaseAudioContext, options?: DelayOptions): DelayNode;\n};\n\n/**\n * The DeviceMotionEvent provides web developers with information about the speed of changes for the device\'s position and orientation.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEvent)\n */\ninterface DeviceMotionEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEvent/acceleration) */\n    readonly acceleration: DeviceMotionEventAcceleration | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEvent/accelerationIncludingGravity) */\n    readonly accelerationIncludingGravity: DeviceMotionEventAcceleration | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEvent/interval) */\n    readonly interval: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEvent/rotationRate) */\n    readonly rotationRate: DeviceMotionEventRotationRate | null;\n}\n\ndeclare var DeviceMotionEvent: {\n    prototype: DeviceMotionEvent;\n    new(type: string, eventInitDict?: DeviceMotionEventInit): DeviceMotionEvent;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEventAcceleration)\n */\ninterface DeviceMotionEventAcceleration {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEventAcceleration/x) */\n    readonly x: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEventAcceleration/y) */\n    readonly y: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEventAcceleration/z) */\n    readonly z: number | null;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEventRotationRate)\n */\ninterface DeviceMotionEventRotationRate {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEventRotationRate/alpha) */\n    readonly alpha: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEventRotationRate/beta) */\n    readonly beta: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceMotionEventRotationRate/gamma) */\n    readonly gamma: number | null;\n}\n\n/**\n * The DeviceOrientationEvent provides web developers with information from the physical orientation of the device running the web page.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceOrientationEvent)\n */\ninterface DeviceOrientationEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceOrientationEvent/absolute) */\n    readonly absolute: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceOrientationEvent/alpha) */\n    readonly alpha: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceOrientationEvent/beta) */\n    readonly beta: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DeviceOrientationEvent/gamma) */\n    readonly gamma: number | null;\n}\n\ndeclare var DeviceOrientationEvent: {\n    prototype: DeviceOrientationEvent;\n    new(type: string, eventInitDict?: DeviceOrientationEventInit): DeviceOrientationEvent;\n};\n\ninterface DocumentEventMap extends GlobalEventHandlersEventMap {\n    "DOMContentLoaded": Event;\n    "fullscreenchange": Event;\n    "fullscreenerror": Event;\n    "pointerlockchange": Event;\n    "pointerlockerror": Event;\n    "readystatechange": Event;\n    "visibilitychange": Event;\n}\n\n/**\n * Any web page loaded in the browser and serves as an entry point into the web page\'s content, which is the DOM tree.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document)\n */\ninterface Document extends Node, DocumentOrShadowRoot, FontFaceSource, GlobalEventHandlers, NonElementParentNode, ParentNode, XPathEvaluatorBase {\n    /**\n     * Sets or gets the URL for the current document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/URL)\n     */\n    readonly URL: string;\n    /**\n     * Sets or gets the color of all active links in the document.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/alinkColor)\n     */\n    alinkColor: string;\n    /**\n     * Returns a reference to the collection of elements contained by the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/all)\n     */\n    readonly all: HTMLAllCollection;\n    /**\n     * Retrieves a collection of all a objects that have a name and/or id property. Objects in this collection are in HTML source order.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/anchors)\n     */\n    readonly anchors: HTMLCollectionOf<HTMLAnchorElement>;\n    /**\n     * Retrieves a collection of all applet objects in the document.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/applets)\n     */\n    readonly applets: HTMLCollection;\n    /**\n     * Deprecated. Sets or retrieves a value that indicates the background color behind the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/bgColor)\n     */\n    bgColor: string;\n    /**\n     * Specifies the beginning and end of the document body.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/body)\n     */\n    body: HTMLElement;\n    /**\n     * Returns document\'s encoding.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/characterSet)\n     */\n    readonly characterSet: string;\n    /**\n     * Gets or sets the character set used to encode the object.\n     * @deprecated This is a legacy alias of `characterSet`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/characterSet)\n     */\n    readonly charset: string;\n    /**\n     * Gets a value that indicates whether standards-compliant mode is switched on for the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/compatMode)\n     */\n    readonly compatMode: string;\n    /**\n     * Returns document\'s content type.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/contentType)\n     */\n    readonly contentType: string;\n    /**\n     * Returns the HTTP cookies that apply to the Document. If there are no cookies or cookies can\'t be applied to this resource, the empty string will be returned.\n     *\n     * Can be set, to add a new cookie to the element\'s set of HTTP cookies.\n     *\n     * If the contents are sandboxed into a unique origin (e.g. in an iframe with the sandbox attribute), a "SecurityError" DOMException will be thrown on getting and setting.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/cookie)\n     */\n    cookie: string;\n    /**\n     * Returns the script element, or the SVG script element, that is currently executing, as long as the element represents a classic script. In the case of reentrant script execution, returns the one that most recently started executing amongst those that have not yet finished executing.\n     *\n     * Returns null if the Document is not currently executing a script or SVG script element (e.g., because the running script is an event handler, or a timeout), or if the currently executing script or SVG script element represents a module script.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/currentScript)\n     */\n    readonly currentScript: HTMLOrSVGScriptElement | null;\n    /**\n     * Returns the Window object of the active document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/defaultView)\n     */\n    readonly defaultView: (WindowProxy & typeof globalThis) | null;\n    /**\n     * Sets or gets a value that indicates whether the document can be edited.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/designMode)\n     */\n    designMode: string;\n    /**\n     * Sets or retrieves a value that indicates the reading order of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/dir)\n     */\n    dir: string;\n    /**\n     * Gets an object representing the document type declaration associated with the current document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/doctype)\n     */\n    readonly doctype: DocumentType | null;\n    /**\n     * Gets a reference to the root node of the document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/documentElement)\n     */\n    readonly documentElement: HTMLElement;\n    /**\n     * Returns document\'s URL.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/documentURI)\n     */\n    readonly documentURI: string;\n    /**\n     * Sets or gets the security domain of the document.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/domain)\n     */\n    domain: string;\n    /**\n     * Retrieves a collection of all embed objects in the document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/embeds)\n     */\n    readonly embeds: HTMLCollectionOf<HTMLEmbedElement>;\n    /**\n     * Sets or gets the foreground (text) color of the document.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/fgColor)\n     */\n    fgColor: string;\n    /**\n     * Retrieves a collection, in source order, of all form objects in the document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/forms)\n     */\n    readonly forms: HTMLCollectionOf<HTMLFormElement>;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/fullscreen)\n     */\n    readonly fullscreen: boolean;\n    /**\n     * Returns true if document has the ability to display elements fullscreen and fullscreen is supported, or false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/fullscreenEnabled)\n     */\n    readonly fullscreenEnabled: boolean;\n    /**\n     * Returns the head element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/head)\n     */\n    readonly head: HTMLHeadElement;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/hidden) */\n    readonly hidden: boolean;\n    /**\n     * Retrieves a collection, in source order, of img objects in the document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/images)\n     */\n    readonly images: HTMLCollectionOf<HTMLImageElement>;\n    /**\n     * Gets the implementation object of the current document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/implementation)\n     */\n    readonly implementation: DOMImplementation;\n    /**\n     * Returns the character encoding used to create the webpage that is loaded into the document object.\n     * @deprecated This is a legacy alias of `characterSet`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/characterSet)\n     */\n    readonly inputEncoding: string;\n    /**\n     * Gets the date that the page was last modified, if the page supplies one.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/lastModified)\n     */\n    readonly lastModified: string;\n    /**\n     * Sets or gets the color of the document links.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/linkColor)\n     */\n    linkColor: string;\n    /**\n     * Retrieves a collection of all a objects that specify the href property and all area objects in the document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/links)\n     */\n    readonly links: HTMLCollectionOf<HTMLAnchorElement | HTMLAreaElement>;\n    /**\n     * Contains information about the current URL.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/location)\n     */\n    get location(): Location;\n    set location(href: string | Location);\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/fullscreenchange_event) */\n    onfullscreenchange: ((this: Document, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/fullscreenerror_event) */\n    onfullscreenerror: ((this: Document, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/pointerlockchange_event) */\n    onpointerlockchange: ((this: Document, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/pointerlockerror_event) */\n    onpointerlockerror: ((this: Document, ev: Event) => any) | null;\n    /**\n     * Fires when the state of the object has changed.\n     * @param ev The event\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/readystatechange_event)\n     */\n    onreadystatechange: ((this: Document, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/visibilitychange_event) */\n    onvisibilitychange: ((this: Document, ev: Event) => any) | null;\n    readonly ownerDocument: null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/pictureInPictureEnabled) */\n    readonly pictureInPictureEnabled: boolean;\n    /**\n     * Return an HTMLCollection of the embed elements in the Document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/plugins)\n     */\n    readonly plugins: HTMLCollectionOf<HTMLEmbedElement>;\n    /**\n     * Retrieves a value that indicates the current state of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/readyState)\n     */\n    readonly readyState: DocumentReadyState;\n    /**\n     * Gets the URL of the location that referred the user to the current page.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/referrer)\n     */\n    readonly referrer: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/rootElement)\n     */\n    readonly rootElement: SVGSVGElement | null;\n    /**\n     * Retrieves a collection of all script objects in the document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/scripts)\n     */\n    readonly scripts: HTMLCollectionOf<HTMLScriptElement>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/scrollingElement) */\n    readonly scrollingElement: Element | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/timeline) */\n    readonly timeline: DocumentTimeline;\n    /**\n     * Contains the title of the document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/title)\n     */\n    title: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/visibilityState) */\n    readonly visibilityState: DocumentVisibilityState;\n    /**\n     * Sets or gets the color of the links that the user has visited.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/vlinkColor)\n     */\n    vlinkColor: string;\n    /**\n     * Moves node from another document and returns it.\n     *\n     * If node is a document, throws a "NotSupportedError" DOMException or, if node is a shadow root, throws a "HierarchyRequestError" DOMException.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/adoptNode)\n     */\n    adoptNode<T extends Node>(node: T): T;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/captureEvents)\n     */\n    captureEvents(): void;\n    /** @deprecated */\n    caretRangeFromPoint(x: number, y: number): Range | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/clear)\n     */\n    clear(): void;\n    /**\n     * Closes an output stream and forces the sent data to display.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/close)\n     */\n    close(): void;\n    /**\n     * Creates an attribute object with a specified name.\n     * @param name String that sets the attribute object\'s name.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createAttribute)\n     */\n    createAttribute(localName: string): Attr;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createAttributeNS) */\n    createAttributeNS(namespace: string | null, qualifiedName: string): Attr;\n    /**\n     * Returns a CDATASection node whose data is data.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createCDATASection)\n     */\n    createCDATASection(data: string): CDATASection;\n    /**\n     * Creates a comment object with the specified data.\n     * @param data Sets the comment object\'s data.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createComment)\n     */\n    createComment(data: string): Comment;\n    /**\n     * Creates a new document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createDocumentFragment)\n     */\n    createDocumentFragment(): DocumentFragment;\n    /**\n     * Creates an instance of the element for the specified tag.\n     * @param tagName The name of an element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createElement)\n     */\n    createElement<K extends keyof HTMLElementTagNameMap>(tagName: K, options?: ElementCreationOptions): HTMLElementTagNameMap[K];\n    /** @deprecated */\n    createElement<K extends keyof HTMLElementDeprecatedTagNameMap>(tagName: K, options?: ElementCreationOptions): HTMLElementDeprecatedTagNameMap[K];\n    createElement(tagName: string, options?: ElementCreationOptions): HTMLElement;\n    /**\n     * Returns an element with namespace namespace. Its namespace prefix will be everything before ":" (U+003E) in qualifiedName or null. Its local name will be everything after ":" (U+003E) in qualifiedName or qualifiedName.\n     *\n     * If localName does not match the Name production an "InvalidCharacterError" DOMException will be thrown.\n     *\n     * If one of the following conditions is true a "NamespaceError" DOMException will be thrown:\n     *\n     * localName does not match the QName production.\n     * Namespace prefix is not null and namespace is the empty string.\n     * Namespace prefix is "xml" and namespace is not the XML namespace.\n     * qualifiedName or namespace prefix is "xmlns" and namespace is not the XMLNS namespace.\n     * namespace is the XMLNS namespace and neither qualifiedName nor namespace prefix is "xmlns".\n     *\n     * When supplied, options\'s is can be used to create a customized built-in element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createElementNS)\n     */\n    createElementNS(namespaceURI: "http://www.w3.org/1999/xhtml", qualifiedName: string): HTMLElement;\n    createElementNS<K extends keyof SVGElementTagNameMap>(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: K): SVGElementTagNameMap[K];\n    createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: string): SVGElement;\n    createElementNS<K extends keyof MathMLElementTagNameMap>(namespaceURI: "http://www.w3.org/1998/Math/MathML", qualifiedName: K): MathMLElementTagNameMap[K];\n    createElementNS(namespaceURI: "http://www.w3.org/1998/Math/MathML", qualifiedName: string): MathMLElement;\n    createElementNS(namespaceURI: string | null, qualifiedName: string, options?: ElementCreationOptions): Element;\n    createElementNS(namespace: string | null, qualifiedName: string, options?: string | ElementCreationOptions): Element;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createEvent) */\n    createEvent(eventInterface: "AnimationEvent"): AnimationEvent;\n    createEvent(eventInterface: "AnimationPlaybackEvent"): AnimationPlaybackEvent;\n    createEvent(eventInterface: "AudioProcessingEvent"): AudioProcessingEvent;\n    createEvent(eventInterface: "BeforeUnloadEvent"): BeforeUnloadEvent;\n    createEvent(eventInterface: "BlobEvent"): BlobEvent;\n    createEvent(eventInterface: "ClipboardEvent"): ClipboardEvent;\n    createEvent(eventInterface: "CloseEvent"): CloseEvent;\n    createEvent(eventInterface: "CompositionEvent"): CompositionEvent;\n    createEvent(eventInterface: "CustomEvent"): CustomEvent;\n    createEvent(eventInterface: "DeviceMotionEvent"): DeviceMotionEvent;\n    createEvent(eventInterface: "DeviceOrientationEvent"): DeviceOrientationEvent;\n    createEvent(eventInterface: "DragEvent"): DragEvent;\n    createEvent(eventInterface: "ErrorEvent"): ErrorEvent;\n    createEvent(eventInterface: "Event"): Event;\n    createEvent(eventInterface: "Events"): Event;\n    createEvent(eventInterface: "FocusEvent"): FocusEvent;\n    createEvent(eventInterface: "FontFaceSetLoadEvent"): FontFaceSetLoadEvent;\n    createEvent(eventInterface: "FormDataEvent"): FormDataEvent;\n    createEvent(eventInterface: "GamepadEvent"): GamepadEvent;\n    createEvent(eventInterface: "HashChangeEvent"): HashChangeEvent;\n    createEvent(eventInterface: "IDBVersionChangeEvent"): IDBVersionChangeEvent;\n    createEvent(eventInterface: "InputEvent"): InputEvent;\n    createEvent(eventInterface: "KeyboardEvent"): KeyboardEvent;\n    createEvent(eventInterface: "MIDIConnectionEvent"): MIDIConnectionEvent;\n    createEvent(eventInterface: "MIDIMessageEvent"): MIDIMessageEvent;\n    createEvent(eventInterface: "MediaEncryptedEvent"): MediaEncryptedEvent;\n    createEvent(eventInterface: "MediaKeyMessageEvent"): MediaKeyMessageEvent;\n    createEvent(eventInterface: "MediaQueryListEvent"): MediaQueryListEvent;\n    createEvent(eventInterface: "MediaStreamTrackEvent"): MediaStreamTrackEvent;\n    createEvent(eventInterface: "MessageEvent"): MessageEvent;\n    createEvent(eventInterface: "MouseEvent"): MouseEvent;\n    createEvent(eventInterface: "MouseEvents"): MouseEvent;\n    createEvent(eventInterface: "MutationEvent"): MutationEvent;\n    createEvent(eventInterface: "MutationEvents"): MutationEvent;\n    createEvent(eventInterface: "OfflineAudioCompletionEvent"): OfflineAudioCompletionEvent;\n    createEvent(eventInterface: "PageTransitionEvent"): PageTransitionEvent;\n    createEvent(eventInterface: "PaymentMethodChangeEvent"): PaymentMethodChangeEvent;\n    createEvent(eventInterface: "PaymentRequestUpdateEvent"): PaymentRequestUpdateEvent;\n    createEvent(eventInterface: "PictureInPictureEvent"): PictureInPictureEvent;\n    createEvent(eventInterface: "PointerEvent"): PointerEvent;\n    createEvent(eventInterface: "PopStateEvent"): PopStateEvent;\n    createEvent(eventInterface: "ProgressEvent"): ProgressEvent;\n    createEvent(eventInterface: "PromiseRejectionEvent"): PromiseRejectionEvent;\n    createEvent(eventInterface: "RTCDTMFToneChangeEvent"): RTCDTMFToneChangeEvent;\n    createEvent(eventInterface: "RTCDataChannelEvent"): RTCDataChannelEvent;\n    createEvent(eventInterface: "RTCErrorEvent"): RTCErrorEvent;\n    createEvent(eventInterface: "RTCPeerConnectionIceErrorEvent"): RTCPeerConnectionIceErrorEvent;\n    createEvent(eventInterface: "RTCPeerConnectionIceEvent"): RTCPeerConnectionIceEvent;\n    createEvent(eventInterface: "RTCTrackEvent"): RTCTrackEvent;\n    createEvent(eventInterface: "SecurityPolicyViolationEvent"): SecurityPolicyViolationEvent;\n    createEvent(eventInterface: "SpeechSynthesisErrorEvent"): SpeechSynthesisErrorEvent;\n    createEvent(eventInterface: "SpeechSynthesisEvent"): SpeechSynthesisEvent;\n    createEvent(eventInterface: "StorageEvent"): StorageEvent;\n    createEvent(eventInterface: "SubmitEvent"): SubmitEvent;\n    createEvent(eventInterface: "ToggleEvent"): ToggleEvent;\n    createEvent(eventInterface: "TouchEvent"): TouchEvent;\n    createEvent(eventInterface: "TrackEvent"): TrackEvent;\n    createEvent(eventInterface: "TransitionEvent"): TransitionEvent;\n    createEvent(eventInterface: "UIEvent"): UIEvent;\n    createEvent(eventInterface: "UIEvents"): UIEvent;\n    createEvent(eventInterface: "WebGLContextEvent"): WebGLContextEvent;\n    createEvent(eventInterface: "WheelEvent"): WheelEvent;\n    createEvent(eventInterface: string): Event;\n    /**\n     * Creates a NodeIterator object that you can use to traverse filtered lists of nodes or elements in a document.\n     * @param root The root element or node to start traversing on.\n     * @param whatToShow The type of nodes or elements to appear in the node list\n     * @param filter A custom NodeFilter function to use. For more information, see filter. Use null for no filter.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createNodeIterator)\n     */\n    createNodeIterator(root: Node, whatToShow?: number, filter?: NodeFilter | null): NodeIterator;\n    /**\n     * Returns a ProcessingInstruction node whose target is target and data is data. If target does not match the Name production an "InvalidCharacterError" DOMException will be thrown. If data contains "?>" an "InvalidCharacterError" DOMException will be thrown.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createProcessingInstruction)\n     */\n    createProcessingInstruction(target: string, data: string): ProcessingInstruction;\n    /**\n     *  Returns an empty range object that has both of its boundary points positioned at the beginning of the document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createRange)\n     */\n    createRange(): Range;\n    /**\n     * Creates a text string from the specified value.\n     * @param data String that specifies the nodeValue property of the text node.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createTextNode)\n     */\n    createTextNode(data: string): Text;\n    /**\n     * Creates a TreeWalker object that you can use to traverse filtered lists of nodes or elements in a document.\n     * @param root The root element or node to start traversing on.\n     * @param whatToShow The type of nodes or elements to appear in the node list. For more information, see whatToShow.\n     * @param filter A custom NodeFilter function to use.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createTreeWalker)\n     */\n    createTreeWalker(root: Node, whatToShow?: number, filter?: NodeFilter | null): TreeWalker;\n    /**\n     * Executes a command on the current document, current selection, or the given range.\n     * @param commandId String that specifies the command to execute. This command can be any of the command identifiers that can be executed in script.\n     * @param showUI Display the user interface, defaults to false.\n     * @param value Value to assign.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/execCommand)\n     */\n    execCommand(commandId: string, showUI?: boolean, value?: string): boolean;\n    /**\n     * Stops document\'s fullscreen element from being displayed fullscreen and resolves promise when done.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/exitFullscreen)\n     */\n    exitFullscreen(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/exitPictureInPicture) */\n    exitPictureInPicture(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/exitPointerLock) */\n    exitPointerLock(): void;\n    /**\n     * Returns a reference to the first object with the specified value of the ID attribute.\n     * @param elementId String that specifies the ID value.\n     */\n    getElementById(elementId: string): HTMLElement | null;\n    /**\n     * Returns a HTMLCollection of the elements in the object on which the method was invoked (a document or an element) that have all the classes given by classNames. The classNames argument is interpreted as a space-separated list of classes.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/getElementsByClassName)\n     */\n    getElementsByClassName(classNames: string): HTMLCollectionOf<Element>;\n    /**\n     * Gets a collection of objects based on the value of the NAME or ID attribute.\n     * @param elementName Gets a collection of objects based on the value of the NAME or ID attribute.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/getElementsByName)\n     */\n    getElementsByName(elementName: string): NodeListOf<HTMLElement>;\n    /**\n     * Retrieves a collection of objects based on the specified element name.\n     * @param name Specifies the name of an element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/getElementsByTagName)\n     */\n    getElementsByTagName<K extends keyof HTMLElementTagNameMap>(qualifiedName: K): HTMLCollectionOf<HTMLElementTagNameMap[K]>;\n    getElementsByTagName<K extends keyof SVGElementTagNameMap>(qualifiedName: K): HTMLCollectionOf<SVGElementTagNameMap[K]>;\n    getElementsByTagName<K extends keyof MathMLElementTagNameMap>(qualifiedName: K): HTMLCollectionOf<MathMLElementTagNameMap[K]>;\n    /** @deprecated */\n    getElementsByTagName<K extends keyof HTMLElementDeprecatedTagNameMap>(qualifiedName: K): HTMLCollectionOf<HTMLElementDeprecatedTagNameMap[K]>;\n    getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>;\n    /**\n     * If namespace and localName are "*" returns a HTMLCollection of all descendant elements.\n     *\n     * If only namespace is "*" returns a HTMLCollection of all descendant elements whose local name is localName.\n     *\n     * If only localName is "*" returns a HTMLCollection of all descendant elements whose namespace is namespace.\n     *\n     * Otherwise, returns a HTMLCollection of all descendant elements whose namespace is namespace and local name is localName.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/getElementsByTagNameNS)\n     */\n    getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>;\n    getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>;\n    getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1998/Math/MathML", localName: string): HTMLCollectionOf<MathMLElement>;\n    getElementsByTagNameNS(namespace: string | null, localName: string): HTMLCollectionOf<Element>;\n    /**\n     * Returns an object representing the current selection of the document that is loaded into the object displaying a webpage.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/getSelection)\n     */\n    getSelection(): Selection | null;\n    /**\n     * Gets a value indicating whether the object currently has focus.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/hasFocus)\n     */\n    hasFocus(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/hasStorageAccess) */\n    hasStorageAccess(): Promise<boolean>;\n    /**\n     * Returns a copy of node. If deep is true, the copy also includes the node\'s descendants.\n     *\n     * If node is a document or a shadow root, throws a "NotSupportedError" DOMException.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/importNode)\n     */\n    importNode<T extends Node>(node: T, deep?: boolean): T;\n    /**\n     * Opens a new window and loads a document specified by a given URL. Also, opens a new window that uses the url parameter and the name parameter to collect the output of the write method and the writeln method.\n     * @param url Specifies a MIME type for the document.\n     * @param name Specifies the name of the window. This name is used as the value for the TARGET attribute on a form or an anchor element.\n     * @param features Contains a list of items separated by commas. Each item consists of an option and a value, separated by an equals sign (for example, "fullscreen=yes, toolbar=yes"). The following values are supported.\n     * @param replace Specifies whether the existing entry for the document is replaced in the history list.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/open)\n     */\n    open(unused1?: string, unused2?: string): Document;\n    open(url: string | URL, name: string, features: string): WindowProxy | null;\n    /**\n     * Returns a Boolean value that indicates whether a specified command can be successfully executed using execCommand, given the current state of the document.\n     * @param commandId Specifies a command identifier.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/queryCommandEnabled)\n     */\n    queryCommandEnabled(commandId: string): boolean;\n    /**\n     * Returns a Boolean value that indicates whether the specified command is in the indeterminate state.\n     * @param commandId String that specifies a command identifier.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/queryCommandIndeterm)\n     */\n    queryCommandIndeterm(commandId: string): boolean;\n    /**\n     * Returns a Boolean value that indicates the current state of the command.\n     * @param commandId String that specifies a command identifier.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/queryCommandState)\n     */\n    queryCommandState(commandId: string): boolean;\n    /**\n     * Returns a Boolean value that indicates whether the current command is supported on the current range.\n     * @param commandId Specifies a command identifier.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/queryCommandSupported)\n     */\n    queryCommandSupported(commandId: string): boolean;\n    /**\n     * Returns the current value of the document, range, or current selection for the given command.\n     * @param commandId String that specifies a command identifier.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/queryCommandValue)\n     */\n    queryCommandValue(commandId: string): string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/releaseEvents)\n     */\n    releaseEvents(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/requestStorageAccess) */\n    requestStorageAccess(): Promise<void>;\n    /**\n     * Writes one or more HTML expressions to a document in the specified window.\n     * @param content Specifies the text and HTML tags to write.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/write)\n     */\n    write(...text: string[]): void;\n    /**\n     * Writes one or more HTML expressions, followed by a carriage return, to a document in the specified window.\n     * @param content The text and HTML tags to write.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/writeln)\n     */\n    writeln(...text: string[]): void;\n    addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var Document: {\n    prototype: Document;\n    new(): Document;\n};\n\n/**\n * A minimal document object that has no parent. It is used as a lightweight version of Document that stores a segment of a document structure comprised of nodes just like a standard document. The key difference is that because the document fragment isn\'t part of the active document tree structure, changes made to the fragment don\'t affect the document, cause reflow, or incur any performance impact that can occur when changes are made.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DocumentFragment)\n */\ninterface DocumentFragment extends Node, NonElementParentNode, ParentNode {\n    readonly ownerDocument: Document;\n    getElementById(elementId: string): HTMLElement | null;\n}\n\ndeclare var DocumentFragment: {\n    prototype: DocumentFragment;\n    new(): DocumentFragment;\n};\n\ninterface DocumentOrShadowRoot {\n    /**\n     * Returns the deepest element in the document through which or to which key events are being routed. This is, roughly speaking, the focused element in the document.\n     *\n     * For the purposes of this API, when a child browsing context is focused, its container is focused in the parent browsing context. For example, if the user moves the focus to a text control in an iframe, the iframe is the element returned by the activeElement API in the iframe\'s node document.\n     *\n     * Similarly, when the focused element is in a different node tree than documentOrShadowRoot, the element returned will be the host that\'s located in the same node tree as documentOrShadowRoot if documentOrShadowRoot is a shadow-including inclusive ancestor of the focused element, and null if not.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/activeElement)\n     */\n    readonly activeElement: Element | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/adoptedStyleSheets) */\n    adoptedStyleSheets: CSSStyleSheet[];\n    /**\n     * Returns document\'s fullscreen element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/fullscreenElement)\n     */\n    readonly fullscreenElement: Element | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/pictureInPictureElement) */\n    readonly pictureInPictureElement: Element | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/pointerLockElement) */\n    readonly pointerLockElement: Element | null;\n    /**\n     * Retrieves a collection of styleSheet objects representing the style sheets that correspond to each instance of a link or style object in the document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/styleSheets)\n     */\n    readonly styleSheets: StyleSheetList;\n    /**\n     * Returns the element for the specified x coordinate and the specified y coordinate.\n     * @param x The x-offset\n     * @param y The y-offset\n     */\n    elementFromPoint(x: number, y: number): Element | null;\n    elementsFromPoint(x: number, y: number): Element[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/getAnimations) */\n    getAnimations(): Animation[];\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DocumentTimeline) */\ninterface DocumentTimeline extends AnimationTimeline {\n}\n\ndeclare var DocumentTimeline: {\n    prototype: DocumentTimeline;\n    new(options?: DocumentTimelineOptions): DocumentTimeline;\n};\n\n/**\n * A Node containing a doctype.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DocumentType)\n */\ninterface DocumentType extends Node, ChildNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DocumentType/name) */\n    readonly name: string;\n    readonly ownerDocument: Document;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DocumentType/publicId) */\n    readonly publicId: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DocumentType/systemId) */\n    readonly systemId: string;\n}\n\ndeclare var DocumentType: {\n    prototype: DocumentType;\n    new(): DocumentType;\n};\n\n/**\n * A DOM event that represents a drag and drop interaction. The user initiates a drag by placing a pointer device (such as a mouse) on the touch surface and then dragging the pointer to a new location (such as another DOM element). Applications are free to interpret a drag and drop interaction in an application-specific way.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DragEvent)\n */\ninterface DragEvent extends MouseEvent {\n    /**\n     * Returns the DataTransfer object for the event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DragEvent/dataTransfer)\n     */\n    readonly dataTransfer: DataTransfer | null;\n}\n\ndeclare var DragEvent: {\n    prototype: DragEvent;\n    new(type: string, eventInitDict?: DragEventInit): DragEvent;\n};\n\n/**\n * Inherits properties from its parent, AudioNode.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DynamicsCompressorNode)\n */\ninterface DynamicsCompressorNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DynamicsCompressorNode/attack) */\n    readonly attack: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DynamicsCompressorNode/knee) */\n    readonly knee: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DynamicsCompressorNode/ratio) */\n    readonly ratio: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DynamicsCompressorNode/reduction) */\n    readonly reduction: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DynamicsCompressorNode/release) */\n    readonly release: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DynamicsCompressorNode/threshold) */\n    readonly threshold: AudioParam;\n}\n\ndeclare var DynamicsCompressorNode: {\n    prototype: DynamicsCompressorNode;\n    new(context: BaseAudioContext, options?: DynamicsCompressorOptions): DynamicsCompressorNode;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_blend_minmax) */\ninterface EXT_blend_minmax {\n    readonly MIN_EXT: 0x8007;\n    readonly MAX_EXT: 0x8008;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_color_buffer_float) */\ninterface EXT_color_buffer_float {\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_color_buffer_half_float) */\ninterface EXT_color_buffer_half_float {\n    readonly RGBA16F_EXT: 0x881A;\n    readonly RGB16F_EXT: 0x881B;\n    readonly FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT: 0x8211;\n    readonly UNSIGNED_NORMALIZED_EXT: 0x8C17;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_float_blend) */\ninterface EXT_float_blend {\n}\n\n/**\n * The EXT_frag_depth extension is part of the WebGL API and enables to set a depth value of a fragment from within the fragment shader.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_frag_depth)\n */\ninterface EXT_frag_depth {\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_sRGB) */\ninterface EXT_sRGB {\n    readonly SRGB_EXT: 0x8C40;\n    readonly SRGB_ALPHA_EXT: 0x8C42;\n    readonly SRGB8_ALPHA8_EXT: 0x8C43;\n    readonly FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT: 0x8210;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_shader_texture_lod) */\ninterface EXT_shader_texture_lod {\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_texture_compression_bptc) */\ninterface EXT_texture_compression_bptc {\n    readonly COMPRESSED_RGBA_BPTC_UNORM_EXT: 0x8E8C;\n    readonly COMPRESSED_SRGB_ALPHA_BPTC_UNORM_EXT: 0x8E8D;\n    readonly COMPRESSED_RGB_BPTC_SIGNED_FLOAT_EXT: 0x8E8E;\n    readonly COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_EXT: 0x8E8F;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_texture_compression_rgtc) */\ninterface EXT_texture_compression_rgtc {\n    readonly COMPRESSED_RED_RGTC1_EXT: 0x8DBB;\n    readonly COMPRESSED_SIGNED_RED_RGTC1_EXT: 0x8DBC;\n    readonly COMPRESSED_RED_GREEN_RGTC2_EXT: 0x8DBD;\n    readonly COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT: 0x8DBE;\n}\n\n/**\n * The EXT_texture_filter_anisotropic extension is part of the WebGL API and exposes two constants for anisotropic filtering (AF).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_texture_filter_anisotropic)\n */\ninterface EXT_texture_filter_anisotropic {\n    readonly TEXTURE_MAX_ANISOTROPY_EXT: 0x84FE;\n    readonly MAX_TEXTURE_MAX_ANISOTROPY_EXT: 0x84FF;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_texture_norm16) */\ninterface EXT_texture_norm16 {\n    readonly R16_EXT: 0x822A;\n    readonly RG16_EXT: 0x822C;\n    readonly RGB16_EXT: 0x8054;\n    readonly RGBA16_EXT: 0x805B;\n    readonly R16_SNORM_EXT: 0x8F98;\n    readonly RG16_SNORM_EXT: 0x8F99;\n    readonly RGB16_SNORM_EXT: 0x8F9A;\n    readonly RGBA16_SNORM_EXT: 0x8F9B;\n}\n\ninterface ElementEventMap {\n    "fullscreenchange": Event;\n    "fullscreenerror": Event;\n}\n\n/**\n * Element is the most general base class from which all objects in a Document inherit. It only has methods and properties common to all kinds of elements. More specific classes inherit from Element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element)\n */\ninterface Element extends Node, ARIAMixin, Animatable, ChildNode, InnerHTML, NonDocumentTypeChildNode, ParentNode, Slottable {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/attributes) */\n    readonly attributes: NamedNodeMap;\n    /**\n     * Allows for manipulation of element\'s class content attribute as a set of whitespace-separated tokens through a DOMTokenList object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/classList)\n     */\n    readonly classList: DOMTokenList;\n    /**\n     * Returns the value of element\'s class content attribute. Can be set to change it.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/className)\n     */\n    className: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/clientHeight) */\n    readonly clientHeight: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/clientLeft) */\n    readonly clientLeft: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/clientTop) */\n    readonly clientTop: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/clientWidth) */\n    readonly clientWidth: number;\n    /**\n     * Returns the value of element\'s id content attribute. Can be set to change it.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/id)\n     */\n    id: string;\n    /**\n     * Returns the local name.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/localName)\n     */\n    readonly localName: string;\n    /**\n     * Returns the namespace.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/namespaceURI)\n     */\n    readonly namespaceURI: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/fullscreenchange_event) */\n    onfullscreenchange: ((this: Element, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/fullscreenerror_event) */\n    onfullscreenerror: ((this: Element, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/outerHTML) */\n    outerHTML: string;\n    readonly ownerDocument: Document;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/part) */\n    readonly part: DOMTokenList;\n    /**\n     * Returns the namespace prefix.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/prefix)\n     */\n    readonly prefix: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/scrollHeight) */\n    readonly scrollHeight: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/scrollLeft) */\n    scrollLeft: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/scrollTop) */\n    scrollTop: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/scrollWidth) */\n    readonly scrollWidth: number;\n    /**\n     * Returns element\'s shadow root, if any, and if shadow root\'s mode is "open", and null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/shadowRoot)\n     */\n    readonly shadowRoot: ShadowRoot | null;\n    /**\n     * Returns the value of element\'s slot content attribute. Can be set to change it.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/slot)\n     */\n    slot: string;\n    /**\n     * Returns the HTML-uppercased qualified name.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/tagName)\n     */\n    readonly tagName: string;\n    /**\n     * Creates a shadow root for element and returns it.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/attachShadow)\n     */\n    attachShadow(init: ShadowRootInit): ShadowRoot;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/checkVisibility) */\n    checkVisibility(options?: CheckVisibilityOptions): boolean;\n    /**\n     * Returns the first (starting at element) inclusive ancestor that matches selectors, and null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/closest)\n     */\n    closest<K extends keyof HTMLElementTagNameMap>(selector: K): HTMLElementTagNameMap[K] | null;\n    closest<K extends keyof SVGElementTagNameMap>(selector: K): SVGElementTagNameMap[K] | null;\n    closest<K extends keyof MathMLElementTagNameMap>(selector: K): MathMLElementTagNameMap[K] | null;\n    closest<E extends Element = Element>(selectors: string): E | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/computedStyleMap) */\n    computedStyleMap(): StylePropertyMapReadOnly;\n    /**\n     * Returns element\'s first attribute whose qualified name is qualifiedName, and null if there is no such attribute otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/getAttribute)\n     */\n    getAttribute(qualifiedName: string): string | null;\n    /**\n     * Returns element\'s attribute whose namespace is namespace and local name is localName, and null if there is no such attribute otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/getAttributeNS)\n     */\n    getAttributeNS(namespace: string | null, localName: string): string | null;\n    /**\n     * Returns the qualified names of all element\'s attributes. Can contain duplicates.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/getAttributeNames)\n     */\n    getAttributeNames(): string[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/getAttributeNode) */\n    getAttributeNode(qualifiedName: string): Attr | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/getAttributeNodeNS) */\n    getAttributeNodeNS(namespace: string | null, localName: string): Attr | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/getBoundingClientRect) */\n    getBoundingClientRect(): DOMRect;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/getClientRects) */\n    getClientRects(): DOMRectList;\n    /**\n     * Returns a HTMLCollection of the elements in the object on which the method was invoked (a document or an element) that have all the classes given by classNames. The classNames argument is interpreted as a space-separated list of classes.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/getElementsByClassName)\n     */\n    getElementsByClassName(classNames: string): HTMLCollectionOf<Element>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/getElementsByTagName) */\n    getElementsByTagName<K extends keyof HTMLElementTagNameMap>(qualifiedName: K): HTMLCollectionOf<HTMLElementTagNameMap[K]>;\n    getElementsByTagName<K extends keyof SVGElementTagNameMap>(qualifiedName: K): HTMLCollectionOf<SVGElementTagNameMap[K]>;\n    getElementsByTagName<K extends keyof MathMLElementTagNameMap>(qualifiedName: K): HTMLCollectionOf<MathMLElementTagNameMap[K]>;\n    /** @deprecated */\n    getElementsByTagName<K extends keyof HTMLElementDeprecatedTagNameMap>(qualifiedName: K): HTMLCollectionOf<HTMLElementDeprecatedTagNameMap[K]>;\n    getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/getElementsByTagNameNS) */\n    getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>;\n    getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>;\n    getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1998/Math/MathML", localName: string): HTMLCollectionOf<MathMLElement>;\n    getElementsByTagNameNS(namespace: string | null, localName: string): HTMLCollectionOf<Element>;\n    /**\n     * Returns true if element has an attribute whose qualified name is qualifiedName, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/hasAttribute)\n     */\n    hasAttribute(qualifiedName: string): boolean;\n    /**\n     * Returns true if element has an attribute whose namespace is namespace and local name is localName.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/hasAttributeNS)\n     */\n    hasAttributeNS(namespace: string | null, localName: string): boolean;\n    /**\n     * Returns true if element has attributes, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/hasAttributes)\n     */\n    hasAttributes(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/hasPointerCapture) */\n    hasPointerCapture(pointerId: number): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/insertAdjacentElement) */\n    insertAdjacentElement(where: InsertPosition, element: Element): Element | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/insertAdjacentHTML) */\n    insertAdjacentHTML(position: InsertPosition, text: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/insertAdjacentText) */\n    insertAdjacentText(where: InsertPosition, data: string): void;\n    /**\n     * Returns true if matching selectors against element\'s root yields element, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/matches)\n     */\n    matches(selectors: string): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/releasePointerCapture) */\n    releasePointerCapture(pointerId: number): void;\n    /**\n     * Removes element\'s first attribute whose qualified name is qualifiedName.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/removeAttribute)\n     */\n    removeAttribute(qualifiedName: string): void;\n    /**\n     * Removes element\'s attribute whose namespace is namespace and local name is localName.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/removeAttributeNS)\n     */\n    removeAttributeNS(namespace: string | null, localName: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/removeAttributeNode) */\n    removeAttributeNode(attr: Attr): Attr;\n    /**\n     * Displays element fullscreen and resolves promise when done.\n     *\n     * When supplied, options\'s navigationUI member indicates whether showing navigation UI while in fullscreen is preferred or not. If set to "show", navigation simplicity is preferred over screen space, and if set to "hide", more screen space is preferred. User agents are always free to honor user preference over the application\'s. The default value "auto" indicates no application preference.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/requestFullscreen)\n     */\n    requestFullscreen(options?: FullscreenOptions): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/requestPointerLock) */\n    requestPointerLock(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/scroll) */\n    scroll(options?: ScrollToOptions): void;\n    scroll(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/scrollBy) */\n    scrollBy(options?: ScrollToOptions): void;\n    scrollBy(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/scrollIntoView) */\n    scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/scrollTo) */\n    scrollTo(options?: ScrollToOptions): void;\n    scrollTo(x: number, y: number): void;\n    /**\n     * Sets the value of element\'s first attribute whose qualified name is qualifiedName to value.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/setAttribute)\n     */\n    setAttribute(qualifiedName: string, value: string): void;\n    /**\n     * Sets the value of element\'s attribute whose namespace is namespace and local name is localName to value.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/setAttributeNS)\n     */\n    setAttributeNS(namespace: string | null, qualifiedName: string, value: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/setAttributeNode) */\n    setAttributeNode(attr: Attr): Attr | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/setAttributeNodeNS) */\n    setAttributeNodeNS(attr: Attr): Attr | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/setPointerCapture) */\n    setPointerCapture(pointerId: number): void;\n    /**\n     * If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName. If force is false, removes qualifiedName.\n     *\n     * Returns true if qualifiedName is now present, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/toggleAttribute)\n     */\n    toggleAttribute(qualifiedName: string, force?: boolean): boolean;\n    /**\n     * @deprecated This is a legacy alias of `matches`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/matches)\n     */\n    webkitMatchesSelector(selectors: string): boolean;\n    addEventListener<K extends keyof ElementEventMap>(type: K, listener: (this: Element, ev: ElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof ElementEventMap>(type: K, listener: (this: Element, ev: ElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var Element: {\n    prototype: Element;\n    new(): Element;\n};\n\ninterface ElementCSSInlineStyle {\n    readonly attributeStyleMap: StylePropertyMap;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/style) */\n    readonly style: CSSStyleDeclaration;\n}\n\ninterface ElementContentEditable {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/contentEditable) */\n    contentEditable: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/enterKeyHint) */\n    enterKeyHint: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/inputMode) */\n    inputMode: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/isContentEditable) */\n    readonly isContentEditable: boolean;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ElementInternals) */\ninterface ElementInternals extends ARIAMixin {\n    /**\n     * Returns the form owner of internals\'s target element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ElementInternals/form)\n     */\n    readonly form: HTMLFormElement | null;\n    /**\n     * Returns a NodeList of all the label elements that internals\'s target element is associated with.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ElementInternals/labels)\n     */\n    readonly labels: NodeList;\n    /**\n     * Returns the ShadowRoot for internals\'s target element, if the target element is a shadow host, or null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ElementInternals/shadowRoot)\n     */\n    readonly shadowRoot: ShadowRoot | null;\n    /**\n     * Returns the error message that would be shown to the user if internals\'s target element was to be checked for validity.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ElementInternals/validationMessage)\n     */\n    readonly validationMessage: string;\n    /**\n     * Returns the ValidityState object for internals\'s target element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ElementInternals/validity)\n     */\n    readonly validity: ValidityState;\n    /**\n     * Returns true if internals\'s target element will be validated when the form is submitted; false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ElementInternals/willValidate)\n     */\n    readonly willValidate: boolean;\n    /**\n     * Returns true if internals\'s target element has no validity problems; false otherwise. Fires an invalid event at the element in the latter case.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ElementInternals/checkValidity)\n     */\n    checkValidity(): boolean;\n    /**\n     * Returns true if internals\'s target element has no validity problems; otherwise, returns false, fires an invalid event at the element, and (if the event isn\'t canceled) reports the problem to the user.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ElementInternals/reportValidity)\n     */\n    reportValidity(): boolean;\n    /**\n     * Sets both the state and submission value of internals\'s target element to value.\n     *\n     * If value is null, the element won\'t participate in form submission.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ElementInternals/setFormValue)\n     */\n    setFormValue(value: File | string | FormData | null, state?: File | string | FormData | null): void;\n    /**\n     * Marks internals\'s target element as suffering from the constraints indicated by the flags argument, and sets the element\'s validation message to message. If anchor is specified, the user agent might use it to indicate problems with the constraints of internals\'s target element when the form owner is validated interactively or reportValidity() is called.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ElementInternals/setValidity)\n     */\n    setValidity(flags?: ValidityStateFlags, message?: string, anchor?: HTMLElement): void;\n}\n\ndeclare var ElementInternals: {\n    prototype: ElementInternals;\n    new(): ElementInternals;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EncodedVideoChunk) */\ninterface EncodedVideoChunk {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EncodedVideoChunk/byteLength) */\n    readonly byteLength: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EncodedVideoChunk/duration) */\n    readonly duration: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EncodedVideoChunk/timestamp) */\n    readonly timestamp: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EncodedVideoChunk/type) */\n    readonly type: EncodedVideoChunkType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EncodedVideoChunk/copyTo) */\n    copyTo(destination: AllowSharedBufferSource): void;\n}\n\ndeclare var EncodedVideoChunk: {\n    prototype: EncodedVideoChunk;\n    new(init: EncodedVideoChunkInit): EncodedVideoChunk;\n};\n\n/**\n * Events providing information related to errors in scripts or in files.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ErrorEvent)\n */\ninterface ErrorEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ErrorEvent/colno) */\n    readonly colno: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ErrorEvent/error) */\n    readonly error: any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ErrorEvent/filename) */\n    readonly filename: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ErrorEvent/lineno) */\n    readonly lineno: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ErrorEvent/message) */\n    readonly message: string;\n}\n\ndeclare var ErrorEvent: {\n    prototype: ErrorEvent;\n    new(type: string, eventInitDict?: ErrorEventInit): ErrorEvent;\n};\n\n/**\n * An event which takes place in the DOM.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event)\n */\ninterface Event {\n    /**\n     * Returns true or false depending on how event was initialized. True if event goes through its target\'s ancestors in reverse tree order, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/bubbles)\n     */\n    readonly bubbles: boolean;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/cancelBubble)\n     */\n    cancelBubble: boolean;\n    /**\n     * Returns true or false depending on how event was initialized. Its return value does not always carry meaning, but true can indicate that part of the operation during which event was dispatched, can be canceled by invoking the preventDefault() method.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/cancelable)\n     */\n    readonly cancelable: boolean;\n    /**\n     * Returns true or false depending on how event was initialized. True if event invokes listeners past a ShadowRoot node that is the root of its target, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/composed)\n     */\n    readonly composed: boolean;\n    /**\n     * Returns the object whose event listener\'s callback is currently being invoked.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/currentTarget)\n     */\n    readonly currentTarget: EventTarget | null;\n    /**\n     * Returns true if preventDefault() was invoked successfully to indicate cancelation, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/defaultPrevented)\n     */\n    readonly defaultPrevented: boolean;\n    /**\n     * Returns the event\'s phase, which is one of NONE, CAPTURING_PHASE, AT_TARGET, and BUBBLING_PHASE.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/eventPhase)\n     */\n    readonly eventPhase: number;\n    /**\n     * Returns true if event was dispatched by the user agent, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/isTrusted)\n     */\n    readonly isTrusted: boolean;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/returnValue)\n     */\n    returnValue: boolean;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/srcElement)\n     */\n    readonly srcElement: EventTarget | null;\n    /**\n     * Returns the object to which event is dispatched (its target).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/target)\n     */\n    readonly target: EventTarget | null;\n    /**\n     * Returns the event\'s timestamp as the number of milliseconds measured relative to the time origin.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/timeStamp)\n     */\n    readonly timeStamp: DOMHighResTimeStamp;\n    /**\n     * Returns the type of event, e.g. "click", "hashchange", or "submit".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/type)\n     */\n    readonly type: string;\n    /**\n     * Returns the invocation target objects of event\'s path (objects on which listeners will be invoked), except for any nodes in shadow trees of which the shadow root\'s mode is "closed" that are not reachable from event\'s currentTarget.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/composedPath)\n     */\n    composedPath(): EventTarget[];\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/initEvent)\n     */\n    initEvent(type: string, bubbles?: boolean, cancelable?: boolean): void;\n    /**\n     * If invoked when the cancelable attribute value is true, and while executing a listener for the event with passive set to false, signals to the operation that caused event to be dispatched that it needs to be canceled.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/preventDefault)\n     */\n    preventDefault(): void;\n    /**\n     * Invoking this method prevents event from reaching any registered event listeners after the current one finishes running and, when dispatched in a tree, also prevents event from reaching any other objects.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/stopImmediatePropagation)\n     */\n    stopImmediatePropagation(): void;\n    /**\n     * When dispatched in a tree, invoking this method prevents event from reaching any objects other than the current object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/stopPropagation)\n     */\n    stopPropagation(): void;\n    readonly NONE: 0;\n    readonly CAPTURING_PHASE: 1;\n    readonly AT_TARGET: 2;\n    readonly BUBBLING_PHASE: 3;\n}\n\ndeclare var Event: {\n    prototype: Event;\n    new(type: string, eventInitDict?: EventInit): Event;\n    readonly NONE: 0;\n    readonly CAPTURING_PHASE: 1;\n    readonly AT_TARGET: 2;\n    readonly BUBBLING_PHASE: 3;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventCounts) */\ninterface EventCounts {\n    forEach(callbackfn: (value: number, key: string, parent: EventCounts) => void, thisArg?: any): void;\n}\n\ndeclare var EventCounts: {\n    prototype: EventCounts;\n    new(): EventCounts;\n};\n\ninterface EventListener {\n    (evt: Event): void;\n}\n\ninterface EventListenerObject {\n    handleEvent(object: Event): void;\n}\n\ninterface EventSourceEventMap {\n    "error": Event;\n    "message": MessageEvent;\n    "open": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource) */\ninterface EventSource extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/error_event) */\n    onerror: ((this: EventSource, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/message_event) */\n    onmessage: ((this: EventSource, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/open_event) */\n    onopen: ((this: EventSource, ev: Event) => any) | null;\n    /**\n     * Returns the state of this EventSource object\'s connection. It can have the values described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/readyState)\n     */\n    readonly readyState: number;\n    /**\n     * Returns the URL providing the event stream.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/url)\n     */\n    readonly url: string;\n    /**\n     * Returns true if the credentials mode for connection requests to the URL providing the event stream is set to "include", and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/withCredentials)\n     */\n    readonly withCredentials: boolean;\n    /**\n     * Aborts any instances of the fetch algorithm started for this EventSource object, and sets the readyState attribute to CLOSED.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/close)\n     */\n    close(): void;\n    readonly CONNECTING: 0;\n    readonly OPEN: 1;\n    readonly CLOSED: 2;\n    addEventListener<K extends keyof EventSourceEventMap>(type: K, listener: (this: EventSource, ev: EventSourceEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: (this: EventSource, event: MessageEvent) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof EventSourceEventMap>(type: K, listener: (this: EventSource, ev: EventSourceEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: (this: EventSource, event: MessageEvent) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var EventSource: {\n    prototype: EventSource;\n    new(url: string | URL, eventSourceInitDict?: EventSourceInit): EventSource;\n    readonly CONNECTING: 0;\n    readonly OPEN: 1;\n    readonly CLOSED: 2;\n};\n\n/**\n * EventTarget is a DOM interface implemented by objects that can receive events and may have listeners for them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget)\n */\ninterface EventTarget {\n    /**\n     * Appends an event listener for events whose type attribute value is type. The callback argument sets the callback that will be invoked when the event is dispatched.\n     *\n     * The options argument sets listener-specific options. For compatibility this can be a boolean, in which case the method behaves exactly as if the value was specified as options\'s capture.\n     *\n     * When set to true, options\'s capture prevents callback from being invoked when the event\'s eventPhase attribute value is BUBBLING_PHASE. When false (or not present), callback will not be invoked when event\'s eventPhase attribute value is CAPTURING_PHASE. Either way, callback will be invoked if event\'s eventPhase attribute value is AT_TARGET.\n     *\n     * When set to true, options\'s passive indicates that the callback will not cancel the event by invoking preventDefault(). This is used to enable performance optimizations described in § 2.8 Observing event listeners.\n     *\n     * When set to true, options\'s once indicates that the callback will only be invoked once after which the event listener will be removed.\n     *\n     * If an AbortSignal is passed for options\'s signal, then the event listener will be removed when signal is aborted.\n     *\n     * The event listener is appended to target\'s event listener list and is not appended if it has the same type, callback, and capture.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/addEventListener)\n     */\n    addEventListener(type: string, callback: EventListenerOrEventListenerObject | null, options?: AddEventListenerOptions | boolean): void;\n    /**\n     * Dispatches a synthetic event event to target and returns true if either event\'s cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/dispatchEvent)\n     */\n    dispatchEvent(event: Event): boolean;\n    /**\n     * Removes the event listener in target\'s event listener list with the same type, callback, and options.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/removeEventListener)\n     */\n    removeEventListener(type: string, callback: EventListenerOrEventListenerObject | null, options?: EventListenerOptions | boolean): void;\n}\n\ndeclare var EventTarget: {\n    prototype: EventTarget;\n    new(): EventTarget;\n};\n\n/**\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/External)\n */\ninterface External {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/External/AddSearchProvider)\n     */\n    AddSearchProvider(): void;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/External/IsSearchProviderInstalled)\n     */\n    IsSearchProviderInstalled(): void;\n}\n\n/** @deprecated */\ndeclare var External: {\n    prototype: External;\n    new(): External;\n};\n\n/**\n * Provides information about files and allows JavaScript in a web page to access their content.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/File)\n */\ninterface File extends Blob {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/File/lastModified) */\n    readonly lastModified: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/File/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/File/webkitRelativePath) */\n    readonly webkitRelativePath: string;\n}\n\ndeclare var File: {\n    prototype: File;\n    new(fileBits: BlobPart[], fileName: string, options?: FilePropertyBag): File;\n};\n\n/**\n * An object of this type is returned by the files property of the HTML <input> element; this lets you access the list of files selected with the <input type="file"> element. It\'s also used for a list of files dropped into web content when using the drag and drop API; see the DataTransfer object for details on this usage.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileList)\n */\ninterface FileList {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileList/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileList/item) */\n    item(index: number): File | null;\n    [index: number]: File;\n}\n\ndeclare var FileList: {\n    prototype: FileList;\n    new(): FileList;\n};\n\ninterface FileReaderEventMap {\n    "abort": ProgressEvent<FileReader>;\n    "error": ProgressEvent<FileReader>;\n    "load": ProgressEvent<FileReader>;\n    "loadend": ProgressEvent<FileReader>;\n    "loadstart": ProgressEvent<FileReader>;\n    "progress": ProgressEvent<FileReader>;\n}\n\n/**\n * Lets web applications asynchronously read the contents of files (or raw data buffers) stored on the user\'s computer, using File or Blob objects to specify the file or data to read.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader)\n */\ninterface FileReader extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/error) */\n    readonly error: DOMException | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/abort_event) */\n    onabort: ((this: FileReader, ev: ProgressEvent<FileReader>) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/error_event) */\n    onerror: ((this: FileReader, ev: ProgressEvent<FileReader>) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/load_event) */\n    onload: ((this: FileReader, ev: ProgressEvent<FileReader>) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/loadend_event) */\n    onloadend: ((this: FileReader, ev: ProgressEvent<FileReader>) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/loadstart_event) */\n    onloadstart: ((this: FileReader, ev: ProgressEvent<FileReader>) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/progress_event) */\n    onprogress: ((this: FileReader, ev: ProgressEvent<FileReader>) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/readyState) */\n    readonly readyState: typeof FileReader.EMPTY | typeof FileReader.LOADING | typeof FileReader.DONE;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/result) */\n    readonly result: string | ArrayBuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/abort) */\n    abort(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/readAsArrayBuffer) */\n    readAsArrayBuffer(blob: Blob): void;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/readAsBinaryString)\n     */\n    readAsBinaryString(blob: Blob): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/readAsDataURL) */\n    readAsDataURL(blob: Blob): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/readAsText) */\n    readAsText(blob: Blob, encoding?: string): void;\n    readonly EMPTY: 0;\n    readonly LOADING: 1;\n    readonly DONE: 2;\n    addEventListener<K extends keyof FileReaderEventMap>(type: K, listener: (this: FileReader, ev: FileReaderEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof FileReaderEventMap>(type: K, listener: (this: FileReader, ev: FileReaderEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var FileReader: {\n    prototype: FileReader;\n    new(): FileReader;\n    readonly EMPTY: 0;\n    readonly LOADING: 1;\n    readonly DONE: 2;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystem) */\ninterface FileSystem {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystem/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystem/root) */\n    readonly root: FileSystemDirectoryEntry;\n}\n\ndeclare var FileSystem: {\n    prototype: FileSystem;\n    new(): FileSystem;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryEntry) */\ninterface FileSystemDirectoryEntry extends FileSystemEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryEntry/createReader) */\n    createReader(): FileSystemDirectoryReader;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryEntry/getDirectory) */\n    getDirectory(path?: string | null, options?: FileSystemFlags, successCallback?: FileSystemEntryCallback, errorCallback?: ErrorCallback): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryEntry/getFile) */\n    getFile(path?: string | null, options?: FileSystemFlags, successCallback?: FileSystemEntryCallback, errorCallback?: ErrorCallback): void;\n}\n\ndeclare var FileSystemDirectoryEntry: {\n    prototype: FileSystemDirectoryEntry;\n    new(): FileSystemDirectoryEntry;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryHandle)\n */\ninterface FileSystemDirectoryHandle extends FileSystemHandle {\n    readonly kind: "directory";\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryHandle/getDirectoryHandle) */\n    getDirectoryHandle(name: string, options?: FileSystemGetDirectoryOptions): Promise<FileSystemDirectoryHandle>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryHandle/getFileHandle) */\n    getFileHandle(name: string, options?: FileSystemGetFileOptions): Promise<FileSystemFileHandle>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryHandle/removeEntry) */\n    removeEntry(name: string, options?: FileSystemRemoveOptions): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryHandle/resolve) */\n    resolve(possibleDescendant: FileSystemHandle): Promise<string[] | null>;\n}\n\ndeclare var FileSystemDirectoryHandle: {\n    prototype: FileSystemDirectoryHandle;\n    new(): FileSystemDirectoryHandle;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryReader) */\ninterface FileSystemDirectoryReader {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryReader/readEntries) */\n    readEntries(successCallback: FileSystemEntriesCallback, errorCallback?: ErrorCallback): void;\n}\n\ndeclare var FileSystemDirectoryReader: {\n    prototype: FileSystemDirectoryReader;\n    new(): FileSystemDirectoryReader;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemEntry) */\ninterface FileSystemEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemEntry/filesystem) */\n    readonly filesystem: FileSystem;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemEntry/fullPath) */\n    readonly fullPath: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemEntry/isDirectory) */\n    readonly isDirectory: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemEntry/isFile) */\n    readonly isFile: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemEntry/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemEntry/getParent) */\n    getParent(successCallback?: FileSystemEntryCallback, errorCallback?: ErrorCallback): void;\n}\n\ndeclare var FileSystemEntry: {\n    prototype: FileSystemEntry;\n    new(): FileSystemEntry;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemFileEntry) */\ninterface FileSystemFileEntry extends FileSystemEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemFileEntry/file) */\n    file(successCallback: FileCallback, errorCallback?: ErrorCallback): void;\n}\n\ndeclare var FileSystemFileEntry: {\n    prototype: FileSystemFileEntry;\n    new(): FileSystemFileEntry;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemFileHandle)\n */\ninterface FileSystemFileHandle extends FileSystemHandle {\n    readonly kind: "file";\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemFileHandle/createWritable) */\n    createWritable(options?: FileSystemCreateWritableOptions): Promise<FileSystemWritableFileStream>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemFileHandle/getFile) */\n    getFile(): Promise<File>;\n}\n\ndeclare var FileSystemFileHandle: {\n    prototype: FileSystemFileHandle;\n    new(): FileSystemFileHandle;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemHandle)\n */\ninterface FileSystemHandle {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemHandle/kind) */\n    readonly kind: FileSystemHandleKind;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemHandle/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemHandle/isSameEntry) */\n    isSameEntry(other: FileSystemHandle): Promise<boolean>;\n}\n\ndeclare var FileSystemHandle: {\n    prototype: FileSystemHandle;\n    new(): FileSystemHandle;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemWritableFileStream)\n */\ninterface FileSystemWritableFileStream extends WritableStream {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemWritableFileStream/seek) */\n    seek(position: number): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemWritableFileStream/truncate) */\n    truncate(size: number): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemWritableFileStream/write) */\n    write(data: FileSystemWriteChunkType): Promise<void>;\n}\n\ndeclare var FileSystemWritableFileStream: {\n    prototype: FileSystemWritableFileStream;\n    new(): FileSystemWritableFileStream;\n};\n\n/**\n * Focus-related events like focus, blur, focusin, or focusout.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FocusEvent)\n */\ninterface FocusEvent extends UIEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FocusEvent/relatedTarget) */\n    readonly relatedTarget: EventTarget | null;\n}\n\ndeclare var FocusEvent: {\n    prototype: FocusEvent;\n    new(type: string, eventInitDict?: FocusEventInit): FocusEvent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace) */\ninterface FontFace {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/ascentOverride) */\n    ascentOverride: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/descentOverride) */\n    descentOverride: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/display) */\n    display: FontDisplay;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/family) */\n    family: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/featureSettings) */\n    featureSettings: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/lineGapOverride) */\n    lineGapOverride: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/loaded) */\n    readonly loaded: Promise<FontFace>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/status) */\n    readonly status: FontFaceLoadStatus;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/stretch) */\n    stretch: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/style) */\n    style: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/unicodeRange) */\n    unicodeRange: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/weight) */\n    weight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/load) */\n    load(): Promise<FontFace>;\n}\n\ndeclare var FontFace: {\n    prototype: FontFace;\n    new(family: string, source: string | BinaryData, descriptors?: FontFaceDescriptors): FontFace;\n};\n\ninterface FontFaceSetEventMap {\n    "loading": Event;\n    "loadingdone": Event;\n    "loadingerror": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet) */\ninterface FontFaceSet extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/loading_event) */\n    onloading: ((this: FontFaceSet, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/loadingdone_event) */\n    onloadingdone: ((this: FontFaceSet, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/loadingerror_event) */\n    onloadingerror: ((this: FontFaceSet, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/ready) */\n    readonly ready: Promise<FontFaceSet>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/status) */\n    readonly status: FontFaceSetLoadStatus;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/check) */\n    check(font: string, text?: string): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/load) */\n    load(font: string, text?: string): Promise<FontFace[]>;\n    forEach(callbackfn: (value: FontFace, key: FontFace, parent: FontFaceSet) => void, thisArg?: any): void;\n    addEventListener<K extends keyof FontFaceSetEventMap>(type: K, listener: (this: FontFaceSet, ev: FontFaceSetEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof FontFaceSetEventMap>(type: K, listener: (this: FontFaceSet, ev: FontFaceSetEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var FontFaceSet: {\n    prototype: FontFaceSet;\n    new(initialFaces: FontFace[]): FontFaceSet;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSetLoadEvent) */\ninterface FontFaceSetLoadEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSetLoadEvent/fontfaces) */\n    readonly fontfaces: ReadonlyArray<FontFace>;\n}\n\ndeclare var FontFaceSetLoadEvent: {\n    prototype: FontFaceSetLoadEvent;\n    new(type: string, eventInitDict?: FontFaceSetLoadEventInit): FontFaceSetLoadEvent;\n};\n\ninterface FontFaceSource {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/fonts) */\n    readonly fonts: FontFaceSet;\n}\n\n/**\n * Provides a way to easily construct a set of key/value pairs representing form fields and their values, which can then be easily sent using the XMLHttpRequest.send() method. It uses the same format a form would use if the encoding type were set to "multipart/form-data".\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData)\n */\ninterface FormData {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData/append) */\n    append(name: string, value: string | Blob): void;\n    append(name: string, value: string): void;\n    append(name: string, blobValue: Blob, filename?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData/delete) */\n    delete(name: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData/get) */\n    get(name: string): FormDataEntryValue | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData/getAll) */\n    getAll(name: string): FormDataEntryValue[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData/has) */\n    has(name: string): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData/set) */\n    set(name: string, value: string | Blob): void;\n    set(name: string, value: string): void;\n    set(name: string, blobValue: Blob, filename?: string): void;\n    forEach(callbackfn: (value: FormDataEntryValue, key: string, parent: FormData) => void, thisArg?: any): void;\n}\n\ndeclare var FormData: {\n    prototype: FormData;\n    new(form?: HTMLFormElement, submitter?: HTMLElement | null): FormData;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormDataEvent) */\ninterface FormDataEvent extends Event {\n    /**\n     * Returns a FormData object representing names and values of elements associated to the target form. Operations on the FormData object will affect form data to be submitted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormDataEvent/formData)\n     */\n    readonly formData: FormData;\n}\n\ndeclare var FormDataEvent: {\n    prototype: FormDataEvent;\n    new(type: string, eventInitDict: FormDataEventInit): FormDataEvent;\n};\n\n/**\n * A change in volume. It is an AudioNode audio-processing module that causes a given gain to be applied to the input data before its propagation to the output. A GainNode always has exactly one input and one output, both with the same number of channels.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/GainNode)\n */\ninterface GainNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GainNode/gain) */\n    readonly gain: AudioParam;\n}\n\ndeclare var GainNode: {\n    prototype: GainNode;\n    new(context: BaseAudioContext, options?: GainOptions): GainNode;\n};\n\n/**\n * This Gamepad API interface defines an individual gamepad or other controller, allowing access to information such as button presses, axis positions, and id.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Gamepad)\n */\ninterface Gamepad {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Gamepad/axes) */\n    readonly axes: ReadonlyArray<number>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Gamepad/buttons) */\n    readonly buttons: ReadonlyArray<GamepadButton>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Gamepad/connected) */\n    readonly connected: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Gamepad/id) */\n    readonly id: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Gamepad/index) */\n    readonly index: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Gamepad/mapping) */\n    readonly mapping: GamepadMappingType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Gamepad/timestamp) */\n    readonly timestamp: DOMHighResTimeStamp;\n    readonly vibrationActuator: GamepadHapticActuator | null;\n}\n\ndeclare var Gamepad: {\n    prototype: Gamepad;\n    new(): Gamepad;\n};\n\n/**\n * An individual button of a gamepad or other controller, allowing access to the current state of different types of buttons available on the control device.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/GamepadButton)\n */\ninterface GamepadButton {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GamepadButton/pressed) */\n    readonly pressed: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GamepadButton/touched) */\n    readonly touched: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GamepadButton/value) */\n    readonly value: number;\n}\n\ndeclare var GamepadButton: {\n    prototype: GamepadButton;\n    new(): GamepadButton;\n};\n\n/**\n * This Gamepad API interface contains references to gamepads connected to the system, which is what the gamepad events Window.gamepadconnected and Window.gamepaddisconnected are fired in response to.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/GamepadEvent)\n */\ninterface GamepadEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GamepadEvent/gamepad) */\n    readonly gamepad: Gamepad;\n}\n\ndeclare var GamepadEvent: {\n    prototype: GamepadEvent;\n    new(type: string, eventInitDict: GamepadEventInit): GamepadEvent;\n};\n\n/**\n * This Gamepad API interface represents hardware in the controller designed to provide haptic feedback to the user (if available), most commonly vibration hardware.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/GamepadHapticActuator)\n */\ninterface GamepadHapticActuator {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GamepadHapticActuator/type) */\n    readonly type: GamepadHapticActuatorType;\n    playEffect(type: GamepadHapticEffectType, params?: GamepadEffectParameters): Promise<GamepadHapticsResult>;\n    reset(): Promise<GamepadHapticsResult>;\n}\n\ndeclare var GamepadHapticActuator: {\n    prototype: GamepadHapticActuator;\n    new(): GamepadHapticActuator;\n};\n\ninterface GenericTransformStream {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CompressionStream/readable) */\n    readonly readable: ReadableStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CompressionStream/writable) */\n    readonly writable: WritableStream;\n}\n\n/**\n * An object able to programmatically obtain the position of the device. It gives Web content access to the location of the device. This allows a Web site or app to offer customized results based on the user\'s location.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Geolocation)\n */\ninterface Geolocation {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Geolocation/clearWatch) */\n    clearWatch(watchId: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Geolocation/getCurrentPosition) */\n    getCurrentPosition(successCallback: PositionCallback, errorCallback?: PositionErrorCallback | null, options?: PositionOptions): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Geolocation/watchPosition) */\n    watchPosition(successCallback: PositionCallback, errorCallback?: PositionErrorCallback | null, options?: PositionOptions): number;\n}\n\ndeclare var Geolocation: {\n    prototype: Geolocation;\n    new(): Geolocation;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationCoordinates)\n */\ninterface GeolocationCoordinates {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationCoordinates/accuracy) */\n    readonly accuracy: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationCoordinates/altitude) */\n    readonly altitude: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationCoordinates/altitudeAccuracy) */\n    readonly altitudeAccuracy: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationCoordinates/heading) */\n    readonly heading: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationCoordinates/latitude) */\n    readonly latitude: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationCoordinates/longitude) */\n    readonly longitude: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationCoordinates/speed) */\n    readonly speed: number | null;\n}\n\ndeclare var GeolocationCoordinates: {\n    prototype: GeolocationCoordinates;\n    new(): GeolocationCoordinates;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationPosition)\n */\ninterface GeolocationPosition {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationPosition/coords) */\n    readonly coords: GeolocationCoordinates;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationPosition/timestamp) */\n    readonly timestamp: EpochTimeStamp;\n}\n\ndeclare var GeolocationPosition: {\n    prototype: GeolocationPosition;\n    new(): GeolocationPosition;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationPositionError) */\ninterface GeolocationPositionError {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationPositionError/code) */\n    readonly code: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/GeolocationPositionError/message) */\n    readonly message: string;\n    readonly PERMISSION_DENIED: 1;\n    readonly POSITION_UNAVAILABLE: 2;\n    readonly TIMEOUT: 3;\n}\n\ndeclare var GeolocationPositionError: {\n    prototype: GeolocationPositionError;\n    new(): GeolocationPositionError;\n    readonly PERMISSION_DENIED: 1;\n    readonly POSITION_UNAVAILABLE: 2;\n    readonly TIMEOUT: 3;\n};\n\ninterface GlobalEventHandlersEventMap {\n    "abort": UIEvent;\n    "animationcancel": AnimationEvent;\n    "animationend": AnimationEvent;\n    "animationiteration": AnimationEvent;\n    "animationstart": AnimationEvent;\n    "auxclick": MouseEvent;\n    "beforeinput": InputEvent;\n    "beforetoggle": Event;\n    "blur": FocusEvent;\n    "cancel": Event;\n    "canplay": Event;\n    "canplaythrough": Event;\n    "change": Event;\n    "click": MouseEvent;\n    "close": Event;\n    "compositionend": CompositionEvent;\n    "compositionstart": CompositionEvent;\n    "compositionupdate": CompositionEvent;\n    "contextmenu": MouseEvent;\n    "copy": ClipboardEvent;\n    "cuechange": Event;\n    "cut": ClipboardEvent;\n    "dblclick": MouseEvent;\n    "drag": DragEvent;\n    "dragend": DragEvent;\n    "dragenter": DragEvent;\n    "dragleave": DragEvent;\n    "dragover": DragEvent;\n    "dragstart": DragEvent;\n    "drop": DragEvent;\n    "durationchange": Event;\n    "emptied": Event;\n    "ended": Event;\n    "error": ErrorEvent;\n    "focus": FocusEvent;\n    "focusin": FocusEvent;\n    "focusout": FocusEvent;\n    "formdata": FormDataEvent;\n    "gotpointercapture": PointerEvent;\n    "input": Event;\n    "invalid": Event;\n    "keydown": KeyboardEvent;\n    "keypress": KeyboardEvent;\n    "keyup": KeyboardEvent;\n    "load": Event;\n    "loadeddata": Event;\n    "loadedmetadata": Event;\n    "loadstart": Event;\n    "lostpointercapture": PointerEvent;\n    "mousedown": MouseEvent;\n    "mouseenter": MouseEvent;\n    "mouseleave": MouseEvent;\n    "mousemove": MouseEvent;\n    "mouseout": MouseEvent;\n    "mouseover": MouseEvent;\n    "mouseup": MouseEvent;\n    "paste": ClipboardEvent;\n    "pause": Event;\n    "play": Event;\n    "playing": Event;\n    "pointercancel": PointerEvent;\n    "pointerdown": PointerEvent;\n    "pointerenter": PointerEvent;\n    "pointerleave": PointerEvent;\n    "pointermove": PointerEvent;\n    "pointerout": PointerEvent;\n    "pointerover": PointerEvent;\n    "pointerup": PointerEvent;\n    "progress": ProgressEvent;\n    "ratechange": Event;\n    "reset": Event;\n    "resize": UIEvent;\n    "scroll": Event;\n    "scrollend": Event;\n    "securitypolicyviolation": SecurityPolicyViolationEvent;\n    "seeked": Event;\n    "seeking": Event;\n    "select": Event;\n    "selectionchange": Event;\n    "selectstart": Event;\n    "slotchange": Event;\n    "stalled": Event;\n    "submit": SubmitEvent;\n    "suspend": Event;\n    "timeupdate": Event;\n    "toggle": Event;\n    "touchcancel": TouchEvent;\n    "touchend": TouchEvent;\n    "touchmove": TouchEvent;\n    "touchstart": TouchEvent;\n    "transitioncancel": TransitionEvent;\n    "transitionend": TransitionEvent;\n    "transitionrun": TransitionEvent;\n    "transitionstart": TransitionEvent;\n    "volumechange": Event;\n    "waiting": Event;\n    "webkitanimationend": Event;\n    "webkitanimationiteration": Event;\n    "webkitanimationstart": Event;\n    "webkittransitionend": Event;\n    "wheel": WheelEvent;\n}\n\ninterface GlobalEventHandlers {\n    /**\n     * Fires when the user aborts the download.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/abort_event)\n     */\n    onabort: ((this: GlobalEventHandlers, ev: UIEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationcancel_event) */\n    onanimationcancel: ((this: GlobalEventHandlers, ev: AnimationEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationend_event) */\n    onanimationend: ((this: GlobalEventHandlers, ev: AnimationEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationiteration_event) */\n    onanimationiteration: ((this: GlobalEventHandlers, ev: AnimationEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationstart_event) */\n    onanimationstart: ((this: GlobalEventHandlers, ev: AnimationEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/auxclick_event) */\n    onauxclick: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/beforeinput_event) */\n    onbeforeinput: ((this: GlobalEventHandlers, ev: InputEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/beforetoggle_event) */\n    onbeforetoggle: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Fires when the object loses the input focus.\n     * @param ev The focus event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/blur_event)\n     */\n    onblur: ((this: GlobalEventHandlers, ev: FocusEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDialogElement/cancel_event) */\n    oncancel: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Occurs when playback is possible, but would require further buffering.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/canplay_event)\n     */\n    oncanplay: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/canplaythrough_event) */\n    oncanplaythrough: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Fires when the contents of the object or selection have changed.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/change_event)\n     */\n    onchange: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Fires when the user clicks the left mouse button on the object\n     * @param ev The mouse event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/click_event)\n     */\n    onclick: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDialogElement/close_event) */\n    onclose: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Fires when the user clicks the right mouse button in the client area, opening the context menu.\n     * @param ev The mouse event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/contextmenu_event)\n     */\n    oncontextmenu: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/copy_event) */\n    oncopy: ((this: GlobalEventHandlers, ev: ClipboardEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTrackElement/cuechange_event) */\n    oncuechange: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/cut_event) */\n    oncut: ((this: GlobalEventHandlers, ev: ClipboardEvent) => any) | null;\n    /**\n     * Fires when the user double-clicks the object.\n     * @param ev The mouse event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/dblclick_event)\n     */\n    ondblclick: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null;\n    /**\n     * Fires on the source object continuously during a drag operation.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/drag_event)\n     */\n    ondrag: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null;\n    /**\n     * Fires on the source object when the user releases the mouse at the close of a drag operation.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/dragend_event)\n     */\n    ondragend: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null;\n    /**\n     * Fires on the target element when the user drags the object to a valid drop target.\n     * @param ev The drag event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/dragenter_event)\n     */\n    ondragenter: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null;\n    /**\n     * Fires on the target object when the user moves the mouse out of a valid drop target during a drag operation.\n     * @param ev The drag event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/dragleave_event)\n     */\n    ondragleave: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null;\n    /**\n     * Fires on the target element continuously while the user drags the object over a valid drop target.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/dragover_event)\n     */\n    ondragover: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null;\n    /**\n     * Fires on the source object when the user starts to drag a text selection or selected object.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/dragstart_event)\n     */\n    ondragstart: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/drop_event) */\n    ondrop: ((this: GlobalEventHandlers, ev: DragEvent) => any) | null;\n    /**\n     * Occurs when the duration attribute is updated.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/durationchange_event)\n     */\n    ondurationchange: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Occurs when the media element is reset to its initial state.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/emptied_event)\n     */\n    onemptied: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Occurs when the end of playback is reached.\n     * @param ev The event\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/ended_event)\n     */\n    onended: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Fires when an error occurs during object loading.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/error_event)\n     */\n    onerror: OnErrorEventHandler;\n    /**\n     * Fires when the object receives focus.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/focus_event)\n     */\n    onfocus: ((this: GlobalEventHandlers, ev: FocusEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/formdata_event) */\n    onformdata: ((this: GlobalEventHandlers, ev: FormDataEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/gotpointercapture_event) */\n    ongotpointercapture: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/input_event) */\n    oninput: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/invalid_event) */\n    oninvalid: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Fires when the user presses a key.\n     * @param ev The keyboard event\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/keydown_event)\n     */\n    onkeydown: ((this: GlobalEventHandlers, ev: KeyboardEvent) => any) | null;\n    /**\n     * Fires when the user presses an alphanumeric key.\n     * @param ev The event.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/keypress_event)\n     */\n    onkeypress: ((this: GlobalEventHandlers, ev: KeyboardEvent) => any) | null;\n    /**\n     * Fires when the user releases a key.\n     * @param ev The keyboard event\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/keyup_event)\n     */\n    onkeyup: ((this: GlobalEventHandlers, ev: KeyboardEvent) => any) | null;\n    /**\n     * Fires immediately after the browser loads the object.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGElement/load_event)\n     */\n    onload: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Occurs when media data is loaded at the current playback position.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/loadeddata_event)\n     */\n    onloadeddata: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Occurs when the duration and dimensions of the media have been determined.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/loadedmetadata_event)\n     */\n    onloadedmetadata: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Occurs when Internet Explorer begins looking for media data.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/loadstart_event)\n     */\n    onloadstart: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/lostpointercapture_event) */\n    onlostpointercapture: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null;\n    /**\n     * Fires when the user clicks the object with either mouse button.\n     * @param ev The mouse event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mousedown_event)\n     */\n    onmousedown: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mouseenter_event) */\n    onmouseenter: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mouseleave_event) */\n    onmouseleave: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null;\n    /**\n     * Fires when the user moves the mouse over the object.\n     * @param ev The mouse event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mousemove_event)\n     */\n    onmousemove: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null;\n    /**\n     * Fires when the user moves the mouse pointer outside the boundaries of the object.\n     * @param ev The mouse event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mouseout_event)\n     */\n    onmouseout: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null;\n    /**\n     * Fires when the user moves the mouse pointer into the object.\n     * @param ev The mouse event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mouseover_event)\n     */\n    onmouseover: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null;\n    /**\n     * Fires when the user releases a mouse button while the mouse is over the object.\n     * @param ev The mouse event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mouseup_event)\n     */\n    onmouseup: ((this: GlobalEventHandlers, ev: MouseEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/paste_event) */\n    onpaste: ((this: GlobalEventHandlers, ev: ClipboardEvent) => any) | null;\n    /**\n     * Occurs when playback is paused.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/pause_event)\n     */\n    onpause: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Occurs when the play method is requested.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/play_event)\n     */\n    onplay: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Occurs when the audio or video has started playing.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/playing_event)\n     */\n    onplaying: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointercancel_event) */\n    onpointercancel: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointerdown_event) */\n    onpointerdown: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointerenter_event) */\n    onpointerenter: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointerleave_event) */\n    onpointerleave: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointermove_event) */\n    onpointermove: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointerout_event) */\n    onpointerout: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointerover_event) */\n    onpointerover: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointerup_event) */\n    onpointerup: ((this: GlobalEventHandlers, ev: PointerEvent) => any) | null;\n    /**\n     * Occurs to indicate progress while downloading media data.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/progress_event)\n     */\n    onprogress: ((this: GlobalEventHandlers, ev: ProgressEvent) => any) | null;\n    /**\n     * Occurs when the playback rate is increased or decreased.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/ratechange_event)\n     */\n    onratechange: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Fires when the user resets a form.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/reset_event)\n     */\n    onreset: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement/resize_event) */\n    onresize: ((this: GlobalEventHandlers, ev: UIEvent) => any) | null;\n    /**\n     * Fires when the user repositions the scroll box in the scroll bar on the object.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/scroll_event)\n     */\n    onscroll: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/scrollend_event) */\n    onscrollend: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/securitypolicyviolation_event) */\n    onsecuritypolicyviolation: ((this: GlobalEventHandlers, ev: SecurityPolicyViolationEvent) => any) | null;\n    /**\n     * Occurs when the seek operation ends.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/seeked_event)\n     */\n    onseeked: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Occurs when the current playback position is moved.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/seeking_event)\n     */\n    onseeking: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Fires when the current selection changes.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/select_event)\n     */\n    onselect: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/selectionchange_event) */\n    onselectionchange: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/selectstart_event) */\n    onselectstart: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSlotElement/slotchange_event) */\n    onslotchange: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Occurs when the download has stopped.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/stalled_event)\n     */\n    onstalled: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/submit_event) */\n    onsubmit: ((this: GlobalEventHandlers, ev: SubmitEvent) => any) | null;\n    /**\n     * Occurs if the load operation has been intentionally halted.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/suspend_event)\n     */\n    onsuspend: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Occurs to indicate the current playback position.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/timeupdate_event)\n     */\n    ontimeupdate: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDetailsElement/toggle_event) */\n    ontoggle: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/touchcancel_event) */\n    ontouchcancel?: ((this: GlobalEventHandlers, ev: TouchEvent) => any) | null | undefined;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/touchend_event) */\n    ontouchend?: ((this: GlobalEventHandlers, ev: TouchEvent) => any) | null | undefined;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/touchmove_event) */\n    ontouchmove?: ((this: GlobalEventHandlers, ev: TouchEvent) => any) | null | undefined;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/touchstart_event) */\n    ontouchstart?: ((this: GlobalEventHandlers, ev: TouchEvent) => any) | null | undefined;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/transitioncancel_event) */\n    ontransitioncancel: ((this: GlobalEventHandlers, ev: TransitionEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/transitionend_event) */\n    ontransitionend: ((this: GlobalEventHandlers, ev: TransitionEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/transitionrun_event) */\n    ontransitionrun: ((this: GlobalEventHandlers, ev: TransitionEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/transitionstart_event) */\n    ontransitionstart: ((this: GlobalEventHandlers, ev: TransitionEvent) => any) | null;\n    /**\n     * Occurs when the volume is changed, or playback is muted or unmuted.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/volumechange_event)\n     */\n    onvolumechange: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * Occurs when playback stops because the next frame of a video resource is not available.\n     * @param ev The event.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/waiting_event)\n     */\n    onwaiting: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * @deprecated This is a legacy alias of `onanimationend`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationend_event)\n     */\n    onwebkitanimationend: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * @deprecated This is a legacy alias of `onanimationiteration`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationiteration_event)\n     */\n    onwebkitanimationiteration: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * @deprecated This is a legacy alias of `onanimationstart`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationstart_event)\n     */\n    onwebkitanimationstart: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /**\n     * @deprecated This is a legacy alias of `ontransitionend`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/transitionend_event)\n     */\n    onwebkittransitionend: ((this: GlobalEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/wheel_event) */\n    onwheel: ((this: GlobalEventHandlers, ev: WheelEvent) => any) | null;\n    addEventListener<K extends keyof GlobalEventHandlersEventMap>(type: K, listener: (this: GlobalEventHandlers, ev: GlobalEventHandlersEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof GlobalEventHandlersEventMap>(type: K, listener: (this: GlobalEventHandlers, ev: GlobalEventHandlersEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAllCollection) */\ninterface HTMLAllCollection {\n    /**\n     * Returns the number of elements in the collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAllCollection/length)\n     */\n    readonly length: number;\n    /**\n     * Returns the item with index index from the collection (determined by tree order).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAllCollection/item)\n     */\n    item(nameOrIndex?: string): HTMLCollection | Element | null;\n    /**\n     * Returns the item with ID or name name from the collection.\n     *\n     * If there are multiple matching items, then an HTMLCollection object containing all those elements is returned.\n     *\n     * Only button, form, iframe, input, map, meta, object, select, and textarea elements can have a name for the purpose of this method; their name is given by the value of their name attribute.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAllCollection/namedItem)\n     */\n    namedItem(name: string): HTMLCollection | Element | null;\n    [index: number]: Element;\n}\n\ndeclare var HTMLAllCollection: {\n    prototype: HTMLAllCollection;\n    new(): HTMLAllCollection;\n};\n\n/**\n * Hyperlink elements and provides special properties and methods (beyond those of the regular HTMLElement object interface that they inherit from) for manipulating the layout and presentation of such elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement)\n */\ninterface HTMLAnchorElement extends HTMLElement, HTMLHyperlinkElementUtils {\n    /**\n     * Sets or retrieves the character set used to encode the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/charset)\n     */\n    charset: string;\n    /**\n     * Sets or retrieves the coordinates of the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/coords)\n     */\n    coords: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/download) */\n    download: string;\n    /**\n     * Sets or retrieves the language code of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/hreflang)\n     */\n    hreflang: string;\n    /**\n     * Sets or retrieves the shape of the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/name)\n     */\n    name: string;\n    ping: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/referrerPolicy) */\n    referrerPolicy: string;\n    /**\n     * Sets or retrieves the relationship between the object and the destination of the link.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/rel)\n     */\n    rel: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/relList) */\n    readonly relList: DOMTokenList;\n    /**\n     * Sets or retrieves the relationship between the object and the destination of the link.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/rev)\n     */\n    rev: string;\n    /**\n     * Sets or retrieves the shape of the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/shape)\n     */\n    shape: string;\n    /**\n     * Sets or retrieves the window or frame at which to target content.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/target)\n     */\n    target: string;\n    /**\n     * Retrieves or sets the text of the object as a string.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/text)\n     */\n    text: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/type) */\n    type: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLAnchorElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLAnchorElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLAnchorElement: {\n    prototype: HTMLAnchorElement;\n    new(): HTMLAnchorElement;\n};\n\n/**\n * Provides special properties and methods (beyond those of the regular object HTMLElement interface it also has available to it by inheritance) for manipulating the layout and presentation of <area> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAreaElement)\n */\ninterface HTMLAreaElement extends HTMLElement, HTMLHyperlinkElementUtils {\n    /**\n     * Sets or retrieves a text alternative to the graphic.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAreaElement/alt)\n     */\n    alt: string;\n    /**\n     * Sets or retrieves the coordinates of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAreaElement/coords)\n     */\n    coords: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAreaElement/download) */\n    download: string;\n    /**\n     * Sets or gets whether clicks in this region cause action.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAreaElement/noHref)\n     */\n    noHref: boolean;\n    ping: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAreaElement/referrerPolicy) */\n    referrerPolicy: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAreaElement/rel) */\n    rel: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAreaElement/relList) */\n    readonly relList: DOMTokenList;\n    /**\n     * Sets or retrieves the shape of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAreaElement/shape)\n     */\n    shape: string;\n    /**\n     * Sets or retrieves the window or frame at which to target content.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAreaElement/target)\n     */\n    target: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLAreaElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLAreaElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLAreaElement: {\n    prototype: HTMLAreaElement;\n    new(): HTMLAreaElement;\n};\n\n/**\n * Provides access to the properties of <audio> elements, as well as methods to manipulate them. It derives from the HTMLMediaElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAudioElement)\n */\ninterface HTMLAudioElement extends HTMLMediaElement {\n    addEventListener<K extends keyof HTMLMediaElementEventMap>(type: K, listener: (this: HTMLAudioElement, ev: HTMLMediaElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLMediaElementEventMap>(type: K, listener: (this: HTMLAudioElement, ev: HTMLMediaElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLAudioElement: {\n    prototype: HTMLAudioElement;\n    new(): HTMLAudioElement;\n};\n\n/**\n * A HTML line break element (<br>). It inherits from HTMLElement.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLBRElement)\n */\ninterface HTMLBRElement extends HTMLElement {\n    /**\n     * Sets or retrieves the side on which floating objects are not to be positioned when any IHTMLBlockElement is inserted into the document.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLBRElement/clear)\n     */\n    clear: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLBRElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLBRElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLBRElement: {\n    prototype: HTMLBRElement;\n    new(): HTMLBRElement;\n};\n\n/**\n * Contains the base URI for a document. This object inherits all of the properties and methods as described in the HTMLElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLBaseElement)\n */\ninterface HTMLBaseElement extends HTMLElement {\n    /**\n     * Gets or sets the baseline URL on which relative links are based.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLBaseElement/href)\n     */\n    href: string;\n    /**\n     * Sets or retrieves the window or frame at which to target content.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLBaseElement/target)\n     */\n    target: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLBaseElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLBaseElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLBaseElement: {\n    prototype: HTMLBaseElement;\n    new(): HTMLBaseElement;\n};\n\ninterface HTMLBodyElementEventMap extends HTMLElementEventMap, WindowEventHandlersEventMap {\n}\n\n/**\n * Provides special properties (beyond those inherited from the regular HTMLElement interface) for manipulating <body> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLBodyElement)\n */\ninterface HTMLBodyElement extends HTMLElement, WindowEventHandlers {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLBodyElement/aLink)\n     */\n    aLink: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLBodyElement/background)\n     */\n    background: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLBodyElement/bgColor)\n     */\n    bgColor: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLBodyElement/link)\n     */\n    link: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLBodyElement/text)\n     */\n    text: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLBodyElement/vLink)\n     */\n    vLink: string;\n    addEventListener<K extends keyof HTMLBodyElementEventMap>(type: K, listener: (this: HTMLBodyElement, ev: HTMLBodyElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLBodyElementEventMap>(type: K, listener: (this: HTMLBodyElement, ev: HTMLBodyElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLBodyElement: {\n    prototype: HTMLBodyElement;\n    new(): HTMLBodyElement;\n};\n\n/**\n * Provides properties and methods (beyond the regular HTMLElement interface it also has available to it by inheritance) for manipulating <button> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement)\n */\ninterface HTMLButtonElement extends HTMLElement, PopoverInvokerElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/disabled) */\n    disabled: boolean;\n    /**\n     * Retrieves a reference to the form that the object is embedded in.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/form)\n     */\n    readonly form: HTMLFormElement | null;\n    /**\n     * Overrides the action attribute (where the data on a form is sent) on the parent form element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/formAction)\n     */\n    formAction: string;\n    /**\n     * Used to override the encoding (formEnctype attribute) specified on the form element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/formEnctype)\n     */\n    formEnctype: string;\n    /**\n     * Overrides the submit method attribute previously specified on a form element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/formMethod)\n     */\n    formMethod: string;\n    /**\n     * Overrides any validation or required attributes on a form or form elements to allow it to be submitted without validation. This can be used to create a "save draft"-type submit option.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/formNoValidate)\n     */\n    formNoValidate: boolean;\n    /**\n     * Overrides the target attribute on a form element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/formTarget)\n     */\n    formTarget: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/labels) */\n    readonly labels: NodeListOf<HTMLLabelElement>;\n    /**\n     * Sets or retrieves the name of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/name)\n     */\n    name: string;\n    /**\n     * Gets the classification and default behavior of the button.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/type)\n     */\n    type: "submit" | "reset" | "button";\n    /**\n     * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/validationMessage)\n     */\n    readonly validationMessage: string;\n    /**\n     * Returns a  ValidityState object that represents the validity states of an element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/validity)\n     */\n    readonly validity: ValidityState;\n    /**\n     * Sets or retrieves the default or selected value of the control.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/value)\n     */\n    value: string;\n    /**\n     * Returns whether an element will successfully validate based on forms validation rules and constraints.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/willValidate)\n     */\n    readonly willValidate: boolean;\n    /** Returns whether a form will validate when it is submitted, without having to submit it. */\n    checkValidity(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/reportValidity) */\n    reportValidity(): boolean;\n    /**\n     * Sets a custom error message that is displayed when a form is submitted.\n     * @param error Sets a custom error message that is displayed when a form is submitted.\n     */\n    setCustomValidity(error: string): void;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLButtonElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLButtonElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLButtonElement: {\n    prototype: HTMLButtonElement;\n    new(): HTMLButtonElement;\n};\n\n/**\n * Provides properties and methods for manipulating the layout and presentation of <canvas> elements. The HTMLCanvasElement interface also inherits the properties and methods of the HTMLElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLCanvasElement)\n */\ninterface HTMLCanvasElement extends HTMLElement {\n    /**\n     * Gets or sets the height of a canvas element on a document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLCanvasElement/height)\n     */\n    height: number;\n    /**\n     * Gets or sets the width of a canvas element on a document.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLCanvasElement/width)\n     */\n    width: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLCanvasElement/captureStream) */\n    captureStream(frameRequestRate?: number): MediaStream;\n    /**\n     * Returns an object that provides methods and properties for drawing and manipulating images and graphics on a canvas element in a document. A context object includes information about colors, line widths, fonts, and other graphic parameters that can be drawn on a canvas.\n     * @param contextId The identifier (ID) of the type of canvas to create. Internet Explorer 9 and Internet Explorer 10 support only a 2-D context using canvas.getContext("2d"); IE11 Preview also supports 3-D or WebGL context using canvas.getContext("experimental-webgl");\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLCanvasElement/getContext)\n     */\n    getContext(contextId: "2d", options?: CanvasRenderingContext2DSettings): CanvasRenderingContext2D | null;\n    getContext(contextId: "bitmaprenderer", options?: ImageBitmapRenderingContextSettings): ImageBitmapRenderingContext | null;\n    getContext(contextId: "webgl", options?: WebGLContextAttributes): WebGLRenderingContext | null;\n    getContext(contextId: "webgl2", options?: WebGLContextAttributes): WebGL2RenderingContext | null;\n    getContext(contextId: string, options?: any): RenderingContext | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLCanvasElement/toBlob) */\n    toBlob(callback: BlobCallback, type?: string, quality?: any): void;\n    /**\n     * Returns the content of the current canvas as an image that you can use as a source for another canvas or an HTML element.\n     * @param type The standard MIME type for the image format to return. If you do not specify this parameter, the default value is a PNG format image.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLCanvasElement/toDataURL)\n     */\n    toDataURL(type?: string, quality?: any): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLCanvasElement/transferControlToOffscreen) */\n    transferControlToOffscreen(): OffscreenCanvas;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLCanvasElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLCanvasElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLCanvasElement: {\n    prototype: HTMLCanvasElement;\n    new(): HTMLCanvasElement;\n};\n\n/**\n * A generic collection (array-like object similar to arguments) of elements (in document order) and offers methods and properties for selecting from the list.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLCollection)\n */\ninterface HTMLCollectionBase {\n    /**\n     * Sets or retrieves the number of objects in a collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLCollection/length)\n     */\n    readonly length: number;\n    /**\n     * Retrieves an object from various collections.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLCollection/item)\n     */\n    item(index: number): Element | null;\n    [index: number]: Element;\n}\n\ninterface HTMLCollection extends HTMLCollectionBase {\n    /**\n     * Retrieves a select object or an object from an options collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLCollection/namedItem)\n     */\n    namedItem(name: string): Element | null;\n}\n\ndeclare var HTMLCollection: {\n    prototype: HTMLCollection;\n    new(): HTMLCollection;\n};\n\ninterface HTMLCollectionOf<T extends Element> extends HTMLCollectionBase {\n    item(index: number): T | null;\n    namedItem(name: string): T | null;\n    [index: number]: T;\n}\n\n/**\n * Provides special properties (beyond those of the regular HTMLElement interface it also has available to it by inheritance) for manipulating definition list (<dl>) elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDListElement)\n */\ninterface HTMLDListElement extends HTMLElement {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDListElement/compact)\n     */\n    compact: boolean;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDListElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDListElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLDListElement: {\n    prototype: HTMLDListElement;\n    new(): HTMLDListElement;\n};\n\n/**\n * Provides special properties (beyond the regular HTMLElement interface it also has available to it by inheritance) for manipulating <data> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDataElement)\n */\ninterface HTMLDataElement extends HTMLElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDataElement/value) */\n    value: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDataElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDataElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLDataElement: {\n    prototype: HTMLDataElement;\n    new(): HTMLDataElement;\n};\n\n/**\n * Provides special properties (beyond the HTMLElement object interface it also has available to it by inheritance) to manipulate <datalist> elements and their content.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDataListElement)\n */\ninterface HTMLDataListElement extends HTMLElement {\n    /**\n     * Returns an HTMLCollection of the option elements of the datalist element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDataListElement/options)\n     */\n    readonly options: HTMLCollectionOf<HTMLOptionElement>;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDataListElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDataListElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLDataListElement: {\n    prototype: HTMLDataListElement;\n    new(): HTMLDataListElement;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDetailsElement) */\ninterface HTMLDetailsElement extends HTMLElement {\n    name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDetailsElement/open) */\n    open: boolean;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDetailsElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDetailsElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLDetailsElement: {\n    prototype: HTMLDetailsElement;\n    new(): HTMLDetailsElement;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDialogElement) */\ninterface HTMLDialogElement extends HTMLElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDialogElement/open) */\n    open: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDialogElement/returnValue) */\n    returnValue: string;\n    /**\n     * Closes the dialog element.\n     *\n     * The argument, if provided, provides a return value.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDialogElement/close)\n     */\n    close(returnValue?: string): void;\n    /**\n     * Displays the dialog element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDialogElement/show)\n     */\n    show(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDialogElement/showModal) */\n    showModal(): void;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDialogElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDialogElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLDialogElement: {\n    prototype: HTMLDialogElement;\n    new(): HTMLDialogElement;\n};\n\n/** @deprecated */\ninterface HTMLDirectoryElement extends HTMLElement {\n    /** @deprecated */\n    compact: boolean;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDirectoryElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDirectoryElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\n/** @deprecated */\ndeclare var HTMLDirectoryElement: {\n    prototype: HTMLDirectoryElement;\n    new(): HTMLDirectoryElement;\n};\n\n/**\n * Provides special properties (beyond the regular HTMLElement interface it also has available to it by inheritance) for manipulating <div> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDivElement)\n */\ninterface HTMLDivElement extends HTMLElement {\n    /**\n     * Sets or retrieves how the object is aligned with adjacent text.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDivElement/align)\n     */\n    align: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDivElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLDivElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLDivElement: {\n    prototype: HTMLDivElement;\n    new(): HTMLDivElement;\n};\n\n/** @deprecated use Document */\ninterface HTMLDocument extends Document {\n    addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: HTMLDocument, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: HTMLDocument, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\n/** @deprecated */\ndeclare var HTMLDocument: {\n    prototype: HTMLDocument;\n    new(): HTMLDocument;\n};\n\ninterface HTMLElementEventMap extends ElementEventMap, GlobalEventHandlersEventMap {\n}\n\n/**\n * Any HTML element. Some elements directly implement this interface, while others implement it via an interface that inherits it.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement)\n */\ninterface HTMLElement extends Element, ElementCSSInlineStyle, ElementContentEditable, GlobalEventHandlers, HTMLOrSVGElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/accessKey) */\n    accessKey: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/accessKeyLabel) */\n    readonly accessKeyLabel: string;\n    autocapitalize: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/dir) */\n    dir: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/draggable) */\n    draggable: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/hidden) */\n    hidden: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/inert) */\n    inert: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/innerText) */\n    innerText: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/lang) */\n    lang: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/offsetHeight) */\n    readonly offsetHeight: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/offsetLeft) */\n    readonly offsetLeft: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/offsetParent) */\n    readonly offsetParent: Element | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/offsetTop) */\n    readonly offsetTop: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/offsetWidth) */\n    readonly offsetWidth: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/outerText) */\n    outerText: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/popover) */\n    popover: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/spellcheck) */\n    spellcheck: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/title) */\n    title: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/translate) */\n    translate: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/attachInternals) */\n    attachInternals(): ElementInternals;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/click) */\n    click(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/hidePopover) */\n    hidePopover(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/showPopover) */\n    showPopover(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/togglePopover) */\n    togglePopover(force?: boolean): boolean;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLElement: {\n    prototype: HTMLElement;\n    new(): HTMLElement;\n};\n\n/**\n * Provides special properties (beyond the regular HTMLElement interface it also has available to it by inheritance) for manipulating <embed> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLEmbedElement)\n */\ninterface HTMLEmbedElement extends HTMLElement {\n    /** @deprecated */\n    align: string;\n    /** Sets or retrieves the height of the object. */\n    height: string;\n    /**\n     * Sets or retrieves the name of the object.\n     * @deprecated\n     */\n    name: string;\n    /** Sets or retrieves a URL to be loaded by the object. */\n    src: string;\n    type: string;\n    /** Sets or retrieves the width of the object. */\n    width: string;\n    getSVGDocument(): Document | null;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLEmbedElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLEmbedElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLEmbedElement: {\n    prototype: HTMLEmbedElement;\n    new(): HTMLEmbedElement;\n};\n\n/**\n * Provides special properties and methods (beyond the regular HTMLElement interface it also has available to it by inheritance) for manipulating the layout and presentation of <fieldset> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFieldSetElement)\n */\ninterface HTMLFieldSetElement extends HTMLElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFieldSetElement/disabled) */\n    disabled: boolean;\n    /**\n     * Returns an HTMLCollection of the form controls in the element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFieldSetElement/elements)\n     */\n    readonly elements: HTMLCollection;\n    /**\n     * Retrieves a reference to the form that the object is embedded in.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFieldSetElement/form)\n     */\n    readonly form: HTMLFormElement | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFieldSetElement/name) */\n    name: string;\n    /**\n     * Returns the string "fieldset".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFieldSetElement/type)\n     */\n    readonly type: string;\n    /**\n     * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFieldSetElement/validationMessage)\n     */\n    readonly validationMessage: string;\n    /**\n     * Returns a  ValidityState object that represents the validity states of an element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFieldSetElement/validity)\n     */\n    readonly validity: ValidityState;\n    /**\n     * Returns whether an element will successfully validate based on forms validation rules and constraints.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFieldSetElement/willValidate)\n     */\n    readonly willValidate: boolean;\n    /** Returns whether a form will validate when it is submitted, without having to submit it. */\n    checkValidity(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFieldSetElement/reportValidity) */\n    reportValidity(): boolean;\n    /**\n     * Sets a custom error message that is displayed when a form is submitted.\n     * @param error Sets a custom error message that is displayed when a form is submitted.\n     */\n    setCustomValidity(error: string): void;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLFieldSetElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLFieldSetElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLFieldSetElement: {\n    prototype: HTMLFieldSetElement;\n    new(): HTMLFieldSetElement;\n};\n\n/**\n * Implements the document object model (DOM) representation of the font element. The HTML Font Element <font> defines the font size, font face and color of text.\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFontElement)\n */\ninterface HTMLFontElement extends HTMLElement {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFontElement/color)\n     */\n    color: string;\n    /**\n     * Sets or retrieves the current typeface family.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFontElement/face)\n     */\n    face: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFontElement/size)\n     */\n    size: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLFontElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLFontElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\n/** @deprecated */\ndeclare var HTMLFontElement: {\n    prototype: HTMLFontElement;\n    new(): HTMLFontElement;\n};\n\n/**\n * A collection of HTML form control elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormControlsCollection)\n */\ninterface HTMLFormControlsCollection extends HTMLCollectionBase {\n    /**\n     * Returns the item with ID or name name from the collection.\n     *\n     * If there are multiple matching items, then a RadioNodeList object containing all those elements is returned.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormControlsCollection/namedItem)\n     */\n    namedItem(name: string): RadioNodeList | Element | null;\n}\n\ndeclare var HTMLFormControlsCollection: {\n    prototype: HTMLFormControlsCollection;\n    new(): HTMLFormControlsCollection;\n};\n\n/**\n * A <form> element in the DOM; it allows access to and in some cases modification of aspects of the form, as well as access to its component elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement)\n */\ninterface HTMLFormElement extends HTMLElement {\n    /**\n     * Sets or retrieves a list of character encodings for input data that must be accepted by the server processing the form.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/acceptCharset)\n     */\n    acceptCharset: string;\n    /**\n     * Sets or retrieves the URL to which the form content is sent for processing.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/action)\n     */\n    action: string;\n    /**\n     * Specifies whether autocomplete is applied to an editable text field.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/autocomplete)\n     */\n    autocomplete: AutoFillBase;\n    /**\n     * Retrieves a collection, in source order, of all controls in a given form.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/elements)\n     */\n    readonly elements: HTMLFormControlsCollection;\n    /**\n     * Sets or retrieves the MIME encoding for the form.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/encoding)\n     */\n    encoding: string;\n    /**\n     * Sets or retrieves the encoding type for the form.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/enctype)\n     */\n    enctype: string;\n    /**\n     * Sets or retrieves the number of objects in a collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/length)\n     */\n    readonly length: number;\n    /**\n     * Sets or retrieves how to send the form data to the server.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/method)\n     */\n    method: string;\n    /**\n     * Sets or retrieves the name of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/name)\n     */\n    name: string;\n    /**\n     * Designates a form that is not validated when submitted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/noValidate)\n     */\n    noValidate: boolean;\n    rel: string;\n    readonly relList: DOMTokenList;\n    /**\n     * Sets or retrieves the window or frame at which to target content.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/target)\n     */\n    target: string;\n    /**\n     * Returns whether a form will validate when it is submitted, without having to submit it.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/checkValidity)\n     */\n    checkValidity(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/reportValidity) */\n    reportValidity(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/requestSubmit) */\n    requestSubmit(submitter?: HTMLElement | null): void;\n    /**\n     * Fires when the user resets a form.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/reset)\n     */\n    reset(): void;\n    /**\n     * Fires when a FORM is about to be submitted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/submit)\n     */\n    submit(): void;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLFormElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLFormElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n    [index: number]: Element;\n    [name: string]: any;\n}\n\ndeclare var HTMLFormElement: {\n    prototype: HTMLFormElement;\n    new(): HTMLFormElement;\n};\n\n/**\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFrameElement)\n */\ninterface HTMLFrameElement extends HTMLElement {\n    /**\n     * Retrieves the document object of the page or frame.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFrameElement/contentDocument)\n     */\n    readonly contentDocument: Document | null;\n    /**\n     * Retrieves the object of the specified.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFrameElement/contentWindow)\n     */\n    readonly contentWindow: WindowProxy | null;\n    /**\n     * Sets or retrieves whether to display a border for the frame.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFrameElement/frameBorder)\n     */\n    frameBorder: string;\n    /**\n     * Sets or retrieves a URI to a long description of the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFrameElement/longDesc)\n     */\n    longDesc: string;\n    /**\n     * Sets or retrieves the top and bottom margin heights before displaying the text in a frame.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFrameElement/marginHeight)\n     */\n    marginHeight: string;\n    /**\n     * Sets or retrieves the left and right margin widths before displaying the text in a frame.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFrameElement/marginWidth)\n     */\n    marginWidth: string;\n    /**\n     * Sets or retrieves the frame name.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFrameElement/name)\n     */\n    name: string;\n    /**\n     * Sets or retrieves whether the user can resize the frame.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFrameElement/noResize)\n     */\n    noResize: boolean;\n    /**\n     * Sets or retrieves whether the frame can be scrolled.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFrameElement/scrolling)\n     */\n    scrolling: string;\n    /**\n     * Sets or retrieves a URL to be loaded by the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFrameElement/src)\n     */\n    src: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLFrameElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLFrameElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\n/** @deprecated */\ndeclare var HTMLFrameElement: {\n    prototype: HTMLFrameElement;\n    new(): HTMLFrameElement;\n};\n\ninterface HTMLFrameSetElementEventMap extends HTMLElementEventMap, WindowEventHandlersEventMap {\n}\n\n/**\n * Provides special properties (beyond those of the regular HTMLElement interface they also inherit) for manipulating <frameset> elements.\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFrameSetElement)\n */\ninterface HTMLFrameSetElement extends HTMLElement, WindowEventHandlers {\n    /**\n     * Sets or retrieves the frame widths of the object.\n     * @deprecated\n     */\n    cols: string;\n    /**\n     * Sets or retrieves the frame heights of the object.\n     * @deprecated\n     */\n    rows: string;\n    addEventListener<K extends keyof HTMLFrameSetElementEventMap>(type: K, listener: (this: HTMLFrameSetElement, ev: HTMLFrameSetElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLFrameSetElementEventMap>(type: K, listener: (this: HTMLFrameSetElement, ev: HTMLFrameSetElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\n/** @deprecated */\ndeclare var HTMLFrameSetElement: {\n    prototype: HTMLFrameSetElement;\n    new(): HTMLFrameSetElement;\n};\n\n/**\n * Provides special properties (beyond those of the HTMLElement interface it also has available to it by inheritance) for manipulating <hr> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLHRElement)\n */\ninterface HTMLHRElement extends HTMLElement {\n    /**\n     * Sets or retrieves how the object is aligned with adjacent text.\n     * @deprecated\n     */\n    align: string;\n    /** @deprecated */\n    color: string;\n    /**\n     * Sets or retrieves whether the horizontal rule is drawn with 3-D shading.\n     * @deprecated\n     */\n    noShade: boolean;\n    /** @deprecated */\n    size: string;\n    /**\n     * Sets or retrieves the width of the object.\n     * @deprecated\n     */\n    width: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLHRElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLHRElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLHRElement: {\n    prototype: HTMLHRElement;\n    new(): HTMLHRElement;\n};\n\n/**\n * Contains the descriptive information, or metadata, for a document. This object inherits all of the properties and methods described in the HTMLElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLHeadElement)\n */\ninterface HTMLHeadElement extends HTMLElement {\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLHeadElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLHeadElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLHeadElement: {\n    prototype: HTMLHeadElement;\n    new(): HTMLHeadElement;\n};\n\n/**\n * The different heading elements. It inherits methods and properties from the HTMLElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLHeadingElement)\n */\ninterface HTMLHeadingElement extends HTMLElement {\n    /**\n     * Sets or retrieves a value that indicates the table alignment.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLHeadingElement/align)\n     */\n    align: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLHeadingElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLHeadingElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLHeadingElement: {\n    prototype: HTMLHeadingElement;\n    new(): HTMLHeadingElement;\n};\n\n/**\n * Serves as the root node for a given HTML document. This object inherits the properties and methods described in the HTMLElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLHtmlElement)\n */\ninterface HTMLHtmlElement extends HTMLElement {\n    /**\n     * Sets or retrieves the DTD version that governs the current document.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLHtmlElement/version)\n     */\n    version: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLHtmlElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLHtmlElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLHtmlElement: {\n    prototype: HTMLHtmlElement;\n    new(): HTMLHtmlElement;\n};\n\ninterface HTMLHyperlinkElementUtils {\n    /**\n     * Returns the hyperlink\'s URL\'s fragment (includes leading "#" if non-empty).\n     *\n     * Can be set, to change the URL\'s fragment (ignores leading "#").\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/hash)\n     */\n    hash: string;\n    /**\n     * Returns the hyperlink\'s URL\'s host and port (if different from the default port for the scheme).\n     *\n     * Can be set, to change the URL\'s host and port.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/host)\n     */\n    host: string;\n    /**\n     * Returns the hyperlink\'s URL\'s host.\n     *\n     * Can be set, to change the URL\'s host.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/hostname)\n     */\n    hostname: string;\n    /**\n     * Returns the hyperlink\'s URL.\n     *\n     * Can be set, to change the URL.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/href)\n     */\n    href: string;\n    toString(): string;\n    /**\n     * Returns the hyperlink\'s URL\'s origin.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/origin)\n     */\n    readonly origin: string;\n    /**\n     * Returns the hyperlink\'s URL\'s password.\n     *\n     * Can be set, to change the URL\'s password.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/password)\n     */\n    password: string;\n    /**\n     * Returns the hyperlink\'s URL\'s path.\n     *\n     * Can be set, to change the URL\'s path.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/pathname)\n     */\n    pathname: string;\n    /**\n     * Returns the hyperlink\'s URL\'s port.\n     *\n     * Can be set, to change the URL\'s port.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/port)\n     */\n    port: string;\n    /**\n     * Returns the hyperlink\'s URL\'s scheme.\n     *\n     * Can be set, to change the URL\'s scheme.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/protocol)\n     */\n    protocol: string;\n    /**\n     * Returns the hyperlink\'s URL\'s query (includes leading "?" if non-empty).\n     *\n     * Can be set, to change the URL\'s query (ignores leading "?").\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/search)\n     */\n    search: string;\n    /**\n     * Returns the hyperlink\'s URL\'s username.\n     *\n     * Can be set, to change the URL\'s username.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLAnchorElement/username)\n     */\n    username: string;\n}\n\n/**\n * Provides special properties and methods (beyond those of the HTMLElement interface it also has available to it by inheritance) for manipulating the layout and presentation of inline frame elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement)\n */\ninterface HTMLIFrameElement extends HTMLElement {\n    /**\n     * Sets or retrieves how the object is aligned with adjacent text.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/align)\n     */\n    align: string;\n    allow: string;\n    allowFullscreen: boolean;\n    /**\n     * Retrieves the document object of the page or frame.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/contentDocument)\n     */\n    readonly contentDocument: Document | null;\n    /**\n     * Retrieves the object of the specified.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/contentWindow)\n     */\n    readonly contentWindow: WindowProxy | null;\n    /**\n     * Sets or retrieves whether to display a border for the frame.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/frameBorder)\n     */\n    frameBorder: string;\n    /**\n     * Sets or retrieves the height of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/height)\n     */\n    height: string;\n    loading: string;\n    /**\n     * Sets or retrieves a URI to a long description of the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/longDesc)\n     */\n    longDesc: string;\n    /**\n     * Sets or retrieves the top and bottom margin heights before displaying the text in a frame.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/marginHeight)\n     */\n    marginHeight: string;\n    /**\n     * Sets or retrieves the left and right margin widths before displaying the text in a frame.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/marginWidth)\n     */\n    marginWidth: string;\n    /**\n     * Sets or retrieves the frame name.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/name)\n     */\n    name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/referrerPolicy) */\n    referrerPolicy: ReferrerPolicy;\n    readonly sandbox: DOMTokenList;\n    /**\n     * Sets or retrieves whether the frame can be scrolled.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/scrolling)\n     */\n    scrolling: string;\n    /**\n     * Sets or retrieves a URL to be loaded by the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/src)\n     */\n    src: string;\n    /**\n     * Sets or retrives the content of the page that is to contain.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/srcdoc)\n     */\n    srcdoc: string;\n    /**\n     * Sets or retrieves the width of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLIFrameElement/width)\n     */\n    width: string;\n    getSVGDocument(): Document | null;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLIFrameElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLIFrameElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLIFrameElement: {\n    prototype: HTMLIFrameElement;\n    new(): HTMLIFrameElement;\n};\n\n/**\n * Provides special properties and methods for manipulating <img> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement)\n */\ninterface HTMLImageElement extends HTMLElement {\n    /**\n     * Sets or retrieves how the object is aligned with adjacent text.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/align)\n     */\n    align: string;\n    /**\n     * Sets or retrieves a text alternative to the graphic.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/alt)\n     */\n    alt: string;\n    /**\n     * Specifies the properties of a border drawn around an object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/border)\n     */\n    border: string;\n    /**\n     * Retrieves whether the object is fully loaded.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/complete)\n     */\n    readonly complete: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/crossOrigin) */\n    crossOrigin: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/currentSrc) */\n    readonly currentSrc: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/decoding) */\n    decoding: "async" | "sync" | "auto";\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/fetchPriority) */\n    fetchPriority: string;\n    /**\n     * Sets or retrieves the height of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/height)\n     */\n    height: number;\n    /**\n     * Sets or retrieves the width of the border to draw around the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/hspace)\n     */\n    hspace: number;\n    /**\n     * Sets or retrieves whether the image is a server-side image map.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/isMap)\n     */\n    isMap: boolean;\n    /**\n     * Sets or retrieves the policy for loading image elements that are outside the viewport.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/loading)\n     */\n    loading: "eager" | "lazy";\n    /**\n     * Sets or retrieves a Uniform Resource Identifier (URI) to a long description of the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/longDesc)\n     */\n    longDesc: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/lowsrc)\n     */\n    lowsrc: string;\n    /**\n     * Sets or retrieves the name of the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/name)\n     */\n    name: string;\n    /**\n     * The original height of the image resource before sizing.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/naturalHeight)\n     */\n    readonly naturalHeight: number;\n    /**\n     * The original width of the image resource before sizing.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/naturalWidth)\n     */\n    readonly naturalWidth: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/referrerPolicy) */\n    referrerPolicy: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/sizes) */\n    sizes: string;\n    /**\n     * The address or URL of the a media resource that is to be considered.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/src)\n     */\n    src: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/srcset) */\n    srcset: string;\n    /**\n     * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/useMap)\n     */\n    useMap: string;\n    /**\n     * Sets or retrieves the vertical margin for the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/vspace)\n     */\n    vspace: number;\n    /**\n     * Sets or retrieves the width of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/width)\n     */\n    width: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/x) */\n    readonly x: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/y) */\n    readonly y: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLImageElement/decode) */\n    decode(): Promise<void>;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLImageElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLImageElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLImageElement: {\n    prototype: HTMLImageElement;\n    new(): HTMLImageElement;\n};\n\n/**\n * Provides special properties and methods for manipulating the options, layout, and presentation of <input> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement)\n */\ninterface HTMLInputElement extends HTMLElement, PopoverInvokerElement {\n    /** Sets or retrieves a comma-separated list of content types. */\n    accept: string;\n    /**\n     * Sets or retrieves how the object is aligned with adjacent text.\n     * @deprecated\n     */\n    align: string;\n    /** Sets or retrieves a text alternative to the graphic. */\n    alt: string;\n    /**\n     * Specifies whether autocomplete is applied to an editable text field.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/autocomplete)\n     */\n    autocomplete: AutoFill;\n    capture: string;\n    /** Sets or retrieves the state of the check box or radio button. */\n    checked: boolean;\n    /** Sets or retrieves the state of the check box or radio button. */\n    defaultChecked: boolean;\n    /** Sets or retrieves the initial contents of the object. */\n    defaultValue: string;\n    dirName: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/disabled) */\n    disabled: boolean;\n    /**\n     * Returns a FileList object on a file type input object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/files)\n     */\n    files: FileList | null;\n    /** Retrieves a reference to the form that the object is embedded in. */\n    readonly form: HTMLFormElement | null;\n    /**\n     * Overrides the action attribute (where the data on a form is sent) on the parent form element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/formAction)\n     */\n    formAction: string;\n    /**\n     * Used to override the encoding (formEnctype attribute) specified on the form element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/formEnctype)\n     */\n    formEnctype: string;\n    /**\n     * Overrides the submit method attribute previously specified on a form element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/formMethod)\n     */\n    formMethod: string;\n    /**\n     * Overrides any validation or required attributes on a form or form elements to allow it to be submitted without validation. This can be used to create a "save draft"-type submit option.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/formNoValidate)\n     */\n    formNoValidate: boolean;\n    /**\n     * Overrides the target attribute on a form element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/formTarget)\n     */\n    formTarget: string;\n    /**\n     * Sets or retrieves the height of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/height)\n     */\n    height: number;\n    /** When set, overrides the rendering of checkbox controls so that the current value is not visible. */\n    indeterminate: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/labels) */\n    readonly labels: NodeListOf<HTMLLabelElement> | null;\n    /**\n     * Specifies the ID of a pre-defined datalist of options for an input element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/list)\n     */\n    readonly list: HTMLDataListElement | null;\n    /** Defines the maximum acceptable value for an input element with type="number".When used with the min and step attributes, lets you control the range and increment (such as only even numbers) that the user can enter into an input field. */\n    max: string;\n    /** Sets or retrieves the maximum number of characters that the user can enter in a text control. */\n    maxLength: number;\n    /** Defines the minimum acceptable value for an input element with type="number". When used with the max and step attributes, lets you control the range and increment (such as even numbers only) that the user can enter into an input field. */\n    min: string;\n    minLength: number;\n    /**\n     * Sets or retrieves the Boolean value indicating whether multiple items can be selected from a list.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/multiple)\n     */\n    multiple: boolean;\n    /** Sets or retrieves the name of the object. */\n    name: string;\n    /**\n     * Gets or sets a string containing a regular expression that the user\'s input must match.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/pattern)\n     */\n    pattern: string;\n    /**\n     * Gets or sets a text string that is displayed in an input field as a hint or prompt to users as the format or type of information they need to enter.The text appears in an input field until the user puts focus on the field.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/placeholder)\n     */\n    placeholder: string;\n    readOnly: boolean;\n    /**\n     * When present, marks an element that can\'t be submitted without a value.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/required)\n     */\n    required: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/selectionDirection) */\n    selectionDirection: "forward" | "backward" | "none" | null;\n    /** Gets or sets the end position or offset of a text selection. */\n    selectionEnd: number | null;\n    /** Gets or sets the starting position or offset of a text selection. */\n    selectionStart: number | null;\n    size: number;\n    /** The address or URL of the a media resource that is to be considered. */\n    src: string;\n    /** Defines an increment or jump between values that you want to allow the user to enter. When used with the max and min attributes, lets you control the range and increment (for example, allow only even numbers) that the user can enter into an input field. */\n    step: string;\n    /** Returns the content type of the object. */\n    type: string;\n    /**\n     * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\n     * @deprecated\n     */\n    useMap: string;\n    /**\n     * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/validationMessage)\n     */\n    readonly validationMessage: string;\n    /**\n     * Returns a  ValidityState object that represents the validity states of an element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/validity)\n     */\n    readonly validity: ValidityState;\n    /** Returns the value of the data at the cursor\'s current position. */\n    value: string;\n    /** Returns a Date object representing the form control\'s value, if applicable; otherwise, returns null. Can be set, to change the value. Throws an "InvalidStateError" DOMException if the control isn\'t date- or time-based. */\n    valueAsDate: Date | null;\n    /** Returns the input field value as a number. */\n    valueAsNumber: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/webkitEntries) */\n    readonly webkitEntries: ReadonlyArray<FileSystemEntry>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/webkitdirectory) */\n    webkitdirectory: boolean;\n    /**\n     * Sets or retrieves the width of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/width)\n     */\n    width: number;\n    /**\n     * Returns whether an element will successfully validate based on forms validation rules and constraints.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/willValidate)\n     */\n    readonly willValidate: boolean;\n    /**\n     * Returns whether a form will validate when it is submitted, without having to submit it.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/checkValidity)\n     */\n    checkValidity(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/reportValidity) */\n    reportValidity(): boolean;\n    /**\n     * Makes the selection equal to the current object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/select)\n     */\n    select(): void;\n    /**\n     * Sets a custom error message that is displayed when a form is submitted.\n     * @param error Sets a custom error message that is displayed when a form is submitted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/setCustomValidity)\n     */\n    setCustomValidity(error: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/setRangeText) */\n    setRangeText(replacement: string): void;\n    setRangeText(replacement: string, start: number, end: number, selectionMode?: SelectionMode): void;\n    /**\n     * Sets the start and end positions of a selection in a text field.\n     * @param start The offset into the text field for the start of the selection.\n     * @param end The offset into the text field for the end of the selection.\n     * @param direction The direction in which the selection is performed.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/setSelectionRange)\n     */\n    setSelectionRange(start: number | null, end: number | null, direction?: "forward" | "backward" | "none"): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/showPicker) */\n    showPicker(): void;\n    /**\n     * Decrements a range input control\'s value by the value given by the Step attribute. If the optional parameter is used, it will decrement the input control\'s step value multiplied by the parameter\'s value.\n     * @param n Value to decrement the value by.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/stepDown)\n     */\n    stepDown(n?: number): void;\n    /**\n     * Increments a range input control\'s value by the value given by the Step attribute. If the optional parameter is used, will increment the input control\'s value by that value.\n     * @param n Value to increment the value by.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/stepUp)\n     */\n    stepUp(n?: number): void;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLInputElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLInputElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLInputElement: {\n    prototype: HTMLInputElement;\n    new(): HTMLInputElement;\n};\n\n/**\n * Exposes specific properties and methods (beyond those defined by regular HTMLElement interface it also has available to it by inheritance) for manipulating list elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLIElement)\n */\ninterface HTMLLIElement extends HTMLElement {\n    /** @deprecated */\n    type: string;\n    /** Sets or retrieves the value of a list item. */\n    value: number;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLLIElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLLIElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLLIElement: {\n    prototype: HTMLLIElement;\n    new(): HTMLLIElement;\n};\n\n/**\n * Gives access to properties specific to <label> elements. It inherits methods and properties from the base HTMLElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLabelElement)\n */\ninterface HTMLLabelElement extends HTMLElement {\n    /**\n     * Returns the form control that is associated with this element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLabelElement/control)\n     */\n    readonly control: HTMLElement | null;\n    /**\n     * Retrieves a reference to the form that the object is embedded in.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLabelElement/form)\n     */\n    readonly form: HTMLFormElement | null;\n    /**\n     * Sets or retrieves the object to which the given label object is assigned.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLabelElement/htmlFor)\n     */\n    htmlFor: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLLabelElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLLabelElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLLabelElement: {\n    prototype: HTMLLabelElement;\n    new(): HTMLLabelElement;\n};\n\n/**\n * The HTMLLegendElement is an interface allowing to access properties of the <legend> elements. It inherits properties and methods from the HTMLElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLegendElement)\n */\ninterface HTMLLegendElement extends HTMLElement {\n    /** @deprecated */\n    align: string;\n    /** Retrieves a reference to the form that the object is embedded in. */\n    readonly form: HTMLFormElement | null;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLLegendElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLLegendElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLLegendElement: {\n    prototype: HTMLLegendElement;\n    new(): HTMLLegendElement;\n};\n\n/**\n * Reference information for external resources and the relationship of those resources to a document and vice-versa. This object inherits all of the properties and methods of the HTMLElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLinkElement)\n */\ninterface HTMLLinkElement extends HTMLElement, LinkStyle {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLinkElement/as) */\n    as: string;\n    /**\n     * Sets or retrieves the character set used to encode the object.\n     * @deprecated\n     */\n    charset: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLinkElement/crossOrigin) */\n    crossOrigin: string | null;\n    disabled: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLinkElement/fetchPriority) */\n    fetchPriority: string;\n    /**\n     * Sets or retrieves a destination URL or an anchor point.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLinkElement/href)\n     */\n    href: string;\n    /**\n     * Sets or retrieves the language code of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLinkElement/hreflang)\n     */\n    hreflang: string;\n    imageSizes: string;\n    imageSrcset: string;\n    integrity: string;\n    /** Sets or retrieves the media type. */\n    media: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLinkElement/referrerPolicy) */\n    referrerPolicy: string;\n    /**\n     * Sets or retrieves the relationship between the object and the destination of the link.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLinkElement/rel)\n     */\n    rel: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLinkElement/relList) */\n    readonly relList: DOMTokenList;\n    /**\n     * Sets or retrieves the relationship between the object and the destination of the link.\n     * @deprecated\n     */\n    rev: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLinkElement/sizes) */\n    readonly sizes: DOMTokenList;\n    /**\n     * Sets or retrieves the window or frame at which to target content.\n     * @deprecated\n     */\n    target: string;\n    /** Sets or retrieves the MIME type of the object. */\n    type: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLLinkElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLLinkElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLLinkElement: {\n    prototype: HTMLLinkElement;\n    new(): HTMLLinkElement;\n};\n\n/**\n * Provides special properties and methods (beyond those of the regular object HTMLElement interface it also has available to it by inheritance) for manipulating the layout and presentation of map elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMapElement)\n */\ninterface HTMLMapElement extends HTMLElement {\n    /**\n     * Retrieves a collection of the area objects defined for the given map object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMapElement/areas)\n     */\n    readonly areas: HTMLCollection;\n    /**\n     * Sets or retrieves the name of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMapElement/name)\n     */\n    name: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLMapElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLMapElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLMapElement: {\n    prototype: HTMLMapElement;\n    new(): HTMLMapElement;\n};\n\n/**\n * Provides methods to manipulate <marquee> elements.\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMarqueeElement)\n */\ninterface HTMLMarqueeElement extends HTMLElement {\n    /** @deprecated */\n    behavior: string;\n    /** @deprecated */\n    bgColor: string;\n    /** @deprecated */\n    direction: string;\n    /** @deprecated */\n    height: string;\n    /** @deprecated */\n    hspace: number;\n    /** @deprecated */\n    loop: number;\n    /** @deprecated */\n    scrollAmount: number;\n    /** @deprecated */\n    scrollDelay: number;\n    /** @deprecated */\n    trueSpeed: boolean;\n    /** @deprecated */\n    vspace: number;\n    /** @deprecated */\n    width: string;\n    /** @deprecated */\n    start(): void;\n    /** @deprecated */\n    stop(): void;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLMarqueeElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLMarqueeElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\n/** @deprecated */\ndeclare var HTMLMarqueeElement: {\n    prototype: HTMLMarqueeElement;\n    new(): HTMLMarqueeElement;\n};\n\ninterface HTMLMediaElementEventMap extends HTMLElementEventMap {\n    "encrypted": MediaEncryptedEvent;\n    "waitingforkey": Event;\n}\n\n/**\n * Adds to HTMLElement the properties and methods needed to support basic media-related capabilities that are common to audio and video.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement)\n */\ninterface HTMLMediaElement extends HTMLElement {\n    /**\n     * Gets or sets a value that indicates whether to start playing the media automatically.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/autoplay)\n     */\n    autoplay: boolean;\n    /**\n     * Gets a collection of buffered time ranges.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/buffered)\n     */\n    readonly buffered: TimeRanges;\n    /**\n     * Gets or sets a flag that indicates whether the client provides a set of controls for the media (in case the developer does not include controls for the player).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/controls)\n     */\n    controls: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/crossOrigin) */\n    crossOrigin: string | null;\n    /**\n     * Gets the address or URL of the current media resource that is selected by IHTMLMediaElement.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/currentSrc)\n     */\n    readonly currentSrc: string;\n    /**\n     * Gets or sets the current playback position, in seconds.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/currentTime)\n     */\n    currentTime: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/defaultMuted) */\n    defaultMuted: boolean;\n    /**\n     * Gets or sets the default playback rate when the user is not using fast forward or reverse for a video or audio resource.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/defaultPlaybackRate)\n     */\n    defaultPlaybackRate: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/disableRemotePlayback) */\n    disableRemotePlayback: boolean;\n    /**\n     * Returns the duration in seconds of the current media resource. A NaN value is returned if duration is not available, or Infinity if the media resource is streaming.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/duration)\n     */\n    readonly duration: number;\n    /**\n     * Gets information about whether the playback has ended or not.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/ended)\n     */\n    readonly ended: boolean;\n    /**\n     * Returns an object representing the current error state of the audio or video element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/error)\n     */\n    readonly error: MediaError | null;\n    /**\n     * Gets or sets a flag to specify whether playback should restart after it completes.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/loop)\n     */\n    loop: boolean;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/mediaKeys)\n     */\n    readonly mediaKeys: MediaKeys | null;\n    /**\n     * Gets or sets a flag that indicates whether the audio (either audio or the audio track on video media) is muted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/muted)\n     */\n    muted: boolean;\n    /**\n     * Gets the current network activity for the element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/networkState)\n     */\n    readonly networkState: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/encrypted_event) */\n    onencrypted: ((this: HTMLMediaElement, ev: MediaEncryptedEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/waitingforkey_event) */\n    onwaitingforkey: ((this: HTMLMediaElement, ev: Event) => any) | null;\n    /**\n     * Gets a flag that specifies whether playback is paused.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/paused)\n     */\n    readonly paused: boolean;\n    /**\n     * Gets or sets the current rate of speed for the media resource to play. This speed is expressed as a multiple of the normal speed of the media resource.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/playbackRate)\n     */\n    playbackRate: number;\n    /**\n     * Gets TimeRanges for the current media resource that has been played.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/played)\n     */\n    readonly played: TimeRanges;\n    /**\n     * Gets or sets a value indicating what data should be preloaded, if any.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/preload)\n     */\n    preload: "none" | "metadata" | "auto" | "";\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/preservesPitch) */\n    preservesPitch: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/readyState) */\n    readonly readyState: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/remote) */\n    readonly remote: RemotePlayback;\n    /**\n     * Returns a TimeRanges object that represents the ranges of the current media resource that can be seeked.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/seekable)\n     */\n    readonly seekable: TimeRanges;\n    /**\n     * Gets a flag that indicates whether the client is currently moving to a new playback position in the media resource.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/seeking)\n     */\n    readonly seeking: boolean;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/sinkId)\n     */\n    readonly sinkId: string;\n    /**\n     * The address or URL of the a media resource that is to be considered.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/src)\n     */\n    src: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/srcObject) */\n    srcObject: MediaProvider | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/textTracks) */\n    readonly textTracks: TextTrackList;\n    /**\n     * Gets or sets the volume level for audio portions of the media element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/volume)\n     */\n    volume: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/addTextTrack) */\n    addTextTrack(kind: TextTrackKind, label?: string, language?: string): TextTrack;\n    /**\n     * Returns a string that specifies whether the client can play a given media resource type.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/canPlayType)\n     */\n    canPlayType(type: string): CanPlayTypeResult;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/fastSeek) */\n    fastSeek(time: number): void;\n    /**\n     * Resets the audio or video object and loads a new media resource.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/load)\n     */\n    load(): void;\n    /**\n     * Pauses the current playback and sets paused to TRUE.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/pause)\n     */\n    pause(): void;\n    /**\n     * Loads and starts playback of a media resource.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/play)\n     */\n    play(): Promise<void>;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/setMediaKeys)\n     */\n    setMediaKeys(mediaKeys: MediaKeys | null): Promise<void>;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/setSinkId)\n     */\n    setSinkId(sinkId: string): Promise<void>;\n    readonly NETWORK_EMPTY: 0;\n    readonly NETWORK_IDLE: 1;\n    readonly NETWORK_LOADING: 2;\n    readonly NETWORK_NO_SOURCE: 3;\n    readonly HAVE_NOTHING: 0;\n    readonly HAVE_METADATA: 1;\n    readonly HAVE_CURRENT_DATA: 2;\n    readonly HAVE_FUTURE_DATA: 3;\n    readonly HAVE_ENOUGH_DATA: 4;\n    addEventListener<K extends keyof HTMLMediaElementEventMap>(type: K, listener: (this: HTMLMediaElement, ev: HTMLMediaElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLMediaElementEventMap>(type: K, listener: (this: HTMLMediaElement, ev: HTMLMediaElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLMediaElement: {\n    prototype: HTMLMediaElement;\n    new(): HTMLMediaElement;\n    readonly NETWORK_EMPTY: 0;\n    readonly NETWORK_IDLE: 1;\n    readonly NETWORK_LOADING: 2;\n    readonly NETWORK_NO_SOURCE: 3;\n    readonly HAVE_NOTHING: 0;\n    readonly HAVE_METADATA: 1;\n    readonly HAVE_CURRENT_DATA: 2;\n    readonly HAVE_FUTURE_DATA: 3;\n    readonly HAVE_ENOUGH_DATA: 4;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMenuElement) */\ninterface HTMLMenuElement extends HTMLElement {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMenuElement/compact)\n     */\n    compact: boolean;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLMenuElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLMenuElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLMenuElement: {\n    prototype: HTMLMenuElement;\n    new(): HTMLMenuElement;\n};\n\n/**\n * Contains descriptive metadata about a document. It inherits all of the properties and methods described in the HTMLElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMetaElement)\n */\ninterface HTMLMetaElement extends HTMLElement {\n    /** Gets or sets meta-information to associate with httpEquiv or name. */\n    content: string;\n    /** Gets or sets information used to bind the value of a content attribute of a meta element to an HTTP response header. */\n    httpEquiv: string;\n    media: string;\n    /** Sets or retrieves the value specified in the content attribute of the meta object. */\n    name: string;\n    /**\n     * Sets or retrieves a scheme to be used in interpreting the value of a property specified for the object.\n     * @deprecated\n     */\n    scheme: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLMetaElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLMetaElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLMetaElement: {\n    prototype: HTMLMetaElement;\n    new(): HTMLMetaElement;\n};\n\n/**\n * The HTML <meter> elements expose the HTMLMeterElement interface, which provides special properties and methods (beyond the HTMLElement object interface they also have available to them by inheritance) for manipulating the layout and presentation of <meter> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMeterElement)\n */\ninterface HTMLMeterElement extends HTMLElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMeterElement/high) */\n    high: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMeterElement/labels) */\n    readonly labels: NodeListOf<HTMLLabelElement>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMeterElement/low) */\n    low: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMeterElement/max) */\n    max: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMeterElement/min) */\n    min: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMeterElement/optimum) */\n    optimum: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMeterElement/value) */\n    value: number;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLMeterElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLMeterElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLMeterElement: {\n    prototype: HTMLMeterElement;\n    new(): HTMLMeterElement;\n};\n\n/**\n * Provides special properties (beyond the regular methods and properties available through the HTMLElement interface they also have available to them by inheritance) for manipulating modification elements, that is <del> and <ins>.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLModElement)\n */\ninterface HTMLModElement extends HTMLElement {\n    /**\n     * Sets or retrieves reference information about the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLModElement/cite)\n     */\n    cite: string;\n    /**\n     * Sets or retrieves the date and time of a modification to the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLModElement/dateTime)\n     */\n    dateTime: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLModElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLModElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLModElement: {\n    prototype: HTMLModElement;\n    new(): HTMLModElement;\n};\n\n/**\n * Provides special properties (beyond those defined on the regular HTMLElement interface it also has available to it by inheritance) for manipulating ordered list elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOListElement)\n */\ninterface HTMLOListElement extends HTMLElement {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOListElement/compact)\n     */\n    compact: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOListElement/reversed) */\n    reversed: boolean;\n    /**\n     * The starting number.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOListElement/start)\n     */\n    start: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOListElement/type) */\n    type: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLOListElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLOListElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLOListElement: {\n    prototype: HTMLOListElement;\n    new(): HTMLOListElement;\n};\n\n/**\n * Provides special properties and methods (beyond those on the HTMLElement interface it also has available to it by inheritance) for manipulating the layout and presentation of <object> element, representing external resources.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement)\n */\ninterface HTMLObjectElement extends HTMLElement {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/align)\n     */\n    align: string;\n    /**\n     * Sets or retrieves a character string that can be used to implement your own archive functionality for the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/archive)\n     */\n    archive: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/border)\n     */\n    border: string;\n    /**\n     * Sets or retrieves the URL of the file containing the compiled Java class.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/code)\n     */\n    code: string;\n    /**\n     * Sets or retrieves the URL of the component.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/codeBase)\n     */\n    codeBase: string;\n    /**\n     * Sets or retrieves the Internet media type for the code associated with the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/codeType)\n     */\n    codeType: string;\n    /**\n     * Retrieves the document object of the page or frame.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/contentDocument)\n     */\n    readonly contentDocument: Document | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/contentWindow) */\n    readonly contentWindow: WindowProxy | null;\n    /**\n     * Sets or retrieves the URL that references the data of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/data)\n     */\n    data: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/declare)\n     */\n    declare: boolean;\n    /**\n     * Retrieves a reference to the form that the object is embedded in.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/form)\n     */\n    readonly form: HTMLFormElement | null;\n    /**\n     * Sets or retrieves the height of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/height)\n     */\n    height: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/hspace)\n     */\n    hspace: number;\n    /**\n     * Sets or retrieves the name of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/name)\n     */\n    name: string;\n    /**\n     * Sets or retrieves a message to be displayed while an object is loading.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/standby)\n     */\n    standby: string;\n    /**\n     * Sets or retrieves the MIME type of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/type)\n     */\n    type: string;\n    /**\n     * Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/useMap)\n     */\n    useMap: string;\n    /**\n     * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/validationMessage)\n     */\n    readonly validationMessage: string;\n    /**\n     * Returns a  ValidityState object that represents the validity states of an element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/validity)\n     */\n    readonly validity: ValidityState;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/vspace)\n     */\n    vspace: number;\n    /**\n     * Sets or retrieves the width of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/width)\n     */\n    width: string;\n    /**\n     * Returns whether an element will successfully validate based on forms validation rules and constraints.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/willValidate)\n     */\n    readonly willValidate: boolean;\n    /**\n     * Returns whether a form will validate when it is submitted, without having to submit it.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/checkValidity)\n     */\n    checkValidity(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/getSVGDocument) */\n    getSVGDocument(): Document | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/reportValidity) */\n    reportValidity(): boolean;\n    /**\n     * Sets a custom error message that is displayed when a form is submitted.\n     * @param error Sets a custom error message that is displayed when a form is submitted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLObjectElement/setCustomValidity)\n     */\n    setCustomValidity(error: string): void;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLObjectElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLObjectElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLObjectElement: {\n    prototype: HTMLObjectElement;\n    new(): HTMLObjectElement;\n};\n\n/**\n * Provides special properties and methods (beyond the regular HTMLElement object interface they also have available to them by inheritance) for manipulating the layout and presentation of <optgroup> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptGroupElement)\n */\ninterface HTMLOptGroupElement extends HTMLElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptGroupElement/disabled) */\n    disabled: boolean;\n    /**\n     * Sets or retrieves a value that you can use to implement your own label functionality for the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptGroupElement/label)\n     */\n    label: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLOptGroupElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLOptGroupElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLOptGroupElement: {\n    prototype: HTMLOptGroupElement;\n    new(): HTMLOptGroupElement;\n};\n\n/**\n * <option> elements and inherits all classes and methods of the HTMLElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionElement)\n */\ninterface HTMLOptionElement extends HTMLElement {\n    /**\n     * Sets or retrieves the status of an option.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionElement/defaultSelected)\n     */\n    defaultSelected: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionElement/disabled) */\n    disabled: boolean;\n    /**\n     * Retrieves a reference to the form that the object is embedded in.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionElement/form)\n     */\n    readonly form: HTMLFormElement | null;\n    /**\n     * Sets or retrieves the ordinal position of an option in a list box.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionElement/index)\n     */\n    readonly index: number;\n    /**\n     * Sets or retrieves a value that you can use to implement your own label functionality for the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionElement/label)\n     */\n    label: string;\n    /**\n     * Sets or retrieves whether the option in the list box is the default item.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionElement/selected)\n     */\n    selected: boolean;\n    /**\n     * Sets or retrieves the text string specified by the option tag.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionElement/text)\n     */\n    text: string;\n    /**\n     * Sets or retrieves the value which is returned to the server when the form control is submitted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionElement/value)\n     */\n    value: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLOptionElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLOptionElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLOptionElement: {\n    prototype: HTMLOptionElement;\n    new(): HTMLOptionElement;\n};\n\n/**\n * HTMLOptionsCollection is an interface representing a collection of HTML option elements (in document order) and offers methods and properties for traversing the list as well as optionally altering its items. This type is returned solely by the "options" property of select.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionsCollection)\n */\ninterface HTMLOptionsCollection extends HTMLCollectionOf<HTMLOptionElement> {\n    /**\n     * Returns the number of elements in the collection.\n     *\n     * When set to a smaller number, truncates the number of option elements in the corresponding container.\n     *\n     * When set to a greater number, adds new blank option elements to that container.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionsCollection/length)\n     */\n    length: number;\n    /**\n     * Returns the index of the first selected item, if any, or −1 if there is no selected item.\n     *\n     * Can be set, to change the selection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionsCollection/selectedIndex)\n     */\n    selectedIndex: number;\n    /**\n     * Inserts element before the node given by before.\n     *\n     * The before argument can be a number, in which case element is inserted before the item with that number, or an element from the collection, in which case element is inserted before that element.\n     *\n     * If before is omitted, null, or a number out of range, then element will be added at the end of the list.\n     *\n     * This method will throw a "HierarchyRequestError" DOMException if element is an ancestor of the element into which it is to be inserted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionsCollection/add)\n     */\n    add(element: HTMLOptionElement | HTMLOptGroupElement, before?: HTMLElement | number | null): void;\n    /**\n     * Removes the item with index index from the collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOptionsCollection/remove)\n     */\n    remove(index: number): void;\n}\n\ndeclare var HTMLOptionsCollection: {\n    prototype: HTMLOptionsCollection;\n    new(): HTMLOptionsCollection;\n};\n\ninterface HTMLOrSVGElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/autofocus) */\n    autofocus: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/dataset) */\n    readonly dataset: DOMStringMap;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/nonce) */\n    nonce?: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/tabIndex) */\n    tabIndex: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/blur) */\n    blur(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/focus) */\n    focus(options?: FocusOptions): void;\n}\n\n/**\n * Provides properties and methods (beyond those inherited from HTMLElement) for manipulating the layout and presentation of <output> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement)\n */\ninterface HTMLOutputElement extends HTMLElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/defaultValue) */\n    defaultValue: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/form) */\n    readonly form: HTMLFormElement | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/htmlFor) */\n    readonly htmlFor: DOMTokenList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/labels) */\n    readonly labels: NodeListOf<HTMLLabelElement>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/name) */\n    name: string;\n    /**\n     * Returns the string "output".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/type)\n     */\n    readonly type: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/validationMessage) */\n    readonly validationMessage: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/validity) */\n    readonly validity: ValidityState;\n    /**\n     * Returns the element\'s current value.\n     *\n     * Can be set, to change the value.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/value)\n     */\n    value: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/willValidate) */\n    readonly willValidate: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/checkValidity) */\n    checkValidity(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/reportValidity) */\n    reportValidity(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLOutputElement/setCustomValidity) */\n    setCustomValidity(error: string): void;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLOutputElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLOutputElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLOutputElement: {\n    prototype: HTMLOutputElement;\n    new(): HTMLOutputElement;\n};\n\n/**\n * Provides special properties (beyond those of the regular HTMLElement object interface it inherits) for manipulating <p> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLParagraphElement)\n */\ninterface HTMLParagraphElement extends HTMLElement {\n    /**\n     * Sets or retrieves how the object is aligned with adjacent text.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLParagraphElement/align)\n     */\n    align: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLParagraphElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLParagraphElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLParagraphElement: {\n    prototype: HTMLParagraphElement;\n    new(): HTMLParagraphElement;\n};\n\n/**\n * Provides special properties (beyond those of the regular HTMLElement object interface it inherits) for manipulating <param> elements, representing a pair of a key and a value that acts as a parameter for an <object> element.\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLParamElement)\n */\ninterface HTMLParamElement extends HTMLElement {\n    /**\n     * Sets or retrieves the name of an input parameter for an element.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLParamElement/name)\n     */\n    name: string;\n    /**\n     * Sets or retrieves the content type of the resource designated by the value attribute.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLParamElement/type)\n     */\n    type: string;\n    /**\n     * Sets or retrieves the value of an input parameter for an element.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLParamElement/value)\n     */\n    value: string;\n    /**\n     * Sets or retrieves the data type of the value attribute.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLParamElement/valueType)\n     */\n    valueType: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLParamElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLParamElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\n/** @deprecated */\ndeclare var HTMLParamElement: {\n    prototype: HTMLParamElement;\n    new(): HTMLParamElement;\n};\n\n/**\n * A <picture> HTML element. It doesn\'t implement specific properties or methods.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLPictureElement)\n */\ninterface HTMLPictureElement extends HTMLElement {\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLPictureElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLPictureElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLPictureElement: {\n    prototype: HTMLPictureElement;\n    new(): HTMLPictureElement;\n};\n\n/**\n * Exposes specific properties and methods (beyond those of the HTMLElement interface it also has available to it by inheritance) for manipulating a block of preformatted text (<pre>).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLPreElement)\n */\ninterface HTMLPreElement extends HTMLElement {\n    /**\n     * Sets or gets a value that you can use to implement your own width functionality for the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLPreElement/width)\n     */\n    width: number;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLPreElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLPreElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLPreElement: {\n    prototype: HTMLPreElement;\n    new(): HTMLPreElement;\n};\n\n/**\n * Provides special properties and methods (beyond the regular HTMLElement interface it also has available to it by inheritance) for manipulating the layout and presentation of <progress> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLProgressElement)\n */\ninterface HTMLProgressElement extends HTMLElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLProgressElement/labels) */\n    readonly labels: NodeListOf<HTMLLabelElement>;\n    /**\n     * Defines the maximum, or "done" value for a progress element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLProgressElement/max)\n     */\n    max: number;\n    /**\n     * Returns the quotient of value/max when the value attribute is set (determinate progress bar), or -1 when the value attribute is missing (indeterminate progress bar).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLProgressElement/position)\n     */\n    readonly position: number;\n    /**\n     * Sets or gets the current value of a progress element. The value must be a non-negative number between 0 and the max value.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLProgressElement/value)\n     */\n    value: number;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLProgressElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLProgressElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLProgressElement: {\n    prototype: HTMLProgressElement;\n    new(): HTMLProgressElement;\n};\n\n/**\n * Provides special properties and methods (beyond the regular HTMLElement interface it also has available to it by inheritance) for manipulating quoting elements, like <blockquote> and <q>, but not the <cite> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLQuoteElement)\n */\ninterface HTMLQuoteElement extends HTMLElement {\n    /**\n     * Sets or retrieves reference information about the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLQuoteElement/cite)\n     */\n    cite: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLQuoteElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLQuoteElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLQuoteElement: {\n    prototype: HTMLQuoteElement;\n    new(): HTMLQuoteElement;\n};\n\n/**\n * HTML <script> elements expose the HTMLScriptElement interface, which provides special properties and methods for manipulating the behavior and execution of <script> elements (beyond the inherited HTMLElement interface).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLScriptElement)\n */\ninterface HTMLScriptElement extends HTMLElement {\n    async: boolean;\n    /**\n     * Sets or retrieves the character set used to encode the object.\n     * @deprecated\n     */\n    charset: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLScriptElement/crossOrigin) */\n    crossOrigin: string | null;\n    /** Sets or retrieves the status of the script. */\n    defer: boolean;\n    /**\n     * Sets or retrieves the event for which the script is written.\n     * @deprecated\n     */\n    event: string;\n    fetchPriority: string;\n    /**\n     * Sets or retrieves the object that is bound to the event script.\n     * @deprecated\n     */\n    htmlFor: string;\n    integrity: string;\n    noModule: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLScriptElement/referrerPolicy) */\n    referrerPolicy: string;\n    /** Retrieves the URL to an external file that contains the source code or data. */\n    src: string;\n    /** Retrieves or sets the text of the object as a string. */\n    text: string;\n    /** Sets or retrieves the MIME type for the associated scripting engine. */\n    type: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLScriptElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLScriptElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLScriptElement: {\n    prototype: HTMLScriptElement;\n    new(): HTMLScriptElement;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLScriptElement/supports_static) */\n    supports(type: string): boolean;\n};\n\n/**\n * A <select> HTML Element. These elements also share all of the properties and methods of other HTML elements via the HTMLElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement)\n */\ninterface HTMLSelectElement extends HTMLElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/autocomplete) */\n    autocomplete: AutoFill;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/disabled) */\n    disabled: boolean;\n    /**\n     * Retrieves a reference to the form that the object is embedded in.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/form)\n     */\n    readonly form: HTMLFormElement | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/labels) */\n    readonly labels: NodeListOf<HTMLLabelElement>;\n    /**\n     * Sets or retrieves the number of objects in a collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/length)\n     */\n    length: number;\n    /**\n     * Sets or retrieves the Boolean value indicating whether multiple items can be selected from a list.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/multiple)\n     */\n    multiple: boolean;\n    /**\n     * Sets or retrieves the name of the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/name)\n     */\n    name: string;\n    /**\n     * Returns an HTMLOptionsCollection of the list of options.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/options)\n     */\n    readonly options: HTMLOptionsCollection;\n    /**\n     * When present, marks an element that can\'t be submitted without a value.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/required)\n     */\n    required: boolean;\n    /**\n     * Sets or retrieves the index of the selected option in a select object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/selectedIndex)\n     */\n    selectedIndex: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/selectedOptions) */\n    readonly selectedOptions: HTMLCollectionOf<HTMLOptionElement>;\n    /**\n     * Sets or retrieves the number of rows in the list box.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/size)\n     */\n    size: number;\n    /**\n     * Retrieves the type of select control based on the value of the MULTIPLE attribute.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/type)\n     */\n    readonly type: string;\n    /**\n     * Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/validationMessage)\n     */\n    readonly validationMessage: string;\n    /**\n     * Returns a  ValidityState object that represents the validity states of an element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/validity)\n     */\n    readonly validity: ValidityState;\n    /**\n     * Sets or retrieves the value which is returned to the server when the form control is submitted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/value)\n     */\n    value: string;\n    /**\n     * Returns whether an element will successfully validate based on forms validation rules and constraints.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/willValidate)\n     */\n    readonly willValidate: boolean;\n    /**\n     * Adds an element to the areas, controlRange, or options collection.\n     * @param element Variant of type Number that specifies the index position in the collection where the element is placed. If no value is given, the method places the element at the end of the collection.\n     * @param before Variant of type Object that specifies an element to insert before, or null to append the object to the collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/add)\n     */\n    add(element: HTMLOptionElement | HTMLOptGroupElement, before?: HTMLElement | number | null): void;\n    /**\n     * Returns whether a form will validate when it is submitted, without having to submit it.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/checkValidity)\n     */\n    checkValidity(): boolean;\n    /**\n     * Retrieves a select object or an object from an options collection.\n     * @param name Variant of type Number or String that specifies the object or collection to retrieve. If this parameter is an integer, it is the zero-based index of the object. If this parameter is a string, all objects with matching name or id properties are retrieved, and a collection is returned if more than one match is made.\n     * @param index Variant of type Number that specifies the zero-based index of the object to retrieve when a collection is returned.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/item)\n     */\n    item(index: number): HTMLOptionElement | null;\n    /**\n     * Retrieves a select object or an object from an options collection.\n     * @param namedItem A String that specifies the name or id property of the object to retrieve. A collection is returned if more than one match is made.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/namedItem)\n     */\n    namedItem(name: string): HTMLOptionElement | null;\n    /**\n     * Removes an element from the collection.\n     * @param index Number that specifies the zero-based index of the element to remove from the collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/remove)\n     */\n    remove(): void;\n    remove(index: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/reportValidity) */\n    reportValidity(): boolean;\n    /**\n     * Sets a custom error message that is displayed when a form is submitted.\n     * @param error Sets a custom error message that is displayed when a form is submitted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/setCustomValidity)\n     */\n    setCustomValidity(error: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSelectElement/showPicker) */\n    showPicker(): void;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLSelectElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLSelectElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n    [name: number]: HTMLOptionElement | HTMLOptGroupElement;\n}\n\ndeclare var HTMLSelectElement: {\n    prototype: HTMLSelectElement;\n    new(): HTMLSelectElement;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSlotElement) */\ninterface HTMLSlotElement extends HTMLElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSlotElement/name) */\n    name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSlotElement/assign) */\n    assign(...nodes: (Element | Text)[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSlotElement/assignedElements) */\n    assignedElements(options?: AssignedNodesOptions): Element[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSlotElement/assignedNodes) */\n    assignedNodes(options?: AssignedNodesOptions): Node[];\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLSlotElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLSlotElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLSlotElement: {\n    prototype: HTMLSlotElement;\n    new(): HTMLSlotElement;\n};\n\n/**\n * Provides special properties (beyond the regular HTMLElement object interface it also has available to it by inheritance) for manipulating <source> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSourceElement)\n */\ninterface HTMLSourceElement extends HTMLElement {\n    height: number;\n    /**\n     * Gets or sets the intended media type of the media source.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSourceElement/media)\n     */\n    media: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSourceElement/sizes) */\n    sizes: string;\n    /**\n     * The address or URL of the a media resource that is to be considered.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSourceElement/src)\n     */\n    src: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSourceElement/srcset) */\n    srcset: string;\n    /**\n     * Gets or sets the MIME type of a media resource.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSourceElement/type)\n     */\n    type: string;\n    width: number;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLSourceElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLSourceElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLSourceElement: {\n    prototype: HTMLSourceElement;\n    new(): HTMLSourceElement;\n};\n\n/**\n * A <span> element and derives from the HTMLElement interface, but without implementing any additional properties or methods.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSpanElement)\n */\ninterface HTMLSpanElement extends HTMLElement {\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLSpanElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLSpanElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLSpanElement: {\n    prototype: HTMLSpanElement;\n    new(): HTMLSpanElement;\n};\n\n/**\n * A <style> element. It inherits properties and methods from its parent, HTMLElement, and from LinkStyle.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLStyleElement)\n */\ninterface HTMLStyleElement extends HTMLElement, LinkStyle {\n    /**\n     * Enables or disables the style sheet.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLStyleElement/disabled)\n     */\n    disabled: boolean;\n    /**\n     * Sets or retrieves the media type.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLStyleElement/media)\n     */\n    media: string;\n    /**\n     * Retrieves the CSS language in which the style sheet is written.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLStyleElement/type)\n     */\n    type: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLStyleElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLStyleElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLStyleElement: {\n    prototype: HTMLStyleElement;\n    new(): HTMLStyleElement;\n};\n\n/**\n * Special properties (beyond the regular HTMLElement interface it also has available to it by inheritance) for manipulating table caption elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCaptionElement)\n */\ninterface HTMLTableCaptionElement extends HTMLElement {\n    /**\n     * Sets or retrieves the alignment of the caption or legend.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCaptionElement/align)\n     */\n    align: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableCaptionElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableCaptionElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLTableCaptionElement: {\n    prototype: HTMLTableCaptionElement;\n    new(): HTMLTableCaptionElement;\n};\n\n/**\n * Provides special properties and methods (beyond the regular HTMLElement interface it also has available to it by inheritance) for manipulating the layout and presentation of table cells, either header or data cells, in an HTML document.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement)\n */\ninterface HTMLTableCellElement extends HTMLElement {\n    /**\n     * Sets or retrieves abbreviated text for the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/abbr)\n     */\n    abbr: string;\n    /**\n     * Sets or retrieves how the object is aligned with adjacent text.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/align)\n     */\n    align: string;\n    /**\n     * Sets or retrieves a comma-delimited list of conceptual categories associated with the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/axis)\n     */\n    axis: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/bgColor)\n     */\n    bgColor: string;\n    /**\n     * Retrieves the position of the object in the cells collection of a row.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/cellIndex)\n     */\n    readonly cellIndex: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/ch)\n     */\n    ch: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/chOff)\n     */\n    chOff: string;\n    /**\n     * Sets or retrieves the number columns in the table that the object should span.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/colSpan)\n     */\n    colSpan: number;\n    /**\n     * Sets or retrieves a list of header cells that provide information for the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/headers)\n     */\n    headers: string;\n    /**\n     * Sets or retrieves the height of the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/height)\n     */\n    height: string;\n    /**\n     * Sets or retrieves whether the browser automatically performs wordwrap.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/noWrap)\n     */\n    noWrap: boolean;\n    /**\n     * Sets or retrieves how many rows in a table the cell should span.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/rowSpan)\n     */\n    rowSpan: number;\n    /**\n     * Sets or retrieves the group of cells in a table to which the object\'s information applies.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/scope)\n     */\n    scope: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/vAlign)\n     */\n    vAlign: string;\n    /**\n     * Sets or retrieves the width of the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableCellElement/width)\n     */\n    width: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableCellElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableCellElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLTableCellElement: {\n    prototype: HTMLTableCellElement;\n    new(): HTMLTableCellElement;\n};\n\n/**\n * Provides special properties (beyond the HTMLElement interface it also has available to it inheritance) for manipulating single or grouped table column elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableColElement)\n */\ninterface HTMLTableColElement extends HTMLElement {\n    /**\n     * Sets or retrieves the alignment of the object relative to the display or table.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableColElement/align)\n     */\n    align: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableColElement/ch)\n     */\n    ch: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableColElement/chOff)\n     */\n    chOff: string;\n    /**\n     * Sets or retrieves the number of columns in the group.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableColElement/span)\n     */\n    span: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableColElement/vAlign)\n     */\n    vAlign: string;\n    /**\n     * Sets or retrieves the width of the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableColElement/width)\n     */\n    width: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableColElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableColElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLTableColElement: {\n    prototype: HTMLTableColElement;\n    new(): HTMLTableColElement;\n};\n\n/** @deprecated prefer HTMLTableCellElement */\ninterface HTMLTableDataCellElement extends HTMLTableCellElement {\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableDataCellElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableDataCellElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\n/**\n * Provides special properties and methods (beyond the regular HTMLElement object interface it also has available to it by inheritance) for manipulating the layout and presentation of tables in an HTML document.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement)\n */\ninterface HTMLTableElement extends HTMLElement {\n    /**\n     * Sets or retrieves a value that indicates the table alignment.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/align)\n     */\n    align: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/bgColor)\n     */\n    bgColor: string;\n    /**\n     * Sets or retrieves the width of the border to draw around the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/border)\n     */\n    border: string;\n    /**\n     * Retrieves the caption object of a table.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/caption)\n     */\n    caption: HTMLTableCaptionElement | null;\n    /**\n     * Sets or retrieves the amount of space between the border of the cell and the content of the cell.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/cellPadding)\n     */\n    cellPadding: string;\n    /**\n     * Sets or retrieves the amount of space between cells in a table.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/cellSpacing)\n     */\n    cellSpacing: string;\n    /**\n     * Sets or retrieves the way the border frame around the table is displayed.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/frame)\n     */\n    frame: string;\n    /**\n     * Sets or retrieves the number of horizontal rows contained in the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/rows)\n     */\n    readonly rows: HTMLCollectionOf<HTMLTableRowElement>;\n    /**\n     * Sets or retrieves which dividing lines (inner borders) are displayed.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/rules)\n     */\n    rules: string;\n    /**\n     * Sets or retrieves a description and/or structure of the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/summary)\n     */\n    summary: string;\n    /**\n     * Retrieves a collection of all tBody objects in the table. Objects in this collection are in source order.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/tBodies)\n     */\n    readonly tBodies: HTMLCollectionOf<HTMLTableSectionElement>;\n    /**\n     * Retrieves the tFoot object of the table.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/tFoot)\n     */\n    tFoot: HTMLTableSectionElement | null;\n    /**\n     * Retrieves the tHead object of the table.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/tHead)\n     */\n    tHead: HTMLTableSectionElement | null;\n    /**\n     * Sets or retrieves the width of the object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/width)\n     */\n    width: string;\n    /**\n     * Creates an empty caption element in the table.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/createCaption)\n     */\n    createCaption(): HTMLTableCaptionElement;\n    /**\n     * Creates an empty tBody element in the table.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/createTBody)\n     */\n    createTBody(): HTMLTableSectionElement;\n    /**\n     * Creates an empty tFoot element in the table.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/createTFoot)\n     */\n    createTFoot(): HTMLTableSectionElement;\n    /**\n     * Returns the tHead element object if successful, or null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/createTHead)\n     */\n    createTHead(): HTMLTableSectionElement;\n    /**\n     * Deletes the caption element and its contents from the table.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/deleteCaption)\n     */\n    deleteCaption(): void;\n    /**\n     * Removes the specified row (tr) from the element and from the rows collection.\n     * @param index Number that specifies the zero-based position in the rows collection of the row to remove.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/deleteRow)\n     */\n    deleteRow(index: number): void;\n    /**\n     * Deletes the tFoot element and its contents from the table.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/deleteTFoot)\n     */\n    deleteTFoot(): void;\n    /**\n     * Deletes the tHead element and its contents from the table.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/deleteTHead)\n     */\n    deleteTHead(): void;\n    /**\n     * Creates a new row (tr) in the table, and adds the row to the rows collection.\n     * @param index Number that specifies where to insert the row in the rows collection. The default value is -1, which appends the new row to the end of the rows collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableElement/insertRow)\n     */\n    insertRow(index?: number): HTMLTableRowElement;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLTableElement: {\n    prototype: HTMLTableElement;\n    new(): HTMLTableElement;\n};\n\n/** @deprecated prefer HTMLTableCellElement */\ninterface HTMLTableHeaderCellElement extends HTMLTableCellElement {\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableHeaderCellElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableHeaderCellElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\n/**\n * Provides special properties and methods (beyond the HTMLElement interface it also has available to it by inheritance) for manipulating the layout and presentation of rows in an HTML table.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableRowElement)\n */\ninterface HTMLTableRowElement extends HTMLElement {\n    /**\n     * Sets or retrieves how the object is aligned with adjacent text.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableRowElement/align)\n     */\n    align: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableRowElement/bgColor)\n     */\n    bgColor: string;\n    /**\n     * Retrieves a collection of all cells in the table row.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableRowElement/cells)\n     */\n    readonly cells: HTMLCollectionOf<HTMLTableCellElement>;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableRowElement/ch)\n     */\n    ch: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableRowElement/chOff)\n     */\n    chOff: string;\n    /**\n     * Retrieves the position of the object in the rows collection for the table.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableRowElement/rowIndex)\n     */\n    readonly rowIndex: number;\n    /**\n     * Retrieves the position of the object in the collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableRowElement/sectionRowIndex)\n     */\n    readonly sectionRowIndex: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableRowElement/vAlign)\n     */\n    vAlign: string;\n    /**\n     * Removes the specified cell from the table row, as well as from the cells collection.\n     * @param index Number that specifies the zero-based position of the cell to remove from the table row. If no value is provided, the last cell in the cells collection is deleted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableRowElement/deleteCell)\n     */\n    deleteCell(index: number): void;\n    /**\n     * Creates a new cell in the table row, and adds the cell to the cells collection.\n     * @param index Number that specifies where to insert the cell in the tr. The default value is -1, which appends the new cell to the end of the cells collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableRowElement/insertCell)\n     */\n    insertCell(index?: number): HTMLTableCellElement;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableRowElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableRowElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLTableRowElement: {\n    prototype: HTMLTableRowElement;\n    new(): HTMLTableRowElement;\n};\n\n/**\n * Provides special properties and methods (beyond the HTMLElement interface it also has available to it by inheritance) for manipulating the layout and presentation of sections, that is headers, footers and bodies, in an HTML table.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableSectionElement)\n */\ninterface HTMLTableSectionElement extends HTMLElement {\n    /**\n     * Sets or retrieves a value that indicates the table alignment.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableSectionElement/align)\n     */\n    align: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableSectionElement/ch)\n     */\n    ch: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableSectionElement/chOff)\n     */\n    chOff: string;\n    /**\n     * Sets or retrieves the number of horizontal rows contained in the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableSectionElement/rows)\n     */\n    readonly rows: HTMLCollectionOf<HTMLTableRowElement>;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableSectionElement/vAlign)\n     */\n    vAlign: string;\n    /**\n     * Removes the specified row (tr) from the element and from the rows collection.\n     * @param index Number that specifies the zero-based position in the rows collection of the row to remove.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableSectionElement/deleteRow)\n     */\n    deleteRow(index: number): void;\n    /**\n     * Creates a new row (tr) in the table, and adds the row to the rows collection.\n     * @param index Number that specifies where to insert the row in the rows collection. The default value is -1, which appends the new row to the end of the rows collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTableSectionElement/insertRow)\n     */\n    insertRow(index?: number): HTMLTableRowElement;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableSectionElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTableSectionElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLTableSectionElement: {\n    prototype: HTMLTableSectionElement;\n    new(): HTMLTableSectionElement;\n};\n\n/**\n * Enables access to the contents of an HTML <template> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTemplateElement)\n */\ninterface HTMLTemplateElement extends HTMLElement {\n    /**\n     * Returns the template contents (a DocumentFragment).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTemplateElement/content)\n     */\n    readonly content: DocumentFragment;\n    shadowRootMode: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTemplateElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTemplateElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLTemplateElement: {\n    prototype: HTMLTemplateElement;\n    new(): HTMLTemplateElement;\n};\n\n/**\n * Provides special properties and methods for manipulating the layout and presentation of <textarea> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTextAreaElement)\n */\ninterface HTMLTextAreaElement extends HTMLElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTextAreaElement/autocomplete) */\n    autocomplete: AutoFill;\n    /** Sets or retrieves the width of the object. */\n    cols: number;\n    /** Sets or retrieves the initial contents of the object. */\n    defaultValue: string;\n    dirName: string;\n    disabled: boolean;\n    /** Retrieves a reference to the form that the object is embedded in. */\n    readonly form: HTMLFormElement | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTextAreaElement/labels) */\n    readonly labels: NodeListOf<HTMLLabelElement>;\n    /** Sets or retrieves the maximum number of characters that the user can enter in a text control. */\n    maxLength: number;\n    minLength: number;\n    /** Sets or retrieves the name of the object. */\n    name: string;\n    /** Gets or sets a text string that is displayed in an input field as a hint or prompt to users as the format or type of information they need to enter.The text appears in an input field until the user puts focus on the field. */\n    placeholder: string;\n    /** Sets or retrieves the value indicated whether the content of the object is read-only. */\n    readOnly: boolean;\n    /** When present, marks an element that can\'t be submitted without a value. */\n    required: boolean;\n    /** Sets or retrieves the number of horizontal rows contained in the object. */\n    rows: number;\n    selectionDirection: "forward" | "backward" | "none";\n    /** Gets or sets the end position or offset of a text selection. */\n    selectionEnd: number;\n    /** Gets or sets the starting position or offset of a text selection. */\n    selectionStart: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTextAreaElement/textLength) */\n    readonly textLength: number;\n    /** Retrieves the type of control. */\n    readonly type: string;\n    /** Returns the error message that would be displayed if the user submits the form, or an empty string if no error message. It also triggers the standard error message, such as "this is a required field". The result is that the user sees validation messages without actually submitting. */\n    readonly validationMessage: string;\n    /** Returns a  ValidityState object that represents the validity states of an element. */\n    readonly validity: ValidityState;\n    /** Retrieves or sets the text in the entry field of the textArea element. */\n    value: string;\n    /** Returns whether an element will successfully validate based on forms validation rules and constraints. */\n    readonly willValidate: boolean;\n    /** Sets or retrieves how to handle wordwrapping in the object. */\n    wrap: string;\n    /** Returns whether a form will validate when it is submitted, without having to submit it. */\n    checkValidity(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTextAreaElement/reportValidity) */\n    reportValidity(): boolean;\n    /** Highlights the input area of a form element. */\n    select(): void;\n    /**\n     * Sets a custom error message that is displayed when a form is submitted.\n     * @param error Sets a custom error message that is displayed when a form is submitted.\n     */\n    setCustomValidity(error: string): void;\n    setRangeText(replacement: string): void;\n    setRangeText(replacement: string, start: number, end: number, selectionMode?: SelectionMode): void;\n    /**\n     * Sets the start and end positions of a selection in a text field.\n     * @param start The offset into the text field for the start of the selection.\n     * @param end The offset into the text field for the end of the selection.\n     * @param direction The direction in which the selection is performed.\n     */\n    setSelectionRange(start: number | null, end: number | null, direction?: "forward" | "backward" | "none"): void;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTextAreaElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTextAreaElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLTextAreaElement: {\n    prototype: HTMLTextAreaElement;\n    new(): HTMLTextAreaElement;\n};\n\n/**\n * Provides special properties (beyond the regular HTMLElement interface it also has available to it by inheritance) for manipulating <time> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTimeElement)\n */\ninterface HTMLTimeElement extends HTMLElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTimeElement/dateTime) */\n    dateTime: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTimeElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTimeElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLTimeElement: {\n    prototype: HTMLTimeElement;\n    new(): HTMLTimeElement;\n};\n\n/**\n * Contains the title for a document. This element inherits all of the properties and methods of the HTMLElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTitleElement)\n */\ninterface HTMLTitleElement extends HTMLElement {\n    /**\n     * Retrieves or sets the text of the object as a string.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTitleElement/text)\n     */\n    text: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTitleElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTitleElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLTitleElement: {\n    prototype: HTMLTitleElement;\n    new(): HTMLTitleElement;\n};\n\n/**\n * The HTMLTrackElement\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTrackElement)\n */\ninterface HTMLTrackElement extends HTMLElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTrackElement/default) */\n    default: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTrackElement/kind) */\n    kind: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTrackElement/label) */\n    label: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTrackElement/readyState) */\n    readonly readyState: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTrackElement/src) */\n    src: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTrackElement/srclang) */\n    srclang: string;\n    /**\n     * Returns the TextTrack object corresponding to the text track of the track element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTrackElement/track)\n     */\n    readonly track: TextTrack;\n    readonly NONE: 0;\n    readonly LOADING: 1;\n    readonly LOADED: 2;\n    readonly ERROR: 3;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTrackElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLTrackElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLTrackElement: {\n    prototype: HTMLTrackElement;\n    new(): HTMLTrackElement;\n    readonly NONE: 0;\n    readonly LOADING: 1;\n    readonly LOADED: 2;\n    readonly ERROR: 3;\n};\n\n/**\n * Provides special properties (beyond those defined on the regular HTMLElement interface it also has available to it by inheritance) for manipulating unordered list elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLUListElement)\n */\ninterface HTMLUListElement extends HTMLElement {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLUListElement/compact)\n     */\n    compact: boolean;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLUListElement/type)\n     */\n    type: string;\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLUListElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLUListElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLUListElement: {\n    prototype: HTMLUListElement;\n    new(): HTMLUListElement;\n};\n\n/**\n * An invalid HTML element and derives from the HTMLElement interface, but without implementing any additional properties or methods.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLUnknownElement)\n */\ninterface HTMLUnknownElement extends HTMLElement {\n    addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLUnknownElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLUnknownElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLUnknownElement: {\n    prototype: HTMLUnknownElement;\n    new(): HTMLUnknownElement;\n};\n\ninterface HTMLVideoElementEventMap extends HTMLMediaElementEventMap {\n    "enterpictureinpicture": Event;\n    "leavepictureinpicture": Event;\n}\n\n/**\n * Provides special properties and methods for manipulating video objects. It also inherits properties and methods of HTMLMediaElement and HTMLElement.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement)\n */\ninterface HTMLVideoElement extends HTMLMediaElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement/disablePictureInPicture) */\n    disablePictureInPicture: boolean;\n    /**\n     * Gets or sets the height of the video element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement/height)\n     */\n    height: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement/enterpictureinpicture_event) */\n    onenterpictureinpicture: ((this: HTMLVideoElement, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement/leavepictureinpicture_event) */\n    onleavepictureinpicture: ((this: HTMLVideoElement, ev: Event) => any) | null;\n    /** Gets or sets the playsinline of the video element. for example, On iPhone, video elements will now be allowed to play inline, and will not automatically enter fullscreen mode when playback begins. */\n    playsInline: boolean;\n    /**\n     * Gets or sets a URL of an image to display, for example, like a movie poster. This can be a still frame from the video, or another image if no video data is available.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement/poster)\n     */\n    poster: string;\n    /**\n     * Gets the intrinsic height of a video in CSS pixels, or zero if the dimensions are not known.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement/videoHeight)\n     */\n    readonly videoHeight: number;\n    /**\n     * Gets the intrinsic width of a video in CSS pixels, or zero if the dimensions are not known.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement/videoWidth)\n     */\n    readonly videoWidth: number;\n    /**\n     * Gets or sets the width of the video element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement/width)\n     */\n    width: number;\n    cancelVideoFrameCallback(handle: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement/getVideoPlaybackQuality) */\n    getVideoPlaybackQuality(): VideoPlaybackQuality;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement/requestPictureInPicture) */\n    requestPictureInPicture(): Promise<PictureInPictureWindow>;\n    requestVideoFrameCallback(callback: VideoFrameRequestCallback): number;\n    addEventListener<K extends keyof HTMLVideoElementEventMap>(type: K, listener: (this: HTMLVideoElement, ev: HTMLVideoElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof HTMLVideoElementEventMap>(type: K, listener: (this: HTMLVideoElement, ev: HTMLVideoElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var HTMLVideoElement: {\n    prototype: HTMLVideoElement;\n    new(): HTMLVideoElement;\n};\n\n/**\n * Events that fire when the fragment identifier of the URL has changed.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HashChangeEvent)\n */\ninterface HashChangeEvent extends Event {\n    /**\n     * Returns the URL of the session history entry that is now current.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HashChangeEvent/newURL)\n     */\n    readonly newURL: string;\n    /**\n     * Returns the URL of the session history entry that was previously current.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HashChangeEvent/oldURL)\n     */\n    readonly oldURL: string;\n}\n\ndeclare var HashChangeEvent: {\n    prototype: HashChangeEvent;\n    new(type: string, eventInitDict?: HashChangeEventInit): HashChangeEvent;\n};\n\n/**\n * This Fetch API interface allows you to perform various actions on HTTP request and response headers. These actions include retrieving, setting, adding to, and removing. A Headers object has an associated header list, which is initially empty and consists of zero or more name and value pairs.  You can add to this using methods like append() (see Examples.) In all methods of this interface, header names are matched by case-insensitive byte sequence.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers)\n */\ninterface Headers {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers/append) */\n    append(name: string, value: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers/delete) */\n    delete(name: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers/get) */\n    get(name: string): string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers/getSetCookie) */\n    getSetCookie(): string[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers/has) */\n    has(name: string): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers/set) */\n    set(name: string, value: string): void;\n    forEach(callbackfn: (value: string, key: string, parent: Headers) => void, thisArg?: any): void;\n}\n\ndeclare var Headers: {\n    prototype: Headers;\n    new(init?: HeadersInit): Headers;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Highlight) */\ninterface Highlight {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Highlight/priority) */\n    priority: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Highlight/type) */\n    type: HighlightType;\n    forEach(callbackfn: (value: AbstractRange, key: AbstractRange, parent: Highlight) => void, thisArg?: any): void;\n}\n\ndeclare var Highlight: {\n    prototype: Highlight;\n    new(...initialRanges: AbstractRange[]): Highlight;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HighlightRegistry) */\ninterface HighlightRegistry {\n    forEach(callbackfn: (value: Highlight, key: string, parent: HighlightRegistry) => void, thisArg?: any): void;\n}\n\ndeclare var HighlightRegistry: {\n    prototype: HighlightRegistry;\n    new(): HighlightRegistry;\n};\n\n/**\n * Allows manipulation of the browser session history, that is the pages visited in the tab or frame that the current page is loaded in.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/History)\n */\ninterface History {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/History/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/History/scrollRestoration) */\n    scrollRestoration: ScrollRestoration;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/History/state) */\n    readonly state: any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/History/back) */\n    back(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/History/forward) */\n    forward(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/History/go) */\n    go(delta?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/History/pushState) */\n    pushState(data: any, unused: string, url?: string | URL | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/History/replaceState) */\n    replaceState(data: any, unused: string, url?: string | URL | null): void;\n}\n\ndeclare var History: {\n    prototype: History;\n    new(): History;\n};\n\n/**\n * This IndexedDB API interface represents a cursor for traversing or iterating over multiple records in a database.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor)\n */\ninterface IDBCursor {\n    /**\n     * Returns the direction ("next", "nextunique", "prev" or "prevunique") of the cursor.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/direction)\n     */\n    readonly direction: IDBCursorDirection;\n    /**\n     * Returns the key of the cursor. Throws a "InvalidStateError" DOMException if the cursor is advancing or is finished.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/key)\n     */\n    readonly key: IDBValidKey;\n    /**\n     * Returns the effective key of the cursor. Throws a "InvalidStateError" DOMException if the cursor is advancing or is finished.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/primaryKey)\n     */\n    readonly primaryKey: IDBValidKey;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/request) */\n    readonly request: IDBRequest;\n    /**\n     * Returns the IDBObjectStore or IDBIndex the cursor was opened from.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/source)\n     */\n    readonly source: IDBObjectStore | IDBIndex;\n    /**\n     * Advances the cursor through the next count records in range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/advance)\n     */\n    advance(count: number): void;\n    /**\n     * Advances the cursor to the next record in range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/continue)\n     */\n    continue(key?: IDBValidKey): void;\n    /**\n     * Advances the cursor to the next record in range matching or after key and primaryKey. Throws an "InvalidAccessError" DOMException if the source is not an index.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/continuePrimaryKey)\n     */\n    continuePrimaryKey(key: IDBValidKey, primaryKey: IDBValidKey): void;\n    /**\n     * Delete the record pointed at by the cursor with a new value.\n     *\n     * If successful, request\'s result will be undefined.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/delete)\n     */\n    delete(): IDBRequest<undefined>;\n    /**\n     * Updated the record pointed at by the cursor with a new value.\n     *\n     * Throws a "DataError" DOMException if the effective object store uses in-line keys and the key would have changed.\n     *\n     * If successful, request\'s result will be the record\'s key.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/update)\n     */\n    update(value: any): IDBRequest<IDBValidKey>;\n}\n\ndeclare var IDBCursor: {\n    prototype: IDBCursor;\n    new(): IDBCursor;\n};\n\n/**\n * This IndexedDB API interface represents a cursor for traversing or iterating over multiple records in a database. It is the same as the IDBCursor, except that it includes the value property.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursorWithValue)\n */\ninterface IDBCursorWithValue extends IDBCursor {\n    /**\n     * Returns the cursor\'s current value.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursorWithValue/value)\n     */\n    readonly value: any;\n}\n\ndeclare var IDBCursorWithValue: {\n    prototype: IDBCursorWithValue;\n    new(): IDBCursorWithValue;\n};\n\ninterface IDBDatabaseEventMap {\n    "abort": Event;\n    "close": Event;\n    "error": Event;\n    "versionchange": IDBVersionChangeEvent;\n}\n\n/**\n * This IndexedDB API interface provides a connection to a database; you can use an IDBDatabase object to open a transaction on your database then create, manipulate, and delete objects (data) in that database. The interface provides the only way to get and manage versions of the database.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase)\n */\ninterface IDBDatabase extends EventTarget {\n    /**\n     * Returns the name of the database.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/name)\n     */\n    readonly name: string;\n    /**\n     * Returns a list of the names of object stores in the database.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/objectStoreNames)\n     */\n    readonly objectStoreNames: DOMStringList;\n    onabort: ((this: IDBDatabase, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/close_event) */\n    onclose: ((this: IDBDatabase, ev: Event) => any) | null;\n    onerror: ((this: IDBDatabase, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/versionchange_event) */\n    onversionchange: ((this: IDBDatabase, ev: IDBVersionChangeEvent) => any) | null;\n    /**\n     * Returns the version of the database.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/version)\n     */\n    readonly version: number;\n    /**\n     * Closes the connection once all running transactions have finished.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/close)\n     */\n    close(): void;\n    /**\n     * Creates a new object store with the given name and options and returns a new IDBObjectStore.\n     *\n     * Throws a "InvalidStateError" DOMException if not called within an upgrade transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/createObjectStore)\n     */\n    createObjectStore(name: string, options?: IDBObjectStoreParameters): IDBObjectStore;\n    /**\n     * Deletes the object store with the given name.\n     *\n     * Throws a "InvalidStateError" DOMException if not called within an upgrade transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/deleteObjectStore)\n     */\n    deleteObjectStore(name: string): void;\n    /**\n     * Returns a new transaction with the given mode ("readonly" or "readwrite") and scope which can be a single object store name or an array of names.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/transaction)\n     */\n    transaction(storeNames: string | string[], mode?: IDBTransactionMode, options?: IDBTransactionOptions): IDBTransaction;\n    addEventListener<K extends keyof IDBDatabaseEventMap>(type: K, listener: (this: IDBDatabase, ev: IDBDatabaseEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof IDBDatabaseEventMap>(type: K, listener: (this: IDBDatabase, ev: IDBDatabaseEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var IDBDatabase: {\n    prototype: IDBDatabase;\n    new(): IDBDatabase;\n};\n\n/**\n * In the following code snippet, we make a request to open a database, and include handlers for the success and error cases. For a full working example, see our To-do Notifications app (view example live.)\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBFactory)\n */\ninterface IDBFactory {\n    /**\n     * Compares two values as keys. Returns -1 if key1 precedes key2, 1 if key2 precedes key1, and 0 if the keys are equal.\n     *\n     * Throws a "DataError" DOMException if either input is not a valid key.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBFactory/cmp)\n     */\n    cmp(first: any, second: any): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBFactory/databases) */\n    databases(): Promise<IDBDatabaseInfo[]>;\n    /**\n     * Attempts to delete the named database. If the database already exists and there are open connections that don\'t close in response to a versionchange event, the request will be blocked until all they close. If the request is successful request\'s result will be null.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBFactory/deleteDatabase)\n     */\n    deleteDatabase(name: string): IDBOpenDBRequest;\n    /**\n     * Attempts to open a connection to the named database with the current version, or 1 if it does not already exist. If the request is successful request\'s result will be the connection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBFactory/open)\n     */\n    open(name: string, version?: number): IDBOpenDBRequest;\n}\n\ndeclare var IDBFactory: {\n    prototype: IDBFactory;\n    new(): IDBFactory;\n};\n\n/**\n * IDBIndex interface of the IndexedDB API provides asynchronous access to an index in a database. An index is a kind of object store for looking up records in another object store, called the referenced object store. You use this interface to retrieve data.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex)\n */\ninterface IDBIndex {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/keyPath) */\n    readonly keyPath: string | string[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/multiEntry) */\n    readonly multiEntry: boolean;\n    /**\n     * Returns the name of the index.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/name)\n     */\n    name: string;\n    /**\n     * Returns the IDBObjectStore the index belongs to.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/objectStore)\n     */\n    readonly objectStore: IDBObjectStore;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/unique) */\n    readonly unique: boolean;\n    /**\n     * Retrieves the number of records matching the given key or key range in query.\n     *\n     * If successful, request\'s result will be the count.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/count)\n     */\n    count(query?: IDBValidKey | IDBKeyRange): IDBRequest<number>;\n    /**\n     * Retrieves the value of the first record matching the given key or key range in query.\n     *\n     * If successful, request\'s result will be the value, or undefined if there was no matching record.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/get)\n     */\n    get(query: IDBValidKey | IDBKeyRange): IDBRequest<any>;\n    /**\n     * Retrieves the values of the records matching the given key or key range in query (up to count if given).\n     *\n     * If successful, request\'s result will be an Array of the values.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/getAll)\n     */\n    getAll(query?: IDBValidKey | IDBKeyRange | null, count?: number): IDBRequest<any[]>;\n    /**\n     * Retrieves the keys of records matching the given key or key range in query (up to count if given).\n     *\n     * If successful, request\'s result will be an Array of the keys.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/getAllKeys)\n     */\n    getAllKeys(query?: IDBValidKey | IDBKeyRange | null, count?: number): IDBRequest<IDBValidKey[]>;\n    /**\n     * Retrieves the key of the first record matching the given key or key range in query.\n     *\n     * If successful, request\'s result will be the key, or undefined if there was no matching record.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/getKey)\n     */\n    getKey(query: IDBValidKey | IDBKeyRange): IDBRequest<IDBValidKey | undefined>;\n    /**\n     * Opens a cursor over the records matching query, ordered by direction. If query is null, all records in index are matched.\n     *\n     * If successful, request\'s result will be an IDBCursorWithValue, or null if there were no matching records.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/openCursor)\n     */\n    openCursor(query?: IDBValidKey | IDBKeyRange | null, direction?: IDBCursorDirection): IDBRequest<IDBCursorWithValue | null>;\n    /**\n     * Opens a cursor with key only flag set over the records matching query, ordered by direction. If query is null, all records in index are matched.\n     *\n     * If successful, request\'s result will be an IDBCursor, or null if there were no matching records.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/openKeyCursor)\n     */\n    openKeyCursor(query?: IDBValidKey | IDBKeyRange | null, direction?: IDBCursorDirection): IDBRequest<IDBCursor | null>;\n}\n\ndeclare var IDBIndex: {\n    prototype: IDBIndex;\n    new(): IDBIndex;\n};\n\n/**\n * A key range can be a single value or a range with upper and lower bounds or endpoints. If the key range has both upper and lower bounds, then it is bounded; if it has no bounds, it is unbounded. A bounded key range can either be open (the endpoints are excluded) or closed (the endpoints are included). To retrieve all keys within a certain range, you can use the following code constructs:\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange)\n */\ninterface IDBKeyRange {\n    /**\n     * Returns lower bound, or undefined if none.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/lower)\n     */\n    readonly lower: any;\n    /**\n     * Returns true if the lower open flag is set, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/lowerOpen)\n     */\n    readonly lowerOpen: boolean;\n    /**\n     * Returns upper bound, or undefined if none.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/upper)\n     */\n    readonly upper: any;\n    /**\n     * Returns true if the upper open flag is set, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/upperOpen)\n     */\n    readonly upperOpen: boolean;\n    /**\n     * Returns true if key is included in the range, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/includes)\n     */\n    includes(key: any): boolean;\n}\n\ndeclare var IDBKeyRange: {\n    prototype: IDBKeyRange;\n    new(): IDBKeyRange;\n    /**\n     * Returns a new IDBKeyRange spanning from lower to upper. If lowerOpen is true, lower is not included in the range. If upperOpen is true, upper is not included in the range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/bound_static)\n     */\n    bound(lower: any, upper: any, lowerOpen?: boolean, upperOpen?: boolean): IDBKeyRange;\n    /**\n     * Returns a new IDBKeyRange starting at key with no upper bound. If open is true, key is not included in the range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/lowerBound_static)\n     */\n    lowerBound(lower: any, open?: boolean): IDBKeyRange;\n    /**\n     * Returns a new IDBKeyRange spanning only key.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/only_static)\n     */\n    only(value: any): IDBKeyRange;\n    /**\n     * Returns a new IDBKeyRange with no lower bound and ending at key. If open is true, key is not included in the range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/upperBound_static)\n     */\n    upperBound(upper: any, open?: boolean): IDBKeyRange;\n};\n\n/**\n * This example shows a variety of different uses of object stores, from updating the data structure with IDBObjectStore.createIndex inside an onupgradeneeded function, to adding a new item to our object store with IDBObjectStore.add. For a full working example, see our To-do Notifications app (view example live.)\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore)\n */\ninterface IDBObjectStore {\n    /**\n     * Returns true if the store has a key generator, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/autoIncrement)\n     */\n    readonly autoIncrement: boolean;\n    /**\n     * Returns a list of the names of indexes in the store.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/indexNames)\n     */\n    readonly indexNames: DOMStringList;\n    /**\n     * Returns the key path of the store, or null if none.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/keyPath)\n     */\n    readonly keyPath: string | string[];\n    /**\n     * Returns the name of the store.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/name)\n     */\n    name: string;\n    /**\n     * Returns the associated transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/transaction)\n     */\n    readonly transaction: IDBTransaction;\n    /**\n     * Adds or updates a record in store with the given value and key.\n     *\n     * If the store uses in-line keys and key is specified a "DataError" DOMException will be thrown.\n     *\n     * If put() is used, any existing record with the key will be replaced. If add() is used, and if a record with the key already exists the request will fail, with request\'s error set to a "ConstraintError" DOMException.\n     *\n     * If successful, request\'s result will be the record\'s key.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/add)\n     */\n    add(value: any, key?: IDBValidKey): IDBRequest<IDBValidKey>;\n    /**\n     * Deletes all records in store.\n     *\n     * If successful, request\'s result will be undefined.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/clear)\n     */\n    clear(): IDBRequest<undefined>;\n    /**\n     * Retrieves the number of records matching the given key or key range in query.\n     *\n     * If successful, request\'s result will be the count.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/count)\n     */\n    count(query?: IDBValidKey | IDBKeyRange): IDBRequest<number>;\n    /**\n     * Creates a new index in store with the given name, keyPath and options and returns a new IDBIndex. If the keyPath and options define constraints that cannot be satisfied with the data already in store the upgrade transaction will abort with a "ConstraintError" DOMException.\n     *\n     * Throws an "InvalidStateError" DOMException if not called within an upgrade transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/createIndex)\n     */\n    createIndex(name: string, keyPath: string | string[], options?: IDBIndexParameters): IDBIndex;\n    /**\n     * Deletes records in store with the given key or in the given key range in query.\n     *\n     * If successful, request\'s result will be undefined.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/delete)\n     */\n    delete(query: IDBValidKey | IDBKeyRange): IDBRequest<undefined>;\n    /**\n     * Deletes the index in store with the given name.\n     *\n     * Throws an "InvalidStateError" DOMException if not called within an upgrade transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/deleteIndex)\n     */\n    deleteIndex(name: string): void;\n    /**\n     * Retrieves the value of the first record matching the given key or key range in query.\n     *\n     * If successful, request\'s result will be the value, or undefined if there was no matching record.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/get)\n     */\n    get(query: IDBValidKey | IDBKeyRange): IDBRequest<any>;\n    /**\n     * Retrieves the values of the records matching the given key or key range in query (up to count if given).\n     *\n     * If successful, request\'s result will be an Array of the values.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/getAll)\n     */\n    getAll(query?: IDBValidKey | IDBKeyRange | null, count?: number): IDBRequest<any[]>;\n    /**\n     * Retrieves the keys of records matching the given key or key range in query (up to count if given).\n     *\n     * If successful, request\'s result will be an Array of the keys.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/getAllKeys)\n     */\n    getAllKeys(query?: IDBValidKey | IDBKeyRange | null, count?: number): IDBRequest<IDBValidKey[]>;\n    /**\n     * Retrieves the key of the first record matching the given key or key range in query.\n     *\n     * If successful, request\'s result will be the key, or undefined if there was no matching record.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/getKey)\n     */\n    getKey(query: IDBValidKey | IDBKeyRange): IDBRequest<IDBValidKey | undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/index) */\n    index(name: string): IDBIndex;\n    /**\n     * Opens a cursor over the records matching query, ordered by direction. If query is null, all records in store are matched.\n     *\n     * If successful, request\'s result will be an IDBCursorWithValue pointing at the first matching record, or null if there were no matching records.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/openCursor)\n     */\n    openCursor(query?: IDBValidKey | IDBKeyRange | null, direction?: IDBCursorDirection): IDBRequest<IDBCursorWithValue | null>;\n    /**\n     * Opens a cursor with key only flag set over the records matching query, ordered by direction. If query is null, all records in store are matched.\n     *\n     * If successful, request\'s result will be an IDBCursor pointing at the first matching record, or null if there were no matching records.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/openKeyCursor)\n     */\n    openKeyCursor(query?: IDBValidKey | IDBKeyRange | null, direction?: IDBCursorDirection): IDBRequest<IDBCursor | null>;\n    /**\n     * Adds or updates a record in store with the given value and key.\n     *\n     * If the store uses in-line keys and key is specified a "DataError" DOMException will be thrown.\n     *\n     * If put() is used, any existing record with the key will be replaced. If add() is used, and if a record with the key already exists the request will fail, with request\'s error set to a "ConstraintError" DOMException.\n     *\n     * If successful, request\'s result will be the record\'s key.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/put)\n     */\n    put(value: any, key?: IDBValidKey): IDBRequest<IDBValidKey>;\n}\n\ndeclare var IDBObjectStore: {\n    prototype: IDBObjectStore;\n    new(): IDBObjectStore;\n};\n\ninterface IDBOpenDBRequestEventMap extends IDBRequestEventMap {\n    "blocked": IDBVersionChangeEvent;\n    "upgradeneeded": IDBVersionChangeEvent;\n}\n\n/**\n * Also inherits methods from its parents IDBRequest and EventTarget.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBOpenDBRequest)\n */\ninterface IDBOpenDBRequest extends IDBRequest<IDBDatabase> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBOpenDBRequest/blocked_event) */\n    onblocked: ((this: IDBOpenDBRequest, ev: IDBVersionChangeEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBOpenDBRequest/upgradeneeded_event) */\n    onupgradeneeded: ((this: IDBOpenDBRequest, ev: IDBVersionChangeEvent) => any) | null;\n    addEventListener<K extends keyof IDBOpenDBRequestEventMap>(type: K, listener: (this: IDBOpenDBRequest, ev: IDBOpenDBRequestEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof IDBOpenDBRequestEventMap>(type: K, listener: (this: IDBOpenDBRequest, ev: IDBOpenDBRequestEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var IDBOpenDBRequest: {\n    prototype: IDBOpenDBRequest;\n    new(): IDBOpenDBRequest;\n};\n\ninterface IDBRequestEventMap {\n    "error": Event;\n    "success": Event;\n}\n\n/**\n * The request object does not initially contain any information about the result of the operation, but once information becomes available, an event is fired on the request, and the information becomes available through the properties of the IDBRequest instance.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest)\n */\ninterface IDBRequest<T = any> extends EventTarget {\n    /**\n     * When a request is completed, returns the error (a DOMException), or null if the request succeeded. Throws a "InvalidStateError" DOMException if the request is still pending.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/error)\n     */\n    readonly error: DOMException | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/error_event) */\n    onerror: ((this: IDBRequest<T>, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/success_event) */\n    onsuccess: ((this: IDBRequest<T>, ev: Event) => any) | null;\n    /**\n     * Returns "pending" until a request is complete, then returns "done".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/readyState)\n     */\n    readonly readyState: IDBRequestReadyState;\n    /**\n     * When a request is completed, returns the result, or undefined if the request failed. Throws a "InvalidStateError" DOMException if the request is still pending.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/result)\n     */\n    readonly result: T;\n    /**\n     * Returns the IDBObjectStore, IDBIndex, or IDBCursor the request was made against, or null if is was an open request.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/source)\n     */\n    readonly source: IDBObjectStore | IDBIndex | IDBCursor;\n    /**\n     * Returns the IDBTransaction the request was made within. If this as an open request, then it returns an upgrade transaction while it is running, or null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/transaction)\n     */\n    readonly transaction: IDBTransaction | null;\n    addEventListener<K extends keyof IDBRequestEventMap>(type: K, listener: (this: IDBRequest<T>, ev: IDBRequestEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof IDBRequestEventMap>(type: K, listener: (this: IDBRequest<T>, ev: IDBRequestEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var IDBRequest: {\n    prototype: IDBRequest;\n    new(): IDBRequest;\n};\n\ninterface IDBTransactionEventMap {\n    "abort": Event;\n    "complete": Event;\n    "error": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction) */\ninterface IDBTransaction extends EventTarget {\n    /**\n     * Returns the transaction\'s connection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/db)\n     */\n    readonly db: IDBDatabase;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/durability) */\n    readonly durability: IDBTransactionDurability;\n    /**\n     * If the transaction was aborted, returns the error (a DOMException) providing the reason.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/error)\n     */\n    readonly error: DOMException | null;\n    /**\n     * Returns the mode the transaction was created with ("readonly" or "readwrite"), or "versionchange" for an upgrade transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/mode)\n     */\n    readonly mode: IDBTransactionMode;\n    /**\n     * Returns a list of the names of object stores in the transaction\'s scope. For an upgrade transaction this is all object stores in the database.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/objectStoreNames)\n     */\n    readonly objectStoreNames: DOMStringList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/abort_event) */\n    onabort: ((this: IDBTransaction, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/complete_event) */\n    oncomplete: ((this: IDBTransaction, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/error_event) */\n    onerror: ((this: IDBTransaction, ev: Event) => any) | null;\n    /**\n     * Aborts the transaction. All pending requests will fail with a "AbortError" DOMException and all changes made to the database will be reverted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/abort)\n     */\n    abort(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/commit) */\n    commit(): void;\n    /**\n     * Returns an IDBObjectStore in the transaction\'s scope.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/objectStore)\n     */\n    objectStore(name: string): IDBObjectStore;\n    addEventListener<K extends keyof IDBTransactionEventMap>(type: K, listener: (this: IDBTransaction, ev: IDBTransactionEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof IDBTransactionEventMap>(type: K, listener: (this: IDBTransaction, ev: IDBTransactionEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var IDBTransaction: {\n    prototype: IDBTransaction;\n    new(): IDBTransaction;\n};\n\n/**\n * This IndexedDB API interface indicates that the version of the database has changed, as the result of an IDBOpenDBRequest.onupgradeneeded event handler function.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBVersionChangeEvent)\n */\ninterface IDBVersionChangeEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBVersionChangeEvent/newVersion) */\n    readonly newVersion: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBVersionChangeEvent/oldVersion) */\n    readonly oldVersion: number;\n}\n\ndeclare var IDBVersionChangeEvent: {\n    prototype: IDBVersionChangeEvent;\n    new(type: string, eventInitDict?: IDBVersionChangeEventInit): IDBVersionChangeEvent;\n};\n\n/**\n * The IIRFilterNode interface of the Web Audio API is a AudioNode processor which implements a general infinite impulse response (IIR)  filter; this type of filter can be used to implement tone control devices and graphic equalizers as well. It lets the parameters of the filter response be specified, so that it can be tuned as needed.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IIRFilterNode)\n */\ninterface IIRFilterNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IIRFilterNode/getFrequencyResponse) */\n    getFrequencyResponse(frequencyHz: Float32Array, magResponse: Float32Array, phaseResponse: Float32Array): void;\n}\n\ndeclare var IIRFilterNode: {\n    prototype: IIRFilterNode;\n    new(context: BaseAudioContext, options: IIRFilterOptions): IIRFilterNode;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IdleDeadline) */\ninterface IdleDeadline {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IdleDeadline/didTimeout) */\n    readonly didTimeout: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IdleDeadline/timeRemaining) */\n    timeRemaining(): DOMHighResTimeStamp;\n}\n\ndeclare var IdleDeadline: {\n    prototype: IdleDeadline;\n    new(): IdleDeadline;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageBitmap) */\ninterface ImageBitmap {\n    /**\n     * Returns the intrinsic height of the image, in CSS pixels.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageBitmap/height)\n     */\n    readonly height: number;\n    /**\n     * Returns the intrinsic width of the image, in CSS pixels.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageBitmap/width)\n     */\n    readonly width: number;\n    /**\n     * Releases imageBitmap\'s underlying bitmap data.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageBitmap/close)\n     */\n    close(): void;\n}\n\ndeclare var ImageBitmap: {\n    prototype: ImageBitmap;\n    new(): ImageBitmap;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageBitmapRenderingContext) */\ninterface ImageBitmapRenderingContext {\n    /** Returns the canvas element that the context is bound to. */\n    readonly canvas: HTMLCanvasElement | OffscreenCanvas;\n    /**\n     * Transfers the underlying bitmap data from imageBitmap to context, and the bitmap becomes the contents of the canvas element to which context is bound.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageBitmapRenderingContext/transferFromImageBitmap)\n     */\n    transferFromImageBitmap(bitmap: ImageBitmap | null): void;\n}\n\ndeclare var ImageBitmapRenderingContext: {\n    prototype: ImageBitmapRenderingContext;\n    new(): ImageBitmapRenderingContext;\n};\n\n/**\n * The underlying pixel data of an area of a <canvas> element. It is created using the ImageData() constructor or creator methods on the CanvasRenderingContext2D object associated with a canvas: createImageData() and getImageData(). It can also be used to set a part of the canvas by using putImageData().\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageData)\n */\ninterface ImageData {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageData/colorSpace) */\n    readonly colorSpace: PredefinedColorSpace;\n    /**\n     * Returns the one-dimensional array containing the data in RGBA order, as integers in the range 0 to 255.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageData/data)\n     */\n    readonly data: Uint8ClampedArray;\n    /**\n     * Returns the actual dimensions of the data in the ImageData object, in pixels.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageData/height)\n     */\n    readonly height: number;\n    /**\n     * Returns the actual dimensions of the data in the ImageData object, in pixels.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageData/width)\n     */\n    readonly width: number;\n}\n\ndeclare var ImageData: {\n    prototype: ImageData;\n    new(sw: number, sh: number, settings?: ImageDataSettings): ImageData;\n    new(data: Uint8ClampedArray, sw: number, sh?: number, settings?: ImageDataSettings): ImageData;\n};\n\ninterface InnerHTML {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/innerHTML) */\n    innerHTML: string;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/InputDeviceInfo)\n */\ninterface InputDeviceInfo extends MediaDeviceInfo {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/InputDeviceInfo/getCapabilities) */\n    getCapabilities(): MediaTrackCapabilities;\n}\n\ndeclare var InputDeviceInfo: {\n    prototype: InputDeviceInfo;\n    new(): InputDeviceInfo;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/InputEvent) */\ninterface InputEvent extends UIEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/InputEvent/data) */\n    readonly data: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/InputEvent/dataTransfer) */\n    readonly dataTransfer: DataTransfer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/InputEvent/inputType) */\n    readonly inputType: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/InputEvent/isComposing) */\n    readonly isComposing: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/InputEvent/getTargetRanges) */\n    getTargetRanges(): StaticRange[];\n}\n\ndeclare var InputEvent: {\n    prototype: InputEvent;\n    new(type: string, eventInitDict?: InputEventInit): InputEvent;\n};\n\n/**\n * provides a way to asynchronously observe changes in the intersection of a target element with an ancestor element or with a top-level document\'s viewport.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserver)\n */\ninterface IntersectionObserver {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserver/root) */\n    readonly root: Element | Document | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserver/rootMargin) */\n    readonly rootMargin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserver/thresholds) */\n    readonly thresholds: ReadonlyArray<number>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserver/disconnect) */\n    disconnect(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserver/observe) */\n    observe(target: Element): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserver/takeRecords) */\n    takeRecords(): IntersectionObserverEntry[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserver/unobserve) */\n    unobserve(target: Element): void;\n}\n\ndeclare var IntersectionObserver: {\n    prototype: IntersectionObserver;\n    new(callback: IntersectionObserverCallback, options?: IntersectionObserverInit): IntersectionObserver;\n};\n\n/**\n * This Intersection Observer API interface describes the intersection between the target element and its root container at a specific moment of transition.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserverEntry)\n */\ninterface IntersectionObserverEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserverEntry/boundingClientRect) */\n    readonly boundingClientRect: DOMRectReadOnly;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserverEntry/intersectionRatio) */\n    readonly intersectionRatio: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserverEntry/intersectionRect) */\n    readonly intersectionRect: DOMRectReadOnly;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserverEntry/isIntersecting) */\n    readonly isIntersecting: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserverEntry/rootBounds) */\n    readonly rootBounds: DOMRectReadOnly | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserverEntry/target) */\n    readonly target: Element;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IntersectionObserverEntry/time) */\n    readonly time: DOMHighResTimeStamp;\n}\n\ndeclare var IntersectionObserverEntry: {\n    prototype: IntersectionObserverEntry;\n    new(intersectionObserverEntryInit: IntersectionObserverEntryInit): IntersectionObserverEntry;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KHR_parallel_shader_compile) */\ninterface KHR_parallel_shader_compile {\n    readonly COMPLETION_STATUS_KHR: 0x91B1;\n}\n\n/**\n * KeyboardEvent objects describe a user interaction with the keyboard; each event describes a single interaction between the user and a key (or combination of a key with modifier keys) on the keyboard.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent)\n */\ninterface KeyboardEvent extends UIEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/altKey) */\n    readonly altKey: boolean;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/charCode)\n     */\n    readonly charCode: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/code) */\n    readonly code: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/ctrlKey) */\n    readonly ctrlKey: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/isComposing) */\n    readonly isComposing: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/key) */\n    readonly key: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/keyCode)\n     */\n    readonly keyCode: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/location) */\n    readonly location: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/metaKey) */\n    readonly metaKey: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/repeat) */\n    readonly repeat: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/shiftKey) */\n    readonly shiftKey: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/getModifierState) */\n    getModifierState(keyArg: string): boolean;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyboardEvent/initKeyboardEvent)\n     */\n    initKeyboardEvent(typeArg: string, bubblesArg?: boolean, cancelableArg?: boolean, viewArg?: Window | null, keyArg?: string, locationArg?: number, ctrlKey?: boolean, altKey?: boolean, shiftKey?: boolean, metaKey?: boolean): void;\n    readonly DOM_KEY_LOCATION_STANDARD: 0x00;\n    readonly DOM_KEY_LOCATION_LEFT: 0x01;\n    readonly DOM_KEY_LOCATION_RIGHT: 0x02;\n    readonly DOM_KEY_LOCATION_NUMPAD: 0x03;\n}\n\ndeclare var KeyboardEvent: {\n    prototype: KeyboardEvent;\n    new(type: string, eventInitDict?: KeyboardEventInit): KeyboardEvent;\n    readonly DOM_KEY_LOCATION_STANDARD: 0x00;\n    readonly DOM_KEY_LOCATION_LEFT: 0x01;\n    readonly DOM_KEY_LOCATION_RIGHT: 0x02;\n    readonly DOM_KEY_LOCATION_NUMPAD: 0x03;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyframeEffect) */\ninterface KeyframeEffect extends AnimationEffect {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyframeEffect/composite) */\n    composite: CompositeOperation;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyframeEffect/iterationComposite) */\n    iterationComposite: IterationCompositeOperation;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyframeEffect/pseudoElement) */\n    pseudoElement: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyframeEffect/target) */\n    target: Element | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyframeEffect/getKeyframes) */\n    getKeyframes(): ComputedKeyframe[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KeyframeEffect/setKeyframes) */\n    setKeyframes(keyframes: Keyframe[] | PropertyIndexedKeyframes | null): void;\n}\n\ndeclare var KeyframeEffect: {\n    prototype: KeyframeEffect;\n    new(target: Element | null, keyframes: Keyframe[] | PropertyIndexedKeyframes | null, options?: number | KeyframeEffectOptions): KeyframeEffect;\n    new(source: KeyframeEffect): KeyframeEffect;\n};\n\ninterface LinkStyle {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLLinkElement/sheet) */\n    readonly sheet: CSSStyleSheet | null;\n}\n\n/**\n * The location (URL) of the object it is linked to. Changes done on it are reflected on the object it relates to. Both the Document and Window interface have such a linked Location, accessible via Document.location and Window.location respectively.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location)\n */\ninterface Location {\n    /**\n     * Returns a DOMStringList object listing the origins of the ancestor browsing contexts, from the parent browsing context to the top-level browsing context.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/ancestorOrigins)\n     */\n    readonly ancestorOrigins: DOMStringList;\n    /**\n     * Returns the Location object\'s URL\'s fragment (includes leading "#" if non-empty).\n     *\n     * Can be set, to navigate to the same URL with a changed fragment (ignores leading "#").\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/hash)\n     */\n    hash: string;\n    /**\n     * Returns the Location object\'s URL\'s host and port (if different from the default port for the scheme).\n     *\n     * Can be set, to navigate to the same URL with a changed host and port.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/host)\n     */\n    host: string;\n    /**\n     * Returns the Location object\'s URL\'s host.\n     *\n     * Can be set, to navigate to the same URL with a changed host.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/hostname)\n     */\n    hostname: string;\n    /**\n     * Returns the Location object\'s URL.\n     *\n     * Can be set, to navigate to the given URL.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/href)\n     */\n    href: string;\n    toString(): string;\n    /**\n     * Returns the Location object\'s URL\'s origin.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/origin)\n     */\n    readonly origin: string;\n    /**\n     * Returns the Location object\'s URL\'s path.\n     *\n     * Can be set, to navigate to the same URL with a changed path.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/pathname)\n     */\n    pathname: string;\n    /**\n     * Returns the Location object\'s URL\'s port.\n     *\n     * Can be set, to navigate to the same URL with a changed port.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/port)\n     */\n    port: string;\n    /**\n     * Returns the Location object\'s URL\'s scheme.\n     *\n     * Can be set, to navigate to the same URL with a changed scheme.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/protocol)\n     */\n    protocol: string;\n    /**\n     * Returns the Location object\'s URL\'s query (includes leading "?" if non-empty).\n     *\n     * Can be set, to navigate to the same URL with a changed query (ignores leading "?").\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/search)\n     */\n    search: string;\n    /**\n     * Navigates to the given URL.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/assign)\n     */\n    assign(url: string | URL): void;\n    /**\n     * Reloads the current page.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/reload)\n     */\n    reload(): void;\n    /**\n     * Removes the current page from the session history and navigates to the given URL.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Location/replace)\n     */\n    replace(url: string | URL): void;\n}\n\ndeclare var Location: {\n    prototype: Location;\n    new(): Location;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Lock)\n */\ninterface Lock {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Lock/mode) */\n    readonly mode: LockMode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Lock/name) */\n    readonly name: string;\n}\n\ndeclare var Lock: {\n    prototype: Lock;\n    new(): Lock;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/LockManager)\n */\ninterface LockManager {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/LockManager/query) */\n    query(): Promise<LockManagerSnapshot>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/LockManager/request) */\n    request(name: string, callback: LockGrantedCallback): Promise<any>;\n    request(name: string, options: LockOptions, callback: LockGrantedCallback): Promise<any>;\n}\n\ndeclare var LockManager: {\n    prototype: LockManager;\n    new(): LockManager;\n};\n\ninterface MIDIAccessEventMap {\n    "statechange": Event;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIAccess)\n */\ninterface MIDIAccess extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIAccess/inputs) */\n    readonly inputs: MIDIInputMap;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIAccess/statechange_event) */\n    onstatechange: ((this: MIDIAccess, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIAccess/outputs) */\n    readonly outputs: MIDIOutputMap;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIAccess/sysexEnabled) */\n    readonly sysexEnabled: boolean;\n    addEventListener<K extends keyof MIDIAccessEventMap>(type: K, listener: (this: MIDIAccess, ev: MIDIAccessEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MIDIAccessEventMap>(type: K, listener: (this: MIDIAccess, ev: MIDIAccessEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MIDIAccess: {\n    prototype: MIDIAccess;\n    new(): MIDIAccess;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIConnectionEvent)\n */\ninterface MIDIConnectionEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIConnectionEvent/port) */\n    readonly port: MIDIPort | null;\n}\n\ndeclare var MIDIConnectionEvent: {\n    prototype: MIDIConnectionEvent;\n    new(type: string, eventInitDict?: MIDIConnectionEventInit): MIDIConnectionEvent;\n};\n\ninterface MIDIInputEventMap extends MIDIPortEventMap {\n    "midimessage": MIDIMessageEvent;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIInput)\n */\ninterface MIDIInput extends MIDIPort {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIInput/midimessage_event) */\n    onmidimessage: ((this: MIDIInput, ev: MIDIMessageEvent) => any) | null;\n    addEventListener<K extends keyof MIDIInputEventMap>(type: K, listener: (this: MIDIInput, ev: MIDIInputEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MIDIInputEventMap>(type: K, listener: (this: MIDIInput, ev: MIDIInputEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MIDIInput: {\n    prototype: MIDIInput;\n    new(): MIDIInput;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIInputMap)\n */\ninterface MIDIInputMap {\n    forEach(callbackfn: (value: MIDIInput, key: string, parent: MIDIInputMap) => void, thisArg?: any): void;\n}\n\ndeclare var MIDIInputMap: {\n    prototype: MIDIInputMap;\n    new(): MIDIInputMap;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIMessageEvent)\n */\ninterface MIDIMessageEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIMessageEvent/data) */\n    readonly data: Uint8Array | null;\n}\n\ndeclare var MIDIMessageEvent: {\n    prototype: MIDIMessageEvent;\n    new(type: string, eventInitDict?: MIDIMessageEventInit): MIDIMessageEvent;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIOutput)\n */\ninterface MIDIOutput extends MIDIPort {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIOutput/send) */\n    send(data: number[], timestamp?: DOMHighResTimeStamp): void;\n    addEventListener<K extends keyof MIDIPortEventMap>(type: K, listener: (this: MIDIOutput, ev: MIDIPortEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MIDIPortEventMap>(type: K, listener: (this: MIDIOutput, ev: MIDIPortEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MIDIOutput: {\n    prototype: MIDIOutput;\n    new(): MIDIOutput;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIOutputMap)\n */\ninterface MIDIOutputMap {\n    forEach(callbackfn: (value: MIDIOutput, key: string, parent: MIDIOutputMap) => void, thisArg?: any): void;\n}\n\ndeclare var MIDIOutputMap: {\n    prototype: MIDIOutputMap;\n    new(): MIDIOutputMap;\n};\n\ninterface MIDIPortEventMap {\n    "statechange": MIDIConnectionEvent;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIPort)\n */\ninterface MIDIPort extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIPort/connection) */\n    readonly connection: MIDIPortConnectionState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIPort/id) */\n    readonly id: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIPort/manufacturer) */\n    readonly manufacturer: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIPort/name) */\n    readonly name: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIPort/statechange_event) */\n    onstatechange: ((this: MIDIPort, ev: MIDIConnectionEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIPort/state) */\n    readonly state: MIDIPortDeviceState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIPort/type) */\n    readonly type: MIDIPortType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIPort/version) */\n    readonly version: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIPort/close) */\n    close(): Promise<MIDIPort>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIPort/open) */\n    open(): Promise<MIDIPort>;\n    addEventListener<K extends keyof MIDIPortEventMap>(type: K, listener: (this: MIDIPort, ev: MIDIPortEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MIDIPortEventMap>(type: K, listener: (this: MIDIPort, ev: MIDIPortEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MIDIPort: {\n    prototype: MIDIPort;\n    new(): MIDIPort;\n};\n\ninterface MathMLElementEventMap extends ElementEventMap, GlobalEventHandlersEventMap {\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MathMLElement) */\ninterface MathMLElement extends Element, ElementCSSInlineStyle, GlobalEventHandlers, HTMLOrSVGElement {\n    addEventListener<K extends keyof MathMLElementEventMap>(type: K, listener: (this: MathMLElement, ev: MathMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MathMLElementEventMap>(type: K, listener: (this: MathMLElement, ev: MathMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MathMLElement: {\n    prototype: MathMLElement;\n    new(): MathMLElement;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaCapabilities) */\ninterface MediaCapabilities {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaCapabilities/decodingInfo) */\n    decodingInfo(configuration: MediaDecodingConfiguration): Promise<MediaCapabilitiesDecodingInfo>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaCapabilities/encodingInfo) */\n    encodingInfo(configuration: MediaEncodingConfiguration): Promise<MediaCapabilitiesEncodingInfo>;\n}\n\ndeclare var MediaCapabilities: {\n    prototype: MediaCapabilities;\n    new(): MediaCapabilities;\n};\n\n/**\n * The MediaDevicesInfo interface contains information that describes a single media input or output device.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaDeviceInfo)\n */\ninterface MediaDeviceInfo {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaDeviceInfo/deviceId) */\n    readonly deviceId: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaDeviceInfo/groupId) */\n    readonly groupId: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaDeviceInfo/kind) */\n    readonly kind: MediaDeviceKind;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaDeviceInfo/label) */\n    readonly label: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaDeviceInfo/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var MediaDeviceInfo: {\n    prototype: MediaDeviceInfo;\n    new(): MediaDeviceInfo;\n};\n\ninterface MediaDevicesEventMap {\n    "devicechange": Event;\n}\n\n/**\n * Provides access to connected media input devices like cameras and microphones, as well as screen sharing. In essence, it lets you obtain access to any hardware source of media data.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaDevices)\n */\ninterface MediaDevices extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaDevices/devicechange_event) */\n    ondevicechange: ((this: MediaDevices, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaDevices/enumerateDevices) */\n    enumerateDevices(): Promise<MediaDeviceInfo[]>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaDevices/getDisplayMedia) */\n    getDisplayMedia(options?: DisplayMediaStreamOptions): Promise<MediaStream>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaDevices/getSupportedConstraints) */\n    getSupportedConstraints(): MediaTrackSupportedConstraints;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaDevices/getUserMedia) */\n    getUserMedia(constraints?: MediaStreamConstraints): Promise<MediaStream>;\n    addEventListener<K extends keyof MediaDevicesEventMap>(type: K, listener: (this: MediaDevices, ev: MediaDevicesEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MediaDevicesEventMap>(type: K, listener: (this: MediaDevices, ev: MediaDevicesEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MediaDevices: {\n    prototype: MediaDevices;\n    new(): MediaDevices;\n};\n\n/**\n * A MediaElementSourceNode has no inputs and exactly one output, and is created using the AudioContext.createMediaElementSource method. The amount of channels in the output equals the number of channels of the audio referenced by the HTMLMediaElement used in the creation of the node, or is 1 if the HTMLMediaElement has no audio.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaElementAudioSourceNode)\n */\ninterface MediaElementAudioSourceNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaElementAudioSourceNode/mediaElement) */\n    readonly mediaElement: HTMLMediaElement;\n}\n\ndeclare var MediaElementAudioSourceNode: {\n    prototype: MediaElementAudioSourceNode;\n    new(context: AudioContext, options: MediaElementAudioSourceOptions): MediaElementAudioSourceNode;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaEncryptedEvent) */\ninterface MediaEncryptedEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaEncryptedEvent/initData) */\n    readonly initData: ArrayBuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaEncryptedEvent/initDataType) */\n    readonly initDataType: string;\n}\n\ndeclare var MediaEncryptedEvent: {\n    prototype: MediaEncryptedEvent;\n    new(type: string, eventInitDict?: MediaEncryptedEventInit): MediaEncryptedEvent;\n};\n\n/**\n * An error which occurred while handling media in an HTML media element based on HTMLMediaElement, such as <audio> or <video>.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaError)\n */\ninterface MediaError {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaError/code) */\n    readonly code: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaError/message) */\n    readonly message: string;\n    readonly MEDIA_ERR_ABORTED: 1;\n    readonly MEDIA_ERR_NETWORK: 2;\n    readonly MEDIA_ERR_DECODE: 3;\n    readonly MEDIA_ERR_SRC_NOT_SUPPORTED: 4;\n}\n\ndeclare var MediaError: {\n    prototype: MediaError;\n    new(): MediaError;\n    readonly MEDIA_ERR_ABORTED: 1;\n    readonly MEDIA_ERR_NETWORK: 2;\n    readonly MEDIA_ERR_DECODE: 3;\n    readonly MEDIA_ERR_SRC_NOT_SUPPORTED: 4;\n};\n\n/**\n * This EncryptedMediaExtensions API interface contains the content and related data when the content decryption module generates a message for the session.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeyMessageEvent)\n */\ninterface MediaKeyMessageEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeyMessageEvent/message) */\n    readonly message: ArrayBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeyMessageEvent/messageType) */\n    readonly messageType: MediaKeyMessageType;\n}\n\ndeclare var MediaKeyMessageEvent: {\n    prototype: MediaKeyMessageEvent;\n    new(type: string, eventInitDict: MediaKeyMessageEventInit): MediaKeyMessageEvent;\n};\n\ninterface MediaKeySessionEventMap {\n    "keystatuseschange": Event;\n    "message": MediaKeyMessageEvent;\n}\n\n/**\n * This EncryptedMediaExtensions API interface represents a context for message exchange with a content decryption module (CDM).\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySession)\n */\ninterface MediaKeySession extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySession/closed) */\n    readonly closed: Promise<MediaKeySessionClosedReason>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySession/expiration) */\n    readonly expiration: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySession/keyStatuses) */\n    readonly keyStatuses: MediaKeyStatusMap;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySession/keystatuseschange_event) */\n    onkeystatuseschange: ((this: MediaKeySession, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySession/message_event) */\n    onmessage: ((this: MediaKeySession, ev: MediaKeyMessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySession/sessionId) */\n    readonly sessionId: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySession/close) */\n    close(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySession/generateRequest) */\n    generateRequest(initDataType: string, initData: BufferSource): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySession/load) */\n    load(sessionId: string): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySession/remove) */\n    remove(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySession/update) */\n    update(response: BufferSource): Promise<void>;\n    addEventListener<K extends keyof MediaKeySessionEventMap>(type: K, listener: (this: MediaKeySession, ev: MediaKeySessionEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MediaKeySessionEventMap>(type: K, listener: (this: MediaKeySession, ev: MediaKeySessionEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MediaKeySession: {\n    prototype: MediaKeySession;\n    new(): MediaKeySession;\n};\n\n/**\n * This EncryptedMediaExtensions API interface is a read-only map of media key statuses by key IDs.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeyStatusMap)\n */\ninterface MediaKeyStatusMap {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeyStatusMap/size) */\n    readonly size: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeyStatusMap/get) */\n    get(keyId: BufferSource): MediaKeyStatus | undefined;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeyStatusMap/has) */\n    has(keyId: BufferSource): boolean;\n    forEach(callbackfn: (value: MediaKeyStatus, key: BufferSource, parent: MediaKeyStatusMap) => void, thisArg?: any): void;\n}\n\ndeclare var MediaKeyStatusMap: {\n    prototype: MediaKeyStatusMap;\n    new(): MediaKeyStatusMap;\n};\n\n/**\n * This EncryptedMediaExtensions API interface provides access to a Key System for decryption and/or a content protection provider. You can request an instance of this object using the Navigator.requestMediaKeySystemAccess method.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySystemAccess)\n */\ninterface MediaKeySystemAccess {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySystemAccess/keySystem) */\n    readonly keySystem: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySystemAccess/createMediaKeys) */\n    createMediaKeys(): Promise<MediaKeys>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeySystemAccess/getConfiguration) */\n    getConfiguration(): MediaKeySystemConfiguration;\n}\n\ndeclare var MediaKeySystemAccess: {\n    prototype: MediaKeySystemAccess;\n    new(): MediaKeySystemAccess;\n};\n\n/**\n * This EncryptedMediaExtensions API interface the represents a set of keys that an associated HTMLMediaElement can use for decryption of media data during playback.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeys)\n */\ninterface MediaKeys {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeys/createSession) */\n    createSession(sessionType?: MediaKeySessionType): MediaKeySession;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaKeys/setServerCertificate) */\n    setServerCertificate(serverCertificate: BufferSource): Promise<boolean>;\n}\n\ndeclare var MediaKeys: {\n    prototype: MediaKeys;\n    new(): MediaKeys;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaList) */\ninterface MediaList {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaList/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaList/mediaText) */\n    mediaText: string;\n    toString(): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaList/appendMedium) */\n    appendMedium(medium: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaList/deleteMedium) */\n    deleteMedium(medium: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaList/item) */\n    item(index: number): string | null;\n    [index: number]: string;\n}\n\ndeclare var MediaList: {\n    prototype: MediaList;\n    new(): MediaList;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaMetadata) */\ninterface MediaMetadata {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaMetadata/album) */\n    album: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaMetadata/artist) */\n    artist: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaMetadata/artwork) */\n    artwork: ReadonlyArray<MediaImage>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaMetadata/title) */\n    title: string;\n}\n\ndeclare var MediaMetadata: {\n    prototype: MediaMetadata;\n    new(init?: MediaMetadataInit): MediaMetadata;\n};\n\ninterface MediaQueryListEventMap {\n    "change": MediaQueryListEvent;\n}\n\n/**\n * Stores information on a media query applied to a document, and handles sending notifications to listeners when the media query state change (i.e. when the media query test starts or stops evaluating to true).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaQueryList)\n */\ninterface MediaQueryList extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaQueryList/matches) */\n    readonly matches: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaQueryList/media) */\n    readonly media: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaQueryList/change_event) */\n    onchange: ((this: MediaQueryList, ev: MediaQueryListEvent) => any) | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaQueryList/addListener)\n     */\n    addListener(callback: ((this: MediaQueryList, ev: MediaQueryListEvent) => any) | null): void;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaQueryList/removeListener)\n     */\n    removeListener(callback: ((this: MediaQueryList, ev: MediaQueryListEvent) => any) | null): void;\n    addEventListener<K extends keyof MediaQueryListEventMap>(type: K, listener: (this: MediaQueryList, ev: MediaQueryListEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MediaQueryListEventMap>(type: K, listener: (this: MediaQueryList, ev: MediaQueryListEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MediaQueryList: {\n    prototype: MediaQueryList;\n    new(): MediaQueryList;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaQueryListEvent) */\ninterface MediaQueryListEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaQueryListEvent/matches) */\n    readonly matches: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaQueryListEvent/media) */\n    readonly media: string;\n}\n\ndeclare var MediaQueryListEvent: {\n    prototype: MediaQueryListEvent;\n    new(type: string, eventInitDict?: MediaQueryListEventInit): MediaQueryListEvent;\n};\n\ninterface MediaRecorderEventMap {\n    "dataavailable": BlobEvent;\n    "error": Event;\n    "pause": Event;\n    "resume": Event;\n    "start": Event;\n    "stop": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder) */\ninterface MediaRecorder extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/audioBitsPerSecond) */\n    readonly audioBitsPerSecond: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/mimeType) */\n    readonly mimeType: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/dataavailable_event) */\n    ondataavailable: ((this: MediaRecorder, ev: BlobEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/error_event) */\n    onerror: ((this: MediaRecorder, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/pause_event) */\n    onpause: ((this: MediaRecorder, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/resume_event) */\n    onresume: ((this: MediaRecorder, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/start_event) */\n    onstart: ((this: MediaRecorder, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/stop_event) */\n    onstop: ((this: MediaRecorder, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/state) */\n    readonly state: RecordingState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/stream) */\n    readonly stream: MediaStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/videoBitsPerSecond) */\n    readonly videoBitsPerSecond: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/pause) */\n    pause(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/requestData) */\n    requestData(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/resume) */\n    resume(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/start) */\n    start(timeslice?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/stop) */\n    stop(): void;\n    addEventListener<K extends keyof MediaRecorderEventMap>(type: K, listener: (this: MediaRecorder, ev: MediaRecorderEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MediaRecorderEventMap>(type: K, listener: (this: MediaRecorder, ev: MediaRecorderEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MediaRecorder: {\n    prototype: MediaRecorder;\n    new(stream: MediaStream, options?: MediaRecorderOptions): MediaRecorder;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaRecorder/isTypeSupported_static) */\n    isTypeSupported(type: string): boolean;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSession) */\ninterface MediaSession {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSession/metadata) */\n    metadata: MediaMetadata | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSession/playbackState) */\n    playbackState: MediaSessionPlaybackState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSession/setActionHandler) */\n    setActionHandler(action: MediaSessionAction, handler: MediaSessionActionHandler | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSession/setPositionState) */\n    setPositionState(state?: MediaPositionState): void;\n}\n\ndeclare var MediaSession: {\n    prototype: MediaSession;\n    new(): MediaSession;\n};\n\ninterface MediaSourceEventMap {\n    "sourceclose": Event;\n    "sourceended": Event;\n    "sourceopen": Event;\n}\n\n/**\n * This Media Source Extensions API interface represents a source of media data for an HTMLMediaElement object. A MediaSource object can be attached to a HTMLMediaElement to be played in the user agent.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource)\n */\ninterface MediaSource extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/activeSourceBuffers) */\n    readonly activeSourceBuffers: SourceBufferList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/duration) */\n    duration: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/sourceclose_event) */\n    onsourceclose: ((this: MediaSource, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/sourceended_event) */\n    onsourceended: ((this: MediaSource, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/sourceopen_event) */\n    onsourceopen: ((this: MediaSource, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/readyState) */\n    readonly readyState: ReadyState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/sourceBuffers) */\n    readonly sourceBuffers: SourceBufferList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/addSourceBuffer) */\n    addSourceBuffer(type: string): SourceBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/clearLiveSeekableRange) */\n    clearLiveSeekableRange(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/endOfStream) */\n    endOfStream(error?: EndOfStreamError): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/removeSourceBuffer) */\n    removeSourceBuffer(sourceBuffer: SourceBuffer): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/setLiveSeekableRange) */\n    setLiveSeekableRange(start: number, end: number): void;\n    addEventListener<K extends keyof MediaSourceEventMap>(type: K, listener: (this: MediaSource, ev: MediaSourceEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MediaSourceEventMap>(type: K, listener: (this: MediaSource, ev: MediaSourceEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MediaSource: {\n    prototype: MediaSource;\n    new(): MediaSource;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaSource/isTypeSupported_static) */\n    isTypeSupported(type: string): boolean;\n};\n\ninterface MediaStreamEventMap {\n    "addtrack": MediaStreamTrackEvent;\n    "removetrack": MediaStreamTrackEvent;\n}\n\n/**\n * A stream of media content. A stream consists of several tracks such as video or audio tracks. Each track is specified as an instance of MediaStreamTrack.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStream)\n */\ninterface MediaStream extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStream/active) */\n    readonly active: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStream/id) */\n    readonly id: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStream/addtrack_event) */\n    onaddtrack: ((this: MediaStream, ev: MediaStreamTrackEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStream/removetrack_event) */\n    onremovetrack: ((this: MediaStream, ev: MediaStreamTrackEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStream/addTrack) */\n    addTrack(track: MediaStreamTrack): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStream/clone) */\n    clone(): MediaStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStream/getAudioTracks) */\n    getAudioTracks(): MediaStreamTrack[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStream/getTrackById) */\n    getTrackById(trackId: string): MediaStreamTrack | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStream/getTracks) */\n    getTracks(): MediaStreamTrack[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStream/getVideoTracks) */\n    getVideoTracks(): MediaStreamTrack[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStream/removeTrack) */\n    removeTrack(track: MediaStreamTrack): void;\n    addEventListener<K extends keyof MediaStreamEventMap>(type: K, listener: (this: MediaStream, ev: MediaStreamEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MediaStreamEventMap>(type: K, listener: (this: MediaStream, ev: MediaStreamEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MediaStream: {\n    prototype: MediaStream;\n    new(): MediaStream;\n    new(stream: MediaStream): MediaStream;\n    new(tracks: MediaStreamTrack[]): MediaStream;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamAudioDestinationNode) */\ninterface MediaStreamAudioDestinationNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamAudioDestinationNode/stream) */\n    readonly stream: MediaStream;\n}\n\ndeclare var MediaStreamAudioDestinationNode: {\n    prototype: MediaStreamAudioDestinationNode;\n    new(context: AudioContext, options?: AudioNodeOptions): MediaStreamAudioDestinationNode;\n};\n\n/**\n * A type of AudioNode which operates as an audio source whose media is received from a MediaStream obtained using the WebRTC or Media Capture and Streams APIs.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamAudioSourceNode)\n */\ninterface MediaStreamAudioSourceNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamAudioSourceNode/mediaStream) */\n    readonly mediaStream: MediaStream;\n}\n\ndeclare var MediaStreamAudioSourceNode: {\n    prototype: MediaStreamAudioSourceNode;\n    new(context: AudioContext, options: MediaStreamAudioSourceOptions): MediaStreamAudioSourceNode;\n};\n\ninterface MediaStreamTrackEventMap {\n    "ended": Event;\n    "mute": Event;\n    "unmute": Event;\n}\n\n/**\n * A single media track within a stream; typically, these are audio or video tracks, but other track types may exist as well.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack)\n */\ninterface MediaStreamTrack extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/contentHint) */\n    contentHint: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/enabled) */\n    enabled: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/id) */\n    readonly id: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/kind) */\n    readonly kind: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/label) */\n    readonly label: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/muted) */\n    readonly muted: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/ended_event) */\n    onended: ((this: MediaStreamTrack, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/mute_event) */\n    onmute: ((this: MediaStreamTrack, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/unmute_event) */\n    onunmute: ((this: MediaStreamTrack, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/readyState) */\n    readonly readyState: MediaStreamTrackState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/applyConstraints) */\n    applyConstraints(constraints?: MediaTrackConstraints): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/clone) */\n    clone(): MediaStreamTrack;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/getCapabilities) */\n    getCapabilities(): MediaTrackCapabilities;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/getConstraints) */\n    getConstraints(): MediaTrackConstraints;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/getSettings) */\n    getSettings(): MediaTrackSettings;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrack/stop) */\n    stop(): void;\n    addEventListener<K extends keyof MediaStreamTrackEventMap>(type: K, listener: (this: MediaStreamTrack, ev: MediaStreamTrackEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MediaStreamTrackEventMap>(type: K, listener: (this: MediaStreamTrack, ev: MediaStreamTrackEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MediaStreamTrack: {\n    prototype: MediaStreamTrack;\n    new(): MediaStreamTrack;\n};\n\n/**\n * Events which indicate that a MediaStream has had tracks added to or removed from the stream through calls to Media Stream API methods. These events are sent to the stream when these changes occur.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrackEvent)\n */\ninterface MediaStreamTrackEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaStreamTrackEvent/track) */\n    readonly track: MediaStreamTrack;\n}\n\ndeclare var MediaStreamTrackEvent: {\n    prototype: MediaStreamTrackEvent;\n    new(type: string, eventInitDict: MediaStreamTrackEventInit): MediaStreamTrackEvent;\n};\n\n/**\n * This Channel Messaging API interface allows us to create a new message channel and send data through it via its two MessagePort properties.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageChannel)\n */\ninterface MessageChannel {\n    /**\n     * Returns the first MessagePort object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageChannel/port1)\n     */\n    readonly port1: MessagePort;\n    /**\n     * Returns the second MessagePort object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageChannel/port2)\n     */\n    readonly port2: MessagePort;\n}\n\ndeclare var MessageChannel: {\n    prototype: MessageChannel;\n    new(): MessageChannel;\n};\n\n/**\n * A message received by a target object.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent)\n */\ninterface MessageEvent<T = any> extends Event {\n    /**\n     * Returns the data of the message.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/data)\n     */\n    readonly data: T;\n    /**\n     * Returns the last event ID string, for server-sent events.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/lastEventId)\n     */\n    readonly lastEventId: string;\n    /**\n     * Returns the origin of the message, for server-sent events and cross-document messaging.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/origin)\n     */\n    readonly origin: string;\n    /**\n     * Returns the MessagePort array sent with the message, for cross-document messaging and channel messaging.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/ports)\n     */\n    readonly ports: ReadonlyArray<MessagePort>;\n    /**\n     * Returns the WindowProxy of the source window, for cross-document messaging, and the MessagePort being attached, in the connect event fired at SharedWorkerGlobalScope objects.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/source)\n     */\n    readonly source: MessageEventSource | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/initMessageEvent)\n     */\n    initMessageEvent(type: string, bubbles?: boolean, cancelable?: boolean, data?: any, origin?: string, lastEventId?: string, source?: MessageEventSource | null, ports?: MessagePort[]): void;\n}\n\ndeclare var MessageEvent: {\n    prototype: MessageEvent;\n    new<T>(type: string, eventInitDict?: MessageEventInit<T>): MessageEvent<T>;\n};\n\ninterface MessagePortEventMap {\n    "message": MessageEvent;\n    "messageerror": MessageEvent;\n}\n\n/**\n * This Channel Messaging API interface represents one of the two ports of a MessageChannel, allowing messages to be sent from one port and listening out for them arriving at the other.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessagePort)\n */\ninterface MessagePort extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessagePort/message_event) */\n    onmessage: ((this: MessagePort, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessagePort/messageerror_event) */\n    onmessageerror: ((this: MessagePort, ev: MessageEvent) => any) | null;\n    /**\n     * Disconnects the port, so that it is no longer active.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessagePort/close)\n     */\n    close(): void;\n    /**\n     * Posts a message through the channel. Objects listed in transfer are transferred, not just cloned, meaning that they are no longer usable on the sending side.\n     *\n     * Throws a "DataCloneError" DOMException if transfer contains duplicate objects or port, or if message could not be cloned.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessagePort/postMessage)\n     */\n    postMessage(message: any, transfer: Transferable[]): void;\n    postMessage(message: any, options?: StructuredSerializeOptions): void;\n    /**\n     * Begins dispatching messages received on the port.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessagePort/start)\n     */\n    start(): void;\n    addEventListener<K extends keyof MessagePortEventMap>(type: K, listener: (this: MessagePort, ev: MessagePortEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MessagePortEventMap>(type: K, listener: (this: MessagePort, ev: MessagePortEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MessagePort: {\n    prototype: MessagePort;\n    new(): MessagePort;\n};\n\n/**\n * Provides contains information about a MIME type associated with a particular plugin. NavigatorPlugins.mimeTypes returns an array of this object.\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MimeType)\n */\ninterface MimeType {\n    /**\n     * Returns the MIME type\'s description.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MimeType/description)\n     */\n    readonly description: string;\n    /**\n     * Returns the Plugin object that implements this MIME type.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MimeType/enabledPlugin)\n     */\n    readonly enabledPlugin: Plugin;\n    /**\n     * Returns the MIME type\'s typical file extensions, in a comma-separated list.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MimeType/suffixes)\n     */\n    readonly suffixes: string;\n    /**\n     * Returns the MIME type.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MimeType/type)\n     */\n    readonly type: string;\n}\n\n/** @deprecated */\ndeclare var MimeType: {\n    prototype: MimeType;\n    new(): MimeType;\n};\n\n/**\n * Returns an array of MimeType instances, each of which contains information about a supported browser plugins. This object is returned by NavigatorPlugins.mimeTypes.\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MimeTypeArray)\n */\ninterface MimeTypeArray {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MimeTypeArray/length)\n     */\n    readonly length: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MimeTypeArray/item)\n     */\n    item(index: number): MimeType | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MimeTypeArray/namedItem)\n     */\n    namedItem(name: string): MimeType | null;\n    [index: number]: MimeType;\n}\n\n/** @deprecated */\ndeclare var MimeTypeArray: {\n    prototype: MimeTypeArray;\n    new(): MimeTypeArray;\n};\n\n/**\n * Events that occur due to the user interacting with a pointing device (such as a mouse). Common events using this interface include click, dblclick, mouseup, mousedown.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent)\n */\ninterface MouseEvent extends UIEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/altKey) */\n    readonly altKey: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/button) */\n    readonly button: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/buttons) */\n    readonly buttons: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/clientX) */\n    readonly clientX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/clientY) */\n    readonly clientY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/ctrlKey) */\n    readonly ctrlKey: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/layerX) */\n    readonly layerX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/layerY) */\n    readonly layerY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/metaKey) */\n    readonly metaKey: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/movementX) */\n    readonly movementX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/movementY) */\n    readonly movementY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/offsetX) */\n    readonly offsetX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/offsetY) */\n    readonly offsetY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/pageX) */\n    readonly pageX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/pageY) */\n    readonly pageY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/relatedTarget) */\n    readonly relatedTarget: EventTarget | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/screenX) */\n    readonly screenX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/screenY) */\n    readonly screenY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/shiftKey) */\n    readonly shiftKey: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/x) */\n    readonly x: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/y) */\n    readonly y: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/getModifierState) */\n    getModifierState(keyArg: string): boolean;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MouseEvent/initMouseEvent)\n     */\n    initMouseEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number, screenXArg: number, screenYArg: number, clientXArg: number, clientYArg: number, ctrlKeyArg: boolean, altKeyArg: boolean, shiftKeyArg: boolean, metaKeyArg: boolean, buttonArg: number, relatedTargetArg: EventTarget | null): void;\n}\n\ndeclare var MouseEvent: {\n    prototype: MouseEvent;\n    new(type: string, eventInitDict?: MouseEventInit): MouseEvent;\n};\n\n/**\n * Provides event properties that are specific to modifications to the Document Object Model (DOM) hierarchy and nodes.\n * @deprecated DOM4 [DOM] provides a new mechanism using a MutationObserver interface which addresses the use cases that mutation events solve, but in a more performant manner. Thus, this specification describes mutation events for reference and completeness of legacy behavior, but deprecates the use of the MutationEvent interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationEvent)\n */\ninterface MutationEvent extends Event {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationEvent/attrChange)\n     */\n    readonly attrChange: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationEvent/attrName)\n     */\n    readonly attrName: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationEvent/newValue)\n     */\n    readonly newValue: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationEvent/prevValue)\n     */\n    readonly prevValue: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationEvent/relatedNode)\n     */\n    readonly relatedNode: Node | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationEvent/initMutationEvent)\n     */\n    initMutationEvent(typeArg: string, bubblesArg?: boolean, cancelableArg?: boolean, relatedNodeArg?: Node | null, prevValueArg?: string, newValueArg?: string, attrNameArg?: string, attrChangeArg?: number): void;\n    readonly MODIFICATION: 1;\n    readonly ADDITION: 2;\n    readonly REMOVAL: 3;\n}\n\n/** @deprecated */\ndeclare var MutationEvent: {\n    prototype: MutationEvent;\n    new(): MutationEvent;\n    readonly MODIFICATION: 1;\n    readonly ADDITION: 2;\n    readonly REMOVAL: 3;\n};\n\n/**\n * Provides the ability to watch for changes being made to the DOM tree. It is designed as a replacement for the older Mutation Events feature which was part of the DOM3 Events specification.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationObserver)\n */\ninterface MutationObserver {\n    /**\n     * Stops observer from observing any mutations. Until the observe() method is used again, observer\'s callback will not be invoked.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationObserver/disconnect)\n     */\n    disconnect(): void;\n    /**\n     * Instructs the user agent to observe a given target (a node) and report any mutations based on the criteria given by options (an object).\n     *\n     * The options argument allows for setting mutation observation options via object members.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationObserver/observe)\n     */\n    observe(target: Node, options?: MutationObserverInit): void;\n    /**\n     * Empties the record queue and returns what was in there.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationObserver/takeRecords)\n     */\n    takeRecords(): MutationRecord[];\n}\n\ndeclare var MutationObserver: {\n    prototype: MutationObserver;\n    new(callback: MutationCallback): MutationObserver;\n};\n\n/**\n * A MutationRecord represents an individual DOM mutation. It is the object that is passed to MutationObserver\'s callback.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationRecord)\n */\ninterface MutationRecord {\n    /**\n     * Return the nodes added and removed respectively.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationRecord/addedNodes)\n     */\n    readonly addedNodes: NodeList;\n    /**\n     * Returns the local name of the changed attribute, and null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationRecord/attributeName)\n     */\n    readonly attributeName: string | null;\n    /**\n     * Returns the namespace of the changed attribute, and null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationRecord/attributeNamespace)\n     */\n    readonly attributeNamespace: string | null;\n    /**\n     * Return the previous and next sibling respectively of the added or removed nodes, and null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationRecord/nextSibling)\n     */\n    readonly nextSibling: Node | null;\n    /**\n     * The return value depends on type. For "attributes", it is the value of the changed attribute before the change. For "characterData", it is the data of the changed node before the change. For "childList", it is null.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationRecord/oldValue)\n     */\n    readonly oldValue: string | null;\n    /**\n     * Return the previous and next sibling respectively of the added or removed nodes, and null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationRecord/previousSibling)\n     */\n    readonly previousSibling: Node | null;\n    /**\n     * Return the nodes added and removed respectively.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationRecord/removedNodes)\n     */\n    readonly removedNodes: NodeList;\n    /**\n     * Returns the node the mutation affected, depending on the type. For "attributes", it is the element whose attribute changed. For "characterData", it is the CharacterData node. For "childList", it is the node whose children changed.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationRecord/target)\n     */\n    readonly target: Node;\n    /**\n     * Returns "attributes" if it was an attribute mutation. "characterData" if it was a mutation to a CharacterData node. And "childList" if it was a mutation to the tree of nodes.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MutationRecord/type)\n     */\n    readonly type: MutationRecordType;\n}\n\ndeclare var MutationRecord: {\n    prototype: MutationRecord;\n    new(): MutationRecord;\n};\n\n/**\n * A collection of Attr objects. Objects inside a NamedNodeMap are not in any particular order, unlike NodeList, although they may be accessed by an index as in an array.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/NamedNodeMap)\n */\ninterface NamedNodeMap {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NamedNodeMap/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NamedNodeMap/getNamedItem) */\n    getNamedItem(qualifiedName: string): Attr | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NamedNodeMap/getNamedItemNS) */\n    getNamedItemNS(namespace: string | null, localName: string): Attr | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NamedNodeMap/item) */\n    item(index: number): Attr | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NamedNodeMap/removeNamedItem) */\n    removeNamedItem(qualifiedName: string): Attr;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NamedNodeMap/removeNamedItemNS) */\n    removeNamedItemNS(namespace: string | null, localName: string): Attr;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NamedNodeMap/setNamedItem) */\n    setNamedItem(attr: Attr): Attr | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NamedNodeMap/setNamedItemNS) */\n    setNamedItemNS(attr: Attr): Attr | null;\n    [index: number]: Attr;\n}\n\ndeclare var NamedNodeMap: {\n    prototype: NamedNodeMap;\n    new(): NamedNodeMap;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/NavigationPreloadManager)\n */\ninterface NavigationPreloadManager {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NavigationPreloadManager/disable) */\n    disable(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NavigationPreloadManager/enable) */\n    enable(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NavigationPreloadManager/getState) */\n    getState(): Promise<NavigationPreloadState>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NavigationPreloadManager/setHeaderValue) */\n    setHeaderValue(value: string): Promise<void>;\n}\n\ndeclare var NavigationPreloadManager: {\n    prototype: NavigationPreloadManager;\n    new(): NavigationPreloadManager;\n};\n\n/**\n * The state and the identity of the user agent. It allows scripts to query it and to register themselves to carry on some activities.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator)\n */\ninterface Navigator extends NavigatorAutomationInformation, NavigatorBadge, NavigatorConcurrentHardware, NavigatorContentUtils, NavigatorCookies, NavigatorID, NavigatorLanguage, NavigatorLocks, NavigatorOnLine, NavigatorPlugins, NavigatorStorage {\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/clipboard)\n     */\n    readonly clipboard: Clipboard;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/credentials)\n     */\n    readonly credentials: CredentialsContainer;\n    readonly doNotTrack: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/geolocation) */\n    readonly geolocation: Geolocation;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/maxTouchPoints) */\n    readonly maxTouchPoints: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/mediaCapabilities) */\n    readonly mediaCapabilities: MediaCapabilities;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/mediaDevices)\n     */\n    readonly mediaDevices: MediaDevices;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/mediaSession) */\n    readonly mediaSession: MediaSession;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/permissions) */\n    readonly permissions: Permissions;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/serviceWorker)\n     */\n    readonly serviceWorker: ServiceWorkerContainer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/userActivation) */\n    readonly userActivation: UserActivation;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/wakeLock) */\n    readonly wakeLock: WakeLock;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/canShare)\n     */\n    canShare(data?: ShareData): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/getGamepads) */\n    getGamepads(): (Gamepad | null)[];\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/requestMIDIAccess)\n     */\n    requestMIDIAccess(options?: MIDIOptions): Promise<MIDIAccess>;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/requestMediaKeySystemAccess)\n     */\n    requestMediaKeySystemAccess(keySystem: string, supportedConfigurations: MediaKeySystemConfiguration[]): Promise<MediaKeySystemAccess>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/sendBeacon) */\n    sendBeacon(url: string | URL, data?: BodyInit | null): boolean;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/share)\n     */\n    share(data?: ShareData): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/vibrate) */\n    vibrate(pattern: VibratePattern): boolean;\n}\n\ndeclare var Navigator: {\n    prototype: Navigator;\n    new(): Navigator;\n};\n\ninterface NavigatorAutomationInformation {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/webdriver) */\n    readonly webdriver: boolean;\n}\n\n/** Available only in secure contexts. */\ninterface NavigatorBadge {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/clearAppBadge) */\n    clearAppBadge(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/setAppBadge) */\n    setAppBadge(contents?: number): Promise<void>;\n}\n\ninterface NavigatorConcurrentHardware {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/hardwareConcurrency) */\n    readonly hardwareConcurrency: number;\n}\n\ninterface NavigatorContentUtils {\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/registerProtocolHandler)\n     */\n    registerProtocolHandler(scheme: string, url: string | URL): void;\n}\n\ninterface NavigatorCookies {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/cookieEnabled) */\n    readonly cookieEnabled: boolean;\n}\n\ninterface NavigatorID {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/appCodeName)\n     */\n    readonly appCodeName: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/appName)\n     */\n    readonly appName: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/appVersion)\n     */\n    readonly appVersion: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/platform)\n     */\n    readonly platform: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/product)\n     */\n    readonly product: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/productSub)\n     */\n    readonly productSub: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/userAgent) */\n    readonly userAgent: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/vendor)\n     */\n    readonly vendor: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/vendorSub)\n     */\n    readonly vendorSub: string;\n}\n\ninterface NavigatorLanguage {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/language) */\n    readonly language: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/languages) */\n    readonly languages: ReadonlyArray<string>;\n}\n\n/** Available only in secure contexts. */\ninterface NavigatorLocks {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/locks) */\n    readonly locks: LockManager;\n}\n\ninterface NavigatorOnLine {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/onLine) */\n    readonly onLine: boolean;\n}\n\ninterface NavigatorPlugins {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/NavigatorPlugins/mimeTypes)\n     */\n    readonly mimeTypes: MimeTypeArray;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/pdfViewerEnabled) */\n    readonly pdfViewerEnabled: boolean;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/plugins)\n     */\n    readonly plugins: PluginArray;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/javaEnabled)\n     */\n    javaEnabled(): boolean;\n}\n\n/** Available only in secure contexts. */\ninterface NavigatorStorage {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/storage) */\n    readonly storage: StorageManager;\n}\n\n/**\n * Node is an interface from which a number of DOM API object types inherit. It allows those types to be treated similarly; for example, inheriting the same set of methods, or being tested in the same way.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node)\n */\ninterface Node extends EventTarget {\n    /**\n     * Returns node\'s node document\'s document base URL.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/baseURI)\n     */\n    readonly baseURI: string;\n    /**\n     * Returns the children.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/childNodes)\n     */\n    readonly childNodes: NodeListOf<ChildNode>;\n    /**\n     * Returns the first child.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/firstChild)\n     */\n    readonly firstChild: ChildNode | null;\n    /**\n     * Returns true if node is connected and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/isConnected)\n     */\n    readonly isConnected: boolean;\n    /**\n     * Returns the last child.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/lastChild)\n     */\n    readonly lastChild: ChildNode | null;\n    /**\n     * Returns the next sibling.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/nextSibling)\n     */\n    readonly nextSibling: ChildNode | null;\n    /**\n     * Returns a string appropriate for the type of node.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/nodeName)\n     */\n    readonly nodeName: string;\n    /**\n     * Returns the type of node.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/nodeType)\n     */\n    readonly nodeType: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/nodeValue) */\n    nodeValue: string | null;\n    /**\n     * Returns the node document. Returns null for documents.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/ownerDocument)\n     */\n    readonly ownerDocument: Document | null;\n    /**\n     * Returns the parent element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/parentElement)\n     */\n    readonly parentElement: HTMLElement | null;\n    /**\n     * Returns the parent.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/parentNode)\n     */\n    readonly parentNode: ParentNode | null;\n    /**\n     * Returns the previous sibling.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/previousSibling)\n     */\n    readonly previousSibling: ChildNode | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/textContent) */\n    textContent: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/appendChild) */\n    appendChild<T extends Node>(node: T): T;\n    /**\n     * Returns a copy of node. If deep is true, the copy also includes the node\'s descendants.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/cloneNode)\n     */\n    cloneNode(deep?: boolean): Node;\n    /**\n     * Returns a bitmask indicating the position of other relative to node.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/compareDocumentPosition)\n     */\n    compareDocumentPosition(other: Node): number;\n    /**\n     * Returns true if other is an inclusive descendant of node, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/contains)\n     */\n    contains(other: Node | null): boolean;\n    /**\n     * Returns node\'s root.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/getRootNode)\n     */\n    getRootNode(options?: GetRootNodeOptions): Node;\n    /**\n     * Returns whether node has children.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/hasChildNodes)\n     */\n    hasChildNodes(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/insertBefore) */\n    insertBefore<T extends Node>(node: T, child: Node | null): T;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/isDefaultNamespace) */\n    isDefaultNamespace(namespace: string | null): boolean;\n    /**\n     * Returns whether node and otherNode have the same properties.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/isEqualNode)\n     */\n    isEqualNode(otherNode: Node | null): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/isSameNode) */\n    isSameNode(otherNode: Node | null): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/lookupNamespaceURI) */\n    lookupNamespaceURI(prefix: string | null): string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/lookupPrefix) */\n    lookupPrefix(namespace: string | null): string | null;\n    /**\n     * Removes empty exclusive Text nodes and concatenates the data of remaining contiguous exclusive Text nodes into the first of their nodes.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/normalize)\n     */\n    normalize(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/removeChild) */\n    removeChild<T extends Node>(child: T): T;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/replaceChild) */\n    replaceChild<T extends Node>(node: Node, child: T): T;\n    /** node is an element. */\n    readonly ELEMENT_NODE: 1;\n    readonly ATTRIBUTE_NODE: 2;\n    /** node is a Text node. */\n    readonly TEXT_NODE: 3;\n    /** node is a CDATASection node. */\n    readonly CDATA_SECTION_NODE: 4;\n    readonly ENTITY_REFERENCE_NODE: 5;\n    readonly ENTITY_NODE: 6;\n    /** node is a ProcessingInstruction node. */\n    readonly PROCESSING_INSTRUCTION_NODE: 7;\n    /** node is a Comment node. */\n    readonly COMMENT_NODE: 8;\n    /** node is a document. */\n    readonly DOCUMENT_NODE: 9;\n    /** node is a doctype. */\n    readonly DOCUMENT_TYPE_NODE: 10;\n    /** node is a DocumentFragment node. */\n    readonly DOCUMENT_FRAGMENT_NODE: 11;\n    readonly NOTATION_NODE: 12;\n    /** Set when node and other are not in the same tree. */\n    readonly DOCUMENT_POSITION_DISCONNECTED: 0x01;\n    /** Set when other is preceding node. */\n    readonly DOCUMENT_POSITION_PRECEDING: 0x02;\n    /** Set when other is following node. */\n    readonly DOCUMENT_POSITION_FOLLOWING: 0x04;\n    /** Set when other is an ancestor of node. */\n    readonly DOCUMENT_POSITION_CONTAINS: 0x08;\n    /** Set when other is a descendant of node. */\n    readonly DOCUMENT_POSITION_CONTAINED_BY: 0x10;\n    readonly DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: 0x20;\n}\n\ndeclare var Node: {\n    prototype: Node;\n    new(): Node;\n    /** node is an element. */\n    readonly ELEMENT_NODE: 1;\n    readonly ATTRIBUTE_NODE: 2;\n    /** node is a Text node. */\n    readonly TEXT_NODE: 3;\n    /** node is a CDATASection node. */\n    readonly CDATA_SECTION_NODE: 4;\n    readonly ENTITY_REFERENCE_NODE: 5;\n    readonly ENTITY_NODE: 6;\n    /** node is a ProcessingInstruction node. */\n    readonly PROCESSING_INSTRUCTION_NODE: 7;\n    /** node is a Comment node. */\n    readonly COMMENT_NODE: 8;\n    /** node is a document. */\n    readonly DOCUMENT_NODE: 9;\n    /** node is a doctype. */\n    readonly DOCUMENT_TYPE_NODE: 10;\n    /** node is a DocumentFragment node. */\n    readonly DOCUMENT_FRAGMENT_NODE: 11;\n    readonly NOTATION_NODE: 12;\n    /** Set when node and other are not in the same tree. */\n    readonly DOCUMENT_POSITION_DISCONNECTED: 0x01;\n    /** Set when other is preceding node. */\n    readonly DOCUMENT_POSITION_PRECEDING: 0x02;\n    /** Set when other is following node. */\n    readonly DOCUMENT_POSITION_FOLLOWING: 0x04;\n    /** Set when other is an ancestor of node. */\n    readonly DOCUMENT_POSITION_CONTAINS: 0x08;\n    /** Set when other is a descendant of node. */\n    readonly DOCUMENT_POSITION_CONTAINED_BY: 0x10;\n    readonly DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: 0x20;\n};\n\n/**\n * An iterator over the members of a list of the nodes in a subtree of the DOM. The nodes will be returned in document order.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeIterator)\n */\ninterface NodeIterator {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeIterator/filter) */\n    readonly filter: NodeFilter | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeIterator/pointerBeforeReferenceNode) */\n    readonly pointerBeforeReferenceNode: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeIterator/referenceNode) */\n    readonly referenceNode: Node;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeIterator/root) */\n    readonly root: Node;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeIterator/whatToShow) */\n    readonly whatToShow: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeIterator/detach)\n     */\n    detach(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeIterator/nextNode) */\n    nextNode(): Node | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeIterator/previousNode) */\n    previousNode(): Node | null;\n}\n\ndeclare var NodeIterator: {\n    prototype: NodeIterator;\n    new(): NodeIterator;\n};\n\n/**\n * NodeList objects are collections of nodes, usually returned by properties such as Node.childNodes and methods such as document.querySelectorAll().\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeList)\n */\ninterface NodeList {\n    /**\n     * Returns the number of nodes in the collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeList/length)\n     */\n    readonly length: number;\n    /**\n     * Returns the node with index index from the collection. The nodes are sorted in tree order.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/NodeList/item)\n     */\n    item(index: number): Node | null;\n    /**\n     * Performs the specified action for each node in an list.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the list.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: Node, key: number, parent: NodeList) => void, thisArg?: any): void;\n    [index: number]: Node;\n}\n\ndeclare var NodeList: {\n    prototype: NodeList;\n    new(): NodeList;\n};\n\ninterface NodeListOf<TNode extends Node> extends NodeList {\n    item(index: number): TNode;\n    /**\n     * Performs the specified action for each node in an list.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the list.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: TNode, key: number, parent: NodeListOf<TNode>) => void, thisArg?: any): void;\n    [index: number]: TNode;\n}\n\ninterface NonDocumentTypeChildNode {\n    /**\n     * Returns the first following sibling that is an element, and null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/nextElementSibling)\n     */\n    readonly nextElementSibling: Element | null;\n    /**\n     * Returns the first preceding sibling that is an element, and null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CharacterData/previousElementSibling)\n     */\n    readonly previousElementSibling: Element | null;\n}\n\ninterface NonElementParentNode {\n    /**\n     * Returns the first element within node\'s descendants whose ID is elementId.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/getElementById)\n     */\n    getElementById(elementId: string): Element | null;\n}\n\ninterface NotificationEventMap {\n    "click": Event;\n    "close": Event;\n    "error": Event;\n    "show": Event;\n}\n\n/**\n * This Notifications API interface is used to configure and display desktop notifications to the user.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification)\n */\ninterface Notification extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/badge) */\n    readonly badge: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/body) */\n    readonly body: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/data) */\n    readonly data: any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/dir) */\n    readonly dir: NotificationDirection;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/icon) */\n    readonly icon: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/lang) */\n    readonly lang: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/click_event) */\n    onclick: ((this: Notification, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/close_event) */\n    onclose: ((this: Notification, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/error_event) */\n    onerror: ((this: Notification, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/show_event) */\n    onshow: ((this: Notification, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/requireInteraction) */\n    readonly requireInteraction: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/silent) */\n    readonly silent: boolean | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/tag) */\n    readonly tag: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/title) */\n    readonly title: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/close) */\n    close(): void;\n    addEventListener<K extends keyof NotificationEventMap>(type: K, listener: (this: Notification, ev: NotificationEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof NotificationEventMap>(type: K, listener: (this: Notification, ev: NotificationEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var Notification: {\n    prototype: Notification;\n    new(title: string, options?: NotificationOptions): Notification;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/permission_static) */\n    readonly permission: NotificationPermission;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/requestPermission_static) */\n    requestPermission(deprecatedCallback?: NotificationPermissionCallback): Promise<NotificationPermission>;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed) */\ninterface OES_draw_buffers_indexed {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/blendEquationSeparateiOES) */\n    blendEquationSeparateiOES(buf: GLuint, modeRGB: GLenum, modeAlpha: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/blendEquationiOES) */\n    blendEquationiOES(buf: GLuint, mode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/blendFuncSeparateiOES) */\n    blendFuncSeparateiOES(buf: GLuint, srcRGB: GLenum, dstRGB: GLenum, srcAlpha: GLenum, dstAlpha: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/blendFunciOES) */\n    blendFunciOES(buf: GLuint, src: GLenum, dst: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/colorMaskiOES) */\n    colorMaskiOES(buf: GLuint, r: GLboolean, g: GLboolean, b: GLboolean, a: GLboolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/disableiOES) */\n    disableiOES(target: GLenum, index: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/enableiOES) */\n    enableiOES(target: GLenum, index: GLuint): void;\n}\n\n/**\n * The OES_element_index_uint extension is part of the WebGL API and adds support for gl.UNSIGNED_INT types to WebGLRenderingContext.drawElements().\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_element_index_uint)\n */\ninterface OES_element_index_uint {\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_fbo_render_mipmap) */\ninterface OES_fbo_render_mipmap {\n}\n\n/**\n * The OES_standard_derivatives extension is part of the WebGL API and adds the GLSL derivative functions dFdx, dFdy, and fwidth.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_standard_derivatives)\n */\ninterface OES_standard_derivatives {\n    readonly FRAGMENT_SHADER_DERIVATIVE_HINT_OES: 0x8B8B;\n}\n\n/**\n * The OES_texture_float extension is part of the WebGL API and exposes floating-point pixel types for textures.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_texture_float)\n */\ninterface OES_texture_float {\n}\n\n/**\n * The OES_texture_float_linear extension is part of the WebGL API and allows linear filtering with floating-point pixel types for textures.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_texture_float_linear)\n */\ninterface OES_texture_float_linear {\n}\n\n/**\n * The OES_texture_half_float extension is part of the WebGL API and adds texture formats with 16- (aka half float) and 32-bit floating-point components.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_texture_half_float)\n */\ninterface OES_texture_half_float {\n    readonly HALF_FLOAT_OES: 0x8D61;\n}\n\n/**\n * The OES_texture_half_float_linear extension is part of the WebGL API and allows linear filtering with half floating-point pixel types for textures.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_texture_half_float_linear)\n */\ninterface OES_texture_half_float_linear {\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_vertex_array_object) */\ninterface OES_vertex_array_object {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_vertex_array_object/bindVertexArrayOES) */\n    bindVertexArrayOES(arrayObject: WebGLVertexArrayObjectOES | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_vertex_array_object/createVertexArrayOES) */\n    createVertexArrayOES(): WebGLVertexArrayObjectOES | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_vertex_array_object/deleteVertexArrayOES) */\n    deleteVertexArrayOES(arrayObject: WebGLVertexArrayObjectOES | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_vertex_array_object/isVertexArrayOES) */\n    isVertexArrayOES(arrayObject: WebGLVertexArrayObjectOES | null): GLboolean;\n    readonly VERTEX_ARRAY_BINDING_OES: 0x85B5;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OVR_multiview2) */\ninterface OVR_multiview2 {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OVR_multiview2/framebufferTextureMultiviewOVR) */\n    framebufferTextureMultiviewOVR(target: GLenum, attachment: GLenum, texture: WebGLTexture | null, level: GLint, baseViewIndex: GLint, numViews: GLsizei): void;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_NUM_VIEWS_OVR: 0x9630;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_BASE_VIEW_INDEX_OVR: 0x9632;\n    readonly MAX_VIEWS_OVR: 0x9631;\n    readonly FRAMEBUFFER_INCOMPLETE_VIEW_TARGETS_OVR: 0x9633;\n}\n\n/**\n * The Web Audio API OfflineAudioCompletionEvent interface represents events that occur when the processing of an OfflineAudioContext is terminated. The complete event implements this interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OfflineAudioCompletionEvent)\n */\ninterface OfflineAudioCompletionEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OfflineAudioCompletionEvent/renderedBuffer) */\n    readonly renderedBuffer: AudioBuffer;\n}\n\ndeclare var OfflineAudioCompletionEvent: {\n    prototype: OfflineAudioCompletionEvent;\n    new(type: string, eventInitDict: OfflineAudioCompletionEventInit): OfflineAudioCompletionEvent;\n};\n\ninterface OfflineAudioContextEventMap extends BaseAudioContextEventMap {\n    "complete": OfflineAudioCompletionEvent;\n}\n\n/**\n * An AudioContext interface representing an audio-processing graph built from linked together AudioNodes. In contrast with a standard AudioContext, an OfflineAudioContext doesn\'t render the audio to the device hardware; instead, it generates it, as fast as it can, and outputs the result to an AudioBuffer.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OfflineAudioContext)\n */\ninterface OfflineAudioContext extends BaseAudioContext {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OfflineAudioContext/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OfflineAudioContext/complete_event) */\n    oncomplete: ((this: OfflineAudioContext, ev: OfflineAudioCompletionEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OfflineAudioContext/resume) */\n    resume(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OfflineAudioContext/startRendering) */\n    startRendering(): Promise<AudioBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OfflineAudioContext/suspend) */\n    suspend(suspendTime: number): Promise<void>;\n    addEventListener<K extends keyof OfflineAudioContextEventMap>(type: K, listener: (this: OfflineAudioContext, ev: OfflineAudioContextEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof OfflineAudioContextEventMap>(type: K, listener: (this: OfflineAudioContext, ev: OfflineAudioContextEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var OfflineAudioContext: {\n    prototype: OfflineAudioContext;\n    new(contextOptions: OfflineAudioContextOptions): OfflineAudioContext;\n    new(numberOfChannels: number, length: number, sampleRate: number): OfflineAudioContext;\n};\n\ninterface OffscreenCanvasEventMap {\n    "contextlost": Event;\n    "contextrestored": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvas) */\ninterface OffscreenCanvas extends EventTarget {\n    /**\n     * These attributes return the dimensions of the OffscreenCanvas object\'s bitmap.\n     *\n     * They can be set, to replace the bitmap with a new, transparent black bitmap of the specified dimensions (effectively resizing it).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvas/height)\n     */\n    height: number;\n    oncontextlost: ((this: OffscreenCanvas, ev: Event) => any) | null;\n    oncontextrestored: ((this: OffscreenCanvas, ev: Event) => any) | null;\n    /**\n     * These attributes return the dimensions of the OffscreenCanvas object\'s bitmap.\n     *\n     * They can be set, to replace the bitmap with a new, transparent black bitmap of the specified dimensions (effectively resizing it).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvas/width)\n     */\n    width: number;\n    /**\n     * Returns a promise that will fulfill with a new Blob object representing a file containing the image in the OffscreenCanvas object.\n     *\n     * The argument, if provided, is a dictionary that controls the encoding options of the image file to be created. The type field specifies the file format and has a default value of "image/png"; that type is also used if the requested type isn\'t supported. If the image format supports variable quality (such as "image/jpeg"), then the quality field is a number in the range 0.0 to 1.0 inclusive indicating the desired quality level for the resulting image.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvas/convertToBlob)\n     */\n    convertToBlob(options?: ImageEncodeOptions): Promise<Blob>;\n    /**\n     * Returns an object that exposes an API for drawing on the OffscreenCanvas object. contextId specifies the desired API: "2d", "bitmaprenderer", "webgl", or "webgl2". options is handled by that API.\n     *\n     * This specification defines the "2d" context below, which is similar but distinct from the "2d" context that is created from a canvas element. The WebGL specifications define the "webgl" and "webgl2" contexts. [WEBGL]\n     *\n     * Returns null if the canvas has already been initialized with another context type (e.g., trying to get a "2d" context after getting a "webgl" context).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvas/getContext)\n     */\n    getContext(contextId: "2d", options?: any): OffscreenCanvasRenderingContext2D | null;\n    getContext(contextId: "bitmaprenderer", options?: any): ImageBitmapRenderingContext | null;\n    getContext(contextId: "webgl", options?: any): WebGLRenderingContext | null;\n    getContext(contextId: "webgl2", options?: any): WebGL2RenderingContext | null;\n    getContext(contextId: OffscreenRenderingContextId, options?: any): OffscreenRenderingContext | null;\n    /**\n     * Returns a newly created ImageBitmap object with the image in the OffscreenCanvas object. The image in the OffscreenCanvas object is replaced with a new blank image.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvas/transferToImageBitmap)\n     */\n    transferToImageBitmap(): ImageBitmap;\n    addEventListener<K extends keyof OffscreenCanvasEventMap>(type: K, listener: (this: OffscreenCanvas, ev: OffscreenCanvasEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof OffscreenCanvasEventMap>(type: K, listener: (this: OffscreenCanvas, ev: OffscreenCanvasEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var OffscreenCanvas: {\n    prototype: OffscreenCanvas;\n    new(width: number, height: number): OffscreenCanvas;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvasRenderingContext2D) */\ninterface OffscreenCanvasRenderingContext2D extends CanvasCompositing, CanvasDrawImage, CanvasDrawPath, CanvasFillStrokeStyles, CanvasFilters, CanvasImageData, CanvasImageSmoothing, CanvasPath, CanvasPathDrawingStyles, CanvasRect, CanvasShadowStyles, CanvasState, CanvasText, CanvasTextDrawingStyles, CanvasTransform {\n    readonly canvas: OffscreenCanvas;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvasRenderingContext2D/commit) */\n    commit(): void;\n}\n\ndeclare var OffscreenCanvasRenderingContext2D: {\n    prototype: OffscreenCanvasRenderingContext2D;\n    new(): OffscreenCanvasRenderingContext2D;\n};\n\n/**\n * The OscillatorNode interface represents a periodic waveform, such as a sine wave. It is an AudioScheduledSourceNode audio-processing module that causes a specified frequency of a given wave to be created—in effect, a constant tone.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OscillatorNode)\n */\ninterface OscillatorNode extends AudioScheduledSourceNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OscillatorNode/detune) */\n    readonly detune: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OscillatorNode/frequency) */\n    readonly frequency: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OscillatorNode/type) */\n    type: OscillatorType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OscillatorNode/setPeriodicWave) */\n    setPeriodicWave(periodicWave: PeriodicWave): void;\n    addEventListener<K extends keyof AudioScheduledSourceNodeEventMap>(type: K, listener: (this: OscillatorNode, ev: AudioScheduledSourceNodeEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AudioScheduledSourceNodeEventMap>(type: K, listener: (this: OscillatorNode, ev: AudioScheduledSourceNodeEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var OscillatorNode: {\n    prototype: OscillatorNode;\n    new(context: BaseAudioContext, options?: OscillatorOptions): OscillatorNode;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OverconstrainedError) */\ninterface OverconstrainedError extends DOMException {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OverconstrainedError/constraint) */\n    readonly constraint: string;\n}\n\ndeclare var OverconstrainedError: {\n    prototype: OverconstrainedError;\n    new(constraint: string, message?: string): OverconstrainedError;\n};\n\n/**\n * The PageTransitionEvent is fired when a document is being loaded or unloaded.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PageTransitionEvent)\n */\ninterface PageTransitionEvent extends Event {\n    /**\n     * For the pageshow event, returns false if the page is newly being loaded (and the load event will fire). Otherwise, returns true.\n     *\n     * For the pagehide event, returns false if the page is going away for the last time. Otherwise, returns true, meaning that (if nothing conspires to make the page unsalvageable) the page might be reused if the user navigates back to this page.\n     *\n     * Things that can cause the page to be unsalvageable include:\n     *\n     * The user agent decided to not keep the Document alive in a session history entry after unload\n     * Having iframes that are not salvageable\n     * Active WebSocket objects\n     * Aborting a Document\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PageTransitionEvent/persisted)\n     */\n    readonly persisted: boolean;\n}\n\ndeclare var PageTransitionEvent: {\n    prototype: PageTransitionEvent;\n    new(type: string, eventInitDict?: PageTransitionEventInit): PageTransitionEvent;\n};\n\n/**\n * A PannerNode always has exactly one input and one output: the input can be mono or stereo but the output is always stereo (2 channels); you can\'t have panning effects without at least two audio channels!\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode)\n */\ninterface PannerNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/coneInnerAngle) */\n    coneInnerAngle: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/coneOuterAngle) */\n    coneOuterAngle: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/coneOuterGain) */\n    coneOuterGain: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/distanceModel) */\n    distanceModel: DistanceModelType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/maxDistance) */\n    maxDistance: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/orientationX) */\n    readonly orientationX: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/orientationY) */\n    readonly orientationY: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/orientationZ) */\n    readonly orientationZ: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/panningModel) */\n    panningModel: PanningModelType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/positionX) */\n    readonly positionX: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/positionY) */\n    readonly positionY: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/positionZ) */\n    readonly positionZ: AudioParam;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/refDistance) */\n    refDistance: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/rolloffFactor) */\n    rolloffFactor: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/setOrientation)\n     */\n    setOrientation(x: number, y: number, z: number): void;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PannerNode/setPosition)\n     */\n    setPosition(x: number, y: number, z: number): void;\n}\n\ndeclare var PannerNode: {\n    prototype: PannerNode;\n    new(context: BaseAudioContext, options?: PannerOptions): PannerNode;\n};\n\ninterface ParentNode extends Node {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/childElementCount) */\n    readonly childElementCount: number;\n    /**\n     * Returns the child elements.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/children)\n     */\n    readonly children: HTMLCollection;\n    /**\n     * Returns the first child that is an element, and null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/firstElementChild)\n     */\n    readonly firstElementChild: Element | null;\n    /**\n     * Returns the last child that is an element, and null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/lastElementChild)\n     */\n    readonly lastElementChild: Element | null;\n    /**\n     * Inserts nodes after the last child of node, while replacing strings in nodes with equivalent Text nodes.\n     *\n     * Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/append)\n     */\n    append(...nodes: (Node | string)[]): void;\n    /**\n     * Inserts nodes before the first child of node, while replacing strings in nodes with equivalent Text nodes.\n     *\n     * Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/prepend)\n     */\n    prepend(...nodes: (Node | string)[]): void;\n    /**\n     * Returns the first element that is a descendant of node that matches selectors.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/querySelector)\n     */\n    querySelector<K extends keyof HTMLElementTagNameMap>(selectors: K): HTMLElementTagNameMap[K] | null;\n    querySelector<K extends keyof SVGElementTagNameMap>(selectors: K): SVGElementTagNameMap[K] | null;\n    querySelector<K extends keyof MathMLElementTagNameMap>(selectors: K): MathMLElementTagNameMap[K] | null;\n    /** @deprecated */\n    querySelector<K extends keyof HTMLElementDeprecatedTagNameMap>(selectors: K): HTMLElementDeprecatedTagNameMap[K] | null;\n    querySelector<E extends Element = Element>(selectors: string): E | null;\n    /**\n     * Returns all element descendants of node that match selectors.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/querySelectorAll)\n     */\n    querySelectorAll<K extends keyof HTMLElementTagNameMap>(selectors: K): NodeListOf<HTMLElementTagNameMap[K]>;\n    querySelectorAll<K extends keyof SVGElementTagNameMap>(selectors: K): NodeListOf<SVGElementTagNameMap[K]>;\n    querySelectorAll<K extends keyof MathMLElementTagNameMap>(selectors: K): NodeListOf<MathMLElementTagNameMap[K]>;\n    /** @deprecated */\n    querySelectorAll<K extends keyof HTMLElementDeprecatedTagNameMap>(selectors: K): NodeListOf<HTMLElementDeprecatedTagNameMap[K]>;\n    querySelectorAll<E extends Element = Element>(selectors: string): NodeListOf<E>;\n    /**\n     * Replace all children of node with nodes, while replacing strings in nodes with equivalent Text nodes.\n     *\n     * Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/replaceChildren)\n     */\n    replaceChildren(...nodes: (Node | string)[]): void;\n}\n\n/**\n * This Canvas 2D API interface is used to declare a path that can then be used on a CanvasRenderingContext2D object. The path methods of the CanvasRenderingContext2D interface are also present on this interface, which gives you the convenience of being able to retain and replay your path whenever desired.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Path2D)\n */\ninterface Path2D extends CanvasPath {\n    /**\n     * Adds to the path the path given by the argument.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Path2D/addPath)\n     */\n    addPath(path: Path2D, transform?: DOMMatrix2DInit): void;\n}\n\ndeclare var Path2D: {\n    prototype: Path2D;\n    new(path?: Path2D | string): Path2D;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentMethodChangeEvent)\n */\ninterface PaymentMethodChangeEvent extends PaymentRequestUpdateEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentMethodChangeEvent/methodDetails) */\n    readonly methodDetails: any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentMethodChangeEvent/methodName) */\n    readonly methodName: string;\n}\n\ndeclare var PaymentMethodChangeEvent: {\n    prototype: PaymentMethodChangeEvent;\n    new(type: string, eventInitDict?: PaymentMethodChangeEventInit): PaymentMethodChangeEvent;\n};\n\ninterface PaymentRequestEventMap {\n    "paymentmethodchange": Event;\n}\n\n/**\n * This Payment Request API interface is the primary access point into the API, and lets web content and apps accept payments from the end user.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentRequest)\n */\ninterface PaymentRequest extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentRequest/id) */\n    readonly id: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentRequest/paymentmethodchange_event) */\n    onpaymentmethodchange: ((this: PaymentRequest, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentRequest/abort) */\n    abort(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentRequest/canMakePayment) */\n    canMakePayment(): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentRequest/show) */\n    show(detailsPromise?: PaymentDetailsUpdate | PromiseLike<PaymentDetailsUpdate>): Promise<PaymentResponse>;\n    addEventListener<K extends keyof PaymentRequestEventMap>(type: K, listener: (this: PaymentRequest, ev: PaymentRequestEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof PaymentRequestEventMap>(type: K, listener: (this: PaymentRequest, ev: PaymentRequestEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var PaymentRequest: {\n    prototype: PaymentRequest;\n    new(methodData: PaymentMethodData[], details: PaymentDetailsInit): PaymentRequest;\n};\n\n/**\n * This Payment Request API interface enables a web page to update the details of a PaymentRequest in response to a user action.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentRequestUpdateEvent)\n */\ninterface PaymentRequestUpdateEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentRequestUpdateEvent/updateWith) */\n    updateWith(detailsPromise: PaymentDetailsUpdate | PromiseLike<PaymentDetailsUpdate>): void;\n}\n\ndeclare var PaymentRequestUpdateEvent: {\n    prototype: PaymentRequestUpdateEvent;\n    new(type: string, eventInitDict?: PaymentRequestUpdateEventInit): PaymentRequestUpdateEvent;\n};\n\n/**\n * This Payment Request API interface is returned after a user selects a payment method and approves a payment request.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentResponse)\n */\ninterface PaymentResponse extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentResponse/details) */\n    readonly details: any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentResponse/methodName) */\n    readonly methodName: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentResponse/requestId) */\n    readonly requestId: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentResponse/complete) */\n    complete(result?: PaymentComplete): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentResponse/retry) */\n    retry(errorFields?: PaymentValidationErrors): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PaymentResponse/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var PaymentResponse: {\n    prototype: PaymentResponse;\n    new(): PaymentResponse;\n};\n\ninterface PerformanceEventMap {\n    "resourcetimingbufferfull": Event;\n}\n\n/**\n * Provides access to performance-related information for the current page. It\'s part of the High Resolution Time API, but is enhanced by the Performance Timeline API, the Navigation Timing API, the User Timing API, and the Resource Timing API.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance)\n */\ninterface Performance extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/eventCounts) */\n    readonly eventCounts: EventCounts;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/navigation)\n     */\n    readonly navigation: PerformanceNavigation;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/resourcetimingbufferfull_event) */\n    onresourcetimingbufferfull: ((this: Performance, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/timeOrigin) */\n    readonly timeOrigin: DOMHighResTimeStamp;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/timing)\n     */\n    readonly timing: PerformanceTiming;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/clearMarks) */\n    clearMarks(markName?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/clearMeasures) */\n    clearMeasures(measureName?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/clearResourceTimings) */\n    clearResourceTimings(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/getEntries) */\n    getEntries(): PerformanceEntryList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/getEntriesByName) */\n    getEntriesByName(name: string, type?: string): PerformanceEntryList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/getEntriesByType) */\n    getEntriesByType(type: string): PerformanceEntryList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/mark) */\n    mark(markName: string, markOptions?: PerformanceMarkOptions): PerformanceMark;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/measure) */\n    measure(measureName: string, startOrMeasureOptions?: string | PerformanceMeasureOptions, endMark?: string): PerformanceMeasure;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/now) */\n    now(): DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/setResourceTimingBufferSize) */\n    setResourceTimingBufferSize(maxSize: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/toJSON) */\n    toJSON(): any;\n    addEventListener<K extends keyof PerformanceEventMap>(type: K, listener: (this: Performance, ev: PerformanceEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof PerformanceEventMap>(type: K, listener: (this: Performance, ev: PerformanceEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var Performance: {\n    prototype: Performance;\n    new(): Performance;\n};\n\n/**\n * Encapsulates a single performance metric that is part of the performance timeline. A performance entry can be directly created by making a performance mark or measure (for example by calling the mark() method) at an explicit point in an application. Performance entries are also created in indirect ways such as loading a resource (such as an image).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEntry)\n */\ninterface PerformanceEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEntry/duration) */\n    readonly duration: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEntry/entryType) */\n    readonly entryType: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEntry/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEntry/startTime) */\n    readonly startTime: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEntry/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var PerformanceEntry: {\n    prototype: PerformanceEntry;\n    new(): PerformanceEntry;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEventTiming) */\ninterface PerformanceEventTiming extends PerformanceEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEventTiming/cancelable) */\n    readonly cancelable: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEventTiming/processingEnd) */\n    readonly processingEnd: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEventTiming/processingStart) */\n    readonly processingStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEventTiming/target) */\n    readonly target: Node | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEventTiming/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var PerformanceEventTiming: {\n    prototype: PerformanceEventTiming;\n    new(): PerformanceEventTiming;\n};\n\n/**\n * PerformanceMark is an abstract interface for PerformanceEntry objects with an entryType of "mark". Entries of this type are created by calling performance.mark() to add a named DOMHighResTimeStamp (the mark) to the browser\'s performance timeline.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceMark)\n */\ninterface PerformanceMark extends PerformanceEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceMark/detail) */\n    readonly detail: any;\n}\n\ndeclare var PerformanceMark: {\n    prototype: PerformanceMark;\n    new(markName: string, markOptions?: PerformanceMarkOptions): PerformanceMark;\n};\n\n/**\n * PerformanceMeasure is an abstract interface for PerformanceEntry objects with an entryType of "measure". Entries of this type are created by calling performance.measure() to add a named DOMHighResTimeStamp (the measure) between two marks to the browser\'s performance timeline.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceMeasure)\n */\ninterface PerformanceMeasure extends PerformanceEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceMeasure/detail) */\n    readonly detail: any;\n}\n\ndeclare var PerformanceMeasure: {\n    prototype: PerformanceMeasure;\n    new(): PerformanceMeasure;\n};\n\n/**\n * The legacy PerformanceNavigation interface represents information about how the navigation to the current document was done.\n * @deprecated This interface is deprecated in the Navigation Timing Level 2 specification. Please use the PerformanceNavigationTiming interface instead.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigation)\n */\ninterface PerformanceNavigation {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigation/redirectCount)\n     */\n    readonly redirectCount: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigation/type)\n     */\n    readonly type: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigation/toJSON)\n     */\n    toJSON(): any;\n    readonly TYPE_NAVIGATE: 0;\n    readonly TYPE_RELOAD: 1;\n    readonly TYPE_BACK_FORWARD: 2;\n    readonly TYPE_RESERVED: 255;\n}\n\n/** @deprecated */\ndeclare var PerformanceNavigation: {\n    prototype: PerformanceNavigation;\n    new(): PerformanceNavigation;\n    readonly TYPE_NAVIGATE: 0;\n    readonly TYPE_RELOAD: 1;\n    readonly TYPE_BACK_FORWARD: 2;\n    readonly TYPE_RESERVED: 255;\n};\n\n/**\n * Provides methods and properties to store and retrieve metrics regarding the browser\'s document navigation events. For example, this interface can be used to determine how much time it takes to load or unload a document.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigationTiming)\n */\ninterface PerformanceNavigationTiming extends PerformanceResourceTiming {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigationTiming/domComplete) */\n    readonly domComplete: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigationTiming/domContentLoadedEventEnd) */\n    readonly domContentLoadedEventEnd: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigationTiming/domContentLoadedEventStart) */\n    readonly domContentLoadedEventStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigationTiming/domInteractive) */\n    readonly domInteractive: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigationTiming/loadEventEnd) */\n    readonly loadEventEnd: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigationTiming/loadEventStart) */\n    readonly loadEventStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigationTiming/redirectCount) */\n    readonly redirectCount: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigationTiming/type) */\n    readonly type: NavigationTimingType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigationTiming/unloadEventEnd) */\n    readonly unloadEventEnd: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigationTiming/unloadEventStart) */\n    readonly unloadEventStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceNavigationTiming/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var PerformanceNavigationTiming: {\n    prototype: PerformanceNavigationTiming;\n    new(): PerformanceNavigationTiming;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserver) */\ninterface PerformanceObserver {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserver/disconnect) */\n    disconnect(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserver/observe) */\n    observe(options?: PerformanceObserverInit): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserver/takeRecords) */\n    takeRecords(): PerformanceEntryList;\n}\n\ndeclare var PerformanceObserver: {\n    prototype: PerformanceObserver;\n    new(callback: PerformanceObserverCallback): PerformanceObserver;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserver/supportedEntryTypes_static) */\n    readonly supportedEntryTypes: ReadonlyArray<string>;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserverEntryList) */\ninterface PerformanceObserverEntryList {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserverEntryList/getEntries) */\n    getEntries(): PerformanceEntryList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserverEntryList/getEntriesByName) */\n    getEntriesByName(name: string, type?: string): PerformanceEntryList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserverEntryList/getEntriesByType) */\n    getEntriesByType(type: string): PerformanceEntryList;\n}\n\ndeclare var PerformanceObserverEntryList: {\n    prototype: PerformanceObserverEntryList;\n    new(): PerformanceObserverEntryList;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformancePaintTiming) */\ninterface PerformancePaintTiming extends PerformanceEntry {\n}\n\ndeclare var PerformancePaintTiming: {\n    prototype: PerformancePaintTiming;\n    new(): PerformancePaintTiming;\n};\n\n/**\n * Enables retrieval and analysis of detailed network timing data regarding the loading of an application\'s resources. An application can use the timing metrics to determine, for example, the length of time it takes to fetch a specific resource, such as an XMLHttpRequest, <SVG>, image, or script.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming)\n */\ninterface PerformanceResourceTiming extends PerformanceEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/connectEnd) */\n    readonly connectEnd: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/connectStart) */\n    readonly connectStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/decodedBodySize) */\n    readonly decodedBodySize: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/domainLookupEnd) */\n    readonly domainLookupEnd: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/domainLookupStart) */\n    readonly domainLookupStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/encodedBodySize) */\n    readonly encodedBodySize: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/fetchStart) */\n    readonly fetchStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/initiatorType) */\n    readonly initiatorType: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/nextHopProtocol) */\n    readonly nextHopProtocol: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/redirectEnd) */\n    readonly redirectEnd: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/redirectStart) */\n    readonly redirectStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/requestStart) */\n    readonly requestStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/responseEnd) */\n    readonly responseEnd: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/responseStart) */\n    readonly responseStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/secureConnectionStart) */\n    readonly secureConnectionStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/serverTiming) */\n    readonly serverTiming: ReadonlyArray<PerformanceServerTiming>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/transferSize) */\n    readonly transferSize: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/workerStart) */\n    readonly workerStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var PerformanceResourceTiming: {\n    prototype: PerformanceResourceTiming;\n    new(): PerformanceResourceTiming;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceServerTiming) */\ninterface PerformanceServerTiming {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceServerTiming/description) */\n    readonly description: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceServerTiming/duration) */\n    readonly duration: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceServerTiming/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceServerTiming/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var PerformanceServerTiming: {\n    prototype: PerformanceServerTiming;\n    new(): PerformanceServerTiming;\n};\n\n/**\n * A legacy interface kept for backwards compatibility and contains properties that offer performance timing information for various events which occur during the loading and use of the current page. You get a PerformanceTiming object describing your page using the window.performance.timing property.\n * @deprecated This interface is deprecated in the Navigation Timing Level 2 specification. Please use the PerformanceNavigationTiming interface instead.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming)\n */\ninterface PerformanceTiming {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/connectEnd)\n     */\n    readonly connectEnd: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/connectStart)\n     */\n    readonly connectStart: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/domComplete)\n     */\n    readonly domComplete: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/domContentLoadedEventEnd)\n     */\n    readonly domContentLoadedEventEnd: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/domContentLoadedEventStart)\n     */\n    readonly domContentLoadedEventStart: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/domInteractive)\n     */\n    readonly domInteractive: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/domLoading)\n     */\n    readonly domLoading: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/domainLookupEnd)\n     */\n    readonly domainLookupEnd: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/domainLookupStart)\n     */\n    readonly domainLookupStart: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/fetchStart)\n     */\n    readonly fetchStart: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/loadEventEnd)\n     */\n    readonly loadEventEnd: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/loadEventStart)\n     */\n    readonly loadEventStart: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/navigationStart)\n     */\n    readonly navigationStart: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/redirectEnd)\n     */\n    readonly redirectEnd: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/redirectStart)\n     */\n    readonly redirectStart: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/requestStart)\n     */\n    readonly requestStart: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/responseEnd)\n     */\n    readonly responseEnd: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/responseStart)\n     */\n    readonly responseStart: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/secureConnectionStart)\n     */\n    readonly secureConnectionStart: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/unloadEventEnd)\n     */\n    readonly unloadEventEnd: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/unloadEventStart)\n     */\n    readonly unloadEventStart: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceTiming/toJSON)\n     */\n    toJSON(): any;\n}\n\n/** @deprecated */\ndeclare var PerformanceTiming: {\n    prototype: PerformanceTiming;\n    new(): PerformanceTiming;\n};\n\n/**\n * PeriodicWave has no inputs or outputs; it is used to define custom oscillators when calling OscillatorNode.setPeriodicWave(). The PeriodicWave itself is created/returned by AudioContext.createPeriodicWave().\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PeriodicWave)\n */\ninterface PeriodicWave {\n}\n\ndeclare var PeriodicWave: {\n    prototype: PeriodicWave;\n    new(context: BaseAudioContext, options?: PeriodicWaveOptions): PeriodicWave;\n};\n\ninterface PermissionStatusEventMap {\n    "change": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PermissionStatus) */\ninterface PermissionStatus extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PermissionStatus/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PermissionStatus/change_event) */\n    onchange: ((this: PermissionStatus, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PermissionStatus/state) */\n    readonly state: PermissionState;\n    addEventListener<K extends keyof PermissionStatusEventMap>(type: K, listener: (this: PermissionStatus, ev: PermissionStatusEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof PermissionStatusEventMap>(type: K, listener: (this: PermissionStatus, ev: PermissionStatusEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var PermissionStatus: {\n    prototype: PermissionStatus;\n    new(): PermissionStatus;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Permissions) */\ninterface Permissions {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Permissions/query) */\n    query(permissionDesc: PermissionDescriptor): Promise<PermissionStatus>;\n}\n\ndeclare var Permissions: {\n    prototype: Permissions;\n    new(): Permissions;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PictureInPictureEvent) */\ninterface PictureInPictureEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PictureInPictureEvent/pictureInPictureWindow) */\n    readonly pictureInPictureWindow: PictureInPictureWindow;\n}\n\ndeclare var PictureInPictureEvent: {\n    prototype: PictureInPictureEvent;\n    new(type: string, eventInitDict: PictureInPictureEventInit): PictureInPictureEvent;\n};\n\ninterface PictureInPictureWindowEventMap {\n    "resize": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PictureInPictureWindow) */\ninterface PictureInPictureWindow extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PictureInPictureWindow/height) */\n    readonly height: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PictureInPictureWindow/resize_event) */\n    onresize: ((this: PictureInPictureWindow, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PictureInPictureWindow/width) */\n    readonly width: number;\n    addEventListener<K extends keyof PictureInPictureWindowEventMap>(type: K, listener: (this: PictureInPictureWindow, ev: PictureInPictureWindowEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof PictureInPictureWindowEventMap>(type: K, listener: (this: PictureInPictureWindow, ev: PictureInPictureWindowEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var PictureInPictureWindow: {\n    prototype: PictureInPictureWindow;\n    new(): PictureInPictureWindow;\n};\n\n/**\n * Provides information about a browser plugin.\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Plugin)\n */\ninterface Plugin {\n    /**\n     * Returns the plugin\'s description.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Plugin/description)\n     */\n    readonly description: string;\n    /**\n     * Returns the plugin library\'s filename, if applicable on the current platform.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Plugin/filename)\n     */\n    readonly filename: string;\n    /**\n     * Returns the number of MIME types, represented by MimeType objects, supported by the plugin.\n     * @deprecated\n     */\n    readonly length: number;\n    /**\n     * Returns the plugin\'s name.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Plugin/name)\n     */\n    readonly name: string;\n    /**\n     * Returns the specified MimeType object.\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Plugin/item)\n     */\n    item(index: number): MimeType | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Plugin/namedItem)\n     */\n    namedItem(name: string): MimeType | null;\n    [index: number]: MimeType;\n}\n\n/** @deprecated */\ndeclare var Plugin: {\n    prototype: Plugin;\n    new(): Plugin;\n};\n\n/**\n * Used to store a list of Plugin objects describing the available plugins; it\'s returned by the window.navigator.plugins property. The PluginArray is not a JavaScript array, but has the length property and supports accessing individual items using bracket notation (plugins[2]), as well as via item(index) and namedItem("name") methods.\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PluginArray)\n */\ninterface PluginArray {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PluginArray/length)\n     */\n    readonly length: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PluginArray/item)\n     */\n    item(index: number): Plugin | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PluginArray/namedItem)\n     */\n    namedItem(name: string): Plugin | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PluginArray/refresh)\n     */\n    refresh(): void;\n    [index: number]: Plugin;\n}\n\n/** @deprecated */\ndeclare var PluginArray: {\n    prototype: PluginArray;\n    new(): PluginArray;\n};\n\n/**\n * The state of a DOM event produced by a pointer such as the geometry of the contact point, the device type that generated the event, the amount of pressure that was applied on the contact surface, etc.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent)\n */\ninterface PointerEvent extends MouseEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent/height) */\n    readonly height: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent/isPrimary) */\n    readonly isPrimary: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent/pointerId) */\n    readonly pointerId: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent/pointerType) */\n    readonly pointerType: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent/pressure) */\n    readonly pressure: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent/tangentialPressure) */\n    readonly tangentialPressure: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent/tiltX) */\n    readonly tiltX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent/tiltY) */\n    readonly tiltY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent/twist) */\n    readonly twist: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent/width) */\n    readonly width: number;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent/getCoalescedEvents)\n     */\n    getCoalescedEvents(): PointerEvent[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PointerEvent/getPredictedEvents) */\n    getPredictedEvents(): PointerEvent[];\n}\n\ndeclare var PointerEvent: {\n    prototype: PointerEvent;\n    new(type: string, eventInitDict?: PointerEventInit): PointerEvent;\n};\n\n/**\n * PopStateEvent is an event handler for the popstate event on the window.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PopStateEvent)\n */\ninterface PopStateEvent extends Event {\n    /**\n     * Returns a copy of the information that was provided to pushState() or replaceState().\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PopStateEvent/state)\n     */\n    readonly state: any;\n}\n\ndeclare var PopStateEvent: {\n    prototype: PopStateEvent;\n    new(type: string, eventInitDict?: PopStateEventInit): PopStateEvent;\n};\n\ninterface PopoverInvokerElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/popoverTargetAction) */\n    popoverTargetAction: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLButtonElement/popoverTargetElement) */\n    popoverTargetElement: Element | null;\n}\n\n/**\n * A processing instruction embeds application-specific instructions in XML which can be ignored by other applications that don\'t recognize them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ProcessingInstruction)\n */\ninterface ProcessingInstruction extends CharacterData, LinkStyle {\n    readonly ownerDocument: Document;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ProcessingInstruction/target) */\n    readonly target: string;\n}\n\ndeclare var ProcessingInstruction: {\n    prototype: ProcessingInstruction;\n    new(): ProcessingInstruction;\n};\n\n/**\n * Events measuring progress of an underlying process, like an HTTP request (for an XMLHttpRequest, or the loading of the underlying resource of an <img>, <audio>, <video>, <style> or <link>).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ProgressEvent)\n */\ninterface ProgressEvent<T extends EventTarget = EventTarget> extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ProgressEvent/lengthComputable) */\n    readonly lengthComputable: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ProgressEvent/loaded) */\n    readonly loaded: number;\n    readonly target: T | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ProgressEvent/total) */\n    readonly total: number;\n}\n\ndeclare var ProgressEvent: {\n    prototype: ProgressEvent;\n    new(type: string, eventInitDict?: ProgressEventInit): ProgressEvent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PromiseRejectionEvent) */\ninterface PromiseRejectionEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PromiseRejectionEvent/promise) */\n    readonly promise: Promise<any>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PromiseRejectionEvent/reason) */\n    readonly reason: any;\n}\n\ndeclare var PromiseRejectionEvent: {\n    prototype: PromiseRejectionEvent;\n    new(type: string, eventInitDict: PromiseRejectionEventInit): PromiseRejectionEvent;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PublicKeyCredential)\n */\ninterface PublicKeyCredential extends Credential {\n    readonly authenticatorAttachment: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PublicKeyCredential/rawId) */\n    readonly rawId: ArrayBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PublicKeyCredential/response) */\n    readonly response: AuthenticatorResponse;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PublicKeyCredential/getClientExtensionResults) */\n    getClientExtensionResults(): AuthenticationExtensionsClientOutputs;\n}\n\ndeclare var PublicKeyCredential: {\n    prototype: PublicKeyCredential;\n    new(): PublicKeyCredential;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PublicKeyCredential/isConditionalMediationAvailable) */\n    isConditionalMediationAvailable(): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PublicKeyCredential/isUserVerifyingPlatformAuthenticatorAvailable_static) */\n    isUserVerifyingPlatformAuthenticatorAvailable(): Promise<boolean>;\n};\n\n/**\n * This Push API interface provides a way to receive notifications from third-party servers as well as request URLs for push notifications.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushManager)\n */\ninterface PushManager {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushManager/getSubscription) */\n    getSubscription(): Promise<PushSubscription | null>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushManager/permissionState) */\n    permissionState(options?: PushSubscriptionOptionsInit): Promise<PermissionState>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushManager/subscribe) */\n    subscribe(options?: PushSubscriptionOptionsInit): Promise<PushSubscription>;\n}\n\ndeclare var PushManager: {\n    prototype: PushManager;\n    new(): PushManager;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushManager/supportedContentEncodings_static) */\n    readonly supportedContentEncodings: ReadonlyArray<string>;\n};\n\n/**\n * This Push API interface provides a subcription\'s URL endpoint and allows unsubscription from a push service.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription)\n */\ninterface PushSubscription {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription/endpoint) */\n    readonly endpoint: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription/expirationTime) */\n    readonly expirationTime: EpochTimeStamp | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription/options) */\n    readonly options: PushSubscriptionOptions;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription/getKey) */\n    getKey(name: PushEncryptionKeyName): ArrayBuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription/toJSON) */\n    toJSON(): PushSubscriptionJSON;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription/unsubscribe) */\n    unsubscribe(): Promise<boolean>;\n}\n\ndeclare var PushSubscription: {\n    prototype: PushSubscription;\n    new(): PushSubscription;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscriptionOptions)\n */\ninterface PushSubscriptionOptions {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscriptionOptions/applicationServerKey) */\n    readonly applicationServerKey: ArrayBuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscriptionOptions/userVisibleOnly) */\n    readonly userVisibleOnly: boolean;\n}\n\ndeclare var PushSubscriptionOptions: {\n    prototype: PushSubscriptionOptions;\n    new(): PushSubscriptionOptions;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCCertificate) */\ninterface RTCCertificate {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCCertificate/expires) */\n    readonly expires: EpochTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCCertificate/getFingerprints) */\n    getFingerprints(): RTCDtlsFingerprint[];\n}\n\ndeclare var RTCCertificate: {\n    prototype: RTCCertificate;\n    new(): RTCCertificate;\n};\n\ninterface RTCDTMFSenderEventMap {\n    "tonechange": RTCDTMFToneChangeEvent;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDTMFSender) */\ninterface RTCDTMFSender extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDTMFSender/canInsertDTMF) */\n    readonly canInsertDTMF: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDTMFSender/tonechange_event) */\n    ontonechange: ((this: RTCDTMFSender, ev: RTCDTMFToneChangeEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDTMFSender/toneBuffer) */\n    readonly toneBuffer: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDTMFSender/insertDTMF) */\n    insertDTMF(tones: string, duration?: number, interToneGap?: number): void;\n    addEventListener<K extends keyof RTCDTMFSenderEventMap>(type: K, listener: (this: RTCDTMFSender, ev: RTCDTMFSenderEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof RTCDTMFSenderEventMap>(type: K, listener: (this: RTCDTMFSender, ev: RTCDTMFSenderEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var RTCDTMFSender: {\n    prototype: RTCDTMFSender;\n    new(): RTCDTMFSender;\n};\n\n/**\n * Events sent to indicate that DTMF tones have started or finished playing. This interface is used by the tonechange event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDTMFToneChangeEvent)\n */\ninterface RTCDTMFToneChangeEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDTMFToneChangeEvent/tone) */\n    readonly tone: string;\n}\n\ndeclare var RTCDTMFToneChangeEvent: {\n    prototype: RTCDTMFToneChangeEvent;\n    new(type: string, eventInitDict?: RTCDTMFToneChangeEventInit): RTCDTMFToneChangeEvent;\n};\n\ninterface RTCDataChannelEventMap {\n    "bufferedamountlow": Event;\n    "close": Event;\n    "closing": Event;\n    "error": Event;\n    "message": MessageEvent;\n    "open": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel) */\ninterface RTCDataChannel extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/binaryType) */\n    binaryType: BinaryType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/bufferedAmount) */\n    readonly bufferedAmount: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/bufferedAmountLowThreshold) */\n    bufferedAmountLowThreshold: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/id) */\n    readonly id: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/label) */\n    readonly label: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/maxPacketLifeTime) */\n    readonly maxPacketLifeTime: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/maxRetransmits) */\n    readonly maxRetransmits: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/negotiated) */\n    readonly negotiated: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/bufferedamountlow_event) */\n    onbufferedamountlow: ((this: RTCDataChannel, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/close_event) */\n    onclose: ((this: RTCDataChannel, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/closing_event) */\n    onclosing: ((this: RTCDataChannel, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/error_event) */\n    onerror: ((this: RTCDataChannel, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/message_event) */\n    onmessage: ((this: RTCDataChannel, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/open_event) */\n    onopen: ((this: RTCDataChannel, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/ordered) */\n    readonly ordered: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/protocol) */\n    readonly protocol: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/readyState) */\n    readonly readyState: RTCDataChannelState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/close) */\n    close(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannel/send) */\n    send(data: string): void;\n    send(data: Blob): void;\n    send(data: ArrayBuffer): void;\n    send(data: ArrayBufferView): void;\n    addEventListener<K extends keyof RTCDataChannelEventMap>(type: K, listener: (this: RTCDataChannel, ev: RTCDataChannelEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof RTCDataChannelEventMap>(type: K, listener: (this: RTCDataChannel, ev: RTCDataChannelEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var RTCDataChannel: {\n    prototype: RTCDataChannel;\n    new(): RTCDataChannel;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannelEvent) */\ninterface RTCDataChannelEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDataChannelEvent/channel) */\n    readonly channel: RTCDataChannel;\n}\n\ndeclare var RTCDataChannelEvent: {\n    prototype: RTCDataChannelEvent;\n    new(type: string, eventInitDict: RTCDataChannelEventInit): RTCDataChannelEvent;\n};\n\ninterface RTCDtlsTransportEventMap {\n    "error": Event;\n    "statechange": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDtlsTransport) */\ninterface RTCDtlsTransport extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDtlsTransport/iceTransport) */\n    readonly iceTransport: RTCIceTransport;\n    onerror: ((this: RTCDtlsTransport, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDtlsTransport/statechange_event) */\n    onstatechange: ((this: RTCDtlsTransport, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDtlsTransport/state) */\n    readonly state: RTCDtlsTransportState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCDtlsTransport/getRemoteCertificates) */\n    getRemoteCertificates(): ArrayBuffer[];\n    addEventListener<K extends keyof RTCDtlsTransportEventMap>(type: K, listener: (this: RTCDtlsTransport, ev: RTCDtlsTransportEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof RTCDtlsTransportEventMap>(type: K, listener: (this: RTCDtlsTransport, ev: RTCDtlsTransportEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var RTCDtlsTransport: {\n    prototype: RTCDtlsTransport;\n    new(): RTCDtlsTransport;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedAudioFrame) */\ninterface RTCEncodedAudioFrame {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedAudioFrame/data) */\n    data: ArrayBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedAudioFrame/timestamp) */\n    readonly timestamp: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedAudioFrame/getMetadata) */\n    getMetadata(): RTCEncodedAudioFrameMetadata;\n}\n\ndeclare var RTCEncodedAudioFrame: {\n    prototype: RTCEncodedAudioFrame;\n    new(): RTCEncodedAudioFrame;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedVideoFrame) */\ninterface RTCEncodedVideoFrame {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedVideoFrame/data) */\n    data: ArrayBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedVideoFrame/timestamp) */\n    readonly timestamp: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedVideoFrame/type) */\n    readonly type: RTCEncodedVideoFrameType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedVideoFrame/getMetadata) */\n    getMetadata(): RTCEncodedVideoFrameMetadata;\n}\n\ndeclare var RTCEncodedVideoFrame: {\n    prototype: RTCEncodedVideoFrame;\n    new(): RTCEncodedVideoFrame;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCError) */\ninterface RTCError extends DOMException {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCError/errorDetail) */\n    readonly errorDetail: RTCErrorDetailType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCError/receivedAlert) */\n    readonly receivedAlert: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCError/sctpCauseCode) */\n    readonly sctpCauseCode: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCError/sdpLineNumber) */\n    readonly sdpLineNumber: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCError/sentAlert) */\n    readonly sentAlert: number | null;\n}\n\ndeclare var RTCError: {\n    prototype: RTCError;\n    new(init: RTCErrorInit, message?: string): RTCError;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCErrorEvent) */\ninterface RTCErrorEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCErrorEvent/error) */\n    readonly error: RTCError;\n}\n\ndeclare var RTCErrorEvent: {\n    prototype: RTCErrorEvent;\n    new(type: string, eventInitDict: RTCErrorEventInit): RTCErrorEvent;\n};\n\n/**\n * The RTCIceCandidate interface—part of the WebRTC API—represents a candidate Internet Connectivity Establishment (ICE) configuration which may be used to establish an RTCPeerConnection.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate)\n */\ninterface RTCIceCandidate {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/address) */\n    readonly address: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/candidate) */\n    readonly candidate: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/component) */\n    readonly component: RTCIceComponent | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/foundation) */\n    readonly foundation: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/port) */\n    readonly port: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/priority) */\n    readonly priority: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/protocol) */\n    readonly protocol: RTCIceProtocol | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/relatedAddress) */\n    readonly relatedAddress: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/relatedPort) */\n    readonly relatedPort: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/sdpMLineIndex) */\n    readonly sdpMLineIndex: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/sdpMid) */\n    readonly sdpMid: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/tcpType) */\n    readonly tcpType: RTCIceTcpCandidateType | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/type) */\n    readonly type: RTCIceCandidateType | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/usernameFragment) */\n    readonly usernameFragment: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceCandidate/toJSON) */\n    toJSON(): RTCIceCandidateInit;\n}\n\ndeclare var RTCIceCandidate: {\n    prototype: RTCIceCandidate;\n    new(candidateInitDict?: RTCIceCandidateInit): RTCIceCandidate;\n};\n\ninterface RTCIceTransportEventMap {\n    "gatheringstatechange": Event;\n    "selectedcandidatepairchange": Event;\n    "statechange": Event;\n}\n\n/**\n * Provides access to information about the ICE transport layer over which the data is being sent and received.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceTransport)\n */\ninterface RTCIceTransport extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceTransport/gatheringState) */\n    readonly gatheringState: RTCIceGathererState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceTransport/gatheringstatechange_event) */\n    ongatheringstatechange: ((this: RTCIceTransport, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceTransport/selectedcandidatepairchange_event) */\n    onselectedcandidatepairchange: ((this: RTCIceTransport, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceTransport/statechange_event) */\n    onstatechange: ((this: RTCIceTransport, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceTransport/state) */\n    readonly state: RTCIceTransportState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCIceTransport/getSelectedCandidatePair) */\n    getSelectedCandidatePair(): RTCIceCandidatePair | null;\n    addEventListener<K extends keyof RTCIceTransportEventMap>(type: K, listener: (this: RTCIceTransport, ev: RTCIceTransportEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof RTCIceTransportEventMap>(type: K, listener: (this: RTCIceTransport, ev: RTCIceTransportEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var RTCIceTransport: {\n    prototype: RTCIceTransport;\n    new(): RTCIceTransport;\n};\n\ninterface RTCPeerConnectionEventMap {\n    "connectionstatechange": Event;\n    "datachannel": RTCDataChannelEvent;\n    "icecandidate": RTCPeerConnectionIceEvent;\n    "icecandidateerror": RTCPeerConnectionIceErrorEvent;\n    "iceconnectionstatechange": Event;\n    "icegatheringstatechange": Event;\n    "negotiationneeded": Event;\n    "signalingstatechange": Event;\n    "track": RTCTrackEvent;\n}\n\n/**\n * A WebRTC connection between the local computer and a remote peer. It provides methods to connect to a remote peer, maintain and monitor the connection, and close the connection once it\'s no longer needed.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection)\n */\ninterface RTCPeerConnection extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/canTrickleIceCandidates) */\n    readonly canTrickleIceCandidates: boolean | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/connectionState) */\n    readonly connectionState: RTCPeerConnectionState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/currentLocalDescription) */\n    readonly currentLocalDescription: RTCSessionDescription | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/currentRemoteDescription) */\n    readonly currentRemoteDescription: RTCSessionDescription | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/iceConnectionState) */\n    readonly iceConnectionState: RTCIceConnectionState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/iceGatheringState) */\n    readonly iceGatheringState: RTCIceGatheringState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/localDescription) */\n    readonly localDescription: RTCSessionDescription | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/connectionstatechange_event) */\n    onconnectionstatechange: ((this: RTCPeerConnection, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/datachannel_event) */\n    ondatachannel: ((this: RTCPeerConnection, ev: RTCDataChannelEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/icecandidate_event) */\n    onicecandidate: ((this: RTCPeerConnection, ev: RTCPeerConnectionIceEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/icecandidateerror_event) */\n    onicecandidateerror: ((this: RTCPeerConnection, ev: RTCPeerConnectionIceErrorEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/iceconnectionstatechange_event) */\n    oniceconnectionstatechange: ((this: RTCPeerConnection, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/icegatheringstatechange_event) */\n    onicegatheringstatechange: ((this: RTCPeerConnection, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/negotiationneeded_event) */\n    onnegotiationneeded: ((this: RTCPeerConnection, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/signalingstatechange_event) */\n    onsignalingstatechange: ((this: RTCPeerConnection, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/track_event) */\n    ontrack: ((this: RTCPeerConnection, ev: RTCTrackEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/pendingLocalDescription) */\n    readonly pendingLocalDescription: RTCSessionDescription | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/pendingRemoteDescription) */\n    readonly pendingRemoteDescription: RTCSessionDescription | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/remoteDescription) */\n    readonly remoteDescription: RTCSessionDescription | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/sctp) */\n    readonly sctp: RTCSctpTransport | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/signalingState) */\n    readonly signalingState: RTCSignalingState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/addIceCandidate) */\n    addIceCandidate(candidate?: RTCIceCandidateInit): Promise<void>;\n    /** @deprecated */\n    addIceCandidate(candidate: RTCIceCandidateInit, successCallback: VoidFunction, failureCallback: RTCPeerConnectionErrorCallback): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/addTrack) */\n    addTrack(track: MediaStreamTrack, ...streams: MediaStream[]): RTCRtpSender;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/addTransceiver) */\n    addTransceiver(trackOrKind: MediaStreamTrack | string, init?: RTCRtpTransceiverInit): RTCRtpTransceiver;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/close) */\n    close(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/createAnswer) */\n    createAnswer(options?: RTCAnswerOptions): Promise<RTCSessionDescriptionInit>;\n    /** @deprecated */\n    createAnswer(successCallback: RTCSessionDescriptionCallback, failureCallback: RTCPeerConnectionErrorCallback): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/createDataChannel) */\n    createDataChannel(label: string, dataChannelDict?: RTCDataChannelInit): RTCDataChannel;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/createOffer) */\n    createOffer(options?: RTCOfferOptions): Promise<RTCSessionDescriptionInit>;\n    /** @deprecated */\n    createOffer(successCallback: RTCSessionDescriptionCallback, failureCallback: RTCPeerConnectionErrorCallback, options?: RTCOfferOptions): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/getConfiguration) */\n    getConfiguration(): RTCConfiguration;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/getReceivers) */\n    getReceivers(): RTCRtpReceiver[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/getSenders) */\n    getSenders(): RTCRtpSender[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/getStats) */\n    getStats(selector?: MediaStreamTrack | null): Promise<RTCStatsReport>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/getTransceivers) */\n    getTransceivers(): RTCRtpTransceiver[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/removeTrack) */\n    removeTrack(sender: RTCRtpSender): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/restartIce) */\n    restartIce(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/setConfiguration) */\n    setConfiguration(configuration?: RTCConfiguration): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/setLocalDescription) */\n    setLocalDescription(description?: RTCLocalSessionDescriptionInit): Promise<void>;\n    /** @deprecated */\n    setLocalDescription(description: RTCLocalSessionDescriptionInit, successCallback: VoidFunction, failureCallback: RTCPeerConnectionErrorCallback): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/setRemoteDescription) */\n    setRemoteDescription(description: RTCSessionDescriptionInit): Promise<void>;\n    /** @deprecated */\n    setRemoteDescription(description: RTCSessionDescriptionInit, successCallback: VoidFunction, failureCallback: RTCPeerConnectionErrorCallback): Promise<void>;\n    addEventListener<K extends keyof RTCPeerConnectionEventMap>(type: K, listener: (this: RTCPeerConnection, ev: RTCPeerConnectionEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof RTCPeerConnectionEventMap>(type: K, listener: (this: RTCPeerConnection, ev: RTCPeerConnectionEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var RTCPeerConnection: {\n    prototype: RTCPeerConnection;\n    new(configuration?: RTCConfiguration): RTCPeerConnection;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnection/generateCertificate_static) */\n    generateCertificate(keygenAlgorithm: AlgorithmIdentifier): Promise<RTCCertificate>;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnectionIceErrorEvent) */\ninterface RTCPeerConnectionIceErrorEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnectionIceErrorEvent/address) */\n    readonly address: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnectionIceErrorEvent/errorCode) */\n    readonly errorCode: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnectionIceErrorEvent/errorText) */\n    readonly errorText: string;\n    readonly port: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnectionIceErrorEvent/url) */\n    readonly url: string;\n}\n\ndeclare var RTCPeerConnectionIceErrorEvent: {\n    prototype: RTCPeerConnectionIceErrorEvent;\n    new(type: string, eventInitDict: RTCPeerConnectionIceErrorEventInit): RTCPeerConnectionIceErrorEvent;\n};\n\n/**\n * Events that occurs in relation to ICE candidates with the target, usually an RTCPeerConnection. Only one event is of this type: icecandidate.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnectionIceEvent)\n */\ninterface RTCPeerConnectionIceEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCPeerConnectionIceEvent/candidate) */\n    readonly candidate: RTCIceCandidate | null;\n}\n\ndeclare var RTCPeerConnectionIceEvent: {\n    prototype: RTCPeerConnectionIceEvent;\n    new(type: string, eventInitDict?: RTCPeerConnectionIceEventInit): RTCPeerConnectionIceEvent;\n};\n\n/**\n * This WebRTC API interface manages the reception and decoding of data for a MediaStreamTrack on an RTCPeerConnection.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpReceiver)\n */\ninterface RTCRtpReceiver {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpReceiver/track) */\n    readonly track: MediaStreamTrack;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpReceiver/transform) */\n    transform: RTCRtpTransform | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpReceiver/transport) */\n    readonly transport: RTCDtlsTransport | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpReceiver/getContributingSources) */\n    getContributingSources(): RTCRtpContributingSource[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpReceiver/getParameters) */\n    getParameters(): RTCRtpReceiveParameters;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpReceiver/getStats) */\n    getStats(): Promise<RTCStatsReport>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpReceiver/getSynchronizationSources) */\n    getSynchronizationSources(): RTCRtpSynchronizationSource[];\n}\n\ndeclare var RTCRtpReceiver: {\n    prototype: RTCRtpReceiver;\n    new(): RTCRtpReceiver;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpReceiver/getCapabilities_static) */\n    getCapabilities(kind: string): RTCRtpCapabilities | null;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpScriptTransform) */\ninterface RTCRtpScriptTransform {\n}\n\ndeclare var RTCRtpScriptTransform: {\n    prototype: RTCRtpScriptTransform;\n    new(worker: Worker, options?: any, transfer?: any[]): RTCRtpScriptTransform;\n};\n\n/**\n * Provides the ability to control and obtain details about how a particular MediaStreamTrack is encoded and sent to a remote peer.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpSender)\n */\ninterface RTCRtpSender {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpSender/dtmf) */\n    readonly dtmf: RTCDTMFSender | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpSender/track) */\n    readonly track: MediaStreamTrack | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpSender/transform) */\n    transform: RTCRtpTransform | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpSender/transport) */\n    readonly transport: RTCDtlsTransport | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpSender/getParameters) */\n    getParameters(): RTCRtpSendParameters;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpSender/getStats) */\n    getStats(): Promise<RTCStatsReport>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpSender/replaceTrack) */\n    replaceTrack(withTrack: MediaStreamTrack | null): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpSender/setParameters) */\n    setParameters(parameters: RTCRtpSendParameters, setParameterOptions?: RTCSetParameterOptions): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpSender/setStreams) */\n    setStreams(...streams: MediaStream[]): void;\n}\n\ndeclare var RTCRtpSender: {\n    prototype: RTCRtpSender;\n    new(): RTCRtpSender;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpSender/getCapabilities_static) */\n    getCapabilities(kind: string): RTCRtpCapabilities | null;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpTransceiver) */\ninterface RTCRtpTransceiver {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpTransceiver/currentDirection) */\n    readonly currentDirection: RTCRtpTransceiverDirection | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpTransceiver/direction) */\n    direction: RTCRtpTransceiverDirection;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpTransceiver/mid) */\n    readonly mid: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpTransceiver/receiver) */\n    readonly receiver: RTCRtpReceiver;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpTransceiver/sender) */\n    readonly sender: RTCRtpSender;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpTransceiver/setCodecPreferences) */\n    setCodecPreferences(codecs: RTCRtpCodecCapability[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpTransceiver/stop) */\n    stop(): void;\n}\n\ndeclare var RTCRtpTransceiver: {\n    prototype: RTCRtpTransceiver;\n    new(): RTCRtpTransceiver;\n};\n\ninterface RTCSctpTransportEventMap {\n    "statechange": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCSctpTransport) */\ninterface RTCSctpTransport extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCSctpTransport/maxChannels) */\n    readonly maxChannels: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCSctpTransport/maxMessageSize) */\n    readonly maxMessageSize: number;\n    onstatechange: ((this: RTCSctpTransport, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCSctpTransport/state) */\n    readonly state: RTCSctpTransportState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCSctpTransport/transport) */\n    readonly transport: RTCDtlsTransport;\n    addEventListener<K extends keyof RTCSctpTransportEventMap>(type: K, listener: (this: RTCSctpTransport, ev: RTCSctpTransportEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof RTCSctpTransportEventMap>(type: K, listener: (this: RTCSctpTransport, ev: RTCSctpTransportEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var RTCSctpTransport: {\n    prototype: RTCSctpTransport;\n    new(): RTCSctpTransport;\n};\n\n/**\n * One end of a connection—or potential connection—and how it\'s configured. Each RTCSessionDescription consists of a description type indicating which part of the offer/answer negotiation process it describes and of the SDP descriptor of the session.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCSessionDescription)\n */\ninterface RTCSessionDescription {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCSessionDescription/sdp) */\n    readonly sdp: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCSessionDescription/type) */\n    readonly type: RTCSdpType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCSessionDescription/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var RTCSessionDescription: {\n    prototype: RTCSessionDescription;\n    new(descriptionInitDict: RTCSessionDescriptionInit): RTCSessionDescription;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCStatsReport) */\ninterface RTCStatsReport {\n    forEach(callbackfn: (value: any, key: string, parent: RTCStatsReport) => void, thisArg?: any): void;\n}\n\ndeclare var RTCStatsReport: {\n    prototype: RTCStatsReport;\n    new(): RTCStatsReport;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCTrackEvent) */\ninterface RTCTrackEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCTrackEvent/receiver) */\n    readonly receiver: RTCRtpReceiver;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCTrackEvent/streams) */\n    readonly streams: ReadonlyArray<MediaStream>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCTrackEvent/track) */\n    readonly track: MediaStreamTrack;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCTrackEvent/transceiver) */\n    readonly transceiver: RTCRtpTransceiver;\n}\n\ndeclare var RTCTrackEvent: {\n    prototype: RTCTrackEvent;\n    new(type: string, eventInitDict: RTCTrackEventInit): RTCTrackEvent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RadioNodeList) */\ninterface RadioNodeList extends NodeList {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RadioNodeList/value) */\n    value: string;\n}\n\ndeclare var RadioNodeList: {\n    prototype: RadioNodeList;\n    new(): RadioNodeList;\n};\n\n/**\n * A fragment of a document that can contain nodes and parts of text nodes.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range)\n */\ninterface Range extends AbstractRange {\n    /**\n     * Returns the node, furthest away from the document, that is an ancestor of both range\'s start node and end node.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/commonAncestorContainer)\n     */\n    readonly commonAncestorContainer: Node;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/cloneContents) */\n    cloneContents(): DocumentFragment;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/cloneRange) */\n    cloneRange(): Range;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/collapse) */\n    collapse(toStart?: boolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/compareBoundaryPoints) */\n    compareBoundaryPoints(how: number, sourceRange: Range): number;\n    /**\n     * Returns −1 if the point is before the range, 0 if the point is in the range, and 1 if the point is after the range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/comparePoint)\n     */\n    comparePoint(node: Node, offset: number): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/createContextualFragment) */\n    createContextualFragment(fragment: string): DocumentFragment;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/deleteContents) */\n    deleteContents(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/detach) */\n    detach(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/extractContents) */\n    extractContents(): DocumentFragment;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/getBoundingClientRect) */\n    getBoundingClientRect(): DOMRect;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/getClientRects) */\n    getClientRects(): DOMRectList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/insertNode) */\n    insertNode(node: Node): void;\n    /**\n     * Returns whether range intersects node.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/intersectsNode)\n     */\n    intersectsNode(node: Node): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/isPointInRange) */\n    isPointInRange(node: Node, offset: number): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/selectNode) */\n    selectNode(node: Node): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/selectNodeContents) */\n    selectNodeContents(node: Node): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/setEnd) */\n    setEnd(node: Node, offset: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/setEndAfter) */\n    setEndAfter(node: Node): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/setEndBefore) */\n    setEndBefore(node: Node): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/setStart) */\n    setStart(node: Node, offset: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/setStartAfter) */\n    setStartAfter(node: Node): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/setStartBefore) */\n    setStartBefore(node: Node): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Range/surroundContents) */\n    surroundContents(newParent: Node): void;\n    toString(): string;\n    readonly START_TO_START: 0;\n    readonly START_TO_END: 1;\n    readonly END_TO_END: 2;\n    readonly END_TO_START: 3;\n}\n\ndeclare var Range: {\n    prototype: Range;\n    new(): Range;\n    readonly START_TO_START: 0;\n    readonly START_TO_END: 1;\n    readonly END_TO_END: 2;\n    readonly END_TO_START: 3;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableByteStreamController) */\ninterface ReadableByteStreamController {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableByteStreamController/byobRequest) */\n    readonly byobRequest: ReadableStreamBYOBRequest | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableByteStreamController/desiredSize) */\n    readonly desiredSize: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableByteStreamController/close) */\n    close(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableByteStreamController/enqueue) */\n    enqueue(chunk: ArrayBufferView): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableByteStreamController/error) */\n    error(e?: any): void;\n}\n\ndeclare var ReadableByteStreamController: {\n    prototype: ReadableByteStreamController;\n    new(): ReadableByteStreamController;\n};\n\n/**\n * This Streams API interface represents a readable stream of byte data. The Fetch API offers a concrete instance of a ReadableStream through the body property of a Response object.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream)\n */\ninterface ReadableStream<R = any> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream/locked) */\n    readonly locked: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream/cancel) */\n    cancel(reason?: any): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream/getReader) */\n    getReader(options: { mode: "byob" }): ReadableStreamBYOBReader;\n    getReader(): ReadableStreamDefaultReader<R>;\n    getReader(options?: ReadableStreamGetReaderOptions): ReadableStreamReader<R>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream/pipeThrough) */\n    pipeThrough<T>(transform: ReadableWritablePair<T, R>, options?: StreamPipeOptions): ReadableStream<T>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream/pipeTo) */\n    pipeTo(destination: WritableStream<R>, options?: StreamPipeOptions): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream/tee) */\n    tee(): [ReadableStream<R>, ReadableStream<R>];\n}\n\ndeclare var ReadableStream: {\n    prototype: ReadableStream;\n    new(underlyingSource: UnderlyingByteSource, strategy?: { highWaterMark?: number }): ReadableStream<Uint8Array>;\n    new<R = any>(underlyingSource: UnderlyingDefaultSource<R>, strategy?: QueuingStrategy<R>): ReadableStream<R>;\n    new<R = any>(underlyingSource?: UnderlyingSource<R>, strategy?: QueuingStrategy<R>): ReadableStream<R>;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBReader) */\ninterface ReadableStreamBYOBReader extends ReadableStreamGenericReader {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBReader/read) */\n    read<T extends ArrayBufferView>(view: T): Promise<ReadableStreamReadResult<T>>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBReader/releaseLock) */\n    releaseLock(): void;\n}\n\ndeclare var ReadableStreamBYOBReader: {\n    prototype: ReadableStreamBYOBReader;\n    new(stream: ReadableStream): ReadableStreamBYOBReader;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBRequest) */\ninterface ReadableStreamBYOBRequest {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBRequest/view) */\n    readonly view: ArrayBufferView | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBRequest/respond) */\n    respond(bytesWritten: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBRequest/respondWithNewView) */\n    respondWithNewView(view: ArrayBufferView): void;\n}\n\ndeclare var ReadableStreamBYOBRequest: {\n    prototype: ReadableStreamBYOBRequest;\n    new(): ReadableStreamBYOBRequest;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultController) */\ninterface ReadableStreamDefaultController<R = any> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultController/desiredSize) */\n    readonly desiredSize: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultController/close) */\n    close(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultController/enqueue) */\n    enqueue(chunk?: R): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultController/error) */\n    error(e?: any): void;\n}\n\ndeclare var ReadableStreamDefaultController: {\n    prototype: ReadableStreamDefaultController;\n    new(): ReadableStreamDefaultController;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultReader) */\ninterface ReadableStreamDefaultReader<R = any> extends ReadableStreamGenericReader {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultReader/read) */\n    read(): Promise<ReadableStreamReadResult<R>>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultReader/releaseLock) */\n    releaseLock(): void;\n}\n\ndeclare var ReadableStreamDefaultReader: {\n    prototype: ReadableStreamDefaultReader;\n    new<R = any>(stream: ReadableStream<R>): ReadableStreamDefaultReader<R>;\n};\n\ninterface ReadableStreamGenericReader {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBReader/closed) */\n    readonly closed: Promise<undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBReader/cancel) */\n    cancel(reason?: any): Promise<void>;\n}\n\ninterface RemotePlaybackEventMap {\n    "connect": Event;\n    "connecting": Event;\n    "disconnect": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RemotePlayback) */\ninterface RemotePlayback extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RemotePlayback/connect_event) */\n    onconnect: ((this: RemotePlayback, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RemotePlayback/connecting_event) */\n    onconnecting: ((this: RemotePlayback, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RemotePlayback/disconnect_event) */\n    ondisconnect: ((this: RemotePlayback, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RemotePlayback/state) */\n    readonly state: RemotePlaybackState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RemotePlayback/cancelWatchAvailability) */\n    cancelWatchAvailability(id?: number): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RemotePlayback/prompt) */\n    prompt(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RemotePlayback/watchAvailability) */\n    watchAvailability(callback: RemotePlaybackAvailabilityCallback): Promise<number>;\n    addEventListener<K extends keyof RemotePlaybackEventMap>(type: K, listener: (this: RemotePlayback, ev: RemotePlaybackEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof RemotePlaybackEventMap>(type: K, listener: (this: RemotePlayback, ev: RemotePlaybackEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var RemotePlayback: {\n    prototype: RemotePlayback;\n    new(): RemotePlayback;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Report) */\ninterface Report {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Report/body) */\n    readonly body: ReportBody | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Report/type) */\n    readonly type: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Report/url) */\n    readonly url: string;\n    toJSON(): any;\n}\n\ndeclare var Report: {\n    prototype: Report;\n    new(): Report;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReportBody) */\ninterface ReportBody {\n    toJSON(): any;\n}\n\ndeclare var ReportBody: {\n    prototype: ReportBody;\n    new(): ReportBody;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReportingObserver) */\ninterface ReportingObserver {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReportingObserver/disconnect) */\n    disconnect(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReportingObserver/observe) */\n    observe(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReportingObserver/takeRecords) */\n    takeRecords(): ReportList;\n}\n\ndeclare var ReportingObserver: {\n    prototype: ReportingObserver;\n    new(callback: ReportingObserverCallback, options?: ReportingObserverOptions): ReportingObserver;\n};\n\n/**\n * This Fetch API interface represents a resource request.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request)\n */\ninterface Request extends Body {\n    /**\n     * Returns the cache mode associated with request, which is a string indicating how the request will interact with the browser\'s cache when fetching.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/cache)\n     */\n    readonly cache: RequestCache;\n    /**\n     * Returns the credentials mode associated with request, which is a string indicating whether credentials will be sent with the request always, never, or only when sent to a same-origin URL.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/credentials)\n     */\n    readonly credentials: RequestCredentials;\n    /**\n     * Returns the kind of resource requested by request, e.g., "document" or "script".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/destination)\n     */\n    readonly destination: RequestDestination;\n    /**\n     * Returns a Headers object consisting of the headers associated with request. Note that headers added in the network layer by the user agent will not be accounted for in this object, e.g., the "Host" header.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/headers)\n     */\n    readonly headers: Headers;\n    /**\n     * Returns request\'s subresource integrity metadata, which is a cryptographic hash of the resource being fetched. Its value consists of multiple hashes separated by whitespace. [SRI]\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/integrity)\n     */\n    readonly integrity: string;\n    /**\n     * Returns a boolean indicating whether or not request can outlive the global in which it was created.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/keepalive)\n     */\n    readonly keepalive: boolean;\n    /**\n     * Returns request\'s HTTP method, which is "GET" by default.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/method)\n     */\n    readonly method: string;\n    /**\n     * Returns the mode associated with request, which is a string indicating whether the request will use CORS, or will be restricted to same-origin URLs.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/mode)\n     */\n    readonly mode: RequestMode;\n    /**\n     * Returns the redirect mode associated with request, which is a string indicating how redirects for the request will be handled during fetching. A request will follow redirects by default.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/redirect)\n     */\n    readonly redirect: RequestRedirect;\n    /**\n     * Returns the referrer of request. Its value can be a same-origin URL if explicitly set in init, the empty string to indicate no referrer, and "about:client" when defaulting to the global\'s default. This is used during fetching to determine the value of the `Referer` header of the request being made.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/referrer)\n     */\n    readonly referrer: string;\n    /**\n     * Returns the referrer policy associated with request. This is used during fetching to compute the value of the request\'s referrer.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/referrerPolicy)\n     */\n    readonly referrerPolicy: ReferrerPolicy;\n    /**\n     * Returns the signal associated with request, which is an AbortSignal object indicating whether or not request has been aborted, and its abort event handler.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/signal)\n     */\n    readonly signal: AbortSignal;\n    /**\n     * Returns the URL of request as a string.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/url)\n     */\n    readonly url: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/clone) */\n    clone(): Request;\n}\n\ndeclare var Request: {\n    prototype: Request;\n    new(input: RequestInfo | URL, init?: RequestInit): Request;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ResizeObserver) */\ninterface ResizeObserver {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ResizeObserver/disconnect) */\n    disconnect(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ResizeObserver/observe) */\n    observe(target: Element, options?: ResizeObserverOptions): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ResizeObserver/unobserve) */\n    unobserve(target: Element): void;\n}\n\ndeclare var ResizeObserver: {\n    prototype: ResizeObserver;\n    new(callback: ResizeObserverCallback): ResizeObserver;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ResizeObserverEntry) */\ninterface ResizeObserverEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ResizeObserverEntry/borderBoxSize) */\n    readonly borderBoxSize: ReadonlyArray<ResizeObserverSize>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ResizeObserverEntry/contentBoxSize) */\n    readonly contentBoxSize: ReadonlyArray<ResizeObserverSize>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ResizeObserverEntry/contentRect) */\n    readonly contentRect: DOMRectReadOnly;\n    readonly devicePixelContentBoxSize: ReadonlyArray<ResizeObserverSize>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ResizeObserverEntry/target) */\n    readonly target: Element;\n}\n\ndeclare var ResizeObserverEntry: {\n    prototype: ResizeObserverEntry;\n    new(): ResizeObserverEntry;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ResizeObserverSize) */\ninterface ResizeObserverSize {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ResizeObserverSize/blockSize) */\n    readonly blockSize: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ResizeObserverSize/inlineSize) */\n    readonly inlineSize: number;\n}\n\ndeclare var ResizeObserverSize: {\n    prototype: ResizeObserverSize;\n    new(): ResizeObserverSize;\n};\n\n/**\n * This Fetch API interface represents the response to a request.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response)\n */\ninterface Response extends Body {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/headers) */\n    readonly headers: Headers;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/ok) */\n    readonly ok: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/redirected) */\n    readonly redirected: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/status) */\n    readonly status: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/statusText) */\n    readonly statusText: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/type) */\n    readonly type: ResponseType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/url) */\n    readonly url: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/clone) */\n    clone(): Response;\n}\n\ndeclare var Response: {\n    prototype: Response;\n    new(body?: BodyInit | null, init?: ResponseInit): Response;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/error_static) */\n    error(): Response;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/json_static) */\n    json(data: any, init?: ResponseInit): Response;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/redirect_static) */\n    redirect(url: string | URL, status?: number): Response;\n};\n\n/**\n * Provides access to the properties of <a> element, as well as methods to manipulate them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAElement)\n */\ninterface SVGAElement extends SVGGraphicsElement, SVGURIReference {\n    rel: string;\n    readonly relList: DOMTokenList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAElement/target) */\n    readonly target: SVGAnimatedString;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGAElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGAElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGAElement: {\n    prototype: SVGAElement;\n    new(): SVGAElement;\n};\n\n/**\n * Used to represent a value that can be an <angle> or <number> value. An SVGAngle reflected through the animVal attribute is always read only.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAngle)\n */\ninterface SVGAngle {\n    readonly unitType: number;\n    value: number;\n    valueAsString: string;\n    valueInSpecifiedUnits: number;\n    convertToSpecifiedUnits(unitType: number): void;\n    newValueSpecifiedUnits(unitType: number, valueInSpecifiedUnits: number): void;\n    readonly SVG_ANGLETYPE_UNKNOWN: 0;\n    readonly SVG_ANGLETYPE_UNSPECIFIED: 1;\n    readonly SVG_ANGLETYPE_DEG: 2;\n    readonly SVG_ANGLETYPE_RAD: 3;\n    readonly SVG_ANGLETYPE_GRAD: 4;\n}\n\ndeclare var SVGAngle: {\n    prototype: SVGAngle;\n    new(): SVGAngle;\n    readonly SVG_ANGLETYPE_UNKNOWN: 0;\n    readonly SVG_ANGLETYPE_UNSPECIFIED: 1;\n    readonly SVG_ANGLETYPE_DEG: 2;\n    readonly SVG_ANGLETYPE_RAD: 3;\n    readonly SVG_ANGLETYPE_GRAD: 4;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimateElement) */\ninterface SVGAnimateElement extends SVGAnimationElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGAnimateElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGAnimateElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGAnimateElement: {\n    prototype: SVGAnimateElement;\n    new(): SVGAnimateElement;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimateMotionElement) */\ninterface SVGAnimateMotionElement extends SVGAnimationElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGAnimateMotionElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGAnimateMotionElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGAnimateMotionElement: {\n    prototype: SVGAnimateMotionElement;\n    new(): SVGAnimateMotionElement;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimateTransformElement) */\ninterface SVGAnimateTransformElement extends SVGAnimationElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGAnimateTransformElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGAnimateTransformElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGAnimateTransformElement: {\n    prototype: SVGAnimateTransformElement;\n    new(): SVGAnimateTransformElement;\n};\n\n/**\n * Used for attributes of basic type <angle> which can be animated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedAngle)\n */\ninterface SVGAnimatedAngle {\n    readonly animVal: SVGAngle;\n    readonly baseVal: SVGAngle;\n}\n\ndeclare var SVGAnimatedAngle: {\n    prototype: SVGAnimatedAngle;\n    new(): SVGAnimatedAngle;\n};\n\n/**\n * Used for attributes of type boolean which can be animated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedBoolean)\n */\ninterface SVGAnimatedBoolean {\n    readonly animVal: boolean;\n    baseVal: boolean;\n}\n\ndeclare var SVGAnimatedBoolean: {\n    prototype: SVGAnimatedBoolean;\n    new(): SVGAnimatedBoolean;\n};\n\n/**\n * Used for attributes whose value must be a constant from a particular enumeration and which can be animated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedEnumeration)\n */\ninterface SVGAnimatedEnumeration {\n    readonly animVal: number;\n    baseVal: number;\n}\n\ndeclare var SVGAnimatedEnumeration: {\n    prototype: SVGAnimatedEnumeration;\n    new(): SVGAnimatedEnumeration;\n};\n\n/**\n * Used for attributes of basic type <integer> which can be animated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedInteger)\n */\ninterface SVGAnimatedInteger {\n    readonly animVal: number;\n    baseVal: number;\n}\n\ndeclare var SVGAnimatedInteger: {\n    prototype: SVGAnimatedInteger;\n    new(): SVGAnimatedInteger;\n};\n\n/**\n * Used for attributes of basic type <length> which can be animated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedLength)\n */\ninterface SVGAnimatedLength {\n    readonly animVal: SVGLength;\n    readonly baseVal: SVGLength;\n}\n\ndeclare var SVGAnimatedLength: {\n    prototype: SVGAnimatedLength;\n    new(): SVGAnimatedLength;\n};\n\n/**\n * Used for attributes of type SVGLengthList which can be animated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedLengthList)\n */\ninterface SVGAnimatedLengthList {\n    readonly animVal: SVGLengthList;\n    readonly baseVal: SVGLengthList;\n}\n\ndeclare var SVGAnimatedLengthList: {\n    prototype: SVGAnimatedLengthList;\n    new(): SVGAnimatedLengthList;\n};\n\n/**\n * Used for attributes of basic type <Number> which can be animated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedNumber)\n */\ninterface SVGAnimatedNumber {\n    readonly animVal: number;\n    baseVal: number;\n}\n\ndeclare var SVGAnimatedNumber: {\n    prototype: SVGAnimatedNumber;\n    new(): SVGAnimatedNumber;\n};\n\n/**\n * The SVGAnimatedNumber interface is used for attributes which take a list of numbers and which can be animated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedNumberList)\n */\ninterface SVGAnimatedNumberList {\n    readonly animVal: SVGNumberList;\n    readonly baseVal: SVGNumberList;\n}\n\ndeclare var SVGAnimatedNumberList: {\n    prototype: SVGAnimatedNumberList;\n    new(): SVGAnimatedNumberList;\n};\n\ninterface SVGAnimatedPoints {\n    readonly animatedPoints: SVGPointList;\n    readonly points: SVGPointList;\n}\n\n/**\n * Used for attributes of type SVGPreserveAspectRatio which can be animated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedPreserveAspectRatio)\n */\ninterface SVGAnimatedPreserveAspectRatio {\n    readonly animVal: SVGPreserveAspectRatio;\n    readonly baseVal: SVGPreserveAspectRatio;\n}\n\ndeclare var SVGAnimatedPreserveAspectRatio: {\n    prototype: SVGAnimatedPreserveAspectRatio;\n    new(): SVGAnimatedPreserveAspectRatio;\n};\n\n/**\n * Used for attributes of basic SVGRect which can be animated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedRect)\n */\ninterface SVGAnimatedRect {\n    readonly animVal: DOMRectReadOnly;\n    readonly baseVal: DOMRect;\n}\n\ndeclare var SVGAnimatedRect: {\n    prototype: SVGAnimatedRect;\n    new(): SVGAnimatedRect;\n};\n\n/**\n * The SVGAnimatedString interface represents string attributes which can be animated from each SVG declaration. You need to create SVG attribute before doing anything else, everything should be declared inside this.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedString)\n */\ninterface SVGAnimatedString {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedString/animVal) */\n    readonly animVal: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedString/baseVal) */\n    baseVal: string;\n}\n\ndeclare var SVGAnimatedString: {\n    prototype: SVGAnimatedString;\n    new(): SVGAnimatedString;\n};\n\n/**\n * Used for attributes which take a list of numbers and which can be animated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimatedTransformList)\n */\ninterface SVGAnimatedTransformList {\n    readonly animVal: SVGTransformList;\n    readonly baseVal: SVGTransformList;\n}\n\ndeclare var SVGAnimatedTransformList: {\n    prototype: SVGAnimatedTransformList;\n    new(): SVGAnimatedTransformList;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimationElement) */\ninterface SVGAnimationElement extends SVGElement, SVGTests {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGAnimationElement/targetElement) */\n    readonly targetElement: SVGElement | null;\n    beginElement(): void;\n    beginElementAt(offset: number): void;\n    endElement(): void;\n    endElementAt(offset: number): void;\n    getCurrentTime(): number;\n    getSimpleDuration(): number;\n    getStartTime(): number;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGAnimationElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGAnimationElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGAnimationElement: {\n    prototype: SVGAnimationElement;\n    new(): SVGAnimationElement;\n};\n\n/**\n * An interface for the <circle> element. The circle element is defined by the cx and cy attributes that denote the coordinates of the centre of the circle.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGCircleElement)\n */\ninterface SVGCircleElement extends SVGGeometryElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGCircleElement/cx) */\n    readonly cx: SVGAnimatedLength;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGCircleElement/cy) */\n    readonly cy: SVGAnimatedLength;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGCircleElement/r) */\n    readonly r: SVGAnimatedLength;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGCircleElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGCircleElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGCircleElement: {\n    prototype: SVGCircleElement;\n    new(): SVGCircleElement;\n};\n\n/**\n * Provides access to the properties of <clipPath> elements, as well as methods to manipulate them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGClipPathElement)\n */\ninterface SVGClipPathElement extends SVGElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGClipPathElement/clipPathUnits) */\n    readonly clipPathUnits: SVGAnimatedEnumeration;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGClipPathElement/transform) */\n    readonly transform: SVGAnimatedTransformList;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGClipPathElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGClipPathElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGClipPathElement: {\n    prototype: SVGClipPathElement;\n    new(): SVGClipPathElement;\n};\n\n/**\n * A base interface used by the component transfer function interfaces.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGComponentTransferFunctionElement)\n */\ninterface SVGComponentTransferFunctionElement extends SVGElement {\n    readonly amplitude: SVGAnimatedNumber;\n    readonly exponent: SVGAnimatedNumber;\n    readonly intercept: SVGAnimatedNumber;\n    readonly offset: SVGAnimatedNumber;\n    readonly slope: SVGAnimatedNumber;\n    readonly tableValues: SVGAnimatedNumberList;\n    readonly type: SVGAnimatedEnumeration;\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN: 0;\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY: 1;\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_TABLE: 2;\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE: 3;\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_LINEAR: 4;\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_GAMMA: 5;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGComponentTransferFunctionElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGComponentTransferFunctionElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGComponentTransferFunctionElement: {\n    prototype: SVGComponentTransferFunctionElement;\n    new(): SVGComponentTransferFunctionElement;\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_UNKNOWN: 0;\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_IDENTITY: 1;\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_TABLE: 2;\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_DISCRETE: 3;\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_LINEAR: 4;\n    readonly SVG_FECOMPONENTTRANSFER_TYPE_GAMMA: 5;\n};\n\n/**\n * Corresponds to the <defs> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGDefsElement)\n */\ninterface SVGDefsElement extends SVGGraphicsElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGDefsElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGDefsElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGDefsElement: {\n    prototype: SVGDefsElement;\n    new(): SVGDefsElement;\n};\n\n/**\n * Corresponds to the <desc> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGDescElement)\n */\ninterface SVGDescElement extends SVGElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGDescElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGDescElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGDescElement: {\n    prototype: SVGDescElement;\n    new(): SVGDescElement;\n};\n\ninterface SVGElementEventMap extends ElementEventMap, GlobalEventHandlersEventMap {\n}\n\n/**\n * All of the SVG DOM interfaces that correspond directly to elements in the SVG language derive from the SVGElement interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGElement)\n */\ninterface SVGElement extends Element, ElementCSSInlineStyle, GlobalEventHandlers, HTMLOrSVGElement {\n    /** @deprecated */\n    readonly className: any;\n    readonly ownerSVGElement: SVGSVGElement | null;\n    readonly viewportElement: SVGElement | null;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGElement: {\n    prototype: SVGElement;\n    new(): SVGElement;\n};\n\n/**\n * Provides access to the properties of <ellipse> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGEllipseElement)\n */\ninterface SVGEllipseElement extends SVGGeometryElement {\n    readonly cx: SVGAnimatedLength;\n    readonly cy: SVGAnimatedLength;\n    readonly rx: SVGAnimatedLength;\n    readonly ry: SVGAnimatedLength;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGEllipseElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGEllipseElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGEllipseElement: {\n    prototype: SVGEllipseElement;\n    new(): SVGEllipseElement;\n};\n\n/**\n * Corresponds to the <feBlend> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEBlendElement)\n */\ninterface SVGFEBlendElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly in1: SVGAnimatedString;\n    readonly in2: SVGAnimatedString;\n    readonly mode: SVGAnimatedEnumeration;\n    readonly SVG_FEBLEND_MODE_UNKNOWN: 0;\n    readonly SVG_FEBLEND_MODE_NORMAL: 1;\n    readonly SVG_FEBLEND_MODE_MULTIPLY: 2;\n    readonly SVG_FEBLEND_MODE_SCREEN: 3;\n    readonly SVG_FEBLEND_MODE_DARKEN: 4;\n    readonly SVG_FEBLEND_MODE_LIGHTEN: 5;\n    readonly SVG_FEBLEND_MODE_OVERLAY: 6;\n    readonly SVG_FEBLEND_MODE_COLOR_DODGE: 7;\n    readonly SVG_FEBLEND_MODE_COLOR_BURN: 8;\n    readonly SVG_FEBLEND_MODE_HARD_LIGHT: 9;\n    readonly SVG_FEBLEND_MODE_SOFT_LIGHT: 10;\n    readonly SVG_FEBLEND_MODE_DIFFERENCE: 11;\n    readonly SVG_FEBLEND_MODE_EXCLUSION: 12;\n    readonly SVG_FEBLEND_MODE_HUE: 13;\n    readonly SVG_FEBLEND_MODE_SATURATION: 14;\n    readonly SVG_FEBLEND_MODE_COLOR: 15;\n    readonly SVG_FEBLEND_MODE_LUMINOSITY: 16;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEBlendElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEBlendElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEBlendElement: {\n    prototype: SVGFEBlendElement;\n    new(): SVGFEBlendElement;\n    readonly SVG_FEBLEND_MODE_UNKNOWN: 0;\n    readonly SVG_FEBLEND_MODE_NORMAL: 1;\n    readonly SVG_FEBLEND_MODE_MULTIPLY: 2;\n    readonly SVG_FEBLEND_MODE_SCREEN: 3;\n    readonly SVG_FEBLEND_MODE_DARKEN: 4;\n    readonly SVG_FEBLEND_MODE_LIGHTEN: 5;\n    readonly SVG_FEBLEND_MODE_OVERLAY: 6;\n    readonly SVG_FEBLEND_MODE_COLOR_DODGE: 7;\n    readonly SVG_FEBLEND_MODE_COLOR_BURN: 8;\n    readonly SVG_FEBLEND_MODE_HARD_LIGHT: 9;\n    readonly SVG_FEBLEND_MODE_SOFT_LIGHT: 10;\n    readonly SVG_FEBLEND_MODE_DIFFERENCE: 11;\n    readonly SVG_FEBLEND_MODE_EXCLUSION: 12;\n    readonly SVG_FEBLEND_MODE_HUE: 13;\n    readonly SVG_FEBLEND_MODE_SATURATION: 14;\n    readonly SVG_FEBLEND_MODE_COLOR: 15;\n    readonly SVG_FEBLEND_MODE_LUMINOSITY: 16;\n};\n\n/**\n * Corresponds to the <feColorMatrix> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEColorMatrixElement)\n */\ninterface SVGFEColorMatrixElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEColorMatrixElement/in1) */\n    readonly in1: SVGAnimatedString;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEColorMatrixElement/type) */\n    readonly type: SVGAnimatedEnumeration;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEColorMatrixElement/values) */\n    readonly values: SVGAnimatedNumberList;\n    readonly SVG_FECOLORMATRIX_TYPE_UNKNOWN: 0;\n    readonly SVG_FECOLORMATRIX_TYPE_MATRIX: 1;\n    readonly SVG_FECOLORMATRIX_TYPE_SATURATE: 2;\n    readonly SVG_FECOLORMATRIX_TYPE_HUEROTATE: 3;\n    readonly SVG_FECOLORMATRIX_TYPE_LUMINANCETOALPHA: 4;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEColorMatrixElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEColorMatrixElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEColorMatrixElement: {\n    prototype: SVGFEColorMatrixElement;\n    new(): SVGFEColorMatrixElement;\n    readonly SVG_FECOLORMATRIX_TYPE_UNKNOWN: 0;\n    readonly SVG_FECOLORMATRIX_TYPE_MATRIX: 1;\n    readonly SVG_FECOLORMATRIX_TYPE_SATURATE: 2;\n    readonly SVG_FECOLORMATRIX_TYPE_HUEROTATE: 3;\n    readonly SVG_FECOLORMATRIX_TYPE_LUMINANCETOALPHA: 4;\n};\n\n/**\n * Corresponds to the <feComponentTransfer> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEComponentTransferElement)\n */\ninterface SVGFEComponentTransferElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly in1: SVGAnimatedString;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEComponentTransferElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEComponentTransferElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEComponentTransferElement: {\n    prototype: SVGFEComponentTransferElement;\n    new(): SVGFEComponentTransferElement;\n};\n\n/**\n * Corresponds to the <feComposite> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFECompositeElement)\n */\ninterface SVGFECompositeElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly in1: SVGAnimatedString;\n    readonly in2: SVGAnimatedString;\n    readonly k1: SVGAnimatedNumber;\n    readonly k2: SVGAnimatedNumber;\n    readonly k3: SVGAnimatedNumber;\n    readonly k4: SVGAnimatedNumber;\n    readonly operator: SVGAnimatedEnumeration;\n    readonly SVG_FECOMPOSITE_OPERATOR_UNKNOWN: 0;\n    readonly SVG_FECOMPOSITE_OPERATOR_OVER: 1;\n    readonly SVG_FECOMPOSITE_OPERATOR_IN: 2;\n    readonly SVG_FECOMPOSITE_OPERATOR_OUT: 3;\n    readonly SVG_FECOMPOSITE_OPERATOR_ATOP: 4;\n    readonly SVG_FECOMPOSITE_OPERATOR_XOR: 5;\n    readonly SVG_FECOMPOSITE_OPERATOR_ARITHMETIC: 6;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFECompositeElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFECompositeElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFECompositeElement: {\n    prototype: SVGFECompositeElement;\n    new(): SVGFECompositeElement;\n    readonly SVG_FECOMPOSITE_OPERATOR_UNKNOWN: 0;\n    readonly SVG_FECOMPOSITE_OPERATOR_OVER: 1;\n    readonly SVG_FECOMPOSITE_OPERATOR_IN: 2;\n    readonly SVG_FECOMPOSITE_OPERATOR_OUT: 3;\n    readonly SVG_FECOMPOSITE_OPERATOR_ATOP: 4;\n    readonly SVG_FECOMPOSITE_OPERATOR_XOR: 5;\n    readonly SVG_FECOMPOSITE_OPERATOR_ARITHMETIC: 6;\n};\n\n/**\n * Corresponds to the <feConvolveMatrix> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEConvolveMatrixElement)\n */\ninterface SVGFEConvolveMatrixElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly bias: SVGAnimatedNumber;\n    readonly divisor: SVGAnimatedNumber;\n    readonly edgeMode: SVGAnimatedEnumeration;\n    readonly in1: SVGAnimatedString;\n    readonly kernelMatrix: SVGAnimatedNumberList;\n    readonly kernelUnitLengthX: SVGAnimatedNumber;\n    readonly kernelUnitLengthY: SVGAnimatedNumber;\n    readonly orderX: SVGAnimatedInteger;\n    readonly orderY: SVGAnimatedInteger;\n    readonly preserveAlpha: SVGAnimatedBoolean;\n    readonly targetX: SVGAnimatedInteger;\n    readonly targetY: SVGAnimatedInteger;\n    readonly SVG_EDGEMODE_UNKNOWN: 0;\n    readonly SVG_EDGEMODE_DUPLICATE: 1;\n    readonly SVG_EDGEMODE_WRAP: 2;\n    readonly SVG_EDGEMODE_NONE: 3;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEConvolveMatrixElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEConvolveMatrixElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEConvolveMatrixElement: {\n    prototype: SVGFEConvolveMatrixElement;\n    new(): SVGFEConvolveMatrixElement;\n    readonly SVG_EDGEMODE_UNKNOWN: 0;\n    readonly SVG_EDGEMODE_DUPLICATE: 1;\n    readonly SVG_EDGEMODE_WRAP: 2;\n    readonly SVG_EDGEMODE_NONE: 3;\n};\n\n/**\n * Corresponds to the <feDiffuseLighting> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEDiffuseLightingElement)\n */\ninterface SVGFEDiffuseLightingElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly diffuseConstant: SVGAnimatedNumber;\n    readonly in1: SVGAnimatedString;\n    readonly kernelUnitLengthX: SVGAnimatedNumber;\n    readonly kernelUnitLengthY: SVGAnimatedNumber;\n    readonly surfaceScale: SVGAnimatedNumber;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEDiffuseLightingElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEDiffuseLightingElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEDiffuseLightingElement: {\n    prototype: SVGFEDiffuseLightingElement;\n    new(): SVGFEDiffuseLightingElement;\n};\n\n/**\n * Corresponds to the <feDisplacementMap> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEDisplacementMapElement)\n */\ninterface SVGFEDisplacementMapElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly in1: SVGAnimatedString;\n    readonly in2: SVGAnimatedString;\n    readonly scale: SVGAnimatedNumber;\n    readonly xChannelSelector: SVGAnimatedEnumeration;\n    readonly yChannelSelector: SVGAnimatedEnumeration;\n    readonly SVG_CHANNEL_UNKNOWN: 0;\n    readonly SVG_CHANNEL_R: 1;\n    readonly SVG_CHANNEL_G: 2;\n    readonly SVG_CHANNEL_B: 3;\n    readonly SVG_CHANNEL_A: 4;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEDisplacementMapElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEDisplacementMapElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEDisplacementMapElement: {\n    prototype: SVGFEDisplacementMapElement;\n    new(): SVGFEDisplacementMapElement;\n    readonly SVG_CHANNEL_UNKNOWN: 0;\n    readonly SVG_CHANNEL_R: 1;\n    readonly SVG_CHANNEL_G: 2;\n    readonly SVG_CHANNEL_B: 3;\n    readonly SVG_CHANNEL_A: 4;\n};\n\n/**\n * Corresponds to the <feDistantLight> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEDistantLightElement)\n */\ninterface SVGFEDistantLightElement extends SVGElement {\n    readonly azimuth: SVGAnimatedNumber;\n    readonly elevation: SVGAnimatedNumber;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEDistantLightElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEDistantLightElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEDistantLightElement: {\n    prototype: SVGFEDistantLightElement;\n    new(): SVGFEDistantLightElement;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEDropShadowElement) */\ninterface SVGFEDropShadowElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly dx: SVGAnimatedNumber;\n    readonly dy: SVGAnimatedNumber;\n    readonly in1: SVGAnimatedString;\n    readonly stdDeviationX: SVGAnimatedNumber;\n    readonly stdDeviationY: SVGAnimatedNumber;\n    setStdDeviation(stdDeviationX: number, stdDeviationY: number): void;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEDropShadowElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEDropShadowElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEDropShadowElement: {\n    prototype: SVGFEDropShadowElement;\n    new(): SVGFEDropShadowElement;\n};\n\n/**\n * Corresponds to the <feFlood> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEFloodElement)\n */\ninterface SVGFEFloodElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEFloodElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEFloodElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEFloodElement: {\n    prototype: SVGFEFloodElement;\n    new(): SVGFEFloodElement;\n};\n\n/**\n * Corresponds to the <feFuncA> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEFuncAElement)\n */\ninterface SVGFEFuncAElement extends SVGComponentTransferFunctionElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEFuncAElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEFuncAElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEFuncAElement: {\n    prototype: SVGFEFuncAElement;\n    new(): SVGFEFuncAElement;\n};\n\n/**\n * Corresponds to the <feFuncB> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEFuncBElement)\n */\ninterface SVGFEFuncBElement extends SVGComponentTransferFunctionElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEFuncBElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEFuncBElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEFuncBElement: {\n    prototype: SVGFEFuncBElement;\n    new(): SVGFEFuncBElement;\n};\n\n/**\n * Corresponds to the <feFuncG> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEFuncGElement)\n */\ninterface SVGFEFuncGElement extends SVGComponentTransferFunctionElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEFuncGElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEFuncGElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEFuncGElement: {\n    prototype: SVGFEFuncGElement;\n    new(): SVGFEFuncGElement;\n};\n\n/**\n * Corresponds to the <feFuncR> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEFuncRElement)\n */\ninterface SVGFEFuncRElement extends SVGComponentTransferFunctionElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEFuncRElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEFuncRElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEFuncRElement: {\n    prototype: SVGFEFuncRElement;\n    new(): SVGFEFuncRElement;\n};\n\n/**\n * Corresponds to the <feGaussianBlur> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEGaussianBlurElement)\n */\ninterface SVGFEGaussianBlurElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly in1: SVGAnimatedString;\n    readonly stdDeviationX: SVGAnimatedNumber;\n    readonly stdDeviationY: SVGAnimatedNumber;\n    setStdDeviation(stdDeviationX: number, stdDeviationY: number): void;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEGaussianBlurElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEGaussianBlurElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEGaussianBlurElement: {\n    prototype: SVGFEGaussianBlurElement;\n    new(): SVGFEGaussianBlurElement;\n};\n\n/**\n * Corresponds to the <feImage> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEImageElement)\n */\ninterface SVGFEImageElement extends SVGElement, SVGFilterPrimitiveStandardAttributes, SVGURIReference {\n    readonly preserveAspectRatio: SVGAnimatedPreserveAspectRatio;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEImageElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEImageElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEImageElement: {\n    prototype: SVGFEImageElement;\n    new(): SVGFEImageElement;\n};\n\n/**\n * Corresponds to the <feMerge> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEMergeElement)\n */\ninterface SVGFEMergeElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEMergeElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEMergeElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEMergeElement: {\n    prototype: SVGFEMergeElement;\n    new(): SVGFEMergeElement;\n};\n\n/**\n * Corresponds to the <feMergeNode> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEMergeNodeElement)\n */\ninterface SVGFEMergeNodeElement extends SVGElement {\n    readonly in1: SVGAnimatedString;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEMergeNodeElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEMergeNodeElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEMergeNodeElement: {\n    prototype: SVGFEMergeNodeElement;\n    new(): SVGFEMergeNodeElement;\n};\n\n/**\n * Corresponds to the <feMorphology> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEMorphologyElement)\n */\ninterface SVGFEMorphologyElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly in1: SVGAnimatedString;\n    readonly operator: SVGAnimatedEnumeration;\n    readonly radiusX: SVGAnimatedNumber;\n    readonly radiusY: SVGAnimatedNumber;\n    readonly SVG_MORPHOLOGY_OPERATOR_UNKNOWN: 0;\n    readonly SVG_MORPHOLOGY_OPERATOR_ERODE: 1;\n    readonly SVG_MORPHOLOGY_OPERATOR_DILATE: 2;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEMorphologyElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEMorphologyElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEMorphologyElement: {\n    prototype: SVGFEMorphologyElement;\n    new(): SVGFEMorphologyElement;\n    readonly SVG_MORPHOLOGY_OPERATOR_UNKNOWN: 0;\n    readonly SVG_MORPHOLOGY_OPERATOR_ERODE: 1;\n    readonly SVG_MORPHOLOGY_OPERATOR_DILATE: 2;\n};\n\n/**\n * Corresponds to the <feOffset> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEOffsetElement)\n */\ninterface SVGFEOffsetElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly dx: SVGAnimatedNumber;\n    readonly dy: SVGAnimatedNumber;\n    readonly in1: SVGAnimatedString;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEOffsetElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEOffsetElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEOffsetElement: {\n    prototype: SVGFEOffsetElement;\n    new(): SVGFEOffsetElement;\n};\n\n/**\n * Corresponds to the <fePointLight> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFEPointLightElement)\n */\ninterface SVGFEPointLightElement extends SVGElement {\n    readonly x: SVGAnimatedNumber;\n    readonly y: SVGAnimatedNumber;\n    readonly z: SVGAnimatedNumber;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEPointLightElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFEPointLightElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFEPointLightElement: {\n    prototype: SVGFEPointLightElement;\n    new(): SVGFEPointLightElement;\n};\n\n/**\n * Corresponds to the <feSpecularLighting> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFESpecularLightingElement)\n */\ninterface SVGFESpecularLightingElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly in1: SVGAnimatedString;\n    readonly kernelUnitLengthX: SVGAnimatedNumber;\n    readonly kernelUnitLengthY: SVGAnimatedNumber;\n    readonly specularConstant: SVGAnimatedNumber;\n    readonly specularExponent: SVGAnimatedNumber;\n    readonly surfaceScale: SVGAnimatedNumber;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFESpecularLightingElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFESpecularLightingElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFESpecularLightingElement: {\n    prototype: SVGFESpecularLightingElement;\n    new(): SVGFESpecularLightingElement;\n};\n\n/**\n * Corresponds to the <feSpotLight> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFESpotLightElement)\n */\ninterface SVGFESpotLightElement extends SVGElement {\n    readonly limitingConeAngle: SVGAnimatedNumber;\n    readonly pointsAtX: SVGAnimatedNumber;\n    readonly pointsAtY: SVGAnimatedNumber;\n    readonly pointsAtZ: SVGAnimatedNumber;\n    readonly specularExponent: SVGAnimatedNumber;\n    readonly x: SVGAnimatedNumber;\n    readonly y: SVGAnimatedNumber;\n    readonly z: SVGAnimatedNumber;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFESpotLightElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFESpotLightElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFESpotLightElement: {\n    prototype: SVGFESpotLightElement;\n    new(): SVGFESpotLightElement;\n};\n\n/**\n * Corresponds to the <feTile> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFETileElement)\n */\ninterface SVGFETileElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly in1: SVGAnimatedString;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFETileElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFETileElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFETileElement: {\n    prototype: SVGFETileElement;\n    new(): SVGFETileElement;\n};\n\n/**\n * Corresponds to the <feTurbulence> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFETurbulenceElement)\n */\ninterface SVGFETurbulenceElement extends SVGElement, SVGFilterPrimitiveStandardAttributes {\n    readonly baseFrequencyX: SVGAnimatedNumber;\n    readonly baseFrequencyY: SVGAnimatedNumber;\n    readonly numOctaves: SVGAnimatedInteger;\n    readonly seed: SVGAnimatedNumber;\n    readonly stitchTiles: SVGAnimatedEnumeration;\n    readonly type: SVGAnimatedEnumeration;\n    readonly SVG_TURBULENCE_TYPE_UNKNOWN: 0;\n    readonly SVG_TURBULENCE_TYPE_FRACTALNOISE: 1;\n    readonly SVG_TURBULENCE_TYPE_TURBULENCE: 2;\n    readonly SVG_STITCHTYPE_UNKNOWN: 0;\n    readonly SVG_STITCHTYPE_STITCH: 1;\n    readonly SVG_STITCHTYPE_NOSTITCH: 2;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFETurbulenceElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFETurbulenceElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFETurbulenceElement: {\n    prototype: SVGFETurbulenceElement;\n    new(): SVGFETurbulenceElement;\n    readonly SVG_TURBULENCE_TYPE_UNKNOWN: 0;\n    readonly SVG_TURBULENCE_TYPE_FRACTALNOISE: 1;\n    readonly SVG_TURBULENCE_TYPE_TURBULENCE: 2;\n    readonly SVG_STITCHTYPE_UNKNOWN: 0;\n    readonly SVG_STITCHTYPE_STITCH: 1;\n    readonly SVG_STITCHTYPE_NOSTITCH: 2;\n};\n\n/**\n * Provides access to the properties of <filter> elements, as well as methods to manipulate them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGFilterElement)\n */\ninterface SVGFilterElement extends SVGElement, SVGURIReference {\n    readonly filterUnits: SVGAnimatedEnumeration;\n    readonly height: SVGAnimatedLength;\n    readonly primitiveUnits: SVGAnimatedEnumeration;\n    readonly width: SVGAnimatedLength;\n    readonly x: SVGAnimatedLength;\n    readonly y: SVGAnimatedLength;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFilterElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGFilterElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGFilterElement: {\n    prototype: SVGFilterElement;\n    new(): SVGFilterElement;\n};\n\ninterface SVGFilterPrimitiveStandardAttributes {\n    readonly height: SVGAnimatedLength;\n    readonly result: SVGAnimatedString;\n    readonly width: SVGAnimatedLength;\n    readonly x: SVGAnimatedLength;\n    readonly y: SVGAnimatedLength;\n}\n\ninterface SVGFitToViewBox {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMarkerElement/preserveAspectRatio) */\n    readonly preserveAspectRatio: SVGAnimatedPreserveAspectRatio;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMarkerElement/viewBox) */\n    readonly viewBox: SVGAnimatedRect;\n}\n\n/**\n * Provides access to the properties of <foreignObject> elements, as well as methods to manipulate them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGForeignObjectElement)\n */\ninterface SVGForeignObjectElement extends SVGGraphicsElement {\n    readonly height: SVGAnimatedLength;\n    readonly width: SVGAnimatedLength;\n    readonly x: SVGAnimatedLength;\n    readonly y: SVGAnimatedLength;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGForeignObjectElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGForeignObjectElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGForeignObjectElement: {\n    prototype: SVGForeignObjectElement;\n    new(): SVGForeignObjectElement;\n};\n\n/**\n * Corresponds to the <g> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGGElement)\n */\ninterface SVGGElement extends SVGGraphicsElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGGElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGGElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGGElement: {\n    prototype: SVGGElement;\n    new(): SVGGElement;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGGeometryElement) */\ninterface SVGGeometryElement extends SVGGraphicsElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGGeometryElement/pathLength) */\n    readonly pathLength: SVGAnimatedNumber;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGGeometryElement/getPointAtLength) */\n    getPointAtLength(distance: number): DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGGeometryElement/getTotalLength) */\n    getTotalLength(): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGGeometryElement/isPointInFill) */\n    isPointInFill(point?: DOMPointInit): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGGeometryElement/isPointInStroke) */\n    isPointInStroke(point?: DOMPointInit): boolean;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGGeometryElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGGeometryElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGGeometryElement: {\n    prototype: SVGGeometryElement;\n    new(): SVGGeometryElement;\n};\n\n/**\n * The SVGGradient interface is a base interface used by SVGLinearGradientElement and SVGRadialGradientElement.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGGradientElement)\n */\ninterface SVGGradientElement extends SVGElement, SVGURIReference {\n    readonly gradientTransform: SVGAnimatedTransformList;\n    readonly gradientUnits: SVGAnimatedEnumeration;\n    readonly spreadMethod: SVGAnimatedEnumeration;\n    readonly SVG_SPREADMETHOD_UNKNOWN: 0;\n    readonly SVG_SPREADMETHOD_PAD: 1;\n    readonly SVG_SPREADMETHOD_REFLECT: 2;\n    readonly SVG_SPREADMETHOD_REPEAT: 3;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGGradientElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGGradientElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGGradientElement: {\n    prototype: SVGGradientElement;\n    new(): SVGGradientElement;\n    readonly SVG_SPREADMETHOD_UNKNOWN: 0;\n    readonly SVG_SPREADMETHOD_PAD: 1;\n    readonly SVG_SPREADMETHOD_REFLECT: 2;\n    readonly SVG_SPREADMETHOD_REPEAT: 3;\n};\n\n/**\n * SVG elements whose primary purpose is to directly render graphics into a group.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGGraphicsElement)\n */\ninterface SVGGraphicsElement extends SVGElement, SVGTests {\n    readonly transform: SVGAnimatedTransformList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGGraphicsElement/getBBox) */\n    getBBox(options?: SVGBoundingBoxOptions): DOMRect;\n    getCTM(): DOMMatrix | null;\n    getScreenCTM(): DOMMatrix | null;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGGraphicsElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGGraphicsElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGGraphicsElement: {\n    prototype: SVGGraphicsElement;\n    new(): SVGGraphicsElement;\n};\n\n/**\n * Corresponds to the <image> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGImageElement)\n */\ninterface SVGImageElement extends SVGGraphicsElement, SVGURIReference {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGImageElement/crossorigin) */\n    crossOrigin: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGImageElement/height) */\n    readonly height: SVGAnimatedLength;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGImageElement/preserveAspectRatio) */\n    readonly preserveAspectRatio: SVGAnimatedPreserveAspectRatio;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGImageElement/width) */\n    readonly width: SVGAnimatedLength;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGImageElement/x) */\n    readonly x: SVGAnimatedLength;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGImageElement/y) */\n    readonly y: SVGAnimatedLength;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGImageElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGImageElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGImageElement: {\n    prototype: SVGImageElement;\n    new(): SVGImageElement;\n};\n\n/**\n * Correspond to the <length> basic data type.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGLength)\n */\ninterface SVGLength {\n    readonly unitType: number;\n    value: number;\n    valueAsString: string;\n    valueInSpecifiedUnits: number;\n    convertToSpecifiedUnits(unitType: number): void;\n    newValueSpecifiedUnits(unitType: number, valueInSpecifiedUnits: number): void;\n    readonly SVG_LENGTHTYPE_UNKNOWN: 0;\n    readonly SVG_LENGTHTYPE_NUMBER: 1;\n    readonly SVG_LENGTHTYPE_PERCENTAGE: 2;\n    readonly SVG_LENGTHTYPE_EMS: 3;\n    readonly SVG_LENGTHTYPE_EXS: 4;\n    readonly SVG_LENGTHTYPE_PX: 5;\n    readonly SVG_LENGTHTYPE_CM: 6;\n    readonly SVG_LENGTHTYPE_MM: 7;\n    readonly SVG_LENGTHTYPE_IN: 8;\n    readonly SVG_LENGTHTYPE_PT: 9;\n    readonly SVG_LENGTHTYPE_PC: 10;\n}\n\ndeclare var SVGLength: {\n    prototype: SVGLength;\n    new(): SVGLength;\n    readonly SVG_LENGTHTYPE_UNKNOWN: 0;\n    readonly SVG_LENGTHTYPE_NUMBER: 1;\n    readonly SVG_LENGTHTYPE_PERCENTAGE: 2;\n    readonly SVG_LENGTHTYPE_EMS: 3;\n    readonly SVG_LENGTHTYPE_EXS: 4;\n    readonly SVG_LENGTHTYPE_PX: 5;\n    readonly SVG_LENGTHTYPE_CM: 6;\n    readonly SVG_LENGTHTYPE_MM: 7;\n    readonly SVG_LENGTHTYPE_IN: 8;\n    readonly SVG_LENGTHTYPE_PT: 9;\n    readonly SVG_LENGTHTYPE_PC: 10;\n};\n\n/**\n * The SVGLengthList defines a list of SVGLength objects.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGLengthList)\n */\ninterface SVGLengthList {\n    readonly length: number;\n    readonly numberOfItems: number;\n    appendItem(newItem: SVGLength): SVGLength;\n    clear(): void;\n    getItem(index: number): SVGLength;\n    initialize(newItem: SVGLength): SVGLength;\n    insertItemBefore(newItem: SVGLength, index: number): SVGLength;\n    removeItem(index: number): SVGLength;\n    replaceItem(newItem: SVGLength, index: number): SVGLength;\n    [index: number]: SVGLength;\n}\n\ndeclare var SVGLengthList: {\n    prototype: SVGLengthList;\n    new(): SVGLengthList;\n};\n\n/**\n * Provides access to the properties of <line> elements, as well as methods to manipulate them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGLineElement)\n */\ninterface SVGLineElement extends SVGGeometryElement {\n    readonly x1: SVGAnimatedLength;\n    readonly x2: SVGAnimatedLength;\n    readonly y1: SVGAnimatedLength;\n    readonly y2: SVGAnimatedLength;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGLineElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGLineElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGLineElement: {\n    prototype: SVGLineElement;\n    new(): SVGLineElement;\n};\n\n/**\n * Corresponds to the <linearGradient> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGLinearGradientElement)\n */\ninterface SVGLinearGradientElement extends SVGGradientElement {\n    readonly x1: SVGAnimatedLength;\n    readonly x2: SVGAnimatedLength;\n    readonly y1: SVGAnimatedLength;\n    readonly y2: SVGAnimatedLength;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGLinearGradientElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGLinearGradientElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGLinearGradientElement: {\n    prototype: SVGLinearGradientElement;\n    new(): SVGLinearGradientElement;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMPathElement) */\ninterface SVGMPathElement extends SVGElement, SVGURIReference {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGMPathElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGMPathElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGMPathElement: {\n    prototype: SVGMPathElement;\n    new(): SVGMPathElement;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMarkerElement) */\ninterface SVGMarkerElement extends SVGElement, SVGFitToViewBox {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMarkerElement/markerHeight) */\n    readonly markerHeight: SVGAnimatedLength;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMarkerElement/markerUnits) */\n    readonly markerUnits: SVGAnimatedEnumeration;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMarkerElement/markerWidth) */\n    readonly markerWidth: SVGAnimatedLength;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMarkerElement/orientAngle) */\n    readonly orientAngle: SVGAnimatedAngle;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMarkerElement/orientType) */\n    readonly orientType: SVGAnimatedEnumeration;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMarkerElement/refX) */\n    readonly refX: SVGAnimatedLength;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMarkerElement/refY) */\n    readonly refY: SVGAnimatedLength;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMarkerElement/setOrientToAngle) */\n    setOrientToAngle(angle: SVGAngle): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMarkerElement/setOrientToAuto) */\n    setOrientToAuto(): void;\n    readonly SVG_MARKERUNITS_UNKNOWN: 0;\n    readonly SVG_MARKERUNITS_USERSPACEONUSE: 1;\n    readonly SVG_MARKERUNITS_STROKEWIDTH: 2;\n    readonly SVG_MARKER_ORIENT_UNKNOWN: 0;\n    readonly SVG_MARKER_ORIENT_AUTO: 1;\n    readonly SVG_MARKER_ORIENT_ANGLE: 2;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGMarkerElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGMarkerElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGMarkerElement: {\n    prototype: SVGMarkerElement;\n    new(): SVGMarkerElement;\n    readonly SVG_MARKERUNITS_UNKNOWN: 0;\n    readonly SVG_MARKERUNITS_USERSPACEONUSE: 1;\n    readonly SVG_MARKERUNITS_STROKEWIDTH: 2;\n    readonly SVG_MARKER_ORIENT_UNKNOWN: 0;\n    readonly SVG_MARKER_ORIENT_AUTO: 1;\n    readonly SVG_MARKER_ORIENT_ANGLE: 2;\n};\n\n/**\n * Provides access to the properties of <mask> elements, as well as methods to manipulate them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMaskElement)\n */\ninterface SVGMaskElement extends SVGElement {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMaskElement/height) */\n    readonly height: SVGAnimatedLength;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMaskElement/maskContentUnits) */\n    readonly maskContentUnits: SVGAnimatedEnumeration;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMaskElement/maskUnits) */\n    readonly maskUnits: SVGAnimatedEnumeration;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMaskElement/width) */\n    readonly width: SVGAnimatedLength;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMaskElement/x) */\n    readonly x: SVGAnimatedLength;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMaskElement/y) */\n    readonly y: SVGAnimatedLength;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGMaskElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGMaskElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGMaskElement: {\n    prototype: SVGMaskElement;\n    new(): SVGMaskElement;\n};\n\n/**\n * Corresponds to the <metadata> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGMetadataElement)\n */\ninterface SVGMetadataElement extends SVGElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGMetadataElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGMetadataElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGMetadataElement: {\n    prototype: SVGMetadataElement;\n    new(): SVGMetadataElement;\n};\n\n/**\n * Corresponds to the <number> basic data type.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGNumber)\n */\ninterface SVGNumber {\n    value: number;\n}\n\ndeclare var SVGNumber: {\n    prototype: SVGNumber;\n    new(): SVGNumber;\n};\n\n/**\n * The SVGNumberList defines a list of SVGNumber objects.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGNumberList)\n */\ninterface SVGNumberList {\n    readonly length: number;\n    readonly numberOfItems: number;\n    appendItem(newItem: SVGNumber): SVGNumber;\n    clear(): void;\n    getItem(index: number): SVGNumber;\n    initialize(newItem: SVGNumber): SVGNumber;\n    insertItemBefore(newItem: SVGNumber, index: number): SVGNumber;\n    removeItem(index: number): SVGNumber;\n    replaceItem(newItem: SVGNumber, index: number): SVGNumber;\n    [index: number]: SVGNumber;\n}\n\ndeclare var SVGNumberList: {\n    prototype: SVGNumberList;\n    new(): SVGNumberList;\n};\n\n/**\n * Corresponds to the <path> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPathElement)\n */\ninterface SVGPathElement extends SVGGeometryElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGPathElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGPathElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGPathElement: {\n    prototype: SVGPathElement;\n    new(): SVGPathElement;\n};\n\n/**\n * Corresponds to the <pattern> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPatternElement)\n */\ninterface SVGPatternElement extends SVGElement, SVGFitToViewBox, SVGURIReference {\n    readonly height: SVGAnimatedLength;\n    readonly patternContentUnits: SVGAnimatedEnumeration;\n    readonly patternTransform: SVGAnimatedTransformList;\n    readonly patternUnits: SVGAnimatedEnumeration;\n    readonly width: SVGAnimatedLength;\n    readonly x: SVGAnimatedLength;\n    readonly y: SVGAnimatedLength;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGPatternElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGPatternElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGPatternElement: {\n    prototype: SVGPatternElement;\n    new(): SVGPatternElement;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPointList) */\ninterface SVGPointList {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPointList/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPointList/numberOfItems) */\n    readonly numberOfItems: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPointList/appendItem) */\n    appendItem(newItem: DOMPoint): DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPointList/clear) */\n    clear(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPointList/getItem) */\n    getItem(index: number): DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPointList/initialize) */\n    initialize(newItem: DOMPoint): DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPointList/insertItemBefore) */\n    insertItemBefore(newItem: DOMPoint, index: number): DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPointList/removeItem) */\n    removeItem(index: number): DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPointList/replaceItem) */\n    replaceItem(newItem: DOMPoint, index: number): DOMPoint;\n    [index: number]: DOMPoint;\n}\n\ndeclare var SVGPointList: {\n    prototype: SVGPointList;\n    new(): SVGPointList;\n};\n\n/**\n * Provides access to the properties of <polygon> elements, as well as methods to manipulate them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPolygonElement)\n */\ninterface SVGPolygonElement extends SVGGeometryElement, SVGAnimatedPoints {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGPolygonElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGPolygonElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGPolygonElement: {\n    prototype: SVGPolygonElement;\n    new(): SVGPolygonElement;\n};\n\n/**\n * Provides access to the properties of <polyline> elements, as well as methods to manipulate them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPolylineElement)\n */\ninterface SVGPolylineElement extends SVGGeometryElement, SVGAnimatedPoints {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGPolylineElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGPolylineElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGPolylineElement: {\n    prototype: SVGPolylineElement;\n    new(): SVGPolylineElement;\n};\n\n/**\n * Corresponds to the preserveAspectRatio attribute, which is available for some of SVG\'s elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGPreserveAspectRatio)\n */\ninterface SVGPreserveAspectRatio {\n    align: number;\n    meetOrSlice: number;\n    readonly SVG_PRESERVEASPECTRATIO_UNKNOWN: 0;\n    readonly SVG_PRESERVEASPECTRATIO_NONE: 1;\n    readonly SVG_PRESERVEASPECTRATIO_XMINYMIN: 2;\n    readonly SVG_PRESERVEASPECTRATIO_XMIDYMIN: 3;\n    readonly SVG_PRESERVEASPECTRATIO_XMAXYMIN: 4;\n    readonly SVG_PRESERVEASPECTRATIO_XMINYMID: 5;\n    readonly SVG_PRESERVEASPECTRATIO_XMIDYMID: 6;\n    readonly SVG_PRESERVEASPECTRATIO_XMAXYMID: 7;\n    readonly SVG_PRESERVEASPECTRATIO_XMINYMAX: 8;\n    readonly SVG_PRESERVEASPECTRATIO_XMIDYMAX: 9;\n    readonly SVG_PRESERVEASPECTRATIO_XMAXYMAX: 10;\n    readonly SVG_MEETORSLICE_UNKNOWN: 0;\n    readonly SVG_MEETORSLICE_MEET: 1;\n    readonly SVG_MEETORSLICE_SLICE: 2;\n}\n\ndeclare var SVGPreserveAspectRatio: {\n    prototype: SVGPreserveAspectRatio;\n    new(): SVGPreserveAspectRatio;\n    readonly SVG_PRESERVEASPECTRATIO_UNKNOWN: 0;\n    readonly SVG_PRESERVEASPECTRATIO_NONE: 1;\n    readonly SVG_PRESERVEASPECTRATIO_XMINYMIN: 2;\n    readonly SVG_PRESERVEASPECTRATIO_XMIDYMIN: 3;\n    readonly SVG_PRESERVEASPECTRATIO_XMAXYMIN: 4;\n    readonly SVG_PRESERVEASPECTRATIO_XMINYMID: 5;\n    readonly SVG_PRESERVEASPECTRATIO_XMIDYMID: 6;\n    readonly SVG_PRESERVEASPECTRATIO_XMAXYMID: 7;\n    readonly SVG_PRESERVEASPECTRATIO_XMINYMAX: 8;\n    readonly SVG_PRESERVEASPECTRATIO_XMIDYMAX: 9;\n    readonly SVG_PRESERVEASPECTRATIO_XMAXYMAX: 10;\n    readonly SVG_MEETORSLICE_UNKNOWN: 0;\n    readonly SVG_MEETORSLICE_MEET: 1;\n    readonly SVG_MEETORSLICE_SLICE: 2;\n};\n\n/**\n * Corresponds to the <RadialGradient> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGRadialGradientElement)\n */\ninterface SVGRadialGradientElement extends SVGGradientElement {\n    readonly cx: SVGAnimatedLength;\n    readonly cy: SVGAnimatedLength;\n    readonly fr: SVGAnimatedLength;\n    readonly fx: SVGAnimatedLength;\n    readonly fy: SVGAnimatedLength;\n    readonly r: SVGAnimatedLength;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGRadialGradientElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGRadialGradientElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGRadialGradientElement: {\n    prototype: SVGRadialGradientElement;\n    new(): SVGRadialGradientElement;\n};\n\n/**\n * Provides access to the properties of <rect> elements, as well as methods to manipulate them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGRectElement)\n */\ninterface SVGRectElement extends SVGGeometryElement {\n    readonly height: SVGAnimatedLength;\n    readonly rx: SVGAnimatedLength;\n    readonly ry: SVGAnimatedLength;\n    readonly width: SVGAnimatedLength;\n    readonly x: SVGAnimatedLength;\n    readonly y: SVGAnimatedLength;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGRectElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGRectElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGRectElement: {\n    prototype: SVGRectElement;\n    new(): SVGRectElement;\n};\n\ninterface SVGSVGElementEventMap extends SVGElementEventMap, WindowEventHandlersEventMap {\n}\n\n/**\n * Provides access to the properties of <svg> elements, as well as methods to manipulate them. This interface contains also various miscellaneous commonly-used utility methods, such as matrix operations and the ability to control the time of redraw on visual rendering devices.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGSVGElement)\n */\ninterface SVGSVGElement extends SVGGraphicsElement, SVGFitToViewBox, WindowEventHandlers {\n    currentScale: number;\n    readonly currentTranslate: DOMPointReadOnly;\n    readonly height: SVGAnimatedLength;\n    readonly width: SVGAnimatedLength;\n    readonly x: SVGAnimatedLength;\n    readonly y: SVGAnimatedLength;\n    animationsPaused(): boolean;\n    checkEnclosure(element: SVGElement, rect: DOMRectReadOnly): boolean;\n    checkIntersection(element: SVGElement, rect: DOMRectReadOnly): boolean;\n    createSVGAngle(): SVGAngle;\n    createSVGLength(): SVGLength;\n    createSVGMatrix(): DOMMatrix;\n    createSVGNumber(): SVGNumber;\n    createSVGPoint(): DOMPoint;\n    createSVGRect(): DOMRect;\n    createSVGTransform(): SVGTransform;\n    createSVGTransformFromMatrix(matrix?: DOMMatrix2DInit): SVGTransform;\n    deselectAll(): void;\n    /** @deprecated */\n    forceRedraw(): void;\n    getCurrentTime(): number;\n    getElementById(elementId: string): Element;\n    getEnclosureList(rect: DOMRectReadOnly, referenceElement: SVGElement | null): NodeListOf<SVGCircleElement | SVGEllipseElement | SVGImageElement | SVGLineElement | SVGPathElement | SVGPolygonElement | SVGPolylineElement | SVGRectElement | SVGTextElement | SVGUseElement>;\n    getIntersectionList(rect: DOMRectReadOnly, referenceElement: SVGElement | null): NodeListOf<SVGCircleElement | SVGEllipseElement | SVGImageElement | SVGLineElement | SVGPathElement | SVGPolygonElement | SVGPolylineElement | SVGRectElement | SVGTextElement | SVGUseElement>;\n    pauseAnimations(): void;\n    setCurrentTime(seconds: number): void;\n    /** @deprecated */\n    suspendRedraw(maxWaitMilliseconds: number): number;\n    unpauseAnimations(): void;\n    /** @deprecated */\n    unsuspendRedraw(suspendHandleID: number): void;\n    /** @deprecated */\n    unsuspendRedrawAll(): void;\n    addEventListener<K extends keyof SVGSVGElementEventMap>(type: K, listener: (this: SVGSVGElement, ev: SVGSVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGSVGElementEventMap>(type: K, listener: (this: SVGSVGElement, ev: SVGSVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGSVGElement: {\n    prototype: SVGSVGElement;\n    new(): SVGSVGElement;\n};\n\n/**\n * Corresponds to the SVG <script> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGScriptElement)\n */\ninterface SVGScriptElement extends SVGElement, SVGURIReference {\n    type: string;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGScriptElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGScriptElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGScriptElement: {\n    prototype: SVGScriptElement;\n    new(): SVGScriptElement;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGSetElement) */\ninterface SVGSetElement extends SVGAnimationElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGSetElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGSetElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGSetElement: {\n    prototype: SVGSetElement;\n    new(): SVGSetElement;\n};\n\n/**\n * Corresponds to the <stop> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGStopElement)\n */\ninterface SVGStopElement extends SVGElement {\n    readonly offset: SVGAnimatedNumber;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGStopElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGStopElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGStopElement: {\n    prototype: SVGStopElement;\n    new(): SVGStopElement;\n};\n\n/**\n * The SVGStringList defines a list of DOMString objects.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGStringList)\n */\ninterface SVGStringList {\n    readonly length: number;\n    readonly numberOfItems: number;\n    appendItem(newItem: string): string;\n    clear(): void;\n    getItem(index: number): string;\n    initialize(newItem: string): string;\n    insertItemBefore(newItem: string, index: number): string;\n    removeItem(index: number): string;\n    replaceItem(newItem: string, index: number): string;\n    [index: number]: string;\n}\n\ndeclare var SVGStringList: {\n    prototype: SVGStringList;\n    new(): SVGStringList;\n};\n\n/**\n * Corresponds to the SVG <style> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGStyleElement)\n */\ninterface SVGStyleElement extends SVGElement, LinkStyle {\n    disabled: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGStyleElement/media) */\n    media: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGStyleElement/title) */\n    title: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGStyleElement/type)\n     */\n    type: string;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGStyleElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGStyleElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGStyleElement: {\n    prototype: SVGStyleElement;\n    new(): SVGStyleElement;\n};\n\n/**\n * Corresponds to the <switch> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGSwitchElement)\n */\ninterface SVGSwitchElement extends SVGGraphicsElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGSwitchElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGSwitchElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGSwitchElement: {\n    prototype: SVGSwitchElement;\n    new(): SVGSwitchElement;\n};\n\n/**\n * Corresponds to the <symbol> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGSymbolElement)\n */\ninterface SVGSymbolElement extends SVGElement, SVGFitToViewBox {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGSymbolElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGSymbolElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGSymbolElement: {\n    prototype: SVGSymbolElement;\n    new(): SVGSymbolElement;\n};\n\n/**\n * A <tspan> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGTSpanElement)\n */\ninterface SVGTSpanElement extends SVGTextPositioningElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGTSpanElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGTSpanElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGTSpanElement: {\n    prototype: SVGTSpanElement;\n    new(): SVGTSpanElement;\n};\n\ninterface SVGTests {\n    readonly requiredExtensions: SVGStringList;\n    readonly systemLanguage: SVGStringList;\n}\n\n/**\n * Implemented by elements that support rendering child text content. It is inherited by various text-related interfaces, such as SVGTextElement, SVGTSpanElement, SVGTRefElement, SVGAltGlyphElement and SVGTextPathElement.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGTextContentElement)\n */\ninterface SVGTextContentElement extends SVGGraphicsElement {\n    readonly lengthAdjust: SVGAnimatedEnumeration;\n    readonly textLength: SVGAnimatedLength;\n    getCharNumAtPosition(point?: DOMPointInit): number;\n    getComputedTextLength(): number;\n    getEndPositionOfChar(charnum: number): DOMPoint;\n    getExtentOfChar(charnum: number): DOMRect;\n    getNumberOfChars(): number;\n    getRotationOfChar(charnum: number): number;\n    getStartPositionOfChar(charnum: number): DOMPoint;\n    getSubStringLength(charnum: number, nchars: number): number;\n    /** @deprecated */\n    selectSubString(charnum: number, nchars: number): void;\n    readonly LENGTHADJUST_UNKNOWN: 0;\n    readonly LENGTHADJUST_SPACING: 1;\n    readonly LENGTHADJUST_SPACINGANDGLYPHS: 2;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGTextContentElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGTextContentElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGTextContentElement: {\n    prototype: SVGTextContentElement;\n    new(): SVGTextContentElement;\n    readonly LENGTHADJUST_UNKNOWN: 0;\n    readonly LENGTHADJUST_SPACING: 1;\n    readonly LENGTHADJUST_SPACINGANDGLYPHS: 2;\n};\n\n/**\n * Corresponds to the <text> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGTextElement)\n */\ninterface SVGTextElement extends SVGTextPositioningElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGTextElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGTextElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGTextElement: {\n    prototype: SVGTextElement;\n    new(): SVGTextElement;\n};\n\n/**\n * Corresponds to the <textPath> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGTextPathElement)\n */\ninterface SVGTextPathElement extends SVGTextContentElement, SVGURIReference {\n    readonly method: SVGAnimatedEnumeration;\n    readonly spacing: SVGAnimatedEnumeration;\n    readonly startOffset: SVGAnimatedLength;\n    readonly TEXTPATH_METHODTYPE_UNKNOWN: 0;\n    readonly TEXTPATH_METHODTYPE_ALIGN: 1;\n    readonly TEXTPATH_METHODTYPE_STRETCH: 2;\n    readonly TEXTPATH_SPACINGTYPE_UNKNOWN: 0;\n    readonly TEXTPATH_SPACINGTYPE_AUTO: 1;\n    readonly TEXTPATH_SPACINGTYPE_EXACT: 2;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGTextPathElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGTextPathElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGTextPathElement: {\n    prototype: SVGTextPathElement;\n    new(): SVGTextPathElement;\n    readonly TEXTPATH_METHODTYPE_UNKNOWN: 0;\n    readonly TEXTPATH_METHODTYPE_ALIGN: 1;\n    readonly TEXTPATH_METHODTYPE_STRETCH: 2;\n    readonly TEXTPATH_SPACINGTYPE_UNKNOWN: 0;\n    readonly TEXTPATH_SPACINGTYPE_AUTO: 1;\n    readonly TEXTPATH_SPACINGTYPE_EXACT: 2;\n};\n\n/**\n * Implemented by elements that support attributes that position individual text glyphs. It is inherited by SVGTextElement, SVGTSpanElement, SVGTRefElement and SVGAltGlyphElement.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGTextPositioningElement)\n */\ninterface SVGTextPositioningElement extends SVGTextContentElement {\n    readonly dx: SVGAnimatedLengthList;\n    readonly dy: SVGAnimatedLengthList;\n    readonly rotate: SVGAnimatedNumberList;\n    readonly x: SVGAnimatedLengthList;\n    readonly y: SVGAnimatedLengthList;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGTextPositioningElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGTextPositioningElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGTextPositioningElement: {\n    prototype: SVGTextPositioningElement;\n    new(): SVGTextPositioningElement;\n};\n\n/**\n * Corresponds to the <title> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGTitleElement)\n */\ninterface SVGTitleElement extends SVGElement {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGTitleElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGTitleElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGTitleElement: {\n    prototype: SVGTitleElement;\n    new(): SVGTitleElement;\n};\n\n/**\n * SVGTransform is the interface for one of the component transformations within an SVGTransformList; thus, an SVGTransform object corresponds to a single component (e.g., scale(…) or matrix(…)) within a transform attribute.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGTransform)\n */\ninterface SVGTransform {\n    readonly angle: number;\n    readonly matrix: DOMMatrix;\n    readonly type: number;\n    setMatrix(matrix?: DOMMatrix2DInit): void;\n    setRotate(angle: number, cx: number, cy: number): void;\n    setScale(sx: number, sy: number): void;\n    setSkewX(angle: number): void;\n    setSkewY(angle: number): void;\n    setTranslate(tx: number, ty: number): void;\n    readonly SVG_TRANSFORM_UNKNOWN: 0;\n    readonly SVG_TRANSFORM_MATRIX: 1;\n    readonly SVG_TRANSFORM_TRANSLATE: 2;\n    readonly SVG_TRANSFORM_SCALE: 3;\n    readonly SVG_TRANSFORM_ROTATE: 4;\n    readonly SVG_TRANSFORM_SKEWX: 5;\n    readonly SVG_TRANSFORM_SKEWY: 6;\n}\n\ndeclare var SVGTransform: {\n    prototype: SVGTransform;\n    new(): SVGTransform;\n    readonly SVG_TRANSFORM_UNKNOWN: 0;\n    readonly SVG_TRANSFORM_MATRIX: 1;\n    readonly SVG_TRANSFORM_TRANSLATE: 2;\n    readonly SVG_TRANSFORM_SCALE: 3;\n    readonly SVG_TRANSFORM_ROTATE: 4;\n    readonly SVG_TRANSFORM_SKEWX: 5;\n    readonly SVG_TRANSFORM_SKEWY: 6;\n};\n\n/**\n * The SVGTransformList defines a list of SVGTransform objects.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGTransformList)\n */\ninterface SVGTransformList {\n    readonly length: number;\n    readonly numberOfItems: number;\n    appendItem(newItem: SVGTransform): SVGTransform;\n    clear(): void;\n    consolidate(): SVGTransform | null;\n    createSVGTransformFromMatrix(matrix?: DOMMatrix2DInit): SVGTransform;\n    getItem(index: number): SVGTransform;\n    initialize(newItem: SVGTransform): SVGTransform;\n    insertItemBefore(newItem: SVGTransform, index: number): SVGTransform;\n    removeItem(index: number): SVGTransform;\n    replaceItem(newItem: SVGTransform, index: number): SVGTransform;\n    [index: number]: SVGTransform;\n}\n\ndeclare var SVGTransformList: {\n    prototype: SVGTransformList;\n    new(): SVGTransformList;\n};\n\ninterface SVGURIReference {\n    readonly href: SVGAnimatedString;\n}\n\n/**\n * A commonly used set of constants used for reflecting gradientUnits, patternContentUnits and other similar attributes.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGUnitTypes)\n */\ninterface SVGUnitTypes {\n    readonly SVG_UNIT_TYPE_UNKNOWN: 0;\n    readonly SVG_UNIT_TYPE_USERSPACEONUSE: 1;\n    readonly SVG_UNIT_TYPE_OBJECTBOUNDINGBOX: 2;\n}\n\ndeclare var SVGUnitTypes: {\n    prototype: SVGUnitTypes;\n    new(): SVGUnitTypes;\n    readonly SVG_UNIT_TYPE_UNKNOWN: 0;\n    readonly SVG_UNIT_TYPE_USERSPACEONUSE: 1;\n    readonly SVG_UNIT_TYPE_OBJECTBOUNDINGBOX: 2;\n};\n\n/**\n * Corresponds to the <use> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGUseElement)\n */\ninterface SVGUseElement extends SVGGraphicsElement, SVGURIReference {\n    readonly height: SVGAnimatedLength;\n    readonly width: SVGAnimatedLength;\n    readonly x: SVGAnimatedLength;\n    readonly y: SVGAnimatedLength;\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGUseElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGUseElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGUseElement: {\n    prototype: SVGUseElement;\n    new(): SVGUseElement;\n};\n\n/**\n * Provides access to the properties of <view> elements, as well as methods to manipulate them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGViewElement)\n */\ninterface SVGViewElement extends SVGElement, SVGFitToViewBox {\n    addEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGViewElement, ev: SVGElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SVGElementEventMap>(type: K, listener: (this: SVGViewElement, ev: SVGElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SVGViewElement: {\n    prototype: SVGViewElement;\n    new(): SVGViewElement;\n};\n\n/**\n * A screen, usually the one on which the current window is being rendered, and is obtained using window.screen.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Screen)\n */\ninterface Screen {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Screen/availHeight) */\n    readonly availHeight: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Screen/availWidth) */\n    readonly availWidth: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Screen/colorDepth) */\n    readonly colorDepth: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Screen/height) */\n    readonly height: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Screen/orientation) */\n    readonly orientation: ScreenOrientation;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Screen/pixelDepth) */\n    readonly pixelDepth: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Screen/width) */\n    readonly width: number;\n}\n\ndeclare var Screen: {\n    prototype: Screen;\n    new(): Screen;\n};\n\ninterface ScreenOrientationEventMap {\n    "change": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ScreenOrientation) */\ninterface ScreenOrientation extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ScreenOrientation/angle) */\n    readonly angle: number;\n    onchange: ((this: ScreenOrientation, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ScreenOrientation/type) */\n    readonly type: OrientationType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ScreenOrientation/unlock) */\n    unlock(): void;\n    addEventListener<K extends keyof ScreenOrientationEventMap>(type: K, listener: (this: ScreenOrientation, ev: ScreenOrientationEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof ScreenOrientationEventMap>(type: K, listener: (this: ScreenOrientation, ev: ScreenOrientationEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var ScreenOrientation: {\n    prototype: ScreenOrientation;\n    new(): ScreenOrientation;\n};\n\ninterface ScriptProcessorNodeEventMap {\n    "audioprocess": AudioProcessingEvent;\n}\n\n/**\n * Allows the generation, processing, or analyzing of audio using JavaScript.\n * @deprecated As of the August 29 2014 Web Audio API spec publication, this feature has been marked as deprecated, and was replaced by AudioWorklet (see AudioWorkletNode).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ScriptProcessorNode)\n */\ninterface ScriptProcessorNode extends AudioNode {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ScriptProcessorNode/bufferSize)\n     */\n    readonly bufferSize: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ScriptProcessorNode/audioprocess_event)\n     */\n    onaudioprocess: ((this: ScriptProcessorNode, ev: AudioProcessingEvent) => any) | null;\n    addEventListener<K extends keyof ScriptProcessorNodeEventMap>(type: K, listener: (this: ScriptProcessorNode, ev: ScriptProcessorNodeEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof ScriptProcessorNodeEventMap>(type: K, listener: (this: ScriptProcessorNode, ev: ScriptProcessorNodeEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\n/** @deprecated */\ndeclare var ScriptProcessorNode: {\n    prototype: ScriptProcessorNode;\n    new(): ScriptProcessorNode;\n};\n\n/**\n * Inherits from Event, and represents the event object of an event sent on a document or worker when its content security policy is violated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent)\n */\ninterface SecurityPolicyViolationEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/blockedURI) */\n    readonly blockedURI: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/columnNumber) */\n    readonly columnNumber: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/disposition) */\n    readonly disposition: SecurityPolicyViolationEventDisposition;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/documentURI) */\n    readonly documentURI: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/effectiveDirective) */\n    readonly effectiveDirective: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/lineNumber) */\n    readonly lineNumber: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/originalPolicy) */\n    readonly originalPolicy: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/referrer) */\n    readonly referrer: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/sample) */\n    readonly sample: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/sourceFile) */\n    readonly sourceFile: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/statusCode) */\n    readonly statusCode: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/violatedDirective) */\n    readonly violatedDirective: string;\n}\n\ndeclare var SecurityPolicyViolationEvent: {\n    prototype: SecurityPolicyViolationEvent;\n    new(type: string, eventInitDict?: SecurityPolicyViolationEventInit): SecurityPolicyViolationEvent;\n};\n\n/**\n * A Selection object represents the range of text selected by the user or the current position of the caret. To obtain a Selection object for examination or modification, call Window.getSelection().\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection)\n */\ninterface Selection {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/anchorNode) */\n    readonly anchorNode: Node | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/anchorOffset) */\n    readonly anchorOffset: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/focusNode) */\n    readonly focusNode: Node | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/focusOffset) */\n    readonly focusOffset: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/isCollapsed) */\n    readonly isCollapsed: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/rangeCount) */\n    readonly rangeCount: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/type) */\n    readonly type: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/addRange) */\n    addRange(range: Range): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/collapse) */\n    collapse(node: Node | null, offset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/collapseToEnd) */\n    collapseToEnd(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/collapseToStart) */\n    collapseToStart(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/containsNode) */\n    containsNode(node: Node, allowPartialContainment?: boolean): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/deleteFromDocument) */\n    deleteFromDocument(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/removeAllRanges) */\n    empty(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/extend) */\n    extend(node: Node, offset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/getRangeAt) */\n    getRangeAt(index: number): Range;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/modify) */\n    modify(alter?: string, direction?: string, granularity?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/removeAllRanges) */\n    removeAllRanges(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/removeRange) */\n    removeRange(range: Range): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/selectAllChildren) */\n    selectAllChildren(node: Node): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/setBaseAndExtent) */\n    setBaseAndExtent(anchorNode: Node, anchorOffset: number, focusNode: Node, focusOffset: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Selection/collapse) */\n    setPosition(node: Node | null, offset?: number): void;\n    toString(): string;\n}\n\ndeclare var Selection: {\n    prototype: Selection;\n    new(): Selection;\n};\n\ninterface ServiceWorkerEventMap extends AbstractWorkerEventMap {\n    "statechange": Event;\n}\n\n/**\n * This ServiceWorker API interface provides a reference to a service worker. Multiple browsing contexts (e.g. pages, workers, etc.) can be associated with the same service worker, each through a unique ServiceWorker object.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorker)\n */\ninterface ServiceWorker extends EventTarget, AbstractWorker {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorker/statechange_event) */\n    onstatechange: ((this: ServiceWorker, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorker/scriptURL) */\n    readonly scriptURL: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorker/state) */\n    readonly state: ServiceWorkerState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorker/postMessage) */\n    postMessage(message: any, transfer: Transferable[]): void;\n    postMessage(message: any, options?: StructuredSerializeOptions): void;\n    addEventListener<K extends keyof ServiceWorkerEventMap>(type: K, listener: (this: ServiceWorker, ev: ServiceWorkerEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof ServiceWorkerEventMap>(type: K, listener: (this: ServiceWorker, ev: ServiceWorkerEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var ServiceWorker: {\n    prototype: ServiceWorker;\n    new(): ServiceWorker;\n};\n\ninterface ServiceWorkerContainerEventMap {\n    "controllerchange": Event;\n    "message": MessageEvent;\n    "messageerror": MessageEvent;\n}\n\n/**\n * The ServiceWorkerContainer interface of the ServiceWorker API provides an object representing the service worker as an overall unit in the network ecosystem, including facilities to register, unregister and update service workers, and access the state of service workers and their registrations.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer)\n */\ninterface ServiceWorkerContainer extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/controller) */\n    readonly controller: ServiceWorker | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/controllerchange_event) */\n    oncontrollerchange: ((this: ServiceWorkerContainer, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/message_event) */\n    onmessage: ((this: ServiceWorkerContainer, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/messageerror_event) */\n    onmessageerror: ((this: ServiceWorkerContainer, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/ready) */\n    readonly ready: Promise<ServiceWorkerRegistration>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/getRegistration) */\n    getRegistration(clientURL?: string | URL): Promise<ServiceWorkerRegistration | undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/getRegistrations) */\n    getRegistrations(): Promise<ReadonlyArray<ServiceWorkerRegistration>>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/register) */\n    register(scriptURL: string | URL, options?: RegistrationOptions): Promise<ServiceWorkerRegistration>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/startMessages) */\n    startMessages(): void;\n    addEventListener<K extends keyof ServiceWorkerContainerEventMap>(type: K, listener: (this: ServiceWorkerContainer, ev: ServiceWorkerContainerEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof ServiceWorkerContainerEventMap>(type: K, listener: (this: ServiceWorkerContainer, ev: ServiceWorkerContainerEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var ServiceWorkerContainer: {\n    prototype: ServiceWorkerContainer;\n    new(): ServiceWorkerContainer;\n};\n\ninterface ServiceWorkerRegistrationEventMap {\n    "updatefound": Event;\n}\n\n/**\n * This ServiceWorker API interface represents the service worker registration. You register a service worker to control one or more pages that share the same origin.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration)\n */\ninterface ServiceWorkerRegistration extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/active) */\n    readonly active: ServiceWorker | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/installing) */\n    readonly installing: ServiceWorker | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/navigationPreload) */\n    readonly navigationPreload: NavigationPreloadManager;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/updatefound_event) */\n    onupdatefound: ((this: ServiceWorkerRegistration, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/pushManager) */\n    readonly pushManager: PushManager;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/scope) */\n    readonly scope: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/updateViaCache) */\n    readonly updateViaCache: ServiceWorkerUpdateViaCache;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/waiting) */\n    readonly waiting: ServiceWorker | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/getNotifications) */\n    getNotifications(filter?: GetNotificationOptions): Promise<Notification[]>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/showNotification) */\n    showNotification(title: string, options?: NotificationOptions): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/unregister) */\n    unregister(): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/update) */\n    update(): Promise<void>;\n    addEventListener<K extends keyof ServiceWorkerRegistrationEventMap>(type: K, listener: (this: ServiceWorkerRegistration, ev: ServiceWorkerRegistrationEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof ServiceWorkerRegistrationEventMap>(type: K, listener: (this: ServiceWorkerRegistration, ev: ServiceWorkerRegistrationEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var ServiceWorkerRegistration: {\n    prototype: ServiceWorkerRegistration;\n    new(): ServiceWorkerRegistration;\n};\n\ninterface ShadowRootEventMap {\n    "slotchange": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ShadowRoot) */\ninterface ShadowRoot extends DocumentFragment, DocumentOrShadowRoot, InnerHTML {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ShadowRoot/delegatesFocus) */\n    readonly delegatesFocus: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ShadowRoot/host) */\n    readonly host: Element;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ShadowRoot/mode) */\n    readonly mode: ShadowRootMode;\n    onslotchange: ((this: ShadowRoot, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ShadowRoot/slotAssignment) */\n    readonly slotAssignment: SlotAssignmentMode;\n    /** Throws a "NotSupportedError" DOMException if context object is a shadow root. */\n    addEventListener<K extends keyof ShadowRootEventMap>(type: K, listener: (this: ShadowRoot, ev: ShadowRootEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof ShadowRootEventMap>(type: K, listener: (this: ShadowRoot, ev: ShadowRootEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var ShadowRoot: {\n    prototype: ShadowRoot;\n    new(): ShadowRoot;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SharedWorker) */\ninterface SharedWorker extends EventTarget, AbstractWorker {\n    /**\n     * Returns sharedWorker\'s MessagePort object which can be used to communicate with the global environment.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SharedWorker/port)\n     */\n    readonly port: MessagePort;\n    addEventListener<K extends keyof AbstractWorkerEventMap>(type: K, listener: (this: SharedWorker, ev: AbstractWorkerEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AbstractWorkerEventMap>(type: K, listener: (this: SharedWorker, ev: AbstractWorkerEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SharedWorker: {\n    prototype: SharedWorker;\n    new(scriptURL: string | URL, options?: string | WorkerOptions): SharedWorker;\n};\n\ninterface Slottable {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/assignedSlot) */\n    readonly assignedSlot: HTMLSlotElement | null;\n}\n\ninterface SourceBufferEventMap {\n    "abort": Event;\n    "error": Event;\n    "update": Event;\n    "updateend": Event;\n    "updatestart": Event;\n}\n\n/**\n * A chunk of media to be passed into an HTMLMediaElement and played, via a MediaSource object. This can be made up of one or several media segments.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer)\n */\ninterface SourceBuffer extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/appendWindowEnd) */\n    appendWindowEnd: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/appendWindowStart) */\n    appendWindowStart: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/buffered) */\n    readonly buffered: TimeRanges;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/mode) */\n    mode: AppendMode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/abort_event) */\n    onabort: ((this: SourceBuffer, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/error_event) */\n    onerror: ((this: SourceBuffer, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/update_event) */\n    onupdate: ((this: SourceBuffer, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/updateend_event) */\n    onupdateend: ((this: SourceBuffer, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/updatestart_event) */\n    onupdatestart: ((this: SourceBuffer, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/timestampOffset) */\n    timestampOffset: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/updating) */\n    readonly updating: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/abort) */\n    abort(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/appendBuffer) */\n    appendBuffer(data: BufferSource): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/changeType) */\n    changeType(type: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBuffer/remove) */\n    remove(start: number, end: number): void;\n    addEventListener<K extends keyof SourceBufferEventMap>(type: K, listener: (this: SourceBuffer, ev: SourceBufferEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SourceBufferEventMap>(type: K, listener: (this: SourceBuffer, ev: SourceBufferEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SourceBuffer: {\n    prototype: SourceBuffer;\n    new(): SourceBuffer;\n};\n\ninterface SourceBufferListEventMap {\n    "addsourcebuffer": Event;\n    "removesourcebuffer": Event;\n}\n\n/**\n * A simple container list for multiple SourceBuffer objects.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBufferList)\n */\ninterface SourceBufferList extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBufferList/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBufferList/addsourcebuffer_event) */\n    onaddsourcebuffer: ((this: SourceBufferList, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SourceBufferList/removesourcebuffer_event) */\n    onremovesourcebuffer: ((this: SourceBufferList, ev: Event) => any) | null;\n    addEventListener<K extends keyof SourceBufferListEventMap>(type: K, listener: (this: SourceBufferList, ev: SourceBufferListEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SourceBufferListEventMap>(type: K, listener: (this: SourceBufferList, ev: SourceBufferListEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n    [index: number]: SourceBuffer;\n}\n\ndeclare var SourceBufferList: {\n    prototype: SourceBufferList;\n    new(): SourceBufferList;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechRecognitionAlternative) */\ninterface SpeechRecognitionAlternative {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechRecognitionAlternative/confidence) */\n    readonly confidence: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechRecognitionAlternative/transcript) */\n    readonly transcript: string;\n}\n\ndeclare var SpeechRecognitionAlternative: {\n    prototype: SpeechRecognitionAlternative;\n    new(): SpeechRecognitionAlternative;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechRecognitionResult) */\ninterface SpeechRecognitionResult {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechRecognitionResult/isFinal) */\n    readonly isFinal: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechRecognitionResult/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechRecognitionResult/item) */\n    item(index: number): SpeechRecognitionAlternative;\n    [index: number]: SpeechRecognitionAlternative;\n}\n\ndeclare var SpeechRecognitionResult: {\n    prototype: SpeechRecognitionResult;\n    new(): SpeechRecognitionResult;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechRecognitionResultList) */\ninterface SpeechRecognitionResultList {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechRecognitionResultList/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechRecognitionResultList/item) */\n    item(index: number): SpeechRecognitionResult;\n    [index: number]: SpeechRecognitionResult;\n}\n\ndeclare var SpeechRecognitionResultList: {\n    prototype: SpeechRecognitionResultList;\n    new(): SpeechRecognitionResultList;\n};\n\ninterface SpeechSynthesisEventMap {\n    "voiceschanged": Event;\n}\n\n/**\n * This Web Speech API interface is the controller interface for the speech service; this can be used to retrieve information about the synthesis voices available on the device, start and pause speech, and other commands besides.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesis)\n */\ninterface SpeechSynthesis extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesis/voiceschanged_event) */\n    onvoiceschanged: ((this: SpeechSynthesis, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesis/paused) */\n    readonly paused: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesis/pending) */\n    readonly pending: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesis/speaking) */\n    readonly speaking: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesis/cancel) */\n    cancel(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesis/getVoices) */\n    getVoices(): SpeechSynthesisVoice[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesis/pause) */\n    pause(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesis/resume) */\n    resume(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesis/speak) */\n    speak(utterance: SpeechSynthesisUtterance): void;\n    addEventListener<K extends keyof SpeechSynthesisEventMap>(type: K, listener: (this: SpeechSynthesis, ev: SpeechSynthesisEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SpeechSynthesisEventMap>(type: K, listener: (this: SpeechSynthesis, ev: SpeechSynthesisEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SpeechSynthesis: {\n    prototype: SpeechSynthesis;\n    new(): SpeechSynthesis;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisErrorEvent) */\ninterface SpeechSynthesisErrorEvent extends SpeechSynthesisEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisErrorEvent/error) */\n    readonly error: SpeechSynthesisErrorCode;\n}\n\ndeclare var SpeechSynthesisErrorEvent: {\n    prototype: SpeechSynthesisErrorEvent;\n    new(type: string, eventInitDict: SpeechSynthesisErrorEventInit): SpeechSynthesisErrorEvent;\n};\n\n/**\n * This Web Speech API interface contains information about the current state of SpeechSynthesisUtterance objects that have been processed in the speech service.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisEvent)\n */\ninterface SpeechSynthesisEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisEvent/charIndex) */\n    readonly charIndex: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisEvent/charLength) */\n    readonly charLength: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisEvent/elapsedTime) */\n    readonly elapsedTime: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisEvent/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisEvent/utterance) */\n    readonly utterance: SpeechSynthesisUtterance;\n}\n\ndeclare var SpeechSynthesisEvent: {\n    prototype: SpeechSynthesisEvent;\n    new(type: string, eventInitDict: SpeechSynthesisEventInit): SpeechSynthesisEvent;\n};\n\ninterface SpeechSynthesisUtteranceEventMap {\n    "boundary": SpeechSynthesisEvent;\n    "end": SpeechSynthesisEvent;\n    "error": SpeechSynthesisErrorEvent;\n    "mark": SpeechSynthesisEvent;\n    "pause": SpeechSynthesisEvent;\n    "resume": SpeechSynthesisEvent;\n    "start": SpeechSynthesisEvent;\n}\n\n/**\n * This Web Speech API interface represents a speech request. It contains the content the speech service should read and information about how to read it (e.g. language, pitch and volume.)\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance)\n */\ninterface SpeechSynthesisUtterance extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/lang) */\n    lang: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/boundary_event) */\n    onboundary: ((this: SpeechSynthesisUtterance, ev: SpeechSynthesisEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/end_event) */\n    onend: ((this: SpeechSynthesisUtterance, ev: SpeechSynthesisEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/error_event) */\n    onerror: ((this: SpeechSynthesisUtterance, ev: SpeechSynthesisErrorEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/mark_event) */\n    onmark: ((this: SpeechSynthesisUtterance, ev: SpeechSynthesisEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/pause_event) */\n    onpause: ((this: SpeechSynthesisUtterance, ev: SpeechSynthesisEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/resume_event) */\n    onresume: ((this: SpeechSynthesisUtterance, ev: SpeechSynthesisEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/start_event) */\n    onstart: ((this: SpeechSynthesisUtterance, ev: SpeechSynthesisEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/pitch) */\n    pitch: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/rate) */\n    rate: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/text) */\n    text: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/voice) */\n    voice: SpeechSynthesisVoice | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisUtterance/volume) */\n    volume: number;\n    addEventListener<K extends keyof SpeechSynthesisUtteranceEventMap>(type: K, listener: (this: SpeechSynthesisUtterance, ev: SpeechSynthesisUtteranceEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SpeechSynthesisUtteranceEventMap>(type: K, listener: (this: SpeechSynthesisUtterance, ev: SpeechSynthesisUtteranceEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SpeechSynthesisUtterance: {\n    prototype: SpeechSynthesisUtterance;\n    new(text?: string): SpeechSynthesisUtterance;\n};\n\n/**\n * This Web Speech API interface represents a voice that the system supports. Every SpeechSynthesisVoice has its own relative speech service including information about language, name and URI.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisVoice)\n */\ninterface SpeechSynthesisVoice {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisVoice/default) */\n    readonly default: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisVoice/lang) */\n    readonly lang: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisVoice/localService) */\n    readonly localService: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisVoice/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SpeechSynthesisVoice/voiceURI) */\n    readonly voiceURI: string;\n}\n\ndeclare var SpeechSynthesisVoice: {\n    prototype: SpeechSynthesisVoice;\n    new(): SpeechSynthesisVoice;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StaticRange) */\ninterface StaticRange extends AbstractRange {\n}\n\ndeclare var StaticRange: {\n    prototype: StaticRange;\n    new(init: StaticRangeInit): StaticRange;\n};\n\n/**\n * The pan property takes a unitless value between -1 (full left pan) and 1 (full right pan). This interface was introduced as a much simpler way to apply a simple panning effect than having to use a full PannerNode.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/StereoPannerNode)\n */\ninterface StereoPannerNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StereoPannerNode/pan) */\n    readonly pan: AudioParam;\n}\n\ndeclare var StereoPannerNode: {\n    prototype: StereoPannerNode;\n    new(context: BaseAudioContext, options?: StereoPannerOptions): StereoPannerNode;\n};\n\n/**\n * This Web Storage API interface provides access to a particular domain\'s session or local storage. It allows, for example, the addition, modification, or deletion of stored data items.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Storage)\n */\ninterface Storage {\n    /**\n     * Returns the number of key/value pairs.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Storage/length)\n     */\n    readonly length: number;\n    /**\n     * Removes all key/value pairs, if there are any.\n     *\n     * Dispatches a storage event on Window objects holding an equivalent Storage object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Storage/clear)\n     */\n    clear(): void;\n    /**\n     * Returns the current value associated with the given key, or null if the given key does not exist.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Storage/getItem)\n     */\n    getItem(key: string): string | null;\n    /**\n     * Returns the name of the nth key, or null if n is greater than or equal to the number of key/value pairs.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Storage/key)\n     */\n    key(index: number): string | null;\n    /**\n     * Removes the key/value pair with the given key, if a key/value pair with the given key exists.\n     *\n     * Dispatches a storage event on Window objects holding an equivalent Storage object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Storage/removeItem)\n     */\n    removeItem(key: string): void;\n    /**\n     * Sets the value of the pair identified by key to value, creating a new key/value pair if none existed for key previously.\n     *\n     * Throws a "QuotaExceededError" DOMException exception if the new value couldn\'t be set. (Setting could fail if, e.g., the user has disabled storage for the site, or if the quota has been exceeded.)\n     *\n     * Dispatches a storage event on Window objects holding an equivalent Storage object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Storage/setItem)\n     */\n    setItem(key: string, value: string): void;\n    [name: string]: any;\n}\n\ndeclare var Storage: {\n    prototype: Storage;\n    new(): Storage;\n};\n\n/**\n * A StorageEvent is sent to a window when a storage area it has access to is changed within the context of another document.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageEvent)\n */\ninterface StorageEvent extends Event {\n    /**\n     * Returns the key of the storage item being changed.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageEvent/key)\n     */\n    readonly key: string | null;\n    /**\n     * Returns the new value of the key of the storage item whose value is being changed.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageEvent/newValue)\n     */\n    readonly newValue: string | null;\n    /**\n     * Returns the old value of the key of the storage item whose value is being changed.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageEvent/oldValue)\n     */\n    readonly oldValue: string | null;\n    /**\n     * Returns the Storage object that was affected.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageEvent/storageArea)\n     */\n    readonly storageArea: Storage | null;\n    /**\n     * Returns the URL of the document whose storage item changed.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageEvent/url)\n     */\n    readonly url: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageEvent/initStorageEvent)\n     */\n    initStorageEvent(type: string, bubbles?: boolean, cancelable?: boolean, key?: string | null, oldValue?: string | null, newValue?: string | null, url?: string | URL, storageArea?: Storage | null): void;\n}\n\ndeclare var StorageEvent: {\n    prototype: StorageEvent;\n    new(type: string, eventInitDict?: StorageEventInit): StorageEvent;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageManager)\n */\ninterface StorageManager {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageManager/estimate) */\n    estimate(): Promise<StorageEstimate>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageManager/getDirectory) */\n    getDirectory(): Promise<FileSystemDirectoryHandle>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageManager/persist) */\n    persist(): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageManager/persisted) */\n    persisted(): Promise<boolean>;\n}\n\ndeclare var StorageManager: {\n    prototype: StorageManager;\n    new(): StorageManager;\n};\n\n/** @deprecated */\ninterface StyleMedia {\n    type: string;\n    matchMedium(mediaquery: string): boolean;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMap) */\ninterface StylePropertyMap extends StylePropertyMapReadOnly {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMap/append) */\n    append(property: string, ...values: (CSSStyleValue | string)[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMap/clear) */\n    clear(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMap/delete) */\n    delete(property: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMap/set) */\n    set(property: string, ...values: (CSSStyleValue | string)[]): void;\n}\n\ndeclare var StylePropertyMap: {\n    prototype: StylePropertyMap;\n    new(): StylePropertyMap;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMapReadOnly) */\ninterface StylePropertyMapReadOnly {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMapReadOnly/size) */\n    readonly size: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMapReadOnly/get) */\n    get(property: string): undefined | CSSStyleValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMapReadOnly/getAll) */\n    getAll(property: string): CSSStyleValue[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMapReadOnly/has) */\n    has(property: string): boolean;\n    forEach(callbackfn: (value: CSSStyleValue[], key: string, parent: StylePropertyMapReadOnly) => void, thisArg?: any): void;\n}\n\ndeclare var StylePropertyMapReadOnly: {\n    prototype: StylePropertyMapReadOnly;\n    new(): StylePropertyMapReadOnly;\n};\n\n/**\n * A single style sheet. CSS style sheets will further implement the more specialized CSSStyleSheet interface.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/StyleSheet)\n */\ninterface StyleSheet {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StyleSheet/disabled) */\n    disabled: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StyleSheet/href) */\n    readonly href: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StyleSheet/media) */\n    readonly media: MediaList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StyleSheet/ownerNode) */\n    readonly ownerNode: Element | ProcessingInstruction | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StyleSheet/parentStyleSheet) */\n    readonly parentStyleSheet: CSSStyleSheet | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StyleSheet/title) */\n    readonly title: string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StyleSheet/type) */\n    readonly type: string;\n}\n\ndeclare var StyleSheet: {\n    prototype: StyleSheet;\n    new(): StyleSheet;\n};\n\n/**\n * A list of StyleSheet.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/StyleSheetList)\n */\ninterface StyleSheetList {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StyleSheetList/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StyleSheetList/item) */\n    item(index: number): CSSStyleSheet | null;\n    [index: number]: CSSStyleSheet;\n}\n\ndeclare var StyleSheetList: {\n    prototype: StyleSheetList;\n    new(): StyleSheetList;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubmitEvent) */\ninterface SubmitEvent extends Event {\n    /**\n     * Returns the element representing the submit button that triggered the form submission, or null if the submission was not triggered by a button.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubmitEvent/submitter)\n     */\n    readonly submitter: HTMLElement | null;\n}\n\ndeclare var SubmitEvent: {\n    prototype: SubmitEvent;\n    new(type: string, eventInitDict?: SubmitEventInit): SubmitEvent;\n};\n\n/**\n * This Web Crypto API interface provides a number of low-level cryptographic functions. It is accessed via the Crypto.subtle properties available in a window context (via Window.crypto).\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto)\n */\ninterface SubtleCrypto {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/decrypt) */\n    decrypt(algorithm: AlgorithmIdentifier | RsaOaepParams | AesCtrParams | AesCbcParams | AesGcmParams, key: CryptoKey, data: BufferSource): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/deriveBits) */\n    deriveBits(algorithm: AlgorithmIdentifier | EcdhKeyDeriveParams | HkdfParams | Pbkdf2Params, baseKey: CryptoKey, length: number): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/deriveKey) */\n    deriveKey(algorithm: AlgorithmIdentifier | EcdhKeyDeriveParams | HkdfParams | Pbkdf2Params, baseKey: CryptoKey, derivedKeyType: AlgorithmIdentifier | AesDerivedKeyParams | HmacImportParams | HkdfParams | Pbkdf2Params, extractable: boolean, keyUsages: KeyUsage[]): Promise<CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/digest) */\n    digest(algorithm: AlgorithmIdentifier, data: BufferSource): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/encrypt) */\n    encrypt(algorithm: AlgorithmIdentifier | RsaOaepParams | AesCtrParams | AesCbcParams | AesGcmParams, key: CryptoKey, data: BufferSource): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/exportKey) */\n    exportKey(format: "jwk", key: CryptoKey): Promise<JsonWebKey>;\n    exportKey(format: Exclude<KeyFormat, "jwk">, key: CryptoKey): Promise<ArrayBuffer>;\n    exportKey(format: KeyFormat, key: CryptoKey): Promise<ArrayBuffer | JsonWebKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/generateKey) */\n    generateKey(algorithm: "Ed25519", extractable: boolean, keyUsages: ReadonlyArray<"sign" | "verify">): Promise<CryptoKeyPair>;\n    generateKey(algorithm: RsaHashedKeyGenParams | EcKeyGenParams, extractable: boolean, keyUsages: ReadonlyArray<KeyUsage>): Promise<CryptoKeyPair>;\n    generateKey(algorithm: AesKeyGenParams | HmacKeyGenParams | Pbkdf2Params, extractable: boolean, keyUsages: ReadonlyArray<KeyUsage>): Promise<CryptoKey>;\n    generateKey(algorithm: AlgorithmIdentifier, extractable: boolean, keyUsages: KeyUsage[]): Promise<CryptoKeyPair | CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/importKey) */\n    importKey(format: "jwk", keyData: JsonWebKey, algorithm: AlgorithmIdentifier | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | AesKeyAlgorithm, extractable: boolean, keyUsages: ReadonlyArray<KeyUsage>): Promise<CryptoKey>;\n    importKey(format: Exclude<KeyFormat, "jwk">, keyData: BufferSource, algorithm: AlgorithmIdentifier | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | AesKeyAlgorithm, extractable: boolean, keyUsages: KeyUsage[]): Promise<CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/sign) */\n    sign(algorithm: AlgorithmIdentifier | RsaPssParams | EcdsaParams, key: CryptoKey, data: BufferSource): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/unwrapKey) */\n    unwrapKey(format: KeyFormat, wrappedKey: BufferSource, unwrappingKey: CryptoKey, unwrapAlgorithm: AlgorithmIdentifier | RsaOaepParams | AesCtrParams | AesCbcParams | AesGcmParams, unwrappedKeyAlgorithm: AlgorithmIdentifier | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | AesKeyAlgorithm, extractable: boolean, keyUsages: KeyUsage[]): Promise<CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/verify) */\n    verify(algorithm: AlgorithmIdentifier | RsaPssParams | EcdsaParams, key: CryptoKey, signature: BufferSource, data: BufferSource): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/wrapKey) */\n    wrapKey(format: KeyFormat, key: CryptoKey, wrappingKey: CryptoKey, wrapAlgorithm: AlgorithmIdentifier | RsaOaepParams | AesCtrParams | AesCbcParams | AesGcmParams): Promise<ArrayBuffer>;\n}\n\ndeclare var SubtleCrypto: {\n    prototype: SubtleCrypto;\n    new(): SubtleCrypto;\n};\n\n/**\n * The textual content of Element or Attr. If an element has no markup within its content, it has a single child implementing Text that contains the element\'s text. However, if the element contains markup, it is parsed into information items and Text nodes that form its children.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Text)\n */\ninterface Text extends CharacterData, Slottable {\n    /**\n     * Returns the combined data of all direct Text node siblings.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Text/wholeText)\n     */\n    readonly wholeText: string;\n    /**\n     * Splits data at the given offset and returns the remainder as Text node.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Text/splitText)\n     */\n    splitText(offset: number): Text;\n}\n\ndeclare var Text: {\n    prototype: Text;\n    new(data?: string): Text;\n};\n\n/**\n * A decoder for a specific method, that is a specific character encoding, like utf-8, iso-8859-2, koi8, cp1261, gbk, etc. A decoder takes a stream of bytes as input and emits a stream of code points. For a more scalable, non-native library, see StringView – a C-like representation of strings based on typed arrays.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextDecoder)\n */\ninterface TextDecoder extends TextDecoderCommon {\n    /**\n     * Returns the result of running encoding\'s decoder. The method can be invoked zero or more times with options\'s stream set to true, and then once without options\'s stream (or set to false), to process a fragmented input. If the invocation without options\'s stream (or set to false) has no input, it\'s clearest to omit both arguments.\n     *\n     * ```\n     * var string = "", decoder = new TextDecoder(encoding), buffer;\n     * while(buffer = next_chunk()) {\n     *   string += decoder.decode(buffer, {stream:true});\n     * }\n     * string += decoder.decode(); // end-of-queue\n     * ```\n     *\n     * If the error mode is "fatal" and encoding\'s decoder returns error, throws a TypeError.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextDecoder/decode)\n     */\n    decode(input?: AllowSharedBufferSource, options?: TextDecodeOptions): string;\n}\n\ndeclare var TextDecoder: {\n    prototype: TextDecoder;\n    new(label?: string, options?: TextDecoderOptions): TextDecoder;\n};\n\ninterface TextDecoderCommon {\n    /**\n     * Returns encoding\'s name, lowercased.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextDecoder/encoding)\n     */\n    readonly encoding: string;\n    /**\n     * Returns true if error mode is "fatal", otherwise false.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextDecoder/fatal)\n     */\n    readonly fatal: boolean;\n    /**\n     * Returns the value of ignore BOM.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextDecoder/ignoreBOM)\n     */\n    readonly ignoreBOM: boolean;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextDecoderStream) */\ninterface TextDecoderStream extends GenericTransformStream, TextDecoderCommon {\n    readonly readable: ReadableStream<string>;\n    readonly writable: WritableStream<BufferSource>;\n}\n\ndeclare var TextDecoderStream: {\n    prototype: TextDecoderStream;\n    new(label?: string, options?: TextDecoderOptions): TextDecoderStream;\n};\n\n/**\n * TextEncoder takes a stream of code points as input and emits a stream of bytes. For a more scalable, non-native library, see StringView – a C-like representation of strings based on typed arrays.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextEncoder)\n */\ninterface TextEncoder extends TextEncoderCommon {\n    /**\n     * Returns the result of running UTF-8\'s encoder.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextEncoder/encode)\n     */\n    encode(input?: string): Uint8Array;\n    /**\n     * Runs the UTF-8 encoder on source, stores the result of that operation into destination, and returns the progress made as an object wherein read is the number of converted code units of source and written is the number of bytes modified in destination.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextEncoder/encodeInto)\n     */\n    encodeInto(source: string, destination: Uint8Array): TextEncoderEncodeIntoResult;\n}\n\ndeclare var TextEncoder: {\n    prototype: TextEncoder;\n    new(): TextEncoder;\n};\n\ninterface TextEncoderCommon {\n    /**\n     * Returns "utf-8".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextEncoder/encoding)\n     */\n    readonly encoding: string;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextEncoderStream) */\ninterface TextEncoderStream extends GenericTransformStream, TextEncoderCommon {\n    readonly readable: ReadableStream<Uint8Array>;\n    readonly writable: WritableStream<string>;\n}\n\ndeclare var TextEncoderStream: {\n    prototype: TextEncoderStream;\n    new(): TextEncoderStream;\n};\n\n/**\n * The dimensions of a piece of text in the canvas, as created by the CanvasRenderingContext2D.measureText() method.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics)\n */\ninterface TextMetrics {\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/actualBoundingBoxAscent)\n     */\n    readonly actualBoundingBoxAscent: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/actualBoundingBoxDescent)\n     */\n    readonly actualBoundingBoxDescent: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/actualBoundingBoxLeft)\n     */\n    readonly actualBoundingBoxLeft: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/actualBoundingBoxRight)\n     */\n    readonly actualBoundingBoxRight: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/alphabeticBaseline)\n     */\n    readonly alphabeticBaseline: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/emHeightAscent)\n     */\n    readonly emHeightAscent: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/emHeightDescent)\n     */\n    readonly emHeightDescent: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/fontBoundingBoxAscent)\n     */\n    readonly fontBoundingBoxAscent: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/fontBoundingBoxDescent)\n     */\n    readonly fontBoundingBoxDescent: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/hangingBaseline)\n     */\n    readonly hangingBaseline: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/ideographicBaseline)\n     */\n    readonly ideographicBaseline: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/width)\n     */\n    readonly width: number;\n}\n\ndeclare var TextMetrics: {\n    prototype: TextMetrics;\n    new(): TextMetrics;\n};\n\ninterface TextTrackEventMap {\n    "cuechange": Event;\n}\n\n/**\n * This interface also inherits properties from EventTarget.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrack)\n */\ninterface TextTrack extends EventTarget {\n    /**\n     * Returns the text track cues from the text track list of cues that are currently active (i.e. that start before the current playback position and end after it), as a TextTrackCueList object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrack/activeCues)\n     */\n    readonly activeCues: TextTrackCueList | null;\n    /**\n     * Returns the text track list of cues, as a TextTrackCueList object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrack/cues)\n     */\n    readonly cues: TextTrackCueList | null;\n    /**\n     * Returns the ID of the given track.\n     *\n     * For in-band tracks, this is the ID that can be used with a fragment if the format supports media fragment syntax, and that can be used with the getTrackById() method.\n     *\n     * For TextTrack objects corresponding to track elements, this is the ID of the track element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrack/id)\n     */\n    readonly id: string;\n    /**\n     * Returns the text track in-band metadata track dispatch type string.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrack/inBandMetadataTrackDispatchType)\n     */\n    readonly inBandMetadataTrackDispatchType: string;\n    /**\n     * Returns the text track kind string.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrack/kind)\n     */\n    readonly kind: TextTrackKind;\n    /**\n     * Returns the text track label, if there is one, or the empty string otherwise (indicating that a custom label probably needs to be generated from the other attributes of the object if the object is exposed to the user).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrack/label)\n     */\n    readonly label: string;\n    /**\n     * Returns the text track language string.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrack/language)\n     */\n    readonly language: string;\n    /**\n     * Returns the text track mode, represented by a string from the following list:\n     *\n     * Can be set, to change the mode.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrack/mode)\n     */\n    mode: TextTrackMode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrack/cuechange_event) */\n    oncuechange: ((this: TextTrack, ev: Event) => any) | null;\n    /**\n     * Adds the given cue to textTrack\'s text track list of cues.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrack/addCue)\n     */\n    addCue(cue: TextTrackCue): void;\n    /**\n     * Removes the given cue from textTrack\'s text track list of cues.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrack/removeCue)\n     */\n    removeCue(cue: TextTrackCue): void;\n    addEventListener<K extends keyof TextTrackEventMap>(type: K, listener: (this: TextTrack, ev: TextTrackEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof TextTrackEventMap>(type: K, listener: (this: TextTrack, ev: TextTrackEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var TextTrack: {\n    prototype: TextTrack;\n    new(): TextTrack;\n};\n\ninterface TextTrackCueEventMap {\n    "enter": Event;\n    "exit": Event;\n}\n\n/**\n * TextTrackCues represent a string of text that will be displayed for some duration of time on a TextTrack. This includes the start and end times that the cue will be displayed. A TextTrackCue cannot be used directly, instead one of the derived types (e.g. VTTCue) must be used.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackCue)\n */\ninterface TextTrackCue extends EventTarget {\n    /**\n     * Returns the text track cue end time, in seconds.\n     *\n     * Can be set.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackCue/endTime)\n     */\n    endTime: number;\n    /**\n     * Returns the text track cue identifier.\n     *\n     * Can be set.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackCue/id)\n     */\n    id: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackCue/enter_event) */\n    onenter: ((this: TextTrackCue, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackCue/exit_event) */\n    onexit: ((this: TextTrackCue, ev: Event) => any) | null;\n    /**\n     * Returns true if the text track cue pause-on-exit flag is set, false otherwise.\n     *\n     * Can be set.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackCue/pauseOnExit)\n     */\n    pauseOnExit: boolean;\n    /**\n     * Returns the text track cue start time, in seconds.\n     *\n     * Can be set.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackCue/startTime)\n     */\n    startTime: number;\n    /**\n     * Returns the TextTrack object to which this text track cue belongs, if any, or null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackCue/track)\n     */\n    readonly track: TextTrack | null;\n    addEventListener<K extends keyof TextTrackCueEventMap>(type: K, listener: (this: TextTrackCue, ev: TextTrackCueEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof TextTrackCueEventMap>(type: K, listener: (this: TextTrackCue, ev: TextTrackCueEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var TextTrackCue: {\n    prototype: TextTrackCue;\n    new(): TextTrackCue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackCueList) */\ninterface TextTrackCueList {\n    /**\n     * Returns the number of cues in the list.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackCueList/length)\n     */\n    readonly length: number;\n    /**\n     * Returns the first text track cue (in text track cue order) with text track cue identifier id.\n     *\n     * Returns null if none of the cues have the given identifier or if the argument is the empty string.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackCueList/getCueById)\n     */\n    getCueById(id: string): TextTrackCue | null;\n    [index: number]: TextTrackCue;\n}\n\ndeclare var TextTrackCueList: {\n    prototype: TextTrackCueList;\n    new(): TextTrackCueList;\n};\n\ninterface TextTrackListEventMap {\n    "addtrack": TrackEvent;\n    "change": Event;\n    "removetrack": TrackEvent;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackList) */\ninterface TextTrackList extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackList/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackList/addtrack_event) */\n    onaddtrack: ((this: TextTrackList, ev: TrackEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackList/change_event) */\n    onchange: ((this: TextTrackList, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackList/removetrack_event) */\n    onremovetrack: ((this: TextTrackList, ev: TrackEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextTrackList/getTrackById) */\n    getTrackById(id: string): TextTrack | null;\n    addEventListener<K extends keyof TextTrackListEventMap>(type: K, listener: (this: TextTrackList, ev: TextTrackListEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof TextTrackListEventMap>(type: K, listener: (this: TextTrackList, ev: TextTrackListEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n    [index: number]: TextTrack;\n}\n\ndeclare var TextTrackList: {\n    prototype: TextTrackList;\n    new(): TextTrackList;\n};\n\n/**\n * Used to represent a set of time ranges, primarily for the purpose of tracking which portions of media have been buffered when loading it for use by the <audio> and <video> elements.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TimeRanges)\n */\ninterface TimeRanges {\n    /**\n     * Returns the number of ranges in the object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TimeRanges/length)\n     */\n    readonly length: number;\n    /**\n     * Returns the time for the end of the range with the given index.\n     *\n     * Throws an "IndexSizeError" DOMException if the index is out of range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TimeRanges/end)\n     */\n    end(index: number): number;\n    /**\n     * Returns the time for the start of the range with the given index.\n     *\n     * Throws an "IndexSizeError" DOMException if the index is out of range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TimeRanges/start)\n     */\n    start(index: number): number;\n}\n\ndeclare var TimeRanges: {\n    prototype: TimeRanges;\n    new(): TimeRanges;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ToggleEvent) */\ninterface ToggleEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ToggleEvent/newState) */\n    readonly newState: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ToggleEvent/oldState) */\n    readonly oldState: string;\n}\n\ndeclare var ToggleEvent: {\n    prototype: ToggleEvent;\n    new(type: string, eventInitDict?: ToggleEventInit): ToggleEvent;\n};\n\n/**\n * A single contact point on a touch-sensitive device. The contact point is commonly a finger or stylus and the device may be a touchscreen or trackpad.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch)\n */\ninterface Touch {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch/clientX) */\n    readonly clientX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch/clientY) */\n    readonly clientY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch/force) */\n    readonly force: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch/identifier) */\n    readonly identifier: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch/pageX) */\n    readonly pageX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch/pageY) */\n    readonly pageY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch/radiusX) */\n    readonly radiusX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch/radiusY) */\n    readonly radiusY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch/rotationAngle) */\n    readonly rotationAngle: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch/screenX) */\n    readonly screenX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch/screenY) */\n    readonly screenY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Touch/target) */\n    readonly target: EventTarget;\n}\n\ndeclare var Touch: {\n    prototype: Touch;\n    new(touchInitDict: TouchInit): Touch;\n};\n\n/**\n * An event sent when the state of contacts with a touch-sensitive surface changes. This surface can be a touch screen or trackpad, for example. The event can describe one or more points of contact with the screen and includes support for detecting movement, addition and removal of contact points, and so forth.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TouchEvent)\n */\ninterface TouchEvent extends UIEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TouchEvent/altKey) */\n    readonly altKey: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TouchEvent/changedTouches) */\n    readonly changedTouches: TouchList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TouchEvent/ctrlKey) */\n    readonly ctrlKey: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TouchEvent/metaKey) */\n    readonly metaKey: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TouchEvent/shiftKey) */\n    readonly shiftKey: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TouchEvent/targetTouches) */\n    readonly targetTouches: TouchList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TouchEvent/touches) */\n    readonly touches: TouchList;\n}\n\ndeclare var TouchEvent: {\n    prototype: TouchEvent;\n    new(type: string, eventInitDict?: TouchEventInit): TouchEvent;\n};\n\n/**\n * A list of contact points on a touch surface. For example, if the user has three fingers on the touch surface (such as a screen or trackpad), the corresponding TouchList object would have one Touch object for each finger, for a total of three entries.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TouchList)\n */\ninterface TouchList {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TouchList/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TouchList/item) */\n    item(index: number): Touch | null;\n    [index: number]: Touch;\n}\n\ndeclare var TouchList: {\n    prototype: TouchList;\n    new(): TouchList;\n};\n\n/**\n * The TrackEvent interface, part of the HTML DOM specification, is used for events which represent changes to the set of available tracks on an HTML media element; these events are addtrack and removetrack.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TrackEvent)\n */\ninterface TrackEvent extends Event {\n    /**\n     * Returns the track object (TextTrack, AudioTrack, or VideoTrack) to which the event relates.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TrackEvent/track)\n     */\n    readonly track: TextTrack | null;\n}\n\ndeclare var TrackEvent: {\n    prototype: TrackEvent;\n    new(type: string, eventInitDict?: TrackEventInit): TrackEvent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStream) */\ninterface TransformStream<I = any, O = any> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStream/readable) */\n    readonly readable: ReadableStream<O>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStream/writable) */\n    readonly writable: WritableStream<I>;\n}\n\ndeclare var TransformStream: {\n    prototype: TransformStream;\n    new<I = any, O = any>(transformer?: Transformer<I, O>, writableStrategy?: QueuingStrategy<I>, readableStrategy?: QueuingStrategy<O>): TransformStream<I, O>;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStreamDefaultController) */\ninterface TransformStreamDefaultController<O = any> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStreamDefaultController/desiredSize) */\n    readonly desiredSize: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStreamDefaultController/enqueue) */\n    enqueue(chunk?: O): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStreamDefaultController/error) */\n    error(reason?: any): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStreamDefaultController/terminate) */\n    terminate(): void;\n}\n\ndeclare var TransformStreamDefaultController: {\n    prototype: TransformStreamDefaultController;\n    new(): TransformStreamDefaultController;\n};\n\n/**\n * Events providing information related to transitions.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransitionEvent)\n */\ninterface TransitionEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransitionEvent/elapsedTime) */\n    readonly elapsedTime: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransitionEvent/propertyName) */\n    readonly propertyName: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransitionEvent/pseudoElement) */\n    readonly pseudoElement: string;\n}\n\ndeclare var TransitionEvent: {\n    prototype: TransitionEvent;\n    new(type: string, transitionEventInitDict?: TransitionEventInit): TransitionEvent;\n};\n\n/**\n * The nodes of a document subtree and a position within them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TreeWalker)\n */\ninterface TreeWalker {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TreeWalker/currentNode) */\n    currentNode: Node;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TreeWalker/filter) */\n    readonly filter: NodeFilter | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TreeWalker/root) */\n    readonly root: Node;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TreeWalker/whatToShow) */\n    readonly whatToShow: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TreeWalker/firstChild) */\n    firstChild(): Node | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TreeWalker/lastChild) */\n    lastChild(): Node | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TreeWalker/nextNode) */\n    nextNode(): Node | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TreeWalker/nextSibling) */\n    nextSibling(): Node | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TreeWalker/parentNode) */\n    parentNode(): Node | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TreeWalker/previousNode) */\n    previousNode(): Node | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TreeWalker/previousSibling) */\n    previousSibling(): Node | null;\n}\n\ndeclare var TreeWalker: {\n    prototype: TreeWalker;\n    new(): TreeWalker;\n};\n\n/**\n * Simple user interface events.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/UIEvent)\n */\ninterface UIEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/UIEvent/detail) */\n    readonly detail: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/UIEvent/view) */\n    readonly view: Window | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/UIEvent/which)\n     */\n    readonly which: number;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/UIEvent/initUIEvent)\n     */\n    initUIEvent(typeArg: string, bubblesArg?: boolean, cancelableArg?: boolean, viewArg?: Window | null, detailArg?: number): void;\n}\n\ndeclare var UIEvent: {\n    prototype: UIEvent;\n    new(type: string, eventInitDict?: UIEventInit): UIEvent;\n};\n\n/**\n * The URL interface represents an object providing static methods used for creating object URLs.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL)\n */\ninterface URL {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/hash) */\n    hash: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/host) */\n    host: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/hostname) */\n    hostname: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/href) */\n    href: string;\n    toString(): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/origin) */\n    readonly origin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/password) */\n    password: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/pathname) */\n    pathname: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/port) */\n    port: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/protocol) */\n    protocol: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/search) */\n    search: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/searchParams) */\n    readonly searchParams: URLSearchParams;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/username) */\n    username: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/toJSON) */\n    toJSON(): string;\n}\n\ndeclare var URL: {\n    prototype: URL;\n    new(url: string | URL, base?: string | URL): URL;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/canParse_static) */\n    canParse(url: string | URL, base?: string): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/createObjectURL_static) */\n    createObjectURL(obj: Blob | MediaSource): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/revokeObjectURL_static) */\n    revokeObjectURL(url: string): void;\n};\n\ntype webkitURL = URL;\ndeclare var webkitURL: typeof URL;\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams) */\ninterface URLSearchParams {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/size) */\n    readonly size: number;\n    /**\n     * Appends a specified key/value pair as a new search parameter.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/append)\n     */\n    append(name: string, value: string): void;\n    /**\n     * Deletes the given search parameter, and its associated value, from the list of all search parameters.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/delete)\n     */\n    delete(name: string, value?: string): void;\n    /**\n     * Returns the first value associated to the given search parameter.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/get)\n     */\n    get(name: string): string | null;\n    /**\n     * Returns all the values association with a given search parameter.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/getAll)\n     */\n    getAll(name: string): string[];\n    /**\n     * Returns a Boolean indicating if such a search parameter exists.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/has)\n     */\n    has(name: string, value?: string): boolean;\n    /**\n     * Sets the value associated to a given search parameter to the given value. If there were several values, delete the others.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/set)\n     */\n    set(name: string, value: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/sort) */\n    sort(): void;\n    /** Returns a string containing a query string suitable for use in a URL. Does not include the question mark. */\n    toString(): string;\n    forEach(callbackfn: (value: string, key: string, parent: URLSearchParams) => void, thisArg?: any): void;\n}\n\ndeclare var URLSearchParams: {\n    prototype: URLSearchParams;\n    new(init?: string[][] | Record<string, string> | string | URLSearchParams): URLSearchParams;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/UserActivation) */\ninterface UserActivation {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/UserActivation/hasBeenActive) */\n    readonly hasBeenActive: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/UserActivation/hasBeenActive) */\n    readonly isActive: boolean;\n}\n\ndeclare var UserActivation: {\n    prototype: UserActivation;\n    new(): UserActivation;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTCue) */\ninterface VTTCue extends TextTrackCue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTCue/align) */\n    align: AlignSetting;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTCue/line) */\n    line: LineAndPositionSetting;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTCue/lineAlign) */\n    lineAlign: LineAlignSetting;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTCue/position) */\n    position: LineAndPositionSetting;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTCue/positionAlign) */\n    positionAlign: PositionAlignSetting;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTCue/region) */\n    region: VTTRegion | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTCue/size) */\n    size: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTCue/snapToLines) */\n    snapToLines: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTCue/text) */\n    text: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTCue/vertical) */\n    vertical: DirectionSetting;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTCue/getCueAsHTML) */\n    getCueAsHTML(): DocumentFragment;\n    addEventListener<K extends keyof TextTrackCueEventMap>(type: K, listener: (this: VTTCue, ev: TextTrackCueEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof TextTrackCueEventMap>(type: K, listener: (this: VTTCue, ev: TextTrackCueEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var VTTCue: {\n    prototype: VTTCue;\n    new(startTime: number, endTime: number, text: string): VTTCue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTRegion) */\ninterface VTTRegion {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTRegion/id) */\n    id: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTRegion/lines) */\n    lines: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTRegion/regionAnchorX) */\n    regionAnchorX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTRegion/regionAnchorY) */\n    regionAnchorY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTRegion/scroll) */\n    scroll: ScrollSetting;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTRegion/viewportAnchorX) */\n    viewportAnchorX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTRegion/viewportAnchorY) */\n    viewportAnchorY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VTTRegion/width) */\n    width: number;\n}\n\ndeclare var VTTRegion: {\n    prototype: VTTRegion;\n    new(): VTTRegion;\n};\n\n/**\n * The validity states that an element can be in, with respect to constraint validation. Together, they help explain why an element\'s value fails to validate, if it\'s not valid.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ValidityState)\n */\ninterface ValidityState {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ValidityState/badInput) */\n    readonly badInput: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ValidityState/customError) */\n    readonly customError: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ValidityState/patternMismatch) */\n    readonly patternMismatch: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ValidityState/rangeOverflow) */\n    readonly rangeOverflow: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ValidityState/rangeUnderflow) */\n    readonly rangeUnderflow: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ValidityState/stepMismatch) */\n    readonly stepMismatch: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ValidityState/tooLong) */\n    readonly tooLong: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ValidityState/tooShort) */\n    readonly tooShort: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ValidityState/typeMismatch) */\n    readonly typeMismatch: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ValidityState/valid) */\n    readonly valid: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ValidityState/valueMissing) */\n    readonly valueMissing: boolean;\n}\n\ndeclare var ValidityState: {\n    prototype: ValidityState;\n    new(): ValidityState;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoColorSpace) */\ninterface VideoColorSpace {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoColorSpace/fullRange) */\n    readonly fullRange: boolean | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoColorSpace/matrix) */\n    readonly matrix: VideoMatrixCoefficients | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoColorSpace/primaries) */\n    readonly primaries: VideoColorPrimaries | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoColorSpace/transfer) */\n    readonly transfer: VideoTransferCharacteristics | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoColorSpace/toJSON) */\n    toJSON(): VideoColorSpaceInit;\n}\n\ndeclare var VideoColorSpace: {\n    prototype: VideoColorSpace;\n    new(init?: VideoColorSpaceInit): VideoColorSpace;\n};\n\ninterface VideoDecoderEventMap {\n    "dequeue": Event;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder)\n */\ninterface VideoDecoder extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/decodeQueueSize) */\n    readonly decodeQueueSize: number;\n    ondequeue: ((this: VideoDecoder, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/state) */\n    readonly state: CodecState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/close) */\n    close(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/configure) */\n    configure(config: VideoDecoderConfig): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/decode) */\n    decode(chunk: EncodedVideoChunk): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/flush) */\n    flush(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/reset) */\n    reset(): void;\n    addEventListener<K extends keyof VideoDecoderEventMap>(type: K, listener: (this: VideoDecoder, ev: VideoDecoderEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof VideoDecoderEventMap>(type: K, listener: (this: VideoDecoder, ev: VideoDecoderEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var VideoDecoder: {\n    prototype: VideoDecoder;\n    new(init: VideoDecoderInit): VideoDecoder;\n    isConfigSupported(config: VideoDecoderConfig): Promise<VideoDecoderSupport>;\n};\n\ninterface VideoEncoderEventMap {\n    "dequeue": Event;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder)\n */\ninterface VideoEncoder extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder/encodeQueueSize) */\n    readonly encodeQueueSize: number;\n    ondequeue: ((this: VideoEncoder, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder/state) */\n    readonly state: CodecState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder/close) */\n    close(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder/configure) */\n    configure(config: VideoEncoderConfig): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder/encode) */\n    encode(frame: VideoFrame, options?: VideoEncoderEncodeOptions): void;\n    flush(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder/reset) */\n    reset(): void;\n    addEventListener<K extends keyof VideoEncoderEventMap>(type: K, listener: (this: VideoEncoder, ev: VideoEncoderEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof VideoEncoderEventMap>(type: K, listener: (this: VideoEncoder, ev: VideoEncoderEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var VideoEncoder: {\n    prototype: VideoEncoder;\n    new(init: VideoEncoderInit): VideoEncoder;\n    isConfigSupported(config: VideoEncoderConfig): Promise<VideoEncoderSupport>;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame) */\ninterface VideoFrame {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/codedHeight) */\n    readonly codedHeight: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/codedRect) */\n    readonly codedRect: DOMRectReadOnly | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/codedWidth) */\n    readonly codedWidth: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/colorSpace) */\n    readonly colorSpace: VideoColorSpace;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/displayHeight) */\n    readonly displayHeight: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/displayWidth) */\n    readonly displayWidth: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/duration) */\n    readonly duration: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/format) */\n    readonly format: VideoPixelFormat | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/timestamp) */\n    readonly timestamp: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/visibleRect) */\n    readonly visibleRect: DOMRectReadOnly | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/allocationSize) */\n    allocationSize(options?: VideoFrameCopyToOptions): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/clone) */\n    clone(): VideoFrame;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/close) */\n    close(): void;\n    copyTo(destination: AllowSharedBufferSource, options?: VideoFrameCopyToOptions): Promise<PlaneLayout[]>;\n}\n\ndeclare var VideoFrame: {\n    prototype: VideoFrame;\n    new(image: CanvasImageSource, init?: VideoFrameInit): VideoFrame;\n    new(data: AllowSharedBufferSource, init: VideoFrameBufferInit): VideoFrame;\n};\n\n/**\n * Returned by the HTMLVideoElement.getVideoPlaybackQuality() method and contains metrics that can be used to determine the playback quality of a video.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoPlaybackQuality)\n */\ninterface VideoPlaybackQuality {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoPlaybackQuality/corruptedVideoFrames)\n     */\n    readonly corruptedVideoFrames: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoPlaybackQuality/creationTime) */\n    readonly creationTime: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoPlaybackQuality/droppedVideoFrames) */\n    readonly droppedVideoFrames: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoPlaybackQuality/totalVideoFrames) */\n    readonly totalVideoFrames: number;\n}\n\ndeclare var VideoPlaybackQuality: {\n    prototype: VideoPlaybackQuality;\n    new(): VideoPlaybackQuality;\n};\n\ninterface VisualViewportEventMap {\n    "resize": Event;\n    "scroll": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VisualViewport) */\ninterface VisualViewport extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VisualViewport/height) */\n    readonly height: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VisualViewport/offsetLeft) */\n    readonly offsetLeft: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VisualViewport/offsetTop) */\n    readonly offsetTop: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VisualViewport/resize_event) */\n    onresize: ((this: VisualViewport, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VisualViewport/scroll_event) */\n    onscroll: ((this: VisualViewport, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VisualViewport/pageLeft) */\n    readonly pageLeft: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VisualViewport/pageTop) */\n    readonly pageTop: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VisualViewport/scale) */\n    readonly scale: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VisualViewport/width) */\n    readonly width: number;\n    addEventListener<K extends keyof VisualViewportEventMap>(type: K, listener: (this: VisualViewport, ev: VisualViewportEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof VisualViewportEventMap>(type: K, listener: (this: VisualViewport, ev: VisualViewportEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var VisualViewport: {\n    prototype: VisualViewport;\n    new(): VisualViewport;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_color_buffer_float) */\ninterface WEBGL_color_buffer_float {\n    readonly RGBA32F_EXT: 0x8814;\n    readonly FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT: 0x8211;\n    readonly UNSIGNED_NORMALIZED_EXT: 0x8C17;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_astc) */\ninterface WEBGL_compressed_texture_astc {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_astc/getSupportedProfiles) */\n    getSupportedProfiles(): string[];\n    readonly COMPRESSED_RGBA_ASTC_4x4_KHR: 0x93B0;\n    readonly COMPRESSED_RGBA_ASTC_5x4_KHR: 0x93B1;\n    readonly COMPRESSED_RGBA_ASTC_5x5_KHR: 0x93B2;\n    readonly COMPRESSED_RGBA_ASTC_6x5_KHR: 0x93B3;\n    readonly COMPRESSED_RGBA_ASTC_6x6_KHR: 0x93B4;\n    readonly COMPRESSED_RGBA_ASTC_8x5_KHR: 0x93B5;\n    readonly COMPRESSED_RGBA_ASTC_8x6_KHR: 0x93B6;\n    readonly COMPRESSED_RGBA_ASTC_8x8_KHR: 0x93B7;\n    readonly COMPRESSED_RGBA_ASTC_10x5_KHR: 0x93B8;\n    readonly COMPRESSED_RGBA_ASTC_10x6_KHR: 0x93B9;\n    readonly COMPRESSED_RGBA_ASTC_10x8_KHR: 0x93BA;\n    readonly COMPRESSED_RGBA_ASTC_10x10_KHR: 0x93BB;\n    readonly COMPRESSED_RGBA_ASTC_12x10_KHR: 0x93BC;\n    readonly COMPRESSED_RGBA_ASTC_12x12_KHR: 0x93BD;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR: 0x93D0;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR: 0x93D1;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR: 0x93D2;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR: 0x93D3;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR: 0x93D4;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR: 0x93D5;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR: 0x93D6;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR: 0x93D7;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR: 0x93D8;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR: 0x93D9;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR: 0x93DA;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR: 0x93DB;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR: 0x93DC;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR: 0x93DD;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_etc) */\ninterface WEBGL_compressed_texture_etc {\n    readonly COMPRESSED_R11_EAC: 0x9270;\n    readonly COMPRESSED_SIGNED_R11_EAC: 0x9271;\n    readonly COMPRESSED_RG11_EAC: 0x9272;\n    readonly COMPRESSED_SIGNED_RG11_EAC: 0x9273;\n    readonly COMPRESSED_RGB8_ETC2: 0x9274;\n    readonly COMPRESSED_SRGB8_ETC2: 0x9275;\n    readonly COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2: 0x9276;\n    readonly COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2: 0x9277;\n    readonly COMPRESSED_RGBA8_ETC2_EAC: 0x9278;\n    readonly COMPRESSED_SRGB8_ALPHA8_ETC2_EAC: 0x9279;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_etc1) */\ninterface WEBGL_compressed_texture_etc1 {\n    readonly COMPRESSED_RGB_ETC1_WEBGL: 0x8D64;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_pvrtc) */\ninterface WEBGL_compressed_texture_pvrtc {\n    readonly COMPRESSED_RGB_PVRTC_4BPPV1_IMG: 0x8C00;\n    readonly COMPRESSED_RGB_PVRTC_2BPPV1_IMG: 0x8C01;\n    readonly COMPRESSED_RGBA_PVRTC_4BPPV1_IMG: 0x8C02;\n    readonly COMPRESSED_RGBA_PVRTC_2BPPV1_IMG: 0x8C03;\n}\n\n/**\n * The WEBGL_compressed_texture_s3tc extension is part of the WebGL API and exposes four S3TC compressed texture formats.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_s3tc)\n */\ninterface WEBGL_compressed_texture_s3tc {\n    readonly COMPRESSED_RGB_S3TC_DXT1_EXT: 0x83F0;\n    readonly COMPRESSED_RGBA_S3TC_DXT1_EXT: 0x83F1;\n    readonly COMPRESSED_RGBA_S3TC_DXT3_EXT: 0x83F2;\n    readonly COMPRESSED_RGBA_S3TC_DXT5_EXT: 0x83F3;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_s3tc_srgb) */\ninterface WEBGL_compressed_texture_s3tc_srgb {\n    readonly COMPRESSED_SRGB_S3TC_DXT1_EXT: 0x8C4C;\n    readonly COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT: 0x8C4D;\n    readonly COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT: 0x8C4E;\n    readonly COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT: 0x8C4F;\n}\n\n/**\n * The WEBGL_debug_renderer_info extension is part of the WebGL API and exposes two constants with information about the graphics driver for debugging purposes.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_debug_renderer_info)\n */\ninterface WEBGL_debug_renderer_info {\n    readonly UNMASKED_VENDOR_WEBGL: 0x9245;\n    readonly UNMASKED_RENDERER_WEBGL: 0x9246;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_debug_shaders) */\ninterface WEBGL_debug_shaders {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_debug_shaders/getTranslatedShaderSource) */\n    getTranslatedShaderSource(shader: WebGLShader): string;\n}\n\n/**\n * The WEBGL_depth_texture extension is part of the WebGL API and defines 2D depth and depth-stencil textures.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_depth_texture)\n */\ninterface WEBGL_depth_texture {\n    readonly UNSIGNED_INT_24_8_WEBGL: 0x84FA;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_draw_buffers) */\ninterface WEBGL_draw_buffers {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_draw_buffers/drawBuffersWEBGL) */\n    drawBuffersWEBGL(buffers: GLenum[]): void;\n    readonly COLOR_ATTACHMENT0_WEBGL: 0x8CE0;\n    readonly COLOR_ATTACHMENT1_WEBGL: 0x8CE1;\n    readonly COLOR_ATTACHMENT2_WEBGL: 0x8CE2;\n    readonly COLOR_ATTACHMENT3_WEBGL: 0x8CE3;\n    readonly COLOR_ATTACHMENT4_WEBGL: 0x8CE4;\n    readonly COLOR_ATTACHMENT5_WEBGL: 0x8CE5;\n    readonly COLOR_ATTACHMENT6_WEBGL: 0x8CE6;\n    readonly COLOR_ATTACHMENT7_WEBGL: 0x8CE7;\n    readonly COLOR_ATTACHMENT8_WEBGL: 0x8CE8;\n    readonly COLOR_ATTACHMENT9_WEBGL: 0x8CE9;\n    readonly COLOR_ATTACHMENT10_WEBGL: 0x8CEA;\n    readonly COLOR_ATTACHMENT11_WEBGL: 0x8CEB;\n    readonly COLOR_ATTACHMENT12_WEBGL: 0x8CEC;\n    readonly COLOR_ATTACHMENT13_WEBGL: 0x8CED;\n    readonly COLOR_ATTACHMENT14_WEBGL: 0x8CEE;\n    readonly COLOR_ATTACHMENT15_WEBGL: 0x8CEF;\n    readonly DRAW_BUFFER0_WEBGL: 0x8825;\n    readonly DRAW_BUFFER1_WEBGL: 0x8826;\n    readonly DRAW_BUFFER2_WEBGL: 0x8827;\n    readonly DRAW_BUFFER3_WEBGL: 0x8828;\n    readonly DRAW_BUFFER4_WEBGL: 0x8829;\n    readonly DRAW_BUFFER5_WEBGL: 0x882A;\n    readonly DRAW_BUFFER6_WEBGL: 0x882B;\n    readonly DRAW_BUFFER7_WEBGL: 0x882C;\n    readonly DRAW_BUFFER8_WEBGL: 0x882D;\n    readonly DRAW_BUFFER9_WEBGL: 0x882E;\n    readonly DRAW_BUFFER10_WEBGL: 0x882F;\n    readonly DRAW_BUFFER11_WEBGL: 0x8830;\n    readonly DRAW_BUFFER12_WEBGL: 0x8831;\n    readonly DRAW_BUFFER13_WEBGL: 0x8832;\n    readonly DRAW_BUFFER14_WEBGL: 0x8833;\n    readonly DRAW_BUFFER15_WEBGL: 0x8834;\n    readonly MAX_COLOR_ATTACHMENTS_WEBGL: 0x8CDF;\n    readonly MAX_DRAW_BUFFERS_WEBGL: 0x8824;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_lose_context) */\ninterface WEBGL_lose_context {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_lose_context/loseContext) */\n    loseContext(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_lose_context/restoreContext) */\n    restoreContext(): void;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw) */\ninterface WEBGL_multi_draw {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawArraysInstancedWEBGL) */\n    multiDrawArraysInstancedWEBGL(mode: GLenum, firstsList: Int32Array | GLint[], firstsOffset: number, countsList: Int32Array | GLsizei[], countsOffset: number, instanceCountsList: Int32Array | GLsizei[], instanceCountsOffset: number, drawcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawArraysWEBGL) */\n    multiDrawArraysWEBGL(mode: GLenum, firstsList: Int32Array | GLint[], firstsOffset: number, countsList: Int32Array | GLsizei[], countsOffset: number, drawcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawElementsInstancedWEBGL) */\n    multiDrawElementsInstancedWEBGL(mode: GLenum, countsList: Int32Array | GLsizei[], countsOffset: number, type: GLenum, offsetsList: Int32Array | GLsizei[], offsetsOffset: number, instanceCountsList: Int32Array | GLsizei[], instanceCountsOffset: number, drawcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawElementsWEBGL) */\n    multiDrawElementsWEBGL(mode: GLenum, countsList: Int32Array | GLsizei[], countsOffset: number, type: GLenum, offsetsList: Int32Array | GLsizei[], offsetsOffset: number, drawcount: GLsizei): void;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WakeLock)\n */\ninterface WakeLock {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WakeLock/request) */\n    request(type?: WakeLockType): Promise<WakeLockSentinel>;\n}\n\ndeclare var WakeLock: {\n    prototype: WakeLock;\n    new(): WakeLock;\n};\n\ninterface WakeLockSentinelEventMap {\n    "release": Event;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WakeLockSentinel)\n */\ninterface WakeLockSentinel extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WakeLockSentinel/release_event) */\n    onrelease: ((this: WakeLockSentinel, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WakeLockSentinel/released) */\n    readonly released: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WakeLockSentinel/type) */\n    readonly type: WakeLockType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WakeLockSentinel/release) */\n    release(): Promise<void>;\n    addEventListener<K extends keyof WakeLockSentinelEventMap>(type: K, listener: (this: WakeLockSentinel, ev: WakeLockSentinelEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof WakeLockSentinelEventMap>(type: K, listener: (this: WakeLockSentinel, ev: WakeLockSentinelEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var WakeLockSentinel: {\n    prototype: WakeLockSentinel;\n    new(): WakeLockSentinel;\n};\n\n/**\n * A WaveShaperNode always has exactly one input and one output.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WaveShaperNode)\n */\ninterface WaveShaperNode extends AudioNode {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WaveShaperNode/curve) */\n    curve: Float32Array | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WaveShaperNode/oversample) */\n    oversample: OverSampleType;\n}\n\ndeclare var WaveShaperNode: {\n    prototype: WaveShaperNode;\n    new(context: BaseAudioContext, options?: WaveShaperOptions): WaveShaperNode;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext) */\ninterface WebGL2RenderingContext extends WebGL2RenderingContextBase, WebGL2RenderingContextOverloads, WebGLRenderingContextBase {\n}\n\ndeclare var WebGL2RenderingContext: {\n    prototype: WebGL2RenderingContext;\n    new(): WebGL2RenderingContext;\n    readonly READ_BUFFER: 0x0C02;\n    readonly UNPACK_ROW_LENGTH: 0x0CF2;\n    readonly UNPACK_SKIP_ROWS: 0x0CF3;\n    readonly UNPACK_SKIP_PIXELS: 0x0CF4;\n    readonly PACK_ROW_LENGTH: 0x0D02;\n    readonly PACK_SKIP_ROWS: 0x0D03;\n    readonly PACK_SKIP_PIXELS: 0x0D04;\n    readonly COLOR: 0x1800;\n    readonly DEPTH: 0x1801;\n    readonly STENCIL: 0x1802;\n    readonly RED: 0x1903;\n    readonly RGB8: 0x8051;\n    readonly RGB10_A2: 0x8059;\n    readonly TEXTURE_BINDING_3D: 0x806A;\n    readonly UNPACK_SKIP_IMAGES: 0x806D;\n    readonly UNPACK_IMAGE_HEIGHT: 0x806E;\n    readonly TEXTURE_3D: 0x806F;\n    readonly TEXTURE_WRAP_R: 0x8072;\n    readonly MAX_3D_TEXTURE_SIZE: 0x8073;\n    readonly UNSIGNED_INT_2_10_10_10_REV: 0x8368;\n    readonly MAX_ELEMENTS_VERTICES: 0x80E8;\n    readonly MAX_ELEMENTS_INDICES: 0x80E9;\n    readonly TEXTURE_MIN_LOD: 0x813A;\n    readonly TEXTURE_MAX_LOD: 0x813B;\n    readonly TEXTURE_BASE_LEVEL: 0x813C;\n    readonly TEXTURE_MAX_LEVEL: 0x813D;\n    readonly MIN: 0x8007;\n    readonly MAX: 0x8008;\n    readonly DEPTH_COMPONENT24: 0x81A6;\n    readonly MAX_TEXTURE_LOD_BIAS: 0x84FD;\n    readonly TEXTURE_COMPARE_MODE: 0x884C;\n    readonly TEXTURE_COMPARE_FUNC: 0x884D;\n    readonly CURRENT_QUERY: 0x8865;\n    readonly QUERY_RESULT: 0x8866;\n    readonly QUERY_RESULT_AVAILABLE: 0x8867;\n    readonly STREAM_READ: 0x88E1;\n    readonly STREAM_COPY: 0x88E2;\n    readonly STATIC_READ: 0x88E5;\n    readonly STATIC_COPY: 0x88E6;\n    readonly DYNAMIC_READ: 0x88E9;\n    readonly DYNAMIC_COPY: 0x88EA;\n    readonly MAX_DRAW_BUFFERS: 0x8824;\n    readonly DRAW_BUFFER0: 0x8825;\n    readonly DRAW_BUFFER1: 0x8826;\n    readonly DRAW_BUFFER2: 0x8827;\n    readonly DRAW_BUFFER3: 0x8828;\n    readonly DRAW_BUFFER4: 0x8829;\n    readonly DRAW_BUFFER5: 0x882A;\n    readonly DRAW_BUFFER6: 0x882B;\n    readonly DRAW_BUFFER7: 0x882C;\n    readonly DRAW_BUFFER8: 0x882D;\n    readonly DRAW_BUFFER9: 0x882E;\n    readonly DRAW_BUFFER10: 0x882F;\n    readonly DRAW_BUFFER11: 0x8830;\n    readonly DRAW_BUFFER12: 0x8831;\n    readonly DRAW_BUFFER13: 0x8832;\n    readonly DRAW_BUFFER14: 0x8833;\n    readonly DRAW_BUFFER15: 0x8834;\n    readonly MAX_FRAGMENT_UNIFORM_COMPONENTS: 0x8B49;\n    readonly MAX_VERTEX_UNIFORM_COMPONENTS: 0x8B4A;\n    readonly SAMPLER_3D: 0x8B5F;\n    readonly SAMPLER_2D_SHADOW: 0x8B62;\n    readonly FRAGMENT_SHADER_DERIVATIVE_HINT: 0x8B8B;\n    readonly PIXEL_PACK_BUFFER: 0x88EB;\n    readonly PIXEL_UNPACK_BUFFER: 0x88EC;\n    readonly PIXEL_PACK_BUFFER_BINDING: 0x88ED;\n    readonly PIXEL_UNPACK_BUFFER_BINDING: 0x88EF;\n    readonly FLOAT_MAT2x3: 0x8B65;\n    readonly FLOAT_MAT2x4: 0x8B66;\n    readonly FLOAT_MAT3x2: 0x8B67;\n    readonly FLOAT_MAT3x4: 0x8B68;\n    readonly FLOAT_MAT4x2: 0x8B69;\n    readonly FLOAT_MAT4x3: 0x8B6A;\n    readonly SRGB: 0x8C40;\n    readonly SRGB8: 0x8C41;\n    readonly SRGB8_ALPHA8: 0x8C43;\n    readonly COMPARE_REF_TO_TEXTURE: 0x884E;\n    readonly RGBA32F: 0x8814;\n    readonly RGB32F: 0x8815;\n    readonly RGBA16F: 0x881A;\n    readonly RGB16F: 0x881B;\n    readonly VERTEX_ATTRIB_ARRAY_INTEGER: 0x88FD;\n    readonly MAX_ARRAY_TEXTURE_LAYERS: 0x88FF;\n    readonly MIN_PROGRAM_TEXEL_OFFSET: 0x8904;\n    readonly MAX_PROGRAM_TEXEL_OFFSET: 0x8905;\n    readonly MAX_VARYING_COMPONENTS: 0x8B4B;\n    readonly TEXTURE_2D_ARRAY: 0x8C1A;\n    readonly TEXTURE_BINDING_2D_ARRAY: 0x8C1D;\n    readonly R11F_G11F_B10F: 0x8C3A;\n    readonly UNSIGNED_INT_10F_11F_11F_REV: 0x8C3B;\n    readonly RGB9_E5: 0x8C3D;\n    readonly UNSIGNED_INT_5_9_9_9_REV: 0x8C3E;\n    readonly TRANSFORM_FEEDBACK_BUFFER_MODE: 0x8C7F;\n    readonly MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS: 0x8C80;\n    readonly TRANSFORM_FEEDBACK_VARYINGS: 0x8C83;\n    readonly TRANSFORM_FEEDBACK_BUFFER_START: 0x8C84;\n    readonly TRANSFORM_FEEDBACK_BUFFER_SIZE: 0x8C85;\n    readonly TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN: 0x8C88;\n    readonly RASTERIZER_DISCARD: 0x8C89;\n    readonly MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS: 0x8C8A;\n    readonly MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS: 0x8C8B;\n    readonly INTERLEAVED_ATTRIBS: 0x8C8C;\n    readonly SEPARATE_ATTRIBS: 0x8C8D;\n    readonly TRANSFORM_FEEDBACK_BUFFER: 0x8C8E;\n    readonly TRANSFORM_FEEDBACK_BUFFER_BINDING: 0x8C8F;\n    readonly RGBA32UI: 0x8D70;\n    readonly RGB32UI: 0x8D71;\n    readonly RGBA16UI: 0x8D76;\n    readonly RGB16UI: 0x8D77;\n    readonly RGBA8UI: 0x8D7C;\n    readonly RGB8UI: 0x8D7D;\n    readonly RGBA32I: 0x8D82;\n    readonly RGB32I: 0x8D83;\n    readonly RGBA16I: 0x8D88;\n    readonly RGB16I: 0x8D89;\n    readonly RGBA8I: 0x8D8E;\n    readonly RGB8I: 0x8D8F;\n    readonly RED_INTEGER: 0x8D94;\n    readonly RGB_INTEGER: 0x8D98;\n    readonly RGBA_INTEGER: 0x8D99;\n    readonly SAMPLER_2D_ARRAY: 0x8DC1;\n    readonly SAMPLER_2D_ARRAY_SHADOW: 0x8DC4;\n    readonly SAMPLER_CUBE_SHADOW: 0x8DC5;\n    readonly UNSIGNED_INT_VEC2: 0x8DC6;\n    readonly UNSIGNED_INT_VEC3: 0x8DC7;\n    readonly UNSIGNED_INT_VEC4: 0x8DC8;\n    readonly INT_SAMPLER_2D: 0x8DCA;\n    readonly INT_SAMPLER_3D: 0x8DCB;\n    readonly INT_SAMPLER_CUBE: 0x8DCC;\n    readonly INT_SAMPLER_2D_ARRAY: 0x8DCF;\n    readonly UNSIGNED_INT_SAMPLER_2D: 0x8DD2;\n    readonly UNSIGNED_INT_SAMPLER_3D: 0x8DD3;\n    readonly UNSIGNED_INT_SAMPLER_CUBE: 0x8DD4;\n    readonly UNSIGNED_INT_SAMPLER_2D_ARRAY: 0x8DD7;\n    readonly DEPTH_COMPONENT32F: 0x8CAC;\n    readonly DEPTH32F_STENCIL8: 0x8CAD;\n    readonly FLOAT_32_UNSIGNED_INT_24_8_REV: 0x8DAD;\n    readonly FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING: 0x8210;\n    readonly FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE: 0x8211;\n    readonly FRAMEBUFFER_ATTACHMENT_RED_SIZE: 0x8212;\n    readonly FRAMEBUFFER_ATTACHMENT_GREEN_SIZE: 0x8213;\n    readonly FRAMEBUFFER_ATTACHMENT_BLUE_SIZE: 0x8214;\n    readonly FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE: 0x8215;\n    readonly FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE: 0x8216;\n    readonly FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE: 0x8217;\n    readonly FRAMEBUFFER_DEFAULT: 0x8218;\n    readonly UNSIGNED_INT_24_8: 0x84FA;\n    readonly DEPTH24_STENCIL8: 0x88F0;\n    readonly UNSIGNED_NORMALIZED: 0x8C17;\n    readonly DRAW_FRAMEBUFFER_BINDING: 0x8CA6;\n    readonly READ_FRAMEBUFFER: 0x8CA8;\n    readonly DRAW_FRAMEBUFFER: 0x8CA9;\n    readonly READ_FRAMEBUFFER_BINDING: 0x8CAA;\n    readonly RENDERBUFFER_SAMPLES: 0x8CAB;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER: 0x8CD4;\n    readonly MAX_COLOR_ATTACHMENTS: 0x8CDF;\n    readonly COLOR_ATTACHMENT1: 0x8CE1;\n    readonly COLOR_ATTACHMENT2: 0x8CE2;\n    readonly COLOR_ATTACHMENT3: 0x8CE3;\n    readonly COLOR_ATTACHMENT4: 0x8CE4;\n    readonly COLOR_ATTACHMENT5: 0x8CE5;\n    readonly COLOR_ATTACHMENT6: 0x8CE6;\n    readonly COLOR_ATTACHMENT7: 0x8CE7;\n    readonly COLOR_ATTACHMENT8: 0x8CE8;\n    readonly COLOR_ATTACHMENT9: 0x8CE9;\n    readonly COLOR_ATTACHMENT10: 0x8CEA;\n    readonly COLOR_ATTACHMENT11: 0x8CEB;\n    readonly COLOR_ATTACHMENT12: 0x8CEC;\n    readonly COLOR_ATTACHMENT13: 0x8CED;\n    readonly COLOR_ATTACHMENT14: 0x8CEE;\n    readonly COLOR_ATTACHMENT15: 0x8CEF;\n    readonly FRAMEBUFFER_INCOMPLETE_MULTISAMPLE: 0x8D56;\n    readonly MAX_SAMPLES: 0x8D57;\n    readonly HALF_FLOAT: 0x140B;\n    readonly RG: 0x8227;\n    readonly RG_INTEGER: 0x8228;\n    readonly R8: 0x8229;\n    readonly RG8: 0x822B;\n    readonly R16F: 0x822D;\n    readonly R32F: 0x822E;\n    readonly RG16F: 0x822F;\n    readonly RG32F: 0x8230;\n    readonly R8I: 0x8231;\n    readonly R8UI: 0x8232;\n    readonly R16I: 0x8233;\n    readonly R16UI: 0x8234;\n    readonly R32I: 0x8235;\n    readonly R32UI: 0x8236;\n    readonly RG8I: 0x8237;\n    readonly RG8UI: 0x8238;\n    readonly RG16I: 0x8239;\n    readonly RG16UI: 0x823A;\n    readonly RG32I: 0x823B;\n    readonly RG32UI: 0x823C;\n    readonly VERTEX_ARRAY_BINDING: 0x85B5;\n    readonly R8_SNORM: 0x8F94;\n    readonly RG8_SNORM: 0x8F95;\n    readonly RGB8_SNORM: 0x8F96;\n    readonly RGBA8_SNORM: 0x8F97;\n    readonly SIGNED_NORMALIZED: 0x8F9C;\n    readonly COPY_READ_BUFFER: 0x8F36;\n    readonly COPY_WRITE_BUFFER: 0x8F37;\n    readonly COPY_READ_BUFFER_BINDING: 0x8F36;\n    readonly COPY_WRITE_BUFFER_BINDING: 0x8F37;\n    readonly UNIFORM_BUFFER: 0x8A11;\n    readonly UNIFORM_BUFFER_BINDING: 0x8A28;\n    readonly UNIFORM_BUFFER_START: 0x8A29;\n    readonly UNIFORM_BUFFER_SIZE: 0x8A2A;\n    readonly MAX_VERTEX_UNIFORM_BLOCKS: 0x8A2B;\n    readonly MAX_FRAGMENT_UNIFORM_BLOCKS: 0x8A2D;\n    readonly MAX_COMBINED_UNIFORM_BLOCKS: 0x8A2E;\n    readonly MAX_UNIFORM_BUFFER_BINDINGS: 0x8A2F;\n    readonly MAX_UNIFORM_BLOCK_SIZE: 0x8A30;\n    readonly MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS: 0x8A31;\n    readonly MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS: 0x8A33;\n    readonly UNIFORM_BUFFER_OFFSET_ALIGNMENT: 0x8A34;\n    readonly ACTIVE_UNIFORM_BLOCKS: 0x8A36;\n    readonly UNIFORM_TYPE: 0x8A37;\n    readonly UNIFORM_SIZE: 0x8A38;\n    readonly UNIFORM_BLOCK_INDEX: 0x8A3A;\n    readonly UNIFORM_OFFSET: 0x8A3B;\n    readonly UNIFORM_ARRAY_STRIDE: 0x8A3C;\n    readonly UNIFORM_MATRIX_STRIDE: 0x8A3D;\n    readonly UNIFORM_IS_ROW_MAJOR: 0x8A3E;\n    readonly UNIFORM_BLOCK_BINDING: 0x8A3F;\n    readonly UNIFORM_BLOCK_DATA_SIZE: 0x8A40;\n    readonly UNIFORM_BLOCK_ACTIVE_UNIFORMS: 0x8A42;\n    readonly UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES: 0x8A43;\n    readonly UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER: 0x8A44;\n    readonly UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER: 0x8A46;\n    readonly INVALID_INDEX: 0xFFFFFFFF;\n    readonly MAX_VERTEX_OUTPUT_COMPONENTS: 0x9122;\n    readonly MAX_FRAGMENT_INPUT_COMPONENTS: 0x9125;\n    readonly MAX_SERVER_WAIT_TIMEOUT: 0x9111;\n    readonly OBJECT_TYPE: 0x9112;\n    readonly SYNC_CONDITION: 0x9113;\n    readonly SYNC_STATUS: 0x9114;\n    readonly SYNC_FLAGS: 0x9115;\n    readonly SYNC_FENCE: 0x9116;\n    readonly SYNC_GPU_COMMANDS_COMPLETE: 0x9117;\n    readonly UNSIGNALED: 0x9118;\n    readonly SIGNALED: 0x9119;\n    readonly ALREADY_SIGNALED: 0x911A;\n    readonly TIMEOUT_EXPIRED: 0x911B;\n    readonly CONDITION_SATISFIED: 0x911C;\n    readonly WAIT_FAILED: 0x911D;\n    readonly SYNC_FLUSH_COMMANDS_BIT: 0x00000001;\n    readonly VERTEX_ATTRIB_ARRAY_DIVISOR: 0x88FE;\n    readonly ANY_SAMPLES_PASSED: 0x8C2F;\n    readonly ANY_SAMPLES_PASSED_CONSERVATIVE: 0x8D6A;\n    readonly SAMPLER_BINDING: 0x8919;\n    readonly RGB10_A2UI: 0x906F;\n    readonly INT_2_10_10_10_REV: 0x8D9F;\n    readonly TRANSFORM_FEEDBACK: 0x8E22;\n    readonly TRANSFORM_FEEDBACK_PAUSED: 0x8E23;\n    readonly TRANSFORM_FEEDBACK_ACTIVE: 0x8E24;\n    readonly TRANSFORM_FEEDBACK_BINDING: 0x8E25;\n    readonly TEXTURE_IMMUTABLE_FORMAT: 0x912F;\n    readonly MAX_ELEMENT_INDEX: 0x8D6B;\n    readonly TEXTURE_IMMUTABLE_LEVELS: 0x82DF;\n    readonly TIMEOUT_IGNORED: -1;\n    readonly MAX_CLIENT_WAIT_TIMEOUT_WEBGL: 0x9247;\n    readonly DEPTH_BUFFER_BIT: 0x00000100;\n    readonly STENCIL_BUFFER_BIT: 0x00000400;\n    readonly COLOR_BUFFER_BIT: 0x00004000;\n    readonly POINTS: 0x0000;\n    readonly LINES: 0x0001;\n    readonly LINE_LOOP: 0x0002;\n    readonly LINE_STRIP: 0x0003;\n    readonly TRIANGLES: 0x0004;\n    readonly TRIANGLE_STRIP: 0x0005;\n    readonly TRIANGLE_FAN: 0x0006;\n    readonly ZERO: 0;\n    readonly ONE: 1;\n    readonly SRC_COLOR: 0x0300;\n    readonly ONE_MINUS_SRC_COLOR: 0x0301;\n    readonly SRC_ALPHA: 0x0302;\n    readonly ONE_MINUS_SRC_ALPHA: 0x0303;\n    readonly DST_ALPHA: 0x0304;\n    readonly ONE_MINUS_DST_ALPHA: 0x0305;\n    readonly DST_COLOR: 0x0306;\n    readonly ONE_MINUS_DST_COLOR: 0x0307;\n    readonly SRC_ALPHA_SATURATE: 0x0308;\n    readonly FUNC_ADD: 0x8006;\n    readonly BLEND_EQUATION: 0x8009;\n    readonly BLEND_EQUATION_RGB: 0x8009;\n    readonly BLEND_EQUATION_ALPHA: 0x883D;\n    readonly FUNC_SUBTRACT: 0x800A;\n    readonly FUNC_REVERSE_SUBTRACT: 0x800B;\n    readonly BLEND_DST_RGB: 0x80C8;\n    readonly BLEND_SRC_RGB: 0x80C9;\n    readonly BLEND_DST_ALPHA: 0x80CA;\n    readonly BLEND_SRC_ALPHA: 0x80CB;\n    readonly CONSTANT_COLOR: 0x8001;\n    readonly ONE_MINUS_CONSTANT_COLOR: 0x8002;\n    readonly CONSTANT_ALPHA: 0x8003;\n    readonly ONE_MINUS_CONSTANT_ALPHA: 0x8004;\n    readonly BLEND_COLOR: 0x8005;\n    readonly ARRAY_BUFFER: 0x8892;\n    readonly ELEMENT_ARRAY_BUFFER: 0x8893;\n    readonly ARRAY_BUFFER_BINDING: 0x8894;\n    readonly ELEMENT_ARRAY_BUFFER_BINDING: 0x8895;\n    readonly STREAM_DRAW: 0x88E0;\n    readonly STATIC_DRAW: 0x88E4;\n    readonly DYNAMIC_DRAW: 0x88E8;\n    readonly BUFFER_SIZE: 0x8764;\n    readonly BUFFER_USAGE: 0x8765;\n    readonly CURRENT_VERTEX_ATTRIB: 0x8626;\n    readonly FRONT: 0x0404;\n    readonly BACK: 0x0405;\n    readonly FRONT_AND_BACK: 0x0408;\n    readonly CULL_FACE: 0x0B44;\n    readonly BLEND: 0x0BE2;\n    readonly DITHER: 0x0BD0;\n    readonly STENCIL_TEST: 0x0B90;\n    readonly DEPTH_TEST: 0x0B71;\n    readonly SCISSOR_TEST: 0x0C11;\n    readonly POLYGON_OFFSET_FILL: 0x8037;\n    readonly SAMPLE_ALPHA_TO_COVERAGE: 0x809E;\n    readonly SAMPLE_COVERAGE: 0x80A0;\n    readonly NO_ERROR: 0;\n    readonly INVALID_ENUM: 0x0500;\n    readonly INVALID_VALUE: 0x0501;\n    readonly INVALID_OPERATION: 0x0502;\n    readonly OUT_OF_MEMORY: 0x0505;\n    readonly CW: 0x0900;\n    readonly CCW: 0x0901;\n    readonly LINE_WIDTH: 0x0B21;\n    readonly ALIASED_POINT_SIZE_RANGE: 0x846D;\n    readonly ALIASED_LINE_WIDTH_RANGE: 0x846E;\n    readonly CULL_FACE_MODE: 0x0B45;\n    readonly FRONT_FACE: 0x0B46;\n    readonly DEPTH_RANGE: 0x0B70;\n    readonly DEPTH_WRITEMASK: 0x0B72;\n    readonly DEPTH_CLEAR_VALUE: 0x0B73;\n    readonly DEPTH_FUNC: 0x0B74;\n    readonly STENCIL_CLEAR_VALUE: 0x0B91;\n    readonly STENCIL_FUNC: 0x0B92;\n    readonly STENCIL_FAIL: 0x0B94;\n    readonly STENCIL_PASS_DEPTH_FAIL: 0x0B95;\n    readonly STENCIL_PASS_DEPTH_PASS: 0x0B96;\n    readonly STENCIL_REF: 0x0B97;\n    readonly STENCIL_VALUE_MASK: 0x0B93;\n    readonly STENCIL_WRITEMASK: 0x0B98;\n    readonly STENCIL_BACK_FUNC: 0x8800;\n    readonly STENCIL_BACK_FAIL: 0x8801;\n    readonly STENCIL_BACK_PASS_DEPTH_FAIL: 0x8802;\n    readonly STENCIL_BACK_PASS_DEPTH_PASS: 0x8803;\n    readonly STENCIL_BACK_REF: 0x8CA3;\n    readonly STENCIL_BACK_VALUE_MASK: 0x8CA4;\n    readonly STENCIL_BACK_WRITEMASK: 0x8CA5;\n    readonly VIEWPORT: 0x0BA2;\n    readonly SCISSOR_BOX: 0x0C10;\n    readonly COLOR_CLEAR_VALUE: 0x0C22;\n    readonly COLOR_WRITEMASK: 0x0C23;\n    readonly UNPACK_ALIGNMENT: 0x0CF5;\n    readonly PACK_ALIGNMENT: 0x0D05;\n    readonly MAX_TEXTURE_SIZE: 0x0D33;\n    readonly MAX_VIEWPORT_DIMS: 0x0D3A;\n    readonly SUBPIXEL_BITS: 0x0D50;\n    readonly RED_BITS: 0x0D52;\n    readonly GREEN_BITS: 0x0D53;\n    readonly BLUE_BITS: 0x0D54;\n    readonly ALPHA_BITS: 0x0D55;\n    readonly DEPTH_BITS: 0x0D56;\n    readonly STENCIL_BITS: 0x0D57;\n    readonly POLYGON_OFFSET_UNITS: 0x2A00;\n    readonly POLYGON_OFFSET_FACTOR: 0x8038;\n    readonly TEXTURE_BINDING_2D: 0x8069;\n    readonly SAMPLE_BUFFERS: 0x80A8;\n    readonly SAMPLES: 0x80A9;\n    readonly SAMPLE_COVERAGE_VALUE: 0x80AA;\n    readonly SAMPLE_COVERAGE_INVERT: 0x80AB;\n    readonly COMPRESSED_TEXTURE_FORMATS: 0x86A3;\n    readonly DONT_CARE: 0x1100;\n    readonly FASTEST: 0x1101;\n    readonly NICEST: 0x1102;\n    readonly GENERATE_MIPMAP_HINT: 0x8192;\n    readonly BYTE: 0x1400;\n    readonly UNSIGNED_BYTE: 0x1401;\n    readonly SHORT: 0x1402;\n    readonly UNSIGNED_SHORT: 0x1403;\n    readonly INT: 0x1404;\n    readonly UNSIGNED_INT: 0x1405;\n    readonly FLOAT: 0x1406;\n    readonly DEPTH_COMPONENT: 0x1902;\n    readonly ALPHA: 0x1906;\n    readonly RGB: 0x1907;\n    readonly RGBA: 0x1908;\n    readonly LUMINANCE: 0x1909;\n    readonly LUMINANCE_ALPHA: 0x190A;\n    readonly UNSIGNED_SHORT_4_4_4_4: 0x8033;\n    readonly UNSIGNED_SHORT_5_5_5_1: 0x8034;\n    readonly UNSIGNED_SHORT_5_6_5: 0x8363;\n    readonly FRAGMENT_SHADER: 0x8B30;\n    readonly VERTEX_SHADER: 0x8B31;\n    readonly MAX_VERTEX_ATTRIBS: 0x8869;\n    readonly MAX_VERTEX_UNIFORM_VECTORS: 0x8DFB;\n    readonly MAX_VARYING_VECTORS: 0x8DFC;\n    readonly MAX_COMBINED_TEXTURE_IMAGE_UNITS: 0x8B4D;\n    readonly MAX_VERTEX_TEXTURE_IMAGE_UNITS: 0x8B4C;\n    readonly MAX_TEXTURE_IMAGE_UNITS: 0x8872;\n    readonly MAX_FRAGMENT_UNIFORM_VECTORS: 0x8DFD;\n    readonly SHADER_TYPE: 0x8B4F;\n    readonly DELETE_STATUS: 0x8B80;\n    readonly LINK_STATUS: 0x8B82;\n    readonly VALIDATE_STATUS: 0x8B83;\n    readonly ATTACHED_SHADERS: 0x8B85;\n    readonly ACTIVE_UNIFORMS: 0x8B86;\n    readonly ACTIVE_ATTRIBUTES: 0x8B89;\n    readonly SHADING_LANGUAGE_VERSION: 0x8B8C;\n    readonly CURRENT_PROGRAM: 0x8B8D;\n    readonly NEVER: 0x0200;\n    readonly LESS: 0x0201;\n    readonly EQUAL: 0x0202;\n    readonly LEQUAL: 0x0203;\n    readonly GREATER: 0x0204;\n    readonly NOTEQUAL: 0x0205;\n    readonly GEQUAL: 0x0206;\n    readonly ALWAYS: 0x0207;\n    readonly KEEP: 0x1E00;\n    readonly REPLACE: 0x1E01;\n    readonly INCR: 0x1E02;\n    readonly DECR: 0x1E03;\n    readonly INVERT: 0x150A;\n    readonly INCR_WRAP: 0x8507;\n    readonly DECR_WRAP: 0x8508;\n    readonly VENDOR: 0x1F00;\n    readonly RENDERER: 0x1F01;\n    readonly VERSION: 0x1F02;\n    readonly NEAREST: 0x2600;\n    readonly LINEAR: 0x2601;\n    readonly NEAREST_MIPMAP_NEAREST: 0x2700;\n    readonly LINEAR_MIPMAP_NEAREST: 0x2701;\n    readonly NEAREST_MIPMAP_LINEAR: 0x2702;\n    readonly LINEAR_MIPMAP_LINEAR: 0x2703;\n    readonly TEXTURE_MAG_FILTER: 0x2800;\n    readonly TEXTURE_MIN_FILTER: 0x2801;\n    readonly TEXTURE_WRAP_S: 0x2802;\n    readonly TEXTURE_WRAP_T: 0x2803;\n    readonly TEXTURE_2D: 0x0DE1;\n    readonly TEXTURE: 0x1702;\n    readonly TEXTURE_CUBE_MAP: 0x8513;\n    readonly TEXTURE_BINDING_CUBE_MAP: 0x8514;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_X: 0x8515;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_X: 0x8516;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Y: 0x8517;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Y: 0x8518;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Z: 0x8519;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Z: 0x851A;\n    readonly MAX_CUBE_MAP_TEXTURE_SIZE: 0x851C;\n    readonly TEXTURE0: 0x84C0;\n    readonly TEXTURE1: 0x84C1;\n    readonly TEXTURE2: 0x84C2;\n    readonly TEXTURE3: 0x84C3;\n    readonly TEXTURE4: 0x84C4;\n    readonly TEXTURE5: 0x84C5;\n    readonly TEXTURE6: 0x84C6;\n    readonly TEXTURE7: 0x84C7;\n    readonly TEXTURE8: 0x84C8;\n    readonly TEXTURE9: 0x84C9;\n    readonly TEXTURE10: 0x84CA;\n    readonly TEXTURE11: 0x84CB;\n    readonly TEXTURE12: 0x84CC;\n    readonly TEXTURE13: 0x84CD;\n    readonly TEXTURE14: 0x84CE;\n    readonly TEXTURE15: 0x84CF;\n    readonly TEXTURE16: 0x84D0;\n    readonly TEXTURE17: 0x84D1;\n    readonly TEXTURE18: 0x84D2;\n    readonly TEXTURE19: 0x84D3;\n    readonly TEXTURE20: 0x84D4;\n    readonly TEXTURE21: 0x84D5;\n    readonly TEXTURE22: 0x84D6;\n    readonly TEXTURE23: 0x84D7;\n    readonly TEXTURE24: 0x84D8;\n    readonly TEXTURE25: 0x84D9;\n    readonly TEXTURE26: 0x84DA;\n    readonly TEXTURE27: 0x84DB;\n    readonly TEXTURE28: 0x84DC;\n    readonly TEXTURE29: 0x84DD;\n    readonly TEXTURE30: 0x84DE;\n    readonly TEXTURE31: 0x84DF;\n    readonly ACTIVE_TEXTURE: 0x84E0;\n    readonly REPEAT: 0x2901;\n    readonly CLAMP_TO_EDGE: 0x812F;\n    readonly MIRRORED_REPEAT: 0x8370;\n    readonly FLOAT_VEC2: 0x8B50;\n    readonly FLOAT_VEC3: 0x8B51;\n    readonly FLOAT_VEC4: 0x8B52;\n    readonly INT_VEC2: 0x8B53;\n    readonly INT_VEC3: 0x8B54;\n    readonly INT_VEC4: 0x8B55;\n    readonly BOOL: 0x8B56;\n    readonly BOOL_VEC2: 0x8B57;\n    readonly BOOL_VEC3: 0x8B58;\n    readonly BOOL_VEC4: 0x8B59;\n    readonly FLOAT_MAT2: 0x8B5A;\n    readonly FLOAT_MAT3: 0x8B5B;\n    readonly FLOAT_MAT4: 0x8B5C;\n    readonly SAMPLER_2D: 0x8B5E;\n    readonly SAMPLER_CUBE: 0x8B60;\n    readonly VERTEX_ATTRIB_ARRAY_ENABLED: 0x8622;\n    readonly VERTEX_ATTRIB_ARRAY_SIZE: 0x8623;\n    readonly VERTEX_ATTRIB_ARRAY_STRIDE: 0x8624;\n    readonly VERTEX_ATTRIB_ARRAY_TYPE: 0x8625;\n    readonly VERTEX_ATTRIB_ARRAY_NORMALIZED: 0x886A;\n    readonly VERTEX_ATTRIB_ARRAY_POINTER: 0x8645;\n    readonly VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: 0x889F;\n    readonly IMPLEMENTATION_COLOR_READ_TYPE: 0x8B9A;\n    readonly IMPLEMENTATION_COLOR_READ_FORMAT: 0x8B9B;\n    readonly COMPILE_STATUS: 0x8B81;\n    readonly LOW_FLOAT: 0x8DF0;\n    readonly MEDIUM_FLOAT: 0x8DF1;\n    readonly HIGH_FLOAT: 0x8DF2;\n    readonly LOW_INT: 0x8DF3;\n    readonly MEDIUM_INT: 0x8DF4;\n    readonly HIGH_INT: 0x8DF5;\n    readonly FRAMEBUFFER: 0x8D40;\n    readonly RENDERBUFFER: 0x8D41;\n    readonly RGBA4: 0x8056;\n    readonly RGB5_A1: 0x8057;\n    readonly RGBA8: 0x8058;\n    readonly RGB565: 0x8D62;\n    readonly DEPTH_COMPONENT16: 0x81A5;\n    readonly STENCIL_INDEX8: 0x8D48;\n    readonly DEPTH_STENCIL: 0x84F9;\n    readonly RENDERBUFFER_WIDTH: 0x8D42;\n    readonly RENDERBUFFER_HEIGHT: 0x8D43;\n    readonly RENDERBUFFER_INTERNAL_FORMAT: 0x8D44;\n    readonly RENDERBUFFER_RED_SIZE: 0x8D50;\n    readonly RENDERBUFFER_GREEN_SIZE: 0x8D51;\n    readonly RENDERBUFFER_BLUE_SIZE: 0x8D52;\n    readonly RENDERBUFFER_ALPHA_SIZE: 0x8D53;\n    readonly RENDERBUFFER_DEPTH_SIZE: 0x8D54;\n    readonly RENDERBUFFER_STENCIL_SIZE: 0x8D55;\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: 0x8CD0;\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: 0x8CD1;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: 0x8CD2;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: 0x8CD3;\n    readonly COLOR_ATTACHMENT0: 0x8CE0;\n    readonly DEPTH_ATTACHMENT: 0x8D00;\n    readonly STENCIL_ATTACHMENT: 0x8D20;\n    readonly DEPTH_STENCIL_ATTACHMENT: 0x821A;\n    readonly NONE: 0;\n    readonly FRAMEBUFFER_COMPLETE: 0x8CD5;\n    readonly FRAMEBUFFER_INCOMPLETE_ATTACHMENT: 0x8CD6;\n    readonly FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: 0x8CD7;\n    readonly FRAMEBUFFER_INCOMPLETE_DIMENSIONS: 0x8CD9;\n    readonly FRAMEBUFFER_UNSUPPORTED: 0x8CDD;\n    readonly FRAMEBUFFER_BINDING: 0x8CA6;\n    readonly RENDERBUFFER_BINDING: 0x8CA7;\n    readonly MAX_RENDERBUFFER_SIZE: 0x84E8;\n    readonly INVALID_FRAMEBUFFER_OPERATION: 0x0506;\n    readonly UNPACK_FLIP_Y_WEBGL: 0x9240;\n    readonly UNPACK_PREMULTIPLY_ALPHA_WEBGL: 0x9241;\n    readonly CONTEXT_LOST_WEBGL: 0x9242;\n    readonly UNPACK_COLORSPACE_CONVERSION_WEBGL: 0x9243;\n    readonly BROWSER_DEFAULT_WEBGL: 0x9244;\n};\n\ninterface WebGL2RenderingContextBase {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/beginQuery) */\n    beginQuery(target: GLenum, query: WebGLQuery): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/beginTransformFeedback) */\n    beginTransformFeedback(primitiveMode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/bindBufferBase) */\n    bindBufferBase(target: GLenum, index: GLuint, buffer: WebGLBuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/bindBufferRange) */\n    bindBufferRange(target: GLenum, index: GLuint, buffer: WebGLBuffer | null, offset: GLintptr, size: GLsizeiptr): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/bindSampler) */\n    bindSampler(unit: GLuint, sampler: WebGLSampler | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/bindTransformFeedback) */\n    bindTransformFeedback(target: GLenum, tf: WebGLTransformFeedback | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/bindVertexArray) */\n    bindVertexArray(array: WebGLVertexArrayObject | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/blitFramebuffer) */\n    blitFramebuffer(srcX0: GLint, srcY0: GLint, srcX1: GLint, srcY1: GLint, dstX0: GLint, dstY0: GLint, dstX1: GLint, dstY1: GLint, mask: GLbitfield, filter: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferfi(buffer: GLenum, drawbuffer: GLint, depth: GLfloat, stencil: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferfv(buffer: GLenum, drawbuffer: GLint, values: Float32List, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferiv(buffer: GLenum, drawbuffer: GLint, values: Int32List, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferuiv(buffer: GLenum, drawbuffer: GLint, values: Uint32List, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clientWaitSync) */\n    clientWaitSync(sync: WebGLSync, flags: GLbitfield, timeout: GLuint64): GLenum;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/compressedTexImage3D) */\n    compressedTexImage3D(target: GLenum, level: GLint, internalformat: GLenum, width: GLsizei, height: GLsizei, depth: GLsizei, border: GLint, imageSize: GLsizei, offset: GLintptr): void;\n    compressedTexImage3D(target: GLenum, level: GLint, internalformat: GLenum, width: GLsizei, height: GLsizei, depth: GLsizei, border: GLint, srcData: ArrayBufferView, srcOffset?: number, srcLengthOverride?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/compressedTexSubImage3D) */\n    compressedTexSubImage3D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, zoffset: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, format: GLenum, imageSize: GLsizei, offset: GLintptr): void;\n    compressedTexSubImage3D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, zoffset: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, format: GLenum, srcData: ArrayBufferView, srcOffset?: number, srcLengthOverride?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/copyBufferSubData) */\n    copyBufferSubData(readTarget: GLenum, writeTarget: GLenum, readOffset: GLintptr, writeOffset: GLintptr, size: GLsizeiptr): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/copyTexSubImage3D) */\n    copyTexSubImage3D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, zoffset: GLint, x: GLint, y: GLint, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/createQuery) */\n    createQuery(): WebGLQuery | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/createSampler) */\n    createSampler(): WebGLSampler | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/createTransformFeedback) */\n    createTransformFeedback(): WebGLTransformFeedback | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/createVertexArray) */\n    createVertexArray(): WebGLVertexArrayObject | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/deleteQuery) */\n    deleteQuery(query: WebGLQuery | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/deleteSampler) */\n    deleteSampler(sampler: WebGLSampler | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/deleteSync) */\n    deleteSync(sync: WebGLSync | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/deleteTransformFeedback) */\n    deleteTransformFeedback(tf: WebGLTransformFeedback | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/deleteVertexArray) */\n    deleteVertexArray(vertexArray: WebGLVertexArrayObject | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/drawArraysInstanced) */\n    drawArraysInstanced(mode: GLenum, first: GLint, count: GLsizei, instanceCount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/drawBuffers) */\n    drawBuffers(buffers: GLenum[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/drawElementsInstanced) */\n    drawElementsInstanced(mode: GLenum, count: GLsizei, type: GLenum, offset: GLintptr, instanceCount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/drawRangeElements) */\n    drawRangeElements(mode: GLenum, start: GLuint, end: GLuint, count: GLsizei, type: GLenum, offset: GLintptr): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/endQuery) */\n    endQuery(target: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/endTransformFeedback) */\n    endTransformFeedback(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/fenceSync) */\n    fenceSync(condition: GLenum, flags: GLbitfield): WebGLSync | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/framebufferTextureLayer) */\n    framebufferTextureLayer(target: GLenum, attachment: GLenum, texture: WebGLTexture | null, level: GLint, layer: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getActiveUniformBlockName) */\n    getActiveUniformBlockName(program: WebGLProgram, uniformBlockIndex: GLuint): string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getActiveUniformBlockParameter) */\n    getActiveUniformBlockParameter(program: WebGLProgram, uniformBlockIndex: GLuint, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getActiveUniforms) */\n    getActiveUniforms(program: WebGLProgram, uniformIndices: GLuint[], pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getBufferSubData) */\n    getBufferSubData(target: GLenum, srcByteOffset: GLintptr, dstBuffer: ArrayBufferView, dstOffset?: number, length?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getFragDataLocation) */\n    getFragDataLocation(program: WebGLProgram, name: string): GLint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getIndexedParameter) */\n    getIndexedParameter(target: GLenum, index: GLuint): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getInternalformatParameter) */\n    getInternalformatParameter(target: GLenum, internalformat: GLenum, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getQuery) */\n    getQuery(target: GLenum, pname: GLenum): WebGLQuery | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getQueryParameter) */\n    getQueryParameter(query: WebGLQuery, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getSamplerParameter) */\n    getSamplerParameter(sampler: WebGLSampler, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getSyncParameter) */\n    getSyncParameter(sync: WebGLSync, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getTransformFeedbackVarying) */\n    getTransformFeedbackVarying(program: WebGLProgram, index: GLuint): WebGLActiveInfo | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getUniformBlockIndex) */\n    getUniformBlockIndex(program: WebGLProgram, uniformBlockName: string): GLuint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getUniformIndices) */\n    getUniformIndices(program: WebGLProgram, uniformNames: string[]): GLuint[] | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/invalidateFramebuffer) */\n    invalidateFramebuffer(target: GLenum, attachments: GLenum[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/invalidateSubFramebuffer) */\n    invalidateSubFramebuffer(target: GLenum, attachments: GLenum[], x: GLint, y: GLint, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/isQuery) */\n    isQuery(query: WebGLQuery | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/isSampler) */\n    isSampler(sampler: WebGLSampler | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/isSync) */\n    isSync(sync: WebGLSync | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/isTransformFeedback) */\n    isTransformFeedback(tf: WebGLTransformFeedback | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/isVertexArray) */\n    isVertexArray(vertexArray: WebGLVertexArrayObject | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/pauseTransformFeedback) */\n    pauseTransformFeedback(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/readBuffer) */\n    readBuffer(src: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/renderbufferStorageMultisample) */\n    renderbufferStorageMultisample(target: GLenum, samples: GLsizei, internalformat: GLenum, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/resumeTransformFeedback) */\n    resumeTransformFeedback(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/samplerParameter) */\n    samplerParameterf(sampler: WebGLSampler, pname: GLenum, param: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/samplerParameter) */\n    samplerParameteri(sampler: WebGLSampler, pname: GLenum, param: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/texImage3D) */\n    texImage3D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, border: GLint, format: GLenum, type: GLenum, pboOffset: GLintptr): void;\n    texImage3D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, border: GLint, format: GLenum, type: GLenum, source: TexImageSource): void;\n    texImage3D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, border: GLint, format: GLenum, type: GLenum, srcData: ArrayBufferView | null): void;\n    texImage3D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, border: GLint, format: GLenum, type: GLenum, srcData: ArrayBufferView, srcOffset: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/texStorage2D) */\n    texStorage2D(target: GLenum, levels: GLsizei, internalformat: GLenum, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/texStorage3D) */\n    texStorage3D(target: GLenum, levels: GLsizei, internalformat: GLenum, width: GLsizei, height: GLsizei, depth: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/texSubImage3D) */\n    texSubImage3D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, zoffset: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, format: GLenum, type: GLenum, pboOffset: GLintptr): void;\n    texSubImage3D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, zoffset: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, format: GLenum, type: GLenum, source: TexImageSource): void;\n    texSubImage3D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, zoffset: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, format: GLenum, type: GLenum, srcData: ArrayBufferView | null, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/transformFeedbackVaryings) */\n    transformFeedbackVaryings(program: WebGLProgram, varyings: string[], bufferMode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform1ui(location: WebGLUniformLocation | null, v0: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform1uiv(location: WebGLUniformLocation | null, data: Uint32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform2ui(location: WebGLUniformLocation | null, v0: GLuint, v1: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform2uiv(location: WebGLUniformLocation | null, data: Uint32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform3ui(location: WebGLUniformLocation | null, v0: GLuint, v1: GLuint, v2: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform3uiv(location: WebGLUniformLocation | null, data: Uint32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform4ui(location: WebGLUniformLocation | null, v0: GLuint, v1: GLuint, v2: GLuint, v3: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform4uiv(location: WebGLUniformLocation | null, data: Uint32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformBlockBinding) */\n    uniformBlockBinding(program: WebGLProgram, uniformBlockIndex: GLuint, uniformBlockBinding: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix2x3fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix2x4fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix3x2fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix3x4fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix4x2fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix4x3fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribDivisor) */\n    vertexAttribDivisor(index: GLuint, divisor: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribI) */\n    vertexAttribI4i(index: GLuint, x: GLint, y: GLint, z: GLint, w: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribI) */\n    vertexAttribI4iv(index: GLuint, values: Int32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribI) */\n    vertexAttribI4ui(index: GLuint, x: GLuint, y: GLuint, z: GLuint, w: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribI) */\n    vertexAttribI4uiv(index: GLuint, values: Uint32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribIPointer) */\n    vertexAttribIPointer(index: GLuint, size: GLint, type: GLenum, stride: GLsizei, offset: GLintptr): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/waitSync) */\n    waitSync(sync: WebGLSync, flags: GLbitfield, timeout: GLint64): void;\n    readonly READ_BUFFER: 0x0C02;\n    readonly UNPACK_ROW_LENGTH: 0x0CF2;\n    readonly UNPACK_SKIP_ROWS: 0x0CF3;\n    readonly UNPACK_SKIP_PIXELS: 0x0CF4;\n    readonly PACK_ROW_LENGTH: 0x0D02;\n    readonly PACK_SKIP_ROWS: 0x0D03;\n    readonly PACK_SKIP_PIXELS: 0x0D04;\n    readonly COLOR: 0x1800;\n    readonly DEPTH: 0x1801;\n    readonly STENCIL: 0x1802;\n    readonly RED: 0x1903;\n    readonly RGB8: 0x8051;\n    readonly RGB10_A2: 0x8059;\n    readonly TEXTURE_BINDING_3D: 0x806A;\n    readonly UNPACK_SKIP_IMAGES: 0x806D;\n    readonly UNPACK_IMAGE_HEIGHT: 0x806E;\n    readonly TEXTURE_3D: 0x806F;\n    readonly TEXTURE_WRAP_R: 0x8072;\n    readonly MAX_3D_TEXTURE_SIZE: 0x8073;\n    readonly UNSIGNED_INT_2_10_10_10_REV: 0x8368;\n    readonly MAX_ELEMENTS_VERTICES: 0x80E8;\n    readonly MAX_ELEMENTS_INDICES: 0x80E9;\n    readonly TEXTURE_MIN_LOD: 0x813A;\n    readonly TEXTURE_MAX_LOD: 0x813B;\n    readonly TEXTURE_BASE_LEVEL: 0x813C;\n    readonly TEXTURE_MAX_LEVEL: 0x813D;\n    readonly MIN: 0x8007;\n    readonly MAX: 0x8008;\n    readonly DEPTH_COMPONENT24: 0x81A6;\n    readonly MAX_TEXTURE_LOD_BIAS: 0x84FD;\n    readonly TEXTURE_COMPARE_MODE: 0x884C;\n    readonly TEXTURE_COMPARE_FUNC: 0x884D;\n    readonly CURRENT_QUERY: 0x8865;\n    readonly QUERY_RESULT: 0x8866;\n    readonly QUERY_RESULT_AVAILABLE: 0x8867;\n    readonly STREAM_READ: 0x88E1;\n    readonly STREAM_COPY: 0x88E2;\n    readonly STATIC_READ: 0x88E5;\n    readonly STATIC_COPY: 0x88E6;\n    readonly DYNAMIC_READ: 0x88E9;\n    readonly DYNAMIC_COPY: 0x88EA;\n    readonly MAX_DRAW_BUFFERS: 0x8824;\n    readonly DRAW_BUFFER0: 0x8825;\n    readonly DRAW_BUFFER1: 0x8826;\n    readonly DRAW_BUFFER2: 0x8827;\n    readonly DRAW_BUFFER3: 0x8828;\n    readonly DRAW_BUFFER4: 0x8829;\n    readonly DRAW_BUFFER5: 0x882A;\n    readonly DRAW_BUFFER6: 0x882B;\n    readonly DRAW_BUFFER7: 0x882C;\n    readonly DRAW_BUFFER8: 0x882D;\n    readonly DRAW_BUFFER9: 0x882E;\n    readonly DRAW_BUFFER10: 0x882F;\n    readonly DRAW_BUFFER11: 0x8830;\n    readonly DRAW_BUFFER12: 0x8831;\n    readonly DRAW_BUFFER13: 0x8832;\n    readonly DRAW_BUFFER14: 0x8833;\n    readonly DRAW_BUFFER15: 0x8834;\n    readonly MAX_FRAGMENT_UNIFORM_COMPONENTS: 0x8B49;\n    readonly MAX_VERTEX_UNIFORM_COMPONENTS: 0x8B4A;\n    readonly SAMPLER_3D: 0x8B5F;\n    readonly SAMPLER_2D_SHADOW: 0x8B62;\n    readonly FRAGMENT_SHADER_DERIVATIVE_HINT: 0x8B8B;\n    readonly PIXEL_PACK_BUFFER: 0x88EB;\n    readonly PIXEL_UNPACK_BUFFER: 0x88EC;\n    readonly PIXEL_PACK_BUFFER_BINDING: 0x88ED;\n    readonly PIXEL_UNPACK_BUFFER_BINDING: 0x88EF;\n    readonly FLOAT_MAT2x3: 0x8B65;\n    readonly FLOAT_MAT2x4: 0x8B66;\n    readonly FLOAT_MAT3x2: 0x8B67;\n    readonly FLOAT_MAT3x4: 0x8B68;\n    readonly FLOAT_MAT4x2: 0x8B69;\n    readonly FLOAT_MAT4x3: 0x8B6A;\n    readonly SRGB: 0x8C40;\n    readonly SRGB8: 0x8C41;\n    readonly SRGB8_ALPHA8: 0x8C43;\n    readonly COMPARE_REF_TO_TEXTURE: 0x884E;\n    readonly RGBA32F: 0x8814;\n    readonly RGB32F: 0x8815;\n    readonly RGBA16F: 0x881A;\n    readonly RGB16F: 0x881B;\n    readonly VERTEX_ATTRIB_ARRAY_INTEGER: 0x88FD;\n    readonly MAX_ARRAY_TEXTURE_LAYERS: 0x88FF;\n    readonly MIN_PROGRAM_TEXEL_OFFSET: 0x8904;\n    readonly MAX_PROGRAM_TEXEL_OFFSET: 0x8905;\n    readonly MAX_VARYING_COMPONENTS: 0x8B4B;\n    readonly TEXTURE_2D_ARRAY: 0x8C1A;\n    readonly TEXTURE_BINDING_2D_ARRAY: 0x8C1D;\n    readonly R11F_G11F_B10F: 0x8C3A;\n    readonly UNSIGNED_INT_10F_11F_11F_REV: 0x8C3B;\n    readonly RGB9_E5: 0x8C3D;\n    readonly UNSIGNED_INT_5_9_9_9_REV: 0x8C3E;\n    readonly TRANSFORM_FEEDBACK_BUFFER_MODE: 0x8C7F;\n    readonly MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS: 0x8C80;\n    readonly TRANSFORM_FEEDBACK_VARYINGS: 0x8C83;\n    readonly TRANSFORM_FEEDBACK_BUFFER_START: 0x8C84;\n    readonly TRANSFORM_FEEDBACK_BUFFER_SIZE: 0x8C85;\n    readonly TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN: 0x8C88;\n    readonly RASTERIZER_DISCARD: 0x8C89;\n    readonly MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS: 0x8C8A;\n    readonly MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS: 0x8C8B;\n    readonly INTERLEAVED_ATTRIBS: 0x8C8C;\n    readonly SEPARATE_ATTRIBS: 0x8C8D;\n    readonly TRANSFORM_FEEDBACK_BUFFER: 0x8C8E;\n    readonly TRANSFORM_FEEDBACK_BUFFER_BINDING: 0x8C8F;\n    readonly RGBA32UI: 0x8D70;\n    readonly RGB32UI: 0x8D71;\n    readonly RGBA16UI: 0x8D76;\n    readonly RGB16UI: 0x8D77;\n    readonly RGBA8UI: 0x8D7C;\n    readonly RGB8UI: 0x8D7D;\n    readonly RGBA32I: 0x8D82;\n    readonly RGB32I: 0x8D83;\n    readonly RGBA16I: 0x8D88;\n    readonly RGB16I: 0x8D89;\n    readonly RGBA8I: 0x8D8E;\n    readonly RGB8I: 0x8D8F;\n    readonly RED_INTEGER: 0x8D94;\n    readonly RGB_INTEGER: 0x8D98;\n    readonly RGBA_INTEGER: 0x8D99;\n    readonly SAMPLER_2D_ARRAY: 0x8DC1;\n    readonly SAMPLER_2D_ARRAY_SHADOW: 0x8DC4;\n    readonly SAMPLER_CUBE_SHADOW: 0x8DC5;\n    readonly UNSIGNED_INT_VEC2: 0x8DC6;\n    readonly UNSIGNED_INT_VEC3: 0x8DC7;\n    readonly UNSIGNED_INT_VEC4: 0x8DC8;\n    readonly INT_SAMPLER_2D: 0x8DCA;\n    readonly INT_SAMPLER_3D: 0x8DCB;\n    readonly INT_SAMPLER_CUBE: 0x8DCC;\n    readonly INT_SAMPLER_2D_ARRAY: 0x8DCF;\n    readonly UNSIGNED_INT_SAMPLER_2D: 0x8DD2;\n    readonly UNSIGNED_INT_SAMPLER_3D: 0x8DD3;\n    readonly UNSIGNED_INT_SAMPLER_CUBE: 0x8DD4;\n    readonly UNSIGNED_INT_SAMPLER_2D_ARRAY: 0x8DD7;\n    readonly DEPTH_COMPONENT32F: 0x8CAC;\n    readonly DEPTH32F_STENCIL8: 0x8CAD;\n    readonly FLOAT_32_UNSIGNED_INT_24_8_REV: 0x8DAD;\n    readonly FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING: 0x8210;\n    readonly FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE: 0x8211;\n    readonly FRAMEBUFFER_ATTACHMENT_RED_SIZE: 0x8212;\n    readonly FRAMEBUFFER_ATTACHMENT_GREEN_SIZE: 0x8213;\n    readonly FRAMEBUFFER_ATTACHMENT_BLUE_SIZE: 0x8214;\n    readonly FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE: 0x8215;\n    readonly FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE: 0x8216;\n    readonly FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE: 0x8217;\n    readonly FRAMEBUFFER_DEFAULT: 0x8218;\n    readonly UNSIGNED_INT_24_8: 0x84FA;\n    readonly DEPTH24_STENCIL8: 0x88F0;\n    readonly UNSIGNED_NORMALIZED: 0x8C17;\n    readonly DRAW_FRAMEBUFFER_BINDING: 0x8CA6;\n    readonly READ_FRAMEBUFFER: 0x8CA8;\n    readonly DRAW_FRAMEBUFFER: 0x8CA9;\n    readonly READ_FRAMEBUFFER_BINDING: 0x8CAA;\n    readonly RENDERBUFFER_SAMPLES: 0x8CAB;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER: 0x8CD4;\n    readonly MAX_COLOR_ATTACHMENTS: 0x8CDF;\n    readonly COLOR_ATTACHMENT1: 0x8CE1;\n    readonly COLOR_ATTACHMENT2: 0x8CE2;\n    readonly COLOR_ATTACHMENT3: 0x8CE3;\n    readonly COLOR_ATTACHMENT4: 0x8CE4;\n    readonly COLOR_ATTACHMENT5: 0x8CE5;\n    readonly COLOR_ATTACHMENT6: 0x8CE6;\n    readonly COLOR_ATTACHMENT7: 0x8CE7;\n    readonly COLOR_ATTACHMENT8: 0x8CE8;\n    readonly COLOR_ATTACHMENT9: 0x8CE9;\n    readonly COLOR_ATTACHMENT10: 0x8CEA;\n    readonly COLOR_ATTACHMENT11: 0x8CEB;\n    readonly COLOR_ATTACHMENT12: 0x8CEC;\n    readonly COLOR_ATTACHMENT13: 0x8CED;\n    readonly COLOR_ATTACHMENT14: 0x8CEE;\n    readonly COLOR_ATTACHMENT15: 0x8CEF;\n    readonly FRAMEBUFFER_INCOMPLETE_MULTISAMPLE: 0x8D56;\n    readonly MAX_SAMPLES: 0x8D57;\n    readonly HALF_FLOAT: 0x140B;\n    readonly RG: 0x8227;\n    readonly RG_INTEGER: 0x8228;\n    readonly R8: 0x8229;\n    readonly RG8: 0x822B;\n    readonly R16F: 0x822D;\n    readonly R32F: 0x822E;\n    readonly RG16F: 0x822F;\n    readonly RG32F: 0x8230;\n    readonly R8I: 0x8231;\n    readonly R8UI: 0x8232;\n    readonly R16I: 0x8233;\n    readonly R16UI: 0x8234;\n    readonly R32I: 0x8235;\n    readonly R32UI: 0x8236;\n    readonly RG8I: 0x8237;\n    readonly RG8UI: 0x8238;\n    readonly RG16I: 0x8239;\n    readonly RG16UI: 0x823A;\n    readonly RG32I: 0x823B;\n    readonly RG32UI: 0x823C;\n    readonly VERTEX_ARRAY_BINDING: 0x85B5;\n    readonly R8_SNORM: 0x8F94;\n    readonly RG8_SNORM: 0x8F95;\n    readonly RGB8_SNORM: 0x8F96;\n    readonly RGBA8_SNORM: 0x8F97;\n    readonly SIGNED_NORMALIZED: 0x8F9C;\n    readonly COPY_READ_BUFFER: 0x8F36;\n    readonly COPY_WRITE_BUFFER: 0x8F37;\n    readonly COPY_READ_BUFFER_BINDING: 0x8F36;\n    readonly COPY_WRITE_BUFFER_BINDING: 0x8F37;\n    readonly UNIFORM_BUFFER: 0x8A11;\n    readonly UNIFORM_BUFFER_BINDING: 0x8A28;\n    readonly UNIFORM_BUFFER_START: 0x8A29;\n    readonly UNIFORM_BUFFER_SIZE: 0x8A2A;\n    readonly MAX_VERTEX_UNIFORM_BLOCKS: 0x8A2B;\n    readonly MAX_FRAGMENT_UNIFORM_BLOCKS: 0x8A2D;\n    readonly MAX_COMBINED_UNIFORM_BLOCKS: 0x8A2E;\n    readonly MAX_UNIFORM_BUFFER_BINDINGS: 0x8A2F;\n    readonly MAX_UNIFORM_BLOCK_SIZE: 0x8A30;\n    readonly MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS: 0x8A31;\n    readonly MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS: 0x8A33;\n    readonly UNIFORM_BUFFER_OFFSET_ALIGNMENT: 0x8A34;\n    readonly ACTIVE_UNIFORM_BLOCKS: 0x8A36;\n    readonly UNIFORM_TYPE: 0x8A37;\n    readonly UNIFORM_SIZE: 0x8A38;\n    readonly UNIFORM_BLOCK_INDEX: 0x8A3A;\n    readonly UNIFORM_OFFSET: 0x8A3B;\n    readonly UNIFORM_ARRAY_STRIDE: 0x8A3C;\n    readonly UNIFORM_MATRIX_STRIDE: 0x8A3D;\n    readonly UNIFORM_IS_ROW_MAJOR: 0x8A3E;\n    readonly UNIFORM_BLOCK_BINDING: 0x8A3F;\n    readonly UNIFORM_BLOCK_DATA_SIZE: 0x8A40;\n    readonly UNIFORM_BLOCK_ACTIVE_UNIFORMS: 0x8A42;\n    readonly UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES: 0x8A43;\n    readonly UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER: 0x8A44;\n    readonly UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER: 0x8A46;\n    readonly INVALID_INDEX: 0xFFFFFFFF;\n    readonly MAX_VERTEX_OUTPUT_COMPONENTS: 0x9122;\n    readonly MAX_FRAGMENT_INPUT_COMPONENTS: 0x9125;\n    readonly MAX_SERVER_WAIT_TIMEOUT: 0x9111;\n    readonly OBJECT_TYPE: 0x9112;\n    readonly SYNC_CONDITION: 0x9113;\n    readonly SYNC_STATUS: 0x9114;\n    readonly SYNC_FLAGS: 0x9115;\n    readonly SYNC_FENCE: 0x9116;\n    readonly SYNC_GPU_COMMANDS_COMPLETE: 0x9117;\n    readonly UNSIGNALED: 0x9118;\n    readonly SIGNALED: 0x9119;\n    readonly ALREADY_SIGNALED: 0x911A;\n    readonly TIMEOUT_EXPIRED: 0x911B;\n    readonly CONDITION_SATISFIED: 0x911C;\n    readonly WAIT_FAILED: 0x911D;\n    readonly SYNC_FLUSH_COMMANDS_BIT: 0x00000001;\n    readonly VERTEX_ATTRIB_ARRAY_DIVISOR: 0x88FE;\n    readonly ANY_SAMPLES_PASSED: 0x8C2F;\n    readonly ANY_SAMPLES_PASSED_CONSERVATIVE: 0x8D6A;\n    readonly SAMPLER_BINDING: 0x8919;\n    readonly RGB10_A2UI: 0x906F;\n    readonly INT_2_10_10_10_REV: 0x8D9F;\n    readonly TRANSFORM_FEEDBACK: 0x8E22;\n    readonly TRANSFORM_FEEDBACK_PAUSED: 0x8E23;\n    readonly TRANSFORM_FEEDBACK_ACTIVE: 0x8E24;\n    readonly TRANSFORM_FEEDBACK_BINDING: 0x8E25;\n    readonly TEXTURE_IMMUTABLE_FORMAT: 0x912F;\n    readonly MAX_ELEMENT_INDEX: 0x8D6B;\n    readonly TEXTURE_IMMUTABLE_LEVELS: 0x82DF;\n    readonly TIMEOUT_IGNORED: -1;\n    readonly MAX_CLIENT_WAIT_TIMEOUT_WEBGL: 0x9247;\n}\n\ninterface WebGL2RenderingContextOverloads {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bufferData) */\n    bufferData(target: GLenum, size: GLsizeiptr, usage: GLenum): void;\n    bufferData(target: GLenum, srcData: AllowSharedBufferSource | null, usage: GLenum): void;\n    bufferData(target: GLenum, srcData: ArrayBufferView, usage: GLenum, srcOffset: number, length?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bufferSubData) */\n    bufferSubData(target: GLenum, dstByteOffset: GLintptr, srcData: AllowSharedBufferSource): void;\n    bufferSubData(target: GLenum, dstByteOffset: GLintptr, srcData: ArrayBufferView, srcOffset: number, length?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/compressedTexImage2D) */\n    compressedTexImage2D(target: GLenum, level: GLint, internalformat: GLenum, width: GLsizei, height: GLsizei, border: GLint, imageSize: GLsizei, offset: GLintptr): void;\n    compressedTexImage2D(target: GLenum, level: GLint, internalformat: GLenum, width: GLsizei, height: GLsizei, border: GLint, srcData: ArrayBufferView, srcOffset?: number, srcLengthOverride?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/compressedTexSubImage2D) */\n    compressedTexSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, imageSize: GLsizei, offset: GLintptr): void;\n    compressedTexSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, srcData: ArrayBufferView, srcOffset?: number, srcLengthOverride?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/readPixels) */\n    readPixels(x: GLint, y: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, dstData: ArrayBufferView | null): void;\n    readPixels(x: GLint, y: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, offset: GLintptr): void;\n    readPixels(x: GLint, y: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, dstData: ArrayBufferView, dstOffset: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/texImage2D) */\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, border: GLint, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void;\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, format: GLenum, type: GLenum, source: TexImageSource): void;\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, border: GLint, format: GLenum, type: GLenum, pboOffset: GLintptr): void;\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, border: GLint, format: GLenum, type: GLenum, source: TexImageSource): void;\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, border: GLint, format: GLenum, type: GLenum, srcData: ArrayBufferView, srcOffset: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/texSubImage2D) */\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void;\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, format: GLenum, type: GLenum, source: TexImageSource): void;\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, pboOffset: GLintptr): void;\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, source: TexImageSource): void;\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, srcData: ArrayBufferView, srcOffset: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1fv(location: WebGLUniformLocation | null, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1iv(location: WebGLUniformLocation | null, data: Int32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2fv(location: WebGLUniformLocation | null, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2iv(location: WebGLUniformLocation | null, data: Int32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3fv(location: WebGLUniformLocation | null, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3iv(location: WebGLUniformLocation | null, data: Int32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4fv(location: WebGLUniformLocation | null, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4iv(location: WebGLUniformLocation | null, data: Int32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix2fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix3fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix4fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n}\n\n/**\n * Part of the WebGL API and represents the information returned by calling the WebGLRenderingContext.getActiveAttrib() and WebGLRenderingContext.getActiveUniform() methods.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLActiveInfo)\n */\ninterface WebGLActiveInfo {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLActiveInfo/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLActiveInfo/size) */\n    readonly size: GLint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLActiveInfo/type) */\n    readonly type: GLenum;\n}\n\ndeclare var WebGLActiveInfo: {\n    prototype: WebGLActiveInfo;\n    new(): WebGLActiveInfo;\n};\n\n/**\n * Part of the WebGL API and represents an opaque buffer object storing data such as vertices or colors.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLBuffer)\n */\ninterface WebGLBuffer {\n}\n\ndeclare var WebGLBuffer: {\n    prototype: WebGLBuffer;\n    new(): WebGLBuffer;\n};\n\n/**\n * The WebContextEvent interface is part of the WebGL API and is an interface for an event that is generated in response to a status change to the WebGL rendering context.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLContextEvent)\n */\ninterface WebGLContextEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLContextEvent/statusMessage) */\n    readonly statusMessage: string;\n}\n\ndeclare var WebGLContextEvent: {\n    prototype: WebGLContextEvent;\n    new(type: string, eventInit?: WebGLContextEventInit): WebGLContextEvent;\n};\n\n/**\n * Part of the WebGL API and represents a collection of buffers that serve as a rendering destination.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLFramebuffer)\n */\ninterface WebGLFramebuffer {\n}\n\ndeclare var WebGLFramebuffer: {\n    prototype: WebGLFramebuffer;\n    new(): WebGLFramebuffer;\n};\n\n/**\n * The WebGLProgram is part of the WebGL API and is a combination of two compiled WebGLShaders consisting of a vertex shader and a fragment shader (both written in GLSL).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLProgram)\n */\ninterface WebGLProgram {\n}\n\ndeclare var WebGLProgram: {\n    prototype: WebGLProgram;\n    new(): WebGLProgram;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLQuery) */\ninterface WebGLQuery {\n}\n\ndeclare var WebGLQuery: {\n    prototype: WebGLQuery;\n    new(): WebGLQuery;\n};\n\n/**\n * Part of the WebGL API and represents a buffer that can contain an image, or can be source or target of an rendering operation.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderbuffer)\n */\ninterface WebGLRenderbuffer {\n}\n\ndeclare var WebGLRenderbuffer: {\n    prototype: WebGLRenderbuffer;\n    new(): WebGLRenderbuffer;\n};\n\n/**\n * Provides an interface to the OpenGL ES 2.0 graphics rendering context for the drawing surface of an HTML <canvas> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext)\n */\ninterface WebGLRenderingContext extends WebGLRenderingContextBase, WebGLRenderingContextOverloads {\n}\n\ndeclare var WebGLRenderingContext: {\n    prototype: WebGLRenderingContext;\n    new(): WebGLRenderingContext;\n    readonly DEPTH_BUFFER_BIT: 0x00000100;\n    readonly STENCIL_BUFFER_BIT: 0x00000400;\n    readonly COLOR_BUFFER_BIT: 0x00004000;\n    readonly POINTS: 0x0000;\n    readonly LINES: 0x0001;\n    readonly LINE_LOOP: 0x0002;\n    readonly LINE_STRIP: 0x0003;\n    readonly TRIANGLES: 0x0004;\n    readonly TRIANGLE_STRIP: 0x0005;\n    readonly TRIANGLE_FAN: 0x0006;\n    readonly ZERO: 0;\n    readonly ONE: 1;\n    readonly SRC_COLOR: 0x0300;\n    readonly ONE_MINUS_SRC_COLOR: 0x0301;\n    readonly SRC_ALPHA: 0x0302;\n    readonly ONE_MINUS_SRC_ALPHA: 0x0303;\n    readonly DST_ALPHA: 0x0304;\n    readonly ONE_MINUS_DST_ALPHA: 0x0305;\n    readonly DST_COLOR: 0x0306;\n    readonly ONE_MINUS_DST_COLOR: 0x0307;\n    readonly SRC_ALPHA_SATURATE: 0x0308;\n    readonly FUNC_ADD: 0x8006;\n    readonly BLEND_EQUATION: 0x8009;\n    readonly BLEND_EQUATION_RGB: 0x8009;\n    readonly BLEND_EQUATION_ALPHA: 0x883D;\n    readonly FUNC_SUBTRACT: 0x800A;\n    readonly FUNC_REVERSE_SUBTRACT: 0x800B;\n    readonly BLEND_DST_RGB: 0x80C8;\n    readonly BLEND_SRC_RGB: 0x80C9;\n    readonly BLEND_DST_ALPHA: 0x80CA;\n    readonly BLEND_SRC_ALPHA: 0x80CB;\n    readonly CONSTANT_COLOR: 0x8001;\n    readonly ONE_MINUS_CONSTANT_COLOR: 0x8002;\n    readonly CONSTANT_ALPHA: 0x8003;\n    readonly ONE_MINUS_CONSTANT_ALPHA: 0x8004;\n    readonly BLEND_COLOR: 0x8005;\n    readonly ARRAY_BUFFER: 0x8892;\n    readonly ELEMENT_ARRAY_BUFFER: 0x8893;\n    readonly ARRAY_BUFFER_BINDING: 0x8894;\n    readonly ELEMENT_ARRAY_BUFFER_BINDING: 0x8895;\n    readonly STREAM_DRAW: 0x88E0;\n    readonly STATIC_DRAW: 0x88E4;\n    readonly DYNAMIC_DRAW: 0x88E8;\n    readonly BUFFER_SIZE: 0x8764;\n    readonly BUFFER_USAGE: 0x8765;\n    readonly CURRENT_VERTEX_ATTRIB: 0x8626;\n    readonly FRONT: 0x0404;\n    readonly BACK: 0x0405;\n    readonly FRONT_AND_BACK: 0x0408;\n    readonly CULL_FACE: 0x0B44;\n    readonly BLEND: 0x0BE2;\n    readonly DITHER: 0x0BD0;\n    readonly STENCIL_TEST: 0x0B90;\n    readonly DEPTH_TEST: 0x0B71;\n    readonly SCISSOR_TEST: 0x0C11;\n    readonly POLYGON_OFFSET_FILL: 0x8037;\n    readonly SAMPLE_ALPHA_TO_COVERAGE: 0x809E;\n    readonly SAMPLE_COVERAGE: 0x80A0;\n    readonly NO_ERROR: 0;\n    readonly INVALID_ENUM: 0x0500;\n    readonly INVALID_VALUE: 0x0501;\n    readonly INVALID_OPERATION: 0x0502;\n    readonly OUT_OF_MEMORY: 0x0505;\n    readonly CW: 0x0900;\n    readonly CCW: 0x0901;\n    readonly LINE_WIDTH: 0x0B21;\n    readonly ALIASED_POINT_SIZE_RANGE: 0x846D;\n    readonly ALIASED_LINE_WIDTH_RANGE: 0x846E;\n    readonly CULL_FACE_MODE: 0x0B45;\n    readonly FRONT_FACE: 0x0B46;\n    readonly DEPTH_RANGE: 0x0B70;\n    readonly DEPTH_WRITEMASK: 0x0B72;\n    readonly DEPTH_CLEAR_VALUE: 0x0B73;\n    readonly DEPTH_FUNC: 0x0B74;\n    readonly STENCIL_CLEAR_VALUE: 0x0B91;\n    readonly STENCIL_FUNC: 0x0B92;\n    readonly STENCIL_FAIL: 0x0B94;\n    readonly STENCIL_PASS_DEPTH_FAIL: 0x0B95;\n    readonly STENCIL_PASS_DEPTH_PASS: 0x0B96;\n    readonly STENCIL_REF: 0x0B97;\n    readonly STENCIL_VALUE_MASK: 0x0B93;\n    readonly STENCIL_WRITEMASK: 0x0B98;\n    readonly STENCIL_BACK_FUNC: 0x8800;\n    readonly STENCIL_BACK_FAIL: 0x8801;\n    readonly STENCIL_BACK_PASS_DEPTH_FAIL: 0x8802;\n    readonly STENCIL_BACK_PASS_DEPTH_PASS: 0x8803;\n    readonly STENCIL_BACK_REF: 0x8CA3;\n    readonly STENCIL_BACK_VALUE_MASK: 0x8CA4;\n    readonly STENCIL_BACK_WRITEMASK: 0x8CA5;\n    readonly VIEWPORT: 0x0BA2;\n    readonly SCISSOR_BOX: 0x0C10;\n    readonly COLOR_CLEAR_VALUE: 0x0C22;\n    readonly COLOR_WRITEMASK: 0x0C23;\n    readonly UNPACK_ALIGNMENT: 0x0CF5;\n    readonly PACK_ALIGNMENT: 0x0D05;\n    readonly MAX_TEXTURE_SIZE: 0x0D33;\n    readonly MAX_VIEWPORT_DIMS: 0x0D3A;\n    readonly SUBPIXEL_BITS: 0x0D50;\n    readonly RED_BITS: 0x0D52;\n    readonly GREEN_BITS: 0x0D53;\n    readonly BLUE_BITS: 0x0D54;\n    readonly ALPHA_BITS: 0x0D55;\n    readonly DEPTH_BITS: 0x0D56;\n    readonly STENCIL_BITS: 0x0D57;\n    readonly POLYGON_OFFSET_UNITS: 0x2A00;\n    readonly POLYGON_OFFSET_FACTOR: 0x8038;\n    readonly TEXTURE_BINDING_2D: 0x8069;\n    readonly SAMPLE_BUFFERS: 0x80A8;\n    readonly SAMPLES: 0x80A9;\n    readonly SAMPLE_COVERAGE_VALUE: 0x80AA;\n    readonly SAMPLE_COVERAGE_INVERT: 0x80AB;\n    readonly COMPRESSED_TEXTURE_FORMATS: 0x86A3;\n    readonly DONT_CARE: 0x1100;\n    readonly FASTEST: 0x1101;\n    readonly NICEST: 0x1102;\n    readonly GENERATE_MIPMAP_HINT: 0x8192;\n    readonly BYTE: 0x1400;\n    readonly UNSIGNED_BYTE: 0x1401;\n    readonly SHORT: 0x1402;\n    readonly UNSIGNED_SHORT: 0x1403;\n    readonly INT: 0x1404;\n    readonly UNSIGNED_INT: 0x1405;\n    readonly FLOAT: 0x1406;\n    readonly DEPTH_COMPONENT: 0x1902;\n    readonly ALPHA: 0x1906;\n    readonly RGB: 0x1907;\n    readonly RGBA: 0x1908;\n    readonly LUMINANCE: 0x1909;\n    readonly LUMINANCE_ALPHA: 0x190A;\n    readonly UNSIGNED_SHORT_4_4_4_4: 0x8033;\n    readonly UNSIGNED_SHORT_5_5_5_1: 0x8034;\n    readonly UNSIGNED_SHORT_5_6_5: 0x8363;\n    readonly FRAGMENT_SHADER: 0x8B30;\n    readonly VERTEX_SHADER: 0x8B31;\n    readonly MAX_VERTEX_ATTRIBS: 0x8869;\n    readonly MAX_VERTEX_UNIFORM_VECTORS: 0x8DFB;\n    readonly MAX_VARYING_VECTORS: 0x8DFC;\n    readonly MAX_COMBINED_TEXTURE_IMAGE_UNITS: 0x8B4D;\n    readonly MAX_VERTEX_TEXTURE_IMAGE_UNITS: 0x8B4C;\n    readonly MAX_TEXTURE_IMAGE_UNITS: 0x8872;\n    readonly MAX_FRAGMENT_UNIFORM_VECTORS: 0x8DFD;\n    readonly SHADER_TYPE: 0x8B4F;\n    readonly DELETE_STATUS: 0x8B80;\n    readonly LINK_STATUS: 0x8B82;\n    readonly VALIDATE_STATUS: 0x8B83;\n    readonly ATTACHED_SHADERS: 0x8B85;\n    readonly ACTIVE_UNIFORMS: 0x8B86;\n    readonly ACTIVE_ATTRIBUTES: 0x8B89;\n    readonly SHADING_LANGUAGE_VERSION: 0x8B8C;\n    readonly CURRENT_PROGRAM: 0x8B8D;\n    readonly NEVER: 0x0200;\n    readonly LESS: 0x0201;\n    readonly EQUAL: 0x0202;\n    readonly LEQUAL: 0x0203;\n    readonly GREATER: 0x0204;\n    readonly NOTEQUAL: 0x0205;\n    readonly GEQUAL: 0x0206;\n    readonly ALWAYS: 0x0207;\n    readonly KEEP: 0x1E00;\n    readonly REPLACE: 0x1E01;\n    readonly INCR: 0x1E02;\n    readonly DECR: 0x1E03;\n    readonly INVERT: 0x150A;\n    readonly INCR_WRAP: 0x8507;\n    readonly DECR_WRAP: 0x8508;\n    readonly VENDOR: 0x1F00;\n    readonly RENDERER: 0x1F01;\n    readonly VERSION: 0x1F02;\n    readonly NEAREST: 0x2600;\n    readonly LINEAR: 0x2601;\n    readonly NEAREST_MIPMAP_NEAREST: 0x2700;\n    readonly LINEAR_MIPMAP_NEAREST: 0x2701;\n    readonly NEAREST_MIPMAP_LINEAR: 0x2702;\n    readonly LINEAR_MIPMAP_LINEAR: 0x2703;\n    readonly TEXTURE_MAG_FILTER: 0x2800;\n    readonly TEXTURE_MIN_FILTER: 0x2801;\n    readonly TEXTURE_WRAP_S: 0x2802;\n    readonly TEXTURE_WRAP_T: 0x2803;\n    readonly TEXTURE_2D: 0x0DE1;\n    readonly TEXTURE: 0x1702;\n    readonly TEXTURE_CUBE_MAP: 0x8513;\n    readonly TEXTURE_BINDING_CUBE_MAP: 0x8514;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_X: 0x8515;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_X: 0x8516;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Y: 0x8517;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Y: 0x8518;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Z: 0x8519;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Z: 0x851A;\n    readonly MAX_CUBE_MAP_TEXTURE_SIZE: 0x851C;\n    readonly TEXTURE0: 0x84C0;\n    readonly TEXTURE1: 0x84C1;\n    readonly TEXTURE2: 0x84C2;\n    readonly TEXTURE3: 0x84C3;\n    readonly TEXTURE4: 0x84C4;\n    readonly TEXTURE5: 0x84C5;\n    readonly TEXTURE6: 0x84C6;\n    readonly TEXTURE7: 0x84C7;\n    readonly TEXTURE8: 0x84C8;\n    readonly TEXTURE9: 0x84C9;\n    readonly TEXTURE10: 0x84CA;\n    readonly TEXTURE11: 0x84CB;\n    readonly TEXTURE12: 0x84CC;\n    readonly TEXTURE13: 0x84CD;\n    readonly TEXTURE14: 0x84CE;\n    readonly TEXTURE15: 0x84CF;\n    readonly TEXTURE16: 0x84D0;\n    readonly TEXTURE17: 0x84D1;\n    readonly TEXTURE18: 0x84D2;\n    readonly TEXTURE19: 0x84D3;\n    readonly TEXTURE20: 0x84D4;\n    readonly TEXTURE21: 0x84D5;\n    readonly TEXTURE22: 0x84D6;\n    readonly TEXTURE23: 0x84D7;\n    readonly TEXTURE24: 0x84D8;\n    readonly TEXTURE25: 0x84D9;\n    readonly TEXTURE26: 0x84DA;\n    readonly TEXTURE27: 0x84DB;\n    readonly TEXTURE28: 0x84DC;\n    readonly TEXTURE29: 0x84DD;\n    readonly TEXTURE30: 0x84DE;\n    readonly TEXTURE31: 0x84DF;\n    readonly ACTIVE_TEXTURE: 0x84E0;\n    readonly REPEAT: 0x2901;\n    readonly CLAMP_TO_EDGE: 0x812F;\n    readonly MIRRORED_REPEAT: 0x8370;\n    readonly FLOAT_VEC2: 0x8B50;\n    readonly FLOAT_VEC3: 0x8B51;\n    readonly FLOAT_VEC4: 0x8B52;\n    readonly INT_VEC2: 0x8B53;\n    readonly INT_VEC3: 0x8B54;\n    readonly INT_VEC4: 0x8B55;\n    readonly BOOL: 0x8B56;\n    readonly BOOL_VEC2: 0x8B57;\n    readonly BOOL_VEC3: 0x8B58;\n    readonly BOOL_VEC4: 0x8B59;\n    readonly FLOAT_MAT2: 0x8B5A;\n    readonly FLOAT_MAT3: 0x8B5B;\n    readonly FLOAT_MAT4: 0x8B5C;\n    readonly SAMPLER_2D: 0x8B5E;\n    readonly SAMPLER_CUBE: 0x8B60;\n    readonly VERTEX_ATTRIB_ARRAY_ENABLED: 0x8622;\n    readonly VERTEX_ATTRIB_ARRAY_SIZE: 0x8623;\n    readonly VERTEX_ATTRIB_ARRAY_STRIDE: 0x8624;\n    readonly VERTEX_ATTRIB_ARRAY_TYPE: 0x8625;\n    readonly VERTEX_ATTRIB_ARRAY_NORMALIZED: 0x886A;\n    readonly VERTEX_ATTRIB_ARRAY_POINTER: 0x8645;\n    readonly VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: 0x889F;\n    readonly IMPLEMENTATION_COLOR_READ_TYPE: 0x8B9A;\n    readonly IMPLEMENTATION_COLOR_READ_FORMAT: 0x8B9B;\n    readonly COMPILE_STATUS: 0x8B81;\n    readonly LOW_FLOAT: 0x8DF0;\n    readonly MEDIUM_FLOAT: 0x8DF1;\n    readonly HIGH_FLOAT: 0x8DF2;\n    readonly LOW_INT: 0x8DF3;\n    readonly MEDIUM_INT: 0x8DF4;\n    readonly HIGH_INT: 0x8DF5;\n    readonly FRAMEBUFFER: 0x8D40;\n    readonly RENDERBUFFER: 0x8D41;\n    readonly RGBA4: 0x8056;\n    readonly RGB5_A1: 0x8057;\n    readonly RGBA8: 0x8058;\n    readonly RGB565: 0x8D62;\n    readonly DEPTH_COMPONENT16: 0x81A5;\n    readonly STENCIL_INDEX8: 0x8D48;\n    readonly DEPTH_STENCIL: 0x84F9;\n    readonly RENDERBUFFER_WIDTH: 0x8D42;\n    readonly RENDERBUFFER_HEIGHT: 0x8D43;\n    readonly RENDERBUFFER_INTERNAL_FORMAT: 0x8D44;\n    readonly RENDERBUFFER_RED_SIZE: 0x8D50;\n    readonly RENDERBUFFER_GREEN_SIZE: 0x8D51;\n    readonly RENDERBUFFER_BLUE_SIZE: 0x8D52;\n    readonly RENDERBUFFER_ALPHA_SIZE: 0x8D53;\n    readonly RENDERBUFFER_DEPTH_SIZE: 0x8D54;\n    readonly RENDERBUFFER_STENCIL_SIZE: 0x8D55;\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: 0x8CD0;\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: 0x8CD1;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: 0x8CD2;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: 0x8CD3;\n    readonly COLOR_ATTACHMENT0: 0x8CE0;\n    readonly DEPTH_ATTACHMENT: 0x8D00;\n    readonly STENCIL_ATTACHMENT: 0x8D20;\n    readonly DEPTH_STENCIL_ATTACHMENT: 0x821A;\n    readonly NONE: 0;\n    readonly FRAMEBUFFER_COMPLETE: 0x8CD5;\n    readonly FRAMEBUFFER_INCOMPLETE_ATTACHMENT: 0x8CD6;\n    readonly FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: 0x8CD7;\n    readonly FRAMEBUFFER_INCOMPLETE_DIMENSIONS: 0x8CD9;\n    readonly FRAMEBUFFER_UNSUPPORTED: 0x8CDD;\n    readonly FRAMEBUFFER_BINDING: 0x8CA6;\n    readonly RENDERBUFFER_BINDING: 0x8CA7;\n    readonly MAX_RENDERBUFFER_SIZE: 0x84E8;\n    readonly INVALID_FRAMEBUFFER_OPERATION: 0x0506;\n    readonly UNPACK_FLIP_Y_WEBGL: 0x9240;\n    readonly UNPACK_PREMULTIPLY_ALPHA_WEBGL: 0x9241;\n    readonly CONTEXT_LOST_WEBGL: 0x9242;\n    readonly UNPACK_COLORSPACE_CONVERSION_WEBGL: 0x9243;\n    readonly BROWSER_DEFAULT_WEBGL: 0x9244;\n};\n\ninterface WebGLRenderingContextBase {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/canvas) */\n    readonly canvas: HTMLCanvasElement | OffscreenCanvas;\n    drawingBufferColorSpace: PredefinedColorSpace;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/drawingBufferHeight) */\n    readonly drawingBufferHeight: GLsizei;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/drawingBufferWidth) */\n    readonly drawingBufferWidth: GLsizei;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/activeTexture) */\n    activeTexture(texture: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/attachShader) */\n    attachShader(program: WebGLProgram, shader: WebGLShader): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bindAttribLocation) */\n    bindAttribLocation(program: WebGLProgram, index: GLuint, name: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bindBuffer) */\n    bindBuffer(target: GLenum, buffer: WebGLBuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bindFramebuffer) */\n    bindFramebuffer(target: GLenum, framebuffer: WebGLFramebuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bindRenderbuffer) */\n    bindRenderbuffer(target: GLenum, renderbuffer: WebGLRenderbuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bindTexture) */\n    bindTexture(target: GLenum, texture: WebGLTexture | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/blendColor) */\n    blendColor(red: GLclampf, green: GLclampf, blue: GLclampf, alpha: GLclampf): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/blendEquation) */\n    blendEquation(mode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/blendEquationSeparate) */\n    blendEquationSeparate(modeRGB: GLenum, modeAlpha: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/blendFunc) */\n    blendFunc(sfactor: GLenum, dfactor: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/blendFuncSeparate) */\n    blendFuncSeparate(srcRGB: GLenum, dstRGB: GLenum, srcAlpha: GLenum, dstAlpha: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/checkFramebufferStatus) */\n    checkFramebufferStatus(target: GLenum): GLenum;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/clear) */\n    clear(mask: GLbitfield): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/clearColor) */\n    clearColor(red: GLclampf, green: GLclampf, blue: GLclampf, alpha: GLclampf): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/clearDepth) */\n    clearDepth(depth: GLclampf): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/clearStencil) */\n    clearStencil(s: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/colorMask) */\n    colorMask(red: GLboolean, green: GLboolean, blue: GLboolean, alpha: GLboolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/compileShader) */\n    compileShader(shader: WebGLShader): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/copyTexImage2D) */\n    copyTexImage2D(target: GLenum, level: GLint, internalformat: GLenum, x: GLint, y: GLint, width: GLsizei, height: GLsizei, border: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/copyTexSubImage2D) */\n    copyTexSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, x: GLint, y: GLint, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/createBuffer) */\n    createBuffer(): WebGLBuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/createFramebuffer) */\n    createFramebuffer(): WebGLFramebuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/createProgram) */\n    createProgram(): WebGLProgram | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/createRenderbuffer) */\n    createRenderbuffer(): WebGLRenderbuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/createShader) */\n    createShader(type: GLenum): WebGLShader | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/createTexture) */\n    createTexture(): WebGLTexture | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/cullFace) */\n    cullFace(mode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/deleteBuffer) */\n    deleteBuffer(buffer: WebGLBuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/deleteFramebuffer) */\n    deleteFramebuffer(framebuffer: WebGLFramebuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/deleteProgram) */\n    deleteProgram(program: WebGLProgram | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/deleteRenderbuffer) */\n    deleteRenderbuffer(renderbuffer: WebGLRenderbuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/deleteShader) */\n    deleteShader(shader: WebGLShader | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/deleteTexture) */\n    deleteTexture(texture: WebGLTexture | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/depthFunc) */\n    depthFunc(func: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/depthMask) */\n    depthMask(flag: GLboolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/depthRange) */\n    depthRange(zNear: GLclampf, zFar: GLclampf): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/detachShader) */\n    detachShader(program: WebGLProgram, shader: WebGLShader): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/disable) */\n    disable(cap: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/disableVertexAttribArray) */\n    disableVertexAttribArray(index: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/drawArrays) */\n    drawArrays(mode: GLenum, first: GLint, count: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/drawElements) */\n    drawElements(mode: GLenum, count: GLsizei, type: GLenum, offset: GLintptr): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/enable) */\n    enable(cap: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/enableVertexAttribArray) */\n    enableVertexAttribArray(index: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/finish) */\n    finish(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/flush) */\n    flush(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/framebufferRenderbuffer) */\n    framebufferRenderbuffer(target: GLenum, attachment: GLenum, renderbuffertarget: GLenum, renderbuffer: WebGLRenderbuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/framebufferTexture2D) */\n    framebufferTexture2D(target: GLenum, attachment: GLenum, textarget: GLenum, texture: WebGLTexture | null, level: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/frontFace) */\n    frontFace(mode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/generateMipmap) */\n    generateMipmap(target: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getActiveAttrib) */\n    getActiveAttrib(program: WebGLProgram, index: GLuint): WebGLActiveInfo | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getActiveUniform) */\n    getActiveUniform(program: WebGLProgram, index: GLuint): WebGLActiveInfo | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getAttachedShaders) */\n    getAttachedShaders(program: WebGLProgram): WebGLShader[] | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getAttribLocation) */\n    getAttribLocation(program: WebGLProgram, name: string): GLint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getBufferParameter) */\n    getBufferParameter(target: GLenum, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getContextAttributes) */\n    getContextAttributes(): WebGLContextAttributes | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getError) */\n    getError(): GLenum;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getExtension) */\n    getExtension(extensionName: "ANGLE_instanced_arrays"): ANGLE_instanced_arrays | null;\n    getExtension(extensionName: "EXT_blend_minmax"): EXT_blend_minmax | null;\n    getExtension(extensionName: "EXT_color_buffer_float"): EXT_color_buffer_float | null;\n    getExtension(extensionName: "EXT_color_buffer_half_float"): EXT_color_buffer_half_float | null;\n    getExtension(extensionName: "EXT_float_blend"): EXT_float_blend | null;\n    getExtension(extensionName: "EXT_frag_depth"): EXT_frag_depth | null;\n    getExtension(extensionName: "EXT_sRGB"): EXT_sRGB | null;\n    getExtension(extensionName: "EXT_shader_texture_lod"): EXT_shader_texture_lod | null;\n    getExtension(extensionName: "EXT_texture_compression_bptc"): EXT_texture_compression_bptc | null;\n    getExtension(extensionName: "EXT_texture_compression_rgtc"): EXT_texture_compression_rgtc | null;\n    getExtension(extensionName: "EXT_texture_filter_anisotropic"): EXT_texture_filter_anisotropic | null;\n    getExtension(extensionName: "KHR_parallel_shader_compile"): KHR_parallel_shader_compile | null;\n    getExtension(extensionName: "OES_element_index_uint"): OES_element_index_uint | null;\n    getExtension(extensionName: "OES_fbo_render_mipmap"): OES_fbo_render_mipmap | null;\n    getExtension(extensionName: "OES_standard_derivatives"): OES_standard_derivatives | null;\n    getExtension(extensionName: "OES_texture_float"): OES_texture_float | null;\n    getExtension(extensionName: "OES_texture_float_linear"): OES_texture_float_linear | null;\n    getExtension(extensionName: "OES_texture_half_float"): OES_texture_half_float | null;\n    getExtension(extensionName: "OES_texture_half_float_linear"): OES_texture_half_float_linear | null;\n    getExtension(extensionName: "OES_vertex_array_object"): OES_vertex_array_object | null;\n    getExtension(extensionName: "OVR_multiview2"): OVR_multiview2 | null;\n    getExtension(extensionName: "WEBGL_color_buffer_float"): WEBGL_color_buffer_float | null;\n    getExtension(extensionName: "WEBGL_compressed_texture_astc"): WEBGL_compressed_texture_astc | null;\n    getExtension(extensionName: "WEBGL_compressed_texture_etc"): WEBGL_compressed_texture_etc | null;\n    getExtension(extensionName: "WEBGL_compressed_texture_etc1"): WEBGL_compressed_texture_etc1 | null;\n    getExtension(extensionName: "WEBGL_compressed_texture_pvrtc"): WEBGL_compressed_texture_pvrtc | null;\n    getExtension(extensionName: "WEBGL_compressed_texture_s3tc"): WEBGL_compressed_texture_s3tc | null;\n    getExtension(extensionName: "WEBGL_compressed_texture_s3tc_srgb"): WEBGL_compressed_texture_s3tc_srgb | null;\n    getExtension(extensionName: "WEBGL_debug_renderer_info"): WEBGL_debug_renderer_info | null;\n    getExtension(extensionName: "WEBGL_debug_shaders"): WEBGL_debug_shaders | null;\n    getExtension(extensionName: "WEBGL_depth_texture"): WEBGL_depth_texture | null;\n    getExtension(extensionName: "WEBGL_draw_buffers"): WEBGL_draw_buffers | null;\n    getExtension(extensionName: "WEBGL_lose_context"): WEBGL_lose_context | null;\n    getExtension(extensionName: "WEBGL_multi_draw"): WEBGL_multi_draw | null;\n    getExtension(name: string): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getFramebufferAttachmentParameter) */\n    getFramebufferAttachmentParameter(target: GLenum, attachment: GLenum, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getParameter) */\n    getParameter(pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getProgramInfoLog) */\n    getProgramInfoLog(program: WebGLProgram): string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getProgramParameter) */\n    getProgramParameter(program: WebGLProgram, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getRenderbufferParameter) */\n    getRenderbufferParameter(target: GLenum, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getShaderInfoLog) */\n    getShaderInfoLog(shader: WebGLShader): string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getShaderParameter) */\n    getShaderParameter(shader: WebGLShader, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getShaderPrecisionFormat) */\n    getShaderPrecisionFormat(shadertype: GLenum, precisiontype: GLenum): WebGLShaderPrecisionFormat | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getShaderSource) */\n    getShaderSource(shader: WebGLShader): string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getSupportedExtensions) */\n    getSupportedExtensions(): string[] | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getTexParameter) */\n    getTexParameter(target: GLenum, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getUniform) */\n    getUniform(program: WebGLProgram, location: WebGLUniformLocation): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getUniformLocation) */\n    getUniformLocation(program: WebGLProgram, name: string): WebGLUniformLocation | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getVertexAttrib) */\n    getVertexAttrib(index: GLuint, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getVertexAttribOffset) */\n    getVertexAttribOffset(index: GLuint, pname: GLenum): GLintptr;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/hint) */\n    hint(target: GLenum, mode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isBuffer) */\n    isBuffer(buffer: WebGLBuffer | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isContextLost) */\n    isContextLost(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isEnabled) */\n    isEnabled(cap: GLenum): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isFramebuffer) */\n    isFramebuffer(framebuffer: WebGLFramebuffer | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isProgram) */\n    isProgram(program: WebGLProgram | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isRenderbuffer) */\n    isRenderbuffer(renderbuffer: WebGLRenderbuffer | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isShader) */\n    isShader(shader: WebGLShader | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isTexture) */\n    isTexture(texture: WebGLTexture | null): GLboolean;\n    lineWidth(width: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/linkProgram) */\n    linkProgram(program: WebGLProgram): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/pixelStorei) */\n    pixelStorei(pname: GLenum, param: GLint | GLboolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/polygonOffset) */\n    polygonOffset(factor: GLfloat, units: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/renderbufferStorage) */\n    renderbufferStorage(target: GLenum, internalformat: GLenum, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/sampleCoverage) */\n    sampleCoverage(value: GLclampf, invert: GLboolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/scissor) */\n    scissor(x: GLint, y: GLint, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/shaderSource) */\n    shaderSource(shader: WebGLShader, source: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/stencilFunc) */\n    stencilFunc(func: GLenum, ref: GLint, mask: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/stencilFuncSeparate) */\n    stencilFuncSeparate(face: GLenum, func: GLenum, ref: GLint, mask: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/stencilMask) */\n    stencilMask(mask: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/stencilMaskSeparate) */\n    stencilMaskSeparate(face: GLenum, mask: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/stencilOp) */\n    stencilOp(fail: GLenum, zfail: GLenum, zpass: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/stencilOpSeparate) */\n    stencilOpSeparate(face: GLenum, fail: GLenum, zfail: GLenum, zpass: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/texParameter) */\n    texParameterf(target: GLenum, pname: GLenum, param: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/texParameter) */\n    texParameteri(target: GLenum, pname: GLenum, param: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1f(location: WebGLUniformLocation | null, x: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1i(location: WebGLUniformLocation | null, x: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2f(location: WebGLUniformLocation | null, x: GLfloat, y: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2i(location: WebGLUniformLocation | null, x: GLint, y: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3f(location: WebGLUniformLocation | null, x: GLfloat, y: GLfloat, z: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3i(location: WebGLUniformLocation | null, x: GLint, y: GLint, z: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4f(location: WebGLUniformLocation | null, x: GLfloat, y: GLfloat, z: GLfloat, w: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4i(location: WebGLUniformLocation | null, x: GLint, y: GLint, z: GLint, w: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/useProgram) */\n    useProgram(program: WebGLProgram | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/validateProgram) */\n    validateProgram(program: WebGLProgram): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib1f(index: GLuint, x: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib1fv(index: GLuint, values: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib2f(index: GLuint, x: GLfloat, y: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib2fv(index: GLuint, values: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib3f(index: GLuint, x: GLfloat, y: GLfloat, z: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib3fv(index: GLuint, values: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib4f(index: GLuint, x: GLfloat, y: GLfloat, z: GLfloat, w: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib4fv(index: GLuint, values: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttribPointer) */\n    vertexAttribPointer(index: GLuint, size: GLint, type: GLenum, normalized: GLboolean, stride: GLsizei, offset: GLintptr): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/viewport) */\n    viewport(x: GLint, y: GLint, width: GLsizei, height: GLsizei): void;\n    readonly DEPTH_BUFFER_BIT: 0x00000100;\n    readonly STENCIL_BUFFER_BIT: 0x00000400;\n    readonly COLOR_BUFFER_BIT: 0x00004000;\n    readonly POINTS: 0x0000;\n    readonly LINES: 0x0001;\n    readonly LINE_LOOP: 0x0002;\n    readonly LINE_STRIP: 0x0003;\n    readonly TRIANGLES: 0x0004;\n    readonly TRIANGLE_STRIP: 0x0005;\n    readonly TRIANGLE_FAN: 0x0006;\n    readonly ZERO: 0;\n    readonly ONE: 1;\n    readonly SRC_COLOR: 0x0300;\n    readonly ONE_MINUS_SRC_COLOR: 0x0301;\n    readonly SRC_ALPHA: 0x0302;\n    readonly ONE_MINUS_SRC_ALPHA: 0x0303;\n    readonly DST_ALPHA: 0x0304;\n    readonly ONE_MINUS_DST_ALPHA: 0x0305;\n    readonly DST_COLOR: 0x0306;\n    readonly ONE_MINUS_DST_COLOR: 0x0307;\n    readonly SRC_ALPHA_SATURATE: 0x0308;\n    readonly FUNC_ADD: 0x8006;\n    readonly BLEND_EQUATION: 0x8009;\n    readonly BLEND_EQUATION_RGB: 0x8009;\n    readonly BLEND_EQUATION_ALPHA: 0x883D;\n    readonly FUNC_SUBTRACT: 0x800A;\n    readonly FUNC_REVERSE_SUBTRACT: 0x800B;\n    readonly BLEND_DST_RGB: 0x80C8;\n    readonly BLEND_SRC_RGB: 0x80C9;\n    readonly BLEND_DST_ALPHA: 0x80CA;\n    readonly BLEND_SRC_ALPHA: 0x80CB;\n    readonly CONSTANT_COLOR: 0x8001;\n    readonly ONE_MINUS_CONSTANT_COLOR: 0x8002;\n    readonly CONSTANT_ALPHA: 0x8003;\n    readonly ONE_MINUS_CONSTANT_ALPHA: 0x8004;\n    readonly BLEND_COLOR: 0x8005;\n    readonly ARRAY_BUFFER: 0x8892;\n    readonly ELEMENT_ARRAY_BUFFER: 0x8893;\n    readonly ARRAY_BUFFER_BINDING: 0x8894;\n    readonly ELEMENT_ARRAY_BUFFER_BINDING: 0x8895;\n    readonly STREAM_DRAW: 0x88E0;\n    readonly STATIC_DRAW: 0x88E4;\n    readonly DYNAMIC_DRAW: 0x88E8;\n    readonly BUFFER_SIZE: 0x8764;\n    readonly BUFFER_USAGE: 0x8765;\n    readonly CURRENT_VERTEX_ATTRIB: 0x8626;\n    readonly FRONT: 0x0404;\n    readonly BACK: 0x0405;\n    readonly FRONT_AND_BACK: 0x0408;\n    readonly CULL_FACE: 0x0B44;\n    readonly BLEND: 0x0BE2;\n    readonly DITHER: 0x0BD0;\n    readonly STENCIL_TEST: 0x0B90;\n    readonly DEPTH_TEST: 0x0B71;\n    readonly SCISSOR_TEST: 0x0C11;\n    readonly POLYGON_OFFSET_FILL: 0x8037;\n    readonly SAMPLE_ALPHA_TO_COVERAGE: 0x809E;\n    readonly SAMPLE_COVERAGE: 0x80A0;\n    readonly NO_ERROR: 0;\n    readonly INVALID_ENUM: 0x0500;\n    readonly INVALID_VALUE: 0x0501;\n    readonly INVALID_OPERATION: 0x0502;\n    readonly OUT_OF_MEMORY: 0x0505;\n    readonly CW: 0x0900;\n    readonly CCW: 0x0901;\n    readonly LINE_WIDTH: 0x0B21;\n    readonly ALIASED_POINT_SIZE_RANGE: 0x846D;\n    readonly ALIASED_LINE_WIDTH_RANGE: 0x846E;\n    readonly CULL_FACE_MODE: 0x0B45;\n    readonly FRONT_FACE: 0x0B46;\n    readonly DEPTH_RANGE: 0x0B70;\n    readonly DEPTH_WRITEMASK: 0x0B72;\n    readonly DEPTH_CLEAR_VALUE: 0x0B73;\n    readonly DEPTH_FUNC: 0x0B74;\n    readonly STENCIL_CLEAR_VALUE: 0x0B91;\n    readonly STENCIL_FUNC: 0x0B92;\n    readonly STENCIL_FAIL: 0x0B94;\n    readonly STENCIL_PASS_DEPTH_FAIL: 0x0B95;\n    readonly STENCIL_PASS_DEPTH_PASS: 0x0B96;\n    readonly STENCIL_REF: 0x0B97;\n    readonly STENCIL_VALUE_MASK: 0x0B93;\n    readonly STENCIL_WRITEMASK: 0x0B98;\n    readonly STENCIL_BACK_FUNC: 0x8800;\n    readonly STENCIL_BACK_FAIL: 0x8801;\n    readonly STENCIL_BACK_PASS_DEPTH_FAIL: 0x8802;\n    readonly STENCIL_BACK_PASS_DEPTH_PASS: 0x8803;\n    readonly STENCIL_BACK_REF: 0x8CA3;\n    readonly STENCIL_BACK_VALUE_MASK: 0x8CA4;\n    readonly STENCIL_BACK_WRITEMASK: 0x8CA5;\n    readonly VIEWPORT: 0x0BA2;\n    readonly SCISSOR_BOX: 0x0C10;\n    readonly COLOR_CLEAR_VALUE: 0x0C22;\n    readonly COLOR_WRITEMASK: 0x0C23;\n    readonly UNPACK_ALIGNMENT: 0x0CF5;\n    readonly PACK_ALIGNMENT: 0x0D05;\n    readonly MAX_TEXTURE_SIZE: 0x0D33;\n    readonly MAX_VIEWPORT_DIMS: 0x0D3A;\n    readonly SUBPIXEL_BITS: 0x0D50;\n    readonly RED_BITS: 0x0D52;\n    readonly GREEN_BITS: 0x0D53;\n    readonly BLUE_BITS: 0x0D54;\n    readonly ALPHA_BITS: 0x0D55;\n    readonly DEPTH_BITS: 0x0D56;\n    readonly STENCIL_BITS: 0x0D57;\n    readonly POLYGON_OFFSET_UNITS: 0x2A00;\n    readonly POLYGON_OFFSET_FACTOR: 0x8038;\n    readonly TEXTURE_BINDING_2D: 0x8069;\n    readonly SAMPLE_BUFFERS: 0x80A8;\n    readonly SAMPLES: 0x80A9;\n    readonly SAMPLE_COVERAGE_VALUE: 0x80AA;\n    readonly SAMPLE_COVERAGE_INVERT: 0x80AB;\n    readonly COMPRESSED_TEXTURE_FORMATS: 0x86A3;\n    readonly DONT_CARE: 0x1100;\n    readonly FASTEST: 0x1101;\n    readonly NICEST: 0x1102;\n    readonly GENERATE_MIPMAP_HINT: 0x8192;\n    readonly BYTE: 0x1400;\n    readonly UNSIGNED_BYTE: 0x1401;\n    readonly SHORT: 0x1402;\n    readonly UNSIGNED_SHORT: 0x1403;\n    readonly INT: 0x1404;\n    readonly UNSIGNED_INT: 0x1405;\n    readonly FLOAT: 0x1406;\n    readonly DEPTH_COMPONENT: 0x1902;\n    readonly ALPHA: 0x1906;\n    readonly RGB: 0x1907;\n    readonly RGBA: 0x1908;\n    readonly LUMINANCE: 0x1909;\n    readonly LUMINANCE_ALPHA: 0x190A;\n    readonly UNSIGNED_SHORT_4_4_4_4: 0x8033;\n    readonly UNSIGNED_SHORT_5_5_5_1: 0x8034;\n    readonly UNSIGNED_SHORT_5_6_5: 0x8363;\n    readonly FRAGMENT_SHADER: 0x8B30;\n    readonly VERTEX_SHADER: 0x8B31;\n    readonly MAX_VERTEX_ATTRIBS: 0x8869;\n    readonly MAX_VERTEX_UNIFORM_VECTORS: 0x8DFB;\n    readonly MAX_VARYING_VECTORS: 0x8DFC;\n    readonly MAX_COMBINED_TEXTURE_IMAGE_UNITS: 0x8B4D;\n    readonly MAX_VERTEX_TEXTURE_IMAGE_UNITS: 0x8B4C;\n    readonly MAX_TEXTURE_IMAGE_UNITS: 0x8872;\n    readonly MAX_FRAGMENT_UNIFORM_VECTORS: 0x8DFD;\n    readonly SHADER_TYPE: 0x8B4F;\n    readonly DELETE_STATUS: 0x8B80;\n    readonly LINK_STATUS: 0x8B82;\n    readonly VALIDATE_STATUS: 0x8B83;\n    readonly ATTACHED_SHADERS: 0x8B85;\n    readonly ACTIVE_UNIFORMS: 0x8B86;\n    readonly ACTIVE_ATTRIBUTES: 0x8B89;\n    readonly SHADING_LANGUAGE_VERSION: 0x8B8C;\n    readonly CURRENT_PROGRAM: 0x8B8D;\n    readonly NEVER: 0x0200;\n    readonly LESS: 0x0201;\n    readonly EQUAL: 0x0202;\n    readonly LEQUAL: 0x0203;\n    readonly GREATER: 0x0204;\n    readonly NOTEQUAL: 0x0205;\n    readonly GEQUAL: 0x0206;\n    readonly ALWAYS: 0x0207;\n    readonly KEEP: 0x1E00;\n    readonly REPLACE: 0x1E01;\n    readonly INCR: 0x1E02;\n    readonly DECR: 0x1E03;\n    readonly INVERT: 0x150A;\n    readonly INCR_WRAP: 0x8507;\n    readonly DECR_WRAP: 0x8508;\n    readonly VENDOR: 0x1F00;\n    readonly RENDERER: 0x1F01;\n    readonly VERSION: 0x1F02;\n    readonly NEAREST: 0x2600;\n    readonly LINEAR: 0x2601;\n    readonly NEAREST_MIPMAP_NEAREST: 0x2700;\n    readonly LINEAR_MIPMAP_NEAREST: 0x2701;\n    readonly NEAREST_MIPMAP_LINEAR: 0x2702;\n    readonly LINEAR_MIPMAP_LINEAR: 0x2703;\n    readonly TEXTURE_MAG_FILTER: 0x2800;\n    readonly TEXTURE_MIN_FILTER: 0x2801;\n    readonly TEXTURE_WRAP_S: 0x2802;\n    readonly TEXTURE_WRAP_T: 0x2803;\n    readonly TEXTURE_2D: 0x0DE1;\n    readonly TEXTURE: 0x1702;\n    readonly TEXTURE_CUBE_MAP: 0x8513;\n    readonly TEXTURE_BINDING_CUBE_MAP: 0x8514;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_X: 0x8515;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_X: 0x8516;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Y: 0x8517;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Y: 0x8518;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Z: 0x8519;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Z: 0x851A;\n    readonly MAX_CUBE_MAP_TEXTURE_SIZE: 0x851C;\n    readonly TEXTURE0: 0x84C0;\n    readonly TEXTURE1: 0x84C1;\n    readonly TEXTURE2: 0x84C2;\n    readonly TEXTURE3: 0x84C3;\n    readonly TEXTURE4: 0x84C4;\n    readonly TEXTURE5: 0x84C5;\n    readonly TEXTURE6: 0x84C6;\n    readonly TEXTURE7: 0x84C7;\n    readonly TEXTURE8: 0x84C8;\n    readonly TEXTURE9: 0x84C9;\n    readonly TEXTURE10: 0x84CA;\n    readonly TEXTURE11: 0x84CB;\n    readonly TEXTURE12: 0x84CC;\n    readonly TEXTURE13: 0x84CD;\n    readonly TEXTURE14: 0x84CE;\n    readonly TEXTURE15: 0x84CF;\n    readonly TEXTURE16: 0x84D0;\n    readonly TEXTURE17: 0x84D1;\n    readonly TEXTURE18: 0x84D2;\n    readonly TEXTURE19: 0x84D3;\n    readonly TEXTURE20: 0x84D4;\n    readonly TEXTURE21: 0x84D5;\n    readonly TEXTURE22: 0x84D6;\n    readonly TEXTURE23: 0x84D7;\n    readonly TEXTURE24: 0x84D8;\n    readonly TEXTURE25: 0x84D9;\n    readonly TEXTURE26: 0x84DA;\n    readonly TEXTURE27: 0x84DB;\n    readonly TEXTURE28: 0x84DC;\n    readonly TEXTURE29: 0x84DD;\n    readonly TEXTURE30: 0x84DE;\n    readonly TEXTURE31: 0x84DF;\n    readonly ACTIVE_TEXTURE: 0x84E0;\n    readonly REPEAT: 0x2901;\n    readonly CLAMP_TO_EDGE: 0x812F;\n    readonly MIRRORED_REPEAT: 0x8370;\n    readonly FLOAT_VEC2: 0x8B50;\n    readonly FLOAT_VEC3: 0x8B51;\n    readonly FLOAT_VEC4: 0x8B52;\n    readonly INT_VEC2: 0x8B53;\n    readonly INT_VEC3: 0x8B54;\n    readonly INT_VEC4: 0x8B55;\n    readonly BOOL: 0x8B56;\n    readonly BOOL_VEC2: 0x8B57;\n    readonly BOOL_VEC3: 0x8B58;\n    readonly BOOL_VEC4: 0x8B59;\n    readonly FLOAT_MAT2: 0x8B5A;\n    readonly FLOAT_MAT3: 0x8B5B;\n    readonly FLOAT_MAT4: 0x8B5C;\n    readonly SAMPLER_2D: 0x8B5E;\n    readonly SAMPLER_CUBE: 0x8B60;\n    readonly VERTEX_ATTRIB_ARRAY_ENABLED: 0x8622;\n    readonly VERTEX_ATTRIB_ARRAY_SIZE: 0x8623;\n    readonly VERTEX_ATTRIB_ARRAY_STRIDE: 0x8624;\n    readonly VERTEX_ATTRIB_ARRAY_TYPE: 0x8625;\n    readonly VERTEX_ATTRIB_ARRAY_NORMALIZED: 0x886A;\n    readonly VERTEX_ATTRIB_ARRAY_POINTER: 0x8645;\n    readonly VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: 0x889F;\n    readonly IMPLEMENTATION_COLOR_READ_TYPE: 0x8B9A;\n    readonly IMPLEMENTATION_COLOR_READ_FORMAT: 0x8B9B;\n    readonly COMPILE_STATUS: 0x8B81;\n    readonly LOW_FLOAT: 0x8DF0;\n    readonly MEDIUM_FLOAT: 0x8DF1;\n    readonly HIGH_FLOAT: 0x8DF2;\n    readonly LOW_INT: 0x8DF3;\n    readonly MEDIUM_INT: 0x8DF4;\n    readonly HIGH_INT: 0x8DF5;\n    readonly FRAMEBUFFER: 0x8D40;\n    readonly RENDERBUFFER: 0x8D41;\n    readonly RGBA4: 0x8056;\n    readonly RGB5_A1: 0x8057;\n    readonly RGBA8: 0x8058;\n    readonly RGB565: 0x8D62;\n    readonly DEPTH_COMPONENT16: 0x81A5;\n    readonly STENCIL_INDEX8: 0x8D48;\n    readonly DEPTH_STENCIL: 0x84F9;\n    readonly RENDERBUFFER_WIDTH: 0x8D42;\n    readonly RENDERBUFFER_HEIGHT: 0x8D43;\n    readonly RENDERBUFFER_INTERNAL_FORMAT: 0x8D44;\n    readonly RENDERBUFFER_RED_SIZE: 0x8D50;\n    readonly RENDERBUFFER_GREEN_SIZE: 0x8D51;\n    readonly RENDERBUFFER_BLUE_SIZE: 0x8D52;\n    readonly RENDERBUFFER_ALPHA_SIZE: 0x8D53;\n    readonly RENDERBUFFER_DEPTH_SIZE: 0x8D54;\n    readonly RENDERBUFFER_STENCIL_SIZE: 0x8D55;\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: 0x8CD0;\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: 0x8CD1;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: 0x8CD2;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: 0x8CD3;\n    readonly COLOR_ATTACHMENT0: 0x8CE0;\n    readonly DEPTH_ATTACHMENT: 0x8D00;\n    readonly STENCIL_ATTACHMENT: 0x8D20;\n    readonly DEPTH_STENCIL_ATTACHMENT: 0x821A;\n    readonly NONE: 0;\n    readonly FRAMEBUFFER_COMPLETE: 0x8CD5;\n    readonly FRAMEBUFFER_INCOMPLETE_ATTACHMENT: 0x8CD6;\n    readonly FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: 0x8CD7;\n    readonly FRAMEBUFFER_INCOMPLETE_DIMENSIONS: 0x8CD9;\n    readonly FRAMEBUFFER_UNSUPPORTED: 0x8CDD;\n    readonly FRAMEBUFFER_BINDING: 0x8CA6;\n    readonly RENDERBUFFER_BINDING: 0x8CA7;\n    readonly MAX_RENDERBUFFER_SIZE: 0x84E8;\n    readonly INVALID_FRAMEBUFFER_OPERATION: 0x0506;\n    readonly UNPACK_FLIP_Y_WEBGL: 0x9240;\n    readonly UNPACK_PREMULTIPLY_ALPHA_WEBGL: 0x9241;\n    readonly CONTEXT_LOST_WEBGL: 0x9242;\n    readonly UNPACK_COLORSPACE_CONVERSION_WEBGL: 0x9243;\n    readonly BROWSER_DEFAULT_WEBGL: 0x9244;\n}\n\ninterface WebGLRenderingContextOverloads {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bufferData) */\n    bufferData(target: GLenum, size: GLsizeiptr, usage: GLenum): void;\n    bufferData(target: GLenum, data: AllowSharedBufferSource | null, usage: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bufferSubData) */\n    bufferSubData(target: GLenum, offset: GLintptr, data: AllowSharedBufferSource): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/compressedTexImage2D) */\n    compressedTexImage2D(target: GLenum, level: GLint, internalformat: GLenum, width: GLsizei, height: GLsizei, border: GLint, data: ArrayBufferView): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/compressedTexSubImage2D) */\n    compressedTexSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, data: ArrayBufferView): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/readPixels) */\n    readPixels(x: GLint, y: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/texImage2D) */\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, border: GLint, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void;\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, format: GLenum, type: GLenum, source: TexImageSource): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/texSubImage2D) */\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void;\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, format: GLenum, type: GLenum, source: TexImageSource): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1fv(location: WebGLUniformLocation | null, v: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1iv(location: WebGLUniformLocation | null, v: Int32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2fv(location: WebGLUniformLocation | null, v: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2iv(location: WebGLUniformLocation | null, v: Int32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3fv(location: WebGLUniformLocation | null, v: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3iv(location: WebGLUniformLocation | null, v: Int32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4fv(location: WebGLUniformLocation | null, v: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4iv(location: WebGLUniformLocation | null, v: Int32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix2fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix3fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix4fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Float32List): void;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLSampler) */\ninterface WebGLSampler {\n}\n\ndeclare var WebGLSampler: {\n    prototype: WebGLSampler;\n    new(): WebGLSampler;\n};\n\n/**\n * The WebGLShader is part of the WebGL API and can either be a vertex or a fragment shader. A WebGLProgram requires both types of shaders.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLShader)\n */\ninterface WebGLShader {\n}\n\ndeclare var WebGLShader: {\n    prototype: WebGLShader;\n    new(): WebGLShader;\n};\n\n/**\n * Part of the WebGL API and represents the information returned by calling the WebGLRenderingContext.getShaderPrecisionFormat() method.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLShaderPrecisionFormat)\n */\ninterface WebGLShaderPrecisionFormat {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLShaderPrecisionFormat/precision) */\n    readonly precision: GLint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLShaderPrecisionFormat/rangeMax) */\n    readonly rangeMax: GLint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLShaderPrecisionFormat/rangeMin) */\n    readonly rangeMin: GLint;\n}\n\ndeclare var WebGLShaderPrecisionFormat: {\n    prototype: WebGLShaderPrecisionFormat;\n    new(): WebGLShaderPrecisionFormat;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLSync) */\ninterface WebGLSync {\n}\n\ndeclare var WebGLSync: {\n    prototype: WebGLSync;\n    new(): WebGLSync;\n};\n\n/**\n * Part of the WebGL API and represents an opaque texture object providing storage and state for texturing operations.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLTexture)\n */\ninterface WebGLTexture {\n}\n\ndeclare var WebGLTexture: {\n    prototype: WebGLTexture;\n    new(): WebGLTexture;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLTransformFeedback) */\ninterface WebGLTransformFeedback {\n}\n\ndeclare var WebGLTransformFeedback: {\n    prototype: WebGLTransformFeedback;\n    new(): WebGLTransformFeedback;\n};\n\n/**\n * Part of the WebGL API and represents the location of a uniform variable in a shader program.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLUniformLocation)\n */\ninterface WebGLUniformLocation {\n}\n\ndeclare var WebGLUniformLocation: {\n    prototype: WebGLUniformLocation;\n    new(): WebGLUniformLocation;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLVertexArrayObject) */\ninterface WebGLVertexArrayObject {\n}\n\ndeclare var WebGLVertexArrayObject: {\n    prototype: WebGLVertexArrayObject;\n    new(): WebGLVertexArrayObject;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLVertexArrayObjectOES) */\ninterface WebGLVertexArrayObjectOES {\n}\n\ninterface WebSocketEventMap {\n    "close": CloseEvent;\n    "error": Event;\n    "message": MessageEvent;\n    "open": Event;\n}\n\n/**\n * Provides the API for creating and managing a WebSocket connection to a server, as well as for sending and receiving data on the connection.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket)\n */\ninterface WebSocket extends EventTarget {\n    /**\n     * Returns a string that indicates how binary data from the WebSocket object is exposed to scripts:\n     *\n     * Can be set, to change how binary data is returned. The default is "blob".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/binaryType)\n     */\n    binaryType: BinaryType;\n    /**\n     * Returns the number of bytes of application data (UTF-8 text and binary data) that have been queued using send() but not yet been transmitted to the network.\n     *\n     * If the WebSocket connection is closed, this attribute\'s value will only increase with each call to the send() method. (The number does not reset to zero once the connection closes.)\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/bufferedAmount)\n     */\n    readonly bufferedAmount: number;\n    /**\n     * Returns the extensions selected by the server, if any.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/extensions)\n     */\n    readonly extensions: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/close_event) */\n    onclose: ((this: WebSocket, ev: CloseEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/error_event) */\n    onerror: ((this: WebSocket, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/message_event) */\n    onmessage: ((this: WebSocket, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/open_event) */\n    onopen: ((this: WebSocket, ev: Event) => any) | null;\n    /**\n     * Returns the subprotocol selected by the server, if any. It can be used in conjunction with the array form of the constructor\'s second argument to perform subprotocol negotiation.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/protocol)\n     */\n    readonly protocol: string;\n    /**\n     * Returns the state of the WebSocket object\'s connection. It can have the values described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/readyState)\n     */\n    readonly readyState: number;\n    /**\n     * Returns the URL that was used to establish the WebSocket connection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/url)\n     */\n    readonly url: string;\n    /**\n     * Closes the WebSocket connection, optionally using code as the the WebSocket connection close code and reason as the the WebSocket connection close reason.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/close)\n     */\n    close(code?: number, reason?: string): void;\n    /**\n     * Transmits data using the WebSocket connection. data can be a string, a Blob, an ArrayBuffer, or an ArrayBufferView.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/send)\n     */\n    send(data: string | ArrayBufferLike | Blob | ArrayBufferView): void;\n    readonly CONNECTING: 0;\n    readonly OPEN: 1;\n    readonly CLOSING: 2;\n    readonly CLOSED: 3;\n    addEventListener<K extends keyof WebSocketEventMap>(type: K, listener: (this: WebSocket, ev: WebSocketEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof WebSocketEventMap>(type: K, listener: (this: WebSocket, ev: WebSocketEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var WebSocket: {\n    prototype: WebSocket;\n    new(url: string | URL, protocols?: string | string[]): WebSocket;\n    readonly CONNECTING: 0;\n    readonly OPEN: 1;\n    readonly CLOSING: 2;\n    readonly CLOSED: 3;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport)\n */\ninterface WebTransport {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/closed) */\n    readonly closed: Promise<WebTransportCloseInfo>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/datagrams) */\n    readonly datagrams: WebTransportDatagramDuplexStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/incomingBidirectionalStreams) */\n    readonly incomingBidirectionalStreams: ReadableStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/incomingUnidirectionalStreams) */\n    readonly incomingUnidirectionalStreams: ReadableStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/ready) */\n    readonly ready: Promise<undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/close) */\n    close(closeInfo?: WebTransportCloseInfo): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/createBidirectionalStream) */\n    createBidirectionalStream(options?: WebTransportSendStreamOptions): Promise<WebTransportBidirectionalStream>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/createUnidirectionalStream) */\n    createUnidirectionalStream(options?: WebTransportSendStreamOptions): Promise<WritableStream>;\n}\n\ndeclare var WebTransport: {\n    prototype: WebTransport;\n    new(url: string | URL, options?: WebTransportOptions): WebTransport;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportBidirectionalStream)\n */\ninterface WebTransportBidirectionalStream {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportBidirectionalStream/readable) */\n    readonly readable: ReadableStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportBidirectionalStream/writable) */\n    readonly writable: WritableStream;\n}\n\ndeclare var WebTransportBidirectionalStream: {\n    prototype: WebTransportBidirectionalStream;\n    new(): WebTransportBidirectionalStream;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream)\n */\ninterface WebTransportDatagramDuplexStream {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/incomingHighWaterMark) */\n    incomingHighWaterMark: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/incomingMaxAge) */\n    incomingMaxAge: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/maxDatagramSize) */\n    readonly maxDatagramSize: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/outgoingHighWaterMark) */\n    outgoingHighWaterMark: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/outgoingMaxAge) */\n    outgoingMaxAge: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/readable) */\n    readonly readable: ReadableStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/writable) */\n    readonly writable: WritableStream;\n}\n\ndeclare var WebTransportDatagramDuplexStream: {\n    prototype: WebTransportDatagramDuplexStream;\n    new(): WebTransportDatagramDuplexStream;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportError)\n */\ninterface WebTransportError extends DOMException {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportError/source) */\n    readonly source: WebTransportErrorSource;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportError/streamErrorCode) */\n    readonly streamErrorCode: number | null;\n}\n\ndeclare var WebTransportError: {\n    prototype: WebTransportError;\n    new(message?: string, options?: WebTransportErrorOptions): WebTransportError;\n};\n\n/**\n * Events that occur due to the user moving a mouse wheel or similar input device.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WheelEvent)\n */\ninterface WheelEvent extends MouseEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WheelEvent/deltaMode) */\n    readonly deltaMode: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WheelEvent/deltaX) */\n    readonly deltaX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WheelEvent/deltaY) */\n    readonly deltaY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WheelEvent/deltaZ) */\n    readonly deltaZ: number;\n    readonly DOM_DELTA_PIXEL: 0x00;\n    readonly DOM_DELTA_LINE: 0x01;\n    readonly DOM_DELTA_PAGE: 0x02;\n}\n\ndeclare var WheelEvent: {\n    prototype: WheelEvent;\n    new(type: string, eventInitDict?: WheelEventInit): WheelEvent;\n    readonly DOM_DELTA_PIXEL: 0x00;\n    readonly DOM_DELTA_LINE: 0x01;\n    readonly DOM_DELTA_PAGE: 0x02;\n};\n\ninterface WindowEventMap extends GlobalEventHandlersEventMap, WindowEventHandlersEventMap {\n    "DOMContentLoaded": Event;\n    "devicemotion": DeviceMotionEvent;\n    "deviceorientation": DeviceOrientationEvent;\n    "deviceorientationabsolute": DeviceOrientationEvent;\n    "gamepadconnected": GamepadEvent;\n    "gamepaddisconnected": GamepadEvent;\n    "orientationchange": Event;\n}\n\n/**\n * A window containing a DOM document; the document property points to the DOM document loaded in that window.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window)\n */\ninterface Window extends EventTarget, AnimationFrameProvider, GlobalEventHandlers, WindowEventHandlers, WindowLocalStorage, WindowOrWorkerGlobalScope, WindowSessionStorage {\n    /**\n     * @deprecated This is a legacy alias of `navigator`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/navigator)\n     */\n    readonly clientInformation: Navigator;\n    /**\n     * Returns true if the window has been closed, false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/closed)\n     */\n    readonly closed: boolean;\n    /**\n     * Defines a new custom element, mapping the given name to the given constructor as an autonomous custom element.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/customElements)\n     */\n    readonly customElements: CustomElementRegistry;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/devicePixelRatio) */\n    readonly devicePixelRatio: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/document) */\n    readonly document: Document;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/event)\n     */\n    readonly event: Event | undefined;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/external)\n     */\n    readonly external: External;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/frameElement) */\n    readonly frameElement: Element | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/frames) */\n    readonly frames: WindowProxy;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/history) */\n    readonly history: History;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/innerHeight) */\n    readonly innerHeight: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/innerWidth) */\n    readonly innerWidth: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/location) */\n    get location(): Location;\n    set location(href: string | Location);\n    /**\n     * Returns true if the location bar is visible; otherwise, returns false.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/locationbar)\n     */\n    readonly locationbar: BarProp;\n    /**\n     * Returns true if the menu bar is visible; otherwise, returns false.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/menubar)\n     */\n    readonly menubar: BarProp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/name) */\n    name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/navigator) */\n    readonly navigator: Navigator;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/devicemotion_event)\n     */\n    ondevicemotion: ((this: Window, ev: DeviceMotionEvent) => any) | null;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/deviceorientation_event)\n     */\n    ondeviceorientation: ((this: Window, ev: DeviceOrientationEvent) => any) | null;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/deviceorientationabsolute_event)\n     */\n    ondeviceorientationabsolute: ((this: Window, ev: DeviceOrientationEvent) => any) | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/orientationchange_event)\n     */\n    onorientationchange: ((this: Window, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/opener) */\n    opener: any;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/orientation)\n     */\n    readonly orientation: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/outerHeight) */\n    readonly outerHeight: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/outerWidth) */\n    readonly outerWidth: number;\n    /**\n     * @deprecated This is a legacy alias of `scrollX`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollX)\n     */\n    readonly pageXOffset: number;\n    /**\n     * @deprecated This is a legacy alias of `scrollY`.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollY)\n     */\n    readonly pageYOffset: number;\n    /**\n     * Refers to either the parent WindowProxy, or itself.\n     *\n     * It can rarely be null e.g. for contentWindow of an iframe that is already removed from the parent.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/parent)\n     */\n    readonly parent: WindowProxy;\n    /**\n     * Returns true if the personal bar is visible; otherwise, returns false.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/personalbar)\n     */\n    readonly personalbar: BarProp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/screen) */\n    readonly screen: Screen;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/screenLeft) */\n    readonly screenLeft: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/screenTop) */\n    readonly screenTop: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/screenX) */\n    readonly screenX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/screenY) */\n    readonly screenY: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollX) */\n    readonly scrollX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollY) */\n    readonly scrollY: number;\n    /**\n     * Returns true if the scrollbars are visible; otherwise, returns false.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollbars)\n     */\n    readonly scrollbars: BarProp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/self) */\n    readonly self: Window & typeof globalThis;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/speechSynthesis) */\n    readonly speechSynthesis: SpeechSynthesis;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/status)\n     */\n    status: string;\n    /**\n     * Returns true if the status bar is visible; otherwise, returns false.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/statusbar)\n     */\n    readonly statusbar: BarProp;\n    /**\n     * Returns true if the toolbar is visible; otherwise, returns false.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/toolbar)\n     */\n    readonly toolbar: BarProp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/top) */\n    readonly top: WindowProxy | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/visualViewport) */\n    readonly visualViewport: VisualViewport | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/window) */\n    readonly window: Window & typeof globalThis;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/alert) */\n    alert(message?: any): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/blur) */\n    blur(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/cancelIdleCallback) */\n    cancelIdleCallback(handle: number): void;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/captureEvents)\n     */\n    captureEvents(): void;\n    /**\n     * Closes the window.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/close)\n     */\n    close(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/confirm) */\n    confirm(message?: string): boolean;\n    /**\n     * Moves the focus to the window\'s browsing context, if any.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/focus)\n     */\n    focus(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/getComputedStyle) */\n    getComputedStyle(elt: Element, pseudoElt?: string | null): CSSStyleDeclaration;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/getSelection) */\n    getSelection(): Selection | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/matchMedia) */\n    matchMedia(query: string): MediaQueryList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/moveBy) */\n    moveBy(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/moveTo) */\n    moveTo(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/open) */\n    open(url?: string | URL, target?: string, features?: string): WindowProxy | null;\n    /**\n     * Posts a message to the given window. Messages can be structured objects, e.g. nested objects and arrays, can contain JavaScript values (strings, numbers, Date objects, etc), and can contain certain data objects such as File Blob, FileList, and ArrayBuffer objects.\n     *\n     * Objects listed in the transfer member of options are transferred, not just cloned, meaning that they are no longer usable on the sending side.\n     *\n     * A target origin can be specified using the targetOrigin member of options. If not provided, it defaults to "/". This default restricts the message to same-origin targets only.\n     *\n     * If the origin of the target window doesn\'t match the given target origin, the message is discarded, to avoid information leakage. To send the message to the target regardless of origin, set the target origin to "*".\n     *\n     * Throws a "DataCloneError" DOMException if transfer array contains duplicate objects or if message could not be cloned.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/postMessage)\n     */\n    postMessage(message: any, targetOrigin: string, transfer?: Transferable[]): void;\n    postMessage(message: any, options?: WindowPostMessageOptions): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/print) */\n    print(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/prompt) */\n    prompt(message?: string, _default?: string): string | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/releaseEvents)\n     */\n    releaseEvents(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/requestIdleCallback) */\n    requestIdleCallback(callback: IdleRequestCallback, options?: IdleRequestOptions): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/resizeBy) */\n    resizeBy(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/resizeTo) */\n    resizeTo(width: number, height: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scroll) */\n    scroll(options?: ScrollToOptions): void;\n    scroll(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollBy) */\n    scrollBy(options?: ScrollToOptions): void;\n    scrollBy(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollTo) */\n    scrollTo(options?: ScrollToOptions): void;\n    scrollTo(x: number, y: number): void;\n    /**\n     * Cancels the document load.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/stop)\n     */\n    stop(): void;\n    addEventListener<K extends keyof WindowEventMap>(type: K, listener: (this: Window, ev: WindowEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof WindowEventMap>(type: K, listener: (this: Window, ev: WindowEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n    [index: number]: Window;\n}\n\ndeclare var Window: {\n    prototype: Window;\n    new(): Window;\n};\n\ninterface WindowEventHandlersEventMap {\n    "afterprint": Event;\n    "beforeprint": Event;\n    "beforeunload": BeforeUnloadEvent;\n    "gamepadconnected": GamepadEvent;\n    "gamepaddisconnected": GamepadEvent;\n    "hashchange": HashChangeEvent;\n    "languagechange": Event;\n    "message": MessageEvent;\n    "messageerror": MessageEvent;\n    "offline": Event;\n    "online": Event;\n    "pagehide": PageTransitionEvent;\n    "pageshow": PageTransitionEvent;\n    "popstate": PopStateEvent;\n    "rejectionhandled": PromiseRejectionEvent;\n    "storage": StorageEvent;\n    "unhandledrejection": PromiseRejectionEvent;\n    "unload": Event;\n}\n\ninterface WindowEventHandlers {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/afterprint_event) */\n    onafterprint: ((this: WindowEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/beforeprint_event) */\n    onbeforeprint: ((this: WindowEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/beforeunload_event) */\n    onbeforeunload: ((this: WindowEventHandlers, ev: BeforeUnloadEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/gamepadconnected_event) */\n    ongamepadconnected: ((this: WindowEventHandlers, ev: GamepadEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/gamepaddisconnected_event) */\n    ongamepaddisconnected: ((this: WindowEventHandlers, ev: GamepadEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/hashchange_event) */\n    onhashchange: ((this: WindowEventHandlers, ev: HashChangeEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/languagechange_event) */\n    onlanguagechange: ((this: WindowEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/message_event) */\n    onmessage: ((this: WindowEventHandlers, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/messageerror_event) */\n    onmessageerror: ((this: WindowEventHandlers, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/offline_event) */\n    onoffline: ((this: WindowEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/online_event) */\n    ononline: ((this: WindowEventHandlers, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/pagehide_event) */\n    onpagehide: ((this: WindowEventHandlers, ev: PageTransitionEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/pageshow_event) */\n    onpageshow: ((this: WindowEventHandlers, ev: PageTransitionEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/popstate_event) */\n    onpopstate: ((this: WindowEventHandlers, ev: PopStateEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/rejectionhandled_event) */\n    onrejectionhandled: ((this: WindowEventHandlers, ev: PromiseRejectionEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/storage_event) */\n    onstorage: ((this: WindowEventHandlers, ev: StorageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/unhandledrejection_event) */\n    onunhandledrejection: ((this: WindowEventHandlers, ev: PromiseRejectionEvent) => any) | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/unload_event)\n     */\n    onunload: ((this: WindowEventHandlers, ev: Event) => any) | null;\n    addEventListener<K extends keyof WindowEventHandlersEventMap>(type: K, listener: (this: WindowEventHandlers, ev: WindowEventHandlersEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof WindowEventHandlersEventMap>(type: K, listener: (this: WindowEventHandlers, ev: WindowEventHandlersEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ninterface WindowLocalStorage {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/localStorage) */\n    readonly localStorage: Storage;\n}\n\ninterface WindowOrWorkerGlobalScope {\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/caches)\n     */\n    readonly caches: CacheStorage;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/crossOriginIsolated) */\n    readonly crossOriginIsolated: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/crypto_property) */\n    readonly crypto: Crypto;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/indexedDB) */\n    readonly indexedDB: IDBFactory;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/isSecureContext) */\n    readonly isSecureContext: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/origin) */\n    readonly origin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/performance_property) */\n    readonly performance: Performance;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/atob) */\n    atob(data: string): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/btoa) */\n    btoa(data: string): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/clearInterval) */\n    clearInterval(id: number | undefined): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/clearTimeout) */\n    clearTimeout(id: number | undefined): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/createImageBitmap) */\n    createImageBitmap(image: ImageBitmapSource, options?: ImageBitmapOptions): Promise<ImageBitmap>;\n    createImageBitmap(image: ImageBitmapSource, sx: number, sy: number, sw: number, sh: number, options?: ImageBitmapOptions): Promise<ImageBitmap>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/fetch) */\n    fetch(input: RequestInfo | URL, init?: RequestInit): Promise<Response>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/queueMicrotask) */\n    queueMicrotask(callback: VoidFunction): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/reportError) */\n    reportError(e: any): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/setInterval) */\n    setInterval(handler: TimerHandler, timeout?: number, ...arguments: any[]): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/setTimeout) */\n    setTimeout(handler: TimerHandler, timeout?: number, ...arguments: any[]): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/structuredClone) */\n    structuredClone<T = any>(value: T, options?: StructuredSerializeOptions): T;\n}\n\ninterface WindowSessionStorage {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/sessionStorage) */\n    readonly sessionStorage: Storage;\n}\n\ninterface WorkerEventMap extends AbstractWorkerEventMap {\n    "message": MessageEvent;\n    "messageerror": MessageEvent;\n}\n\n/**\n * This Web Workers API interface represents a background task that can be easily created and can send messages back to its creator. Creating a worker is as simple as calling the Worker() constructor and specifying a script to be run in the worker thread.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Worker)\n */\ninterface Worker extends EventTarget, AbstractWorker {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Worker/message_event) */\n    onmessage: ((this: Worker, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Worker/messageerror_event) */\n    onmessageerror: ((this: Worker, ev: MessageEvent) => any) | null;\n    /**\n     * Clones message and transmits it to worker\'s global environment. transfer can be passed as a list of objects that are to be transferred rather than cloned.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Worker/postMessage)\n     */\n    postMessage(message: any, transfer: Transferable[]): void;\n    postMessage(message: any, options?: StructuredSerializeOptions): void;\n    /**\n     * Aborts worker\'s associated global environment.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Worker/terminate)\n     */\n    terminate(): void;\n    addEventListener<K extends keyof WorkerEventMap>(type: K, listener: (this: Worker, ev: WorkerEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof WorkerEventMap>(type: K, listener: (this: Worker, ev: WorkerEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var Worker: {\n    prototype: Worker;\n    new(scriptURL: string | URL, options?: WorkerOptions): Worker;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Worklet)\n */\ninterface Worklet {\n    /**\n     * Loads and executes the module script given by moduleURL into all of worklet\'s global scopes. It can also create additional global scopes as part of this process, depending on the worklet type. The returned promise will fulfill once the script has been successfully loaded and run in all global scopes.\n     *\n     * The credentials option can be set to a credentials mode to modify the script-fetching process. It defaults to "same-origin".\n     *\n     * Any failures in fetching the script or its dependencies will cause the returned promise to be rejected with an "AbortError" DOMException. Any errors in parsing the script or its dependencies will cause the returned promise to be rejected with the exception generated during parsing.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Worklet/addModule)\n     */\n    addModule(moduleURL: string | URL, options?: WorkletOptions): Promise<void>;\n}\n\ndeclare var Worklet: {\n    prototype: Worklet;\n    new(): Worklet;\n};\n\n/**\n * This Streams API interface provides a standard abstraction for writing streaming data to a destination, known as a sink. This object comes with built-in backpressure and queuing.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStream)\n */\ninterface WritableStream<W = any> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStream/locked) */\n    readonly locked: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStream/abort) */\n    abort(reason?: any): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStream/close) */\n    close(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStream/getWriter) */\n    getWriter(): WritableStreamDefaultWriter<W>;\n}\n\ndeclare var WritableStream: {\n    prototype: WritableStream;\n    new<W = any>(underlyingSink?: UnderlyingSink<W>, strategy?: QueuingStrategy<W>): WritableStream<W>;\n};\n\n/**\n * This Streams API interface represents a controller allowing control of a WritableStream\'s state. When constructing a WritableStream, the underlying sink is given a corresponding WritableStreamDefaultController instance to manipulate.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultController)\n */\ninterface WritableStreamDefaultController {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultController/signal) */\n    readonly signal: AbortSignal;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultController/error) */\n    error(e?: any): void;\n}\n\ndeclare var WritableStreamDefaultController: {\n    prototype: WritableStreamDefaultController;\n    new(): WritableStreamDefaultController;\n};\n\n/**\n * This Streams API interface is the object returned by WritableStream.getWriter() and once created locks the < writer to the WritableStream ensuring that no other streams can write to the underlying sink.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter)\n */\ninterface WritableStreamDefaultWriter<W = any> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/closed) */\n    readonly closed: Promise<undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/desiredSize) */\n    readonly desiredSize: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/ready) */\n    readonly ready: Promise<undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/abort) */\n    abort(reason?: any): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/close) */\n    close(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/releaseLock) */\n    releaseLock(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/write) */\n    write(chunk?: W): Promise<void>;\n}\n\ndeclare var WritableStreamDefaultWriter: {\n    prototype: WritableStreamDefaultWriter;\n    new<W = any>(stream: WritableStream<W>): WritableStreamDefaultWriter<W>;\n};\n\n/**\n * An XML document. It inherits from the generic Document and does not add any specific methods or properties to it: nevertheless, several algorithms behave differently with the two types of documents.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLDocument)\n */\ninterface XMLDocument extends Document {\n    addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: XMLDocument, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: XMLDocument, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var XMLDocument: {\n    prototype: XMLDocument;\n    new(): XMLDocument;\n};\n\ninterface XMLHttpRequestEventMap extends XMLHttpRequestEventTargetEventMap {\n    "readystatechange": Event;\n}\n\n/**\n * Use XMLHttpRequest (XHR) objects to interact with servers. You can retrieve data from a URL without having to do a full page refresh. This enables a Web page to update just part of a page without disrupting what the user is doing.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest)\n */\ninterface XMLHttpRequest extends XMLHttpRequestEventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/readystatechange_event) */\n    onreadystatechange: ((this: XMLHttpRequest, ev: Event) => any) | null;\n    /**\n     * Returns client\'s state.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/readyState)\n     */\n    readonly readyState: number;\n    /**\n     * Returns the response body.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/response)\n     */\n    readonly response: any;\n    /**\n     * Returns response as text.\n     *\n     * Throws an "InvalidStateError" DOMException if responseType is not the empty string or "text".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/responseText)\n     */\n    readonly responseText: string;\n    /**\n     * Returns the response type.\n     *\n     * Can be set to change the response type. Values are: the empty string (default), "arraybuffer", "blob", "document", "json", and "text".\n     *\n     * When set: setting to "document" is ignored if current global object is not a Window object.\n     *\n     * When set: throws an "InvalidStateError" DOMException if state is loading or done.\n     *\n     * When set: throws an "InvalidAccessError" DOMException if the synchronous flag is set and current global object is a Window object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/responseType)\n     */\n    responseType: XMLHttpRequestResponseType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/responseURL) */\n    readonly responseURL: string;\n    /**\n     * Returns the response as document.\n     *\n     * Throws an "InvalidStateError" DOMException if responseType is not the empty string or "document".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/responseXML)\n     */\n    readonly responseXML: Document | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/status) */\n    readonly status: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/statusText) */\n    readonly statusText: string;\n    /**\n     * Can be set to a time in milliseconds. When set to a non-zero value will cause fetching to terminate after the given time has passed. When the time has passed, the request has not yet completed, and this\'s synchronous flag is unset, a timeout event will then be dispatched, or a "TimeoutError" DOMException will be thrown otherwise (for the send() method).\n     *\n     * When set: throws an "InvalidAccessError" DOMException if the synchronous flag is set and current global object is a Window object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/timeout)\n     */\n    timeout: number;\n    /**\n     * Returns the associated XMLHttpRequestUpload object. It can be used to gather transmission information when data is transferred to a server.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/upload)\n     */\n    readonly upload: XMLHttpRequestUpload;\n    /**\n     * True when credentials are to be included in a cross-origin request. False when they are to be excluded in a cross-origin request and when cookies are to be ignored in its response. Initially false.\n     *\n     * When set: throws an "InvalidStateError" DOMException if state is not unsent or opened, or if the send() flag is set.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/withCredentials)\n     */\n    withCredentials: boolean;\n    /**\n     * Cancels any network activity.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/abort)\n     */\n    abort(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/getAllResponseHeaders) */\n    getAllResponseHeaders(): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/getResponseHeader) */\n    getResponseHeader(name: string): string | null;\n    /**\n     * Sets the request method, request URL, and synchronous flag.\n     *\n     * Throws a "SyntaxError" DOMException if either method is not a valid method or url cannot be parsed.\n     *\n     * Throws a "SecurityError" DOMException if method is a case-insensitive match for `CONNECT`, `TRACE`, or `TRACK`.\n     *\n     * Throws an "InvalidAccessError" DOMException if async is false, current global object is a Window object, and the timeout attribute is not zero or the responseType attribute is not the empty string.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/open)\n     */\n    open(method: string, url: string | URL): void;\n    open(method: string, url: string | URL, async: boolean, username?: string | null, password?: string | null): void;\n    /**\n     * Acts as if the `Content-Type` header value for a response is mime. (It does not change the header.)\n     *\n     * Throws an "InvalidStateError" DOMException if state is loading or done.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/overrideMimeType)\n     */\n    overrideMimeType(mime: string): void;\n    /**\n     * Initiates the request. The body argument provides the request body, if any, and is ignored if the request method is GET or HEAD.\n     *\n     * Throws an "InvalidStateError" DOMException if either state is not opened or the send() flag is set.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/send)\n     */\n    send(body?: Document | XMLHttpRequestBodyInit | null): void;\n    /**\n     * Combines a header in author request headers.\n     *\n     * Throws an "InvalidStateError" DOMException if either state is not opened or the send() flag is set.\n     *\n     * Throws a "SyntaxError" DOMException if name is not a header name or if value is not a header value.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/setRequestHeader)\n     */\n    setRequestHeader(name: string, value: string): void;\n    readonly UNSENT: 0;\n    readonly OPENED: 1;\n    readonly HEADERS_RECEIVED: 2;\n    readonly LOADING: 3;\n    readonly DONE: 4;\n    addEventListener<K extends keyof XMLHttpRequestEventMap>(type: K, listener: (this: XMLHttpRequest, ev: XMLHttpRequestEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof XMLHttpRequestEventMap>(type: K, listener: (this: XMLHttpRequest, ev: XMLHttpRequestEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var XMLHttpRequest: {\n    prototype: XMLHttpRequest;\n    new(): XMLHttpRequest;\n    readonly UNSENT: 0;\n    readonly OPENED: 1;\n    readonly HEADERS_RECEIVED: 2;\n    readonly LOADING: 3;\n    readonly DONE: 4;\n};\n\ninterface XMLHttpRequestEventTargetEventMap {\n    "abort": ProgressEvent<XMLHttpRequestEventTarget>;\n    "error": ProgressEvent<XMLHttpRequestEventTarget>;\n    "load": ProgressEvent<XMLHttpRequestEventTarget>;\n    "loadend": ProgressEvent<XMLHttpRequestEventTarget>;\n    "loadstart": ProgressEvent<XMLHttpRequestEventTarget>;\n    "progress": ProgressEvent<XMLHttpRequestEventTarget>;\n    "timeout": ProgressEvent<XMLHttpRequestEventTarget>;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequestEventTarget) */\ninterface XMLHttpRequestEventTarget extends EventTarget {\n    onabort: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    onerror: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    onload: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    onloadend: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    onloadstart: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    onprogress: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    ontimeout: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    addEventListener<K extends keyof XMLHttpRequestEventTargetEventMap>(type: K, listener: (this: XMLHttpRequestEventTarget, ev: XMLHttpRequestEventTargetEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof XMLHttpRequestEventTargetEventMap>(type: K, listener: (this: XMLHttpRequestEventTarget, ev: XMLHttpRequestEventTargetEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var XMLHttpRequestEventTarget: {\n    prototype: XMLHttpRequestEventTarget;\n    new(): XMLHttpRequestEventTarget;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequestUpload) */\ninterface XMLHttpRequestUpload extends XMLHttpRequestEventTarget {\n    addEventListener<K extends keyof XMLHttpRequestEventTargetEventMap>(type: K, listener: (this: XMLHttpRequestUpload, ev: XMLHttpRequestEventTargetEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof XMLHttpRequestEventTargetEventMap>(type: K, listener: (this: XMLHttpRequestUpload, ev: XMLHttpRequestEventTargetEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var XMLHttpRequestUpload: {\n    prototype: XMLHttpRequestUpload;\n    new(): XMLHttpRequestUpload;\n};\n\n/**\n * Provides the serializeToString() method to construct an XML string representing a DOM tree.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLSerializer)\n */\ninterface XMLSerializer {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLSerializer/serializeToString) */\n    serializeToString(root: Node): string;\n}\n\ndeclare var XMLSerializer: {\n    prototype: XMLSerializer;\n    new(): XMLSerializer;\n};\n\n/**\n * The XPathEvaluator interface allows to compile and evaluate XPath expressions.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathEvaluator)\n */\ninterface XPathEvaluator extends XPathEvaluatorBase {\n}\n\ndeclare var XPathEvaluator: {\n    prototype: XPathEvaluator;\n    new(): XPathEvaluator;\n};\n\ninterface XPathEvaluatorBase {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createExpression) */\n    createExpression(expression: string, resolver?: XPathNSResolver | null): XPathExpression;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/createNSResolver) */\n    createNSResolver(nodeResolver: Node): Node;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/evaluate) */\n    evaluate(expression: string, contextNode: Node, resolver?: XPathNSResolver | null, type?: number, result?: XPathResult | null): XPathResult;\n}\n\n/**\n * This interface is a compiled XPath expression that can be evaluated on a document or specific node to return information its DOM tree.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathExpression)\n */\ninterface XPathExpression {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathExpression/evaluate) */\n    evaluate(contextNode: Node, type?: number, result?: XPathResult | null): XPathResult;\n}\n\ndeclare var XPathExpression: {\n    prototype: XPathExpression;\n    new(): XPathExpression;\n};\n\n/**\n * The results generated by evaluating an XPath expression within the context of a given node.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathResult)\n */\ninterface XPathResult {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathResult/booleanValue) */\n    readonly booleanValue: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathResult/invalidIteratorState) */\n    readonly invalidIteratorState: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathResult/numberValue) */\n    readonly numberValue: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathResult/resultType) */\n    readonly resultType: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathResult/singleNodeValue) */\n    readonly singleNodeValue: Node | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathResult/snapshotLength) */\n    readonly snapshotLength: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathResult/stringValue) */\n    readonly stringValue: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathResult/iterateNext) */\n    iterateNext(): Node | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XPathResult/snapshotItem) */\n    snapshotItem(index: number): Node | null;\n    readonly ANY_TYPE: 0;\n    readonly NUMBER_TYPE: 1;\n    readonly STRING_TYPE: 2;\n    readonly BOOLEAN_TYPE: 3;\n    readonly UNORDERED_NODE_ITERATOR_TYPE: 4;\n    readonly ORDERED_NODE_ITERATOR_TYPE: 5;\n    readonly UNORDERED_NODE_SNAPSHOT_TYPE: 6;\n    readonly ORDERED_NODE_SNAPSHOT_TYPE: 7;\n    readonly ANY_UNORDERED_NODE_TYPE: 8;\n    readonly FIRST_ORDERED_NODE_TYPE: 9;\n}\n\ndeclare var XPathResult: {\n    prototype: XPathResult;\n    new(): XPathResult;\n    readonly ANY_TYPE: 0;\n    readonly NUMBER_TYPE: 1;\n    readonly STRING_TYPE: 2;\n    readonly BOOLEAN_TYPE: 3;\n    readonly UNORDERED_NODE_ITERATOR_TYPE: 4;\n    readonly ORDERED_NODE_ITERATOR_TYPE: 5;\n    readonly UNORDERED_NODE_SNAPSHOT_TYPE: 6;\n    readonly ORDERED_NODE_SNAPSHOT_TYPE: 7;\n    readonly ANY_UNORDERED_NODE_TYPE: 8;\n    readonly FIRST_ORDERED_NODE_TYPE: 9;\n};\n\n/**\n * An XSLTProcessor applies an XSLT stylesheet transformation to an XML document to produce a new XML document as output. It has methods to load the XSLT stylesheet, to manipulate <xsl:param> parameter values, and to apply the transformation to documents.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XSLTProcessor)\n */\ninterface XSLTProcessor {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XSLTProcessor/clearParameters) */\n    clearParameters(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XSLTProcessor/getParameter) */\n    getParameter(namespaceURI: string | null, localName: string): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XSLTProcessor/importStylesheet) */\n    importStylesheet(style: Node): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XSLTProcessor/removeParameter) */\n    removeParameter(namespaceURI: string | null, localName: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XSLTProcessor/reset) */\n    reset(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XSLTProcessor/setParameter) */\n    setParameter(namespaceURI: string | null, localName: string, value: any): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XSLTProcessor/transformToDocument) */\n    transformToDocument(source: Node): Document;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XSLTProcessor/transformToFragment) */\n    transformToFragment(source: Node, output: Document): DocumentFragment;\n}\n\ndeclare var XSLTProcessor: {\n    prototype: XSLTProcessor;\n    new(): XSLTProcessor;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console) */\ninterface Console {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/assert_static) */\n    assert(condition?: boolean, ...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/clear_static) */\n    clear(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/count_static) */\n    count(label?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/countReset_static) */\n    countReset(label?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/debug_static) */\n    debug(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/dir_static) */\n    dir(item?: any, options?: any): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/dirxml_static) */\n    dirxml(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/error_static) */\n    error(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/group_static) */\n    group(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/groupCollapsed_static) */\n    groupCollapsed(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/groupEnd_static) */\n    groupEnd(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/info_static) */\n    info(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/log_static) */\n    log(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/table_static) */\n    table(tabularData?: any, properties?: string[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/time_static) */\n    time(label?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/timeEnd_static) */\n    timeEnd(label?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/timeLog_static) */\n    timeLog(label?: string, ...data: any[]): void;\n    timeStamp(label?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/trace_static) */\n    trace(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/warn_static) */\n    warn(...data: any[]): void;\n}\n\ndeclare var console: Console;\n\n/** Holds useful CSS-related methods. No object with this interface are implemented: it contains only static methods and therefore is a utilitarian interface. */\ndeclare namespace CSS {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/highlights_static) */\n    var highlights: HighlightRegistry;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function Hz(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function Q(value: number): CSSUnitValue;\n    function cap(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function ch(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function cm(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function cqb(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function cqh(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function cqi(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function cqmax(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function cqmin(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function cqw(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function deg(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function dpcm(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function dpi(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function dppx(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function dvb(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function dvh(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function dvi(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function dvmax(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function dvmin(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function dvw(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function em(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/escape_static) */\n    function escape(ident: string): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function ex(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function fr(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function grad(value: number): CSSUnitValue;\n    function ic(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function kHz(value: number): CSSUnitValue;\n    function lh(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function lvb(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function lvh(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function lvi(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function lvmax(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function lvmin(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function lvw(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function mm(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function ms(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function number(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function pc(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function percent(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function pt(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function px(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function rad(value: number): CSSUnitValue;\n    function rcap(value: number): CSSUnitValue;\n    function rch(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/registerProperty_static) */\n    function registerProperty(definition: PropertyDefinition): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function rem(value: number): CSSUnitValue;\n    function rex(value: number): CSSUnitValue;\n    function ric(value: number): CSSUnitValue;\n    function rlh(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function s(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/supports_static) */\n    function supports(property: string, value: string): boolean;\n    function supports(conditionText: string): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function svb(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function svh(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function svi(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function svmax(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function svmin(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function svw(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function turn(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function vb(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function vh(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function vi(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function vmax(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function vmin(value: number): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSS/factory_functions_static) */\n    function vw(value: number): CSSUnitValue;\n}\n\ndeclare namespace WebAssembly {\n    interface CompileError extends Error {\n    }\n\n    var CompileError: {\n        prototype: CompileError;\n        new(message?: string): CompileError;\n        (message?: string): CompileError;\n    };\n\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Global) */\n    interface Global<T extends ValueType = ValueType> {\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Global/value) */\n        value: ValueTypeMap[T];\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Global/valueOf) */\n        valueOf(): ValueTypeMap[T];\n    }\n\n    var Global: {\n        prototype: Global;\n        new<T extends ValueType = ValueType>(descriptor: GlobalDescriptor<T>, v?: ValueTypeMap[T]): Global<T>;\n    };\n\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Instance) */\n    interface Instance {\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Instance/exports) */\n        readonly exports: Exports;\n    }\n\n    var Instance: {\n        prototype: Instance;\n        new(module: Module, importObject?: Imports): Instance;\n    };\n\n    interface LinkError extends Error {\n    }\n\n    var LinkError: {\n        prototype: LinkError;\n        new(message?: string): LinkError;\n        (message?: string): LinkError;\n    };\n\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Memory) */\n    interface Memory {\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Memory/buffer) */\n        readonly buffer: ArrayBuffer;\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Memory/grow) */\n        grow(delta: number): number;\n    }\n\n    var Memory: {\n        prototype: Memory;\n        new(descriptor: MemoryDescriptor): Memory;\n    };\n\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Module) */\n    interface Module {\n    }\n\n    var Module: {\n        prototype: Module;\n        new(bytes: BufferSource): Module;\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Module/customSections_static) */\n        customSections(moduleObject: Module, sectionName: string): ArrayBuffer[];\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Module/exports_static) */\n        exports(moduleObject: Module): ModuleExportDescriptor[];\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Module/imports_static) */\n        imports(moduleObject: Module): ModuleImportDescriptor[];\n    };\n\n    interface RuntimeError extends Error {\n    }\n\n    var RuntimeError: {\n        prototype: RuntimeError;\n        new(message?: string): RuntimeError;\n        (message?: string): RuntimeError;\n    };\n\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Table) */\n    interface Table {\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Table/length) */\n        readonly length: number;\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Table/get) */\n        get(index: number): any;\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Table/grow) */\n        grow(delta: number, value?: any): number;\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Table/set) */\n        set(index: number, value?: any): void;\n    }\n\n    var Table: {\n        prototype: Table;\n        new(descriptor: TableDescriptor, value?: any): Table;\n    };\n\n    interface GlobalDescriptor<T extends ValueType = ValueType> {\n        mutable?: boolean;\n        value: T;\n    }\n\n    interface MemoryDescriptor {\n        initial: number;\n        maximum?: number;\n        shared?: boolean;\n    }\n\n    interface ModuleExportDescriptor {\n        kind: ImportExportKind;\n        name: string;\n    }\n\n    interface ModuleImportDescriptor {\n        kind: ImportExportKind;\n        module: string;\n        name: string;\n    }\n\n    interface TableDescriptor {\n        element: TableKind;\n        initial: number;\n        maximum?: number;\n    }\n\n    interface ValueTypeMap {\n        anyfunc: Function;\n        externref: any;\n        f32: number;\n        f64: number;\n        i32: number;\n        i64: bigint;\n        v128: never;\n    }\n\n    interface WebAssemblyInstantiatedSource {\n        instance: Instance;\n        module: Module;\n    }\n\n    type ImportExportKind = "function" | "global" | "memory" | "table";\n    type TableKind = "anyfunc" | "externref";\n    type ExportValue = Function | Global | Memory | Table;\n    type Exports = Record<string, ExportValue>;\n    type ImportValue = ExportValue | number;\n    type Imports = Record<string, ModuleImports>;\n    type ModuleImports = Record<string, ImportValue>;\n    type ValueType = keyof ValueTypeMap;\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/compile_static) */\n    function compile(bytes: BufferSource): Promise<Module>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/compileStreaming_static) */\n    function compileStreaming(source: Response | PromiseLike<Response>): Promise<Module>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/instantiate_static) */\n    function instantiate(bytes: BufferSource, importObject?: Imports): Promise<WebAssemblyInstantiatedSource>;\n    function instantiate(moduleObject: Module, importObject?: Imports): Promise<Instance>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/instantiateStreaming_static) */\n    function instantiateStreaming(source: Response | PromiseLike<Response>, importObject?: Imports): Promise<WebAssemblyInstantiatedSource>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/validate_static) */\n    function validate(bytes: BufferSource): boolean;\n}\n\ninterface BlobCallback {\n    (blob: Blob | null): void;\n}\n\ninterface CustomElementConstructor {\n    new (...params: any[]): HTMLElement;\n}\n\ninterface DecodeErrorCallback {\n    (error: DOMException): void;\n}\n\ninterface DecodeSuccessCallback {\n    (decodedData: AudioBuffer): void;\n}\n\ninterface EncodedVideoChunkOutputCallback {\n    (chunk: EncodedVideoChunk, metadata?: EncodedVideoChunkMetadata): void;\n}\n\ninterface ErrorCallback {\n    (err: DOMException): void;\n}\n\ninterface FileCallback {\n    (file: File): void;\n}\n\ninterface FileSystemEntriesCallback {\n    (entries: FileSystemEntry[]): void;\n}\n\ninterface FileSystemEntryCallback {\n    (entry: FileSystemEntry): void;\n}\n\ninterface FrameRequestCallback {\n    (time: DOMHighResTimeStamp): void;\n}\n\ninterface FunctionStringCallback {\n    (data: string): void;\n}\n\ninterface IdleRequestCallback {\n    (deadline: IdleDeadline): void;\n}\n\ninterface IntersectionObserverCallback {\n    (entries: IntersectionObserverEntry[], observer: IntersectionObserver): void;\n}\n\ninterface LockGrantedCallback {\n    (lock: Lock | null): any;\n}\n\ninterface MediaSessionActionHandler {\n    (details: MediaSessionActionDetails): void;\n}\n\ninterface MutationCallback {\n    (mutations: MutationRecord[], observer: MutationObserver): void;\n}\n\ninterface NotificationPermissionCallback {\n    (permission: NotificationPermission): void;\n}\n\ninterface OnBeforeUnloadEventHandlerNonNull {\n    (event: Event): string | null;\n}\n\ninterface OnErrorEventHandlerNonNull {\n    (event: Event | string, source?: string, lineno?: number, colno?: number, error?: Error): any;\n}\n\ninterface PerformanceObserverCallback {\n    (entries: PerformanceObserverEntryList, observer: PerformanceObserver): void;\n}\n\ninterface PositionCallback {\n    (position: GeolocationPosition): void;\n}\n\ninterface PositionErrorCallback {\n    (positionError: GeolocationPositionError): void;\n}\n\ninterface QueuingStrategySize<T = any> {\n    (chunk: T): number;\n}\n\ninterface RTCPeerConnectionErrorCallback {\n    (error: DOMException): void;\n}\n\ninterface RTCSessionDescriptionCallback {\n    (description: RTCSessionDescriptionInit): void;\n}\n\ninterface RemotePlaybackAvailabilityCallback {\n    (available: boolean): void;\n}\n\ninterface ReportingObserverCallback {\n    (reports: Report[], observer: ReportingObserver): void;\n}\n\ninterface ResizeObserverCallback {\n    (entries: ResizeObserverEntry[], observer: ResizeObserver): void;\n}\n\ninterface TransformerFlushCallback<O> {\n    (controller: TransformStreamDefaultController<O>): void | PromiseLike<void>;\n}\n\ninterface TransformerStartCallback<O> {\n    (controller: TransformStreamDefaultController<O>): any;\n}\n\ninterface TransformerTransformCallback<I, O> {\n    (chunk: I, controller: TransformStreamDefaultController<O>): void | PromiseLike<void>;\n}\n\ninterface UnderlyingSinkAbortCallback {\n    (reason?: any): void | PromiseLike<void>;\n}\n\ninterface UnderlyingSinkCloseCallback {\n    (): void | PromiseLike<void>;\n}\n\ninterface UnderlyingSinkStartCallback {\n    (controller: WritableStreamDefaultController): any;\n}\n\ninterface UnderlyingSinkWriteCallback<W> {\n    (chunk: W, controller: WritableStreamDefaultController): void | PromiseLike<void>;\n}\n\ninterface UnderlyingSourceCancelCallback {\n    (reason?: any): void | PromiseLike<void>;\n}\n\ninterface UnderlyingSourcePullCallback<R> {\n    (controller: ReadableStreamController<R>): void | PromiseLike<void>;\n}\n\ninterface UnderlyingSourceStartCallback<R> {\n    (controller: ReadableStreamController<R>): any;\n}\n\ninterface VideoFrameOutputCallback {\n    (output: VideoFrame): void;\n}\n\ninterface VideoFrameRequestCallback {\n    (now: DOMHighResTimeStamp, metadata: VideoFrameCallbackMetadata): void;\n}\n\ninterface VoidFunction {\n    (): void;\n}\n\ninterface WebCodecsErrorCallback {\n    (error: DOMException): void;\n}\n\ninterface HTMLElementTagNameMap {\n    "a": HTMLAnchorElement;\n    "abbr": HTMLElement;\n    "address": HTMLElement;\n    "area": HTMLAreaElement;\n    "article": HTMLElement;\n    "aside": HTMLElement;\n    "audio": HTMLAudioElement;\n    "b": HTMLElement;\n    "base": HTMLBaseElement;\n    "bdi": HTMLElement;\n    "bdo": HTMLElement;\n    "blockquote": HTMLQuoteElement;\n    "body": HTMLBodyElement;\n    "br": HTMLBRElement;\n    "button": HTMLButtonElement;\n    "canvas": HTMLCanvasElement;\n    "caption": HTMLTableCaptionElement;\n    "cite": HTMLElement;\n    "code": HTMLElement;\n    "col": HTMLTableColElement;\n    "colgroup": HTMLTableColElement;\n    "data": HTMLDataElement;\n    "datalist": HTMLDataListElement;\n    "dd": HTMLElement;\n    "del": HTMLModElement;\n    "details": HTMLDetailsElement;\n    "dfn": HTMLElement;\n    "dialog": HTMLDialogElement;\n    "div": HTMLDivElement;\n    "dl": HTMLDListElement;\n    "dt": HTMLElement;\n    "em": HTMLElement;\n    "embed": HTMLEmbedElement;\n    "fieldset": HTMLFieldSetElement;\n    "figcaption": HTMLElement;\n    "figure": HTMLElement;\n    "footer": HTMLElement;\n    "form": HTMLFormElement;\n    "h1": HTMLHeadingElement;\n    "h2": HTMLHeadingElement;\n    "h3": HTMLHeadingElement;\n    "h4": HTMLHeadingElement;\n    "h5": HTMLHeadingElement;\n    "h6": HTMLHeadingElement;\n    "head": HTMLHeadElement;\n    "header": HTMLElement;\n    "hgroup": HTMLElement;\n    "hr": HTMLHRElement;\n    "html": HTMLHtmlElement;\n    "i": HTMLElement;\n    "iframe": HTMLIFrameElement;\n    "img": HTMLImageElement;\n    "input": HTMLInputElement;\n    "ins": HTMLModElement;\n    "kbd": HTMLElement;\n    "label": HTMLLabelElement;\n    "legend": HTMLLegendElement;\n    "li": HTMLLIElement;\n    "link": HTMLLinkElement;\n    "main": HTMLElement;\n    "map": HTMLMapElement;\n    "mark": HTMLElement;\n    "menu": HTMLMenuElement;\n    "meta": HTMLMetaElement;\n    "meter": HTMLMeterElement;\n    "nav": HTMLElement;\n    "noscript": HTMLElement;\n    "object": HTMLObjectElement;\n    "ol": HTMLOListElement;\n    "optgroup": HTMLOptGroupElement;\n    "option": HTMLOptionElement;\n    "output": HTMLOutputElement;\n    "p": HTMLParagraphElement;\n    "picture": HTMLPictureElement;\n    "pre": HTMLPreElement;\n    "progress": HTMLProgressElement;\n    "q": HTMLQuoteElement;\n    "rp": HTMLElement;\n    "rt": HTMLElement;\n    "ruby": HTMLElement;\n    "s": HTMLElement;\n    "samp": HTMLElement;\n    "script": HTMLScriptElement;\n    "search": HTMLElement;\n    "section": HTMLElement;\n    "select": HTMLSelectElement;\n    "slot": HTMLSlotElement;\n    "small": HTMLElement;\n    "source": HTMLSourceElement;\n    "span": HTMLSpanElement;\n    "strong": HTMLElement;\n    "style": HTMLStyleElement;\n    "sub": HTMLElement;\n    "summary": HTMLElement;\n    "sup": HTMLElement;\n    "table": HTMLTableElement;\n    "tbody": HTMLTableSectionElement;\n    "td": HTMLTableCellElement;\n    "template": HTMLTemplateElement;\n    "textarea": HTMLTextAreaElement;\n    "tfoot": HTMLTableSectionElement;\n    "th": HTMLTableCellElement;\n    "thead": HTMLTableSectionElement;\n    "time": HTMLTimeElement;\n    "title": HTMLTitleElement;\n    "tr": HTMLTableRowElement;\n    "track": HTMLTrackElement;\n    "u": HTMLElement;\n    "ul": HTMLUListElement;\n    "var": HTMLElement;\n    "video": HTMLVideoElement;\n    "wbr": HTMLElement;\n}\n\ninterface HTMLElementDeprecatedTagNameMap {\n    "acronym": HTMLElement;\n    "applet": HTMLUnknownElement;\n    "basefont": HTMLElement;\n    "bgsound": HTMLUnknownElement;\n    "big": HTMLElement;\n    "blink": HTMLUnknownElement;\n    "center": HTMLElement;\n    "dir": HTMLDirectoryElement;\n    "font": HTMLFontElement;\n    "frame": HTMLFrameElement;\n    "frameset": HTMLFrameSetElement;\n    "isindex": HTMLUnknownElement;\n    "keygen": HTMLUnknownElement;\n    "listing": HTMLPreElement;\n    "marquee": HTMLMarqueeElement;\n    "menuitem": HTMLElement;\n    "multicol": HTMLUnknownElement;\n    "nextid": HTMLUnknownElement;\n    "nobr": HTMLElement;\n    "noembed": HTMLElement;\n    "noframes": HTMLElement;\n    "param": HTMLParamElement;\n    "plaintext": HTMLElement;\n    "rb": HTMLElement;\n    "rtc": HTMLElement;\n    "spacer": HTMLUnknownElement;\n    "strike": HTMLElement;\n    "tt": HTMLElement;\n    "xmp": HTMLPreElement;\n}\n\ninterface SVGElementTagNameMap {\n    "a": SVGAElement;\n    "animate": SVGAnimateElement;\n    "animateMotion": SVGAnimateMotionElement;\n    "animateTransform": SVGAnimateTransformElement;\n    "circle": SVGCircleElement;\n    "clipPath": SVGClipPathElement;\n    "defs": SVGDefsElement;\n    "desc": SVGDescElement;\n    "ellipse": SVGEllipseElement;\n    "feBlend": SVGFEBlendElement;\n    "feColorMatrix": SVGFEColorMatrixElement;\n    "feComponentTransfer": SVGFEComponentTransferElement;\n    "feComposite": SVGFECompositeElement;\n    "feConvolveMatrix": SVGFEConvolveMatrixElement;\n    "feDiffuseLighting": SVGFEDiffuseLightingElement;\n    "feDisplacementMap": SVGFEDisplacementMapElement;\n    "feDistantLight": SVGFEDistantLightElement;\n    "feDropShadow": SVGFEDropShadowElement;\n    "feFlood": SVGFEFloodElement;\n    "feFuncA": SVGFEFuncAElement;\n    "feFuncB": SVGFEFuncBElement;\n    "feFuncG": SVGFEFuncGElement;\n    "feFuncR": SVGFEFuncRElement;\n    "feGaussianBlur": SVGFEGaussianBlurElement;\n    "feImage": SVGFEImageElement;\n    "feMerge": SVGFEMergeElement;\n    "feMergeNode": SVGFEMergeNodeElement;\n    "feMorphology": SVGFEMorphologyElement;\n    "feOffset": SVGFEOffsetElement;\n    "fePointLight": SVGFEPointLightElement;\n    "feSpecularLighting": SVGFESpecularLightingElement;\n    "feSpotLight": SVGFESpotLightElement;\n    "feTile": SVGFETileElement;\n    "feTurbulence": SVGFETurbulenceElement;\n    "filter": SVGFilterElement;\n    "foreignObject": SVGForeignObjectElement;\n    "g": SVGGElement;\n    "image": SVGImageElement;\n    "line": SVGLineElement;\n    "linearGradient": SVGLinearGradientElement;\n    "marker": SVGMarkerElement;\n    "mask": SVGMaskElement;\n    "metadata": SVGMetadataElement;\n    "mpath": SVGMPathElement;\n    "path": SVGPathElement;\n    "pattern": SVGPatternElement;\n    "polygon": SVGPolygonElement;\n    "polyline": SVGPolylineElement;\n    "radialGradient": SVGRadialGradientElement;\n    "rect": SVGRectElement;\n    "script": SVGScriptElement;\n    "set": SVGSetElement;\n    "stop": SVGStopElement;\n    "style": SVGStyleElement;\n    "svg": SVGSVGElement;\n    "switch": SVGSwitchElement;\n    "symbol": SVGSymbolElement;\n    "text": SVGTextElement;\n    "textPath": SVGTextPathElement;\n    "title": SVGTitleElement;\n    "tspan": SVGTSpanElement;\n    "use": SVGUseElement;\n    "view": SVGViewElement;\n}\n\ninterface MathMLElementTagNameMap {\n    "annotation": MathMLElement;\n    "annotation-xml": MathMLElement;\n    "maction": MathMLElement;\n    "math": MathMLElement;\n    "merror": MathMLElement;\n    "mfrac": MathMLElement;\n    "mi": MathMLElement;\n    "mmultiscripts": MathMLElement;\n    "mn": MathMLElement;\n    "mo": MathMLElement;\n    "mover": MathMLElement;\n    "mpadded": MathMLElement;\n    "mphantom": MathMLElement;\n    "mprescripts": MathMLElement;\n    "mroot": MathMLElement;\n    "mrow": MathMLElement;\n    "ms": MathMLElement;\n    "mspace": MathMLElement;\n    "msqrt": MathMLElement;\n    "mstyle": MathMLElement;\n    "msub": MathMLElement;\n    "msubsup": MathMLElement;\n    "msup": MathMLElement;\n    "mtable": MathMLElement;\n    "mtd": MathMLElement;\n    "mtext": MathMLElement;\n    "mtr": MathMLElement;\n    "munder": MathMLElement;\n    "munderover": MathMLElement;\n    "semantics": MathMLElement;\n}\n\n/** @deprecated Directly use HTMLElementTagNameMap or SVGElementTagNameMap as appropriate, instead. */\ntype ElementTagNameMap = HTMLElementTagNameMap & Pick<SVGElementTagNameMap, Exclude<keyof SVGElementTagNameMap, keyof HTMLElementTagNameMap>>;\n\ndeclare var Audio: {\n    new(src?: string): HTMLAudioElement;\n};\ndeclare var Image: {\n    new(width?: number, height?: number): HTMLImageElement;\n};\ndeclare var Option: {\n    new(text?: string, value?: string, defaultSelected?: boolean, selected?: boolean): HTMLOptionElement;\n};\n/**\n * @deprecated This is a legacy alias of `navigator`.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/navigator)\n */\ndeclare var clientInformation: Navigator;\n/**\n * Returns true if the window has been closed, false otherwise.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/closed)\n */\ndeclare var closed: boolean;\n/**\n * Defines a new custom element, mapping the given name to the given constructor as an autonomous custom element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/customElements)\n */\ndeclare var customElements: CustomElementRegistry;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/devicePixelRatio) */\ndeclare var devicePixelRatio: number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/document) */\ndeclare var document: Document;\n/**\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/event)\n */\ndeclare var event: Event | undefined;\n/**\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/external)\n */\ndeclare var external: External;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/frameElement) */\ndeclare var frameElement: Element | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/frames) */\ndeclare var frames: WindowProxy;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/history) */\ndeclare var history: History;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/innerHeight) */\ndeclare var innerHeight: number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/innerWidth) */\ndeclare var innerWidth: number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/length) */\ndeclare var length: number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/location) */\ndeclare var location: Location;\n/**\n * Returns true if the location bar is visible; otherwise, returns false.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/locationbar)\n */\ndeclare var locationbar: BarProp;\n/**\n * Returns true if the menu bar is visible; otherwise, returns false.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/menubar)\n */\ndeclare var menubar: BarProp;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/name) */\n/** @deprecated */\ndeclare const name: void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/navigator) */\ndeclare var navigator: Navigator;\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/devicemotion_event)\n */\ndeclare var ondevicemotion: ((this: Window, ev: DeviceMotionEvent) => any) | null;\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/deviceorientation_event)\n */\ndeclare var ondeviceorientation: ((this: Window, ev: DeviceOrientationEvent) => any) | null;\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/deviceorientationabsolute_event)\n */\ndeclare var ondeviceorientationabsolute: ((this: Window, ev: DeviceOrientationEvent) => any) | null;\n/**\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/orientationchange_event)\n */\ndeclare var onorientationchange: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/opener) */\ndeclare var opener: any;\n/**\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/orientation)\n */\ndeclare var orientation: number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/outerHeight) */\ndeclare var outerHeight: number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/outerWidth) */\ndeclare var outerWidth: number;\n/**\n * @deprecated This is a legacy alias of `scrollX`.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollX)\n */\ndeclare var pageXOffset: number;\n/**\n * @deprecated This is a legacy alias of `scrollY`.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollY)\n */\ndeclare var pageYOffset: number;\n/**\n * Refers to either the parent WindowProxy, or itself.\n *\n * It can rarely be null e.g. for contentWindow of an iframe that is already removed from the parent.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/parent)\n */\ndeclare var parent: WindowProxy;\n/**\n * Returns true if the personal bar is visible; otherwise, returns false.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/personalbar)\n */\ndeclare var personalbar: BarProp;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/screen) */\ndeclare var screen: Screen;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/screenLeft) */\ndeclare var screenLeft: number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/screenTop) */\ndeclare var screenTop: number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/screenX) */\ndeclare var screenX: number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/screenY) */\ndeclare var screenY: number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollX) */\ndeclare var scrollX: number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollY) */\ndeclare var scrollY: number;\n/**\n * Returns true if the scrollbars are visible; otherwise, returns false.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollbars)\n */\ndeclare var scrollbars: BarProp;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/self) */\ndeclare var self: Window & typeof globalThis;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/speechSynthesis) */\ndeclare var speechSynthesis: SpeechSynthesis;\n/**\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/status)\n */\ndeclare var status: string;\n/**\n * Returns true if the status bar is visible; otherwise, returns false.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/statusbar)\n */\ndeclare var statusbar: BarProp;\n/**\n * Returns true if the toolbar is visible; otherwise, returns false.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/toolbar)\n */\ndeclare var toolbar: BarProp;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/top) */\ndeclare var top: WindowProxy | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/visualViewport) */\ndeclare var visualViewport: VisualViewport | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/window) */\ndeclare var window: Window & typeof globalThis;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/alert) */\ndeclare function alert(message?: any): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/blur) */\ndeclare function blur(): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/cancelIdleCallback) */\ndeclare function cancelIdleCallback(handle: number): void;\n/**\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/captureEvents)\n */\ndeclare function captureEvents(): void;\n/**\n * Closes the window.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/close)\n */\ndeclare function close(): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/confirm) */\ndeclare function confirm(message?: string): boolean;\n/**\n * Moves the focus to the window\'s browsing context, if any.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/focus)\n */\ndeclare function focus(): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/getComputedStyle) */\ndeclare function getComputedStyle(elt: Element, pseudoElt?: string | null): CSSStyleDeclaration;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/getSelection) */\ndeclare function getSelection(): Selection | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/matchMedia) */\ndeclare function matchMedia(query: string): MediaQueryList;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/moveBy) */\ndeclare function moveBy(x: number, y: number): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/moveTo) */\ndeclare function moveTo(x: number, y: number): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/open) */\ndeclare function open(url?: string | URL, target?: string, features?: string): WindowProxy | null;\n/**\n * Posts a message to the given window. Messages can be structured objects, e.g. nested objects and arrays, can contain JavaScript values (strings, numbers, Date objects, etc), and can contain certain data objects such as File Blob, FileList, and ArrayBuffer objects.\n *\n * Objects listed in the transfer member of options are transferred, not just cloned, meaning that they are no longer usable on the sending side.\n *\n * A target origin can be specified using the targetOrigin member of options. If not provided, it defaults to "/". This default restricts the message to same-origin targets only.\n *\n * If the origin of the target window doesn\'t match the given target origin, the message is discarded, to avoid information leakage. To send the message to the target regardless of origin, set the target origin to "*".\n *\n * Throws a "DataCloneError" DOMException if transfer array contains duplicate objects or if message could not be cloned.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/postMessage)\n */\ndeclare function postMessage(message: any, targetOrigin: string, transfer?: Transferable[]): void;\ndeclare function postMessage(message: any, options?: WindowPostMessageOptions): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/print) */\ndeclare function print(): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/prompt) */\ndeclare function prompt(message?: string, _default?: string): string | null;\n/**\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/releaseEvents)\n */\ndeclare function releaseEvents(): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/requestIdleCallback) */\ndeclare function requestIdleCallback(callback: IdleRequestCallback, options?: IdleRequestOptions): number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/resizeBy) */\ndeclare function resizeBy(x: number, y: number): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/resizeTo) */\ndeclare function resizeTo(width: number, height: number): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scroll) */\ndeclare function scroll(options?: ScrollToOptions): void;\ndeclare function scroll(x: number, y: number): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollBy) */\ndeclare function scrollBy(options?: ScrollToOptions): void;\ndeclare function scrollBy(x: number, y: number): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/scrollTo) */\ndeclare function scrollTo(options?: ScrollToOptions): void;\ndeclare function scrollTo(x: number, y: number): void;\n/**\n * Cancels the document load.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/stop)\n */\ndeclare function stop(): void;\ndeclare function toString(): string;\n/**\n * Dispatches a synthetic event event to target and returns true if either event\'s cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/dispatchEvent)\n */\ndeclare function dispatchEvent(event: Event): boolean;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/cancelAnimationFrame) */\ndeclare function cancelAnimationFrame(handle: number): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/requestAnimationFrame) */\ndeclare function requestAnimationFrame(callback: FrameRequestCallback): number;\n/**\n * Fires when the user aborts the download.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/abort_event)\n */\ndeclare var onabort: ((this: Window, ev: UIEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationcancel_event) */\ndeclare var onanimationcancel: ((this: Window, ev: AnimationEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationend_event) */\ndeclare var onanimationend: ((this: Window, ev: AnimationEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationiteration_event) */\ndeclare var onanimationiteration: ((this: Window, ev: AnimationEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationstart_event) */\ndeclare var onanimationstart: ((this: Window, ev: AnimationEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/auxclick_event) */\ndeclare var onauxclick: ((this: Window, ev: MouseEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/beforeinput_event) */\ndeclare var onbeforeinput: ((this: Window, ev: InputEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/beforetoggle_event) */\ndeclare var onbeforetoggle: ((this: Window, ev: Event) => any) | null;\n/**\n * Fires when the object loses the input focus.\n * @param ev The focus event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/blur_event)\n */\ndeclare var onblur: ((this: Window, ev: FocusEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDialogElement/cancel_event) */\ndeclare var oncancel: ((this: Window, ev: Event) => any) | null;\n/**\n * Occurs when playback is possible, but would require further buffering.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/canplay_event)\n */\ndeclare var oncanplay: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/canplaythrough_event) */\ndeclare var oncanplaythrough: ((this: Window, ev: Event) => any) | null;\n/**\n * Fires when the contents of the object or selection have changed.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/change_event)\n */\ndeclare var onchange: ((this: Window, ev: Event) => any) | null;\n/**\n * Fires when the user clicks the left mouse button on the object\n * @param ev The mouse event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/click_event)\n */\ndeclare var onclick: ((this: Window, ev: MouseEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDialogElement/close_event) */\ndeclare var onclose: ((this: Window, ev: Event) => any) | null;\n/**\n * Fires when the user clicks the right mouse button in the client area, opening the context menu.\n * @param ev The mouse event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/contextmenu_event)\n */\ndeclare var oncontextmenu: ((this: Window, ev: MouseEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/copy_event) */\ndeclare var oncopy: ((this: Window, ev: ClipboardEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLTrackElement/cuechange_event) */\ndeclare var oncuechange: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/cut_event) */\ndeclare var oncut: ((this: Window, ev: ClipboardEvent) => any) | null;\n/**\n * Fires when the user double-clicks the object.\n * @param ev The mouse event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/dblclick_event)\n */\ndeclare var ondblclick: ((this: Window, ev: MouseEvent) => any) | null;\n/**\n * Fires on the source object continuously during a drag operation.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/drag_event)\n */\ndeclare var ondrag: ((this: Window, ev: DragEvent) => any) | null;\n/**\n * Fires on the source object when the user releases the mouse at the close of a drag operation.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/dragend_event)\n */\ndeclare var ondragend: ((this: Window, ev: DragEvent) => any) | null;\n/**\n * Fires on the target element when the user drags the object to a valid drop target.\n * @param ev The drag event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/dragenter_event)\n */\ndeclare var ondragenter: ((this: Window, ev: DragEvent) => any) | null;\n/**\n * Fires on the target object when the user moves the mouse out of a valid drop target during a drag operation.\n * @param ev The drag event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/dragleave_event)\n */\ndeclare var ondragleave: ((this: Window, ev: DragEvent) => any) | null;\n/**\n * Fires on the target element continuously while the user drags the object over a valid drop target.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/dragover_event)\n */\ndeclare var ondragover: ((this: Window, ev: DragEvent) => any) | null;\n/**\n * Fires on the source object when the user starts to drag a text selection or selected object.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/dragstart_event)\n */\ndeclare var ondragstart: ((this: Window, ev: DragEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/drop_event) */\ndeclare var ondrop: ((this: Window, ev: DragEvent) => any) | null;\n/**\n * Occurs when the duration attribute is updated.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/durationchange_event)\n */\ndeclare var ondurationchange: ((this: Window, ev: Event) => any) | null;\n/**\n * Occurs when the media element is reset to its initial state.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/emptied_event)\n */\ndeclare var onemptied: ((this: Window, ev: Event) => any) | null;\n/**\n * Occurs when the end of playback is reached.\n * @param ev The event\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/ended_event)\n */\ndeclare var onended: ((this: Window, ev: Event) => any) | null;\n/**\n * Fires when an error occurs during object loading.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/error_event)\n */\ndeclare var onerror: OnErrorEventHandler;\n/**\n * Fires when the object receives focus.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/focus_event)\n */\ndeclare var onfocus: ((this: Window, ev: FocusEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/formdata_event) */\ndeclare var onformdata: ((this: Window, ev: FormDataEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/gotpointercapture_event) */\ndeclare var ongotpointercapture: ((this: Window, ev: PointerEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/input_event) */\ndeclare var oninput: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/invalid_event) */\ndeclare var oninvalid: ((this: Window, ev: Event) => any) | null;\n/**\n * Fires when the user presses a key.\n * @param ev The keyboard event\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/keydown_event)\n */\ndeclare var onkeydown: ((this: Window, ev: KeyboardEvent) => any) | null;\n/**\n * Fires when the user presses an alphanumeric key.\n * @param ev The event.\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/keypress_event)\n */\ndeclare var onkeypress: ((this: Window, ev: KeyboardEvent) => any) | null;\n/**\n * Fires when the user releases a key.\n * @param ev The keyboard event\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/keyup_event)\n */\ndeclare var onkeyup: ((this: Window, ev: KeyboardEvent) => any) | null;\n/**\n * Fires immediately after the browser loads the object.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SVGElement/load_event)\n */\ndeclare var onload: ((this: Window, ev: Event) => any) | null;\n/**\n * Occurs when media data is loaded at the current playback position.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/loadeddata_event)\n */\ndeclare var onloadeddata: ((this: Window, ev: Event) => any) | null;\n/**\n * Occurs when the duration and dimensions of the media have been determined.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/loadedmetadata_event)\n */\ndeclare var onloadedmetadata: ((this: Window, ev: Event) => any) | null;\n/**\n * Occurs when Internet Explorer begins looking for media data.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/loadstart_event)\n */\ndeclare var onloadstart: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLElement/lostpointercapture_event) */\ndeclare var onlostpointercapture: ((this: Window, ev: PointerEvent) => any) | null;\n/**\n * Fires when the user clicks the object with either mouse button.\n * @param ev The mouse event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mousedown_event)\n */\ndeclare var onmousedown: ((this: Window, ev: MouseEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mouseenter_event) */\ndeclare var onmouseenter: ((this: Window, ev: MouseEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mouseleave_event) */\ndeclare var onmouseleave: ((this: Window, ev: MouseEvent) => any) | null;\n/**\n * Fires when the user moves the mouse over the object.\n * @param ev The mouse event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mousemove_event)\n */\ndeclare var onmousemove: ((this: Window, ev: MouseEvent) => any) | null;\n/**\n * Fires when the user moves the mouse pointer outside the boundaries of the object.\n * @param ev The mouse event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mouseout_event)\n */\ndeclare var onmouseout: ((this: Window, ev: MouseEvent) => any) | null;\n/**\n * Fires when the user moves the mouse pointer into the object.\n * @param ev The mouse event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mouseover_event)\n */\ndeclare var onmouseover: ((this: Window, ev: MouseEvent) => any) | null;\n/**\n * Fires when the user releases a mouse button while the mouse is over the object.\n * @param ev The mouse event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/mouseup_event)\n */\ndeclare var onmouseup: ((this: Window, ev: MouseEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/paste_event) */\ndeclare var onpaste: ((this: Window, ev: ClipboardEvent) => any) | null;\n/**\n * Occurs when playback is paused.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/pause_event)\n */\ndeclare var onpause: ((this: Window, ev: Event) => any) | null;\n/**\n * Occurs when the play method is requested.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/play_event)\n */\ndeclare var onplay: ((this: Window, ev: Event) => any) | null;\n/**\n * Occurs when the audio or video has started playing.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/playing_event)\n */\ndeclare var onplaying: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointercancel_event) */\ndeclare var onpointercancel: ((this: Window, ev: PointerEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointerdown_event) */\ndeclare var onpointerdown: ((this: Window, ev: PointerEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointerenter_event) */\ndeclare var onpointerenter: ((this: Window, ev: PointerEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointerleave_event) */\ndeclare var onpointerleave: ((this: Window, ev: PointerEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointermove_event) */\ndeclare var onpointermove: ((this: Window, ev: PointerEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointerout_event) */\ndeclare var onpointerout: ((this: Window, ev: PointerEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointerover_event) */\ndeclare var onpointerover: ((this: Window, ev: PointerEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/pointerup_event) */\ndeclare var onpointerup: ((this: Window, ev: PointerEvent) => any) | null;\n/**\n * Occurs to indicate progress while downloading media data.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/progress_event)\n */\ndeclare var onprogress: ((this: Window, ev: ProgressEvent) => any) | null;\n/**\n * Occurs when the playback rate is increased or decreased.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/ratechange_event)\n */\ndeclare var onratechange: ((this: Window, ev: Event) => any) | null;\n/**\n * Fires when the user resets a form.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/reset_event)\n */\ndeclare var onreset: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLVideoElement/resize_event) */\ndeclare var onresize: ((this: Window, ev: UIEvent) => any) | null;\n/**\n * Fires when the user repositions the scroll box in the scroll bar on the object.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/scroll_event)\n */\ndeclare var onscroll: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/scrollend_event) */\ndeclare var onscrollend: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/securitypolicyviolation_event) */\ndeclare var onsecuritypolicyviolation: ((this: Window, ev: SecurityPolicyViolationEvent) => any) | null;\n/**\n * Occurs when the seek operation ends.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/seeked_event)\n */\ndeclare var onseeked: ((this: Window, ev: Event) => any) | null;\n/**\n * Occurs when the current playback position is moved.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/seeking_event)\n */\ndeclare var onseeking: ((this: Window, ev: Event) => any) | null;\n/**\n * Fires when the current selection changes.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLInputElement/select_event)\n */\ndeclare var onselect: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/selectionchange_event) */\ndeclare var onselectionchange: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Node/selectstart_event) */\ndeclare var onselectstart: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLSlotElement/slotchange_event) */\ndeclare var onslotchange: ((this: Window, ev: Event) => any) | null;\n/**\n * Occurs when the download has stopped.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/stalled_event)\n */\ndeclare var onstalled: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLFormElement/submit_event) */\ndeclare var onsubmit: ((this: Window, ev: SubmitEvent) => any) | null;\n/**\n * Occurs if the load operation has been intentionally halted.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/suspend_event)\n */\ndeclare var onsuspend: ((this: Window, ev: Event) => any) | null;\n/**\n * Occurs to indicate the current playback position.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/timeupdate_event)\n */\ndeclare var ontimeupdate: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLDetailsElement/toggle_event) */\ndeclare var ontoggle: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/touchcancel_event) */\ndeclare var ontouchcancel: ((this: Window, ev: TouchEvent) => any) | null | undefined;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/touchend_event) */\ndeclare var ontouchend: ((this: Window, ev: TouchEvent) => any) | null | undefined;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/touchmove_event) */\ndeclare var ontouchmove: ((this: Window, ev: TouchEvent) => any) | null | undefined;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/touchstart_event) */\ndeclare var ontouchstart: ((this: Window, ev: TouchEvent) => any) | null | undefined;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/transitioncancel_event) */\ndeclare var ontransitioncancel: ((this: Window, ev: TransitionEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/transitionend_event) */\ndeclare var ontransitionend: ((this: Window, ev: TransitionEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/transitionrun_event) */\ndeclare var ontransitionrun: ((this: Window, ev: TransitionEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/transitionstart_event) */\ndeclare var ontransitionstart: ((this: Window, ev: TransitionEvent) => any) | null;\n/**\n * Occurs when the volume is changed, or playback is muted or unmuted.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/volumechange_event)\n */\ndeclare var onvolumechange: ((this: Window, ev: Event) => any) | null;\n/**\n * Occurs when playback stops because the next frame of a video resource is not available.\n * @param ev The event.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/HTMLMediaElement/waiting_event)\n */\ndeclare var onwaiting: ((this: Window, ev: Event) => any) | null;\n/**\n * @deprecated This is a legacy alias of `onanimationend`.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationend_event)\n */\ndeclare var onwebkitanimationend: ((this: Window, ev: Event) => any) | null;\n/**\n * @deprecated This is a legacy alias of `onanimationiteration`.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationiteration_event)\n */\ndeclare var onwebkitanimationiteration: ((this: Window, ev: Event) => any) | null;\n/**\n * @deprecated This is a legacy alias of `onanimationstart`.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/animationstart_event)\n */\ndeclare var onwebkitanimationstart: ((this: Window, ev: Event) => any) | null;\n/**\n * @deprecated This is a legacy alias of `ontransitionend`.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/transitionend_event)\n */\ndeclare var onwebkittransitionend: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Element/wheel_event) */\ndeclare var onwheel: ((this: Window, ev: WheelEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/afterprint_event) */\ndeclare var onafterprint: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/beforeprint_event) */\ndeclare var onbeforeprint: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/beforeunload_event) */\ndeclare var onbeforeunload: ((this: Window, ev: BeforeUnloadEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/gamepadconnected_event) */\ndeclare var ongamepadconnected: ((this: Window, ev: GamepadEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/gamepaddisconnected_event) */\ndeclare var ongamepaddisconnected: ((this: Window, ev: GamepadEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/hashchange_event) */\ndeclare var onhashchange: ((this: Window, ev: HashChangeEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/languagechange_event) */\ndeclare var onlanguagechange: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/message_event) */\ndeclare var onmessage: ((this: Window, ev: MessageEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/messageerror_event) */\ndeclare var onmessageerror: ((this: Window, ev: MessageEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/offline_event) */\ndeclare var onoffline: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/online_event) */\ndeclare var ononline: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/pagehide_event) */\ndeclare var onpagehide: ((this: Window, ev: PageTransitionEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/pageshow_event) */\ndeclare var onpageshow: ((this: Window, ev: PageTransitionEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/popstate_event) */\ndeclare var onpopstate: ((this: Window, ev: PopStateEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/rejectionhandled_event) */\ndeclare var onrejectionhandled: ((this: Window, ev: PromiseRejectionEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/storage_event) */\ndeclare var onstorage: ((this: Window, ev: StorageEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/unhandledrejection_event) */\ndeclare var onunhandledrejection: ((this: Window, ev: PromiseRejectionEvent) => any) | null;\n/**\n * @deprecated\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/unload_event)\n */\ndeclare var onunload: ((this: Window, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/localStorage) */\ndeclare var localStorage: Storage;\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/caches)\n */\ndeclare var caches: CacheStorage;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/crossOriginIsolated) */\ndeclare var crossOriginIsolated: boolean;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/crypto_property) */\ndeclare var crypto: Crypto;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/indexedDB) */\ndeclare var indexedDB: IDBFactory;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/isSecureContext) */\ndeclare var isSecureContext: boolean;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/origin) */\ndeclare var origin: string;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/performance_property) */\ndeclare var performance: Performance;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/atob) */\ndeclare function atob(data: string): string;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/btoa) */\ndeclare function btoa(data: string): string;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/clearInterval) */\ndeclare function clearInterval(id: number | undefined): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/clearTimeout) */\ndeclare function clearTimeout(id: number | undefined): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/createImageBitmap) */\ndeclare function createImageBitmap(image: ImageBitmapSource, options?: ImageBitmapOptions): Promise<ImageBitmap>;\ndeclare function createImageBitmap(image: ImageBitmapSource, sx: number, sy: number, sw: number, sh: number, options?: ImageBitmapOptions): Promise<ImageBitmap>;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/fetch) */\ndeclare function fetch(input: RequestInfo | URL, init?: RequestInit): Promise<Response>;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/queueMicrotask) */\ndeclare function queueMicrotask(callback: VoidFunction): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/reportError) */\ndeclare function reportError(e: any): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/setInterval) */\ndeclare function setInterval(handler: TimerHandler, timeout?: number, ...arguments: any[]): number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/setTimeout) */\ndeclare function setTimeout(handler: TimerHandler, timeout?: number, ...arguments: any[]): number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/structuredClone) */\ndeclare function structuredClone<T = any>(value: T, options?: StructuredSerializeOptions): T;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Window/sessionStorage) */\ndeclare var sessionStorage: Storage;\ndeclare function addEventListener<K extends keyof WindowEventMap>(type: K, listener: (this: Window, ev: WindowEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\ndeclare function addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\ndeclare function removeEventListener<K extends keyof WindowEventMap>(type: K, listener: (this: Window, ev: WindowEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\ndeclare function removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\ntype AlgorithmIdentifier = Algorithm | string;\ntype AllowSharedBufferSource = ArrayBuffer | ArrayBufferView;\ntype AutoFill = AutoFillBase | `${OptionalPrefixToken<AutoFillSection>}${OptionalPrefixToken<AutoFillAddressKind>}${AutoFillField}${OptionalPostfixToken<AutoFillCredentialField>}`;\ntype AutoFillField = AutoFillNormalField | `${OptionalPrefixToken<AutoFillContactKind>}${AutoFillContactField}`;\ntype AutoFillSection = `section-${string}`;\ntype BigInteger = Uint8Array;\ntype BinaryData = ArrayBuffer | ArrayBufferView;\ntype BlobPart = BufferSource | Blob | string;\ntype BodyInit = ReadableStream | XMLHttpRequestBodyInit;\ntype BufferSource = ArrayBufferView | ArrayBuffer;\ntype COSEAlgorithmIdentifier = number;\ntype CSSKeywordish = string | CSSKeywordValue;\ntype CSSNumberish = number | CSSNumericValue;\ntype CSSPerspectiveValue = CSSNumericValue | CSSKeywordish;\ntype CSSUnparsedSegment = string | CSSVariableReferenceValue;\ntype CanvasImageSource = HTMLOrSVGImageElement | HTMLVideoElement | HTMLCanvasElement | ImageBitmap | OffscreenCanvas | VideoFrame;\ntype ClipboardItemData = Promise<string | Blob>;\ntype ClipboardItems = ClipboardItem[];\ntype ConstrainBoolean = boolean | ConstrainBooleanParameters;\ntype ConstrainDOMString = string | string[] | ConstrainDOMStringParameters;\ntype ConstrainDouble = number | ConstrainDoubleRange;\ntype ConstrainULong = number | ConstrainULongRange;\ntype DOMHighResTimeStamp = number;\ntype EpochTimeStamp = number;\ntype EventListenerOrEventListenerObject = EventListener | EventListenerObject;\ntype FileSystemWriteChunkType = BufferSource | Blob | string | WriteParams;\ntype Float32List = Float32Array | GLfloat[];\ntype FormDataEntryValue = File | string;\ntype GLbitfield = number;\ntype GLboolean = boolean;\ntype GLclampf = number;\ntype GLenum = number;\ntype GLfloat = number;\ntype GLint = number;\ntype GLint64 = number;\ntype GLintptr = number;\ntype GLsizei = number;\ntype GLsizeiptr = number;\ntype GLuint = number;\ntype GLuint64 = number;\ntype HTMLOrSVGImageElement = HTMLImageElement | SVGImageElement;\ntype HTMLOrSVGScriptElement = HTMLScriptElement | SVGScriptElement;\ntype HashAlgorithmIdentifier = AlgorithmIdentifier;\ntype HeadersInit = [string, string][] | Record<string, string> | Headers;\ntype IDBValidKey = number | string | Date | BufferSource | IDBValidKey[];\ntype ImageBitmapSource = CanvasImageSource | Blob | ImageData;\ntype Int32List = Int32Array | GLint[];\ntype LineAndPositionSetting = number | AutoKeyword;\ntype MediaProvider = MediaStream | MediaSource | Blob;\ntype MessageEventSource = WindowProxy | MessagePort | ServiceWorker;\ntype MutationRecordType = "attributes" | "characterData" | "childList";\ntype NamedCurve = string;\ntype OffscreenRenderingContext = OffscreenCanvasRenderingContext2D | ImageBitmapRenderingContext | WebGLRenderingContext | WebGL2RenderingContext;\ntype OnBeforeUnloadEventHandler = OnBeforeUnloadEventHandlerNonNull | null;\ntype OnErrorEventHandler = OnErrorEventHandlerNonNull | null;\ntype OptionalPostfixToken<T extends string> = ` ${T}` | "";\ntype OptionalPrefixToken<T extends string> = `${T} ` | "";\ntype PerformanceEntryList = PerformanceEntry[];\ntype RTCRtpTransform = RTCRtpScriptTransform;\ntype ReadableStreamController<T> = ReadableStreamDefaultController<T> | ReadableByteStreamController;\ntype ReadableStreamReadResult<T> = ReadableStreamReadValueResult<T> | ReadableStreamReadDoneResult<T>;\ntype ReadableStreamReader<T> = ReadableStreamDefaultReader<T> | ReadableStreamBYOBReader;\ntype RenderingContext = CanvasRenderingContext2D | ImageBitmapRenderingContext | WebGLRenderingContext | WebGL2RenderingContext;\ntype ReportList = Report[];\ntype RequestInfo = Request | string;\ntype TexImageSource = ImageBitmap | ImageData | HTMLImageElement | HTMLCanvasElement | HTMLVideoElement | OffscreenCanvas | VideoFrame;\ntype TimerHandler = string | Function;\ntype Transferable = OffscreenCanvas | ImageBitmap | MessagePort | ReadableStream | WritableStream | TransformStream | VideoFrame | ArrayBuffer;\ntype Uint32List = Uint32Array | GLuint[];\ntype VibratePattern = number | number[];\ntype WindowProxy = Window;\ntype XMLHttpRequestBodyInit = Blob | BufferSource | FormData | URLSearchParams | string;\ntype AlignSetting = "center" | "end" | "left" | "right" | "start";\ntype AlphaOption = "discard" | "keep";\ntype AnimationPlayState = "finished" | "idle" | "paused" | "running";\ntype AnimationReplaceState = "active" | "persisted" | "removed";\ntype AppendMode = "segments" | "sequence";\ntype AttestationConveyancePreference = "direct" | "enterprise" | "indirect" | "none";\ntype AudioContextLatencyCategory = "balanced" | "interactive" | "playback";\ntype AudioContextState = "closed" | "running" | "suspended";\ntype AuthenticatorAttachment = "cross-platform" | "platform";\ntype AuthenticatorTransport = "ble" | "hybrid" | "internal" | "nfc" | "usb";\ntype AutoFillAddressKind = "billing" | "shipping";\ntype AutoFillBase = "" | "off" | "on";\ntype AutoFillContactField = "email" | "tel" | "tel-area-code" | "tel-country-code" | "tel-extension" | "tel-local" | "tel-local-prefix" | "tel-local-suffix" | "tel-national";\ntype AutoFillContactKind = "home" | "mobile" | "work";\ntype AutoFillCredentialField = "webauthn";\ntype AutoFillNormalField = "additional-name" | "address-level1" | "address-level2" | "address-level3" | "address-level4" | "address-line1" | "address-line2" | "address-line3" | "bday-day" | "bday-month" | "bday-year" | "cc-csc" | "cc-exp" | "cc-exp-month" | "cc-exp-year" | "cc-family-name" | "cc-given-name" | "cc-name" | "cc-number" | "cc-type" | "country" | "country-name" | "current-password" | "family-name" | "given-name" | "honorific-prefix" | "honorific-suffix" | "name" | "new-password" | "one-time-code" | "organization" | "postal-code" | "street-address" | "transaction-amount" | "transaction-currency" | "username";\ntype AutoKeyword = "auto";\ntype AutomationRate = "a-rate" | "k-rate";\ntype AvcBitstreamFormat = "annexb" | "avc";\ntype BinaryType = "arraybuffer" | "blob";\ntype BiquadFilterType = "allpass" | "bandpass" | "highpass" | "highshelf" | "lowpass" | "lowshelf" | "notch" | "peaking";\ntype CSSMathOperator = "clamp" | "invert" | "max" | "min" | "negate" | "product" | "sum";\ntype CSSNumericBaseType = "angle" | "flex" | "frequency" | "length" | "percent" | "resolution" | "time";\ntype CanPlayTypeResult = "" | "maybe" | "probably";\ntype CanvasDirection = "inherit" | "ltr" | "rtl";\ntype CanvasFillRule = "evenodd" | "nonzero";\ntype CanvasFontKerning = "auto" | "none" | "normal";\ntype CanvasFontStretch = "condensed" | "expanded" | "extra-condensed" | "extra-expanded" | "normal" | "semi-condensed" | "semi-expanded" | "ultra-condensed" | "ultra-expanded";\ntype CanvasFontVariantCaps = "all-petite-caps" | "all-small-caps" | "normal" | "petite-caps" | "small-caps" | "titling-caps" | "unicase";\ntype CanvasLineCap = "butt" | "round" | "square";\ntype CanvasLineJoin = "bevel" | "miter" | "round";\ntype CanvasTextAlign = "center" | "end" | "left" | "right" | "start";\ntype CanvasTextBaseline = "alphabetic" | "bottom" | "hanging" | "ideographic" | "middle" | "top";\ntype CanvasTextRendering = "auto" | "geometricPrecision" | "optimizeLegibility" | "optimizeSpeed";\ntype ChannelCountMode = "clamped-max" | "explicit" | "max";\ntype ChannelInterpretation = "discrete" | "speakers";\ntype ClientTypes = "all" | "sharedworker" | "window" | "worker";\ntype CodecState = "closed" | "configured" | "unconfigured";\ntype ColorGamut = "p3" | "rec2020" | "srgb";\ntype ColorSpaceConversion = "default" | "none";\ntype CompositeOperation = "accumulate" | "add" | "replace";\ntype CompositeOperationOrAuto = "accumulate" | "add" | "auto" | "replace";\ntype CompressionFormat = "deflate" | "deflate-raw" | "gzip";\ntype CredentialMediationRequirement = "conditional" | "optional" | "required" | "silent";\ntype DOMParserSupportedType = "application/xhtml+xml" | "application/xml" | "image/svg+xml" | "text/html" | "text/xml";\ntype DirectionSetting = "" | "lr" | "rl";\ntype DisplayCaptureSurfaceType = "browser" | "monitor" | "window";\ntype DistanceModelType = "exponential" | "inverse" | "linear";\ntype DocumentReadyState = "complete" | "interactive" | "loading";\ntype DocumentVisibilityState = "hidden" | "visible";\ntype EncodedVideoChunkType = "delta" | "key";\ntype EndOfStreamError = "decode" | "network";\ntype EndingType = "native" | "transparent";\ntype FileSystemHandleKind = "directory" | "file";\ntype FillMode = "auto" | "backwards" | "both" | "forwards" | "none";\ntype FontDisplay = "auto" | "block" | "fallback" | "optional" | "swap";\ntype FontFaceLoadStatus = "error" | "loaded" | "loading" | "unloaded";\ntype FontFaceSetLoadStatus = "loaded" | "loading";\ntype FullscreenNavigationUI = "auto" | "hide" | "show";\ntype GamepadHapticActuatorType = "vibration";\ntype GamepadHapticEffectType = "dual-rumble";\ntype GamepadHapticsResult = "complete" | "preempted";\ntype GamepadMappingType = "" | "standard" | "xr-standard";\ntype GlobalCompositeOperation = "color" | "color-burn" | "color-dodge" | "copy" | "darken" | "destination-atop" | "destination-in" | "destination-out" | "destination-over" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "lighter" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light" | "source-atop" | "source-in" | "source-out" | "source-over" | "xor";\ntype HardwareAcceleration = "no-preference" | "prefer-hardware" | "prefer-software";\ntype HdrMetadataType = "smpteSt2086" | "smpteSt2094-10" | "smpteSt2094-40";\ntype HighlightType = "grammar-error" | "highlight" | "spelling-error";\ntype IDBCursorDirection = "next" | "nextunique" | "prev" | "prevunique";\ntype IDBRequestReadyState = "done" | "pending";\ntype IDBTransactionDurability = "default" | "relaxed" | "strict";\ntype IDBTransactionMode = "readonly" | "readwrite" | "versionchange";\ntype ImageOrientation = "flipY" | "from-image" | "none";\ntype ImageSmoothingQuality = "high" | "low" | "medium";\ntype InsertPosition = "afterbegin" | "afterend" | "beforebegin" | "beforeend";\ntype IterationCompositeOperation = "accumulate" | "replace";\ntype KeyFormat = "jwk" | "pkcs8" | "raw" | "spki";\ntype KeyType = "private" | "public" | "secret";\ntype KeyUsage = "decrypt" | "deriveBits" | "deriveKey" | "encrypt" | "sign" | "unwrapKey" | "verify" | "wrapKey";\ntype LatencyMode = "quality" | "realtime";\ntype LineAlignSetting = "center" | "end" | "start";\ntype LockMode = "exclusive" | "shared";\ntype MIDIPortConnectionState = "closed" | "open" | "pending";\ntype MIDIPortDeviceState = "connected" | "disconnected";\ntype MIDIPortType = "input" | "output";\ntype MediaDecodingType = "file" | "media-source" | "webrtc";\ntype MediaDeviceKind = "audioinput" | "audiooutput" | "videoinput";\ntype MediaEncodingType = "record" | "webrtc";\ntype MediaKeyMessageType = "individualization-request" | "license-release" | "license-renewal" | "license-request";\ntype MediaKeySessionClosedReason = "closed-by-application" | "hardware-context-reset" | "internal-error" | "release-acknowledged" | "resource-evicted";\ntype MediaKeySessionType = "persistent-license" | "temporary";\ntype MediaKeyStatus = "expired" | "internal-error" | "output-downscaled" | "output-restricted" | "released" | "status-pending" | "usable" | "usable-in-future";\ntype MediaKeysRequirement = "not-allowed" | "optional" | "required";\ntype MediaSessionAction = "nexttrack" | "pause" | "play" | "previoustrack" | "seekbackward" | "seekforward" | "seekto" | "skipad" | "stop";\ntype MediaSessionPlaybackState = "none" | "paused" | "playing";\ntype MediaStreamTrackState = "ended" | "live";\ntype NavigationTimingType = "back_forward" | "navigate" | "prerender" | "reload";\ntype NotificationDirection = "auto" | "ltr" | "rtl";\ntype NotificationPermission = "default" | "denied" | "granted";\ntype OffscreenRenderingContextId = "2d" | "bitmaprenderer" | "webgl" | "webgl2" | "webgpu";\ntype OrientationType = "landscape-primary" | "landscape-secondary" | "portrait-primary" | "portrait-secondary";\ntype OscillatorType = "custom" | "sawtooth" | "sine" | "square" | "triangle";\ntype OverSampleType = "2x" | "4x" | "none";\ntype PanningModelType = "HRTF" | "equalpower";\ntype PaymentComplete = "fail" | "success" | "unknown";\ntype PermissionName = "geolocation" | "notifications" | "persistent-storage" | "push" | "screen-wake-lock" | "xr-spatial-tracking";\ntype PermissionState = "denied" | "granted" | "prompt";\ntype PlaybackDirection = "alternate" | "alternate-reverse" | "normal" | "reverse";\ntype PositionAlignSetting = "auto" | "center" | "line-left" | "line-right";\ntype PredefinedColorSpace = "display-p3" | "srgb";\ntype PremultiplyAlpha = "default" | "none" | "premultiply";\ntype PresentationStyle = "attachment" | "inline" | "unspecified";\ntype PublicKeyCredentialType = "public-key";\ntype PushEncryptionKeyName = "auth" | "p256dh";\ntype RTCBundlePolicy = "balanced" | "max-bundle" | "max-compat";\ntype RTCDataChannelState = "closed" | "closing" | "connecting" | "open";\ntype RTCDegradationPreference = "balanced" | "maintain-framerate" | "maintain-resolution";\ntype RTCDtlsTransportState = "closed" | "connected" | "connecting" | "failed" | "new";\ntype RTCEncodedVideoFrameType = "delta" | "empty" | "key";\ntype RTCErrorDetailType = "data-channel-failure" | "dtls-failure" | "fingerprint-failure" | "hardware-encoder-error" | "hardware-encoder-not-available" | "sctp-failure" | "sdp-syntax-error";\ntype RTCIceCandidateType = "host" | "prflx" | "relay" | "srflx";\ntype RTCIceComponent = "rtcp" | "rtp";\ntype RTCIceConnectionState = "checking" | "closed" | "completed" | "connected" | "disconnected" | "failed" | "new";\ntype RTCIceGathererState = "complete" | "gathering" | "new";\ntype RTCIceGatheringState = "complete" | "gathering" | "new";\ntype RTCIceProtocol = "tcp" | "udp";\ntype RTCIceTcpCandidateType = "active" | "passive" | "so";\ntype RTCIceTransportPolicy = "all" | "relay";\ntype RTCIceTransportState = "checking" | "closed" | "completed" | "connected" | "disconnected" | "failed" | "new";\ntype RTCPeerConnectionState = "closed" | "connected" | "connecting" | "disconnected" | "failed" | "new";\ntype RTCPriorityType = "high" | "low" | "medium" | "very-low";\ntype RTCRtcpMuxPolicy = "require";\ntype RTCRtpTransceiverDirection = "inactive" | "recvonly" | "sendonly" | "sendrecv" | "stopped";\ntype RTCSctpTransportState = "closed" | "connected" | "connecting";\ntype RTCSdpType = "answer" | "offer" | "pranswer" | "rollback";\ntype RTCSignalingState = "closed" | "have-local-offer" | "have-local-pranswer" | "have-remote-offer" | "have-remote-pranswer" | "stable";\ntype RTCStatsIceCandidatePairState = "failed" | "frozen" | "in-progress" | "inprogress" | "succeeded" | "waiting";\ntype RTCStatsType = "candidate-pair" | "certificate" | "codec" | "data-channel" | "inbound-rtp" | "local-candidate" | "media-playout" | "media-source" | "outbound-rtp" | "peer-connection" | "remote-candidate" | "remote-inbound-rtp" | "remote-outbound-rtp" | "transport";\ntype ReadableStreamReaderMode = "byob";\ntype ReadableStreamType = "bytes";\ntype ReadyState = "closed" | "ended" | "open";\ntype RecordingState = "inactive" | "paused" | "recording";\ntype ReferrerPolicy = "" | "no-referrer" | "no-referrer-when-downgrade" | "origin" | "origin-when-cross-origin" | "same-origin" | "strict-origin" | "strict-origin-when-cross-origin" | "unsafe-url";\ntype RemotePlaybackState = "connected" | "connecting" | "disconnected";\ntype RequestCache = "default" | "force-cache" | "no-cache" | "no-store" | "only-if-cached" | "reload";\ntype RequestCredentials = "include" | "omit" | "same-origin";\ntype RequestDestination = "" | "audio" | "audioworklet" | "document" | "embed" | "font" | "frame" | "iframe" | "image" | "manifest" | "object" | "paintworklet" | "report" | "script" | "sharedworker" | "style" | "track" | "video" | "worker" | "xslt";\ntype RequestMode = "cors" | "navigate" | "no-cors" | "same-origin";\ntype RequestPriority = "auto" | "high" | "low";\ntype RequestRedirect = "error" | "follow" | "manual";\ntype ResidentKeyRequirement = "discouraged" | "preferred" | "required";\ntype ResizeObserverBoxOptions = "border-box" | "content-box" | "device-pixel-content-box";\ntype ResizeQuality = "high" | "low" | "medium" | "pixelated";\ntype ResponseType = "basic" | "cors" | "default" | "error" | "opaque" | "opaqueredirect";\ntype ScrollBehavior = "auto" | "instant" | "smooth";\ntype ScrollLogicalPosition = "center" | "end" | "nearest" | "start";\ntype ScrollRestoration = "auto" | "manual";\ntype ScrollSetting = "" | "up";\ntype SecurityPolicyViolationEventDisposition = "enforce" | "report";\ntype SelectionMode = "end" | "preserve" | "select" | "start";\ntype ServiceWorkerState = "activated" | "activating" | "installed" | "installing" | "parsed" | "redundant";\ntype ServiceWorkerUpdateViaCache = "all" | "imports" | "none";\ntype ShadowRootMode = "closed" | "open";\ntype SlotAssignmentMode = "manual" | "named";\ntype SpeechSynthesisErrorCode = "audio-busy" | "audio-hardware" | "canceled" | "interrupted" | "invalid-argument" | "language-unavailable" | "network" | "not-allowed" | "synthesis-failed" | "synthesis-unavailable" | "text-too-long" | "voice-unavailable";\ntype TextTrackKind = "captions" | "chapters" | "descriptions" | "metadata" | "subtitles";\ntype TextTrackMode = "disabled" | "hidden" | "showing";\ntype TouchType = "direct" | "stylus";\ntype TransferFunction = "hlg" | "pq" | "srgb";\ntype UserVerificationRequirement = "discouraged" | "preferred" | "required";\ntype VideoColorPrimaries = "bt470bg" | "bt709" | "smpte170m";\ntype VideoEncoderBitrateMode = "constant" | "quantizer" | "variable";\ntype VideoFacingModeEnum = "environment" | "left" | "right" | "user";\ntype VideoMatrixCoefficients = "bt470bg" | "bt709" | "rgb" | "smpte170m";\ntype VideoPixelFormat = "BGRA" | "BGRX" | "I420" | "I420A" | "I422" | "I444" | "NV12" | "RGBA" | "RGBX";\ntype VideoTransferCharacteristics = "bt709" | "iec61966-2-1" | "smpte170m";\ntype WakeLockType = "screen";\ntype WebGLPowerPreference = "default" | "high-performance" | "low-power";\ntype WebTransportCongestionControl = "default" | "low-latency" | "throughput";\ntype WebTransportErrorSource = "session" | "stream";\ntype WorkerType = "classic" | "module";\ntype WriteCommandType = "seek" | "truncate" | "write";\ntype XMLHttpRequestResponseType = "" | "arraybuffer" | "blob" | "document" | "json" | "text";\n',Li["lib.dom.iterable.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/////////////////////////////\n/// Window Iterable APIs\n/////////////////////////////\n\ninterface AudioParam {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AudioParam/setValueCurveAtTime) */\n    setValueCurveAtTime(values: Iterable<number>, startTime: number, duration: number): AudioParam;\n}\n\ninterface AudioParamMap extends ReadonlyMap<string, AudioParam> {\n}\n\ninterface BaseAudioContext {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createIIRFilter) */\n    createIIRFilter(feedforward: Iterable<number>, feedback: Iterable<number>): IIRFilterNode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BaseAudioContext/createPeriodicWave) */\n    createPeriodicWave(real: Iterable<number>, imag: Iterable<number>, constraints?: PeriodicWaveConstraints): PeriodicWave;\n}\n\ninterface CSSKeyframesRule {\n    [Symbol.iterator](): IterableIterator<CSSKeyframeRule>;\n}\n\ninterface CSSNumericArray {\n    [Symbol.iterator](): IterableIterator<CSSNumericValue>;\n    entries(): IterableIterator<[number, CSSNumericValue]>;\n    keys(): IterableIterator<number>;\n    values(): IterableIterator<CSSNumericValue>;\n}\n\ninterface CSSRuleList {\n    [Symbol.iterator](): IterableIterator<CSSRule>;\n}\n\ninterface CSSStyleDeclaration {\n    [Symbol.iterator](): IterableIterator<string>;\n}\n\ninterface CSSTransformValue {\n    [Symbol.iterator](): IterableIterator<CSSTransformComponent>;\n    entries(): IterableIterator<[number, CSSTransformComponent]>;\n    keys(): IterableIterator<number>;\n    values(): IterableIterator<CSSTransformComponent>;\n}\n\ninterface CSSUnparsedValue {\n    [Symbol.iterator](): IterableIterator<CSSUnparsedSegment>;\n    entries(): IterableIterator<[number, CSSUnparsedSegment]>;\n    keys(): IterableIterator<number>;\n    values(): IterableIterator<CSSUnparsedSegment>;\n}\n\ninterface Cache {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/addAll) */\n    addAll(requests: Iterable<RequestInfo>): Promise<void>;\n}\n\ninterface CanvasPath {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/roundRect) */\n    roundRect(x: number, y: number, w: number, h: number, radii?: number | DOMPointInit | Iterable<number | DOMPointInit>): void;\n}\n\ninterface CanvasPathDrawingStyles {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/setLineDash) */\n    setLineDash(segments: Iterable<number>): void;\n}\n\ninterface DOMRectList {\n    [Symbol.iterator](): IterableIterator<DOMRect>;\n}\n\ninterface DOMStringList {\n    [Symbol.iterator](): IterableIterator<string>;\n}\n\ninterface DOMTokenList {\n    [Symbol.iterator](): IterableIterator<string>;\n    entries(): IterableIterator<[number, string]>;\n    keys(): IterableIterator<number>;\n    values(): IterableIterator<string>;\n}\n\ninterface DataTransferItemList {\n    [Symbol.iterator](): IterableIterator<DataTransferItem>;\n}\n\ninterface EventCounts extends ReadonlyMap<string, number> {\n}\n\ninterface FileList {\n    [Symbol.iterator](): IterableIterator<File>;\n}\n\ninterface FontFaceSet extends Set<FontFace> {\n}\n\ninterface FormData {\n    [Symbol.iterator](): IterableIterator<[string, FormDataEntryValue]>;\n    /** Returns an array of key, value pairs for every entry in the list. */\n    entries(): IterableIterator<[string, FormDataEntryValue]>;\n    /** Returns a list of keys in the list. */\n    keys(): IterableIterator<string>;\n    /** Returns a list of values in the list. */\n    values(): IterableIterator<FormDataEntryValue>;\n}\n\ninterface HTMLAllCollection {\n    [Symbol.iterator](): IterableIterator<Element>;\n}\n\ninterface HTMLCollectionBase {\n    [Symbol.iterator](): IterableIterator<Element>;\n}\n\ninterface HTMLCollectionOf<T extends Element> {\n    [Symbol.iterator](): IterableIterator<T>;\n}\n\ninterface HTMLFormElement {\n    [Symbol.iterator](): IterableIterator<Element>;\n}\n\ninterface HTMLSelectElement {\n    [Symbol.iterator](): IterableIterator<HTMLOptionElement>;\n}\n\ninterface Headers {\n    [Symbol.iterator](): IterableIterator<[string, string]>;\n    /** Returns an iterator allowing to go through all key/value pairs contained in this object. */\n    entries(): IterableIterator<[string, string]>;\n    /** Returns an iterator allowing to go through all keys of the key/value pairs contained in this object. */\n    keys(): IterableIterator<string>;\n    /** Returns an iterator allowing to go through all values of the key/value pairs contained in this object. */\n    values(): IterableIterator<string>;\n}\n\ninterface Highlight extends Set<AbstractRange> {\n}\n\ninterface HighlightRegistry extends Map<string, Highlight> {\n}\n\ninterface IDBDatabase {\n    /**\n     * Returns a new transaction with the given mode ("readonly" or "readwrite") and scope which can be a single object store name or an array of names.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/transaction)\n     */\n    transaction(storeNames: string | Iterable<string>, mode?: IDBTransactionMode, options?: IDBTransactionOptions): IDBTransaction;\n}\n\ninterface IDBObjectStore {\n    /**\n     * Creates a new index in store with the given name, keyPath and options and returns a new IDBIndex. If the keyPath and options define constraints that cannot be satisfied with the data already in store the upgrade transaction will abort with a "ConstraintError" DOMException.\n     *\n     * Throws an "InvalidStateError" DOMException if not called within an upgrade transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/createIndex)\n     */\n    createIndex(name: string, keyPath: string | Iterable<string>, options?: IDBIndexParameters): IDBIndex;\n}\n\ninterface MIDIInputMap extends ReadonlyMap<string, MIDIInput> {\n}\n\ninterface MIDIOutput {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MIDIOutput/send) */\n    send(data: Iterable<number>, timestamp?: DOMHighResTimeStamp): void;\n}\n\ninterface MIDIOutputMap extends ReadonlyMap<string, MIDIOutput> {\n}\n\ninterface MediaKeyStatusMap {\n    [Symbol.iterator](): IterableIterator<[BufferSource, MediaKeyStatus]>;\n    entries(): IterableIterator<[BufferSource, MediaKeyStatus]>;\n    keys(): IterableIterator<BufferSource>;\n    values(): IterableIterator<MediaKeyStatus>;\n}\n\ninterface MediaList {\n    [Symbol.iterator](): IterableIterator<string>;\n}\n\ninterface MessageEvent<T = any> {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/initMessageEvent)\n     */\n    initMessageEvent(type: string, bubbles?: boolean, cancelable?: boolean, data?: any, origin?: string, lastEventId?: string, source?: MessageEventSource | null, ports?: Iterable<MessagePort>): void;\n}\n\ninterface MimeTypeArray {\n    [Symbol.iterator](): IterableIterator<MimeType>;\n}\n\ninterface NamedNodeMap {\n    [Symbol.iterator](): IterableIterator<Attr>;\n}\n\ninterface Navigator {\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/requestMediaKeySystemAccess)\n     */\n    requestMediaKeySystemAccess(keySystem: string, supportedConfigurations: Iterable<MediaKeySystemConfiguration>): Promise<MediaKeySystemAccess>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/vibrate) */\n    vibrate(pattern: Iterable<number>): boolean;\n}\n\ninterface NodeList {\n    [Symbol.iterator](): IterableIterator<Node>;\n    /** Returns an array of key, value pairs for every entry in the list. */\n    entries(): IterableIterator<[number, Node]>;\n    /** Returns an list of keys in the list. */\n    keys(): IterableIterator<number>;\n    /** Returns an list of values in the list. */\n    values(): IterableIterator<Node>;\n}\n\ninterface NodeListOf<TNode extends Node> {\n    [Symbol.iterator](): IterableIterator<TNode>;\n    /** Returns an array of key, value pairs for every entry in the list. */\n    entries(): IterableIterator<[number, TNode]>;\n    /** Returns an list of keys in the list. */\n    keys(): IterableIterator<number>;\n    /** Returns an list of values in the list. */\n    values(): IterableIterator<TNode>;\n}\n\ninterface Plugin {\n    [Symbol.iterator](): IterableIterator<MimeType>;\n}\n\ninterface PluginArray {\n    [Symbol.iterator](): IterableIterator<Plugin>;\n}\n\ninterface RTCRtpTransceiver {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpTransceiver/setCodecPreferences) */\n    setCodecPreferences(codecs: Iterable<RTCRtpCodecCapability>): void;\n}\n\ninterface RTCStatsReport extends ReadonlyMap<string, any> {\n}\n\ninterface SVGLengthList {\n    [Symbol.iterator](): IterableIterator<SVGLength>;\n}\n\ninterface SVGNumberList {\n    [Symbol.iterator](): IterableIterator<SVGNumber>;\n}\n\ninterface SVGPointList {\n    [Symbol.iterator](): IterableIterator<DOMPoint>;\n}\n\ninterface SVGStringList {\n    [Symbol.iterator](): IterableIterator<string>;\n}\n\ninterface SVGTransformList {\n    [Symbol.iterator](): IterableIterator<SVGTransform>;\n}\n\ninterface SourceBufferList {\n    [Symbol.iterator](): IterableIterator<SourceBuffer>;\n}\n\ninterface SpeechRecognitionResult {\n    [Symbol.iterator](): IterableIterator<SpeechRecognitionAlternative>;\n}\n\ninterface SpeechRecognitionResultList {\n    [Symbol.iterator](): IterableIterator<SpeechRecognitionResult>;\n}\n\ninterface StylePropertyMapReadOnly {\n    [Symbol.iterator](): IterableIterator<[string, Iterable<CSSStyleValue>]>;\n    entries(): IterableIterator<[string, Iterable<CSSStyleValue>]>;\n    keys(): IterableIterator<string>;\n    values(): IterableIterator<Iterable<CSSStyleValue>>;\n}\n\ninterface StyleSheetList {\n    [Symbol.iterator](): IterableIterator<CSSStyleSheet>;\n}\n\ninterface SubtleCrypto {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/deriveKey) */\n    deriveKey(algorithm: AlgorithmIdentifier | EcdhKeyDeriveParams | HkdfParams | Pbkdf2Params, baseKey: CryptoKey, derivedKeyType: AlgorithmIdentifier | AesDerivedKeyParams | HmacImportParams | HkdfParams | Pbkdf2Params, extractable: boolean, keyUsages: Iterable<KeyUsage>): Promise<CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/generateKey) */\n    generateKey(algorithm: "Ed25519", extractable: boolean, keyUsages: ReadonlyArray<"sign" | "verify">): Promise<CryptoKeyPair>;\n    generateKey(algorithm: RsaHashedKeyGenParams | EcKeyGenParams, extractable: boolean, keyUsages: ReadonlyArray<KeyUsage>): Promise<CryptoKeyPair>;\n    generateKey(algorithm: AesKeyGenParams | HmacKeyGenParams | Pbkdf2Params, extractable: boolean, keyUsages: ReadonlyArray<KeyUsage>): Promise<CryptoKey>;\n    generateKey(algorithm: AlgorithmIdentifier, extractable: boolean, keyUsages: Iterable<KeyUsage>): Promise<CryptoKeyPair | CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/importKey) */\n    importKey(format: "jwk", keyData: JsonWebKey, algorithm: AlgorithmIdentifier | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | AesKeyAlgorithm, extractable: boolean, keyUsages: ReadonlyArray<KeyUsage>): Promise<CryptoKey>;\n    importKey(format: Exclude<KeyFormat, "jwk">, keyData: BufferSource, algorithm: AlgorithmIdentifier | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | AesKeyAlgorithm, extractable: boolean, keyUsages: Iterable<KeyUsage>): Promise<CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/unwrapKey) */\n    unwrapKey(format: KeyFormat, wrappedKey: BufferSource, unwrappingKey: CryptoKey, unwrapAlgorithm: AlgorithmIdentifier | RsaOaepParams | AesCtrParams | AesCbcParams | AesGcmParams, unwrappedKeyAlgorithm: AlgorithmIdentifier | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | AesKeyAlgorithm, extractable: boolean, keyUsages: Iterable<KeyUsage>): Promise<CryptoKey>;\n}\n\ninterface TextTrackCueList {\n    [Symbol.iterator](): IterableIterator<TextTrackCue>;\n}\n\ninterface TextTrackList {\n    [Symbol.iterator](): IterableIterator<TextTrack>;\n}\n\ninterface TouchList {\n    [Symbol.iterator](): IterableIterator<Touch>;\n}\n\ninterface URLSearchParams {\n    [Symbol.iterator](): IterableIterator<[string, string]>;\n    /** Returns an array of key, value pairs for every entry in the search params. */\n    entries(): IterableIterator<[string, string]>;\n    /** Returns a list of keys in the search params. */\n    keys(): IterableIterator<string>;\n    /** Returns a list of values in the search params. */\n    values(): IterableIterator<string>;\n}\n\ninterface WEBGL_draw_buffers {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_draw_buffers/drawBuffersWEBGL) */\n    drawBuffersWEBGL(buffers: Iterable<GLenum>): void;\n}\n\ninterface WEBGL_multi_draw {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawArraysInstancedWEBGL) */\n    multiDrawArraysInstancedWEBGL(mode: GLenum, firstsList: Int32Array | Iterable<GLint>, firstsOffset: number, countsList: Int32Array | Iterable<GLsizei>, countsOffset: number, instanceCountsList: Int32Array | Iterable<GLsizei>, instanceCountsOffset: number, drawcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawArraysWEBGL) */\n    multiDrawArraysWEBGL(mode: GLenum, firstsList: Int32Array | Iterable<GLint>, firstsOffset: number, countsList: Int32Array | Iterable<GLsizei>, countsOffset: number, drawcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawElementsInstancedWEBGL) */\n    multiDrawElementsInstancedWEBGL(mode: GLenum, countsList: Int32Array | Iterable<GLsizei>, countsOffset: number, type: GLenum, offsetsList: Int32Array | Iterable<GLsizei>, offsetsOffset: number, instanceCountsList: Int32Array | Iterable<GLsizei>, instanceCountsOffset: number, drawcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawElementsWEBGL) */\n    multiDrawElementsWEBGL(mode: GLenum, countsList: Int32Array | Iterable<GLsizei>, countsOffset: number, type: GLenum, offsetsList: Int32Array | Iterable<GLsizei>, offsetsOffset: number, drawcount: GLsizei): void;\n}\n\ninterface WebGL2RenderingContextBase {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferfv(buffer: GLenum, drawbuffer: GLint, values: Iterable<GLfloat>, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferiv(buffer: GLenum, drawbuffer: GLint, values: Iterable<GLint>, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferuiv(buffer: GLenum, drawbuffer: GLint, values: Iterable<GLuint>, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/drawBuffers) */\n    drawBuffers(buffers: Iterable<GLenum>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getActiveUniforms) */\n    getActiveUniforms(program: WebGLProgram, uniformIndices: Iterable<GLuint>, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getUniformIndices) */\n    getUniformIndices(program: WebGLProgram, uniformNames: Iterable<string>): Iterable<GLuint> | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/invalidateFramebuffer) */\n    invalidateFramebuffer(target: GLenum, attachments: Iterable<GLenum>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/invalidateSubFramebuffer) */\n    invalidateSubFramebuffer(target: GLenum, attachments: Iterable<GLenum>, x: GLint, y: GLint, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/transformFeedbackVaryings) */\n    transformFeedbackVaryings(program: WebGLProgram, varyings: Iterable<string>, bufferMode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform1uiv(location: WebGLUniformLocation | null, data: Iterable<GLuint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform2uiv(location: WebGLUniformLocation | null, data: Iterable<GLuint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform3uiv(location: WebGLUniformLocation | null, data: Iterable<GLuint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform4uiv(location: WebGLUniformLocation | null, data: Iterable<GLuint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix2x3fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix2x4fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix3x2fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix3x4fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix4x2fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix4x3fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribI) */\n    vertexAttribI4iv(index: GLuint, values: Iterable<GLint>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribI) */\n    vertexAttribI4uiv(index: GLuint, values: Iterable<GLuint>): void;\n}\n\ninterface WebGL2RenderingContextOverloads {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1fv(location: WebGLUniformLocation | null, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1iv(location: WebGLUniformLocation | null, data: Iterable<GLint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2fv(location: WebGLUniformLocation | null, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2iv(location: WebGLUniformLocation | null, data: Iterable<GLint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3fv(location: WebGLUniformLocation | null, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3iv(location: WebGLUniformLocation | null, data: Iterable<GLint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4fv(location: WebGLUniformLocation | null, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4iv(location: WebGLUniformLocation | null, data: Iterable<GLint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix2fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix3fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix4fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n}\n\ninterface WebGLRenderingContextBase {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib1fv(index: GLuint, values: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib2fv(index: GLuint, values: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib3fv(index: GLuint, values: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib4fv(index: GLuint, values: Iterable<GLfloat>): void;\n}\n\ninterface WebGLRenderingContextOverloads {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1fv(location: WebGLUniformLocation | null, v: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1iv(location: WebGLUniformLocation | null, v: Iterable<GLint>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2fv(location: WebGLUniformLocation | null, v: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2iv(location: WebGLUniformLocation | null, v: Iterable<GLint>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3fv(location: WebGLUniformLocation | null, v: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3iv(location: WebGLUniformLocation | null, v: Iterable<GLint>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4fv(location: WebGLUniformLocation | null, v: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4iv(location: WebGLUniformLocation | null, v: Iterable<GLint>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix2fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix3fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix4fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Iterable<GLfloat>): void;\n}\n',Li["lib.es2015.collection.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface Map<K, V> {\n    clear(): void;\n    /**\n     * @returns true if an element in the Map existed and has been removed, or false if the element does not exist.\n     */\n    delete(key: K): boolean;\n    /**\n     * Executes a provided function once per each key/value pair in the Map, in insertion order.\n     */\n    forEach(callbackfn: (value: V, key: K, map: Map<K, V>) => void, thisArg?: any): void;\n    /**\n     * Returns a specified element from the Map object. If the value that is associated to the provided key is an object, then you will get a reference to that object and any change made to that object will effectively modify it inside the Map.\n     * @returns Returns the element associated with the specified key. If no element is associated with the specified key, undefined is returned.\n     */\n    get(key: K): V | undefined;\n    /**\n     * @returns boolean indicating whether an element with the specified key exists or not.\n     */\n    has(key: K): boolean;\n    /**\n     * Adds a new element with a specified key and value to the Map. If an element with the same key already exists, the element will be updated.\n     */\n    set(key: K, value: V): this;\n    /**\n     * @returns the number of elements in the Map.\n     */\n    readonly size: number;\n}\n\ninterface MapConstructor {\n    new (): Map<any, any>;\n    new <K, V>(entries?: readonly (readonly [K, V])[] | null): Map<K, V>;\n    readonly prototype: Map<any, any>;\n}\ndeclare var Map: MapConstructor;\n\ninterface ReadonlyMap<K, V> {\n    forEach(callbackfn: (value: V, key: K, map: ReadonlyMap<K, V>) => void, thisArg?: any): void;\n    get(key: K): V | undefined;\n    has(key: K): boolean;\n    readonly size: number;\n}\n\ninterface WeakMap<K extends WeakKey, V> {\n    /**\n     * Removes the specified element from the WeakMap.\n     * @returns true if the element was successfully removed, or false if it was not present.\n     */\n    delete(key: K): boolean;\n    /**\n     * @returns a specified element.\n     */\n    get(key: K): V | undefined;\n    /**\n     * @returns a boolean indicating whether an element with the specified key exists or not.\n     */\n    has(key: K): boolean;\n    /**\n     * Adds a new element with a specified key and value.\n     * @param key Must be an object or symbol.\n     */\n    set(key: K, value: V): this;\n}\n\ninterface WeakMapConstructor {\n    new <K extends WeakKey = WeakKey, V = any>(entries?: readonly (readonly [K, V])[] | null): WeakMap<K, V>;\n    readonly prototype: WeakMap<WeakKey, any>;\n}\ndeclare var WeakMap: WeakMapConstructor;\n\ninterface Set<T> {\n    /**\n     * Appends a new element with a specified value to the end of the Set.\n     */\n    add(value: T): this;\n\n    clear(): void;\n    /**\n     * Removes a specified value from the Set.\n     * @returns Returns true if an element in the Set existed and has been removed, or false if the element does not exist.\n     */\n    delete(value: T): boolean;\n    /**\n     * Executes a provided function once per each value in the Set object, in insertion order.\n     */\n    forEach(callbackfn: (value: T, value2: T, set: Set<T>) => void, thisArg?: any): void;\n    /**\n     * @returns a boolean indicating whether an element with the specified value exists in the Set or not.\n     */\n    has(value: T): boolean;\n    /**\n     * @returns the number of (unique) elements in Set.\n     */\n    readonly size: number;\n}\n\ninterface SetConstructor {\n    new <T = any>(values?: readonly T[] | null): Set<T>;\n    readonly prototype: Set<any>;\n}\ndeclare var Set: SetConstructor;\n\ninterface ReadonlySet<T> {\n    forEach(callbackfn: (value: T, value2: T, set: ReadonlySet<T>) => void, thisArg?: any): void;\n    has(value: T): boolean;\n    readonly size: number;\n}\n\ninterface WeakSet<T extends WeakKey> {\n    /**\n     * Appends a new value to the end of the WeakSet.\n     */\n    add(value: T): this;\n    /**\n     * Removes the specified element from the WeakSet.\n     * @returns Returns true if the element existed and has been removed, or false if the element does not exist.\n     */\n    delete(value: T): boolean;\n    /**\n     * @returns a boolean indicating whether a value exists in the WeakSet or not.\n     */\n    has(value: T): boolean;\n}\n\ninterface WeakSetConstructor {\n    new <T extends WeakKey = WeakKey>(values?: readonly T[] | null): WeakSet<T>;\n    readonly prototype: WeakSet<WeakKey>;\n}\ndeclare var WeakSet: WeakSetConstructor;\n',Li["lib.es2015.core.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface Array<T> {\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find<S extends T>(predicate: (value: T, index: number, obj: T[]) => value is S, thisArg?: any): S | undefined;\n    find(predicate: (value: T, index: number, obj: T[]) => unknown, thisArg?: any): T | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: T, index: number, obj: T[]) => unknown, thisArg?: any): number;\n\n    /**\n     * Changes all array elements from `start` to `end` index to a static `value` and returns the modified array\n     * @param value value to fill array section with\n     * @param start index to start filling the array at. If start is negative, it is treated as\n     * length+start where length is the length of the array.\n     * @param end index to stop filling the array at. If end is negative, it is treated as\n     * length+end.\n     */\n    fill(value: T, start?: number, end?: number): this;\n\n    /**\n     * Returns the this object after copying a section of the array identified by start and end\n     * to the same array starting at position target\n     * @param target If target is negative, it is treated as length+target where length is the\n     * length of the array.\n     * @param start If start is negative, it is treated as length+start. If end is negative, it\n     * is treated as length+end.\n     * @param end If not specified, length of the this object is used as its default value.\n     */\n    copyWithin(target: number, start: number, end?: number): this;\n}\n\ninterface ArrayConstructor {\n    /**\n     * Creates an array from an array-like object.\n     * @param arrayLike An array-like object to convert to an array.\n     */\n    from<T>(arrayLike: ArrayLike<T>): T[];\n\n    /**\n     * Creates an array from an iterable object.\n     * @param arrayLike An array-like object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of \'this\' used to invoke the mapfn.\n     */\n    from<T, U>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => U, thisArg?: any): U[];\n\n    /**\n     * Returns a new array from a set of elements.\n     * @param items A set of elements to include in the new array object.\n     */\n    of<T>(...items: T[]): T[];\n}\n\ninterface DateConstructor {\n    new (value: number | string | Date): Date;\n}\n\ninterface Function {\n    /**\n     * Returns the name of the function. Function names are read-only and can not be changed.\n     */\n    readonly name: string;\n}\n\ninterface Math {\n    /**\n     * Returns the number of leading zero bits in the 32-bit binary representation of a number.\n     * @param x A numeric expression.\n     */\n    clz32(x: number): number;\n\n    /**\n     * Returns the result of 32-bit multiplication of two numbers.\n     * @param x First number\n     * @param y Second number\n     */\n    imul(x: number, y: number): number;\n\n    /**\n     * Returns the sign of the x, indicating whether x is positive, negative or zero.\n     * @param x The numeric expression to test\n     */\n    sign(x: number): number;\n\n    /**\n     * Returns the base 10 logarithm of a number.\n     * @param x A numeric expression.\n     */\n    log10(x: number): number;\n\n    /**\n     * Returns the base 2 logarithm of a number.\n     * @param x A numeric expression.\n     */\n    log2(x: number): number;\n\n    /**\n     * Returns the natural logarithm of 1 + x.\n     * @param x A numeric expression.\n     */\n    log1p(x: number): number;\n\n    /**\n     * Returns the result of (e^x - 1), which is an implementation-dependent approximation to\n     * subtracting 1 from the exponential function of x (e raised to the power of x, where e\n     * is the base of the natural logarithms).\n     * @param x A numeric expression.\n     */\n    expm1(x: number): number;\n\n    /**\n     * Returns the hyperbolic cosine of a number.\n     * @param x A numeric expression that contains an angle measured in radians.\n     */\n    cosh(x: number): number;\n\n    /**\n     * Returns the hyperbolic sine of a number.\n     * @param x A numeric expression that contains an angle measured in radians.\n     */\n    sinh(x: number): number;\n\n    /**\n     * Returns the hyperbolic tangent of a number.\n     * @param x A numeric expression that contains an angle measured in radians.\n     */\n    tanh(x: number): number;\n\n    /**\n     * Returns the inverse hyperbolic cosine of a number.\n     * @param x A numeric expression that contains an angle measured in radians.\n     */\n    acosh(x: number): number;\n\n    /**\n     * Returns the inverse hyperbolic sine of a number.\n     * @param x A numeric expression that contains an angle measured in radians.\n     */\n    asinh(x: number): number;\n\n    /**\n     * Returns the inverse hyperbolic tangent of a number.\n     * @param x A numeric expression that contains an angle measured in radians.\n     */\n    atanh(x: number): number;\n\n    /**\n     * Returns the square root of the sum of squares of its arguments.\n     * @param values Values to compute the square root for.\n     *     If no arguments are passed, the result is +0.\n     *     If there is only one argument, the result is the absolute value.\n     *     If any argument is +Infinity or -Infinity, the result is +Infinity.\n     *     If any argument is NaN, the result is NaN.\n     *     If all arguments are either +0 or −0, the result is +0.\n     */\n    hypot(...values: number[]): number;\n\n    /**\n     * Returns the integral part of the a numeric expression, x, removing any fractional digits.\n     * If x is already an integer, the result is x.\n     * @param x A numeric expression.\n     */\n    trunc(x: number): number;\n\n    /**\n     * Returns the nearest single precision float representation of a number.\n     * @param x A numeric expression.\n     */\n    fround(x: number): number;\n\n    /**\n     * Returns an implementation-dependent approximation to the cube root of number.\n     * @param x A numeric expression.\n     */\n    cbrt(x: number): number;\n}\n\ninterface NumberConstructor {\n    /**\n     * The value of Number.EPSILON is the difference between 1 and the smallest value greater than 1\n     * that is representable as a Number value, which is approximately:\n     * 2.2204460492503130808472633361816 x 10‍−‍16.\n     */\n    readonly EPSILON: number;\n\n    /**\n     * Returns true if passed value is finite.\n     * Unlike the global isFinite, Number.isFinite doesn\'t forcibly convert the parameter to a\n     * number. Only finite values of the type number, result in true.\n     * @param number A numeric value.\n     */\n    isFinite(number: unknown): boolean;\n\n    /**\n     * Returns true if the value passed is an integer, false otherwise.\n     * @param number A numeric value.\n     */\n    isInteger(number: unknown): boolean;\n\n    /**\n     * Returns a Boolean value that indicates whether a value is the reserved value NaN (not a\n     * number). Unlike the global isNaN(), Number.isNaN() doesn\'t forcefully convert the parameter\n     * to a number. Only values of the type number, that are also NaN, result in true.\n     * @param number A numeric value.\n     */\n    isNaN(number: unknown): boolean;\n\n    /**\n     * Returns true if the value passed is a safe integer.\n     * @param number A numeric value.\n     */\n    isSafeInteger(number: unknown): boolean;\n\n    /**\n     * The value of the largest integer n such that n and n + 1 are both exactly representable as\n     * a Number value.\n     * The value of Number.MAX_SAFE_INTEGER is 9007199254740991 2^53 − 1.\n     */\n    readonly MAX_SAFE_INTEGER: number;\n\n    /**\n     * The value of the smallest integer n such that n and n − 1 are both exactly representable as\n     * a Number value.\n     * The value of Number.MIN_SAFE_INTEGER is −9007199254740991 (−(2^53 − 1)).\n     */\n    readonly MIN_SAFE_INTEGER: number;\n\n    /**\n     * Converts a string to a floating-point number.\n     * @param string A string that contains a floating-point number.\n     */\n    parseFloat(string: string): number;\n\n    /**\n     * Converts A string to an integer.\n     * @param string A string to convert into a number.\n     * @param radix A value between 2 and 36 that specifies the base of the number in `string`.\n     * If this argument is not supplied, strings with a prefix of \'0x\' are considered hexadecimal.\n     * All other strings are considered decimal.\n     */\n    parseInt(string: string, radix?: number): number;\n}\n\ninterface ObjectConstructor {\n    /**\n     * Copy the values of all of the enumerable own properties from one or more source objects to a\n     * target object. Returns the target object.\n     * @param target The target object to copy to.\n     * @param source The source object from which to copy properties.\n     */\n    assign<T extends {}, U>(target: T, source: U): T & U;\n\n    /**\n     * Copy the values of all of the enumerable own properties from one or more source objects to a\n     * target object. Returns the target object.\n     * @param target The target object to copy to.\n     * @param source1 The first source object from which to copy properties.\n     * @param source2 The second source object from which to copy properties.\n     */\n    assign<T extends {}, U, V>(target: T, source1: U, source2: V): T & U & V;\n\n    /**\n     * Copy the values of all of the enumerable own properties from one or more source objects to a\n     * target object. Returns the target object.\n     * @param target The target object to copy to.\n     * @param source1 The first source object from which to copy properties.\n     * @param source2 The second source object from which to copy properties.\n     * @param source3 The third source object from which to copy properties.\n     */\n    assign<T extends {}, U, V, W>(target: T, source1: U, source2: V, source3: W): T & U & V & W;\n\n    /**\n     * Copy the values of all of the enumerable own properties from one or more source objects to a\n     * target object. Returns the target object.\n     * @param target The target object to copy to.\n     * @param sources One or more source objects from which to copy properties\n     */\n    assign(target: object, ...sources: any[]): any;\n\n    /**\n     * Returns an array of all symbol properties found directly on object o.\n     * @param o Object to retrieve the symbols from.\n     */\n    getOwnPropertySymbols(o: any): symbol[];\n\n    /**\n     * Returns the names of the enumerable string properties and methods of an object.\n     * @param o Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.\n     */\n    keys(o: {}): string[];\n\n    /**\n     * Returns true if the values are the same value, false otherwise.\n     * @param value1 The first value.\n     * @param value2 The second value.\n     */\n    is(value1: any, value2: any): boolean;\n\n    /**\n     * Sets the prototype of a specified object o to object proto or null. Returns the object o.\n     * @param o The object to change its prototype.\n     * @param proto The value of the new prototype or null.\n     */\n    setPrototypeOf(o: any, proto: object | null): any;\n}\n\ninterface ReadonlyArray<T> {\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find<S extends T>(predicate: (value: T, index: number, obj: readonly T[]) => value is S, thisArg?: any): S | undefined;\n    find(predicate: (value: T, index: number, obj: readonly T[]) => unknown, thisArg?: any): T | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: T, index: number, obj: readonly T[]) => unknown, thisArg?: any): number;\n}\n\ninterface RegExp {\n    /**\n     * Returns a string indicating the flags of the regular expression in question. This field is read-only.\n     * The characters in this string are sequenced and concatenated in the following order:\n     *\n     *    - "g" for global\n     *    - "i" for ignoreCase\n     *    - "m" for multiline\n     *    - "u" for unicode\n     *    - "y" for sticky\n     *\n     * If no flags are set, the value is the empty string.\n     */\n    readonly flags: string;\n\n    /**\n     * Returns a Boolean value indicating the state of the sticky flag (y) used with a regular\n     * expression. Default is false. Read-only.\n     */\n    readonly sticky: boolean;\n\n    /**\n     * Returns a Boolean value indicating the state of the Unicode flag (u) used with a regular\n     * expression. Default is false. Read-only.\n     */\n    readonly unicode: boolean;\n}\n\ninterface RegExpConstructor {\n    new (pattern: RegExp | string, flags?: string): RegExp;\n    (pattern: RegExp | string, flags?: string): RegExp;\n}\n\ninterface String {\n    /**\n     * Returns a nonnegative integer Number less than 1114112 (0x110000) that is the code point\n     * value of the UTF-16 encoded code point starting at the string element at position pos in\n     * the String resulting from converting this object to a String.\n     * If there is no element at that position, the result is undefined.\n     * If a valid UTF-16 surrogate pair does not begin at pos, the result is the code unit at pos.\n     */\n    codePointAt(pos: number): number | undefined;\n\n    /**\n     * Returns true if searchString appears as a substring of the result of converting this\n     * object to a String, at one or more positions that are\n     * greater than or equal to position; otherwise, returns false.\n     * @param searchString search string\n     * @param position If position is undefined, 0 is assumed, so as to search all of the String.\n     */\n    includes(searchString: string, position?: number): boolean;\n\n    /**\n     * Returns true if the sequence of elements of searchString converted to a String is the\n     * same as the corresponding elements of this object (converted to a String) starting at\n     * endPosition – length(this). Otherwise returns false.\n     */\n    endsWith(searchString: string, endPosition?: number): boolean;\n\n    /**\n     * Returns the String value result of normalizing the string into the normalization form\n     * named by form as specified in Unicode Standard Annex #15, Unicode Normalization Forms.\n     * @param form Applicable values: "NFC", "NFD", "NFKC", or "NFKD", If not specified default\n     * is "NFC"\n     */\n    normalize(form: "NFC" | "NFD" | "NFKC" | "NFKD"): string;\n\n    /**\n     * Returns the String value result of normalizing the string into the normalization form\n     * named by form as specified in Unicode Standard Annex #15, Unicode Normalization Forms.\n     * @param form Applicable values: "NFC", "NFD", "NFKC", or "NFKD", If not specified default\n     * is "NFC"\n     */\n    normalize(form?: string): string;\n\n    /**\n     * Returns a String value that is made from count copies appended together. If count is 0,\n     * the empty string is returned.\n     * @param count number of copies to append\n     */\n    repeat(count: number): string;\n\n    /**\n     * Returns true if the sequence of elements of searchString converted to a String is the\n     * same as the corresponding elements of this object (converted to a String) starting at\n     * position. Otherwise returns false.\n     */\n    startsWith(searchString: string, position?: number): boolean;\n\n    /**\n     * Returns an `<a>` HTML anchor element and sets the name attribute to the text value\n     * @deprecated A legacy feature for browser compatibility\n     * @param name\n     */\n    anchor(name: string): string;\n\n    /**\n     * Returns a `<big>` HTML element\n     * @deprecated A legacy feature for browser compatibility\n     */\n    big(): string;\n\n    /**\n     * Returns a `<blink>` HTML element\n     * @deprecated A legacy feature for browser compatibility\n     */\n    blink(): string;\n\n    /**\n     * Returns a `<b>` HTML element\n     * @deprecated A legacy feature for browser compatibility\n     */\n    bold(): string;\n\n    /**\n     * Returns a `<tt>` HTML element\n     * @deprecated A legacy feature for browser compatibility\n     */\n    fixed(): string;\n\n    /**\n     * Returns a `<font>` HTML element and sets the color attribute value\n     * @deprecated A legacy feature for browser compatibility\n     */\n    fontcolor(color: string): string;\n\n    /**\n     * Returns a `<font>` HTML element and sets the size attribute value\n     * @deprecated A legacy feature for browser compatibility\n     */\n    fontsize(size: number): string;\n\n    /**\n     * Returns a `<font>` HTML element and sets the size attribute value\n     * @deprecated A legacy feature for browser compatibility\n     */\n    fontsize(size: string): string;\n\n    /**\n     * Returns an `<i>` HTML element\n     * @deprecated A legacy feature for browser compatibility\n     */\n    italics(): string;\n\n    /**\n     * Returns an `<a>` HTML element and sets the href attribute value\n     * @deprecated A legacy feature for browser compatibility\n     */\n    link(url: string): string;\n\n    /**\n     * Returns a `<small>` HTML element\n     * @deprecated A legacy feature for browser compatibility\n     */\n    small(): string;\n\n    /**\n     * Returns a `<strike>` HTML element\n     * @deprecated A legacy feature for browser compatibility\n     */\n    strike(): string;\n\n    /**\n     * Returns a `<sub>` HTML element\n     * @deprecated A legacy feature for browser compatibility\n     */\n    sub(): string;\n\n    /**\n     * Returns a `<sup>` HTML element\n     * @deprecated A legacy feature for browser compatibility\n     */\n    sup(): string;\n}\n\ninterface StringConstructor {\n    /**\n     * Return the String value whose elements are, in order, the elements in the List elements.\n     * If length is 0, the empty string is returned.\n     */\n    fromCodePoint(...codePoints: number[]): string;\n\n    /**\n     * String.raw is usually used as a tag function of a Tagged Template String. When called as\n     * such, the first argument will be a well formed template call site object and the rest\n     * parameter will contain the substitution values. It can also be called directly, for example,\n     * to interleave strings and values from your own tag function, and in this case the only thing\n     * it needs from the first argument is the raw property.\n     * @param template A well-formed template string call site representation.\n     * @param substitutions A set of substitution values.\n     */\n    raw(template: { raw: readonly string[] | ArrayLike<string>; }, ...substitutions: any[]): string;\n}\n',Li["lib.es2015.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es5" />\n/// <reference lib="es2015.core" />\n/// <reference lib="es2015.collection" />\n/// <reference lib="es2015.iterable" />\n/// <reference lib="es2015.generator" />\n/// <reference lib="es2015.promise" />\n/// <reference lib="es2015.proxy" />\n/// <reference lib="es2015.reflect" />\n/// <reference lib="es2015.symbol" />\n/// <reference lib="es2015.symbol.wellknown" />\n',Li["lib.es2015.generator.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2015.iterable" />\n\ninterface Generator<T = unknown, TReturn = any, TNext = unknown> extends Iterator<T, TReturn, TNext> {\n    // NOTE: \'next\' is defined using a tuple to ensure we report the correct assignability errors in all places.\n    next(...args: [] | [TNext]): IteratorResult<T, TReturn>;\n    return(value: TReturn): IteratorResult<T, TReturn>;\n    throw(e: any): IteratorResult<T, TReturn>;\n    [Symbol.iterator](): Generator<T, TReturn, TNext>;\n}\n\ninterface GeneratorFunction {\n    /**\n     * Creates a new Generator object.\n     * @param args A list of arguments the function accepts.\n     */\n    new (...args: any[]): Generator;\n    /**\n     * Creates a new Generator object.\n     * @param args A list of arguments the function accepts.\n     */\n    (...args: any[]): Generator;\n    /**\n     * The length of the arguments.\n     */\n    readonly length: number;\n    /**\n     * Returns the name of the function.\n     */\n    readonly name: string;\n    /**\n     * A reference to the prototype.\n     */\n    readonly prototype: Generator;\n}\n\ninterface GeneratorFunctionConstructor {\n    /**\n     * Creates a new Generator function.\n     * @param args A list of arguments the function accepts.\n     */\n    new (...args: string[]): GeneratorFunction;\n    /**\n     * Creates a new Generator function.\n     * @param args A list of arguments the function accepts.\n     */\n    (...args: string[]): GeneratorFunction;\n    /**\n     * The length of the arguments.\n     */\n    readonly length: number;\n    /**\n     * Returns the name of the function.\n     */\n    readonly name: string;\n    /**\n     * A reference to the prototype.\n     */\n    readonly prototype: GeneratorFunction;\n}\n',Li["lib.es2015.iterable.d.ts"]="/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the \"License\"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib=\"true\"/>\n\n/// <reference lib=\"es2015.symbol\" />\n\ninterface SymbolConstructor {\n    /**\n     * A method that returns the default iterator for an object. Called by the semantics of the\n     * for-of statement.\n     */\n    readonly iterator: unique symbol;\n}\n\ninterface IteratorYieldResult<TYield> {\n    done?: false;\n    value: TYield;\n}\n\ninterface IteratorReturnResult<TReturn> {\n    done: true;\n    value: TReturn;\n}\n\ntype IteratorResult<T, TReturn = any> = IteratorYieldResult<T> | IteratorReturnResult<TReturn>;\n\ninterface Iterator<T, TReturn = any, TNext = undefined> {\n    // NOTE: 'next' is defined using a tuple to ensure we report the correct assignability errors in all places.\n    next(...args: [] | [TNext]): IteratorResult<T, TReturn>;\n    return?(value?: TReturn): IteratorResult<T, TReturn>;\n    throw?(e?: any): IteratorResult<T, TReturn>;\n}\n\ninterface Iterable<T> {\n    [Symbol.iterator](): Iterator<T>;\n}\n\ninterface IterableIterator<T> extends Iterator<T> {\n    [Symbol.iterator](): IterableIterator<T>;\n}\n\ninterface Array<T> {\n    /** Iterator */\n    [Symbol.iterator](): IterableIterator<T>;\n\n    /**\n     * Returns an iterable of key, value pairs for every entry in the array\n     */\n    entries(): IterableIterator<[number, T]>;\n\n    /**\n     * Returns an iterable of keys in the array\n     */\n    keys(): IterableIterator<number>;\n\n    /**\n     * Returns an iterable of values in the array\n     */\n    values(): IterableIterator<T>;\n}\n\ninterface ArrayConstructor {\n    /**\n     * Creates an array from an iterable object.\n     * @param iterable An iterable object to convert to an array.\n     */\n    from<T>(iterable: Iterable<T> | ArrayLike<T>): T[];\n\n    /**\n     * Creates an array from an iterable object.\n     * @param iterable An iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of 'this' used to invoke the mapfn.\n     */\n    from<T, U>(iterable: Iterable<T> | ArrayLike<T>, mapfn: (v: T, k: number) => U, thisArg?: any): U[];\n}\n\ninterface ReadonlyArray<T> {\n    /** Iterator of values in the array. */\n    [Symbol.iterator](): IterableIterator<T>;\n\n    /**\n     * Returns an iterable of key, value pairs for every entry in the array\n     */\n    entries(): IterableIterator<[number, T]>;\n\n    /**\n     * Returns an iterable of keys in the array\n     */\n    keys(): IterableIterator<number>;\n\n    /**\n     * Returns an iterable of values in the array\n     */\n    values(): IterableIterator<T>;\n}\n\ninterface IArguments {\n    /** Iterator */\n    [Symbol.iterator](): IterableIterator<any>;\n}\n\ninterface Map<K, V> {\n    /** Returns an iterable of entries in the map. */\n    [Symbol.iterator](): IterableIterator<[K, V]>;\n\n    /**\n     * Returns an iterable of key, value pairs for every entry in the map.\n     */\n    entries(): IterableIterator<[K, V]>;\n\n    /**\n     * Returns an iterable of keys in the map\n     */\n    keys(): IterableIterator<K>;\n\n    /**\n     * Returns an iterable of values in the map\n     */\n    values(): IterableIterator<V>;\n}\n\ninterface ReadonlyMap<K, V> {\n    /** Returns an iterable of entries in the map. */\n    [Symbol.iterator](): IterableIterator<[K, V]>;\n\n    /**\n     * Returns an iterable of key, value pairs for every entry in the map.\n     */\n    entries(): IterableIterator<[K, V]>;\n\n    /**\n     * Returns an iterable of keys in the map\n     */\n    keys(): IterableIterator<K>;\n\n    /**\n     * Returns an iterable of values in the map\n     */\n    values(): IterableIterator<V>;\n}\n\ninterface MapConstructor {\n    new (): Map<any, any>;\n    new <K, V>(iterable?: Iterable<readonly [K, V]> | null): Map<K, V>;\n}\n\ninterface WeakMap<K extends WeakKey, V> {}\n\ninterface WeakMapConstructor {\n    new <K extends WeakKey, V>(iterable: Iterable<readonly [K, V]>): WeakMap<K, V>;\n}\n\ninterface Set<T> {\n    /** Iterates over values in the set. */\n    [Symbol.iterator](): IterableIterator<T>;\n    /**\n     * Returns an iterable of [v,v] pairs for every value `v` in the set.\n     */\n    entries(): IterableIterator<[T, T]>;\n    /**\n     * Despite its name, returns an iterable of the values in the set.\n     */\n    keys(): IterableIterator<T>;\n\n    /**\n     * Returns an iterable of values in the set.\n     */\n    values(): IterableIterator<T>;\n}\n\ninterface ReadonlySet<T> {\n    /** Iterates over values in the set. */\n    [Symbol.iterator](): IterableIterator<T>;\n\n    /**\n     * Returns an iterable of [v,v] pairs for every value `v` in the set.\n     */\n    entries(): IterableIterator<[T, T]>;\n\n    /**\n     * Despite its name, returns an iterable of the values in the set.\n     */\n    keys(): IterableIterator<T>;\n\n    /**\n     * Returns an iterable of values in the set.\n     */\n    values(): IterableIterator<T>;\n}\n\ninterface SetConstructor {\n    new <T>(iterable?: Iterable<T> | null): Set<T>;\n}\n\ninterface WeakSet<T extends WeakKey> {}\n\ninterface WeakSetConstructor {\n    new <T extends WeakKey = WeakKey>(iterable: Iterable<T>): WeakSet<T>;\n}\n\ninterface Promise<T> {}\n\ninterface PromiseConstructor {\n    /**\n     * Creates a Promise that is resolved with an array of results when all of the provided Promises\n     * resolve, or rejected when any Promise is rejected.\n     * @param values An iterable of Promises.\n     * @returns A new Promise.\n     */\n    all<T>(values: Iterable<T | PromiseLike<T>>): Promise<Awaited<T>[]>;\n\n    /**\n     * Creates a Promise that is resolved or rejected when any of the provided Promises are resolved\n     * or rejected.\n     * @param values An iterable of Promises.\n     * @returns A new Promise.\n     */\n    race<T>(values: Iterable<T | PromiseLike<T>>): Promise<Awaited<T>>;\n}\n\ninterface String {\n    /** Iterator */\n    [Symbol.iterator](): IterableIterator<string>;\n}\n\ninterface Int8Array {\n    [Symbol.iterator](): IterableIterator<number>;\n    /**\n     * Returns an array of key, value pairs for every entry in the array\n     */\n    entries(): IterableIterator<[number, number]>;\n    /**\n     * Returns an list of keys in the array\n     */\n    keys(): IterableIterator<number>;\n    /**\n     * Returns an list of values in the array\n     */\n    values(): IterableIterator<number>;\n}\n\ninterface Int8ArrayConstructor {\n    new (elements: Iterable<number>): Int8Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of 'this' used to invoke the mapfn.\n     */\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int8Array;\n}\n\ninterface Uint8Array {\n    [Symbol.iterator](): IterableIterator<number>;\n    /**\n     * Returns an array of key, value pairs for every entry in the array\n     */\n    entries(): IterableIterator<[number, number]>;\n    /**\n     * Returns an list of keys in the array\n     */\n    keys(): IterableIterator<number>;\n    /**\n     * Returns an list of values in the array\n     */\n    values(): IterableIterator<number>;\n}\n\ninterface Uint8ArrayConstructor {\n    new (elements: Iterable<number>): Uint8Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of 'this' used to invoke the mapfn.\n     */\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint8Array;\n}\n\ninterface Uint8ClampedArray {\n    [Symbol.iterator](): IterableIterator<number>;\n    /**\n     * Returns an array of key, value pairs for every entry in the array\n     */\n    entries(): IterableIterator<[number, number]>;\n\n    /**\n     * Returns an list of keys in the array\n     */\n    keys(): IterableIterator<number>;\n\n    /**\n     * Returns an list of values in the array\n     */\n    values(): IterableIterator<number>;\n}\n\ninterface Uint8ClampedArrayConstructor {\n    new (elements: Iterable<number>): Uint8ClampedArray;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of 'this' used to invoke the mapfn.\n     */\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint8ClampedArray;\n}\n\ninterface Int16Array {\n    [Symbol.iterator](): IterableIterator<number>;\n    /**\n     * Returns an array of key, value pairs for every entry in the array\n     */\n    entries(): IterableIterator<[number, number]>;\n\n    /**\n     * Returns an list of keys in the array\n     */\n    keys(): IterableIterator<number>;\n\n    /**\n     * Returns an list of values in the array\n     */\n    values(): IterableIterator<number>;\n}\n\ninterface Int16ArrayConstructor {\n    new (elements: Iterable<number>): Int16Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of 'this' used to invoke the mapfn.\n     */\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int16Array;\n}\n\ninterface Uint16Array {\n    [Symbol.iterator](): IterableIterator<number>;\n    /**\n     * Returns an array of key, value pairs for every entry in the array\n     */\n    entries(): IterableIterator<[number, number]>;\n    /**\n     * Returns an list of keys in the array\n     */\n    keys(): IterableIterator<number>;\n    /**\n     * Returns an list of values in the array\n     */\n    values(): IterableIterator<number>;\n}\n\ninterface Uint16ArrayConstructor {\n    new (elements: Iterable<number>): Uint16Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of 'this' used to invoke the mapfn.\n     */\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint16Array;\n}\n\ninterface Int32Array {\n    [Symbol.iterator](): IterableIterator<number>;\n    /**\n     * Returns an array of key, value pairs for every entry in the array\n     */\n    entries(): IterableIterator<[number, number]>;\n    /**\n     * Returns an list of keys in the array\n     */\n    keys(): IterableIterator<number>;\n    /**\n     * Returns an list of values in the array\n     */\n    values(): IterableIterator<number>;\n}\n\ninterface Int32ArrayConstructor {\n    new (elements: Iterable<number>): Int32Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of 'this' used to invoke the mapfn.\n     */\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Int32Array;\n}\n\ninterface Uint32Array {\n    [Symbol.iterator](): IterableIterator<number>;\n    /**\n     * Returns an array of key, value pairs for every entry in the array\n     */\n    entries(): IterableIterator<[number, number]>;\n    /**\n     * Returns an list of keys in the array\n     */\n    keys(): IterableIterator<number>;\n    /**\n     * Returns an list of values in the array\n     */\n    values(): IterableIterator<number>;\n}\n\ninterface Uint32ArrayConstructor {\n    new (elements: Iterable<number>): Uint32Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of 'this' used to invoke the mapfn.\n     */\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Uint32Array;\n}\n\ninterface Float32Array {\n    [Symbol.iterator](): IterableIterator<number>;\n    /**\n     * Returns an array of key, value pairs for every entry in the array\n     */\n    entries(): IterableIterator<[number, number]>;\n    /**\n     * Returns an list of keys in the array\n     */\n    keys(): IterableIterator<number>;\n    /**\n     * Returns an list of values in the array\n     */\n    values(): IterableIterator<number>;\n}\n\ninterface Float32ArrayConstructor {\n    new (elements: Iterable<number>): Float32Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of 'this' used to invoke the mapfn.\n     */\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Float32Array;\n}\n\ninterface Float64Array {\n    [Symbol.iterator](): IterableIterator<number>;\n    /**\n     * Returns an array of key, value pairs for every entry in the array\n     */\n    entries(): IterableIterator<[number, number]>;\n    /**\n     * Returns an list of keys in the array\n     */\n    keys(): IterableIterator<number>;\n    /**\n     * Returns an list of values in the array\n     */\n    values(): IterableIterator<number>;\n}\n\ninterface Float64ArrayConstructor {\n    new (elements: Iterable<number>): Float64Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of 'this' used to invoke the mapfn.\n     */\n    from(arrayLike: Iterable<number>, mapfn?: (v: number, k: number) => number, thisArg?: any): Float64Array;\n}\n",Li["lib.es2015.promise.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface PromiseConstructor {\n    /**\n     * A reference to the prototype.\n     */\n    readonly prototype: Promise<any>;\n\n    /**\n     * Creates a new Promise.\n     * @param executor A callback used to initialize the promise. This callback is passed two arguments:\n     * a resolve callback used to resolve the promise with a value or the result of another promise,\n     * and a reject callback used to reject the promise with a provided reason or error.\n     */\n    new <T>(executor: (resolve: (value: T | PromiseLike<T>) => void, reject: (reason?: any) => void) => void): Promise<T>;\n\n    /**\n     * Creates a Promise that is resolved with an array of results when all of the provided Promises\n     * resolve, or rejected when any Promise is rejected.\n     * @param values An array of Promises.\n     * @returns A new Promise.\n     */\n    all<T extends readonly unknown[] | []>(values: T): Promise<{ -readonly [P in keyof T]: Awaited<T[P]>; }>;\n\n    // see: lib.es2015.iterable.d.ts\n    // all<T>(values: Iterable<T | PromiseLike<T>>): Promise<Awaited<T>[]>;\n\n    /**\n     * Creates a Promise that is resolved or rejected when any of the provided Promises are resolved\n     * or rejected.\n     * @param values An array of Promises.\n     * @returns A new Promise.\n     */\n    race<T extends readonly unknown[] | []>(values: T): Promise<Awaited<T[number]>>;\n\n    // see: lib.es2015.iterable.d.ts\n    // race<T>(values: Iterable<T | PromiseLike<T>>): Promise<Awaited<T>>;\n\n    /**\n     * Creates a new rejected promise for the provided reason.\n     * @param reason The reason the promise was rejected.\n     * @returns A new rejected Promise.\n     */\n    reject<T = never>(reason?: any): Promise<T>;\n\n    /**\n     * Creates a new resolved promise.\n     * @returns A resolved promise.\n     */\n    resolve(): Promise<void>;\n    /**\n     * Creates a new resolved promise for the provided value.\n     * @param value A promise.\n     * @returns A promise whose internal state matches the provided promise.\n     */\n    resolve<T>(value: T): Promise<Awaited<T>>;\n    /**\n     * Creates a new resolved promise for the provided value.\n     * @param value A promise.\n     * @returns A promise whose internal state matches the provided promise.\n     */\n    resolve<T>(value: T | PromiseLike<T>): Promise<Awaited<T>>;\n}\n\ndeclare var Promise: PromiseConstructor;\n',Li["lib.es2015.proxy.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface ProxyHandler<T extends object> {\n    /**\n     * A trap method for a function call.\n     * @param target The original callable object which is being proxied.\n     */\n    apply?(target: T, thisArg: any, argArray: any[]): any;\n\n    /**\n     * A trap for the `new` operator.\n     * @param target The original object which is being proxied.\n     * @param newTarget The constructor that was originally called.\n     */\n    construct?(target: T, argArray: any[], newTarget: Function): object;\n\n    /**\n     * A trap for `Object.defineProperty()`.\n     * @param target The original object which is being proxied.\n     * @returns A `Boolean` indicating whether or not the property has been defined.\n     */\n    defineProperty?(target: T, property: string | symbol, attributes: PropertyDescriptor): boolean;\n\n    /**\n     * A trap for the `delete` operator.\n     * @param target The original object which is being proxied.\n     * @param p The name or `Symbol` of the property to delete.\n     * @returns A `Boolean` indicating whether or not the property was deleted.\n     */\n    deleteProperty?(target: T, p: string | symbol): boolean;\n\n    /**\n     * A trap for getting a property value.\n     * @param target The original object which is being proxied.\n     * @param p The name or `Symbol` of the property to get.\n     * @param receiver The proxy or an object that inherits from the proxy.\n     */\n    get?(target: T, p: string | symbol, receiver: any): any;\n\n    /**\n     * A trap for `Object.getOwnPropertyDescriptor()`.\n     * @param target The original object which is being proxied.\n     * @param p The name of the property whose description should be retrieved.\n     */\n    getOwnPropertyDescriptor?(target: T, p: string | symbol): PropertyDescriptor | undefined;\n\n    /**\n     * A trap for the `[[GetPrototypeOf]]` internal method.\n     * @param target The original object which is being proxied.\n     */\n    getPrototypeOf?(target: T): object | null;\n\n    /**\n     * A trap for the `in` operator.\n     * @param target The original object which is being proxied.\n     * @param p The name or `Symbol` of the property to check for existence.\n     */\n    has?(target: T, p: string | symbol): boolean;\n\n    /**\n     * A trap for `Object.isExtensible()`.\n     * @param target The original object which is being proxied.\n     */\n    isExtensible?(target: T): boolean;\n\n    /**\n     * A trap for `Reflect.ownKeys()`.\n     * @param target The original object which is being proxied.\n     */\n    ownKeys?(target: T): ArrayLike<string | symbol>;\n\n    /**\n     * A trap for `Object.preventExtensions()`.\n     * @param target The original object which is being proxied.\n     */\n    preventExtensions?(target: T): boolean;\n\n    /**\n     * A trap for setting a property value.\n     * @param target The original object which is being proxied.\n     * @param p The name or `Symbol` of the property to set.\n     * @param receiver The object to which the assignment was originally directed.\n     * @returns A `Boolean` indicating whether or not the property was set.\n     */\n    set?(target: T, p: string | symbol, newValue: any, receiver: any): boolean;\n\n    /**\n     * A trap for `Object.setPrototypeOf()`.\n     * @param target The original object which is being proxied.\n     * @param newPrototype The object\'s new prototype or `null`.\n     */\n    setPrototypeOf?(target: T, v: object | null): boolean;\n}\n\ninterface ProxyConstructor {\n    /**\n     * Creates a revocable Proxy object.\n     * @param target A target object to wrap with Proxy.\n     * @param handler An object whose properties define the behavior of Proxy when an operation is attempted on it.\n     */\n    revocable<T extends object>(target: T, handler: ProxyHandler<T>): { proxy: T; revoke: () => void; };\n\n    /**\n     * Creates a Proxy object. The Proxy object allows you to create an object that can be used in place of the\n     * original object, but which may redefine fundamental Object operations like getting, setting, and defining\n     * properties. Proxy objects are commonly used to log property accesses, validate, format, or sanitize inputs.\n     * @param target A target object to wrap with Proxy.\n     * @param handler An object whose properties define the behavior of Proxy when an operation is attempted on it.\n     */\n    new <T extends object>(target: T, handler: ProxyHandler<T>): T;\n}\ndeclare var Proxy: ProxyConstructor;\n',Li["lib.es2015.reflect.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ndeclare namespace Reflect {\n    /**\n     * Calls the function with the specified object as the this value\n     * and the elements of specified array as the arguments.\n     * @param target The function to call.\n     * @param thisArgument The object to be used as the this object.\n     * @param argumentsList An array of argument values to be passed to the function.\n     */\n    function apply<T, A extends readonly any[], R>(\n        target: (this: T, ...args: A) => R,\n        thisArgument: T,\n        argumentsList: Readonly<A>,\n    ): R;\n    function apply(target: Function, thisArgument: any, argumentsList: ArrayLike<any>): any;\n\n    /**\n     * Constructs the target with the elements of specified array as the arguments\n     * and the specified constructor as the `new.target` value.\n     * @param target The constructor to invoke.\n     * @param argumentsList An array of argument values to be passed to the constructor.\n     * @param newTarget The constructor to be used as the `new.target` object.\n     */\n    function construct<A extends readonly any[], R>(\n        target: new (...args: A) => R,\n        argumentsList: Readonly<A>,\n        newTarget?: new (...args: any) => any,\n    ): R;\n    function construct(target: Function, argumentsList: ArrayLike<any>, newTarget?: Function): any;\n\n    /**\n     * Adds a property to an object, or modifies attributes of an existing property.\n     * @param target Object on which to add or modify the property. This can be a native JavaScript object\n     *        (that is, a user-defined object or a built in object) or a DOM object.\n     * @param propertyKey The property name.\n     * @param attributes Descriptor for the property. It can be for a data property or an accessor property.\n     */\n    function defineProperty(target: object, propertyKey: PropertyKey, attributes: PropertyDescriptor & ThisType<any>): boolean;\n\n    /**\n     * Removes a property from an object, equivalent to `delete target[propertyKey]`,\n     * except it won\'t throw if `target[propertyKey]` is non-configurable.\n     * @param target Object from which to remove the own property.\n     * @param propertyKey The property name.\n     */\n    function deleteProperty(target: object, propertyKey: PropertyKey): boolean;\n\n    /**\n     * Gets the property of target, equivalent to `target[propertyKey]` when `receiver === target`.\n     * @param target Object that contains the property on itself or in its prototype chain.\n     * @param propertyKey The property name.\n     * @param receiver The reference to use as the `this` value in the getter function,\n     *        if `target[propertyKey]` is an accessor property.\n     */\n    function get<T extends object, P extends PropertyKey>(\n        target: T,\n        propertyKey: P,\n        receiver?: unknown,\n    ): P extends keyof T ? T[P] : any;\n\n    /**\n     * Gets the own property descriptor of the specified object.\n     * An own property descriptor is one that is defined directly on the object and is not inherited from the object\'s prototype.\n     * @param target Object that contains the property.\n     * @param propertyKey The property name.\n     */\n    function getOwnPropertyDescriptor<T extends object, P extends PropertyKey>(\n        target: T,\n        propertyKey: P,\n    ): TypedPropertyDescriptor<P extends keyof T ? T[P] : any> | undefined;\n\n    /**\n     * Returns the prototype of an object.\n     * @param target The object that references the prototype.\n     */\n    function getPrototypeOf(target: object): object | null;\n\n    /**\n     * Equivalent to `propertyKey in target`.\n     * @param target Object that contains the property on itself or in its prototype chain.\n     * @param propertyKey Name of the property.\n     */\n    function has(target: object, propertyKey: PropertyKey): boolean;\n\n    /**\n     * Returns a value that indicates whether new properties can be added to an object.\n     * @param target Object to test.\n     */\n    function isExtensible(target: object): boolean;\n\n    /**\n     * Returns the string and symbol keys of the own properties of an object. The own properties of an object\n     * are those that are defined directly on that object, and are not inherited from the object\'s prototype.\n     * @param target Object that contains the own properties.\n     */\n    function ownKeys(target: object): (string | symbol)[];\n\n    /**\n     * Prevents the addition of new properties to an object.\n     * @param target Object to make non-extensible.\n     * @return Whether the object has been made non-extensible.\n     */\n    function preventExtensions(target: object): boolean;\n\n    /**\n     * Sets the property of target, equivalent to `target[propertyKey] = value` when `receiver === target`.\n     * @param target Object that contains the property on itself or in its prototype chain.\n     * @param propertyKey Name of the property.\n     * @param receiver The reference to use as the `this` value in the setter function,\n     *        if `target[propertyKey]` is an accessor property.\n     */\n    function set<T extends object, P extends PropertyKey>(\n        target: T,\n        propertyKey: P,\n        value: P extends keyof T ? T[P] : any,\n        receiver?: any,\n    ): boolean;\n    function set(target: object, propertyKey: PropertyKey, value: any, receiver?: any): boolean;\n\n    /**\n     * Sets the prototype of a specified object o to object proto or null.\n     * @param target The object to change its prototype.\n     * @param proto The value of the new prototype or null.\n     * @return Whether setting the prototype was successful.\n     */\n    function setPrototypeOf(target: object, proto: object | null): boolean;\n}\n',Li["lib.es2015.symbol.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface SymbolConstructor {\n    /**\n     * A reference to the prototype.\n     */\n    readonly prototype: Symbol;\n\n    /**\n     * Returns a new unique Symbol value.\n     * @param  description Description of the new Symbol object.\n     */\n    (description?: string | number): symbol;\n\n    /**\n     * Returns a Symbol object from the global symbol registry matching the given key if found.\n     * Otherwise, returns a new symbol with this key.\n     * @param key key to search for.\n     */\n    for(key: string): symbol;\n\n    /**\n     * Returns a key from the global symbol registry matching the given Symbol if found.\n     * Otherwise, returns a undefined.\n     * @param sym Symbol to find the key for.\n     */\n    keyFor(sym: symbol): string | undefined;\n}\n\ndeclare var Symbol: SymbolConstructor;\n',Li["lib.es2015.symbol.wellknown.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2015.symbol" />\n\ninterface SymbolConstructor {\n    /**\n     * A method that determines if a constructor object recognizes an object as one of the\n     * constructor’s instances. Called by the semantics of the instanceof operator.\n     */\n    readonly hasInstance: unique symbol;\n\n    /**\n     * A Boolean value that if true indicates that an object should flatten to its array elements\n     * by Array.prototype.concat.\n     */\n    readonly isConcatSpreadable: unique symbol;\n\n    /**\n     * A regular expression method that matches the regular expression against a string. Called\n     * by the String.prototype.match method.\n     */\n    readonly match: unique symbol;\n\n    /**\n     * A regular expression method that replaces matched substrings of a string. Called by the\n     * String.prototype.replace method.\n     */\n    readonly replace: unique symbol;\n\n    /**\n     * A regular expression method that returns the index within a string that matches the\n     * regular expression. Called by the String.prototype.search method.\n     */\n    readonly search: unique symbol;\n\n    /**\n     * A function valued property that is the constructor function that is used to create\n     * derived objects.\n     */\n    readonly species: unique symbol;\n\n    /**\n     * A regular expression method that splits a string at the indices that match the regular\n     * expression. Called by the String.prototype.split method.\n     */\n    readonly split: unique symbol;\n\n    /**\n     * A method that converts an object to a corresponding primitive value.\n     * Called by the ToPrimitive abstract operation.\n     */\n    readonly toPrimitive: unique symbol;\n\n    /**\n     * A String value that is used in the creation of the default string description of an object.\n     * Called by the built-in method Object.prototype.toString.\n     */\n    readonly toStringTag: unique symbol;\n\n    /**\n     * An Object whose truthy properties are properties that are excluded from the \'with\'\n     * environment bindings of the associated objects.\n     */\n    readonly unscopables: unique symbol;\n}\n\ninterface Symbol {\n    /**\n     * Converts a Symbol object to a symbol.\n     */\n    [Symbol.toPrimitive](hint: string): symbol;\n\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface Array<T> {\n    /**\n     * Is an object whose properties have the value \'true\'\n     * when they will be absent when used in a \'with\' statement.\n     */\n    readonly [Symbol.unscopables]: {\n        [K in keyof any[]]?: boolean;\n    };\n}\n\ninterface ReadonlyArray<T> {\n    /**\n     * Is an object whose properties have the value \'true\'\n     * when they will be absent when used in a \'with\' statement.\n     */\n    readonly [Symbol.unscopables]: {\n        [K in keyof readonly any[]]?: boolean;\n    };\n}\n\ninterface Date {\n    /**\n     * Converts a Date object to a string.\n     */\n    [Symbol.toPrimitive](hint: "default"): string;\n    /**\n     * Converts a Date object to a string.\n     */\n    [Symbol.toPrimitive](hint: "string"): string;\n    /**\n     * Converts a Date object to a number.\n     */\n    [Symbol.toPrimitive](hint: "number"): number;\n    /**\n     * Converts a Date object to a string or number.\n     *\n     * @param hint The strings "number", "string", or "default" to specify what primitive to return.\n     *\n     * @throws {TypeError} If \'hint\' was given something other than "number", "string", or "default".\n     * @returns A number if \'hint\' was "number", a string if \'hint\' was "string" or "default".\n     */\n    [Symbol.toPrimitive](hint: string): string | number;\n}\n\ninterface Map<K, V> {\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface WeakMap<K extends WeakKey, V> {\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface Set<T> {\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface WeakSet<T extends WeakKey> {\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface JSON {\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface Function {\n    /**\n     * Determines whether the given value inherits from this function if this function was used\n     * as a constructor function.\n     *\n     * A constructor function can control which objects are recognized as its instances by\n     * \'instanceof\' by overriding this method.\n     */\n    [Symbol.hasInstance](value: any): boolean;\n}\n\ninterface GeneratorFunction {\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface Math {\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface Promise<T> {\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface PromiseConstructor {\n    readonly [Symbol.species]: PromiseConstructor;\n}\n\ninterface RegExp {\n    /**\n     * Matches a string with this regular expression, and returns an array containing the results of\n     * that search.\n     * @param string A string to search within.\n     */\n    [Symbol.match](string: string): RegExpMatchArray | null;\n\n    /**\n     * Replaces text in a string, using this regular expression.\n     * @param string A String object or string literal whose contents matching against\n     *               this regular expression will be replaced\n     * @param replaceValue A String object or string literal containing the text to replace for every\n     *                     successful match of this regular expression.\n     */\n    [Symbol.replace](string: string, replaceValue: string): string;\n\n    /**\n     * Replaces text in a string, using this regular expression.\n     * @param string A String object or string literal whose contents matching against\n     *               this regular expression will be replaced\n     * @param replacer A function that returns the replacement text.\n     */\n    [Symbol.replace](string: string, replacer: (substring: string, ...args: any[]) => string): string;\n\n    /**\n     * Finds the position beginning first substring match in a regular expression search\n     * using this regular expression.\n     *\n     * @param string The string to search within.\n     */\n    [Symbol.search](string: string): number;\n\n    /**\n     * Returns an array of substrings that were delimited by strings in the original input that\n     * match against this regular expression.\n     *\n     * If the regular expression contains capturing parentheses, then each time this\n     * regular expression matches, the results (including any undefined results) of the\n     * capturing parentheses are spliced.\n     *\n     * @param string string value to split\n     * @param limit if not undefined, the output array is truncated so that it contains no more\n     * than \'limit\' elements.\n     */\n    [Symbol.split](string: string, limit?: number): string[];\n}\n\ninterface RegExpConstructor {\n    readonly [Symbol.species]: RegExpConstructor;\n}\n\ninterface String {\n    /**\n     * Matches a string or an object that supports being matched against, and returns an array\n     * containing the results of that search, or null if no matches are found.\n     * @param matcher An object that supports being matched against.\n     */\n    match(matcher: { [Symbol.match](string: string): RegExpMatchArray | null; }): RegExpMatchArray | null;\n\n    /**\n     * Passes a string and {@linkcode replaceValue} to the `[Symbol.replace]` method on {@linkcode searchValue}. This method is expected to implement its own replacement algorithm.\n     * @param searchValue An object that supports searching for and replacing matches within a string.\n     * @param replaceValue The replacement text.\n     */\n    replace(searchValue: { [Symbol.replace](string: string, replaceValue: string): string; }, replaceValue: string): string;\n\n    /**\n     * Replaces text in a string, using an object that supports replacement within a string.\n     * @param searchValue A object can search for and replace matches within a string.\n     * @param replacer A function that returns the replacement text.\n     */\n    replace(searchValue: { [Symbol.replace](string: string, replacer: (substring: string, ...args: any[]) => string): string; }, replacer: (substring: string, ...args: any[]) => string): string;\n\n    /**\n     * Finds the first substring match in a regular expression search.\n     * @param searcher An object which supports searching within a string.\n     */\n    search(searcher: { [Symbol.search](string: string): number; }): number;\n\n    /**\n     * Split a string into substrings using the specified separator and return them as an array.\n     * @param splitter An object that can split a string.\n     * @param limit A value used to limit the number of elements returned in the array.\n     */\n    split(splitter: { [Symbol.split](string: string, limit?: number): string[]; }, limit?: number): string[];\n}\n\ninterface ArrayBuffer {\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface DataView {\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface Int8Array {\n    readonly [Symbol.toStringTag]: "Int8Array";\n}\n\ninterface Uint8Array {\n    readonly [Symbol.toStringTag]: "Uint8Array";\n}\n\ninterface Uint8ClampedArray {\n    readonly [Symbol.toStringTag]: "Uint8ClampedArray";\n}\n\ninterface Int16Array {\n    readonly [Symbol.toStringTag]: "Int16Array";\n}\n\ninterface Uint16Array {\n    readonly [Symbol.toStringTag]: "Uint16Array";\n}\n\ninterface Int32Array {\n    readonly [Symbol.toStringTag]: "Int32Array";\n}\n\ninterface Uint32Array {\n    readonly [Symbol.toStringTag]: "Uint32Array";\n}\n\ninterface Float32Array {\n    readonly [Symbol.toStringTag]: "Float32Array";\n}\n\ninterface Float64Array {\n    readonly [Symbol.toStringTag]: "Float64Array";\n}\n\ninterface ArrayConstructor {\n    readonly [Symbol.species]: ArrayConstructor;\n}\ninterface MapConstructor {\n    readonly [Symbol.species]: MapConstructor;\n}\ninterface SetConstructor {\n    readonly [Symbol.species]: SetConstructor;\n}\ninterface ArrayBufferConstructor {\n    readonly [Symbol.species]: ArrayBufferConstructor;\n}\n',Li["lib.es2016.array.include.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface Array<T> {\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: T, fromIndex?: number): boolean;\n}\n\ninterface ReadonlyArray<T> {\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: T, fromIndex?: number): boolean;\n}\n\ninterface Int8Array {\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: number, fromIndex?: number): boolean;\n}\n\ninterface Uint8Array {\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: number, fromIndex?: number): boolean;\n}\n\ninterface Uint8ClampedArray {\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: number, fromIndex?: number): boolean;\n}\n\ninterface Int16Array {\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: number, fromIndex?: number): boolean;\n}\n\ninterface Uint16Array {\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: number, fromIndex?: number): boolean;\n}\n\ninterface Int32Array {\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: number, fromIndex?: number): boolean;\n}\n\ninterface Uint32Array {\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: number, fromIndex?: number): boolean;\n}\n\ninterface Float32Array {\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: number, fromIndex?: number): boolean;\n}\n\ninterface Float64Array {\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: number, fromIndex?: number): boolean;\n}\n',Li["lib.es2016.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2015" />\n/// <reference lib="es2016.array.include" />\n/// <reference lib="es2016.intl" />\n',Li["lib.es2016.full.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2016" />\n/// <reference lib="dom" />\n/// <reference lib="webworker.importscripts" />\n/// <reference lib="scripthost" />\n/// <reference lib="dom.iterable" />\n',Li["lib.es2016.intl.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ndeclare namespace Intl {\n    /**\n     * The `Intl.getCanonicalLocales()` method returns an array containing\n     * the canonical locale names. Duplicates will be omitted and elements\n     * will be validated as structurally valid language tags.\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/getCanonicalLocales)\n     *\n     * @param locale A list of String values for which to get the canonical locale names\n     * @returns An array containing the canonical and validated locale names.\n     */\n    function getCanonicalLocales(locale?: string | readonly string[]): string[];\n}\n',Li["lib.es2017.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2016" />\n/// <reference lib="es2017.object" />\n/// <reference lib="es2017.sharedmemory" />\n/// <reference lib="es2017.string" />\n/// <reference lib="es2017.intl" />\n/// <reference lib="es2017.typedarrays" />\n/// <reference lib="es2017.date" />\n',Li["lib.es2017.date.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface DateConstructor {\n    /**\n     * Returns the number of milliseconds between midnight, January 1, 1970 Universal Coordinated Time (UTC) (or GMT) and the specified date.\n     * @param year The full year designation is required for cross-century date accuracy. If year is between 0 and 99 is used, then year is assumed to be 1900 + year.\n     * @param monthIndex The month as a number between 0 and 11 (January to December).\n     * @param date The date as a number between 1 and 31.\n     * @param hours Must be supplied if minutes is supplied. A number from 0 to 23 (midnight to 11pm) that specifies the hour.\n     * @param minutes Must be supplied if seconds is supplied. A number from 0 to 59 that specifies the minutes.\n     * @param seconds Must be supplied if milliseconds is supplied. A number from 0 to 59 that specifies the seconds.\n     * @param ms A number from 0 to 999 that specifies the milliseconds.\n     */\n    UTC(year: number, monthIndex?: number, date?: number, hours?: number, minutes?: number, seconds?: number, ms?: number): number;\n}\n',Li["lib.es2017.full.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2017" />\n/// <reference lib="dom" />\n/// <reference lib="webworker.importscripts" />\n/// <reference lib="scripthost" />\n/// <reference lib="dom.iterable" />\n',Li["lib.es2017.intl.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ndeclare namespace Intl {\n    interface DateTimeFormatPartTypesRegistry {\n        day: any;\n        dayPeriod: any;\n        era: any;\n        hour: any;\n        literal: any;\n        minute: any;\n        month: any;\n        second: any;\n        timeZoneName: any;\n        weekday: any;\n        year: any;\n    }\n\n    type DateTimeFormatPartTypes = keyof DateTimeFormatPartTypesRegistry;\n\n    interface DateTimeFormatPart {\n        type: DateTimeFormatPartTypes;\n        value: string;\n    }\n\n    interface DateTimeFormat {\n        formatToParts(date?: Date | number): DateTimeFormatPart[];\n    }\n}\n',Li["lib.es2017.object.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface ObjectConstructor {\n    /**\n     * Returns an array of values of the enumerable properties of an object\n     * @param o Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.\n     */\n    values<T>(o: { [s: string]: T; } | ArrayLike<T>): T[];\n\n    /**\n     * Returns an array of values of the enumerable properties of an object\n     * @param o Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.\n     */\n    values(o: {}): any[];\n\n    /**\n     * Returns an array of key/values of the enumerable properties of an object\n     * @param o Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.\n     */\n    entries<T>(o: { [s: string]: T; } | ArrayLike<T>): [string, T][];\n\n    /**\n     * Returns an array of key/values of the enumerable properties of an object\n     * @param o Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.\n     */\n    entries(o: {}): [string, any][];\n\n    /**\n     * Returns an object containing all own property descriptors of an object\n     * @param o Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.\n     */\n    getOwnPropertyDescriptors<T>(o: T): { [P in keyof T]: TypedPropertyDescriptor<T[P]>; } & { [x: string]: PropertyDescriptor; };\n}\n',Li["lib.es2017.sharedmemory.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2015.symbol" />\n/// <reference lib="es2015.symbol.wellknown" />\n\ninterface SharedArrayBuffer {\n    /**\n     * Read-only. The length of the ArrayBuffer (in bytes).\n     */\n    readonly byteLength: number;\n\n    /**\n     * Returns a section of an SharedArrayBuffer.\n     */\n    slice(begin: number, end?: number): SharedArrayBuffer;\n    readonly [Symbol.species]: SharedArrayBuffer;\n    readonly [Symbol.toStringTag]: "SharedArrayBuffer";\n}\n\ninterface SharedArrayBufferConstructor {\n    readonly prototype: SharedArrayBuffer;\n    new (byteLength: number): SharedArrayBuffer;\n}\ndeclare var SharedArrayBuffer: SharedArrayBufferConstructor;\n\ninterface ArrayBufferTypes {\n    SharedArrayBuffer: SharedArrayBuffer;\n}\n\ninterface Atomics {\n    /**\n     * Adds a value to the value at the given position in the array, returning the original value.\n     * Until this atomic operation completes, any other read or write operation against the array\n     * will block.\n     */\n    add(typedArray: Int8Array | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array, index: number, value: number): number;\n\n    /**\n     * Stores the bitwise AND of a value with the value at the given position in the array,\n     * returning the original value. Until this atomic operation completes, any other read or\n     * write operation against the array will block.\n     */\n    and(typedArray: Int8Array | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array, index: number, value: number): number;\n\n    /**\n     * Replaces the value at the given position in the array if the original value equals the given\n     * expected value, returning the original value. Until this atomic operation completes, any\n     * other read or write operation against the array will block.\n     */\n    compareExchange(typedArray: Int8Array | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array, index: number, expectedValue: number, replacementValue: number): number;\n\n    /**\n     * Replaces the value at the given position in the array, returning the original value. Until\n     * this atomic operation completes, any other read or write operation against the array will\n     * block.\n     */\n    exchange(typedArray: Int8Array | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array, index: number, value: number): number;\n\n    /**\n     * Returns a value indicating whether high-performance algorithms can use atomic operations\n     * (`true`) or must use locks (`false`) for the given number of bytes-per-element of a typed\n     * array.\n     */\n    isLockFree(size: number): boolean;\n\n    /**\n     * Returns the value at the given position in the array. Until this atomic operation completes,\n     * any other read or write operation against the array will block.\n     */\n    load(typedArray: Int8Array | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array, index: number): number;\n\n    /**\n     * Stores the bitwise OR of a value with the value at the given position in the array,\n     * returning the original value. Until this atomic operation completes, any other read or write\n     * operation against the array will block.\n     */\n    or(typedArray: Int8Array | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array, index: number, value: number): number;\n\n    /**\n     * Stores a value at the given position in the array, returning the new value. Until this\n     * atomic operation completes, any other read or write operation against the array will block.\n     */\n    store(typedArray: Int8Array | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array, index: number, value: number): number;\n\n    /**\n     * Subtracts a value from the value at the given position in the array, returning the original\n     * value. Until this atomic operation completes, any other read or write operation against the\n     * array will block.\n     */\n    sub(typedArray: Int8Array | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array, index: number, value: number): number;\n\n    /**\n     * If the value at the given position in the array is equal to the provided value, the current\n     * agent is put to sleep causing execution to suspend until the timeout expires (returning\n     * `"timed-out"`) or until the agent is awoken (returning `"ok"`); otherwise, returns\n     * `"not-equal"`.\n     */\n    wait(typedArray: Int32Array, index: number, value: number, timeout?: number): "ok" | "not-equal" | "timed-out";\n\n    /**\n     * Wakes up sleeping agents that are waiting on the given index of the array, returning the\n     * number of agents that were awoken.\n     * @param typedArray A shared Int32Array.\n     * @param index The position in the typedArray to wake up on.\n     * @param count The number of sleeping agents to notify. Defaults to +Infinity.\n     */\n    notify(typedArray: Int32Array, index: number, count?: number): number;\n\n    /**\n     * Stores the bitwise XOR of a value with the value at the given position in the array,\n     * returning the original value. Until this atomic operation completes, any other read or write\n     * operation against the array will block.\n     */\n    xor(typedArray: Int8Array | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array, index: number, value: number): number;\n\n    readonly [Symbol.toStringTag]: "Atomics";\n}\n\ndeclare var Atomics: Atomics;\n',Li["lib.es2017.string.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface String {\n    /**\n     * Pads the current string with a given string (possibly repeated) so that the resulting string reaches a given length.\n     * The padding is applied from the start (left) of the current string.\n     *\n     * @param maxLength The length of the resulting string once the current string has been padded.\n     *        If this parameter is smaller than the current string\'s length, the current string will be returned as it is.\n     *\n     * @param fillString The string to pad the current string with.\n     *        If this string is too long, it will be truncated and the left-most part will be applied.\n     *        The default value for this parameter is " " (U+0020).\n     */\n    padStart(maxLength: number, fillString?: string): string;\n\n    /**\n     * Pads the current string with a given string (possibly repeated) so that the resulting string reaches a given length.\n     * The padding is applied from the end (right) of the current string.\n     *\n     * @param maxLength The length of the resulting string once the current string has been padded.\n     *        If this parameter is smaller than the current string\'s length, the current string will be returned as it is.\n     *\n     * @param fillString The string to pad the current string with.\n     *        If this string is too long, it will be truncated and the left-most part will be applied.\n     *        The default value for this parameter is " " (U+0020).\n     */\n    padEnd(maxLength: number, fillString?: string): string;\n}\n',Li["lib.es2017.typedarrays.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface Int8ArrayConstructor {\n    new (): Int8Array;\n}\n\ninterface Uint8ArrayConstructor {\n    new (): Uint8Array;\n}\n\ninterface Uint8ClampedArrayConstructor {\n    new (): Uint8ClampedArray;\n}\n\ninterface Int16ArrayConstructor {\n    new (): Int16Array;\n}\n\ninterface Uint16ArrayConstructor {\n    new (): Uint16Array;\n}\n\ninterface Int32ArrayConstructor {\n    new (): Int32Array;\n}\n\ninterface Uint32ArrayConstructor {\n    new (): Uint32Array;\n}\n\ninterface Float32ArrayConstructor {\n    new (): Float32Array;\n}\n\ninterface Float64ArrayConstructor {\n    new (): Float64Array;\n}\n',Li["lib.es2018.asyncgenerator.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2018.asynciterable" />\n\ninterface AsyncGenerator<T = unknown, TReturn = any, TNext = unknown> extends AsyncIterator<T, TReturn, TNext> {\n    // NOTE: \'next\' is defined using a tuple to ensure we report the correct assignability errors in all places.\n    next(...args: [] | [TNext]): Promise<IteratorResult<T, TReturn>>;\n    return(value: TReturn | PromiseLike<TReturn>): Promise<IteratorResult<T, TReturn>>;\n    throw(e: any): Promise<IteratorResult<T, TReturn>>;\n    [Symbol.asyncIterator](): AsyncGenerator<T, TReturn, TNext>;\n}\n\ninterface AsyncGeneratorFunction {\n    /**\n     * Creates a new AsyncGenerator object.\n     * @param args A list of arguments the function accepts.\n     */\n    new (...args: any[]): AsyncGenerator;\n    /**\n     * Creates a new AsyncGenerator object.\n     * @param args A list of arguments the function accepts.\n     */\n    (...args: any[]): AsyncGenerator;\n    /**\n     * The length of the arguments.\n     */\n    readonly length: number;\n    /**\n     * Returns the name of the function.\n     */\n    readonly name: string;\n    /**\n     * A reference to the prototype.\n     */\n    readonly prototype: AsyncGenerator;\n}\n\ninterface AsyncGeneratorFunctionConstructor {\n    /**\n     * Creates a new AsyncGenerator function.\n     * @param args A list of arguments the function accepts.\n     */\n    new (...args: string[]): AsyncGeneratorFunction;\n    /**\n     * Creates a new AsyncGenerator function.\n     * @param args A list of arguments the function accepts.\n     */\n    (...args: string[]): AsyncGeneratorFunction;\n    /**\n     * The length of the arguments.\n     */\n    readonly length: number;\n    /**\n     * Returns the name of the function.\n     */\n    readonly name: string;\n    /**\n     * A reference to the prototype.\n     */\n    readonly prototype: AsyncGeneratorFunction;\n}\n',Li["lib.es2018.asynciterable.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2015.symbol" />\n/// <reference lib="es2015.iterable" />\n\ninterface SymbolConstructor {\n    /**\n     * A method that returns the default async iterator for an object. Called by the semantics of\n     * the for-await-of statement.\n     */\n    readonly asyncIterator: unique symbol;\n}\n\ninterface AsyncIterator<T, TReturn = any, TNext = undefined> {\n    // NOTE: \'next\' is defined using a tuple to ensure we report the correct assignability errors in all places.\n    next(...args: [] | [TNext]): Promise<IteratorResult<T, TReturn>>;\n    return?(value?: TReturn | PromiseLike<TReturn>): Promise<IteratorResult<T, TReturn>>;\n    throw?(e?: any): Promise<IteratorResult<T, TReturn>>;\n}\n\ninterface AsyncIterable<T> {\n    [Symbol.asyncIterator](): AsyncIterator<T>;\n}\n\ninterface AsyncIterableIterator<T> extends AsyncIterator<T> {\n    [Symbol.asyncIterator](): AsyncIterableIterator<T>;\n}\n',Li["lib.es2018.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2017" />\n/// <reference lib="es2018.asynciterable" />\n/// <reference lib="es2018.asyncgenerator" />\n/// <reference lib="es2018.promise" />\n/// <reference lib="es2018.regexp" />\n/// <reference lib="es2018.intl" />\n',Li["lib.es2018.full.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2018" />\n/// <reference lib="dom" />\n/// <reference lib="webworker.importscripts" />\n/// <reference lib="scripthost" />\n/// <reference lib="dom.iterable" />\n/// <reference lib="dom.asynciterable" />\n',Li["lib.es2018.intl.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ndeclare namespace Intl {\n    // http://cldr.unicode.org/index/cldr-spec/plural-rules#TOC-Determining-Plural-Categories\n    type LDMLPluralRule = "zero" | "one" | "two" | "few" | "many" | "other";\n    type PluralRuleType = "cardinal" | "ordinal";\n\n    interface PluralRulesOptions {\n        localeMatcher?: "lookup" | "best fit" | undefined;\n        type?: PluralRuleType | undefined;\n        minimumIntegerDigits?: number | undefined;\n        minimumFractionDigits?: number | undefined;\n        maximumFractionDigits?: number | undefined;\n        minimumSignificantDigits?: number | undefined;\n        maximumSignificantDigits?: number | undefined;\n    }\n\n    interface ResolvedPluralRulesOptions {\n        locale: string;\n        pluralCategories: LDMLPluralRule[];\n        type: PluralRuleType;\n        minimumIntegerDigits: number;\n        minimumFractionDigits: number;\n        maximumFractionDigits: number;\n        minimumSignificantDigits?: number;\n        maximumSignificantDigits?: number;\n    }\n\n    interface PluralRules {\n        resolvedOptions(): ResolvedPluralRulesOptions;\n        select(n: number): LDMLPluralRule;\n    }\n\n    interface PluralRulesConstructor {\n        new (locales?: string | readonly string[], options?: PluralRulesOptions): PluralRules;\n        (locales?: string | readonly string[], options?: PluralRulesOptions): PluralRules;\n        supportedLocalesOf(locales: string | readonly string[], options?: { localeMatcher?: "lookup" | "best fit"; }): string[];\n    }\n\n    const PluralRules: PluralRulesConstructor;\n\n    // We can only have one definition for \'type\' in TypeScript, and so you can learn where the keys come from here:\n    type ES2018NumberFormatPartType = "literal" | "nan" | "infinity" | "percent" | "integer" | "group" | "decimal" | "fraction" | "plusSign" | "minusSign" | "percentSign" | "currency" | "code" | "symbol" | "name";\n    type ES2020NumberFormatPartType = "compact" | "exponentInteger" | "exponentMinusSign" | "exponentSeparator" | "unit" | "unknown";\n    type NumberFormatPartTypes = ES2018NumberFormatPartType | ES2020NumberFormatPartType;\n\n    interface NumberFormatPart {\n        type: NumberFormatPartTypes;\n        value: string;\n    }\n\n    interface NumberFormat {\n        formatToParts(number?: number | bigint): NumberFormatPart[];\n    }\n}\n',Li["lib.es2018.promise.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/**\n * Represents the completion of an asynchronous operation\n */\ninterface Promise<T> {\n    /**\n     * Attaches a callback that is invoked when the Promise is settled (fulfilled or rejected). The\n     * resolved value cannot be modified from the callback.\n     * @param onfinally The callback to execute when the Promise is settled (fulfilled or rejected).\n     * @returns A Promise for the completion of the callback.\n     */\n    finally(onfinally?: (() => void) | undefined | null): Promise<T>;\n}\n',Li["lib.es2018.regexp.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface RegExpMatchArray {\n    groups?: {\n        [key: string]: string;\n    };\n}\n\ninterface RegExpExecArray {\n    groups?: {\n        [key: string]: string;\n    };\n}\n\ninterface RegExp {\n    /**\n     * Returns a Boolean value indicating the state of the dotAll flag (s) used with a regular expression.\n     * Default is false. Read-only.\n     */\n    readonly dotAll: boolean;\n}\n',Li["lib.es2019.array.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ntype FlatArray<Arr, Depth extends number> = {\n    done: Arr;\n    recur: Arr extends ReadonlyArray<infer InnerArr> ? FlatArray<InnerArr, [-1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20][Depth]>\n        : Arr;\n}[Depth extends -1 ? "done" : "recur"];\n\ninterface ReadonlyArray<T> {\n    /**\n     * Calls a defined callback function on each element of an array. Then, flattens the result into\n     * a new array.\n     * This is identical to a map followed by flat with depth 1.\n     *\n     * @param callback A function that accepts up to three arguments. The flatMap method calls the\n     * callback function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callback function. If\n     * thisArg is omitted, undefined is used as the this value.\n     */\n    flatMap<U, This = undefined>(\n        callback: (this: This, value: T, index: number, array: T[]) => U | ReadonlyArray<U>,\n        thisArg?: This,\n    ): U[];\n\n    /**\n     * Returns a new array with all sub-array elements concatenated into it recursively up to the\n     * specified depth.\n     *\n     * @param depth The maximum recursion depth\n     */\n    flat<A, D extends number = 1>(\n        this: A,\n        depth?: D,\n    ): FlatArray<A, D>[];\n}\n\ninterface Array<T> {\n    /**\n     * Calls a defined callback function on each element of an array. Then, flattens the result into\n     * a new array.\n     * This is identical to a map followed by flat with depth 1.\n     *\n     * @param callback A function that accepts up to three arguments. The flatMap method calls the\n     * callback function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callback function. If\n     * thisArg is omitted, undefined is used as the this value.\n     */\n    flatMap<U, This = undefined>(\n        callback: (this: This, value: T, index: number, array: T[]) => U | ReadonlyArray<U>,\n        thisArg?: This,\n    ): U[];\n\n    /**\n     * Returns a new array with all sub-array elements concatenated into it recursively up to the\n     * specified depth.\n     *\n     * @param depth The maximum recursion depth\n     */\n    flat<A, D extends number = 1>(\n        this: A,\n        depth?: D,\n    ): FlatArray<A, D>[];\n}\n',Li["lib.es2019.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2018" />\n/// <reference lib="es2019.array" />\n/// <reference lib="es2019.object" />\n/// <reference lib="es2019.string" />\n/// <reference lib="es2019.symbol" />\n/// <reference lib="es2019.intl" />\n',Li["lib.es2019.full.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2019" />\n/// <reference lib="dom" />\n/// <reference lib="webworker.importscripts" />\n/// <reference lib="scripthost" />\n/// <reference lib="dom.iterable" />\n/// <reference lib="dom.asynciterable" />\n',Li["lib.es2019.intl.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ndeclare namespace Intl {\n    interface DateTimeFormatPartTypesRegistry {\n        unknown: any;\n    }\n}\n',Li["lib.es2019.object.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2015.iterable" />\n\ninterface ObjectConstructor {\n    /**\n     * Returns an object created by key-value entries for properties and methods\n     * @param entries An iterable object that contains key-value entries for properties and methods.\n     */\n    fromEntries<T = any>(entries: Iterable<readonly [PropertyKey, T]>): { [k: string]: T; };\n\n    /**\n     * Returns an object created by key-value entries for properties and methods\n     * @param entries An iterable object that contains key-value entries for properties and methods.\n     */\n    fromEntries(entries: Iterable<readonly any[]>): any;\n}\n',Li["lib.es2019.string.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface String {\n    /** Removes the trailing white space and line terminator characters from a string. */\n    trimEnd(): string;\n\n    /** Removes the leading white space and line terminator characters from a string. */\n    trimStart(): string;\n\n    /**\n     * Removes the leading white space and line terminator characters from a string.\n     * @deprecated A legacy feature for browser compatibility. Use `trimStart` instead\n     */\n    trimLeft(): string;\n\n    /**\n     * Removes the trailing white space and line terminator characters from a string.\n     * @deprecated A legacy feature for browser compatibility. Use `trimEnd` instead\n     */\n    trimRight(): string;\n}\n',Li["lib.es2019.symbol.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface Symbol {\n    /**\n     * Expose the [[Description]] internal slot of a symbol directly.\n     */\n    readonly description: string | undefined;\n}\n',Li["lib.es2020.bigint.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2020.intl" />\n\ninterface BigIntToLocaleStringOptions {\n    /**\n     * The locale matching algorithm to use.The default is "best fit". For information about this option, see the {@link https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl#Locale_negotiation Intl page}.\n     */\n    localeMatcher?: string;\n    /**\n     * The formatting style to use , the default is "decimal".\n     */\n    style?: string;\n\n    numberingSystem?: string;\n    /**\n     * The unit to use in unit formatting, Possible values are core unit identifiers, defined in UTS #35, Part 2, Section 6. A subset of units from the full list was selected for use in ECMAScript. Pairs of simple units can be concatenated with "-per-" to make a compound unit. There is no default value; if the style is "unit", the unit property must be provided.\n     */\n    unit?: string;\n\n    /**\n     * The unit formatting style to use in unit formatting, the defaults is "short".\n     */\n    unitDisplay?: string;\n\n    /**\n     * The currency to use in currency formatting. Possible values are the ISO 4217 currency codes, such as "USD" for the US dollar, "EUR" for the euro, or "CNY" for the Chinese RMB — see the Current currency & funds code list. There is no default value; if the style is "currency", the currency property must be provided. It is only used when [[Style]] has the value "currency".\n     */\n    currency?: string;\n\n    /**\n     * How to display the currency in currency formatting. It is only used when [[Style]] has the value "currency". The default is "symbol".\n     *\n     * "symbol" to use a localized currency symbol such as €,\n     *\n     * "code" to use the ISO currency code,\n     *\n     * "name" to use a localized currency name such as "dollar"\n     */\n    currencyDisplay?: string;\n\n    /**\n     * Whether to use grouping separators, such as thousands separators or thousand/lakh/crore separators. The default is true.\n     */\n    useGrouping?: boolean;\n\n    /**\n     * The minimum number of integer digits to use. Possible values are from 1 to 21; the default is 1.\n     */\n    minimumIntegerDigits?: 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20 | 21;\n\n    /**\n     * The minimum number of fraction digits to use. Possible values are from 0 to 20; the default for plain number and percent formatting is 0; the default for currency formatting is the number of minor unit digits provided by the {@link http://www.currency-iso.org/en/home/tables/table-a1.html ISO 4217 currency codes list} (2 if the list doesn\'t provide that information).\n     */\n    minimumFractionDigits?: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20;\n\n    /**\n     * The maximum number of fraction digits to use. Possible values are from 0 to 20; the default for plain number formatting is the larger of minimumFractionDigits and 3; the default for currency formatting is the larger of minimumFractionDigits and the number of minor unit digits provided by the {@link http://www.currency-iso.org/en/home/tables/table-a1.html ISO 4217 currency codes list} (2 if the list doesn\'t provide that information); the default for percent formatting is the larger of minimumFractionDigits and 0.\n     */\n    maximumFractionDigits?: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20;\n\n    /**\n     * The minimum number of significant digits to use. Possible values are from 1 to 21; the default is 1.\n     */\n    minimumSignificantDigits?: 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20 | 21;\n\n    /**\n     * The maximum number of significant digits to use. Possible values are from 1 to 21; the default is 21.\n     */\n    maximumSignificantDigits?: 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20 | 21;\n\n    /**\n     * The formatting that should be displayed for the number, the defaults is "standard"\n     *\n     *     "standard" plain number formatting\n     *\n     *     "scientific" return the order-of-magnitude for formatted number.\n     *\n     *     "engineering" return the exponent of ten when divisible by three\n     *\n     *     "compact" string representing exponent, defaults is using the "short" form\n     */\n    notation?: string;\n\n    /**\n     * used only when notation is "compact"\n     */\n    compactDisplay?: string;\n}\n\ninterface BigInt {\n    /**\n     * Returns a string representation of an object.\n     * @param radix Specifies a radix for converting numeric values to strings.\n     */\n    toString(radix?: number): string;\n\n    /** Returns a string representation appropriate to the host environment\'s current locale. */\n    toLocaleString(locales?: Intl.LocalesArgument, options?: BigIntToLocaleStringOptions): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): bigint;\n\n    readonly [Symbol.toStringTag]: "BigInt";\n}\n\ninterface BigIntConstructor {\n    (value: bigint | boolean | number | string): bigint;\n    readonly prototype: BigInt;\n\n    /**\n     * Interprets the low bits of a BigInt as a 2\'s-complement signed integer.\n     * All higher bits are discarded.\n     * @param bits The number of low bits to use\n     * @param int The BigInt whose bits to extract\n     */\n    asIntN(bits: number, int: bigint): bigint;\n    /**\n     * Interprets the low bits of a BigInt as an unsigned integer.\n     * All higher bits are discarded.\n     * @param bits The number of low bits to use\n     * @param int The BigInt whose bits to extract\n     */\n    asUintN(bits: number, int: bigint): bigint;\n}\n\ndeclare var BigInt: BigIntConstructor;\n\n/**\n * A typed array of 64-bit signed integer values. The contents are initialized to 0. If the\n * requested number of bytes could not be allocated, an exception is raised.\n */\ninterface BigInt64Array {\n    /** The size in bytes of each element in the array. */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /** The ArrayBuffer instance referenced by the array. */\n    readonly buffer: ArrayBufferLike;\n\n    /** The length in bytes of the array. */\n    readonly byteLength: number;\n\n    /** The offset in bytes of the array. */\n    readonly byteOffset: number;\n\n    /**\n     * Returns the this object after copying a section of the array identified by start and end\n     * to the same array starting at position target\n     * @param target If target is negative, it is treated as length+target where length is the\n     * length of the array.\n     * @param start If start is negative, it is treated as length+start. If end is negative, it\n     * is treated as length+end.\n     * @param end If not specified, length of the this object is used as its default value.\n     */\n    copyWithin(target: number, start: number, end?: number): this;\n\n    /** Yields index, value pairs for every entry in the array. */\n    entries(): IterableIterator<[number, bigint]>;\n\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns false,\n     * or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: bigint, index: number, array: BigInt64Array) => boolean, thisArg?: any): boolean;\n\n    /**\n     * Changes all array elements from `start` to `end` index to a static `value` and returns the modified array\n     * @param value value to fill array section with\n     * @param start index to start filling the array at. If start is negative, it is treated as\n     * length+start where length is the length of the array.\n     * @param end index to stop filling the array at. If end is negative, it is treated as\n     * length+end.\n     */\n    fill(value: bigint, start?: number, end?: number): this;\n\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls\n     * the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: bigint, index: number, array: BigInt64Array) => any, thisArg?: any): BigInt64Array;\n\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find(predicate: (value: bigint, index: number, array: BigInt64Array) => boolean, thisArg?: any): bigint | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: bigint, index: number, array: BigInt64Array) => boolean, thisArg?: any): number;\n\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn A function that accepts up to three arguments. forEach calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: bigint, index: number, array: BigInt64Array) => void, thisArg?: any): void;\n\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: bigint, fromIndex?: number): boolean;\n\n    /**\n     * Returns the index of the first occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    indexOf(searchElement: bigint, fromIndex?: number): number;\n\n    /**\n     * Adds all the elements of an array separated by the specified separator string.\n     * @param separator A string used to separate one element of an array from the next in the\n     * resulting String. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n\n    /** Yields each index in the array. */\n    keys(): IterableIterator<number>;\n\n    /**\n     * Returns the index of the last occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    lastIndexOf(searchElement: bigint, fromIndex?: number): number;\n\n    /** The length of the array. */\n    readonly length: number;\n\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that\n     * contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    map(callbackfn: (value: bigint, index: number, array: BigInt64Array) => bigint, thisArg?: any): BigInt64Array;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: bigint, currentValue: bigint, currentIndex: number, array: BigInt64Array) => bigint): bigint;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: bigint, currentIndex: number, array: BigInt64Array) => U, initialValue: U): U;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an\n     * argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: bigint, currentValue: bigint, currentIndex: number, array: BigInt64Array) => bigint): bigint;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: bigint, currentIndex: number, array: BigInt64Array) => U, initialValue: U): U;\n\n    /** Reverses the elements in the array. */\n    reverse(): this;\n\n    /**\n     * Sets a value or an array of values.\n     * @param array A typed or untyped array of values to set.\n     * @param offset The index in the current array at which the values are to be written.\n     */\n    set(array: ArrayLike<bigint>, offset?: number): void;\n\n    /**\n     * Returns a section of an array.\n     * @param start The beginning of the specified portion of the array.\n     * @param end The end of the specified portion of the array.\n     */\n    slice(start?: number, end?: number): BigInt64Array;\n\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls the\n     * predicate function for each element in the array until the predicate returns true, or until\n     * the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: bigint, index: number, array: BigInt64Array) => boolean, thisArg?: any): boolean;\n\n    /**\n     * Sorts the array.\n     * @param compareFn The function used to determine the order of the elements. If omitted, the elements are sorted in ascending order.\n     */\n    sort(compareFn?: (a: bigint, b: bigint) => number | bigint): this;\n\n    /**\n     * Gets a new BigInt64Array view of the ArrayBuffer store for this array, referencing the elements\n     * at begin, inclusive, up to end, exclusive.\n     * @param begin The index of the beginning of the array.\n     * @param end The index of the end of the array.\n     */\n    subarray(begin?: number, end?: number): BigInt64Array;\n\n    /** Converts the array to a string by using the current locale. */\n    toLocaleString(): string;\n\n    /** Returns a string representation of the array. */\n    toString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): BigInt64Array;\n\n    /** Yields each value in the array. */\n    values(): IterableIterator<bigint>;\n\n    [Symbol.iterator](): IterableIterator<bigint>;\n\n    readonly [Symbol.toStringTag]: "BigInt64Array";\n\n    [index: number]: bigint;\n}\n\ninterface BigInt64ArrayConstructor {\n    readonly prototype: BigInt64Array;\n    new (length?: number): BigInt64Array;\n    new (array: Iterable<bigint>): BigInt64Array;\n    new (buffer: ArrayBufferLike, byteOffset?: number, length?: number): BigInt64Array;\n\n    /** The size in bytes of each element in the array. */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * Returns a new array from a set of elements.\n     * @param items A set of elements to include in the new array object.\n     */\n    of(...items: bigint[]): BigInt64Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of \'this\' used to invoke the mapfn.\n     */\n    from(arrayLike: ArrayLike<bigint>): BigInt64Array;\n    from<U>(arrayLike: ArrayLike<U>, mapfn: (v: U, k: number) => bigint, thisArg?: any): BigInt64Array;\n}\n\ndeclare var BigInt64Array: BigInt64ArrayConstructor;\n\n/**\n * A typed array of 64-bit unsigned integer values. The contents are initialized to 0. If the\n * requested number of bytes could not be allocated, an exception is raised.\n */\ninterface BigUint64Array {\n    /** The size in bytes of each element in the array. */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /** The ArrayBuffer instance referenced by the array. */\n    readonly buffer: ArrayBufferLike;\n\n    /** The length in bytes of the array. */\n    readonly byteLength: number;\n\n    /** The offset in bytes of the array. */\n    readonly byteOffset: number;\n\n    /**\n     * Returns the this object after copying a section of the array identified by start and end\n     * to the same array starting at position target\n     * @param target If target is negative, it is treated as length+target where length is the\n     * length of the array.\n     * @param start If start is negative, it is treated as length+start. If end is negative, it\n     * is treated as length+end.\n     * @param end If not specified, length of the this object is used as its default value.\n     */\n    copyWithin(target: number, start: number, end?: number): this;\n\n    /** Yields index, value pairs for every entry in the array. */\n    entries(): IterableIterator<[number, bigint]>;\n\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns false,\n     * or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: bigint, index: number, array: BigUint64Array) => boolean, thisArg?: any): boolean;\n\n    /**\n     * Changes all array elements from `start` to `end` index to a static `value` and returns the modified array\n     * @param value value to fill array section with\n     * @param start index to start filling the array at. If start is negative, it is treated as\n     * length+start where length is the length of the array.\n     * @param end index to stop filling the array at. If end is negative, it is treated as\n     * length+end.\n     */\n    fill(value: bigint, start?: number, end?: number): this;\n\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls\n     * the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: bigint, index: number, array: BigUint64Array) => any, thisArg?: any): BigUint64Array;\n\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find(predicate: (value: bigint, index: number, array: BigUint64Array) => boolean, thisArg?: any): bigint | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: bigint, index: number, array: BigUint64Array) => boolean, thisArg?: any): number;\n\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn A function that accepts up to three arguments. forEach calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: bigint, index: number, array: BigUint64Array) => void, thisArg?: any): void;\n\n    /**\n     * Determines whether an array includes a certain element, returning true or false as appropriate.\n     * @param searchElement The element to search for.\n     * @param fromIndex The position in this array at which to begin searching for searchElement.\n     */\n    includes(searchElement: bigint, fromIndex?: number): boolean;\n\n    /**\n     * Returns the index of the first occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    indexOf(searchElement: bigint, fromIndex?: number): number;\n\n    /**\n     * Adds all the elements of an array separated by the specified separator string.\n     * @param separator A string used to separate one element of an array from the next in the\n     * resulting String. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n\n    /** Yields each index in the array. */\n    keys(): IterableIterator<number>;\n\n    /**\n     * Returns the index of the last occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    lastIndexOf(searchElement: bigint, fromIndex?: number): number;\n\n    /** The length of the array. */\n    readonly length: number;\n\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that\n     * contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    map(callbackfn: (value: bigint, index: number, array: BigUint64Array) => bigint, thisArg?: any): BigUint64Array;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: bigint, currentValue: bigint, currentIndex: number, array: BigUint64Array) => bigint): bigint;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: bigint, currentIndex: number, array: BigUint64Array) => U, initialValue: U): U;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an\n     * argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: bigint, currentValue: bigint, currentIndex: number, array: BigUint64Array) => bigint): bigint;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: bigint, currentIndex: number, array: BigUint64Array) => U, initialValue: U): U;\n\n    /** Reverses the elements in the array. */\n    reverse(): this;\n\n    /**\n     * Sets a value or an array of values.\n     * @param array A typed or untyped array of values to set.\n     * @param offset The index in the current array at which the values are to be written.\n     */\n    set(array: ArrayLike<bigint>, offset?: number): void;\n\n    /**\n     * Returns a section of an array.\n     * @param start The beginning of the specified portion of the array.\n     * @param end The end of the specified portion of the array.\n     */\n    slice(start?: number, end?: number): BigUint64Array;\n\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls the\n     * predicate function for each element in the array until the predicate returns true, or until\n     * the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: bigint, index: number, array: BigUint64Array) => boolean, thisArg?: any): boolean;\n\n    /**\n     * Sorts the array.\n     * @param compareFn The function used to determine the order of the elements. If omitted, the elements are sorted in ascending order.\n     */\n    sort(compareFn?: (a: bigint, b: bigint) => number | bigint): this;\n\n    /**\n     * Gets a new BigUint64Array view of the ArrayBuffer store for this array, referencing the elements\n     * at begin, inclusive, up to end, exclusive.\n     * @param begin The index of the beginning of the array.\n     * @param end The index of the end of the array.\n     */\n    subarray(begin?: number, end?: number): BigUint64Array;\n\n    /** Converts the array to a string by using the current locale. */\n    toLocaleString(): string;\n\n    /** Returns a string representation of the array. */\n    toString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): BigUint64Array;\n\n    /** Yields each value in the array. */\n    values(): IterableIterator<bigint>;\n\n    [Symbol.iterator](): IterableIterator<bigint>;\n\n    readonly [Symbol.toStringTag]: "BigUint64Array";\n\n    [index: number]: bigint;\n}\n\ninterface BigUint64ArrayConstructor {\n    readonly prototype: BigUint64Array;\n    new (length?: number): BigUint64Array;\n    new (array: Iterable<bigint>): BigUint64Array;\n    new (buffer: ArrayBufferLike, byteOffset?: number, length?: number): BigUint64Array;\n\n    /** The size in bytes of each element in the array. */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * Returns a new array from a set of elements.\n     * @param items A set of elements to include in the new array object.\n     */\n    of(...items: bigint[]): BigUint64Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of \'this\' used to invoke the mapfn.\n     */\n    from(arrayLike: ArrayLike<bigint>): BigUint64Array;\n    from<U>(arrayLike: ArrayLike<U>, mapfn: (v: U, k: number) => bigint, thisArg?: any): BigUint64Array;\n}\n\ndeclare var BigUint64Array: BigUint64ArrayConstructor;\n\ninterface DataView {\n    /**\n     * Gets the BigInt64 value at the specified byte offset from the start of the view. There is\n     * no alignment constraint; multi-byte values may be fetched from any offset.\n     * @param byteOffset The place in the buffer at which the value should be retrieved.\n     * @param littleEndian If false or undefined, a big-endian value should be read.\n     */\n    getBigInt64(byteOffset: number, littleEndian?: boolean): bigint;\n\n    /**\n     * Gets the BigUint64 value at the specified byte offset from the start of the view. There is\n     * no alignment constraint; multi-byte values may be fetched from any offset.\n     * @param byteOffset The place in the buffer at which the value should be retrieved.\n     * @param littleEndian If false or undefined, a big-endian value should be read.\n     */\n    getBigUint64(byteOffset: number, littleEndian?: boolean): bigint;\n\n    /**\n     * Stores a BigInt64 value at the specified byte offset from the start of the view.\n     * @param byteOffset The place in the buffer at which the value should be set.\n     * @param value The value to set.\n     * @param littleEndian If false or undefined, a big-endian value should be written.\n     */\n    setBigInt64(byteOffset: number, value: bigint, littleEndian?: boolean): void;\n\n    /**\n     * Stores a BigUint64 value at the specified byte offset from the start of the view.\n     * @param byteOffset The place in the buffer at which the value should be set.\n     * @param value The value to set.\n     * @param littleEndian If false or undefined, a big-endian value should be written.\n     */\n    setBigUint64(byteOffset: number, value: bigint, littleEndian?: boolean): void;\n}\n\ndeclare namespace Intl {\n    interface NumberFormat {\n        format(value: number | bigint): string;\n        resolvedOptions(): ResolvedNumberFormatOptions;\n    }\n}\n',Li["lib.es2020.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2019" />\n/// <reference lib="es2020.bigint" />\n/// <reference lib="es2020.date" />\n/// <reference lib="es2020.number" />\n/// <reference lib="es2020.promise" />\n/// <reference lib="es2020.sharedmemory" />\n/// <reference lib="es2020.string" />\n/// <reference lib="es2020.symbol.wellknown" />\n/// <reference lib="es2020.intl" />\n',Li["lib.es2020.date.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2020.intl" />\n\ninterface Date {\n    /**\n     * Converts a date and time to a string by using the current or specified locale.\n     * @param locales A locale string, array of locale strings, Intl.Locale object, or array of Intl.Locale objects that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\n     * @param options An object that contains one or more properties that specify comparison options.\n     */\n    toLocaleString(locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions): string;\n\n    /**\n     * Converts a date to a string by using the current or specified locale.\n     * @param locales A locale string, array of locale strings, Intl.Locale object, or array of Intl.Locale objects that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\n     * @param options An object that contains one or more properties that specify comparison options.\n     */\n    toLocaleDateString(locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions): string;\n\n    /**\n     * Converts a time to a string by using the current or specified locale.\n     * @param locales A locale string, array of locale strings, Intl.Locale object, or array of Intl.Locale objects that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\n     * @param options An object that contains one or more properties that specify comparison options.\n     */\n    toLocaleTimeString(locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions): string;\n}\n',Li["lib.es2020.full.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2020" />\n/// <reference lib="dom" />\n/// <reference lib="webworker.importscripts" />\n/// <reference lib="scripthost" />\n/// <reference lib="dom.iterable" />\n/// <reference lib="dom.asynciterable" />\n',Li["lib.es2020.intl.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2018.intl" />\ndeclare namespace Intl {\n    /**\n     * A string that is a valid [Unicode BCP 47 Locale Identifier](https://unicode.org/reports/tr35/#Unicode_locale_identifier).\n     *\n     * For example: "fa", "es-MX", "zh-Hant-TW".\n     *\n     * See [MDN - Intl - locales argument](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl#locales_argument).\n     */\n    type UnicodeBCP47LocaleIdentifier = string;\n\n    /**\n     * Unit to use in the relative time internationalized message.\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/format#Parameters).\n     */\n    type RelativeTimeFormatUnit =\n        | "year"\n        | "years"\n        | "quarter"\n        | "quarters"\n        | "month"\n        | "months"\n        | "week"\n        | "weeks"\n        | "day"\n        | "days"\n        | "hour"\n        | "hours"\n        | "minute"\n        | "minutes"\n        | "second"\n        | "seconds";\n\n    /**\n     * Value of the `unit` property in objects returned by\n     * `Intl.RelativeTimeFormat.prototype.formatToParts()`. `formatToParts` and\n     * `format` methods accept either singular or plural unit names as input,\n     * but `formatToParts` only outputs singular (e.g. "day") not plural (e.g.\n     * "days").\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/formatToParts#Using_formatToParts).\n     */\n    type RelativeTimeFormatUnitSingular =\n        | "year"\n        | "quarter"\n        | "month"\n        | "week"\n        | "day"\n        | "hour"\n        | "minute"\n        | "second";\n\n    /**\n     * The locale matching algorithm to use.\n     *\n     * [MDN](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Intl#Locale_negotiation).\n     */\n    type RelativeTimeFormatLocaleMatcher = "lookup" | "best fit";\n\n    /**\n     * The format of output message.\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/RelativeTimeFormat#Parameters).\n     */\n    type RelativeTimeFormatNumeric = "always" | "auto";\n\n    /**\n     * The length of the internationalized message.\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/RelativeTimeFormat#Parameters).\n     */\n    type RelativeTimeFormatStyle = "long" | "short" | "narrow";\n\n    /**\n     * The locale or locales to use\n     *\n     * See [MDN - Intl - locales argument](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl#locales_argument).\n     */\n    type LocalesArgument = UnicodeBCP47LocaleIdentifier | Locale | readonly (UnicodeBCP47LocaleIdentifier | Locale)[] | undefined;\n\n    /**\n     * An object with some or all of properties of `options` parameter\n     * of `Intl.RelativeTimeFormat` constructor.\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/RelativeTimeFormat#Parameters).\n     */\n    interface RelativeTimeFormatOptions {\n        /** The locale matching algorithm to use. For information about this option, see [Intl page](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Intl#Locale_negotiation). */\n        localeMatcher?: RelativeTimeFormatLocaleMatcher;\n        /** The format of output message. */\n        numeric?: RelativeTimeFormatNumeric;\n        /** The length of the internationalized message. */\n        style?: RelativeTimeFormatStyle;\n    }\n\n    /**\n     * An object with properties reflecting the locale\n     * and formatting options computed during initialization\n     * of the `Intl.RelativeTimeFormat` object\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/resolvedOptions#Description).\n     */\n    interface ResolvedRelativeTimeFormatOptions {\n        locale: UnicodeBCP47LocaleIdentifier;\n        style: RelativeTimeFormatStyle;\n        numeric: RelativeTimeFormatNumeric;\n        numberingSystem: string;\n    }\n\n    /**\n     * An object representing the relative time format in parts\n     * that can be used for custom locale-aware formatting.\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/formatToParts#Using_formatToParts).\n     */\n    type RelativeTimeFormatPart =\n        | {\n            type: "literal";\n            value: string;\n        }\n        | {\n            type: Exclude<NumberFormatPartTypes, "literal">;\n            value: string;\n            unit: RelativeTimeFormatUnitSingular;\n        };\n\n    interface RelativeTimeFormat {\n        /**\n         * Formats a value and a unit according to the locale\n         * and formatting options of the given\n         * [`Intl.RelativeTimeFormat`](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/RelativeTimeFormat)\n         * object.\n         *\n         * While this method automatically provides the correct plural forms,\n         * the grammatical form is otherwise as neutral as possible.\n         *\n         * It is the caller\'s responsibility to handle cut-off logic\n         * such as deciding between displaying "in 7 days" or "in 1 week".\n         * This API does not support relative dates involving compound units.\n         * e.g "in 5 days and 4 hours".\n         *\n         * @param value -  Numeric value to use in the internationalized relative time message\n         *\n         * @param unit - [Unit](https://tc39.es/ecma402/#sec-singularrelativetimeunit) to use in the relative time internationalized message.\n         *\n         * @throws `RangeError` if `unit` was given something other than `unit` possible values\n         *\n         * @returns {string} Internationalized relative time message as string\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/format).\n         */\n        format(value: number, unit: RelativeTimeFormatUnit): string;\n\n        /**\n         *  Returns an array of objects representing the relative time format in parts that can be used for custom locale-aware formatting.\n         *\n         *  @param value - Numeric value to use in the internationalized relative time message\n         *\n         *  @param unit - [Unit](https://tc39.es/ecma402/#sec-singularrelativetimeunit) to use in the relative time internationalized message.\n         *\n         *  @throws `RangeError` if `unit` was given something other than `unit` possible values\n         *\n         *  [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/formatToParts).\n         */\n        formatToParts(value: number, unit: RelativeTimeFormatUnit): RelativeTimeFormatPart[];\n\n        /**\n         * Provides access to the locale and options computed during initialization of this `Intl.RelativeTimeFormat` object.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/resolvedOptions).\n         */\n        resolvedOptions(): ResolvedRelativeTimeFormatOptions;\n    }\n\n    /**\n     * The [`Intl.RelativeTimeFormat`](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/RelativeTimeFormat)\n     * object is a constructor for objects that enable language-sensitive relative time formatting.\n     *\n     * [Compatibility](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat#Browser_compatibility).\n     */\n    const RelativeTimeFormat: {\n        /**\n         * Creates [Intl.RelativeTimeFormat](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/RelativeTimeFormat) objects\n         *\n         * @param locales - A string with a [BCP 47 language tag](http://tools.ietf.org/html/rfc5646), or an array of such strings.\n         *  For the general form and interpretation of the locales argument,\n         *  see the [`Intl` page](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl#Locale_identification_and_negotiation).\n         *\n         * @param options - An [object](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/RelativeTimeFormat#Parameters)\n         *  with some or all of options of `RelativeTimeFormatOptions`.\n         *\n         * @returns [Intl.RelativeTimeFormat](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/RelativeTimeFormat) object.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/RelativeTimeFormat).\n         */\n        new (\n            locales?: LocalesArgument,\n            options?: RelativeTimeFormatOptions,\n        ): RelativeTimeFormat;\n\n        /**\n         * Returns an array containing those of the provided locales\n         * that are supported in date and time formatting\n         * without having to fall back to the runtime\'s default locale.\n         *\n         * @param locales - A string with a [BCP 47 language tag](http://tools.ietf.org/html/rfc5646), or an array of such strings.\n         *  For the general form and interpretation of the locales argument,\n         *  see the [`Intl` page](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl#Locale_identification_and_negotiation).\n         *\n         * @param options - An [object](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/RelativeTimeFormat#Parameters)\n         *  with some or all of options of the formatting.\n         *\n         * @returns An array containing those of the provided locales\n         *  that are supported in date and time formatting\n         *  without having to fall back to the runtime\'s default locale.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/supportedLocalesOf).\n         */\n        supportedLocalesOf(\n            locales?: LocalesArgument,\n            options?: RelativeTimeFormatOptions,\n        ): UnicodeBCP47LocaleIdentifier[];\n    };\n\n    interface NumberFormatOptions {\n        compactDisplay?: "short" | "long" | undefined;\n        notation?: "standard" | "scientific" | "engineering" | "compact" | undefined;\n        signDisplay?: "auto" | "never" | "always" | "exceptZero" | undefined;\n        unit?: string | undefined;\n        unitDisplay?: "short" | "long" | "narrow" | undefined;\n        currencyDisplay?: string | undefined;\n        currencySign?: string | undefined;\n    }\n\n    interface ResolvedNumberFormatOptions {\n        compactDisplay?: "short" | "long";\n        notation?: "standard" | "scientific" | "engineering" | "compact";\n        signDisplay?: "auto" | "never" | "always" | "exceptZero";\n        unit?: string;\n        unitDisplay?: "short" | "long" | "narrow";\n        currencyDisplay?: string;\n        currencySign?: string;\n    }\n\n    interface DateTimeFormatOptions {\n        calendar?: string | undefined;\n        dayPeriod?: "narrow" | "short" | "long" | undefined;\n        numberingSystem?: string | undefined;\n\n        dateStyle?: "full" | "long" | "medium" | "short" | undefined;\n        timeStyle?: "full" | "long" | "medium" | "short" | undefined;\n        hourCycle?: "h11" | "h12" | "h23" | "h24" | undefined;\n    }\n\n    type LocaleHourCycleKey = "h12" | "h23" | "h11" | "h24";\n    type LocaleCollationCaseFirst = "upper" | "lower" | "false";\n\n    interface LocaleOptions {\n        /** A string containing the language, and the script and region if available. */\n        baseName?: string;\n        /** The part of the Locale that indicates the locale\'s calendar era. */\n        calendar?: string;\n        /** Flag that defines whether case is taken into account for the locale\'s collation rules. */\n        caseFirst?: LocaleCollationCaseFirst;\n        /** The collation type used for sorting */\n        collation?: string;\n        /** The time keeping format convention used by the locale. */\n        hourCycle?: LocaleHourCycleKey;\n        /** The primary language subtag associated with the locale. */\n        language?: string;\n        /** The numeral system used by the locale. */\n        numberingSystem?: string;\n        /** Flag that defines whether the locale has special collation handling for numeric characters. */\n        numeric?: boolean;\n        /** The region of the world (usually a country) associated with the locale. Possible values are region codes as defined by ISO 3166-1. */\n        region?: string;\n        /** The script used for writing the particular language used in the locale. Possible values are script codes as defined by ISO 15924. */\n        script?: string;\n    }\n\n    interface Locale extends LocaleOptions {\n        /** A string containing the language, and the script and region if available. */\n        baseName: string;\n        /** The primary language subtag associated with the locale. */\n        language: string;\n        /** Gets the most likely values for the language, script, and region of the locale based on existing values. */\n        maximize(): Locale;\n        /** Attempts to remove information about the locale that would be added by calling `Locale.maximize()`. */\n        minimize(): Locale;\n        /** Returns the locale\'s full locale identifier string. */\n        toString(): UnicodeBCP47LocaleIdentifier;\n    }\n\n    /**\n     * Constructor creates [Intl.Locale](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale)\n     * objects\n     *\n     * @param tag - A string with a [BCP 47 language tag](http://tools.ietf.org/html/rfc5646).\n     *  For the general form and interpretation of the locales argument,\n     *  see the [`Intl` page](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl#Locale_identification_and_negotiation).\n     *\n     * @param options - An [object](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/Locale#Parameters) with some or all of options of the locale.\n     *\n     * @returns [Intl.Locale](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale) object.\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale).\n     */\n    const Locale: {\n        new (tag: UnicodeBCP47LocaleIdentifier | Locale, options?: LocaleOptions): Locale;\n    };\n\n    type DisplayNamesFallback =\n        | "code"\n        | "none";\n\n    type DisplayNamesType =\n        | "language"\n        | "region"\n        | "script"\n        | "calendar"\n        | "dateTimeField"\n        | "currency";\n\n    type DisplayNamesLanguageDisplay =\n        | "dialect"\n        | "standard";\n\n    interface DisplayNamesOptions {\n        localeMatcher?: RelativeTimeFormatLocaleMatcher;\n        style?: RelativeTimeFormatStyle;\n        type: DisplayNamesType;\n        languageDisplay?: DisplayNamesLanguageDisplay;\n        fallback?: DisplayNamesFallback;\n    }\n\n    interface ResolvedDisplayNamesOptions {\n        locale: UnicodeBCP47LocaleIdentifier;\n        style: RelativeTimeFormatStyle;\n        type: DisplayNamesType;\n        fallback: DisplayNamesFallback;\n        languageDisplay?: DisplayNamesLanguageDisplay;\n    }\n\n    interface DisplayNames {\n        /**\n         * Receives a code and returns a string based on the locale and options provided when instantiating\n         * [`Intl.DisplayNames()`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/DisplayNames)\n         *\n         * @param code The `code` to provide depends on the `type` passed to display name during creation:\n         *  - If the type is `"region"`, code should be either an [ISO-3166 two letters region code](https://www.iso.org/iso-3166-country-codes.html),\n         *    or a [three digits UN M49 Geographic Regions](https://unstats.un.org/unsd/methodology/m49/).\n         *  - If the type is `"script"`, code should be an [ISO-15924 four letters script code](https://unicode.org/iso15924/iso15924-codes.html).\n         *  - If the type is `"language"`, code should be a `languageCode` ["-" `scriptCode`] ["-" `regionCode` ] *("-" `variant` )\n         *    subsequence of the unicode_language_id grammar in [UTS 35\'s Unicode Language and Locale Identifiers grammar](https://unicode.org/reports/tr35/#Unicode_language_identifier).\n         *    `languageCode` is either a two letters ISO 639-1 language code or a three letters ISO 639-2 language code.\n         *  - If the type is `"currency"`, code should be a [3-letter ISO 4217 currency code](https://www.iso.org/iso-4217-currency-codes.html).\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/DisplayNames/of).\n         */\n        of(code: string): string | undefined;\n        /**\n         * Returns a new object with properties reflecting the locale and style formatting options computed during the construction of the current\n         * [`Intl/DisplayNames`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/DisplayNames) object.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/DisplayNames/resolvedOptions).\n         */\n        resolvedOptions(): ResolvedDisplayNamesOptions;\n    }\n\n    /**\n     * The [`Intl.DisplayNames()`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/DisplayNames)\n     * object enables the consistent translation of language, region and script display names.\n     *\n     * [Compatibility](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/DisplayNames#browser_compatibility).\n     */\n    const DisplayNames: {\n        prototype: DisplayNames;\n\n        /**\n         * @param locales A string with a BCP 47 language tag, or an array of such strings.\n         *   For the general form and interpretation of the `locales` argument, see the [Intl](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl#locale_identification_and_negotiation)\n         *   page.\n         *\n         * @param options An object for setting up a display name.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/DisplayNames/DisplayNames).\n         */\n        new (locales: LocalesArgument, options: DisplayNamesOptions): DisplayNames;\n\n        /**\n         * Returns an array containing those of the provided locales that are supported in display names without having to fall back to the runtime\'s default locale.\n         *\n         * @param locales A string with a BCP 47 language tag, or an array of such strings.\n         *   For the general form and interpretation of the `locales` argument, see the [Intl](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl#locale_identification_and_negotiation)\n         *   page.\n         *\n         * @param options An object with a locale matcher.\n         *\n         * @returns An array of strings representing a subset of the given locale tags that are supported in display names without having to fall back to the runtime\'s default locale.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/DisplayNames/supportedLocalesOf).\n         */\n        supportedLocalesOf(locales?: LocalesArgument, options?: { localeMatcher?: RelativeTimeFormatLocaleMatcher; }): UnicodeBCP47LocaleIdentifier[];\n    };\n\n    interface CollatorConstructor {\n        new (locales?: LocalesArgument, options?: CollatorOptions): Collator;\n        (locales?: LocalesArgument, options?: CollatorOptions): Collator;\n        supportedLocalesOf(locales: LocalesArgument, options?: CollatorOptions): string[];\n    }\n\n    interface DateTimeFormatConstructor {\n        new (locales?: LocalesArgument, options?: DateTimeFormatOptions): DateTimeFormat;\n        (locales?: LocalesArgument, options?: DateTimeFormatOptions): DateTimeFormat;\n        supportedLocalesOf(locales: LocalesArgument, options?: DateTimeFormatOptions): string[];\n    }\n\n    interface NumberFormatConstructor {\n        new (locales?: LocalesArgument, options?: NumberFormatOptions): NumberFormat;\n        (locales?: LocalesArgument, options?: NumberFormatOptions): NumberFormat;\n        supportedLocalesOf(locales: LocalesArgument, options?: NumberFormatOptions): string[];\n    }\n\n    interface PluralRulesConstructor {\n        new (locales?: LocalesArgument, options?: PluralRulesOptions): PluralRules;\n        (locales?: LocalesArgument, options?: PluralRulesOptions): PluralRules;\n\n        supportedLocalesOf(locales: LocalesArgument, options?: { localeMatcher?: "lookup" | "best fit"; }): string[];\n    }\n}\n',Li["lib.es2020.number.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2020.intl" />\n\ninterface Number {\n    /**\n     * Converts a number to a string by using the current or specified locale.\n     * @param locales A locale string, array of locale strings, Intl.Locale object, or array of Intl.Locale objects that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\n     * @param options An object that contains one or more properties that specify comparison options.\n     */\n    toLocaleString(locales?: Intl.LocalesArgument, options?: Intl.NumberFormatOptions): string;\n}\n',Li["lib.es2020.promise.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface PromiseFulfilledResult<T> {\n    status: "fulfilled";\n    value: T;\n}\n\ninterface PromiseRejectedResult {\n    status: "rejected";\n    reason: any;\n}\n\ntype PromiseSettledResult<T> = PromiseFulfilledResult<T> | PromiseRejectedResult;\n\ninterface PromiseConstructor {\n    /**\n     * Creates a Promise that is resolved with an array of results when all\n     * of the provided Promises resolve or reject.\n     * @param values An array of Promises.\n     * @returns A new Promise.\n     */\n    allSettled<T extends readonly unknown[] | []>(values: T): Promise<{ -readonly [P in keyof T]: PromiseSettledResult<Awaited<T[P]>>; }>;\n\n    /**\n     * Creates a Promise that is resolved with an array of results when all\n     * of the provided Promises resolve or reject.\n     * @param values An array of Promises.\n     * @returns A new Promise.\n     */\n    allSettled<T>(values: Iterable<T | PromiseLike<T>>): Promise<PromiseSettledResult<Awaited<T>>[]>;\n}\n',Li["lib.es2020.sharedmemory.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface Atomics {\n    /**\n     * Adds a value to the value at the given position in the array, returning the original value.\n     * Until this atomic operation completes, any other read or write operation against the array\n     * will block.\n     */\n    add(typedArray: BigInt64Array | BigUint64Array, index: number, value: bigint): bigint;\n\n    /**\n     * Stores the bitwise AND of a value with the value at the given position in the array,\n     * returning the original value. Until this atomic operation completes, any other read or\n     * write operation against the array will block.\n     */\n    and(typedArray: BigInt64Array | BigUint64Array, index: number, value: bigint): bigint;\n\n    /**\n     * Replaces the value at the given position in the array if the original value equals the given\n     * expected value, returning the original value. Until this atomic operation completes, any\n     * other read or write operation against the array will block.\n     */\n    compareExchange(typedArray: BigInt64Array | BigUint64Array, index: number, expectedValue: bigint, replacementValue: bigint): bigint;\n\n    /**\n     * Replaces the value at the given position in the array, returning the original value. Until\n     * this atomic operation completes, any other read or write operation against the array will\n     * block.\n     */\n    exchange(typedArray: BigInt64Array | BigUint64Array, index: number, value: bigint): bigint;\n\n    /**\n     * Returns the value at the given position in the array. Until this atomic operation completes,\n     * any other read or write operation against the array will block.\n     */\n    load(typedArray: BigInt64Array | BigUint64Array, index: number): bigint;\n\n    /**\n     * Stores the bitwise OR of a value with the value at the given position in the array,\n     * returning the original value. Until this atomic operation completes, any other read or write\n     * operation against the array will block.\n     */\n    or(typedArray: BigInt64Array | BigUint64Array, index: number, value: bigint): bigint;\n\n    /**\n     * Stores a value at the given position in the array, returning the new value. Until this\n     * atomic operation completes, any other read or write operation against the array will block.\n     */\n    store(typedArray: BigInt64Array | BigUint64Array, index: number, value: bigint): bigint;\n\n    /**\n     * Subtracts a value from the value at the given position in the array, returning the original\n     * value. Until this atomic operation completes, any other read or write operation against the\n     * array will block.\n     */\n    sub(typedArray: BigInt64Array | BigUint64Array, index: number, value: bigint): bigint;\n\n    /**\n     * If the value at the given position in the array is equal to the provided value, the current\n     * agent is put to sleep causing execution to suspend until the timeout expires (returning\n     * `"timed-out"`) or until the agent is awoken (returning `"ok"`); otherwise, returns\n     * `"not-equal"`.\n     */\n    wait(typedArray: BigInt64Array, index: number, value: bigint, timeout?: number): "ok" | "not-equal" | "timed-out";\n\n    /**\n     * Wakes up sleeping agents that are waiting on the given index of the array, returning the\n     * number of agents that were awoken.\n     * @param typedArray A shared BigInt64Array.\n     * @param index The position in the typedArray to wake up on.\n     * @param count The number of sleeping agents to notify. Defaults to +Infinity.\n     */\n    notify(typedArray: BigInt64Array, index: number, count?: number): number;\n\n    /**\n     * Stores the bitwise XOR of a value with the value at the given position in the array,\n     * returning the original value. Until this atomic operation completes, any other read or write\n     * operation against the array will block.\n     */\n    xor(typedArray: BigInt64Array | BigUint64Array, index: number, value: bigint): bigint;\n}\n',Li["lib.es2020.string.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2015.iterable" />\n\ninterface String {\n    /**\n     * Matches a string with a regular expression, and returns an iterable of matches\n     * containing the results of that search.\n     * @param regexp A variable name or string literal containing the regular expression pattern and flags.\n     */\n    matchAll(regexp: RegExp): IterableIterator<RegExpExecArray>;\n\n    /** Converts all alphabetic characters to lowercase, taking into account the host environment\'s current locale. */\n    toLocaleLowerCase(locales?: Intl.LocalesArgument): string;\n\n    /** Returns a string where all alphabetic characters have been converted to uppercase, taking into account the host environment\'s current locale. */\n    toLocaleUpperCase(locales?: Intl.LocalesArgument): string;\n\n    /**\n     * Determines whether two strings are equivalent in the current or specified locale.\n     * @param that String to compare to target string\n     * @param locales A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.\n     * @param options An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.\n     */\n    localeCompare(that: string, locales?: Intl.LocalesArgument, options?: Intl.CollatorOptions): number;\n}\n',Li["lib.es2020.symbol.wellknown.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2015.iterable" />\n/// <reference lib="es2015.symbol" />\n\ninterface SymbolConstructor {\n    /**\n     * A regular expression method that matches the regular expression against a string. Called\n     * by the String.prototype.matchAll method.\n     */\n    readonly matchAll: unique symbol;\n}\n\ninterface RegExp {\n    /**\n     * Matches a string with this regular expression, and returns an iterable of matches\n     * containing the results of that search.\n     * @param string A string to search within.\n     */\n    [Symbol.matchAll](str: string): IterableIterator<RegExpMatchArray>;\n}\n',Li["lib.es2021.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2020" />\n/// <reference lib="es2021.promise" />\n/// <reference lib="es2021.string" />\n/// <reference lib="es2021.weakref" />\n/// <reference lib="es2021.intl" />\n',Li["lib.es2021.full.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2021" />\n/// <reference lib="dom" />\n/// <reference lib="webworker.importscripts" />\n/// <reference lib="scripthost" />\n/// <reference lib="dom.iterable" />\n/// <reference lib="dom.asynciterable" />\n',Li["lib.es2021.intl.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ndeclare namespace Intl {\n    interface DateTimeFormatPartTypesRegistry {\n        fractionalSecond: any;\n    }\n\n    interface DateTimeFormatOptions {\n        formatMatcher?: "basic" | "best fit" | "best fit" | undefined;\n        dateStyle?: "full" | "long" | "medium" | "short" | undefined;\n        timeStyle?: "full" | "long" | "medium" | "short" | undefined;\n        dayPeriod?: "narrow" | "short" | "long" | undefined;\n        fractionalSecondDigits?: 1 | 2 | 3 | undefined;\n    }\n\n    interface DateTimeRangeFormatPart extends DateTimeFormatPart {\n        source: "startRange" | "endRange" | "shared";\n    }\n\n    interface DateTimeFormat {\n        formatRange(startDate: Date | number | bigint, endDate: Date | number | bigint): string;\n        formatRangeToParts(startDate: Date | number | bigint, endDate: Date | number | bigint): DateTimeRangeFormatPart[];\n    }\n\n    interface ResolvedDateTimeFormatOptions {\n        formatMatcher?: "basic" | "best fit" | "best fit";\n        dateStyle?: "full" | "long" | "medium" | "short";\n        timeStyle?: "full" | "long" | "medium" | "short";\n        hourCycle?: "h11" | "h12" | "h23" | "h24";\n        dayPeriod?: "narrow" | "short" | "long";\n        fractionalSecondDigits?: 1 | 2 | 3;\n    }\n\n    /**\n     * The locale matching algorithm to use.\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/ListFormat#parameters).\n     */\n    type ListFormatLocaleMatcher = "lookup" | "best fit";\n\n    /**\n     * The format of output message.\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/ListFormat#parameters).\n     */\n    type ListFormatType = "conjunction" | "disjunction" | "unit";\n\n    /**\n     * The length of the formatted message.\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/ListFormat#parameters).\n     */\n    type ListFormatStyle = "long" | "short" | "narrow";\n\n    /**\n     * An object with some or all properties of the `Intl.ListFormat` constructor `options` parameter.\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/ListFormat#parameters).\n     */\n    interface ListFormatOptions {\n        /** The locale matching algorithm to use. For information about this option, see [Intl page](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Intl#Locale_negotiation). */\n        localeMatcher?: ListFormatLocaleMatcher | undefined;\n        /** The format of output message. */\n        type?: ListFormatType | undefined;\n        /** The length of the internationalized message. */\n        style?: ListFormatStyle | undefined;\n    }\n\n    interface ResolvedListFormatOptions {\n        locale: string;\n        style: ListFormatStyle;\n        type: ListFormatType;\n    }\n\n    interface ListFormat {\n        /**\n         * Returns a string with a language-specific representation of the list.\n         *\n         * @param list - An iterable object, such as an [Array](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array).\n         *\n         * @throws `TypeError` if `list` includes something other than the possible values.\n         *\n         * @returns {string} A language-specific formatted string representing the elements of the list.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/format).\n         */\n        format(list: Iterable<string>): string;\n\n        /**\n         * Returns an Array of objects representing the different components that can be used to format a list of values in a locale-aware fashion.\n         *\n         * @param list - An iterable object, such as an [Array](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array), to be formatted according to a locale.\n         *\n         * @throws `TypeError` if `list` includes something other than the possible values.\n         *\n         * @returns {{ type: "element" | "literal", value: string; }[]} An Array of components which contains the formatted parts from the list.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/formatToParts).\n         */\n        formatToParts(list: Iterable<string>): { type: "element" | "literal"; value: string; }[];\n\n        /**\n         * Returns a new object with properties reflecting the locale and style\n         * formatting options computed during the construction of the current\n         * `Intl.ListFormat` object.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/resolvedOptions).\n         */\n        resolvedOptions(): ResolvedListFormatOptions;\n    }\n\n    const ListFormat: {\n        prototype: ListFormat;\n\n        /**\n         * Creates [Intl.ListFormat](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat) objects that\n         * enable language-sensitive list formatting.\n         *\n         * @param locales - A string with a [BCP 47 language tag](http://tools.ietf.org/html/rfc5646), or an array of such strings.\n         *  For the general form and interpretation of the `locales` argument,\n         *  see the [`Intl` page](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl#Locale_identification_and_negotiation).\n         *\n         * @param options - An [object](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/ListFormat#parameters)\n         *  with some or all options of `ListFormatOptions`.\n         *\n         * @returns [Intl.ListFormatOptions](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat) object.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat).\n         */\n        new (locales?: LocalesArgument, options?: ListFormatOptions): ListFormat;\n\n        /**\n         * Returns an array containing those of the provided locales that are\n         * supported in list formatting without having to fall back to the runtime\'s default locale.\n         *\n         * @param locales - A string with a [BCP 47 language tag](http://tools.ietf.org/html/rfc5646), or an array of such strings.\n         *  For the general form and interpretation of the `locales` argument,\n         *  see the [`Intl` page](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl#Locale_identification_and_negotiation).\n         *\n         * @param options - An [object](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/supportedLocalesOf#parameters).\n         *  with some or all possible options.\n         *\n         * @returns An array of strings representing a subset of the given locale tags that are supported in list\n         *  formatting without having to fall back to the runtime\'s default locale.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/supportedLocalesOf).\n         */\n        supportedLocalesOf(locales: LocalesArgument, options?: Pick<ListFormatOptions, "localeMatcher">): UnicodeBCP47LocaleIdentifier[];\n    };\n}\n',Li["lib.es2021.promise.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface AggregateError extends Error {\n    errors: any[];\n}\n\ninterface AggregateErrorConstructor {\n    new (errors: Iterable<any>, message?: string): AggregateError;\n    (errors: Iterable<any>, message?: string): AggregateError;\n    readonly prototype: AggregateError;\n}\n\ndeclare var AggregateError: AggregateErrorConstructor;\n\n/**\n * Represents the completion of an asynchronous operation\n */\ninterface PromiseConstructor {\n    /**\n     * The any function returns a promise that is fulfilled by the first given promise to be fulfilled, or rejected with an AggregateError containing an array of rejection reasons if all of the given promises are rejected. It resolves all elements of the passed iterable to promises as it runs this algorithm.\n     * @param values An array or iterable of Promises.\n     * @returns A new Promise.\n     */\n    any<T extends readonly unknown[] | []>(values: T): Promise<Awaited<T[number]>>;\n\n    /**\n     * The any function returns a promise that is fulfilled by the first given promise to be fulfilled, or rejected with an AggregateError containing an array of rejection reasons if all of the given promises are rejected. It resolves all elements of the passed iterable to promises as it runs this algorithm.\n     * @param values An array or iterable of Promises.\n     * @returns A new Promise.\n     */\n    any<T>(values: Iterable<T | PromiseLike<T>>): Promise<Awaited<T>>;\n}\n',Li["lib.es2021.string.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface String {\n    /**\n     * Replace all instances of a substring in a string, using a regular expression or search string.\n     * @param searchValue A string to search for.\n     * @param replaceValue A string containing the text to replace for every successful match of searchValue in this string.\n     */\n    replaceAll(searchValue: string | RegExp, replaceValue: string): string;\n\n    /**\n     * Replace all instances of a substring in a string, using a regular expression or search string.\n     * @param searchValue A string to search for.\n     * @param replacer A function that returns the replacement text.\n     */\n    replaceAll(searchValue: string | RegExp, replacer: (substring: string, ...args: any[]) => string): string;\n}\n',Li["lib.es2021.weakref.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface WeakRef<T extends WeakKey> {\n    readonly [Symbol.toStringTag]: "WeakRef";\n\n    /**\n     * Returns the WeakRef instance\'s target value, or undefined if the target value has been\n     * reclaimed.\n     * In es2023 the value can be either a symbol or an object, in previous versions only object is permissible.\n     */\n    deref(): T | undefined;\n}\n\ninterface WeakRefConstructor {\n    readonly prototype: WeakRef<any>;\n\n    /**\n     * Creates a WeakRef instance for the given target value.\n     * In es2023 the value can be either a symbol or an object, in previous versions only object is permissible.\n     * @param target The target value for the WeakRef instance.\n     */\n    new <T extends WeakKey>(target: T): WeakRef<T>;\n}\n\ndeclare var WeakRef: WeakRefConstructor;\n\ninterface FinalizationRegistry<T> {\n    readonly [Symbol.toStringTag]: "FinalizationRegistry";\n\n    /**\n     * Registers a value with the registry.\n     * In es2023 the value can be either a symbol or an object, in previous versions only object is permissible.\n     * @param target The target value to register.\n     * @param heldValue The value to pass to the finalizer for this value. This cannot be the\n     * target value.\n     * @param unregisterToken The token to pass to the unregister method to unregister the target\n     * value. If not provided, the target cannot be unregistered.\n     */\n    register(target: WeakKey, heldValue: T, unregisterToken?: WeakKey): void;\n\n    /**\n     * Unregisters a value from the registry.\n     * In es2023 the value can be either a symbol or an object, in previous versions only object is permissible.\n     * @param unregisterToken The token that was used as the unregisterToken argument when calling\n     * register to register the target value.\n     */\n    unregister(unregisterToken: WeakKey): void;\n}\n\ninterface FinalizationRegistryConstructor {\n    readonly prototype: FinalizationRegistry<any>;\n\n    /**\n     * Creates a finalization registry with an associated cleanup callback\n     * @param cleanupCallback The callback to call after a value in the registry has been reclaimed.\n     */\n    new <T>(cleanupCallback: (heldValue: T) => void): FinalizationRegistry<T>;\n}\n\ndeclare var FinalizationRegistry: FinalizationRegistryConstructor;\n',Li["lib.es2022.array.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface Array<T> {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): T | undefined;\n}\n\ninterface ReadonlyArray<T> {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): T | undefined;\n}\n\ninterface Int8Array {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): number | undefined;\n}\n\ninterface Uint8Array {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): number | undefined;\n}\n\ninterface Uint8ClampedArray {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): number | undefined;\n}\n\ninterface Int16Array {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): number | undefined;\n}\n\ninterface Uint16Array {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): number | undefined;\n}\n\ninterface Int32Array {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): number | undefined;\n}\n\ninterface Uint32Array {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): number | undefined;\n}\n\ninterface Float32Array {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): number | undefined;\n}\n\ninterface Float64Array {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): number | undefined;\n}\n\ninterface BigInt64Array {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): bigint | undefined;\n}\n\ninterface BigUint64Array {\n    /**\n     * Returns the item located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): bigint | undefined;\n}\n',Li["lib.es2022.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2021" />\n/// <reference lib="es2022.array" />\n/// <reference lib="es2022.error" />\n/// <reference lib="es2022.intl" />\n/// <reference lib="es2022.object" />\n/// <reference lib="es2022.sharedmemory" />\n/// <reference lib="es2022.string" />\n/// <reference lib="es2022.regexp" />\n',Li["lib.es2022.error.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface ErrorOptions {\n    cause?: unknown;\n}\n\ninterface Error {\n    cause?: unknown;\n}\n\ninterface ErrorConstructor {\n    new (message?: string, options?: ErrorOptions): Error;\n    (message?: string, options?: ErrorOptions): Error;\n}\n\ninterface EvalErrorConstructor {\n    new (message?: string, options?: ErrorOptions): EvalError;\n    (message?: string, options?: ErrorOptions): EvalError;\n}\n\ninterface RangeErrorConstructor {\n    new (message?: string, options?: ErrorOptions): RangeError;\n    (message?: string, options?: ErrorOptions): RangeError;\n}\n\ninterface ReferenceErrorConstructor {\n    new (message?: string, options?: ErrorOptions): ReferenceError;\n    (message?: string, options?: ErrorOptions): ReferenceError;\n}\n\ninterface SyntaxErrorConstructor {\n    new (message?: string, options?: ErrorOptions): SyntaxError;\n    (message?: string, options?: ErrorOptions): SyntaxError;\n}\n\ninterface TypeErrorConstructor {\n    new (message?: string, options?: ErrorOptions): TypeError;\n    (message?: string, options?: ErrorOptions): TypeError;\n}\n\ninterface URIErrorConstructor {\n    new (message?: string, options?: ErrorOptions): URIError;\n    (message?: string, options?: ErrorOptions): URIError;\n}\n\ninterface AggregateErrorConstructor {\n    new (\n        errors: Iterable<any>,\n        message?: string,\n        options?: ErrorOptions,\n    ): AggregateError;\n    (\n        errors: Iterable<any>,\n        message?: string,\n        options?: ErrorOptions,\n    ): AggregateError;\n}\n',Li["lib.es2022.full.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2022" />\n/// <reference lib="dom" />\n/// <reference lib="webworker.importscripts" />\n/// <reference lib="scripthost" />\n/// <reference lib="dom.iterable" />\n/// <reference lib="dom.asynciterable" />\n',Li["lib.es2022.intl.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ndeclare namespace Intl {\n    /**\n     * An object with some or all properties of the `Intl.Segmenter` constructor `options` parameter.\n     *\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Segmenter/Segmenter#parameters)\n     */\n    interface SegmenterOptions {\n        /** The locale matching algorithm to use. For information about this option, see [Intl page](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Intl#Locale_negotiation). */\n        localeMatcher?: "best fit" | "lookup" | undefined;\n        /** The type of input to be split */\n        granularity?: "grapheme" | "word" | "sentence" | undefined;\n    }\n\n    interface Segmenter {\n        /**\n         * Returns `Segments` object containing the segments of the input string, using the segmenter\'s locale and granularity.\n         *\n         * @param input - The text to be segmented as a `string`.\n         *\n         * @returns A new iterable Segments object containing the segments of the input string, using the segmenter\'s locale and granularity.\n         */\n        segment(input: string): Segments;\n        resolvedOptions(): ResolvedSegmenterOptions;\n    }\n\n    interface ResolvedSegmenterOptions {\n        locale: string;\n        granularity: "grapheme" | "word" | "sentence";\n    }\n\n    interface Segments {\n        /**\n         * Returns an object describing the segment in the original string that includes the code unit at a specified index.\n         *\n         * @param codeUnitIndex - A number specifying the index of the code unit in the original input string. If the value is omitted, it defaults to `0`.\n         */\n        containing(codeUnitIndex?: number): SegmentData;\n\n        /** Returns an iterator to iterate over the segments. */\n        [Symbol.iterator](): IterableIterator<SegmentData>;\n    }\n\n    interface SegmentData {\n        /** A string containing the segment extracted from the original input string. */\n        segment: string;\n        /** The code unit index in the original input string at which the segment begins. */\n        index: number;\n        /** The complete input string that was segmented. */\n        input: string;\n        /**\n         * A boolean value only if granularity is "word"; otherwise, undefined.\n         * If granularity is "word", then isWordLike is true when the segment is word-like (i.e., consists of letters/numbers/ideographs/etc.); otherwise, false.\n         */\n        isWordLike?: boolean;\n    }\n\n    const Segmenter: {\n        prototype: Segmenter;\n\n        /**\n         * Creates a new `Intl.Segmenter` object.\n         *\n         * @param locales - A string with a [BCP 47 language tag](http://tools.ietf.org/html/rfc5646), or an array of such strings.\n         *  For the general form and interpretation of the `locales` argument,\n         *  see the [`Intl` page](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl#Locale_identification_and_negotiation).\n         *\n         * @param options - An [object](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Segmenter/Segmenter#parameters)\n         *  with some or all options of `SegmenterOptions`.\n         *\n         * @returns [Intl.Segmenter](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Segments) object.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Segmenter).\n         */\n        new (locales?: LocalesArgument, options?: SegmenterOptions): Segmenter;\n\n        /**\n         * Returns an array containing those of the provided locales that are supported without having to fall back to the runtime\'s default locale.\n         *\n         * @param locales - A string with a [BCP 47 language tag](http://tools.ietf.org/html/rfc5646), or an array of such strings.\n         *  For the general form and interpretation of the `locales` argument,\n         *  see the [`Intl` page](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl#Locale_identification_and_negotiation).\n         *\n         * @param options An [object](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Segmenter/supportedLocalesOf#parameters).\n         *  with some or all possible options.\n         *\n         * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Segmenter/supportedLocalesOf)\n         */\n        supportedLocalesOf(locales: LocalesArgument, options?: Pick<SegmenterOptions, "localeMatcher">): UnicodeBCP47LocaleIdentifier[];\n    };\n\n    /**\n     * Returns a sorted array of the supported collation, calendar, currency, numbering system, timezones, and units by the implementation.\n     * [MDN](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/supportedValuesOf)\n     *\n     * @param key A string indicating the category of values to return.\n     * @returns A sorted array of the supported values.\n     */\n    function supportedValuesOf(key: "calendar" | "collation" | "currency" | "numberingSystem" | "timeZone" | "unit"): string[];\n}\n',Li["lib.es2022.object.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface ObjectConstructor {\n    /**\n     * Determines whether an object has a property with the specified name.\n     * @param o An object.\n     * @param v A property name.\n     */\n    hasOwn(o: object, v: PropertyKey): boolean;\n}\n',Li["lib.es2022.regexp.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface RegExpMatchArray {\n    indices?: RegExpIndicesArray;\n}\n\ninterface RegExpExecArray {\n    indices?: RegExpIndicesArray;\n}\n\ninterface RegExpIndicesArray extends Array<[number, number]> {\n    groups?: {\n        [key: string]: [number, number];\n    };\n}\n\ninterface RegExp {\n    /**\n     * Returns a Boolean value indicating the state of the hasIndices flag (d) used with with a regular expression.\n     * Default is false. Read-only.\n     */\n    readonly hasIndices: boolean;\n}\n',Li["lib.es2022.sharedmemory.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface Atomics {\n    /**\n     * A non-blocking, asynchronous version of wait which is usable on the main thread.\n     * Waits asynchronously on a shared memory location and returns a Promise\n     * @param typedArray A shared Int32Array or BigInt64Array.\n     * @param index The position in the typedArray to wait on.\n     * @param value The expected value to test.\n     * @param [timeout] The expected value to test.\n     */\n    waitAsync(typedArray: Int32Array, index: number, value: number, timeout?: number): { async: false; value: "not-equal" | "timed-out"; } | { async: true; value: Promise<"ok" | "timed-out">; };\n\n    /**\n     * A non-blocking, asynchronous version of wait which is usable on the main thread.\n     * Waits asynchronously on a shared memory location and returns a Promise\n     * @param typedArray A shared Int32Array or BigInt64Array.\n     * @param index The position in the typedArray to wait on.\n     * @param value The expected value to test.\n     * @param [timeout] The expected value to test.\n     */\n    waitAsync(typedArray: BigInt64Array, index: number, value: bigint, timeout?: number): { async: false; value: "not-equal" | "timed-out"; } | { async: true; value: Promise<"ok" | "timed-out">; };\n}\n',Li["lib.es2022.string.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface String {\n    /**\n     * Returns a new String consisting of the single UTF-16 code unit located at the specified index.\n     * @param index The zero-based index of the desired code unit. A negative index will count back from the last item.\n     */\n    at(index: number): string | undefined;\n}\n',Li["lib.es2023.array.d.ts"]="/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the \"License\"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib=\"true\"/>\n\ninterface Array<T> {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends T>(predicate: (value: T, index: number, array: T[]) => value is S, thisArg?: any): S | undefined;\n    findLast(predicate: (value: T, index: number, array: T[]) => unknown, thisArg?: any): T | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(predicate: (value: T, index: number, array: T[]) => unknown, thisArg?: any): number;\n\n    /**\n     * Returns a copy of an array with its elements reversed.\n     */\n    toReversed(): T[];\n\n    /**\n     * Returns a copy of an array with its elements sorted.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending, ASCII character order.\n     * ```ts\n     * [11, 2, 22, 1].toSorted((a, b) => a - b) // [1, 2, 11, 22]\n     * ```\n     */\n    toSorted(compareFn?: (a: T, b: T) => number): T[];\n\n    /**\n     * Copies an array and removes elements and, if necessary, inserts new elements in their place. Returns the copied array.\n     * @param start The zero-based location in the array from which to start removing elements.\n     * @param deleteCount The number of elements to remove.\n     * @param items Elements to insert into the copied array in place of the deleted elements.\n     * @returns The copied array.\n     */\n    toSpliced(start: number, deleteCount: number, ...items: T[]): T[];\n\n    /**\n     * Copies an array and removes elements while returning the remaining elements.\n     * @param start The zero-based location in the array from which to start removing elements.\n     * @param deleteCount The number of elements to remove.\n     * @returns A copy of the original array with the remaining elements.\n     */\n    toSpliced(start: number, deleteCount?: number): T[];\n\n    /**\n     * Copies an array, then overwrites the value at the provided index with the\n     * given value. If the index is negative, then it replaces from the end\n     * of the array.\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to write into the copied array.\n     * @returns The copied array with the updated value.\n     */\n    with(index: number, value: T): T[];\n}\n\ninterface ReadonlyArray<T> {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends T>(\n        predicate: (value: T, index: number, array: readonly T[]) => value is S,\n        thisArg?: any,\n    ): S | undefined;\n    findLast(\n        predicate: (value: T, index: number, array: readonly T[]) => unknown,\n        thisArg?: any,\n    ): T | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(\n        predicate: (value: T, index: number, array: readonly T[]) => unknown,\n        thisArg?: any,\n    ): number;\n\n    /**\n     * Copies the array and returns the copied array with all of its elements reversed.\n     */\n    toReversed(): T[];\n\n    /**\n     * Copies and sorts the array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending, ASCII character order.\n     * ```ts\n     * [11, 2, 22, 1].toSorted((a, b) => a - b) // [1, 2, 11, 22]\n     * ```\n     */\n    toSorted(compareFn?: (a: T, b: T) => number): T[];\n\n    /**\n     * Copies an array and removes elements while, if necessary, inserting new elements in their place, returning the remaining elements.\n     * @param start The zero-based location in the array from which to start removing elements.\n     * @param deleteCount The number of elements to remove.\n     * @param items Elements to insert into the copied array in place of the deleted elements.\n     * @returns A copy of the original array with the remaining elements.\n     */\n    toSpliced(start: number, deleteCount: number, ...items: T[]): T[];\n\n    /**\n     * Copies an array and removes elements while returning the remaining elements.\n     * @param start The zero-based location in the array from which to start removing elements.\n     * @param deleteCount The number of elements to remove.\n     * @returns A copy of the original array with the remaining elements.\n     */\n    toSpliced(start: number, deleteCount?: number): T[];\n\n    /**\n     * Copies an array, then overwrites the value at the provided index with the\n     * given value. If the index is negative, then it replaces from the end\n     * of the array\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to insert into the copied array.\n     * @returns A copy of the original array with the inserted value.\n     */\n    with(index: number, value: T): T[];\n}\n\ninterface Int8Array {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends number>(\n        predicate: (\n            value: number,\n            index: number,\n            array: Int8Array,\n        ) => value is S,\n        thisArg?: any,\n    ): S | undefined;\n    findLast(\n        predicate: (value: number, index: number, array: Int8Array) => unknown,\n        thisArg?: any,\n    ): number | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(\n        predicate: (value: number, index: number, array: Int8Array) => unknown,\n        thisArg?: any,\n    ): number;\n\n    /**\n     * Copies the array and returns the copy with the elements in reverse order.\n     */\n    toReversed(): Uint8Array;\n\n    /**\n     * Copies and sorts the array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * const myNums = Uint8Array.from([11, 2, 22, 1]);\n     * myNums.toSorted((a, b) => a - b) // Uint8Array(4) [1, 2, 11, 22]\n     * ```\n     */\n    toSorted(compareFn?: (a: number, b: number) => number): Uint8Array;\n\n    /**\n     * Copies the array and inserts the given number at the provided index.\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to insert into the copied array.\n     * @returns A copy of the original array with the inserted value.\n     */\n    with(index: number, value: number): Uint8Array;\n}\n\ninterface Uint8Array {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends number>(\n        predicate: (\n            value: number,\n            index: number,\n            array: Uint8Array,\n        ) => value is S,\n        thisArg?: any,\n    ): S | undefined;\n    findLast(\n        predicate: (value: number, index: number, array: Uint8Array) => unknown,\n        thisArg?: any,\n    ): number | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(\n        predicate: (value: number, index: number, array: Uint8Array) => unknown,\n        thisArg?: any,\n    ): number;\n\n    /**\n     * Copies the array and returns the copy with the elements in reverse order.\n     */\n    toReversed(): Uint8Array;\n\n    /**\n     * Copies and sorts the array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * const myNums = Uint8Array.from([11, 2, 22, 1]);\n     * myNums.toSorted((a, b) => a - b) // Uint8Array(4) [1, 2, 11, 22]\n     * ```\n     */\n    toSorted(compareFn?: (a: number, b: number) => number): Uint8Array;\n\n    /**\n     * Copies the array and inserts the given number at the provided index.\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to insert into the copied array.\n     * @returns A copy of the original array with the inserted value.\n     */\n    with(index: number, value: number): Uint8Array;\n}\n\ninterface Uint8ClampedArray {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends number>(\n        predicate: (\n            value: number,\n            index: number,\n            array: Uint8ClampedArray,\n        ) => value is S,\n        thisArg?: any,\n    ): S | undefined;\n    findLast(\n        predicate: (\n            value: number,\n            index: number,\n            array: Uint8ClampedArray,\n        ) => unknown,\n        thisArg?: any,\n    ): number | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(\n        predicate: (\n            value: number,\n            index: number,\n            array: Uint8ClampedArray,\n        ) => unknown,\n        thisArg?: any,\n    ): number;\n\n    /**\n     * Copies the array and returns the copy with the elements in reverse order.\n     */\n    toReversed(): Uint8ClampedArray;\n\n    /**\n     * Copies and sorts the array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * const myNums = Uint8ClampedArray.from([11, 2, 22, 1]);\n     * myNums.toSorted((a, b) => a - b) // Uint8ClampedArray(4) [1, 2, 11, 22]\n     * ```\n     */\n    toSorted(compareFn?: (a: number, b: number) => number): Uint8ClampedArray;\n\n    /**\n     * Copies the array and inserts the given number at the provided index.\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to insert into the copied array.\n     * @returns A copy of the original array with the inserted value.\n     */\n    with(index: number, value: number): Uint8ClampedArray;\n}\n\ninterface Int16Array {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends number>(\n        predicate: (\n            value: number,\n            index: number,\n            array: Int16Array,\n        ) => value is S,\n        thisArg?: any,\n    ): S | undefined;\n    findLast(\n        predicate: (value: number, index: number, array: Int16Array) => unknown,\n        thisArg?: any,\n    ): number | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(\n        predicate: (value: number, index: number, array: Int16Array) => unknown,\n        thisArg?: any,\n    ): number;\n\n    /**\n     * Copies the array and returns the copy with the elements in reverse order.\n     */\n    toReversed(): Int16Array;\n\n    /**\n     * Copies and sorts the array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * const myNums = Int16Array.from([11, 2, -22, 1]);\n     * myNums.toSorted((a, b) => a - b) // Int16Array(4) [-22, 1, 2, 11]\n     * ```\n     */\n    toSorted(compareFn?: (a: number, b: number) => number): Int16Array;\n\n    /**\n     * Copies the array and inserts the given number at the provided index.\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to insert into the copied array.\n     * @returns A copy of the original array with the inserted value.\n     */\n    with(index: number, value: number): Int16Array;\n}\n\ninterface Uint16Array {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends number>(\n        predicate: (\n            value: number,\n            index: number,\n            array: Uint16Array,\n        ) => value is S,\n        thisArg?: any,\n    ): S | undefined;\n    findLast(\n        predicate: (\n            value: number,\n            index: number,\n            array: Uint16Array,\n        ) => unknown,\n        thisArg?: any,\n    ): number | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(\n        predicate: (\n            value: number,\n            index: number,\n            array: Uint16Array,\n        ) => unknown,\n        thisArg?: any,\n    ): number;\n\n    /**\n     * Copies the array and returns the copy with the elements in reverse order.\n     */\n    toReversed(): Uint16Array;\n\n    /**\n     * Copies and sorts the array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * const myNums = Uint16Array.from([11, 2, 22, 1]);\n     * myNums.toSorted((a, b) => a - b) // Uint16Array(4) [1, 2, 11, 22]\n     * ```\n     */\n    toSorted(compareFn?: (a: number, b: number) => number): Uint16Array;\n\n    /**\n     * Copies the array and inserts the given number at the provided index.\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to insert into the copied array.\n     * @returns A copy of the original array with the inserted value.\n     */\n    with(index: number, value: number): Uint16Array;\n}\n\ninterface Int32Array {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends number>(\n        predicate: (\n            value: number,\n            index: number,\n            array: Int32Array,\n        ) => value is S,\n        thisArg?: any,\n    ): S | undefined;\n    findLast(\n        predicate: (value: number, index: number, array: Int32Array) => unknown,\n        thisArg?: any,\n    ): number | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(\n        predicate: (value: number, index: number, array: Int32Array) => unknown,\n        thisArg?: any,\n    ): number;\n\n    /**\n     * Copies the array and returns the copy with the elements in reverse order.\n     */\n    toReversed(): Int32Array;\n\n    /**\n     * Copies and sorts the array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * const myNums = Int32Array.from([11, 2, -22, 1]);\n     * myNums.toSorted((a, b) => a - b) // Int32Array(4) [-22, 1, 2, 11]\n     * ```\n     */\n    toSorted(compareFn?: (a: number, b: number) => number): Int32Array;\n\n    /**\n     * Copies the array and inserts the given number at the provided index.\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to insert into the copied array.\n     * @returns A copy of the original array with the inserted value.\n     */\n    with(index: number, value: number): Int32Array;\n}\n\ninterface Uint32Array {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends number>(\n        predicate: (\n            value: number,\n            index: number,\n            array: Uint32Array,\n        ) => value is S,\n        thisArg?: any,\n    ): S | undefined;\n    findLast(\n        predicate: (\n            value: number,\n            index: number,\n            array: Uint32Array,\n        ) => unknown,\n        thisArg?: any,\n    ): number | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(\n        predicate: (\n            value: number,\n            index: number,\n            array: Uint32Array,\n        ) => unknown,\n        thisArg?: any,\n    ): number;\n\n    /**\n     * Copies the array and returns the copy with the elements in reverse order.\n     */\n    toReversed(): Uint32Array;\n\n    /**\n     * Copies and sorts the array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * const myNums = Uint32Array.from([11, 2, 22, 1]);\n     * myNums.toSorted((a, b) => a - b) // Uint32Array(4) [1, 2, 11, 22]\n     * ```\n     */\n    toSorted(compareFn?: (a: number, b: number) => number): Uint32Array;\n\n    /**\n     * Copies the array and inserts the given number at the provided index.\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to insert into the copied array.\n     * @returns A copy of the original array with the inserted value.\n     */\n    with(index: number, value: number): Uint32Array;\n}\n\ninterface Float32Array {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends number>(\n        predicate: (\n            value: number,\n            index: number,\n            array: Float32Array,\n        ) => value is S,\n        thisArg?: any,\n    ): S | undefined;\n    findLast(\n        predicate: (\n            value: number,\n            index: number,\n            array: Float32Array,\n        ) => unknown,\n        thisArg?: any,\n    ): number | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(\n        predicate: (\n            value: number,\n            index: number,\n            array: Float32Array,\n        ) => unknown,\n        thisArg?: any,\n    ): number;\n\n    /**\n     * Copies the array and returns the copy with the elements in reverse order.\n     */\n    toReversed(): Float32Array;\n\n    /**\n     * Copies and sorts the array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * const myNums = Float32Array.from([11.25, 2, -22.5, 1]);\n     * myNums.toSorted((a, b) => a - b) // Float32Array(4) [-22.5, 1, 2, 11.5]\n     * ```\n     */\n    toSorted(compareFn?: (a: number, b: number) => number): Float32Array;\n\n    /**\n     * Copies the array and inserts the given number at the provided index.\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to insert into the copied array.\n     * @returns A copy of the original array with the inserted value.\n     */\n    with(index: number, value: number): Float32Array;\n}\n\ninterface Float64Array {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends number>(\n        predicate: (\n            value: number,\n            index: number,\n            array: Float64Array,\n        ) => value is S,\n        thisArg?: any,\n    ): S | undefined;\n    findLast(\n        predicate: (\n            value: number,\n            index: number,\n            array: Float64Array,\n        ) => unknown,\n        thisArg?: any,\n    ): number | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(\n        predicate: (\n            value: number,\n            index: number,\n            array: Float64Array,\n        ) => unknown,\n        thisArg?: any,\n    ): number;\n\n    /**\n     * Copies the array and returns the copy with the elements in reverse order.\n     */\n    toReversed(): Float64Array;\n\n    /**\n     * Copies and sorts the array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * const myNums = Float64Array.from([11.25, 2, -22.5, 1]);\n     * myNums.toSorted((a, b) => a - b) // Float64Array(4) [-22.5, 1, 2, 11.5]\n     * ```\n     */\n    toSorted(compareFn?: (a: number, b: number) => number): Float64Array;\n\n    /**\n     * Copies the array and inserts the given number at the provided index.\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to insert into the copied array.\n     * @returns A copy of the original array with the inserted value.\n     */\n    with(index: number, value: number): Float64Array;\n}\n\ninterface BigInt64Array {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends bigint>(\n        predicate: (\n            value: bigint,\n            index: number,\n            array: BigInt64Array,\n        ) => value is S,\n        thisArg?: any,\n    ): S | undefined;\n    findLast(\n        predicate: (\n            value: bigint,\n            index: number,\n            array: BigInt64Array,\n        ) => unknown,\n        thisArg?: any,\n    ): bigint | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(\n        predicate: (\n            value: bigint,\n            index: number,\n            array: BigInt64Array,\n        ) => unknown,\n        thisArg?: any,\n    ): number;\n\n    /**\n     * Copies the array and returns the copy with the elements in reverse order.\n     */\n    toReversed(): BigInt64Array;\n\n    /**\n     * Copies and sorts the array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * const myNums = BigInt64Array.from([11n, 2n, -22n, 1n]);\n     * myNums.toSorted((a, b) => Number(a - b)) // BigInt64Array(4) [-22n, 1n, 2n, 11n]\n     * ```\n     */\n    toSorted(compareFn?: (a: bigint, b: bigint) => number): BigInt64Array;\n\n    /**\n     * Copies the array and inserts the given bigint at the provided index.\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to insert into the copied array.\n     * @returns A copy of the original array with the inserted value.\n     */\n    with(index: number, value: bigint): BigInt64Array;\n}\n\ninterface BigUint64Array {\n    /**\n     * Returns the value of the last element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate findLast calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found, findLast\n     * immediately returns that element value. Otherwise, findLast returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLast<S extends bigint>(\n        predicate: (\n            value: bigint,\n            index: number,\n            array: BigUint64Array,\n        ) => value is S,\n        thisArg?: any,\n    ): S | undefined;\n    findLast(\n        predicate: (\n            value: bigint,\n            index: number,\n            array: BigUint64Array,\n        ) => unknown,\n        thisArg?: any,\n    ): bigint | undefined;\n\n    /**\n     * Returns the index of the last element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate findLastIndex calls predicate once for each element of the array, in descending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findLastIndex(\n        predicate: (\n            value: bigint,\n            index: number,\n            array: BigUint64Array,\n        ) => unknown,\n        thisArg?: any,\n    ): number;\n\n    /**\n     * Copies the array and returns the copy with the elements in reverse order.\n     */\n    toReversed(): BigUint64Array;\n\n    /**\n     * Copies and sorts the array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they're equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * const myNums = BigUint64Array.from([11n, 2n, 22n, 1n]);\n     * myNums.toSorted((a, b) => Number(a - b)) // BigUint64Array(4) [1n, 2n, 11n, 22n]\n     * ```\n     */\n    toSorted(compareFn?: (a: bigint, b: bigint) => number): BigUint64Array;\n\n    /**\n     * Copies the array and inserts the given bigint at the provided index.\n     * @param index The index of the value to overwrite. If the index is\n     * negative, then it replaces from the end of the array.\n     * @param value The value to insert into the copied array.\n     * @returns A copy of the original array with the inserted value.\n     */\n    with(index: number, value: bigint): BigUint64Array;\n}\n",Li["lib.es2023.collection.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface WeakKeyTypes {\n    symbol: symbol;\n}\n',Li["lib.es2023.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2022" />\n/// <reference lib="es2023.array" />\n/// <reference lib="es2023.collection" />\n',Li["lib.es2023.full.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2023" />\n/// <reference lib="dom" />\n/// <reference lib="webworker.importscripts" />\n/// <reference lib="scripthost" />\n/// <reference lib="dom.iterable" />\n/// <reference lib="dom.asynciterable" />\n',Li["lib.es5.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="decorators" />\n/// <reference lib="decorators.legacy" />\n\n/////////////////////////////\n/// ECMAScript APIs\n/////////////////////////////\n\ndeclare var NaN: number;\ndeclare var Infinity: number;\n\n/**\n * Evaluates JavaScript code and executes it.\n * @param x A String value that contains valid JavaScript code.\n */\ndeclare function eval(x: string): any;\n\n/**\n * Converts a string to an integer.\n * @param string A string to convert into a number.\n * @param radix A value between 2 and 36 that specifies the base of the number in `string`.\n * If this argument is not supplied, strings with a prefix of \'0x\' are considered hexadecimal.\n * All other strings are considered decimal.\n */\ndeclare function parseInt(string: string, radix?: number): number;\n\n/**\n * Converts a string to a floating-point number.\n * @param string A string that contains a floating-point number.\n */\ndeclare function parseFloat(string: string): number;\n\n/**\n * Returns a Boolean value that indicates whether a value is the reserved value NaN (not a number).\n * @param number A numeric value.\n */\ndeclare function isNaN(number: number): boolean;\n\n/**\n * Determines whether a supplied number is finite.\n * @param number Any numeric value.\n */\ndeclare function isFinite(number: number): boolean;\n\n/**\n * Gets the unencoded version of an encoded Uniform Resource Identifier (URI).\n * @param encodedURI A value representing an encoded URI.\n */\ndeclare function decodeURI(encodedURI: string): string;\n\n/**\n * Gets the unencoded version of an encoded component of a Uniform Resource Identifier (URI).\n * @param encodedURIComponent A value representing an encoded URI component.\n */\ndeclare function decodeURIComponent(encodedURIComponent: string): string;\n\n/**\n * Encodes a text string as a valid Uniform Resource Identifier (URI)\n * @param uri A value representing an unencoded URI.\n */\ndeclare function encodeURI(uri: string): string;\n\n/**\n * Encodes a text string as a valid component of a Uniform Resource Identifier (URI).\n * @param uriComponent A value representing an unencoded URI component.\n */\ndeclare function encodeURIComponent(uriComponent: string | number | boolean): string;\n\n/**\n * Computes a new string in which certain characters have been replaced by a hexadecimal escape sequence.\n * @deprecated A legacy feature for browser compatibility\n * @param string A string value\n */\ndeclare function escape(string: string): string;\n\n/**\n * Computes a new string in which hexadecimal escape sequences are replaced with the character that it represents.\n * @deprecated A legacy feature for browser compatibility\n * @param string A string value\n */\ndeclare function unescape(string: string): string;\n\ninterface Symbol {\n    /** Returns a string representation of an object. */\n    toString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): symbol;\n}\n\ndeclare type PropertyKey = string | number | symbol;\n\ninterface PropertyDescriptor {\n    configurable?: boolean;\n    enumerable?: boolean;\n    value?: any;\n    writable?: boolean;\n    get?(): any;\n    set?(v: any): void;\n}\n\ninterface PropertyDescriptorMap {\n    [key: PropertyKey]: PropertyDescriptor;\n}\n\ninterface Object {\n    /** The initial value of Object.prototype.constructor is the standard built-in Object constructor. */\n    constructor: Function;\n\n    /** Returns a string representation of an object. */\n    toString(): string;\n\n    /** Returns a date converted to a string using the current locale. */\n    toLocaleString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): Object;\n\n    /**\n     * Determines whether an object has a property with the specified name.\n     * @param v A property name.\n     */\n    hasOwnProperty(v: PropertyKey): boolean;\n\n    /**\n     * Determines whether an object exists in another object\'s prototype chain.\n     * @param v Another object whose prototype chain is to be checked.\n     */\n    isPrototypeOf(v: Object): boolean;\n\n    /**\n     * Determines whether a specified property is enumerable.\n     * @param v A property name.\n     */\n    propertyIsEnumerable(v: PropertyKey): boolean;\n}\n\ninterface ObjectConstructor {\n    new (value?: any): Object;\n    (): any;\n    (value: any): any;\n\n    /** A reference to the prototype for a class of objects. */\n    readonly prototype: Object;\n\n    /**\n     * Returns the prototype of an object.\n     * @param o The object that references the prototype.\n     */\n    getPrototypeOf(o: any): any;\n\n    /**\n     * Gets the own property descriptor of the specified object.\n     * An own property descriptor is one that is defined directly on the object and is not inherited from the object\'s prototype.\n     * @param o Object that contains the property.\n     * @param p Name of the property.\n     */\n    getOwnPropertyDescriptor(o: any, p: PropertyKey): PropertyDescriptor | undefined;\n\n    /**\n     * Returns the names of the own properties of an object. The own properties of an object are those that are defined directly\n     * on that object, and are not inherited from the object\'s prototype. The properties of an object include both fields (objects) and functions.\n     * @param o Object that contains the own properties.\n     */\n    getOwnPropertyNames(o: any): string[];\n\n    /**\n     * Creates an object that has the specified prototype or that has null prototype.\n     * @param o Object to use as a prototype. May be null.\n     */\n    create(o: object | null): any;\n\n    /**\n     * Creates an object that has the specified prototype, and that optionally contains specified properties.\n     * @param o Object to use as a prototype. May be null\n     * @param properties JavaScript object that contains one or more property descriptors.\n     */\n    create(o: object | null, properties: PropertyDescriptorMap & ThisType<any>): any;\n\n    /**\n     * Adds a property to an object, or modifies attributes of an existing property.\n     * @param o Object on which to add or modify the property. This can be a native JavaScript object (that is, a user-defined object or a built in object) or a DOM object.\n     * @param p The property name.\n     * @param attributes Descriptor for the property. It can be for a data property or an accessor property.\n     */\n    defineProperty<T>(o: T, p: PropertyKey, attributes: PropertyDescriptor & ThisType<any>): T;\n\n    /**\n     * Adds one or more properties to an object, and/or modifies attributes of existing properties.\n     * @param o Object on which to add or modify the properties. This can be a native JavaScript object or a DOM object.\n     * @param properties JavaScript object that contains one or more descriptor objects. Each descriptor object describes a data property or an accessor property.\n     */\n    defineProperties<T>(o: T, properties: PropertyDescriptorMap & ThisType<any>): T;\n\n    /**\n     * Prevents the modification of attributes of existing properties, and prevents the addition of new properties.\n     * @param o Object on which to lock the attributes.\n     */\n    seal<T>(o: T): T;\n\n    /**\n     * Prevents the modification of existing property attributes and values, and prevents the addition of new properties.\n     * @param f Object on which to lock the attributes.\n     */\n    freeze<T extends Function>(f: T): T;\n\n    /**\n     * Prevents the modification of existing property attributes and values, and prevents the addition of new properties.\n     * @param o Object on which to lock the attributes.\n     */\n    freeze<T extends { [idx: string]: U | null | undefined | object; }, U extends string | bigint | number | boolean | symbol>(o: T): Readonly<T>;\n\n    /**\n     * Prevents the modification of existing property attributes and values, and prevents the addition of new properties.\n     * @param o Object on which to lock the attributes.\n     */\n    freeze<T>(o: T): Readonly<T>;\n\n    /**\n     * Prevents the addition of new properties to an object.\n     * @param o Object to make non-extensible.\n     */\n    preventExtensions<T>(o: T): T;\n\n    /**\n     * Returns true if existing property attributes cannot be modified in an object and new properties cannot be added to the object.\n     * @param o Object to test.\n     */\n    isSealed(o: any): boolean;\n\n    /**\n     * Returns true if existing property attributes and values cannot be modified in an object, and new properties cannot be added to the object.\n     * @param o Object to test.\n     */\n    isFrozen(o: any): boolean;\n\n    /**\n     * Returns a value that indicates whether new properties can be added to an object.\n     * @param o Object to test.\n     */\n    isExtensible(o: any): boolean;\n\n    /**\n     * Returns the names of the enumerable string properties and methods of an object.\n     * @param o Object that contains the properties and methods. This can be an object that you created or an existing Document Object Model (DOM) object.\n     */\n    keys(o: object): string[];\n}\n\n/**\n * Provides functionality common to all JavaScript objects.\n */\ndeclare var Object: ObjectConstructor;\n\n/**\n * Creates a new function.\n */\ninterface Function {\n    /**\n     * Calls the function, substituting the specified object for the this value of the function, and the specified array for the arguments of the function.\n     * @param thisArg The object to be used as the this object.\n     * @param argArray A set of arguments to be passed to the function.\n     */\n    apply(this: Function, thisArg: any, argArray?: any): any;\n\n    /**\n     * Calls a method of an object, substituting another object for the current object.\n     * @param thisArg The object to be used as the current object.\n     * @param argArray A list of arguments to be passed to the method.\n     */\n    call(this: Function, thisArg: any, ...argArray: any[]): any;\n\n    /**\n     * For a given function, creates a bound function that has the same body as the original function.\n     * The this object of the bound function is associated with the specified object, and has the specified initial parameters.\n     * @param thisArg An object to which the this keyword can refer inside the new function.\n     * @param argArray A list of arguments to be passed to the new function.\n     */\n    bind(this: Function, thisArg: any, ...argArray: any[]): any;\n\n    /** Returns a string representation of a function. */\n    toString(): string;\n\n    prototype: any;\n    readonly length: number;\n\n    // Non-standard extensions\n    arguments: any;\n    caller: Function;\n}\n\ninterface FunctionConstructor {\n    /**\n     * Creates a new function.\n     * @param args A list of arguments the function accepts.\n     */\n    new (...args: string[]): Function;\n    (...args: string[]): Function;\n    readonly prototype: Function;\n}\n\ndeclare var Function: FunctionConstructor;\n\n/**\n * Extracts the type of the \'this\' parameter of a function type, or \'unknown\' if the function type has no \'this\' parameter.\n */\ntype ThisParameterType<T> = T extends (this: infer U, ...args: never) => any ? U : unknown;\n\n/**\n * Removes the \'this\' parameter from a function type.\n */\ntype OmitThisParameter<T> = unknown extends ThisParameterType<T> ? T : T extends (...args: infer A) => infer R ? (...args: A) => R : T;\n\ninterface CallableFunction extends Function {\n    /**\n     * Calls the function with the specified object as the this value and the elements of specified array as the arguments.\n     * @param thisArg The object to be used as the this object.\n     */\n    apply<T, R>(this: (this: T) => R, thisArg: T): R;\n\n    /**\n     * Calls the function with the specified object as the this value and the elements of specified array as the arguments.\n     * @param thisArg The object to be used as the this object.\n     * @param args An array of argument values to be passed to the function.\n     */\n    apply<T, A extends any[], R>(this: (this: T, ...args: A) => R, thisArg: T, args: A): R;\n\n    /**\n     * Calls the function with the specified object as the this value and the specified rest arguments as the arguments.\n     * @param thisArg The object to be used as the this object.\n     * @param args Argument values to be passed to the function.\n     */\n    call<T, A extends any[], R>(this: (this: T, ...args: A) => R, thisArg: T, ...args: A): R;\n\n    /**\n     * For a given function, creates a bound function that has the same body as the original function.\n     * The this object of the bound function is associated with the specified object, and has the specified initial parameters.\n     * @param thisArg The object to be used as the this object.\n     */\n    bind<T>(this: T, thisArg: ThisParameterType<T>): OmitThisParameter<T>;\n\n    /**\n     * For a given function, creates a bound function that has the same body as the original function.\n     * The this object of the bound function is associated with the specified object, and has the specified initial parameters.\n     * @param thisArg The object to be used as the this object.\n     * @param args Arguments to bind to the parameters of the function.\n     */\n    bind<T, A extends any[], B extends any[], R>(this: (this: T, ...args: [...A, ...B]) => R, thisArg: T, ...args: A): (...args: B) => R;\n}\n\ninterface NewableFunction extends Function {\n    /**\n     * Calls the function with the specified object as the this value and the elements of specified array as the arguments.\n     * @param thisArg The object to be used as the this object.\n     */\n    apply<T>(this: new () => T, thisArg: T): void;\n    /**\n     * Calls the function with the specified object as the this value and the elements of specified array as the arguments.\n     * @param thisArg The object to be used as the this object.\n     * @param args An array of argument values to be passed to the function.\n     */\n    apply<T, A extends any[]>(this: new (...args: A) => T, thisArg: T, args: A): void;\n\n    /**\n     * Calls the function with the specified object as the this value and the specified rest arguments as the arguments.\n     * @param thisArg The object to be used as the this object.\n     * @param args Argument values to be passed to the function.\n     */\n    call<T, A extends any[]>(this: new (...args: A) => T, thisArg: T, ...args: A): void;\n\n    /**\n     * For a given function, creates a bound function that has the same body as the original function.\n     * The this object of the bound function is associated with the specified object, and has the specified initial parameters.\n     * @param thisArg The object to be used as the this object.\n     */\n    bind<T>(this: T, thisArg: any): T;\n\n    /**\n     * For a given function, creates a bound function that has the same body as the original function.\n     * The this object of the bound function is associated with the specified object, and has the specified initial parameters.\n     * @param thisArg The object to be used as the this object.\n     * @param args Arguments to bind to the parameters of the function.\n     */\n    bind<A extends any[], B extends any[], R>(this: new (...args: [...A, ...B]) => R, thisArg: any, ...args: A): new (...args: B) => R;\n}\n\ninterface IArguments {\n    [index: number]: any;\n    length: number;\n    callee: Function;\n}\n\ninterface String {\n    /** Returns a string representation of a string. */\n    toString(): string;\n\n    /**\n     * Returns the character at the specified index.\n     * @param pos The zero-based index of the desired character.\n     */\n    charAt(pos: number): string;\n\n    /**\n     * Returns the Unicode value of the character at the specified location.\n     * @param index The zero-based index of the desired character. If there is no character at the specified index, NaN is returned.\n     */\n    charCodeAt(index: number): number;\n\n    /**\n     * Returns a string that contains the concatenation of two or more strings.\n     * @param strings The strings to append to the end of the string.\n     */\n    concat(...strings: string[]): string;\n\n    /**\n     * Returns the position of the first occurrence of a substring.\n     * @param searchString The substring to search for in the string\n     * @param position The index at which to begin searching the String object. If omitted, search starts at the beginning of the string.\n     */\n    indexOf(searchString: string, position?: number): number;\n\n    /**\n     * Returns the last occurrence of a substring in the string.\n     * @param searchString The substring to search for.\n     * @param position The index at which to begin searching. If omitted, the search begins at the end of the string.\n     */\n    lastIndexOf(searchString: string, position?: number): number;\n\n    /**\n     * Determines whether two strings are equivalent in the current locale.\n     * @param that String to compare to target string\n     */\n    localeCompare(that: string): number;\n\n    /**\n     * Matches a string with a regular expression, and returns an array containing the results of that search.\n     * @param regexp A variable name or string literal containing the regular expression pattern and flags.\n     */\n    match(regexp: string | RegExp): RegExpMatchArray | null;\n\n    /**\n     * Replaces text in a string, using a regular expression or search string.\n     * @param searchValue A string or regular expression to search for.\n     * @param replaceValue A string containing the text to replace. When the {@linkcode searchValue} is a `RegExp`, all matches are replaced if the `g` flag is set (or only those matches at the beginning, if the `y` flag is also present). Otherwise, only the first match of {@linkcode searchValue} is replaced.\n     */\n    replace(searchValue: string | RegExp, replaceValue: string): string;\n\n    /**\n     * Replaces text in a string, using a regular expression or search string.\n     * @param searchValue A string to search for.\n     * @param replacer A function that returns the replacement text.\n     */\n    replace(searchValue: string | RegExp, replacer: (substring: string, ...args: any[]) => string): string;\n\n    /**\n     * Finds the first substring match in a regular expression search.\n     * @param regexp The regular expression pattern and applicable flags.\n     */\n    search(regexp: string | RegExp): number;\n\n    /**\n     * Returns a section of a string.\n     * @param start The index to the beginning of the specified portion of stringObj.\n     * @param end The index to the end of the specified portion of stringObj. The substring includes the characters up to, but not including, the character indicated by end.\n     * If this value is not specified, the substring continues to the end of stringObj.\n     */\n    slice(start?: number, end?: number): string;\n\n    /**\n     * Split a string into substrings using the specified separator and return them as an array.\n     * @param separator A string that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned.\n     * @param limit A value used to limit the number of elements returned in the array.\n     */\n    split(separator: string | RegExp, limit?: number): string[];\n\n    /**\n     * Returns the substring at the specified location within a String object.\n     * @param start The zero-based index number indicating the beginning of the substring.\n     * @param end Zero-based index number indicating the end of the substring. The substring includes the characters up to, but not including, the character indicated by end.\n     * If end is omitted, the characters from start through the end of the original string are returned.\n     */\n    substring(start: number, end?: number): string;\n\n    /** Converts all the alphabetic characters in a string to lowercase. */\n    toLowerCase(): string;\n\n    /** Converts all alphabetic characters to lowercase, taking into account the host environment\'s current locale. */\n    toLocaleLowerCase(locales?: string | string[]): string;\n\n    /** Converts all the alphabetic characters in a string to uppercase. */\n    toUpperCase(): string;\n\n    /** Returns a string where all alphabetic characters have been converted to uppercase, taking into account the host environment\'s current locale. */\n    toLocaleUpperCase(locales?: string | string[]): string;\n\n    /** Removes the leading and trailing white space and line terminator characters from a string. */\n    trim(): string;\n\n    /** Returns the length of a String object. */\n    readonly length: number;\n\n    // IE extensions\n    /**\n     * Gets a substring beginning at the specified location and having the specified length.\n     * @deprecated A legacy feature for browser compatibility\n     * @param from The starting position of the desired substring. The index of the first character in the string is zero.\n     * @param length The number of characters to include in the returned substring.\n     */\n    substr(from: number, length?: number): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): string;\n\n    readonly [index: number]: string;\n}\n\ninterface StringConstructor {\n    new (value?: any): String;\n    (value?: any): string;\n    readonly prototype: String;\n    fromCharCode(...codes: number[]): string;\n}\n\n/**\n * Allows manipulation and formatting of text strings and determination and location of substrings within strings.\n */\ndeclare var String: StringConstructor;\n\ninterface Boolean {\n    /** Returns the primitive value of the specified object. */\n    valueOf(): boolean;\n}\n\ninterface BooleanConstructor {\n    new (value?: any): Boolean;\n    <T>(value?: T): boolean;\n    readonly prototype: Boolean;\n}\n\ndeclare var Boolean: BooleanConstructor;\n\ninterface Number {\n    /**\n     * Returns a string representation of an object.\n     * @param radix Specifies a radix for converting numeric values to strings. This value is only used for numbers.\n     */\n    toString(radix?: number): string;\n\n    /**\n     * Returns a string representing a number in fixed-point notation.\n     * @param fractionDigits Number of digits after the decimal point. Must be in the range 0 - 20, inclusive.\n     */\n    toFixed(fractionDigits?: number): string;\n\n    /**\n     * Returns a string containing a number represented in exponential notation.\n     * @param fractionDigits Number of digits after the decimal point. Must be in the range 0 - 20, inclusive.\n     */\n    toExponential(fractionDigits?: number): string;\n\n    /**\n     * Returns a string containing a number represented either in exponential or fixed-point notation with a specified number of digits.\n     * @param precision Number of significant digits. Must be in the range 1 - 21, inclusive.\n     */\n    toPrecision(precision?: number): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): number;\n}\n\ninterface NumberConstructor {\n    new (value?: any): Number;\n    (value?: any): number;\n    readonly prototype: Number;\n\n    /** The largest number that can be represented in JavaScript. Equal to approximately 1.79E+308. */\n    readonly MAX_VALUE: number;\n\n    /** The closest number to zero that can be represented in JavaScript. Equal to approximately 5.00E-324. */\n    readonly MIN_VALUE: number;\n\n    /**\n     * A value that is not a number.\n     * In equality comparisons, NaN does not equal any value, including itself. To test whether a value is equivalent to NaN, use the isNaN function.\n     */\n    readonly NaN: number;\n\n    /**\n     * A value that is less than the largest negative number that can be represented in JavaScript.\n     * JavaScript displays NEGATIVE_INFINITY values as -infinity.\n     */\n    readonly NEGATIVE_INFINITY: number;\n\n    /**\n     * A value greater than the largest number that can be represented in JavaScript.\n     * JavaScript displays POSITIVE_INFINITY values as infinity.\n     */\n    readonly POSITIVE_INFINITY: number;\n}\n\n/** An object that represents a number of any kind. All JavaScript numbers are 64-bit floating-point numbers. */\ndeclare var Number: NumberConstructor;\n\ninterface TemplateStringsArray extends ReadonlyArray<string> {\n    readonly raw: readonly string[];\n}\n\n/**\n * The type of `import.meta`.\n *\n * If you need to declare that a given property exists on `import.meta`,\n * this type may be augmented via interface merging.\n */\ninterface ImportMeta {\n}\n\n/**\n * The type for the optional second argument to `import()`.\n *\n * If your host environment supports additional options, this type may be\n * augmented via interface merging.\n */\ninterface ImportCallOptions {\n    /** @deprecated*/ assert?: ImportAssertions;\n    with?: ImportAttributes;\n}\n\n/**\n * The type for the `assert` property of the optional second argument to `import()`.\n * @deprecated\n */\ninterface ImportAssertions {\n    [key: string]: string;\n}\n\n/**\n * The type for the `with` property of the optional second argument to `import()`.\n */\ninterface ImportAttributes {\n    [key: string]: string;\n}\n\ninterface Math {\n    /** The mathematical constant e. This is Euler\'s number, the base of natural logarithms. */\n    readonly E: number;\n    /** The natural logarithm of 10. */\n    readonly LN10: number;\n    /** The natural logarithm of 2. */\n    readonly LN2: number;\n    /** The base-2 logarithm of e. */\n    readonly LOG2E: number;\n    /** The base-10 logarithm of e. */\n    readonly LOG10E: number;\n    /** Pi. This is the ratio of the circumference of a circle to its diameter. */\n    readonly PI: number;\n    /** The square root of 0.5, or, equivalently, one divided by the square root of 2. */\n    readonly SQRT1_2: number;\n    /** The square root of 2. */\n    readonly SQRT2: number;\n    /**\n     * Returns the absolute value of a number (the value without regard to whether it is positive or negative).\n     * For example, the absolute value of -5 is the same as the absolute value of 5.\n     * @param x A numeric expression for which the absolute value is needed.\n     */\n    abs(x: number): number;\n    /**\n     * Returns the arc cosine (or inverse cosine) of a number.\n     * @param x A numeric expression.\n     */\n    acos(x: number): number;\n    /**\n     * Returns the arcsine of a number.\n     * @param x A numeric expression.\n     */\n    asin(x: number): number;\n    /**\n     * Returns the arctangent of a number.\n     * @param x A numeric expression for which the arctangent is needed.\n     */\n    atan(x: number): number;\n    /**\n     * Returns the angle (in radians) from the X axis to a point.\n     * @param y A numeric expression representing the cartesian y-coordinate.\n     * @param x A numeric expression representing the cartesian x-coordinate.\n     */\n    atan2(y: number, x: number): number;\n    /**\n     * Returns the smallest integer greater than or equal to its numeric argument.\n     * @param x A numeric expression.\n     */\n    ceil(x: number): number;\n    /**\n     * Returns the cosine of a number.\n     * @param x A numeric expression that contains an angle measured in radians.\n     */\n    cos(x: number): number;\n    /**\n     * Returns e (the base of natural logarithms) raised to a power.\n     * @param x A numeric expression representing the power of e.\n     */\n    exp(x: number): number;\n    /**\n     * Returns the greatest integer less than or equal to its numeric argument.\n     * @param x A numeric expression.\n     */\n    floor(x: number): number;\n    /**\n     * Returns the natural logarithm (base e) of a number.\n     * @param x A numeric expression.\n     */\n    log(x: number): number;\n    /**\n     * Returns the larger of a set of supplied numeric expressions.\n     * @param values Numeric expressions to be evaluated.\n     */\n    max(...values: number[]): number;\n    /**\n     * Returns the smaller of a set of supplied numeric expressions.\n     * @param values Numeric expressions to be evaluated.\n     */\n    min(...values: number[]): number;\n    /**\n     * Returns the value of a base expression taken to a specified power.\n     * @param x The base value of the expression.\n     * @param y The exponent value of the expression.\n     */\n    pow(x: number, y: number): number;\n    /** Returns a pseudorandom number between 0 and 1. */\n    random(): number;\n    /**\n     * Returns a supplied numeric expression rounded to the nearest integer.\n     * @param x The value to be rounded to the nearest integer.\n     */\n    round(x: number): number;\n    /**\n     * Returns the sine of a number.\n     * @param x A numeric expression that contains an angle measured in radians.\n     */\n    sin(x: number): number;\n    /**\n     * Returns the square root of a number.\n     * @param x A numeric expression.\n     */\n    sqrt(x: number): number;\n    /**\n     * Returns the tangent of a number.\n     * @param x A numeric expression that contains an angle measured in radians.\n     */\n    tan(x: number): number;\n}\n/** An intrinsic object that provides basic mathematics functionality and constants. */\ndeclare var Math: Math;\n\n/** Enables basic storage and retrieval of dates and times. */\ninterface Date {\n    /** Returns a string representation of a date. The format of the string depends on the locale. */\n    toString(): string;\n    /** Returns a date as a string value. */\n    toDateString(): string;\n    /** Returns a time as a string value. */\n    toTimeString(): string;\n    /** Returns a value as a string value appropriate to the host environment\'s current locale. */\n    toLocaleString(): string;\n    /** Returns a date as a string value appropriate to the host environment\'s current locale. */\n    toLocaleDateString(): string;\n    /** Returns a time as a string value appropriate to the host environment\'s current locale. */\n    toLocaleTimeString(): string;\n    /** Returns the stored time value in milliseconds since midnight, January 1, 1970 UTC. */\n    valueOf(): number;\n    /** Returns the stored time value in milliseconds since midnight, January 1, 1970 UTC. */\n    getTime(): number;\n    /** Gets the year, using local time. */\n    getFullYear(): number;\n    /** Gets the year using Universal Coordinated Time (UTC). */\n    getUTCFullYear(): number;\n    /** Gets the month, using local time. */\n    getMonth(): number;\n    /** Gets the month of a Date object using Universal Coordinated Time (UTC). */\n    getUTCMonth(): number;\n    /** Gets the day-of-the-month, using local time. */\n    getDate(): number;\n    /** Gets the day-of-the-month, using Universal Coordinated Time (UTC). */\n    getUTCDate(): number;\n    /** Gets the day of the week, using local time. */\n    getDay(): number;\n    /** Gets the day of the week using Universal Coordinated Time (UTC). */\n    getUTCDay(): number;\n    /** Gets the hours in a date, using local time. */\n    getHours(): number;\n    /** Gets the hours value in a Date object using Universal Coordinated Time (UTC). */\n    getUTCHours(): number;\n    /** Gets the minutes of a Date object, using local time. */\n    getMinutes(): number;\n    /** Gets the minutes of a Date object using Universal Coordinated Time (UTC). */\n    getUTCMinutes(): number;\n    /** Gets the seconds of a Date object, using local time. */\n    getSeconds(): number;\n    /** Gets the seconds of a Date object using Universal Coordinated Time (UTC). */\n    getUTCSeconds(): number;\n    /** Gets the milliseconds of a Date, using local time. */\n    getMilliseconds(): number;\n    /** Gets the milliseconds of a Date object using Universal Coordinated Time (UTC). */\n    getUTCMilliseconds(): number;\n    /** Gets the difference in minutes between the time on the local computer and Universal Coordinated Time (UTC). */\n    getTimezoneOffset(): number;\n    /**\n     * Sets the date and time value in the Date object.\n     * @param time A numeric value representing the number of elapsed milliseconds since midnight, January 1, 1970 GMT.\n     */\n    setTime(time: number): number;\n    /**\n     * Sets the milliseconds value in the Date object using local time.\n     * @param ms A numeric value equal to the millisecond value.\n     */\n    setMilliseconds(ms: number): number;\n    /**\n     * Sets the milliseconds value in the Date object using Universal Coordinated Time (UTC).\n     * @param ms A numeric value equal to the millisecond value.\n     */\n    setUTCMilliseconds(ms: number): number;\n\n    /**\n     * Sets the seconds value in the Date object using local time.\n     * @param sec A numeric value equal to the seconds value.\n     * @param ms A numeric value equal to the milliseconds value.\n     */\n    setSeconds(sec: number, ms?: number): number;\n    /**\n     * Sets the seconds value in the Date object using Universal Coordinated Time (UTC).\n     * @param sec A numeric value equal to the seconds value.\n     * @param ms A numeric value equal to the milliseconds value.\n     */\n    setUTCSeconds(sec: number, ms?: number): number;\n    /**\n     * Sets the minutes value in the Date object using local time.\n     * @param min A numeric value equal to the minutes value.\n     * @param sec A numeric value equal to the seconds value.\n     * @param ms A numeric value equal to the milliseconds value.\n     */\n    setMinutes(min: number, sec?: number, ms?: number): number;\n    /**\n     * Sets the minutes value in the Date object using Universal Coordinated Time (UTC).\n     * @param min A numeric value equal to the minutes value.\n     * @param sec A numeric value equal to the seconds value.\n     * @param ms A numeric value equal to the milliseconds value.\n     */\n    setUTCMinutes(min: number, sec?: number, ms?: number): number;\n    /**\n     * Sets the hour value in the Date object using local time.\n     * @param hours A numeric value equal to the hours value.\n     * @param min A numeric value equal to the minutes value.\n     * @param sec A numeric value equal to the seconds value.\n     * @param ms A numeric value equal to the milliseconds value.\n     */\n    setHours(hours: number, min?: number, sec?: number, ms?: number): number;\n    /**\n     * Sets the hours value in the Date object using Universal Coordinated Time (UTC).\n     * @param hours A numeric value equal to the hours value.\n     * @param min A numeric value equal to the minutes value.\n     * @param sec A numeric value equal to the seconds value.\n     * @param ms A numeric value equal to the milliseconds value.\n     */\n    setUTCHours(hours: number, min?: number, sec?: number, ms?: number): number;\n    /**\n     * Sets the numeric day-of-the-month value of the Date object using local time.\n     * @param date A numeric value equal to the day of the month.\n     */\n    setDate(date: number): number;\n    /**\n     * Sets the numeric day of the month in the Date object using Universal Coordinated Time (UTC).\n     * @param date A numeric value equal to the day of the month.\n     */\n    setUTCDate(date: number): number;\n    /**\n     * Sets the month value in the Date object using local time.\n     * @param month A numeric value equal to the month. The value for January is 0, and other month values follow consecutively.\n     * @param date A numeric value representing the day of the month. If this value is not supplied, the value from a call to the getDate method is used.\n     */\n    setMonth(month: number, date?: number): number;\n    /**\n     * Sets the month value in the Date object using Universal Coordinated Time (UTC).\n     * @param month A numeric value equal to the month. The value for January is 0, and other month values follow consecutively.\n     * @param date A numeric value representing the day of the month. If it is not supplied, the value from a call to the getUTCDate method is used.\n     */\n    setUTCMonth(month: number, date?: number): number;\n    /**\n     * Sets the year of the Date object using local time.\n     * @param year A numeric value for the year.\n     * @param month A zero-based numeric value for the month (0 for January, 11 for December). Must be specified if numDate is specified.\n     * @param date A numeric value equal for the day of the month.\n     */\n    setFullYear(year: number, month?: number, date?: number): number;\n    /**\n     * Sets the year value in the Date object using Universal Coordinated Time (UTC).\n     * @param year A numeric value equal to the year.\n     * @param month A numeric value equal to the month. The value for January is 0, and other month values follow consecutively. Must be supplied if numDate is supplied.\n     * @param date A numeric value equal to the day of the month.\n     */\n    setUTCFullYear(year: number, month?: number, date?: number): number;\n    /** Returns a date converted to a string using Universal Coordinated Time (UTC). */\n    toUTCString(): string;\n    /** Returns a date as a string value in ISO format. */\n    toISOString(): string;\n    /** Used by the JSON.stringify method to enable the transformation of an object\'s data for JavaScript Object Notation (JSON) serialization. */\n    toJSON(key?: any): string;\n}\n\ninterface DateConstructor {\n    new (): Date;\n    new (value: number | string): Date;\n    /**\n     * Creates a new Date.\n     * @param year The full year designation is required for cross-century date accuracy. If year is between 0 and 99 is used, then year is assumed to be 1900 + year.\n     * @param monthIndex The month as a number between 0 and 11 (January to December).\n     * @param date The date as a number between 1 and 31.\n     * @param hours Must be supplied if minutes is supplied. A number from 0 to 23 (midnight to 11pm) that specifies the hour.\n     * @param minutes Must be supplied if seconds is supplied. A number from 0 to 59 that specifies the minutes.\n     * @param seconds Must be supplied if milliseconds is supplied. A number from 0 to 59 that specifies the seconds.\n     * @param ms A number from 0 to 999 that specifies the milliseconds.\n     */\n    new (year: number, monthIndex: number, date?: number, hours?: number, minutes?: number, seconds?: number, ms?: number): Date;\n    (): string;\n    readonly prototype: Date;\n    /**\n     * Parses a string containing a date, and returns the number of milliseconds between that date and midnight, January 1, 1970.\n     * @param s A date string\n     */\n    parse(s: string): number;\n    /**\n     * Returns the number of milliseconds between midnight, January 1, 1970 Universal Coordinated Time (UTC) (or GMT) and the specified date.\n     * @param year The full year designation is required for cross-century date accuracy. If year is between 0 and 99 is used, then year is assumed to be 1900 + year.\n     * @param monthIndex The month as a number between 0 and 11 (January to December).\n     * @param date The date as a number between 1 and 31.\n     * @param hours Must be supplied if minutes is supplied. A number from 0 to 23 (midnight to 11pm) that specifies the hour.\n     * @param minutes Must be supplied if seconds is supplied. A number from 0 to 59 that specifies the minutes.\n     * @param seconds Must be supplied if milliseconds is supplied. A number from 0 to 59 that specifies the seconds.\n     * @param ms A number from 0 to 999 that specifies the milliseconds.\n     */\n    UTC(year: number, monthIndex: number, date?: number, hours?: number, minutes?: number, seconds?: number, ms?: number): number;\n    /** Returns the number of milliseconds elapsed since midnight, January 1, 1970 Universal Coordinated Time (UTC). */\n    now(): number;\n}\n\ndeclare var Date: DateConstructor;\n\ninterface RegExpMatchArray extends Array<string> {\n    /**\n     * The index of the search at which the result was found.\n     */\n    index?: number;\n    /**\n     * A copy of the search string.\n     */\n    input?: string;\n    /**\n     * The first match. This will always be present because `null` will be returned if there are no matches.\n     */\n    0: string;\n}\n\ninterface RegExpExecArray extends Array<string> {\n    /**\n     * The index of the search at which the result was found.\n     */\n    index: number;\n    /**\n     * A copy of the search string.\n     */\n    input: string;\n    /**\n     * The first match. This will always be present because `null` will be returned if there are no matches.\n     */\n    0: string;\n}\n\ninterface RegExp {\n    /**\n     * Executes a search on a string using a regular expression pattern, and returns an array containing the results of that search.\n     * @param string The String object or string literal on which to perform the search.\n     */\n    exec(string: string): RegExpExecArray | null;\n\n    /**\n     * Returns a Boolean value that indicates whether or not a pattern exists in a searched string.\n     * @param string String on which to perform the search.\n     */\n    test(string: string): boolean;\n\n    /** Returns a copy of the text of the regular expression pattern. Read-only. The regExp argument is a Regular expression object. It can be a variable name or a literal. */\n    readonly source: string;\n\n    /** Returns a Boolean value indicating the state of the global flag (g) used with a regular expression. Default is false. Read-only. */\n    readonly global: boolean;\n\n    /** Returns a Boolean value indicating the state of the ignoreCase flag (i) used with a regular expression. Default is false. Read-only. */\n    readonly ignoreCase: boolean;\n\n    /** Returns a Boolean value indicating the state of the multiline flag (m) used with a regular expression. Default is false. Read-only. */\n    readonly multiline: boolean;\n\n    lastIndex: number;\n\n    // Non-standard extensions\n    /** @deprecated A legacy feature for browser compatibility */\n    compile(pattern: string, flags?: string): this;\n}\n\ninterface RegExpConstructor {\n    new (pattern: RegExp | string): RegExp;\n    new (pattern: string, flags?: string): RegExp;\n    (pattern: RegExp | string): RegExp;\n    (pattern: string, flags?: string): RegExp;\n    readonly "prototype": RegExp;\n\n    // Non-standard extensions\n    /** @deprecated A legacy feature for browser compatibility */\n    "$1": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$2": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$3": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$4": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$5": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$6": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$7": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$8": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$9": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "input": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$_": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "lastMatch": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$&": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "lastParen": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$+": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "leftContext": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$`": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "rightContext": string;\n    /** @deprecated A legacy feature for browser compatibility */\n    "$\'": string;\n}\n\ndeclare var RegExp: RegExpConstructor;\n\ninterface Error {\n    name: string;\n    message: string;\n    stack?: string;\n}\n\ninterface ErrorConstructor {\n    new (message?: string): Error;\n    (message?: string): Error;\n    readonly prototype: Error;\n}\n\ndeclare var Error: ErrorConstructor;\n\ninterface EvalError extends Error {\n}\n\ninterface EvalErrorConstructor extends ErrorConstructor {\n    new (message?: string): EvalError;\n    (message?: string): EvalError;\n    readonly prototype: EvalError;\n}\n\ndeclare var EvalError: EvalErrorConstructor;\n\ninterface RangeError extends Error {\n}\n\ninterface RangeErrorConstructor extends ErrorConstructor {\n    new (message?: string): RangeError;\n    (message?: string): RangeError;\n    readonly prototype: RangeError;\n}\n\ndeclare var RangeError: RangeErrorConstructor;\n\ninterface ReferenceError extends Error {\n}\n\ninterface ReferenceErrorConstructor extends ErrorConstructor {\n    new (message?: string): ReferenceError;\n    (message?: string): ReferenceError;\n    readonly prototype: ReferenceError;\n}\n\ndeclare var ReferenceError: ReferenceErrorConstructor;\n\ninterface SyntaxError extends Error {\n}\n\ninterface SyntaxErrorConstructor extends ErrorConstructor {\n    new (message?: string): SyntaxError;\n    (message?: string): SyntaxError;\n    readonly prototype: SyntaxError;\n}\n\ndeclare var SyntaxError: SyntaxErrorConstructor;\n\ninterface TypeError extends Error {\n}\n\ninterface TypeErrorConstructor extends ErrorConstructor {\n    new (message?: string): TypeError;\n    (message?: string): TypeError;\n    readonly prototype: TypeError;\n}\n\ndeclare var TypeError: TypeErrorConstructor;\n\ninterface URIError extends Error {\n}\n\ninterface URIErrorConstructor extends ErrorConstructor {\n    new (message?: string): URIError;\n    (message?: string): URIError;\n    readonly prototype: URIError;\n}\n\ndeclare var URIError: URIErrorConstructor;\n\ninterface JSON {\n    /**\n     * Converts a JavaScript Object Notation (JSON) string into an object.\n     * @param text A valid JSON string.\n     * @param reviver A function that transforms the results. This function is called for each member of the object.\n     * If a member contains nested objects, the nested objects are transformed before the parent object is.\n     */\n    parse(text: string, reviver?: (this: any, key: string, value: any) => any): any;\n    /**\n     * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\n     * @param value A JavaScript value, usually an object or array, to be converted.\n     * @param replacer A function that transforms the results.\n     * @param space Adds indentation, white space, and line break characters to the return-value JSON text to make it easier to read.\n     */\n    stringify(value: any, replacer?: (this: any, key: string, value: any) => any, space?: string | number): string;\n    /**\n     * Converts a JavaScript value to a JavaScript Object Notation (JSON) string.\n     * @param value A JavaScript value, usually an object or array, to be converted.\n     * @param replacer An array of strings and numbers that acts as an approved list for selecting the object properties that will be stringified.\n     * @param space Adds indentation, white space, and line break characters to the return-value JSON text to make it easier to read.\n     */\n    stringify(value: any, replacer?: (number | string)[] | null, space?: string | number): string;\n}\n\n/**\n * An intrinsic object that provides functions to convert JavaScript values to and from the JavaScript Object Notation (JSON) format.\n */\ndeclare var JSON: JSON;\n\n/////////////////////////////\n/// ECMAScript Array API (specially handled by compiler)\n/////////////////////////////\n\ninterface ReadonlyArray<T> {\n    /**\n     * Gets the length of the array. This is a number one higher than the highest element defined in an array.\n     */\n    readonly length: number;\n    /**\n     * Returns a string representation of an array.\n     */\n    toString(): string;\n    /**\n     * Returns a string representation of an array. The elements are converted to string using their toLocaleString methods.\n     */\n    toLocaleString(): string;\n    /**\n     * Combines two or more arrays.\n     * @param items Additional items to add to the end of array1.\n     */\n    concat(...items: ConcatArray<T>[]): T[];\n    /**\n     * Combines two or more arrays.\n     * @param items Additional items to add to the end of array1.\n     */\n    concat(...items: (T | ConcatArray<T>)[]): T[];\n    /**\n     * Adds all the elements of an array separated by the specified separator string.\n     * @param separator A string used to separate one element of an array from the next in the resulting String. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n    /**\n     * Returns a section of an array.\n     * @param start The beginning of the specified portion of the array.\n     * @param end The end of the specified portion of the array. This is exclusive of the element at the index \'end\'.\n     */\n    slice(start?: number, end?: number): T[];\n    /**\n     * Returns the index of the first occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0.\n     */\n    indexOf(searchElement: T, fromIndex?: number): number;\n    /**\n     * Returns the index of the last occurrence of a specified value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the search starts at the last index in the array.\n     */\n    lastIndexOf(searchElement: T, fromIndex?: number): number;\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every<S extends T>(predicate: (value: T, index: number, array: readonly T[]) => value is S, thisArg?: any): this is readonly S[];\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: T, index: number, array: readonly T[]) => unknown, thisArg?: any): boolean;\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value true, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: T, index: number, array: readonly T[]) => unknown, thisArg?: any): boolean;\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: T, index: number, array: readonly T[]) => void, thisArg?: any): void;\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\n     */\n    map<U>(callbackfn: (value: T, index: number, array: readonly T[]) => U, thisArg?: any): U[];\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function. If thisArg is omitted, undefined is used as the this value.\n     */\n    filter<S extends T>(predicate: (value: T, index: number, array: readonly T[]) => value is S, thisArg?: any): S[];\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function. If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: T, index: number, array: readonly T[]) => unknown, thisArg?: any): T[];\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: readonly T[]) => T): T;\n    reduce(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: readonly T[]) => T, initialValue: T): T;\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: T, currentIndex: number, array: readonly T[]) => U, initialValue: U): U;\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: readonly T[]) => T): T;\n    reduceRight(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: readonly T[]) => T, initialValue: T): T;\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: T, currentIndex: number, array: readonly T[]) => U, initialValue: U): U;\n\n    readonly [n: number]: T;\n}\n\ninterface ConcatArray<T> {\n    readonly length: number;\n    readonly [n: number]: T;\n    join(separator?: string): string;\n    slice(start?: number, end?: number): T[];\n}\n\ninterface Array<T> {\n    /**\n     * Gets or sets the length of the array. This is a number one higher than the highest index in the array.\n     */\n    length: number;\n    /**\n     * Returns a string representation of an array.\n     */\n    toString(): string;\n    /**\n     * Returns a string representation of an array. The elements are converted to string using their toLocaleString methods.\n     */\n    toLocaleString(): string;\n    /**\n     * Removes the last element from an array and returns it.\n     * If the array is empty, undefined is returned and the array is not modified.\n     */\n    pop(): T | undefined;\n    /**\n     * Appends new elements to the end of an array, and returns the new length of the array.\n     * @param items New elements to add to the array.\n     */\n    push(...items: T[]): number;\n    /**\n     * Combines two or more arrays.\n     * This method returns a new array without modifying any existing arrays.\n     * @param items Additional arrays and/or items to add to the end of the array.\n     */\n    concat(...items: ConcatArray<T>[]): T[];\n    /**\n     * Combines two or more arrays.\n     * This method returns a new array without modifying any existing arrays.\n     * @param items Additional arrays and/or items to add to the end of the array.\n     */\n    concat(...items: (T | ConcatArray<T>)[]): T[];\n    /**\n     * Adds all the elements of an array into a string, separated by the specified separator string.\n     * @param separator A string used to separate one element of the array from the next in the resulting string. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n    /**\n     * Reverses the elements in an array in place.\n     * This method mutates the array and returns a reference to the same array.\n     */\n    reverse(): T[];\n    /**\n     * Removes the first element from an array and returns it.\n     * If the array is empty, undefined is returned and the array is not modified.\n     */\n    shift(): T | undefined;\n    /**\n     * Returns a copy of a section of an array.\n     * For both start and end, a negative index can be used to indicate an offset from the end of the array.\n     * For example, -2 refers to the second to last element of the array.\n     * @param start The beginning index of the specified portion of the array.\n     * If start is undefined, then the slice begins at index 0.\n     * @param end The end index of the specified portion of the array. This is exclusive of the element at the index \'end\'.\n     * If end is undefined, then the slice extends to the end of the array.\n     */\n    slice(start?: number, end?: number): T[];\n    /**\n     * Sorts an array in place.\n     * This method mutates the array and returns a reference to the same array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if the first argument is less than the second argument, zero if they\'re equal, and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending, ASCII character order.\n     * ```ts\n     * [11,2,22,1].sort((a, b) => a - b)\n     * ```\n     */\n    sort(compareFn?: (a: T, b: T) => number): this;\n    /**\n     * Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.\n     * @param start The zero-based location in the array from which to start removing elements.\n     * @param deleteCount The number of elements to remove.\n     * @returns An array containing the elements that were deleted.\n     */\n    splice(start: number, deleteCount?: number): T[];\n    /**\n     * Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.\n     * @param start The zero-based location in the array from which to start removing elements.\n     * @param deleteCount The number of elements to remove.\n     * @param items Elements to insert into the array in place of the deleted elements.\n     * @returns An array containing the elements that were deleted.\n     */\n    splice(start: number, deleteCount: number, ...items: T[]): T[];\n    /**\n     * Inserts new elements at the start of an array, and returns the new length of the array.\n     * @param items Elements to insert at the start of the array.\n     */\n    unshift(...items: T[]): number;\n    /**\n     * Returns the index of the first occurrence of a value in an array, or -1 if it is not present.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0.\n     */\n    indexOf(searchElement: T, fromIndex?: number): number;\n    /**\n     * Returns the index of the last occurrence of a specified value in an array, or -1 if it is not present.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin searching backward. If fromIndex is omitted, the search starts at the last index in the array.\n     */\n    lastIndexOf(searchElement: T, fromIndex?: number): number;\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every<S extends T>(predicate: (value: T, index: number, array: T[]) => value is S, thisArg?: any): this is S[];\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: T, index: number, array: T[]) => unknown, thisArg?: any): boolean;\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value true, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: T, index: number, array: T[]) => unknown, thisArg?: any): boolean;\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: T, index: number, array: T[]) => void, thisArg?: any): void;\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.\n     */\n    map<U>(callbackfn: (value: T, index: number, array: T[]) => U, thisArg?: any): U[];\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function. If thisArg is omitted, undefined is used as the this value.\n     */\n    filter<S extends T>(predicate: (value: T, index: number, array: T[]) => value is S, thisArg?: any): S[];\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function. If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: T, index: number, array: T[]) => unknown, thisArg?: any): T[];\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: T[]) => T): T;\n    reduce(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: T[]) => T, initialValue: T): T;\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: T, currentIndex: number, array: T[]) => U, initialValue: U): U;\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: T[]) => T): T;\n    reduceRight(callbackfn: (previousValue: T, currentValue: T, currentIndex: number, array: T[]) => T, initialValue: T): T;\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: T, currentIndex: number, array: T[]) => U, initialValue: U): U;\n\n    [n: number]: T;\n}\n\ninterface ArrayConstructor {\n    new (arrayLength?: number): any[];\n    new <T>(arrayLength: number): T[];\n    new <T>(...items: T[]): T[];\n    (arrayLength?: number): any[];\n    <T>(arrayLength: number): T[];\n    <T>(...items: T[]): T[];\n    isArray(arg: any): arg is any[];\n    readonly prototype: any[];\n}\n\ndeclare var Array: ArrayConstructor;\n\ninterface TypedPropertyDescriptor<T> {\n    enumerable?: boolean;\n    configurable?: boolean;\n    writable?: boolean;\n    value?: T;\n    get?: () => T;\n    set?: (value: T) => void;\n}\n\ndeclare type PromiseConstructorLike = new <T>(executor: (resolve: (value: T | PromiseLike<T>) => void, reject: (reason?: any) => void) => void) => PromiseLike<T>;\n\ninterface PromiseLike<T> {\n    /**\n     * Attaches callbacks for the resolution and/or rejection of the Promise.\n     * @param onfulfilled The callback to execute when the Promise is resolved.\n     * @param onrejected The callback to execute when the Promise is rejected.\n     * @returns A Promise for the completion of which ever callback is executed.\n     */\n    then<TResult1 = T, TResult2 = never>(onfulfilled?: ((value: T) => TResult1 | PromiseLike<TResult1>) | undefined | null, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | undefined | null): PromiseLike<TResult1 | TResult2>;\n}\n\n/**\n * Represents the completion of an asynchronous operation\n */\ninterface Promise<T> {\n    /**\n     * Attaches callbacks for the resolution and/or rejection of the Promise.\n     * @param onfulfilled The callback to execute when the Promise is resolved.\n     * @param onrejected The callback to execute when the Promise is rejected.\n     * @returns A Promise for the completion of which ever callback is executed.\n     */\n    then<TResult1 = T, TResult2 = never>(onfulfilled?: ((value: T) => TResult1 | PromiseLike<TResult1>) | undefined | null, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | undefined | null): Promise<TResult1 | TResult2>;\n\n    /**\n     * Attaches a callback for only the rejection of the Promise.\n     * @param onrejected The callback to execute when the Promise is rejected.\n     * @returns A Promise for the completion of the callback.\n     */\n    catch<TResult = never>(onrejected?: ((reason: any) => TResult | PromiseLike<TResult>) | undefined | null): Promise<T | TResult>;\n}\n\n/**\n * Recursively unwraps the "awaited type" of a type. Non-promise "thenables" should resolve to `never`. This emulates the behavior of `await`.\n */\ntype Awaited<T> = T extends null | undefined ? T : // special case for `null | undefined` when not in `--strictNullChecks` mode\n    T extends object & { then(onfulfilled: infer F, ...args: infer _): any; } ? // `await` only unwraps object types with a callable `then`. Non-object types are not unwrapped\n        F extends ((value: infer V, ...args: infer _) => any) ? // if the argument to `then` is callable, extracts the first argument\n            Awaited<V> : // recursively unwrap the value\n        never : // the argument to `then` was not callable\n    T; // non-object or non-thenable\n\ninterface ArrayLike<T> {\n    readonly length: number;\n    readonly [n: number]: T;\n}\n\n/**\n * Make all properties in T optional\n */\ntype Partial<T> = {\n    [P in keyof T]?: T[P];\n};\n\n/**\n * Make all properties in T required\n */\ntype Required<T> = {\n    [P in keyof T]-?: T[P];\n};\n\n/**\n * Make all properties in T readonly\n */\ntype Readonly<T> = {\n    readonly [P in keyof T]: T[P];\n};\n\n/**\n * From T, pick a set of properties whose keys are in the union K\n */\ntype Pick<T, K extends keyof T> = {\n    [P in K]: T[P];\n};\n\n/**\n * Construct a type with a set of properties K of type T\n */\ntype Record<K extends keyof any, T> = {\n    [P in K]: T;\n};\n\n/**\n * Exclude from T those types that are assignable to U\n */\ntype Exclude<T, U> = T extends U ? never : T;\n\n/**\n * Extract from T those types that are assignable to U\n */\ntype Extract<T, U> = T extends U ? T : never;\n\n/**\n * Construct a type with the properties of T except for those in type K.\n */\ntype Omit<T, K extends keyof any> = Pick<T, Exclude<keyof T, K>>;\n\n/**\n * Exclude null and undefined from T\n */\ntype NonNullable<T> = T & {};\n\n/**\n * Obtain the parameters of a function type in a tuple\n */\ntype Parameters<T extends (...args: any) => any> = T extends (...args: infer P) => any ? P : never;\n\n/**\n * Obtain the parameters of a constructor function type in a tuple\n */\ntype ConstructorParameters<T extends abstract new (...args: any) => any> = T extends abstract new (...args: infer P) => any ? P : never;\n\n/**\n * Obtain the return type of a function type\n */\ntype ReturnType<T extends (...args: any) => any> = T extends (...args: any) => infer R ? R : any;\n\n/**\n * Obtain the return type of a constructor function type\n */\ntype InstanceType<T extends abstract new (...args: any) => any> = T extends abstract new (...args: any) => infer R ? R : any;\n\n/**\n * Convert string literal type to uppercase\n */\ntype Uppercase<S extends string> = intrinsic;\n\n/**\n * Convert string literal type to lowercase\n */\ntype Lowercase<S extends string> = intrinsic;\n\n/**\n * Convert first character of string literal type to uppercase\n */\ntype Capitalize<S extends string> = intrinsic;\n\n/**\n * Convert first character of string literal type to lowercase\n */\ntype Uncapitalize<S extends string> = intrinsic;\n\n/**\n * Marker for non-inference type position\n */\ntype NoInfer<T> = intrinsic;\n\n/**\n * Marker for contextual \'this\' type\n */\ninterface ThisType<T> {}\n\n/**\n * Stores types to be used with WeakSet, WeakMap, WeakRef, and FinalizationRegistry\n */\ninterface WeakKeyTypes {\n    object: object;\n}\n\ntype WeakKey = WeakKeyTypes[keyof WeakKeyTypes];\n\n/**\n * Represents a raw buffer of binary data, which is used to store data for the\n * different typed arrays. ArrayBuffers cannot be read from or written to directly,\n * but can be passed to a typed array or DataView Object to interpret the raw\n * buffer as needed.\n */\ninterface ArrayBuffer {\n    /**\n     * Read-only. The length of the ArrayBuffer (in bytes).\n     */\n    readonly byteLength: number;\n\n    /**\n     * Returns a section of an ArrayBuffer.\n     */\n    slice(begin: number, end?: number): ArrayBuffer;\n}\n\n/**\n * Allowed ArrayBuffer types for the buffer of an ArrayBufferView and related Typed Arrays.\n */\ninterface ArrayBufferTypes {\n    ArrayBuffer: ArrayBuffer;\n}\ntype ArrayBufferLike = ArrayBufferTypes[keyof ArrayBufferTypes];\n\ninterface ArrayBufferConstructor {\n    readonly prototype: ArrayBuffer;\n    new (byteLength: number): ArrayBuffer;\n    isView(arg: any): arg is ArrayBufferView;\n}\ndeclare var ArrayBuffer: ArrayBufferConstructor;\n\ninterface ArrayBufferView {\n    /**\n     * The ArrayBuffer instance referenced by the array.\n     */\n    buffer: ArrayBufferLike;\n\n    /**\n     * The length in bytes of the array.\n     */\n    byteLength: number;\n\n    /**\n     * The offset in bytes of the array.\n     */\n    byteOffset: number;\n}\n\ninterface DataView {\n    readonly buffer: ArrayBuffer;\n    readonly byteLength: number;\n    readonly byteOffset: number;\n    /**\n     * Gets the Float32 value at the specified byte offset from the start of the view. There is\n     * no alignment constraint; multi-byte values may be fetched from any offset.\n     * @param byteOffset The place in the buffer at which the value should be retrieved.\n     * @param littleEndian If false or undefined, a big-endian value should be read.\n     */\n    getFloat32(byteOffset: number, littleEndian?: boolean): number;\n\n    /**\n     * Gets the Float64 value at the specified byte offset from the start of the view. There is\n     * no alignment constraint; multi-byte values may be fetched from any offset.\n     * @param byteOffset The place in the buffer at which the value should be retrieved.\n     * @param littleEndian If false or undefined, a big-endian value should be read.\n     */\n    getFloat64(byteOffset: number, littleEndian?: boolean): number;\n\n    /**\n     * Gets the Int8 value at the specified byte offset from the start of the view. There is\n     * no alignment constraint; multi-byte values may be fetched from any offset.\n     * @param byteOffset The place in the buffer at which the value should be retrieved.\n     */\n    getInt8(byteOffset: number): number;\n\n    /**\n     * Gets the Int16 value at the specified byte offset from the start of the view. There is\n     * no alignment constraint; multi-byte values may be fetched from any offset.\n     * @param byteOffset The place in the buffer at which the value should be retrieved.\n     * @param littleEndian If false or undefined, a big-endian value should be read.\n     */\n    getInt16(byteOffset: number, littleEndian?: boolean): number;\n    /**\n     * Gets the Int32 value at the specified byte offset from the start of the view. There is\n     * no alignment constraint; multi-byte values may be fetched from any offset.\n     * @param byteOffset The place in the buffer at which the value should be retrieved.\n     * @param littleEndian If false or undefined, a big-endian value should be read.\n     */\n    getInt32(byteOffset: number, littleEndian?: boolean): number;\n\n    /**\n     * Gets the Uint8 value at the specified byte offset from the start of the view. There is\n     * no alignment constraint; multi-byte values may be fetched from any offset.\n     * @param byteOffset The place in the buffer at which the value should be retrieved.\n     */\n    getUint8(byteOffset: number): number;\n\n    /**\n     * Gets the Uint16 value at the specified byte offset from the start of the view. There is\n     * no alignment constraint; multi-byte values may be fetched from any offset.\n     * @param byteOffset The place in the buffer at which the value should be retrieved.\n     * @param littleEndian If false or undefined, a big-endian value should be read.\n     */\n    getUint16(byteOffset: number, littleEndian?: boolean): number;\n\n    /**\n     * Gets the Uint32 value at the specified byte offset from the start of the view. There is\n     * no alignment constraint; multi-byte values may be fetched from any offset.\n     * @param byteOffset The place in the buffer at which the value should be retrieved.\n     * @param littleEndian If false or undefined, a big-endian value should be read.\n     */\n    getUint32(byteOffset: number, littleEndian?: boolean): number;\n\n    /**\n     * Stores an Float32 value at the specified byte offset from the start of the view.\n     * @param byteOffset The place in the buffer at which the value should be set.\n     * @param value The value to set.\n     * @param littleEndian If false or undefined, a big-endian value should be written.\n     */\n    setFloat32(byteOffset: number, value: number, littleEndian?: boolean): void;\n\n    /**\n     * Stores an Float64 value at the specified byte offset from the start of the view.\n     * @param byteOffset The place in the buffer at which the value should be set.\n     * @param value The value to set.\n     * @param littleEndian If false or undefined, a big-endian value should be written.\n     */\n    setFloat64(byteOffset: number, value: number, littleEndian?: boolean): void;\n\n    /**\n     * Stores an Int8 value at the specified byte offset from the start of the view.\n     * @param byteOffset The place in the buffer at which the value should be set.\n     * @param value The value to set.\n     */\n    setInt8(byteOffset: number, value: number): void;\n\n    /**\n     * Stores an Int16 value at the specified byte offset from the start of the view.\n     * @param byteOffset The place in the buffer at which the value should be set.\n     * @param value The value to set.\n     * @param littleEndian If false or undefined, a big-endian value should be written.\n     */\n    setInt16(byteOffset: number, value: number, littleEndian?: boolean): void;\n\n    /**\n     * Stores an Int32 value at the specified byte offset from the start of the view.\n     * @param byteOffset The place in the buffer at which the value should be set.\n     * @param value The value to set.\n     * @param littleEndian If false or undefined, a big-endian value should be written.\n     */\n    setInt32(byteOffset: number, value: number, littleEndian?: boolean): void;\n\n    /**\n     * Stores an Uint8 value at the specified byte offset from the start of the view.\n     * @param byteOffset The place in the buffer at which the value should be set.\n     * @param value The value to set.\n     */\n    setUint8(byteOffset: number, value: number): void;\n\n    /**\n     * Stores an Uint16 value at the specified byte offset from the start of the view.\n     * @param byteOffset The place in the buffer at which the value should be set.\n     * @param value The value to set.\n     * @param littleEndian If false or undefined, a big-endian value should be written.\n     */\n    setUint16(byteOffset: number, value: number, littleEndian?: boolean): void;\n\n    /**\n     * Stores an Uint32 value at the specified byte offset from the start of the view.\n     * @param byteOffset The place in the buffer at which the value should be set.\n     * @param value The value to set.\n     * @param littleEndian If false or undefined, a big-endian value should be written.\n     */\n    setUint32(byteOffset: number, value: number, littleEndian?: boolean): void;\n}\n\ninterface DataViewConstructor {\n    readonly prototype: DataView;\n    new (buffer: ArrayBufferLike & { BYTES_PER_ELEMENT?: never; }, byteOffset?: number, byteLength?: number): DataView;\n}\ndeclare var DataView: DataViewConstructor;\n\n/**\n * A typed array of 8-bit integer values. The contents are initialized to 0. If the requested\n * number of bytes could not be allocated an exception is raised.\n */\ninterface Int8Array {\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * The ArrayBuffer instance referenced by the array.\n     */\n    readonly buffer: ArrayBufferLike;\n\n    /**\n     * The length in bytes of the array.\n     */\n    readonly byteLength: number;\n\n    /**\n     * The offset in bytes of the array.\n     */\n    readonly byteOffset: number;\n\n    /**\n     * Returns the this object after copying a section of the array identified by start and end\n     * to the same array starting at position target\n     * @param target If target is negative, it is treated as length+target where length is the\n     * length of the array.\n     * @param start If start is negative, it is treated as length+start. If end is negative, it\n     * is treated as length+end.\n     * @param end If not specified, length of the this object is used as its default value.\n     */\n    copyWithin(target: number, start: number, end?: number): this;\n\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: number, index: number, array: Int8Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Changes all array elements from `start` to `end` index to a static `value` and returns the modified array\n     * @param value value to fill array section with\n     * @param start index to start filling the array at. If start is negative, it is treated as\n     * length+start where length is the length of the array.\n     * @param end index to stop filling the array at. If end is negative, it is treated as\n     * length+end.\n     */\n    fill(value: number, start?: number, end?: number): this;\n\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls\n     * the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: number, index: number, array: Int8Array) => any, thisArg?: any): Int8Array;\n\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find(predicate: (value: number, index: number, obj: Int8Array) => boolean, thisArg?: any): number | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: number, index: number, obj: Int8Array) => boolean, thisArg?: any): number;\n\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: number, index: number, array: Int8Array) => void, thisArg?: any): void;\n\n    /**\n     * Returns the index of the first occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     *  search starts at index 0.\n     */\n    indexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * Adds all the elements of an array separated by the specified separator string.\n     * @param separator A string used to separate one element of an array from the next in the\n     * resulting String. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n\n    /**\n     * Returns the index of the last occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * The length of the array.\n     */\n    readonly length: number;\n\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that\n     * contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    map(callbackfn: (value: number, index: number, array: Int8Array) => number, thisArg?: any): Int8Array;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int8Array) => number): number;\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int8Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int8Array) => U, initialValue: U): U;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an\n     * argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int8Array) => number): number;\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int8Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int8Array) => U, initialValue: U): U;\n\n    /**\n     * Reverses the elements in an Array.\n     */\n    reverse(): Int8Array;\n\n    /**\n     * Sets a value or an array of values.\n     * @param array A typed or untyped array of values to set.\n     * @param offset The index in the current array at which the values are to be written.\n     */\n    set(array: ArrayLike<number>, offset?: number): void;\n\n    /**\n     * Returns a section of an array.\n     * @param start The beginning of the specified portion of the array.\n     * @param end The end of the specified portion of the array. This is exclusive of the element at the index \'end\'.\n     */\n    slice(start?: number, end?: number): Int8Array;\n\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value true, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: number, index: number, array: Int8Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Sorts an array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if first argument is less than second argument, zero if they\'re equal and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * [11,2,22,1].sort((a, b) => a - b)\n     * ```\n     */\n    sort(compareFn?: (a: number, b: number) => number): this;\n\n    /**\n     * Gets a new Int8Array view of the ArrayBuffer store for this array, referencing the elements\n     * at begin, inclusive, up to end, exclusive.\n     * @param begin The index of the beginning of the array.\n     * @param end The index of the end of the array.\n     */\n    subarray(begin?: number, end?: number): Int8Array;\n\n    /**\n     * Converts a number to a string by using the current locale.\n     */\n    toLocaleString(): string;\n\n    /**\n     * Returns a string representation of an array.\n     */\n    toString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): Int8Array;\n\n    [index: number]: number;\n}\ninterface Int8ArrayConstructor {\n    readonly prototype: Int8Array;\n    new (length: number): Int8Array;\n    new (array: ArrayLike<number> | ArrayBufferLike): Int8Array;\n    new (buffer: ArrayBufferLike, byteOffset?: number, length?: number): Int8Array;\n\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * Returns a new array from a set of elements.\n     * @param items A set of elements to include in the new array object.\n     */\n    of(...items: number[]): Int8Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     */\n    from(arrayLike: ArrayLike<number>): Int8Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of \'this\' used to invoke the mapfn.\n     */\n    from<T>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => number, thisArg?: any): Int8Array;\n}\ndeclare var Int8Array: Int8ArrayConstructor;\n\n/**\n * A typed array of 8-bit unsigned integer values. The contents are initialized to 0. If the\n * requested number of bytes could not be allocated an exception is raised.\n */\ninterface Uint8Array {\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * The ArrayBuffer instance referenced by the array.\n     */\n    readonly buffer: ArrayBufferLike;\n\n    /**\n     * The length in bytes of the array.\n     */\n    readonly byteLength: number;\n\n    /**\n     * The offset in bytes of the array.\n     */\n    readonly byteOffset: number;\n\n    /**\n     * Returns the this object after copying a section of the array identified by start and end\n     * to the same array starting at position target\n     * @param target If target is negative, it is treated as length+target where length is the\n     * length of the array.\n     * @param start If start is negative, it is treated as length+start. If end is negative, it\n     * is treated as length+end.\n     * @param end If not specified, length of the this object is used as its default value.\n     */\n    copyWithin(target: number, start: number, end?: number): this;\n\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: number, index: number, array: Uint8Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Changes all array elements from `start` to `end` index to a static `value` and returns the modified array\n     * @param value value to fill array section with\n     * @param start index to start filling the array at. If start is negative, it is treated as\n     * length+start where length is the length of the array.\n     * @param end index to stop filling the array at. If end is negative, it is treated as\n     * length+end.\n     */\n    fill(value: number, start?: number, end?: number): this;\n\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls\n     * the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: number, index: number, array: Uint8Array) => any, thisArg?: any): Uint8Array;\n\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find(predicate: (value: number, index: number, obj: Uint8Array) => boolean, thisArg?: any): number | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: number, index: number, obj: Uint8Array) => boolean, thisArg?: any): number;\n\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: number, index: number, array: Uint8Array) => void, thisArg?: any): void;\n\n    /**\n     * Returns the index of the first occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     *  search starts at index 0.\n     */\n    indexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * Adds all the elements of an array separated by the specified separator string.\n     * @param separator A string used to separate one element of an array from the next in the\n     * resulting String. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n\n    /**\n     * Returns the index of the last occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * The length of the array.\n     */\n    readonly length: number;\n\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that\n     * contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    map(callbackfn: (value: number, index: number, array: Uint8Array) => number, thisArg?: any): Uint8Array;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array) => number): number;\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8Array) => U, initialValue: U): U;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an\n     * argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array) => number): number;\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8Array) => U, initialValue: U): U;\n\n    /**\n     * Reverses the elements in an Array.\n     */\n    reverse(): Uint8Array;\n\n    /**\n     * Sets a value or an array of values.\n     * @param array A typed or untyped array of values to set.\n     * @param offset The index in the current array at which the values are to be written.\n     */\n    set(array: ArrayLike<number>, offset?: number): void;\n\n    /**\n     * Returns a section of an array.\n     * @param start The beginning of the specified portion of the array.\n     * @param end The end of the specified portion of the array. This is exclusive of the element at the index \'end\'.\n     */\n    slice(start?: number, end?: number): Uint8Array;\n\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value true, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: number, index: number, array: Uint8Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Sorts an array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if first argument is less than second argument, zero if they\'re equal and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * [11,2,22,1].sort((a, b) => a - b)\n     * ```\n     */\n    sort(compareFn?: (a: number, b: number) => number): this;\n\n    /**\n     * Gets a new Uint8Array view of the ArrayBuffer store for this array, referencing the elements\n     * at begin, inclusive, up to end, exclusive.\n     * @param begin The index of the beginning of the array.\n     * @param end The index of the end of the array.\n     */\n    subarray(begin?: number, end?: number): Uint8Array;\n\n    /**\n     * Converts a number to a string by using the current locale.\n     */\n    toLocaleString(): string;\n\n    /**\n     * Returns a string representation of an array.\n     */\n    toString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): Uint8Array;\n\n    [index: number]: number;\n}\n\ninterface Uint8ArrayConstructor {\n    readonly prototype: Uint8Array;\n    new (length: number): Uint8Array;\n    new (array: ArrayLike<number> | ArrayBufferLike): Uint8Array;\n    new (buffer: ArrayBufferLike, byteOffset?: number, length?: number): Uint8Array;\n\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * Returns a new array from a set of elements.\n     * @param items A set of elements to include in the new array object.\n     */\n    of(...items: number[]): Uint8Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     */\n    from(arrayLike: ArrayLike<number>): Uint8Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of \'this\' used to invoke the mapfn.\n     */\n    from<T>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => number, thisArg?: any): Uint8Array;\n}\ndeclare var Uint8Array: Uint8ArrayConstructor;\n\n/**\n * A typed array of 8-bit unsigned integer (clamped) values. The contents are initialized to 0.\n * If the requested number of bytes could not be allocated an exception is raised.\n */\ninterface Uint8ClampedArray {\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * The ArrayBuffer instance referenced by the array.\n     */\n    readonly buffer: ArrayBufferLike;\n\n    /**\n     * The length in bytes of the array.\n     */\n    readonly byteLength: number;\n\n    /**\n     * The offset in bytes of the array.\n     */\n    readonly byteOffset: number;\n\n    /**\n     * Returns the this object after copying a section of the array identified by start and end\n     * to the same array starting at position target\n     * @param target If target is negative, it is treated as length+target where length is the\n     * length of the array.\n     * @param start If start is negative, it is treated as length+start. If end is negative, it\n     * is treated as length+end.\n     * @param end If not specified, length of the this object is used as its default value.\n     */\n    copyWithin(target: number, start: number, end?: number): this;\n\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: number, index: number, array: Uint8ClampedArray) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Changes all array elements from `start` to `end` index to a static `value` and returns the modified array\n     * @param value value to fill array section with\n     * @param start index to start filling the array at. If start is negative, it is treated as\n     * length+start where length is the length of the array.\n     * @param end index to stop filling the array at. If end is negative, it is treated as\n     * length+end.\n     */\n    fill(value: number, start?: number, end?: number): this;\n\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls\n     * the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: number, index: number, array: Uint8ClampedArray) => any, thisArg?: any): Uint8ClampedArray;\n\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find(predicate: (value: number, index: number, obj: Uint8ClampedArray) => boolean, thisArg?: any): number | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: number, index: number, obj: Uint8ClampedArray) => boolean, thisArg?: any): number;\n\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => void, thisArg?: any): void;\n\n    /**\n     * Returns the index of the first occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     *  search starts at index 0.\n     */\n    indexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * Adds all the elements of an array separated by the specified separator string.\n     * @param separator A string used to separate one element of an array from the next in the\n     * resulting String. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n\n    /**\n     * Returns the index of the last occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * The length of the array.\n     */\n    readonly length: number;\n\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that\n     * contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    map(callbackfn: (value: number, index: number, array: Uint8ClampedArray) => number, thisArg?: any): Uint8ClampedArray;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => number): number;\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => U, initialValue: U): U;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an\n     * argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => number): number;\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint8ClampedArray) => U, initialValue: U): U;\n\n    /**\n     * Reverses the elements in an Array.\n     */\n    reverse(): Uint8ClampedArray;\n\n    /**\n     * Sets a value or an array of values.\n     * @param array A typed or untyped array of values to set.\n     * @param offset The index in the current array at which the values are to be written.\n     */\n    set(array: ArrayLike<number>, offset?: number): void;\n\n    /**\n     * Returns a section of an array.\n     * @param start The beginning of the specified portion of the array.\n     * @param end The end of the specified portion of the array. This is exclusive of the element at the index \'end\'.\n     */\n    slice(start?: number, end?: number): Uint8ClampedArray;\n\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value true, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: number, index: number, array: Uint8ClampedArray) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Sorts an array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if first argument is less than second argument, zero if they\'re equal and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * [11,2,22,1].sort((a, b) => a - b)\n     * ```\n     */\n    sort(compareFn?: (a: number, b: number) => number): this;\n\n    /**\n     * Gets a new Uint8ClampedArray view of the ArrayBuffer store for this array, referencing the elements\n     * at begin, inclusive, up to end, exclusive.\n     * @param begin The index of the beginning of the array.\n     * @param end The index of the end of the array.\n     */\n    subarray(begin?: number, end?: number): Uint8ClampedArray;\n\n    /**\n     * Converts a number to a string by using the current locale.\n     */\n    toLocaleString(): string;\n\n    /**\n     * Returns a string representation of an array.\n     */\n    toString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): Uint8ClampedArray;\n\n    [index: number]: number;\n}\n\ninterface Uint8ClampedArrayConstructor {\n    readonly prototype: Uint8ClampedArray;\n    new (length: number): Uint8ClampedArray;\n    new (array: ArrayLike<number> | ArrayBufferLike): Uint8ClampedArray;\n    new (buffer: ArrayBufferLike, byteOffset?: number, length?: number): Uint8ClampedArray;\n\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * Returns a new array from a set of elements.\n     * @param items A set of elements to include in the new array object.\n     */\n    of(...items: number[]): Uint8ClampedArray;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     */\n    from(arrayLike: ArrayLike<number>): Uint8ClampedArray;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of \'this\' used to invoke the mapfn.\n     */\n    from<T>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => number, thisArg?: any): Uint8ClampedArray;\n}\ndeclare var Uint8ClampedArray: Uint8ClampedArrayConstructor;\n\n/**\n * A typed array of 16-bit signed integer values. The contents are initialized to 0. If the\n * requested number of bytes could not be allocated an exception is raised.\n */\ninterface Int16Array {\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * The ArrayBuffer instance referenced by the array.\n     */\n    readonly buffer: ArrayBufferLike;\n\n    /**\n     * The length in bytes of the array.\n     */\n    readonly byteLength: number;\n\n    /**\n     * The offset in bytes of the array.\n     */\n    readonly byteOffset: number;\n\n    /**\n     * Returns the this object after copying a section of the array identified by start and end\n     * to the same array starting at position target\n     * @param target If target is negative, it is treated as length+target where length is the\n     * length of the array.\n     * @param start If start is negative, it is treated as length+start. If end is negative, it\n     * is treated as length+end.\n     * @param end If not specified, length of the this object is used as its default value.\n     */\n    copyWithin(target: number, start: number, end?: number): this;\n\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: number, index: number, array: Int16Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Changes all array elements from `start` to `end` index to a static `value` and returns the modified array\n     * @param value value to fill array section with\n     * @param start index to start filling the array at. If start is negative, it is treated as\n     * length+start where length is the length of the array.\n     * @param end index to stop filling the array at. If end is negative, it is treated as\n     * length+end.\n     */\n    fill(value: number, start?: number, end?: number): this;\n\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls\n     * the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: number, index: number, array: Int16Array) => any, thisArg?: any): Int16Array;\n\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find(predicate: (value: number, index: number, obj: Int16Array) => boolean, thisArg?: any): number | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: number, index: number, obj: Int16Array) => boolean, thisArg?: any): number;\n\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: number, index: number, array: Int16Array) => void, thisArg?: any): void;\n    /**\n     * Returns the index of the first occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     *  search starts at index 0.\n     */\n    indexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * Adds all the elements of an array separated by the specified separator string.\n     * @param separator A string used to separate one element of an array from the next in the\n     * resulting String. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n\n    /**\n     * Returns the index of the last occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * The length of the array.\n     */\n    readonly length: number;\n\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that\n     * contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    map(callbackfn: (value: number, index: number, array: Int16Array) => number, thisArg?: any): Int16Array;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array) => number): number;\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int16Array) => U, initialValue: U): U;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an\n     * argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array) => number): number;\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int16Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int16Array) => U, initialValue: U): U;\n\n    /**\n     * Reverses the elements in an Array.\n     */\n    reverse(): Int16Array;\n\n    /**\n     * Sets a value or an array of values.\n     * @param array A typed or untyped array of values to set.\n     * @param offset The index in the current array at which the values are to be written.\n     */\n    set(array: ArrayLike<number>, offset?: number): void;\n\n    /**\n     * Returns a section of an array.\n     * @param start The beginning of the specified portion of the array.\n     * @param end The end of the specified portion of the array. This is exclusive of the element at the index \'end\'.\n     */\n    slice(start?: number, end?: number): Int16Array;\n\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value true, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: number, index: number, array: Int16Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Sorts an array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if first argument is less than second argument, zero if they\'re equal and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * [11,2,22,1].sort((a, b) => a - b)\n     * ```\n     */\n    sort(compareFn?: (a: number, b: number) => number): this;\n\n    /**\n     * Gets a new Int16Array view of the ArrayBuffer store for this array, referencing the elements\n     * at begin, inclusive, up to end, exclusive.\n     * @param begin The index of the beginning of the array.\n     * @param end The index of the end of the array.\n     */\n    subarray(begin?: number, end?: number): Int16Array;\n\n    /**\n     * Converts a number to a string by using the current locale.\n     */\n    toLocaleString(): string;\n\n    /**\n     * Returns a string representation of an array.\n     */\n    toString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): Int16Array;\n\n    [index: number]: number;\n}\n\ninterface Int16ArrayConstructor {\n    readonly prototype: Int16Array;\n    new (length: number): Int16Array;\n    new (array: ArrayLike<number> | ArrayBufferLike): Int16Array;\n    new (buffer: ArrayBufferLike, byteOffset?: number, length?: number): Int16Array;\n\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * Returns a new array from a set of elements.\n     * @param items A set of elements to include in the new array object.\n     */\n    of(...items: number[]): Int16Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     */\n    from(arrayLike: ArrayLike<number>): Int16Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of \'this\' used to invoke the mapfn.\n     */\n    from<T>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => number, thisArg?: any): Int16Array;\n}\ndeclare var Int16Array: Int16ArrayConstructor;\n\n/**\n * A typed array of 16-bit unsigned integer values. The contents are initialized to 0. If the\n * requested number of bytes could not be allocated an exception is raised.\n */\ninterface Uint16Array {\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * The ArrayBuffer instance referenced by the array.\n     */\n    readonly buffer: ArrayBufferLike;\n\n    /**\n     * The length in bytes of the array.\n     */\n    readonly byteLength: number;\n\n    /**\n     * The offset in bytes of the array.\n     */\n    readonly byteOffset: number;\n\n    /**\n     * Returns the this object after copying a section of the array identified by start and end\n     * to the same array starting at position target\n     * @param target If target is negative, it is treated as length+target where length is the\n     * length of the array.\n     * @param start If start is negative, it is treated as length+start. If end is negative, it\n     * is treated as length+end.\n     * @param end If not specified, length of the this object is used as its default value.\n     */\n    copyWithin(target: number, start: number, end?: number): this;\n\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: number, index: number, array: Uint16Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Changes all array elements from `start` to `end` index to a static `value` and returns the modified array\n     * @param value value to fill array section with\n     * @param start index to start filling the array at. If start is negative, it is treated as\n     * length+start where length is the length of the array.\n     * @param end index to stop filling the array at. If end is negative, it is treated as\n     * length+end.\n     */\n    fill(value: number, start?: number, end?: number): this;\n\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls\n     * the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: number, index: number, array: Uint16Array) => any, thisArg?: any): Uint16Array;\n\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find(predicate: (value: number, index: number, obj: Uint16Array) => boolean, thisArg?: any): number | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: number, index: number, obj: Uint16Array) => boolean, thisArg?: any): number;\n\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: number, index: number, array: Uint16Array) => void, thisArg?: any): void;\n\n    /**\n     * Returns the index of the first occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     *  search starts at index 0.\n     */\n    indexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * Adds all the elements of an array separated by the specified separator string.\n     * @param separator A string used to separate one element of an array from the next in the\n     * resulting String. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n\n    /**\n     * Returns the index of the last occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * The length of the array.\n     */\n    readonly length: number;\n\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that\n     * contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    map(callbackfn: (value: number, index: number, array: Uint16Array) => number, thisArg?: any): Uint16Array;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint16Array) => number): number;\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint16Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint16Array) => U, initialValue: U): U;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an\n     * argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint16Array) => number): number;\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint16Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint16Array) => U, initialValue: U): U;\n\n    /**\n     * Reverses the elements in an Array.\n     */\n    reverse(): Uint16Array;\n\n    /**\n     * Sets a value or an array of values.\n     * @param array A typed or untyped array of values to set.\n     * @param offset The index in the current array at which the values are to be written.\n     */\n    set(array: ArrayLike<number>, offset?: number): void;\n\n    /**\n     * Returns a section of an array.\n     * @param start The beginning of the specified portion of the array.\n     * @param end The end of the specified portion of the array. This is exclusive of the element at the index \'end\'.\n     */\n    slice(start?: number, end?: number): Uint16Array;\n\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value true, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: number, index: number, array: Uint16Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Sorts an array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if first argument is less than second argument, zero if they\'re equal and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * [11,2,22,1].sort((a, b) => a - b)\n     * ```\n     */\n    sort(compareFn?: (a: number, b: number) => number): this;\n\n    /**\n     * Gets a new Uint16Array view of the ArrayBuffer store for this array, referencing the elements\n     * at begin, inclusive, up to end, exclusive.\n     * @param begin The index of the beginning of the array.\n     * @param end The index of the end of the array.\n     */\n    subarray(begin?: number, end?: number): Uint16Array;\n\n    /**\n     * Converts a number to a string by using the current locale.\n     */\n    toLocaleString(): string;\n\n    /**\n     * Returns a string representation of an array.\n     */\n    toString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): Uint16Array;\n\n    [index: number]: number;\n}\n\ninterface Uint16ArrayConstructor {\n    readonly prototype: Uint16Array;\n    new (length: number): Uint16Array;\n    new (array: ArrayLike<number> | ArrayBufferLike): Uint16Array;\n    new (buffer: ArrayBufferLike, byteOffset?: number, length?: number): Uint16Array;\n\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * Returns a new array from a set of elements.\n     * @param items A set of elements to include in the new array object.\n     */\n    of(...items: number[]): Uint16Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     */\n    from(arrayLike: ArrayLike<number>): Uint16Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of \'this\' used to invoke the mapfn.\n     */\n    from<T>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => number, thisArg?: any): Uint16Array;\n}\ndeclare var Uint16Array: Uint16ArrayConstructor;\n/**\n * A typed array of 32-bit signed integer values. The contents are initialized to 0. If the\n * requested number of bytes could not be allocated an exception is raised.\n */\ninterface Int32Array {\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * The ArrayBuffer instance referenced by the array.\n     */\n    readonly buffer: ArrayBufferLike;\n\n    /**\n     * The length in bytes of the array.\n     */\n    readonly byteLength: number;\n\n    /**\n     * The offset in bytes of the array.\n     */\n    readonly byteOffset: number;\n\n    /**\n     * Returns the this object after copying a section of the array identified by start and end\n     * to the same array starting at position target\n     * @param target If target is negative, it is treated as length+target where length is the\n     * length of the array.\n     * @param start If start is negative, it is treated as length+start. If end is negative, it\n     * is treated as length+end.\n     * @param end If not specified, length of the this object is used as its default value.\n     */\n    copyWithin(target: number, start: number, end?: number): this;\n\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: number, index: number, array: Int32Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Changes all array elements from `start` to `end` index to a static `value` and returns the modified array\n     * @param value value to fill array section with\n     * @param start index to start filling the array at. If start is negative, it is treated as\n     * length+start where length is the length of the array.\n     * @param end index to stop filling the array at. If end is negative, it is treated as\n     * length+end.\n     */\n    fill(value: number, start?: number, end?: number): this;\n\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls\n     * the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: number, index: number, array: Int32Array) => any, thisArg?: any): Int32Array;\n\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find(predicate: (value: number, index: number, obj: Int32Array) => boolean, thisArg?: any): number | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: number, index: number, obj: Int32Array) => boolean, thisArg?: any): number;\n\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: number, index: number, array: Int32Array) => void, thisArg?: any): void;\n\n    /**\n     * Returns the index of the first occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     *  search starts at index 0.\n     */\n    indexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * Adds all the elements of an array separated by the specified separator string.\n     * @param separator A string used to separate one element of an array from the next in the\n     * resulting String. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n\n    /**\n     * Returns the index of the last occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * The length of the array.\n     */\n    readonly length: number;\n\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that\n     * contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    map(callbackfn: (value: number, index: number, array: Int32Array) => number, thisArg?: any): Int32Array;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int32Array) => number): number;\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int32Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int32Array) => U, initialValue: U): U;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an\n     * argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int32Array) => number): number;\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Int32Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Int32Array) => U, initialValue: U): U;\n\n    /**\n     * Reverses the elements in an Array.\n     */\n    reverse(): Int32Array;\n\n    /**\n     * Sets a value or an array of values.\n     * @param array A typed or untyped array of values to set.\n     * @param offset The index in the current array at which the values are to be written.\n     */\n    set(array: ArrayLike<number>, offset?: number): void;\n\n    /**\n     * Returns a section of an array.\n     * @param start The beginning of the specified portion of the array.\n     * @param end The end of the specified portion of the array. This is exclusive of the element at the index \'end\'.\n     */\n    slice(start?: number, end?: number): Int32Array;\n\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value true, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: number, index: number, array: Int32Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Sorts an array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if first argument is less than second argument, zero if they\'re equal and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * [11,2,22,1].sort((a, b) => a - b)\n     * ```\n     */\n    sort(compareFn?: (a: number, b: number) => number): this;\n\n    /**\n     * Gets a new Int32Array view of the ArrayBuffer store for this array, referencing the elements\n     * at begin, inclusive, up to end, exclusive.\n     * @param begin The index of the beginning of the array.\n     * @param end The index of the end of the array.\n     */\n    subarray(begin?: number, end?: number): Int32Array;\n\n    /**\n     * Converts a number to a string by using the current locale.\n     */\n    toLocaleString(): string;\n\n    /**\n     * Returns a string representation of an array.\n     */\n    toString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): Int32Array;\n\n    [index: number]: number;\n}\n\ninterface Int32ArrayConstructor {\n    readonly prototype: Int32Array;\n    new (length: number): Int32Array;\n    new (array: ArrayLike<number> | ArrayBufferLike): Int32Array;\n    new (buffer: ArrayBufferLike, byteOffset?: number, length?: number): Int32Array;\n\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * Returns a new array from a set of elements.\n     * @param items A set of elements to include in the new array object.\n     */\n    of(...items: number[]): Int32Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     */\n    from(arrayLike: ArrayLike<number>): Int32Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of \'this\' used to invoke the mapfn.\n     */\n    from<T>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => number, thisArg?: any): Int32Array;\n}\ndeclare var Int32Array: Int32ArrayConstructor;\n\n/**\n * A typed array of 32-bit unsigned integer values. The contents are initialized to 0. If the\n * requested number of bytes could not be allocated an exception is raised.\n */\ninterface Uint32Array {\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * The ArrayBuffer instance referenced by the array.\n     */\n    readonly buffer: ArrayBufferLike;\n\n    /**\n     * The length in bytes of the array.\n     */\n    readonly byteLength: number;\n\n    /**\n     * The offset in bytes of the array.\n     */\n    readonly byteOffset: number;\n\n    /**\n     * Returns the this object after copying a section of the array identified by start and end\n     * to the same array starting at position target\n     * @param target If target is negative, it is treated as length+target where length is the\n     * length of the array.\n     * @param start If start is negative, it is treated as length+start. If end is negative, it\n     * is treated as length+end.\n     * @param end If not specified, length of the this object is used as its default value.\n     */\n    copyWithin(target: number, start: number, end?: number): this;\n\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: number, index: number, array: Uint32Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Changes all array elements from `start` to `end` index to a static `value` and returns the modified array\n     * @param value value to fill array section with\n     * @param start index to start filling the array at. If start is negative, it is treated as\n     * length+start where length is the length of the array.\n     * @param end index to stop filling the array at. If end is negative, it is treated as\n     * length+end.\n     */\n    fill(value: number, start?: number, end?: number): this;\n\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls\n     * the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: number, index: number, array: Uint32Array) => any, thisArg?: any): Uint32Array;\n\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find(predicate: (value: number, index: number, obj: Uint32Array) => boolean, thisArg?: any): number | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: number, index: number, obj: Uint32Array) => boolean, thisArg?: any): number;\n\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: number, index: number, array: Uint32Array) => void, thisArg?: any): void;\n    /**\n     * Returns the index of the first occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     *  search starts at index 0.\n     */\n    indexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * Adds all the elements of an array separated by the specified separator string.\n     * @param separator A string used to separate one element of an array from the next in the\n     * resulting String. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n\n    /**\n     * Returns the index of the last occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * The length of the array.\n     */\n    readonly length: number;\n\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that\n     * contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    map(callbackfn: (value: number, index: number, array: Uint32Array) => number, thisArg?: any): Uint32Array;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint32Array) => number): number;\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint32Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint32Array) => U, initialValue: U): U;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an\n     * argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint32Array) => number): number;\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Uint32Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Uint32Array) => U, initialValue: U): U;\n\n    /**\n     * Reverses the elements in an Array.\n     */\n    reverse(): Uint32Array;\n\n    /**\n     * Sets a value or an array of values.\n     * @param array A typed or untyped array of values to set.\n     * @param offset The index in the current array at which the values are to be written.\n     */\n    set(array: ArrayLike<number>, offset?: number): void;\n\n    /**\n     * Returns a section of an array.\n     * @param start The beginning of the specified portion of the array.\n     * @param end The end of the specified portion of the array. This is exclusive of the element at the index \'end\'.\n     */\n    slice(start?: number, end?: number): Uint32Array;\n\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value true, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: number, index: number, array: Uint32Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Sorts an array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if first argument is less than second argument, zero if they\'re equal and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * [11,2,22,1].sort((a, b) => a - b)\n     * ```\n     */\n    sort(compareFn?: (a: number, b: number) => number): this;\n\n    /**\n     * Gets a new Uint32Array view of the ArrayBuffer store for this array, referencing the elements\n     * at begin, inclusive, up to end, exclusive.\n     * @param begin The index of the beginning of the array.\n     * @param end The index of the end of the array.\n     */\n    subarray(begin?: number, end?: number): Uint32Array;\n\n    /**\n     * Converts a number to a string by using the current locale.\n     */\n    toLocaleString(): string;\n\n    /**\n     * Returns a string representation of an array.\n     */\n    toString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): Uint32Array;\n\n    [index: number]: number;\n}\n\ninterface Uint32ArrayConstructor {\n    readonly prototype: Uint32Array;\n    new (length: number): Uint32Array;\n    new (array: ArrayLike<number> | ArrayBufferLike): Uint32Array;\n    new (buffer: ArrayBufferLike, byteOffset?: number, length?: number): Uint32Array;\n\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * Returns a new array from a set of elements.\n     * @param items A set of elements to include in the new array object.\n     */\n    of(...items: number[]): Uint32Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     */\n    from(arrayLike: ArrayLike<number>): Uint32Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of \'this\' used to invoke the mapfn.\n     */\n    from<T>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => number, thisArg?: any): Uint32Array;\n}\ndeclare var Uint32Array: Uint32ArrayConstructor;\n\n/**\n * A typed array of 32-bit float values. The contents are initialized to 0. If the requested number\n * of bytes could not be allocated an exception is raised.\n */\ninterface Float32Array {\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * The ArrayBuffer instance referenced by the array.\n     */\n    readonly buffer: ArrayBufferLike;\n\n    /**\n     * The length in bytes of the array.\n     */\n    readonly byteLength: number;\n\n    /**\n     * The offset in bytes of the array.\n     */\n    readonly byteOffset: number;\n\n    /**\n     * Returns the this object after copying a section of the array identified by start and end\n     * to the same array starting at position target\n     * @param target If target is negative, it is treated as length+target where length is the\n     * length of the array.\n     * @param start If start is negative, it is treated as length+start. If end is negative, it\n     * is treated as length+end.\n     * @param end If not specified, length of the this object is used as its default value.\n     */\n    copyWithin(target: number, start: number, end?: number): this;\n\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: number, index: number, array: Float32Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Changes all array elements from `start` to `end` index to a static `value` and returns the modified array\n     * @param value value to fill array section with\n     * @param start index to start filling the array at. If start is negative, it is treated as\n     * length+start where length is the length of the array.\n     * @param end index to stop filling the array at. If end is negative, it is treated as\n     * length+end.\n     */\n    fill(value: number, start?: number, end?: number): this;\n\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls\n     * the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: number, index: number, array: Float32Array) => any, thisArg?: any): Float32Array;\n\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find(predicate: (value: number, index: number, obj: Float32Array) => boolean, thisArg?: any): number | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: number, index: number, obj: Float32Array) => boolean, thisArg?: any): number;\n\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: number, index: number, array: Float32Array) => void, thisArg?: any): void;\n\n    /**\n     * Returns the index of the first occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     *  search starts at index 0.\n     */\n    indexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * Adds all the elements of an array separated by the specified separator string.\n     * @param separator A string used to separate one element of an array from the next in the\n     * resulting String. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n\n    /**\n     * Returns the index of the last occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * The length of the array.\n     */\n    readonly length: number;\n\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that\n     * contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    map(callbackfn: (value: number, index: number, array: Float32Array) => number, thisArg?: any): Float32Array;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float32Array) => number): number;\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float32Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float32Array) => U, initialValue: U): U;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an\n     * argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float32Array) => number): number;\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float32Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float32Array) => U, initialValue: U): U;\n\n    /**\n     * Reverses the elements in an Array.\n     */\n    reverse(): Float32Array;\n\n    /**\n     * Sets a value or an array of values.\n     * @param array A typed or untyped array of values to set.\n     * @param offset The index in the current array at which the values are to be written.\n     */\n    set(array: ArrayLike<number>, offset?: number): void;\n\n    /**\n     * Returns a section of an array.\n     * @param start The beginning of the specified portion of the array.\n     * @param end The end of the specified portion of the array. This is exclusive of the element at the index \'end\'.\n     */\n    slice(start?: number, end?: number): Float32Array;\n\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value true, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: number, index: number, array: Float32Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Sorts an array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if first argument is less than second argument, zero if they\'re equal and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * [11,2,22,1].sort((a, b) => a - b)\n     * ```\n     */\n    sort(compareFn?: (a: number, b: number) => number): this;\n\n    /**\n     * Gets a new Float32Array view of the ArrayBuffer store for this array, referencing the elements\n     * at begin, inclusive, up to end, exclusive.\n     * @param begin The index of the beginning of the array.\n     * @param end The index of the end of the array.\n     */\n    subarray(begin?: number, end?: number): Float32Array;\n\n    /**\n     * Converts a number to a string by using the current locale.\n     */\n    toLocaleString(): string;\n\n    /**\n     * Returns a string representation of an array.\n     */\n    toString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): Float32Array;\n\n    [index: number]: number;\n}\n\ninterface Float32ArrayConstructor {\n    readonly prototype: Float32Array;\n    new (length: number): Float32Array;\n    new (array: ArrayLike<number> | ArrayBufferLike): Float32Array;\n    new (buffer: ArrayBufferLike, byteOffset?: number, length?: number): Float32Array;\n\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * Returns a new array from a set of elements.\n     * @param items A set of elements to include in the new array object.\n     */\n    of(...items: number[]): Float32Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     */\n    from(arrayLike: ArrayLike<number>): Float32Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of \'this\' used to invoke the mapfn.\n     */\n    from<T>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => number, thisArg?: any): Float32Array;\n}\ndeclare var Float32Array: Float32ArrayConstructor;\n\n/**\n * A typed array of 64-bit float values. The contents are initialized to 0. If the requested\n * number of bytes could not be allocated an exception is raised.\n */\ninterface Float64Array {\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * The ArrayBuffer instance referenced by the array.\n     */\n    readonly buffer: ArrayBufferLike;\n\n    /**\n     * The length in bytes of the array.\n     */\n    readonly byteLength: number;\n\n    /**\n     * The offset in bytes of the array.\n     */\n    readonly byteOffset: number;\n\n    /**\n     * Returns the this object after copying a section of the array identified by start and end\n     * to the same array starting at position target\n     * @param target If target is negative, it is treated as length+target where length is the\n     * length of the array.\n     * @param start If start is negative, it is treated as length+start. If end is negative, it\n     * is treated as length+end.\n     * @param end If not specified, length of the this object is used as its default value.\n     */\n    copyWithin(target: number, start: number, end?: number): this;\n\n    /**\n     * Determines whether all the members of an array satisfy the specified test.\n     * @param predicate A function that accepts up to three arguments. The every method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value false, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    every(predicate: (value: number, index: number, array: Float64Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Changes all array elements from `start` to `end` index to a static `value` and returns the modified array\n     * @param value value to fill array section with\n     * @param start index to start filling the array at. If start is negative, it is treated as\n     * length+start where length is the length of the array.\n     * @param end index to stop filling the array at. If end is negative, it is treated as\n     * length+end.\n     */\n    fill(value: number, start?: number, end?: number): this;\n\n    /**\n     * Returns the elements of an array that meet the condition specified in a callback function.\n     * @param predicate A function that accepts up to three arguments. The filter method calls\n     * the predicate function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    filter(predicate: (value: number, index: number, array: Float64Array) => any, thisArg?: any): Float64Array;\n\n    /**\n     * Returns the value of the first element in the array where predicate is true, and undefined\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found, find\n     * immediately returns that element value. Otherwise, find returns undefined.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    find(predicate: (value: number, index: number, obj: Float64Array) => boolean, thisArg?: any): number | undefined;\n\n    /**\n     * Returns the index of the first element in the array where predicate is true, and -1\n     * otherwise.\n     * @param predicate find calls predicate once for each element of the array, in ascending\n     * order, until it finds one where predicate returns true. If such an element is found,\n     * findIndex immediately returns that element index. Otherwise, findIndex returns -1.\n     * @param thisArg If provided, it will be used as the this value for each invocation of\n     * predicate. If it is not provided, undefined is used instead.\n     */\n    findIndex(predicate: (value: number, index: number, obj: Float64Array) => boolean, thisArg?: any): number;\n\n    /**\n     * Performs the specified action for each element in an array.\n     * @param callbackfn  A function that accepts up to three arguments. forEach calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg  An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    forEach(callbackfn: (value: number, index: number, array: Float64Array) => void, thisArg?: any): void;\n\n    /**\n     * Returns the index of the first occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     *  search starts at index 0.\n     */\n    indexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * Adds all the elements of an array separated by the specified separator string.\n     * @param separator A string used to separate one element of an array from the next in the\n     * resulting String. If omitted, the array elements are separated with a comma.\n     */\n    join(separator?: string): string;\n\n    /**\n     * Returns the index of the last occurrence of a value in an array.\n     * @param searchElement The value to locate in the array.\n     * @param fromIndex The array index at which to begin the search. If fromIndex is omitted, the\n     * search starts at index 0.\n     */\n    lastIndexOf(searchElement: number, fromIndex?: number): number;\n\n    /**\n     * The length of the array.\n     */\n    readonly length: number;\n\n    /**\n     * Calls a defined callback function on each element of an array, and returns an array that\n     * contains the results.\n     * @param callbackfn A function that accepts up to three arguments. The map method calls the\n     * callbackfn function one time for each element in the array.\n     * @param thisArg An object to which the this keyword can refer in the callbackfn function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    map(callbackfn: (value: number, index: number, array: Float64Array) => number, thisArg?: any): Float64Array;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float64Array) => number): number;\n    reduce(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float64Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array. The return value of\n     * the callback function is the accumulated result, and is provided as an argument in the next\n     * call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduce method calls the\n     * callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduce<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float64Array) => U, initialValue: U): U;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an\n     * argument instead of an array value.\n     */\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float64Array) => number): number;\n    reduceRight(callbackfn: (previousValue: number, currentValue: number, currentIndex: number, array: Float64Array) => number, initialValue: number): number;\n\n    /**\n     * Calls the specified callback function for all the elements in an array, in descending order.\n     * The return value of the callback function is the accumulated result, and is provided as an\n     * argument in the next call to the callback function.\n     * @param callbackfn A function that accepts up to four arguments. The reduceRight method calls\n     * the callbackfn function one time for each element in the array.\n     * @param initialValue If initialValue is specified, it is used as the initial value to start\n     * the accumulation. The first call to the callbackfn function provides this value as an argument\n     * instead of an array value.\n     */\n    reduceRight<U>(callbackfn: (previousValue: U, currentValue: number, currentIndex: number, array: Float64Array) => U, initialValue: U): U;\n\n    /**\n     * Reverses the elements in an Array.\n     */\n    reverse(): Float64Array;\n\n    /**\n     * Sets a value or an array of values.\n     * @param array A typed or untyped array of values to set.\n     * @param offset The index in the current array at which the values are to be written.\n     */\n    set(array: ArrayLike<number>, offset?: number): void;\n\n    /**\n     * Returns a section of an array.\n     * @param start The beginning of the specified portion of the array.\n     * @param end The end of the specified portion of the array. This is exclusive of the element at the index \'end\'.\n     */\n    slice(start?: number, end?: number): Float64Array;\n\n    /**\n     * Determines whether the specified callback function returns true for any element of an array.\n     * @param predicate A function that accepts up to three arguments. The some method calls\n     * the predicate function for each element in the array until the predicate returns a value\n     * which is coercible to the Boolean value true, or until the end of the array.\n     * @param thisArg An object to which the this keyword can refer in the predicate function.\n     * If thisArg is omitted, undefined is used as the this value.\n     */\n    some(predicate: (value: number, index: number, array: Float64Array) => unknown, thisArg?: any): boolean;\n\n    /**\n     * Sorts an array.\n     * @param compareFn Function used to determine the order of the elements. It is expected to return\n     * a negative value if first argument is less than second argument, zero if they\'re equal and a positive\n     * value otherwise. If omitted, the elements are sorted in ascending order.\n     * ```ts\n     * [11,2,22,1].sort((a, b) => a - b)\n     * ```\n     */\n    sort(compareFn?: (a: number, b: number) => number): this;\n\n    /**\n     * Gets a new Float64Array view of the ArrayBuffer store for this array, referencing the elements\n     * at begin, inclusive, up to end, exclusive.\n     * @param begin The index of the beginning of the array.\n     * @param end The index of the end of the array.\n     */\n    subarray(begin?: number, end?: number): Float64Array;\n\n    /**\n     * Converts a number to a string by using the current locale.\n     */\n    toLocaleString(): string;\n\n    /**\n     * Returns a string representation of an array.\n     */\n    toString(): string;\n\n    /** Returns the primitive value of the specified object. */\n    valueOf(): Float64Array;\n\n    [index: number]: number;\n}\n\ninterface Float64ArrayConstructor {\n    readonly prototype: Float64Array;\n    new (length: number): Float64Array;\n    new (array: ArrayLike<number> | ArrayBufferLike): Float64Array;\n    new (buffer: ArrayBufferLike, byteOffset?: number, length?: number): Float64Array;\n\n    /**\n     * The size in bytes of each element in the array.\n     */\n    readonly BYTES_PER_ELEMENT: number;\n\n    /**\n     * Returns a new array from a set of elements.\n     * @param items A set of elements to include in the new array object.\n     */\n    of(...items: number[]): Float64Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     */\n    from(arrayLike: ArrayLike<number>): Float64Array;\n\n    /**\n     * Creates an array from an array-like or iterable object.\n     * @param arrayLike An array-like or iterable object to convert to an array.\n     * @param mapfn A mapping function to call on every element of the array.\n     * @param thisArg Value of \'this\' used to invoke the mapfn.\n     */\n    from<T>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => number, thisArg?: any): Float64Array;\n}\ndeclare var Float64Array: Float64ArrayConstructor;\n\n/////////////////////////////\n/// ECMAScript Internationalization API\n/////////////////////////////\n\ndeclare namespace Intl {\n    interface CollatorOptions {\n        usage?: "sort" | "search" | undefined;\n        localeMatcher?: "lookup" | "best fit" | undefined;\n        numeric?: boolean | undefined;\n        caseFirst?: "upper" | "lower" | "false" | undefined;\n        sensitivity?: "base" | "accent" | "case" | "variant" | undefined;\n        collation?: "big5han" | "compat" | "dict" | "direct" | "ducet" | "emoji" | "eor" | "gb2312" | "phonebk" | "phonetic" | "pinyin" | "reformed" | "searchjl" | "stroke" | "trad" | "unihan" | "zhuyin" | undefined;\n        ignorePunctuation?: boolean | undefined;\n    }\n\n    interface ResolvedCollatorOptions {\n        locale: string;\n        usage: string;\n        sensitivity: string;\n        ignorePunctuation: boolean;\n        collation: string;\n        caseFirst: string;\n        numeric: boolean;\n    }\n\n    interface Collator {\n        compare(x: string, y: string): number;\n        resolvedOptions(): ResolvedCollatorOptions;\n    }\n\n    interface CollatorConstructor {\n        new (locales?: string | string[], options?: CollatorOptions): Collator;\n        (locales?: string | string[], options?: CollatorOptions): Collator;\n        supportedLocalesOf(locales: string | string[], options?: CollatorOptions): string[];\n    }\n\n    var Collator: CollatorConstructor;\n\n    interface NumberFormatOptions {\n        localeMatcher?: string | undefined;\n        style?: string | undefined;\n        currency?: string | undefined;\n        currencySign?: string | undefined;\n        useGrouping?: boolean | undefined;\n        minimumIntegerDigits?: number | undefined;\n        minimumFractionDigits?: number | undefined;\n        maximumFractionDigits?: number | undefined;\n        minimumSignificantDigits?: number | undefined;\n        maximumSignificantDigits?: number | undefined;\n    }\n\n    interface ResolvedNumberFormatOptions {\n        locale: string;\n        numberingSystem: string;\n        style: string;\n        currency?: string;\n        minimumIntegerDigits: number;\n        minimumFractionDigits: number;\n        maximumFractionDigits: number;\n        minimumSignificantDigits?: number;\n        maximumSignificantDigits?: number;\n        useGrouping: boolean;\n    }\n\n    interface NumberFormat {\n        format(value: number): string;\n        resolvedOptions(): ResolvedNumberFormatOptions;\n    }\n\n    interface NumberFormatConstructor {\n        new (locales?: string | string[], options?: NumberFormatOptions): NumberFormat;\n        (locales?: string | string[], options?: NumberFormatOptions): NumberFormat;\n        supportedLocalesOf(locales: string | string[], options?: NumberFormatOptions): string[];\n        readonly prototype: NumberFormat;\n    }\n\n    var NumberFormat: NumberFormatConstructor;\n\n    interface DateTimeFormatOptions {\n        localeMatcher?: "best fit" | "lookup" | undefined;\n        weekday?: "long" | "short" | "narrow" | undefined;\n        era?: "long" | "short" | "narrow" | undefined;\n        year?: "numeric" | "2-digit" | undefined;\n        month?: "numeric" | "2-digit" | "long" | "short" | "narrow" | undefined;\n        day?: "numeric" | "2-digit" | undefined;\n        hour?: "numeric" | "2-digit" | undefined;\n        minute?: "numeric" | "2-digit" | undefined;\n        second?: "numeric" | "2-digit" | undefined;\n        timeZoneName?: "short" | "long" | "shortOffset" | "longOffset" | "shortGeneric" | "longGeneric" | undefined;\n        formatMatcher?: "best fit" | "basic" | undefined;\n        hour12?: boolean | undefined;\n        timeZone?: string | undefined;\n    }\n\n    interface ResolvedDateTimeFormatOptions {\n        locale: string;\n        calendar: string;\n        numberingSystem: string;\n        timeZone: string;\n        hour12?: boolean;\n        weekday?: string;\n        era?: string;\n        year?: string;\n        month?: string;\n        day?: string;\n        hour?: string;\n        minute?: string;\n        second?: string;\n        timeZoneName?: string;\n    }\n\n    interface DateTimeFormat {\n        format(date?: Date | number): string;\n        resolvedOptions(): ResolvedDateTimeFormatOptions;\n    }\n\n    interface DateTimeFormatConstructor {\n        new (locales?: string | string[], options?: DateTimeFormatOptions): DateTimeFormat;\n        (locales?: string | string[], options?: DateTimeFormatOptions): DateTimeFormat;\n        supportedLocalesOf(locales: string | string[], options?: DateTimeFormatOptions): string[];\n        readonly prototype: DateTimeFormat;\n    }\n\n    var DateTimeFormat: DateTimeFormatConstructor;\n}\n\ninterface String {\n    /**\n     * Determines whether two strings are equivalent in the current or specified locale.\n     * @param that String to compare to target string\n     * @param locales A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.\n     * @param options An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.\n     */\n    localeCompare(that: string, locales?: string | string[], options?: Intl.CollatorOptions): number;\n}\n\ninterface Number {\n    /**\n     * Converts a number to a string by using the current or specified locale.\n     * @param locales A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\n     * @param options An object that contains one or more properties that specify comparison options.\n     */\n    toLocaleString(locales?: string | string[], options?: Intl.NumberFormatOptions): string;\n}\n\ninterface Date {\n    /**\n     * Converts a date and time to a string by using the current or specified locale.\n     * @param locales A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\n     * @param options An object that contains one or more properties that specify comparison options.\n     */\n    toLocaleString(locales?: string | string[], options?: Intl.DateTimeFormatOptions): string;\n    /**\n     * Converts a date to a string by using the current or specified locale.\n     * @param locales A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\n     * @param options An object that contains one or more properties that specify comparison options.\n     */\n    toLocaleDateString(locales?: string | string[], options?: Intl.DateTimeFormatOptions): string;\n\n    /**\n     * Converts a time to a string by using the current or specified locale.\n     * @param locales A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.\n     * @param options An object that contains one or more properties that specify comparison options.\n     */\n    toLocaleTimeString(locales?: string | string[], options?: Intl.DateTimeFormatOptions): string;\n}\n',Li["lib.es6.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2015" />\n/// <reference lib="dom" />\n/// <reference lib="dom.iterable" />\n/// <reference lib="webworker.importscripts" />\n/// <reference lib="scripthost" />\n',Li["lib.esnext.collection.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface MapConstructor {\n    /**\n     * Groups members of an iterable according to the return value of the passed callback.\n     * @param items An iterable.\n     * @param keySelector A callback which will be invoked for each item in items.\n     */\n    groupBy<K, T>(\n        items: Iterable<T>,\n        keySelector: (item: T, index: number) => K,\n    ): Map<K, T[]>;\n}\n',Li["lib.esnext.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2023" />\n/// <reference lib="esnext.intl" />\n/// <reference lib="esnext.decorators" />\n/// <reference lib="esnext.disposable" />\n/// <reference lib="esnext.promise" />\n/// <reference lib="esnext.object" />\n/// <reference lib="esnext.collection" />\n',Li["lib.esnext.decorators.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2015.symbol" />\n/// <reference lib="decorators" />\n\ninterface SymbolConstructor {\n    readonly metadata: unique symbol;\n}\n\ninterface Function {\n    [Symbol.metadata]: DecoratorMetadata | null;\n}\n',Li["lib.esnext.disposable.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="es2015.symbol" />\n\ninterface SymbolConstructor {\n    /**\n     * A method that is used to release resources held by an object. Called by the semantics of the `using` statement.\n     */\n    readonly dispose: unique symbol;\n\n    /**\n     * A method that is used to asynchronously release resources held by an object. Called by the semantics of the `await using` statement.\n     */\n    readonly asyncDispose: unique symbol;\n}\n\ninterface Disposable {\n    [Symbol.dispose](): void;\n}\n\ninterface AsyncDisposable {\n    [Symbol.asyncDispose](): PromiseLike<void>;\n}\n\ninterface SuppressedError extends Error {\n    error: any;\n    suppressed: any;\n}\n\ninterface SuppressedErrorConstructor {\n    new (error: any, suppressed: any, message?: string): SuppressedError;\n    (error: any, suppressed: any, message?: string): SuppressedError;\n    readonly prototype: SuppressedError;\n}\ndeclare var SuppressedError: SuppressedErrorConstructor;\n\ninterface DisposableStack {\n    /**\n     * Returns a value indicating whether this stack has been disposed.\n     */\n    readonly disposed: boolean;\n    /**\n     * Disposes each resource in the stack in the reverse order that they were added.\n     */\n    dispose(): void;\n    /**\n     * Adds a disposable resource to the stack, returning the resource.\n     * @param value The resource to add. `null` and `undefined` will not be added, but will be returned.\n     * @returns The provided {@link value}.\n     */\n    use<T extends Disposable | null | undefined>(value: T): T;\n    /**\n     * Adds a value and associated disposal callback as a resource to the stack.\n     * @param value The value to add.\n     * @param onDispose The callback to use in place of a `[Symbol.dispose]()` method. Will be invoked with `value`\n     * as the first parameter.\n     * @returns The provided {@link value}.\n     */\n    adopt<T>(value: T, onDispose: (value: T) => void): T;\n    /**\n     * Adds a callback to be invoked when the stack is disposed.\n     */\n    defer(onDispose: () => void): void;\n    /**\n     * Move all resources out of this stack and into a new `DisposableStack`, and marks this stack as disposed.\n     * @example\n     * ```ts\n     * class C {\n     *   #res1: Disposable;\n     *   #res2: Disposable;\n     *   #disposables: DisposableStack;\n     *   constructor() {\n     *     // stack will be disposed when exiting constructor for any reason\n     *     using stack = new DisposableStack();\n     *\n     *     // get first resource\n     *     this.#res1 = stack.use(getResource1());\n     *\n     *     // get second resource. If this fails, both `stack` and `#res1` will be disposed.\n     *     this.#res2 = stack.use(getResource2());\n     *\n     *     // all operations succeeded, move resources out of `stack` so that they aren\'t disposed\n     *     // when constructor exits\n     *     this.#disposables = stack.move();\n     *   }\n     *\n     *   [Symbol.dispose]() {\n     *     this.#disposables.dispose();\n     *   }\n     * }\n     * ```\n     */\n    move(): DisposableStack;\n    [Symbol.dispose](): void;\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface DisposableStackConstructor {\n    new (): DisposableStack;\n    readonly prototype: DisposableStack;\n}\ndeclare var DisposableStack: DisposableStackConstructor;\n\ninterface AsyncDisposableStack {\n    /**\n     * Returns a value indicating whether this stack has been disposed.\n     */\n    readonly disposed: boolean;\n    /**\n     * Disposes each resource in the stack in the reverse order that they were added.\n     */\n    disposeAsync(): Promise<void>;\n    /**\n     * Adds a disposable resource to the stack, returning the resource.\n     * @param value The resource to add. `null` and `undefined` will not be added, but will be returned.\n     * @returns The provided {@link value}.\n     */\n    use<T extends AsyncDisposable | Disposable | null | undefined>(value: T): T;\n    /**\n     * Adds a value and associated disposal callback as a resource to the stack.\n     * @param value The value to add.\n     * @param onDisposeAsync The callback to use in place of a `[Symbol.asyncDispose]()` method. Will be invoked with `value`\n     * as the first parameter.\n     * @returns The provided {@link value}.\n     */\n    adopt<T>(value: T, onDisposeAsync: (value: T) => PromiseLike<void> | void): T;\n    /**\n     * Adds a callback to be invoked when the stack is disposed.\n     */\n    defer(onDisposeAsync: () => PromiseLike<void> | void): void;\n    /**\n     * Move all resources out of this stack and into a new `DisposableStack`, and marks this stack as disposed.\n     * @example\n     * ```ts\n     * class C {\n     *   #res1: Disposable;\n     *   #res2: Disposable;\n     *   #disposables: DisposableStack;\n     *   constructor() {\n     *     // stack will be disposed when exiting constructor for any reason\n     *     using stack = new DisposableStack();\n     *\n     *     // get first resource\n     *     this.#res1 = stack.use(getResource1());\n     *\n     *     // get second resource. If this fails, both `stack` and `#res1` will be disposed.\n     *     this.#res2 = stack.use(getResource2());\n     *\n     *     // all operations succeeded, move resources out of `stack` so that they aren\'t disposed\n     *     // when constructor exits\n     *     this.#disposables = stack.move();\n     *   }\n     *\n     *   [Symbol.dispose]() {\n     *     this.#disposables.dispose();\n     *   }\n     * }\n     * ```\n     */\n    move(): AsyncDisposableStack;\n    [Symbol.asyncDispose](): Promise<void>;\n    readonly [Symbol.toStringTag]: string;\n}\n\ninterface AsyncDisposableStackConstructor {\n    new (): AsyncDisposableStack;\n    readonly prototype: AsyncDisposableStack;\n}\ndeclare var AsyncDisposableStack: AsyncDisposableStackConstructor;\n',Li["lib.esnext.full.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/// <reference lib="esnext" />\n/// <reference lib="dom" />\n/// <reference lib="webworker.importscripts" />\n/// <reference lib="scripthost" />\n/// <reference lib="dom.iterable" />\n/// <reference lib="dom.asynciterable" />\n',Li["lib.esnext.intl.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ndeclare namespace Intl {\n    interface NumberRangeFormatPart extends NumberFormatPart {\n        source: "startRange" | "endRange" | "shared";\n    }\n\n    interface NumberFormat {\n        formatRange(start: number | bigint, end: number | bigint): string;\n        formatRangeToParts(start: number | bigint, end: number | bigint): NumberRangeFormatPart[];\n    }\n}\n',Li["lib.esnext.object.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface ObjectConstructor {\n    /**\n     * Groups members of an iterable according to the return value of the passed callback.\n     * @param items An iterable.\n     * @param keySelector A callback which will be invoked for each item in items.\n     */\n    groupBy<K extends PropertyKey, T>(\n        items: Iterable<T>,\n        keySelector: (item: T, index: number) => K,\n    ): Partial<Record<K, T[]>>;\n}\n',Li["lib.esnext.promise.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\ninterface PromiseWithResolvers<T> {\n    promise: Promise<T>;\n    resolve: (value: T | PromiseLike<T>) => void;\n    reject: (reason?: any) => void;\n}\n\ninterface PromiseConstructor {\n    /**\n     * Creates a new Promise and returns it in an object, along with its resolve and reject functions.\n     * @returns An object with the properties `promise`, `resolve`, and `reject`.\n     *\n     * ```ts\n     * const { promise, resolve, reject } = Promise.withResolvers<T>();\n     * ```\n     */\n    withResolvers<T>(): PromiseWithResolvers<T>;\n}\n',Li["lib.scripthost.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/////////////////////////////\n/// Windows Script Host APIS\n/////////////////////////////\n\ninterface ActiveXObject {\n    new (s: string): any;\n}\ndeclare var ActiveXObject: ActiveXObject;\n\ninterface ITextWriter {\n    Write(s: string): void;\n    WriteLine(s: string): void;\n    Close(): void;\n}\n\ninterface TextStreamBase {\n    /**\n     * The column number of the current character position in an input stream.\n     */\n    Column: number;\n\n    /**\n     * The current line number in an input stream.\n     */\n    Line: number;\n\n    /**\n     * Closes a text stream.\n     * It is not necessary to close standard streams; they close automatically when the process ends. If\n     * you close a standard stream, be aware that any other pointers to that standard stream become invalid.\n     */\n    Close(): void;\n}\n\ninterface TextStreamWriter extends TextStreamBase {\n    /**\n     * Sends a string to an output stream.\n     */\n    Write(s: string): void;\n\n    /**\n     * Sends a specified number of blank lines (newline characters) to an output stream.\n     */\n    WriteBlankLines(intLines: number): void;\n\n    /**\n     * Sends a string followed by a newline character to an output stream.\n     */\n    WriteLine(s: string): void;\n}\n\ninterface TextStreamReader extends TextStreamBase {\n    /**\n     * Returns a specified number of characters from an input stream, starting at the current pointer position.\n     * Does not return until the ENTER key is pressed.\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\n     */\n    Read(characters: number): string;\n\n    /**\n     * Returns all characters from an input stream.\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\n     */\n    ReadAll(): string;\n\n    /**\n     * Returns an entire line from an input stream.\n     * Although this method extracts the newline character, it does not add it to the returned string.\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\n     */\n    ReadLine(): string;\n\n    /**\n     * Skips a specified number of characters when reading from an input text stream.\n     * Can only be used on a stream in reading mode; causes an error in writing or appending mode.\n     * @param characters Positive number of characters to skip forward. (Backward skipping is not supported.)\n     */\n    Skip(characters: number): void;\n\n    /**\n     * Skips the next line when reading from an input text stream.\n     * Can only be used on a stream in reading mode, not writing or appending mode.\n     */\n    SkipLine(): void;\n\n    /**\n     * Indicates whether the stream pointer position is at the end of a line.\n     */\n    AtEndOfLine: boolean;\n\n    /**\n     * Indicates whether the stream pointer position is at the end of a stream.\n     */\n    AtEndOfStream: boolean;\n}\n\ndeclare var WScript: {\n    /**\n     * Outputs text to either a message box (under WScript.exe) or the command console window followed by\n     * a newline (under CScript.exe).\n     */\n    Echo(s: any): void;\n\n    /**\n     * Exposes the write-only error output stream for the current script.\n     * Can be accessed only while using CScript.exe.\n     */\n    StdErr: TextStreamWriter;\n\n    /**\n     * Exposes the write-only output stream for the current script.\n     * Can be accessed only while using CScript.exe.\n     */\n    StdOut: TextStreamWriter;\n    Arguments: { length: number; Item(n: number): string; };\n\n    /**\n     *  The full path of the currently running script.\n     */\n    ScriptFullName: string;\n\n    /**\n     * Forces the script to stop immediately, with an optional exit code.\n     */\n    Quit(exitCode?: number): number;\n\n    /**\n     * The Windows Script Host build version number.\n     */\n    BuildVersion: number;\n\n    /**\n     * Fully qualified path of the host executable.\n     */\n    FullName: string;\n\n    /**\n     * Gets/sets the script mode - interactive(true) or batch(false).\n     */\n    Interactive: boolean;\n\n    /**\n     * The name of the host executable (WScript.exe or CScript.exe).\n     */\n    Name: string;\n\n    /**\n     * Path of the directory containing the host executable.\n     */\n    Path: string;\n\n    /**\n     * The filename of the currently running script.\n     */\n    ScriptName: string;\n\n    /**\n     * Exposes the read-only input stream for the current script.\n     * Can be accessed only while using CScript.exe.\n     */\n    StdIn: TextStreamReader;\n\n    /**\n     * Windows Script Host version\n     */\n    Version: string;\n\n    /**\n     * Connects a COM object\'s event sources to functions named with a given prefix, in the form prefix_event.\n     */\n    ConnectObject(objEventSource: any, strPrefix: string): void;\n\n    /**\n     * Creates a COM object.\n     * @param strProgiID\n     * @param strPrefix Function names in the form prefix_event will be bound to this object\'s COM events.\n     */\n    CreateObject(strProgID: string, strPrefix?: string): any;\n\n    /**\n     * Disconnects a COM object from its event sources.\n     */\n    DisconnectObject(obj: any): void;\n\n    /**\n     * Retrieves an existing object with the specified ProgID from memory, or creates a new one from a file.\n     * @param strPathname Fully qualified path to the file containing the object persisted to disk.\n     *                       For objects in memory, pass a zero-length string.\n     * @param strProgID\n     * @param strPrefix Function names in the form prefix_event will be bound to this object\'s COM events.\n     */\n    GetObject(strPathname: string, strProgID?: string, strPrefix?: string): any;\n\n    /**\n     * Suspends script execution for a specified length of time, then continues execution.\n     * @param intTime Interval (in milliseconds) to suspend script execution.\n     */\n    Sleep(intTime: number): void;\n};\n\n/**\n * WSH is an alias for WScript under Windows Script Host\n */\ndeclare var WSH: typeof WScript;\n\n/**\n * Represents an Automation SAFEARRAY\n */\ndeclare class SafeArray<T = any> {\n    private constructor();\n    private SafeArray_typekey: SafeArray<T>;\n}\n\n/**\n * Allows enumerating over a COM collection, which may not have indexed item access.\n */\ninterface Enumerator<T = any> {\n    /**\n     * Returns true if the current item is the last one in the collection, or the collection is empty,\n     * or the current item is undefined.\n     */\n    atEnd(): boolean;\n\n    /**\n     * Returns the current item in the collection\n     */\n    item(): T;\n\n    /**\n     * Resets the current item in the collection to the first item. If there are no items in the collection,\n     * the current item is set to undefined.\n     */\n    moveFirst(): void;\n\n    /**\n     * Moves the current item to the next item in the collection. If the enumerator is at the end of\n     * the collection or the collection is empty, the current item is set to undefined.\n     */\n    moveNext(): void;\n}\n\ninterface EnumeratorConstructor {\n    new <T = any>(safearray: SafeArray<T>): Enumerator<T>;\n    new <T = any>(collection: { Item(index: any): T; }): Enumerator<T>;\n    new <T = any>(collection: any): Enumerator<T>;\n}\n\ndeclare var Enumerator: EnumeratorConstructor;\n\n/**\n * Enables reading from a COM safe array, which might have an alternate lower bound, or multiple dimensions.\n */\ninterface VBArray<T = any> {\n    /**\n     * Returns the number of dimensions (1-based).\n     */\n    dimensions(): number;\n\n    /**\n     * Takes an index for each dimension in the array, and returns the item at the corresponding location.\n     */\n    getItem(dimension1Index: number, ...dimensionNIndexes: number[]): T;\n\n    /**\n     * Returns the smallest available index for a given dimension.\n     * @param dimension 1-based dimension (defaults to 1)\n     */\n    lbound(dimension?: number): number;\n\n    /**\n     * Returns the largest available index for a given dimension.\n     * @param dimension 1-based dimension (defaults to 1)\n     */\n    ubound(dimension?: number): number;\n\n    /**\n     * Returns a Javascript array with all the elements in the VBArray. If there are multiple dimensions,\n     * each successive dimension is appended to the end of the array.\n     * Example: [[1,2,3],[4,5,6]] becomes [1,2,3,4,5,6]\n     */\n    toArray(): T[];\n}\n\ninterface VBArrayConstructor {\n    new <T = any>(safeArray: SafeArray<T>): VBArray<T>;\n}\n\ndeclare var VBArray: VBArrayConstructor;\n\n/**\n * Automation date (VT_DATE)\n */\ndeclare class VarDate {\n    private constructor();\n    private VarDate_typekey: VarDate;\n}\n\ninterface DateConstructor {\n    new (vd: VarDate): Date;\n}\n\ninterface Date {\n    getVarDate: () => VarDate;\n}\n',Li["lib.webworker.asynciterable.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/////////////////////////////\n/// Worker Async Iterable APIs\n/////////////////////////////\n\ninterface FileSystemDirectoryHandle {\n    [Symbol.asyncIterator](): AsyncIterableIterator<[string, FileSystemHandle]>;\n    entries(): AsyncIterableIterator<[string, FileSystemHandle]>;\n    keys(): AsyncIterableIterator<string>;\n    values(): AsyncIterableIterator<FileSystemHandle>;\n}\n',Li["lib.webworker.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/////////////////////////////\n/// Worker APIs\n/////////////////////////////\n\ninterface AddEventListenerOptions extends EventListenerOptions {\n    once?: boolean;\n    passive?: boolean;\n    signal?: AbortSignal;\n}\n\ninterface AesCbcParams extends Algorithm {\n    iv: BufferSource;\n}\n\ninterface AesCtrParams extends Algorithm {\n    counter: BufferSource;\n    length: number;\n}\n\ninterface AesDerivedKeyParams extends Algorithm {\n    length: number;\n}\n\ninterface AesGcmParams extends Algorithm {\n    additionalData?: BufferSource;\n    iv: BufferSource;\n    tagLength?: number;\n}\n\ninterface AesKeyAlgorithm extends KeyAlgorithm {\n    length: number;\n}\n\ninterface AesKeyGenParams extends Algorithm {\n    length: number;\n}\n\ninterface Algorithm {\n    name: string;\n}\n\ninterface AudioConfiguration {\n    bitrate?: number;\n    channels?: string;\n    contentType: string;\n    samplerate?: number;\n    spatialRendering?: boolean;\n}\n\ninterface AvcEncoderConfig {\n    format?: AvcBitstreamFormat;\n}\n\ninterface BlobPropertyBag {\n    endings?: EndingType;\n    type?: string;\n}\n\ninterface CSSMatrixComponentOptions {\n    is2D?: boolean;\n}\n\ninterface CSSNumericType {\n    angle?: number;\n    flex?: number;\n    frequency?: number;\n    length?: number;\n    percent?: number;\n    percentHint?: CSSNumericBaseType;\n    resolution?: number;\n    time?: number;\n}\n\ninterface CacheQueryOptions {\n    ignoreMethod?: boolean;\n    ignoreSearch?: boolean;\n    ignoreVary?: boolean;\n}\n\ninterface ClientQueryOptions {\n    includeUncontrolled?: boolean;\n    type?: ClientTypes;\n}\n\ninterface CloseEventInit extends EventInit {\n    code?: number;\n    reason?: string;\n    wasClean?: boolean;\n}\n\ninterface CryptoKeyPair {\n    privateKey: CryptoKey;\n    publicKey: CryptoKey;\n}\n\ninterface CustomEventInit<T = any> extends EventInit {\n    detail?: T;\n}\n\ninterface DOMMatrix2DInit {\n    a?: number;\n    b?: number;\n    c?: number;\n    d?: number;\n    e?: number;\n    f?: number;\n    m11?: number;\n    m12?: number;\n    m21?: number;\n    m22?: number;\n    m41?: number;\n    m42?: number;\n}\n\ninterface DOMMatrixInit extends DOMMatrix2DInit {\n    is2D?: boolean;\n    m13?: number;\n    m14?: number;\n    m23?: number;\n    m24?: number;\n    m31?: number;\n    m32?: number;\n    m33?: number;\n    m34?: number;\n    m43?: number;\n    m44?: number;\n}\n\ninterface DOMPointInit {\n    w?: number;\n    x?: number;\n    y?: number;\n    z?: number;\n}\n\ninterface DOMQuadInit {\n    p1?: DOMPointInit;\n    p2?: DOMPointInit;\n    p3?: DOMPointInit;\n    p4?: DOMPointInit;\n}\n\ninterface DOMRectInit {\n    height?: number;\n    width?: number;\n    x?: number;\n    y?: number;\n}\n\ninterface EcKeyGenParams extends Algorithm {\n    namedCurve: NamedCurve;\n}\n\ninterface EcKeyImportParams extends Algorithm {\n    namedCurve: NamedCurve;\n}\n\ninterface EcdhKeyDeriveParams extends Algorithm {\n    public: CryptoKey;\n}\n\ninterface EcdsaParams extends Algorithm {\n    hash: HashAlgorithmIdentifier;\n}\n\ninterface EncodedVideoChunkInit {\n    data: AllowSharedBufferSource;\n    duration?: number;\n    timestamp: number;\n    type: EncodedVideoChunkType;\n}\n\ninterface EncodedVideoChunkMetadata {\n    decoderConfig?: VideoDecoderConfig;\n}\n\ninterface ErrorEventInit extends EventInit {\n    colno?: number;\n    error?: any;\n    filename?: string;\n    lineno?: number;\n    message?: string;\n}\n\ninterface EventInit {\n    bubbles?: boolean;\n    cancelable?: boolean;\n    composed?: boolean;\n}\n\ninterface EventListenerOptions {\n    capture?: boolean;\n}\n\ninterface EventSourceInit {\n    withCredentials?: boolean;\n}\n\ninterface ExtendableEventInit extends EventInit {\n}\n\ninterface ExtendableMessageEventInit extends ExtendableEventInit {\n    data?: any;\n    lastEventId?: string;\n    origin?: string;\n    ports?: MessagePort[];\n    source?: Client | ServiceWorker | MessagePort | null;\n}\n\ninterface FetchEventInit extends ExtendableEventInit {\n    clientId?: string;\n    handled?: Promise<undefined>;\n    preloadResponse?: Promise<any>;\n    replacesClientId?: string;\n    request: Request;\n    resultingClientId?: string;\n}\n\ninterface FilePropertyBag extends BlobPropertyBag {\n    lastModified?: number;\n}\n\ninterface FileSystemCreateWritableOptions {\n    keepExistingData?: boolean;\n}\n\ninterface FileSystemGetDirectoryOptions {\n    create?: boolean;\n}\n\ninterface FileSystemGetFileOptions {\n    create?: boolean;\n}\n\ninterface FileSystemReadWriteOptions {\n    at?: number;\n}\n\ninterface FileSystemRemoveOptions {\n    recursive?: boolean;\n}\n\ninterface FontFaceDescriptors {\n    ascentOverride?: string;\n    descentOverride?: string;\n    display?: FontDisplay;\n    featureSettings?: string;\n    lineGapOverride?: string;\n    stretch?: string;\n    style?: string;\n    unicodeRange?: string;\n    weight?: string;\n}\n\ninterface FontFaceSetLoadEventInit extends EventInit {\n    fontfaces?: FontFace[];\n}\n\ninterface GetNotificationOptions {\n    tag?: string;\n}\n\ninterface HkdfParams extends Algorithm {\n    hash: HashAlgorithmIdentifier;\n    info: BufferSource;\n    salt: BufferSource;\n}\n\ninterface HmacImportParams extends Algorithm {\n    hash: HashAlgorithmIdentifier;\n    length?: number;\n}\n\ninterface HmacKeyGenParams extends Algorithm {\n    hash: HashAlgorithmIdentifier;\n    length?: number;\n}\n\ninterface IDBDatabaseInfo {\n    name?: string;\n    version?: number;\n}\n\ninterface IDBIndexParameters {\n    multiEntry?: boolean;\n    unique?: boolean;\n}\n\ninterface IDBObjectStoreParameters {\n    autoIncrement?: boolean;\n    keyPath?: string | string[] | null;\n}\n\ninterface IDBTransactionOptions {\n    durability?: IDBTransactionDurability;\n}\n\ninterface IDBVersionChangeEventInit extends EventInit {\n    newVersion?: number | null;\n    oldVersion?: number;\n}\n\ninterface ImageBitmapOptions {\n    colorSpaceConversion?: ColorSpaceConversion;\n    imageOrientation?: ImageOrientation;\n    premultiplyAlpha?: PremultiplyAlpha;\n    resizeHeight?: number;\n    resizeQuality?: ResizeQuality;\n    resizeWidth?: number;\n}\n\ninterface ImageBitmapRenderingContextSettings {\n    alpha?: boolean;\n}\n\ninterface ImageDataSettings {\n    colorSpace?: PredefinedColorSpace;\n}\n\ninterface ImageEncodeOptions {\n    quality?: number;\n    type?: string;\n}\n\ninterface ImportMeta {\n    url: string;\n}\n\ninterface JsonWebKey {\n    alg?: string;\n    crv?: string;\n    d?: string;\n    dp?: string;\n    dq?: string;\n    e?: string;\n    ext?: boolean;\n    k?: string;\n    key_ops?: string[];\n    kty?: string;\n    n?: string;\n    oth?: RsaOtherPrimesInfo[];\n    p?: string;\n    q?: string;\n    qi?: string;\n    use?: string;\n    x?: string;\n    y?: string;\n}\n\ninterface KeyAlgorithm {\n    name: string;\n}\n\ninterface LockInfo {\n    clientId?: string;\n    mode?: LockMode;\n    name?: string;\n}\n\ninterface LockManagerSnapshot {\n    held?: LockInfo[];\n    pending?: LockInfo[];\n}\n\ninterface LockOptions {\n    ifAvailable?: boolean;\n    mode?: LockMode;\n    signal?: AbortSignal;\n    steal?: boolean;\n}\n\ninterface MediaCapabilitiesDecodingInfo extends MediaCapabilitiesInfo {\n    configuration?: MediaDecodingConfiguration;\n}\n\ninterface MediaCapabilitiesEncodingInfo extends MediaCapabilitiesInfo {\n    configuration?: MediaEncodingConfiguration;\n}\n\ninterface MediaCapabilitiesInfo {\n    powerEfficient: boolean;\n    smooth: boolean;\n    supported: boolean;\n}\n\ninterface MediaConfiguration {\n    audio?: AudioConfiguration;\n    video?: VideoConfiguration;\n}\n\ninterface MediaDecodingConfiguration extends MediaConfiguration {\n    type: MediaDecodingType;\n}\n\ninterface MediaEncodingConfiguration extends MediaConfiguration {\n    type: MediaEncodingType;\n}\n\ninterface MessageEventInit<T = any> extends EventInit {\n    data?: T;\n    lastEventId?: string;\n    origin?: string;\n    ports?: MessagePort[];\n    source?: MessageEventSource | null;\n}\n\ninterface MultiCacheQueryOptions extends CacheQueryOptions {\n    cacheName?: string;\n}\n\ninterface NavigationPreloadState {\n    enabled?: boolean;\n    headerValue?: string;\n}\n\ninterface NotificationEventInit extends ExtendableEventInit {\n    action?: string;\n    notification: Notification;\n}\n\ninterface NotificationOptions {\n    badge?: string;\n    body?: string;\n    data?: any;\n    dir?: NotificationDirection;\n    icon?: string;\n    lang?: string;\n    requireInteraction?: boolean;\n    silent?: boolean | null;\n    tag?: string;\n}\n\ninterface Pbkdf2Params extends Algorithm {\n    hash: HashAlgorithmIdentifier;\n    iterations: number;\n    salt: BufferSource;\n}\n\ninterface PerformanceMarkOptions {\n    detail?: any;\n    startTime?: DOMHighResTimeStamp;\n}\n\ninterface PerformanceMeasureOptions {\n    detail?: any;\n    duration?: DOMHighResTimeStamp;\n    end?: string | DOMHighResTimeStamp;\n    start?: string | DOMHighResTimeStamp;\n}\n\ninterface PerformanceObserverInit {\n    buffered?: boolean;\n    entryTypes?: string[];\n    type?: string;\n}\n\ninterface PermissionDescriptor {\n    name: PermissionName;\n}\n\ninterface PlaneLayout {\n    offset: number;\n    stride: number;\n}\n\ninterface ProgressEventInit extends EventInit {\n    lengthComputable?: boolean;\n    loaded?: number;\n    total?: number;\n}\n\ninterface PromiseRejectionEventInit extends EventInit {\n    promise: Promise<any>;\n    reason?: any;\n}\n\ninterface PushEventInit extends ExtendableEventInit {\n    data?: PushMessageDataInit;\n}\n\ninterface PushSubscriptionJSON {\n    endpoint?: string;\n    expirationTime?: EpochTimeStamp | null;\n    keys?: Record<string, string>;\n}\n\ninterface PushSubscriptionOptionsInit {\n    applicationServerKey?: BufferSource | string | null;\n    userVisibleOnly?: boolean;\n}\n\ninterface QueuingStrategy<T = any> {\n    highWaterMark?: number;\n    size?: QueuingStrategySize<T>;\n}\n\ninterface QueuingStrategyInit {\n    /**\n     * Creates a new ByteLengthQueuingStrategy with the provided high water mark.\n     *\n     * Note that the provided high water mark will not be validated ahead of time. Instead, if it is negative, NaN, or not a number, the resulting ByteLengthQueuingStrategy will cause the corresponding stream constructor to throw.\n     */\n    highWaterMark: number;\n}\n\ninterface RTCEncodedAudioFrameMetadata {\n    contributingSources?: number[];\n    payloadType?: number;\n    sequenceNumber?: number;\n    synchronizationSource?: number;\n}\n\ninterface RTCEncodedVideoFrameMetadata {\n    contributingSources?: number[];\n    dependencies?: number[];\n    frameId?: number;\n    height?: number;\n    payloadType?: number;\n    spatialIndex?: number;\n    synchronizationSource?: number;\n    temporalIndex?: number;\n    timestamp?: number;\n    width?: number;\n}\n\ninterface ReadableStreamGetReaderOptions {\n    /**\n     * Creates a ReadableStreamBYOBReader and locks the stream to the new reader.\n     *\n     * This call behaves the same way as the no-argument variant, except that it only works on readable byte streams, i.e. streams which were constructed specifically with the ability to handle "bring your own buffer" reading. The returned BYOB reader provides the ability to directly read individual chunks from the stream via its read() method, into developer-supplied buffers, allowing more precise control over allocation.\n     */\n    mode?: ReadableStreamReaderMode;\n}\n\ninterface ReadableStreamReadDoneResult<T> {\n    done: true;\n    value?: T;\n}\n\ninterface ReadableStreamReadValueResult<T> {\n    done: false;\n    value: T;\n}\n\ninterface ReadableWritablePair<R = any, W = any> {\n    readable: ReadableStream<R>;\n    /**\n     * Provides a convenient, chainable way of piping this readable stream through a transform stream (or any other { writable, readable } pair). It simply pipes the stream into the writable side of the supplied pair, and returns the readable side for further use.\n     *\n     * Piping a stream will lock it for the duration of the pipe, preventing any other consumer from acquiring a reader.\n     */\n    writable: WritableStream<W>;\n}\n\ninterface RegistrationOptions {\n    scope?: string;\n    type?: WorkerType;\n    updateViaCache?: ServiceWorkerUpdateViaCache;\n}\n\ninterface ReportingObserverOptions {\n    buffered?: boolean;\n    types?: string[];\n}\n\ninterface RequestInit {\n    /** A BodyInit object or null to set request\'s body. */\n    body?: BodyInit | null;\n    /** A string indicating how the request will interact with the browser\'s cache to set request\'s cache. */\n    cache?: RequestCache;\n    /** A string indicating whether credentials will be sent with the request always, never, or only when sent to a same-origin URL. Sets request\'s credentials. */\n    credentials?: RequestCredentials;\n    /** A Headers object, an object literal, or an array of two-item arrays to set request\'s headers. */\n    headers?: HeadersInit;\n    /** A cryptographic hash of the resource to be fetched by request. Sets request\'s integrity. */\n    integrity?: string;\n    /** A boolean to set request\'s keepalive. */\n    keepalive?: boolean;\n    /** A string to set request\'s method. */\n    method?: string;\n    /** A string to indicate whether the request will use CORS, or will be restricted to same-origin URLs. Sets request\'s mode. */\n    mode?: RequestMode;\n    priority?: RequestPriority;\n    /** A string indicating whether request follows redirects, results in an error upon encountering a redirect, or returns the redirect (in an opaque fashion). Sets request\'s redirect. */\n    redirect?: RequestRedirect;\n    /** A string whose value is a same-origin URL, "about:client", or the empty string, to set request\'s referrer. */\n    referrer?: string;\n    /** A referrer policy to set request\'s referrerPolicy. */\n    referrerPolicy?: ReferrerPolicy;\n    /** An AbortSignal to set request\'s signal. */\n    signal?: AbortSignal | null;\n    /** Can only be null. Used to disassociate request from any Window. */\n    window?: null;\n}\n\ninterface ResponseInit {\n    headers?: HeadersInit;\n    status?: number;\n    statusText?: string;\n}\n\ninterface RsaHashedImportParams extends Algorithm {\n    hash: HashAlgorithmIdentifier;\n}\n\ninterface RsaHashedKeyGenParams extends RsaKeyGenParams {\n    hash: HashAlgorithmIdentifier;\n}\n\ninterface RsaKeyGenParams extends Algorithm {\n    modulusLength: number;\n    publicExponent: BigInteger;\n}\n\ninterface RsaOaepParams extends Algorithm {\n    label?: BufferSource;\n}\n\ninterface RsaOtherPrimesInfo {\n    d?: string;\n    r?: string;\n    t?: string;\n}\n\ninterface RsaPssParams extends Algorithm {\n    saltLength: number;\n}\n\ninterface SecurityPolicyViolationEventInit extends EventInit {\n    blockedURI?: string;\n    columnNumber?: number;\n    disposition: SecurityPolicyViolationEventDisposition;\n    documentURI: string;\n    effectiveDirective: string;\n    lineNumber?: number;\n    originalPolicy: string;\n    referrer?: string;\n    sample?: string;\n    sourceFile?: string;\n    statusCode: number;\n    violatedDirective: string;\n}\n\ninterface StorageEstimate {\n    quota?: number;\n    usage?: number;\n}\n\ninterface StreamPipeOptions {\n    preventAbort?: boolean;\n    preventCancel?: boolean;\n    /**\n     * Pipes this readable stream to a given writable stream destination. The way in which the piping process behaves under various error conditions can be customized with a number of passed options. It returns a promise that fulfills when the piping process completes successfully, or rejects if any errors were encountered.\n     *\n     * Piping a stream will lock it for the duration of the pipe, preventing any other consumer from acquiring a reader.\n     *\n     * Errors and closures of the source and destination streams propagate as follows:\n     *\n     * An error in this source readable stream will abort destination, unless preventAbort is truthy. The returned promise will be rejected with the source\'s error, or with any error that occurs during aborting the destination.\n     *\n     * An error in destination will cancel this source readable stream, unless preventCancel is truthy. The returned promise will be rejected with the destination\'s error, or with any error that occurs during canceling the source.\n     *\n     * When this source readable stream closes, destination will be closed, unless preventClose is truthy. The returned promise will be fulfilled once this process completes, unless an error is encountered while closing the destination, in which case it will be rejected with that error.\n     *\n     * If destination starts out closed or closing, this source readable stream will be canceled, unless preventCancel is true. The returned promise will be rejected with an error indicating piping to a closed stream failed, or with any error that occurs during canceling the source.\n     *\n     * The signal option can be set to an AbortSignal to allow aborting an ongoing pipe operation via the corresponding AbortController. In this case, this source readable stream will be canceled, and destination aborted, unless the respective options preventCancel or preventAbort are set.\n     */\n    preventClose?: boolean;\n    signal?: AbortSignal;\n}\n\ninterface StructuredSerializeOptions {\n    transfer?: Transferable[];\n}\n\ninterface TextDecodeOptions {\n    stream?: boolean;\n}\n\ninterface TextDecoderOptions {\n    fatal?: boolean;\n    ignoreBOM?: boolean;\n}\n\ninterface TextEncoderEncodeIntoResult {\n    read: number;\n    written: number;\n}\n\ninterface Transformer<I = any, O = any> {\n    flush?: TransformerFlushCallback<O>;\n    readableType?: undefined;\n    start?: TransformerStartCallback<O>;\n    transform?: TransformerTransformCallback<I, O>;\n    writableType?: undefined;\n}\n\ninterface UnderlyingByteSource {\n    autoAllocateChunkSize?: number;\n    cancel?: UnderlyingSourceCancelCallback;\n    pull?: (controller: ReadableByteStreamController) => void | PromiseLike<void>;\n    start?: (controller: ReadableByteStreamController) => any;\n    type: "bytes";\n}\n\ninterface UnderlyingDefaultSource<R = any> {\n    cancel?: UnderlyingSourceCancelCallback;\n    pull?: (controller: ReadableStreamDefaultController<R>) => void | PromiseLike<void>;\n    start?: (controller: ReadableStreamDefaultController<R>) => any;\n    type?: undefined;\n}\n\ninterface UnderlyingSink<W = any> {\n    abort?: UnderlyingSinkAbortCallback;\n    close?: UnderlyingSinkCloseCallback;\n    start?: UnderlyingSinkStartCallback;\n    type?: undefined;\n    write?: UnderlyingSinkWriteCallback<W>;\n}\n\ninterface UnderlyingSource<R = any> {\n    autoAllocateChunkSize?: number;\n    cancel?: UnderlyingSourceCancelCallback;\n    pull?: UnderlyingSourcePullCallback<R>;\n    start?: UnderlyingSourceStartCallback<R>;\n    type?: ReadableStreamType;\n}\n\ninterface VideoColorSpaceInit {\n    fullRange?: boolean | null;\n    matrix?: VideoMatrixCoefficients | null;\n    primaries?: VideoColorPrimaries | null;\n    transfer?: VideoTransferCharacteristics | null;\n}\n\ninterface VideoConfiguration {\n    bitrate: number;\n    colorGamut?: ColorGamut;\n    contentType: string;\n    framerate: number;\n    hdrMetadataType?: HdrMetadataType;\n    height: number;\n    scalabilityMode?: string;\n    transferFunction?: TransferFunction;\n    width: number;\n}\n\ninterface VideoDecoderConfig {\n    codec: string;\n    codedHeight?: number;\n    codedWidth?: number;\n    colorSpace?: VideoColorSpaceInit;\n    description?: AllowSharedBufferSource;\n    displayAspectHeight?: number;\n    displayAspectWidth?: number;\n    hardwareAcceleration?: HardwareAcceleration;\n    optimizeForLatency?: boolean;\n}\n\ninterface VideoDecoderInit {\n    error: WebCodecsErrorCallback;\n    output: VideoFrameOutputCallback;\n}\n\ninterface VideoDecoderSupport {\n    config?: VideoDecoderConfig;\n    supported?: boolean;\n}\n\ninterface VideoEncoderConfig {\n    alpha?: AlphaOption;\n    avc?: AvcEncoderConfig;\n    bitrate?: number;\n    bitrateMode?: VideoEncoderBitrateMode;\n    codec: string;\n    displayHeight?: number;\n    displayWidth?: number;\n    framerate?: number;\n    hardwareAcceleration?: HardwareAcceleration;\n    height: number;\n    latencyMode?: LatencyMode;\n    scalabilityMode?: string;\n    width: number;\n}\n\ninterface VideoEncoderEncodeOptions {\n    keyFrame?: boolean;\n}\n\ninterface VideoEncoderInit {\n    error: WebCodecsErrorCallback;\n    output: EncodedVideoChunkOutputCallback;\n}\n\ninterface VideoEncoderSupport {\n    config?: VideoEncoderConfig;\n    supported?: boolean;\n}\n\ninterface VideoFrameBufferInit {\n    codedHeight: number;\n    codedWidth: number;\n    colorSpace?: VideoColorSpaceInit;\n    displayHeight?: number;\n    displayWidth?: number;\n    duration?: number;\n    format: VideoPixelFormat;\n    layout?: PlaneLayout[];\n    timestamp: number;\n    visibleRect?: DOMRectInit;\n}\n\ninterface VideoFrameCopyToOptions {\n    layout?: PlaneLayout[];\n    rect?: DOMRectInit;\n}\n\ninterface VideoFrameInit {\n    alpha?: AlphaOption;\n    displayHeight?: number;\n    displayWidth?: number;\n    duration?: number;\n    timestamp?: number;\n    visibleRect?: DOMRectInit;\n}\n\ninterface WebGLContextAttributes {\n    alpha?: boolean;\n    antialias?: boolean;\n    depth?: boolean;\n    desynchronized?: boolean;\n    failIfMajorPerformanceCaveat?: boolean;\n    powerPreference?: WebGLPowerPreference;\n    premultipliedAlpha?: boolean;\n    preserveDrawingBuffer?: boolean;\n    stencil?: boolean;\n}\n\ninterface WebGLContextEventInit extends EventInit {\n    statusMessage?: string;\n}\n\ninterface WebTransportCloseInfo {\n    closeCode?: number;\n    reason?: string;\n}\n\ninterface WebTransportErrorOptions {\n    source?: WebTransportErrorSource;\n    streamErrorCode?: number | null;\n}\n\ninterface WebTransportHash {\n    algorithm?: string;\n    value?: BufferSource;\n}\n\ninterface WebTransportOptions {\n    allowPooling?: boolean;\n    congestionControl?: WebTransportCongestionControl;\n    requireUnreliable?: boolean;\n    serverCertificateHashes?: WebTransportHash[];\n}\n\ninterface WebTransportSendStreamOptions {\n    sendOrder?: number;\n}\n\ninterface WorkerOptions {\n    credentials?: RequestCredentials;\n    name?: string;\n    type?: WorkerType;\n}\n\ninterface WriteParams {\n    data?: BufferSource | Blob | string | null;\n    position?: number | null;\n    size?: number | null;\n    type: WriteCommandType;\n}\n\n/**\n * The ANGLE_instanced_arrays extension is part of the WebGL API and allows to draw the same object, or groups of similar objects multiple times, if they share the same vertex data, primitive count and type.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ANGLE_instanced_arrays)\n */\ninterface ANGLE_instanced_arrays {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ANGLE_instanced_arrays/drawArraysInstancedANGLE) */\n    drawArraysInstancedANGLE(mode: GLenum, first: GLint, count: GLsizei, primcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ANGLE_instanced_arrays/drawElementsInstancedANGLE) */\n    drawElementsInstancedANGLE(mode: GLenum, count: GLsizei, type: GLenum, offset: GLintptr, primcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ANGLE_instanced_arrays/vertexAttribDivisorANGLE) */\n    vertexAttribDivisorANGLE(index: GLuint, divisor: GLuint): void;\n    readonly VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE: 0x88FE;\n}\n\n/**\n * A controller object that allows you to abort one or more DOM requests as and when desired.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortController)\n */\ninterface AbortController {\n    /**\n     * Returns the AbortSignal object associated with this object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortController/signal)\n     */\n    readonly signal: AbortSignal;\n    /**\n     * Invoking this method will set this object\'s AbortSignal\'s aborted flag and signal to any observers that the associated activity is to be aborted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortController/abort)\n     */\n    abort(reason?: any): void;\n}\n\ndeclare var AbortController: {\n    prototype: AbortController;\n    new(): AbortController;\n};\n\ninterface AbortSignalEventMap {\n    "abort": Event;\n}\n\n/**\n * A signal object that allows you to communicate with a DOM request (such as a Fetch) and abort it if required via an AbortController object.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal)\n */\ninterface AbortSignal extends EventTarget {\n    /**\n     * Returns true if this AbortSignal\'s AbortController has signaled to abort, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal/aborted)\n     */\n    readonly aborted: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal/abort_event) */\n    onabort: ((this: AbortSignal, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal/reason) */\n    readonly reason: any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal/throwIfAborted) */\n    throwIfAborted(): void;\n    addEventListener<K extends keyof AbortSignalEventMap>(type: K, listener: (this: AbortSignal, ev: AbortSignalEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AbortSignalEventMap>(type: K, listener: (this: AbortSignal, ev: AbortSignalEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var AbortSignal: {\n    prototype: AbortSignal;\n    new(): AbortSignal;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal/abort_static) */\n    abort(reason?: any): AbortSignal;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/AbortSignal/timeout_static) */\n    timeout(milliseconds: number): AbortSignal;\n};\n\ninterface AbstractWorkerEventMap {\n    "error": ErrorEvent;\n}\n\ninterface AbstractWorker {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorker/error_event) */\n    onerror: ((this: AbstractWorker, ev: ErrorEvent) => any) | null;\n    addEventListener<K extends keyof AbstractWorkerEventMap>(type: K, listener: (this: AbstractWorker, ev: AbstractWorkerEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof AbstractWorkerEventMap>(type: K, listener: (this: AbstractWorker, ev: AbstractWorkerEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ninterface AnimationFrameProvider {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/cancelAnimationFrame) */\n    cancelAnimationFrame(handle: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/requestAnimationFrame) */\n    requestAnimationFrame(callback: FrameRequestCallback): number;\n}\n\n/**\n * A file-like object of immutable, raw data. Blobs represent data that isn\'t necessarily in a JavaScript-native format. The File interface is based on Blob, inheriting blob functionality and expanding it to support files on the user\'s system.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob)\n */\ninterface Blob {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob/size) */\n    readonly size: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob/type) */\n    readonly type: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob/arrayBuffer) */\n    arrayBuffer(): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob/slice) */\n    slice(start?: number, end?: number, contentType?: string): Blob;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob/stream) */\n    stream(): ReadableStream<Uint8Array>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Blob/text) */\n    text(): Promise<string>;\n}\n\ndeclare var Blob: {\n    prototype: Blob;\n    new(blobParts?: BlobPart[], options?: BlobPropertyBag): Blob;\n};\n\ninterface Body {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/body) */\n    readonly body: ReadableStream<Uint8Array> | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/bodyUsed) */\n    readonly bodyUsed: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/arrayBuffer) */\n    arrayBuffer(): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/blob) */\n    blob(): Promise<Blob>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/formData) */\n    formData(): Promise<FormData>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/json) */\n    json(): Promise<any>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/text) */\n    text(): Promise<string>;\n}\n\ninterface BroadcastChannelEventMap {\n    "message": MessageEvent;\n    "messageerror": MessageEvent;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BroadcastChannel) */\ninterface BroadcastChannel extends EventTarget {\n    /**\n     * Returns the channel name (as passed to the constructor).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/BroadcastChannel/name)\n     */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BroadcastChannel/message_event) */\n    onmessage: ((this: BroadcastChannel, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/BroadcastChannel/messageerror_event) */\n    onmessageerror: ((this: BroadcastChannel, ev: MessageEvent) => any) | null;\n    /**\n     * Closes the BroadcastChannel object, opening it up to garbage collection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/BroadcastChannel/close)\n     */\n    close(): void;\n    /**\n     * Sends the given message to other BroadcastChannel objects set up for this channel. Messages can be structured objects, e.g. nested objects and arrays.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/BroadcastChannel/postMessage)\n     */\n    postMessage(message: any): void;\n    addEventListener<K extends keyof BroadcastChannelEventMap>(type: K, listener: (this: BroadcastChannel, ev: BroadcastChannelEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof BroadcastChannelEventMap>(type: K, listener: (this: BroadcastChannel, ev: BroadcastChannelEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var BroadcastChannel: {\n    prototype: BroadcastChannel;\n    new(name: string): BroadcastChannel;\n};\n\n/**\n * This Streams API interface provides a built-in byte length queuing strategy that can be used when constructing streams.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ByteLengthQueuingStrategy)\n */\ninterface ByteLengthQueuingStrategy extends QueuingStrategy<ArrayBufferView> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ByteLengthQueuingStrategy/highWaterMark) */\n    readonly highWaterMark: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ByteLengthQueuingStrategy/size) */\n    readonly size: QueuingStrategySize<ArrayBufferView>;\n}\n\ndeclare var ByteLengthQueuingStrategy: {\n    prototype: ByteLengthQueuingStrategy;\n    new(init: QueuingStrategyInit): ByteLengthQueuingStrategy;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSImageValue) */\ninterface CSSImageValue extends CSSStyleValue {\n}\n\ndeclare var CSSImageValue: {\n    prototype: CSSImageValue;\n    new(): CSSImageValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeywordValue) */\ninterface CSSKeywordValue extends CSSStyleValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSKeywordValue/value) */\n    value: string;\n}\n\ndeclare var CSSKeywordValue: {\n    prototype: CSSKeywordValue;\n    new(value: string): CSSKeywordValue;\n};\n\ninterface CSSMathClamp extends CSSMathValue {\n    readonly lower: CSSNumericValue;\n    readonly upper: CSSNumericValue;\n    readonly value: CSSNumericValue;\n}\n\ndeclare var CSSMathClamp: {\n    prototype: CSSMathClamp;\n    new(lower: CSSNumberish, value: CSSNumberish, upper: CSSNumberish): CSSMathClamp;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathInvert) */\ninterface CSSMathInvert extends CSSMathValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathInvert/value) */\n    readonly value: CSSNumericValue;\n}\n\ndeclare var CSSMathInvert: {\n    prototype: CSSMathInvert;\n    new(arg: CSSNumberish): CSSMathInvert;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathMax) */\ninterface CSSMathMax extends CSSMathValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathMax/values) */\n    readonly values: CSSNumericArray;\n}\n\ndeclare var CSSMathMax: {\n    prototype: CSSMathMax;\n    new(...args: CSSNumberish[]): CSSMathMax;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathMin) */\ninterface CSSMathMin extends CSSMathValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathMin/values) */\n    readonly values: CSSNumericArray;\n}\n\ndeclare var CSSMathMin: {\n    prototype: CSSMathMin;\n    new(...args: CSSNumberish[]): CSSMathMin;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathNegate) */\ninterface CSSMathNegate extends CSSMathValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathNegate/value) */\n    readonly value: CSSNumericValue;\n}\n\ndeclare var CSSMathNegate: {\n    prototype: CSSMathNegate;\n    new(arg: CSSNumberish): CSSMathNegate;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathProduct) */\ninterface CSSMathProduct extends CSSMathValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathProduct/values) */\n    readonly values: CSSNumericArray;\n}\n\ndeclare var CSSMathProduct: {\n    prototype: CSSMathProduct;\n    new(...args: CSSNumberish[]): CSSMathProduct;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathSum) */\ninterface CSSMathSum extends CSSMathValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathSum/values) */\n    readonly values: CSSNumericArray;\n}\n\ndeclare var CSSMathSum: {\n    prototype: CSSMathSum;\n    new(...args: CSSNumberish[]): CSSMathSum;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathValue) */\ninterface CSSMathValue extends CSSNumericValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMathValue/operator) */\n    readonly operator: CSSMathOperator;\n}\n\ndeclare var CSSMathValue: {\n    prototype: CSSMathValue;\n    new(): CSSMathValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMatrixComponent) */\ninterface CSSMatrixComponent extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSMatrixComponent/matrix) */\n    matrix: DOMMatrix;\n}\n\ndeclare var CSSMatrixComponent: {\n    prototype: CSSMatrixComponent;\n    new(matrix: DOMMatrixReadOnly, options?: CSSMatrixComponentOptions): CSSMatrixComponent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericArray) */\ninterface CSSNumericArray {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericArray/length) */\n    readonly length: number;\n    forEach(callbackfn: (value: CSSNumericValue, key: number, parent: CSSNumericArray) => void, thisArg?: any): void;\n    [index: number]: CSSNumericValue;\n}\n\ndeclare var CSSNumericArray: {\n    prototype: CSSNumericArray;\n    new(): CSSNumericArray;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue) */\ninterface CSSNumericValue extends CSSStyleValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/add) */\n    add(...values: CSSNumberish[]): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/div) */\n    div(...values: CSSNumberish[]): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/equals) */\n    equals(...value: CSSNumberish[]): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/max) */\n    max(...values: CSSNumberish[]): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/min) */\n    min(...values: CSSNumberish[]): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/mul) */\n    mul(...values: CSSNumberish[]): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/sub) */\n    sub(...values: CSSNumberish[]): CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/to) */\n    to(unit: string): CSSUnitValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/toSum) */\n    toSum(...units: string[]): CSSMathSum;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSNumericValue/type) */\n    type(): CSSNumericType;\n}\n\ndeclare var CSSNumericValue: {\n    prototype: CSSNumericValue;\n    new(): CSSNumericValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSPerspective) */\ninterface CSSPerspective extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSPerspective/length) */\n    length: CSSPerspectiveValue;\n}\n\ndeclare var CSSPerspective: {\n    prototype: CSSPerspective;\n    new(length: CSSPerspectiveValue): CSSPerspective;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRotate) */\ninterface CSSRotate extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRotate/angle) */\n    angle: CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRotate/x) */\n    x: CSSNumberish;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRotate/y) */\n    y: CSSNumberish;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSRotate/z) */\n    z: CSSNumberish;\n}\n\ndeclare var CSSRotate: {\n    prototype: CSSRotate;\n    new(angle: CSSNumericValue): CSSRotate;\n    new(x: CSSNumberish, y: CSSNumberish, z: CSSNumberish, angle: CSSNumericValue): CSSRotate;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSScale) */\ninterface CSSScale extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSScale/x) */\n    x: CSSNumberish;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSScale/y) */\n    y: CSSNumberish;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSScale/z) */\n    z: CSSNumberish;\n}\n\ndeclare var CSSScale: {\n    prototype: CSSScale;\n    new(x: CSSNumberish, y: CSSNumberish, z?: CSSNumberish): CSSScale;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkew) */\ninterface CSSSkew extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkew/ax) */\n    ax: CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkew/ay) */\n    ay: CSSNumericValue;\n}\n\ndeclare var CSSSkew: {\n    prototype: CSSSkew;\n    new(ax: CSSNumericValue, ay: CSSNumericValue): CSSSkew;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkewX) */\ninterface CSSSkewX extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkewX/ax) */\n    ax: CSSNumericValue;\n}\n\ndeclare var CSSSkewX: {\n    prototype: CSSSkewX;\n    new(ax: CSSNumericValue): CSSSkewX;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkewY) */\ninterface CSSSkewY extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSSkewY/ay) */\n    ay: CSSNumericValue;\n}\n\ndeclare var CSSSkewY: {\n    prototype: CSSSkewY;\n    new(ay: CSSNumericValue): CSSSkewY;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSStyleValue) */\ninterface CSSStyleValue {\n    toString(): string;\n}\n\ndeclare var CSSStyleValue: {\n    prototype: CSSStyleValue;\n    new(): CSSStyleValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformComponent) */\ninterface CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformComponent/is2D) */\n    is2D: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformComponent/toMatrix) */\n    toMatrix(): DOMMatrix;\n    toString(): string;\n}\n\ndeclare var CSSTransformComponent: {\n    prototype: CSSTransformComponent;\n    new(): CSSTransformComponent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformValue) */\ninterface CSSTransformValue extends CSSStyleValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformValue/is2D) */\n    readonly is2D: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformValue/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTransformValue/toMatrix) */\n    toMatrix(): DOMMatrix;\n    forEach(callbackfn: (value: CSSTransformComponent, key: number, parent: CSSTransformValue) => void, thisArg?: any): void;\n    [index: number]: CSSTransformComponent;\n}\n\ndeclare var CSSTransformValue: {\n    prototype: CSSTransformValue;\n    new(transforms: CSSTransformComponent[]): CSSTransformValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTranslate) */\ninterface CSSTranslate extends CSSTransformComponent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTranslate/x) */\n    x: CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTranslate/y) */\n    y: CSSNumericValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSTranslate/z) */\n    z: CSSNumericValue;\n}\n\ndeclare var CSSTranslate: {\n    prototype: CSSTranslate;\n    new(x: CSSNumericValue, y: CSSNumericValue, z?: CSSNumericValue): CSSTranslate;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSUnitValue) */\ninterface CSSUnitValue extends CSSNumericValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSUnitValue/unit) */\n    readonly unit: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSUnitValue/value) */\n    value: number;\n}\n\ndeclare var CSSUnitValue: {\n    prototype: CSSUnitValue;\n    new(value: number, unit: string): CSSUnitValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSUnparsedValue) */\ninterface CSSUnparsedValue extends CSSStyleValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSUnparsedValue/length) */\n    readonly length: number;\n    forEach(callbackfn: (value: CSSUnparsedSegment, key: number, parent: CSSUnparsedValue) => void, thisArg?: any): void;\n    [index: number]: CSSUnparsedSegment;\n}\n\ndeclare var CSSUnparsedValue: {\n    prototype: CSSUnparsedValue;\n    new(members: CSSUnparsedSegment[]): CSSUnparsedValue;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSVariableReferenceValue) */\ninterface CSSVariableReferenceValue {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSVariableReferenceValue/fallback) */\n    readonly fallback: CSSUnparsedValue | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CSSVariableReferenceValue/variable) */\n    variable: string;\n}\n\ndeclare var CSSVariableReferenceValue: {\n    prototype: CSSVariableReferenceValue;\n    new(variable: string, fallback?: CSSUnparsedValue | null): CSSVariableReferenceValue;\n};\n\n/**\n * Provides a storage mechanism for Request / Response object pairs that are cached, for example as part of the ServiceWorker life cycle. Note that the Cache interface is exposed to windowed scopes as well as workers. You don\'t have to use it in conjunction with service workers, even though it is defined in the service worker spec.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache)\n */\ninterface Cache {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/add) */\n    add(request: RequestInfo | URL): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/addAll) */\n    addAll(requests: RequestInfo[]): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/delete) */\n    delete(request: RequestInfo | URL, options?: CacheQueryOptions): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/keys) */\n    keys(request?: RequestInfo | URL, options?: CacheQueryOptions): Promise<ReadonlyArray<Request>>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/match) */\n    match(request: RequestInfo | URL, options?: CacheQueryOptions): Promise<Response | undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/matchAll) */\n    matchAll(request?: RequestInfo | URL, options?: CacheQueryOptions): Promise<ReadonlyArray<Response>>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/put) */\n    put(request: RequestInfo | URL, response: Response): Promise<void>;\n}\n\ndeclare var Cache: {\n    prototype: Cache;\n    new(): Cache;\n};\n\n/**\n * The storage for Cache objects.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CacheStorage)\n */\ninterface CacheStorage {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CacheStorage/delete) */\n    delete(cacheName: string): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CacheStorage/has) */\n    has(cacheName: string): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CacheStorage/keys) */\n    keys(): Promise<string[]>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CacheStorage/match) */\n    match(request: RequestInfo | URL, options?: MultiCacheQueryOptions): Promise<Response | undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CacheStorage/open) */\n    open(cacheName: string): Promise<Cache>;\n}\n\ndeclare var CacheStorage: {\n    prototype: CacheStorage;\n    new(): CacheStorage;\n};\n\ninterface CanvasCompositing {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/globalAlpha) */\n    globalAlpha: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/globalCompositeOperation) */\n    globalCompositeOperation: GlobalCompositeOperation;\n}\n\ninterface CanvasDrawImage {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/drawImage) */\n    drawImage(image: CanvasImageSource, dx: number, dy: number): void;\n    drawImage(image: CanvasImageSource, dx: number, dy: number, dw: number, dh: number): void;\n    drawImage(image: CanvasImageSource, sx: number, sy: number, sw: number, sh: number, dx: number, dy: number, dw: number, dh: number): void;\n}\n\ninterface CanvasDrawPath {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/beginPath) */\n    beginPath(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/clip) */\n    clip(fillRule?: CanvasFillRule): void;\n    clip(path: Path2D, fillRule?: CanvasFillRule): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fill) */\n    fill(fillRule?: CanvasFillRule): void;\n    fill(path: Path2D, fillRule?: CanvasFillRule): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/isPointInPath) */\n    isPointInPath(x: number, y: number, fillRule?: CanvasFillRule): boolean;\n    isPointInPath(path: Path2D, x: number, y: number, fillRule?: CanvasFillRule): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/isPointInStroke) */\n    isPointInStroke(x: number, y: number): boolean;\n    isPointInStroke(path: Path2D, x: number, y: number): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/stroke) */\n    stroke(): void;\n    stroke(path: Path2D): void;\n}\n\ninterface CanvasFillStrokeStyles {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fillStyle) */\n    fillStyle: string | CanvasGradient | CanvasPattern;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/strokeStyle) */\n    strokeStyle: string | CanvasGradient | CanvasPattern;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/createConicGradient) */\n    createConicGradient(startAngle: number, x: number, y: number): CanvasGradient;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/createLinearGradient) */\n    createLinearGradient(x0: number, y0: number, x1: number, y1: number): CanvasGradient;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/createPattern) */\n    createPattern(image: CanvasImageSource, repetition: string | null): CanvasPattern | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/createRadialGradient) */\n    createRadialGradient(x0: number, y0: number, r0: number, x1: number, y1: number, r1: number): CanvasGradient;\n}\n\ninterface CanvasFilters {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/filter) */\n    filter: string;\n}\n\n/**\n * An opaque object describing a gradient. It is returned by the methods CanvasRenderingContext2D.createLinearGradient() or CanvasRenderingContext2D.createRadialGradient().\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasGradient)\n */\ninterface CanvasGradient {\n    /**\n     * Adds a color stop with the given color to the gradient at the given offset. 0.0 is the offset at one end of the gradient, 1.0 is the offset at the other end.\n     *\n     * Throws an "IndexSizeError" DOMException if the offset is out of range. Throws a "SyntaxError" DOMException if the color cannot be parsed.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasGradient/addColorStop)\n     */\n    addColorStop(offset: number, color: string): void;\n}\n\ndeclare var CanvasGradient: {\n    prototype: CanvasGradient;\n    new(): CanvasGradient;\n};\n\ninterface CanvasImageData {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/createImageData) */\n    createImageData(sw: number, sh: number, settings?: ImageDataSettings): ImageData;\n    createImageData(imagedata: ImageData): ImageData;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/getImageData) */\n    getImageData(sx: number, sy: number, sw: number, sh: number, settings?: ImageDataSettings): ImageData;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/putImageData) */\n    putImageData(imagedata: ImageData, dx: number, dy: number): void;\n    putImageData(imagedata: ImageData, dx: number, dy: number, dirtyX: number, dirtyY: number, dirtyWidth: number, dirtyHeight: number): void;\n}\n\ninterface CanvasImageSmoothing {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/imageSmoothingEnabled) */\n    imageSmoothingEnabled: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/imageSmoothingQuality) */\n    imageSmoothingQuality: ImageSmoothingQuality;\n}\n\ninterface CanvasPath {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/arc) */\n    arc(x: number, y: number, radius: number, startAngle: number, endAngle: number, counterclockwise?: boolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/arcTo) */\n    arcTo(x1: number, y1: number, x2: number, y2: number, radius: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/bezierCurveTo) */\n    bezierCurveTo(cp1x: number, cp1y: number, cp2x: number, cp2y: number, x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/closePath) */\n    closePath(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/ellipse) */\n    ellipse(x: number, y: number, radiusX: number, radiusY: number, rotation: number, startAngle: number, endAngle: number, counterclockwise?: boolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/lineTo) */\n    lineTo(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/moveTo) */\n    moveTo(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/quadraticCurveTo) */\n    quadraticCurveTo(cpx: number, cpy: number, x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/rect) */\n    rect(x: number, y: number, w: number, h: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/roundRect) */\n    roundRect(x: number, y: number, w: number, h: number, radii?: number | DOMPointInit | (number | DOMPointInit)[]): void;\n}\n\ninterface CanvasPathDrawingStyles {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/lineCap) */\n    lineCap: CanvasLineCap;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/lineDashOffset) */\n    lineDashOffset: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/lineJoin) */\n    lineJoin: CanvasLineJoin;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/lineWidth) */\n    lineWidth: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/miterLimit) */\n    miterLimit: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/getLineDash) */\n    getLineDash(): number[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/setLineDash) */\n    setLineDash(segments: number[]): void;\n}\n\n/**\n * An opaque object describing a pattern, based on an image, a canvas, or a video, created by the CanvasRenderingContext2D.createPattern() method.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasPattern)\n */\ninterface CanvasPattern {\n    /**\n     * Sets the transformation matrix that will be used when rendering the pattern during a fill or stroke painting operation.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasPattern/setTransform)\n     */\n    setTransform(transform?: DOMMatrix2DInit): void;\n}\n\ndeclare var CanvasPattern: {\n    prototype: CanvasPattern;\n    new(): CanvasPattern;\n};\n\ninterface CanvasRect {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/clearRect) */\n    clearRect(x: number, y: number, w: number, h: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fillRect) */\n    fillRect(x: number, y: number, w: number, h: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/strokeRect) */\n    strokeRect(x: number, y: number, w: number, h: number): void;\n}\n\ninterface CanvasShadowStyles {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/shadowBlur) */\n    shadowBlur: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/shadowColor) */\n    shadowColor: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/shadowOffsetX) */\n    shadowOffsetX: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/shadowOffsetY) */\n    shadowOffsetY: number;\n}\n\ninterface CanvasState {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/reset) */\n    reset(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/restore) */\n    restore(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/save) */\n    save(): void;\n}\n\ninterface CanvasText {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fillText) */\n    fillText(text: string, x: number, y: number, maxWidth?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/measureText) */\n    measureText(text: string): TextMetrics;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/strokeText) */\n    strokeText(text: string, x: number, y: number, maxWidth?: number): void;\n}\n\ninterface CanvasTextDrawingStyles {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/direction) */\n    direction: CanvasDirection;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/font) */\n    font: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fontKerning) */\n    fontKerning: CanvasFontKerning;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fontStretch) */\n    fontStretch: CanvasFontStretch;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/fontVariantCaps) */\n    fontVariantCaps: CanvasFontVariantCaps;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/letterSpacing) */\n    letterSpacing: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/textAlign) */\n    textAlign: CanvasTextAlign;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/textBaseline) */\n    textBaseline: CanvasTextBaseline;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/textRendering) */\n    textRendering: CanvasTextRendering;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/wordSpacing) */\n    wordSpacing: string;\n}\n\ninterface CanvasTransform {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/getTransform) */\n    getTransform(): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/resetTransform) */\n    resetTransform(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/rotate) */\n    rotate(angle: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/scale) */\n    scale(x: number, y: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/setTransform) */\n    setTransform(a: number, b: number, c: number, d: number, e: number, f: number): void;\n    setTransform(transform?: DOMMatrix2DInit): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/transform) */\n    transform(a: number, b: number, c: number, d: number, e: number, f: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/translate) */\n    translate(x: number, y: number): void;\n}\n\n/**\n * The Client interface represents an executable context such as a Worker, or a SharedWorker. Window clients are represented by the more-specific WindowClient. You can get Client/WindowClient objects from methods such as Clients.matchAll() and Clients.get().\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Client)\n */\ninterface Client {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Client/frameType) */\n    readonly frameType: FrameType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Client/id) */\n    readonly id: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Client/type) */\n    readonly type: ClientTypes;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Client/url) */\n    readonly url: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Client/postMessage) */\n    postMessage(message: any, transfer: Transferable[]): void;\n    postMessage(message: any, options?: StructuredSerializeOptions): void;\n}\n\ndeclare var Client: {\n    prototype: Client;\n    new(): Client;\n};\n\n/**\n * Provides access to Client objects. Access it via self.clients within a service worker.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Clients)\n */\ninterface Clients {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Clients/claim) */\n    claim(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Clients/get) */\n    get(id: string): Promise<Client | undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Clients/matchAll) */\n    matchAll<T extends ClientQueryOptions>(options?: T): Promise<ReadonlyArray<T["type"] extends "window" ? WindowClient : Client>>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Clients/openWindow) */\n    openWindow(url: string | URL): Promise<WindowClient | null>;\n}\n\ndeclare var Clients: {\n    prototype: Clients;\n    new(): Clients;\n};\n\n/**\n * A CloseEvent is sent to clients using WebSockets when the connection is closed. This is delivered to the listener indicated by the WebSocket object\'s onclose attribute.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CloseEvent)\n */\ninterface CloseEvent extends Event {\n    /**\n     * Returns the WebSocket connection close code provided by the server.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CloseEvent/code)\n     */\n    readonly code: number;\n    /**\n     * Returns the WebSocket connection close reason provided by the server.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CloseEvent/reason)\n     */\n    readonly reason: string;\n    /**\n     * Returns true if the connection closed cleanly; false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CloseEvent/wasClean)\n     */\n    readonly wasClean: boolean;\n}\n\ndeclare var CloseEvent: {\n    prototype: CloseEvent;\n    new(type: string, eventInitDict?: CloseEventInit): CloseEvent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CompressionStream) */\ninterface CompressionStream extends GenericTransformStream {\n}\n\ndeclare var CompressionStream: {\n    prototype: CompressionStream;\n    new(format: CompressionFormat): CompressionStream;\n};\n\n/**\n * This Streams API interface provides a built-in byte length queuing strategy that can be used when constructing streams.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CountQueuingStrategy)\n */\ninterface CountQueuingStrategy extends QueuingStrategy {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CountQueuingStrategy/highWaterMark) */\n    readonly highWaterMark: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CountQueuingStrategy/size) */\n    readonly size: QueuingStrategySize;\n}\n\ndeclare var CountQueuingStrategy: {\n    prototype: CountQueuingStrategy;\n    new(init: QueuingStrategyInit): CountQueuingStrategy;\n};\n\n/**\n * Basic cryptography features available in the current context. It allows access to a cryptographically strong random number generator and to cryptographic primitives.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Crypto)\n */\ninterface Crypto {\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Crypto/subtle)\n     */\n    readonly subtle: SubtleCrypto;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Crypto/getRandomValues) */\n    getRandomValues<T extends ArrayBufferView | null>(array: T): T;\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Crypto/randomUUID)\n     */\n    randomUUID(): `${string}-${string}-${string}-${string}-${string}`;\n}\n\ndeclare var Crypto: {\n    prototype: Crypto;\n    new(): Crypto;\n};\n\n/**\n * The CryptoKey dictionary of the Web Crypto API represents a cryptographic key.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CryptoKey)\n */\ninterface CryptoKey {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CryptoKey/algorithm) */\n    readonly algorithm: KeyAlgorithm;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CryptoKey/extractable) */\n    readonly extractable: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CryptoKey/type) */\n    readonly type: KeyType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CryptoKey/usages) */\n    readonly usages: KeyUsage[];\n}\n\ndeclare var CryptoKey: {\n    prototype: CryptoKey;\n    new(): CryptoKey;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CustomEvent) */\ninterface CustomEvent<T = any> extends Event {\n    /**\n     * Returns any custom data event was created with. Typically used for synthetic events.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CustomEvent/detail)\n     */\n    readonly detail: T;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/CustomEvent/initCustomEvent)\n     */\n    initCustomEvent(type: string, bubbles?: boolean, cancelable?: boolean, detail?: T): void;\n}\n\ndeclare var CustomEvent: {\n    prototype: CustomEvent;\n    new<T>(type: string, eventInitDict?: CustomEventInit<T>): CustomEvent<T>;\n};\n\n/**\n * An abnormal event (called an exception) which occurs as a result of calling a method or accessing a property of a web API.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMException)\n */\ninterface DOMException extends Error {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMException/code)\n     */\n    readonly code: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMException/message) */\n    readonly message: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMException/name) */\n    readonly name: string;\n    readonly INDEX_SIZE_ERR: 1;\n    readonly DOMSTRING_SIZE_ERR: 2;\n    readonly HIERARCHY_REQUEST_ERR: 3;\n    readonly WRONG_DOCUMENT_ERR: 4;\n    readonly INVALID_CHARACTER_ERR: 5;\n    readonly NO_DATA_ALLOWED_ERR: 6;\n    readonly NO_MODIFICATION_ALLOWED_ERR: 7;\n    readonly NOT_FOUND_ERR: 8;\n    readonly NOT_SUPPORTED_ERR: 9;\n    readonly INUSE_ATTRIBUTE_ERR: 10;\n    readonly INVALID_STATE_ERR: 11;\n    readonly SYNTAX_ERR: 12;\n    readonly INVALID_MODIFICATION_ERR: 13;\n    readonly NAMESPACE_ERR: 14;\n    readonly INVALID_ACCESS_ERR: 15;\n    readonly VALIDATION_ERR: 16;\n    readonly TYPE_MISMATCH_ERR: 17;\n    readonly SECURITY_ERR: 18;\n    readonly NETWORK_ERR: 19;\n    readonly ABORT_ERR: 20;\n    readonly URL_MISMATCH_ERR: 21;\n    readonly QUOTA_EXCEEDED_ERR: 22;\n    readonly TIMEOUT_ERR: 23;\n    readonly INVALID_NODE_TYPE_ERR: 24;\n    readonly DATA_CLONE_ERR: 25;\n}\n\ndeclare var DOMException: {\n    prototype: DOMException;\n    new(message?: string, name?: string): DOMException;\n    readonly INDEX_SIZE_ERR: 1;\n    readonly DOMSTRING_SIZE_ERR: 2;\n    readonly HIERARCHY_REQUEST_ERR: 3;\n    readonly WRONG_DOCUMENT_ERR: 4;\n    readonly INVALID_CHARACTER_ERR: 5;\n    readonly NO_DATA_ALLOWED_ERR: 6;\n    readonly NO_MODIFICATION_ALLOWED_ERR: 7;\n    readonly NOT_FOUND_ERR: 8;\n    readonly NOT_SUPPORTED_ERR: 9;\n    readonly INUSE_ATTRIBUTE_ERR: 10;\n    readonly INVALID_STATE_ERR: 11;\n    readonly SYNTAX_ERR: 12;\n    readonly INVALID_MODIFICATION_ERR: 13;\n    readonly NAMESPACE_ERR: 14;\n    readonly INVALID_ACCESS_ERR: 15;\n    readonly VALIDATION_ERR: 16;\n    readonly TYPE_MISMATCH_ERR: 17;\n    readonly SECURITY_ERR: 18;\n    readonly NETWORK_ERR: 19;\n    readonly ABORT_ERR: 20;\n    readonly URL_MISMATCH_ERR: 21;\n    readonly QUOTA_EXCEEDED_ERR: 22;\n    readonly TIMEOUT_ERR: 23;\n    readonly INVALID_NODE_TYPE_ERR: 24;\n    readonly DATA_CLONE_ERR: 25;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrix) */\ninterface DOMMatrix extends DOMMatrixReadOnly {\n    a: number;\n    b: number;\n    c: number;\n    d: number;\n    e: number;\n    f: number;\n    m11: number;\n    m12: number;\n    m13: number;\n    m14: number;\n    m21: number;\n    m22: number;\n    m23: number;\n    m24: number;\n    m31: number;\n    m32: number;\n    m33: number;\n    m34: number;\n    m41: number;\n    m42: number;\n    m43: number;\n    m44: number;\n    invertSelf(): DOMMatrix;\n    multiplySelf(other?: DOMMatrixInit): DOMMatrix;\n    preMultiplySelf(other?: DOMMatrixInit): DOMMatrix;\n    rotateAxisAngleSelf(x?: number, y?: number, z?: number, angle?: number): DOMMatrix;\n    rotateFromVectorSelf(x?: number, y?: number): DOMMatrix;\n    rotateSelf(rotX?: number, rotY?: number, rotZ?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrix/scale3dSelf) */\n    scale3dSelf(scale?: number, originX?: number, originY?: number, originZ?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrix/scaleSelf) */\n    scaleSelf(scaleX?: number, scaleY?: number, scaleZ?: number, originX?: number, originY?: number, originZ?: number): DOMMatrix;\n    skewXSelf(sx?: number): DOMMatrix;\n    skewYSelf(sy?: number): DOMMatrix;\n    translateSelf(tx?: number, ty?: number, tz?: number): DOMMatrix;\n}\n\ndeclare var DOMMatrix: {\n    prototype: DOMMatrix;\n    new(init?: string | number[]): DOMMatrix;\n    fromFloat32Array(array32: Float32Array): DOMMatrix;\n    fromFloat64Array(array64: Float64Array): DOMMatrix;\n    fromMatrix(other?: DOMMatrixInit): DOMMatrix;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly) */\ninterface DOMMatrixReadOnly {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/a) */\n    readonly a: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/b) */\n    readonly b: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/c) */\n    readonly c: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/d) */\n    readonly d: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/e) */\n    readonly e: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/f) */\n    readonly f: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/is2D) */\n    readonly is2D: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/isIdentity) */\n    readonly isIdentity: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m11) */\n    readonly m11: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m12) */\n    readonly m12: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m13) */\n    readonly m13: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m14) */\n    readonly m14: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m21) */\n    readonly m21: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m22) */\n    readonly m22: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m23) */\n    readonly m23: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m24) */\n    readonly m24: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m31) */\n    readonly m31: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m32) */\n    readonly m32: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m33) */\n    readonly m33: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m34) */\n    readonly m34: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m41) */\n    readonly m41: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m42) */\n    readonly m42: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m43) */\n    readonly m43: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/m44) */\n    readonly m44: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/flipX) */\n    flipX(): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/flipY) */\n    flipY(): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/inverse) */\n    inverse(): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/multiply) */\n    multiply(other?: DOMMatrixInit): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/rotate) */\n    rotate(rotX?: number, rotY?: number, rotZ?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/rotateAxisAngle) */\n    rotateAxisAngle(x?: number, y?: number, z?: number, angle?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/rotateFromVector) */\n    rotateFromVector(x?: number, y?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/scale) */\n    scale(scaleX?: number, scaleY?: number, scaleZ?: number, originX?: number, originY?: number, originZ?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/scale3d) */\n    scale3d(scale?: number, originX?: number, originY?: number, originZ?: number): DOMMatrix;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/scaleNonUniform)\n     */\n    scaleNonUniform(scaleX?: number, scaleY?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/skewX) */\n    skewX(sx?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/skewY) */\n    skewY(sy?: number): DOMMatrix;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/toFloat32Array) */\n    toFloat32Array(): Float32Array;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/toFloat64Array) */\n    toFloat64Array(): Float64Array;\n    toJSON(): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/transformPoint) */\n    transformPoint(point?: DOMPointInit): DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMMatrixReadOnly/translate) */\n    translate(tx?: number, ty?: number, tz?: number): DOMMatrix;\n}\n\ndeclare var DOMMatrixReadOnly: {\n    prototype: DOMMatrixReadOnly;\n    new(init?: string | number[]): DOMMatrixReadOnly;\n    fromFloat32Array(array32: Float32Array): DOMMatrixReadOnly;\n    fromFloat64Array(array64: Float64Array): DOMMatrixReadOnly;\n    fromMatrix(other?: DOMMatrixInit): DOMMatrixReadOnly;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPoint) */\ninterface DOMPoint extends DOMPointReadOnly {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPoint/w) */\n    w: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPoint/x) */\n    x: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPoint/y) */\n    y: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPoint/z) */\n    z: number;\n}\n\ndeclare var DOMPoint: {\n    prototype: DOMPoint;\n    new(x?: number, y?: number, z?: number, w?: number): DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPoint/fromPoint_static) */\n    fromPoint(other?: DOMPointInit): DOMPoint;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly) */\ninterface DOMPointReadOnly {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/w) */\n    readonly w: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/x) */\n    readonly x: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/y) */\n    readonly y: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/z) */\n    readonly z: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/matrixTransform) */\n    matrixTransform(matrix?: DOMMatrixInit): DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var DOMPointReadOnly: {\n    prototype: DOMPointReadOnly;\n    new(x?: number, y?: number, z?: number, w?: number): DOMPointReadOnly;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMPointReadOnly/fromPoint_static) */\n    fromPoint(other?: DOMPointInit): DOMPointReadOnly;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMQuad) */\ninterface DOMQuad {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMQuad/p1) */\n    readonly p1: DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMQuad/p2) */\n    readonly p2: DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMQuad/p3) */\n    readonly p3: DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMQuad/p4) */\n    readonly p4: DOMPoint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMQuad/getBounds) */\n    getBounds(): DOMRect;\n    toJSON(): any;\n}\n\ndeclare var DOMQuad: {\n    prototype: DOMQuad;\n    new(p1?: DOMPointInit, p2?: DOMPointInit, p3?: DOMPointInit, p4?: DOMPointInit): DOMQuad;\n    fromQuad(other?: DOMQuadInit): DOMQuad;\n    fromRect(other?: DOMRectInit): DOMQuad;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRect) */\ninterface DOMRect extends DOMRectReadOnly {\n    height: number;\n    width: number;\n    x: number;\n    y: number;\n}\n\ndeclare var DOMRect: {\n    prototype: DOMRect;\n    new(x?: number, y?: number, width?: number, height?: number): DOMRect;\n    fromRect(other?: DOMRectInit): DOMRect;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly) */\ninterface DOMRectReadOnly {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/bottom) */\n    readonly bottom: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/height) */\n    readonly height: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/left) */\n    readonly left: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/right) */\n    readonly right: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/top) */\n    readonly top: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/width) */\n    readonly width: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/x) */\n    readonly x: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/y) */\n    readonly y: number;\n    toJSON(): any;\n}\n\ndeclare var DOMRectReadOnly: {\n    prototype: DOMRectReadOnly;\n    new(x?: number, y?: number, width?: number, height?: number): DOMRectReadOnly;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMRectReadOnly/fromRect_static) */\n    fromRect(other?: DOMRectInit): DOMRectReadOnly;\n};\n\n/**\n * A type returned by some APIs which contains a list of DOMString (strings).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMStringList)\n */\ninterface DOMStringList {\n    /**\n     * Returns the number of strings in strings.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMStringList/length)\n     */\n    readonly length: number;\n    /**\n     * Returns true if strings contains string, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMStringList/contains)\n     */\n    contains(string: string): boolean;\n    /**\n     * Returns the string with index index from strings.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DOMStringList/item)\n     */\n    item(index: number): string | null;\n    [index: number]: string;\n}\n\ndeclare var DOMStringList: {\n    prototype: DOMStringList;\n    new(): DOMStringList;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DecompressionStream) */\ninterface DecompressionStream extends GenericTransformStream {\n}\n\ndeclare var DecompressionStream: {\n    prototype: DecompressionStream;\n    new(format: CompressionFormat): DecompressionStream;\n};\n\ninterface DedicatedWorkerGlobalScopeEventMap extends WorkerGlobalScopeEventMap {\n    "message": MessageEvent;\n    "messageerror": MessageEvent;\n    "rtctransform": Event;\n}\n\n/**\n * (the Worker global scope) is accessible through the self keyword. Some additional global functions, namespaces objects, and constructors, not typically associated with the worker global scope, but available on it, are listed in the JavaScript Reference. See also: Functions available to workers.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope)\n */\ninterface DedicatedWorkerGlobalScope extends WorkerGlobalScope, AnimationFrameProvider {\n    /**\n     * Returns dedicatedWorkerGlobal\'s name, i.e. the value given to the Worker constructor. Primarily useful for debugging.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/name)\n     */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/message_event) */\n    onmessage: ((this: DedicatedWorkerGlobalScope, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/messageerror_event) */\n    onmessageerror: ((this: DedicatedWorkerGlobalScope, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/rtctransform_event) */\n    onrtctransform: ((this: DedicatedWorkerGlobalScope, ev: Event) => any) | null;\n    /**\n     * Aborts dedicatedWorkerGlobal.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/close)\n     */\n    close(): void;\n    /**\n     * Clones message and transmits it to the Worker object associated with dedicatedWorkerGlobal. transfer can be passed as a list of objects that are to be transferred rather than cloned.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/postMessage)\n     */\n    postMessage(message: any, transfer: Transferable[]): void;\n    postMessage(message: any, options?: StructuredSerializeOptions): void;\n    addEventListener<K extends keyof DedicatedWorkerGlobalScopeEventMap>(type: K, listener: (this: DedicatedWorkerGlobalScope, ev: DedicatedWorkerGlobalScopeEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof DedicatedWorkerGlobalScopeEventMap>(type: K, listener: (this: DedicatedWorkerGlobalScope, ev: DedicatedWorkerGlobalScopeEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var DedicatedWorkerGlobalScope: {\n    prototype: DedicatedWorkerGlobalScope;\n    new(): DedicatedWorkerGlobalScope;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_blend_minmax) */\ninterface EXT_blend_minmax {\n    readonly MIN_EXT: 0x8007;\n    readonly MAX_EXT: 0x8008;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_color_buffer_float) */\ninterface EXT_color_buffer_float {\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_color_buffer_half_float) */\ninterface EXT_color_buffer_half_float {\n    readonly RGBA16F_EXT: 0x881A;\n    readonly RGB16F_EXT: 0x881B;\n    readonly FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT: 0x8211;\n    readonly UNSIGNED_NORMALIZED_EXT: 0x8C17;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_float_blend) */\ninterface EXT_float_blend {\n}\n\n/**\n * The EXT_frag_depth extension is part of the WebGL API and enables to set a depth value of a fragment from within the fragment shader.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_frag_depth)\n */\ninterface EXT_frag_depth {\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_sRGB) */\ninterface EXT_sRGB {\n    readonly SRGB_EXT: 0x8C40;\n    readonly SRGB_ALPHA_EXT: 0x8C42;\n    readonly SRGB8_ALPHA8_EXT: 0x8C43;\n    readonly FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT: 0x8210;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_shader_texture_lod) */\ninterface EXT_shader_texture_lod {\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_texture_compression_bptc) */\ninterface EXT_texture_compression_bptc {\n    readonly COMPRESSED_RGBA_BPTC_UNORM_EXT: 0x8E8C;\n    readonly COMPRESSED_SRGB_ALPHA_BPTC_UNORM_EXT: 0x8E8D;\n    readonly COMPRESSED_RGB_BPTC_SIGNED_FLOAT_EXT: 0x8E8E;\n    readonly COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_EXT: 0x8E8F;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_texture_compression_rgtc) */\ninterface EXT_texture_compression_rgtc {\n    readonly COMPRESSED_RED_RGTC1_EXT: 0x8DBB;\n    readonly COMPRESSED_SIGNED_RED_RGTC1_EXT: 0x8DBC;\n    readonly COMPRESSED_RED_GREEN_RGTC2_EXT: 0x8DBD;\n    readonly COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT: 0x8DBE;\n}\n\n/**\n * The EXT_texture_filter_anisotropic extension is part of the WebGL API and exposes two constants for anisotropic filtering (AF).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_texture_filter_anisotropic)\n */\ninterface EXT_texture_filter_anisotropic {\n    readonly TEXTURE_MAX_ANISOTROPY_EXT: 0x84FE;\n    readonly MAX_TEXTURE_MAX_ANISOTROPY_EXT: 0x84FF;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EXT_texture_norm16) */\ninterface EXT_texture_norm16 {\n    readonly R16_EXT: 0x822A;\n    readonly RG16_EXT: 0x822C;\n    readonly RGB16_EXT: 0x8054;\n    readonly RGBA16_EXT: 0x805B;\n    readonly R16_SNORM_EXT: 0x8F98;\n    readonly RG16_SNORM_EXT: 0x8F99;\n    readonly RGB16_SNORM_EXT: 0x8F9A;\n    readonly RGBA16_SNORM_EXT: 0x8F9B;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EncodedVideoChunk) */\ninterface EncodedVideoChunk {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EncodedVideoChunk/byteLength) */\n    readonly byteLength: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EncodedVideoChunk/duration) */\n    readonly duration: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EncodedVideoChunk/timestamp) */\n    readonly timestamp: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EncodedVideoChunk/type) */\n    readonly type: EncodedVideoChunkType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EncodedVideoChunk/copyTo) */\n    copyTo(destination: AllowSharedBufferSource): void;\n}\n\ndeclare var EncodedVideoChunk: {\n    prototype: EncodedVideoChunk;\n    new(init: EncodedVideoChunkInit): EncodedVideoChunk;\n};\n\n/**\n * Events providing information related to errors in scripts or in files.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ErrorEvent)\n */\ninterface ErrorEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ErrorEvent/colno) */\n    readonly colno: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ErrorEvent/error) */\n    readonly error: any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ErrorEvent/filename) */\n    readonly filename: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ErrorEvent/lineno) */\n    readonly lineno: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ErrorEvent/message) */\n    readonly message: string;\n}\n\ndeclare var ErrorEvent: {\n    prototype: ErrorEvent;\n    new(type: string, eventInitDict?: ErrorEventInit): ErrorEvent;\n};\n\n/**\n * An event which takes place in the DOM.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event)\n */\ninterface Event {\n    /**\n     * Returns true or false depending on how event was initialized. True if event goes through its target\'s ancestors in reverse tree order, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/bubbles)\n     */\n    readonly bubbles: boolean;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/cancelBubble)\n     */\n    cancelBubble: boolean;\n    /**\n     * Returns true or false depending on how event was initialized. Its return value does not always carry meaning, but true can indicate that part of the operation during which event was dispatched, can be canceled by invoking the preventDefault() method.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/cancelable)\n     */\n    readonly cancelable: boolean;\n    /**\n     * Returns true or false depending on how event was initialized. True if event invokes listeners past a ShadowRoot node that is the root of its target, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/composed)\n     */\n    readonly composed: boolean;\n    /**\n     * Returns the object whose event listener\'s callback is currently being invoked.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/currentTarget)\n     */\n    readonly currentTarget: EventTarget | null;\n    /**\n     * Returns true if preventDefault() was invoked successfully to indicate cancelation, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/defaultPrevented)\n     */\n    readonly defaultPrevented: boolean;\n    /**\n     * Returns the event\'s phase, which is one of NONE, CAPTURING_PHASE, AT_TARGET, and BUBBLING_PHASE.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/eventPhase)\n     */\n    readonly eventPhase: number;\n    /**\n     * Returns true if event was dispatched by the user agent, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/isTrusted)\n     */\n    readonly isTrusted: boolean;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/returnValue)\n     */\n    returnValue: boolean;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/srcElement)\n     */\n    readonly srcElement: EventTarget | null;\n    /**\n     * Returns the object to which event is dispatched (its target).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/target)\n     */\n    readonly target: EventTarget | null;\n    /**\n     * Returns the event\'s timestamp as the number of milliseconds measured relative to the time origin.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/timeStamp)\n     */\n    readonly timeStamp: DOMHighResTimeStamp;\n    /**\n     * Returns the type of event, e.g. "click", "hashchange", or "submit".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/type)\n     */\n    readonly type: string;\n    /**\n     * Returns the invocation target objects of event\'s path (objects on which listeners will be invoked), except for any nodes in shadow trees of which the shadow root\'s mode is "closed" that are not reachable from event\'s currentTarget.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/composedPath)\n     */\n    composedPath(): EventTarget[];\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/initEvent)\n     */\n    initEvent(type: string, bubbles?: boolean, cancelable?: boolean): void;\n    /**\n     * If invoked when the cancelable attribute value is true, and while executing a listener for the event with passive set to false, signals to the operation that caused event to be dispatched that it needs to be canceled.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/preventDefault)\n     */\n    preventDefault(): void;\n    /**\n     * Invoking this method prevents event from reaching any registered event listeners after the current one finishes running and, when dispatched in a tree, also prevents event from reaching any other objects.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/stopImmediatePropagation)\n     */\n    stopImmediatePropagation(): void;\n    /**\n     * When dispatched in a tree, invoking this method prevents event from reaching any objects other than the current object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Event/stopPropagation)\n     */\n    stopPropagation(): void;\n    readonly NONE: 0;\n    readonly CAPTURING_PHASE: 1;\n    readonly AT_TARGET: 2;\n    readonly BUBBLING_PHASE: 3;\n}\n\ndeclare var Event: {\n    prototype: Event;\n    new(type: string, eventInitDict?: EventInit): Event;\n    readonly NONE: 0;\n    readonly CAPTURING_PHASE: 1;\n    readonly AT_TARGET: 2;\n    readonly BUBBLING_PHASE: 3;\n};\n\ninterface EventListener {\n    (evt: Event): void;\n}\n\ninterface EventListenerObject {\n    handleEvent(object: Event): void;\n}\n\ninterface EventSourceEventMap {\n    "error": Event;\n    "message": MessageEvent;\n    "open": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource) */\ninterface EventSource extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/error_event) */\n    onerror: ((this: EventSource, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/message_event) */\n    onmessage: ((this: EventSource, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/open_event) */\n    onopen: ((this: EventSource, ev: Event) => any) | null;\n    /**\n     * Returns the state of this EventSource object\'s connection. It can have the values described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/readyState)\n     */\n    readonly readyState: number;\n    /**\n     * Returns the URL providing the event stream.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/url)\n     */\n    readonly url: string;\n    /**\n     * Returns true if the credentials mode for connection requests to the URL providing the event stream is set to "include", and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/withCredentials)\n     */\n    readonly withCredentials: boolean;\n    /**\n     * Aborts any instances of the fetch algorithm started for this EventSource object, and sets the readyState attribute to CLOSED.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventSource/close)\n     */\n    close(): void;\n    readonly CONNECTING: 0;\n    readonly OPEN: 1;\n    readonly CLOSED: 2;\n    addEventListener<K extends keyof EventSourceEventMap>(type: K, listener: (this: EventSource, ev: EventSourceEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: (this: EventSource, event: MessageEvent) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof EventSourceEventMap>(type: K, listener: (this: EventSource, ev: EventSourceEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: (this: EventSource, event: MessageEvent) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var EventSource: {\n    prototype: EventSource;\n    new(url: string | URL, eventSourceInitDict?: EventSourceInit): EventSource;\n    readonly CONNECTING: 0;\n    readonly OPEN: 1;\n    readonly CLOSED: 2;\n};\n\n/**\n * EventTarget is a DOM interface implemented by objects that can receive events and may have listeners for them.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget)\n */\ninterface EventTarget {\n    /**\n     * Appends an event listener for events whose type attribute value is type. The callback argument sets the callback that will be invoked when the event is dispatched.\n     *\n     * The options argument sets listener-specific options. For compatibility this can be a boolean, in which case the method behaves exactly as if the value was specified as options\'s capture.\n     *\n     * When set to true, options\'s capture prevents callback from being invoked when the event\'s eventPhase attribute value is BUBBLING_PHASE. When false (or not present), callback will not be invoked when event\'s eventPhase attribute value is CAPTURING_PHASE. Either way, callback will be invoked if event\'s eventPhase attribute value is AT_TARGET.\n     *\n     * When set to true, options\'s passive indicates that the callback will not cancel the event by invoking preventDefault(). This is used to enable performance optimizations described in § 2.8 Observing event listeners.\n     *\n     * When set to true, options\'s once indicates that the callback will only be invoked once after which the event listener will be removed.\n     *\n     * If an AbortSignal is passed for options\'s signal, then the event listener will be removed when signal is aborted.\n     *\n     * The event listener is appended to target\'s event listener list and is not appended if it has the same type, callback, and capture.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/addEventListener)\n     */\n    addEventListener(type: string, callback: EventListenerOrEventListenerObject | null, options?: AddEventListenerOptions | boolean): void;\n    /**\n     * Dispatches a synthetic event event to target and returns true if either event\'s cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/dispatchEvent)\n     */\n    dispatchEvent(event: Event): boolean;\n    /**\n     * Removes the event listener in target\'s event listener list with the same type, callback, and options.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/removeEventListener)\n     */\n    removeEventListener(type: string, callback: EventListenerOrEventListenerObject | null, options?: EventListenerOptions | boolean): void;\n}\n\ndeclare var EventTarget: {\n    prototype: EventTarget;\n    new(): EventTarget;\n};\n\n/**\n * Extends the lifetime of the install and activate events dispatched on the global scope as part of the service worker lifecycle. This ensures that any functional events (like FetchEvent) are not dispatched until it upgrades database schemas and deletes the outdated cache entries.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ExtendableEvent)\n */\ninterface ExtendableEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ExtendableEvent/waitUntil) */\n    waitUntil(f: Promise<any>): void;\n}\n\ndeclare var ExtendableEvent: {\n    prototype: ExtendableEvent;\n    new(type: string, eventInitDict?: ExtendableEventInit): ExtendableEvent;\n};\n\n/**\n * This ServiceWorker API interface represents the event object of a message event fired on a service worker (when a channel message is received on the ServiceWorkerGlobalScope from another context) — extends the lifetime of such events.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ExtendableMessageEvent)\n */\ninterface ExtendableMessageEvent extends ExtendableEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ExtendableMessageEvent/data) */\n    readonly data: any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ExtendableMessageEvent/lastEventId) */\n    readonly lastEventId: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ExtendableMessageEvent/origin) */\n    readonly origin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ExtendableMessageEvent/ports) */\n    readonly ports: ReadonlyArray<MessagePort>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ExtendableMessageEvent/source) */\n    readonly source: Client | ServiceWorker | MessagePort | null;\n}\n\ndeclare var ExtendableMessageEvent: {\n    prototype: ExtendableMessageEvent;\n    new(type: string, eventInitDict?: ExtendableMessageEventInit): ExtendableMessageEvent;\n};\n\n/**\n * This is the event type for fetch events dispatched on the service worker global scope. It contains information about the fetch, including the request and how the receiver will treat the response. It provides the event.respondWith() method, which allows us to provide a response to this fetch.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FetchEvent)\n */\ninterface FetchEvent extends ExtendableEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FetchEvent/clientId) */\n    readonly clientId: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FetchEvent/handled) */\n    readonly handled: Promise<undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FetchEvent/preloadResponse) */\n    readonly preloadResponse: Promise<any>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FetchEvent/request) */\n    readonly request: Request;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FetchEvent/resultingClientId) */\n    readonly resultingClientId: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FetchEvent/respondWith) */\n    respondWith(r: Response | PromiseLike<Response>): void;\n}\n\ndeclare var FetchEvent: {\n    prototype: FetchEvent;\n    new(type: string, eventInitDict: FetchEventInit): FetchEvent;\n};\n\n/**\n * Provides information about files and allows JavaScript in a web page to access their content.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/File)\n */\ninterface File extends Blob {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/File/lastModified) */\n    readonly lastModified: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/File/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/File/webkitRelativePath) */\n    readonly webkitRelativePath: string;\n}\n\ndeclare var File: {\n    prototype: File;\n    new(fileBits: BlobPart[], fileName: string, options?: FilePropertyBag): File;\n};\n\n/**\n * An object of this type is returned by the files property of the HTML <input> element; this lets you access the list of files selected with the <input type="file"> element. It\'s also used for a list of files dropped into web content when using the drag and drop API; see the DataTransfer object for details on this usage.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileList)\n */\ninterface FileList {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileList/length) */\n    readonly length: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileList/item) */\n    item(index: number): File | null;\n    [index: number]: File;\n}\n\ndeclare var FileList: {\n    prototype: FileList;\n    new(): FileList;\n};\n\ninterface FileReaderEventMap {\n    "abort": ProgressEvent<FileReader>;\n    "error": ProgressEvent<FileReader>;\n    "load": ProgressEvent<FileReader>;\n    "loadend": ProgressEvent<FileReader>;\n    "loadstart": ProgressEvent<FileReader>;\n    "progress": ProgressEvent<FileReader>;\n}\n\n/**\n * Lets web applications asynchronously read the contents of files (or raw data buffers) stored on the user\'s computer, using File or Blob objects to specify the file or data to read.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader)\n */\ninterface FileReader extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/error) */\n    readonly error: DOMException | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/abort_event) */\n    onabort: ((this: FileReader, ev: ProgressEvent<FileReader>) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/error_event) */\n    onerror: ((this: FileReader, ev: ProgressEvent<FileReader>) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/load_event) */\n    onload: ((this: FileReader, ev: ProgressEvent<FileReader>) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/loadend_event) */\n    onloadend: ((this: FileReader, ev: ProgressEvent<FileReader>) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/loadstart_event) */\n    onloadstart: ((this: FileReader, ev: ProgressEvent<FileReader>) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/progress_event) */\n    onprogress: ((this: FileReader, ev: ProgressEvent<FileReader>) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/readyState) */\n    readonly readyState: typeof FileReader.EMPTY | typeof FileReader.LOADING | typeof FileReader.DONE;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/result) */\n    readonly result: string | ArrayBuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/abort) */\n    abort(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/readAsArrayBuffer) */\n    readAsArrayBuffer(blob: Blob): void;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/readAsBinaryString)\n     */\n    readAsBinaryString(blob: Blob): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/readAsDataURL) */\n    readAsDataURL(blob: Blob): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReader/readAsText) */\n    readAsText(blob: Blob, encoding?: string): void;\n    readonly EMPTY: 0;\n    readonly LOADING: 1;\n    readonly DONE: 2;\n    addEventListener<K extends keyof FileReaderEventMap>(type: K, listener: (this: FileReader, ev: FileReaderEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof FileReaderEventMap>(type: K, listener: (this: FileReader, ev: FileReaderEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var FileReader: {\n    prototype: FileReader;\n    new(): FileReader;\n    readonly EMPTY: 0;\n    readonly LOADING: 1;\n    readonly DONE: 2;\n};\n\n/**\n * Allows to read File or Blob objects in a synchronous way.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReaderSync)\n */\ninterface FileReaderSync {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReaderSync/readAsArrayBuffer) */\n    readAsArrayBuffer(blob: Blob): ArrayBuffer;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReaderSync/readAsBinaryString)\n     */\n    readAsBinaryString(blob: Blob): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReaderSync/readAsDataURL) */\n    readAsDataURL(blob: Blob): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileReaderSync/readAsText) */\n    readAsText(blob: Blob, encoding?: string): string;\n}\n\ndeclare var FileReaderSync: {\n    prototype: FileReaderSync;\n    new(): FileReaderSync;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryHandle)\n */\ninterface FileSystemDirectoryHandle extends FileSystemHandle {\n    readonly kind: "directory";\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryHandle/getDirectoryHandle) */\n    getDirectoryHandle(name: string, options?: FileSystemGetDirectoryOptions): Promise<FileSystemDirectoryHandle>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryHandle/getFileHandle) */\n    getFileHandle(name: string, options?: FileSystemGetFileOptions): Promise<FileSystemFileHandle>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryHandle/removeEntry) */\n    removeEntry(name: string, options?: FileSystemRemoveOptions): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemDirectoryHandle/resolve) */\n    resolve(possibleDescendant: FileSystemHandle): Promise<string[] | null>;\n}\n\ndeclare var FileSystemDirectoryHandle: {\n    prototype: FileSystemDirectoryHandle;\n    new(): FileSystemDirectoryHandle;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemFileHandle)\n */\ninterface FileSystemFileHandle extends FileSystemHandle {\n    readonly kind: "file";\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemFileHandle/createSyncAccessHandle) */\n    createSyncAccessHandle(): Promise<FileSystemSyncAccessHandle>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemFileHandle/createWritable) */\n    createWritable(options?: FileSystemCreateWritableOptions): Promise<FileSystemWritableFileStream>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemFileHandle/getFile) */\n    getFile(): Promise<File>;\n}\n\ndeclare var FileSystemFileHandle: {\n    prototype: FileSystemFileHandle;\n    new(): FileSystemFileHandle;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemHandle)\n */\ninterface FileSystemHandle {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemHandle/kind) */\n    readonly kind: FileSystemHandleKind;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemHandle/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemHandle/isSameEntry) */\n    isSameEntry(other: FileSystemHandle): Promise<boolean>;\n}\n\ndeclare var FileSystemHandle: {\n    prototype: FileSystemHandle;\n    new(): FileSystemHandle;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemSyncAccessHandle)\n */\ninterface FileSystemSyncAccessHandle {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemSyncAccessHandle/close) */\n    close(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemSyncAccessHandle/flush) */\n    flush(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemSyncAccessHandle/getSize) */\n    getSize(): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemSyncAccessHandle/read) */\n    read(buffer: AllowSharedBufferSource, options?: FileSystemReadWriteOptions): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemSyncAccessHandle/truncate) */\n    truncate(newSize: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemSyncAccessHandle/write) */\n    write(buffer: AllowSharedBufferSource, options?: FileSystemReadWriteOptions): number;\n}\n\ndeclare var FileSystemSyncAccessHandle: {\n    prototype: FileSystemSyncAccessHandle;\n    new(): FileSystemSyncAccessHandle;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemWritableFileStream)\n */\ninterface FileSystemWritableFileStream extends WritableStream {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemWritableFileStream/seek) */\n    seek(position: number): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemWritableFileStream/truncate) */\n    truncate(size: number): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FileSystemWritableFileStream/write) */\n    write(data: FileSystemWriteChunkType): Promise<void>;\n}\n\ndeclare var FileSystemWritableFileStream: {\n    prototype: FileSystemWritableFileStream;\n    new(): FileSystemWritableFileStream;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace) */\ninterface FontFace {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/ascentOverride) */\n    ascentOverride: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/descentOverride) */\n    descentOverride: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/display) */\n    display: FontDisplay;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/family) */\n    family: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/featureSettings) */\n    featureSettings: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/lineGapOverride) */\n    lineGapOverride: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/loaded) */\n    readonly loaded: Promise<FontFace>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/status) */\n    readonly status: FontFaceLoadStatus;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/stretch) */\n    stretch: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/style) */\n    style: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/unicodeRange) */\n    unicodeRange: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/weight) */\n    weight: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFace/load) */\n    load(): Promise<FontFace>;\n}\n\ndeclare var FontFace: {\n    prototype: FontFace;\n    new(family: string, source: string | BinaryData, descriptors?: FontFaceDescriptors): FontFace;\n};\n\ninterface FontFaceSetEventMap {\n    "loading": Event;\n    "loadingdone": Event;\n    "loadingerror": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet) */\ninterface FontFaceSet extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/loading_event) */\n    onloading: ((this: FontFaceSet, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/loadingdone_event) */\n    onloadingdone: ((this: FontFaceSet, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/loadingerror_event) */\n    onloadingerror: ((this: FontFaceSet, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/ready) */\n    readonly ready: Promise<FontFaceSet>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/status) */\n    readonly status: FontFaceSetLoadStatus;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/check) */\n    check(font: string, text?: string): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSet/load) */\n    load(font: string, text?: string): Promise<FontFace[]>;\n    forEach(callbackfn: (value: FontFace, key: FontFace, parent: FontFaceSet) => void, thisArg?: any): void;\n    addEventListener<K extends keyof FontFaceSetEventMap>(type: K, listener: (this: FontFaceSet, ev: FontFaceSetEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof FontFaceSetEventMap>(type: K, listener: (this: FontFaceSet, ev: FontFaceSetEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var FontFaceSet: {\n    prototype: FontFaceSet;\n    new(initialFaces: FontFace[]): FontFaceSet;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSetLoadEvent) */\ninterface FontFaceSetLoadEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FontFaceSetLoadEvent/fontfaces) */\n    readonly fontfaces: ReadonlyArray<FontFace>;\n}\n\ndeclare var FontFaceSetLoadEvent: {\n    prototype: FontFaceSetLoadEvent;\n    new(type: string, eventInitDict?: FontFaceSetLoadEventInit): FontFaceSetLoadEvent;\n};\n\ninterface FontFaceSource {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/fonts) */\n    readonly fonts: FontFaceSet;\n}\n\n/**\n * Provides a way to easily construct a set of key/value pairs representing form fields and their values, which can then be easily sent using the XMLHttpRequest.send() method. It uses the same format a form would use if the encoding type were set to "multipart/form-data".\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData)\n */\ninterface FormData {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData/append) */\n    append(name: string, value: string | Blob): void;\n    append(name: string, value: string): void;\n    append(name: string, blobValue: Blob, filename?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData/delete) */\n    delete(name: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData/get) */\n    get(name: string): FormDataEntryValue | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData/getAll) */\n    getAll(name: string): FormDataEntryValue[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData/has) */\n    has(name: string): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/FormData/set) */\n    set(name: string, value: string | Blob): void;\n    set(name: string, value: string): void;\n    set(name: string, blobValue: Blob, filename?: string): void;\n    forEach(callbackfn: (value: FormDataEntryValue, key: string, parent: FormData) => void, thisArg?: any): void;\n}\n\ndeclare var FormData: {\n    prototype: FormData;\n    new(): FormData;\n};\n\ninterface GenericTransformStream {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CompressionStream/readable) */\n    readonly readable: ReadableStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CompressionStream/writable) */\n    readonly writable: WritableStream;\n}\n\n/**\n * This Fetch API interface allows you to perform various actions on HTTP request and response headers. These actions include retrieving, setting, adding to, and removing. A Headers object has an associated header list, which is initially empty and consists of zero or more name and value pairs.  You can add to this using methods like append() (see Examples.) In all methods of this interface, header names are matched by case-insensitive byte sequence.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers)\n */\ninterface Headers {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers/append) */\n    append(name: string, value: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers/delete) */\n    delete(name: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers/get) */\n    get(name: string): string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers/getSetCookie) */\n    getSetCookie(): string[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers/has) */\n    has(name: string): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Headers/set) */\n    set(name: string, value: string): void;\n    forEach(callbackfn: (value: string, key: string, parent: Headers) => void, thisArg?: any): void;\n}\n\ndeclare var Headers: {\n    prototype: Headers;\n    new(init?: HeadersInit): Headers;\n};\n\n/**\n * This IndexedDB API interface represents a cursor for traversing or iterating over multiple records in a database.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor)\n */\ninterface IDBCursor {\n    /**\n     * Returns the direction ("next", "nextunique", "prev" or "prevunique") of the cursor.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/direction)\n     */\n    readonly direction: IDBCursorDirection;\n    /**\n     * Returns the key of the cursor. Throws a "InvalidStateError" DOMException if the cursor is advancing or is finished.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/key)\n     */\n    readonly key: IDBValidKey;\n    /**\n     * Returns the effective key of the cursor. Throws a "InvalidStateError" DOMException if the cursor is advancing or is finished.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/primaryKey)\n     */\n    readonly primaryKey: IDBValidKey;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/request) */\n    readonly request: IDBRequest;\n    /**\n     * Returns the IDBObjectStore or IDBIndex the cursor was opened from.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/source)\n     */\n    readonly source: IDBObjectStore | IDBIndex;\n    /**\n     * Advances the cursor through the next count records in range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/advance)\n     */\n    advance(count: number): void;\n    /**\n     * Advances the cursor to the next record in range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/continue)\n     */\n    continue(key?: IDBValidKey): void;\n    /**\n     * Advances the cursor to the next record in range matching or after key and primaryKey. Throws an "InvalidAccessError" DOMException if the source is not an index.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/continuePrimaryKey)\n     */\n    continuePrimaryKey(key: IDBValidKey, primaryKey: IDBValidKey): void;\n    /**\n     * Delete the record pointed at by the cursor with a new value.\n     *\n     * If successful, request\'s result will be undefined.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/delete)\n     */\n    delete(): IDBRequest<undefined>;\n    /**\n     * Updated the record pointed at by the cursor with a new value.\n     *\n     * Throws a "DataError" DOMException if the effective object store uses in-line keys and the key would have changed.\n     *\n     * If successful, request\'s result will be the record\'s key.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursor/update)\n     */\n    update(value: any): IDBRequest<IDBValidKey>;\n}\n\ndeclare var IDBCursor: {\n    prototype: IDBCursor;\n    new(): IDBCursor;\n};\n\n/**\n * This IndexedDB API interface represents a cursor for traversing or iterating over multiple records in a database. It is the same as the IDBCursor, except that it includes the value property.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursorWithValue)\n */\ninterface IDBCursorWithValue extends IDBCursor {\n    /**\n     * Returns the cursor\'s current value.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBCursorWithValue/value)\n     */\n    readonly value: any;\n}\n\ndeclare var IDBCursorWithValue: {\n    prototype: IDBCursorWithValue;\n    new(): IDBCursorWithValue;\n};\n\ninterface IDBDatabaseEventMap {\n    "abort": Event;\n    "close": Event;\n    "error": Event;\n    "versionchange": IDBVersionChangeEvent;\n}\n\n/**\n * This IndexedDB API interface provides a connection to a database; you can use an IDBDatabase object to open a transaction on your database then create, manipulate, and delete objects (data) in that database. The interface provides the only way to get and manage versions of the database.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase)\n */\ninterface IDBDatabase extends EventTarget {\n    /**\n     * Returns the name of the database.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/name)\n     */\n    readonly name: string;\n    /**\n     * Returns a list of the names of object stores in the database.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/objectStoreNames)\n     */\n    readonly objectStoreNames: DOMStringList;\n    onabort: ((this: IDBDatabase, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/close_event) */\n    onclose: ((this: IDBDatabase, ev: Event) => any) | null;\n    onerror: ((this: IDBDatabase, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/versionchange_event) */\n    onversionchange: ((this: IDBDatabase, ev: IDBVersionChangeEvent) => any) | null;\n    /**\n     * Returns the version of the database.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/version)\n     */\n    readonly version: number;\n    /**\n     * Closes the connection once all running transactions have finished.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/close)\n     */\n    close(): void;\n    /**\n     * Creates a new object store with the given name and options and returns a new IDBObjectStore.\n     *\n     * Throws a "InvalidStateError" DOMException if not called within an upgrade transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/createObjectStore)\n     */\n    createObjectStore(name: string, options?: IDBObjectStoreParameters): IDBObjectStore;\n    /**\n     * Deletes the object store with the given name.\n     *\n     * Throws a "InvalidStateError" DOMException if not called within an upgrade transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/deleteObjectStore)\n     */\n    deleteObjectStore(name: string): void;\n    /**\n     * Returns a new transaction with the given mode ("readonly" or "readwrite") and scope which can be a single object store name or an array of names.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/transaction)\n     */\n    transaction(storeNames: string | string[], mode?: IDBTransactionMode, options?: IDBTransactionOptions): IDBTransaction;\n    addEventListener<K extends keyof IDBDatabaseEventMap>(type: K, listener: (this: IDBDatabase, ev: IDBDatabaseEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof IDBDatabaseEventMap>(type: K, listener: (this: IDBDatabase, ev: IDBDatabaseEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var IDBDatabase: {\n    prototype: IDBDatabase;\n    new(): IDBDatabase;\n};\n\n/**\n * In the following code snippet, we make a request to open a database, and include handlers for the success and error cases. For a full working example, see our To-do Notifications app (view example live.)\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBFactory)\n */\ninterface IDBFactory {\n    /**\n     * Compares two values as keys. Returns -1 if key1 precedes key2, 1 if key2 precedes key1, and 0 if the keys are equal.\n     *\n     * Throws a "DataError" DOMException if either input is not a valid key.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBFactory/cmp)\n     */\n    cmp(first: any, second: any): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBFactory/databases) */\n    databases(): Promise<IDBDatabaseInfo[]>;\n    /**\n     * Attempts to delete the named database. If the database already exists and there are open connections that don\'t close in response to a versionchange event, the request will be blocked until all they close. If the request is successful request\'s result will be null.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBFactory/deleteDatabase)\n     */\n    deleteDatabase(name: string): IDBOpenDBRequest;\n    /**\n     * Attempts to open a connection to the named database with the current version, or 1 if it does not already exist. If the request is successful request\'s result will be the connection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBFactory/open)\n     */\n    open(name: string, version?: number): IDBOpenDBRequest;\n}\n\ndeclare var IDBFactory: {\n    prototype: IDBFactory;\n    new(): IDBFactory;\n};\n\n/**\n * IDBIndex interface of the IndexedDB API provides asynchronous access to an index in a database. An index is a kind of object store for looking up records in another object store, called the referenced object store. You use this interface to retrieve data.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex)\n */\ninterface IDBIndex {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/keyPath) */\n    readonly keyPath: string | string[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/multiEntry) */\n    readonly multiEntry: boolean;\n    /**\n     * Returns the name of the index.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/name)\n     */\n    name: string;\n    /**\n     * Returns the IDBObjectStore the index belongs to.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/objectStore)\n     */\n    readonly objectStore: IDBObjectStore;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/unique) */\n    readonly unique: boolean;\n    /**\n     * Retrieves the number of records matching the given key or key range in query.\n     *\n     * If successful, request\'s result will be the count.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/count)\n     */\n    count(query?: IDBValidKey | IDBKeyRange): IDBRequest<number>;\n    /**\n     * Retrieves the value of the first record matching the given key or key range in query.\n     *\n     * If successful, request\'s result will be the value, or undefined if there was no matching record.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/get)\n     */\n    get(query: IDBValidKey | IDBKeyRange): IDBRequest<any>;\n    /**\n     * Retrieves the values of the records matching the given key or key range in query (up to count if given).\n     *\n     * If successful, request\'s result will be an Array of the values.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/getAll)\n     */\n    getAll(query?: IDBValidKey | IDBKeyRange | null, count?: number): IDBRequest<any[]>;\n    /**\n     * Retrieves the keys of records matching the given key or key range in query (up to count if given).\n     *\n     * If successful, request\'s result will be an Array of the keys.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/getAllKeys)\n     */\n    getAllKeys(query?: IDBValidKey | IDBKeyRange | null, count?: number): IDBRequest<IDBValidKey[]>;\n    /**\n     * Retrieves the key of the first record matching the given key or key range in query.\n     *\n     * If successful, request\'s result will be the key, or undefined if there was no matching record.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/getKey)\n     */\n    getKey(query: IDBValidKey | IDBKeyRange): IDBRequest<IDBValidKey | undefined>;\n    /**\n     * Opens a cursor over the records matching query, ordered by direction. If query is null, all records in index are matched.\n     *\n     * If successful, request\'s result will be an IDBCursorWithValue, or null if there were no matching records.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/openCursor)\n     */\n    openCursor(query?: IDBValidKey | IDBKeyRange | null, direction?: IDBCursorDirection): IDBRequest<IDBCursorWithValue | null>;\n    /**\n     * Opens a cursor with key only flag set over the records matching query, ordered by direction. If query is null, all records in index are matched.\n     *\n     * If successful, request\'s result will be an IDBCursor, or null if there were no matching records.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBIndex/openKeyCursor)\n     */\n    openKeyCursor(query?: IDBValidKey | IDBKeyRange | null, direction?: IDBCursorDirection): IDBRequest<IDBCursor | null>;\n}\n\ndeclare var IDBIndex: {\n    prototype: IDBIndex;\n    new(): IDBIndex;\n};\n\n/**\n * A key range can be a single value or a range with upper and lower bounds or endpoints. If the key range has both upper and lower bounds, then it is bounded; if it has no bounds, it is unbounded. A bounded key range can either be open (the endpoints are excluded) or closed (the endpoints are included). To retrieve all keys within a certain range, you can use the following code constructs:\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange)\n */\ninterface IDBKeyRange {\n    /**\n     * Returns lower bound, or undefined if none.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/lower)\n     */\n    readonly lower: any;\n    /**\n     * Returns true if the lower open flag is set, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/lowerOpen)\n     */\n    readonly lowerOpen: boolean;\n    /**\n     * Returns upper bound, or undefined if none.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/upper)\n     */\n    readonly upper: any;\n    /**\n     * Returns true if the upper open flag is set, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/upperOpen)\n     */\n    readonly upperOpen: boolean;\n    /**\n     * Returns true if key is included in the range, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/includes)\n     */\n    includes(key: any): boolean;\n}\n\ndeclare var IDBKeyRange: {\n    prototype: IDBKeyRange;\n    new(): IDBKeyRange;\n    /**\n     * Returns a new IDBKeyRange spanning from lower to upper. If lowerOpen is true, lower is not included in the range. If upperOpen is true, upper is not included in the range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/bound_static)\n     */\n    bound(lower: any, upper: any, lowerOpen?: boolean, upperOpen?: boolean): IDBKeyRange;\n    /**\n     * Returns a new IDBKeyRange starting at key with no upper bound. If open is true, key is not included in the range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/lowerBound_static)\n     */\n    lowerBound(lower: any, open?: boolean): IDBKeyRange;\n    /**\n     * Returns a new IDBKeyRange spanning only key.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/only_static)\n     */\n    only(value: any): IDBKeyRange;\n    /**\n     * Returns a new IDBKeyRange with no lower bound and ending at key. If open is true, key is not included in the range.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBKeyRange/upperBound_static)\n     */\n    upperBound(upper: any, open?: boolean): IDBKeyRange;\n};\n\n/**\n * This example shows a variety of different uses of object stores, from updating the data structure with IDBObjectStore.createIndex inside an onupgradeneeded function, to adding a new item to our object store with IDBObjectStore.add. For a full working example, see our To-do Notifications app (view example live.)\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore)\n */\ninterface IDBObjectStore {\n    /**\n     * Returns true if the store has a key generator, and false otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/autoIncrement)\n     */\n    readonly autoIncrement: boolean;\n    /**\n     * Returns a list of the names of indexes in the store.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/indexNames)\n     */\n    readonly indexNames: DOMStringList;\n    /**\n     * Returns the key path of the store, or null if none.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/keyPath)\n     */\n    readonly keyPath: string | string[];\n    /**\n     * Returns the name of the store.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/name)\n     */\n    name: string;\n    /**\n     * Returns the associated transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/transaction)\n     */\n    readonly transaction: IDBTransaction;\n    /**\n     * Adds or updates a record in store with the given value and key.\n     *\n     * If the store uses in-line keys and key is specified a "DataError" DOMException will be thrown.\n     *\n     * If put() is used, any existing record with the key will be replaced. If add() is used, and if a record with the key already exists the request will fail, with request\'s error set to a "ConstraintError" DOMException.\n     *\n     * If successful, request\'s result will be the record\'s key.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/add)\n     */\n    add(value: any, key?: IDBValidKey): IDBRequest<IDBValidKey>;\n    /**\n     * Deletes all records in store.\n     *\n     * If successful, request\'s result will be undefined.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/clear)\n     */\n    clear(): IDBRequest<undefined>;\n    /**\n     * Retrieves the number of records matching the given key or key range in query.\n     *\n     * If successful, request\'s result will be the count.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/count)\n     */\n    count(query?: IDBValidKey | IDBKeyRange): IDBRequest<number>;\n    /**\n     * Creates a new index in store with the given name, keyPath and options and returns a new IDBIndex. If the keyPath and options define constraints that cannot be satisfied with the data already in store the upgrade transaction will abort with a "ConstraintError" DOMException.\n     *\n     * Throws an "InvalidStateError" DOMException if not called within an upgrade transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/createIndex)\n     */\n    createIndex(name: string, keyPath: string | string[], options?: IDBIndexParameters): IDBIndex;\n    /**\n     * Deletes records in store with the given key or in the given key range in query.\n     *\n     * If successful, request\'s result will be undefined.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/delete)\n     */\n    delete(query: IDBValidKey | IDBKeyRange): IDBRequest<undefined>;\n    /**\n     * Deletes the index in store with the given name.\n     *\n     * Throws an "InvalidStateError" DOMException if not called within an upgrade transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/deleteIndex)\n     */\n    deleteIndex(name: string): void;\n    /**\n     * Retrieves the value of the first record matching the given key or key range in query.\n     *\n     * If successful, request\'s result will be the value, or undefined if there was no matching record.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/get)\n     */\n    get(query: IDBValidKey | IDBKeyRange): IDBRequest<any>;\n    /**\n     * Retrieves the values of the records matching the given key or key range in query (up to count if given).\n     *\n     * If successful, request\'s result will be an Array of the values.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/getAll)\n     */\n    getAll(query?: IDBValidKey | IDBKeyRange | null, count?: number): IDBRequest<any[]>;\n    /**\n     * Retrieves the keys of records matching the given key or key range in query (up to count if given).\n     *\n     * If successful, request\'s result will be an Array of the keys.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/getAllKeys)\n     */\n    getAllKeys(query?: IDBValidKey | IDBKeyRange | null, count?: number): IDBRequest<IDBValidKey[]>;\n    /**\n     * Retrieves the key of the first record matching the given key or key range in query.\n     *\n     * If successful, request\'s result will be the key, or undefined if there was no matching record.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/getKey)\n     */\n    getKey(query: IDBValidKey | IDBKeyRange): IDBRequest<IDBValidKey | undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/index) */\n    index(name: string): IDBIndex;\n    /**\n     * Opens a cursor over the records matching query, ordered by direction. If query is null, all records in store are matched.\n     *\n     * If successful, request\'s result will be an IDBCursorWithValue pointing at the first matching record, or null if there were no matching records.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/openCursor)\n     */\n    openCursor(query?: IDBValidKey | IDBKeyRange | null, direction?: IDBCursorDirection): IDBRequest<IDBCursorWithValue | null>;\n    /**\n     * Opens a cursor with key only flag set over the records matching query, ordered by direction. If query is null, all records in store are matched.\n     *\n     * If successful, request\'s result will be an IDBCursor pointing at the first matching record, or null if there were no matching records.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/openKeyCursor)\n     */\n    openKeyCursor(query?: IDBValidKey | IDBKeyRange | null, direction?: IDBCursorDirection): IDBRequest<IDBCursor | null>;\n    /**\n     * Adds or updates a record in store with the given value and key.\n     *\n     * If the store uses in-line keys and key is specified a "DataError" DOMException will be thrown.\n     *\n     * If put() is used, any existing record with the key will be replaced. If add() is used, and if a record with the key already exists the request will fail, with request\'s error set to a "ConstraintError" DOMException.\n     *\n     * If successful, request\'s result will be the record\'s key.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/put)\n     */\n    put(value: any, key?: IDBValidKey): IDBRequest<IDBValidKey>;\n}\n\ndeclare var IDBObjectStore: {\n    prototype: IDBObjectStore;\n    new(): IDBObjectStore;\n};\n\ninterface IDBOpenDBRequestEventMap extends IDBRequestEventMap {\n    "blocked": IDBVersionChangeEvent;\n    "upgradeneeded": IDBVersionChangeEvent;\n}\n\n/**\n * Also inherits methods from its parents IDBRequest and EventTarget.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBOpenDBRequest)\n */\ninterface IDBOpenDBRequest extends IDBRequest<IDBDatabase> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBOpenDBRequest/blocked_event) */\n    onblocked: ((this: IDBOpenDBRequest, ev: IDBVersionChangeEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBOpenDBRequest/upgradeneeded_event) */\n    onupgradeneeded: ((this: IDBOpenDBRequest, ev: IDBVersionChangeEvent) => any) | null;\n    addEventListener<K extends keyof IDBOpenDBRequestEventMap>(type: K, listener: (this: IDBOpenDBRequest, ev: IDBOpenDBRequestEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof IDBOpenDBRequestEventMap>(type: K, listener: (this: IDBOpenDBRequest, ev: IDBOpenDBRequestEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var IDBOpenDBRequest: {\n    prototype: IDBOpenDBRequest;\n    new(): IDBOpenDBRequest;\n};\n\ninterface IDBRequestEventMap {\n    "error": Event;\n    "success": Event;\n}\n\n/**\n * The request object does not initially contain any information about the result of the operation, but once information becomes available, an event is fired on the request, and the information becomes available through the properties of the IDBRequest instance.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest)\n */\ninterface IDBRequest<T = any> extends EventTarget {\n    /**\n     * When a request is completed, returns the error (a DOMException), or null if the request succeeded. Throws a "InvalidStateError" DOMException if the request is still pending.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/error)\n     */\n    readonly error: DOMException | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/error_event) */\n    onerror: ((this: IDBRequest<T>, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/success_event) */\n    onsuccess: ((this: IDBRequest<T>, ev: Event) => any) | null;\n    /**\n     * Returns "pending" until a request is complete, then returns "done".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/readyState)\n     */\n    readonly readyState: IDBRequestReadyState;\n    /**\n     * When a request is completed, returns the result, or undefined if the request failed. Throws a "InvalidStateError" DOMException if the request is still pending.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/result)\n     */\n    readonly result: T;\n    /**\n     * Returns the IDBObjectStore, IDBIndex, or IDBCursor the request was made against, or null if is was an open request.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/source)\n     */\n    readonly source: IDBObjectStore | IDBIndex | IDBCursor;\n    /**\n     * Returns the IDBTransaction the request was made within. If this as an open request, then it returns an upgrade transaction while it is running, or null otherwise.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBRequest/transaction)\n     */\n    readonly transaction: IDBTransaction | null;\n    addEventListener<K extends keyof IDBRequestEventMap>(type: K, listener: (this: IDBRequest<T>, ev: IDBRequestEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof IDBRequestEventMap>(type: K, listener: (this: IDBRequest<T>, ev: IDBRequestEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var IDBRequest: {\n    prototype: IDBRequest;\n    new(): IDBRequest;\n};\n\ninterface IDBTransactionEventMap {\n    "abort": Event;\n    "complete": Event;\n    "error": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction) */\ninterface IDBTransaction extends EventTarget {\n    /**\n     * Returns the transaction\'s connection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/db)\n     */\n    readonly db: IDBDatabase;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/durability) */\n    readonly durability: IDBTransactionDurability;\n    /**\n     * If the transaction was aborted, returns the error (a DOMException) providing the reason.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/error)\n     */\n    readonly error: DOMException | null;\n    /**\n     * Returns the mode the transaction was created with ("readonly" or "readwrite"), or "versionchange" for an upgrade transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/mode)\n     */\n    readonly mode: IDBTransactionMode;\n    /**\n     * Returns a list of the names of object stores in the transaction\'s scope. For an upgrade transaction this is all object stores in the database.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/objectStoreNames)\n     */\n    readonly objectStoreNames: DOMStringList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/abort_event) */\n    onabort: ((this: IDBTransaction, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/complete_event) */\n    oncomplete: ((this: IDBTransaction, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/error_event) */\n    onerror: ((this: IDBTransaction, ev: Event) => any) | null;\n    /**\n     * Aborts the transaction. All pending requests will fail with a "AbortError" DOMException and all changes made to the database will be reverted.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/abort)\n     */\n    abort(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/commit) */\n    commit(): void;\n    /**\n     * Returns an IDBObjectStore in the transaction\'s scope.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBTransaction/objectStore)\n     */\n    objectStore(name: string): IDBObjectStore;\n    addEventListener<K extends keyof IDBTransactionEventMap>(type: K, listener: (this: IDBTransaction, ev: IDBTransactionEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof IDBTransactionEventMap>(type: K, listener: (this: IDBTransaction, ev: IDBTransactionEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var IDBTransaction: {\n    prototype: IDBTransaction;\n    new(): IDBTransaction;\n};\n\n/**\n * This IndexedDB API interface indicates that the version of the database has changed, as the result of an IDBOpenDBRequest.onupgradeneeded event handler function.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBVersionChangeEvent)\n */\ninterface IDBVersionChangeEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBVersionChangeEvent/newVersion) */\n    readonly newVersion: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBVersionChangeEvent/oldVersion) */\n    readonly oldVersion: number;\n}\n\ndeclare var IDBVersionChangeEvent: {\n    prototype: IDBVersionChangeEvent;\n    new(type: string, eventInitDict?: IDBVersionChangeEventInit): IDBVersionChangeEvent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageBitmap) */\ninterface ImageBitmap {\n    /**\n     * Returns the intrinsic height of the image, in CSS pixels.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageBitmap/height)\n     */\n    readonly height: number;\n    /**\n     * Returns the intrinsic width of the image, in CSS pixels.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageBitmap/width)\n     */\n    readonly width: number;\n    /**\n     * Releases imageBitmap\'s underlying bitmap data.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageBitmap/close)\n     */\n    close(): void;\n}\n\ndeclare var ImageBitmap: {\n    prototype: ImageBitmap;\n    new(): ImageBitmap;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageBitmapRenderingContext) */\ninterface ImageBitmapRenderingContext {\n    /**\n     * Transfers the underlying bitmap data from imageBitmap to context, and the bitmap becomes the contents of the canvas element to which context is bound.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageBitmapRenderingContext/transferFromImageBitmap)\n     */\n    transferFromImageBitmap(bitmap: ImageBitmap | null): void;\n}\n\ndeclare var ImageBitmapRenderingContext: {\n    prototype: ImageBitmapRenderingContext;\n    new(): ImageBitmapRenderingContext;\n};\n\n/**\n * The underlying pixel data of an area of a <canvas> element. It is created using the ImageData() constructor or creator methods on the CanvasRenderingContext2D object associated with a canvas: createImageData() and getImageData(). It can also be used to set a part of the canvas by using putImageData().\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageData)\n */\ninterface ImageData {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageData/colorSpace) */\n    readonly colorSpace: PredefinedColorSpace;\n    /**\n     * Returns the one-dimensional array containing the data in RGBA order, as integers in the range 0 to 255.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageData/data)\n     */\n    readonly data: Uint8ClampedArray;\n    /**\n     * Returns the actual dimensions of the data in the ImageData object, in pixels.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageData/height)\n     */\n    readonly height: number;\n    /**\n     * Returns the actual dimensions of the data in the ImageData object, in pixels.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ImageData/width)\n     */\n    readonly width: number;\n}\n\ndeclare var ImageData: {\n    prototype: ImageData;\n    new(sw: number, sh: number, settings?: ImageDataSettings): ImageData;\n    new(data: Uint8ClampedArray, sw: number, sh?: number, settings?: ImageDataSettings): ImageData;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/KHR_parallel_shader_compile) */\ninterface KHR_parallel_shader_compile {\n    readonly COMPLETION_STATUS_KHR: 0x91B1;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Lock)\n */\ninterface Lock {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Lock/mode) */\n    readonly mode: LockMode;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Lock/name) */\n    readonly name: string;\n}\n\ndeclare var Lock: {\n    prototype: Lock;\n    new(): Lock;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/LockManager)\n */\ninterface LockManager {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/LockManager/query) */\n    query(): Promise<LockManagerSnapshot>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/LockManager/request) */\n    request(name: string, callback: LockGrantedCallback): Promise<any>;\n    request(name: string, options: LockOptions, callback: LockGrantedCallback): Promise<any>;\n}\n\ndeclare var LockManager: {\n    prototype: LockManager;\n    new(): LockManager;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaCapabilities) */\ninterface MediaCapabilities {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaCapabilities/decodingInfo) */\n    decodingInfo(configuration: MediaDecodingConfiguration): Promise<MediaCapabilitiesDecodingInfo>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MediaCapabilities/encodingInfo) */\n    encodingInfo(configuration: MediaEncodingConfiguration): Promise<MediaCapabilitiesEncodingInfo>;\n}\n\ndeclare var MediaCapabilities: {\n    prototype: MediaCapabilities;\n    new(): MediaCapabilities;\n};\n\n/**\n * This Channel Messaging API interface allows us to create a new message channel and send data through it via its two MessagePort properties.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageChannel)\n */\ninterface MessageChannel {\n    /**\n     * Returns the first MessagePort object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageChannel/port1)\n     */\n    readonly port1: MessagePort;\n    /**\n     * Returns the second MessagePort object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageChannel/port2)\n     */\n    readonly port2: MessagePort;\n}\n\ndeclare var MessageChannel: {\n    prototype: MessageChannel;\n    new(): MessageChannel;\n};\n\n/**\n * A message received by a target object.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent)\n */\ninterface MessageEvent<T = any> extends Event {\n    /**\n     * Returns the data of the message.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/data)\n     */\n    readonly data: T;\n    /**\n     * Returns the last event ID string, for server-sent events.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/lastEventId)\n     */\n    readonly lastEventId: string;\n    /**\n     * Returns the origin of the message, for server-sent events and cross-document messaging.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/origin)\n     */\n    readonly origin: string;\n    /**\n     * Returns the MessagePort array sent with the message, for cross-document messaging and channel messaging.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/ports)\n     */\n    readonly ports: ReadonlyArray<MessagePort>;\n    /**\n     * Returns the WindowProxy of the source window, for cross-document messaging, and the MessagePort being attached, in the connect event fired at SharedWorkerGlobalScope objects.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/source)\n     */\n    readonly source: MessageEventSource | null;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/initMessageEvent)\n     */\n    initMessageEvent(type: string, bubbles?: boolean, cancelable?: boolean, data?: any, origin?: string, lastEventId?: string, source?: MessageEventSource | null, ports?: MessagePort[]): void;\n}\n\ndeclare var MessageEvent: {\n    prototype: MessageEvent;\n    new<T>(type: string, eventInitDict?: MessageEventInit<T>): MessageEvent<T>;\n};\n\ninterface MessagePortEventMap {\n    "message": MessageEvent;\n    "messageerror": MessageEvent;\n}\n\n/**\n * This Channel Messaging API interface represents one of the two ports of a MessageChannel, allowing messages to be sent from one port and listening out for them arriving at the other.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessagePort)\n */\ninterface MessagePort extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessagePort/message_event) */\n    onmessage: ((this: MessagePort, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessagePort/messageerror_event) */\n    onmessageerror: ((this: MessagePort, ev: MessageEvent) => any) | null;\n    /**\n     * Disconnects the port, so that it is no longer active.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessagePort/close)\n     */\n    close(): void;\n    /**\n     * Posts a message through the channel. Objects listed in transfer are transferred, not just cloned, meaning that they are no longer usable on the sending side.\n     *\n     * Throws a "DataCloneError" DOMException if transfer contains duplicate objects or port, or if message could not be cloned.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessagePort/postMessage)\n     */\n    postMessage(message: any, transfer: Transferable[]): void;\n    postMessage(message: any, options?: StructuredSerializeOptions): void;\n    /**\n     * Begins dispatching messages received on the port.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessagePort/start)\n     */\n    start(): void;\n    addEventListener<K extends keyof MessagePortEventMap>(type: K, listener: (this: MessagePort, ev: MessagePortEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof MessagePortEventMap>(type: K, listener: (this: MessagePort, ev: MessagePortEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var MessagePort: {\n    prototype: MessagePort;\n    new(): MessagePort;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/NavigationPreloadManager)\n */\ninterface NavigationPreloadManager {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NavigationPreloadManager/disable) */\n    disable(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NavigationPreloadManager/enable) */\n    enable(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NavigationPreloadManager/getState) */\n    getState(): Promise<NavigationPreloadState>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NavigationPreloadManager/setHeaderValue) */\n    setHeaderValue(value: string): Promise<void>;\n}\n\ndeclare var NavigationPreloadManager: {\n    prototype: NavigationPreloadManager;\n    new(): NavigationPreloadManager;\n};\n\n/** Available only in secure contexts. */\ninterface NavigatorBadge {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/clearAppBadge) */\n    clearAppBadge(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/setAppBadge) */\n    setAppBadge(contents?: number): Promise<void>;\n}\n\ninterface NavigatorConcurrentHardware {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/hardwareConcurrency) */\n    readonly hardwareConcurrency: number;\n}\n\ninterface NavigatorID {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/appCodeName)\n     */\n    readonly appCodeName: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/appName)\n     */\n    readonly appName: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/appVersion)\n     */\n    readonly appVersion: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/platform)\n     */\n    readonly platform: string;\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/product)\n     */\n    readonly product: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/userAgent) */\n    readonly userAgent: string;\n}\n\ninterface NavigatorLanguage {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/language) */\n    readonly language: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/languages) */\n    readonly languages: ReadonlyArray<string>;\n}\n\n/** Available only in secure contexts. */\ninterface NavigatorLocks {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/locks) */\n    readonly locks: LockManager;\n}\n\ninterface NavigatorOnLine {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/onLine) */\n    readonly onLine: boolean;\n}\n\n/** Available only in secure contexts. */\ninterface NavigatorStorage {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Navigator/storage) */\n    readonly storage: StorageManager;\n}\n\ninterface NotificationEventMap {\n    "click": Event;\n    "close": Event;\n    "error": Event;\n    "show": Event;\n}\n\n/**\n * This Notifications API interface is used to configure and display desktop notifications to the user.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification)\n */\ninterface Notification extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/badge) */\n    readonly badge: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/body) */\n    readonly body: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/data) */\n    readonly data: any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/dir) */\n    readonly dir: NotificationDirection;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/icon) */\n    readonly icon: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/lang) */\n    readonly lang: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/click_event) */\n    onclick: ((this: Notification, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/close_event) */\n    onclose: ((this: Notification, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/error_event) */\n    onerror: ((this: Notification, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/show_event) */\n    onshow: ((this: Notification, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/requireInteraction) */\n    readonly requireInteraction: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/silent) */\n    readonly silent: boolean | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/tag) */\n    readonly tag: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/title) */\n    readonly title: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/close) */\n    close(): void;\n    addEventListener<K extends keyof NotificationEventMap>(type: K, listener: (this: Notification, ev: NotificationEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof NotificationEventMap>(type: K, listener: (this: Notification, ev: NotificationEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var Notification: {\n    prototype: Notification;\n    new(title: string, options?: NotificationOptions): Notification;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Notification/permission_static) */\n    readonly permission: NotificationPermission;\n};\n\n/**\n * The parameter passed into the onnotificationclick handler, the NotificationEvent interface represents a notification click event that is dispatched on the ServiceWorkerGlobalScope of a ServiceWorker.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/NotificationEvent)\n */\ninterface NotificationEvent extends ExtendableEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NotificationEvent/action) */\n    readonly action: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/NotificationEvent/notification) */\n    readonly notification: Notification;\n}\n\ndeclare var NotificationEvent: {\n    prototype: NotificationEvent;\n    new(type: string, eventInitDict: NotificationEventInit): NotificationEvent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed) */\ninterface OES_draw_buffers_indexed {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/blendEquationSeparateiOES) */\n    blendEquationSeparateiOES(buf: GLuint, modeRGB: GLenum, modeAlpha: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/blendEquationiOES) */\n    blendEquationiOES(buf: GLuint, mode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/blendFuncSeparateiOES) */\n    blendFuncSeparateiOES(buf: GLuint, srcRGB: GLenum, dstRGB: GLenum, srcAlpha: GLenum, dstAlpha: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/blendFunciOES) */\n    blendFunciOES(buf: GLuint, src: GLenum, dst: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/colorMaskiOES) */\n    colorMaskiOES(buf: GLuint, r: GLboolean, g: GLboolean, b: GLboolean, a: GLboolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/disableiOES) */\n    disableiOES(target: GLenum, index: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_draw_buffers_indexed/enableiOES) */\n    enableiOES(target: GLenum, index: GLuint): void;\n}\n\n/**\n * The OES_element_index_uint extension is part of the WebGL API and adds support for gl.UNSIGNED_INT types to WebGLRenderingContext.drawElements().\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_element_index_uint)\n */\ninterface OES_element_index_uint {\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_fbo_render_mipmap) */\ninterface OES_fbo_render_mipmap {\n}\n\n/**\n * The OES_standard_derivatives extension is part of the WebGL API and adds the GLSL derivative functions dFdx, dFdy, and fwidth.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_standard_derivatives)\n */\ninterface OES_standard_derivatives {\n    readonly FRAGMENT_SHADER_DERIVATIVE_HINT_OES: 0x8B8B;\n}\n\n/**\n * The OES_texture_float extension is part of the WebGL API and exposes floating-point pixel types for textures.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_texture_float)\n */\ninterface OES_texture_float {\n}\n\n/**\n * The OES_texture_float_linear extension is part of the WebGL API and allows linear filtering with floating-point pixel types for textures.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_texture_float_linear)\n */\ninterface OES_texture_float_linear {\n}\n\n/**\n * The OES_texture_half_float extension is part of the WebGL API and adds texture formats with 16- (aka half float) and 32-bit floating-point components.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_texture_half_float)\n */\ninterface OES_texture_half_float {\n    readonly HALF_FLOAT_OES: 0x8D61;\n}\n\n/**\n * The OES_texture_half_float_linear extension is part of the WebGL API and allows linear filtering with half floating-point pixel types for textures.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_texture_half_float_linear)\n */\ninterface OES_texture_half_float_linear {\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_vertex_array_object) */\ninterface OES_vertex_array_object {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_vertex_array_object/bindVertexArrayOES) */\n    bindVertexArrayOES(arrayObject: WebGLVertexArrayObjectOES | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_vertex_array_object/createVertexArrayOES) */\n    createVertexArrayOES(): WebGLVertexArrayObjectOES | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_vertex_array_object/deleteVertexArrayOES) */\n    deleteVertexArrayOES(arrayObject: WebGLVertexArrayObjectOES | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OES_vertex_array_object/isVertexArrayOES) */\n    isVertexArrayOES(arrayObject: WebGLVertexArrayObjectOES | null): GLboolean;\n    readonly VERTEX_ARRAY_BINDING_OES: 0x85B5;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OVR_multiview2) */\ninterface OVR_multiview2 {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OVR_multiview2/framebufferTextureMultiviewOVR) */\n    framebufferTextureMultiviewOVR(target: GLenum, attachment: GLenum, texture: WebGLTexture | null, level: GLint, baseViewIndex: GLint, numViews: GLsizei): void;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_NUM_VIEWS_OVR: 0x9630;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_BASE_VIEW_INDEX_OVR: 0x9632;\n    readonly MAX_VIEWS_OVR: 0x9631;\n    readonly FRAMEBUFFER_INCOMPLETE_VIEW_TARGETS_OVR: 0x9633;\n}\n\ninterface OffscreenCanvasEventMap {\n    "contextlost": Event;\n    "contextrestored": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvas) */\ninterface OffscreenCanvas extends EventTarget {\n    /**\n     * These attributes return the dimensions of the OffscreenCanvas object\'s bitmap.\n     *\n     * They can be set, to replace the bitmap with a new, transparent black bitmap of the specified dimensions (effectively resizing it).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvas/height)\n     */\n    height: number;\n    oncontextlost: ((this: OffscreenCanvas, ev: Event) => any) | null;\n    oncontextrestored: ((this: OffscreenCanvas, ev: Event) => any) | null;\n    /**\n     * These attributes return the dimensions of the OffscreenCanvas object\'s bitmap.\n     *\n     * They can be set, to replace the bitmap with a new, transparent black bitmap of the specified dimensions (effectively resizing it).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvas/width)\n     */\n    width: number;\n    /**\n     * Returns a promise that will fulfill with a new Blob object representing a file containing the image in the OffscreenCanvas object.\n     *\n     * The argument, if provided, is a dictionary that controls the encoding options of the image file to be created. The type field specifies the file format and has a default value of "image/png"; that type is also used if the requested type isn\'t supported. If the image format supports variable quality (such as "image/jpeg"), then the quality field is a number in the range 0.0 to 1.0 inclusive indicating the desired quality level for the resulting image.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvas/convertToBlob)\n     */\n    convertToBlob(options?: ImageEncodeOptions): Promise<Blob>;\n    /**\n     * Returns an object that exposes an API for drawing on the OffscreenCanvas object. contextId specifies the desired API: "2d", "bitmaprenderer", "webgl", or "webgl2". options is handled by that API.\n     *\n     * This specification defines the "2d" context below, which is similar but distinct from the "2d" context that is created from a canvas element. The WebGL specifications define the "webgl" and "webgl2" contexts. [WEBGL]\n     *\n     * Returns null if the canvas has already been initialized with another context type (e.g., trying to get a "2d" context after getting a "webgl" context).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvas/getContext)\n     */\n    getContext(contextId: "2d", options?: any): OffscreenCanvasRenderingContext2D | null;\n    getContext(contextId: "bitmaprenderer", options?: any): ImageBitmapRenderingContext | null;\n    getContext(contextId: "webgl", options?: any): WebGLRenderingContext | null;\n    getContext(contextId: "webgl2", options?: any): WebGL2RenderingContext | null;\n    getContext(contextId: OffscreenRenderingContextId, options?: any): OffscreenRenderingContext | null;\n    /**\n     * Returns a newly created ImageBitmap object with the image in the OffscreenCanvas object. The image in the OffscreenCanvas object is replaced with a new blank image.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvas/transferToImageBitmap)\n     */\n    transferToImageBitmap(): ImageBitmap;\n    addEventListener<K extends keyof OffscreenCanvasEventMap>(type: K, listener: (this: OffscreenCanvas, ev: OffscreenCanvasEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof OffscreenCanvasEventMap>(type: K, listener: (this: OffscreenCanvas, ev: OffscreenCanvasEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var OffscreenCanvas: {\n    prototype: OffscreenCanvas;\n    new(width: number, height: number): OffscreenCanvas;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvasRenderingContext2D) */\ninterface OffscreenCanvasRenderingContext2D extends CanvasCompositing, CanvasDrawImage, CanvasDrawPath, CanvasFillStrokeStyles, CanvasFilters, CanvasImageData, CanvasImageSmoothing, CanvasPath, CanvasPathDrawingStyles, CanvasRect, CanvasShadowStyles, CanvasState, CanvasText, CanvasTextDrawingStyles, CanvasTransform {\n    readonly canvas: OffscreenCanvas;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/OffscreenCanvasRenderingContext2D/commit) */\n    commit(): void;\n}\n\ndeclare var OffscreenCanvasRenderingContext2D: {\n    prototype: OffscreenCanvasRenderingContext2D;\n    new(): OffscreenCanvasRenderingContext2D;\n};\n\n/**\n * This Canvas 2D API interface is used to declare a path that can then be used on a CanvasRenderingContext2D object. The path methods of the CanvasRenderingContext2D interface are also present on this interface, which gives you the convenience of being able to retain and replay your path whenever desired.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Path2D)\n */\ninterface Path2D extends CanvasPath {\n    /**\n     * Adds to the path the path given by the argument.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Path2D/addPath)\n     */\n    addPath(path: Path2D, transform?: DOMMatrix2DInit): void;\n}\n\ndeclare var Path2D: {\n    prototype: Path2D;\n    new(path?: Path2D | string): Path2D;\n};\n\ninterface PerformanceEventMap {\n    "resourcetimingbufferfull": Event;\n}\n\n/**\n * Provides access to performance-related information for the current page. It\'s part of the High Resolution Time API, but is enhanced by the Performance Timeline API, the Navigation Timing API, the User Timing API, and the Resource Timing API.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance)\n */\ninterface Performance extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/resourcetimingbufferfull_event) */\n    onresourcetimingbufferfull: ((this: Performance, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/timeOrigin) */\n    readonly timeOrigin: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/clearMarks) */\n    clearMarks(markName?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/clearMeasures) */\n    clearMeasures(measureName?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/clearResourceTimings) */\n    clearResourceTimings(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/getEntries) */\n    getEntries(): PerformanceEntryList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/getEntriesByName) */\n    getEntriesByName(name: string, type?: string): PerformanceEntryList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/getEntriesByType) */\n    getEntriesByType(type: string): PerformanceEntryList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/mark) */\n    mark(markName: string, markOptions?: PerformanceMarkOptions): PerformanceMark;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/measure) */\n    measure(measureName: string, startOrMeasureOptions?: string | PerformanceMeasureOptions, endMark?: string): PerformanceMeasure;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/now) */\n    now(): DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/setResourceTimingBufferSize) */\n    setResourceTimingBufferSize(maxSize: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Performance/toJSON) */\n    toJSON(): any;\n    addEventListener<K extends keyof PerformanceEventMap>(type: K, listener: (this: Performance, ev: PerformanceEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof PerformanceEventMap>(type: K, listener: (this: Performance, ev: PerformanceEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var Performance: {\n    prototype: Performance;\n    new(): Performance;\n};\n\n/**\n * Encapsulates a single performance metric that is part of the performance timeline. A performance entry can be directly created by making a performance mark or measure (for example by calling the mark() method) at an explicit point in an application. Performance entries are also created in indirect ways such as loading a resource (such as an image).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEntry)\n */\ninterface PerformanceEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEntry/duration) */\n    readonly duration: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEntry/entryType) */\n    readonly entryType: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEntry/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEntry/startTime) */\n    readonly startTime: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceEntry/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var PerformanceEntry: {\n    prototype: PerformanceEntry;\n    new(): PerformanceEntry;\n};\n\n/**\n * PerformanceMark is an abstract interface for PerformanceEntry objects with an entryType of "mark". Entries of this type are created by calling performance.mark() to add a named DOMHighResTimeStamp (the mark) to the browser\'s performance timeline.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceMark)\n */\ninterface PerformanceMark extends PerformanceEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceMark/detail) */\n    readonly detail: any;\n}\n\ndeclare var PerformanceMark: {\n    prototype: PerformanceMark;\n    new(markName: string, markOptions?: PerformanceMarkOptions): PerformanceMark;\n};\n\n/**\n * PerformanceMeasure is an abstract interface for PerformanceEntry objects with an entryType of "measure". Entries of this type are created by calling performance.measure() to add a named DOMHighResTimeStamp (the measure) between two marks to the browser\'s performance timeline.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceMeasure)\n */\ninterface PerformanceMeasure extends PerformanceEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceMeasure/detail) */\n    readonly detail: any;\n}\n\ndeclare var PerformanceMeasure: {\n    prototype: PerformanceMeasure;\n    new(): PerformanceMeasure;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserver) */\ninterface PerformanceObserver {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserver/disconnect) */\n    disconnect(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserver/observe) */\n    observe(options?: PerformanceObserverInit): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserver/takeRecords) */\n    takeRecords(): PerformanceEntryList;\n}\n\ndeclare var PerformanceObserver: {\n    prototype: PerformanceObserver;\n    new(callback: PerformanceObserverCallback): PerformanceObserver;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserver/supportedEntryTypes_static) */\n    readonly supportedEntryTypes: ReadonlyArray<string>;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserverEntryList) */\ninterface PerformanceObserverEntryList {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserverEntryList/getEntries) */\n    getEntries(): PerformanceEntryList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserverEntryList/getEntriesByName) */\n    getEntriesByName(name: string, type?: string): PerformanceEntryList;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceObserverEntryList/getEntriesByType) */\n    getEntriesByType(type: string): PerformanceEntryList;\n}\n\ndeclare var PerformanceObserverEntryList: {\n    prototype: PerformanceObserverEntryList;\n    new(): PerformanceObserverEntryList;\n};\n\n/**\n * Enables retrieval and analysis of detailed network timing data regarding the loading of an application\'s resources. An application can use the timing metrics to determine, for example, the length of time it takes to fetch a specific resource, such as an XMLHttpRequest, <SVG>, image, or script.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming)\n */\ninterface PerformanceResourceTiming extends PerformanceEntry {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/connectEnd) */\n    readonly connectEnd: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/connectStart) */\n    readonly connectStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/decodedBodySize) */\n    readonly decodedBodySize: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/domainLookupEnd) */\n    readonly domainLookupEnd: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/domainLookupStart) */\n    readonly domainLookupStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/encodedBodySize) */\n    readonly encodedBodySize: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/fetchStart) */\n    readonly fetchStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/initiatorType) */\n    readonly initiatorType: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/nextHopProtocol) */\n    readonly nextHopProtocol: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/redirectEnd) */\n    readonly redirectEnd: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/redirectStart) */\n    readonly redirectStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/requestStart) */\n    readonly requestStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/responseEnd) */\n    readonly responseEnd: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/responseStart) */\n    readonly responseStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/secureConnectionStart) */\n    readonly secureConnectionStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/serverTiming) */\n    readonly serverTiming: ReadonlyArray<PerformanceServerTiming>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/transferSize) */\n    readonly transferSize: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/workerStart) */\n    readonly workerStart: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceResourceTiming/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var PerformanceResourceTiming: {\n    prototype: PerformanceResourceTiming;\n    new(): PerformanceResourceTiming;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceServerTiming) */\ninterface PerformanceServerTiming {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceServerTiming/description) */\n    readonly description: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceServerTiming/duration) */\n    readonly duration: DOMHighResTimeStamp;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceServerTiming/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PerformanceServerTiming/toJSON) */\n    toJSON(): any;\n}\n\ndeclare var PerformanceServerTiming: {\n    prototype: PerformanceServerTiming;\n    new(): PerformanceServerTiming;\n};\n\ninterface PermissionStatusEventMap {\n    "change": Event;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PermissionStatus) */\ninterface PermissionStatus extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PermissionStatus/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PermissionStatus/change_event) */\n    onchange: ((this: PermissionStatus, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PermissionStatus/state) */\n    readonly state: PermissionState;\n    addEventListener<K extends keyof PermissionStatusEventMap>(type: K, listener: (this: PermissionStatus, ev: PermissionStatusEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof PermissionStatusEventMap>(type: K, listener: (this: PermissionStatus, ev: PermissionStatusEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var PermissionStatus: {\n    prototype: PermissionStatus;\n    new(): PermissionStatus;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Permissions) */\ninterface Permissions {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Permissions/query) */\n    query(permissionDesc: PermissionDescriptor): Promise<PermissionStatus>;\n}\n\ndeclare var Permissions: {\n    prototype: Permissions;\n    new(): Permissions;\n};\n\n/**\n * Events measuring progress of an underlying process, like an HTTP request (for an XMLHttpRequest, or the loading of the underlying resource of an <img>, <audio>, <video>, <style> or <link>).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ProgressEvent)\n */\ninterface ProgressEvent<T extends EventTarget = EventTarget> extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ProgressEvent/lengthComputable) */\n    readonly lengthComputable: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ProgressEvent/loaded) */\n    readonly loaded: number;\n    readonly target: T | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ProgressEvent/total) */\n    readonly total: number;\n}\n\ndeclare var ProgressEvent: {\n    prototype: ProgressEvent;\n    new(type: string, eventInitDict?: ProgressEventInit): ProgressEvent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PromiseRejectionEvent) */\ninterface PromiseRejectionEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PromiseRejectionEvent/promise) */\n    readonly promise: Promise<any>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PromiseRejectionEvent/reason) */\n    readonly reason: any;\n}\n\ndeclare var PromiseRejectionEvent: {\n    prototype: PromiseRejectionEvent;\n    new(type: string, eventInitDict: PromiseRejectionEventInit): PromiseRejectionEvent;\n};\n\n/**\n * This Push API interface represents a push message that has been received. This event is sent to the global scope of a ServiceWorker. It contains the information sent from an application server to a PushSubscription.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushEvent)\n */\ninterface PushEvent extends ExtendableEvent {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushEvent/data) */\n    readonly data: PushMessageData | null;\n}\n\ndeclare var PushEvent: {\n    prototype: PushEvent;\n    new(type: string, eventInitDict?: PushEventInit): PushEvent;\n};\n\n/**\n * This Push API interface provides a way to receive notifications from third-party servers as well as request URLs for push notifications.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushManager)\n */\ninterface PushManager {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushManager/getSubscription) */\n    getSubscription(): Promise<PushSubscription | null>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushManager/permissionState) */\n    permissionState(options?: PushSubscriptionOptionsInit): Promise<PermissionState>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushManager/subscribe) */\n    subscribe(options?: PushSubscriptionOptionsInit): Promise<PushSubscription>;\n}\n\ndeclare var PushManager: {\n    prototype: PushManager;\n    new(): PushManager;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushManager/supportedContentEncodings_static) */\n    readonly supportedContentEncodings: ReadonlyArray<string>;\n};\n\n/**\n * This Push API interface provides methods which let you retrieve the push data sent by a server in various formats.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushMessageData)\n */\ninterface PushMessageData {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushMessageData/arrayBuffer) */\n    arrayBuffer(): ArrayBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushMessageData/blob) */\n    blob(): Blob;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushMessageData/json) */\n    json(): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushMessageData/text) */\n    text(): string;\n}\n\ndeclare var PushMessageData: {\n    prototype: PushMessageData;\n    new(): PushMessageData;\n};\n\n/**\n * This Push API interface provides a subcription\'s URL endpoint and allows unsubscription from a push service.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription)\n */\ninterface PushSubscription {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription/endpoint) */\n    readonly endpoint: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription/expirationTime) */\n    readonly expirationTime: EpochTimeStamp | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription/options) */\n    readonly options: PushSubscriptionOptions;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription/getKey) */\n    getKey(name: PushEncryptionKeyName): ArrayBuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription/toJSON) */\n    toJSON(): PushSubscriptionJSON;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscription/unsubscribe) */\n    unsubscribe(): Promise<boolean>;\n}\n\ndeclare var PushSubscription: {\n    prototype: PushSubscription;\n    new(): PushSubscription;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscriptionOptions)\n */\ninterface PushSubscriptionOptions {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscriptionOptions/applicationServerKey) */\n    readonly applicationServerKey: ArrayBuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/PushSubscriptionOptions/userVisibleOnly) */\n    readonly userVisibleOnly: boolean;\n}\n\ndeclare var PushSubscriptionOptions: {\n    prototype: PushSubscriptionOptions;\n    new(): PushSubscriptionOptions;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedAudioFrame) */\ninterface RTCEncodedAudioFrame {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedAudioFrame/data) */\n    data: ArrayBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedAudioFrame/timestamp) */\n    readonly timestamp: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedAudioFrame/getMetadata) */\n    getMetadata(): RTCEncodedAudioFrameMetadata;\n}\n\ndeclare var RTCEncodedAudioFrame: {\n    prototype: RTCEncodedAudioFrame;\n    new(): RTCEncodedAudioFrame;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedVideoFrame) */\ninterface RTCEncodedVideoFrame {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedVideoFrame/data) */\n    data: ArrayBuffer;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedVideoFrame/timestamp) */\n    readonly timestamp: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedVideoFrame/type) */\n    readonly type: RTCEncodedVideoFrameType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCEncodedVideoFrame/getMetadata) */\n    getMetadata(): RTCEncodedVideoFrameMetadata;\n}\n\ndeclare var RTCEncodedVideoFrame: {\n    prototype: RTCEncodedVideoFrame;\n    new(): RTCEncodedVideoFrame;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpScriptTransformer) */\ninterface RTCRtpScriptTransformer extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpScriptTransformer/options) */\n    readonly options: any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpScriptTransformer/readable) */\n    readonly readable: ReadableStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpScriptTransformer/writable) */\n    readonly writable: WritableStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpScriptTransformer/generateKeyFrame) */\n    generateKeyFrame(rid?: string): Promise<number>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCRtpScriptTransformer/sendKeyFrameRequest) */\n    sendKeyFrameRequest(): Promise<void>;\n}\n\ndeclare var RTCRtpScriptTransformer: {\n    prototype: RTCRtpScriptTransformer;\n    new(): RTCRtpScriptTransformer;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCTransformEvent) */\ninterface RTCTransformEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/RTCTransformEvent/transformer) */\n    readonly transformer: RTCRtpScriptTransformer;\n}\n\ndeclare var RTCTransformEvent: {\n    prototype: RTCTransformEvent;\n    new(): RTCTransformEvent;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableByteStreamController) */\ninterface ReadableByteStreamController {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableByteStreamController/byobRequest) */\n    readonly byobRequest: ReadableStreamBYOBRequest | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableByteStreamController/desiredSize) */\n    readonly desiredSize: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableByteStreamController/close) */\n    close(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableByteStreamController/enqueue) */\n    enqueue(chunk: ArrayBufferView): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableByteStreamController/error) */\n    error(e?: any): void;\n}\n\ndeclare var ReadableByteStreamController: {\n    prototype: ReadableByteStreamController;\n    new(): ReadableByteStreamController;\n};\n\n/**\n * This Streams API interface represents a readable stream of byte data. The Fetch API offers a concrete instance of a ReadableStream through the body property of a Response object.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream)\n */\ninterface ReadableStream<R = any> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream/locked) */\n    readonly locked: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream/cancel) */\n    cancel(reason?: any): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream/getReader) */\n    getReader(options: { mode: "byob" }): ReadableStreamBYOBReader;\n    getReader(): ReadableStreamDefaultReader<R>;\n    getReader(options?: ReadableStreamGetReaderOptions): ReadableStreamReader<R>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream/pipeThrough) */\n    pipeThrough<T>(transform: ReadableWritablePair<T, R>, options?: StreamPipeOptions): ReadableStream<T>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream/pipeTo) */\n    pipeTo(destination: WritableStream<R>, options?: StreamPipeOptions): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStream/tee) */\n    tee(): [ReadableStream<R>, ReadableStream<R>];\n}\n\ndeclare var ReadableStream: {\n    prototype: ReadableStream;\n    new(underlyingSource: UnderlyingByteSource, strategy?: { highWaterMark?: number }): ReadableStream<Uint8Array>;\n    new<R = any>(underlyingSource: UnderlyingDefaultSource<R>, strategy?: QueuingStrategy<R>): ReadableStream<R>;\n    new<R = any>(underlyingSource?: UnderlyingSource<R>, strategy?: QueuingStrategy<R>): ReadableStream<R>;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBReader) */\ninterface ReadableStreamBYOBReader extends ReadableStreamGenericReader {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBReader/read) */\n    read<T extends ArrayBufferView>(view: T): Promise<ReadableStreamReadResult<T>>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBReader/releaseLock) */\n    releaseLock(): void;\n}\n\ndeclare var ReadableStreamBYOBReader: {\n    prototype: ReadableStreamBYOBReader;\n    new(stream: ReadableStream): ReadableStreamBYOBReader;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBRequest) */\ninterface ReadableStreamBYOBRequest {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBRequest/view) */\n    readonly view: ArrayBufferView | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBRequest/respond) */\n    respond(bytesWritten: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBRequest/respondWithNewView) */\n    respondWithNewView(view: ArrayBufferView): void;\n}\n\ndeclare var ReadableStreamBYOBRequest: {\n    prototype: ReadableStreamBYOBRequest;\n    new(): ReadableStreamBYOBRequest;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultController) */\ninterface ReadableStreamDefaultController<R = any> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultController/desiredSize) */\n    readonly desiredSize: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultController/close) */\n    close(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultController/enqueue) */\n    enqueue(chunk?: R): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultController/error) */\n    error(e?: any): void;\n}\n\ndeclare var ReadableStreamDefaultController: {\n    prototype: ReadableStreamDefaultController;\n    new(): ReadableStreamDefaultController;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultReader) */\ninterface ReadableStreamDefaultReader<R = any> extends ReadableStreamGenericReader {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultReader/read) */\n    read(): Promise<ReadableStreamReadResult<R>>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamDefaultReader/releaseLock) */\n    releaseLock(): void;\n}\n\ndeclare var ReadableStreamDefaultReader: {\n    prototype: ReadableStreamDefaultReader;\n    new<R = any>(stream: ReadableStream<R>): ReadableStreamDefaultReader<R>;\n};\n\ninterface ReadableStreamGenericReader {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBReader/closed) */\n    readonly closed: Promise<undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReadableStreamBYOBReader/cancel) */\n    cancel(reason?: any): Promise<void>;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Report) */\ninterface Report {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Report/body) */\n    readonly body: ReportBody | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Report/type) */\n    readonly type: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Report/url) */\n    readonly url: string;\n    toJSON(): any;\n}\n\ndeclare var Report: {\n    prototype: Report;\n    new(): Report;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReportBody) */\ninterface ReportBody {\n    toJSON(): any;\n}\n\ndeclare var ReportBody: {\n    prototype: ReportBody;\n    new(): ReportBody;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReportingObserver) */\ninterface ReportingObserver {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReportingObserver/disconnect) */\n    disconnect(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReportingObserver/observe) */\n    observe(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ReportingObserver/takeRecords) */\n    takeRecords(): ReportList;\n}\n\ndeclare var ReportingObserver: {\n    prototype: ReportingObserver;\n    new(callback: ReportingObserverCallback, options?: ReportingObserverOptions): ReportingObserver;\n};\n\n/**\n * This Fetch API interface represents a resource request.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request)\n */\ninterface Request extends Body {\n    /**\n     * Returns the cache mode associated with request, which is a string indicating how the request will interact with the browser\'s cache when fetching.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/cache)\n     */\n    readonly cache: RequestCache;\n    /**\n     * Returns the credentials mode associated with request, which is a string indicating whether credentials will be sent with the request always, never, or only when sent to a same-origin URL.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/credentials)\n     */\n    readonly credentials: RequestCredentials;\n    /**\n     * Returns the kind of resource requested by request, e.g., "document" or "script".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/destination)\n     */\n    readonly destination: RequestDestination;\n    /**\n     * Returns a Headers object consisting of the headers associated with request. Note that headers added in the network layer by the user agent will not be accounted for in this object, e.g., the "Host" header.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/headers)\n     */\n    readonly headers: Headers;\n    /**\n     * Returns request\'s subresource integrity metadata, which is a cryptographic hash of the resource being fetched. Its value consists of multiple hashes separated by whitespace. [SRI]\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/integrity)\n     */\n    readonly integrity: string;\n    /**\n     * Returns a boolean indicating whether or not request can outlive the global in which it was created.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/keepalive)\n     */\n    readonly keepalive: boolean;\n    /**\n     * Returns request\'s HTTP method, which is "GET" by default.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/method)\n     */\n    readonly method: string;\n    /**\n     * Returns the mode associated with request, which is a string indicating whether the request will use CORS, or will be restricted to same-origin URLs.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/mode)\n     */\n    readonly mode: RequestMode;\n    /**\n     * Returns the redirect mode associated with request, which is a string indicating how redirects for the request will be handled during fetching. A request will follow redirects by default.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/redirect)\n     */\n    readonly redirect: RequestRedirect;\n    /**\n     * Returns the referrer of request. Its value can be a same-origin URL if explicitly set in init, the empty string to indicate no referrer, and "about:client" when defaulting to the global\'s default. This is used during fetching to determine the value of the `Referer` header of the request being made.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/referrer)\n     */\n    readonly referrer: string;\n    /**\n     * Returns the referrer policy associated with request. This is used during fetching to compute the value of the request\'s referrer.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/referrerPolicy)\n     */\n    readonly referrerPolicy: ReferrerPolicy;\n    /**\n     * Returns the signal associated with request, which is an AbortSignal object indicating whether or not request has been aborted, and its abort event handler.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/signal)\n     */\n    readonly signal: AbortSignal;\n    /**\n     * Returns the URL of request as a string.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/url)\n     */\n    readonly url: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Request/clone) */\n    clone(): Request;\n}\n\ndeclare var Request: {\n    prototype: Request;\n    new(input: RequestInfo | URL, init?: RequestInit): Request;\n};\n\n/**\n * This Fetch API interface represents the response to a request.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response)\n */\ninterface Response extends Body {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/headers) */\n    readonly headers: Headers;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/ok) */\n    readonly ok: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/redirected) */\n    readonly redirected: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/status) */\n    readonly status: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/statusText) */\n    readonly statusText: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/type) */\n    readonly type: ResponseType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/url) */\n    readonly url: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/clone) */\n    clone(): Response;\n}\n\ndeclare var Response: {\n    prototype: Response;\n    new(body?: BodyInit | null, init?: ResponseInit): Response;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/error_static) */\n    error(): Response;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/json_static) */\n    json(data: any, init?: ResponseInit): Response;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Response/redirect_static) */\n    redirect(url: string | URL, status?: number): Response;\n};\n\n/**\n * Inherits from Event, and represents the event object of an event sent on a document or worker when its content security policy is violated.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent)\n */\ninterface SecurityPolicyViolationEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/blockedURI) */\n    readonly blockedURI: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/columnNumber) */\n    readonly columnNumber: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/disposition) */\n    readonly disposition: SecurityPolicyViolationEventDisposition;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/documentURI) */\n    readonly documentURI: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/effectiveDirective) */\n    readonly effectiveDirective: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/lineNumber) */\n    readonly lineNumber: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/originalPolicy) */\n    readonly originalPolicy: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/referrer) */\n    readonly referrer: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/sample) */\n    readonly sample: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/sourceFile) */\n    readonly sourceFile: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/statusCode) */\n    readonly statusCode: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SecurityPolicyViolationEvent/violatedDirective) */\n    readonly violatedDirective: string;\n}\n\ndeclare var SecurityPolicyViolationEvent: {\n    prototype: SecurityPolicyViolationEvent;\n    new(type: string, eventInitDict?: SecurityPolicyViolationEventInit): SecurityPolicyViolationEvent;\n};\n\ninterface ServiceWorkerEventMap extends AbstractWorkerEventMap {\n    "statechange": Event;\n}\n\n/**\n * This ServiceWorker API interface provides a reference to a service worker. Multiple browsing contexts (e.g. pages, workers, etc.) can be associated with the same service worker, each through a unique ServiceWorker object.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorker)\n */\ninterface ServiceWorker extends EventTarget, AbstractWorker {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorker/statechange_event) */\n    onstatechange: ((this: ServiceWorker, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorker/scriptURL) */\n    readonly scriptURL: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorker/state) */\n    readonly state: ServiceWorkerState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorker/postMessage) */\n    postMessage(message: any, transfer: Transferable[]): void;\n    postMessage(message: any, options?: StructuredSerializeOptions): void;\n    addEventListener<K extends keyof ServiceWorkerEventMap>(type: K, listener: (this: ServiceWorker, ev: ServiceWorkerEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof ServiceWorkerEventMap>(type: K, listener: (this: ServiceWorker, ev: ServiceWorkerEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var ServiceWorker: {\n    prototype: ServiceWorker;\n    new(): ServiceWorker;\n};\n\ninterface ServiceWorkerContainerEventMap {\n    "controllerchange": Event;\n    "message": MessageEvent;\n    "messageerror": MessageEvent;\n}\n\n/**\n * The ServiceWorkerContainer interface of the ServiceWorker API provides an object representing the service worker as an overall unit in the network ecosystem, including facilities to register, unregister and update service workers, and access the state of service workers and their registrations.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer)\n */\ninterface ServiceWorkerContainer extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/controller) */\n    readonly controller: ServiceWorker | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/controllerchange_event) */\n    oncontrollerchange: ((this: ServiceWorkerContainer, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/message_event) */\n    onmessage: ((this: ServiceWorkerContainer, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/messageerror_event) */\n    onmessageerror: ((this: ServiceWorkerContainer, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/ready) */\n    readonly ready: Promise<ServiceWorkerRegistration>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/getRegistration) */\n    getRegistration(clientURL?: string | URL): Promise<ServiceWorkerRegistration | undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/getRegistrations) */\n    getRegistrations(): Promise<ReadonlyArray<ServiceWorkerRegistration>>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/register) */\n    register(scriptURL: string | URL, options?: RegistrationOptions): Promise<ServiceWorkerRegistration>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerContainer/startMessages) */\n    startMessages(): void;\n    addEventListener<K extends keyof ServiceWorkerContainerEventMap>(type: K, listener: (this: ServiceWorkerContainer, ev: ServiceWorkerContainerEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof ServiceWorkerContainerEventMap>(type: K, listener: (this: ServiceWorkerContainer, ev: ServiceWorkerContainerEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var ServiceWorkerContainer: {\n    prototype: ServiceWorkerContainer;\n    new(): ServiceWorkerContainer;\n};\n\ninterface ServiceWorkerGlobalScopeEventMap extends WorkerGlobalScopeEventMap {\n    "activate": ExtendableEvent;\n    "fetch": FetchEvent;\n    "install": ExtendableEvent;\n    "message": ExtendableMessageEvent;\n    "messageerror": MessageEvent;\n    "notificationclick": NotificationEvent;\n    "notificationclose": NotificationEvent;\n    "push": PushEvent;\n    "pushsubscriptionchange": Event;\n}\n\n/**\n * This ServiceWorker API interface represents the global execution context of a service worker.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope)\n */\ninterface ServiceWorkerGlobalScope extends WorkerGlobalScope {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/clients) */\n    readonly clients: Clients;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/activate_event) */\n    onactivate: ((this: ServiceWorkerGlobalScope, ev: ExtendableEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/fetch_event) */\n    onfetch: ((this: ServiceWorkerGlobalScope, ev: FetchEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/install_event) */\n    oninstall: ((this: ServiceWorkerGlobalScope, ev: ExtendableEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/message_event) */\n    onmessage: ((this: ServiceWorkerGlobalScope, ev: ExtendableMessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/messageerror_event) */\n    onmessageerror: ((this: ServiceWorkerGlobalScope, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/notificationclick_event) */\n    onnotificationclick: ((this: ServiceWorkerGlobalScope, ev: NotificationEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/notificationclose_event) */\n    onnotificationclose: ((this: ServiceWorkerGlobalScope, ev: NotificationEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/push_event) */\n    onpush: ((this: ServiceWorkerGlobalScope, ev: PushEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/pushsubscriptionchange_event) */\n    onpushsubscriptionchange: ((this: ServiceWorkerGlobalScope, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/registration) */\n    readonly registration: ServiceWorkerRegistration;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/serviceWorker) */\n    readonly serviceWorker: ServiceWorker;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerGlobalScope/skipWaiting) */\n    skipWaiting(): Promise<void>;\n    addEventListener<K extends keyof ServiceWorkerGlobalScopeEventMap>(type: K, listener: (this: ServiceWorkerGlobalScope, ev: ServiceWorkerGlobalScopeEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof ServiceWorkerGlobalScopeEventMap>(type: K, listener: (this: ServiceWorkerGlobalScope, ev: ServiceWorkerGlobalScopeEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var ServiceWorkerGlobalScope: {\n    prototype: ServiceWorkerGlobalScope;\n    new(): ServiceWorkerGlobalScope;\n};\n\ninterface ServiceWorkerRegistrationEventMap {\n    "updatefound": Event;\n}\n\n/**\n * This ServiceWorker API interface represents the service worker registration. You register a service worker to control one or more pages that share the same origin.\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration)\n */\ninterface ServiceWorkerRegistration extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/active) */\n    readonly active: ServiceWorker | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/installing) */\n    readonly installing: ServiceWorker | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/navigationPreload) */\n    readonly navigationPreload: NavigationPreloadManager;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/updatefound_event) */\n    onupdatefound: ((this: ServiceWorkerRegistration, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/pushManager) */\n    readonly pushManager: PushManager;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/scope) */\n    readonly scope: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/updateViaCache) */\n    readonly updateViaCache: ServiceWorkerUpdateViaCache;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/waiting) */\n    readonly waiting: ServiceWorker | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/getNotifications) */\n    getNotifications(filter?: GetNotificationOptions): Promise<Notification[]>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/showNotification) */\n    showNotification(title: string, options?: NotificationOptions): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/unregister) */\n    unregister(): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/ServiceWorkerRegistration/update) */\n    update(): Promise<void>;\n    addEventListener<K extends keyof ServiceWorkerRegistrationEventMap>(type: K, listener: (this: ServiceWorkerRegistration, ev: ServiceWorkerRegistrationEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof ServiceWorkerRegistrationEventMap>(type: K, listener: (this: ServiceWorkerRegistration, ev: ServiceWorkerRegistrationEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var ServiceWorkerRegistration: {\n    prototype: ServiceWorkerRegistration;\n    new(): ServiceWorkerRegistration;\n};\n\ninterface SharedWorkerGlobalScopeEventMap extends WorkerGlobalScopeEventMap {\n    "connect": MessageEvent;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SharedWorkerGlobalScope) */\ninterface SharedWorkerGlobalScope extends WorkerGlobalScope {\n    /**\n     * Returns sharedWorkerGlobal\'s name, i.e. the value given to the SharedWorker constructor. Multiple SharedWorker objects can correspond to the same shared worker (and SharedWorkerGlobalScope), by reusing the same name.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SharedWorkerGlobalScope/name)\n     */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SharedWorkerGlobalScope/connect_event) */\n    onconnect: ((this: SharedWorkerGlobalScope, ev: MessageEvent) => any) | null;\n    /**\n     * Aborts sharedWorkerGlobal.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SharedWorkerGlobalScope/close)\n     */\n    close(): void;\n    addEventListener<K extends keyof SharedWorkerGlobalScopeEventMap>(type: K, listener: (this: SharedWorkerGlobalScope, ev: SharedWorkerGlobalScopeEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof SharedWorkerGlobalScopeEventMap>(type: K, listener: (this: SharedWorkerGlobalScope, ev: SharedWorkerGlobalScopeEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var SharedWorkerGlobalScope: {\n    prototype: SharedWorkerGlobalScope;\n    new(): SharedWorkerGlobalScope;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageManager)\n */\ninterface StorageManager {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageManager/estimate) */\n    estimate(): Promise<StorageEstimate>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageManager/getDirectory) */\n    getDirectory(): Promise<FileSystemDirectoryHandle>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StorageManager/persisted) */\n    persisted(): Promise<boolean>;\n}\n\ndeclare var StorageManager: {\n    prototype: StorageManager;\n    new(): StorageManager;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMapReadOnly) */\ninterface StylePropertyMapReadOnly {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMapReadOnly/size) */\n    readonly size: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMapReadOnly/get) */\n    get(property: string): undefined | CSSStyleValue;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMapReadOnly/getAll) */\n    getAll(property: string): CSSStyleValue[];\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/StylePropertyMapReadOnly/has) */\n    has(property: string): boolean;\n    forEach(callbackfn: (value: CSSStyleValue[], key: string, parent: StylePropertyMapReadOnly) => void, thisArg?: any): void;\n}\n\ndeclare var StylePropertyMapReadOnly: {\n    prototype: StylePropertyMapReadOnly;\n    new(): StylePropertyMapReadOnly;\n};\n\n/**\n * This Web Crypto API interface provides a number of low-level cryptographic functions. It is accessed via the Crypto.subtle properties available in a window context (via Window.crypto).\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto)\n */\ninterface SubtleCrypto {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/decrypt) */\n    decrypt(algorithm: AlgorithmIdentifier | RsaOaepParams | AesCtrParams | AesCbcParams | AesGcmParams, key: CryptoKey, data: BufferSource): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/deriveBits) */\n    deriveBits(algorithm: AlgorithmIdentifier | EcdhKeyDeriveParams | HkdfParams | Pbkdf2Params, baseKey: CryptoKey, length: number): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/deriveKey) */\n    deriveKey(algorithm: AlgorithmIdentifier | EcdhKeyDeriveParams | HkdfParams | Pbkdf2Params, baseKey: CryptoKey, derivedKeyType: AlgorithmIdentifier | AesDerivedKeyParams | HmacImportParams | HkdfParams | Pbkdf2Params, extractable: boolean, keyUsages: KeyUsage[]): Promise<CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/digest) */\n    digest(algorithm: AlgorithmIdentifier, data: BufferSource): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/encrypt) */\n    encrypt(algorithm: AlgorithmIdentifier | RsaOaepParams | AesCtrParams | AesCbcParams | AesGcmParams, key: CryptoKey, data: BufferSource): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/exportKey) */\n    exportKey(format: "jwk", key: CryptoKey): Promise<JsonWebKey>;\n    exportKey(format: Exclude<KeyFormat, "jwk">, key: CryptoKey): Promise<ArrayBuffer>;\n    exportKey(format: KeyFormat, key: CryptoKey): Promise<ArrayBuffer | JsonWebKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/generateKey) */\n    generateKey(algorithm: "Ed25519", extractable: boolean, keyUsages: ReadonlyArray<"sign" | "verify">): Promise<CryptoKeyPair>;\n    generateKey(algorithm: RsaHashedKeyGenParams | EcKeyGenParams, extractable: boolean, keyUsages: ReadonlyArray<KeyUsage>): Promise<CryptoKeyPair>;\n    generateKey(algorithm: AesKeyGenParams | HmacKeyGenParams | Pbkdf2Params, extractable: boolean, keyUsages: ReadonlyArray<KeyUsage>): Promise<CryptoKey>;\n    generateKey(algorithm: AlgorithmIdentifier, extractable: boolean, keyUsages: KeyUsage[]): Promise<CryptoKeyPair | CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/importKey) */\n    importKey(format: "jwk", keyData: JsonWebKey, algorithm: AlgorithmIdentifier | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | AesKeyAlgorithm, extractable: boolean, keyUsages: ReadonlyArray<KeyUsage>): Promise<CryptoKey>;\n    importKey(format: Exclude<KeyFormat, "jwk">, keyData: BufferSource, algorithm: AlgorithmIdentifier | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | AesKeyAlgorithm, extractable: boolean, keyUsages: KeyUsage[]): Promise<CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/sign) */\n    sign(algorithm: AlgorithmIdentifier | RsaPssParams | EcdsaParams, key: CryptoKey, data: BufferSource): Promise<ArrayBuffer>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/unwrapKey) */\n    unwrapKey(format: KeyFormat, wrappedKey: BufferSource, unwrappingKey: CryptoKey, unwrapAlgorithm: AlgorithmIdentifier | RsaOaepParams | AesCtrParams | AesCbcParams | AesGcmParams, unwrappedKeyAlgorithm: AlgorithmIdentifier | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | AesKeyAlgorithm, extractable: boolean, keyUsages: KeyUsage[]): Promise<CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/verify) */\n    verify(algorithm: AlgorithmIdentifier | RsaPssParams | EcdsaParams, key: CryptoKey, signature: BufferSource, data: BufferSource): Promise<boolean>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/wrapKey) */\n    wrapKey(format: KeyFormat, key: CryptoKey, wrappingKey: CryptoKey, wrapAlgorithm: AlgorithmIdentifier | RsaOaepParams | AesCtrParams | AesCbcParams | AesGcmParams): Promise<ArrayBuffer>;\n}\n\ndeclare var SubtleCrypto: {\n    prototype: SubtleCrypto;\n    new(): SubtleCrypto;\n};\n\n/**\n * A decoder for a specific method, that is a specific character encoding, like utf-8, iso-8859-2, koi8, cp1261, gbk, etc. A decoder takes a stream of bytes as input and emits a stream of code points. For a more scalable, non-native library, see StringView – a C-like representation of strings based on typed arrays.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextDecoder)\n */\ninterface TextDecoder extends TextDecoderCommon {\n    /**\n     * Returns the result of running encoding\'s decoder. The method can be invoked zero or more times with options\'s stream set to true, and then once without options\'s stream (or set to false), to process a fragmented input. If the invocation without options\'s stream (or set to false) has no input, it\'s clearest to omit both arguments.\n     *\n     * ```\n     * var string = "", decoder = new TextDecoder(encoding), buffer;\n     * while(buffer = next_chunk()) {\n     *   string += decoder.decode(buffer, {stream:true});\n     * }\n     * string += decoder.decode(); // end-of-queue\n     * ```\n     *\n     * If the error mode is "fatal" and encoding\'s decoder returns error, throws a TypeError.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextDecoder/decode)\n     */\n    decode(input?: AllowSharedBufferSource, options?: TextDecodeOptions): string;\n}\n\ndeclare var TextDecoder: {\n    prototype: TextDecoder;\n    new(label?: string, options?: TextDecoderOptions): TextDecoder;\n};\n\ninterface TextDecoderCommon {\n    /**\n     * Returns encoding\'s name, lowercased.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextDecoder/encoding)\n     */\n    readonly encoding: string;\n    /**\n     * Returns true if error mode is "fatal", otherwise false.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextDecoder/fatal)\n     */\n    readonly fatal: boolean;\n    /**\n     * Returns the value of ignore BOM.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextDecoder/ignoreBOM)\n     */\n    readonly ignoreBOM: boolean;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextDecoderStream) */\ninterface TextDecoderStream extends GenericTransformStream, TextDecoderCommon {\n    readonly readable: ReadableStream<string>;\n    readonly writable: WritableStream<BufferSource>;\n}\n\ndeclare var TextDecoderStream: {\n    prototype: TextDecoderStream;\n    new(label?: string, options?: TextDecoderOptions): TextDecoderStream;\n};\n\n/**\n * TextEncoder takes a stream of code points as input and emits a stream of bytes. For a more scalable, non-native library, see StringView – a C-like representation of strings based on typed arrays.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextEncoder)\n */\ninterface TextEncoder extends TextEncoderCommon {\n    /**\n     * Returns the result of running UTF-8\'s encoder.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextEncoder/encode)\n     */\n    encode(input?: string): Uint8Array;\n    /**\n     * Runs the UTF-8 encoder on source, stores the result of that operation into destination, and returns the progress made as an object wherein read is the number of converted code units of source and written is the number of bytes modified in destination.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextEncoder/encodeInto)\n     */\n    encodeInto(source: string, destination: Uint8Array): TextEncoderEncodeIntoResult;\n}\n\ndeclare var TextEncoder: {\n    prototype: TextEncoder;\n    new(): TextEncoder;\n};\n\ninterface TextEncoderCommon {\n    /**\n     * Returns "utf-8".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextEncoder/encoding)\n     */\n    readonly encoding: string;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextEncoderStream) */\ninterface TextEncoderStream extends GenericTransformStream, TextEncoderCommon {\n    readonly readable: ReadableStream<Uint8Array>;\n    readonly writable: WritableStream<string>;\n}\n\ndeclare var TextEncoderStream: {\n    prototype: TextEncoderStream;\n    new(): TextEncoderStream;\n};\n\n/**\n * The dimensions of a piece of text in the canvas, as created by the CanvasRenderingContext2D.measureText() method.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics)\n */\ninterface TextMetrics {\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/actualBoundingBoxAscent)\n     */\n    readonly actualBoundingBoxAscent: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/actualBoundingBoxDescent)\n     */\n    readonly actualBoundingBoxDescent: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/actualBoundingBoxLeft)\n     */\n    readonly actualBoundingBoxLeft: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/actualBoundingBoxRight)\n     */\n    readonly actualBoundingBoxRight: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/alphabeticBaseline)\n     */\n    readonly alphabeticBaseline: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/emHeightAscent)\n     */\n    readonly emHeightAscent: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/emHeightDescent)\n     */\n    readonly emHeightDescent: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/fontBoundingBoxAscent)\n     */\n    readonly fontBoundingBoxAscent: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/fontBoundingBoxDescent)\n     */\n    readonly fontBoundingBoxDescent: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/hangingBaseline)\n     */\n    readonly hangingBaseline: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/ideographicBaseline)\n     */\n    readonly ideographicBaseline: number;\n    /**\n     * Returns the measurement described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/TextMetrics/width)\n     */\n    readonly width: number;\n}\n\ndeclare var TextMetrics: {\n    prototype: TextMetrics;\n    new(): TextMetrics;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStream) */\ninterface TransformStream<I = any, O = any> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStream/readable) */\n    readonly readable: ReadableStream<O>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStream/writable) */\n    readonly writable: WritableStream<I>;\n}\n\ndeclare var TransformStream: {\n    prototype: TransformStream;\n    new<I = any, O = any>(transformer?: Transformer<I, O>, writableStrategy?: QueuingStrategy<I>, readableStrategy?: QueuingStrategy<O>): TransformStream<I, O>;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStreamDefaultController) */\ninterface TransformStreamDefaultController<O = any> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStreamDefaultController/desiredSize) */\n    readonly desiredSize: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStreamDefaultController/enqueue) */\n    enqueue(chunk?: O): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStreamDefaultController/error) */\n    error(reason?: any): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/TransformStreamDefaultController/terminate) */\n    terminate(): void;\n}\n\ndeclare var TransformStreamDefaultController: {\n    prototype: TransformStreamDefaultController;\n    new(): TransformStreamDefaultController;\n};\n\n/**\n * The URL interface represents an object providing static methods used for creating object URLs.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL)\n */\ninterface URL {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/hash) */\n    hash: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/host) */\n    host: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/hostname) */\n    hostname: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/href) */\n    href: string;\n    toString(): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/origin) */\n    readonly origin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/password) */\n    password: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/pathname) */\n    pathname: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/port) */\n    port: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/protocol) */\n    protocol: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/search) */\n    search: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/searchParams) */\n    readonly searchParams: URLSearchParams;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/username) */\n    username: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/toJSON) */\n    toJSON(): string;\n}\n\ndeclare var URL: {\n    prototype: URL;\n    new(url: string | URL, base?: string | URL): URL;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/canParse_static) */\n    canParse(url: string | URL, base?: string): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/createObjectURL_static) */\n    createObjectURL(obj: Blob): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URL/revokeObjectURL_static) */\n    revokeObjectURL(url: string): void;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams) */\ninterface URLSearchParams {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/size) */\n    readonly size: number;\n    /**\n     * Appends a specified key/value pair as a new search parameter.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/append)\n     */\n    append(name: string, value: string): void;\n    /**\n     * Deletes the given search parameter, and its associated value, from the list of all search parameters.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/delete)\n     */\n    delete(name: string, value?: string): void;\n    /**\n     * Returns the first value associated to the given search parameter.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/get)\n     */\n    get(name: string): string | null;\n    /**\n     * Returns all the values association with a given search parameter.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/getAll)\n     */\n    getAll(name: string): string[];\n    /**\n     * Returns a Boolean indicating if such a search parameter exists.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/has)\n     */\n    has(name: string, value?: string): boolean;\n    /**\n     * Sets the value associated to a given search parameter to the given value. If there were several values, delete the others.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/set)\n     */\n    set(name: string, value: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/URLSearchParams/sort) */\n    sort(): void;\n    /** Returns a string containing a query string suitable for use in a URL. Does not include the question mark. */\n    toString(): string;\n    forEach(callbackfn: (value: string, key: string, parent: URLSearchParams) => void, thisArg?: any): void;\n}\n\ndeclare var URLSearchParams: {\n    prototype: URLSearchParams;\n    new(init?: string[][] | Record<string, string> | string | URLSearchParams): URLSearchParams;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoColorSpace) */\ninterface VideoColorSpace {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoColorSpace/fullRange) */\n    readonly fullRange: boolean | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoColorSpace/matrix) */\n    readonly matrix: VideoMatrixCoefficients | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoColorSpace/primaries) */\n    readonly primaries: VideoColorPrimaries | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoColorSpace/transfer) */\n    readonly transfer: VideoTransferCharacteristics | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoColorSpace/toJSON) */\n    toJSON(): VideoColorSpaceInit;\n}\n\ndeclare var VideoColorSpace: {\n    prototype: VideoColorSpace;\n    new(init?: VideoColorSpaceInit): VideoColorSpace;\n};\n\ninterface VideoDecoderEventMap {\n    "dequeue": Event;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder)\n */\ninterface VideoDecoder extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/decodeQueueSize) */\n    readonly decodeQueueSize: number;\n    ondequeue: ((this: VideoDecoder, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/state) */\n    readonly state: CodecState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/close) */\n    close(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/configure) */\n    configure(config: VideoDecoderConfig): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/decode) */\n    decode(chunk: EncodedVideoChunk): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/flush) */\n    flush(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoDecoder/reset) */\n    reset(): void;\n    addEventListener<K extends keyof VideoDecoderEventMap>(type: K, listener: (this: VideoDecoder, ev: VideoDecoderEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof VideoDecoderEventMap>(type: K, listener: (this: VideoDecoder, ev: VideoDecoderEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var VideoDecoder: {\n    prototype: VideoDecoder;\n    new(init: VideoDecoderInit): VideoDecoder;\n    isConfigSupported(config: VideoDecoderConfig): Promise<VideoDecoderSupport>;\n};\n\ninterface VideoEncoderEventMap {\n    "dequeue": Event;\n}\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder)\n */\ninterface VideoEncoder extends EventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder/encodeQueueSize) */\n    readonly encodeQueueSize: number;\n    ondequeue: ((this: VideoEncoder, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder/state) */\n    readonly state: CodecState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder/close) */\n    close(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder/configure) */\n    configure(config: VideoEncoderConfig): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder/encode) */\n    encode(frame: VideoFrame, options?: VideoEncoderEncodeOptions): void;\n    flush(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoEncoder/reset) */\n    reset(): void;\n    addEventListener<K extends keyof VideoEncoderEventMap>(type: K, listener: (this: VideoEncoder, ev: VideoEncoderEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof VideoEncoderEventMap>(type: K, listener: (this: VideoEncoder, ev: VideoEncoderEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var VideoEncoder: {\n    prototype: VideoEncoder;\n    new(init: VideoEncoderInit): VideoEncoder;\n    isConfigSupported(config: VideoEncoderConfig): Promise<VideoEncoderSupport>;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame) */\ninterface VideoFrame {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/codedHeight) */\n    readonly codedHeight: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/codedRect) */\n    readonly codedRect: DOMRectReadOnly | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/codedWidth) */\n    readonly codedWidth: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/colorSpace) */\n    readonly colorSpace: VideoColorSpace;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/displayHeight) */\n    readonly displayHeight: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/displayWidth) */\n    readonly displayWidth: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/duration) */\n    readonly duration: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/format) */\n    readonly format: VideoPixelFormat | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/timestamp) */\n    readonly timestamp: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/visibleRect) */\n    readonly visibleRect: DOMRectReadOnly | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/allocationSize) */\n    allocationSize(options?: VideoFrameCopyToOptions): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/clone) */\n    clone(): VideoFrame;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/VideoFrame/close) */\n    close(): void;\n    copyTo(destination: AllowSharedBufferSource, options?: VideoFrameCopyToOptions): Promise<PlaneLayout[]>;\n}\n\ndeclare var VideoFrame: {\n    prototype: VideoFrame;\n    new(image: CanvasImageSource, init?: VideoFrameInit): VideoFrame;\n    new(data: AllowSharedBufferSource, init: VideoFrameBufferInit): VideoFrame;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_color_buffer_float) */\ninterface WEBGL_color_buffer_float {\n    readonly RGBA32F_EXT: 0x8814;\n    readonly FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT: 0x8211;\n    readonly UNSIGNED_NORMALIZED_EXT: 0x8C17;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_astc) */\ninterface WEBGL_compressed_texture_astc {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_astc/getSupportedProfiles) */\n    getSupportedProfiles(): string[];\n    readonly COMPRESSED_RGBA_ASTC_4x4_KHR: 0x93B0;\n    readonly COMPRESSED_RGBA_ASTC_5x4_KHR: 0x93B1;\n    readonly COMPRESSED_RGBA_ASTC_5x5_KHR: 0x93B2;\n    readonly COMPRESSED_RGBA_ASTC_6x5_KHR: 0x93B3;\n    readonly COMPRESSED_RGBA_ASTC_6x6_KHR: 0x93B4;\n    readonly COMPRESSED_RGBA_ASTC_8x5_KHR: 0x93B5;\n    readonly COMPRESSED_RGBA_ASTC_8x6_KHR: 0x93B6;\n    readonly COMPRESSED_RGBA_ASTC_8x8_KHR: 0x93B7;\n    readonly COMPRESSED_RGBA_ASTC_10x5_KHR: 0x93B8;\n    readonly COMPRESSED_RGBA_ASTC_10x6_KHR: 0x93B9;\n    readonly COMPRESSED_RGBA_ASTC_10x8_KHR: 0x93BA;\n    readonly COMPRESSED_RGBA_ASTC_10x10_KHR: 0x93BB;\n    readonly COMPRESSED_RGBA_ASTC_12x10_KHR: 0x93BC;\n    readonly COMPRESSED_RGBA_ASTC_12x12_KHR: 0x93BD;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR: 0x93D0;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR: 0x93D1;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR: 0x93D2;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR: 0x93D3;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR: 0x93D4;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR: 0x93D5;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR: 0x93D6;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR: 0x93D7;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR: 0x93D8;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR: 0x93D9;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR: 0x93DA;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR: 0x93DB;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR: 0x93DC;\n    readonly COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR: 0x93DD;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_etc) */\ninterface WEBGL_compressed_texture_etc {\n    readonly COMPRESSED_R11_EAC: 0x9270;\n    readonly COMPRESSED_SIGNED_R11_EAC: 0x9271;\n    readonly COMPRESSED_RG11_EAC: 0x9272;\n    readonly COMPRESSED_SIGNED_RG11_EAC: 0x9273;\n    readonly COMPRESSED_RGB8_ETC2: 0x9274;\n    readonly COMPRESSED_SRGB8_ETC2: 0x9275;\n    readonly COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2: 0x9276;\n    readonly COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2: 0x9277;\n    readonly COMPRESSED_RGBA8_ETC2_EAC: 0x9278;\n    readonly COMPRESSED_SRGB8_ALPHA8_ETC2_EAC: 0x9279;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_etc1) */\ninterface WEBGL_compressed_texture_etc1 {\n    readonly COMPRESSED_RGB_ETC1_WEBGL: 0x8D64;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_pvrtc) */\ninterface WEBGL_compressed_texture_pvrtc {\n    readonly COMPRESSED_RGB_PVRTC_4BPPV1_IMG: 0x8C00;\n    readonly COMPRESSED_RGB_PVRTC_2BPPV1_IMG: 0x8C01;\n    readonly COMPRESSED_RGBA_PVRTC_4BPPV1_IMG: 0x8C02;\n    readonly COMPRESSED_RGBA_PVRTC_2BPPV1_IMG: 0x8C03;\n}\n\n/**\n * The WEBGL_compressed_texture_s3tc extension is part of the WebGL API and exposes four S3TC compressed texture formats.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_s3tc)\n */\ninterface WEBGL_compressed_texture_s3tc {\n    readonly COMPRESSED_RGB_S3TC_DXT1_EXT: 0x83F0;\n    readonly COMPRESSED_RGBA_S3TC_DXT1_EXT: 0x83F1;\n    readonly COMPRESSED_RGBA_S3TC_DXT3_EXT: 0x83F2;\n    readonly COMPRESSED_RGBA_S3TC_DXT5_EXT: 0x83F3;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_compressed_texture_s3tc_srgb) */\ninterface WEBGL_compressed_texture_s3tc_srgb {\n    readonly COMPRESSED_SRGB_S3TC_DXT1_EXT: 0x8C4C;\n    readonly COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT: 0x8C4D;\n    readonly COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT: 0x8C4E;\n    readonly COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT: 0x8C4F;\n}\n\n/**\n * The WEBGL_debug_renderer_info extension is part of the WebGL API and exposes two constants with information about the graphics driver for debugging purposes.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_debug_renderer_info)\n */\ninterface WEBGL_debug_renderer_info {\n    readonly UNMASKED_VENDOR_WEBGL: 0x9245;\n    readonly UNMASKED_RENDERER_WEBGL: 0x9246;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_debug_shaders) */\ninterface WEBGL_debug_shaders {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_debug_shaders/getTranslatedShaderSource) */\n    getTranslatedShaderSource(shader: WebGLShader): string;\n}\n\n/**\n * The WEBGL_depth_texture extension is part of the WebGL API and defines 2D depth and depth-stencil textures.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_depth_texture)\n */\ninterface WEBGL_depth_texture {\n    readonly UNSIGNED_INT_24_8_WEBGL: 0x84FA;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_draw_buffers) */\ninterface WEBGL_draw_buffers {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_draw_buffers/drawBuffersWEBGL) */\n    drawBuffersWEBGL(buffers: GLenum[]): void;\n    readonly COLOR_ATTACHMENT0_WEBGL: 0x8CE0;\n    readonly COLOR_ATTACHMENT1_WEBGL: 0x8CE1;\n    readonly COLOR_ATTACHMENT2_WEBGL: 0x8CE2;\n    readonly COLOR_ATTACHMENT3_WEBGL: 0x8CE3;\n    readonly COLOR_ATTACHMENT4_WEBGL: 0x8CE4;\n    readonly COLOR_ATTACHMENT5_WEBGL: 0x8CE5;\n    readonly COLOR_ATTACHMENT6_WEBGL: 0x8CE6;\n    readonly COLOR_ATTACHMENT7_WEBGL: 0x8CE7;\n    readonly COLOR_ATTACHMENT8_WEBGL: 0x8CE8;\n    readonly COLOR_ATTACHMENT9_WEBGL: 0x8CE9;\n    readonly COLOR_ATTACHMENT10_WEBGL: 0x8CEA;\n    readonly COLOR_ATTACHMENT11_WEBGL: 0x8CEB;\n    readonly COLOR_ATTACHMENT12_WEBGL: 0x8CEC;\n    readonly COLOR_ATTACHMENT13_WEBGL: 0x8CED;\n    readonly COLOR_ATTACHMENT14_WEBGL: 0x8CEE;\n    readonly COLOR_ATTACHMENT15_WEBGL: 0x8CEF;\n    readonly DRAW_BUFFER0_WEBGL: 0x8825;\n    readonly DRAW_BUFFER1_WEBGL: 0x8826;\n    readonly DRAW_BUFFER2_WEBGL: 0x8827;\n    readonly DRAW_BUFFER3_WEBGL: 0x8828;\n    readonly DRAW_BUFFER4_WEBGL: 0x8829;\n    readonly DRAW_BUFFER5_WEBGL: 0x882A;\n    readonly DRAW_BUFFER6_WEBGL: 0x882B;\n    readonly DRAW_BUFFER7_WEBGL: 0x882C;\n    readonly DRAW_BUFFER8_WEBGL: 0x882D;\n    readonly DRAW_BUFFER9_WEBGL: 0x882E;\n    readonly DRAW_BUFFER10_WEBGL: 0x882F;\n    readonly DRAW_BUFFER11_WEBGL: 0x8830;\n    readonly DRAW_BUFFER12_WEBGL: 0x8831;\n    readonly DRAW_BUFFER13_WEBGL: 0x8832;\n    readonly DRAW_BUFFER14_WEBGL: 0x8833;\n    readonly DRAW_BUFFER15_WEBGL: 0x8834;\n    readonly MAX_COLOR_ATTACHMENTS_WEBGL: 0x8CDF;\n    readonly MAX_DRAW_BUFFERS_WEBGL: 0x8824;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_lose_context) */\ninterface WEBGL_lose_context {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_lose_context/loseContext) */\n    loseContext(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_lose_context/restoreContext) */\n    restoreContext(): void;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw) */\ninterface WEBGL_multi_draw {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawArraysInstancedWEBGL) */\n    multiDrawArraysInstancedWEBGL(mode: GLenum, firstsList: Int32Array | GLint[], firstsOffset: number, countsList: Int32Array | GLsizei[], countsOffset: number, instanceCountsList: Int32Array | GLsizei[], instanceCountsOffset: number, drawcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawArraysWEBGL) */\n    multiDrawArraysWEBGL(mode: GLenum, firstsList: Int32Array | GLint[], firstsOffset: number, countsList: Int32Array | GLsizei[], countsOffset: number, drawcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawElementsInstancedWEBGL) */\n    multiDrawElementsInstancedWEBGL(mode: GLenum, countsList: Int32Array | GLsizei[], countsOffset: number, type: GLenum, offsetsList: Int32Array | GLsizei[], offsetsOffset: number, instanceCountsList: Int32Array | GLsizei[], instanceCountsOffset: number, drawcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawElementsWEBGL) */\n    multiDrawElementsWEBGL(mode: GLenum, countsList: Int32Array | GLsizei[], countsOffset: number, type: GLenum, offsetsList: Int32Array | GLsizei[], offsetsOffset: number, drawcount: GLsizei): void;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext) */\ninterface WebGL2RenderingContext extends WebGL2RenderingContextBase, WebGL2RenderingContextOverloads, WebGLRenderingContextBase {\n}\n\ndeclare var WebGL2RenderingContext: {\n    prototype: WebGL2RenderingContext;\n    new(): WebGL2RenderingContext;\n    readonly READ_BUFFER: 0x0C02;\n    readonly UNPACK_ROW_LENGTH: 0x0CF2;\n    readonly UNPACK_SKIP_ROWS: 0x0CF3;\n    readonly UNPACK_SKIP_PIXELS: 0x0CF4;\n    readonly PACK_ROW_LENGTH: 0x0D02;\n    readonly PACK_SKIP_ROWS: 0x0D03;\n    readonly PACK_SKIP_PIXELS: 0x0D04;\n    readonly COLOR: 0x1800;\n    readonly DEPTH: 0x1801;\n    readonly STENCIL: 0x1802;\n    readonly RED: 0x1903;\n    readonly RGB8: 0x8051;\n    readonly RGB10_A2: 0x8059;\n    readonly TEXTURE_BINDING_3D: 0x806A;\n    readonly UNPACK_SKIP_IMAGES: 0x806D;\n    readonly UNPACK_IMAGE_HEIGHT: 0x806E;\n    readonly TEXTURE_3D: 0x806F;\n    readonly TEXTURE_WRAP_R: 0x8072;\n    readonly MAX_3D_TEXTURE_SIZE: 0x8073;\n    readonly UNSIGNED_INT_2_10_10_10_REV: 0x8368;\n    readonly MAX_ELEMENTS_VERTICES: 0x80E8;\n    readonly MAX_ELEMENTS_INDICES: 0x80E9;\n    readonly TEXTURE_MIN_LOD: 0x813A;\n    readonly TEXTURE_MAX_LOD: 0x813B;\n    readonly TEXTURE_BASE_LEVEL: 0x813C;\n    readonly TEXTURE_MAX_LEVEL: 0x813D;\n    readonly MIN: 0x8007;\n    readonly MAX: 0x8008;\n    readonly DEPTH_COMPONENT24: 0x81A6;\n    readonly MAX_TEXTURE_LOD_BIAS: 0x84FD;\n    readonly TEXTURE_COMPARE_MODE: 0x884C;\n    readonly TEXTURE_COMPARE_FUNC: 0x884D;\n    readonly CURRENT_QUERY: 0x8865;\n    readonly QUERY_RESULT: 0x8866;\n    readonly QUERY_RESULT_AVAILABLE: 0x8867;\n    readonly STREAM_READ: 0x88E1;\n    readonly STREAM_COPY: 0x88E2;\n    readonly STATIC_READ: 0x88E5;\n    readonly STATIC_COPY: 0x88E6;\n    readonly DYNAMIC_READ: 0x88E9;\n    readonly DYNAMIC_COPY: 0x88EA;\n    readonly MAX_DRAW_BUFFERS: 0x8824;\n    readonly DRAW_BUFFER0: 0x8825;\n    readonly DRAW_BUFFER1: 0x8826;\n    readonly DRAW_BUFFER2: 0x8827;\n    readonly DRAW_BUFFER3: 0x8828;\n    readonly DRAW_BUFFER4: 0x8829;\n    readonly DRAW_BUFFER5: 0x882A;\n    readonly DRAW_BUFFER6: 0x882B;\n    readonly DRAW_BUFFER7: 0x882C;\n    readonly DRAW_BUFFER8: 0x882D;\n    readonly DRAW_BUFFER9: 0x882E;\n    readonly DRAW_BUFFER10: 0x882F;\n    readonly DRAW_BUFFER11: 0x8830;\n    readonly DRAW_BUFFER12: 0x8831;\n    readonly DRAW_BUFFER13: 0x8832;\n    readonly DRAW_BUFFER14: 0x8833;\n    readonly DRAW_BUFFER15: 0x8834;\n    readonly MAX_FRAGMENT_UNIFORM_COMPONENTS: 0x8B49;\n    readonly MAX_VERTEX_UNIFORM_COMPONENTS: 0x8B4A;\n    readonly SAMPLER_3D: 0x8B5F;\n    readonly SAMPLER_2D_SHADOW: 0x8B62;\n    readonly FRAGMENT_SHADER_DERIVATIVE_HINT: 0x8B8B;\n    readonly PIXEL_PACK_BUFFER: 0x88EB;\n    readonly PIXEL_UNPACK_BUFFER: 0x88EC;\n    readonly PIXEL_PACK_BUFFER_BINDING: 0x88ED;\n    readonly PIXEL_UNPACK_BUFFER_BINDING: 0x88EF;\n    readonly FLOAT_MAT2x3: 0x8B65;\n    readonly FLOAT_MAT2x4: 0x8B66;\n    readonly FLOAT_MAT3x2: 0x8B67;\n    readonly FLOAT_MAT3x4: 0x8B68;\n    readonly FLOAT_MAT4x2: 0x8B69;\n    readonly FLOAT_MAT4x3: 0x8B6A;\n    readonly SRGB: 0x8C40;\n    readonly SRGB8: 0x8C41;\n    readonly SRGB8_ALPHA8: 0x8C43;\n    readonly COMPARE_REF_TO_TEXTURE: 0x884E;\n    readonly RGBA32F: 0x8814;\n    readonly RGB32F: 0x8815;\n    readonly RGBA16F: 0x881A;\n    readonly RGB16F: 0x881B;\n    readonly VERTEX_ATTRIB_ARRAY_INTEGER: 0x88FD;\n    readonly MAX_ARRAY_TEXTURE_LAYERS: 0x88FF;\n    readonly MIN_PROGRAM_TEXEL_OFFSET: 0x8904;\n    readonly MAX_PROGRAM_TEXEL_OFFSET: 0x8905;\n    readonly MAX_VARYING_COMPONENTS: 0x8B4B;\n    readonly TEXTURE_2D_ARRAY: 0x8C1A;\n    readonly TEXTURE_BINDING_2D_ARRAY: 0x8C1D;\n    readonly R11F_G11F_B10F: 0x8C3A;\n    readonly UNSIGNED_INT_10F_11F_11F_REV: 0x8C3B;\n    readonly RGB9_E5: 0x8C3D;\n    readonly UNSIGNED_INT_5_9_9_9_REV: 0x8C3E;\n    readonly TRANSFORM_FEEDBACK_BUFFER_MODE: 0x8C7F;\n    readonly MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS: 0x8C80;\n    readonly TRANSFORM_FEEDBACK_VARYINGS: 0x8C83;\n    readonly TRANSFORM_FEEDBACK_BUFFER_START: 0x8C84;\n    readonly TRANSFORM_FEEDBACK_BUFFER_SIZE: 0x8C85;\n    readonly TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN: 0x8C88;\n    readonly RASTERIZER_DISCARD: 0x8C89;\n    readonly MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS: 0x8C8A;\n    readonly MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS: 0x8C8B;\n    readonly INTERLEAVED_ATTRIBS: 0x8C8C;\n    readonly SEPARATE_ATTRIBS: 0x8C8D;\n    readonly TRANSFORM_FEEDBACK_BUFFER: 0x8C8E;\n    readonly TRANSFORM_FEEDBACK_BUFFER_BINDING: 0x8C8F;\n    readonly RGBA32UI: 0x8D70;\n    readonly RGB32UI: 0x8D71;\n    readonly RGBA16UI: 0x8D76;\n    readonly RGB16UI: 0x8D77;\n    readonly RGBA8UI: 0x8D7C;\n    readonly RGB8UI: 0x8D7D;\n    readonly RGBA32I: 0x8D82;\n    readonly RGB32I: 0x8D83;\n    readonly RGBA16I: 0x8D88;\n    readonly RGB16I: 0x8D89;\n    readonly RGBA8I: 0x8D8E;\n    readonly RGB8I: 0x8D8F;\n    readonly RED_INTEGER: 0x8D94;\n    readonly RGB_INTEGER: 0x8D98;\n    readonly RGBA_INTEGER: 0x8D99;\n    readonly SAMPLER_2D_ARRAY: 0x8DC1;\n    readonly SAMPLER_2D_ARRAY_SHADOW: 0x8DC4;\n    readonly SAMPLER_CUBE_SHADOW: 0x8DC5;\n    readonly UNSIGNED_INT_VEC2: 0x8DC6;\n    readonly UNSIGNED_INT_VEC3: 0x8DC7;\n    readonly UNSIGNED_INT_VEC4: 0x8DC8;\n    readonly INT_SAMPLER_2D: 0x8DCA;\n    readonly INT_SAMPLER_3D: 0x8DCB;\n    readonly INT_SAMPLER_CUBE: 0x8DCC;\n    readonly INT_SAMPLER_2D_ARRAY: 0x8DCF;\n    readonly UNSIGNED_INT_SAMPLER_2D: 0x8DD2;\n    readonly UNSIGNED_INT_SAMPLER_3D: 0x8DD3;\n    readonly UNSIGNED_INT_SAMPLER_CUBE: 0x8DD4;\n    readonly UNSIGNED_INT_SAMPLER_2D_ARRAY: 0x8DD7;\n    readonly DEPTH_COMPONENT32F: 0x8CAC;\n    readonly DEPTH32F_STENCIL8: 0x8CAD;\n    readonly FLOAT_32_UNSIGNED_INT_24_8_REV: 0x8DAD;\n    readonly FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING: 0x8210;\n    readonly FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE: 0x8211;\n    readonly FRAMEBUFFER_ATTACHMENT_RED_SIZE: 0x8212;\n    readonly FRAMEBUFFER_ATTACHMENT_GREEN_SIZE: 0x8213;\n    readonly FRAMEBUFFER_ATTACHMENT_BLUE_SIZE: 0x8214;\n    readonly FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE: 0x8215;\n    readonly FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE: 0x8216;\n    readonly FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE: 0x8217;\n    readonly FRAMEBUFFER_DEFAULT: 0x8218;\n    readonly UNSIGNED_INT_24_8: 0x84FA;\n    readonly DEPTH24_STENCIL8: 0x88F0;\n    readonly UNSIGNED_NORMALIZED: 0x8C17;\n    readonly DRAW_FRAMEBUFFER_BINDING: 0x8CA6;\n    readonly READ_FRAMEBUFFER: 0x8CA8;\n    readonly DRAW_FRAMEBUFFER: 0x8CA9;\n    readonly READ_FRAMEBUFFER_BINDING: 0x8CAA;\n    readonly RENDERBUFFER_SAMPLES: 0x8CAB;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER: 0x8CD4;\n    readonly MAX_COLOR_ATTACHMENTS: 0x8CDF;\n    readonly COLOR_ATTACHMENT1: 0x8CE1;\n    readonly COLOR_ATTACHMENT2: 0x8CE2;\n    readonly COLOR_ATTACHMENT3: 0x8CE3;\n    readonly COLOR_ATTACHMENT4: 0x8CE4;\n    readonly COLOR_ATTACHMENT5: 0x8CE5;\n    readonly COLOR_ATTACHMENT6: 0x8CE6;\n    readonly COLOR_ATTACHMENT7: 0x8CE7;\n    readonly COLOR_ATTACHMENT8: 0x8CE8;\n    readonly COLOR_ATTACHMENT9: 0x8CE9;\n    readonly COLOR_ATTACHMENT10: 0x8CEA;\n    readonly COLOR_ATTACHMENT11: 0x8CEB;\n    readonly COLOR_ATTACHMENT12: 0x8CEC;\n    readonly COLOR_ATTACHMENT13: 0x8CED;\n    readonly COLOR_ATTACHMENT14: 0x8CEE;\n    readonly COLOR_ATTACHMENT15: 0x8CEF;\n    readonly FRAMEBUFFER_INCOMPLETE_MULTISAMPLE: 0x8D56;\n    readonly MAX_SAMPLES: 0x8D57;\n    readonly HALF_FLOAT: 0x140B;\n    readonly RG: 0x8227;\n    readonly RG_INTEGER: 0x8228;\n    readonly R8: 0x8229;\n    readonly RG8: 0x822B;\n    readonly R16F: 0x822D;\n    readonly R32F: 0x822E;\n    readonly RG16F: 0x822F;\n    readonly RG32F: 0x8230;\n    readonly R8I: 0x8231;\n    readonly R8UI: 0x8232;\n    readonly R16I: 0x8233;\n    readonly R16UI: 0x8234;\n    readonly R32I: 0x8235;\n    readonly R32UI: 0x8236;\n    readonly RG8I: 0x8237;\n    readonly RG8UI: 0x8238;\n    readonly RG16I: 0x8239;\n    readonly RG16UI: 0x823A;\n    readonly RG32I: 0x823B;\n    readonly RG32UI: 0x823C;\n    readonly VERTEX_ARRAY_BINDING: 0x85B5;\n    readonly R8_SNORM: 0x8F94;\n    readonly RG8_SNORM: 0x8F95;\n    readonly RGB8_SNORM: 0x8F96;\n    readonly RGBA8_SNORM: 0x8F97;\n    readonly SIGNED_NORMALIZED: 0x8F9C;\n    readonly COPY_READ_BUFFER: 0x8F36;\n    readonly COPY_WRITE_BUFFER: 0x8F37;\n    readonly COPY_READ_BUFFER_BINDING: 0x8F36;\n    readonly COPY_WRITE_BUFFER_BINDING: 0x8F37;\n    readonly UNIFORM_BUFFER: 0x8A11;\n    readonly UNIFORM_BUFFER_BINDING: 0x8A28;\n    readonly UNIFORM_BUFFER_START: 0x8A29;\n    readonly UNIFORM_BUFFER_SIZE: 0x8A2A;\n    readonly MAX_VERTEX_UNIFORM_BLOCKS: 0x8A2B;\n    readonly MAX_FRAGMENT_UNIFORM_BLOCKS: 0x8A2D;\n    readonly MAX_COMBINED_UNIFORM_BLOCKS: 0x8A2E;\n    readonly MAX_UNIFORM_BUFFER_BINDINGS: 0x8A2F;\n    readonly MAX_UNIFORM_BLOCK_SIZE: 0x8A30;\n    readonly MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS: 0x8A31;\n    readonly MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS: 0x8A33;\n    readonly UNIFORM_BUFFER_OFFSET_ALIGNMENT: 0x8A34;\n    readonly ACTIVE_UNIFORM_BLOCKS: 0x8A36;\n    readonly UNIFORM_TYPE: 0x8A37;\n    readonly UNIFORM_SIZE: 0x8A38;\n    readonly UNIFORM_BLOCK_INDEX: 0x8A3A;\n    readonly UNIFORM_OFFSET: 0x8A3B;\n    readonly UNIFORM_ARRAY_STRIDE: 0x8A3C;\n    readonly UNIFORM_MATRIX_STRIDE: 0x8A3D;\n    readonly UNIFORM_IS_ROW_MAJOR: 0x8A3E;\n    readonly UNIFORM_BLOCK_BINDING: 0x8A3F;\n    readonly UNIFORM_BLOCK_DATA_SIZE: 0x8A40;\n    readonly UNIFORM_BLOCK_ACTIVE_UNIFORMS: 0x8A42;\n    readonly UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES: 0x8A43;\n    readonly UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER: 0x8A44;\n    readonly UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER: 0x8A46;\n    readonly INVALID_INDEX: 0xFFFFFFFF;\n    readonly MAX_VERTEX_OUTPUT_COMPONENTS: 0x9122;\n    readonly MAX_FRAGMENT_INPUT_COMPONENTS: 0x9125;\n    readonly MAX_SERVER_WAIT_TIMEOUT: 0x9111;\n    readonly OBJECT_TYPE: 0x9112;\n    readonly SYNC_CONDITION: 0x9113;\n    readonly SYNC_STATUS: 0x9114;\n    readonly SYNC_FLAGS: 0x9115;\n    readonly SYNC_FENCE: 0x9116;\n    readonly SYNC_GPU_COMMANDS_COMPLETE: 0x9117;\n    readonly UNSIGNALED: 0x9118;\n    readonly SIGNALED: 0x9119;\n    readonly ALREADY_SIGNALED: 0x911A;\n    readonly TIMEOUT_EXPIRED: 0x911B;\n    readonly CONDITION_SATISFIED: 0x911C;\n    readonly WAIT_FAILED: 0x911D;\n    readonly SYNC_FLUSH_COMMANDS_BIT: 0x00000001;\n    readonly VERTEX_ATTRIB_ARRAY_DIVISOR: 0x88FE;\n    readonly ANY_SAMPLES_PASSED: 0x8C2F;\n    readonly ANY_SAMPLES_PASSED_CONSERVATIVE: 0x8D6A;\n    readonly SAMPLER_BINDING: 0x8919;\n    readonly RGB10_A2UI: 0x906F;\n    readonly INT_2_10_10_10_REV: 0x8D9F;\n    readonly TRANSFORM_FEEDBACK: 0x8E22;\n    readonly TRANSFORM_FEEDBACK_PAUSED: 0x8E23;\n    readonly TRANSFORM_FEEDBACK_ACTIVE: 0x8E24;\n    readonly TRANSFORM_FEEDBACK_BINDING: 0x8E25;\n    readonly TEXTURE_IMMUTABLE_FORMAT: 0x912F;\n    readonly MAX_ELEMENT_INDEX: 0x8D6B;\n    readonly TEXTURE_IMMUTABLE_LEVELS: 0x82DF;\n    readonly TIMEOUT_IGNORED: -1;\n    readonly MAX_CLIENT_WAIT_TIMEOUT_WEBGL: 0x9247;\n    readonly DEPTH_BUFFER_BIT: 0x00000100;\n    readonly STENCIL_BUFFER_BIT: 0x00000400;\n    readonly COLOR_BUFFER_BIT: 0x00004000;\n    readonly POINTS: 0x0000;\n    readonly LINES: 0x0001;\n    readonly LINE_LOOP: 0x0002;\n    readonly LINE_STRIP: 0x0003;\n    readonly TRIANGLES: 0x0004;\n    readonly TRIANGLE_STRIP: 0x0005;\n    readonly TRIANGLE_FAN: 0x0006;\n    readonly ZERO: 0;\n    readonly ONE: 1;\n    readonly SRC_COLOR: 0x0300;\n    readonly ONE_MINUS_SRC_COLOR: 0x0301;\n    readonly SRC_ALPHA: 0x0302;\n    readonly ONE_MINUS_SRC_ALPHA: 0x0303;\n    readonly DST_ALPHA: 0x0304;\n    readonly ONE_MINUS_DST_ALPHA: 0x0305;\n    readonly DST_COLOR: 0x0306;\n    readonly ONE_MINUS_DST_COLOR: 0x0307;\n    readonly SRC_ALPHA_SATURATE: 0x0308;\n    readonly FUNC_ADD: 0x8006;\n    readonly BLEND_EQUATION: 0x8009;\n    readonly BLEND_EQUATION_RGB: 0x8009;\n    readonly BLEND_EQUATION_ALPHA: 0x883D;\n    readonly FUNC_SUBTRACT: 0x800A;\n    readonly FUNC_REVERSE_SUBTRACT: 0x800B;\n    readonly BLEND_DST_RGB: 0x80C8;\n    readonly BLEND_SRC_RGB: 0x80C9;\n    readonly BLEND_DST_ALPHA: 0x80CA;\n    readonly BLEND_SRC_ALPHA: 0x80CB;\n    readonly CONSTANT_COLOR: 0x8001;\n    readonly ONE_MINUS_CONSTANT_COLOR: 0x8002;\n    readonly CONSTANT_ALPHA: 0x8003;\n    readonly ONE_MINUS_CONSTANT_ALPHA: 0x8004;\n    readonly BLEND_COLOR: 0x8005;\n    readonly ARRAY_BUFFER: 0x8892;\n    readonly ELEMENT_ARRAY_BUFFER: 0x8893;\n    readonly ARRAY_BUFFER_BINDING: 0x8894;\n    readonly ELEMENT_ARRAY_BUFFER_BINDING: 0x8895;\n    readonly STREAM_DRAW: 0x88E0;\n    readonly STATIC_DRAW: 0x88E4;\n    readonly DYNAMIC_DRAW: 0x88E8;\n    readonly BUFFER_SIZE: 0x8764;\n    readonly BUFFER_USAGE: 0x8765;\n    readonly CURRENT_VERTEX_ATTRIB: 0x8626;\n    readonly FRONT: 0x0404;\n    readonly BACK: 0x0405;\n    readonly FRONT_AND_BACK: 0x0408;\n    readonly CULL_FACE: 0x0B44;\n    readonly BLEND: 0x0BE2;\n    readonly DITHER: 0x0BD0;\n    readonly STENCIL_TEST: 0x0B90;\n    readonly DEPTH_TEST: 0x0B71;\n    readonly SCISSOR_TEST: 0x0C11;\n    readonly POLYGON_OFFSET_FILL: 0x8037;\n    readonly SAMPLE_ALPHA_TO_COVERAGE: 0x809E;\n    readonly SAMPLE_COVERAGE: 0x80A0;\n    readonly NO_ERROR: 0;\n    readonly INVALID_ENUM: 0x0500;\n    readonly INVALID_VALUE: 0x0501;\n    readonly INVALID_OPERATION: 0x0502;\n    readonly OUT_OF_MEMORY: 0x0505;\n    readonly CW: 0x0900;\n    readonly CCW: 0x0901;\n    readonly LINE_WIDTH: 0x0B21;\n    readonly ALIASED_POINT_SIZE_RANGE: 0x846D;\n    readonly ALIASED_LINE_WIDTH_RANGE: 0x846E;\n    readonly CULL_FACE_MODE: 0x0B45;\n    readonly FRONT_FACE: 0x0B46;\n    readonly DEPTH_RANGE: 0x0B70;\n    readonly DEPTH_WRITEMASK: 0x0B72;\n    readonly DEPTH_CLEAR_VALUE: 0x0B73;\n    readonly DEPTH_FUNC: 0x0B74;\n    readonly STENCIL_CLEAR_VALUE: 0x0B91;\n    readonly STENCIL_FUNC: 0x0B92;\n    readonly STENCIL_FAIL: 0x0B94;\n    readonly STENCIL_PASS_DEPTH_FAIL: 0x0B95;\n    readonly STENCIL_PASS_DEPTH_PASS: 0x0B96;\n    readonly STENCIL_REF: 0x0B97;\n    readonly STENCIL_VALUE_MASK: 0x0B93;\n    readonly STENCIL_WRITEMASK: 0x0B98;\n    readonly STENCIL_BACK_FUNC: 0x8800;\n    readonly STENCIL_BACK_FAIL: 0x8801;\n    readonly STENCIL_BACK_PASS_DEPTH_FAIL: 0x8802;\n    readonly STENCIL_BACK_PASS_DEPTH_PASS: 0x8803;\n    readonly STENCIL_BACK_REF: 0x8CA3;\n    readonly STENCIL_BACK_VALUE_MASK: 0x8CA4;\n    readonly STENCIL_BACK_WRITEMASK: 0x8CA5;\n    readonly VIEWPORT: 0x0BA2;\n    readonly SCISSOR_BOX: 0x0C10;\n    readonly COLOR_CLEAR_VALUE: 0x0C22;\n    readonly COLOR_WRITEMASK: 0x0C23;\n    readonly UNPACK_ALIGNMENT: 0x0CF5;\n    readonly PACK_ALIGNMENT: 0x0D05;\n    readonly MAX_TEXTURE_SIZE: 0x0D33;\n    readonly MAX_VIEWPORT_DIMS: 0x0D3A;\n    readonly SUBPIXEL_BITS: 0x0D50;\n    readonly RED_BITS: 0x0D52;\n    readonly GREEN_BITS: 0x0D53;\n    readonly BLUE_BITS: 0x0D54;\n    readonly ALPHA_BITS: 0x0D55;\n    readonly DEPTH_BITS: 0x0D56;\n    readonly STENCIL_BITS: 0x0D57;\n    readonly POLYGON_OFFSET_UNITS: 0x2A00;\n    readonly POLYGON_OFFSET_FACTOR: 0x8038;\n    readonly TEXTURE_BINDING_2D: 0x8069;\n    readonly SAMPLE_BUFFERS: 0x80A8;\n    readonly SAMPLES: 0x80A9;\n    readonly SAMPLE_COVERAGE_VALUE: 0x80AA;\n    readonly SAMPLE_COVERAGE_INVERT: 0x80AB;\n    readonly COMPRESSED_TEXTURE_FORMATS: 0x86A3;\n    readonly DONT_CARE: 0x1100;\n    readonly FASTEST: 0x1101;\n    readonly NICEST: 0x1102;\n    readonly GENERATE_MIPMAP_HINT: 0x8192;\n    readonly BYTE: 0x1400;\n    readonly UNSIGNED_BYTE: 0x1401;\n    readonly SHORT: 0x1402;\n    readonly UNSIGNED_SHORT: 0x1403;\n    readonly INT: 0x1404;\n    readonly UNSIGNED_INT: 0x1405;\n    readonly FLOAT: 0x1406;\n    readonly DEPTH_COMPONENT: 0x1902;\n    readonly ALPHA: 0x1906;\n    readonly RGB: 0x1907;\n    readonly RGBA: 0x1908;\n    readonly LUMINANCE: 0x1909;\n    readonly LUMINANCE_ALPHA: 0x190A;\n    readonly UNSIGNED_SHORT_4_4_4_4: 0x8033;\n    readonly UNSIGNED_SHORT_5_5_5_1: 0x8034;\n    readonly UNSIGNED_SHORT_5_6_5: 0x8363;\n    readonly FRAGMENT_SHADER: 0x8B30;\n    readonly VERTEX_SHADER: 0x8B31;\n    readonly MAX_VERTEX_ATTRIBS: 0x8869;\n    readonly MAX_VERTEX_UNIFORM_VECTORS: 0x8DFB;\n    readonly MAX_VARYING_VECTORS: 0x8DFC;\n    readonly MAX_COMBINED_TEXTURE_IMAGE_UNITS: 0x8B4D;\n    readonly MAX_VERTEX_TEXTURE_IMAGE_UNITS: 0x8B4C;\n    readonly MAX_TEXTURE_IMAGE_UNITS: 0x8872;\n    readonly MAX_FRAGMENT_UNIFORM_VECTORS: 0x8DFD;\n    readonly SHADER_TYPE: 0x8B4F;\n    readonly DELETE_STATUS: 0x8B80;\n    readonly LINK_STATUS: 0x8B82;\n    readonly VALIDATE_STATUS: 0x8B83;\n    readonly ATTACHED_SHADERS: 0x8B85;\n    readonly ACTIVE_UNIFORMS: 0x8B86;\n    readonly ACTIVE_ATTRIBUTES: 0x8B89;\n    readonly SHADING_LANGUAGE_VERSION: 0x8B8C;\n    readonly CURRENT_PROGRAM: 0x8B8D;\n    readonly NEVER: 0x0200;\n    readonly LESS: 0x0201;\n    readonly EQUAL: 0x0202;\n    readonly LEQUAL: 0x0203;\n    readonly GREATER: 0x0204;\n    readonly NOTEQUAL: 0x0205;\n    readonly GEQUAL: 0x0206;\n    readonly ALWAYS: 0x0207;\n    readonly KEEP: 0x1E00;\n    readonly REPLACE: 0x1E01;\n    readonly INCR: 0x1E02;\n    readonly DECR: 0x1E03;\n    readonly INVERT: 0x150A;\n    readonly INCR_WRAP: 0x8507;\n    readonly DECR_WRAP: 0x8508;\n    readonly VENDOR: 0x1F00;\n    readonly RENDERER: 0x1F01;\n    readonly VERSION: 0x1F02;\n    readonly NEAREST: 0x2600;\n    readonly LINEAR: 0x2601;\n    readonly NEAREST_MIPMAP_NEAREST: 0x2700;\n    readonly LINEAR_MIPMAP_NEAREST: 0x2701;\n    readonly NEAREST_MIPMAP_LINEAR: 0x2702;\n    readonly LINEAR_MIPMAP_LINEAR: 0x2703;\n    readonly TEXTURE_MAG_FILTER: 0x2800;\n    readonly TEXTURE_MIN_FILTER: 0x2801;\n    readonly TEXTURE_WRAP_S: 0x2802;\n    readonly TEXTURE_WRAP_T: 0x2803;\n    readonly TEXTURE_2D: 0x0DE1;\n    readonly TEXTURE: 0x1702;\n    readonly TEXTURE_CUBE_MAP: 0x8513;\n    readonly TEXTURE_BINDING_CUBE_MAP: 0x8514;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_X: 0x8515;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_X: 0x8516;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Y: 0x8517;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Y: 0x8518;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Z: 0x8519;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Z: 0x851A;\n    readonly MAX_CUBE_MAP_TEXTURE_SIZE: 0x851C;\n    readonly TEXTURE0: 0x84C0;\n    readonly TEXTURE1: 0x84C1;\n    readonly TEXTURE2: 0x84C2;\n    readonly TEXTURE3: 0x84C3;\n    readonly TEXTURE4: 0x84C4;\n    readonly TEXTURE5: 0x84C5;\n    readonly TEXTURE6: 0x84C6;\n    readonly TEXTURE7: 0x84C7;\n    readonly TEXTURE8: 0x84C8;\n    readonly TEXTURE9: 0x84C9;\n    readonly TEXTURE10: 0x84CA;\n    readonly TEXTURE11: 0x84CB;\n    readonly TEXTURE12: 0x84CC;\n    readonly TEXTURE13: 0x84CD;\n    readonly TEXTURE14: 0x84CE;\n    readonly TEXTURE15: 0x84CF;\n    readonly TEXTURE16: 0x84D0;\n    readonly TEXTURE17: 0x84D1;\n    readonly TEXTURE18: 0x84D2;\n    readonly TEXTURE19: 0x84D3;\n    readonly TEXTURE20: 0x84D4;\n    readonly TEXTURE21: 0x84D5;\n    readonly TEXTURE22: 0x84D6;\n    readonly TEXTURE23: 0x84D7;\n    readonly TEXTURE24: 0x84D8;\n    readonly TEXTURE25: 0x84D9;\n    readonly TEXTURE26: 0x84DA;\n    readonly TEXTURE27: 0x84DB;\n    readonly TEXTURE28: 0x84DC;\n    readonly TEXTURE29: 0x84DD;\n    readonly TEXTURE30: 0x84DE;\n    readonly TEXTURE31: 0x84DF;\n    readonly ACTIVE_TEXTURE: 0x84E0;\n    readonly REPEAT: 0x2901;\n    readonly CLAMP_TO_EDGE: 0x812F;\n    readonly MIRRORED_REPEAT: 0x8370;\n    readonly FLOAT_VEC2: 0x8B50;\n    readonly FLOAT_VEC3: 0x8B51;\n    readonly FLOAT_VEC4: 0x8B52;\n    readonly INT_VEC2: 0x8B53;\n    readonly INT_VEC3: 0x8B54;\n    readonly INT_VEC4: 0x8B55;\n    readonly BOOL: 0x8B56;\n    readonly BOOL_VEC2: 0x8B57;\n    readonly BOOL_VEC3: 0x8B58;\n    readonly BOOL_VEC4: 0x8B59;\n    readonly FLOAT_MAT2: 0x8B5A;\n    readonly FLOAT_MAT3: 0x8B5B;\n    readonly FLOAT_MAT4: 0x8B5C;\n    readonly SAMPLER_2D: 0x8B5E;\n    readonly SAMPLER_CUBE: 0x8B60;\n    readonly VERTEX_ATTRIB_ARRAY_ENABLED: 0x8622;\n    readonly VERTEX_ATTRIB_ARRAY_SIZE: 0x8623;\n    readonly VERTEX_ATTRIB_ARRAY_STRIDE: 0x8624;\n    readonly VERTEX_ATTRIB_ARRAY_TYPE: 0x8625;\n    readonly VERTEX_ATTRIB_ARRAY_NORMALIZED: 0x886A;\n    readonly VERTEX_ATTRIB_ARRAY_POINTER: 0x8645;\n    readonly VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: 0x889F;\n    readonly IMPLEMENTATION_COLOR_READ_TYPE: 0x8B9A;\n    readonly IMPLEMENTATION_COLOR_READ_FORMAT: 0x8B9B;\n    readonly COMPILE_STATUS: 0x8B81;\n    readonly LOW_FLOAT: 0x8DF0;\n    readonly MEDIUM_FLOAT: 0x8DF1;\n    readonly HIGH_FLOAT: 0x8DF2;\n    readonly LOW_INT: 0x8DF3;\n    readonly MEDIUM_INT: 0x8DF4;\n    readonly HIGH_INT: 0x8DF5;\n    readonly FRAMEBUFFER: 0x8D40;\n    readonly RENDERBUFFER: 0x8D41;\n    readonly RGBA4: 0x8056;\n    readonly RGB5_A1: 0x8057;\n    readonly RGBA8: 0x8058;\n    readonly RGB565: 0x8D62;\n    readonly DEPTH_COMPONENT16: 0x81A5;\n    readonly STENCIL_INDEX8: 0x8D48;\n    readonly DEPTH_STENCIL: 0x84F9;\n    readonly RENDERBUFFER_WIDTH: 0x8D42;\n    readonly RENDERBUFFER_HEIGHT: 0x8D43;\n    readonly RENDERBUFFER_INTERNAL_FORMAT: 0x8D44;\n    readonly RENDERBUFFER_RED_SIZE: 0x8D50;\n    readonly RENDERBUFFER_GREEN_SIZE: 0x8D51;\n    readonly RENDERBUFFER_BLUE_SIZE: 0x8D52;\n    readonly RENDERBUFFER_ALPHA_SIZE: 0x8D53;\n    readonly RENDERBUFFER_DEPTH_SIZE: 0x8D54;\n    readonly RENDERBUFFER_STENCIL_SIZE: 0x8D55;\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: 0x8CD0;\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: 0x8CD1;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: 0x8CD2;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: 0x8CD3;\n    readonly COLOR_ATTACHMENT0: 0x8CE0;\n    readonly DEPTH_ATTACHMENT: 0x8D00;\n    readonly STENCIL_ATTACHMENT: 0x8D20;\n    readonly DEPTH_STENCIL_ATTACHMENT: 0x821A;\n    readonly NONE: 0;\n    readonly FRAMEBUFFER_COMPLETE: 0x8CD5;\n    readonly FRAMEBUFFER_INCOMPLETE_ATTACHMENT: 0x8CD6;\n    readonly FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: 0x8CD7;\n    readonly FRAMEBUFFER_INCOMPLETE_DIMENSIONS: 0x8CD9;\n    readonly FRAMEBUFFER_UNSUPPORTED: 0x8CDD;\n    readonly FRAMEBUFFER_BINDING: 0x8CA6;\n    readonly RENDERBUFFER_BINDING: 0x8CA7;\n    readonly MAX_RENDERBUFFER_SIZE: 0x84E8;\n    readonly INVALID_FRAMEBUFFER_OPERATION: 0x0506;\n    readonly UNPACK_FLIP_Y_WEBGL: 0x9240;\n    readonly UNPACK_PREMULTIPLY_ALPHA_WEBGL: 0x9241;\n    readonly CONTEXT_LOST_WEBGL: 0x9242;\n    readonly UNPACK_COLORSPACE_CONVERSION_WEBGL: 0x9243;\n    readonly BROWSER_DEFAULT_WEBGL: 0x9244;\n};\n\ninterface WebGL2RenderingContextBase {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/beginQuery) */\n    beginQuery(target: GLenum, query: WebGLQuery): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/beginTransformFeedback) */\n    beginTransformFeedback(primitiveMode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/bindBufferBase) */\n    bindBufferBase(target: GLenum, index: GLuint, buffer: WebGLBuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/bindBufferRange) */\n    bindBufferRange(target: GLenum, index: GLuint, buffer: WebGLBuffer | null, offset: GLintptr, size: GLsizeiptr): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/bindSampler) */\n    bindSampler(unit: GLuint, sampler: WebGLSampler | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/bindTransformFeedback) */\n    bindTransformFeedback(target: GLenum, tf: WebGLTransformFeedback | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/bindVertexArray) */\n    bindVertexArray(array: WebGLVertexArrayObject | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/blitFramebuffer) */\n    blitFramebuffer(srcX0: GLint, srcY0: GLint, srcX1: GLint, srcY1: GLint, dstX0: GLint, dstY0: GLint, dstX1: GLint, dstY1: GLint, mask: GLbitfield, filter: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferfi(buffer: GLenum, drawbuffer: GLint, depth: GLfloat, stencil: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferfv(buffer: GLenum, drawbuffer: GLint, values: Float32List, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferiv(buffer: GLenum, drawbuffer: GLint, values: Int32List, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferuiv(buffer: GLenum, drawbuffer: GLint, values: Uint32List, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clientWaitSync) */\n    clientWaitSync(sync: WebGLSync, flags: GLbitfield, timeout: GLuint64): GLenum;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/compressedTexImage3D) */\n    compressedTexImage3D(target: GLenum, level: GLint, internalformat: GLenum, width: GLsizei, height: GLsizei, depth: GLsizei, border: GLint, imageSize: GLsizei, offset: GLintptr): void;\n    compressedTexImage3D(target: GLenum, level: GLint, internalformat: GLenum, width: GLsizei, height: GLsizei, depth: GLsizei, border: GLint, srcData: ArrayBufferView, srcOffset?: number, srcLengthOverride?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/compressedTexSubImage3D) */\n    compressedTexSubImage3D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, zoffset: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, format: GLenum, imageSize: GLsizei, offset: GLintptr): void;\n    compressedTexSubImage3D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, zoffset: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, format: GLenum, srcData: ArrayBufferView, srcOffset?: number, srcLengthOverride?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/copyBufferSubData) */\n    copyBufferSubData(readTarget: GLenum, writeTarget: GLenum, readOffset: GLintptr, writeOffset: GLintptr, size: GLsizeiptr): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/copyTexSubImage3D) */\n    copyTexSubImage3D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, zoffset: GLint, x: GLint, y: GLint, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/createQuery) */\n    createQuery(): WebGLQuery | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/createSampler) */\n    createSampler(): WebGLSampler | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/createTransformFeedback) */\n    createTransformFeedback(): WebGLTransformFeedback | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/createVertexArray) */\n    createVertexArray(): WebGLVertexArrayObject | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/deleteQuery) */\n    deleteQuery(query: WebGLQuery | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/deleteSampler) */\n    deleteSampler(sampler: WebGLSampler | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/deleteSync) */\n    deleteSync(sync: WebGLSync | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/deleteTransformFeedback) */\n    deleteTransformFeedback(tf: WebGLTransformFeedback | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/deleteVertexArray) */\n    deleteVertexArray(vertexArray: WebGLVertexArrayObject | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/drawArraysInstanced) */\n    drawArraysInstanced(mode: GLenum, first: GLint, count: GLsizei, instanceCount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/drawBuffers) */\n    drawBuffers(buffers: GLenum[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/drawElementsInstanced) */\n    drawElementsInstanced(mode: GLenum, count: GLsizei, type: GLenum, offset: GLintptr, instanceCount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/drawRangeElements) */\n    drawRangeElements(mode: GLenum, start: GLuint, end: GLuint, count: GLsizei, type: GLenum, offset: GLintptr): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/endQuery) */\n    endQuery(target: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/endTransformFeedback) */\n    endTransformFeedback(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/fenceSync) */\n    fenceSync(condition: GLenum, flags: GLbitfield): WebGLSync | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/framebufferTextureLayer) */\n    framebufferTextureLayer(target: GLenum, attachment: GLenum, texture: WebGLTexture | null, level: GLint, layer: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getActiveUniformBlockName) */\n    getActiveUniformBlockName(program: WebGLProgram, uniformBlockIndex: GLuint): string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getActiveUniformBlockParameter) */\n    getActiveUniformBlockParameter(program: WebGLProgram, uniformBlockIndex: GLuint, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getActiveUniforms) */\n    getActiveUniforms(program: WebGLProgram, uniformIndices: GLuint[], pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getBufferSubData) */\n    getBufferSubData(target: GLenum, srcByteOffset: GLintptr, dstBuffer: ArrayBufferView, dstOffset?: number, length?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getFragDataLocation) */\n    getFragDataLocation(program: WebGLProgram, name: string): GLint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getIndexedParameter) */\n    getIndexedParameter(target: GLenum, index: GLuint): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getInternalformatParameter) */\n    getInternalformatParameter(target: GLenum, internalformat: GLenum, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getQuery) */\n    getQuery(target: GLenum, pname: GLenum): WebGLQuery | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getQueryParameter) */\n    getQueryParameter(query: WebGLQuery, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getSamplerParameter) */\n    getSamplerParameter(sampler: WebGLSampler, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getSyncParameter) */\n    getSyncParameter(sync: WebGLSync, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getTransformFeedbackVarying) */\n    getTransformFeedbackVarying(program: WebGLProgram, index: GLuint): WebGLActiveInfo | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getUniformBlockIndex) */\n    getUniformBlockIndex(program: WebGLProgram, uniformBlockName: string): GLuint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getUniformIndices) */\n    getUniformIndices(program: WebGLProgram, uniformNames: string[]): GLuint[] | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/invalidateFramebuffer) */\n    invalidateFramebuffer(target: GLenum, attachments: GLenum[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/invalidateSubFramebuffer) */\n    invalidateSubFramebuffer(target: GLenum, attachments: GLenum[], x: GLint, y: GLint, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/isQuery) */\n    isQuery(query: WebGLQuery | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/isSampler) */\n    isSampler(sampler: WebGLSampler | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/isSync) */\n    isSync(sync: WebGLSync | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/isTransformFeedback) */\n    isTransformFeedback(tf: WebGLTransformFeedback | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/isVertexArray) */\n    isVertexArray(vertexArray: WebGLVertexArrayObject | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/pauseTransformFeedback) */\n    pauseTransformFeedback(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/readBuffer) */\n    readBuffer(src: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/renderbufferStorageMultisample) */\n    renderbufferStorageMultisample(target: GLenum, samples: GLsizei, internalformat: GLenum, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/resumeTransformFeedback) */\n    resumeTransformFeedback(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/samplerParameter) */\n    samplerParameterf(sampler: WebGLSampler, pname: GLenum, param: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/samplerParameter) */\n    samplerParameteri(sampler: WebGLSampler, pname: GLenum, param: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/texImage3D) */\n    texImage3D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, border: GLint, format: GLenum, type: GLenum, pboOffset: GLintptr): void;\n    texImage3D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, border: GLint, format: GLenum, type: GLenum, source: TexImageSource): void;\n    texImage3D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, border: GLint, format: GLenum, type: GLenum, srcData: ArrayBufferView | null): void;\n    texImage3D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, border: GLint, format: GLenum, type: GLenum, srcData: ArrayBufferView, srcOffset: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/texStorage2D) */\n    texStorage2D(target: GLenum, levels: GLsizei, internalformat: GLenum, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/texStorage3D) */\n    texStorage3D(target: GLenum, levels: GLsizei, internalformat: GLenum, width: GLsizei, height: GLsizei, depth: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/texSubImage3D) */\n    texSubImage3D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, zoffset: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, format: GLenum, type: GLenum, pboOffset: GLintptr): void;\n    texSubImage3D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, zoffset: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, format: GLenum, type: GLenum, source: TexImageSource): void;\n    texSubImage3D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, zoffset: GLint, width: GLsizei, height: GLsizei, depth: GLsizei, format: GLenum, type: GLenum, srcData: ArrayBufferView | null, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/transformFeedbackVaryings) */\n    transformFeedbackVaryings(program: WebGLProgram, varyings: string[], bufferMode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform1ui(location: WebGLUniformLocation | null, v0: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform1uiv(location: WebGLUniformLocation | null, data: Uint32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform2ui(location: WebGLUniformLocation | null, v0: GLuint, v1: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform2uiv(location: WebGLUniformLocation | null, data: Uint32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform3ui(location: WebGLUniformLocation | null, v0: GLuint, v1: GLuint, v2: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform3uiv(location: WebGLUniformLocation | null, data: Uint32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform4ui(location: WebGLUniformLocation | null, v0: GLuint, v1: GLuint, v2: GLuint, v3: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform4uiv(location: WebGLUniformLocation | null, data: Uint32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformBlockBinding) */\n    uniformBlockBinding(program: WebGLProgram, uniformBlockIndex: GLuint, uniformBlockBinding: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix2x3fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix2x4fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix3x2fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix3x4fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix4x2fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix4x3fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribDivisor) */\n    vertexAttribDivisor(index: GLuint, divisor: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribI) */\n    vertexAttribI4i(index: GLuint, x: GLint, y: GLint, z: GLint, w: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribI) */\n    vertexAttribI4iv(index: GLuint, values: Int32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribI) */\n    vertexAttribI4ui(index: GLuint, x: GLuint, y: GLuint, z: GLuint, w: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribI) */\n    vertexAttribI4uiv(index: GLuint, values: Uint32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribIPointer) */\n    vertexAttribIPointer(index: GLuint, size: GLint, type: GLenum, stride: GLsizei, offset: GLintptr): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/waitSync) */\n    waitSync(sync: WebGLSync, flags: GLbitfield, timeout: GLint64): void;\n    readonly READ_BUFFER: 0x0C02;\n    readonly UNPACK_ROW_LENGTH: 0x0CF2;\n    readonly UNPACK_SKIP_ROWS: 0x0CF3;\n    readonly UNPACK_SKIP_PIXELS: 0x0CF4;\n    readonly PACK_ROW_LENGTH: 0x0D02;\n    readonly PACK_SKIP_ROWS: 0x0D03;\n    readonly PACK_SKIP_PIXELS: 0x0D04;\n    readonly COLOR: 0x1800;\n    readonly DEPTH: 0x1801;\n    readonly STENCIL: 0x1802;\n    readonly RED: 0x1903;\n    readonly RGB8: 0x8051;\n    readonly RGB10_A2: 0x8059;\n    readonly TEXTURE_BINDING_3D: 0x806A;\n    readonly UNPACK_SKIP_IMAGES: 0x806D;\n    readonly UNPACK_IMAGE_HEIGHT: 0x806E;\n    readonly TEXTURE_3D: 0x806F;\n    readonly TEXTURE_WRAP_R: 0x8072;\n    readonly MAX_3D_TEXTURE_SIZE: 0x8073;\n    readonly UNSIGNED_INT_2_10_10_10_REV: 0x8368;\n    readonly MAX_ELEMENTS_VERTICES: 0x80E8;\n    readonly MAX_ELEMENTS_INDICES: 0x80E9;\n    readonly TEXTURE_MIN_LOD: 0x813A;\n    readonly TEXTURE_MAX_LOD: 0x813B;\n    readonly TEXTURE_BASE_LEVEL: 0x813C;\n    readonly TEXTURE_MAX_LEVEL: 0x813D;\n    readonly MIN: 0x8007;\n    readonly MAX: 0x8008;\n    readonly DEPTH_COMPONENT24: 0x81A6;\n    readonly MAX_TEXTURE_LOD_BIAS: 0x84FD;\n    readonly TEXTURE_COMPARE_MODE: 0x884C;\n    readonly TEXTURE_COMPARE_FUNC: 0x884D;\n    readonly CURRENT_QUERY: 0x8865;\n    readonly QUERY_RESULT: 0x8866;\n    readonly QUERY_RESULT_AVAILABLE: 0x8867;\n    readonly STREAM_READ: 0x88E1;\n    readonly STREAM_COPY: 0x88E2;\n    readonly STATIC_READ: 0x88E5;\n    readonly STATIC_COPY: 0x88E6;\n    readonly DYNAMIC_READ: 0x88E9;\n    readonly DYNAMIC_COPY: 0x88EA;\n    readonly MAX_DRAW_BUFFERS: 0x8824;\n    readonly DRAW_BUFFER0: 0x8825;\n    readonly DRAW_BUFFER1: 0x8826;\n    readonly DRAW_BUFFER2: 0x8827;\n    readonly DRAW_BUFFER3: 0x8828;\n    readonly DRAW_BUFFER4: 0x8829;\n    readonly DRAW_BUFFER5: 0x882A;\n    readonly DRAW_BUFFER6: 0x882B;\n    readonly DRAW_BUFFER7: 0x882C;\n    readonly DRAW_BUFFER8: 0x882D;\n    readonly DRAW_BUFFER9: 0x882E;\n    readonly DRAW_BUFFER10: 0x882F;\n    readonly DRAW_BUFFER11: 0x8830;\n    readonly DRAW_BUFFER12: 0x8831;\n    readonly DRAW_BUFFER13: 0x8832;\n    readonly DRAW_BUFFER14: 0x8833;\n    readonly DRAW_BUFFER15: 0x8834;\n    readonly MAX_FRAGMENT_UNIFORM_COMPONENTS: 0x8B49;\n    readonly MAX_VERTEX_UNIFORM_COMPONENTS: 0x8B4A;\n    readonly SAMPLER_3D: 0x8B5F;\n    readonly SAMPLER_2D_SHADOW: 0x8B62;\n    readonly FRAGMENT_SHADER_DERIVATIVE_HINT: 0x8B8B;\n    readonly PIXEL_PACK_BUFFER: 0x88EB;\n    readonly PIXEL_UNPACK_BUFFER: 0x88EC;\n    readonly PIXEL_PACK_BUFFER_BINDING: 0x88ED;\n    readonly PIXEL_UNPACK_BUFFER_BINDING: 0x88EF;\n    readonly FLOAT_MAT2x3: 0x8B65;\n    readonly FLOAT_MAT2x4: 0x8B66;\n    readonly FLOAT_MAT3x2: 0x8B67;\n    readonly FLOAT_MAT3x4: 0x8B68;\n    readonly FLOAT_MAT4x2: 0x8B69;\n    readonly FLOAT_MAT4x3: 0x8B6A;\n    readonly SRGB: 0x8C40;\n    readonly SRGB8: 0x8C41;\n    readonly SRGB8_ALPHA8: 0x8C43;\n    readonly COMPARE_REF_TO_TEXTURE: 0x884E;\n    readonly RGBA32F: 0x8814;\n    readonly RGB32F: 0x8815;\n    readonly RGBA16F: 0x881A;\n    readonly RGB16F: 0x881B;\n    readonly VERTEX_ATTRIB_ARRAY_INTEGER: 0x88FD;\n    readonly MAX_ARRAY_TEXTURE_LAYERS: 0x88FF;\n    readonly MIN_PROGRAM_TEXEL_OFFSET: 0x8904;\n    readonly MAX_PROGRAM_TEXEL_OFFSET: 0x8905;\n    readonly MAX_VARYING_COMPONENTS: 0x8B4B;\n    readonly TEXTURE_2D_ARRAY: 0x8C1A;\n    readonly TEXTURE_BINDING_2D_ARRAY: 0x8C1D;\n    readonly R11F_G11F_B10F: 0x8C3A;\n    readonly UNSIGNED_INT_10F_11F_11F_REV: 0x8C3B;\n    readonly RGB9_E5: 0x8C3D;\n    readonly UNSIGNED_INT_5_9_9_9_REV: 0x8C3E;\n    readonly TRANSFORM_FEEDBACK_BUFFER_MODE: 0x8C7F;\n    readonly MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS: 0x8C80;\n    readonly TRANSFORM_FEEDBACK_VARYINGS: 0x8C83;\n    readonly TRANSFORM_FEEDBACK_BUFFER_START: 0x8C84;\n    readonly TRANSFORM_FEEDBACK_BUFFER_SIZE: 0x8C85;\n    readonly TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN: 0x8C88;\n    readonly RASTERIZER_DISCARD: 0x8C89;\n    readonly MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS: 0x8C8A;\n    readonly MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS: 0x8C8B;\n    readonly INTERLEAVED_ATTRIBS: 0x8C8C;\n    readonly SEPARATE_ATTRIBS: 0x8C8D;\n    readonly TRANSFORM_FEEDBACK_BUFFER: 0x8C8E;\n    readonly TRANSFORM_FEEDBACK_BUFFER_BINDING: 0x8C8F;\n    readonly RGBA32UI: 0x8D70;\n    readonly RGB32UI: 0x8D71;\n    readonly RGBA16UI: 0x8D76;\n    readonly RGB16UI: 0x8D77;\n    readonly RGBA8UI: 0x8D7C;\n    readonly RGB8UI: 0x8D7D;\n    readonly RGBA32I: 0x8D82;\n    readonly RGB32I: 0x8D83;\n    readonly RGBA16I: 0x8D88;\n    readonly RGB16I: 0x8D89;\n    readonly RGBA8I: 0x8D8E;\n    readonly RGB8I: 0x8D8F;\n    readonly RED_INTEGER: 0x8D94;\n    readonly RGB_INTEGER: 0x8D98;\n    readonly RGBA_INTEGER: 0x8D99;\n    readonly SAMPLER_2D_ARRAY: 0x8DC1;\n    readonly SAMPLER_2D_ARRAY_SHADOW: 0x8DC4;\n    readonly SAMPLER_CUBE_SHADOW: 0x8DC5;\n    readonly UNSIGNED_INT_VEC2: 0x8DC6;\n    readonly UNSIGNED_INT_VEC3: 0x8DC7;\n    readonly UNSIGNED_INT_VEC4: 0x8DC8;\n    readonly INT_SAMPLER_2D: 0x8DCA;\n    readonly INT_SAMPLER_3D: 0x8DCB;\n    readonly INT_SAMPLER_CUBE: 0x8DCC;\n    readonly INT_SAMPLER_2D_ARRAY: 0x8DCF;\n    readonly UNSIGNED_INT_SAMPLER_2D: 0x8DD2;\n    readonly UNSIGNED_INT_SAMPLER_3D: 0x8DD3;\n    readonly UNSIGNED_INT_SAMPLER_CUBE: 0x8DD4;\n    readonly UNSIGNED_INT_SAMPLER_2D_ARRAY: 0x8DD7;\n    readonly DEPTH_COMPONENT32F: 0x8CAC;\n    readonly DEPTH32F_STENCIL8: 0x8CAD;\n    readonly FLOAT_32_UNSIGNED_INT_24_8_REV: 0x8DAD;\n    readonly FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING: 0x8210;\n    readonly FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE: 0x8211;\n    readonly FRAMEBUFFER_ATTACHMENT_RED_SIZE: 0x8212;\n    readonly FRAMEBUFFER_ATTACHMENT_GREEN_SIZE: 0x8213;\n    readonly FRAMEBUFFER_ATTACHMENT_BLUE_SIZE: 0x8214;\n    readonly FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE: 0x8215;\n    readonly FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE: 0x8216;\n    readonly FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE: 0x8217;\n    readonly FRAMEBUFFER_DEFAULT: 0x8218;\n    readonly UNSIGNED_INT_24_8: 0x84FA;\n    readonly DEPTH24_STENCIL8: 0x88F0;\n    readonly UNSIGNED_NORMALIZED: 0x8C17;\n    readonly DRAW_FRAMEBUFFER_BINDING: 0x8CA6;\n    readonly READ_FRAMEBUFFER: 0x8CA8;\n    readonly DRAW_FRAMEBUFFER: 0x8CA9;\n    readonly READ_FRAMEBUFFER_BINDING: 0x8CAA;\n    readonly RENDERBUFFER_SAMPLES: 0x8CAB;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER: 0x8CD4;\n    readonly MAX_COLOR_ATTACHMENTS: 0x8CDF;\n    readonly COLOR_ATTACHMENT1: 0x8CE1;\n    readonly COLOR_ATTACHMENT2: 0x8CE2;\n    readonly COLOR_ATTACHMENT3: 0x8CE3;\n    readonly COLOR_ATTACHMENT4: 0x8CE4;\n    readonly COLOR_ATTACHMENT5: 0x8CE5;\n    readonly COLOR_ATTACHMENT6: 0x8CE6;\n    readonly COLOR_ATTACHMENT7: 0x8CE7;\n    readonly COLOR_ATTACHMENT8: 0x8CE8;\n    readonly COLOR_ATTACHMENT9: 0x8CE9;\n    readonly COLOR_ATTACHMENT10: 0x8CEA;\n    readonly COLOR_ATTACHMENT11: 0x8CEB;\n    readonly COLOR_ATTACHMENT12: 0x8CEC;\n    readonly COLOR_ATTACHMENT13: 0x8CED;\n    readonly COLOR_ATTACHMENT14: 0x8CEE;\n    readonly COLOR_ATTACHMENT15: 0x8CEF;\n    readonly FRAMEBUFFER_INCOMPLETE_MULTISAMPLE: 0x8D56;\n    readonly MAX_SAMPLES: 0x8D57;\n    readonly HALF_FLOAT: 0x140B;\n    readonly RG: 0x8227;\n    readonly RG_INTEGER: 0x8228;\n    readonly R8: 0x8229;\n    readonly RG8: 0x822B;\n    readonly R16F: 0x822D;\n    readonly R32F: 0x822E;\n    readonly RG16F: 0x822F;\n    readonly RG32F: 0x8230;\n    readonly R8I: 0x8231;\n    readonly R8UI: 0x8232;\n    readonly R16I: 0x8233;\n    readonly R16UI: 0x8234;\n    readonly R32I: 0x8235;\n    readonly R32UI: 0x8236;\n    readonly RG8I: 0x8237;\n    readonly RG8UI: 0x8238;\n    readonly RG16I: 0x8239;\n    readonly RG16UI: 0x823A;\n    readonly RG32I: 0x823B;\n    readonly RG32UI: 0x823C;\n    readonly VERTEX_ARRAY_BINDING: 0x85B5;\n    readonly R8_SNORM: 0x8F94;\n    readonly RG8_SNORM: 0x8F95;\n    readonly RGB8_SNORM: 0x8F96;\n    readonly RGBA8_SNORM: 0x8F97;\n    readonly SIGNED_NORMALIZED: 0x8F9C;\n    readonly COPY_READ_BUFFER: 0x8F36;\n    readonly COPY_WRITE_BUFFER: 0x8F37;\n    readonly COPY_READ_BUFFER_BINDING: 0x8F36;\n    readonly COPY_WRITE_BUFFER_BINDING: 0x8F37;\n    readonly UNIFORM_BUFFER: 0x8A11;\n    readonly UNIFORM_BUFFER_BINDING: 0x8A28;\n    readonly UNIFORM_BUFFER_START: 0x8A29;\n    readonly UNIFORM_BUFFER_SIZE: 0x8A2A;\n    readonly MAX_VERTEX_UNIFORM_BLOCKS: 0x8A2B;\n    readonly MAX_FRAGMENT_UNIFORM_BLOCKS: 0x8A2D;\n    readonly MAX_COMBINED_UNIFORM_BLOCKS: 0x8A2E;\n    readonly MAX_UNIFORM_BUFFER_BINDINGS: 0x8A2F;\n    readonly MAX_UNIFORM_BLOCK_SIZE: 0x8A30;\n    readonly MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS: 0x8A31;\n    readonly MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS: 0x8A33;\n    readonly UNIFORM_BUFFER_OFFSET_ALIGNMENT: 0x8A34;\n    readonly ACTIVE_UNIFORM_BLOCKS: 0x8A36;\n    readonly UNIFORM_TYPE: 0x8A37;\n    readonly UNIFORM_SIZE: 0x8A38;\n    readonly UNIFORM_BLOCK_INDEX: 0x8A3A;\n    readonly UNIFORM_OFFSET: 0x8A3B;\n    readonly UNIFORM_ARRAY_STRIDE: 0x8A3C;\n    readonly UNIFORM_MATRIX_STRIDE: 0x8A3D;\n    readonly UNIFORM_IS_ROW_MAJOR: 0x8A3E;\n    readonly UNIFORM_BLOCK_BINDING: 0x8A3F;\n    readonly UNIFORM_BLOCK_DATA_SIZE: 0x8A40;\n    readonly UNIFORM_BLOCK_ACTIVE_UNIFORMS: 0x8A42;\n    readonly UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES: 0x8A43;\n    readonly UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER: 0x8A44;\n    readonly UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER: 0x8A46;\n    readonly INVALID_INDEX: 0xFFFFFFFF;\n    readonly MAX_VERTEX_OUTPUT_COMPONENTS: 0x9122;\n    readonly MAX_FRAGMENT_INPUT_COMPONENTS: 0x9125;\n    readonly MAX_SERVER_WAIT_TIMEOUT: 0x9111;\n    readonly OBJECT_TYPE: 0x9112;\n    readonly SYNC_CONDITION: 0x9113;\n    readonly SYNC_STATUS: 0x9114;\n    readonly SYNC_FLAGS: 0x9115;\n    readonly SYNC_FENCE: 0x9116;\n    readonly SYNC_GPU_COMMANDS_COMPLETE: 0x9117;\n    readonly UNSIGNALED: 0x9118;\n    readonly SIGNALED: 0x9119;\n    readonly ALREADY_SIGNALED: 0x911A;\n    readonly TIMEOUT_EXPIRED: 0x911B;\n    readonly CONDITION_SATISFIED: 0x911C;\n    readonly WAIT_FAILED: 0x911D;\n    readonly SYNC_FLUSH_COMMANDS_BIT: 0x00000001;\n    readonly VERTEX_ATTRIB_ARRAY_DIVISOR: 0x88FE;\n    readonly ANY_SAMPLES_PASSED: 0x8C2F;\n    readonly ANY_SAMPLES_PASSED_CONSERVATIVE: 0x8D6A;\n    readonly SAMPLER_BINDING: 0x8919;\n    readonly RGB10_A2UI: 0x906F;\n    readonly INT_2_10_10_10_REV: 0x8D9F;\n    readonly TRANSFORM_FEEDBACK: 0x8E22;\n    readonly TRANSFORM_FEEDBACK_PAUSED: 0x8E23;\n    readonly TRANSFORM_FEEDBACK_ACTIVE: 0x8E24;\n    readonly TRANSFORM_FEEDBACK_BINDING: 0x8E25;\n    readonly TEXTURE_IMMUTABLE_FORMAT: 0x912F;\n    readonly MAX_ELEMENT_INDEX: 0x8D6B;\n    readonly TEXTURE_IMMUTABLE_LEVELS: 0x82DF;\n    readonly TIMEOUT_IGNORED: -1;\n    readonly MAX_CLIENT_WAIT_TIMEOUT_WEBGL: 0x9247;\n}\n\ninterface WebGL2RenderingContextOverloads {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bufferData) */\n    bufferData(target: GLenum, size: GLsizeiptr, usage: GLenum): void;\n    bufferData(target: GLenum, srcData: AllowSharedBufferSource | null, usage: GLenum): void;\n    bufferData(target: GLenum, srcData: ArrayBufferView, usage: GLenum, srcOffset: number, length?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bufferSubData) */\n    bufferSubData(target: GLenum, dstByteOffset: GLintptr, srcData: AllowSharedBufferSource): void;\n    bufferSubData(target: GLenum, dstByteOffset: GLintptr, srcData: ArrayBufferView, srcOffset: number, length?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/compressedTexImage2D) */\n    compressedTexImage2D(target: GLenum, level: GLint, internalformat: GLenum, width: GLsizei, height: GLsizei, border: GLint, imageSize: GLsizei, offset: GLintptr): void;\n    compressedTexImage2D(target: GLenum, level: GLint, internalformat: GLenum, width: GLsizei, height: GLsizei, border: GLint, srcData: ArrayBufferView, srcOffset?: number, srcLengthOverride?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/compressedTexSubImage2D) */\n    compressedTexSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, imageSize: GLsizei, offset: GLintptr): void;\n    compressedTexSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, srcData: ArrayBufferView, srcOffset?: number, srcLengthOverride?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/readPixels) */\n    readPixels(x: GLint, y: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, dstData: ArrayBufferView | null): void;\n    readPixels(x: GLint, y: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, offset: GLintptr): void;\n    readPixels(x: GLint, y: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, dstData: ArrayBufferView, dstOffset: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/texImage2D) */\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, border: GLint, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void;\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, format: GLenum, type: GLenum, source: TexImageSource): void;\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, border: GLint, format: GLenum, type: GLenum, pboOffset: GLintptr): void;\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, border: GLint, format: GLenum, type: GLenum, source: TexImageSource): void;\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, border: GLint, format: GLenum, type: GLenum, srcData: ArrayBufferView, srcOffset: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/texSubImage2D) */\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void;\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, format: GLenum, type: GLenum, source: TexImageSource): void;\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, pboOffset: GLintptr): void;\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, source: TexImageSource): void;\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, srcData: ArrayBufferView, srcOffset: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1fv(location: WebGLUniformLocation | null, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1iv(location: WebGLUniformLocation | null, data: Int32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2fv(location: WebGLUniformLocation | null, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2iv(location: WebGLUniformLocation | null, data: Int32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3fv(location: WebGLUniformLocation | null, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3iv(location: WebGLUniformLocation | null, data: Int32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4fv(location: WebGLUniformLocation | null, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4iv(location: WebGLUniformLocation | null, data: Int32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix2fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix3fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix4fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Float32List, srcOffset?: number, srcLength?: GLuint): void;\n}\n\n/**\n * Part of the WebGL API and represents the information returned by calling the WebGLRenderingContext.getActiveAttrib() and WebGLRenderingContext.getActiveUniform() methods.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLActiveInfo)\n */\ninterface WebGLActiveInfo {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLActiveInfo/name) */\n    readonly name: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLActiveInfo/size) */\n    readonly size: GLint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLActiveInfo/type) */\n    readonly type: GLenum;\n}\n\ndeclare var WebGLActiveInfo: {\n    prototype: WebGLActiveInfo;\n    new(): WebGLActiveInfo;\n};\n\n/**\n * Part of the WebGL API and represents an opaque buffer object storing data such as vertices or colors.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLBuffer)\n */\ninterface WebGLBuffer {\n}\n\ndeclare var WebGLBuffer: {\n    prototype: WebGLBuffer;\n    new(): WebGLBuffer;\n};\n\n/**\n * The WebContextEvent interface is part of the WebGL API and is an interface for an event that is generated in response to a status change to the WebGL rendering context.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLContextEvent)\n */\ninterface WebGLContextEvent extends Event {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLContextEvent/statusMessage) */\n    readonly statusMessage: string;\n}\n\ndeclare var WebGLContextEvent: {\n    prototype: WebGLContextEvent;\n    new(type: string, eventInit?: WebGLContextEventInit): WebGLContextEvent;\n};\n\n/**\n * Part of the WebGL API and represents a collection of buffers that serve as a rendering destination.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLFramebuffer)\n */\ninterface WebGLFramebuffer {\n}\n\ndeclare var WebGLFramebuffer: {\n    prototype: WebGLFramebuffer;\n    new(): WebGLFramebuffer;\n};\n\n/**\n * The WebGLProgram is part of the WebGL API and is a combination of two compiled WebGLShaders consisting of a vertex shader and a fragment shader (both written in GLSL).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLProgram)\n */\ninterface WebGLProgram {\n}\n\ndeclare var WebGLProgram: {\n    prototype: WebGLProgram;\n    new(): WebGLProgram;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLQuery) */\ninterface WebGLQuery {\n}\n\ndeclare var WebGLQuery: {\n    prototype: WebGLQuery;\n    new(): WebGLQuery;\n};\n\n/**\n * Part of the WebGL API and represents a buffer that can contain an image, or can be source or target of an rendering operation.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderbuffer)\n */\ninterface WebGLRenderbuffer {\n}\n\ndeclare var WebGLRenderbuffer: {\n    prototype: WebGLRenderbuffer;\n    new(): WebGLRenderbuffer;\n};\n\n/**\n * Provides an interface to the OpenGL ES 2.0 graphics rendering context for the drawing surface of an HTML <canvas> element.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext)\n */\ninterface WebGLRenderingContext extends WebGLRenderingContextBase, WebGLRenderingContextOverloads {\n}\n\ndeclare var WebGLRenderingContext: {\n    prototype: WebGLRenderingContext;\n    new(): WebGLRenderingContext;\n    readonly DEPTH_BUFFER_BIT: 0x00000100;\n    readonly STENCIL_BUFFER_BIT: 0x00000400;\n    readonly COLOR_BUFFER_BIT: 0x00004000;\n    readonly POINTS: 0x0000;\n    readonly LINES: 0x0001;\n    readonly LINE_LOOP: 0x0002;\n    readonly LINE_STRIP: 0x0003;\n    readonly TRIANGLES: 0x0004;\n    readonly TRIANGLE_STRIP: 0x0005;\n    readonly TRIANGLE_FAN: 0x0006;\n    readonly ZERO: 0;\n    readonly ONE: 1;\n    readonly SRC_COLOR: 0x0300;\n    readonly ONE_MINUS_SRC_COLOR: 0x0301;\n    readonly SRC_ALPHA: 0x0302;\n    readonly ONE_MINUS_SRC_ALPHA: 0x0303;\n    readonly DST_ALPHA: 0x0304;\n    readonly ONE_MINUS_DST_ALPHA: 0x0305;\n    readonly DST_COLOR: 0x0306;\n    readonly ONE_MINUS_DST_COLOR: 0x0307;\n    readonly SRC_ALPHA_SATURATE: 0x0308;\n    readonly FUNC_ADD: 0x8006;\n    readonly BLEND_EQUATION: 0x8009;\n    readonly BLEND_EQUATION_RGB: 0x8009;\n    readonly BLEND_EQUATION_ALPHA: 0x883D;\n    readonly FUNC_SUBTRACT: 0x800A;\n    readonly FUNC_REVERSE_SUBTRACT: 0x800B;\n    readonly BLEND_DST_RGB: 0x80C8;\n    readonly BLEND_SRC_RGB: 0x80C9;\n    readonly BLEND_DST_ALPHA: 0x80CA;\n    readonly BLEND_SRC_ALPHA: 0x80CB;\n    readonly CONSTANT_COLOR: 0x8001;\n    readonly ONE_MINUS_CONSTANT_COLOR: 0x8002;\n    readonly CONSTANT_ALPHA: 0x8003;\n    readonly ONE_MINUS_CONSTANT_ALPHA: 0x8004;\n    readonly BLEND_COLOR: 0x8005;\n    readonly ARRAY_BUFFER: 0x8892;\n    readonly ELEMENT_ARRAY_BUFFER: 0x8893;\n    readonly ARRAY_BUFFER_BINDING: 0x8894;\n    readonly ELEMENT_ARRAY_BUFFER_BINDING: 0x8895;\n    readonly STREAM_DRAW: 0x88E0;\n    readonly STATIC_DRAW: 0x88E4;\n    readonly DYNAMIC_DRAW: 0x88E8;\n    readonly BUFFER_SIZE: 0x8764;\n    readonly BUFFER_USAGE: 0x8765;\n    readonly CURRENT_VERTEX_ATTRIB: 0x8626;\n    readonly FRONT: 0x0404;\n    readonly BACK: 0x0405;\n    readonly FRONT_AND_BACK: 0x0408;\n    readonly CULL_FACE: 0x0B44;\n    readonly BLEND: 0x0BE2;\n    readonly DITHER: 0x0BD0;\n    readonly STENCIL_TEST: 0x0B90;\n    readonly DEPTH_TEST: 0x0B71;\n    readonly SCISSOR_TEST: 0x0C11;\n    readonly POLYGON_OFFSET_FILL: 0x8037;\n    readonly SAMPLE_ALPHA_TO_COVERAGE: 0x809E;\n    readonly SAMPLE_COVERAGE: 0x80A0;\n    readonly NO_ERROR: 0;\n    readonly INVALID_ENUM: 0x0500;\n    readonly INVALID_VALUE: 0x0501;\n    readonly INVALID_OPERATION: 0x0502;\n    readonly OUT_OF_MEMORY: 0x0505;\n    readonly CW: 0x0900;\n    readonly CCW: 0x0901;\n    readonly LINE_WIDTH: 0x0B21;\n    readonly ALIASED_POINT_SIZE_RANGE: 0x846D;\n    readonly ALIASED_LINE_WIDTH_RANGE: 0x846E;\n    readonly CULL_FACE_MODE: 0x0B45;\n    readonly FRONT_FACE: 0x0B46;\n    readonly DEPTH_RANGE: 0x0B70;\n    readonly DEPTH_WRITEMASK: 0x0B72;\n    readonly DEPTH_CLEAR_VALUE: 0x0B73;\n    readonly DEPTH_FUNC: 0x0B74;\n    readonly STENCIL_CLEAR_VALUE: 0x0B91;\n    readonly STENCIL_FUNC: 0x0B92;\n    readonly STENCIL_FAIL: 0x0B94;\n    readonly STENCIL_PASS_DEPTH_FAIL: 0x0B95;\n    readonly STENCIL_PASS_DEPTH_PASS: 0x0B96;\n    readonly STENCIL_REF: 0x0B97;\n    readonly STENCIL_VALUE_MASK: 0x0B93;\n    readonly STENCIL_WRITEMASK: 0x0B98;\n    readonly STENCIL_BACK_FUNC: 0x8800;\n    readonly STENCIL_BACK_FAIL: 0x8801;\n    readonly STENCIL_BACK_PASS_DEPTH_FAIL: 0x8802;\n    readonly STENCIL_BACK_PASS_DEPTH_PASS: 0x8803;\n    readonly STENCIL_BACK_REF: 0x8CA3;\n    readonly STENCIL_BACK_VALUE_MASK: 0x8CA4;\n    readonly STENCIL_BACK_WRITEMASK: 0x8CA5;\n    readonly VIEWPORT: 0x0BA2;\n    readonly SCISSOR_BOX: 0x0C10;\n    readonly COLOR_CLEAR_VALUE: 0x0C22;\n    readonly COLOR_WRITEMASK: 0x0C23;\n    readonly UNPACK_ALIGNMENT: 0x0CF5;\n    readonly PACK_ALIGNMENT: 0x0D05;\n    readonly MAX_TEXTURE_SIZE: 0x0D33;\n    readonly MAX_VIEWPORT_DIMS: 0x0D3A;\n    readonly SUBPIXEL_BITS: 0x0D50;\n    readonly RED_BITS: 0x0D52;\n    readonly GREEN_BITS: 0x0D53;\n    readonly BLUE_BITS: 0x0D54;\n    readonly ALPHA_BITS: 0x0D55;\n    readonly DEPTH_BITS: 0x0D56;\n    readonly STENCIL_BITS: 0x0D57;\n    readonly POLYGON_OFFSET_UNITS: 0x2A00;\n    readonly POLYGON_OFFSET_FACTOR: 0x8038;\n    readonly TEXTURE_BINDING_2D: 0x8069;\n    readonly SAMPLE_BUFFERS: 0x80A8;\n    readonly SAMPLES: 0x80A9;\n    readonly SAMPLE_COVERAGE_VALUE: 0x80AA;\n    readonly SAMPLE_COVERAGE_INVERT: 0x80AB;\n    readonly COMPRESSED_TEXTURE_FORMATS: 0x86A3;\n    readonly DONT_CARE: 0x1100;\n    readonly FASTEST: 0x1101;\n    readonly NICEST: 0x1102;\n    readonly GENERATE_MIPMAP_HINT: 0x8192;\n    readonly BYTE: 0x1400;\n    readonly UNSIGNED_BYTE: 0x1401;\n    readonly SHORT: 0x1402;\n    readonly UNSIGNED_SHORT: 0x1403;\n    readonly INT: 0x1404;\n    readonly UNSIGNED_INT: 0x1405;\n    readonly FLOAT: 0x1406;\n    readonly DEPTH_COMPONENT: 0x1902;\n    readonly ALPHA: 0x1906;\n    readonly RGB: 0x1907;\n    readonly RGBA: 0x1908;\n    readonly LUMINANCE: 0x1909;\n    readonly LUMINANCE_ALPHA: 0x190A;\n    readonly UNSIGNED_SHORT_4_4_4_4: 0x8033;\n    readonly UNSIGNED_SHORT_5_5_5_1: 0x8034;\n    readonly UNSIGNED_SHORT_5_6_5: 0x8363;\n    readonly FRAGMENT_SHADER: 0x8B30;\n    readonly VERTEX_SHADER: 0x8B31;\n    readonly MAX_VERTEX_ATTRIBS: 0x8869;\n    readonly MAX_VERTEX_UNIFORM_VECTORS: 0x8DFB;\n    readonly MAX_VARYING_VECTORS: 0x8DFC;\n    readonly MAX_COMBINED_TEXTURE_IMAGE_UNITS: 0x8B4D;\n    readonly MAX_VERTEX_TEXTURE_IMAGE_UNITS: 0x8B4C;\n    readonly MAX_TEXTURE_IMAGE_UNITS: 0x8872;\n    readonly MAX_FRAGMENT_UNIFORM_VECTORS: 0x8DFD;\n    readonly SHADER_TYPE: 0x8B4F;\n    readonly DELETE_STATUS: 0x8B80;\n    readonly LINK_STATUS: 0x8B82;\n    readonly VALIDATE_STATUS: 0x8B83;\n    readonly ATTACHED_SHADERS: 0x8B85;\n    readonly ACTIVE_UNIFORMS: 0x8B86;\n    readonly ACTIVE_ATTRIBUTES: 0x8B89;\n    readonly SHADING_LANGUAGE_VERSION: 0x8B8C;\n    readonly CURRENT_PROGRAM: 0x8B8D;\n    readonly NEVER: 0x0200;\n    readonly LESS: 0x0201;\n    readonly EQUAL: 0x0202;\n    readonly LEQUAL: 0x0203;\n    readonly GREATER: 0x0204;\n    readonly NOTEQUAL: 0x0205;\n    readonly GEQUAL: 0x0206;\n    readonly ALWAYS: 0x0207;\n    readonly KEEP: 0x1E00;\n    readonly REPLACE: 0x1E01;\n    readonly INCR: 0x1E02;\n    readonly DECR: 0x1E03;\n    readonly INVERT: 0x150A;\n    readonly INCR_WRAP: 0x8507;\n    readonly DECR_WRAP: 0x8508;\n    readonly VENDOR: 0x1F00;\n    readonly RENDERER: 0x1F01;\n    readonly VERSION: 0x1F02;\n    readonly NEAREST: 0x2600;\n    readonly LINEAR: 0x2601;\n    readonly NEAREST_MIPMAP_NEAREST: 0x2700;\n    readonly LINEAR_MIPMAP_NEAREST: 0x2701;\n    readonly NEAREST_MIPMAP_LINEAR: 0x2702;\n    readonly LINEAR_MIPMAP_LINEAR: 0x2703;\n    readonly TEXTURE_MAG_FILTER: 0x2800;\n    readonly TEXTURE_MIN_FILTER: 0x2801;\n    readonly TEXTURE_WRAP_S: 0x2802;\n    readonly TEXTURE_WRAP_T: 0x2803;\n    readonly TEXTURE_2D: 0x0DE1;\n    readonly TEXTURE: 0x1702;\n    readonly TEXTURE_CUBE_MAP: 0x8513;\n    readonly TEXTURE_BINDING_CUBE_MAP: 0x8514;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_X: 0x8515;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_X: 0x8516;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Y: 0x8517;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Y: 0x8518;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Z: 0x8519;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Z: 0x851A;\n    readonly MAX_CUBE_MAP_TEXTURE_SIZE: 0x851C;\n    readonly TEXTURE0: 0x84C0;\n    readonly TEXTURE1: 0x84C1;\n    readonly TEXTURE2: 0x84C2;\n    readonly TEXTURE3: 0x84C3;\n    readonly TEXTURE4: 0x84C4;\n    readonly TEXTURE5: 0x84C5;\n    readonly TEXTURE6: 0x84C6;\n    readonly TEXTURE7: 0x84C7;\n    readonly TEXTURE8: 0x84C8;\n    readonly TEXTURE9: 0x84C9;\n    readonly TEXTURE10: 0x84CA;\n    readonly TEXTURE11: 0x84CB;\n    readonly TEXTURE12: 0x84CC;\n    readonly TEXTURE13: 0x84CD;\n    readonly TEXTURE14: 0x84CE;\n    readonly TEXTURE15: 0x84CF;\n    readonly TEXTURE16: 0x84D0;\n    readonly TEXTURE17: 0x84D1;\n    readonly TEXTURE18: 0x84D2;\n    readonly TEXTURE19: 0x84D3;\n    readonly TEXTURE20: 0x84D4;\n    readonly TEXTURE21: 0x84D5;\n    readonly TEXTURE22: 0x84D6;\n    readonly TEXTURE23: 0x84D7;\n    readonly TEXTURE24: 0x84D8;\n    readonly TEXTURE25: 0x84D9;\n    readonly TEXTURE26: 0x84DA;\n    readonly TEXTURE27: 0x84DB;\n    readonly TEXTURE28: 0x84DC;\n    readonly TEXTURE29: 0x84DD;\n    readonly TEXTURE30: 0x84DE;\n    readonly TEXTURE31: 0x84DF;\n    readonly ACTIVE_TEXTURE: 0x84E0;\n    readonly REPEAT: 0x2901;\n    readonly CLAMP_TO_EDGE: 0x812F;\n    readonly MIRRORED_REPEAT: 0x8370;\n    readonly FLOAT_VEC2: 0x8B50;\n    readonly FLOAT_VEC3: 0x8B51;\n    readonly FLOAT_VEC4: 0x8B52;\n    readonly INT_VEC2: 0x8B53;\n    readonly INT_VEC3: 0x8B54;\n    readonly INT_VEC4: 0x8B55;\n    readonly BOOL: 0x8B56;\n    readonly BOOL_VEC2: 0x8B57;\n    readonly BOOL_VEC3: 0x8B58;\n    readonly BOOL_VEC4: 0x8B59;\n    readonly FLOAT_MAT2: 0x8B5A;\n    readonly FLOAT_MAT3: 0x8B5B;\n    readonly FLOAT_MAT4: 0x8B5C;\n    readonly SAMPLER_2D: 0x8B5E;\n    readonly SAMPLER_CUBE: 0x8B60;\n    readonly VERTEX_ATTRIB_ARRAY_ENABLED: 0x8622;\n    readonly VERTEX_ATTRIB_ARRAY_SIZE: 0x8623;\n    readonly VERTEX_ATTRIB_ARRAY_STRIDE: 0x8624;\n    readonly VERTEX_ATTRIB_ARRAY_TYPE: 0x8625;\n    readonly VERTEX_ATTRIB_ARRAY_NORMALIZED: 0x886A;\n    readonly VERTEX_ATTRIB_ARRAY_POINTER: 0x8645;\n    readonly VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: 0x889F;\n    readonly IMPLEMENTATION_COLOR_READ_TYPE: 0x8B9A;\n    readonly IMPLEMENTATION_COLOR_READ_FORMAT: 0x8B9B;\n    readonly COMPILE_STATUS: 0x8B81;\n    readonly LOW_FLOAT: 0x8DF0;\n    readonly MEDIUM_FLOAT: 0x8DF1;\n    readonly HIGH_FLOAT: 0x8DF2;\n    readonly LOW_INT: 0x8DF3;\n    readonly MEDIUM_INT: 0x8DF4;\n    readonly HIGH_INT: 0x8DF5;\n    readonly FRAMEBUFFER: 0x8D40;\n    readonly RENDERBUFFER: 0x8D41;\n    readonly RGBA4: 0x8056;\n    readonly RGB5_A1: 0x8057;\n    readonly RGBA8: 0x8058;\n    readonly RGB565: 0x8D62;\n    readonly DEPTH_COMPONENT16: 0x81A5;\n    readonly STENCIL_INDEX8: 0x8D48;\n    readonly DEPTH_STENCIL: 0x84F9;\n    readonly RENDERBUFFER_WIDTH: 0x8D42;\n    readonly RENDERBUFFER_HEIGHT: 0x8D43;\n    readonly RENDERBUFFER_INTERNAL_FORMAT: 0x8D44;\n    readonly RENDERBUFFER_RED_SIZE: 0x8D50;\n    readonly RENDERBUFFER_GREEN_SIZE: 0x8D51;\n    readonly RENDERBUFFER_BLUE_SIZE: 0x8D52;\n    readonly RENDERBUFFER_ALPHA_SIZE: 0x8D53;\n    readonly RENDERBUFFER_DEPTH_SIZE: 0x8D54;\n    readonly RENDERBUFFER_STENCIL_SIZE: 0x8D55;\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: 0x8CD0;\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: 0x8CD1;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: 0x8CD2;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: 0x8CD3;\n    readonly COLOR_ATTACHMENT0: 0x8CE0;\n    readonly DEPTH_ATTACHMENT: 0x8D00;\n    readonly STENCIL_ATTACHMENT: 0x8D20;\n    readonly DEPTH_STENCIL_ATTACHMENT: 0x821A;\n    readonly NONE: 0;\n    readonly FRAMEBUFFER_COMPLETE: 0x8CD5;\n    readonly FRAMEBUFFER_INCOMPLETE_ATTACHMENT: 0x8CD6;\n    readonly FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: 0x8CD7;\n    readonly FRAMEBUFFER_INCOMPLETE_DIMENSIONS: 0x8CD9;\n    readonly FRAMEBUFFER_UNSUPPORTED: 0x8CDD;\n    readonly FRAMEBUFFER_BINDING: 0x8CA6;\n    readonly RENDERBUFFER_BINDING: 0x8CA7;\n    readonly MAX_RENDERBUFFER_SIZE: 0x84E8;\n    readonly INVALID_FRAMEBUFFER_OPERATION: 0x0506;\n    readonly UNPACK_FLIP_Y_WEBGL: 0x9240;\n    readonly UNPACK_PREMULTIPLY_ALPHA_WEBGL: 0x9241;\n    readonly CONTEXT_LOST_WEBGL: 0x9242;\n    readonly UNPACK_COLORSPACE_CONVERSION_WEBGL: 0x9243;\n    readonly BROWSER_DEFAULT_WEBGL: 0x9244;\n};\n\ninterface WebGLRenderingContextBase {\n    drawingBufferColorSpace: PredefinedColorSpace;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/drawingBufferHeight) */\n    readonly drawingBufferHeight: GLsizei;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/drawingBufferWidth) */\n    readonly drawingBufferWidth: GLsizei;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/activeTexture) */\n    activeTexture(texture: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/attachShader) */\n    attachShader(program: WebGLProgram, shader: WebGLShader): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bindAttribLocation) */\n    bindAttribLocation(program: WebGLProgram, index: GLuint, name: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bindBuffer) */\n    bindBuffer(target: GLenum, buffer: WebGLBuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bindFramebuffer) */\n    bindFramebuffer(target: GLenum, framebuffer: WebGLFramebuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bindRenderbuffer) */\n    bindRenderbuffer(target: GLenum, renderbuffer: WebGLRenderbuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bindTexture) */\n    bindTexture(target: GLenum, texture: WebGLTexture | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/blendColor) */\n    blendColor(red: GLclampf, green: GLclampf, blue: GLclampf, alpha: GLclampf): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/blendEquation) */\n    blendEquation(mode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/blendEquationSeparate) */\n    blendEquationSeparate(modeRGB: GLenum, modeAlpha: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/blendFunc) */\n    blendFunc(sfactor: GLenum, dfactor: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/blendFuncSeparate) */\n    blendFuncSeparate(srcRGB: GLenum, dstRGB: GLenum, srcAlpha: GLenum, dstAlpha: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/checkFramebufferStatus) */\n    checkFramebufferStatus(target: GLenum): GLenum;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/clear) */\n    clear(mask: GLbitfield): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/clearColor) */\n    clearColor(red: GLclampf, green: GLclampf, blue: GLclampf, alpha: GLclampf): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/clearDepth) */\n    clearDepth(depth: GLclampf): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/clearStencil) */\n    clearStencil(s: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/colorMask) */\n    colorMask(red: GLboolean, green: GLboolean, blue: GLboolean, alpha: GLboolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/compileShader) */\n    compileShader(shader: WebGLShader): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/copyTexImage2D) */\n    copyTexImage2D(target: GLenum, level: GLint, internalformat: GLenum, x: GLint, y: GLint, width: GLsizei, height: GLsizei, border: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/copyTexSubImage2D) */\n    copyTexSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, x: GLint, y: GLint, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/createBuffer) */\n    createBuffer(): WebGLBuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/createFramebuffer) */\n    createFramebuffer(): WebGLFramebuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/createProgram) */\n    createProgram(): WebGLProgram | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/createRenderbuffer) */\n    createRenderbuffer(): WebGLRenderbuffer | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/createShader) */\n    createShader(type: GLenum): WebGLShader | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/createTexture) */\n    createTexture(): WebGLTexture | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/cullFace) */\n    cullFace(mode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/deleteBuffer) */\n    deleteBuffer(buffer: WebGLBuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/deleteFramebuffer) */\n    deleteFramebuffer(framebuffer: WebGLFramebuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/deleteProgram) */\n    deleteProgram(program: WebGLProgram | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/deleteRenderbuffer) */\n    deleteRenderbuffer(renderbuffer: WebGLRenderbuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/deleteShader) */\n    deleteShader(shader: WebGLShader | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/deleteTexture) */\n    deleteTexture(texture: WebGLTexture | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/depthFunc) */\n    depthFunc(func: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/depthMask) */\n    depthMask(flag: GLboolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/depthRange) */\n    depthRange(zNear: GLclampf, zFar: GLclampf): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/detachShader) */\n    detachShader(program: WebGLProgram, shader: WebGLShader): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/disable) */\n    disable(cap: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/disableVertexAttribArray) */\n    disableVertexAttribArray(index: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/drawArrays) */\n    drawArrays(mode: GLenum, first: GLint, count: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/drawElements) */\n    drawElements(mode: GLenum, count: GLsizei, type: GLenum, offset: GLintptr): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/enable) */\n    enable(cap: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/enableVertexAttribArray) */\n    enableVertexAttribArray(index: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/finish) */\n    finish(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/flush) */\n    flush(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/framebufferRenderbuffer) */\n    framebufferRenderbuffer(target: GLenum, attachment: GLenum, renderbuffertarget: GLenum, renderbuffer: WebGLRenderbuffer | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/framebufferTexture2D) */\n    framebufferTexture2D(target: GLenum, attachment: GLenum, textarget: GLenum, texture: WebGLTexture | null, level: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/frontFace) */\n    frontFace(mode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/generateMipmap) */\n    generateMipmap(target: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getActiveAttrib) */\n    getActiveAttrib(program: WebGLProgram, index: GLuint): WebGLActiveInfo | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getActiveUniform) */\n    getActiveUniform(program: WebGLProgram, index: GLuint): WebGLActiveInfo | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getAttachedShaders) */\n    getAttachedShaders(program: WebGLProgram): WebGLShader[] | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getAttribLocation) */\n    getAttribLocation(program: WebGLProgram, name: string): GLint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getBufferParameter) */\n    getBufferParameter(target: GLenum, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getContextAttributes) */\n    getContextAttributes(): WebGLContextAttributes | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getError) */\n    getError(): GLenum;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getExtension) */\n    getExtension(extensionName: "ANGLE_instanced_arrays"): ANGLE_instanced_arrays | null;\n    getExtension(extensionName: "EXT_blend_minmax"): EXT_blend_minmax | null;\n    getExtension(extensionName: "EXT_color_buffer_float"): EXT_color_buffer_float | null;\n    getExtension(extensionName: "EXT_color_buffer_half_float"): EXT_color_buffer_half_float | null;\n    getExtension(extensionName: "EXT_float_blend"): EXT_float_blend | null;\n    getExtension(extensionName: "EXT_frag_depth"): EXT_frag_depth | null;\n    getExtension(extensionName: "EXT_sRGB"): EXT_sRGB | null;\n    getExtension(extensionName: "EXT_shader_texture_lod"): EXT_shader_texture_lod | null;\n    getExtension(extensionName: "EXT_texture_compression_bptc"): EXT_texture_compression_bptc | null;\n    getExtension(extensionName: "EXT_texture_compression_rgtc"): EXT_texture_compression_rgtc | null;\n    getExtension(extensionName: "EXT_texture_filter_anisotropic"): EXT_texture_filter_anisotropic | null;\n    getExtension(extensionName: "KHR_parallel_shader_compile"): KHR_parallel_shader_compile | null;\n    getExtension(extensionName: "OES_element_index_uint"): OES_element_index_uint | null;\n    getExtension(extensionName: "OES_fbo_render_mipmap"): OES_fbo_render_mipmap | null;\n    getExtension(extensionName: "OES_standard_derivatives"): OES_standard_derivatives | null;\n    getExtension(extensionName: "OES_texture_float"): OES_texture_float | null;\n    getExtension(extensionName: "OES_texture_float_linear"): OES_texture_float_linear | null;\n    getExtension(extensionName: "OES_texture_half_float"): OES_texture_half_float | null;\n    getExtension(extensionName: "OES_texture_half_float_linear"): OES_texture_half_float_linear | null;\n    getExtension(extensionName: "OES_vertex_array_object"): OES_vertex_array_object | null;\n    getExtension(extensionName: "OVR_multiview2"): OVR_multiview2 | null;\n    getExtension(extensionName: "WEBGL_color_buffer_float"): WEBGL_color_buffer_float | null;\n    getExtension(extensionName: "WEBGL_compressed_texture_astc"): WEBGL_compressed_texture_astc | null;\n    getExtension(extensionName: "WEBGL_compressed_texture_etc"): WEBGL_compressed_texture_etc | null;\n    getExtension(extensionName: "WEBGL_compressed_texture_etc1"): WEBGL_compressed_texture_etc1 | null;\n    getExtension(extensionName: "WEBGL_compressed_texture_pvrtc"): WEBGL_compressed_texture_pvrtc | null;\n    getExtension(extensionName: "WEBGL_compressed_texture_s3tc"): WEBGL_compressed_texture_s3tc | null;\n    getExtension(extensionName: "WEBGL_compressed_texture_s3tc_srgb"): WEBGL_compressed_texture_s3tc_srgb | null;\n    getExtension(extensionName: "WEBGL_debug_renderer_info"): WEBGL_debug_renderer_info | null;\n    getExtension(extensionName: "WEBGL_debug_shaders"): WEBGL_debug_shaders | null;\n    getExtension(extensionName: "WEBGL_depth_texture"): WEBGL_depth_texture | null;\n    getExtension(extensionName: "WEBGL_draw_buffers"): WEBGL_draw_buffers | null;\n    getExtension(extensionName: "WEBGL_lose_context"): WEBGL_lose_context | null;\n    getExtension(extensionName: "WEBGL_multi_draw"): WEBGL_multi_draw | null;\n    getExtension(name: string): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getFramebufferAttachmentParameter) */\n    getFramebufferAttachmentParameter(target: GLenum, attachment: GLenum, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getParameter) */\n    getParameter(pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getProgramInfoLog) */\n    getProgramInfoLog(program: WebGLProgram): string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getProgramParameter) */\n    getProgramParameter(program: WebGLProgram, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getRenderbufferParameter) */\n    getRenderbufferParameter(target: GLenum, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getShaderInfoLog) */\n    getShaderInfoLog(shader: WebGLShader): string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getShaderParameter) */\n    getShaderParameter(shader: WebGLShader, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getShaderPrecisionFormat) */\n    getShaderPrecisionFormat(shadertype: GLenum, precisiontype: GLenum): WebGLShaderPrecisionFormat | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getShaderSource) */\n    getShaderSource(shader: WebGLShader): string | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getSupportedExtensions) */\n    getSupportedExtensions(): string[] | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getTexParameter) */\n    getTexParameter(target: GLenum, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getUniform) */\n    getUniform(program: WebGLProgram, location: WebGLUniformLocation): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getUniformLocation) */\n    getUniformLocation(program: WebGLProgram, name: string): WebGLUniformLocation | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getVertexAttrib) */\n    getVertexAttrib(index: GLuint, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/getVertexAttribOffset) */\n    getVertexAttribOffset(index: GLuint, pname: GLenum): GLintptr;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/hint) */\n    hint(target: GLenum, mode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isBuffer) */\n    isBuffer(buffer: WebGLBuffer | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isContextLost) */\n    isContextLost(): boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isEnabled) */\n    isEnabled(cap: GLenum): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isFramebuffer) */\n    isFramebuffer(framebuffer: WebGLFramebuffer | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isProgram) */\n    isProgram(program: WebGLProgram | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isRenderbuffer) */\n    isRenderbuffer(renderbuffer: WebGLRenderbuffer | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isShader) */\n    isShader(shader: WebGLShader | null): GLboolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/isTexture) */\n    isTexture(texture: WebGLTexture | null): GLboolean;\n    lineWidth(width: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/linkProgram) */\n    linkProgram(program: WebGLProgram): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/pixelStorei) */\n    pixelStorei(pname: GLenum, param: GLint | GLboolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/polygonOffset) */\n    polygonOffset(factor: GLfloat, units: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/renderbufferStorage) */\n    renderbufferStorage(target: GLenum, internalformat: GLenum, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/sampleCoverage) */\n    sampleCoverage(value: GLclampf, invert: GLboolean): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/scissor) */\n    scissor(x: GLint, y: GLint, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/shaderSource) */\n    shaderSource(shader: WebGLShader, source: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/stencilFunc) */\n    stencilFunc(func: GLenum, ref: GLint, mask: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/stencilFuncSeparate) */\n    stencilFuncSeparate(face: GLenum, func: GLenum, ref: GLint, mask: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/stencilMask) */\n    stencilMask(mask: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/stencilMaskSeparate) */\n    stencilMaskSeparate(face: GLenum, mask: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/stencilOp) */\n    stencilOp(fail: GLenum, zfail: GLenum, zpass: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/stencilOpSeparate) */\n    stencilOpSeparate(face: GLenum, fail: GLenum, zfail: GLenum, zpass: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/texParameter) */\n    texParameterf(target: GLenum, pname: GLenum, param: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/texParameter) */\n    texParameteri(target: GLenum, pname: GLenum, param: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1f(location: WebGLUniformLocation | null, x: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1i(location: WebGLUniformLocation | null, x: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2f(location: WebGLUniformLocation | null, x: GLfloat, y: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2i(location: WebGLUniformLocation | null, x: GLint, y: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3f(location: WebGLUniformLocation | null, x: GLfloat, y: GLfloat, z: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3i(location: WebGLUniformLocation | null, x: GLint, y: GLint, z: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4f(location: WebGLUniformLocation | null, x: GLfloat, y: GLfloat, z: GLfloat, w: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4i(location: WebGLUniformLocation | null, x: GLint, y: GLint, z: GLint, w: GLint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/useProgram) */\n    useProgram(program: WebGLProgram | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/validateProgram) */\n    validateProgram(program: WebGLProgram): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib1f(index: GLuint, x: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib1fv(index: GLuint, values: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib2f(index: GLuint, x: GLfloat, y: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib2fv(index: GLuint, values: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib3f(index: GLuint, x: GLfloat, y: GLfloat, z: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib3fv(index: GLuint, values: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib4f(index: GLuint, x: GLfloat, y: GLfloat, z: GLfloat, w: GLfloat): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib4fv(index: GLuint, values: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttribPointer) */\n    vertexAttribPointer(index: GLuint, size: GLint, type: GLenum, normalized: GLboolean, stride: GLsizei, offset: GLintptr): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/viewport) */\n    viewport(x: GLint, y: GLint, width: GLsizei, height: GLsizei): void;\n    readonly DEPTH_BUFFER_BIT: 0x00000100;\n    readonly STENCIL_BUFFER_BIT: 0x00000400;\n    readonly COLOR_BUFFER_BIT: 0x00004000;\n    readonly POINTS: 0x0000;\n    readonly LINES: 0x0001;\n    readonly LINE_LOOP: 0x0002;\n    readonly LINE_STRIP: 0x0003;\n    readonly TRIANGLES: 0x0004;\n    readonly TRIANGLE_STRIP: 0x0005;\n    readonly TRIANGLE_FAN: 0x0006;\n    readonly ZERO: 0;\n    readonly ONE: 1;\n    readonly SRC_COLOR: 0x0300;\n    readonly ONE_MINUS_SRC_COLOR: 0x0301;\n    readonly SRC_ALPHA: 0x0302;\n    readonly ONE_MINUS_SRC_ALPHA: 0x0303;\n    readonly DST_ALPHA: 0x0304;\n    readonly ONE_MINUS_DST_ALPHA: 0x0305;\n    readonly DST_COLOR: 0x0306;\n    readonly ONE_MINUS_DST_COLOR: 0x0307;\n    readonly SRC_ALPHA_SATURATE: 0x0308;\n    readonly FUNC_ADD: 0x8006;\n    readonly BLEND_EQUATION: 0x8009;\n    readonly BLEND_EQUATION_RGB: 0x8009;\n    readonly BLEND_EQUATION_ALPHA: 0x883D;\n    readonly FUNC_SUBTRACT: 0x800A;\n    readonly FUNC_REVERSE_SUBTRACT: 0x800B;\n    readonly BLEND_DST_RGB: 0x80C8;\n    readonly BLEND_SRC_RGB: 0x80C9;\n    readonly BLEND_DST_ALPHA: 0x80CA;\n    readonly BLEND_SRC_ALPHA: 0x80CB;\n    readonly CONSTANT_COLOR: 0x8001;\n    readonly ONE_MINUS_CONSTANT_COLOR: 0x8002;\n    readonly CONSTANT_ALPHA: 0x8003;\n    readonly ONE_MINUS_CONSTANT_ALPHA: 0x8004;\n    readonly BLEND_COLOR: 0x8005;\n    readonly ARRAY_BUFFER: 0x8892;\n    readonly ELEMENT_ARRAY_BUFFER: 0x8893;\n    readonly ARRAY_BUFFER_BINDING: 0x8894;\n    readonly ELEMENT_ARRAY_BUFFER_BINDING: 0x8895;\n    readonly STREAM_DRAW: 0x88E0;\n    readonly STATIC_DRAW: 0x88E4;\n    readonly DYNAMIC_DRAW: 0x88E8;\n    readonly BUFFER_SIZE: 0x8764;\n    readonly BUFFER_USAGE: 0x8765;\n    readonly CURRENT_VERTEX_ATTRIB: 0x8626;\n    readonly FRONT: 0x0404;\n    readonly BACK: 0x0405;\n    readonly FRONT_AND_BACK: 0x0408;\n    readonly CULL_FACE: 0x0B44;\n    readonly BLEND: 0x0BE2;\n    readonly DITHER: 0x0BD0;\n    readonly STENCIL_TEST: 0x0B90;\n    readonly DEPTH_TEST: 0x0B71;\n    readonly SCISSOR_TEST: 0x0C11;\n    readonly POLYGON_OFFSET_FILL: 0x8037;\n    readonly SAMPLE_ALPHA_TO_COVERAGE: 0x809E;\n    readonly SAMPLE_COVERAGE: 0x80A0;\n    readonly NO_ERROR: 0;\n    readonly INVALID_ENUM: 0x0500;\n    readonly INVALID_VALUE: 0x0501;\n    readonly INVALID_OPERATION: 0x0502;\n    readonly OUT_OF_MEMORY: 0x0505;\n    readonly CW: 0x0900;\n    readonly CCW: 0x0901;\n    readonly LINE_WIDTH: 0x0B21;\n    readonly ALIASED_POINT_SIZE_RANGE: 0x846D;\n    readonly ALIASED_LINE_WIDTH_RANGE: 0x846E;\n    readonly CULL_FACE_MODE: 0x0B45;\n    readonly FRONT_FACE: 0x0B46;\n    readonly DEPTH_RANGE: 0x0B70;\n    readonly DEPTH_WRITEMASK: 0x0B72;\n    readonly DEPTH_CLEAR_VALUE: 0x0B73;\n    readonly DEPTH_FUNC: 0x0B74;\n    readonly STENCIL_CLEAR_VALUE: 0x0B91;\n    readonly STENCIL_FUNC: 0x0B92;\n    readonly STENCIL_FAIL: 0x0B94;\n    readonly STENCIL_PASS_DEPTH_FAIL: 0x0B95;\n    readonly STENCIL_PASS_DEPTH_PASS: 0x0B96;\n    readonly STENCIL_REF: 0x0B97;\n    readonly STENCIL_VALUE_MASK: 0x0B93;\n    readonly STENCIL_WRITEMASK: 0x0B98;\n    readonly STENCIL_BACK_FUNC: 0x8800;\n    readonly STENCIL_BACK_FAIL: 0x8801;\n    readonly STENCIL_BACK_PASS_DEPTH_FAIL: 0x8802;\n    readonly STENCIL_BACK_PASS_DEPTH_PASS: 0x8803;\n    readonly STENCIL_BACK_REF: 0x8CA3;\n    readonly STENCIL_BACK_VALUE_MASK: 0x8CA4;\n    readonly STENCIL_BACK_WRITEMASK: 0x8CA5;\n    readonly VIEWPORT: 0x0BA2;\n    readonly SCISSOR_BOX: 0x0C10;\n    readonly COLOR_CLEAR_VALUE: 0x0C22;\n    readonly COLOR_WRITEMASK: 0x0C23;\n    readonly UNPACK_ALIGNMENT: 0x0CF5;\n    readonly PACK_ALIGNMENT: 0x0D05;\n    readonly MAX_TEXTURE_SIZE: 0x0D33;\n    readonly MAX_VIEWPORT_DIMS: 0x0D3A;\n    readonly SUBPIXEL_BITS: 0x0D50;\n    readonly RED_BITS: 0x0D52;\n    readonly GREEN_BITS: 0x0D53;\n    readonly BLUE_BITS: 0x0D54;\n    readonly ALPHA_BITS: 0x0D55;\n    readonly DEPTH_BITS: 0x0D56;\n    readonly STENCIL_BITS: 0x0D57;\n    readonly POLYGON_OFFSET_UNITS: 0x2A00;\n    readonly POLYGON_OFFSET_FACTOR: 0x8038;\n    readonly TEXTURE_BINDING_2D: 0x8069;\n    readonly SAMPLE_BUFFERS: 0x80A8;\n    readonly SAMPLES: 0x80A9;\n    readonly SAMPLE_COVERAGE_VALUE: 0x80AA;\n    readonly SAMPLE_COVERAGE_INVERT: 0x80AB;\n    readonly COMPRESSED_TEXTURE_FORMATS: 0x86A3;\n    readonly DONT_CARE: 0x1100;\n    readonly FASTEST: 0x1101;\n    readonly NICEST: 0x1102;\n    readonly GENERATE_MIPMAP_HINT: 0x8192;\n    readonly BYTE: 0x1400;\n    readonly UNSIGNED_BYTE: 0x1401;\n    readonly SHORT: 0x1402;\n    readonly UNSIGNED_SHORT: 0x1403;\n    readonly INT: 0x1404;\n    readonly UNSIGNED_INT: 0x1405;\n    readonly FLOAT: 0x1406;\n    readonly DEPTH_COMPONENT: 0x1902;\n    readonly ALPHA: 0x1906;\n    readonly RGB: 0x1907;\n    readonly RGBA: 0x1908;\n    readonly LUMINANCE: 0x1909;\n    readonly LUMINANCE_ALPHA: 0x190A;\n    readonly UNSIGNED_SHORT_4_4_4_4: 0x8033;\n    readonly UNSIGNED_SHORT_5_5_5_1: 0x8034;\n    readonly UNSIGNED_SHORT_5_6_5: 0x8363;\n    readonly FRAGMENT_SHADER: 0x8B30;\n    readonly VERTEX_SHADER: 0x8B31;\n    readonly MAX_VERTEX_ATTRIBS: 0x8869;\n    readonly MAX_VERTEX_UNIFORM_VECTORS: 0x8DFB;\n    readonly MAX_VARYING_VECTORS: 0x8DFC;\n    readonly MAX_COMBINED_TEXTURE_IMAGE_UNITS: 0x8B4D;\n    readonly MAX_VERTEX_TEXTURE_IMAGE_UNITS: 0x8B4C;\n    readonly MAX_TEXTURE_IMAGE_UNITS: 0x8872;\n    readonly MAX_FRAGMENT_UNIFORM_VECTORS: 0x8DFD;\n    readonly SHADER_TYPE: 0x8B4F;\n    readonly DELETE_STATUS: 0x8B80;\n    readonly LINK_STATUS: 0x8B82;\n    readonly VALIDATE_STATUS: 0x8B83;\n    readonly ATTACHED_SHADERS: 0x8B85;\n    readonly ACTIVE_UNIFORMS: 0x8B86;\n    readonly ACTIVE_ATTRIBUTES: 0x8B89;\n    readonly SHADING_LANGUAGE_VERSION: 0x8B8C;\n    readonly CURRENT_PROGRAM: 0x8B8D;\n    readonly NEVER: 0x0200;\n    readonly LESS: 0x0201;\n    readonly EQUAL: 0x0202;\n    readonly LEQUAL: 0x0203;\n    readonly GREATER: 0x0204;\n    readonly NOTEQUAL: 0x0205;\n    readonly GEQUAL: 0x0206;\n    readonly ALWAYS: 0x0207;\n    readonly KEEP: 0x1E00;\n    readonly REPLACE: 0x1E01;\n    readonly INCR: 0x1E02;\n    readonly DECR: 0x1E03;\n    readonly INVERT: 0x150A;\n    readonly INCR_WRAP: 0x8507;\n    readonly DECR_WRAP: 0x8508;\n    readonly VENDOR: 0x1F00;\n    readonly RENDERER: 0x1F01;\n    readonly VERSION: 0x1F02;\n    readonly NEAREST: 0x2600;\n    readonly LINEAR: 0x2601;\n    readonly NEAREST_MIPMAP_NEAREST: 0x2700;\n    readonly LINEAR_MIPMAP_NEAREST: 0x2701;\n    readonly NEAREST_MIPMAP_LINEAR: 0x2702;\n    readonly LINEAR_MIPMAP_LINEAR: 0x2703;\n    readonly TEXTURE_MAG_FILTER: 0x2800;\n    readonly TEXTURE_MIN_FILTER: 0x2801;\n    readonly TEXTURE_WRAP_S: 0x2802;\n    readonly TEXTURE_WRAP_T: 0x2803;\n    readonly TEXTURE_2D: 0x0DE1;\n    readonly TEXTURE: 0x1702;\n    readonly TEXTURE_CUBE_MAP: 0x8513;\n    readonly TEXTURE_BINDING_CUBE_MAP: 0x8514;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_X: 0x8515;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_X: 0x8516;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Y: 0x8517;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Y: 0x8518;\n    readonly TEXTURE_CUBE_MAP_POSITIVE_Z: 0x8519;\n    readonly TEXTURE_CUBE_MAP_NEGATIVE_Z: 0x851A;\n    readonly MAX_CUBE_MAP_TEXTURE_SIZE: 0x851C;\n    readonly TEXTURE0: 0x84C0;\n    readonly TEXTURE1: 0x84C1;\n    readonly TEXTURE2: 0x84C2;\n    readonly TEXTURE3: 0x84C3;\n    readonly TEXTURE4: 0x84C4;\n    readonly TEXTURE5: 0x84C5;\n    readonly TEXTURE6: 0x84C6;\n    readonly TEXTURE7: 0x84C7;\n    readonly TEXTURE8: 0x84C8;\n    readonly TEXTURE9: 0x84C9;\n    readonly TEXTURE10: 0x84CA;\n    readonly TEXTURE11: 0x84CB;\n    readonly TEXTURE12: 0x84CC;\n    readonly TEXTURE13: 0x84CD;\n    readonly TEXTURE14: 0x84CE;\n    readonly TEXTURE15: 0x84CF;\n    readonly TEXTURE16: 0x84D0;\n    readonly TEXTURE17: 0x84D1;\n    readonly TEXTURE18: 0x84D2;\n    readonly TEXTURE19: 0x84D3;\n    readonly TEXTURE20: 0x84D4;\n    readonly TEXTURE21: 0x84D5;\n    readonly TEXTURE22: 0x84D6;\n    readonly TEXTURE23: 0x84D7;\n    readonly TEXTURE24: 0x84D8;\n    readonly TEXTURE25: 0x84D9;\n    readonly TEXTURE26: 0x84DA;\n    readonly TEXTURE27: 0x84DB;\n    readonly TEXTURE28: 0x84DC;\n    readonly TEXTURE29: 0x84DD;\n    readonly TEXTURE30: 0x84DE;\n    readonly TEXTURE31: 0x84DF;\n    readonly ACTIVE_TEXTURE: 0x84E0;\n    readonly REPEAT: 0x2901;\n    readonly CLAMP_TO_EDGE: 0x812F;\n    readonly MIRRORED_REPEAT: 0x8370;\n    readonly FLOAT_VEC2: 0x8B50;\n    readonly FLOAT_VEC3: 0x8B51;\n    readonly FLOAT_VEC4: 0x8B52;\n    readonly INT_VEC2: 0x8B53;\n    readonly INT_VEC3: 0x8B54;\n    readonly INT_VEC4: 0x8B55;\n    readonly BOOL: 0x8B56;\n    readonly BOOL_VEC2: 0x8B57;\n    readonly BOOL_VEC3: 0x8B58;\n    readonly BOOL_VEC4: 0x8B59;\n    readonly FLOAT_MAT2: 0x8B5A;\n    readonly FLOAT_MAT3: 0x8B5B;\n    readonly FLOAT_MAT4: 0x8B5C;\n    readonly SAMPLER_2D: 0x8B5E;\n    readonly SAMPLER_CUBE: 0x8B60;\n    readonly VERTEX_ATTRIB_ARRAY_ENABLED: 0x8622;\n    readonly VERTEX_ATTRIB_ARRAY_SIZE: 0x8623;\n    readonly VERTEX_ATTRIB_ARRAY_STRIDE: 0x8624;\n    readonly VERTEX_ATTRIB_ARRAY_TYPE: 0x8625;\n    readonly VERTEX_ATTRIB_ARRAY_NORMALIZED: 0x886A;\n    readonly VERTEX_ATTRIB_ARRAY_POINTER: 0x8645;\n    readonly VERTEX_ATTRIB_ARRAY_BUFFER_BINDING: 0x889F;\n    readonly IMPLEMENTATION_COLOR_READ_TYPE: 0x8B9A;\n    readonly IMPLEMENTATION_COLOR_READ_FORMAT: 0x8B9B;\n    readonly COMPILE_STATUS: 0x8B81;\n    readonly LOW_FLOAT: 0x8DF0;\n    readonly MEDIUM_FLOAT: 0x8DF1;\n    readonly HIGH_FLOAT: 0x8DF2;\n    readonly LOW_INT: 0x8DF3;\n    readonly MEDIUM_INT: 0x8DF4;\n    readonly HIGH_INT: 0x8DF5;\n    readonly FRAMEBUFFER: 0x8D40;\n    readonly RENDERBUFFER: 0x8D41;\n    readonly RGBA4: 0x8056;\n    readonly RGB5_A1: 0x8057;\n    readonly RGBA8: 0x8058;\n    readonly RGB565: 0x8D62;\n    readonly DEPTH_COMPONENT16: 0x81A5;\n    readonly STENCIL_INDEX8: 0x8D48;\n    readonly DEPTH_STENCIL: 0x84F9;\n    readonly RENDERBUFFER_WIDTH: 0x8D42;\n    readonly RENDERBUFFER_HEIGHT: 0x8D43;\n    readonly RENDERBUFFER_INTERNAL_FORMAT: 0x8D44;\n    readonly RENDERBUFFER_RED_SIZE: 0x8D50;\n    readonly RENDERBUFFER_GREEN_SIZE: 0x8D51;\n    readonly RENDERBUFFER_BLUE_SIZE: 0x8D52;\n    readonly RENDERBUFFER_ALPHA_SIZE: 0x8D53;\n    readonly RENDERBUFFER_DEPTH_SIZE: 0x8D54;\n    readonly RENDERBUFFER_STENCIL_SIZE: 0x8D55;\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE: 0x8CD0;\n    readonly FRAMEBUFFER_ATTACHMENT_OBJECT_NAME: 0x8CD1;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL: 0x8CD2;\n    readonly FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE: 0x8CD3;\n    readonly COLOR_ATTACHMENT0: 0x8CE0;\n    readonly DEPTH_ATTACHMENT: 0x8D00;\n    readonly STENCIL_ATTACHMENT: 0x8D20;\n    readonly DEPTH_STENCIL_ATTACHMENT: 0x821A;\n    readonly NONE: 0;\n    readonly FRAMEBUFFER_COMPLETE: 0x8CD5;\n    readonly FRAMEBUFFER_INCOMPLETE_ATTACHMENT: 0x8CD6;\n    readonly FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT: 0x8CD7;\n    readonly FRAMEBUFFER_INCOMPLETE_DIMENSIONS: 0x8CD9;\n    readonly FRAMEBUFFER_UNSUPPORTED: 0x8CDD;\n    readonly FRAMEBUFFER_BINDING: 0x8CA6;\n    readonly RENDERBUFFER_BINDING: 0x8CA7;\n    readonly MAX_RENDERBUFFER_SIZE: 0x84E8;\n    readonly INVALID_FRAMEBUFFER_OPERATION: 0x0506;\n    readonly UNPACK_FLIP_Y_WEBGL: 0x9240;\n    readonly UNPACK_PREMULTIPLY_ALPHA_WEBGL: 0x9241;\n    readonly CONTEXT_LOST_WEBGL: 0x9242;\n    readonly UNPACK_COLORSPACE_CONVERSION_WEBGL: 0x9243;\n    readonly BROWSER_DEFAULT_WEBGL: 0x9244;\n}\n\ninterface WebGLRenderingContextOverloads {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bufferData) */\n    bufferData(target: GLenum, size: GLsizeiptr, usage: GLenum): void;\n    bufferData(target: GLenum, data: AllowSharedBufferSource | null, usage: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/bufferSubData) */\n    bufferSubData(target: GLenum, offset: GLintptr, data: AllowSharedBufferSource): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/compressedTexImage2D) */\n    compressedTexImage2D(target: GLenum, level: GLint, internalformat: GLenum, width: GLsizei, height: GLsizei, border: GLint, data: ArrayBufferView): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/compressedTexSubImage2D) */\n    compressedTexSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, data: ArrayBufferView): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/readPixels) */\n    readPixels(x: GLint, y: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/texImage2D) */\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, width: GLsizei, height: GLsizei, border: GLint, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void;\n    texImage2D(target: GLenum, level: GLint, internalformat: GLint, format: GLenum, type: GLenum, source: TexImageSource): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/texSubImage2D) */\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, width: GLsizei, height: GLsizei, format: GLenum, type: GLenum, pixels: ArrayBufferView | null): void;\n    texSubImage2D(target: GLenum, level: GLint, xoffset: GLint, yoffset: GLint, format: GLenum, type: GLenum, source: TexImageSource): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1fv(location: WebGLUniformLocation | null, v: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1iv(location: WebGLUniformLocation | null, v: Int32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2fv(location: WebGLUniformLocation | null, v: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2iv(location: WebGLUniformLocation | null, v: Int32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3fv(location: WebGLUniformLocation | null, v: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3iv(location: WebGLUniformLocation | null, v: Int32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4fv(location: WebGLUniformLocation | null, v: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4iv(location: WebGLUniformLocation | null, v: Int32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix2fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix3fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Float32List): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix4fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Float32List): void;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLSampler) */\ninterface WebGLSampler {\n}\n\ndeclare var WebGLSampler: {\n    prototype: WebGLSampler;\n    new(): WebGLSampler;\n};\n\n/**\n * The WebGLShader is part of the WebGL API and can either be a vertex or a fragment shader. A WebGLProgram requires both types of shaders.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLShader)\n */\ninterface WebGLShader {\n}\n\ndeclare var WebGLShader: {\n    prototype: WebGLShader;\n    new(): WebGLShader;\n};\n\n/**\n * Part of the WebGL API and represents the information returned by calling the WebGLRenderingContext.getShaderPrecisionFormat() method.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLShaderPrecisionFormat)\n */\ninterface WebGLShaderPrecisionFormat {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLShaderPrecisionFormat/precision) */\n    readonly precision: GLint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLShaderPrecisionFormat/rangeMax) */\n    readonly rangeMax: GLint;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLShaderPrecisionFormat/rangeMin) */\n    readonly rangeMin: GLint;\n}\n\ndeclare var WebGLShaderPrecisionFormat: {\n    prototype: WebGLShaderPrecisionFormat;\n    new(): WebGLShaderPrecisionFormat;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLSync) */\ninterface WebGLSync {\n}\n\ndeclare var WebGLSync: {\n    prototype: WebGLSync;\n    new(): WebGLSync;\n};\n\n/**\n * Part of the WebGL API and represents an opaque texture object providing storage and state for texturing operations.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLTexture)\n */\ninterface WebGLTexture {\n}\n\ndeclare var WebGLTexture: {\n    prototype: WebGLTexture;\n    new(): WebGLTexture;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLTransformFeedback) */\ninterface WebGLTransformFeedback {\n}\n\ndeclare var WebGLTransformFeedback: {\n    prototype: WebGLTransformFeedback;\n    new(): WebGLTransformFeedback;\n};\n\n/**\n * Part of the WebGL API and represents the location of a uniform variable in a shader program.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLUniformLocation)\n */\ninterface WebGLUniformLocation {\n}\n\ndeclare var WebGLUniformLocation: {\n    prototype: WebGLUniformLocation;\n    new(): WebGLUniformLocation;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLVertexArrayObject) */\ninterface WebGLVertexArrayObject {\n}\n\ndeclare var WebGLVertexArrayObject: {\n    prototype: WebGLVertexArrayObject;\n    new(): WebGLVertexArrayObject;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLVertexArrayObjectOES) */\ninterface WebGLVertexArrayObjectOES {\n}\n\ninterface WebSocketEventMap {\n    "close": CloseEvent;\n    "error": Event;\n    "message": MessageEvent;\n    "open": Event;\n}\n\n/**\n * Provides the API for creating and managing a WebSocket connection to a server, as well as for sending and receiving data on the connection.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket)\n */\ninterface WebSocket extends EventTarget {\n    /**\n     * Returns a string that indicates how binary data from the WebSocket object is exposed to scripts:\n     *\n     * Can be set, to change how binary data is returned. The default is "blob".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/binaryType)\n     */\n    binaryType: BinaryType;\n    /**\n     * Returns the number of bytes of application data (UTF-8 text and binary data) that have been queued using send() but not yet been transmitted to the network.\n     *\n     * If the WebSocket connection is closed, this attribute\'s value will only increase with each call to the send() method. (The number does not reset to zero once the connection closes.)\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/bufferedAmount)\n     */\n    readonly bufferedAmount: number;\n    /**\n     * Returns the extensions selected by the server, if any.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/extensions)\n     */\n    readonly extensions: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/close_event) */\n    onclose: ((this: WebSocket, ev: CloseEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/error_event) */\n    onerror: ((this: WebSocket, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/message_event) */\n    onmessage: ((this: WebSocket, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/open_event) */\n    onopen: ((this: WebSocket, ev: Event) => any) | null;\n    /**\n     * Returns the subprotocol selected by the server, if any. It can be used in conjunction with the array form of the constructor\'s second argument to perform subprotocol negotiation.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/protocol)\n     */\n    readonly protocol: string;\n    /**\n     * Returns the state of the WebSocket object\'s connection. It can have the values described below.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/readyState)\n     */\n    readonly readyState: number;\n    /**\n     * Returns the URL that was used to establish the WebSocket connection.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/url)\n     */\n    readonly url: string;\n    /**\n     * Closes the WebSocket connection, optionally using code as the the WebSocket connection close code and reason as the the WebSocket connection close reason.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/close)\n     */\n    close(code?: number, reason?: string): void;\n    /**\n     * Transmits data using the WebSocket connection. data can be a string, a Blob, an ArrayBuffer, or an ArrayBufferView.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebSocket/send)\n     */\n    send(data: string | ArrayBufferLike | Blob | ArrayBufferView): void;\n    readonly CONNECTING: 0;\n    readonly OPEN: 1;\n    readonly CLOSING: 2;\n    readonly CLOSED: 3;\n    addEventListener<K extends keyof WebSocketEventMap>(type: K, listener: (this: WebSocket, ev: WebSocketEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof WebSocketEventMap>(type: K, listener: (this: WebSocket, ev: WebSocketEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var WebSocket: {\n    prototype: WebSocket;\n    new(url: string | URL, protocols?: string | string[]): WebSocket;\n    readonly CONNECTING: 0;\n    readonly OPEN: 1;\n    readonly CLOSING: 2;\n    readonly CLOSED: 3;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport)\n */\ninterface WebTransport {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/closed) */\n    readonly closed: Promise<WebTransportCloseInfo>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/datagrams) */\n    readonly datagrams: WebTransportDatagramDuplexStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/incomingBidirectionalStreams) */\n    readonly incomingBidirectionalStreams: ReadableStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/incomingUnidirectionalStreams) */\n    readonly incomingUnidirectionalStreams: ReadableStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/ready) */\n    readonly ready: Promise<undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/close) */\n    close(closeInfo?: WebTransportCloseInfo): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/createBidirectionalStream) */\n    createBidirectionalStream(options?: WebTransportSendStreamOptions): Promise<WebTransportBidirectionalStream>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransport/createUnidirectionalStream) */\n    createUnidirectionalStream(options?: WebTransportSendStreamOptions): Promise<WritableStream>;\n}\n\ndeclare var WebTransport: {\n    prototype: WebTransport;\n    new(url: string | URL, options?: WebTransportOptions): WebTransport;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportBidirectionalStream)\n */\ninterface WebTransportBidirectionalStream {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportBidirectionalStream/readable) */\n    readonly readable: ReadableStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportBidirectionalStream/writable) */\n    readonly writable: WritableStream;\n}\n\ndeclare var WebTransportBidirectionalStream: {\n    prototype: WebTransportBidirectionalStream;\n    new(): WebTransportBidirectionalStream;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream)\n */\ninterface WebTransportDatagramDuplexStream {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/incomingHighWaterMark) */\n    incomingHighWaterMark: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/incomingMaxAge) */\n    incomingMaxAge: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/maxDatagramSize) */\n    readonly maxDatagramSize: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/outgoingHighWaterMark) */\n    outgoingHighWaterMark: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/outgoingMaxAge) */\n    outgoingMaxAge: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/readable) */\n    readonly readable: ReadableStream;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportDatagramDuplexStream/writable) */\n    readonly writable: WritableStream;\n}\n\ndeclare var WebTransportDatagramDuplexStream: {\n    prototype: WebTransportDatagramDuplexStream;\n    new(): WebTransportDatagramDuplexStream;\n};\n\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportError)\n */\ninterface WebTransportError extends DOMException {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportError/source) */\n    readonly source: WebTransportErrorSource;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebTransportError/streamErrorCode) */\n    readonly streamErrorCode: number | null;\n}\n\ndeclare var WebTransportError: {\n    prototype: WebTransportError;\n    new(message?: string, options?: WebTransportErrorOptions): WebTransportError;\n};\n\n/**\n * This ServiceWorker API interface represents the scope of a service worker client that is a document in a browser context, controlled by an active worker. The service worker client independently selects and uses a service worker for its own loading and sub-resources.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WindowClient)\n */\ninterface WindowClient extends Client {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WindowClient/focused) */\n    readonly focused: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WindowClient/visibilityState) */\n    readonly visibilityState: DocumentVisibilityState;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WindowClient/focus) */\n    focus(): Promise<WindowClient>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WindowClient/navigate) */\n    navigate(url: string | URL): Promise<WindowClient | null>;\n}\n\ndeclare var WindowClient: {\n    prototype: WindowClient;\n    new(): WindowClient;\n};\n\ninterface WindowOrWorkerGlobalScope {\n    /**\n     * Available only in secure contexts.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/caches)\n     */\n    readonly caches: CacheStorage;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/crossOriginIsolated) */\n    readonly crossOriginIsolated: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/crypto_property) */\n    readonly crypto: Crypto;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/indexedDB) */\n    readonly indexedDB: IDBFactory;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/isSecureContext) */\n    readonly isSecureContext: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/origin) */\n    readonly origin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/performance_property) */\n    readonly performance: Performance;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/atob) */\n    atob(data: string): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/btoa) */\n    btoa(data: string): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/clearInterval) */\n    clearInterval(id: number | undefined): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/clearTimeout) */\n    clearTimeout(id: number | undefined): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/createImageBitmap) */\n    createImageBitmap(image: ImageBitmapSource, options?: ImageBitmapOptions): Promise<ImageBitmap>;\n    createImageBitmap(image: ImageBitmapSource, sx: number, sy: number, sw: number, sh: number, options?: ImageBitmapOptions): Promise<ImageBitmap>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/fetch) */\n    fetch(input: RequestInfo | URL, init?: RequestInit): Promise<Response>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/queueMicrotask) */\n    queueMicrotask(callback: VoidFunction): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/reportError) */\n    reportError(e: any): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/setInterval) */\n    setInterval(handler: TimerHandler, timeout?: number, ...arguments: any[]): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/setTimeout) */\n    setTimeout(handler: TimerHandler, timeout?: number, ...arguments: any[]): number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/structuredClone) */\n    structuredClone<T = any>(value: T, options?: StructuredSerializeOptions): T;\n}\n\ninterface WorkerEventMap extends AbstractWorkerEventMap {\n    "message": MessageEvent;\n    "messageerror": MessageEvent;\n}\n\n/**\n * This Web Workers API interface represents a background task that can be easily created and can send messages back to its creator. Creating a worker is as simple as calling the Worker() constructor and specifying a script to be run in the worker thread.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Worker)\n */\ninterface Worker extends EventTarget, AbstractWorker {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Worker/message_event) */\n    onmessage: ((this: Worker, ev: MessageEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Worker/messageerror_event) */\n    onmessageerror: ((this: Worker, ev: MessageEvent) => any) | null;\n    /**\n     * Clones message and transmits it to worker\'s global environment. transfer can be passed as a list of objects that are to be transferred rather than cloned.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Worker/postMessage)\n     */\n    postMessage(message: any, transfer: Transferable[]): void;\n    postMessage(message: any, options?: StructuredSerializeOptions): void;\n    /**\n     * Aborts worker\'s associated global environment.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/Worker/terminate)\n     */\n    terminate(): void;\n    addEventListener<K extends keyof WorkerEventMap>(type: K, listener: (this: Worker, ev: WorkerEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof WorkerEventMap>(type: K, listener: (this: Worker, ev: WorkerEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var Worker: {\n    prototype: Worker;\n    new(scriptURL: string | URL, options?: WorkerOptions): Worker;\n};\n\ninterface WorkerGlobalScopeEventMap {\n    "error": ErrorEvent;\n    "languagechange": Event;\n    "offline": Event;\n    "online": Event;\n    "rejectionhandled": PromiseRejectionEvent;\n    "unhandledrejection": PromiseRejectionEvent;\n}\n\n/**\n * This Web Workers API interface is an interface representing the scope of any worker. Workers have no browsing context; this scope contains the information usually conveyed by Window objects — in this case event handlers, the console or the associated WorkerNavigator object. Each WorkerGlobalScope has its own event loop.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope)\n */\ninterface WorkerGlobalScope extends EventTarget, FontFaceSource, WindowOrWorkerGlobalScope {\n    /**\n     * Returns workerGlobal\'s WorkerLocation object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/location)\n     */\n    readonly location: WorkerLocation;\n    /**\n     * Returns workerGlobal\'s WorkerNavigator object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/navigator)\n     */\n    readonly navigator: WorkerNavigator;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/error_event) */\n    onerror: ((this: WorkerGlobalScope, ev: ErrorEvent) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/languagechange_event) */\n    onlanguagechange: ((this: WorkerGlobalScope, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/offline_event) */\n    onoffline: ((this: WorkerGlobalScope, ev: Event) => any) | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/online_event) */\n    ononline: ((this: WorkerGlobalScope, ev: Event) => any) | null;\n    onrejectionhandled: ((this: WorkerGlobalScope, ev: PromiseRejectionEvent) => any) | null;\n    onunhandledrejection: ((this: WorkerGlobalScope, ev: PromiseRejectionEvent) => any) | null;\n    /**\n     * Returns workerGlobal.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/self)\n     */\n    readonly self: WorkerGlobalScope & typeof globalThis;\n    /**\n     * Fetches each URL in urls, executes them one-by-one in the order they are passed, and then returns (or throws if something went amiss).\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/importScripts)\n     */\n    importScripts(...urls: (string | URL)[]): void;\n    addEventListener<K extends keyof WorkerGlobalScopeEventMap>(type: K, listener: (this: WorkerGlobalScope, ev: WorkerGlobalScopeEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof WorkerGlobalScopeEventMap>(type: K, listener: (this: WorkerGlobalScope, ev: WorkerGlobalScopeEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var WorkerGlobalScope: {\n    prototype: WorkerGlobalScope;\n    new(): WorkerGlobalScope;\n};\n\n/**\n * The absolute location of the script executed by the Worker. Such an object is initialized for each worker and is available via the WorkerGlobalScope.location property obtained by calling self.location.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerLocation)\n */\ninterface WorkerLocation {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerLocation/hash) */\n    readonly hash: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerLocation/host) */\n    readonly host: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerLocation/hostname) */\n    readonly hostname: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerLocation/href) */\n    readonly href: string;\n    toString(): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerLocation/origin) */\n    readonly origin: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerLocation/pathname) */\n    readonly pathname: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerLocation/port) */\n    readonly port: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerLocation/protocol) */\n    readonly protocol: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerLocation/search) */\n    readonly search: string;\n}\n\ndeclare var WorkerLocation: {\n    prototype: WorkerLocation;\n    new(): WorkerLocation;\n};\n\n/**\n * A subset of the Navigator interface allowed to be accessed from a Worker. Such an object is initialized for each worker and is available via the WorkerGlobalScope.navigator property obtained by calling window.self.navigator.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerNavigator)\n */\ninterface WorkerNavigator extends NavigatorBadge, NavigatorConcurrentHardware, NavigatorID, NavigatorLanguage, NavigatorLocks, NavigatorOnLine, NavigatorStorage {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerNavigator/mediaCapabilities) */\n    readonly mediaCapabilities: MediaCapabilities;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerNavigator/permissions) */\n    readonly permissions: Permissions;\n}\n\ndeclare var WorkerNavigator: {\n    prototype: WorkerNavigator;\n    new(): WorkerNavigator;\n};\n\n/**\n * This Streams API interface provides a standard abstraction for writing streaming data to a destination, known as a sink. This object comes with built-in backpressure and queuing.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStream)\n */\ninterface WritableStream<W = any> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStream/locked) */\n    readonly locked: boolean;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStream/abort) */\n    abort(reason?: any): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStream/close) */\n    close(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStream/getWriter) */\n    getWriter(): WritableStreamDefaultWriter<W>;\n}\n\ndeclare var WritableStream: {\n    prototype: WritableStream;\n    new<W = any>(underlyingSink?: UnderlyingSink<W>, strategy?: QueuingStrategy<W>): WritableStream<W>;\n};\n\n/**\n * This Streams API interface represents a controller allowing control of a WritableStream\'s state. When constructing a WritableStream, the underlying sink is given a corresponding WritableStreamDefaultController instance to manipulate.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultController)\n */\ninterface WritableStreamDefaultController {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultController/signal) */\n    readonly signal: AbortSignal;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultController/error) */\n    error(e?: any): void;\n}\n\ndeclare var WritableStreamDefaultController: {\n    prototype: WritableStreamDefaultController;\n    new(): WritableStreamDefaultController;\n};\n\n/**\n * This Streams API interface is the object returned by WritableStream.getWriter() and once created locks the < writer to the WritableStream ensuring that no other streams can write to the underlying sink.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter)\n */\ninterface WritableStreamDefaultWriter<W = any> {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/closed) */\n    readonly closed: Promise<undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/desiredSize) */\n    readonly desiredSize: number | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/ready) */\n    readonly ready: Promise<undefined>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/abort) */\n    abort(reason?: any): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/close) */\n    close(): Promise<void>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/releaseLock) */\n    releaseLock(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WritableStreamDefaultWriter/write) */\n    write(chunk?: W): Promise<void>;\n}\n\ndeclare var WritableStreamDefaultWriter: {\n    prototype: WritableStreamDefaultWriter;\n    new<W = any>(stream: WritableStream<W>): WritableStreamDefaultWriter<W>;\n};\n\ninterface XMLHttpRequestEventMap extends XMLHttpRequestEventTargetEventMap {\n    "readystatechange": Event;\n}\n\n/**\n * Use XMLHttpRequest (XHR) objects to interact with servers. You can retrieve data from a URL without having to do a full page refresh. This enables a Web page to update just part of a page without disrupting what the user is doing.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest)\n */\ninterface XMLHttpRequest extends XMLHttpRequestEventTarget {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/readystatechange_event) */\n    onreadystatechange: ((this: XMLHttpRequest, ev: Event) => any) | null;\n    /**\n     * Returns client\'s state.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/readyState)\n     */\n    readonly readyState: number;\n    /**\n     * Returns the response body.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/response)\n     */\n    readonly response: any;\n    /**\n     * Returns response as text.\n     *\n     * Throws an "InvalidStateError" DOMException if responseType is not the empty string or "text".\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/responseText)\n     */\n    readonly responseText: string;\n    /**\n     * Returns the response type.\n     *\n     * Can be set to change the response type. Values are: the empty string (default), "arraybuffer", "blob", "document", "json", and "text".\n     *\n     * When set: setting to "document" is ignored if current global object is not a Window object.\n     *\n     * When set: throws an "InvalidStateError" DOMException if state is loading or done.\n     *\n     * When set: throws an "InvalidAccessError" DOMException if the synchronous flag is set and current global object is a Window object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/responseType)\n     */\n    responseType: XMLHttpRequestResponseType;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/responseURL) */\n    readonly responseURL: string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/status) */\n    readonly status: number;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/statusText) */\n    readonly statusText: string;\n    /**\n     * Can be set to a time in milliseconds. When set to a non-zero value will cause fetching to terminate after the given time has passed. When the time has passed, the request has not yet completed, and this\'s synchronous flag is unset, a timeout event will then be dispatched, or a "TimeoutError" DOMException will be thrown otherwise (for the send() method).\n     *\n     * When set: throws an "InvalidAccessError" DOMException if the synchronous flag is set and current global object is a Window object.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/timeout)\n     */\n    timeout: number;\n    /**\n     * Returns the associated XMLHttpRequestUpload object. It can be used to gather transmission information when data is transferred to a server.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/upload)\n     */\n    readonly upload: XMLHttpRequestUpload;\n    /**\n     * True when credentials are to be included in a cross-origin request. False when they are to be excluded in a cross-origin request and when cookies are to be ignored in its response. Initially false.\n     *\n     * When set: throws an "InvalidStateError" DOMException if state is not unsent or opened, or if the send() flag is set.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/withCredentials)\n     */\n    withCredentials: boolean;\n    /**\n     * Cancels any network activity.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/abort)\n     */\n    abort(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/getAllResponseHeaders) */\n    getAllResponseHeaders(): string;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/getResponseHeader) */\n    getResponseHeader(name: string): string | null;\n    /**\n     * Sets the request method, request URL, and synchronous flag.\n     *\n     * Throws a "SyntaxError" DOMException if either method is not a valid method or url cannot be parsed.\n     *\n     * Throws a "SecurityError" DOMException if method is a case-insensitive match for `CONNECT`, `TRACE`, or `TRACK`.\n     *\n     * Throws an "InvalidAccessError" DOMException if async is false, current global object is a Window object, and the timeout attribute is not zero or the responseType attribute is not the empty string.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/open)\n     */\n    open(method: string, url: string | URL): void;\n    open(method: string, url: string | URL, async: boolean, username?: string | null, password?: string | null): void;\n    /**\n     * Acts as if the `Content-Type` header value for a response is mime. (It does not change the header.)\n     *\n     * Throws an "InvalidStateError" DOMException if state is loading or done.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/overrideMimeType)\n     */\n    overrideMimeType(mime: string): void;\n    /**\n     * Initiates the request. The body argument provides the request body, if any, and is ignored if the request method is GET or HEAD.\n     *\n     * Throws an "InvalidStateError" DOMException if either state is not opened or the send() flag is set.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/send)\n     */\n    send(body?: XMLHttpRequestBodyInit | null): void;\n    /**\n     * Combines a header in author request headers.\n     *\n     * Throws an "InvalidStateError" DOMException if either state is not opened or the send() flag is set.\n     *\n     * Throws a "SyntaxError" DOMException if name is not a header name or if value is not a header value.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequest/setRequestHeader)\n     */\n    setRequestHeader(name: string, value: string): void;\n    readonly UNSENT: 0;\n    readonly OPENED: 1;\n    readonly HEADERS_RECEIVED: 2;\n    readonly LOADING: 3;\n    readonly DONE: 4;\n    addEventListener<K extends keyof XMLHttpRequestEventMap>(type: K, listener: (this: XMLHttpRequest, ev: XMLHttpRequestEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof XMLHttpRequestEventMap>(type: K, listener: (this: XMLHttpRequest, ev: XMLHttpRequestEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var XMLHttpRequest: {\n    prototype: XMLHttpRequest;\n    new(): XMLHttpRequest;\n    readonly UNSENT: 0;\n    readonly OPENED: 1;\n    readonly HEADERS_RECEIVED: 2;\n    readonly LOADING: 3;\n    readonly DONE: 4;\n};\n\ninterface XMLHttpRequestEventTargetEventMap {\n    "abort": ProgressEvent<XMLHttpRequestEventTarget>;\n    "error": ProgressEvent<XMLHttpRequestEventTarget>;\n    "load": ProgressEvent<XMLHttpRequestEventTarget>;\n    "loadend": ProgressEvent<XMLHttpRequestEventTarget>;\n    "loadstart": ProgressEvent<XMLHttpRequestEventTarget>;\n    "progress": ProgressEvent<XMLHttpRequestEventTarget>;\n    "timeout": ProgressEvent<XMLHttpRequestEventTarget>;\n}\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequestEventTarget) */\ninterface XMLHttpRequestEventTarget extends EventTarget {\n    onabort: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    onerror: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    onload: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    onloadend: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    onloadstart: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    onprogress: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    ontimeout: ((this: XMLHttpRequest, ev: ProgressEvent) => any) | null;\n    addEventListener<K extends keyof XMLHttpRequestEventTargetEventMap>(type: K, listener: (this: XMLHttpRequestEventTarget, ev: XMLHttpRequestEventTargetEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof XMLHttpRequestEventTargetEventMap>(type: K, listener: (this: XMLHttpRequestEventTarget, ev: XMLHttpRequestEventTargetEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var XMLHttpRequestEventTarget: {\n    prototype: XMLHttpRequestEventTarget;\n    new(): XMLHttpRequestEventTarget;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/XMLHttpRequestUpload) */\ninterface XMLHttpRequestUpload extends XMLHttpRequestEventTarget {\n    addEventListener<K extends keyof XMLHttpRequestEventTargetEventMap>(type: K, listener: (this: XMLHttpRequestUpload, ev: XMLHttpRequestEventTargetEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\n    addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\n    removeEventListener<K extends keyof XMLHttpRequestEventTargetEventMap>(type: K, listener: (this: XMLHttpRequestUpload, ev: XMLHttpRequestEventTargetEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\n    removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\n}\n\ndeclare var XMLHttpRequestUpload: {\n    prototype: XMLHttpRequestUpload;\n    new(): XMLHttpRequestUpload;\n};\n\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console) */\ninterface Console {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/assert_static) */\n    assert(condition?: boolean, ...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/clear_static) */\n    clear(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/count_static) */\n    count(label?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/countReset_static) */\n    countReset(label?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/debug_static) */\n    debug(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/dir_static) */\n    dir(item?: any, options?: any): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/dirxml_static) */\n    dirxml(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/error_static) */\n    error(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/group_static) */\n    group(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/groupCollapsed_static) */\n    groupCollapsed(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/groupEnd_static) */\n    groupEnd(): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/info_static) */\n    info(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/log_static) */\n    log(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/table_static) */\n    table(tabularData?: any, properties?: string[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/time_static) */\n    time(label?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/timeEnd_static) */\n    timeEnd(label?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/timeLog_static) */\n    timeLog(label?: string, ...data: any[]): void;\n    timeStamp(label?: string): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/trace_static) */\n    trace(...data: any[]): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/console/warn_static) */\n    warn(...data: any[]): void;\n}\n\ndeclare var console: Console;\n\ndeclare namespace WebAssembly {\n    interface CompileError extends Error {\n    }\n\n    var CompileError: {\n        prototype: CompileError;\n        new(message?: string): CompileError;\n        (message?: string): CompileError;\n    };\n\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Global) */\n    interface Global<T extends ValueType = ValueType> {\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Global/value) */\n        value: ValueTypeMap[T];\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Global/valueOf) */\n        valueOf(): ValueTypeMap[T];\n    }\n\n    var Global: {\n        prototype: Global;\n        new<T extends ValueType = ValueType>(descriptor: GlobalDescriptor<T>, v?: ValueTypeMap[T]): Global<T>;\n    };\n\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Instance) */\n    interface Instance {\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Instance/exports) */\n        readonly exports: Exports;\n    }\n\n    var Instance: {\n        prototype: Instance;\n        new(module: Module, importObject?: Imports): Instance;\n    };\n\n    interface LinkError extends Error {\n    }\n\n    var LinkError: {\n        prototype: LinkError;\n        new(message?: string): LinkError;\n        (message?: string): LinkError;\n    };\n\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Memory) */\n    interface Memory {\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Memory/buffer) */\n        readonly buffer: ArrayBuffer;\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Memory/grow) */\n        grow(delta: number): number;\n    }\n\n    var Memory: {\n        prototype: Memory;\n        new(descriptor: MemoryDescriptor): Memory;\n    };\n\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Module) */\n    interface Module {\n    }\n\n    var Module: {\n        prototype: Module;\n        new(bytes: BufferSource): Module;\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Module/customSections_static) */\n        customSections(moduleObject: Module, sectionName: string): ArrayBuffer[];\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Module/exports_static) */\n        exports(moduleObject: Module): ModuleExportDescriptor[];\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Module/imports_static) */\n        imports(moduleObject: Module): ModuleImportDescriptor[];\n    };\n\n    interface RuntimeError extends Error {\n    }\n\n    var RuntimeError: {\n        prototype: RuntimeError;\n        new(message?: string): RuntimeError;\n        (message?: string): RuntimeError;\n    };\n\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Table) */\n    interface Table {\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Table/length) */\n        readonly length: number;\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Table/get) */\n        get(index: number): any;\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Table/grow) */\n        grow(delta: number, value?: any): number;\n        /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/Table/set) */\n        set(index: number, value?: any): void;\n    }\n\n    var Table: {\n        prototype: Table;\n        new(descriptor: TableDescriptor, value?: any): Table;\n    };\n\n    interface GlobalDescriptor<T extends ValueType = ValueType> {\n        mutable?: boolean;\n        value: T;\n    }\n\n    interface MemoryDescriptor {\n        initial: number;\n        maximum?: number;\n        shared?: boolean;\n    }\n\n    interface ModuleExportDescriptor {\n        kind: ImportExportKind;\n        name: string;\n    }\n\n    interface ModuleImportDescriptor {\n        kind: ImportExportKind;\n        module: string;\n        name: string;\n    }\n\n    interface TableDescriptor {\n        element: TableKind;\n        initial: number;\n        maximum?: number;\n    }\n\n    interface ValueTypeMap {\n        anyfunc: Function;\n        externref: any;\n        f32: number;\n        f64: number;\n        i32: number;\n        i64: bigint;\n        v128: never;\n    }\n\n    interface WebAssemblyInstantiatedSource {\n        instance: Instance;\n        module: Module;\n    }\n\n    type ImportExportKind = "function" | "global" | "memory" | "table";\n    type TableKind = "anyfunc" | "externref";\n    type ExportValue = Function | Global | Memory | Table;\n    type Exports = Record<string, ExportValue>;\n    type ImportValue = ExportValue | number;\n    type Imports = Record<string, ModuleImports>;\n    type ModuleImports = Record<string, ImportValue>;\n    type ValueType = keyof ValueTypeMap;\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/compile_static) */\n    function compile(bytes: BufferSource): Promise<Module>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/compileStreaming_static) */\n    function compileStreaming(source: Response | PromiseLike<Response>): Promise<Module>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/instantiate_static) */\n    function instantiate(bytes: BufferSource, importObject?: Imports): Promise<WebAssemblyInstantiatedSource>;\n    function instantiate(moduleObject: Module, importObject?: Imports): Promise<Instance>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/instantiateStreaming_static) */\n    function instantiateStreaming(source: Response | PromiseLike<Response>, importObject?: Imports): Promise<WebAssemblyInstantiatedSource>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/WebAssembly/JavaScript_interface/validate_static) */\n    function validate(bytes: BufferSource): boolean;\n}\n\ninterface EncodedVideoChunkOutputCallback {\n    (chunk: EncodedVideoChunk, metadata?: EncodedVideoChunkMetadata): void;\n}\n\ninterface FrameRequestCallback {\n    (time: DOMHighResTimeStamp): void;\n}\n\ninterface LockGrantedCallback {\n    (lock: Lock | null): any;\n}\n\ninterface OnErrorEventHandlerNonNull {\n    (event: Event | string, source?: string, lineno?: number, colno?: number, error?: Error): any;\n}\n\ninterface PerformanceObserverCallback {\n    (entries: PerformanceObserverEntryList, observer: PerformanceObserver): void;\n}\n\ninterface QueuingStrategySize<T = any> {\n    (chunk: T): number;\n}\n\ninterface ReportingObserverCallback {\n    (reports: Report[], observer: ReportingObserver): void;\n}\n\ninterface TransformerFlushCallback<O> {\n    (controller: TransformStreamDefaultController<O>): void | PromiseLike<void>;\n}\n\ninterface TransformerStartCallback<O> {\n    (controller: TransformStreamDefaultController<O>): any;\n}\n\ninterface TransformerTransformCallback<I, O> {\n    (chunk: I, controller: TransformStreamDefaultController<O>): void | PromiseLike<void>;\n}\n\ninterface UnderlyingSinkAbortCallback {\n    (reason?: any): void | PromiseLike<void>;\n}\n\ninterface UnderlyingSinkCloseCallback {\n    (): void | PromiseLike<void>;\n}\n\ninterface UnderlyingSinkStartCallback {\n    (controller: WritableStreamDefaultController): any;\n}\n\ninterface UnderlyingSinkWriteCallback<W> {\n    (chunk: W, controller: WritableStreamDefaultController): void | PromiseLike<void>;\n}\n\ninterface UnderlyingSourceCancelCallback {\n    (reason?: any): void | PromiseLike<void>;\n}\n\ninterface UnderlyingSourcePullCallback<R> {\n    (controller: ReadableStreamController<R>): void | PromiseLike<void>;\n}\n\ninterface UnderlyingSourceStartCallback<R> {\n    (controller: ReadableStreamController<R>): any;\n}\n\ninterface VideoFrameOutputCallback {\n    (output: VideoFrame): void;\n}\n\ninterface VoidFunction {\n    (): void;\n}\n\ninterface WebCodecsErrorCallback {\n    (error: DOMException): void;\n}\n\n/**\n * Returns dedicatedWorkerGlobal\'s name, i.e. the value given to the Worker constructor. Primarily useful for debugging.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/name)\n */\ndeclare var name: string;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/message_event) */\ndeclare var onmessage: ((this: DedicatedWorkerGlobalScope, ev: MessageEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/messageerror_event) */\ndeclare var onmessageerror: ((this: DedicatedWorkerGlobalScope, ev: MessageEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/rtctransform_event) */\ndeclare var onrtctransform: ((this: DedicatedWorkerGlobalScope, ev: Event) => any) | null;\n/**\n * Aborts dedicatedWorkerGlobal.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/close)\n */\ndeclare function close(): void;\n/**\n * Clones message and transmits it to the Worker object associated with dedicatedWorkerGlobal. transfer can be passed as a list of objects that are to be transferred rather than cloned.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/postMessage)\n */\ndeclare function postMessage(message: any, transfer: Transferable[]): void;\ndeclare function postMessage(message: any, options?: StructuredSerializeOptions): void;\n/**\n * Dispatches a synthetic event event to target and returns true if either event\'s cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/dispatchEvent)\n */\ndeclare function dispatchEvent(event: Event): boolean;\n/**\n * Returns workerGlobal\'s WorkerLocation object.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/location)\n */\ndeclare var location: WorkerLocation;\n/**\n * Returns workerGlobal\'s WorkerNavigator object.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/navigator)\n */\ndeclare var navigator: WorkerNavigator;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/error_event) */\ndeclare var onerror: ((this: DedicatedWorkerGlobalScope, ev: ErrorEvent) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/languagechange_event) */\ndeclare var onlanguagechange: ((this: DedicatedWorkerGlobalScope, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/offline_event) */\ndeclare var onoffline: ((this: DedicatedWorkerGlobalScope, ev: Event) => any) | null;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/online_event) */\ndeclare var ononline: ((this: DedicatedWorkerGlobalScope, ev: Event) => any) | null;\ndeclare var onrejectionhandled: ((this: DedicatedWorkerGlobalScope, ev: PromiseRejectionEvent) => any) | null;\ndeclare var onunhandledrejection: ((this: DedicatedWorkerGlobalScope, ev: PromiseRejectionEvent) => any) | null;\n/**\n * Returns workerGlobal.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/self)\n */\ndeclare var self: WorkerGlobalScope & typeof globalThis;\n/**\n * Fetches each URL in urls, executes them one-by-one in the order they are passed, and then returns (or throws if something went amiss).\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/WorkerGlobalScope/importScripts)\n */\ndeclare function importScripts(...urls: (string | URL)[]): void;\n/**\n * Dispatches a synthetic event event to target and returns true if either event\'s cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/EventTarget/dispatchEvent)\n */\ndeclare function dispatchEvent(event: Event): boolean;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Document/fonts) */\ndeclare var fonts: FontFaceSet;\n/**\n * Available only in secure contexts.\n *\n * [MDN Reference](https://developer.mozilla.org/docs/Web/API/caches)\n */\ndeclare var caches: CacheStorage;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/crossOriginIsolated) */\ndeclare var crossOriginIsolated: boolean;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/crypto_property) */\ndeclare var crypto: Crypto;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/indexedDB) */\ndeclare var indexedDB: IDBFactory;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/isSecureContext) */\ndeclare var isSecureContext: boolean;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/origin) */\ndeclare var origin: string;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/performance_property) */\ndeclare var performance: Performance;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/atob) */\ndeclare function atob(data: string): string;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/btoa) */\ndeclare function btoa(data: string): string;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/clearInterval) */\ndeclare function clearInterval(id: number | undefined): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/clearTimeout) */\ndeclare function clearTimeout(id: number | undefined): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/createImageBitmap) */\ndeclare function createImageBitmap(image: ImageBitmapSource, options?: ImageBitmapOptions): Promise<ImageBitmap>;\ndeclare function createImageBitmap(image: ImageBitmapSource, sx: number, sy: number, sw: number, sh: number, options?: ImageBitmapOptions): Promise<ImageBitmap>;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/fetch) */\ndeclare function fetch(input: RequestInfo | URL, init?: RequestInit): Promise<Response>;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/queueMicrotask) */\ndeclare function queueMicrotask(callback: VoidFunction): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/reportError) */\ndeclare function reportError(e: any): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/setInterval) */\ndeclare function setInterval(handler: TimerHandler, timeout?: number, ...arguments: any[]): number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/setTimeout) */\ndeclare function setTimeout(handler: TimerHandler, timeout?: number, ...arguments: any[]): number;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/structuredClone) */\ndeclare function structuredClone<T = any>(value: T, options?: StructuredSerializeOptions): T;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/cancelAnimationFrame) */\ndeclare function cancelAnimationFrame(handle: number): void;\n/** [MDN Reference](https://developer.mozilla.org/docs/Web/API/DedicatedWorkerGlobalScope/requestAnimationFrame) */\ndeclare function requestAnimationFrame(callback: FrameRequestCallback): number;\ndeclare function addEventListener<K extends keyof DedicatedWorkerGlobalScopeEventMap>(type: K, listener: (this: DedicatedWorkerGlobalScope, ev: DedicatedWorkerGlobalScopeEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;\ndeclare function addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;\ndeclare function removeEventListener<K extends keyof DedicatedWorkerGlobalScopeEventMap>(type: K, listener: (this: DedicatedWorkerGlobalScope, ev: DedicatedWorkerGlobalScopeEventMap[K]) => any, options?: boolean | EventListenerOptions): void;\ndeclare function removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;\ntype AlgorithmIdentifier = Algorithm | string;\ntype AllowSharedBufferSource = ArrayBuffer | ArrayBufferView;\ntype BigInteger = Uint8Array;\ntype BinaryData = ArrayBuffer | ArrayBufferView;\ntype BlobPart = BufferSource | Blob | string;\ntype BodyInit = ReadableStream | XMLHttpRequestBodyInit;\ntype BufferSource = ArrayBufferView | ArrayBuffer;\ntype CSSKeywordish = string | CSSKeywordValue;\ntype CSSNumberish = number | CSSNumericValue;\ntype CSSPerspectiveValue = CSSNumericValue | CSSKeywordish;\ntype CSSUnparsedSegment = string | CSSVariableReferenceValue;\ntype CanvasImageSource = ImageBitmap | OffscreenCanvas | VideoFrame;\ntype DOMHighResTimeStamp = number;\ntype EpochTimeStamp = number;\ntype EventListenerOrEventListenerObject = EventListener | EventListenerObject;\ntype FileSystemWriteChunkType = BufferSource | Blob | string | WriteParams;\ntype Float32List = Float32Array | GLfloat[];\ntype FormDataEntryValue = File | string;\ntype GLbitfield = number;\ntype GLboolean = boolean;\ntype GLclampf = number;\ntype GLenum = number;\ntype GLfloat = number;\ntype GLint = number;\ntype GLint64 = number;\ntype GLintptr = number;\ntype GLsizei = number;\ntype GLsizeiptr = number;\ntype GLuint = number;\ntype GLuint64 = number;\ntype HashAlgorithmIdentifier = AlgorithmIdentifier;\ntype HeadersInit = [string, string][] | Record<string, string> | Headers;\ntype IDBValidKey = number | string | Date | BufferSource | IDBValidKey[];\ntype ImageBitmapSource = CanvasImageSource | Blob | ImageData;\ntype Int32List = Int32Array | GLint[];\ntype MessageEventSource = MessagePort | ServiceWorker;\ntype NamedCurve = string;\ntype OffscreenRenderingContext = OffscreenCanvasRenderingContext2D | ImageBitmapRenderingContext | WebGLRenderingContext | WebGL2RenderingContext;\ntype OnErrorEventHandler = OnErrorEventHandlerNonNull | null;\ntype PerformanceEntryList = PerformanceEntry[];\ntype PushMessageDataInit = BufferSource | string;\ntype ReadableStreamController<T> = ReadableStreamDefaultController<T> | ReadableByteStreamController;\ntype ReadableStreamReadResult<T> = ReadableStreamReadValueResult<T> | ReadableStreamReadDoneResult<T>;\ntype ReadableStreamReader<T> = ReadableStreamDefaultReader<T> | ReadableStreamBYOBReader;\ntype ReportList = Report[];\ntype RequestInfo = Request | string;\ntype TexImageSource = ImageBitmap | ImageData | OffscreenCanvas | VideoFrame;\ntype TimerHandler = string | Function;\ntype Transferable = OffscreenCanvas | ImageBitmap | MessagePort | ReadableStream | WritableStream | TransformStream | VideoFrame | ArrayBuffer;\ntype Uint32List = Uint32Array | GLuint[];\ntype XMLHttpRequestBodyInit = Blob | BufferSource | FormData | URLSearchParams | string;\ntype AlphaOption = "discard" | "keep";\ntype AvcBitstreamFormat = "annexb" | "avc";\ntype BinaryType = "arraybuffer" | "blob";\ntype CSSMathOperator = "clamp" | "invert" | "max" | "min" | "negate" | "product" | "sum";\ntype CSSNumericBaseType = "angle" | "flex" | "frequency" | "length" | "percent" | "resolution" | "time";\ntype CanvasDirection = "inherit" | "ltr" | "rtl";\ntype CanvasFillRule = "evenodd" | "nonzero";\ntype CanvasFontKerning = "auto" | "none" | "normal";\ntype CanvasFontStretch = "condensed" | "expanded" | "extra-condensed" | "extra-expanded" | "normal" | "semi-condensed" | "semi-expanded" | "ultra-condensed" | "ultra-expanded";\ntype CanvasFontVariantCaps = "all-petite-caps" | "all-small-caps" | "normal" | "petite-caps" | "small-caps" | "titling-caps" | "unicase";\ntype CanvasLineCap = "butt" | "round" | "square";\ntype CanvasLineJoin = "bevel" | "miter" | "round";\ntype CanvasTextAlign = "center" | "end" | "left" | "right" | "start";\ntype CanvasTextBaseline = "alphabetic" | "bottom" | "hanging" | "ideographic" | "middle" | "top";\ntype CanvasTextRendering = "auto" | "geometricPrecision" | "optimizeLegibility" | "optimizeSpeed";\ntype ClientTypes = "all" | "sharedworker" | "window" | "worker";\ntype CodecState = "closed" | "configured" | "unconfigured";\ntype ColorGamut = "p3" | "rec2020" | "srgb";\ntype ColorSpaceConversion = "default" | "none";\ntype CompressionFormat = "deflate" | "deflate-raw" | "gzip";\ntype DocumentVisibilityState = "hidden" | "visible";\ntype EncodedVideoChunkType = "delta" | "key";\ntype EndingType = "native" | "transparent";\ntype FileSystemHandleKind = "directory" | "file";\ntype FontDisplay = "auto" | "block" | "fallback" | "optional" | "swap";\ntype FontFaceLoadStatus = "error" | "loaded" | "loading" | "unloaded";\ntype FontFaceSetLoadStatus = "loaded" | "loading";\ntype FrameType = "auxiliary" | "nested" | "none" | "top-level";\ntype GlobalCompositeOperation = "color" | "color-burn" | "color-dodge" | "copy" | "darken" | "destination-atop" | "destination-in" | "destination-out" | "destination-over" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "lighter" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light" | "source-atop" | "source-in" | "source-out" | "source-over" | "xor";\ntype HardwareAcceleration = "no-preference" | "prefer-hardware" | "prefer-software";\ntype HdrMetadataType = "smpteSt2086" | "smpteSt2094-10" | "smpteSt2094-40";\ntype IDBCursorDirection = "next" | "nextunique" | "prev" | "prevunique";\ntype IDBRequestReadyState = "done" | "pending";\ntype IDBTransactionDurability = "default" | "relaxed" | "strict";\ntype IDBTransactionMode = "readonly" | "readwrite" | "versionchange";\ntype ImageOrientation = "flipY" | "from-image" | "none";\ntype ImageSmoothingQuality = "high" | "low" | "medium";\ntype KeyFormat = "jwk" | "pkcs8" | "raw" | "spki";\ntype KeyType = "private" | "public" | "secret";\ntype KeyUsage = "decrypt" | "deriveBits" | "deriveKey" | "encrypt" | "sign" | "unwrapKey" | "verify" | "wrapKey";\ntype LatencyMode = "quality" | "realtime";\ntype LockMode = "exclusive" | "shared";\ntype MediaDecodingType = "file" | "media-source" | "webrtc";\ntype MediaEncodingType = "record" | "webrtc";\ntype NotificationDirection = "auto" | "ltr" | "rtl";\ntype NotificationPermission = "default" | "denied" | "granted";\ntype OffscreenRenderingContextId = "2d" | "bitmaprenderer" | "webgl" | "webgl2" | "webgpu";\ntype PermissionName = "geolocation" | "notifications" | "persistent-storage" | "push" | "screen-wake-lock" | "xr-spatial-tracking";\ntype PermissionState = "denied" | "granted" | "prompt";\ntype PredefinedColorSpace = "display-p3" | "srgb";\ntype PremultiplyAlpha = "default" | "none" | "premultiply";\ntype PushEncryptionKeyName = "auth" | "p256dh";\ntype RTCEncodedVideoFrameType = "delta" | "empty" | "key";\ntype ReadableStreamReaderMode = "byob";\ntype ReadableStreamType = "bytes";\ntype ReferrerPolicy = "" | "no-referrer" | "no-referrer-when-downgrade" | "origin" | "origin-when-cross-origin" | "same-origin" | "strict-origin" | "strict-origin-when-cross-origin" | "unsafe-url";\ntype RequestCache = "default" | "force-cache" | "no-cache" | "no-store" | "only-if-cached" | "reload";\ntype RequestCredentials = "include" | "omit" | "same-origin";\ntype RequestDestination = "" | "audio" | "audioworklet" | "document" | "embed" | "font" | "frame" | "iframe" | "image" | "manifest" | "object" | "paintworklet" | "report" | "script" | "sharedworker" | "style" | "track" | "video" | "worker" | "xslt";\ntype RequestMode = "cors" | "navigate" | "no-cors" | "same-origin";\ntype RequestPriority = "auto" | "high" | "low";\ntype RequestRedirect = "error" | "follow" | "manual";\ntype ResizeQuality = "high" | "low" | "medium" | "pixelated";\ntype ResponseType = "basic" | "cors" | "default" | "error" | "opaque" | "opaqueredirect";\ntype SecurityPolicyViolationEventDisposition = "enforce" | "report";\ntype ServiceWorkerState = "activated" | "activating" | "installed" | "installing" | "parsed" | "redundant";\ntype ServiceWorkerUpdateViaCache = "all" | "imports" | "none";\ntype TransferFunction = "hlg" | "pq" | "srgb";\ntype VideoColorPrimaries = "bt470bg" | "bt709" | "smpte170m";\ntype VideoEncoderBitrateMode = "constant" | "quantizer" | "variable";\ntype VideoMatrixCoefficients = "bt470bg" | "bt709" | "rgb" | "smpte170m";\ntype VideoPixelFormat = "BGRA" | "BGRX" | "I420" | "I420A" | "I422" | "I444" | "NV12" | "RGBA" | "RGBX";\ntype VideoTransferCharacteristics = "bt709" | "iec61966-2-1" | "smpte170m";\ntype WebGLPowerPreference = "default" | "high-performance" | "low-power";\ntype WebTransportCongestionControl = "default" | "low-latency" | "throughput";\ntype WebTransportErrorSource = "session" | "stream";\ntype WorkerType = "classic" | "module";\ntype WriteCommandType = "seek" | "truncate" | "write";\ntype XMLHttpRequestResponseType = "" | "arraybuffer" | "blob" | "document" | "json" | "text";\n',Li["lib.webworker.importscripts.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/////////////////////////////\n/// WorkerGlobalScope APIs\n/////////////////////////////\n// These are only available in a Web Worker\ndeclare function importScripts(...urls: string[]): void;\n',Li["lib.webworker.iterable.d.ts"]='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n/// <reference no-default-lib="true"/>\n\n/////////////////////////////\n/// Worker Iterable APIs\n/////////////////////////////\n\ninterface CSSNumericArray {\n    [Symbol.iterator](): IterableIterator<CSSNumericValue>;\n    entries(): IterableIterator<[number, CSSNumericValue]>;\n    keys(): IterableIterator<number>;\n    values(): IterableIterator<CSSNumericValue>;\n}\n\ninterface CSSTransformValue {\n    [Symbol.iterator](): IterableIterator<CSSTransformComponent>;\n    entries(): IterableIterator<[number, CSSTransformComponent]>;\n    keys(): IterableIterator<number>;\n    values(): IterableIterator<CSSTransformComponent>;\n}\n\ninterface CSSUnparsedValue {\n    [Symbol.iterator](): IterableIterator<CSSUnparsedSegment>;\n    entries(): IterableIterator<[number, CSSUnparsedSegment]>;\n    keys(): IterableIterator<number>;\n    values(): IterableIterator<CSSUnparsedSegment>;\n}\n\ninterface Cache {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/Cache/addAll) */\n    addAll(requests: Iterable<RequestInfo>): Promise<void>;\n}\n\ninterface CanvasPath {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/roundRect) */\n    roundRect(x: number, y: number, w: number, h: number, radii?: number | DOMPointInit | Iterable<number | DOMPointInit>): void;\n}\n\ninterface CanvasPathDrawingStyles {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/CanvasRenderingContext2D/setLineDash) */\n    setLineDash(segments: Iterable<number>): void;\n}\n\ninterface DOMStringList {\n    [Symbol.iterator](): IterableIterator<string>;\n}\n\ninterface FileList {\n    [Symbol.iterator](): IterableIterator<File>;\n}\n\ninterface FontFaceSet extends Set<FontFace> {\n}\n\ninterface FormData {\n    [Symbol.iterator](): IterableIterator<[string, FormDataEntryValue]>;\n    /** Returns an array of key, value pairs for every entry in the list. */\n    entries(): IterableIterator<[string, FormDataEntryValue]>;\n    /** Returns a list of keys in the list. */\n    keys(): IterableIterator<string>;\n    /** Returns a list of values in the list. */\n    values(): IterableIterator<FormDataEntryValue>;\n}\n\ninterface Headers {\n    [Symbol.iterator](): IterableIterator<[string, string]>;\n    /** Returns an iterator allowing to go through all key/value pairs contained in this object. */\n    entries(): IterableIterator<[string, string]>;\n    /** Returns an iterator allowing to go through all keys of the key/value pairs contained in this object. */\n    keys(): IterableIterator<string>;\n    /** Returns an iterator allowing to go through all values of the key/value pairs contained in this object. */\n    values(): IterableIterator<string>;\n}\n\ninterface IDBDatabase {\n    /**\n     * Returns a new transaction with the given mode ("readonly" or "readwrite") and scope which can be a single object store name or an array of names.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBDatabase/transaction)\n     */\n    transaction(storeNames: string | Iterable<string>, mode?: IDBTransactionMode, options?: IDBTransactionOptions): IDBTransaction;\n}\n\ninterface IDBObjectStore {\n    /**\n     * Creates a new index in store with the given name, keyPath and options and returns a new IDBIndex. If the keyPath and options define constraints that cannot be satisfied with the data already in store the upgrade transaction will abort with a "ConstraintError" DOMException.\n     *\n     * Throws an "InvalidStateError" DOMException if not called within an upgrade transaction.\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/IDBObjectStore/createIndex)\n     */\n    createIndex(name: string, keyPath: string | Iterable<string>, options?: IDBIndexParameters): IDBIndex;\n}\n\ninterface MessageEvent<T = any> {\n    /**\n     * @deprecated\n     *\n     * [MDN Reference](https://developer.mozilla.org/docs/Web/API/MessageEvent/initMessageEvent)\n     */\n    initMessageEvent(type: string, bubbles?: boolean, cancelable?: boolean, data?: any, origin?: string, lastEventId?: string, source?: MessageEventSource | null, ports?: Iterable<MessagePort>): void;\n}\n\ninterface StylePropertyMapReadOnly {\n    [Symbol.iterator](): IterableIterator<[string, Iterable<CSSStyleValue>]>;\n    entries(): IterableIterator<[string, Iterable<CSSStyleValue>]>;\n    keys(): IterableIterator<string>;\n    values(): IterableIterator<Iterable<CSSStyleValue>>;\n}\n\ninterface SubtleCrypto {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/deriveKey) */\n    deriveKey(algorithm: AlgorithmIdentifier | EcdhKeyDeriveParams | HkdfParams | Pbkdf2Params, baseKey: CryptoKey, derivedKeyType: AlgorithmIdentifier | AesDerivedKeyParams | HmacImportParams | HkdfParams | Pbkdf2Params, extractable: boolean, keyUsages: Iterable<KeyUsage>): Promise<CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/generateKey) */\n    generateKey(algorithm: "Ed25519", extractable: boolean, keyUsages: ReadonlyArray<"sign" | "verify">): Promise<CryptoKeyPair>;\n    generateKey(algorithm: RsaHashedKeyGenParams | EcKeyGenParams, extractable: boolean, keyUsages: ReadonlyArray<KeyUsage>): Promise<CryptoKeyPair>;\n    generateKey(algorithm: AesKeyGenParams | HmacKeyGenParams | Pbkdf2Params, extractable: boolean, keyUsages: ReadonlyArray<KeyUsage>): Promise<CryptoKey>;\n    generateKey(algorithm: AlgorithmIdentifier, extractable: boolean, keyUsages: Iterable<KeyUsage>): Promise<CryptoKeyPair | CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/importKey) */\n    importKey(format: "jwk", keyData: JsonWebKey, algorithm: AlgorithmIdentifier | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | AesKeyAlgorithm, extractable: boolean, keyUsages: ReadonlyArray<KeyUsage>): Promise<CryptoKey>;\n    importKey(format: Exclude<KeyFormat, "jwk">, keyData: BufferSource, algorithm: AlgorithmIdentifier | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | AesKeyAlgorithm, extractable: boolean, keyUsages: Iterable<KeyUsage>): Promise<CryptoKey>;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/SubtleCrypto/unwrapKey) */\n    unwrapKey(format: KeyFormat, wrappedKey: BufferSource, unwrappingKey: CryptoKey, unwrapAlgorithm: AlgorithmIdentifier | RsaOaepParams | AesCtrParams | AesCbcParams | AesGcmParams, unwrappedKeyAlgorithm: AlgorithmIdentifier | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | AesKeyAlgorithm, extractable: boolean, keyUsages: Iterable<KeyUsage>): Promise<CryptoKey>;\n}\n\ninterface URLSearchParams {\n    [Symbol.iterator](): IterableIterator<[string, string]>;\n    /** Returns an array of key, value pairs for every entry in the search params. */\n    entries(): IterableIterator<[string, string]>;\n    /** Returns a list of keys in the search params. */\n    keys(): IterableIterator<string>;\n    /** Returns a list of values in the search params. */\n    values(): IterableIterator<string>;\n}\n\ninterface WEBGL_draw_buffers {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_draw_buffers/drawBuffersWEBGL) */\n    drawBuffersWEBGL(buffers: Iterable<GLenum>): void;\n}\n\ninterface WEBGL_multi_draw {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawArraysInstancedWEBGL) */\n    multiDrawArraysInstancedWEBGL(mode: GLenum, firstsList: Int32Array | Iterable<GLint>, firstsOffset: number, countsList: Int32Array | Iterable<GLsizei>, countsOffset: number, instanceCountsList: Int32Array | Iterable<GLsizei>, instanceCountsOffset: number, drawcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawArraysWEBGL) */\n    multiDrawArraysWEBGL(mode: GLenum, firstsList: Int32Array | Iterable<GLint>, firstsOffset: number, countsList: Int32Array | Iterable<GLsizei>, countsOffset: number, drawcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawElementsInstancedWEBGL) */\n    multiDrawElementsInstancedWEBGL(mode: GLenum, countsList: Int32Array | Iterable<GLsizei>, countsOffset: number, type: GLenum, offsetsList: Int32Array | Iterable<GLsizei>, offsetsOffset: number, instanceCountsList: Int32Array | Iterable<GLsizei>, instanceCountsOffset: number, drawcount: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WEBGL_multi_draw/multiDrawElementsWEBGL) */\n    multiDrawElementsWEBGL(mode: GLenum, countsList: Int32Array | Iterable<GLsizei>, countsOffset: number, type: GLenum, offsetsList: Int32Array | Iterable<GLsizei>, offsetsOffset: number, drawcount: GLsizei): void;\n}\n\ninterface WebGL2RenderingContextBase {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferfv(buffer: GLenum, drawbuffer: GLint, values: Iterable<GLfloat>, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferiv(buffer: GLenum, drawbuffer: GLint, values: Iterable<GLint>, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/clearBuffer) */\n    clearBufferuiv(buffer: GLenum, drawbuffer: GLint, values: Iterable<GLuint>, srcOffset?: number): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/drawBuffers) */\n    drawBuffers(buffers: Iterable<GLenum>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getActiveUniforms) */\n    getActiveUniforms(program: WebGLProgram, uniformIndices: Iterable<GLuint>, pname: GLenum): any;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/getUniformIndices) */\n    getUniformIndices(program: WebGLProgram, uniformNames: Iterable<string>): Iterable<GLuint> | null;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/invalidateFramebuffer) */\n    invalidateFramebuffer(target: GLenum, attachments: Iterable<GLenum>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/invalidateSubFramebuffer) */\n    invalidateSubFramebuffer(target: GLenum, attachments: Iterable<GLenum>, x: GLint, y: GLint, width: GLsizei, height: GLsizei): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/transformFeedbackVaryings) */\n    transformFeedbackVaryings(program: WebGLProgram, varyings: Iterable<string>, bufferMode: GLenum): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform1uiv(location: WebGLUniformLocation | null, data: Iterable<GLuint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform2uiv(location: WebGLUniformLocation | null, data: Iterable<GLuint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform3uiv(location: WebGLUniformLocation | null, data: Iterable<GLuint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniform) */\n    uniform4uiv(location: WebGLUniformLocation | null, data: Iterable<GLuint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix2x3fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix2x4fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix3x2fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix3x4fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix4x2fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/uniformMatrix) */\n    uniformMatrix4x3fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribI) */\n    vertexAttribI4iv(index: GLuint, values: Iterable<GLint>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGL2RenderingContext/vertexAttribI) */\n    vertexAttribI4uiv(index: GLuint, values: Iterable<GLuint>): void;\n}\n\ninterface WebGL2RenderingContextOverloads {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1fv(location: WebGLUniformLocation | null, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1iv(location: WebGLUniformLocation | null, data: Iterable<GLint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2fv(location: WebGLUniformLocation | null, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2iv(location: WebGLUniformLocation | null, data: Iterable<GLint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3fv(location: WebGLUniformLocation | null, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3iv(location: WebGLUniformLocation | null, data: Iterable<GLint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4fv(location: WebGLUniformLocation | null, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4iv(location: WebGLUniformLocation | null, data: Iterable<GLint>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix2fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix3fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix4fv(location: WebGLUniformLocation | null, transpose: GLboolean, data: Iterable<GLfloat>, srcOffset?: number, srcLength?: GLuint): void;\n}\n\ninterface WebGLRenderingContextBase {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib1fv(index: GLuint, values: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib2fv(index: GLuint, values: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib3fv(index: GLuint, values: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/vertexAttrib) */\n    vertexAttrib4fv(index: GLuint, values: Iterable<GLfloat>): void;\n}\n\ninterface WebGLRenderingContextOverloads {\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1fv(location: WebGLUniformLocation | null, v: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform1iv(location: WebGLUniformLocation | null, v: Iterable<GLint>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2fv(location: WebGLUniformLocation | null, v: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform2iv(location: WebGLUniformLocation | null, v: Iterable<GLint>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3fv(location: WebGLUniformLocation | null, v: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform3iv(location: WebGLUniformLocation | null, v: Iterable<GLint>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4fv(location: WebGLUniformLocation | null, v: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniform) */\n    uniform4iv(location: WebGLUniformLocation | null, v: Iterable<GLint>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix2fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix3fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Iterable<GLfloat>): void;\n    /** [MDN Reference](https://developer.mozilla.org/docs/Web/API/WebGLRenderingContext/uniformMatrix) */\n    uniformMatrix4fv(location: WebGLUniformLocation | null, transpose: GLboolean, value: Iterable<GLfloat>): void;\n}\n';var wi=class e{constructor(e,n){this._extraLibs=Object.create(null),this._languageService=xi(this),this._ctx=e,this._compilerOptions=n.compilerOptions,this._extraLibs=n.extraLibs,this._inlayHintsOptions=n.inlayHintsOptions}getCompilationSettings(){return this._compilerOptions}getLanguageService(){return this._languageService}getExtraLibs(){return this._extraLibs}getScriptFileNames(){return this._ctx.getMirrorModels().map((e=>e.uri)).filter((e=>!ki(e))).map((e=>e.toString())).concat(Object.keys(this._extraLibs))}_getModel(e){let n=this._ctx.getMirrorModels();for(let t=0;t<n.length;t++){const r=n[t].uri;if(r.toString()===e||r.toString(!0)===e)return n[t]}return null}getScriptVersion(e){let n=this._getModel(e);return n?n.version.toString():this.isDefaultLibFileName(e)?"1":e in this._extraLibs?String(this._extraLibs[e].version):""}async getScriptText(e){return this._getScriptText(e)}_getScriptText(e){let n,t=this._getModel(e);const r="lib."+e+".d.ts";if(t)n=t.getValue();else if(e in Li)n=Li[e];else if(r in Li)n=Li[r];else{if(!(e in this._extraLibs))return;n=this._extraLibs[e].content}return n}getScriptSnapshot(e){const n=this._getScriptText(e);if(void 0!==n)return{getText:(e,t)=>n.substring(e,t),getLength:()=>n.length,getChangeRange:()=>{}}}getScriptKind(e){switch(e.substr(e.lastIndexOf(".")+1)){case"ts":return Di.TS;case"tsx":return Di.TSX;case"js":return Di.JS;case"jsx":return Di.JSX;default:return this.getCompilationSettings().allowJs?Di.JS:Di.TS}}getCurrentDirectory(){return""}getDefaultLibFileName(e){switch(e.target){case 99:const n="lib.esnext.full.d.ts";if(n in Li||n in this._extraLibs)return n;case 7:case 6:case 5:case 4:case 3:case 2:default:const t=`lib.es${2013+(e.target||99)}.full.d.ts`;return t in Li||t in this._extraLibs?t:"lib.es6.d.ts";case 1:case 0:return"lib.d.ts"}}isDefaultLibFileName(e){return e===this.getDefaultLibFileName(this._compilerOptions)}readFile(e){return this._getScriptText(e)}fileExists(e){return void 0!==this._getScriptText(e)}async getLibFiles(){return Li}static clearFiles(e){const n=[];for(const t of e){const e={...t};if(e.file=e.file?{fileName:e.file.fileName}:void 0,t.relatedInformation){e.relatedInformation=[];for(const n of t.relatedInformation){const t={...n};t.file=t.file?{fileName:t.file.fileName}:void 0,e.relatedInformation.push(t)}}n.push(e)}return n}async getSyntacticDiagnostics(n){if(ki(n))return[];const t=this._languageService.getSyntacticDiagnostics(n);return e.clearFiles(t)}async getSemanticDiagnostics(n){if(ki(n))return[];const t=this._languageService.getSemanticDiagnostics(n);return e.clearFiles(t)}async getSuggestionDiagnostics(n){if(ki(n))return[];const t=this._languageService.getSuggestionDiagnostics(n);return e.clearFiles(t)}async getCompilerOptionsDiagnostics(n){if(ki(n))return[];const t=this._languageService.getCompilerOptionsDiagnostics();return e.clearFiles(t)}async getCompletionsAtPosition(e,n){if(!ki(e))return this._languageService.getCompletionsAtPosition(e,n,void 0)}async getCompletionEntryDetails(e,n,t){return this._languageService.getCompletionEntryDetails(e,n,t,void 0,void 0,void 0,void 0)}async getSignatureHelpItems(e,n,t){if(!ki(e))return this._languageService.getSignatureHelpItems(e,n,t)}async getQuickInfoAtPosition(e,n){if(!ki(e))return this._languageService.getQuickInfoAtPosition(e,n)}async getDocumentHighlights(e,n,t){if(!ki(e))return this._languageService.getDocumentHighlights(e,n,t)}async getDefinitionAtPosition(e,n){if(!ki(e))return this._languageService.getDefinitionAtPosition(e,n)}async getReferencesAtPosition(e,n){if(!ki(e))return this._languageService.getReferencesAtPosition(e,n)}async getNavigationTree(e){if(!ki(e))return this._languageService.getNavigationTree(e)}async getFormattingEditsForDocument(e,n){return ki(e)?[]:this._languageService.getFormattingEditsForDocument(e,n)}async getFormattingEditsForRange(e,n,t,r){return ki(e)?[]:this._languageService.getFormattingEditsForRange(e,n,t,r)}async getFormattingEditsAfterKeystroke(e,n,t,r){return ki(e)?[]:this._languageService.getFormattingEditsAfterKeystroke(e,n,t,r)}async findRenameLocations(e,n,t,r,o){if(!ki(e))return this._languageService.findRenameLocations(e,n,t,r,o)}async getRenameInfo(e,n,t){return ki(e)?{canRename:!1,localizedErrorMessage:"Cannot rename in lib file"}:this._languageService.getRenameInfo(e,n,t)}async getEmitOutput(n,t,r){if(ki(n))return{outputFiles:[],emitSkipped:!0};const o=this._languageService.getEmitOutput(n,t,r),i=o.diagnostics?e.clearFiles(o.diagnostics):void 0;return{...o,diagnostics:i}}async getCodeFixesAtPosition(e,n,t,r,o){if(ki(e))return[];const i={};try{return this._languageService.getCodeFixesAtPosition(e,n,t,r,o,i)}catch{return[]}}async updateExtraLibs(e){this._extraLibs=e}async provideInlayHints(e,n,t){if(ki(e))return[];const r=this._inlayHintsOptions??{},o={start:n,length:t-n};try{return this._languageService.provideInlayHints(e,o,r)}catch{return[]}}};globalThis.ts=Pi,self.onmessage=()=>{hi(((e,n)=>function(e,n){let t=wi;if(n.customWorkerPath)if("undefined"==typeof importScripts)console.warn("Monaco is not using webworkers for background tasks, and that is needed to support the customWorkerPath flag");else{self.importScripts(n.customWorkerPath);const e=self.customTSWorkerFactory;if(!e)throw new Error(`The script at ${n.customWorkerPath} does not add customTSWorkerFactory to self`);t=e(wi,vi,Li)}return new t(e,n)}(e,n)))}}();
//# sourceMappingURL=ts.worker.js.map